diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 781994e..8f25bf9 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -142518,6 +142518,243 @@ U16Vector() : OneDimensionalArrayAggregate Integer == add
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain U16MAT U16Matrix}
+
+\begin{chunk}{U16Matrix.input}
+)set break resume
+)sys rm -f U16Matrix.output
+)spool U16Matrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show U16Matrix
+--R U16Matrix  is a domain constructor
+--R Abbreviation for U16Matrix is U16MAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit /tmp/ta.spad to see algebra source code for U16MAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (U16Vector,%) -> U16Vector      ?*? : (%,U16Vector) -> U16Vector
+--R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
+--R coerce : U16Vector -> %               column : (%,Integer) -> U16Vector
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R diagonalMatrix : List(%) -> %         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
+--R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
+--R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U16Vector
+--R sample : () -> %                      square? : % -> Boolean
+--R squareTop : % -> %                    symmetric? : % -> Boolean
+--R transpose : % -> %                    transpose : U16Vector -> %
+--R vertConcat : (%,%) -> %              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?**? : (%,Integer) -> % if Integer has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Integer) -> % if Integer has FIELD
+--R ?=? : (%,%) -> Boolean if Integer has SETCAT
+--R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Integer has SETCAT
+--R columnSpace : % -> List(U16Vector) if Integer has EUCDOM
+--R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
+--R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> Integer if Integer has commutative(*)
+--R diagonalMatrix : List(Integer) -> %
+--R elt : (%,List(Integer),List(Integer)) -> %
+--R elt : (%,Integer,Integer,Integer) -> Integer
+--R elt : (%,Integer,Integer) -> Integer
+--R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
+--R hash : % -> SingleInteger if Integer has SETCAT
+--R inverse : % -> Union(%,"failed") if Integer has FIELD
+--R latex : % -> String if Integer has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R listOfLists : % -> List(List(Integer))
+--R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
+--R map : (((Integer,Integer) -> Integer),%,%) -> %
+--R map : ((Integer -> Integer),%) -> %
+--R map! : ((Integer -> Integer),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
+--R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
+--R members : % -> List(Integer) if $ has finiteAggregate
+--R minordet : % -> Integer if Integer has commutative(*)
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
+--R nullSpace : % -> List(U16Vector) if Integer has INTDOM
+--R nullity : % -> NonNegativeInteger if Integer has INTDOM
+--R pfaffian : % -> Integer if Integer has COMRING
+--R qelt : (%,Integer,Integer) -> Integer
+--R qsetelt! : (%,Integer,Integer,Integer) -> Integer
+--R rank : % -> NonNegativeInteger if Integer has INTDOM
+--R rowEchelon : % -> % if Integer has EUCDOM
+--R scalarMatrix : (NonNegativeInteger,Integer) -> %
+--R setColumn! : (%,Integer,U16Vector) -> %
+--R setRow! : (%,Integer,U16Vector) -> %
+--R setelt : (%,List(Integer),List(Integer),%) -> %
+--R setelt : (%,Integer,Integer,Integer) -> Integer
+--R setsubMatrix! : (%,Integer,Integer,%) -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
+--R swapColumns! : (%,Integer,Integer) -> %
+--R swapRows! : (%,Integer,Integer) -> %
+--R zero : (NonNegativeInteger,NonNegativeInteger) -> %
+--R ?~=? : (%,%) -> Boolean if Integer has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{U16Matrix.help}
+====================================================================
+U16Matrix examples
+====================================================================
+
+See Also:
+o )show U16Matrix
+o )show U32Matrix
+
+\end{chunk}
+\pagehead{U16Matrix}{U16MAT}
+\pagepic{ps/v103u16matrix.eps}{U16MAT}{1.00}
+{\bf See}\\
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{U16MAT}{\#{}?} &
+\cross{U16MAT}{-?} &
+\cross{U16MAT}{?**?} &
+\cross{U16MAT}{?*?} \\
+\cross{U16MAT}{?+?} &
+\cross{U16MAT}{?-?} &
+\cross{U16MAT}{?/?} &
+\cross{U16MAT}{?=?} \\
+\cross{U16MAT}{?\~{}=?} &
+\cross{U16MAT}{antisymmetric?} &
+\cross{U16MAT}{any?} &
+\cross{U16MAT}{coerce} \\
+\cross{U16MAT}{column} &
+\cross{U16MAT}{columnSpace} &
+\cross{U16MAT}{copy} &
+\cross{U16MAT}{count} \\
+\cross{U16MAT}{determinant} &
+\cross{U16MAT}{diagonal?} &
+\cross{U16MAT}{diagonalMatrix} &
+\cross{U16MAT}{elt} \\
+\cross{U16MAT}{empty} &
+\cross{U16MAT}{empty?} &
+\cross{U16MAT}{eq?} &
+\cross{U16MAT}{eval} \\
+\cross{U16MAT}{every?} &
+\cross{U16MAT}{exquo} &
+\cross{U16MAT}{fill!} &
+\cross{U16MAT}{hash} \\
+\cross{U16MAT}{horizConcat} &
+\cross{U16MAT}{inverse} &
+\cross{U16MAT}{latex} &
+\cross{U16MAT}{less?} \\
+\cross{U16MAT}{listOfLists} &
+\cross{U16MAT}{map} &
+\cross{U16MAT}{map!} &
+\cross{U16MAT}{matrix} \\
+\cross{U16MAT}{maxColIndex} &
+\cross{U16MAT}{maxRowIndex} &
+\cross{U16MAT}{member?} &
+\cross{U16MAT}{members} \\
+\cross{U16MAT}{minColIndex} &
+\cross{U16MAT}{minRowIndex} &
+\cross{U16MAT}{minordet} &
+\cross{U16MAT}{more?} \\
+\cross{U16MAT}{ncols} &
+\cross{U16MAT}{new} &
+\cross{U16MAT}{nrows} &
+\cross{U16MAT}{nullSpace} \\
+\cross{U16MAT}{nullity} &
+\cross{U16MAT}{parts} &
+\cross{U16MAT}{pfaffian} &
+\cross{U16MAT}{qelt} \\
+\cross{U16MAT}{qnew} &
+\cross{U16MAT}{qsetelt!} &
+\cross{U16MAT}{rank} &
+\cross{U16MAT}{row} \\
+\cross{U16MAT}{rowEchelon} &
+\cross{U16MAT}{sample} &
+\cross{U16MAT}{scalarMatrix} &
+\cross{U16MAT}{setColumn!} \\
+\cross{U16MAT}{setRow!} &
+\cross{U16MAT}{setelt} &
+\cross{U16MAT}{setsubMatrix!} &
+\cross{U16MAT}{size?} \\
+\cross{U16MAT}{square?} &
+\cross{U16MAT}{squareTop} &
+\cross{U16MAT}{subMatrix} &
+\cross{U16MAT}{swapColumns!} \\
+\cross{U16MAT}{swapRows!} &
+\cross{U16MAT}{symmetric?} &
+\cross{U16MAT}{transpose} &
+\cross{U16MAT}{vertConcat} \\
+\cross{U16MAT}{zero} &
+\end{tabular} 
+
+\begin{chunk}{domain U16MAT U16Matrix}
+)abbrev domain U16MAT U16Matrix
+++ Description: This is a low-level domain which implements matrices
+++ (two dimensional arrays) of 16-bit integers.
+++ Indexing is 0 based, there is no bound checking (unless
+++ provided by lower level).
+U16Matrix : MatrixCategory(Integer,
+                         U16Vector,
+                         U16Vector) with
+    qnew : (Integer, Integer) -> %
+      ++ qnew(n, m) creates a new n by m matrix of zeros.
+      ++
+      ++X qnew(3,4)$U16Matrix()
+  == add
+
+    R ==> Integer
+
+    Qelt2    ==> AREF2U16$Lisp
+    Qsetelt2 ==> SETAREF2U16$Lisp
+    Qnrows   ==> ANROWSU16$Lisp
+    Qncols   ==> ANCOLSU16$Lisp
+    Qnew     ==> MAKEMATRIXU16$Lisp
+    Qnew1    ==> MAKEMATRIX1U16$Lisp
+
+    minRowIndex x == 0
+    minColIndex x == 0
+    nrows x == Qnrows(x)
+    ncols x == Qncols(x)
+    maxRowIndex x == Qnrows(x) - 1
+    maxColIndex x == Qncols(x) - 1
+
+    qelt(m, i, j) == Qelt2(m, i, j)
+    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
+    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
+    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
+
+    empty() == Qnew(0$Integer, 0$Integer)
+    qnew(rows, cols) == Qnew(rows, cols)
+    new(rows, cols, a) == Qnew1(rows, cols, a)
+
+\end{chunk}
+\begin{chunk}{U16MAT.dotabb}
+"U16MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U16MAT"]
+"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
+"U16MAT" -> "MATCAT"
+
+\end{chunk}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain U32MAT U32Matrix}
 
 \begin{chunk}{U32Matrix.input}
@@ -142622,6 +142859,7 @@ U32Matrix examples
 ====================================================================
 
 See Also:
+o )show U16Matrix
 o )show U32Matrix
 
 \end{chunk}
@@ -142716,9 +142954,9 @@ U32Matrix : MatrixCategory(Integer,
                          U32Vector,
                          U32Vector) with
     qnew : (Integer, Integer) -> %
-      ++ qnew(n, m) creates a new uninitialized n by m matrix.
+      ++ qnew(n, m) creates a new n by m matrix of zeros.
       ++
-      ++X qnew(3,4)
+      ++X qnew(3,4)$U32Matrix()
   == add
 
     R ==> Integer
@@ -154079,10 +154317,11 @@ Note that this code is not included in the generated catdef.spad file.
 \getchunk{domain UTSZ UnivariateTaylorSeriesCZero}
 \getchunk{domain UNISEG UniversalSegment}
 
+\getchunk{domain U16MAT U16Matrix}
+\getchunk{domain U32MAT U32Matrix}
 \getchunk{domain U8VEC U8Vector}
 \getchunk{domain U16VEC U16Vector}
 \getchunk{domain U32VEC U32Vector}
-\getchunk{domain U32MAT U32Matrix}
 \getchunk{domain VARIABLE Variable}
 \getchunk{domain VECTOR Vector}
 \getchunk{domain VOID Void}
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index d8d132a..b9ef07f 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -24644,10 +24644,11 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|UniversalSegment| . UNISEG)
    (|UniversalSegmentFunctions2| . UNISEG2)
    (|UserDefinedVariableOrdering| . UDVO)
+   (|U16Matrix| . U16MAT)
+   (|U32Matrix| . U32MAT)
    (|U8Vector| . U8VEC)
    (|U16Vector| . U16VEC)
    (|U32Vector| . U32VEC)
-   (|U32Matrix| . U32MAT)
    (|Vector| . VECTOR)
    (|VectorFunctions2| . VECTOR2)
    (|ViewDefaultsPackage| . VIEWDEF)
@@ -39408,6 +39409,52 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
+\section{U16Matrix}
+
+\defmacro{aref2U16}
+\begin{chunk}{defmacro aref2U16}
+(defmacro aref2U16 (v i j)
+ `(aref (the (simple-array (unsigned-byte 16) (* *)) ,v) ,i ,j))
+
+\end{chunk}
+
+\defmacro{setAref2U16}
+\begin{chunk}{defmacro setAref2U16}
+(defmacro setAref2U16 (v i j s)
+ `(setf (aref (the (simple-array (unsigned-byte 16) (* *)) ,v) ,i ,j), s))
+
+\end{chunk}
+
+\defmacro{anrowsU16}
+\begin{chunk}{defmacro anrowsU16}
+(defmacro anrowsU16 (v)
+ `(array-dimension (the (simple-array (unsigned-byte 16) (* *)) ,v) 0))
+
+\end{chunk}
+
+\defmacro{ancolsU16}
+\begin{chunk}{defmacro ancolsU16}
+(defmacro ancolsU16 (v)
+ `(array-dimension (the (simple-array (unsigned-byte 16) (* *)) ,v) 1))
+
+\end{chunk}
+
+\defmacro{makeMatrixU16}
+\begin{chunk}{defmacro makeMatrixU16}
+(defmacro makeMatrixU16 (n m)
+ `(make-array (list ,n ,m) :element-type '(unsigned-byte 16)
+                           :initial-element 0))
+
+\end{chunk}
+
+\defmacro{makeMatrix1U16}
+\begin{chunk}{defmacro makeMatrix1U16}
+(defmacro makeMatrix1U16 (n m s)
+ `(make-array (list ,n ,m) :element-type '(unsigned-byte 16)
+                           :initial-element ,s))
+
+\end{chunk}
+
 \section{DirectProduct}
 \defun{vec2list}{vec2list}
 \begin{chunk}{defun vec2list}
@@ -43902,8 +43949,11 @@ This needs to work off the internal exposure list, not the file.
 
 ;;; above level 0 macros
 
+\getchunk{defmacro ancolsU16}
 \getchunk{defmacro ancolsU32}
+\getchunk{defmacro anrowsU16}
 \getchunk{defmacro anrowsU32}
+\getchunk{defmacro aref2U16}
 \getchunk{defmacro aref2U32}
 \getchunk{defmacro assq}
 \getchunk{defmacro bvec-setelt}
@@ -43965,6 +44015,8 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defmacro make-double-matrix1}
 \getchunk{defmacro make-double-vector}
 \getchunk{defmacro make-double-vector1}
+\getchunk{defmacro makeMatrixU16}
+\getchunk{defmacro makeMatrix1U16}
 \getchunk{defmacro makeMatrixU32}
 \getchunk{defmacro makeMatrix1U32}
 \getchunk{defmacro qvlenU8}
@@ -43972,6 +44024,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defmacro qvlenU32}
 \getchunk{defmacro Rest}
 \getchunk{defmacro startsId?}
+\getchunk{defmacro setAref2U16}
 \getchunk{defmacro setAref2U32}
 \getchunk{defmacro seteltU8}
 \getchunk{defmacro seteltU16}
diff --git a/books/ps/v103u16matrix.eps b/books/ps/v103u16matrix.eps
new file mode 100644
index 0000000..a13c031
--- /dev/null
+++ b/books/ps/v103u16matrix.eps
@@ -0,0 +1,278 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: graphviz version 2.26.3 (20100126.1600)
+%%Title: pic
+%%Pages: 1
+%%BoundingBox: 36 36 118 152
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 118 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 82 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 41 translate
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+79 112 lineto
+79 -5 lineto
+closepath fill
+1 setlinewidth
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+79 112 lineto
+79 -5 lineto
+closepath stroke
+% U16MAT
+gsave
+[ /Rect [ 0 72 74 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=U16MAT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.27273 0.73333 1 nodecolor
+newpath 74 108 moveto
+0 108 lineto
+0 72 lineto
+74 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.27273 0.73333 1 nodecolor
+newpath 74 108 moveto
+0 108 lineto
+0 72 lineto
+74 72 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+7.5 86.4 moveto 59 (U16MAT) alignedtext
+grestore
+% MATCAT
+gsave
+[ /Rect [ 0 0 74 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.2.pdf#nameddest=MATCAT) >>
+  /Subtype /Link
+/ANN pdfmark
+0.60606 0.73333 1 nodecolor
+newpath 74 36 moveto
+0 36 lineto
+0 0 lineto
+74 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.60606 0.73333 1 nodecolor
+newpath 74 36 moveto
+0 36 lineto
+0 0 lineto
+74 0 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+8 14.4 moveto 58 (MATCAT) alignedtext
+grestore
+% U16MAT->MATCAT
+gsave
+1 setlinewidth
+0 0 0 edgecolor
+newpath 37 71.83 moveto
+37 64.13 37 54.97 37 46.42 curveto
+stroke
+0 0 0 edgecolor
+newpath 40.5 46.41 moveto
+37 36.41 lineto
+33.5 46.41 lineto
+closepath fill
+1 setlinewidth
+solid
+0 0 0 edgecolor
+newpath 40.5 46.41 moveto
+37 36.41 lineto
+33.5 46.41 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index b04e6c1..66a526e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,16 @@
+20130226 tpd src/axiom-website/patches.html 20130226.02.tpd.patch
+20130226 tpd books/ps/v103u16matrix.eps added
+20130226 tpd books/bookvol10.3 add U16Matrix
+20130226 tpd books/bookvol5 support for U16Matrix
+20130226 tpd src/algebra/Makefile add U16Matrix
+20130226 tpd src/input/machinearithmetic.input add U16Matrix
+20130226 tpd src/share/algebra/dependents.daase updated
+20130226 tpd src/share/algebra/users.daase updated
+20130226 tpd src/share/algebra/operation.daase updated
+20130226 tpd src/share/algebra/interp.daase updated
+20130226 tpd src/share/algebra/compress.daase updated
+20130226 tpd src/share/algebra/category.daase updated
+20130226 tpd src/share/algebra/browse.daase updated
 20130226 tpd src/axiom-website/patches.html 20130226.01.tpd.patch
 20130226 tpd books/bookvol10.4 comment out bad code in GUESS
 20130225 tpd src/axiom-website/patches.html 20130225.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index cfe129b..a7d5082 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -4881,7 +4881,7 @@ LAYER9=\
   ${OUT}/LODO1.o    ${OUT}/LODO2.o    ${OUT}/LPOLY.o   \
   ${OUT}/LSMP.o     ${OUT}/LSMP1.o    ${OUT}/MATCAT2.o  \
   ${OUT}/PROJPL.o   ${OUT}/PTCAT.o    ${OUT}/STRICAT.o  ${OUT}/TRIMAT.o  \
-  ${OUT}/U32MAT.o \
+  ${OUT}/U16MAT.o   ${OUT}/U32MAT.o \
   layer9done
 
 @
@@ -5116,6 +5116,19 @@ LAYER9=\
 /*"ULSCAT" -> {"TRANFUN"; "TRIGCAT"; "ATRIG"; "HYPCAT"; "AHYP"}*/
 /*"ULSCAT" -> {"ELEMFUN"; "FIELD"; "DIVRING"}*/
 
+"U16MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U16MAT"]
+"U16MAT" -> "MATCAT"
+/*"U16MAT" -> {"ARR2CAT"; "HOAGG"; "AGG"; "TYPE"; "SETCAT"; "BASTYPE"}*/
+/*"U16MAT" -> {"KOERCE"; "EVALAB"; "IEVALAB"; "INS"; "UFD"; "GCDDOM"}*/
+/*"U16MAT" -> {"INTDOM"; "COMRING"; "RING"; "RNG"; "ABELGRP"; "CABMON"}*/
+/*"U16MAT" -> {"ABELMON"; "ABELSG"; "SGROUP"; "MONOID"; "LMODULE"}*/
+/*"U16MAT" -> {"BMODULE"; "RMODULE"; "ALGEBRA"; "MODULE"; "ENTIRER"}*/
+/*"U16MAT" -> {"EUCDOM"; "PID"; "OINTDOM"; "ORDRING"; "OAGROUP"}*/
+/*"U16MAT" -> {"OCAMON"; "OAMON"; "OASGP"; "ORDSET"; "DIFRING"}*/
+/*"U16MAT" -> {"KONVERT"; "RETRACT"; "LINEXP"; "PATMAB"; "CFCAT"; "REAL"}*/
+/*"U16MAT" -> {"CHARZ"; "STEP"; "A1AGG"; "FLAGG"; "LNAGG"; "IXAGG"}*/
+/*"U16MAT" -> {"ELTAGG"; "ELTAB"; "CLAGG"; "INT"; "OM"; "FIELD"; "DIVRING"}*/
+
 "U32MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U32MAT"]
 "U32MAT" -> "MATCAT"
 /*"U32MAT" -> {"ARR2CAT"; "HOAGG"; "AGG"; "TYPE"; "SETCAT"; "BASTYPE"}*/
@@ -18370,6 +18383,10 @@ REGRESS= \
  UnivariateTaylorSeriesCZero.regress \
  UnivariateTaylorSeriesCategory.regress \
  UniversalSegment.regress \
+ U16Matrix.regress \
+ U32Matrix.regress \
+ U8Vector.regress \
+ U16Vector.regress \
  U32Vector.regress \
  Variable.regress \
  Vector.regress \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a229b84..b6e75e2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3989,5 +3989,7 @@ buglist add 7233: fill! operation from U8Vector does not show up
 books/bookvol10.3 add U32Matrix
 <a href="patches/20130226.01.tpd.patch">20130226.01.tpd.patch</a>
 books/bookvol10.4 comment out bad code in GUESS
+<a href="patches/20130226.02.tpd.patch">20130226.02.tpd.patch</a>
+books/bookvol10.3 add U16Matrix
  </body>
 </html>
diff --git a/src/input/machinearithmetic.input.pamphlet b/src/input/machinearithmetic.input.pamphlet
index 56fd17b..eb8b768 100644
--- a/src/input/machinearithmetic.input.pamphlet
+++ b/src/input/machinearithmetic.input.pamphlet
@@ -18,241 +18,261 @@
 )set message auto off
 )clear all
  
---S 1 of 34
+--S 1 of 35
 t1:=empty()$U32Vector
 --R
 --R   (1)  []
 --R                                                              Type: U32Vector
 --E 1
 
---S 2 of 34
+--S 2 of 35
 t2:=new(10,10)$U32Vector
 --R
 --R   (2)  [10,10,10,10,10,10,10,10,10,10]
 --R                                                              Type: U32Vector
 --E 2
 
---S 3 of 34
+--S 3 of 35
 t3:=qelt(t2,2)
 --R
 --R   (3)  10
 --R                                                        Type: PositiveInteger
 --E 3
 
---S 4 of 34
+--S 4 of 35
 t4:=elt(t2,2)
 --R
 --R   (4)  10
 --R                                                        Type: PositiveInteger
 --E 4
 
---S 5 of 34
+--S 5 of 35
 t5:=t2.2
 --R
 --R   (5)  10
 --R                                                        Type: PositiveInteger
 --E 5
 
---S 6 of 34
+--S 6 of 35
 t6:=qsetelt!(t2,2,5)
 --R
 --R   (6)  5
 --R                                                        Type: PositiveInteger
 --E 6
 
---S 7 of 34
+--S 7 of 35
 t2.2
 --R
 --R   (7)  5
 --R                                                        Type: PositiveInteger
 --E 7
 
---S 8 of 34
+--S 8 of 35
 t7:=setelt(t2,3,6)
 --R
 --R   (8)  6
 --R                                                        Type: PositiveInteger
 --E 8
 
---S 9 of 34
+--S 9 of 35
 t2.3
 --R
 --R   (9)  6
 --R                                                        Type: PositiveInteger
 --E 9
 
---S 10 of 34
+--S 10 of 35
 #t2
 --R
 --R   (10)  10
 --R                                                        Type: PositiveInteger
 --E 10
 
---S 11 of 34
+--S 11 of 35
 t8:=fill!(t2,7)
 --R
 --R   (11)  [7,7,7,7,7,7,7,7,7,7]
 --R                                                              Type: U32Vector
 --E 11
 
---S 12 of 34
+--S 12 of 35
 ta:=empty()$U16Vector
 --R
 --R   (12)  []
 --R                                                              Type: U16Vector
 --E 12
 
---S 13 of 34
+--S 13 of 35
 tb:=new(10,10)$U16Vector
 --R
 --R   (13)  [10,10,10,10,10,10,10,10,10,10]
 --R                                                              Type: U16Vector
 --E 13
 
---S 14 of 34
+--S 14 of 35
 tc:=qelt(tb,2)
 --R
 --R   (14)  10
 --R                                                        Type: PositiveInteger
 --E 14
 
---S 15 of 34
+--S 15 of 35
 td:=elt(tb,2)
 --R
 --R   (15)  10
 --R                                                        Type: PositiveInteger
 --E 15
 
---S 16 of 34
+--S 16 of 35
 te:=tb.2
 --R
 --R   (16)  10
 --R                                                        Type: PositiveInteger
 --E 16
 
---S 17 of 34
+--S 17 of 35
 tf:=qsetelt!(tb,2,5)
 --R
 --R   (17)  5
 --R                                                        Type: PositiveInteger
 --E 17
 
---S 18 of 34
+--S 18 of 35
 tb.2
 --R
 --R   (18)  5
 --R                                                        Type: PositiveInteger
 --E 18
 
---S 19 of 34
+--S 19 of 35
 tg:=setelt(tb,3,6)
 --R
 --R   (19)  6
 --R                                                        Type: PositiveInteger
 --E 19
 
---S 20 of 34
+--S 20 of 35
 tb.3
 --R
 --R   (20)  6
 --R                                                        Type: PositiveInteger
 --E 20
 
---S 21 of 34
+--S 21 of 35
 #tb
 --R
 --R   (21)  10
 --R                                                        Type: PositiveInteger
 --E 21
 
---S 22 of 34
+--S 22 of 35
 th:=fill!(tb,7)
 --R
 --R   (22)  [7,7,7,7,7,7,7,7,7,7]
 --R                                                              Type: U16Vector
 --E 22
 
---S 23 of 34
+--S 23 of 35
 t1a:=empty()$U8Vector
 --R
 --R   (23)  []
 --R                                                               Type: U8Vector
 --E 23
 
---S 24 of 34
+--S 24 of 35
 t1b:=new(10,10)$U8Vector
 --R
 --R   (24)  [10,10,10,10,10,10,10,10,10,10]
 --R                                                               Type: U8Vector
 --E 24
 
---S 25 of 34
+--S 25 of 35
 t1c:=qelt(t1b,2)
 --R
 --R   (25)  10
 --R                                                        Type: PositiveInteger
 --E 25
 
---S 26 of 34
+--S 26 of 35
 t1d:=elt(t1b,2)
 --R
 --R   (26)  10
 --R                                                        Type: PositiveInteger
 --E 26
 
---S 27 of 34
+--S 27 of 35
 t1e:=t1b.2
 --R
 --R   (27)  10
 --R                                                        Type: PositiveInteger
 --E 27
 
---S 28 of 34
+--S 28 of 35
 t1f:=qsetelt!(t1b,2,5)
 --R
 --R   (28)  5
 --R                                                        Type: PositiveInteger
 --E 28
 
---S 29 of 34
+--S 29 of 35
 t1b.2
 --R
 --R   (29)  5
 --R                                                        Type: PositiveInteger
 --E 29
 
---S 30 of 34
+--S 30 of 35
 t1g:=setelt(t1b,3,6)
 --R
 --R   (30)  6
 --R                                                        Type: PositiveInteger
 --E 30
 
---S 31 of 34
+--S 31 of 35
 t1b.3
 --R
 --R   (31)  6
 --R                                                        Type: PositiveInteger
 --E 31
 
---S 32 of 34
+--S 32 of 35
 #t1b
 --R
 --R   (32)  10
 --R                                                        Type: PositiveInteger
 --E 32
 
---S 33 of 34
+--S 33 of 35
 t1h:=fill!(t1b,7)
 --R
 --R   (33)  [7,7,7,7,7,7,7,7,7,7]
 --R                                                               Type: U8Vector
 --E 33
 
---S 34 of 34
+--S 34 of 35
 v32:=qnew(3,4)$U32Matrix()
+--R 
+--R
+--R         +0  0  0  0+
+--R         |          |
+--R   (34)  |0  0  0  0|
+--R         |          |
+--R         +0  0  0  0+
+--R                                                              Type: U32Matrix
 --E 34
 
+--S 35 of 35
+v32:=qnew(3,4)$U16Matrix()
+--R 
+--R
+--R         +0  0  0  0+
+--R         |          |
+--R   (35)  |0  0  0  0|
+--R         |          |
+--R         +0  0  0  0+
+--R                                                              Type: U16Matrix
+--E 35
+
 )spool 
 )lisp (bye)
  
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index ae720ff..bb14311 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,59 +1,59 @@
 
-(2472069 . 3524719204)       
+(2385209 . 3570849592)       
 (-18 A S) 
-((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically,{} these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property,{} that is,{} any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over,{} and access to,{} elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
+((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
 NIL 
 (-19 S) 
-((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically,{} these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property,{} that is,{} any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over,{} and access to,{} elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
 (-20 S) 
-((|constructor| (NIL "The class of abelian groups,{} \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{-(-x) = x}\\spad{\\br} \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x}."))) 
+((|constructor| (NIL "The class of abelian groups, \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\br \\tab{5}\\spad{-(-x) = x}\\br \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x.}"))) 
 NIL 
 NIL 
 (-21) 
-((|constructor| (NIL "The class of abelian groups,{} \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{-(-x) = x}\\spad{\\br} \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x}."))) 
+((|constructor| (NIL "The class of abelian groups, \\spadignore{i.e.} additive monoids where each element has an additive inverse. \\blankline Axioms\\br \\tab{5}\\spad{-(-x) = x}\\br \\tab{5}\\spad{x+(-x) = 0}")) (* (($ (|Integer|) $) "\\spad{n*x} is the product of \\spad{x} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x-y} is the difference of \\spad{x} and \\spad{y} \\spadignore{i.e.} \\spad{x + (-y)}.") (($ $) "\\spad{-x} is the additive inverse of \\spad{x.}"))) 
 NIL 
 NIL 
 (-22 S) 
-((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"+\":(\\%,{}\\%)->\\%,{}0)}\\tab{5}\\spad{ 0+x=x }\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"+\":(\\%,{}\\%)->\\%,{}0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * x} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
+((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{5}\\spad{ 0+x=x }\\br \\tab{5}\\spad{rightIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * \\spad{x}} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
 NIL 
 NIL 
 (-23) 
-((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"+\":(\\%,{}\\%)->\\%,{}0)}\\tab{5}\\spad{ 0+x=x }\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"+\":(\\%,{}\\%)->\\%,{}0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * x} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
+((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with an additive identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{5}\\spad{ 0+x=x }\\br \\tab{5}\\spad{rightIdentity(\"+\":(\\%,\\%)->\\%,0)}\\tab{4}\\spad{ x+0=x }")) (* (($ (|NonNegativeInteger|) $) "\\spad{n * \\spad{x}} is left-multiplication by a non negative integer")) (|zero?| (((|Boolean|) $) "\\spad{zero?(x)} tests if \\spad{x} is equal to 0.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|Zero|) (($) "0 is the additive identity element."))) 
 NIL 
 NIL 
 (-24 S) 
-((|constructor| (NIL "The class of all additive (commutative) semigroups,{} \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"+\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\spad{\\br} \\tab{6}\\spad{commutative(\"+\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x+y = y+x }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n}. This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y}."))) 
+((|constructor| (NIL "The class of all additive (commutative) semigroups, \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\br \\tab{6}\\spad{commutative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x+y = \\spad{y+x} }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n.} This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
 (-25) 
-((|constructor| (NIL "The class of all additive (commutative) semigroups,{} \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"+\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\spad{\\br} \\tab{6}\\spad{commutative(\"+\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x+y = y+x }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n}. This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y}."))) 
+((|constructor| (NIL "The class of all additive (commutative) semigroups, \\spadignore{i.e.} a set with a commutative and associative operation \\spadop{+}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x+y)+z = x+(y+z) }\\br \\tab{6}\\spad{commutative(\"+\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x+y = \\spad{y+x} }")) (* (($ (|PositiveInteger|) $) "\\spad{n*x} computes the left-multiplication of \\spad{x} by the positive integer \\spad{n.} This is equivalent to adding \\spad{x} to itself \\spad{n} times.")) (+ (($ $ $) "\\spad{x+y} computes the sum of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
 (-26 S) 
-((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)"))) 
+((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
 NIL 
 NIL 
 (-27) 
-((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{The \\spad{yi}\\spad{'s} are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible,{} \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^2+2*x-13 \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(\\spad{p},{} \\spad{y}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a,{}\\spad{x})") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(\\spad{p}) returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}.} \\indented{1}{Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(\\spad{p},{} \\spad{y}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a,{}\\spad{x})") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} a:SparseUnivariatePolynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(\\spad{p}) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y}.} \\blankline \\spad{X} a:Polynomial(Integer)\\spad{:=}-3*x^3+2*x+13 \\spad{X} rootOf(a)"))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "Model for algebraically closed fields.")) (|zerosOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zerosOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities} \\indented{1}{which display as \\spad{'yi}.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible, and otherwise} \\indented{1}{as implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zerosOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{zerosOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{The yi's are expressed in radicals if possible.} \\indented{1}{Otherwise they are implicit algebraic quantities.} \\indented{1}{The returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zerosOf(a)")) (|zeroOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{zeroOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity which} \\indented{1}{displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0};} \\indented{1}{if possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} zeroOf(a)") (($ (|Polynomial| $)) "\\indented{1}{zeroOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{If possible, \\spad{y} is expressed in terms of radicals.} \\indented{1}{Otherwise it is an implicit algebraic quantity.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^2+2*x-13} \\spad{X} zeroOf(a)")) (|rootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootsOf(p, \\spad{y)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0};} \\indented{1}{The returned roots display as \\spad{'y1},...,\\spad{'yn}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a,x)") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the interpreter} \\indented{1}{to respective root values.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)") (((|List| $) (|Polynomial| $)) "\\indented{1}{rootsOf(p) returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}.} \\indented{1}{Note that the returned symbols y1,...,yn are bound in the} \\indented{1}{interpreter to respective root values.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootsOf(a)")) (|rootOf| (($ (|SparseUnivariatePolynomial| $) (|Symbol|)) "\\indented{1}{rootOf(p, \\spad{y)} returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{The object returned displays as \\spad{'y}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a,x)") (($ (|SparseUnivariatePolynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\blankline \\spad{X} \\spad{a:SparseUnivariatePolynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)") (($ (|Polynomial| $)) "\\indented{1}{rootOf(p) returns \\spad{y} such that \\spad{p(y) = 0}.} \\indented{1}{Error: if \\spad{p} has more than one variable \\spad{y.}} \\blankline \\spad{X} \\spad{a:Polynomial(Integer):=-3*x^3+2*x+13} \\spad{X} rootOf(a)"))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-28 S R) 
-((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}. Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y}.")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,{}y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y}."))) 
+((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
 NIL 
 NIL 
 (-29 R) 
-((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible,{} and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}. The \\spad{yi}\\spad{'s} are expressed in radicals if possible. The returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,{}and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; The returned roots display as \\spad{'y1},{}...,{}\\spad{'yn}. Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p,{} y)} returns \\spad{[y1,{}...,{}yn]} such that \\spad{p(\\spad{yi}) = 0}; Note that the returned symbols \\spad{y1},{}...,{}\\spad{yn} are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y}.")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,{}y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y}."))) 
-((-4532 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4528 . T) (-4533 . T) (-4527 . T) (-2982 . T)) 
+((|constructor| (NIL "Model for algebraically closed function spaces.")) (|zerosOf| (((|List| $) $ (|Symbol|)) "\\spad{zerosOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible, and otherwise as implicit algebraic quantities which display as \\spad{'yi}. The returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{zerosOf(p)} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}. The yi's are expressed in radicals if possible. The returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable.")) (|zeroOf| (($ $ (|Symbol|)) "\\spad{zeroOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity which displays as \\spad{'y}.") (($ $) "\\spad{zeroOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. The value \\spad{y} is expressed in terms of radicals if possible,and otherwise as an implicit algebraic quantity. Error: if \\spad{p} has more than one variable.")) (|rootsOf| (((|List| $) $ (|Symbol|)) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; The returned roots display as \\spad{'y1},...,\\spad{'yn}. Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values.") (((|List| $) $) "\\spad{rootsOf(p, \\spad{y)}} returns \\spad{[y1,...,yn]} such that \\spad{p(yi) = 0}; Note that the returned symbols y1,...,yn are bound in the interpreter to respective root values. Error: if \\spad{p} has more than one variable \\spad{y.}")) (|rootOf| (($ $ (|Symbol|)) "\\spad{rootOf(p,y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}.") (($ $) "\\spad{rootOf(p)} returns \\spad{y} such that \\spad{p(y) = 0}. Error: if \\spad{p} has more than one variable \\spad{y.}"))) 
+((-4568 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4317 . T)) 
 NIL 
 (-30) 
-((|constructor| (NIL "Plot a NON-SINGULAR plane algebraic curve \\spad{p}(\\spad{x},{}\\spad{y}) = 0.")) (|refine| (($ $ (|DoubleFloat|)) "\\indented{1}{refine(\\spad{p},{}\\spad{x}) is not documented} \\blankline \\spad{X} sketch:=makeSketch(x+y,{}\\spad{x},{}\\spad{y},{}\\spad{-1/2}..1/2,{}\\spad{-1/2}..1/2)\\$ACPLOT \\spad{X} refined:=refine(sketch,{}0.1)")) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) "\\indented{1}{makeSketch(\\spad{p},{}\\spad{x},{}\\spad{y},{}a..\\spad{b},{}\\spad{c}..\\spad{d}) creates an ACPLOT of the} \\indented{1}{curve \\spad{p = 0} in the region a \\spad{<=} \\spad{x} \\spad{<=} \\spad{b},{} \\spad{c} \\spad{<=} \\spad{y} \\spad{<=} \\spad{d}.} \\indented{1}{More specifically,{} 'makeSketch' plots a non-singular algebraic curve} \\indented{1}{\\spad{p = 0} in an rectangular region xMin \\spad{<=} \\spad{x} \\spad{<=} xMax,{}} \\indented{1}{yMin \\spad{<=} \\spad{y} \\spad{<=} yMax. The user inputs} \\indented{1}{\\spad{makeSketch(p,{}x,{}y,{}xMin..xMax,{}yMin..yMax)}.} \\indented{1}{Here \\spad{p} is a polynomial in the variables \\spad{x} and \\spad{y} with} \\indented{1}{integer coefficients (\\spad{p} belongs to the domain} \\indented{1}{\\spad{Polynomial Integer}). The case} \\indented{1}{where \\spad{p} is a polynomial in only one of the variables is} \\indented{1}{allowed.\\space{2}The variables \\spad{x} and \\spad{y} are input to specify the} \\indented{1}{the coordinate axes.\\space{2}The horizontal axis is the \\spad{x}-axis and} \\indented{1}{the vertical axis is the \\spad{y}-axis.\\space{2}The rational numbers} \\indented{1}{xMin,{}...,{}yMax specify the boundaries of the region in} \\indented{1}{which the curve is to be plotted.} \\blankline \\spad{X} makeSketch(x+y,{}\\spad{x},{}\\spad{y},{}\\spad{-1/2}..1/2,{}\\spad{-1/2}..1/2)\\$ACPLOT"))) 
+((|constructor| (NIL "Plot a NON-SINGULAR plane algebraic curve p(x,y) = 0.")) (|refine| (($ $ (|DoubleFloat|)) "\\indented{1}{refine(p,x) is not documented} \\blankline \\spad{X} sketch:=makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT \\spad{X} refined:=refine(sketch,0.1)")) (|makeSketch| (($ (|Polynomial| (|Integer|)) (|Symbol|) (|Symbol|) (|Segment| (|Fraction| (|Integer|))) (|Segment| (|Fraction| (|Integer|)))) "\\indented{1}{makeSketch(p,x,y,a..b,c..d) creates an ACPLOT of the} \\indented{1}{curve \\spad{p = 0} in the region a \\spad{<=} \\spad{x} \\spad{<=} \\spad{b,} \\spad{c} \\spad{<=} \\spad{y} \\spad{<=} \\spad{d.}} \\indented{1}{More specifically, 'makeSketch' plots a non-singular algebraic curve} \\indented{1}{\\spad{p = 0} in an rectangular region xMin \\spad{<=} \\spad{x} \\spad{<=} xMax,} \\indented{1}{yMin \\spad{<=} \\spad{y} \\spad{<=} yMax. The user inputs} \\indented{1}{\\spad{makeSketch(p,x,y,xMin..xMax,yMin..yMax)}.} \\indented{1}{Here \\spad{p} is a polynomial in the variables \\spad{x} and \\spad{y} with} \\indented{1}{integer coefficients \\spad{(p} belongs to the domain} \\indented{1}{\\spad{Polynomial Integer}). The case} \\indented{1}{where \\spad{p} is a polynomial in only one of the variables is} \\indented{1}{allowed.\\space{2}The variables \\spad{x} and \\spad{y} are input to specify the} \\indented{1}{the coordinate axes.\\space{2}The horizontal axis is the x-axis and} \\indented{1}{the vertical axis is the y-axis.\\space{2}The rational numbers} \\indented{1}{xMin,...,yMax specify the boundaries of the region in} \\indented{1}{which the curve is to be plotted.} \\blankline \\spad{X} makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT"))) 
 NIL 
 NIL 
 (-31 K |symb| |PolyRing| E |ProjPt|) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|affineRationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(\\spad{f},{}\\spad{d})} returns all points on the curve \\axiom{\\spad{f}} in the extension of the ground field of degree \\axiom{\\spad{d}}. For \\axiom{\\spad{d} > 1} this only works if \\axiom{\\spad{K}} is a \\axiomType{LocallyAlgebraicallyClosedField}"))) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|affineRationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(f,d)} returns all points on the curve \\axiom{f} in the extension of the ground field of degree \\axiom{d}. For \\axiom{d > 1} this only works if \\axiom{K} is a \\axiomType{LocallyAlgebraicallyClosedField}"))) 
 NIL 
 NIL 
 (-32 K |symb| |PolyRing| E |ProjPt|) 
@@ -68,280 +68,280 @@ NIL
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-35 -4391 K) 
+(-35 -4360 K) 
 ((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package"))) 
 NIL 
 NIL 
-(-36 R -1564) 
-((|constructor| (NIL "This package provides algebraic functions over an integral domain.")) (|iroot| ((|#2| |#1| (|Integer|)) "\\spad{iroot(p,{} n)} should be a non-exported function.")) (|definingPolynomial| ((|#2| |#2|) "\\spad{definingPolynomial(f)} returns the defining polynomial of \\spad{f} as an element of \\spad{F}. Error: if \\spad{f} is not a kernel.")) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{minPoly(k)} returns the defining polynomial of \\spad{k}.")) (** ((|#2| |#2| (|Fraction| (|Integer|))) "\\spad{x ** q} is \\spad{x} raised to the rational power \\spad{q}.")) (|droot| (((|OutputForm|) (|List| |#2|)) "\\spad{droot(l)} should be a non-exported function.")) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{inrootof(p,{} x)} should be a non-exported function.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is an algebraic operator,{} that is,{} an \\spad{n}th root or implicit algebraic operator.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}. Error: if \\spad{op} is not an algebraic operator,{} that is,{} an \\spad{n}th root or implicit algebraic operator.")) (|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) "\\spad{rootOf(p,{} y)} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}."))) 
+(-36 R -1647) 
+((|constructor| (NIL "This package provides algebraic functions over an integral domain.")) (|iroot| ((|#2| |#1| (|Integer|)) "\\spad{iroot(p, \\spad{n)}} should be a non-exported function.")) (|definingPolynomial| ((|#2| |#2|) "\\spad{definingPolynomial(f)} returns the defining polynomial of \\spad{f} as an element of \\spad{F}. Error: if \\spad{f} is not a kernel.")) (|minPoly| (((|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{minPoly(k)} returns the defining polynomial of \\spad{k}.")) (** ((|#2| |#2| (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{q}} is \\spad{x} raised to the rational power \\spad{q}.")) (|droot| (((|OutputForm|) (|List| |#2|)) "\\spad{droot(l)} should be a non-exported function.")) (|inrootof| ((|#2| (|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{inrootof(p, \\spad{x)}} should be a non-exported function.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}. Error: if \\spad{op} is not an algebraic operator, that is, an \\spad{n}th root or implicit algebraic operator.")) (|rootOf| ((|#2| (|SparseUnivariatePolynomial| |#2|) (|Symbol|)) "\\spad{rootOf(p, \\spad{y)}} returns \\spad{y} such that \\spad{p(y) = 0}. The object returned displays as \\spad{'y}."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-37 K) 
-((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,{}n)} test if the point is rational according to \\spad{n}.")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(\\spad{lp},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,{}n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n}) of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(\\spad{p},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,{}n)} returns p**n,{} that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,{}n)} returns the orbit of the point \\spad{p} according to \\spad{n},{} that is orbit(\\spad{p},{}\\spad{n}) = \\spad{\\{} \\spad{p},{} p**n,{} \\spad{p**}(\\spad{n**2}),{} \\spad{p**}(\\spad{n**3}),{} ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K},{} that is,{} for \\spad{q=} char \\spad{K},{} orbit(\\spad{p}) = \\spad{\\{} \\spad{p},{} p**q,{} \\spad{p**}(\\spad{q**2}),{} \\spad{p**}(\\spad{q**3}),{} ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a affine point.")) (|affinePoint| (($ (|List| |#1|)) "\\spad{affinePoint creates} a affine point from a list"))) 
+((|constructor| (NIL "The following is all the categories and domains related to projective space and part of the PAFF package")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a affine point.")) (|affinePoint| (($ (|List| |#1|)) "\\spad{affinePoint creates} a affine point from a list"))) 
 NIL 
 NIL 
 (-38 S) 
-((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate,{} designating any collection of objects,{} with heterogenous or homogeneous members,{} with a finite or infinite number of members,{} explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation \\spad{r}(\\spad{x})\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# u} returns the number of items in \\spad{u}.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,{}n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,{}n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,{}n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}\\$\\spad{D} creates an aggregate of type \\spad{D} with 0 elements. Note that The \\$\\spad{D} can be dropped if understood by context,{} \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of \\spad{u}. Note that for collections,{} \\axiom{copy(\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u}]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,{}v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
+((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4535))) 
+((|HasAttribute| |#1| (QUOTE -4571))) 
 (-39) 
-((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate,{} designating any collection of objects,{} with heterogenous or homogeneous members,{} with a finite or infinite number of members,{} explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation \\spad{r}(\\spad{x})\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# u} returns the number of items in \\spad{u}.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,{}n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,{}n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,{}n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}\\$\\spad{D} creates an aggregate of type \\spad{D} with 0 elements. Note that The \\$\\spad{D} can be dropped if understood by context,{} \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of \\spad{u}. Note that for collections,{} \\axiom{copy(\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u}]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,{}v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
-((-2982 . T)) 
+((|constructor| (NIL "The notion of aggregate serves to model any data structure aggregate, designating any collection of objects, with heterogenous or homogeneous members, with a finite or infinite number of members, explicitly or implicitly represented. An aggregate can in principle represent everything from a string of characters to abstract sets such as \"the set of \\spad{x} satisfying relation r(x)\" An attribute \\spadatt{finiteAggregate} is used to assert that a domain has a finite number of elements.")) (|#| (((|NonNegativeInteger|) $) "\\spad{# u} returns the number of items in u.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{size?(u,n)} tests if \\spad{u} has exactly \\spad{n} elements.")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{more?(u,n)} tests if \\spad{u} has greater than \\spad{n} elements.")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{less?(u,n)} tests if \\spad{u} has less than \\spad{n} elements.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(u)} tests if \\spad{u} has 0 elements.")) (|empty| (($) "\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}.")) (|copy| (($ $) "\\spad{copy(u)} returns a top-level (non-recursive) copy of u. Note that for collections, \\axiom{copy(u) \\spad{==} \\spad{[x} for \\spad{x} in u]}.")) (|eq?| (((|Boolean|) $ $) "\\spad{eq?(u,v)} tests if \\spad{u} and \\spad{v} are same objects."))) 
+((-4317 . T)) 
 NIL 
 (-40) 
-((|constructor| (NIL "Category for the inverse hyperbolic trigonometric functions.")) (|atanh| (($ $) "\\spad{atanh(x)} returns the hyperbolic arc-tangent of \\spad{x}.")) (|asinh| (($ $) "\\spad{asinh(x)} returns the hyperbolic arc-sine of \\spad{x}.")) (|asech| (($ $) "\\spad{asech(x)} returns the hyperbolic arc-secant of \\spad{x}.")) (|acsch| (($ $) "\\spad{acsch(x)} returns the hyperbolic arc-cosecant of \\spad{x}.")) (|acoth| (($ $) "\\spad{acoth(x)} returns the hyperbolic arc-cotangent of \\spad{x}.")) (|acosh| (($ $) "\\spad{acosh(x)} returns the hyperbolic arc-cosine of \\spad{x}."))) 
+((|constructor| (NIL "Category for the inverse hyperbolic trigonometric functions.")) (|atanh| (($ $) "\\spad{atanh(x)} returns the hyperbolic arc-tangent of \\spad{x.}")) (|asinh| (($ $) "\\spad{asinh(x)} returns the hyperbolic arc-sine of \\spad{x.}")) (|asech| (($ $) "\\spad{asech(x)} returns the hyperbolic arc-secant of \\spad{x.}")) (|acsch| (($ $) "\\spad{acsch(x)} returns the hyperbolic arc-cosecant of \\spad{x.}")) (|acoth| (($ $) "\\spad{acoth(x)} returns the hyperbolic arc-cotangent of \\spad{x.}")) (|acosh| (($ $) "\\spad{acosh(x)} returns the hyperbolic arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
 (-41 |Key| |Entry|) 
-((|constructor| (NIL "An association list is a list of key entry pairs which may be viewed as a table. It is a poor mans version of a table: searching for a key is a linear operation.")) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) "\\spad{assoc(k,{}u)} returns the element \\spad{x} in association list \\spad{u} stored with key \\spad{k},{} or \"failed\" if \\spad{u} has no key \\spad{k}."))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "An association list is a list of key entry pairs which may be viewed as a table. It is a poor mans version of a table: searching for a key is a linear operation.")) (|assoc| (((|Union| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) "failed") |#1| $) "\\spad{assoc(k,u)} returns the element \\spad{x} in association list \\spad{u} stored with key \\spad{k,} or \"failed\" if \\spad{u} has no key \\spad{k.}"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
 (-42 S R) 
-((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{(b+c)::\\% = (b::\\%) + (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(b*c)::\\% = (b::\\%) * (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(1::R)::\\% = 1::\\%}\\spad{\\br} \\tab{5}\\spad{b*x = (b::\\%)*x}\\spad{\\br} \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#2|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
+((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#2|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
 NIL 
 NIL 
 (-43 R) 
-((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{(b+c)::\\% = (b::\\%) + (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(b*c)::\\% = (b::\\%) * (c::\\%)}\\spad{\\br} \\tab{5}\\spad{(1::R)::\\% = 1::\\%}\\spad{\\br} \\tab{5}\\spad{b*x = (b::\\%)*x}\\spad{\\br} \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#1|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "The category of associative algebras (modules which are themselves rings). \\blankline Axioms\\br \\tab{5}\\spad{(b+c)::% = (b::\\%) + (c::\\%)}\\br \\tab{5}\\spad{(b*c)::% = (b::\\%) * (c::\\%)}\\br \\tab{5}\\spad{(1::R)::% = 1::%}\\br \\tab{5}\\spad{b*x = (b::\\%)*x}\\br \\tab{5}\\spad{r*(a*b) = (r*a)*b = a*(r*b)}")) (|coerce| (($ |#1|) "\\spad{coerce(r)} maps the ring element \\spad{r} to a member of the algebra."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-44 UP) 
-((|constructor| (NIL "Factorization of univariate polynomials with coefficients in \\spadtype{AlgebraicNumber}.")) (|doublyTransitive?| (((|Boolean|) |#1|) "\\spad{doublyTransitive?(p)} is \\spad{true} if \\spad{p} is irreducible over over the field \\spad{K} generated by its coefficients,{} and if \\spad{p(X) / (X - a)} is irreducible over \\spad{K(a)} where \\spad{p(a) = 0}.")) (|split| (((|Factored| |#1|) |#1|) "\\spad{split(p)} returns a prime factorisation of \\spad{p} over its splitting field.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p} over the field generated by its coefficients.") (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{} [a1,{}...,{}an])} returns a prime factorisation of \\spad{p} over the field generated by its coefficients and \\spad{a1},{}...,{}an."))) 
+((|constructor| (NIL "Factorization of univariate polynomials with coefficients in \\spadtype{AlgebraicNumber}.")) (|doublyTransitive?| (((|Boolean|) |#1|) "\\spad{doublyTransitive?(p)} is \\spad{true} if \\spad{p} is irreducible over over the field \\spad{K} generated by its coefficients, and if \\spad{p(X) / \\spad{(X} - a)} is irreducible over \\spad{K(a)} where \\spad{p(a) = 0}.")) (|split| (((|Factored| |#1|) |#1|) "\\spad{split(p)} returns a prime factorisation of \\spad{p} over its splitting field.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p} over the field generated by its coefficients.") (((|Factored| |#1|) |#1| (|List| (|AlgebraicNumber|))) "\\spad{factor(p, [a1,...,an])} returns a prime factorisation of \\spad{p} over the field generated by its coefficients and a1,...,an."))) 
 NIL 
 NIL 
-(-45 -1564 UP UPUP -3092) 
-((|constructor| (NIL "Function field defined by \\spad{f}(\\spad{x},{} \\spad{y}) = 0.")) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) "\\spad{knownInfBasis(n)} is not documented"))) 
-((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-2232 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-2232 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
-(-46 R -1564) 
-((|constructor| (NIL "AlgebraicManipulations provides functions to simplify and expand expressions involving algebraic operators.")) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) "\\spad{rootKerSimp(op,{}f,{}n)} should be local but conditional.")) (|rootSimp| ((|#2| |#2|) "\\spad{rootSimp(f)} transforms every radical of the form \\spad{(a * b**(q*n+r))**(1/n)} appearing in \\spad{f} into \\spad{b**q * (a * b**r)**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{b}.")) (|rootProduct| ((|#2| |#2|) "\\spad{rootProduct(f)} combines every product of the form \\spad{(a**(1/n))**m * (a**(1/s))**t} into a single power of a root of \\spad{a},{} and transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form.")) (|rootPower| ((|#2| |#2|) "\\spad{rootPower(f)} transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form if \\spad{m} and \\spad{n} have a common factor.")) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{ratPoly(f)} returns a polynomial \\spad{p} such that \\spad{p} has no algebraic coefficients,{} and \\spad{p(f) = 0}.")) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) "\\spad{ratDenom(f,{} [a1,{}...,{}an])} removes the \\spad{ai}\\spad{'s} which are algebraic from the denominators in \\spad{f}.") ((|#2| |#2| (|List| |#2|)) "\\spad{ratDenom(f,{} [a1,{}...,{}an])} removes the \\spad{ai}\\spad{'s} which are algebraic kernels from the denominators in \\spad{f}.") ((|#2| |#2| |#2|) "\\spad{ratDenom(f,{} a)} removes \\spad{a} from the denominators in \\spad{f} if \\spad{a} is an algebraic kernel.") ((|#2| |#2|) "\\spad{ratDenom(f)} rationalizes the denominators appearing in \\spad{f} by moving all the algebraic quantities into the numerators.")) (|rootSplit| ((|#2| |#2|) "\\spad{rootSplit(f)} transforms every radical of the form \\spad{(a/b)**(1/n)} appearing in \\spad{f} into \\spad{a**(1/n) / b**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{a} and \\spad{b}.")) (|coerce| (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(x)} \\undocumented")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(x)} \\undocumented")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(x)} \\undocumented"))) 
+(-45 -1647 UP UPUP -4138) 
+((|constructor| (NIL "Function field defined by f(x, \\spad{y)} = 0.")) (|knownInfBasis| (((|Void|) (|NonNegativeInteger|)) "\\spad{knownInfBasis(n)} is not documented"))) 
+((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-1929 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-1929 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
+(-46 R -1647) 
+((|constructor| (NIL "AlgebraicManipulations provides functions to simplify and expand expressions involving algebraic operators.")) (|rootKerSimp| ((|#2| (|BasicOperator|) |#2| (|NonNegativeInteger|)) "\\spad{rootKerSimp(op,f,n)} should be local but conditional.")) (|rootSimp| ((|#2| |#2|) "\\spad{rootSimp(f)} transforms every radical of the form \\spad{(a * b**(q*n+r))**(1/n)} appearing in \\spad{f} into \\spad{b**q * (a * b**r)**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{b.}")) (|rootProduct| ((|#2| |#2|) "\\spad{rootProduct(f)} combines every product of the form \\spad{(a**(1/n))**m * (a**(1/s))**t} into a single power of a root of \\spad{a}, and transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form.")) (|rootPower| ((|#2| |#2|) "\\spad{rootPower(f)} transforms every radical power of the form \\spad{(a**(1/n))**m} into a simpler form if \\spad{m} and \\spad{n} have a common factor.")) (|ratPoly| (((|SparseUnivariatePolynomial| |#2|) |#2|) "\\spad{ratPoly(f)} returns a polynomial \\spad{p} such that \\spad{p} has no algebraic coefficients, and \\spad{p(f) = 0}.")) (|ratDenom| ((|#2| |#2| (|List| (|Kernel| |#2|))) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic from the denominators in \\spad{f.}") ((|#2| |#2| (|List| |#2|)) "\\spad{ratDenom(f, [a1,...,an])} removes the ai's which are algebraic kernels from the denominators in \\spad{f.}") ((|#2| |#2| |#2|) "\\spad{ratDenom(f, a)} removes \\spad{a} from the denominators in \\spad{f} if \\spad{a} is an algebraic kernel.") ((|#2| |#2|) "\\spad{ratDenom(f)} rationalizes the denominators appearing in \\spad{f} by moving all the algebraic quantities into the numerators.")) (|rootSplit| ((|#2| |#2|) "\\spad{rootSplit(f)} transforms every radical of the form \\spad{(a/b)**(1/n)} appearing in \\spad{f} into \\spad{a**(1/n) / b**(1/n)}. This transformation is not in general valid for all complex numbers \\spad{a} and \\spad{b.}")) (|coerce| (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(x)} \\undocumented")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(x)} \\undocumented")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -433) (|devaluate| |#1|))))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -433) (|devaluate| |#1|))))) 
 (-47 OV E P) 
-((|constructor| (NIL "This package factors multivariate polynomials over the domain of \\spadtype{AlgebraicNumber} by allowing the user to specify a list of algebraic numbers generating the particular extension to factor over.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{}lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list \\spad{lan}. \\spad{p} is presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,{}lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list \\spad{lan}."))) 
+((|constructor| (NIL "This package factors multivariate polynomials over the domain of \\spadtype{AlgebraicNumber} by allowing the user to specify a list of algebraic numbers generating the particular extension to factor over.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|) (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan. \\spad{p} is presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#3|) |#3| (|List| (|AlgebraicNumber|))) "\\spad{factor(p,lan)} factors the polynomial \\spad{p} over the extension generated by the algebraic numbers given by the list lan."))) 
 NIL 
 NIL 
 (-48 R A) 
-((|constructor| (NIL "AlgebraPackage assembles a variety of useful functions for general algebras.")) (|basis| (((|Vector| |#2|) (|Vector| |#2|)) "\\spad{basis(va)} selects a basis from the elements of \\spad{va}.")) (|radicalOfLeftTraceForm| (((|List| |#2|)) "\\spad{radicalOfLeftTraceForm()} returns basis for null space of \\spad{leftTraceMatrix()},{} if the algebra is associative,{} alternative or a Jordan algebra,{} then this space equals the radical (maximal nil ideal) of the algebra.")) (|basisOfCentroid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfCentroid()} returns a basis of the centroid,{} \\spadignore{i.e.} the endomorphism ring of \\spad{A} considered as \\spad{(A,{}A)}-bimodule.")) (|basisOfRightNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfRightNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as left module. Note that right nucloid coincides with right nucleus if \\spad{A} has a unit.")) (|basisOfLeftNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfLeftNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as right module. Note that left nucloid coincides with left nucleus if \\spad{A} has a unit.")) (|basisOfCenter| (((|List| |#2|)) "\\spad{basisOfCenter()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{commutator(x,{}a) = 0} and \\spad{associator(x,{}a,{}b) = associator(a,{}x,{}b) = associator(a,{}b,{}x) = 0} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfNucleus| (((|List| |#2|)) "\\spad{basisOfNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{associator(x,{}a,{}b) = associator(a,{}x,{}b) = associator(a,{}b,{}x) = 0} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfMiddleNucleus| (((|List| |#2|)) "\\spad{basisOfMiddleNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,{}x,{}b)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfRightNucleus| (((|List| |#2|)) "\\spad{basisOfRightNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,{}b,{}x)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfLeftNucleus| (((|List| |#2|)) "\\spad{basisOfLeftNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(x,{}a,{}b)} for all \\spad{a},{}\\spad{b} in \\spad{A}.")) (|basisOfRightAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfRightAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = a*x}.")) (|basisOfLeftAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfLeftAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = x*a}.")) (|basisOfCommutingElements| (((|List| |#2|)) "\\spad{basisOfCommutingElements()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = commutator(x,{}a)} for all \\spad{a} in \\spad{A}.")) (|biRank| (((|NonNegativeInteger|) |#2|) "\\spad{biRank(x)} determines the number of linearly independent elements in \\spad{x},{} \\spad{x*bi},{} \\spad{bi*x},{} \\spad{bi*x*bj},{} \\spad{i,{}j=1,{}...,{}n},{} where \\spad{b=[b1,{}...,{}bn]} is a basis. Note that if \\spad{A} has a unit,{} then doubleRank,{} weakBiRank,{} and biRank coincide.")) (|weakBiRank| (((|NonNegativeInteger|) |#2|) "\\spad{weakBiRank(x)} determines the number of linearly independent elements in the \\spad{bi*x*bj},{} \\spad{i,{}j=1,{}...,{}n},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|doubleRank| (((|NonNegativeInteger|) |#2|) "\\spad{doubleRank(x)} determines the number of linearly independent elements in \\spad{b1*x},{}...,{}\\spad{x*bn},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|rightRank| (((|NonNegativeInteger|) |#2|) "\\spad{rightRank(x)} determines the number of linearly independent elements in \\spad{b1*x},{}...,{}\\spad{bn*x},{} where \\spad{b=[b1,{}...,{}bn]} is a basis.")) (|leftRank| (((|NonNegativeInteger|) |#2|) "\\spad{leftRank(x)} determines the number of linearly independent elements in \\spad{x*b1},{}...,{}\\spad{x*bn},{} where \\spad{b=[b1,{}...,{}bn]} is a basis."))) 
+((|constructor| (NIL "AlgebraPackage assembles a variety of useful functions for general algebras.")) (|basis| (((|Vector| |#2|) (|Vector| |#2|)) "\\spad{basis(va)} selects a basis from the elements of va.")) (|radicalOfLeftTraceForm| (((|List| |#2|)) "\\spad{radicalOfLeftTraceForm()} returns basis for null space of \\spad{leftTraceMatrix()}, if the algebra is associative, alternative or a Jordan algebra, then this space equals the radical (maximal nil ideal) of the algebra.")) (|basisOfCentroid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfCentroid()} returns a basis of the centroid, \\spadignore{i.e.} the endomorphism ring of \\spad{A} considered as \\spad{(A,A)}-bimodule.")) (|basisOfRightNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfRightNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as left module. Note that right nucloid coincides with right nucleus if \\spad{A} has a unit.")) (|basisOfLeftNucloid| (((|List| (|Matrix| |#1|))) "\\spad{basisOfLeftNucloid()} returns a basis of the space of endomorphisms of \\spad{A} as right module. Note that left nucloid coincides with left nucleus if \\spad{A} has a unit.")) (|basisOfCenter| (((|List| |#2|)) "\\spad{basisOfCenter()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{commutator(x,a) = 0} and \\spad{associator(x,a,b) = associator(a,x,b) = associator(a,b,x) = 0} for all \\spad{a},b in \\spad{A}.")) (|basisOfNucleus| (((|List| |#2|)) "\\spad{basisOfNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{associator(x,a,b) = associator(a,x,b) = associator(a,b,x) = 0} for all \\spad{a},b in \\spad{A}.")) (|basisOfMiddleNucleus| (((|List| |#2|)) "\\spad{basisOfMiddleNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,x,b)} for all \\spad{a},b in \\spad{A}.")) (|basisOfRightNucleus| (((|List| |#2|)) "\\spad{basisOfRightNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(a,b,x)} for all \\spad{a},b in \\spad{A}.")) (|basisOfLeftNucleus| (((|List| |#2|)) "\\spad{basisOfLeftNucleus()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = associator(x,a,b)} for all \\spad{a},b in \\spad{A}.")) (|basisOfRightAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfRightAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = a*x}.")) (|basisOfLeftAnnihilator| (((|List| |#2|) |#2|) "\\spad{basisOfLeftAnnihilator(a)} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = x*a}.")) (|basisOfCommutingElements| (((|List| |#2|)) "\\spad{basisOfCommutingElements()} returns a basis of the space of all \\spad{x} of \\spad{A} satisfying \\spad{0 = commutator(x,a)} for all \\spad{a} in \\spad{A}.")) (|biRank| (((|NonNegativeInteger|) |#2|) "\\spad{biRank(x)} determines the number of linearly independent elements in \\spad{x}, \\spad{x*bi}, \\spad{bi*x}, \\spad{bi*x*bj}, \\spad{i,j=1,...,n}, where \\spad{b=[b1,...,bn]} is a basis. Note that if \\spad{A} has a unit, then doubleRank, weakBiRank, and biRank coincide.")) (|weakBiRank| (((|NonNegativeInteger|) |#2|) "\\spad{weakBiRank(x)} determines the number of linearly independent elements in the \\spad{bi*x*bj}, \\spad{i,j=1,...,n}, where \\spad{b=[b1,...,bn]} is a basis.")) (|doubleRank| (((|NonNegativeInteger|) |#2|) "\\spad{doubleRank(x)} determines the number of linearly independent elements in \\spad{b1*x},...,\\spad{x*bn}, where \\spad{b=[b1,...,bn]} is a basis.")) (|rightRank| (((|NonNegativeInteger|) |#2|) "\\spad{rightRank(x)} determines the number of linearly independent elements in \\spad{b1*x},...,\\spad{bn*x}, where \\spad{b=[b1,...,bn]} is a basis.")) (|leftRank| (((|NonNegativeInteger|) |#2|) "\\spad{leftRank(x)} determines the number of linearly independent elements in \\spad{x*b1},...,\\spad{x*bn}, where \\spad{b=[b1,...,bn]} is a basis."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-302)))) 
 (-49 R |n| |ls| |gamma|) 
-((|constructor| (NIL "AlgebraGivenByStructuralConstants implements finite rank algebras over a commutative ring,{} given by the structural constants \\spad{gamma} with respect to a fixed basis \\spad{[a1,{}..,{}an]},{} where \\spad{gamma} is an \\spad{n}-vector of \\spad{n} by \\spad{n} matrices \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{ai} * aj = gammaij1 * a1 + ... + gammaijn * an}. The symbols for the fixed basis have to be given as a list of symbols.")) (|coerce| (($ (|Vector| |#1|)) "\\spad{coerce(v)} converts a vector to a member of the algebra by forming a linear combination with the basis element. Note: the vector is assumed to have length equal to the dimension of the algebra."))) 
-((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "AlgebraGivenByStructuralConstants implements finite rank algebras over a commutative ring, given by the structural constants \\spad{gamma} with respect to a fixed basis \\spad{[a1,..,an]}, where \\spad{gamma} is an \\spad{n}-vector of \\spad{n} by \\spad{n} matrices \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{ai * aj = \\spad{gammaij1} * \\spad{a1} + \\spad{...} + gammaijn * an}. The symbols for the fixed basis have to be given as a list of symbols.")) (|coerce| (($ (|Vector| |#1|)) "\\spad{coerce(v)} converts a vector to a member of the algebra by forming a linear combination with the basis element. Note: the vector is assumed to have length equal to the dimension of the algebra."))) 
+((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
 ((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
 (-50 |Key| |Entry|) 
-((|constructor| (NIL "\\spadtype{AssociationList} implements association lists. These may be viewed as lists of pairs where the first part is a key and the second is the stored value. For example,{} the key might be a string with a persons employee identification number and the value might be a record with personnel data."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-843)))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))))) 
+((|constructor| (NIL "\\spadtype{AssociationList} implements association lists. These may be viewed as lists of pairs where the first part is a key and the second is the stored value. For example, the key might be a string with a persons employee identification number and the value might be a record with personnel data."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-844)))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))))) 
 (-51 S R E) 
-((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i,{} elements of the ordered abelian monoid,{} are thought of as exponents or monomials. The monomials commute with each other,{} and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least,{} only the non-zero terms are ever operated on.")) (/ (($ $ |#2|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c}.")) (|coefficient| ((|#2| $ |#3|) "\\spad{coefficient(p,{}e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p},{} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#2| |#3|) "\\spad{monomial(r,{}e)} makes a term from a coefficient \\spad{r} and an exponent \\spad{e}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|degree| ((|#3| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p}.")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p}."))) 
+((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#2|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#2| $ |#3|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#2| |#3|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#3| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
 NIL 
 ((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) 
 (-52 R E) 
-((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i,{} elements of the ordered abelian monoid,{} are thought of as exponents or monomials. The monomials commute with each other,{} and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least,{} only the non-zero terms are ever operated on.")) (/ (($ $ |#1|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c}.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(p,{}e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p},{} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,{}e)} makes a term from a coefficient \\spad{r} and an exponent \\spad{e}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|degree| ((|#2| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p}.")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "Abelian monoid ring elements (not necessarily of finite support) of this ring are of the form formal SUM (r_i * e_i) where the r_i are coefficents and the e_i, elements of the ordered abelian monoid, are thought of as exponents or monomials. The monomials commute with each other, and with the coefficients (which themselves may or may not be commutative). See \\spadtype{FiniteAbelianMonoidRing} for the case of finite support a useful common model for polynomials and power series. Conceptually at least, only the non-zero terms are ever operated on.")) (/ (($ $ |#1|) "\\spad{p/c} divides \\spad{p} by the coefficient \\spad{c.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(p,e)} extracts the coefficient of the monomial with exponent \\spad{e} from polynomial \\spad{p,} or returns zero if exponent is not present.")) (|reductum| (($ $) "\\spad{reductum(u)} returns \\spad{u} minus its leading monomial returns zero if handed the zero element.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,e)} makes a term from a coefficient \\spad{r} and an exponent e.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(p)} tests if \\spad{p} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|degree| ((|#2| $) "\\spad{degree(p)} returns the maximum of the exponents of the terms of \\spad{p.}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(p)} returns the monomial of \\spad{p} with the highest degree.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the coefficient highest degree term of \\spad{p.}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-53) 
-((|constructor| (NIL "Algebraic closure of the rational numbers,{} with mathematical =")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,{}l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,{}k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,{}l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,{}k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|constructor| (NIL "Algebraic closure of the rational numbers, with mathematical =")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-54) 
 ((|constructor| (NIL "This domain implements anonymous functions"))) 
 NIL 
 NIL 
 (-55 R |lVar|) 
-((|constructor| (NIL "The domain of antisymmetric polynomials.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}p)} changes each coefficient of \\spad{p} by the application of \\spad{f}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the homogeneous degree of \\spad{p}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(p)} tests if \\spad{p} is a 0-form,{} \\spadignore{i.e.} if degree(\\spad{p}) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(p)} tests if all of the terms of \\spad{p} have the same degree.")) (|exp| (($ (|List| (|Integer|))) "\\spad{exp([i1,{}...in])} returns \\spad{u_1\\^{i_1} ... u_n\\^{i_n}}")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th multiplicative generator,{} a basis term.")) (|coefficient| ((|#1| $ $) "\\spad{coefficient(p,{}u)} returns the coefficient of the term in \\spad{p} containing the basis term \\spad{u} if such a term exists,{} and 0 otherwise. Error: if the second argument \\spad{u} is not a basis element.")) (|reductum| (($ $) "\\spad{reductum(p)},{} where \\spad{p} is an antisymmetric polynomial,{} returns \\spad{p} minus the leading term of \\spad{p} if \\spad{p} has at least two terms,{} and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(p)} returns the leading basis term of antisymmetric polynomial \\spad{p}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the leading coefficient of antisymmetric polynomial \\spad{p}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "The domain of antisymmetric polynomials.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,p)} changes each coefficient of \\spad{p} by the application of \\spad{f.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the homogeneous degree of \\spad{p.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(p)} tests if \\spad{p} is a 0-form, \\spadignore{i.e.} if degree(p) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(p)} tests if all of the terms of \\spad{p} have the same degree.")) (|exp| (($ (|List| (|Integer|))) "\\spad{exp([i1,...in])} returns \\spad{u_1\\^{i_1} \\spad{...} u_n\\^{i_n}}")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th multiplicative generator, a basis term.")) (|coefficient| ((|#1| $ $) "\\spad{coefficient(p,u)} returns the coefficient of the term in \\spad{p} containing the basis term \\spad{u} if such a term exists, and 0 otherwise. Error: if the second argument \\spad{u} is not a basis element.")) (|reductum| (($ $) "\\spad{reductum(p)}, where \\spad{p} is an antisymmetric polynomial, returns \\spad{p} minus the leading term of \\spad{p} if \\spad{p} has at least two terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(p)} returns the leading basis term of antisymmetric polynomial \\spad{p.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(p)} returns the leading coefficient of antisymmetric polynomial \\spad{p.}"))) 
+((-4568 . T)) 
 NIL 
 (-56 S) 
-((|constructor| (NIL "\\spadtype{AnyFunctions1} implements several utility functions for working with \\spadtype{Any}. These functions are used to go back and forth between objects of \\spadtype{Any} and objects of other types.")) (|retract| ((|#1| (|Any|)) "\\spad{retract(a)} tries to convert \\spad{a} into an object of type \\spad{S}. If possible,{} it returns the object. Error: if no such retraction is possible.")) (|retractable?| (((|Boolean|) (|Any|)) "\\spad{retractable?(a)} tests if \\spad{a} can be converted into an object of type \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) "\\spad{retractIfCan(a)} tries change \\spad{a} into an object of type \\spad{S}. If it can,{} then such an object is returned. Otherwise,{} \"failed\" is returned.")) (|coerce| (((|Any|) |#1|) "\\spad{coerce(s)} creates an object of \\spadtype{Any} from the object \\spad{s} of type \\spad{S}."))) 
+((|constructor| (NIL "\\spadtype{AnyFunctions1} implements several utility functions for working with \\spadtype{Any}. These functions are used to go back and forth between objects of \\spadtype{Any} and objects of other types.")) (|retract| ((|#1| (|Any|)) "\\spad{retract(a)} tries to convert \\spad{a} into an object of type \\spad{S}. If possible, it returns the object. Error: if no such retraction is possible.")) (|retractable?| (((|Boolean|) (|Any|)) "\\spad{retractable?(a)} tests if \\spad{a} can be converted into an object of type \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") (|Any|)) "\\spad{retractIfCan(a)} tries change \\spad{a} into an object of type \\spad{S}. If it can, then such an object is returned. Otherwise, \"failed\" is returned.")) (|coerce| (((|Any|) |#1|) "\\spad{coerce(s)} creates an object of \\spadtype{Any} from the object \\spad{s} of type \\spad{S}."))) 
 NIL 
 NIL 
 (-57) 
-((|constructor| (NIL "\\spadtype{Any} implements a type that packages up objects and their types in objects of \\spadtype{Any}. Roughly speaking that means that if \\spad{s : S} then when converted to \\spadtype{Any},{} the new object will include both the original object and its type. This is a way of converting arbitrary objects into a single type without losing any of the original information. Any object can be converted to one of \\spadtype{Any}.")) (|showTypeInOutput| (((|String|) (|Boolean|)) "\\spad{showTypeInOutput(bool)} affects the way objects of \\spadtype{Any} are displayed. If \\spad{bool} is \\spad{true} then the type of the original object that was converted to \\spadtype{Any} will be printed. If \\spad{bool} is \\spad{false},{} it will not be printed.")) (|obj| (((|None|) $) "\\spad{obj(a)} essentially returns the original object that was converted to \\spadtype{Any} except that the type is forced to be \\spadtype{None}.")) (|dom| (((|SExpression|) $) "\\spad{dom(a)} returns a \\spadgloss{LISP} form of the type of the original object that was converted to \\spadtype{Any}.")) (|objectOf| (((|OutputForm|) $) "\\spad{objectOf(a)} returns a printable form of the original object that was converted to \\spadtype{Any}.")) (|domainOf| (((|OutputForm|) $) "\\spad{domainOf(a)} returns a printable form of the type of the original object that was converted to \\spadtype{Any}.")) (|any| (($ (|SExpression|) (|None|)) "\\spad{any(type,{}object)} is a technical function for creating an \\spad{object} of \\spadtype{Any}. Arugment \\spad{type} is a \\spadgloss{LISP} form for the \\spad{type} of \\spad{object}."))) 
+((|constructor| (NIL "\\spadtype{Any} implements a type that packages up objects and their types in objects of \\spadtype{Any}. Roughly speaking that means that if \\spad{s : \\spad{S}} then when converted to \\spadtype{Any}, the new object will include both the original object and its type. This is a way of converting arbitrary objects into a single type without losing any of the original information. Any object can be converted to one of \\spadtype{Any}.")) (|showTypeInOutput| (((|String|) (|Boolean|)) "\\spad{showTypeInOutput(bool)} affects the way objects of \\spadtype{Any} are displayed. If \\spad{bool} is \\spad{true} then the type of the original object that was converted to \\spadtype{Any} will be printed. If \\spad{bool} is false, it will not be printed.")) (|obj| (((|None|) $) "\\spad{obj(a)} essentially returns the original object that was converted to \\spadtype{Any} except that the type is forced to be \\spadtype{None}.")) (|dom| (((|SExpression|) $) "\\spad{dom(a)} returns a \\spadgloss{LISP} form of the type of the original object that was converted to \\spadtype{Any}.")) (|objectOf| (((|OutputForm|) $) "\\spad{objectOf(a)} returns a printable form of the original object that was converted to \\spadtype{Any}.")) (|domainOf| (((|OutputForm|) $) "\\spad{domainOf(a)} returns a printable form of the type of the original object that was converted to \\spadtype{Any}.")) (|any| (($ (|SExpression|) (|None|)) "\\spad{any(type,object)} is a technical function for creating an \\spad{object} of \\spadtype{Any}. Arugment \\spad{type} is a \\spadgloss{LISP} form for the \\spad{type} of \\spad{object}."))) 
 NIL 
 NIL 
 (-58) 
-((|constructor| (NIL "This package contains useful functions that expose Axiom system internals")) (|summary| (((|Void|)) "\\indented{1}{summary() prints a short list of useful console commands} \\blankline \\spad{X} summary()")) (|credits| (((|Void|)) "\\indented{1}{credits() prints a list of people who contributed to Axiom} \\blankline \\spad{X} credits()")) (|getDomains| (((|Set| (|Symbol|)) (|Symbol|)) "\\indented{1}{The getDomains(\\spad{s}) takes a category and returns the list of domains} \\indented{1}{that have that category} \\blankline \\spad{X} getDomains 'IndexedAggregate"))) 
+((|constructor| (NIL "This package contains useful functions that expose Axiom system internals")) (|summary| (((|Void|)) "\\indented{1}{summary() prints a short list of useful console commands} \\blankline \\spad{X} summary()")) (|credits| (((|Void|)) "\\indented{1}{credits() prints a list of people who contributed to Axiom} \\blankline \\spad{X} credits()")) (|getAncestors| (((|Set| (|Symbol|)) (|Symbol|)) "\\indented{1}{The getAncestor(s) takes a category and returns the list of domains} \\indented{1}{that have that category as ancestors} \\blankline \\spad{X} getAncestors 'IndexedAggregate")) (|getDomains| (((|Set| (|Symbol|)) (|Symbol|)) "\\indented{1}{The getDomains(s) takes a category and returns the list of domains} \\indented{1}{that have that category} \\blankline \\spad{X} getDomains 'IndexedAggregate"))) 
 NIL 
 NIL 
 (-59 R M P) 
-((|constructor| (NIL "\\spad{ApplyUnivariateSkewPolynomial} (internal) allows univariate skew polynomials to be applied to appropriate modules.")) (|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) "\\spad{apply(p,{} f,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = f(m)}. \\spad{f} must be an \\spad{R}-pseudo linear map on \\spad{M}."))) 
+((|constructor| (NIL "\\spad{ApplyUnivariateSkewPolynomial} (internal) allows univariate skew polynomials to be applied to appropriate modules.")) (|apply| ((|#2| |#3| (|Mapping| |#2| |#2|) |#2|) "\\spad{apply(p, \\spad{f,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = f(m)}. \\spad{f} must be an R-pseudo linear map on \\spad{M.}"))) 
 NIL 
 NIL 
-(-60 |Base| R -1564) 
-((|constructor| (NIL "This package apply rewrite rules to expressions,{} calling the pattern matcher.")) (|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) "\\spad{localUnquote(f,{}ls)} is a local function.")) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) "\\spad{applyRules([r1,{}...,{}rn],{} expr,{} n)} applies the rules \\spad{r1},{}...,{}\\spad{rn} to \\spad{f} a most \\spad{n} times.") ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) "\\spad{applyRules([r1,{}...,{}rn],{} expr)} applies the rules \\spad{r1},{}...,{}\\spad{rn} to \\spad{f} an unlimited number of times,{} \\spadignore{i.e.} until none of \\spad{r1},{}...,{}\\spad{rn} is applicable to the expression."))) 
+(-60 |Base| R -1647) 
+((|constructor| (NIL "This package apply rewrite rules to expressions, calling the pattern matcher.")) (|localUnquote| ((|#3| |#3| (|List| (|Symbol|))) "\\spad{localUnquote(f,ls)} is a local function.")) (|applyRules| ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3| (|PositiveInteger|)) "\\spad{applyRules([r1,...,rn], expr, \\spad{n)}} applies the rules r1,...,rn to \\spad{f} a most \\spad{n} times.") ((|#3| (|List| (|RewriteRule| |#1| |#2| |#3|)) |#3|) "\\spad{applyRules([r1,...,rn], expr)} applies the rules r1,...,rn to \\spad{f} an unlimited number of times, \\spadignore{i.e.} until none of r1,...,rn is applicable to the expression."))) 
 NIL 
 NIL 
 (-61 S R |Row| |Col|) 
-((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map!(\\spad{f},{}a)\\space{2}assign \\spad{a(i,{}j)} to \\spad{f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map!(-,{}arr)")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $ |#2|) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b},{}\\spad{r}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{when both \\spad{a(i,{}j)} and \\spad{b(i,{}j)} exist;} \\indented{1}{else \\spad{c(i,{}j) = f(r,{} b(i,{}j))} when \\spad{a(i,{}j)} does not exist;} \\indented{1}{else \\spad{c(i,{}j) = f(a(i,{}j),{}r)} when \\spad{b(i,{}j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,{}j) = f(r,{}r)}.} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,{}3,{}10) \\spad{X} map(adder,{}\\spad{arr1},{}\\spad{arr2},{}17)") (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(adder,{}arr,{}arr)") (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map(\\spad{f},{}a) returns \\spad{b},{} where \\spad{b(i,{}j) = f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(-,{}arr) \\spad{X} map((\\spad{x} +-> \\spad{x} + \\spad{x}),{}arr)")) (|setColumn!| (($ $ (|Integer|) |#4|) "\\indented{1}{setColumn!(\\spad{m},{}\\spad{j},{}\\spad{v}) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} acol:=construct([1,{}2,{}3,{}4,{}5]::List(INT))\\$\\spad{T2} \\spad{X} setColumn!(arr,{}1,{}acol)\\$\\spad{T1}")) (|setRow!| (($ $ (|Integer|) |#3|) "\\indented{1}{setRow!(\\spad{m},{}\\spad{i},{}\\spad{v}) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} arow:=construct([1,{}2,{}3,{}4]::List(INT))\\$\\spad{T2} \\spad{X} setRow!(arr,{}1,{}arow)\\$\\spad{T1}")) (|qsetelt!| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{qsetelt!(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} qsetelt!(arr,{}1,{}1,{}17)")) (|setelt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{setelt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} setelt(arr,{}1,{}1,{}17)")) (|parts| (((|List| |#2|) $) "\\indented{1}{parts(\\spad{m}) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} parts(arr)")) (|column| ((|#4| $ (|Integer|)) "\\indented{1}{column(\\spad{m},{}\\spad{j}) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} column(arr,{}1)")) (|row| ((|#3| $ (|Integer|)) "\\indented{1}{row(\\spad{m},{}\\spad{i}) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} row(arr,{}1)")) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} qelt(arr,{}1,{}1)")) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{}} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1,{}6) \\spad{X} elt(arr,{}1,{}10,{}6)") ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(\\spad{m}) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(\\spad{m}) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(\\spad{m}) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(\\spad{m}) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(\\spad{m}) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(\\spad{m}) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#2|) "\\indented{1}{fill!(\\spad{m},{}\\spad{r}) fills \\spad{m} with \\spad{r}\\spad{'s}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} fill!(arr,{}10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\indented{1}{new(\\spad{m},{}\\spad{n},{}\\spad{r}) is an \\spad{m}-by-\\spad{n} array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
+((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map!(f,a)\\space{2}assign \\spad{a(i,j)} to \\spad{f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map!(-,arr)")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $ |#2|) "\\indented{1}{map(f,a,b,r) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{when both \\spad{a(i,j)} and \\spad{b(i,j)} exist;} \\indented{1}{else \\spad{c(i,j) = f(r, b(i,j))} when \\spad{a(i,j)} does not exist;} \\indented{1}{else \\spad{c(i,j) = f(a(i,j),r)} when \\spad{b(i,j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,j) = f(r,r)}.} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,3,10) \\spad{X} map(adder,arr1,arr2,17)") (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\indented{1}{map(f,a,b) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(adder,arr,arr)") (($ (|Mapping| |#2| |#2|) $) "\\indented{1}{map(f,a) returns \\spad{b}, where \\spad{b(i,j) = f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(-,arr) \\spad{X} map((x \\spad{+->} \\spad{x} + x),arr)")) (|setColumn!| (($ $ (|Integer|) |#4|) "\\indented{1}{setColumn!(m,j,v) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{acol:=construct([1,2,3,4,5]::List(INT))$T2} \\spad{X} \\spad{setColumn!(arr,1,acol)$T1}")) (|setRow!| (($ $ (|Integer|) |#3|) "\\indented{1}{setRow!(m,i,v) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{arow:=construct([1,2,3,4]::List(INT))$T2} \\spad{X} \\spad{setRow!(arr,1,arow)$T1}")) (|qsetelt!| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{qsetelt!(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} qsetelt!(arr,1,1,17)")) (|setelt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{setelt(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} setelt(arr,1,1,17)")) (|parts| (((|List| |#2|) $) "\\indented{1}{parts(m) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} parts(arr)")) (|column| ((|#4| $ (|Integer|)) "\\indented{1}{column(m,j) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} column(arr,1)")) (|row| ((|#3| $ (|Integer|)) "\\indented{1}{row(m,i) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} row(arr,1)")) (|qelt| ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} qelt(arr,1,1)")) (|elt| ((|#2| $ (|Integer|) (|Integer|) |#2|) "\\indented{1}{elt(m,i,j,r) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1,6) \\spad{X} elt(arr,1,10,6)") ((|#2| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(m) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(m) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(m) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(m) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(m) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(m) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#2|) "\\indented{1}{fill!(m,r) fills \\spad{m} with r's} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} fill!(arr,10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\indented{1}{new(m,n,r) is an m-by-n array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
 NIL 
 NIL 
 (-62 R |Row| |Col|) 
-((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map!(\\spad{f},{}a)\\space{2}assign \\spad{a(i,{}j)} to \\spad{f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map!(-,{}arr)")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b},{}\\spad{r}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{when both \\spad{a(i,{}j)} and \\spad{b(i,{}j)} exist;} \\indented{1}{else \\spad{c(i,{}j) = f(r,{} b(i,{}j))} when \\spad{a(i,{}j)} does not exist;} \\indented{1}{else \\spad{c(i,{}j) = f(a(i,{}j),{}r)} when \\spad{b(i,{}j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,{}j) = f(r,{}r)}.} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,{}3,{}10) \\spad{X} map(adder,{}\\spad{arr1},{}\\spad{arr2},{}17)") (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\indented{1}{map(\\spad{f},{}a,{}\\spad{b}) returns \\spad{c},{} where \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(adder,{}arr,{}arr)") (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(\\spad{f},{}a) returns \\spad{b},{} where \\spad{b(i,{}j) = f(a(i,{}j))}} \\indented{1}{for all \\spad{i,{} j}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} map(-,{}arr) \\spad{X} map((\\spad{x} +-> \\spad{x} + \\spad{x}),{}arr)")) (|setColumn!| (($ $ (|Integer|) |#3|) "\\indented{1}{setColumn!(\\spad{m},{}\\spad{j},{}\\spad{v}) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} acol:=construct([1,{}2,{}3,{}4,{}5]::List(INT))\\$\\spad{T2} \\spad{X} setColumn!(arr,{}1,{}acol)\\$\\spad{T1}")) (|setRow!| (($ $ (|Integer|) |#2|) "\\indented{1}{setRow!(\\spad{m},{}\\spad{i},{}\\spad{v}) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,{}4,{}0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} arow:=construct([1,{}2,{}3,{}4]::List(INT))\\$\\spad{T2} \\spad{X} setRow!(arr,{}1,{}arow)\\$\\spad{T1}")) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{qsetelt!(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} qsetelt!(arr,{}1,{}1,{}17)")) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{setelt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) sets the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} setelt(arr,{}1,{}1,{}17)")) (|parts| (((|List| |#1|) $) "\\indented{1}{parts(\\spad{m}) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} parts(arr)")) (|column| ((|#3| $ (|Integer|)) "\\indented{1}{column(\\spad{m},{}\\spad{j}) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} column(arr,{}1)")) (|row| ((|#2| $ (|Integer|)) "\\indented{1}{row(\\spad{m},{}\\spad{i}) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} row(arr,{}1)")) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} qelt(arr,{}1,{}1)")) (|elt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j},{}\\spad{r}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{}} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1,{}6) \\spad{X} elt(arr,{}1,{}10,{}6)") ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{m},{}\\spad{i},{}\\spad{j}) returns the element in the \\spad{i}th row and \\spad{j}th} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} elt(arr,{}1,{}1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(\\spad{m}) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(\\spad{m}) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(\\spad{m}) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(\\spad{m}) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(\\spad{m}) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(\\spad{m}) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#1|) "\\indented{1}{fill!(\\spad{m},{}\\spad{r}) fills \\spad{m} with \\spad{r}\\spad{'s}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0) \\spad{X} fill!(arr,{}10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\indented{1}{new(\\spad{m},{}\\spad{n},{}\\spad{r}) is an \\spad{m}-by-\\spad{n} array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,{}4,{}0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "Two dimensional array categories and domains")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map!(f,a)\\space{2}assign \\spad{a(i,j)} to \\spad{f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map!(-,arr)")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $ |#1|) "\\indented{1}{map(f,a,b,r) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{when both \\spad{a(i,j)} and \\spad{b(i,j)} exist;} \\indented{1}{else \\spad{c(i,j) = f(r, b(i,j))} when \\spad{a(i,j)} does not exist;} \\indented{1}{else \\spad{c(i,j) = f(a(i,j),r)} when \\spad{b(i,j)} does not exist;} \\indented{1}{otherwise \\spad{c(i,j) = f(r,r)}.} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} \\spad{arr1} : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} \\spad{arr2} : \\spad{ARRAY2} INT \\spad{:=} new(3,3,10) \\spad{X} map(adder,arr1,arr2,17)") (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\indented{1}{map(f,a,b) returns \\spad{c}, where \\spad{c(i,j) = f(a(i,j),b(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(adder,arr,arr)") (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(f,a) returns \\spad{b}, where \\spad{b(i,j) = f(a(i,j))}} \\indented{1}{for all \\spad{i, \\spad{j}}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} map(-,arr) \\spad{X} map((x \\spad{+->} \\spad{x} + x),arr)")) (|setColumn!| (($ $ (|Integer|) |#3|) "\\indented{1}{setColumn!(m,j,v) sets to \\spad{j}th column of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{acol:=construct([1,2,3,4,5]::List(INT))$T2} \\spad{X} \\spad{setColumn!(arr,1,acol)$T1}")) (|setRow!| (($ $ (|Integer|) |#2|) "\\indented{1}{setRow!(m,i,v) sets to \\spad{i}th row of \\spad{m} to \\spad{v}} \\blankline \\spad{X} T1:=TwoDimensionalArray Integer \\spad{X} arr:T1:= new(5,4,0) \\spad{X} T2:=OneDimensionalArray Integer \\spad{X} \\spad{arow:=construct([1,2,3,4]::List(INT))$T2} \\spad{X} \\spad{setRow!(arr,1,arow)$T1}")) (|qsetelt!| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{qsetelt!(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} qsetelt!(arr,1,1,17)")) (|setelt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{setelt(m,i,j,r) sets the element in the \\spad{i}th row and jth} \\indented{1}{column of \\spad{m} to \\spad{r}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} setelt(arr,1,1,17)")) (|parts| (((|List| |#1|) $) "\\indented{1}{parts(m) returns a list of the elements of \\spad{m} in row major order} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} parts(arr)")) (|column| ((|#3| $ (|Integer|)) "\\indented{1}{column(m,j) returns the \\spad{j}th column of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} column(arr,1)")) (|row| ((|#2| $ (|Integer|)) "\\indented{1}{row(m,i) returns the \\spad{i}th row of \\spad{m}} \\indented{1}{error check to determine if index is in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} row(arr,1)")) (|qelt| ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{qelt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{NO error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} qelt(arr,1,1)")) (|elt| ((|#1| $ (|Integer|) (|Integer|) |#1|) "\\indented{1}{elt(m,i,j,r) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,} \\indented{1}{and returns \\spad{r} otherwise} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1,6) \\spad{X} elt(arr,1,10,6)") ((|#1| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(m,i,j) returns the element in the \\spad{i}th row and jth} \\indented{1}{column of the array \\spad{m}} \\indented{1}{error check to determine if indices are in proper ranges} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} elt(arr,1,1)")) (|ncols| (((|NonNegativeInteger|) $) "\\indented{1}{ncols(m) returns the number of columns in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} ncols(arr)")) (|nrows| (((|NonNegativeInteger|) $) "\\indented{1}{nrows(m) returns the number of rows in the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} nrows(arr)")) (|maxColIndex| (((|Integer|) $) "\\indented{1}{maxColIndex(m) returns the index of the 'last' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxColIndex(arr)")) (|minColIndex| (((|Integer|) $) "\\indented{1}{minColIndex(m) returns the index of the 'first' column of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minColIndex(arr)")) (|maxRowIndex| (((|Integer|) $) "\\indented{1}{maxRowIndex(m) returns the index of the 'last' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} maxRowIndex(arr)")) (|minRowIndex| (((|Integer|) $) "\\indented{1}{minRowIndex(m) returns the index of the 'first' row of the array \\spad{m}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,10) \\spad{X} minRowIndex(arr)")) (|fill!| (($ $ |#1|) "\\indented{1}{fill!(m,r) fills \\spad{m} with r's} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0) \\spad{X} fill!(arr,10)")) (|new| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\indented{1}{new(m,n,r) is an m-by-n array all of whose entries are \\spad{r}} \\blankline \\spad{X} arr : \\spad{ARRAY2} INT \\spad{:=} new(5,4,0)")) (|finiteAggregate| ((|attribute|) "two-dimensional arrays are finite")) (|shallowlyMutable| ((|attribute|) "one may destructively alter arrays"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
 (-63 A B) 
-((|constructor| (NIL "This package provides tools for operating on one-dimensional arrays with unary and binary functions involving different underlying types")) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) "\\indented{1}{map(\\spad{f},{}a) applies function \\spad{f} to each member of one-dimensional array} \\indented{1}{\\spad{a} resulting in a new one-dimensional array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} map(\\spad{x+}-\\spad{>x+2},{}[\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{reduce(\\spad{f},{}a,{}\\spad{r}) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{one-dimensional array \\spad{a} and an accumulant initialized to \\spad{r}.} \\indented{1}{For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f}.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}")) (|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{scan(\\spad{f},{}a,{}\\spad{r}) successively applies} \\indented{1}{\\spad{reduce(f,{}x,{}r)} to more and more leading sub-arrays} \\indented{1}{\\spad{x} of one-dimensional array \\spad{a}.} \\indented{1}{More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then} \\indented{1}{\\spad{scan(f,{}a,{}r)} returns} \\indented{1}{\\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.} \\blankline \\spad{X} \\spad{T1:=OneDimensionalArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}"))) 
+((|constructor| (NIL "This package provides tools for operating on one-dimensional arrays with unary and binary functions involving different underlying types")) (|map| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1|) (|OneDimensionalArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of one-dimensional array} \\indented{1}{\\spad{a} resulting in a new one-dimensional array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{one-dimensional array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|OneDimensionalArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|OneDimensionalArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of one-dimensional array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=OneDimensionalArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
 NIL 
 NIL 
 (-64 S) 
-((|constructor| (NIL "This is the domain of 1-based one dimensional arrays")) (|oneDimensionalArray| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{oneDimensionalArray(\\spad{n},{}\\spad{s}) creates an array from \\spad{n} copies of element \\spad{s}} \\blankline \\spad{X} oneDimensionalArray(10,{}0.0)") (($ (|List| |#1|)) "\\indented{1}{oneDimensionalArray(\\spad{l}) creates an array from a list of elements \\spad{l}} \\blankline \\spad{X} oneDimensionalArray [\\spad{i**2} for \\spad{i} in 1..10]"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((|constructor| (NIL "This is the domain of 1-based one dimensional arrays")) (|oneDimensionalArray| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{oneDimensionalArray(n,s) creates an array from \\spad{n} copies of element \\spad{s}} \\blankline \\spad{X} oneDimensionalArray(10,0.0)") (($ (|List| |#1|)) "\\indented{1}{oneDimensionalArray(l) creates an array from a list of elements \\spad{l}} \\blankline \\spad{X} oneDimensionalArray \\spad{[i**2} for \\spad{i} in 1..10]"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-65 R) 
-((|constructor| (NIL "A TwoDimensionalArray is a two dimensional array with 1-based indexing for both rows and columns.")) (|shallowlyMutable| ((|attribute|) "One may destructively alter TwoDimensionalArray\\spad{'s}."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-66 -1486) 
-((|constructor| (NIL "\\spadtype{ASP10} produces Fortran for Type 10 ASPs,{} needed for NAG routine d02kef. This ASP computes the values of a set of functions,{} for example: \\blankline \\tab{5}SUBROUTINE COEFFN(\\spad{P},{}\\spad{Q},{}DQDL,{}\\spad{X},{}ELAM,{}JINT)\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}\\spad{P},{}\\spad{Q},{}\\spad{X},{}DQDL\\spad{\\br} \\tab{5}INTEGER JINT\\spad{\\br} \\tab{5}\\spad{P=1}.0D0\\spad{\\br} \\tab{5}\\spad{Q=}((\\spad{-1}.0D0*X**3)+ELAM*X*X-2.0D0)/(\\spad{X*X})\\spad{\\br} \\tab{5}\\spad{DQDL=1}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+((|constructor| (NIL "A TwoDimensionalArray is a two dimensional array with 1-based indexing for both rows and columns.")) (|shallowlyMutable| ((|attribute|) "One may destructively alter TwoDimensionalArray's."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-66 -2798) 
+((|constructor| (NIL "\\spadtype{ASP10} produces Fortran for Type 10 ASPs, needed for NAG routine d02kef. This ASP computes the values of a set of functions, for example: \\blankline \\tab{5}SUBROUTINE COEFFN(P,Q,DQDL,X,ELAM,JINT)\\br \\tab{5}DOUBLE PRECISION ELAM,P,Q,X,DQDL\\br \\tab{5}INTEGER JINT\\br \\tab{5}P=1.0D0\\br \\tab{5}Q=((-1.0D0*X**3)+ELAM*X*X-2.0D0)/(X*X)\\br \\tab{5}DQDL=1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-67 -1486) 
-((|constructor| (NIL "\\spadtype{Asp12} produces Fortran for Type 12 ASPs,{} needed for NAG routine d02kef etc.,{} for example: \\blankline \\tab{5}SUBROUTINE MONIT (MAXIT,{}IFLAG,{}ELAM,{}FINFO)\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}FINFO(15)\\spad{\\br} \\tab{5}INTEGER MAXIT,{}IFLAG\\spad{\\br} \\tab{5}IF(MAXIT.EQ.\\spad{-1})THEN\\spad{\\br} \\tab{7}PRINT*,{}\"Output from Monit\"\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}PRINT*,{}MAXIT,{}IFLAG,{}ELAM,{}(FINFO(\\spad{I}),{}\\spad{I=1},{}4)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP12}."))) 
+(-67 -2798) 
+((|constructor| (NIL "\\spadtype{Asp12} produces Fortran for Type 12 ASPs, needed for NAG routine d02kef etc., for example: \\blankline \\tab{5}SUBROUTINE MONIT (MAXIT,IFLAG,ELAM,FINFO)\\br \\tab{5}DOUBLE PRECISION ELAM,FINFO(15)\\br \\tab{5}INTEGER MAXIT,IFLAG\\br \\tab{5}IF(MAXIT.EQ.-1)THEN\\br \\tab{7}PRINT*,\"Output from Monit\"\\br \\tab{5}ENDIF\\br \\tab{5}PRINT*,MAXIT,IFLAG,ELAM,(FINFO(I),I=1,4)\\br \\tab{5}RETURN\\br \\tab{5}END\\")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP12}."))) 
 NIL 
 NIL 
-(-68 -1486) 
-((|constructor| (NIL "\\spadtype{Asp19} produces Fortran for Type 19 ASPs,{} evaluating a set of functions and their jacobian at a given point,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{LSFUN2}(\\spad{M},{}\\spad{N},{}\\spad{XC},{}FVECC,{}FJACC,{}\\spad{LJC})\\spad{\\br} \\tab{5}DOUBLE PRECISION FVECC(\\spad{M}),{}FJACC(\\spad{LJC},{}\\spad{N}),{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}\\spad{LJC}\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{J}\\spad{\\br} \\tab{5}DO 25003 \\spad{I=1},{}\\spad{LJC}\\spad{\\br} \\tab{7}DO 25004 \\spad{J=1},{}\\spad{N}\\spad{\\br} \\tab{9}FJACC(\\spad{I},{}\\spad{J})\\spad{=0}.0D0\\spad{\\br} 25004 CONTINUE\\spad{\\br} 25003 CONTINUE\\spad{\\br} \\tab{5}FVECC(1)=((\\spad{XC}(1)\\spad{-0}.14D0)\\spad{*XC}(3)+(15.0D0*XC(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+15}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(2)=((\\spad{XC}(1)\\spad{-0}.18D0)\\spad{*XC}(3)+(7.0D0*XC(1)\\spad{-1}.26D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+7}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(3)=((\\spad{XC}(1)\\spad{-0}.22D0)\\spad{*XC}(3)+(4.333333333333333D0*XC(1)\\spad{-0}.953333\\spad{\\br} \\tab{4}\\spad{&3333333333D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+4}.333333333333333D0*XC(2))\\spad{\\br} \\tab{5}FVECC(4)=((\\spad{XC}(1)\\spad{-0}.25D0)\\spad{*XC}(3)+(3.0D0*XC(1)\\spad{-0}.75D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+3}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(5)=((\\spad{XC}(1)\\spad{-0}.29D0)\\spad{*XC}(3)+(2.2D0*XC(1)\\spad{-0}.6379999999999999D0)*\\spad{\\br} \\tab{4}\\spad{&XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+2}.2D0*XC(2))\\spad{\\br} \\tab{5}FVECC(6)=((\\spad{XC}(1)\\spad{-0}.32D0)\\spad{*XC}(3)+(1.666666666666667D0*XC(1)\\spad{-0}.533333\\spad{\\br} \\tab{4}\\spad{&3333333333D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.666666666666667D0*XC(2))\\spad{\\br} \\tab{5}FVECC(7)=((\\spad{XC}(1)\\spad{-0}.35D0)\\spad{*XC}(3)+(1.285714285714286D0*XC(1)\\spad{-0}.45D0)*\\spad{\\br} \\tab{4}\\spad{&XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.285714285714286D0*XC(2))\\spad{\\br} \\tab{5}FVECC(8)=((\\spad{XC}(1)\\spad{-0}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.39D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)+\\spad{\\br} \\tab{4}\\spad{&XC}(2))\\spad{\\br} \\tab{5}FVECC(9)=((\\spad{XC}(1)\\spad{-0}.37D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.37D0)\\spad{*XC}(2)\\spad{+1}.285714285714\\spad{\\br} \\tab{4}\\spad{&286D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(10)=((\\spad{XC}(1)\\spad{-0}.58D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.58D0)\\spad{*XC}(2)\\spad{+1}.66666666666\\spad{\\br} \\tab{4}\\spad{&6667D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(11)=((\\spad{XC}(1)\\spad{-0}.73D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.73D0)\\spad{*XC}(2)\\spad{+2}.2D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(12)=((\\spad{XC}(1)\\spad{-0}.96D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-0}.96D0)\\spad{*XC}(2)\\spad{+3}.0D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(13)=((\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(2)\\spad{+4}.33333333333\\spad{\\br} \\tab{4}\\spad{&3333D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(14)=((\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+7}.0D0)/(\\spad{XC}(3)\\spad{+X}\\spad{\\br} \\tab{4}\\spad{&C}(2))\\spad{\\br} \\tab{5}FVECC(15)=((\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(2)\\spad{+15}.0D0)/(\\spad{XC}(3\\spad{\\br} \\tab{4}&)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FJACC(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(1,{}2)=-15.0D0/(\\spad{XC}(3)\\spad{**2+30}.0D0*XC(2)\\spad{*XC}(3)\\spad{+225}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(1,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+30}.0D0*XC(2)\\spad{*XC}(3)\\spad{+225}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(2,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(2,{}2)=-7.0D0/(\\spad{XC}(3)\\spad{**2+14}.0D0*XC(2)\\spad{*XC}(3)\\spad{+49}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(2,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+14}.0D0*XC(2)\\spad{*XC}(3)\\spad{+49}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(3,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(3,{}2)=((\\spad{-0}.1110223024625157D-15*XC(3))\\spad{-4}.333333333333333D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+8}.666666666666666D0*XC(2)\\spad{*XC}(3)\\spad{+18}.77777777777778D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(3,{}3)=(0.1110223024625157D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+8}.666666\\spad{\\br} \\tab{4}&666666666D0*XC(2)\\spad{*XC}(3)\\spad{+18}.77777777777778D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(4,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(4,{}2)=-3.0D0/(\\spad{XC}(3)\\spad{**2+6}.0D0*XC(2)\\spad{*XC}(3)\\spad{+9}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(4,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+6}.0D0*XC(2)\\spad{*XC}(3)\\spad{+9}.0D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(5,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(5,{}2)=((\\spad{-0}.1110223024625157D-15*XC(3))\\spad{-2}.2D0)/(\\spad{XC}(3)\\spad{**2+4}.399\\spad{\\br} \\tab{4}&999999999999D0*XC(2)\\spad{*XC}(3)\\spad{+4}.839999999999998D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(5,{}3)=(0.1110223024625157D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+4}.399999\\spad{\\br} \\tab{4}&999999999D0*XC(2)\\spad{*XC}(3)\\spad{+4}.839999999999998D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(6,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(6,{}2)=((\\spad{-0}.2220446049250313D-15*XC(3))\\spad{-1}.666666666666667D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+3}.333333333333333D0*XC(2)\\spad{*XC}(3)\\spad{+2}.777777777777777D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(6,{}3)=(0.2220446049250313D-15*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+3}.333333\\spad{\\br} \\tab{4}&333333333D0*XC(2)\\spad{*XC}(3)\\spad{+2}.777777777777777D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(7,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(7,{}2)=((\\spad{-0}.5551115123125783D-16*XC(3))\\spad{-1}.285714285714286D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{**2+2}.571428571428571D0*XC(2)\\spad{*XC}(3)\\spad{+1}.653061224489796D0*XC(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(7,{}3)=(0.5551115123125783D-16*XC(2)\\spad{-1}.0D0)/(\\spad{XC}(3)\\spad{**2+2}.571428\\spad{\\br} \\tab{4}&571428571D0*XC(2)\\spad{*XC}(3)\\spad{+1}.653061224489796D0*XC(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(8,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(8,{}2)=-1.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(8,{}3)=-1.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(9,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(9,{}2)=-1.285714285714286D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)*\\spad{\\br} \\tab{4}\\spad{&*2})\\spad{\\br} \\tab{5}FJACC(9,{}3)=-1.285714285714286D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)*\\spad{\\br} \\tab{4}\\spad{&*2})\\spad{\\br} \\tab{5}FJACC(10,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(10,{}2)=-1.666666666666667D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(10,{}3)=-1.666666666666667D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(11,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(11,{}2)=-2.2D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(11,{}3)=-2.2D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(12,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(12,{}2)=-3.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(12,{}3)=-3.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(13,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(13,{}2)=-4.333333333333333D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(13,{}3)=-4.333333333333333D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{\\br} \\tab{4}\\spad{&**2})\\spad{\\br} \\tab{5}FJACC(14,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(14,{}2)=-7.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(14,{}3)=-7.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(15,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}FJACC(15,{}2)=-15.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}FJACC(15,{}3)=-15.0D0/(\\spad{XC}(3)\\spad{**2+2}.0D0*XC(2)\\spad{*XC}(3)\\spad{+XC}(2)\\spad{**2})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-68 -2798) 
+((|constructor| (NIL "\\spadtype{Asp19} produces Fortran for Type 19 ASPs, evaluating a set of functions and their jacobian at a given point, for example: \\blankline \\tab{5}SUBROUTINE LSFUN2(M,N,XC,FVECC,FJACC,LJC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),FJACC(LJC,N),XC(N)\\br \\tab{5}INTEGER M,N,LJC\\br \\tab{5}INTEGER I,J\\br \\tab{5}DO 25003 I=1,LJC\\br \\tab{7}DO 25004 J=1,N\\br \\tab{9}FJACC(I,J)=0.0D0\\br 25004 CONTINUE\\br 25003 CONTINUE\\br \\tab{5}FVECC(1)=((XC(1)-0.14D0)*XC(3)+(15.0D0*XC(1)-2.1D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-0.18D0)*XC(3)+(7.0D0*XC(1)-1.26D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-0.22D0)*XC(3)+(4.333333333333333D0*XC(1)-0.953333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-0.25D0)*XC(3)+(3.0D0*XC(1)-0.75D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-0.29D0)*XC(3)+(2.2D0*XC(1)-0.6379999999999999D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-0.32D0)*XC(3)+(1.666666666666667D0*XC(1)-0.533333\\br \\tab{4}&3333333333D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-0.35D0)*XC(3)+(1.285714285714286D0*XC(1)-0.45D0)*\\br \\tab{4}&XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-0.39D0)*XC(3)+(XC(1)-0.39D0)*XC(2)+1.0D0)/(XC(3)+\\br \\tab{4}&XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-0.37D0)*XC(3)+(XC(1)-0.37D0)*XC(2)+1.285714285714\\br \\tab{4}&286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-0.58D0)*XC(3)+(XC(1)-0.58D0)*XC(2)+1.66666666666\\br \\tab{4}&6667D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-0.73D0)*XC(3)+(XC(1)-0.73D0)*XC(2)+2.2D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-0.96D0)*XC(3)+(XC(1)-0.96D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}FJACC(1,1)=1.0D0\\br \\tab{5}FJACC(1,2)=-15.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(1,3)=-1.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,1)=1.0D0\\br \\tab{5}FJACC(2,2)=-7.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(2,3)=-1.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)\\br \\tab{5}FJACC(3,1)=1.0D0\\br \\tab{5}FJACC(3,2)=((-0.1110223024625157D-15*XC(3))-4.333333333333333D0)/(\\br \\tab{4}&XC(3)**2+8.666666666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(3,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+8.666666\\br \\tab{4}&666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)**2)\\br \\tab{5}FJACC(4,1)=1.0D0\\br \\tab{5}FJACC(4,2)=-3.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(4,3)=-1.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)\\br \\tab{5}FJACC(5,1)=1.0D0\\br \\tab{5}FJACC(5,2)=((-0.1110223024625157D-15*XC(3))-2.2D0)/(XC(3)**2+4.399\\br \\tab{4}&999999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(5,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+4.399999\\br \\tab{4}&999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)\\br \\tab{5}FJACC(6,1)=1.0D0\\br \\tab{5}FJACC(6,2)=((-0.2220446049250313D-15*XC(3))-1.666666666666667D0)/(\\br \\tab{4}&XC(3)**2+3.333333333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(6,3)=(0.2220446049250313D-15*XC(2)-1.0D0)/(XC(3)**2+3.333333\\br \\tab{4}&333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)**2)\\br \\tab{5}FJACC(7,1)=1.0D0\\br \\tab{5}FJACC(7,2)=((-0.5551115123125783D-16*XC(3))-1.285714285714286D0)/(\\br \\tab{4}&XC(3)**2+2.571428571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(7,3)=(0.5551115123125783D-16*XC(2)-1.0D0)/(XC(3)**2+2.571428\\br \\tab{4}&571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)**2)\\br \\tab{5}FJACC(8,1)=1.0D0\\br \\tab{5}FJACC(8,2)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(8,3)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(9,1)=1.0D0\\br \\tab{5}FJACC(9,2)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(9,3)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*\\br \\tab{4}&*2)\\br \\tab{5}FJACC(10,1)=1.0D0\\br \\tab{5}FJACC(10,2)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(10,3)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(11,1)=1.0D0\\br \\tab{5}FJACC(11,2)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(11,3)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,1)=1.0D0\\br \\tab{5}FJACC(12,2)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(12,3)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(13,1)=1.0D0\\br \\tab{5}FJACC(13,2)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(13,3)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)\\br \\tab{4}&**2)\\br \\tab{5}FJACC(14,1)=1.0D0\\br \\tab{5}FJACC(14,2)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(14,3)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,1)=1.0D0\\br \\tab{5}FJACC(15,2)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}FJACC(15,3)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-69 -1486) 
-((|constructor| (NIL "\\spadtype{Asp1} produces Fortran for Type 1 ASPs,{} needed for various NAG routines. Type 1 ASPs take a univariate expression (in the symbol \\spad{x}) and turn it into a Fortran Function like the following: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION \\spad{F}(\\spad{X})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}\\spad{\\br} \\tab{5}F=DSIN(\\spad{X})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
+(-69 -2798) 
+((|constructor| (NIL "\\spadtype{Asp1} produces Fortran for Type 1 ASPs, needed for various NAG routines. Type 1 ASPs take a univariate expression (in the symbol \\spad{x)} and turn it into a Fortran Function like the following: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION F(X)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}F=DSIN(X)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-70 -1486) 
-((|constructor| (NIL "\\spadtype{Asp20} produces Fortran for Type 20 ASPs,{} for example: \\blankline \\tab{5}SUBROUTINE QPHESS(\\spad{N},{}NROWH,{}NCOLH,{}JTHCOL,{}HESS,{}\\spad{X},{}\\spad{HX})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{HX}(\\spad{N}),{}\\spad{X}(\\spad{N}),{}HESS(NROWH,{}NCOLH)\\spad{\\br} \\tab{5}INTEGER JTHCOL,{}\\spad{N},{}NROWH,{}NCOLH\\spad{\\br} \\tab{5}\\spad{HX}(1)\\spad{=2}.0D0*X(1)\\spad{\\br} \\tab{5}\\spad{HX}(2)\\spad{=2}.0D0*X(2)\\spad{\\br} \\tab{5}\\spad{HX}(3)\\spad{=2}.0D0*X(4)\\spad{+2}.0D0*X(3)\\spad{\\br} \\tab{5}\\spad{HX}(4)\\spad{=2}.0D0*X(4)\\spad{+2}.0D0*X(3)\\spad{\\br} \\tab{5}\\spad{HX}(5)\\spad{=2}.0D0*X(5)\\spad{\\br} \\tab{5}\\spad{HX}(6)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6))\\spad{\\br} \\tab{5}\\spad{HX}(7)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6))\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-70 -2798) 
+((|constructor| (NIL "\\spadtype{Asp20} produces Fortran for Type 20 ASPs, for example: \\blankline \\tab{5}SUBROUTINE QPHESS(N,NROWH,NCOLH,JTHCOL,HESS,X,HX)\\br \\tab{5}DOUBLE PRECISION HX(N),X(N),HESS(NROWH,NCOLH)\\br \\tab{5}INTEGER JTHCOL,N,NROWH,NCOLH\\br \\tab{5}HX(1)=2.0D0*X(1)\\br \\tab{5}HX(2)=2.0D0*X(2)\\br \\tab{5}HX(3)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(4)=2.0D0*X(4)+2.0D0*X(3)\\br \\tab{5}HX(5)=2.0D0*X(5)\\br \\tab{5}HX(6)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}HX(7)=(-2.0D0*X(7))+(-2.0D0*X(6))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-71 -1486) 
-((|constructor| (NIL "\\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a multivariate function at a point (needed for NAG routine e04jaf),{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{FUNCT1}(\\spad{N},{}\\spad{XC},{}\\spad{FC})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{FC},{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{FC=10}.0D0*XC(4)**4+(\\spad{-40}.0D0*XC(1)\\spad{*XC}(4)\\spad{**3})+(60.0D0*XC(1)\\spad{**2+5}\\spad{\\br} \\tab{4}&.0D0)\\spad{*XC}(4)**2+((\\spad{-10}.0D0*XC(3))+(\\spad{-40}.0D0*XC(1)\\spad{**3}))\\spad{*XC}(4)\\spad{+16}.0D0*X\\spad{\\br} \\tab{4}\\spad{&C}(3)**4+(\\spad{-32}.0D0*XC(2)\\spad{*XC}(3)\\spad{**3})+(24.0D0*XC(2)\\spad{**2+5}.0D0)\\spad{*XC}(3)**2+\\spad{\\br} \\tab{4}&(\\spad{-8}.0D0*XC(2)**3*XC(3))\\spad{+XC}(2)\\spad{**4+100}.0D0*XC(2)\\spad{**2+20}.0D0*XC(1)\\spad{*XC}(\\spad{\\br} \\tab{4}\\spad{&2})\\spad{+10}.0D0*XC(1)**4+XC(1)\\spad{**2}\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) "\\spadtype{FortranExpression} and turns it into an ASP. coerce(\\spad{f}) takes an object from the appropriate instantiation of"))) 
+(-71 -2798) 
+((|constructor| (NIL "\\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a multivariate function at a point (needed for NAG routine e04jaf), for example: \\blankline \\tab{5}SUBROUTINE FUNCT1(N,XC,FC)\\br \\tab{5}DOUBLE PRECISION FC,XC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}FC=10.0D0*XC(4)**4+(-40.0D0*XC(1)*XC(4)**3)+(60.0D0*XC(1)**2+5\\br \\tab{4}&.0D0)*XC(4)**2+((-10.0D0*XC(3))+(-40.0D0*XC(1)**3))*XC(4)+16.0D0*X\\br \\tab{4}&C(3)**4+(-32.0D0*XC(2)*XC(3)**3)+(24.0D0*XC(2)**2+5.0D0)*XC(3)**2+\\br \\tab{4}&(-8.0D0*XC(2)**3*XC(3))+XC(2)**4+100.0D0*XC(2)**2+20.0D0*XC(1)*XC(\\br \\tab{4}&2)+10.0D0*XC(1)**4+XC(1)**2\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) "\\spadtype{FortranExpression} and turns it into an ASP. coerce(f) takes an object from the appropriate instantiation of"))) 
 NIL 
 NIL 
-(-72 -1486) 
-((|constructor| (NIL "\\spadtype{Asp27} produces Fortran for Type 27 ASPs,{} needed for NAG routine f02fjf ,{}for example: \\blankline \\tab{5}FUNCTION DOT(IFLAG,{}\\spad{N},{}\\spad{Z},{}\\spad{W},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{W}(\\spad{N}),{}\\spad{Z}(\\spad{N}),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}LIWORK,{}IFLAG,{}LRWORK,{}IWORK(LIWORK)\\spad{\\br} \\tab{5}DOT=(\\spad{W}(16)+(\\spad{-0}.5D0*W(15)))\\spad{*Z}(16)+((\\spad{-0}.5D0*W(16))\\spad{+W}(15)+(\\spad{-0}.5D0*W(1\\spad{\\br} \\tab{4}\\spad{&4})))\\spad{*Z}(15)+((\\spad{-0}.5D0*W(15))\\spad{+W}(14)+(\\spad{-0}.5D0*W(13)))\\spad{*Z}(14)+((\\spad{-0}.5D0*W(\\spad{\\br} \\tab{4}\\spad{&14}))\\spad{+W}(13)+(\\spad{-0}.5D0*W(12)))\\spad{*Z}(13)+((\\spad{-0}.5D0*W(13))\\spad{+W}(12)+(\\spad{-0}.5D0*W(1\\spad{\\br} \\tab{4}\\spad{&1})))\\spad{*Z}(12)+((\\spad{-0}.5D0*W(12))\\spad{+W}(11)+(\\spad{-0}.5D0*W(10)))\\spad{*Z}(11)+((\\spad{-0}.5D0*W(\\spad{\\br} \\tab{4}\\spad{&11}))\\spad{+W}(10)+(\\spad{-0}.5D0*W(9)))\\spad{*Z}(10)+((\\spad{-0}.5D0*W(10))\\spad{+W}(9)+(\\spad{-0}.5D0*W(8))\\spad{\\br} \\tab{4}&)\\spad{*Z}(9)+((\\spad{-0}.5D0*W(9))\\spad{+W}(8)+(\\spad{-0}.5D0*W(7)))\\spad{*Z}(8)+((\\spad{-0}.5D0*W(8))\\spad{+W}(7)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-0}.5D0*W(6)))\\spad{*Z}(7)+((\\spad{-0}.5D0*W(7))\\spad{+W}(6)+(\\spad{-0}.5D0*W(5)))\\spad{*Z}(6)+((\\spad{-0}.\\spad{\\br} \\tab{4}&5D0*W(6))\\spad{+W}(5)+(\\spad{-0}.5D0*W(4)))\\spad{*Z}(5)+((\\spad{-0}.5D0*W(5))\\spad{+W}(4)+(\\spad{-0}.5D0*W(3\\spad{\\br} \\tab{4}&)))\\spad{*Z}(4)+((\\spad{-0}.5D0*W(4))\\spad{+W}(3)+(\\spad{-0}.5D0*W(2)))\\spad{*Z}(3)+((\\spad{-0}.5D0*W(3))\\spad{+W}(\\spad{\\br} \\tab{4}\\spad{&2})+(\\spad{-0}.5D0*W(1)))\\spad{*Z}(2)+((\\spad{-0}.5D0*W(2))\\spad{+W}(1))\\spad{*Z}(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
+(-72 -2798) 
+((|constructor| (NIL "\\spadtype{Asp27} produces Fortran for Type 27 ASPs, needed for NAG routine f02fjf ,for example: \\blankline \\tab{5}FUNCTION DOT(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION W(N),Z(N),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOT=(W(16)+(-0.5D0*W(15)))*Z(16)+((-0.5D0*W(16))+W(15)+(-0.5D0*W(1\\br \\tab{4}&4)))*Z(15)+((-0.5D0*W(15))+W(14)+(-0.5D0*W(13)))*Z(14)+((-0.5D0*W(\\br \\tab{4}&14))+W(13)+(-0.5D0*W(12)))*Z(13)+((-0.5D0*W(13))+W(12)+(-0.5D0*W(1\\br \\tab{4}&1)))*Z(12)+((-0.5D0*W(12))+W(11)+(-0.5D0*W(10)))*Z(11)+((-0.5D0*W(\\br \\tab{4}&11))+W(10)+(-0.5D0*W(9)))*Z(10)+((-0.5D0*W(10))+W(9)+(-0.5D0*W(8))\\br \\tab{4}&)*Z(9)+((-0.5D0*W(9))+W(8)+(-0.5D0*W(7)))*Z(8)+((-0.5D0*W(8))+W(7)\\br \\tab{4}&+(-0.5D0*W(6)))*Z(7)+((-0.5D0*W(7))+W(6)+(-0.5D0*W(5)))*Z(6)+((-0.\\br \\tab{4}&5D0*W(6))+W(5)+(-0.5D0*W(4)))*Z(5)+((-0.5D0*W(5))+W(4)+(-0.5D0*W(3\\br \\tab{4}&)))*Z(4)+((-0.5D0*W(4))+W(3)+(-0.5D0*W(2)))*Z(3)+((-0.5D0*W(3))+W(\\br \\tab{4}&2)+(-0.5D0*W(1)))*Z(2)+((-0.5D0*W(2))+W(1))*Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-73 -1486) 
-((|constructor| (NIL "\\spadtype{Asp28} produces Fortran for Type 28 ASPs,{} used in NAG routine f02fjf,{} for example: \\blankline \\tab{5}SUBROUTINE IMAGE(IFLAG,{}\\spad{N},{}\\spad{Z},{}\\spad{W},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{Z}(\\spad{N}),{}\\spad{W}(\\spad{N}),{}IWORK(LRWORK),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}LIWORK,{}IFLAG,{}LRWORK\\spad{\\br} \\tab{5}\\spad{W}(1)\\spad{=0}.01707454969713436D0*Z(16)\\spad{+0}.001747395874954051D0*Z(15)\\spad{+0}.00\\spad{\\br} \\tab{4}&2106973900813502D0*Z(14)\\spad{+0}.002957434991769087D0*Z(13)+(\\spad{-0}.00700554\\spad{\\br} \\tab{4}&0882865317D0*Z(12))+(\\spad{-0}.01219194009813166D0*Z(11))\\spad{+0}.0037230647365\\spad{\\br} \\tab{4}&3087D0*Z(10)\\spad{+0}.04932374658377151D0*Z(9)+(\\spad{-0}.03586220812223305D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.04723268012114625D0*Z(7))+(\\spad{-0}.02434652144032987D0*Z(6))\\spad{+0}.\\spad{\\br} \\tab{4}&2264766947290192D0*Z(5)+(\\spad{-0}.1385343580686922D0*Z(4))+(\\spad{-0}.116530050\\spad{\\br} \\tab{4}&8238904D0*Z(3))+(\\spad{-0}.2803531651057233D0*Z(2))\\spad{+1}.019463911841327D0*Z\\spad{\\br} \\tab{4}&(1)\\spad{\\br} \\tab{5}\\spad{W}(2)\\spad{=0}.0227345011107737D0*Z(16)\\spad{+0}.008812321197398072D0*Z(15)\\spad{+0}.010\\spad{\\br} \\tab{4}&94012210519586D0*Z(14)+(\\spad{-0}.01764072463999744D0*Z(13))+(\\spad{-0}.01357136\\spad{\\br} \\tab{4}&72105995D0*Z(12))\\spad{+0}.00157466157362272D0*Z(11)\\spad{+0}.05258889186338282D\\spad{\\br} \\tab{4}&0*Z(10)+(\\spad{-0}.01981532388243379D0*Z(9))+(\\spad{-0}.06095390688679697D0*Z(8)\\spad{\\br} \\tab{4}&)+(\\spad{-0}.04153119955569051D0*Z(7))\\spad{+0}.2176561076571465D0*Z(6)+(\\spad{-0}.0532\\spad{\\br} \\tab{4}&5555586632358D0*Z(5))+(\\spad{-0}.1688977368984641D0*Z(4))+(\\spad{-0}.32440166056\\spad{\\br} \\tab{4}&67343D0*Z(3))\\spad{+0}.9128222941872173D0*Z(2)+(\\spad{-0}.2419652703415429D0*Z(1\\spad{\\br} \\tab{4}&))\\spad{\\br} \\tab{5}\\spad{W}(3)\\spad{=0}.03371198197190302D0*Z(16)\\spad{+0}.02021603150122265D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&06607305534689702D0*Z(14))+(\\spad{-0}.03032392238968179D0*Z(13))\\spad{+0}.002033\\spad{\\br} \\tab{4}&305231024948D0*Z(12)\\spad{+0}.05375944956767728D0*Z(11)+(\\spad{-0}.0163213312502\\spad{\\br} \\tab{4}&9967D0*Z(10))+(\\spad{-0}.05483186562035512D0*Z(9))+(\\spad{-0}.04901428822579872D\\spad{\\br} \\tab{4}&0*Z(8))\\spad{+0}.2091097927887612D0*Z(7)+(\\spad{-0}.05760560341383113D0*Z(6))+(-\\spad{\\br} \\tab{4}\\spad{&0}.1236679206156403D0*Z(5))+(\\spad{-0}.3523683853026259D0*Z(4))\\spad{+0}.88929961\\spad{\\br} \\tab{4}&32269974D0*Z(3)+(\\spad{-0}.2995429545781457D0*Z(2))+(\\spad{-0}.02986582812574917\\spad{\\br} \\tab{4}&D0*Z(1))\\spad{\\br} \\tab{5}\\spad{W}(4)\\spad{=0}.05141563713660119D0*Z(16)\\spad{+0}.005239165960779299D0*Z(15)+(\\spad{-0}.\\spad{\\br} \\tab{4}&01623427735779699D0*Z(14))+(\\spad{-0}.01965809746040371D0*Z(13))\\spad{+0}.054688\\spad{\\br} \\tab{4}&97337339577D0*Z(12)+(\\spad{-0}.014224695935687D0*Z(11))+(\\spad{-0}.0505181779315\\spad{\\br} \\tab{4}&6355D0*Z(10))+(\\spad{-0}.04353074206076491D0*Z(9))\\spad{+0}.2012230497530726D0*Z\\spad{\\br} \\tab{4}&(8)+(\\spad{-0}.06630874514535952D0*Z(7))+(\\spad{-0}.1280829963720053D0*Z(6))+(\\spad{-0}\\spad{\\br} \\tab{4}&.305169742604165D0*Z(5))\\spad{+0}.8600427128450191D0*Z(4)+(\\spad{-0}.32415033802\\spad{\\br} \\tab{4}&68184D0*Z(3))+(\\spad{-0}.09033531980693314D0*Z(2))\\spad{+0}.09089205517109111D0*\\spad{\\br} \\tab{4}\\spad{&Z}(1)\\spad{\\br} \\tab{5}\\spad{W}(5)\\spad{=0}.04556369767776375D0*Z(16)+(\\spad{-0}.001822737697581869D0*Z(15))+(\\spad{\\br} \\tab{4}&-0.002512226501941856D0*Z(14))\\spad{+0}.02947046460707379D0*Z(13)+(\\spad{-0}.014\\spad{\\br} \\tab{4}&45079632086177D0*Z(12))+(\\spad{-0}.05034242196614937D0*Z(11))+(\\spad{-0}.0376966\\spad{\\br} \\tab{4}&3291725935D0*Z(10))\\spad{+0}.2171103102175198D0*Z(9)+(\\spad{-0}.0824949256021352\\spad{\\br} \\tab{4}&4D0*Z(8))+(\\spad{-0}.1473995209288945D0*Z(7))+(\\spad{-0}.315042193418466D0*Z(6))\\spad{\\br} \\tab{4}\\spad{&+0}.9591623347824002D0*Z(5)+(\\spad{-0}.3852396953763045D0*Z(4))+(\\spad{-0}.141718\\spad{\\br} \\tab{4}&5427288274D0*Z(3))+(\\spad{-0}.03423495461011043D0*Z(2))\\spad{+0}.319820917706851\\spad{\\br} \\tab{4}&6D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(6)\\spad{=0}.04015147277405744D0*Z(16)\\spad{+0}.01328585741341559D0*Z(15)\\spad{+0}.048\\spad{\\br} \\tab{4}&26082005465965D0*Z(14)+(\\spad{-0}.04319641116207706D0*Z(13))+(\\spad{-0}.04931323\\spad{\\br} \\tab{4}&319055762D0*Z(12))+(\\spad{-0}.03526886317505474D0*Z(11))\\spad{+0}.22295383396730\\spad{\\br} \\tab{4}&01D0*Z(10)+(\\spad{-0}.07375317649315155D0*Z(9))+(\\spad{-0}.1589391311991561D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.328001910890377D0*Z(7))\\spad{+0}.952576555482747D0*Z(6)+(\\spad{-0}.31583\\spad{\\br} \\tab{4}&09975786731D0*Z(5))+(\\spad{-0}.1846882042225383D0*Z(4))+(\\spad{-0}.0703762046700\\spad{\\br} \\tab{4}&4427D0*Z(3))\\spad{+0}.2311852964327382D0*Z(2)\\spad{+0}.04254083491825025D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(7)\\spad{=0}.06069778964023718D0*Z(16)\\spad{+0}.06681263884671322D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&2113506688615768D0*Z(14))+(\\spad{-0}.083996867458326D0*Z(13))+(\\spad{-0}.0329843\\spad{\\br} \\tab{4}&8523869648D0*Z(12))\\spad{+0}.2276878326327734D0*Z(11)+(\\spad{-0}.067356038933017\\spad{\\br} \\tab{4}&95D0*Z(10))+(\\spad{-0}.1559813965382218D0*Z(9))+(\\spad{-0}.3363262957694705D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))\\spad{+0}.9442791158560948D0*Z(7)+(\\spad{-0}.3199955249404657D0*Z(6))+(\\spad{-0}.136\\spad{\\br} \\tab{4}&2463839920727D0*Z(5))+(\\spad{-0}.1006185171570586D0*Z(4))\\spad{+0}.2057504515015\\spad{\\br} \\tab{4}&423D0*Z(3)+(\\spad{-0}.02065879269286707D0*Z(2))\\spad{+0}.03160990266745513D0*Z(1\\spad{\\br} \\tab{4}&)\\spad{\\br} \\tab{5}\\spad{W}(8)\\spad{=0}.126386868896738D0*Z(16)\\spad{+0}.002563370039476418D0*Z(15)+(\\spad{-0}.05\\spad{\\br} \\tab{4}&581757739455641D0*Z(14))+(\\spad{-0}.07777893205900685D0*Z(13))\\spad{+0}.23117338\\spad{\\br} \\tab{4}&45834199D0*Z(12)+(\\spad{-0}.06031581134427592D0*Z(11))+(\\spad{-0}.14805474755869\\spad{\\br} \\tab{4}&52D0*Z(10))+(\\spad{-0}.3364014128402243D0*Z(9))\\spad{+0}.9364014128402244D0*Z(8)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-0}.3269452524413048D0*Z(7))+(\\spad{-0}.1396841886557241D0*Z(6))+(\\spad{-0}.056\\spad{\\br} \\tab{4}&1733845834199D0*Z(5))\\spad{+0}.1777789320590069D0*Z(4)+(\\spad{-0}.04418242260544\\spad{\\br} \\tab{4}&359D0*Z(3))+(\\spad{-0}.02756337003947642D0*Z(2))\\spad{+0}.07361313110326199D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(9)\\spad{=0}.07361313110326199D0*Z(16)+(\\spad{-0}.02756337003947642D0*Z(15))+(-\\spad{\\br} \\tab{4}\\spad{&0}.04418242260544359D0*Z(14))\\spad{+0}.1777789320590069D0*Z(13)+(\\spad{-0}.056173\\spad{\\br} \\tab{4}&3845834199D0*Z(12))+(\\spad{-0}.1396841886557241D0*Z(11))+(\\spad{-0}.326945252441\\spad{\\br} \\tab{4}&3048D0*Z(10))\\spad{+0}.9364014128402244D0*Z(9)+(\\spad{-0}.3364014128402243D0*Z(8\\spad{\\br} \\tab{4}&))+(\\spad{-0}.1480547475586952D0*Z(7))+(\\spad{-0}.06031581134427592D0*Z(6))\\spad{+0}.23\\spad{\\br} \\tab{4}&11733845834199D0*Z(5)+(\\spad{-0}.07777893205900685D0*Z(4))+(\\spad{-0}.0558175773\\spad{\\br} \\tab{4}&9455641D0*Z(3))\\spad{+0}.002563370039476418D0*Z(2)\\spad{+0}.126386868896738D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(10)\\spad{=0}.03160990266745513D0*Z(16)+(\\spad{-0}.02065879269286707D0*Z(15))\\spad{+0}\\spad{\\br} \\tab{4}&.2057504515015423D0*Z(14)+(\\spad{-0}.1006185171570586D0*Z(13))+(\\spad{-0}.136246\\spad{\\br} \\tab{4}&3839920727D0*Z(12))+(\\spad{-0}.3199955249404657D0*Z(11))\\spad{+0}.94427911585609\\spad{\\br} \\tab{4}&48D0*Z(10)+(\\spad{-0}.3363262957694705D0*Z(9))+(\\spad{-0}.1559813965382218D0*Z(8\\spad{\\br} \\tab{4}&))+(\\spad{-0}.06735603893301795D0*Z(7))\\spad{+0}.2276878326327734D0*Z(6)+(\\spad{-0}.032\\spad{\\br} \\tab{4}&98438523869648D0*Z(5))+(\\spad{-0}.083996867458326D0*Z(4))+(\\spad{-0}.02113506688\\spad{\\br} \\tab{4}&615768D0*Z(3))\\spad{+0}.06681263884671322D0*Z(2)\\spad{+0}.06069778964023718D0*Z(\\spad{\\br} \\tab{4}\\spad{&1})\\spad{\\br} \\tab{5}\\spad{W}(11)\\spad{=0}.04254083491825025D0*Z(16)\\spad{+0}.2311852964327382D0*Z(15)+(\\spad{-0}.0\\spad{\\br} \\tab{4}&7037620467004427D0*Z(14))+(\\spad{-0}.1846882042225383D0*Z(13))+(\\spad{-0}.315830\\spad{\\br} \\tab{4}&9975786731D0*Z(12))\\spad{+0}.952576555482747D0*Z(11)+(\\spad{-0}.328001910890377D\\spad{\\br} \\tab{4}&0*Z(10))+(\\spad{-0}.1589391311991561D0*Z(9))+(\\spad{-0}.07375317649315155D0*Z(8)\\spad{\\br} \\tab{4}&)\\spad{+0}.2229538339673001D0*Z(7)+(\\spad{-0}.03526886317505474D0*Z(6))+(\\spad{-0}.0493\\spad{\\br} \\tab{4}&1323319055762D0*Z(5))+(\\spad{-0}.04319641116207706D0*Z(4))\\spad{+0}.048260820054\\spad{\\br} \\tab{4}&65965D0*Z(3)\\spad{+0}.01328585741341559D0*Z(2)\\spad{+0}.04015147277405744D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(12)\\spad{=0}.3198209177068516D0*Z(16)+(\\spad{-0}.03423495461011043D0*Z(15))+(-\\spad{\\br} \\tab{4}\\spad{&0}.1417185427288274D0*Z(14))+(\\spad{-0}.3852396953763045D0*Z(13))\\spad{+0}.959162\\spad{\\br} \\tab{4}&3347824002D0*Z(12)+(\\spad{-0}.315042193418466D0*Z(11))+(\\spad{-0}.14739952092889\\spad{\\br} \\tab{4}&45D0*Z(10))+(\\spad{-0}.08249492560213524D0*Z(9))\\spad{+0}.2171103102175198D0*Z(8\\spad{\\br} \\tab{4}&)+(\\spad{-0}.03769663291725935D0*Z(7))+(\\spad{-0}.05034242196614937D0*Z(6))+(\\spad{-0}.\\spad{\\br} \\tab{4}&01445079632086177D0*Z(5))\\spad{+0}.02947046460707379D0*Z(4)+(\\spad{-0}.002512226\\spad{\\br} \\tab{4}&501941856D0*Z(3))+(\\spad{-0}.001822737697581869D0*Z(2))\\spad{+0}.045563697677763\\spad{\\br} \\tab{4}&75D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(13)\\spad{=0}.09089205517109111D0*Z(16)+(\\spad{-0}.09033531980693314D0*Z(15))+(\\spad{\\br} \\tab{4}&-0.3241503380268184D0*Z(14))\\spad{+0}.8600427128450191D0*Z(13)+(\\spad{-0}.305169\\spad{\\br} \\tab{4}&742604165D0*Z(12))+(\\spad{-0}.1280829963720053D0*Z(11))+(\\spad{-0}.0663087451453\\spad{\\br} \\tab{4}&5952D0*Z(10))\\spad{+0}.2012230497530726D0*Z(9)+(\\spad{-0}.04353074206076491D0*Z(\\spad{\\br} \\tab{4}\\spad{&8}))+(\\spad{-0}.05051817793156355D0*Z(7))+(\\spad{-0}.014224695935687D0*Z(6))\\spad{+0}.05\\spad{\\br} \\tab{4}&468897337339577D0*Z(5)+(\\spad{-0}.01965809746040371D0*Z(4))+(\\spad{-0}.016234277\\spad{\\br} \\tab{4}&35779699D0*Z(3))\\spad{+0}.005239165960779299D0*Z(2)\\spad{+0}.05141563713660119D0\\spad{\\br} \\tab{4}\\spad{&*Z}(1)\\spad{\\br} \\tab{5}\\spad{W}(14)=(\\spad{-0}.02986582812574917D0*Z(16))+(\\spad{-0}.2995429545781457D0*Z(15))\\spad{\\br} \\tab{4}\\spad{&+0}.8892996132269974D0*Z(14)+(\\spad{-0}.3523683853026259D0*Z(13))+(\\spad{-0}.1236\\spad{\\br} \\tab{4}&679206156403D0*Z(12))+(\\spad{-0}.05760560341383113D0*Z(11))\\spad{+0}.20910979278\\spad{\\br} \\tab{4}&87612D0*Z(10)+(\\spad{-0}.04901428822579872D0*Z(9))+(\\spad{-0}.05483186562035512D\\spad{\\br} \\tab{4}&0*Z(8))+(\\spad{-0}.01632133125029967D0*Z(7))\\spad{+0}.05375944956767728D0*Z(6)\\spad{+0}\\spad{\\br} \\tab{4}&.002033305231024948D0*Z(5)+(\\spad{-0}.03032392238968179D0*Z(4))+(\\spad{-0}.00660\\spad{\\br} \\tab{4}&7305534689702D0*Z(3))\\spad{+0}.02021603150122265D0*Z(2)\\spad{+0}.033711981971903\\spad{\\br} \\tab{4}&02D0*Z(1)\\spad{\\br} \\tab{5}\\spad{W}(15)=(\\spad{-0}.2419652703415429D0*Z(16))\\spad{+0}.9128222941872173D0*Z(15)+(\\spad{-0}\\spad{\\br} \\tab{4}&.3244016605667343D0*Z(14))+(\\spad{-0}.1688977368984641D0*Z(13))+(\\spad{-0}.05325\\spad{\\br} \\tab{4}&555586632358D0*Z(12))\\spad{+0}.2176561076571465D0*Z(11)+(\\spad{-0}.0415311995556\\spad{\\br} \\tab{4}&9051D0*Z(10))+(\\spad{-0}.06095390688679697D0*Z(9))+(\\spad{-0}.01981532388243379D\\spad{\\br} \\tab{4}&0*Z(8))\\spad{+0}.05258889186338282D0*Z(7)\\spad{+0}.00157466157362272D0*Z(6)+(\\spad{-0}.\\spad{\\br} \\tab{4}&0135713672105995D0*Z(5))+(\\spad{-0}.01764072463999744D0*Z(4))\\spad{+0}.010940122\\spad{\\br} \\tab{4}&10519586D0*Z(3)\\spad{+0}.008812321197398072D0*Z(2)\\spad{+0}.0227345011107737D0*Z\\spad{\\br} \\tab{4}&(1)\\spad{\\br} \\tab{5}\\spad{W}(16)\\spad{=1}.019463911841327D0*Z(16)+(\\spad{-0}.2803531651057233D0*Z(15))+(\\spad{-0}.\\spad{\\br} \\tab{4}&1165300508238904D0*Z(14))+(\\spad{-0}.1385343580686922D0*Z(13))\\spad{+0}.22647669\\spad{\\br} \\tab{4}&47290192D0*Z(12)+(\\spad{-0}.02434652144032987D0*Z(11))+(\\spad{-0}.04723268012114\\spad{\\br} \\tab{4}&625D0*Z(10))+(\\spad{-0}.03586220812223305D0*Z(9))\\spad{+0}.04932374658377151D0*Z\\spad{\\br} \\tab{4}&(8)\\spad{+0}.00372306473653087D0*Z(7)+(\\spad{-0}.01219194009813166D0*Z(6))+(\\spad{-0}.0\\spad{\\br} \\tab{4}&07005540882865317D0*Z(5))\\spad{+0}.002957434991769087D0*Z(4)\\spad{+0}.0021069739\\spad{\\br} \\tab{4}&00813502D0*Z(3)\\spad{+0}.001747395874954051D0*Z(2)\\spad{+0}.01707454969713436D0*\\spad{\\br} \\tab{4}\\spad{&Z}(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}"))) 
+(-73 -2798) 
+((|constructor| (NIL "\\spadtype{Asp28} produces Fortran for Type 28 ASPs, used in NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE IMAGE(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION Z(N),W(N),IWORK(LRWORK),RWORK(LRWORK)\\br \\tab{5}INTEGER N,LIWORK,IFLAG,LRWORK\\br \\tab{5}W(1)=0.01707454969713436D0*Z(16)+0.001747395874954051D0*Z(15)+0.00\\br \\tab{4}&2106973900813502D0*Z(14)+0.002957434991769087D0*Z(13)+(-0.00700554\\br \\tab{4}&0882865317D0*Z(12))+(-0.01219194009813166D0*Z(11))+0.0037230647365\\br \\tab{4}&3087D0*Z(10)+0.04932374658377151D0*Z(9)+(-0.03586220812223305D0*Z(\\br \\tab{4}&8))+(-0.04723268012114625D0*Z(7))+(-0.02434652144032987D0*Z(6))+0.\\br \\tab{4}&2264766947290192D0*Z(5)+(-0.1385343580686922D0*Z(4))+(-0.116530050\\br \\tab{4}&8238904D0*Z(3))+(-0.2803531651057233D0*Z(2))+1.019463911841327D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(2)=0.0227345011107737D0*Z(16)+0.008812321197398072D0*Z(15)+0.010\\br \\tab{4}&94012210519586D0*Z(14)+(-0.01764072463999744D0*Z(13))+(-0.01357136\\br \\tab{4}&72105995D0*Z(12))+0.00157466157362272D0*Z(11)+0.05258889186338282D\\br \\tab{4}&0*Z(10)+(-0.01981532388243379D0*Z(9))+(-0.06095390688679697D0*Z(8)\\br \\tab{4}&)+(-0.04153119955569051D0*Z(7))+0.2176561076571465D0*Z(6)+(-0.0532\\br \\tab{4}&5555586632358D0*Z(5))+(-0.1688977368984641D0*Z(4))+(-0.32440166056\\br \\tab{4}&67343D0*Z(3))+0.9128222941872173D0*Z(2)+(-0.2419652703415429D0*Z(1\\br \\tab{4}&))\\br \\tab{5}W(3)=0.03371198197190302D0*Z(16)+0.02021603150122265D0*Z(15)+(-0.0\\br \\tab{4}&06607305534689702D0*Z(14))+(-0.03032392238968179D0*Z(13))+0.002033\\br \\tab{4}&305231024948D0*Z(12)+0.05375944956767728D0*Z(11)+(-0.0163213312502\\br \\tab{4}&9967D0*Z(10))+(-0.05483186562035512D0*Z(9))+(-0.04901428822579872D\\br \\tab{4}&0*Z(8))+0.2091097927887612D0*Z(7)+(-0.05760560341383113D0*Z(6))+(-\\br \\tab{4}&0.1236679206156403D0*Z(5))+(-0.3523683853026259D0*Z(4))+0.88929961\\br \\tab{4}&32269974D0*Z(3)+(-0.2995429545781457D0*Z(2))+(-0.02986582812574917\\br \\tab{4}&D0*Z(1))\\br \\tab{5}W(4)=0.05141563713660119D0*Z(16)+0.005239165960779299D0*Z(15)+(-0.\\br \\tab{4}&01623427735779699D0*Z(14))+(-0.01965809746040371D0*Z(13))+0.054688\\br \\tab{4}&97337339577D0*Z(12)+(-0.014224695935687D0*Z(11))+(-0.0505181779315\\br \\tab{4}&6355D0*Z(10))+(-0.04353074206076491D0*Z(9))+0.2012230497530726D0*Z\\br \\tab{4}&(8)+(-0.06630874514535952D0*Z(7))+(-0.1280829963720053D0*Z(6))+(-0\\br \\tab{4}&.305169742604165D0*Z(5))+0.8600427128450191D0*Z(4)+(-0.32415033802\\br \\tab{4}&68184D0*Z(3))+(-0.09033531980693314D0*Z(2))+0.09089205517109111D0*\\br \\tab{4}&Z(1)\\br \\tab{5}W(5)=0.04556369767776375D0*Z(16)+(-0.001822737697581869D0*Z(15))+(\\br \\tab{4}&-0.002512226501941856D0*Z(14))+0.02947046460707379D0*Z(13)+(-0.014\\br \\tab{4}&45079632086177D0*Z(12))+(-0.05034242196614937D0*Z(11))+(-0.0376966\\br \\tab{4}&3291725935D0*Z(10))+0.2171103102175198D0*Z(9)+(-0.0824949256021352\\br \\tab{4}&4D0*Z(8))+(-0.1473995209288945D0*Z(7))+(-0.315042193418466D0*Z(6))\\br \\tab{4}&+0.9591623347824002D0*Z(5)+(-0.3852396953763045D0*Z(4))+(-0.141718\\br \\tab{4}&5427288274D0*Z(3))+(-0.03423495461011043D0*Z(2))+0.319820917706851\\br \\tab{4}&6D0*Z(1)\\br \\tab{5}W(6)=0.04015147277405744D0*Z(16)+0.01328585741341559D0*Z(15)+0.048\\br \\tab{4}&26082005465965D0*Z(14)+(-0.04319641116207706D0*Z(13))+(-0.04931323\\br \\tab{4}&319055762D0*Z(12))+(-0.03526886317505474D0*Z(11))+0.22295383396730\\br \\tab{4}&01D0*Z(10)+(-0.07375317649315155D0*Z(9))+(-0.1589391311991561D0*Z(\\br \\tab{4}&8))+(-0.328001910890377D0*Z(7))+0.952576555482747D0*Z(6)+(-0.31583\\br \\tab{4}&09975786731D0*Z(5))+(-0.1846882042225383D0*Z(4))+(-0.0703762046700\\br \\tab{4}&4427D0*Z(3))+0.2311852964327382D0*Z(2)+0.04254083491825025D0*Z(1)\\br \\tab{5}W(7)=0.06069778964023718D0*Z(16)+0.06681263884671322D0*Z(15)+(-0.0\\br \\tab{4}&2113506688615768D0*Z(14))+(-0.083996867458326D0*Z(13))+(-0.0329843\\br \\tab{4}&8523869648D0*Z(12))+0.2276878326327734D0*Z(11)+(-0.067356038933017\\br \\tab{4}&95D0*Z(10))+(-0.1559813965382218D0*Z(9))+(-0.3363262957694705D0*Z(\\br \\tab{4}&8))+0.9442791158560948D0*Z(7)+(-0.3199955249404657D0*Z(6))+(-0.136\\br \\tab{4}&2463839920727D0*Z(5))+(-0.1006185171570586D0*Z(4))+0.2057504515015\\br \\tab{4}&423D0*Z(3)+(-0.02065879269286707D0*Z(2))+0.03160990266745513D0*Z(1\\br \\tab{4}&)\\br \\tab{5}W(8)=0.126386868896738D0*Z(16)+0.002563370039476418D0*Z(15)+(-0.05\\br \\tab{4}&581757739455641D0*Z(14))+(-0.07777893205900685D0*Z(13))+0.23117338\\br \\tab{4}&45834199D0*Z(12)+(-0.06031581134427592D0*Z(11))+(-0.14805474755869\\br \\tab{4}&52D0*Z(10))+(-0.3364014128402243D0*Z(9))+0.9364014128402244D0*Z(8)\\br \\tab{4}&+(-0.3269452524413048D0*Z(7))+(-0.1396841886557241D0*Z(6))+(-0.056\\br \\tab{4}&1733845834199D0*Z(5))+0.1777789320590069D0*Z(4)+(-0.04418242260544\\br \\tab{4}&359D0*Z(3))+(-0.02756337003947642D0*Z(2))+0.07361313110326199D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(9)=0.07361313110326199D0*Z(16)+(-0.02756337003947642D0*Z(15))+(-\\br \\tab{4}&0.04418242260544359D0*Z(14))+0.1777789320590069D0*Z(13)+(-0.056173\\br \\tab{4}&3845834199D0*Z(12))+(-0.1396841886557241D0*Z(11))+(-0.326945252441\\br \\tab{4}&3048D0*Z(10))+0.9364014128402244D0*Z(9)+(-0.3364014128402243D0*Z(8\\br \\tab{4}&))+(-0.1480547475586952D0*Z(7))+(-0.06031581134427592D0*Z(6))+0.23\\br \\tab{4}&11733845834199D0*Z(5)+(-0.07777893205900685D0*Z(4))+(-0.0558175773\\br \\tab{4}&9455641D0*Z(3))+0.002563370039476418D0*Z(2)+0.126386868896738D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(10)=0.03160990266745513D0*Z(16)+(-0.02065879269286707D0*Z(15))+0\\br \\tab{4}&.2057504515015423D0*Z(14)+(-0.1006185171570586D0*Z(13))+(-0.136246\\br \\tab{4}&3839920727D0*Z(12))+(-0.3199955249404657D0*Z(11))+0.94427911585609\\br \\tab{4}&48D0*Z(10)+(-0.3363262957694705D0*Z(9))+(-0.1559813965382218D0*Z(8\\br \\tab{4}&))+(-0.06735603893301795D0*Z(7))+0.2276878326327734D0*Z(6)+(-0.032\\br \\tab{4}&98438523869648D0*Z(5))+(-0.083996867458326D0*Z(4))+(-0.02113506688\\br \\tab{4}&615768D0*Z(3))+0.06681263884671322D0*Z(2)+0.06069778964023718D0*Z(\\br \\tab{4}&1)\\br \\tab{5}W(11)=0.04254083491825025D0*Z(16)+0.2311852964327382D0*Z(15)+(-0.0\\br \\tab{4}&7037620467004427D0*Z(14))+(-0.1846882042225383D0*Z(13))+(-0.315830\\br \\tab{4}&9975786731D0*Z(12))+0.952576555482747D0*Z(11)+(-0.328001910890377D\\br \\tab{4}&0*Z(10))+(-0.1589391311991561D0*Z(9))+(-0.07375317649315155D0*Z(8)\\br \\tab{4}&)+0.2229538339673001D0*Z(7)+(-0.03526886317505474D0*Z(6))+(-0.0493\\br \\tab{4}&1323319055762D0*Z(5))+(-0.04319641116207706D0*Z(4))+0.048260820054\\br \\tab{4}&65965D0*Z(3)+0.01328585741341559D0*Z(2)+0.04015147277405744D0*Z(1)\\br \\tab{5}W(12)=0.3198209177068516D0*Z(16)+(-0.03423495461011043D0*Z(15))+(-\\br \\tab{4}&0.1417185427288274D0*Z(14))+(-0.3852396953763045D0*Z(13))+0.959162\\br \\tab{4}&3347824002D0*Z(12)+(-0.315042193418466D0*Z(11))+(-0.14739952092889\\br \\tab{4}&45D0*Z(10))+(-0.08249492560213524D0*Z(9))+0.2171103102175198D0*Z(8\\br \\tab{4}&)+(-0.03769663291725935D0*Z(7))+(-0.05034242196614937D0*Z(6))+(-0.\\br \\tab{4}&01445079632086177D0*Z(5))+0.02947046460707379D0*Z(4)+(-0.002512226\\br \\tab{4}&501941856D0*Z(3))+(-0.001822737697581869D0*Z(2))+0.045563697677763\\br \\tab{4}&75D0*Z(1)\\br \\tab{5}W(13)=0.09089205517109111D0*Z(16)+(-0.09033531980693314D0*Z(15))+(\\br \\tab{4}&-0.3241503380268184D0*Z(14))+0.8600427128450191D0*Z(13)+(-0.305169\\br \\tab{4}&742604165D0*Z(12))+(-0.1280829963720053D0*Z(11))+(-0.0663087451453\\br \\tab{4}&5952D0*Z(10))+0.2012230497530726D0*Z(9)+(-0.04353074206076491D0*Z(\\br \\tab{4}&8))+(-0.05051817793156355D0*Z(7))+(-0.014224695935687D0*Z(6))+0.05\\br \\tab{4}&468897337339577D0*Z(5)+(-0.01965809746040371D0*Z(4))+(-0.016234277\\br \\tab{4}&35779699D0*Z(3))+0.005239165960779299D0*Z(2)+0.05141563713660119D0\\br \\tab{4}&*Z(1)\\br \\tab{5}W(14)=(-0.02986582812574917D0*Z(16))+(-0.2995429545781457D0*Z(15))\\br \\tab{4}&+0.8892996132269974D0*Z(14)+(-0.3523683853026259D0*Z(13))+(-0.1236\\br \\tab{4}&679206156403D0*Z(12))+(-0.05760560341383113D0*Z(11))+0.20910979278\\br \\tab{4}&87612D0*Z(10)+(-0.04901428822579872D0*Z(9))+(-0.05483186562035512D\\br \\tab{4}&0*Z(8))+(-0.01632133125029967D0*Z(7))+0.05375944956767728D0*Z(6)+0\\br \\tab{4}&.002033305231024948D0*Z(5)+(-0.03032392238968179D0*Z(4))+(-0.00660\\br \\tab{4}&7305534689702D0*Z(3))+0.02021603150122265D0*Z(2)+0.033711981971903\\br \\tab{4}&02D0*Z(1)\\br \\tab{5}W(15)=(-0.2419652703415429D0*Z(16))+0.9128222941872173D0*Z(15)+(-0\\br \\tab{4}&.3244016605667343D0*Z(14))+(-0.1688977368984641D0*Z(13))+(-0.05325\\br \\tab{4}&555586632358D0*Z(12))+0.2176561076571465D0*Z(11)+(-0.0415311995556\\br \\tab{4}&9051D0*Z(10))+(-0.06095390688679697D0*Z(9))+(-0.01981532388243379D\\br \\tab{4}&0*Z(8))+0.05258889186338282D0*Z(7)+0.00157466157362272D0*Z(6)+(-0.\\br \\tab{4}&0135713672105995D0*Z(5))+(-0.01764072463999744D0*Z(4))+0.010940122\\br \\tab{4}&10519586D0*Z(3)+0.008812321197398072D0*Z(2)+0.0227345011107737D0*Z\\br \\tab{4}&(1)\\br \\tab{5}W(16)=1.019463911841327D0*Z(16)+(-0.2803531651057233D0*Z(15))+(-0.\\br \\tab{4}&1165300508238904D0*Z(14))+(-0.1385343580686922D0*Z(13))+0.22647669\\br \\tab{4}&47290192D0*Z(12)+(-0.02434652144032987D0*Z(11))+(-0.04723268012114\\br \\tab{4}&625D0*Z(10))+(-0.03586220812223305D0*Z(9))+0.04932374658377151D0*Z\\br \\tab{4}&(8)+0.00372306473653087D0*Z(7)+(-0.01219194009813166D0*Z(6))+(-0.0\\br \\tab{4}&07005540882865317D0*Z(5))+0.002957434991769087D0*Z(4)+0.0021069739\\br \\tab{4}&00813502D0*Z(3)+0.001747395874954051D0*Z(2)+0.01707454969713436D0*\\br \\tab{4}&Z(1)\\br \\tab{5}RETURN\\br \\tab{5}END\\br"))) 
 NIL 
 NIL 
-(-74 -1486) 
-((|constructor| (NIL "\\spadtype{Asp29} produces Fortran for Type 29 ASPs,{} needed for NAG routine f02fjf,{} for example: \\blankline \\tab{5}SUBROUTINE MONIT(ISTATE,{}NEXTIT,{}NEVALS,{}NEVECS,{}\\spad{K},{}\\spad{F},{}\\spad{D})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{D}(\\spad{K}),{}\\spad{F}(\\spad{K})\\spad{\\br} \\tab{5}INTEGER \\spad{K},{}NEXTIT,{}NEVALS,{}NVECS,{}ISTATE\\spad{\\br} \\tab{5}CALL F02FJZ(ISTATE,{}NEXTIT,{}NEVALS,{}NEVECS,{}\\spad{K},{}\\spad{F},{}\\spad{D})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br}")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP29}."))) 
+(-74 -2798) 
+((|constructor| (NIL "\\spadtype{Asp29} produces Fortran for Type 29 ASPs, needed for NAG routine f02fjf, for example: \\blankline \\tab{5}SUBROUTINE MONIT(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}DOUBLE PRECISION D(K),F(K)\\br \\tab{5}INTEGER K,NEXTIT,NEVALS,NVECS,ISTATE\\br \\tab{5}CALL F02FJZ(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)\\br \\tab{5}RETURN\\br \\tab{5}END\\br")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP29}."))) 
 NIL 
 NIL 
-(-75 -1486) 
-((|constructor| (NIL "\\spadtype{Asp30} produces Fortran for Type 30 ASPs,{} needed for NAG routine f04qaf,{} for example: \\blankline \\tab{5}SUBROUTINE APROD(MODE,{}\\spad{M},{}\\spad{N},{}\\spad{X},{}\\spad{Y},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}\\spad{Y}(\\spad{M}),{}RWORK(LRWORK)\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}LIWORK,{}IFAIL,{}LRWORK,{}IWORK(LIWORK),{}MODE\\spad{\\br} \\tab{5}DOUBLE PRECISION A(5,{}5)\\spad{\\br} \\tab{5}EXTERNAL F06PAF\\spad{\\br} \\tab{5}A(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(1,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(1,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(2,{}5)=-1.0D0\\spad{\\br} \\tab{5}A(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(3,{}3)\\spad{=1}.0D0\\spad{\\br} \\tab{5}A(3,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(3,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(4,{}1)=-1.0D0\\spad{\\br} \\tab{5}A(4,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(4,{}3)=-1.0D0\\spad{\\br} \\tab{5}A(4,{}4)\\spad{=4}.0D0\\spad{\\br} \\tab{5}A(4,{}5)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(5,{}2)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}A(5,{}4)=-1.0D0\\spad{\\br} \\tab{5}A(5,{}5)\\spad{=4}.0D0\\spad{\\br} \\tab{5}IF(MODE.EQ.1)THEN\\spad{\\br} \\tab{7}CALL F06PAF(\\spad{'N'},{}\\spad{M},{}\\spad{N},{}1.0D0,{}A,{}\\spad{M},{}\\spad{X},{}1,{}1.0D0,{}\\spad{Y},{}1)\\spad{\\br} \\tab{5}ELSEIF(MODE.EQ.2)THEN\\spad{\\br} \\tab{7}CALL F06PAF(\\spad{'T'},{}\\spad{M},{}\\spad{N},{}1.0D0,{}A,{}\\spad{M},{}\\spad{Y},{}1,{}1.0D0,{}\\spad{X},{}1)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
+(-75 -2798) 
+((|constructor| (NIL "\\spadtype{Asp30} produces Fortran for Type 30 ASPs, needed for NAG routine f04qaf, for example: \\blankline \\tab{5}SUBROUTINE APROD(MODE,M,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION X(N),Y(M),RWORK(LRWORK)\\br \\tab{5}INTEGER M,N,LIWORK,IFAIL,LRWORK,IWORK(LIWORK),MODE\\br \\tab{5}DOUBLE PRECISION A(5,5)\\br \\tab{5}EXTERNAL F06PAF\\br \\tab{5}A(1,1)=1.0D0\\br \\tab{5}A(1,2)=0.0D0\\br \\tab{5}A(1,3)=0.0D0\\br \\tab{5}A(1,4)=-1.0D0\\br \\tab{5}A(1,5)=0.0D0\\br \\tab{5}A(2,1)=0.0D0\\br \\tab{5}A(2,2)=1.0D0\\br \\tab{5}A(2,3)=0.0D0\\br \\tab{5}A(2,4)=0.0D0\\br \\tab{5}A(2,5)=-1.0D0\\br \\tab{5}A(3,1)=0.0D0\\br \\tab{5}A(3,2)=0.0D0\\br \\tab{5}A(3,3)=1.0D0\\br \\tab{5}A(3,4)=-1.0D0\\br \\tab{5}A(3,5)=0.0D0\\br \\tab{5}A(4,1)=-1.0D0\\br \\tab{5}A(4,2)=0.0D0\\br \\tab{5}A(4,3)=-1.0D0\\br \\tab{5}A(4,4)=4.0D0\\br \\tab{5}A(4,5)=-1.0D0\\br \\tab{5}A(5,1)=0.0D0\\br \\tab{5}A(5,2)=-1.0D0\\br \\tab{5}A(5,3)=0.0D0\\br \\tab{5}A(5,4)=-1.0D0\\br \\tab{5}A(5,5)=4.0D0\\br \\tab{5}IF(MODE.EQ.1)THEN\\br \\tab{7}CALL F06PAF('N',M,N,1.0D0,A,M,X,1,1.0D0,Y,1)\\br \\tab{5}ELSEIF(MODE.EQ.2)THEN\\br \\tab{7}CALL F06PAF('T',M,N,1.0D0,A,M,Y,1,1.0D0,X,1)\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-76 -1486) 
-((|constructor| (NIL "\\spadtype{Asp31} produces Fortran for Type 31 ASPs,{} needed for NAG routine d02ejf,{} for example: \\blankline \\tab{5}SUBROUTINE PEDERV(\\spad{X},{}\\spad{Y},{}\\spad{PW})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X},{}\\spad{Y}(*)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{PW}(3,{}3)\\spad{\\br} \\tab{5}\\spad{PW}(1,{}1)=-0.03999999999999999D0\\spad{\\br} \\tab{5}\\spad{PW}(1,{}2)\\spad{=10000}.0D0*Y(3)\\spad{\\br} \\tab{5}\\spad{PW}(1,{}3)\\spad{=10000}.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(2,{}1)\\spad{=0}.03999999999999999D0\\spad{\\br} \\tab{5}\\spad{PW}(2,{}2)=(\\spad{-10000}.0D0*Y(3))+(\\spad{-60000000}.0D0*Y(2))\\spad{\\br} \\tab{5}\\spad{PW}(2,{}3)=-10000.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{PW}(3,{}2)\\spad{=60000000}.0D0*Y(2)\\spad{\\br} \\tab{5}\\spad{PW}(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-76 -2798) 
+((|constructor| (NIL "\\spadtype{Asp31} produces Fortran for Type 31 ASPs, needed for NAG routine d02ejf, for example: \\blankline \\tab{5}SUBROUTINE PEDERV(X,Y,PW)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}DOUBLE PRECISION PW(3,3)\\br \\tab{5}PW(1,1)=-0.03999999999999999D0\\br \\tab{5}PW(1,2)=10000.0D0*Y(3)\\br \\tab{5}PW(1,3)=10000.0D0*Y(2)\\br \\tab{5}PW(2,1)=0.03999999999999999D0\\br \\tab{5}PW(2,2)=(-10000.0D0*Y(3))+(-60000000.0D0*Y(2))\\br \\tab{5}PW(2,3)=-10000.0D0*Y(2)\\br \\tab{5}PW(3,1)=0.0D0\\br \\tab{5}PW(3,2)=60000000.0D0*Y(2)\\br \\tab{5}PW(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-77 -1486) 
-((|constructor| (NIL "\\spadtype{Asp33} produces Fortran for Type 33 ASPs,{} needed for NAG routine d02kef. The code is a dummy ASP: \\blankline \\tab{5}SUBROUTINE REPORT(\\spad{X},{}\\spad{V},{}JINT)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{V}(3),{}\\spad{X}\\spad{\\br} \\tab{5}INTEGER JINT\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP33}."))) 
+(-77 -2798) 
+((|constructor| (NIL "\\spadtype{Asp33} produces Fortran for Type 33 ASPs, needed for NAG routine d02kef. The code is a dummy ASP: \\blankline \\tab{5}SUBROUTINE REPORT(X,V,JINT)\\br \\tab{5}DOUBLE PRECISION V(3),X\\br \\tab{5}INTEGER JINT\\br \\tab{5}RETURN\\br \\tab{5}END")) (|outputAsFortran| (((|Void|)) "\\spad{outputAsFortran()} generates the default code for \\spadtype{ASP33}."))) 
 NIL 
 NIL 
-(-78 -1486) 
-((|constructor| (NIL "\\spadtype{Asp34} produces Fortran for Type 34 ASPs,{} needed for NAG routine f04mbf,{} for example: \\blankline \\tab{5}SUBROUTINE MSOLVE(IFLAG,{}\\spad{N},{}\\spad{X},{}\\spad{Y},{}RWORK,{}LRWORK,{}IWORK,{}LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION RWORK(LRWORK),{}\\spad{X}(\\spad{N}),{}\\spad{Y}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{J},{}\\spad{N},{}LIWORK,{}IFLAG,{}LRWORK,{}IWORK(LIWORK)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{W1}(3),{}\\spad{W2}(3),{}\\spad{MS}(3,{}3)\\spad{\\br} \\tab{5}IFLAG=-1\\spad{\\br} \\tab{5}\\spad{MS}(1,{}1)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(1,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(2,{}3)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{MS}(3,{}3)\\spad{=2}.0D0\\spad{\\br} \\tab{5}CALL F04ASF(\\spad{MS},{}\\spad{N},{}\\spad{X},{}\\spad{N},{}\\spad{Y},{}\\spad{W1},{}\\spad{W2},{}IFLAG)\\spad{\\br} \\tab{5}IFLAG=-IFLAG\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END"))) 
+(-78 -2798) 
+((|constructor| (NIL "\\spadtype{Asp34} produces Fortran for Type 34 ASPs, needed for NAG routine f04mbf, for example: \\blankline \\tab{5}SUBROUTINE MSOLVE(IFLAG,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)\\br \\tab{5}DOUBLE PRECISION RWORK(LRWORK),X(N),Y(N)\\br \\tab{5}INTEGER I,J,N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)\\br \\tab{5}DOUBLE PRECISION W1(3),W2(3),MS(3,3)\\br \\tab{5}IFLAG=-1\\br \\tab{5}MS(1,1)=2.0D0\\br \\tab{5}MS(1,2)=1.0D0\\br \\tab{5}MS(1,3)=0.0D0\\br \\tab{5}MS(2,1)=1.0D0\\br \\tab{5}MS(2,2)=2.0D0\\br \\tab{5}MS(2,3)=1.0D0\\br \\tab{5}MS(3,1)=0.0D0\\br \\tab{5}MS(3,2)=1.0D0\\br \\tab{5}MS(3,3)=2.0D0\\br \\tab{5}CALL F04ASF(MS,N,X,N,Y,W1,W2,IFLAG)\\br \\tab{5}IFLAG=-IFLAG\\br \\tab{5}RETURN\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-79 -1486) 
-((|constructor| (NIL "\\spadtype{Asp35} produces Fortran for Type 35 ASPs,{} needed for NAG routines c05pbf,{} c05pcf,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{N},{}\\spad{X},{}FVEC,{}FJAC,{}LDFJAC,{}IFLAG)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}FVEC(\\spad{N}),{}FJAC(LDFJAC,{}\\spad{N})\\spad{\\br} \\tab{5}INTEGER LDFJAC,{}\\spad{N},{}IFLAG\\spad{\\br} \\tab{5}IF(IFLAG.EQ.1)THEN\\spad{\\br} \\tab{7}FVEC(1)=(\\spad{-1}.0D0*X(2))\\spad{+X}(1)\\spad{\\br} \\tab{7}FVEC(2)=(\\spad{-1}.0D0*X(3))\\spad{+2}.0D0*X(2)\\spad{\\br} \\tab{7}FVEC(3)\\spad{=3}.0D0*X(3)\\spad{\\br} \\tab{5}ELSEIF(IFLAG.EQ.2)THEN\\spad{\\br} \\tab{7}FJAC(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{7}FJAC(1,{}2)=-1.0D0\\spad{\\br} \\tab{7}FJAC(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}2)\\spad{=2}.0D0\\spad{\\br} \\tab{7}FJAC(2,{}3)=-1.0D0\\spad{\\br} \\tab{7}FJAC(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{7}FJAC(3,{}3)\\spad{=3}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-79 -2798) 
+((|constructor| (NIL "\\spadtype{Asp35} produces Fortran for Type 35 ASPs, needed for NAG routines c05pbf, c05pcf, for example: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,FJAC,LDFJAC,IFLAG)\\br \\tab{5}DOUBLE PRECISION X(N),FVEC(N),FJAC(LDFJAC,N)\\br \\tab{5}INTEGER LDFJAC,N,IFLAG\\br \\tab{5}IF(IFLAG.EQ.1)THEN\\br \\tab{7}FVEC(1)=(-1.0D0*X(2))+X(1)\\br \\tab{7}FVEC(2)=(-1.0D0*X(3))+2.0D0*X(2)\\br \\tab{7}FVEC(3)=3.0D0*X(3)\\br \\tab{5}ELSEIF(IFLAG.EQ.2)THEN\\br \\tab{7}FJAC(1,1)=1.0D0\\br \\tab{7}FJAC(1,2)=-1.0D0\\br \\tab{7}FJAC(1,3)=0.0D0\\br \\tab{7}FJAC(2,1)=0.0D0\\br \\tab{7}FJAC(2,2)=2.0D0\\br \\tab{7}FJAC(2,3)=-1.0D0\\br \\tab{7}FJAC(3,1)=0.0D0\\br \\tab{7}FJAC(3,2)=0.0D0\\br \\tab{7}FJAC(3,3)=3.0D0\\br \\tab{5}ENDIF\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
 (-80 |nameOne| |nameTwo| |nameThree|) 
-((|constructor| (NIL "\\spadtype{Asp41} produces Fortran for Type 41 ASPs,{} needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions,{} and their derivatives \\spad{wrt} \\spad{Y}(\\spad{i}) and also a continuation parameter EPS,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{X},{}EPS,{}\\spad{Y},{}\\spad{F},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}\\spad{F}(\\spad{N}),{}\\spad{X},{}\\spad{Y}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{F}(1)\\spad{=Y}(2)\\spad{\\br} \\tab{5}\\spad{F}(2)\\spad{=Y}(3)\\spad{\\br} \\tab{5}\\spad{F}(3)=(\\spad{-1}.0D0*Y(1)\\spad{*Y}(3))\\spad{+2}.0D0*EPS*Y(2)**2+(\\spad{-2}.0D0*EPS)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACOBF(\\spad{X},{}EPS,{}\\spad{Y},{}\\spad{F},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}\\spad{F}(\\spad{N},{}\\spad{N}),{}\\spad{X},{}\\spad{Y}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{F}(1,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(1,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{F}(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}3)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{F}(3,{}1)=-1.0D0*Y(3)\\spad{\\br} \\tab{5}\\spad{F}(3,{}2)\\spad{=4}.0D0*EPS*Y(2)\\spad{\\br} \\tab{5}\\spad{F}(3,{}3)=-1.0D0*Y(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACEPS(\\spad{X},{}EPS,{}\\spad{Y},{}\\spad{F},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}\\spad{F}(\\spad{N}),{}\\spad{X},{}\\spad{Y}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{F}(1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(3)\\spad{=2}.0D0*Y(2)\\spad{**2}-2.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+((|constructor| (NIL "\\spadtype{Asp41} produces Fortran for Type 41 ASPs, needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions, and their derivatives \\spad{wrt} Y(i) and also a continuation parameter EPS, for example: \\blankline \\tab{5}SUBROUTINE FCN(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1)=Y(2)\\br \\tab{5}F(2)=Y(3)\\br \\tab{5}F(3)=(-1.0D0*Y(1)*Y(3))+2.0D0*EPS*Y(2)**2+(-2.0D0*EPS)\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACOBF(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N,N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1,1)=0.0D0\\br \\tab{5}F(1,2)=1.0D0\\br \\tab{5}F(1,3)=0.0D0\\br \\tab{5}F(2,1)=0.0D0\\br \\tab{5}F(2,2)=0.0D0\\br \\tab{5}F(2,3)=1.0D0\\br \\tab{5}F(3,1)=-1.0D0*Y(3)\\br \\tab{5}F(3,2)=4.0D0*EPS*Y(2)\\br \\tab{5}F(3,3)=-1.0D0*Y(1)\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACEPS(X,EPS,Y,F,N)\\br \\tab{5}DOUBLE PRECISION EPS,F(N),X,Y(N)\\br \\tab{5}INTEGER N\\br \\tab{5}F(1)=0.0D0\\br \\tab{5}F(2)=0.0D0\\br \\tab{5}F(3)=2.0D0*Y(2)**2-2.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
 (-81 |nameOne| |nameTwo| |nameThree|) 
-((|constructor| (NIL "\\spadtype{Asp42} produces Fortran for Type 42 ASPs,{} needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions,{} and their derivatives \\spad{wrt} \\spad{Y}(\\spad{i}) and also a continuation parameter EPS,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{G}(EPS,{}YA,{}\\spad{YB},{}\\spad{BC},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}\\spad{YB}(\\spad{N}),{}\\spad{BC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}\\spad{BC}(1)=YA(1)\\spad{\\br} \\tab{5}\\spad{BC}(2)=YA(2)\\spad{\\br} \\tab{5}\\spad{BC}(3)\\spad{=YB}(2)\\spad{-1}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACOBG(EPS,{}YA,{}\\spad{YB},{}AJ,{}\\spad{BJ},{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}AJ(\\spad{N},{}\\spad{N}),{}\\spad{BJ}(\\spad{N},{}\\spad{N}),{}\\spad{YB}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}AJ(1,{}1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}AJ(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(2,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}AJ(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}AJ(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{BJ}(3,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END\\spad{\\br} \\tab{5}SUBROUTINE JACGEP(EPS,{}YA,{}\\spad{YB},{}BCEP,{}\\spad{N})\\spad{\\br} \\tab{5}DOUBLE PRECISION EPS,{}YA(\\spad{N}),{}\\spad{YB}(\\spad{N}),{}BCEP(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{N}\\spad{\\br} \\tab{5}BCEP(1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}BCEP(2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}BCEP(3)\\spad{=0}.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+((|constructor| (NIL "\\spadtype{Asp42} produces Fortran for Type 42 ASPs, needed for NAG routines d02raf and d02saf in particular. These ASPs are in fact three Fortran routines which return a vector of functions, and their derivatives \\spad{wrt} Y(i) and also a continuation parameter EPS, for example: \\blankline \\tab{5}SUBROUTINE G(EPS,YA,YB,BC,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BC(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BC(1)=YA(1)\\br \\tab{5}BC(2)=YA(2)\\br \\tab{5}BC(3)=YB(2)-1.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACOBG(EPS,YA,YB,AJ,BJ,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),AJ(N,N),BJ(N,N),YB(N)\\br \\tab{5}INTEGER N\\br \\tab{5}AJ(1,1)=1.0D0\\br \\tab{5}AJ(1,2)=0.0D0\\br \\tab{5}AJ(1,3)=0.0D0\\br \\tab{5}AJ(2,1)=0.0D0\\br \\tab{5}AJ(2,2)=1.0D0\\br \\tab{5}AJ(2,3)=0.0D0\\br \\tab{5}AJ(3,1)=0.0D0\\br \\tab{5}AJ(3,2)=0.0D0\\br \\tab{5}AJ(3,3)=0.0D0\\br \\tab{5}BJ(1,1)=0.0D0\\br \\tab{5}BJ(1,2)=0.0D0\\br \\tab{5}BJ(1,3)=0.0D0\\br \\tab{5}BJ(2,1)=0.0D0\\br \\tab{5}BJ(2,2)=0.0D0\\br \\tab{5}BJ(2,3)=0.0D0\\br \\tab{5}BJ(3,1)=0.0D0\\br \\tab{5}BJ(3,2)=1.0D0\\br \\tab{5}BJ(3,3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END\\br \\tab{5}SUBROUTINE JACGEP(EPS,YA,YB,BCEP,N)\\br \\tab{5}DOUBLE PRECISION EPS,YA(N),YB(N),BCEP(N)\\br \\tab{5}INTEGER N\\br \\tab{5}BCEP(1)=0.0D0\\br \\tab{5}BCEP(2)=0.0D0\\br \\tab{5}BCEP(3)=0.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-82 -1486) 
-((|constructor| (NIL "\\spadtype{Asp49} produces Fortran for Type 49 ASPs,{} needed for NAG routines e04dgf,{} e04ucf,{} for example: \\blankline \\tab{5}SUBROUTINE OBJFUN(MODE,{}\\spad{N},{}\\spad{X},{}OBJF,{}OBJGRD,{}NSTATE,{}IUSER,{}USER)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}OBJF,{}OBJGRD(\\spad{N}),{}USER(*)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}IUSER(*),{}MODE,{}NSTATE\\spad{\\br} \\tab{5}OBJF=X(4)\\spad{*X}(9)+((\\spad{-1}.0D0*X(5))\\spad{+X}(3))\\spad{*X}(8)+((\\spad{-1}.0D0*X(3))\\spad{+X}(1))\\spad{*X}(7)\\spad{\\br} \\tab{4}\\spad{&+}(\\spad{-1}.0D0*X(2)\\spad{*X}(6))\\spad{\\br} \\tab{5}OBJGRD(1)\\spad{=X}(7)\\spad{\\br} \\tab{5}OBJGRD(2)=-1.0D0*X(6)\\spad{\\br} \\tab{5}OBJGRD(3)\\spad{=X}(8)+(\\spad{-1}.0D0*X(7))\\spad{\\br} \\tab{5}OBJGRD(4)\\spad{=X}(9)\\spad{\\br} \\tab{5}OBJGRD(5)=-1.0D0*X(8)\\spad{\\br} \\tab{5}OBJGRD(6)=-1.0D0*X(2)\\spad{\\br} \\tab{5}OBJGRD(7)=(\\spad{-1}.0D0*X(3))\\spad{+X}(1)\\spad{\\br} \\tab{5}OBJGRD(8)=(\\spad{-1}.0D0*X(5))\\spad{+X}(3)\\spad{\\br} \\tab{5}OBJGRD(9)\\spad{=X}(4)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
+(-82 -2798) 
+((|constructor| (NIL "\\spadtype{Asp49} produces Fortran for Type 49 ASPs, needed for NAG routines e04dgf, e04ucf, for example: \\blankline \\tab{5}SUBROUTINE OBJFUN(MODE,N,X,OBJF,OBJGRD,NSTATE,IUSER,USER)\\br \\tab{5}DOUBLE PRECISION X(N),OBJF,OBJGRD(N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),MODE,NSTATE\\br \\tab{5}OBJF=X(4)*X(9)+((-1.0D0*X(5))+X(3))*X(8)+((-1.0D0*X(3))+X(1))*X(7)\\br \\tab{4}&+(-1.0D0*X(2)*X(6))\\br \\tab{5}OBJGRD(1)=X(7)\\br \\tab{5}OBJGRD(2)=-1.0D0*X(6)\\br \\tab{5}OBJGRD(3)=X(8)+(-1.0D0*X(7))\\br \\tab{5}OBJGRD(4)=X(9)\\br \\tab{5}OBJGRD(5)=-1.0D0*X(8)\\br \\tab{5}OBJGRD(6)=-1.0D0*X(2)\\br \\tab{5}OBJGRD(7)=(-1.0D0*X(3))+X(1)\\br \\tab{5}OBJGRD(8)=(-1.0D0*X(5))+X(3)\\br \\tab{5}OBJGRD(9)=X(4)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-83 -1486) 
-((|constructor| (NIL "\\spadtype{Asp4} produces Fortran for Type 4 ASPs,{} which take an expression in \\spad{X}(1) .. \\spad{X}(NDIM) and produce a real function of the form: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION FUNCTN(NDIM,{}\\spad{X})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}(NDIM)\\spad{\\br} \\tab{5}INTEGER NDIM\\spad{\\br} \\tab{5}FUNCTN=(4.0D0*X(1)\\spad{*X}(3)**2*DEXP(2.0D0*X(1)\\spad{*X}(3)))/(\\spad{X}(4)**2+(2.0D0*\\spad{\\br} \\tab{4}\\spad{&X}(2)\\spad{+2}.0D0)\\spad{*X}(4)\\spad{+X}(2)\\spad{**2+2}.0D0*X(2)\\spad{+1}.0D0)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
+(-83 -2798) 
+((|constructor| (NIL "\\spadtype{Asp4} produces Fortran for Type 4 ASPs, which take an expression in X(1) \\spad{..} X(NDIM) and produce a real function of the form: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION FUNCTN(NDIM,X)\\br \\tab{5}DOUBLE PRECISION X(NDIM)\\br \\tab{5}INTEGER NDIM\\br \\tab{5}FUNCTN=(4.0D0*X(1)*X(3)**2*DEXP(2.0D0*X(1)*X(3)))/(X(4)**2+(2.0D0*\\br \\tab{4}&X(2)+2.0D0)*X(4)+X(2)**2+2.0D0*X(2)+1.0D0)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
-(-84 -1486) 
-((|constructor| (NIL "\\spadtype{Asp50} produces Fortran for Type 50 ASPs,{} needed for NAG routine e04fdf,{} for example: \\blankline \\tab{5}SUBROUTINE \\spad{LSFUN1}(\\spad{M},{}\\spad{N},{}\\spad{XC},{}FVECC)\\spad{\\br} \\tab{5}DOUBLE PRECISION FVECC(\\spad{M}),{}\\spad{XC}(\\spad{N})\\spad{\\br} \\tab{5}INTEGER \\spad{I},{}\\spad{M},{}\\spad{N}\\spad{\\br} \\tab{5}FVECC(1)=((\\spad{XC}(1)\\spad{-2}.4D0)\\spad{*XC}(3)+(15.0D0*XC(1)\\spad{-36}.0D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{\\br} \\tab{4}\\spad{&XC}(3)\\spad{+15}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(2)=((\\spad{XC}(1)\\spad{-2}.8D0)\\spad{*XC}(3)+(7.0D0*XC(1)\\spad{-19}.6D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{X}\\spad{\\br} \\tab{4}\\spad{&C}(3)\\spad{+7}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(3)=((\\spad{XC}(1)\\spad{-3}.2D0)\\spad{*XC}(3)+(4.333333333333333D0*XC(1)\\spad{-13}.866666\\spad{\\br} \\tab{4}\\spad{&66666667D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+4}.333333333333333D0*XC(2))\\spad{\\br} \\tab{5}FVECC(4)=((\\spad{XC}(1)\\spad{-3}.5D0)\\spad{*XC}(3)+(3.0D0*XC(1)\\spad{-10}.5D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{X}\\spad{\\br} \\tab{4}\\spad{&C}(3)\\spad{+3}.0D0*XC(2))\\spad{\\br} \\tab{5}FVECC(5)=((\\spad{XC}(1)\\spad{-3}.9D0)\\spad{*XC}(3)+(2.2D0*XC(1)\\spad{-8}.579999999999998D0)\\spad{*XC}\\spad{\\br} \\tab{4}&(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+2}.2D0*XC(2))\\spad{\\br} \\tab{5}FVECC(6)=((\\spad{XC}(1)\\spad{-4}.199999999999999D0)\\spad{*XC}(3)+(1.666666666666667D0*X\\spad{\\br} \\tab{4}\\spad{&C}(1)\\spad{-7}.0D0)\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.666666666666667D0*XC(2))\\spad{\\br} \\tab{5}FVECC(7)=((\\spad{XC}(1)\\spad{-4}.5D0)\\spad{*XC}(3)+(1.285714285714286D0*XC(1)\\spad{-5}.7857142\\spad{\\br} \\tab{4}\\spad{&85714286D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+1}.285714285714286D0*XC(2))\\spad{\\br} \\tab{5}FVECC(8)=((\\spad{XC}(1)\\spad{-4}.899999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.8999999999999\\spad{\\br} \\tab{4}\\spad{&99D0})\\spad{*XC}(2)\\spad{+1}.0D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(9)=((\\spad{XC}(1)\\spad{-4}.699999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.6999999999999\\spad{\\br} \\tab{4}\\spad{&99D0})\\spad{*XC}(2)\\spad{+1}.285714285714286D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(10)=((\\spad{XC}(1)\\spad{-6}.8D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-6}.8D0)\\spad{*XC}(2)\\spad{+1}.6666666666666\\spad{\\br} \\tab{4}\\spad{&67D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(11)=((\\spad{XC}(1)\\spad{-8}.299999999999999D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-8}.299999999999\\spad{\\br} \\tab{4}\\spad{&999D0})\\spad{*XC}(2)\\spad{+2}.2D0)/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(12)=((\\spad{XC}(1)\\spad{-10}.6D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-10}.6D0)\\spad{*XC}(2)\\spad{+3}.0D0)/(\\spad{XC}(3)\\spad{\\br} \\tab{4}&+XC(2))\\spad{\\br} \\tab{5}FVECC(13)=((\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-1}.34D0)\\spad{*XC}(2)\\spad{+4}.33333333333\\spad{\\br} \\tab{4}\\spad{&3333D0})/(\\spad{XC}(3)\\spad{+XC}(2))\\spad{\\br} \\tab{5}FVECC(14)=((\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-2}.1D0)\\spad{*XC}(2)\\spad{+7}.0D0)/(\\spad{XC}(3)\\spad{+X}\\spad{\\br} \\tab{4}\\spad{&C}(2))\\spad{\\br} \\tab{5}FVECC(15)=((\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(3)+(\\spad{XC}(1)\\spad{-4}.39D0)\\spad{*XC}(2)\\spad{+15}.0D0)/(\\spad{XC}(3\\spad{\\br} \\tab{4}&)\\spad{+XC}(2))\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-84 -2798) 
+((|constructor| (NIL "\\spadtype{Asp50} produces Fortran for Type 50 ASPs, needed for NAG routine e04fdf, for example: \\blankline \\tab{5}SUBROUTINE LSFUN1(M,N,XC,FVECC)\\br \\tab{5}DOUBLE PRECISION FVECC(M),XC(N)\\br \\tab{5}INTEGER I,M,N\\br \\tab{5}FVECC(1)=((XC(1)-2.4D0)*XC(3)+(15.0D0*XC(1)-36.0D0)*XC(2)+1.0D0)/(\\br \\tab{4}&XC(3)+15.0D0*XC(2))\\br \\tab{5}FVECC(2)=((XC(1)-2.8D0)*XC(3)+(7.0D0*XC(1)-19.6D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+7.0D0*XC(2))\\br \\tab{5}FVECC(3)=((XC(1)-3.2D0)*XC(3)+(4.333333333333333D0*XC(1)-13.866666\\br \\tab{4}&66666667D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))\\br \\tab{5}FVECC(4)=((XC(1)-3.5D0)*XC(3)+(3.0D0*XC(1)-10.5D0)*XC(2)+1.0D0)/(X\\br \\tab{4}&C(3)+3.0D0*XC(2))\\br \\tab{5}FVECC(5)=((XC(1)-3.9D0)*XC(3)+(2.2D0*XC(1)-8.579999999999998D0)*XC\\br \\tab{4}&(2)+1.0D0)/(XC(3)+2.2D0*XC(2))\\br \\tab{5}FVECC(6)=((XC(1)-4.199999999999999D0)*XC(3)+(1.666666666666667D0*X\\br \\tab{4}&C(1)-7.0D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))\\br \\tab{5}FVECC(7)=((XC(1)-4.5D0)*XC(3)+(1.285714285714286D0*XC(1)-5.7857142\\br \\tab{4}&85714286D0)*XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))\\br \\tab{5}FVECC(8)=((XC(1)-4.899999999999999D0)*XC(3)+(XC(1)-4.8999999999999\\br \\tab{4}&99D0)*XC(2)+1.0D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(9)=((XC(1)-4.699999999999999D0)*XC(3)+(XC(1)-4.6999999999999\\br \\tab{4}&99D0)*XC(2)+1.285714285714286D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(10)=((XC(1)-6.8D0)*XC(3)+(XC(1)-6.8D0)*XC(2)+1.6666666666666\\br \\tab{4}&67D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(11)=((XC(1)-8.299999999999999D0)*XC(3)+(XC(1)-8.299999999999\\br \\tab{4}&999D0)*XC(2)+2.2D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(12)=((XC(1)-10.6D0)*XC(3)+(XC(1)-10.6D0)*XC(2)+3.0D0)/(XC(3)\\br \\tab{4}&+XC(2))\\br \\tab{5}FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333\\br \\tab{4}&3333D0)/(XC(3)+XC(2))\\br \\tab{5}FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X\\br \\tab{4}&C(2))\\br \\tab{5}FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3\\br \\tab{4}&)+XC(2))\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-85 -1486) 
-((|constructor| (NIL "\\spadtype{Asp55} produces Fortran for Type 55 ASPs,{} needed for NAG routines e04dgf and e04ucf,{} for example: \\blankline \\tab{5}SUBROUTINE CONFUN(MODE,{}NCNLN,{}\\spad{N},{}NROWJ,{}NEEDC,{}\\spad{X},{}\\spad{C},{}CJAC,{}NSTATE,{}IUSER\\spad{\\br} \\tab{4}&,{}USER)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{C}(NCNLN),{}\\spad{X}(\\spad{N}),{}CJAC(NROWJ,{}\\spad{N}),{}USER(*)\\spad{\\br} \\tab{5}INTEGER \\spad{N},{}IUSER(*),{}NEEDC(NCNLN),{}NROWJ,{}MODE,{}NCNLN,{}NSTATE\\spad{\\br} \\tab{5}IF(NEEDC(1).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(1)\\spad{=X}(6)**2+X(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(1,{}1)\\spad{=2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(1,{}2)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(1,{}6)\\spad{=2}.0D0*X(6)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}IF(NEEDC(2).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(2)\\spad{=X}(2)**2+(\\spad{-2}.0D0*X(1)\\spad{*X}(2))\\spad{+X}(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(2,{}1)=(\\spad{-2}.0D0*X(2))\\spad{+2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(2,{}2)\\spad{=2}.0D0*X(2)+(\\spad{-2}.0D0*X(1))\\spad{\\br} \\tab{7}CJAC(2,{}3)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(2,{}6)\\spad{=0}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}IF(NEEDC(3).\\spad{GT}.0)THEN\\spad{\\br} \\tab{7}\\spad{C}(3)\\spad{=X}(3)**2+(\\spad{-2}.0D0*X(1)\\spad{*X}(3))\\spad{+X}(2)**2+X(1)\\spad{**2}\\spad{\\br} \\tab{7}CJAC(3,{}1)=(\\spad{-2}.0D0*X(3))\\spad{+2}.0D0*X(1)\\spad{\\br} \\tab{7}CJAC(3,{}2)\\spad{=2}.0D0*X(2)\\spad{\\br} \\tab{7}CJAC(3,{}3)\\spad{=2}.0D0*X(3)+(\\spad{-2}.0D0*X(1))\\spad{\\br} \\tab{7}CJAC(3,{}4)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(3,{}5)\\spad{=0}.0D0\\spad{\\br} \\tab{7}CJAC(3,{}6)\\spad{=0}.0D0\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-85 -2798) 
+((|constructor| (NIL "\\spadtype{Asp55} produces Fortran for Type 55 ASPs, needed for NAG routines e04dgf and e04ucf, for example: \\blankline \\tab{5}SUBROUTINE CONFUN(MODE,NCNLN,N,NROWJ,NEEDC,X,C,CJAC,NSTATE,IUSER\\br \\tab{4}&,USER)\\br \\tab{5}DOUBLE PRECISION C(NCNLN),X(N),CJAC(NROWJ,N),USER(*)\\br \\tab{5}INTEGER N,IUSER(*),NEEDC(NCNLN),NROWJ,MODE,NCNLN,NSTATE\\br \\tab{5}IF(NEEDC(1).GT.0)THEN\\br \\tab{7}C(1)=X(6)**2+X(1)**2\\br \\tab{7}CJAC(1,1)=2.0D0*X(1)\\br \\tab{7}CJAC(1,2)=0.0D0\\br \\tab{7}CJAC(1,3)=0.0D0\\br \\tab{7}CJAC(1,4)=0.0D0\\br \\tab{7}CJAC(1,5)=0.0D0\\br \\tab{7}CJAC(1,6)=2.0D0*X(6)\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(2).GT.0)THEN\\br \\tab{7}C(2)=X(2)**2+(-2.0D0*X(1)*X(2))+X(1)**2\\br \\tab{7}CJAC(2,1)=(-2.0D0*X(2))+2.0D0*X(1)\\br \\tab{7}CJAC(2,2)=2.0D0*X(2)+(-2.0D0*X(1))\\br \\tab{7}CJAC(2,3)=0.0D0\\br \\tab{7}CJAC(2,4)=0.0D0\\br \\tab{7}CJAC(2,5)=0.0D0\\br \\tab{7}CJAC(2,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}IF(NEEDC(3).GT.0)THEN\\br \\tab{7}C(3)=X(3)**2+(-2.0D0*X(1)*X(3))+X(2)**2+X(1)**2\\br \\tab{7}CJAC(3,1)=(-2.0D0*X(3))+2.0D0*X(1)\\br \\tab{7}CJAC(3,2)=2.0D0*X(2)\\br \\tab{7}CJAC(3,3)=2.0D0*X(3)+(-2.0D0*X(1))\\br \\tab{7}CJAC(3,4)=0.0D0\\br \\tab{7}CJAC(3,5)=0.0D0\\br \\tab{7}CJAC(3,6)=0.0D0\\br \\tab{5}ENDIF\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-86 -1486) 
-((|constructor| (NIL "\\spadtype{Asp6} produces Fortran for Type 6 ASPs,{} needed for NAG routines c05nbf,{} c05ncf. These represent vectors of functions of \\spad{X}(\\spad{i}) and look like: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{N},{}\\spad{X},{}FVEC,{}IFLAG) \\tab{5}DOUBLE PRECISION \\spad{X}(\\spad{N}),{}FVEC(\\spad{N}) \\tab{5}INTEGER \\spad{N},{}IFLAG \\tab{5}FVEC(1)=(\\spad{-2}.0D0*X(2))+(\\spad{-2}.0D0*X(1)\\spad{**2})\\spad{+3}.0D0*X(1)\\spad{+1}.0D0 \\tab{5}FVEC(2)=(\\spad{-2}.0D0*X(3))+(\\spad{-2}.0D0*X(2)\\spad{**2})\\spad{+3}.0D0*X(2)+(\\spad{-1}.0D0*X(1))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(3)=(\\spad{-2}.0D0*X(4))+(\\spad{-2}.0D0*X(3)\\spad{**2})\\spad{+3}.0D0*X(3)+(\\spad{-1}.0D0*X(2))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(4)=(\\spad{-2}.0D0*X(5))+(\\spad{-2}.0D0*X(4)\\spad{**2})\\spad{+3}.0D0*X(4)+(\\spad{-1}.0D0*X(3))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(5)=(\\spad{-2}.0D0*X(6))+(\\spad{-2}.0D0*X(5)\\spad{**2})\\spad{+3}.0D0*X(5)+(\\spad{-1}.0D0*X(4))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(6)=(\\spad{-2}.0D0*X(7))+(\\spad{-2}.0D0*X(6)\\spad{**2})\\spad{+3}.0D0*X(6)+(\\spad{-1}.0D0*X(5))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(7)=(\\spad{-2}.0D0*X(8))+(\\spad{-2}.0D0*X(7)\\spad{**2})\\spad{+3}.0D0*X(7)+(\\spad{-1}.0D0*X(6))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(8)=(\\spad{-2}.0D0*X(9))+(\\spad{-2}.0D0*X(8)\\spad{**2})\\spad{+3}.0D0*X(8)+(\\spad{-1}.0D0*X(7))\\spad{+1}. \\tab{4}\\spad{&0D0} \\tab{5}FVEC(9)=(\\spad{-2}.0D0*X(9)\\spad{**2})\\spad{+3}.0D0*X(9)+(\\spad{-1}.0D0*X(8))\\spad{+1}.0D0 \\tab{5}RETURN \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-86 -2798) 
+((|constructor| (NIL "\\spadtype{Asp6} produces Fortran for Type 6 ASPs, needed for NAG routines c05nbf, c05ncf. These represent vectors of functions of X(i) and look like: \\blankline \\tab{5}SUBROUTINE FCN(N,X,FVEC,IFLAG) \\tab{5}DOUBLE PRECISION X(N),FVEC(N) \\tab{5}INTEGER N,IFLAG \\tab{5}FVEC(1)=(-2.0D0*X(2))+(-2.0D0*X(1)**2)+3.0D0*X(1)+1.0D0 \\tab{5}FVEC(2)=(-2.0D0*X(3))+(-2.0D0*X(2)**2)+3.0D0*X(2)+(-1.0D0*X(1))+1. \\tab{4}&0D0 \\tab{5}FVEC(3)=(-2.0D0*X(4))+(-2.0D0*X(3)**2)+3.0D0*X(3)+(-1.0D0*X(2))+1. \\tab{4}&0D0 \\tab{5}FVEC(4)=(-2.0D0*X(5))+(-2.0D0*X(4)**2)+3.0D0*X(4)+(-1.0D0*X(3))+1. \\tab{4}&0D0 \\tab{5}FVEC(5)=(-2.0D0*X(6))+(-2.0D0*X(5)**2)+3.0D0*X(5)+(-1.0D0*X(4))+1. \\tab{4}&0D0 \\tab{5}FVEC(6)=(-2.0D0*X(7))+(-2.0D0*X(6)**2)+3.0D0*X(6)+(-1.0D0*X(5))+1. \\tab{4}&0D0 \\tab{5}FVEC(7)=(-2.0D0*X(8))+(-2.0D0*X(7)**2)+3.0D0*X(7)+(-1.0D0*X(6))+1. \\tab{4}&0D0 \\tab{5}FVEC(8)=(-2.0D0*X(9))+(-2.0D0*X(8)**2)+3.0D0*X(8)+(-1.0D0*X(7))+1. \\tab{4}&0D0 \\tab{5}FVEC(9)=(-2.0D0*X(9)**2)+3.0D0*X(9)+(-1.0D0*X(8))+1.0D0 \\tab{5}RETURN \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-87 -1486) 
-((|constructor| (NIL "\\spadtype{Asp73} produces Fortran for Type 73 ASPs,{} needed for NAG routine d03eef,{} for example: \\blankline \\tab{5}SUBROUTINE PDEF(\\spad{X},{}\\spad{Y},{}ALPHA,{}BETA,{}GAMMA,{}DELTA,{}EPSOLN,{}PHI,{}PSI)\\spad{\\br} \\tab{5}DOUBLE PRECISION ALPHA,{}EPSOLN,{}PHI,{}\\spad{X},{}\\spad{Y},{}BETA,{}DELTA,{}GAMMA,{}PSI\\spad{\\br} \\tab{5}ALPHA=DSIN(\\spad{X})\\spad{\\br} \\tab{5}BETA=Y\\spad{\\br} \\tab{5}GAMMA=X*Y\\spad{\\br} \\tab{5}DELTA=DCOS(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5}EPSOLN=Y+X\\spad{\\br} \\tab{5}PHI=X\\spad{\\br} \\tab{5}PSI=Y\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-87 -2798) 
+((|constructor| (NIL "\\spadtype{Asp73} produces Fortran for Type 73 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5}SUBROUTINE PDEF(X,Y,ALPHA,BETA,GAMMA,DELTA,EPSOLN,PHI,PSI)\\br \\tab{5}DOUBLE PRECISION ALPHA,EPSOLN,PHI,X,Y,BETA,DELTA,GAMMA,PSI\\br \\tab{5}ALPHA=DSIN(X)\\br \\tab{5}BETA=Y\\br \\tab{5}GAMMA=X*Y\\br \\tab{5}DELTA=DCOS(X)*DSIN(Y)\\br \\tab{5}EPSOLN=Y+X\\br \\tab{5}PHI=X\\br \\tab{5}PSI=Y\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-88 -1486) 
-((|constructor| (NIL "\\spadtype{Asp74} produces Fortran for Type 74 ASPs,{} needed for NAG routine d03eef,{} for example: \\blankline \\tab{5} SUBROUTINE BNDY(\\spad{X},{}\\spad{Y},{}A,{}\\spad{B},{}\\spad{C},{}IBND)\\spad{\\br} \\tab{5} DOUBLE PRECISION A,{}\\spad{B},{}\\spad{C},{}\\spad{X},{}\\spad{Y}\\spad{\\br} \\tab{5} INTEGER IBND\\spad{\\br} \\tab{5} IF(IBND.EQ.0)THEN\\spad{\\br} \\tab{7} \\spad{A=0}.0D0\\spad{\\br} \\tab{7} \\spad{B=1}.0D0\\spad{\\br} \\tab{7} \\spad{C=}-1.0D0*DSIN(\\spad{X})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.1)THEN\\spad{\\br} \\tab{7} \\spad{A=1}.0D0\\spad{\\br} \\tab{7} \\spad{B=0}.0D0\\spad{\\br} \\tab{7} C=DSIN(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.2)THEN\\spad{\\br} \\tab{7} \\spad{A=1}.0D0\\spad{\\br} \\tab{7} \\spad{B=0}.0D0\\spad{\\br} \\tab{7} C=DSIN(\\spad{X})*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ELSEIF(IBND.EQ.3)THEN\\spad{\\br} \\tab{7} \\spad{A=0}.0D0\\spad{\\br} \\tab{7} \\spad{B=1}.0D0\\spad{\\br} \\tab{7} \\spad{C=}-1.0D0*DSIN(\\spad{Y})\\spad{\\br} \\tab{5} ENDIF\\spad{\\br} \\tab{5} END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-88 -2798) 
+((|constructor| (NIL "\\spadtype{Asp74} produces Fortran for Type 74 ASPs, needed for NAG routine d03eef, for example: \\blankline \\tab{5} SUBROUTINE BNDY(X,Y,A,B,C,IBND)\\br \\tab{5} DOUBLE PRECISION A,B,C,X,Y\\br \\tab{5} INTEGER IBND\\br \\tab{5} IF(IBND.EQ.0)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(X)\\br \\tab{5} ELSEIF(IBND.EQ.1)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.2)THEN\\br \\tab{7} A=1.0D0\\br \\tab{7} B=0.0D0\\br \\tab{7} C=DSIN(X)*DSIN(Y)\\br \\tab{5} ELSEIF(IBND.EQ.3)THEN\\br \\tab{7} A=0.0D0\\br \\tab{7} B=1.0D0\\br \\tab{7} C=-1.0D0*DSIN(Y)\\br \\tab{5} ENDIF\\br \\tab{5} END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-89 -1486) 
-((|constructor| (NIL "\\spadtype{Asp77} produces Fortran for Type 77 ASPs,{} needed for NAG routine d02gbf,{} for example: \\blankline \\tab{5}SUBROUTINE FCNF(\\spad{X},{}\\spad{F})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X}\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{F}(2,{}2)\\spad{\\br} \\tab{5}\\spad{F}(1,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(1,{}2)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{F}(2,{}2)=-10.0D0\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-89 -2798) 
+((|constructor| (NIL "\\spadtype{Asp77} produces Fortran for Type 77 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNF(X,F)\\br \\tab{5}DOUBLE PRECISION X\\br \\tab{5}DOUBLE PRECISION F(2,2)\\br \\tab{5}F(1,1)=0.0D0\\br \\tab{5}F(1,2)=1.0D0\\br \\tab{5}F(2,1)=0.0D0\\br \\tab{5}F(2,2)=-10.0D0\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-90 -1486) 
-((|constructor| (NIL "\\spadtype{Asp78} produces Fortran for Type 78 ASPs,{} needed for NAG routine d02gbf,{} for example: \\blankline \\tab{5}SUBROUTINE FCNG(\\spad{X},{}\\spad{G})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{G}(*),{}\\spad{X}\\spad{\\br} \\tab{5}\\spad{G}(1)\\spad{=0}.0D0\\spad{\\br} \\tab{5}\\spad{G}(2)\\spad{=0}.0D0\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-90 -2798) 
+((|constructor| (NIL "\\spadtype{Asp78} produces Fortran for Type 78 ASPs, needed for NAG routine d02gbf, for example: \\blankline \\tab{5}SUBROUTINE FCNG(X,G)\\br \\tab{5}DOUBLE PRECISION G(*),X\\br \\tab{5}G(1)=0.0D0\\br \\tab{5}G(2)=0.0D0\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-91 -1486) 
-((|constructor| (NIL "\\spadtype{Asp7} produces Fortran for Type 7 ASPs,{} needed for NAG routines d02bbf,{} d02gaf. These represent a vector of functions of the scalar \\spad{X} and the array \\spad{Z},{} and look like: \\blankline \\tab{5}SUBROUTINE \\spad{FCN}(\\spad{X},{}\\spad{Z},{}\\spad{F})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{F}(*),{}\\spad{X},{}\\spad{Z}(*)\\spad{\\br} \\tab{5}\\spad{F}(1)=DTAN(\\spad{Z}(3))\\spad{\\br} \\tab{5}\\spad{F}(2)=((\\spad{-0}.03199999999999999D0*DCOS(\\spad{Z}(3))*DTAN(\\spad{Z}(3)))+(\\spad{-0}.02D0*Z(2)\\spad{\\br} \\tab{4}\\spad{&**2}))/(\\spad{Z}(2)*DCOS(\\spad{Z}(3)))\\spad{\\br} \\tab{5}\\spad{F}(3)=-0.03199999999999999D0/(\\spad{X*Z}(2)\\spad{**2})\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-91 -2798) 
+((|constructor| (NIL "\\spadtype{Asp7} produces Fortran for Type 7 ASPs, needed for NAG routines d02bbf, d02gaf. These represent a vector of functions of the scalar \\spad{X} and the array \\spad{Z,} and look like: \\blankline \\tab{5}SUBROUTINE FCN(X,Z,F)\\br \\tab{5}DOUBLE PRECISION F(*),X,Z(*)\\br \\tab{5}F(1)=DTAN(Z(3))\\br \\tab{5}F(2)=((-0.03199999999999999D0*DCOS(Z(3))*DTAN(Z(3)))+(-0.02D0*Z(2)\\br \\tab{4}&**2))/(Z(2)*DCOS(Z(3)))\\br \\tab{5}F(3)=-0.03199999999999999D0/(X*Z(2)**2)\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-92 -1486) 
-((|constructor| (NIL "\\spadtype{Asp80} produces Fortran for Type 80 ASPs,{} needed for NAG routine d02kef,{} for example: \\blankline \\tab{5}SUBROUTINE BDYVAL(\\spad{XL},{}\\spad{XR},{}ELAM,{}\\spad{YL},{}\\spad{YR})\\spad{\\br} \\tab{5}DOUBLE PRECISION ELAM,{}\\spad{XL},{}\\spad{YL}(3),{}\\spad{XR},{}\\spad{YR}(3)\\spad{\\br} \\tab{5}\\spad{YL}(1)\\spad{=XL}\\spad{\\br} \\tab{5}\\spad{YL}(2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}\\spad{YR}(1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}\\spad{YR}(2)=-1.0D0*DSQRT(\\spad{XR+}(\\spad{-1}.0D0*ELAM))\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
+(-92 -2798) 
+((|constructor| (NIL "\\spadtype{Asp80} produces Fortran for Type 80 ASPs, needed for NAG routine d02kef, for example: \\blankline \\tab{5}SUBROUTINE BDYVAL(XL,XR,ELAM,YL,YR)\\br \\tab{5}DOUBLE PRECISION ELAM,XL,YL(3),XR,YR(3)\\br \\tab{5}YL(1)=XL\\br \\tab{5}YL(2)=2.0D0\\br \\tab{5}YR(1)=1.0D0\\br \\tab{5}YR(2)=-1.0D0*DSQRT(XR+(-1.0D0*ELAM))\\br \\tab{5}RETURN\\br \\tab{5}END")) (|coerce| (($ (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) "\\spad{coerce(f)} takes objects from the appropriate instantiation of \\spadtype{FortranExpression} and turns them into an ASP."))) 
 NIL 
 NIL 
-(-93 -1486) 
-((|constructor| (NIL "\\spadtype{Asp8} produces Fortran for Type 8 ASPs,{} needed for NAG routine d02bbf. This ASP prints intermediate values of the computed solution of an ODE and might look like: \\blankline \\tab{5}SUBROUTINE OUTPUT(XSOL,{}\\spad{Y},{}COUNT,{}\\spad{M},{}\\spad{N},{}RESULT,{}FORWRD)\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{Y}(\\spad{N}),{}RESULT(\\spad{M},{}\\spad{N}),{}XSOL\\spad{\\br} \\tab{5}INTEGER \\spad{M},{}\\spad{N},{}COUNT\\spad{\\br} \\tab{5}LOGICAL FORWRD\\spad{\\br} \\tab{5}DOUBLE PRECISION X02ALF,{}POINTS(8)\\spad{\\br} \\tab{5}EXTERNAL X02ALF\\spad{\\br} \\tab{5}INTEGER \\spad{I}\\spad{\\br} \\tab{5}POINTS(1)\\spad{=1}.0D0\\spad{\\br} \\tab{5}POINTS(2)\\spad{=2}.0D0\\spad{\\br} \\tab{5}POINTS(3)\\spad{=3}.0D0\\spad{\\br} \\tab{5}POINTS(4)\\spad{=4}.0D0\\spad{\\br} \\tab{5}POINTS(5)\\spad{=5}.0D0\\spad{\\br} \\tab{5}POINTS(6)\\spad{=6}.0D0\\spad{\\br} \\tab{5}POINTS(7)\\spad{=7}.0D0\\spad{\\br} \\tab{5}POINTS(8)\\spad{=8}.0D0\\spad{\\br} \\tab{5}\\spad{COUNT=COUNT+1}\\spad{\\br} \\tab{5}DO 25001 \\spad{I=1},{}\\spad{N}\\spad{\\br} \\tab{7} RESULT(COUNT,{}\\spad{I})\\spad{=Y}(\\spad{I})\\spad{\\br} 25001 CONTINUE\\spad{\\br} \\tab{5}IF(COUNT.EQ.\\spad{M})THEN\\spad{\\br} \\tab{7}IF(FORWRD)THEN\\spad{\\br} \\tab{9}XSOL=X02ALF()\\spad{\\br} \\tab{7}ELSE\\spad{\\br} \\tab{9}XSOL=-X02ALF()\\spad{\\br} \\tab{7}ENDIF\\spad{\\br} \\tab{5}ELSE\\spad{\\br} \\tab{7} XSOL=POINTS(COUNT)\\spad{\\br} \\tab{5}ENDIF\\spad{\\br} \\tab{5}END"))) 
+(-93 -2798) 
+((|constructor| (NIL "\\spadtype{Asp8} produces Fortran for Type 8 ASPs, needed for NAG routine d02bbf. This ASP prints intermediate values of the computed solution of an ODE and might look like: \\blankline \\tab{5}SUBROUTINE OUTPUT(XSOL,Y,COUNT,M,N,RESULT,FORWRD)\\br \\tab{5}DOUBLE PRECISION Y(N),RESULT(M,N),XSOL\\br \\tab{5}INTEGER M,N,COUNT\\br \\tab{5}LOGICAL FORWRD\\br \\tab{5}DOUBLE PRECISION X02ALF,POINTS(8)\\br \\tab{5}EXTERNAL X02ALF\\br \\tab{5}INTEGER I\\br \\tab{5}POINTS(1)=1.0D0\\br \\tab{5}POINTS(2)=2.0D0\\br \\tab{5}POINTS(3)=3.0D0\\br \\tab{5}POINTS(4)=4.0D0\\br \\tab{5}POINTS(5)=5.0D0\\br \\tab{5}POINTS(6)=6.0D0\\br \\tab{5}POINTS(7)=7.0D0\\br \\tab{5}POINTS(8)=8.0D0\\br \\tab{5}COUNT=COUNT+1\\br \\tab{5}DO 25001 I=1,N\\br \\tab{7} RESULT(COUNT,I)=Y(I)\\br 25001 CONTINUE\\br \\tab{5}IF(COUNT.EQ.M)THEN\\br \\tab{7}IF(FORWRD)THEN\\br \\tab{9}XSOL=X02ALF()\\br \\tab{7}ELSE\\br \\tab{9}XSOL=-X02ALF()\\br \\tab{7}ENDIF\\br \\tab{5}ELSE\\br \\tab{7} XSOL=POINTS(COUNT)\\br \\tab{5}ENDIF\\br \\tab{5}END"))) 
 NIL 
 NIL 
-(-94 -1486) 
-((|constructor| (NIL "\\spadtype{Asp9} produces Fortran for Type 9 ASPs,{} needed for NAG routines d02bhf,{} d02cjf,{} d02ejf. These ASPs represent a function of a scalar \\spad{X} and a vector \\spad{Y},{} for example: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION \\spad{G}(\\spad{X},{}\\spad{Y})\\spad{\\br} \\tab{5}DOUBLE PRECISION \\spad{X},{}\\spad{Y}(*)\\spad{\\br} \\tab{5}G=X+Y(1)\\spad{\\br} \\tab{5}RETURN\\spad{\\br} \\tab{5}END \\blankline If the user provides a constant value for \\spad{G},{} then extra information is added via COMMON blocks used by certain routines. This specifies that the value returned by \\spad{G} in this case is to be ignored.")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
+(-94 -2798) 
+((|constructor| (NIL "\\spadtype{Asp9} produces Fortran for Type 9 ASPs, needed for NAG routines d02bhf, d02cjf, d02ejf. These ASPs represent a function of a scalar \\spad{X} and a vector \\spad{Y,} for example: \\blankline \\tab{5}DOUBLE PRECISION FUNCTION G(X,Y)\\br \\tab{5}DOUBLE PRECISION X,Y(*)\\br \\tab{5}G=X+Y(1)\\br \\tab{5}RETURN\\br \\tab{5}END \\blankline If the user provides a constant value for \\spad{G,} then extra information is added via COMMON blocks used by certain routines. This specifies that the value returned by \\spad{G} in this case is to be ignored.")) (|coerce| (($ (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) "\\spad{coerce(f)} takes an object from the appropriate instantiation of \\spadtype{FortranExpression} and turns it into an ASP."))) 
 NIL 
 NIL 
 (-95 R L) 
-((|constructor| (NIL "\\spadtype{AssociatedEquations} provides functions to compute the associated equations needed for factoring operators")) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) "\\spad{associatedEquations(op,{} m)} returns \\spad{[w,{} eq,{} lw,{} lop]} such that \\spad{eq(w) = 0} where \\spad{w} is the given minor,{} and \\spad{lw_i = lop_i(w)} for all the other minors.")) (|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{uncouplingMatrices(M)} returns \\spad{[A_1,{}...,{}A_n]} such that if \\spad{y = [y_1,{}...,{}y_n]} is a solution of \\spad{y' = M y},{} then \\spad{[\\$y_j',{}y_j'',{}...,{}y_j^{(n)}\\$] = \\$A_j y\\$} for all \\spad{j}\\spad{'s}.")) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) "\\spad{associatedSystem(op,{} m)} returns \\spad{[M,{}w]} such that the \\spad{m}-th associated equation system to \\spad{L} is \\spad{w' = M w}."))) 
+((|constructor| (NIL "\\spadtype{AssociatedEquations} provides functions to compute the associated equations needed for factoring operators")) (|associatedEquations| (((|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| |#2|) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| |#2|))) |#2| (|PositiveInteger|)) "\\spad{associatedEquations(op, \\spad{m)}} returns \\spad{[w, eq, \\spad{lw,} lop]} such that \\spad{eq(w) = 0} where \\spad{w} is the given minor, and \\spad{lw_i = lop_i(w)} for all the other minors.")) (|uncouplingMatrices| (((|Vector| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{uncouplingMatrices(M)} returns \\spad{[A_1,...,A_n]} such that if \\spad{y = [y_1,...,y_n]} is a solution of \\spad{y' = \\spad{M} \\spad{y},} then \\spad{[$y_j',y_j'',...,y_j^{(n)}$] = $A_j \\spad{y$}} for all j's.")) (|associatedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|))))) |#2| (|PositiveInteger|)) "\\spad{associatedSystem(op, \\spad{m)}} returns \\spad{[M,w]} such that the \\spad{m}-th associated equation system to \\spad{L} is \\spad{w' = \\spad{M} \\spad{w}.}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366)))) 
 (-96 S) 
-((|constructor| (NIL "A stack represented as a flexible array.")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$ArrayStack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(ArrayStack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$ArrayStack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} push!(9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|arrayStack| (($ (|List| |#1|)) "\\indented{1}{arrayStack([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates an array stack with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last element \\spad{z}.} \\blankline \\spad{E} c:ArrayStack INT:= arrayStack [1,{}2,{}3,{}4,{}5]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "A stack represented as a flexible array.")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$ArrayStack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(ArrayStack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$ArrayStack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:ArrayStack INT:= arrayStack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|arrayStack| (($ (|List| |#1|)) "\\indented{1}{arrayStack([x,y,...,z]) creates an array stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{E} c:ArrayStack INT:= arrayStack [1,2,3,4,5]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-97 S) 
-((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x}.")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x}.")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x}.")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x}.")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x}.")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x}."))) 
+((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x.}")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x.}")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x.}")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x.}")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x.}")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
 (-98) 
-((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x}.")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x}.")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x}.")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x}.")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x}.")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x}."))) 
+((|constructor| (NIL "Category for the inverse trigonometric functions.")) (|atan| (($ $) "\\spad{atan(x)} returns the arc-tangent of \\spad{x.}")) (|asin| (($ $) "\\spad{asin(x)} returns the arc-sine of \\spad{x.}")) (|asec| (($ $) "\\spad{asec(x)} returns the arc-secant of \\spad{x.}")) (|acsc| (($ $) "\\spad{acsc(x)} returns the arc-cosecant of \\spad{x.}")) (|acot| (($ $) "\\spad{acot(x)} returns the arc-cotangent of \\spad{x.}")) (|acos| (($ $) "\\spad{acos(x)} returns the arc-cosine of \\spad{x.}"))) 
 NIL 
 NIL 
 (-99) 
-((|constructor| (NIL "\\axiomType{AttributeButtons} implements a database and associated adjustment mechanisms for a set of attributes. \\blankline For ODEs these attributes are \"stiffness\",{} \"stability\" (\\spadignore{i.e.} how much affect the cosine or sine component of the solution has on the stability of the result),{} \"accuracy\" and \"expense\" (\\spadignore{i.e.} how expensive is the evaluation of the ODE). All these have bearing on the cost of calculating the solution given that reducing the step-length to achieve greater accuracy requires considerable number of evaluations and calculations. \\blankline The effect of each of these attributes can be altered by increasing or decreasing the button value. \\blankline For Integration there is a button for increasing and decreasing the preset number of function evaluations for each method. This is automatically used by ANNA when a method fails due to insufficient workspace or where the limit of function evaluations has been reached before the required accuracy is achieved.")) (|setButtonValue| (((|Float|) (|String|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,{}routineName,{}\\spad{n})} sets the value of the button of attribute \\spad{attributeName} to routine \\spad{routineName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,{}\\spad{n})} sets the value of all buttons of attribute \\spad{attributeName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|setAttributeButtonStep| (((|Float|) (|Float|)) "\\axiom{setAttributeButtonStep(\\spad{n})} sets the value of the steps for increasing and decreasing the button values. \\axiom{\\spad{n}} must be greater than 0 and less than 1. The preset value is 0.5.")) (|resetAttributeButtons| (((|Void|)) "\\axiom{resetAttributeButtons()} resets the Attribute buttons to a neutral level.")) (|getButtonValue| (((|Float|) (|String|) (|String|)) "\\axiom{getButtonValue(routineName,{}attributeName)} returns the current value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|decrease| (((|Float|) (|String|)) "\\axiom{decrease(attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{decrease(routineName,{}attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".")) (|increase| (((|Float|) (|String|)) "\\axiom{increase(attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{increase(routineName,{}attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\",{} \"stability\",{} \"accuracy\",{} \"expense\" or \"functionEvaluations\"."))) 
-((-4535 . T)) 
+((|constructor| (NIL "\\axiomType{AttributeButtons} implements a database and associated adjustment mechanisms for a set of attributes. \\blankline For ODEs these attributes are \"stiffness\", \"stability\" (\\spadignore{i.e.} how much affect the cosine or sine component of the solution has on the stability of the result), \"accuracy\" and \"expense\" (\\spadignore{i.e.} how expensive is the evaluation of the ODE). All these have bearing on the cost of calculating the solution given that reducing the step-length to achieve greater accuracy requires considerable number of evaluations and calculations. \\blankline The effect of each of these attributes can be altered by increasing or decreasing the button value. \\blankline For Integration there is a button for increasing and decreasing the preset number of function evaluations for each method. This is automatically used by ANNA when a method fails due to insufficient workspace or where the limit of function evaluations has been reached before the required accuracy is achieved.")) (|setButtonValue| (((|Float|) (|String|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,routineName,n)} sets the value of the button of attribute \\spad{attributeName} to routine \\spad{routineName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|Float|)) "\\axiom{setButtonValue(attributeName,n)} sets the value of all buttons of attribute \\spad{attributeName} to \\spad{n}. \\spad{n} must be in the range [0..1]. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|setAttributeButtonStep| (((|Float|) (|Float|)) "\\axiom{setAttributeButtonStep(n)} sets the value of the steps for increasing and decreasing the button values. \\axiom{n} must be greater than 0 and less than 1. The preset value is 0.5.")) (|resetAttributeButtons| (((|Void|)) "\\axiom{resetAttributeButtons()} resets the Attribute buttons to a neutral level.")) (|getButtonValue| (((|Float|) (|String|) (|String|)) "\\axiom{getButtonValue(routineName,attributeName)} returns the current value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|decrease| (((|Float|) (|String|)) "\\axiom{decrease(attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{decrease(routineName,attributeName)} decreases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".")) (|increase| (((|Float|) (|String|)) "\\axiom{increase(attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with all routines. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\".") (((|Float|) (|String|) (|String|)) "\\axiom{increase(routineName,attributeName)} increases the value for the effect of the attribute \\axiom{attributeName} with routine \\axiom{routineName}. \\blankline \\axiom{attributeName} should be one of the values \"stiffness\", \"stability\", \"accuracy\", \"expense\" or \"functionEvaluations\"."))) 
+((-4571 . T)) 
 NIL 
 (-100) 
-((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example,{} a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if,{} given an algebra over a ring \\spad{R},{} the image of \\spad{R} is the center of the algebra,{} \\spadignore{i.e.} the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive,{} but \\spad{not(a < b or a = b)} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements,{} that is \\spad{associates?(a,{}b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * y \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = x} for all \\spad{x}.")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * x = x} for all \\spad{x}.")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,{}D) -> D} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
-((-4535 . T) ((-4537 "*") . T) (-4536 . T) (-4532 . T) (-4530 . T) (-4529 . T) (-4528 . T) (-4533 . T) (-4527 . T) (-4526 . T) (-4525 . T) (-4524 . T) (-4523 . T) (-4531 . T) (-4534 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4522 . T) (-2994 . T)) 
+((|constructor| (NIL "This category exports the attributes in the AXIOM Library")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\".")) (|canonical| ((|attribute|) "\\spad{canonical} is \\spad{true} if and only if distinct elements have distinct data structures. For example, a domain of mathematical objects which has the \\spad{canonical} attribute means that two objects are mathematically equal if and only if their data structures are equal.")) (|multiplicativeValuation| ((|attribute|) "\\spad{multiplicativeValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)*euclideanSize(b)}.")) (|additiveValuation| ((|attribute|) "\\spad{additiveValuation} implies \\spad{euclideanSize(a*b)=euclideanSize(a)+euclideanSize(b)}.")) (|noetherian| ((|attribute|) "\\spad{noetherian} is \\spad{true} if all of its ideals are finitely generated.")) (|central| ((|attribute|) "\\spad{central} is \\spad{true} if, given an algebra over a ring \\spad{R,} the image of \\spad{R} is the center of the algebra, \\spadignore{i.e.} the set of members of the algebra which commute with all others is precisely the image of \\spad{R} in the algebra.")) (|partiallyOrderedSet| ((|attribute|) "\\spad{partiallyOrderedSet} is \\spad{true} if a set with \\spadop{<} which is transitive, but \\spad{not(a < \\spad{b} or a = \\spad{b)}} does not necessarily imply \\spad{b<a}.")) (|arbitraryPrecision| ((|attribute|) "\\spad{arbitraryPrecision} means the user can set the precision for subsequent calculations.")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalsClosed} is \\spad{true} if \\spad{unitCanonical(a)*unitCanonical(b) = unitCanonical(a*b)}.")) (|canonicalUnitNormal| ((|attribute|) "\\spad{canonicalUnitNormal} is \\spad{true} if we can choose a canonical representative for each class of associate elements, that is \\spad{associates?(a,b)} returns \\spad{true} if and only if \\spad{unitCanonical(a) = unitCanonical(b)}.")) (|noZeroDivisors| ((|attribute|) "\\spad{noZeroDivisors} is \\spad{true} if \\spad{x * \\spad{y} \\~~= 0} implies both \\spad{x} and \\spad{y} are non-zero.")) (|rightUnitary| ((|attribute|) "\\spad{rightUnitary} is \\spad{true} if \\spad{x * 1 = \\spad{x}} for all \\spad{x.}")) (|leftUnitary| ((|attribute|) "\\spad{leftUnitary} is \\spad{true} if \\spad{1 * \\spad{x} = \\spad{x}} for all \\spad{x.}")) (|unitsKnown| ((|attribute|) "\\spad{unitsKnown} is \\spad{true} if a monoid (a multiplicative semigroup with a 1) has \\spad{unitsKnown} means that the operation \\spadfun{recip} can only return \"failed\" if its argument is not a unit.")) (|shallowlyMutable| ((|attribute|) "\\spad{shallowlyMutable} is \\spad{true} if its values have immediate components that are updateable (mutable). Note that the properties of any component domain are irrevelant to the \\spad{shallowlyMutable} proper.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} is \\spad{true} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative.")) (|finiteAggregate| ((|attribute|) "\\spad{finiteAggregate} is \\spad{true} if it is an aggregate with a finite number of elements."))) 
+((-4571 . T) ((-4573 "*") . T) (-4572 . T) (-4568 . T) (-4566 . T) (-4565 . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4562 . T) (-4561 . T) (-4560 . T) (-4559 . T) (-4567 . T) (-4570 . T) (|NullSquare| . T) (|JacobiIdentity| . T) (-4558 . T) (-4334 . T)) 
 NIL 
 (-101 R) 
-((|constructor| (NIL "Automorphism \\spad{R} is the multiplicative group of automorphisms of \\spad{R}.")) (|morphism| (($ (|Mapping| |#1| |#1| (|Integer|))) "\\spad{morphism(f)} returns the morphism given by \\spad{f^n(x) = f(x,{}n)}.") (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) "\\spad{morphism(f,{} g)} returns the invertible morphism given by \\spad{f},{} where \\spad{g} is the inverse of \\spad{f}..") (($ (|Mapping| |#1| |#1|)) "\\spad{morphism(f)} returns the non-invertible morphism given by \\spad{f}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "Automorphism \\spad{R} is the multiplicative group of automorphisms of \\spad{R.}")) (|morphism| (($ (|Mapping| |#1| |#1| (|Integer|))) "\\spad{morphism(f)} returns the morphism given by \\spad{f^n(x) = f(x,n)}.") (($ (|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|)) "\\spad{morphism(f, \\spad{g)}} returns the invertible morphism given by \\spad{f,} where \\spad{g} is the inverse of \\spad{f..}") (($ (|Mapping| |#1| |#1|)) "\\spad{morphism(f)} returns the non-invertible morphism given by \\spad{f.}"))) 
+((-4568 . T)) 
 NIL 
 (-102) 
 ((|constructor| (NIL "This package provides a functions to support a web server for the new Axiom Browser functions."))) 
 NIL 
 NIL 
 (-103 R UP) 
-((|constructor| (NIL "This package provides balanced factorisations of polynomials.")) (|balancedFactorisation| (((|Factored| |#2|) |#2| (|List| |#2|)) "\\spad{balancedFactorisation(a,{} [b1,{}...,{}bn])} returns a factorisation \\spad{a = p1^e1 ... pm^em} such that each \\spad{pi} is balanced with respect to \\spad{[b1,{}...,{}bm]}.") (((|Factored| |#2|) |#2| |#2|) "\\spad{balancedFactorisation(a,{} b)} returns a factorisation \\spad{a = p1^e1 ... pm^em} such that each \\spad{\\spad{pi}} is balanced with respect to \\spad{b}."))) 
+((|constructor| (NIL "This package provides balanced factorisations of polynomials.")) (|balancedFactorisation| (((|Factored| |#2|) |#2| (|List| |#2|)) "\\spad{balancedFactorisation(a, [b1,...,bn])} returns a factorisation \\spad{a = \\spad{p1^e1} \\spad{...} pm^em} such that each \\spad{pi} is balanced with respect to \\spad{[b1,...,bm]}.") (((|Factored| |#2|) |#2| |#2|) "\\spad{balancedFactorisation(a, \\spad{b)}} returns a factorisation \\spad{a = \\spad{p1^e1} \\spad{...} pm^em} such that each \\spad{pi} is balanced with respect to \\spad{b.}"))) 
 NIL 
 NIL 
 (-104 S) 
@@ -353,43 +353,43 @@ NIL
 NIL 
 NIL 
 (-106 S) 
-((|constructor| (NIL "\\spadtype{BalancedBinaryTree(S)} is the domain of balanced binary trees (bbtree). A balanced binary tree of \\spad{2**k} leaves,{} for some \\spad{k > 0},{} is symmetric,{} that is,{} the left and right subtree of each interior node have identical shape. In general,{} the left and right subtree of a given node can differ by at most leaf node.")) (|mapDown!| (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) "\\indented{1}{mapDown!(\\spad{t},{}\\spad{p},{}\\spad{f}) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. Let \\spad{l} and \\spad{r} denote the left and} \\indented{1}{right subtrees of \\spad{t}. The root value \\spad{x} of \\spad{t} is replaced by \\spad{p}.} \\indented{1}{Then \\spad{f}(value \\spad{l},{} value \\spad{r},{} \\spad{p}),{} where \\spad{l} and \\spad{r} denote the left} \\indented{1}{and right subtrees of \\spad{t},{} is evaluated producing two values} \\indented{1}{\\spad{pl} and \\spad{pr}. Then \\spad{mapDown!(l,{}pl,{}f)} and \\spad{mapDown!(l,{}pr,{}f)}} \\indented{1}{are evaluated.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} \\spad{adder3}(i:Integer,{}j:Integer,{}k:Integer):List Integer \\spad{==} [i+j,{}\\spad{j+k}] \\spad{X} mapDown!(\\spad{t2},{}4::INT,{}\\spad{adder3}) \\spad{X} \\spad{t2}") (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapDown!(\\spad{t},{}\\spad{p},{}\\spad{f}) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. The root value \\spad{x} is} \\indented{1}{replaced by \\spad{q} \\spad{:=} \\spad{f}(\\spad{p},{}\\spad{x}). The mapDown!(\\spad{l},{}\\spad{q},{}\\spad{f}) and} \\indented{1}{mapDown!(\\spad{r},{}\\spad{q},{}\\spad{f}) are evaluated for the left and right subtrees} \\indented{1}{\\spad{l} and \\spad{r} of \\spad{t}.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} adder(i:Integer,{}j:Integer):Integer \\spad{==} i+j \\spad{X} mapDown!(\\spad{t2},{}4::INT,{}adder) \\spad{X} \\spad{t2}")) (|mapUp!| (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(\\spad{t},{}\\spad{t1},{}\\spad{f}) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced by} \\indented{1}{\\spad{f}(\\spad{l},{}\\spad{r},{}\\spad{l1},{}\\spad{r1}) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes. Values \\spad{l1} and \\spad{r1} are values at the} \\indented{1}{corresponding nodes of a balanced binary tree \\spad{t1},{} of identical} \\indented{1}{shape at \\spad{t}.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} \\spad{adder4}(i:INT,{}j:INT,{}k:INT,{}l:INT):INT \\spad{==} i+j+k+l \\spad{X} mapUp!(\\spad{t2},{}\\spad{t2},{}\\spad{adder4}) \\spad{X} \\spad{t2}") ((|#1| $ (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(\\spad{t},{}\\spad{f}) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced by} \\indented{1}{\\spad{f}(\\spad{l},{}\\spad{r}) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4,{} 0)\\$\\spad{T1} \\spad{X} setleaves!(\\spad{t2},{}[1,{}2,{}3,{}4]::List(Integer)) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} mapUp!(\\spad{t2},{}adder) \\spad{X} \\spad{t2}")) (|setleaves!| (($ $ (|List| |#1|)) "\\indented{1}{setleaves!(\\spad{t},{} \\spad{ls}) sets the leaves of \\spad{t} in left-to-right order} \\indented{1}{to the elements of \\spad{ls}.} \\blankline \\spad{X} t1:=balancedBinaryTree(4,{} 0) \\spad{X} setleaves!(\\spad{t1},{}[1,{}2,{}3,{}4])")) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{balancedBinaryTree(\\spad{n},{} \\spad{s}) creates a balanced binary tree with} \\indented{1}{\\spad{n} nodes each with value \\spad{s}.} \\blankline \\spad{X} balancedBinaryTree(4,{} 0)"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "\\spadtype{BalancedBinaryTree(S)} is the domain of balanced binary trees (bbtree). A balanced binary tree of \\spad{2**k} leaves, for some \\spad{k > 0}, is symmetric, that is, the left and right subtree of each interior node have identical shape. In general, the left and right subtree of a given node can differ by at most leaf node.")) (|mapDown!| (($ $ |#1| (|Mapping| (|List| |#1|) |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. Let \\spad{l} and \\spad{r} denote the left and} \\indented{1}{right subtrees of \\spad{t.} The root value \\spad{x} of \\spad{t} is replaced by \\spad{p.}} \\indented{1}{Then f(value \\spad{l,} value \\spad{r,} \\spad{p),} where \\spad{l} and \\spad{r} denote the left} \\indented{1}{and right subtrees of \\spad{t,} is evaluated producing two values} \\indented{1}{pl and \\spad{pr.} Then \\spad{mapDown!(l,pl,f)} and \\spad{mapDown!(l,pr,f)}} \\indented{1}{are evaluated.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder3(i:Integer,j:Integer,k:Integer):List Integer \\spad{==} [i+j,j+k] \\spad{X} mapDown!(t2,4::INT,adder3) \\spad{X} \\spad{t2}") (($ $ |#1| (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapDown!(t,p,f) returns \\spad{t} after traversing \\spad{t} in \"preorder\"} \\indented{1}{(node then left then right) fashion replacing the successive} \\indented{1}{interior nodes as follows. The root value \\spad{x} is} \\indented{1}{replaced by \\spad{q} \\spad{:=} f(p,x). The mapDown!(l,q,f) and} \\indented{1}{mapDown!(r,q,f) are evaluated for the left and right subtrees} \\indented{1}{l and \\spad{r} of \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} mapDown!(t2,4::INT,adder) \\spad{X} \\spad{t2}")) (|mapUp!| (($ $ $ (|Mapping| |#1| |#1| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,t1,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r,l1,r1) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes. Values \\spad{l1} and \\spad{r1} are values at the} \\indented{1}{corresponding nodes of a balanced binary tree \\spad{t1,} of identical} \\indented{1}{shape at \\spad{t.}} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder4(i:INT,j:INT,k:INT,l:INT):INT \\spad{==} i+j+k+l \\spad{X} mapUp!(t2,t2,adder4) \\spad{X} \\spad{t2}") ((|#1| $ (|Mapping| |#1| |#1| |#1|)) "\\indented{1}{mapUp!(t,f) traverses balanced binary tree \\spad{t} in an \"endorder\"} \\indented{1}{(left then right then node) fashion returning \\spad{t} with the value} \\indented{1}{at each successive interior node of \\spad{t} replaced \\spad{by}} \\indented{1}{f(l,r) where \\spad{l} and \\spad{r} are the values at the immediate} \\indented{1}{left and right nodes.} \\blankline \\spad{X} T1:=BalancedBinaryTree Integer \\spad{X} t2:=balancedBinaryTree(4, 0)$T1 \\spad{X} setleaves!(t2,[1,2,3,4]::List(Integer)) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} mapUp!(t2,adder) \\spad{X} \\spad{t2}")) (|setleaves!| (($ $ (|List| |#1|)) "\\indented{1}{setleaves!(t, \\spad{ls)} sets the leaves of \\spad{t} in left-to-right order} \\indented{1}{to the elements of ls.} \\blankline \\spad{X} t1:=balancedBinaryTree(4, 0) \\spad{X} setleaves!(t1,[1,2,3,4])")) (|balancedBinaryTree| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{balancedBinaryTree(n, \\spad{s)} creates a balanced binary tree with} \\indented{1}{n nodes each with value \\spad{s.}} \\blankline \\spad{X} balancedBinaryTree(4, 0)"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-107 R) 
-((|constructor| (NIL "Provide linear,{} quadratic,{} and cubic spline bezier curves")) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A cubic Bezier curve is a simple interpolation between the} \\indented{1}{starting point,{} a left-middle point,{},{} a right-middle point,{}} \\indented{1}{and the ending point based on a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}],{} the left-middle point \\spad{b=}[\\spad{x2},{}\\spad{y2}],{}} \\indented{1}{the right-middle point \\spad{c=}[\\spad{x3},{}\\spad{y3}] and an endpoint \\spad{d=}[\\spad{x4},{}\\spad{y4}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{^3} \\spad{x1} + 3t(1-\\spad{t})\\spad{^2} \\spad{x2} + 3t^2 (1-\\spad{t}) \\spad{x3} + \\spad{t^3} \\spad{x4},{}} \\indented{10}{(1-\\spad{t})\\spad{^3} \\spad{y1} + 3t(1-\\spad{t})\\spad{^2} \\spad{y2} + 3t^2 (1-\\spad{t}) \\spad{y3} + \\spad{t^3} \\spad{y4}]} \\blankline \\spad{X} n:=cubicBezier([2.0,{}2.0],{}[2.0,{}4.0],{}[6.0,{}4.0],{}[6.0,{}2.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]")) (|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A quadratic Bezier curve is a simple interpolation between the} \\indented{1}{starting point,{} a middle point,{} and the ending point based on} \\indented{1}{a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}],{} a middle point \\spad{b=}[\\spad{x2},{}\\spad{y2}],{}} \\indented{1}{and an endpoint \\spad{c=}[\\spad{x3},{}\\spad{y3}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{^2} \\spad{x1} + 2t(1-\\spad{t}) \\spad{x2} + \\spad{t^2} \\spad{x3},{}} \\indented{10}{(1-\\spad{t})\\spad{^2} \\spad{y1} + 2t(1-\\spad{t}) \\spad{y2} + \\spad{t^2} \\spad{y3}]} \\blankline \\spad{X} n:=quadraticBezier([2.0,{}2.0],{}[4.0,{}4.0],{}[6.0,{}2.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]")) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A linear Bezier curve is a simple interpolation between the} \\indented{1}{starting point and the ending point based on a parameter \\spad{t}.} \\indented{1}{Given a start point a=[\\spad{x1},{}\\spad{y1}] and an endpoint \\spad{b=}[\\spad{x2},{}\\spad{y2}]} \\indented{1}{\\spad{f}(\\spad{t}) \\spad{==} [(1-\\spad{t})\\spad{*x1} + \\spad{t*x2},{} (1-\\spad{t})\\spad{*y1} + \\spad{t*y2}]} \\blankline \\spad{X} n:=linearBezier([2.0,{}2.0],{}[4.0,{}4.0]) \\spad{X} [\\spad{n}(\\spad{t/10}.0) for \\spad{t} in 0..10 by 1]"))) 
+((|constructor| (NIL "Provide linear, quadratic, and cubic spline bezier curves")) (|cubicBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A cubic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a left-middle point,, a right-middle point,} \\indented{1}{and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], the left-middle point b=[x2,y2],} \\indented{1}{the right-middle point c=[x3,y3] and an endpoint d=[x4,y4]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^3} \\spad{x1} + 3t(1-t)^2 \\spad{x2} + 3t^2 (1-t) \\spad{x3} + \\spad{t^3} x4,} \\indented{10}{(1-t)^3 \\spad{y1} + 3t(1-t)^2 \\spad{y2} + 3t^2 (1-t) \\spad{y3} + \\spad{t^3} y4]} \\blankline \\spad{X} n:=cubicBezier([2.0,2.0],[2.0,4.0],[6.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|quadraticBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A quadratic Bezier curve is a simple interpolation between the} \\indented{1}{starting point, a middle point, and the ending point based on} \\indented{1}{a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1], a middle point b=[x2,y2],} \\indented{1}{and an endpoint c=[x3,y3]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)^2} \\spad{x1} + 2t(1-t) \\spad{x2} + \\spad{t^2} x3,} \\indented{10}{(1-t)^2 \\spad{y1} + 2t(1-t) \\spad{y2} + \\spad{t^2} y3]} \\blankline \\spad{X} n:=quadraticBezier([2.0,2.0],[4.0,4.0],[6.0,2.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]")) (|linearBezier| (((|Mapping| (|List| |#1|) |#1|) (|List| |#1|) (|List| |#1|)) "\\indented{1}{A linear Bezier curve is a simple interpolation between the} \\indented{1}{starting point and the ending point based on a parameter \\spad{t.}} \\indented{1}{Given a start point a=[x1,y1] and an endpoint b=[x2,y2]} \\indented{1}{f(t) \\spad{==} \\spad{[(1-t)*x1} + t*x2, \\spad{(1-t)*y1} + t*y2]} \\blankline \\spad{X} n:=linearBezier([2.0,2.0],[4.0,4.0]) \\spad{X} [n(t/10.0) for \\spad{t} in 0..10 by 1]"))) 
 NIL 
 NIL 
 (-108 R UP M |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{BezoutMatrix} contains functions for computing resultants and discriminants using Bezout matrices.")) (|bezoutDiscriminant| ((|#1| |#2|) "\\spad{bezoutDiscriminant(p)} computes the discriminant of a polynomial \\spad{p} by computing the determinant of a Bezout matrix.")) (|bezoutResultant| ((|#1| |#2| |#2|) "\\spad{bezoutResultant(p,{}q)} computes the resultant of the two polynomials \\spad{p} and \\spad{q} by computing the determinant of a Bezout matrix.")) (|bezoutMatrix| ((|#3| |#2| |#2|) "\\spad{bezoutMatrix(p,{}q)} returns the Bezout matrix for the two polynomials \\spad{p} and \\spad{q}.")) (|sylvesterMatrix| ((|#3| |#2| |#2|) "\\spad{sylvesterMatrix(p,{}q)} returns the Sylvester matrix for the two polynomials \\spad{p} and \\spad{q}."))) 
+((|constructor| (NIL "\\spadtype{BezoutMatrix} contains functions for computing resultants and discriminants using Bezout matrices.")) (|bezoutDiscriminant| ((|#1| |#2|) "\\spad{bezoutDiscriminant(p)} computes the discriminant of a polynomial \\spad{p} by computing the determinant of a Bezout matrix.")) (|bezoutResultant| ((|#1| |#2| |#2|) "\\spad{bezoutResultant(p,q)} computes the resultant of the two polynomials \\spad{p} and \\spad{q} by computing the determinant of a Bezout matrix.")) (|bezoutMatrix| ((|#3| |#2| |#2|) "\\spad{bezoutMatrix(p,q)} returns the Bezout matrix for the two polynomials \\spad{p} and \\spad{q.}")) (|sylvesterMatrix| ((|#3| |#2| |#2|) "\\spad{sylvesterMatrix(p,q)} returns the Sylvester matrix for the two polynomials \\spad{p} and \\spad{q.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4537 "*")))) 
+((|HasAttribute| |#1| (QUOTE (-4573 "*")))) 
 (-109) 
 ((|constructor| (NIL "A Domain which implements a table containing details of points at which particular functions have evaluation problems.")) (|bfEntry| (((|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|)))) (|Symbol|)) "\\spad{bfEntry(k)} returns the entry in the \\axiomType{BasicFunctions} table corresponding to \\spad{k}")) (|bfKeys| (((|List| (|Symbol|))) "\\spad{bfKeys()} returns the names of each function in the \\axiomType{BasicFunctions} table"))) 
-((-4535 . T)) 
+((-4571 . T)) 
 NIL 
 (-110 A S) 
-((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects,{} and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks,{} queues,{} and dequeues.")) (|inspect| ((|#2| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#2| $) "\\spad{insert!(x,{}u)} inserts item \\spad{x} into bag \\spad{u}.")) (|extract!| ((|#2| $) "\\spad{extract!(u)} destructively removes a (random) item from bag \\spad{u}.")) (|bag| (($ (|List| |#2|)) "\\spad{bag([x,{}y,{}...,{}z])} creates a bag with elements \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
+((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#2| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#2| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#2| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#2|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
 NIL 
 NIL 
 (-111 S) 
-((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects,{} and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks,{} queues,{} and dequeues.")) (|inspect| ((|#1| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#1| $) "\\spad{insert!(x,{}u)} inserts item \\spad{x} into bag \\spad{u}.")) (|extract!| ((|#1| $) "\\spad{extract!(u)} destructively removes a (random) item from bag \\spad{u}.")) (|bag| (($ (|List| |#1|)) "\\spad{bag([x,{}y,{}...,{}z])} creates a bag with elements \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
-((-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "A bag aggregate is an aggregate for which one can insert and extract objects, and where the order in which objects are inserted determines the order of extraction. Examples of bags are stacks, queues, and dequeues.")) (|inspect| ((|#1| $) "\\spad{inspect(u)} returns an (random) element from a bag.")) (|insert!| (($ |#1| $) "\\spad{insert!(x,u)} inserts item \\spad{x} into bag u.")) (|extract!| ((|#1| $) "\\spad{extract!(u)} destructively removes a (random) item from bag u.")) (|bag| (($ (|List| |#1|)) "\\spad{bag([x,y,...,z])} creates a bag with elements x,y,...,z.")) (|shallowlyMutable| ((|attribute|) "shallowlyMutable means that elements of bags may be destructively changed."))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
 (-112) 
-((|constructor| (NIL "This domain allows rational numbers to be presented as repeating binary expansions.")) (|binary| (($ (|Fraction| (|Integer|))) "\\indented{1}{binary(\\spad{r}) converts a rational number to a binary expansion.} \\blankline \\spad{X} binary(22/7)")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(b)} returns the fractional part of a binary expansion.")) (|coerce| (((|RadixExpansion| 2) $) "\\spad{coerce(b)} converts a binary expansion to a radix expansion with base 2.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(b)} converts a binary expansion to a rational number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+((|constructor| (NIL "This domain allows rational numbers to be presented as repeating binary expansions.")) (|binary| (($ (|Fraction| (|Integer|))) "\\indented{1}{binary(r) converts a rational number to a binary expansion.} \\blankline \\spad{X} binary(22/7)")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(b)} returns the fractional part of a binary expansion.")) (|coerce| (((|RadixExpansion| 2) $) "\\spad{coerce(b)} converts a binary expansion to a radix expansion with base 2.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(b)} converts a binary expansion to a rational number."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
 (-113) 
-((|constructor| (NIL "This domain provides an implementation of binary files. Data is accessed one byte at a time as a small integer.")) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) "\\spad{position!(f,{} i)} sets the current byte-position to \\spad{i}.")) (|position| (((|SingleInteger|) $) "\\spad{position(f)} returns the current byte-position in the file \\spad{f}.")) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f},{} if possible. If \\spad{f} is not open for reading,{} or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
+((|constructor| (NIL "This domain provides an implementation of binary files. Data is accessed one byte at a time as a small integer.")) (|position!| (((|SingleInteger|) $ (|SingleInteger|)) "\\spad{position!(f, i)} sets the current byte-position to i.")) (|position| (((|SingleInteger|) $) "\\spad{position(f)} returns the current byte-position in the file \\spad{f.}")) (|readIfCan!| (((|Union| (|SingleInteger|) "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
 (-114) 
-((|constructor| (NIL "\\spadtype{Bits} provides logical functions for Indexed Bits.")) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) "\\spad{bits(n,{}b)} creates bits with \\spad{n} values of \\spad{b}"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-121) (QUOTE (-1091))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1091))))) 
+((|constructor| (NIL "\\spadtype{Bits} provides logical functions for Indexed Bits.")) (|bits| (($ (|NonNegativeInteger|) (|Boolean|)) "\\spad{bits(n,b)} creates bits with \\spad{n} values of \\spad{b}"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-121) (QUOTE (-1093))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1093))))) 
 (-115) 
-((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dcopy(\\spad{n},{}\\spad{x},{}incx,{}\\spad{y},{}incy) copies \\spad{y} from \\spad{x}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} y:PRIMARR(DFLOAT)\\spad{:=}[ [0.0,{}0.0,{}0.0,{}0.0,{}0.0,{}0.0] ] \\spad{X} dcopy(6,{}\\spad{x},{}1,{}\\spad{y},{}1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0] ] \\spad{X} n:PRIMARR(DFLOAT)\\spad{:=}[ [0.0,{}0.0,{}0.0,{}0.0,{}0.0,{}0.0] ] \\spad{X} dcopy(3,{}\\spad{m},{}1,{}\\spad{n},{}2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{daxpy(\\spad{n},{}da,{}\\spad{x},{}incx,{}\\spad{y},{}incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} y:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} daxpy(6,{}2.0,{}\\spad{x},{}1,{}\\spad{y},{}1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0] ] \\spad{X} n:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} daxpy(3,{}\\spad{-2}.0,{}\\spad{m},{}1,{}\\spad{n},{}2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dasum(\\spad{n},{}array,{}incx) computes the sum of \\spad{n} elements in array} \\indented{1}{using a stride of incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT)\\spad{:=}[ [1.0,{}2.0,{}3.0,{}4.0,{}5.0,{}6.0] ] \\spad{X} dasum(6,{}\\spad{dx},{}1) \\spad{X} dasum(3,{}\\spad{dx},{}2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\indented{1}{\\spad{dcabs1}(\\spad{z}) computes (+ (abs (realpart \\spad{z})) (abs (imagpart \\spad{z})))} \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,{}0) \\spad{X} dcabs(\\spad{t1})"))) 
+((|constructor| (NIL "This package provides an interface to the Blas library (level 1)")) (|zaxpy| (((|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|Complex| (|DoubleFloat|)) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{zaxpy(n,da,x,incx,y,incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} b:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(5,2.0,a,1,b,1) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(3,2.0,a,3,b,3) \\spad{X} b:=[[3.+4.*\\%i, -4.+5.*\\%i, 5.+6.*%i, 7.-8.*%i, -9.-2.*\\%i]] \\spad{X} zaxpy(4,2.0,a,2,b,2)")) (|izamax| (((|Integer|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{izamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} izamax(5,a,1) \\spad{--} should be 3 \\spad{X} izamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} izamax(3,a,1) \\spad{--} should be 2 \\spad{X} izamax(3,a,2) \\spad{--} should be 1")) (|isamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Float|)) (|Integer|)) "\\indented{1}{isamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3 \\spad{X} isamax(3,a,1) \\spad{--} should be 1 \\spad{X} isamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} isamax(5,a,2) \\spad{--} should be 0 \\spad{X} isamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} isamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(FLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} isamax(5,a,1) \\spad{--} should be 3")) (|idamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|DoubleFloat|)) (|Integer|)) "\\indented{1}{idamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum.} \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, 5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3 \\spad{X} idamax(3,a,1) \\spad{--} should be 1 \\spad{X} idamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(-5,a,1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} idamax(5,a,2) \\spad{--} should be 0 \\spad{X} idamax(1,a,0) \\spad{--} should be \\spad{-1} \\spad{X} idamax(1,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} a:PRIMARR(DFLOAT):=[[3.0, 4.0, -3.0, -5.0, -1.0]] \\spad{X} idamax(5,a,1) \\spad{--} should be 3")) (|icamax| (((|Integer|) (|Integer|) (|PrimitiveArray| (|Complex| (|Float|))) (|Integer|)) "\\indented{1}{icamax computes the largest absolute value of the elements} \\indented{1}{of the array and returns the index of the first instance} \\indented{1}{of the maximum} \\blankline \\spad{X} a:PRIMARR(COMPLEX(FLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} icamax(5,a,1) \\spad{--} should be 3 \\spad{X} icamax(0,a,1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(5,a,-1) \\spad{--} should be \\spad{-1} \\spad{X} icamax(3,a,1) \\spad{--} should be 2 \\spad{X} icamax(3,a,2) \\spad{--} should be 1")) (|dznrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{dznrm2 returns the norm of a complex vector. It computes} \\indented{1}{sqrt(sum(v*conjugate(v)))} \\blankline \\spad{X} a:PRIMARR(COMPLEX(DFLOAT)) \\spad{X} a:=[[3.+4.*\\%i,-4.+5.*\\%i,5.+6.*\\%i,7.-8.*\\%i,-9.-2.*\\%i]] \\spad{X} dznrm2(5,a,1) \\spad{--} should be 18.028 \\spad{X} dznrm2(3,a,2) \\spad{--} should be 13.077 \\spad{X} dznrm2(3,a,1) \\spad{--} should be 11.269 \\spad{X} dznrm2(3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(-3,a,-1) \\spad{--} should be 0.0 \\spad{X} dznrm2(1,a,1) \\spad{--} should be 5.0 \\spad{X} dznrm2(1,a,2) \\spad{--} should be 5.0")) (|dzasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|Complex| (|DoubleFloat|))) (|SingleInteger|)) "\\indented{1}{dzasum takes the sum over all of the array where each} \\indented{1}{element of the array sum is the sum of the absolute} \\indented{1}{value of the real part and the absolute value of the} \\indented{1}{imaginary part of each array element:} \\indented{3}{for \\spad{i} in array do sum = sum + (real(a(i)) + imag(a(i)))} \\blankline \\spad{X} d:PRIMARR(COMPLEX(DFLOAT)):=[[1.0+2.0*\\%i,-3.0+4.0*\\%i,5.0-6.0*\\%i]] \\spad{X} dzasum(3,d,1) \\spad{--} 21.0 \\spad{X} dzasum(3,d,2) \\spad{--} 14.0 \\spad{X} dzasum(-3,d,1) \\spad{--} 0.0")) (|dswap| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dswap swaps elements from the first vector with the second} \\indented{1}{Note that the arrays are modified in place.} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,1) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(3,dx,2,dy,2) \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dswap(5,dx,1,dy,-1)")) (|dscal| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dscal scales each element of the vector by the scalar so} \\indented{1}{dscal(n,da,dx,incx) = da*dx for \\spad{n} elements, incremented by incx} \\indented{1}{Note that the \\spad{dx} array is modified in place.} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(6,2.0,dx,1) \\spad{X} \\spad{dx} \\spad{X} dx:PRIMARR(DFLOAT):=[[1.0, 2.0, 3.0, 4.0, 5.0, 6.0]] \\spad{X} dscal(3,0.5,dx,1) \\spad{X} \\spad{dx}")) (|drot| (((|List| (|PrimitiveArray| (|DoubleFloat|))) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|DoubleFloat|)) "\\indented{1}{drot computes a 2D plane Givens rotation spanned by two} \\indented{1}{coordinate axes. It modifies the arrays in place.} \\indented{1}{The call drot(n,dx,incx,dy,incy,c,s) has the \\spad{dx} array which} \\indented{1}{contains the \\spad{y} axis locations and dy which contains the} \\indented{1}{y axis locations. They are rotated in parallel where} \\indented{1}{c is the cosine of the angle and \\spad{s} is the sine of the angle and} \\indented{1}{c^2+s^2 = 1} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[[6,0, 1.0, 4.0, -1.0, -1.0]] \\spad{X} dy:PRIMARR(DFLOAT):=[[5.0, 1.0, -4.0, 4.0, -4.0]] \\spad{X} drot(5,dx,1,dy,1,0.707106781,0.707106781) \\spad{--} rotate by 45 degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified \\spad{X} drot(5,dx,1,dy,1,0.707106781,-0.707106781) \\spad{--} rotate by \\spad{-45} degrees \\spad{X} \\spad{dx} \\spad{--} \\spad{dx} has been modified \\spad{X} dy \\spad{--} dy has been modified")) (|drotg| (((|PrimitiveArray| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\indented{1}{drotg computes a 2D plane Givens rotation spanned by two} \\indented{1}{coordinate axes.} \\blankline \\spad{X} a:MATRIX(DFLOAT):=[[6,5,0],[5,1,4],[0,4,3]] \\spad{X} drotg(elt(a,1,1),elt(a,1,2),0.0D0,0.0D0)")) (|dnrm2| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dnrm2 takes the norm of the vector, ||x||} \\blankline \\spad{X} a:PRIMARR(DFLOAT):=[ [3.0, -4.0, 5.0, -7.0, 9.0] ] \\spad{X} dnrm2(3,a,1) \\spad{--} 7.0710678118654755 = \\spad{sqrt(3.0^2} + \\spad{-4.0^2} + 5.0^2) \\spad{X} dnrm2(5,a,1) \\spad{--} 13.416407864998739 = sqrt(180.0) \\spad{X} dnrm2(3,a,2) \\spad{--} 10.72380529476361 = sqrt(115.0)")) (|ddot| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{ddot(n,x,incx,y,incy) computes the vector dot product} \\indented{1}{of elements from the vector \\spad{x} and the vector \\spad{y}} \\indented{1}{If the indicies are negative the elements are taken} \\indented{1}{relative to the far end of the vector.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [5.0,6.0,7.0,8.0,9.0] ] \\spad{X} ddot(0,a,1,b,1) \\spad{--} handle 0 elements \\spad{==>} 0 \\spad{X} ddot(3,a,1,b,1) \\spad{--} (1,2,3) * (5,6,7) \\spad{==>} 38.0 \\spad{X} ddot(3,a,1,b,2) \\spad{--} increment = 2 in \\spad{b} (1,2,3) * (5,7,9) \\spad{==>} 46.0 \\spad{X} ddot(3,a,2,b,1) \\spad{--} increment = 2 in a (1,3,5) * (5,6,7) \\spad{==>} 58.0 \\spad{X} ddot(3,a,1,b,-2) \\spad{--} increment = \\spad{-2} in \\spad{b} (1,2,3) * (9,7,5) \\spad{==>} 38.0 \\spad{X} ddot(2,a,-2,b,1) \\spad{--} increment = \\spad{-2} in a (5,3,1) * (5,6,7) \\spad{==>} 50.0 \\spad{X} ddot(3,a,-2,b,-2) \\spad{--} (5,3,1) * (9,7,5) \\spad{==>} 71.0")) (|dcopy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dcopy(n,x,incx,y,incy) copies \\spad{y} from \\spad{x}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [0.0,0.0,0.0,0.0,0.0,0.0] ] \\spad{X} dcopy(6,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0] ] \\spad{X} n:PRIMARR(DFLOAT):=[ [0.0,0.0,0.0,0.0,0.0,0.0] ] \\spad{X} dcopy(3,m,1,n,2) \\spad{X} \\spad{n}")) (|daxpy| (((|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|DoubleFloat|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{daxpy(n,da,x,incx,y,incy) computes a \\spad{y} = a*x + \\spad{y}} \\indented{1}{for each of the chosen elements of the vectors \\spad{x} and \\spad{y}} \\indented{1}{and a constant multiplier a} \\indented{1}{Note that the vector \\spad{y} is modified with the results.} \\blankline \\spad{X} x:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} y:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} daxpy(6,2.0,x,1,y,1) \\spad{X} \\spad{y} \\spad{X} m:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0] ] \\spad{X} n:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} daxpy(3,-2.0,m,1,n,2) \\spad{X} \\spad{n}")) (|dasum| (((|DoubleFloat|) (|SingleInteger|) (|PrimitiveArray| (|DoubleFloat|)) (|SingleInteger|)) "\\indented{1}{dasum(n,array,incx) computes the sum of \\spad{n} elements in array} \\indented{1}{using a stride of incx} \\blankline \\spad{X} dx:PRIMARR(DFLOAT):=[ [1.0,2.0,3.0,4.0,5.0,6.0] ] \\spad{X} dasum(6,dx,1) \\spad{X} dasum(3,dx,2)")) (|dcabs1| (((|DoubleFloat|) (|Complex| (|DoubleFloat|))) "\\indented{1}{dcabs1(z) computes \\spad{(+} (abs (realpart \\spad{z))} (abs (imagpart z)))} \\blankline \\spad{X} t1:Complex DoubleFloat \\spad{:=} complex(1.0,0) \\spad{X} dcabs1(t1)"))) 
 NIL 
 NIL 
 (-116) 
@@ -405,231 +405,231 @@ NIL
 ((|QuadraticTransform| . T)) 
 NIL 
 (-119 K |symb| |PolyRing| E BLMET) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|stepBlowUp| (((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|) "\\spad{stepBlowUp(pol,{}pt,{}n)} blow-up the point \\spad{pt} on the curve defined by \\spad{pol} in the affine neighbourhood specified by \\spad{n}.")) (|quadTransform| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|) "\\spad{quadTransform(pol,{}n,{}chart)} apply the quadratique transformation to \\spad{pol} specified by \\spad{chart} has in quadTransform(\\spad{pol},{}\\spad{chart}) and extract x**n to it,{} where \\spad{x} is the variable specified by the first integer in \\spad{chart} (blow-up exceptional coordinate).")) (|applyTransform| ((|#3| |#3| |#5|) "quadTransform(pol,{}chart) apply the quadratique transformation to pol specified by chart which consist of 3 integers. The last one indicates which varibles is set to 1,{} the first on indicates which variable remains unchange,{} and the second one indicates which variable oon which the transformation is applied. For example,{} [2,{}3,{}1] correspond to the following: \\spad{x} \\spad{->} 1,{} \\spad{y} \\spad{->} \\spad{y},{} \\spad{z} \\spad{->} \\spad{yz} (here the variable are [\\spad{x},{}\\spad{y},{}\\spad{z}] in BlUpRing)."))) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|stepBlowUp| (((|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|)) (|:| |recPoint| (|AffinePlane| |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) |#5| |#1|) "\\spad{stepBlowUp(pol,pt,n)} blow-up the point \\spad{pt} on the curve defined by \\spad{pol} in the affine neighbourhood specified by \\spad{n.}")) (|quadTransform| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|NonNegativeInteger|) |#5|) "\\spad{quadTransform(pol,n,chart)} apply the quadratique transformation to \\spad{pol} specified by \\spad{chart} has in quadTransform(pol,chart) and extract x**n to it, where \\spad{x} is the variable specified by the first integer in \\spad{chart} (blow-up exceptional coordinate).")) (|applyTransform| ((|#3| |#3| |#5|) "quadTransform(pol,chart) apply the quadratique transformation to pol specified by chart which consist of 3 integers. The last one indicates which varibles is set to 1, the first on indicates which variable remains unchange, and the second one indicates which variable oon which the transformation is applied. For example, [2,3,1] correspond to the following: \\spad{x} \\spad{->} 1, \\spad{y} \\spad{->} \\spad{y,} \\spad{z} \\spad{->} \\spad{yz} (here the variable are [x,y,z] in BlUpRing)."))) 
 NIL 
 NIL 
 (-120 R S) 
-((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{ r*(x*s) = (r*x)*s }")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = x}")) (|leftUnitary| ((|attribute|) "\\spad{1 * x = x}"))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "A \\spadtype{BiModule} is both a left and right module with respect to potentially different rings. \\blankline Axiom\\br \\tab{5}\\spad{ r*(x*s) = (r*x)*s }")) (|rightUnitary| ((|attribute|) "\\spad{x * 1 = \\spad{x}}")) (|leftUnitary| ((|attribute|) "\\spad{1 * \\spad{x} = \\spad{x}}"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-121) 
-((|constructor| (NIL "\\spadtype{Boolean} is the elementary logic with 2 values: \\spad{true} and \\spad{false}")) (|test| (((|Boolean|) $) "\\spad{test(b)} returns \\spad{b} and is provided for compatibility with the new compiler.")) (|implies| (($ $ $) "\\spad{implies(a,{}b)} returns the logical implication of Boolean \\spad{a} and \\spad{b}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical negation of \\spad{a} or \\spad{b}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical negation of \\spad{a} and \\spad{b}.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive or of Boolean \\spad{a} and \\spad{b}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical inclusive or of Boolean \\spad{a} and \\spad{b}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of Boolean \\spad{a} and \\spad{b}.")) (|not| (($ $) "\\spad{not n} returns the negation of \\spad{n}.")) (^ (($ $) "\\spad{^ n} returns the negation of \\spad{n}.")) (|false| (($) "\\spad{false} is a logical constant.")) (|true| (($) "\\spad{true} is a logical constant."))) 
+((|constructor| (NIL "\\spadtype{Boolean} is the elementary logic with 2 values: \\spad{true} and \\spad{false}")) (|test| (((|Boolean|) $) "\\spad{test(b)} returns \\spad{b} and is provided for compatibility with the new compiler.")) (|implies| (($ $ $) "\\spad{implies(a,b)} returns the logical implication of Boolean \\spad{a} and \\spad{b.}")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical negation of \\spad{a} or \\spad{b.}")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical negation of \\spad{a} and \\spad{b.}")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive or of Boolean \\spad{a} and \\spad{b.}")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical inclusive or of Boolean \\spad{a} and \\spad{b.}")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of Boolean \\spad{a} and \\spad{b.}")) (|not| (($ $) "\\spad{not \\spad{n}} returns the negation of \\spad{n.}")) (^ (($ $) "\\spad{^ \\spad{n}} returns the negation of \\spad{n.}")) (|false| (($) "\\spad{false} is a logical constant.")) (|true| (($) "\\spad{true} is a logical constant."))) 
 NIL 
 NIL 
 (-122 A) 
-((|constructor| (NIL "This package exports functions to set some commonly used properties of operators,{} including properties which contain functions.")) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) "\\spad{constantOpIfCan(op)} returns \\spad{a} if \\spad{op} is the constant nullary operator always returning \\spad{a},{} \"failed\" otherwise.")) (|constantOperator| (((|BasicOperator|) |#1|) "\\spad{constantOperator(a)} returns a nullary operator op such that \\spad{op()} always evaluate to \\spad{a}.")) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) "\\spad{derivative(op)} returns the value of the \"\\%diff\" property of \\spad{op} if it has one,{} and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{derivative(op,{} foo)} attaches foo as the \"\\%diff\" property of \\spad{op}. If \\spad{op} has an \"\\%diff\" property \\spad{f},{} then applying a derivation \\spad{D} to \\spad{op}(a) returns \\spad{f(a) * D(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) "\\spad{derivative(op,{} [foo1,{}...,{}foon])} attaches [\\spad{foo1},{}...,{}foon] as the \"\\%diff\" property of \\spad{op}. If \\spad{op} has an \"\\%diff\" property \\spad{[f1,{}...,{}fn]} then applying a derivation \\spad{D} to \\spad{op(a1,{}...,{}an)} returns \\spad{f1(a1,{}...,{}an) * D(a1) + ... + fn(a1,{}...,{}an) * D(an)}.")) (|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) "\\spad{evaluate(op)} returns the value of the \"\\%eval\" property of \\spad{op} if it has one,{} and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{evaluate(op,{} foo)} attaches foo as the \"\\%eval\" property of \\spad{op}. If \\spad{op} has an \"\\%eval\" property \\spad{f},{} then applying \\spad{op} to a returns the result of \\spad{f(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) "\\spad{evaluate(op,{} foo)} attaches foo as the \"\\%eval\" property of \\spad{op}. If \\spad{op} has an \"\\%eval\" property \\spad{f},{} then applying \\spad{op} to \\spad{(a1,{}...,{}an)} returns the result of \\spad{f(a1,{}...,{}an)}.") (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) "\\spad{evaluate(op,{} [a1,{}...,{}an])} checks if \\spad{op} has an \"\\%eval\" property \\spad{f}. If it has,{} then \\spad{f(a1,{}...,{}an)} is returned,{} and \"failed\" otherwise."))) 
+((|constructor| (NIL "This package exports functions to set some commonly used properties of operators, including properties which contain functions.")) (|constantOpIfCan| (((|Union| |#1| "failed") (|BasicOperator|)) "\\spad{constantOpIfCan(op)} returns \\spad{a} if \\spad{op} is the constant nullary operator always returning \\spad{a}, \"failed\" otherwise.")) (|constantOperator| (((|BasicOperator|) |#1|) "\\spad{constantOperator(a)} returns a nullary operator op such that \\spad{op()} always evaluate to \\spad{a}.")) (|derivative| (((|Union| (|List| (|Mapping| |#1| (|List| |#1|))) "failed") (|BasicOperator|)) "\\spad{derivative(op)} returns the value of the \"\\%diff\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{derivative(op, foo)} attaches foo as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{f,} then applying a derivation \\spad{D} to op(a) returns \\spad{f(a) * D(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|List| (|Mapping| |#1| (|List| |#1|)))) "\\spad{derivative(op, [foo1,...,foon])} attaches [foo1,...,foon] as the \"\\%diff\" property of op. If \\spad{op} has an \"\\%diff\" property \\spad{[f1,...,fn]} then applying a derivation \\spad{D} to \\spad{op(a1,...,an)} returns \\spad{f1(a1,...,an) * D(a1) + \\spad{...} + fn(a1,...,an) * D(an)}.")) (|evaluate| (((|Union| (|Mapping| |#1| (|List| |#1|)) "failed") (|BasicOperator|)) "\\spad{evaluate(op)} returns the value of the \"\\%eval\" property of \\spad{op} if it has one, and \"failed\" otherwise.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| |#1|)) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to a returns the result of \\spad{f(a)}. Argument \\spad{op} must be unary.") (((|BasicOperator|) (|BasicOperator|) (|Mapping| |#1| (|List| |#1|))) "\\spad{evaluate(op, foo)} attaches foo as the \"\\%eval\" property of op. If \\spad{op} has an \"\\%eval\" property \\spad{f,} then applying \\spad{op} to \\spad{(a1,...,an)} returns the result of \\spad{f(a1,...,an)}.") (((|Union| |#1| "failed") (|BasicOperator|) (|List| |#1|)) "\\spad{evaluate(op, [a1,...,an])} checks if \\spad{op} has an \"\\%eval\" property \\spad{f.} If it has, then \\spad{f(a1,...,an)} is returned, and \"failed\" otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-843)))) 
+((|HasCategory| |#1| (QUOTE (-844)))) 
 (-123) 
-((|constructor| (NIL "Basic system operators. A basic operator is an object that can be applied to a list of arguments from a set,{} the result being a kernel over that set.")) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) "\\spad{setProperties(op,{} l)} sets the property list of \\spad{op} to \\spad{l}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|setProperty| (($ $ (|String|) (|None|)) "\\spad{setProperty(op,{} s,{} v)} attaches property \\spad{s} to \\spad{op},{} and sets its value to \\spad{v}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|property| (((|Union| (|None|) "failed") $ (|String|)) "\\spad{property(op,{} s)} returns the value of property \\spad{s} if it is attached to \\spad{op},{} and \"failed\" otherwise.")) (|deleteProperty!| (($ $ (|String|)) "\\spad{deleteProperty!(op,{} s)} unattaches property \\spad{s} from \\spad{op}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|assert| (($ $ (|String|)) "\\spad{assert(op,{} s)} attaches property \\spad{s} to \\spad{op}. Argument \\spad{op} is modified \"in place\",{} \\spadignore{i.e.} no copy is made.")) (|has?| (((|Boolean|) $ (|String|)) "\\spad{has?(op,{} s)} tests if property \\spad{s} is attached to \\spad{op}.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op,{} s)} tests if the name of \\spad{op} is \\spad{s}.")) (|input| (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) "\\spad{input(op)} returns the \"\\%input\" property of \\spad{op} if it has one attached,{} \"failed\" otherwise.") (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) "\\spad{input(op,{} foo)} attaches foo as the \"\\%input\" property of \\spad{op}. If \\spad{op} has a \"\\%input\" property \\spad{f},{} then \\spad{op(a1,{}...,{}an)} gets converted to InputForm as \\spad{f(a1,{}...,{}an)}.")) (|display| (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) "\\spad{display(op,{} foo)} attaches foo as the \"\\%display\" property of \\spad{op}. If \\spad{op} has a \"\\%display\" property \\spad{f},{} then \\spad{op(a)} gets converted to OutputForm as \\spad{f(a)}. Argument \\spad{op} must be unary.") (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) "\\spad{display(op,{} foo)} attaches foo as the \"\\%display\" property of \\spad{op}. If \\spad{op} has a \"\\%display\" property \\spad{f},{} then \\spad{op(a1,{}...,{}an)} gets converted to OutputForm as \\spad{f(a1,{}...,{}an)}.") (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) "\\spad{display(op)} returns the \"\\%display\" property of \\spad{op} if it has one attached,{} and \"failed\" otherwise.")) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{comparison(op,{} foo?)} attaches foo? as the \"\\%less?\" property to \\spad{op}. If \\spad{op1} and \\spad{op2} have the same name,{} and one of them has a \"\\%less?\" property \\spad{f},{} then \\spad{f(op1,{} op2)} is called to decide whether \\spad{op1 < op2}.")) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{equality(op,{} foo?)} attaches foo? as the \"\\%equal?\" property to \\spad{op}. If \\spad{op1} and \\spad{op2} have the same name,{} and one of them has an \"\\%equal?\" property \\spad{f},{} then \\spad{f(op1,{} op2)} is called to decide whether \\spad{op1} and \\spad{op2} should be considered equal.")) (|weight| (($ $ (|NonNegativeInteger|)) "\\spad{weight(op,{} n)} attaches the weight \\spad{n} to \\spad{op}.") (((|NonNegativeInteger|) $) "\\spad{weight(op)} returns the weight attached to \\spad{op}.")) (|nary?| (((|Boolean|) $) "\\spad{nary?(op)} tests if \\spad{op} has arbitrary arity.")) (|unary?| (((|Boolean|) $) "\\spad{unary?(op)} tests if \\spad{op} is unary.")) (|nullary?| (((|Boolean|) $) "\\spad{nullary?(op)} tests if \\spad{op} is nullary.")) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) "\\spad{arity(op)} returns \\spad{n} if \\spad{op} is \\spad{n}-ary,{} and \"failed\" if \\spad{op} has arbitrary arity.")) (|operator| (($ (|Symbol|) (|NonNegativeInteger|)) "\\spad{operator(f,{} n)} makes \\spad{f} into an \\spad{n}-ary operator.") (($ (|Symbol|)) "\\spad{operator(f)} makes \\spad{f} into an operator with arbitrary arity.")) (|copy| (($ $) "\\spad{copy(op)} returns a copy of \\spad{op}.")) (|properties| (((|AssociationList| (|String|) (|None|)) $) "\\spad{properties(op)} returns the list of all the properties currently attached to \\spad{op}.")) (|name| (((|Symbol|) $) "\\spad{name(op)} returns the name of \\spad{op}."))) 
+((|constructor| (NIL "Basic system operators. A basic operator is an object that can be applied to a list of arguments from a set, the result being a kernel over that set.")) (|setProperties| (($ $ (|AssociationList| (|String|) (|None|))) "\\spad{setProperties(op, \\spad{l)}} sets the property list of \\spad{op} to \\spad{l.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|setProperty| (($ $ (|String|) (|None|)) "\\spad{setProperty(op, \\spad{s,} \\spad{v)}} attaches property \\spad{s} to op, and sets its value to \\spad{v.} Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|property| (((|Union| (|None|) "failed") $ (|String|)) "\\spad{property(op, \\spad{s)}} returns the value of property \\spad{s} if it is attached to op, and \"failed\" otherwise.")) (|deleteProperty!| (($ $ (|String|)) "\\spad{deleteProperty!(op, \\spad{s)}} unattaches property \\spad{s} from op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|assert| (($ $ (|String|)) "\\spad{assert(op, \\spad{s)}} attaches property \\spad{s} to op. Argument \\spad{op} is modified \"in place\", \\spadignore{i.e.} no copy is made.")) (|has?| (((|Boolean|) $ (|String|)) "\\spad{has?(op, \\spad{s)}} tests if property \\spad{s} is attached to op.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op, \\spad{s)}} tests if the name of \\spad{op} is \\spad{s.}")) (|input| (((|Union| (|Mapping| (|InputForm|) (|List| (|InputForm|))) "failed") $) "\\spad{input(op)} returns the \"\\%input\" property of \\spad{op} if it has one attached, \"failed\" otherwise.") (($ $ (|Mapping| (|InputForm|) (|List| (|InputForm|)))) "\\spad{input(op, foo)} attaches foo as the \"\\%input\" property of op. If \\spad{op} has a \"\\%input\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to InputForm as \\spad{f(a1,...,an)}.")) (|display| (($ $ (|Mapping| (|OutputForm|) (|OutputForm|))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a)} gets converted to OutputForm as \\spad{f(a)}. Argument \\spad{op} must be unary.") (($ $ (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) "\\spad{display(op, foo)} attaches foo as the \"\\%display\" property of op. If \\spad{op} has a \"\\%display\" property \\spad{f,} then \\spad{op(a1,...,an)} gets converted to OutputForm as \\spad{f(a1,...,an)}.") (((|Union| (|Mapping| (|OutputForm|) (|List| (|OutputForm|))) "failed") $) "\\spad{display(op)} returns the \"\\%display\" property of \\spad{op} if it has one attached, and \"failed\" otherwise.")) (|comparison| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{comparison(op, foo?)} attaches foo? as the \"\\%less?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has a \"\\%less?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1 < op2}.")) (|equality| (($ $ (|Mapping| (|Boolean|) $ $)) "\\spad{equality(op, foo?)} attaches foo? as the \"\\%equal?\" property to op. If \\spad{op1} and \\spad{op2} have the same name, and one of them has an \"\\%equal?\" property \\spad{f,} then \\spad{f(op1, op2)} is called to decide whether \\spad{op1} and \\spad{op2} should be considered equal.")) (|weight| (($ $ (|NonNegativeInteger|)) "\\spad{weight(op, \\spad{n)}} attaches the weight \\spad{n} to op.") (((|NonNegativeInteger|) $) "\\spad{weight(op)} returns the weight attached to op.")) (|nary?| (((|Boolean|) $) "\\spad{nary?(op)} tests if \\spad{op} has arbitrary arity.")) (|unary?| (((|Boolean|) $) "\\spad{unary?(op)} tests if \\spad{op} is unary.")) (|nullary?| (((|Boolean|) $) "\\spad{nullary?(op)} tests if \\spad{op} is nullary.")) (|arity| (((|Union| (|NonNegativeInteger|) "failed") $) "\\spad{arity(op)} returns \\spad{n} if \\spad{op} is n-ary, and \"failed\" if \\spad{op} has arbitrary arity.")) (|operator| (($ (|Symbol|) (|NonNegativeInteger|)) "\\spad{operator(f, \\spad{n)}} makes \\spad{f} into an n-ary operator.") (($ (|Symbol|)) "\\spad{operator(f)} makes \\spad{f} into an operator with arbitrary arity.")) (|copy| (($ $) "\\spad{copy(op)} returns a copy of op.")) (|properties| (((|AssociationList| (|String|) (|None|)) $) "\\spad{properties(op)} returns the list of all the properties currently attached to op.")) (|name| (((|Symbol|) $) "\\spad{name(op)} returns the name of op."))) 
 NIL 
 NIL 
-(-124 -1564 UP) 
-((|constructor| (NIL "\\spadtype{BoundIntegerRoots} provides functions to find lower bounds on the integer roots of a polynomial.")) (|integerBound| (((|Integer|) |#2|) "\\spad{integerBound(p)} returns a lower bound on the negative integer roots of \\spad{p},{} and 0 if \\spad{p} has no negative integer roots."))) 
+(-124 -1647 UP) 
+((|constructor| (NIL "\\spadtype{BoundIntegerRoots} provides functions to find lower bounds on the integer roots of a polynomial.")) (|integerBound| (((|Integer|) |#2|) "\\spad{integerBound(p)} returns a lower bound on the negative integer roots of \\spad{p,} and 0 if \\spad{p} has no negative integer roots."))) 
 NIL 
 NIL 
 (-125 |p|) 
-((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} \\spad{p}-adic numbers are represented as sum(\\spad{i} = 0..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in -(\\spad{p} - 1)\\spad{/2},{}...,{}(\\spad{p} - 1)\\spad{/2}."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-126 |p|) 
-((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(\\spad{i} = \\spad{k}..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in -(\\spad{p} - 1)\\spad{/2},{}...,{}(\\spad{p} - 1)\\spad{/2}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-125 |#1|) (QUOTE (-905))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-151))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-125 |#1|) (QUOTE (-1022))) (|HasCategory| (-125 |#1|) (QUOTE (-816))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-1137))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-226))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-302))) (|HasCategory| (-125 |#1|) (QUOTE (-551))) (|HasCategory| (-125 |#1|) (QUOTE (-843))) (-2232 (|HasCategory| (-125 |#1|) (QUOTE (-816))) (|HasCategory| (-125 |#1|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-905)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))))) 
+((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i), where the a[i] lie in \\spad{-(p} - 1)/2,...,(p - 1)/2."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-125 |#1|) (QUOTE (-906))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-151))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-125 |#1|) (QUOTE (-1023))) (|HasCategory| (-125 |#1|) (QUOTE (-817))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-1139))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-125 |#1|) (QUOTE (-226))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -125) (|devaluate| |#1|)) (LIST (QUOTE -125) (|devaluate| |#1|)))) (|HasCategory| (-125 |#1|) (QUOTE (-302))) (|HasCategory| (-125 |#1|) (QUOTE (-551))) (|HasCategory| (-125 |#1|) (QUOTE (-844))) (-1929 (|HasCategory| (-125 |#1|) (QUOTE (-817))) (|HasCategory| (-125 |#1|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-125 |#1|) (QUOTE (-906)))) (|HasCategory| (-125 |#1|) (QUOTE (-149))))) 
 (-127 A S) 
-((|constructor| (NIL "A binary-recursive aggregate has 0,{} 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,{}x)} sets the right child of \\spad{t} to be \\spad{x}.")) (|setleft!| (($ $ $) "\\spad{setleft!(a,{}b)} sets the left child of \\axiom{a} to be \\spad{b}.")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,{}\"right\",{}b)} (also written \\axiom{\\spad{b} . right \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setright!(a,{}\\spad{b})}.") (($ $ "left" $) "\\spad{setelt(a,{}\"left\",{}b)} (also written \\axiom{a . left \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setleft!(a,{}\\spad{b})}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,{}\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,{}\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
+((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536))) 
+((|HasAttribute| |#1| (QUOTE -4572))) 
 (-128 S) 
-((|constructor| (NIL "A binary-recursive aggregate has 0,{} 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,{}x)} sets the right child of \\spad{t} to be \\spad{x}.")) (|setleft!| (($ $ $) "\\spad{setleft!(a,{}b)} sets the left child of \\axiom{a} to be \\spad{b}.")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,{}\"right\",{}b)} (also written \\axiom{\\spad{b} . right \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setright!(a,{}\\spad{b})}.") (($ $ "left" $) "\\spad{setelt(a,{}\"left\",{}b)} (also written \\axiom{a . left \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setleft!(a,{}\\spad{b})}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,{}\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,{}\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
-((-2982 . T)) 
+((|constructor| (NIL "A binary-recursive aggregate has 0, 1 or 2 children and serves as a model for a binary tree or a doubly-linked aggregate structure")) (|setright!| (($ $ $) "\\spad{setright!(a,x)} sets the right child of \\spad{t} to be \\spad{x.}")) (|setleft!| (($ $ $) "\\spad{setleft!(a,b)} sets the left child of \\axiom{a} to be \\spad{b.}")) (|setelt| (($ $ "right" $) "\\spad{setelt(a,\"right\",b)} (also written \\axiom{b . right \\spad{:=} \\spad{b})} is equivalent to \\axiom{setright!(a,b)}.") (($ $ "left" $) "\\spad{setelt(a,\"left\",b)} (also written \\axiom{a . left \\spad{:=} \\spad{b})} is equivalent to \\axiom{setleft!(a,b)}.")) (|right| (($ $) "\\spad{right(a)} returns the right child.")) (|elt| (($ $ "right") "\\spad{elt(a,\"right\")} (also written: \\axiom{a . right}) is equivalent to \\axiom{right(a)}.") (($ $ "left") "\\spad{elt(u,\"left\")} (also written: \\axiom{a . left}) is equivalent to \\axiom{left(a)}.")) (|left| (($ $) "\\spad{left(u)} returns the left child."))) 
+((-4317 . T)) 
 NIL 
 (-129 UP) 
-((|constructor| (NIL "This package has no description")) (|noLinearFactor?| (((|Boolean|) |#1|) "\\spad{noLinearFactor?(p)} returns \\spad{true} if \\spad{p} can be shown to have no linear factor by a theorem of Lehmer,{} \\spad{false} else. \\spad{I} insist on the fact that \\spad{false} does not mean that \\spad{p} has a linear factor.")) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{brillhartTrials(n)} sets to \\spad{n} the number of tests in \\spadfun{brillhartIrreducible?} and returns the previous value.") (((|NonNegativeInteger|)) "\\spad{brillhartTrials()} returns the number of tests in \\spadfun{brillhartIrreducible?}.")) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) "\\spad{brillhartIrreducible?(p,{}noLinears)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart,{} \\spad{false} else. If \\spad{noLinears} is \\spad{true},{} we are being told \\spad{p} has no linear factors \\spad{false} does not mean that \\spad{p} is reducible.") (((|Boolean|) |#1|) "\\spad{brillhartIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart,{} \\spad{false} is inconclusive."))) 
+((|constructor| (NIL "This package has no description")) (|noLinearFactor?| (((|Boolean|) |#1|) "\\spad{noLinearFactor?(p)} returns \\spad{true} if \\spad{p} can be shown to have no linear factor by a theorem of Lehmer, \\spad{false} else. \\spad{I} insist on the fact that \\spad{false} does not mean that \\spad{p} has a linear factor.")) (|brillhartTrials| (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{brillhartTrials(n)} sets to \\spad{n} the number of tests in \\spadfun{brillhartIrreducible?} and returns the previous value.") (((|NonNegativeInteger|)) "\\spad{brillhartTrials()} returns the number of tests in \\spadfun{brillhartIrreducible?}.")) (|brillhartIrreducible?| (((|Boolean|) |#1| (|Boolean|)) "\\spad{brillhartIrreducible?(p,noLinears)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} else. If \\spad{noLinears} is \\spad{true}, we are being told \\spad{p} has no linear factors \\spad{false} does not mean that \\spad{p} is reducible.") (((|Boolean|) |#1|) "\\spad{brillhartIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by a remark of Brillhart, \\spad{false} is inconclusive."))) 
 NIL 
 NIL 
 (-130) 
-((|constructor| (NIL "Based on Symbol: a domain of symbols representing basic stochastic differentials,{} used in StochasticDifferential(\\spad{R}) in the underlying sparse multivariate polynomial representation. \\blankline We create new \\spad{BSD} only by coercion from Symbol using a special function introduce! first of all to add to a private set SDset. We allow a separate function convertIfCan which will check whether the argument has previously been declared as a \\spad{BSD}.")) (|getSmgl| (((|Union| (|Symbol|) "failed") $) "\\indented{1}{getSmgl(\\spad{bsd}) returns the semimartingale \\axiom{\\spad{S}} related} \\indented{1}{to the basic stochastic differential \\axiom{\\spad{bsd}} by} \\indented{1}{\\axiom{introduce!}} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} getSmgl(dt::BSD)")) (|copyIto| (((|Table| (|Symbol|) $)) "\\indented{1}{copyIto() returns the table relating semimartingales} \\indented{1}{to basic stochastic differentials.} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyIto()")) (|copyBSD| (((|List| $)) "\\indented{1}{copyBSD() returns \\axiom{setBSD} as a list of \\axiom{\\spad{BSD}}.} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|d| (((|Union| $ (|Integer|)) (|Symbol|)) "\\spad{d(X)} returns \\axiom{\\spad{dX}} if \\axiom{tableIto(\\spad{X})\\spad{=dX}} and otherwise returns \\axiom{0}")) (|introduce!| (((|Union| $ "failed") (|Symbol|) (|Symbol|)) "\\indented{1}{introduce!(\\spad{X},{}\\spad{dX}) returns \\axiom{\\spad{dX}} as \\axiom{\\spad{BSD}} if it} \\indented{1}{isn\\spad{'t} already in \\axiom{\\spad{BSD}}} \\blankline \\spad{X} introduce!(\\spad{t},{}\\spad{dt}) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|convert| (($ (|Symbol|)) "\\spad{convert(dX)} transforms \\axiom{\\spad{dX}} into a \\axiom{\\spad{BSD}} if possible and otherwise produces an error.")) (|convertIfCan| (((|Union| $ "failed") (|Symbol|)) "\\spad{convertIfCan(ds)} transforms \\axiom{\\spad{dX}} into a \\axiom{\\spad{BSD}} if possible (if \\axiom{introduce(\\spad{X},{}\\spad{dX})} has been invoked previously)."))) 
+((|constructor| (NIL "Based on Symbol: a domain of symbols representing basic stochastic differentials, used in StochasticDifferential(R) in the underlying sparse multivariate polynomial representation. \\blankline We create new \\spad{BSD} only by coercion from Symbol using a special function introduce! first of all to add to a private set SDset. We allow a separate function convertIfCan which will check whether the argument has previously been declared as a BSD.")) (|getSmgl| (((|Union| (|Symbol|) "failed") $) "\\indented{1}{getSmgl(bsd) returns the semimartingale \\axiom{S} related} \\indented{1}{to the basic stochastic differential \\axiom{bsd} \\spad{by}} \\indented{1}{\\axiom{introduce!}} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} getSmgl(dt::BSD)")) (|copyIto| (((|Table| (|Symbol|) $)) "\\indented{1}{copyIto() returns the table relating semimartingales} \\indented{1}{to basic stochastic differentials.} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyIto()")) (|copyBSD| (((|List| $)) "\\indented{1}{copyBSD() returns \\axiom{setBSD} as a list of \\axiom{BSD}.} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|d| (((|Union| $ (|Integer|)) (|Symbol|)) "\\spad{d(X)} returns \\axiom{dX} if \\axiom{tableIto(X)=dX} and otherwise returns \\axiom{0}")) (|introduce!| (((|Union| $ "failed") (|Symbol|) (|Symbol|)) "\\indented{1}{introduce!(X,dX) returns \\axiom{dX} as \\axiom{BSD} if it} \\indented{1}{isn't already in \\axiom{BSD}} \\blankline \\spad{X} introduce!(t,dt) \\spad{--} \\spad{dt} is a new stochastic differential \\spad{X} copyBSD()")) (|convert| (($ (|Symbol|)) "\\spad{convert(dX)} transforms \\axiom{dX} into a \\axiom{BSD} if possible and otherwise produces an error.")) (|convertIfCan| (((|Union| $ "failed") (|Symbol|)) "\\spad{convertIfCan(ds)} transforms \\axiom{dX} into a \\axiom{BSD} if possible (if \\axiom{introduce(X,dX)} has been invoked previously)."))) 
 NIL 
 NIL 
 (-131 S) 
-((|constructor| (NIL "BinarySearchTree(\\spad{S}) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S},{} and a right and left which are both BinaryTree(\\spad{S}) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(\\spad{x},{}\\spad{b}) splits binary tree \\spad{b} into two trees,{} one with elements} \\indented{1}{greater than \\spad{x},{} the other with elements less than \\spad{x}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} split(3,{}\\spad{t1})")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as a root of binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insertRoot!(5,{}\\spad{t1})")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary search tree \\spad{b}.} \\blankline \\spad{X} t1:=binarySearchTree [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1})")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(\\spad{l}) is not documented} \\blankline \\spad{X} binarySearchTree [1,{}2,{}3,{}4]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "BinarySearchTree(S) is the domain of a binary trees where elements are ordered across the tree. A binary search tree is either empty or has a value which is an \\spad{S,} and a right and left which are both BinaryTree(S) Elements are ordered across the tree.")) (|split| (((|Record| (|:| |less| $) (|:| |greater| $)) |#1| $) "\\indented{1}{split(x,b) splits binary tree \\spad{b} into two trees, one with elements} \\indented{1}{greater than \\spad{x,} the other with elements less than \\spad{x.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} split(3,t1)")) (|insertRoot!| (($ |#1| $) "\\indented{1}{insertRoot!(x,b) inserts element \\spad{x} as a root of binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insertRoot!(5,t1)")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary search tree \\spad{b.}} \\blankline \\spad{X} t1:=binarySearchTree [1,2,3,4] \\spad{X} insert!(5,t1)")) (|binarySearchTree| (($ (|List| |#1|)) "\\indented{1}{binarySearchTree(l) is not documented} \\blankline \\spad{X} binarySearchTree [1,2,3,4]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-132 S) 
-((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (^ (($ $) "\\spad{^ b} returns the logical not of bit aggregate \\axiom{\\spad{b}}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{\\spad{b}}."))) 
+((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
 NIL 
 NIL 
 (-133) 
-((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,{}b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|or| (($ $ $) "\\spad{a or b} returns the logical or of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|and| (($ $ $) "\\spad{a and b} returns the logical and of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nor| (($ $ $) "\\spad{nor(a,{}b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (|nand| (($ $ $) "\\spad{nand(a,{}b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{\\spad{b}}.")) (^ (($ $) "\\spad{^ b} returns the logical not of bit aggregate \\axiom{\\spad{b}}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{\\spad{b}}."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+((|constructor| (NIL "The bit aggregate category models aggregates representing large quantities of Boolean data.")) (|xor| (($ $ $) "\\spad{xor(a,b)} returns the logical exclusive-or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|or| (($ $ $) "\\spad{a or \\spad{b}} returns the logical or of bit aggregates \\axiom{a} and \\axiom{b}.")) (|and| (($ $ $) "\\spad{a and \\spad{b}} returns the logical and of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nor| (($ $ $) "\\spad{nor(a,b)} returns the logical nor of bit aggregates \\axiom{a} and \\axiom{b}.")) (|nand| (($ $ $) "\\spad{nand(a,b)} returns the logical nand of bit aggregates \\axiom{a} and \\axiom{b}.")) (^ (($ $) "\\spad{^ \\spad{b}} returns the logical not of bit aggregate \\axiom{b}.")) (|not| (($ $) "\\spad{not(b)} returns the logical not of bit aggregate \\axiom{b}."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
 (-134 A S) 
-((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right},{} both binary trees.")) (|node| (($ $ |#2| $) "\\spad{node(left,{}v,{}right)} creates a binary tree with value \\spad{v},{} a binary tree \\spad{left},{} and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
+((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#2| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
 NIL 
 NIL 
 (-135 S) 
-((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right},{} both binary trees.")) (|node| (($ $ |#1| $) "\\spad{node(left,{}v,{}right)} creates a binary tree with value \\spad{v},{} a binary tree \\spad{left},{} and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "\\spadtype{BinaryTreeCategory(S)} is the category of binary trees: a tree which is either empty or else is a \\spadfun{node} consisting of a value and a \\spadfun{left} and \\spadfun{right}, both binary trees.")) (|node| (($ $ |#1| $) "\\spad{node(left,v,right)} creates a binary tree with value \\spad{v}, a binary tree \\spad{left}, and a binary tree \\spad{right}. \\blankline")) (|finiteAggregate| ((|attribute|) "Binary trees have a finite number of components")) (|shallowlyMutable| ((|attribute|) "Binary trees have updateable components"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
 (-136 S) 
-((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(\\spad{x},{}\\spad{b}) inserts element \\spad{x} as leaves into binary tournament \\spad{b}.} \\blankline \\spad{X} t1:=binaryTournament [1,{}2,{}3,{}4] \\spad{X} insert!(5,{}\\spad{t1}) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(\\spad{ls}) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,{}2,{}3,{}4]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "BinaryTournament creates a binary tournament with the elements of \\spad{ls} as values at the nodes.")) (|insert!| (($ |#1| $) "\\indented{1}{insert!(x,b) inserts element \\spad{x} as leaves into binary tournament \\spad{b.}} \\blankline \\spad{X} t1:=binaryTournament [1,2,3,4] \\spad{X} insert!(5,t1) \\spad{X} \\spad{t1}")) (|binaryTournament| (($ (|List| |#1|)) "\\indented{1}{binaryTournament(ls) creates a binary tournament with the} \\indented{1}{elements of \\spad{ls} as values at the nodes.} \\blankline \\spad{X} binaryTournament [1,2,3,4]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-137 S) 
-((|constructor| (NIL "\\spadtype{BinaryTree(S)} is the domain of all binary trees. A binary tree over \\spad{S} is either empty or has a \\spadfun{value} which is an \\spad{S} and a \\spadfun{right} and \\spadfun{left} which are both binary trees.")) (|binaryTree| (($ $ |#1| $) "\\indented{1}{binaryTree(\\spad{l},{}\\spad{v},{}\\spad{r}) creates a binary tree with} \\indented{1}{value \\spad{v} with left subtree \\spad{l} and right subtree \\spad{r}.} \\blankline \\spad{X} t1:=binaryTree([1,{}2,{}3]) \\spad{X} t2:=binaryTree([4,{}5,{}6]) \\spad{X} binaryTree(\\spad{t1},{}[7,{}8,{}9],{}\\spad{t2})") (($ |#1|) "\\indented{1}{binaryTree(\\spad{v}) is an non-empty binary tree} \\indented{1}{with value \\spad{v},{} and left and right empty.} \\blankline \\spad{X} t1:=binaryTree([1,{}2,{}3])"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "\\spadtype{BinaryTree(S)} is the domain of all binary trees. A binary tree over \\spad{S} is either empty or has a \\spadfun{value} which is an \\spad{S} and a \\spadfun{right} and \\spadfun{left} which are both binary trees.")) (|binaryTree| (($ $ |#1| $) "\\indented{1}{binaryTree(l,v,r) creates a binary tree with} \\indented{1}{value \\spad{v} with left subtree \\spad{l} and right subtree \\spad{r.}} \\blankline \\spad{X} t1:=binaryTree([1,2,3]) \\spad{X} t2:=binaryTree([4,5,6]) \\spad{X} binaryTree(t1,[7,8,9],t2)") (($ |#1|) "\\indented{1}{binaryTree(v) is an non-empty binary tree} \\indented{1}{with value \\spad{v,} and left and right empty.} \\blankline \\spad{X} t1:=binaryTree([1,2,3])"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-138) 
-((|constructor| (NIL "This is an \\spadtype{AbelianMonoid} with the cancellation property,{} \\spadignore{i.e.} \\tab{5}\\spad{ a+b = a+c => b=c }.\\spad{\\br} This is formalised by the partial subtraction operator,{} which satisfies the Axioms\\spad{\\br} \\tab{5}\\spad{c = a+b <=> c-b = a}")) (|subtractIfCan| (((|Union| $ "failed") $ $) "\\spad{subtractIfCan(x,{} y)} returns an element \\spad{z} such that \\spad{z+y=x} or \"failed\" if no such element exists."))) 
+((|constructor| (NIL "This is an \\spadtype{AbelianMonoid} with the cancellation property, \\spadignore{i.e.} \\tab{5}\\spad{ a+b = a+c \\spad{=>} \\spad{b=c} }.\\br This is formalised by the partial subtraction operator, which satisfies the Axioms\\br \\tab{5}\\spad{c = a+b \\spad{<=>} \\spad{c-b} = a}")) (|subtractIfCan| (((|Union| $ "failed") $ $) "\\spad{subtractIfCan(x, \\spad{y)}} returns an element \\spad{z} such that \\spad{z+y=x} or \"failed\" if no such element exists."))) 
 NIL 
 NIL 
 (-139) 
-((|constructor| (NIL "A cachable set is a set whose elements keep an integer as part of their structure.")) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) "\\spad{setPosition(x,{} n)} associates the integer \\spad{n} to \\spad{x}.")) (|position| (((|NonNegativeInteger|) $) "\\spad{position(x)} returns the integer \\spad{n} associated to \\spad{x}."))) 
+((|constructor| (NIL "A cachable set is a set whose elements keep an integer as part of their structure.")) (|setPosition| (((|Void|) $ (|NonNegativeInteger|)) "\\spad{setPosition(x, \\spad{n)}} associates the integer \\spad{n} to \\spad{x.}")) (|position| (((|NonNegativeInteger|) $) "\\spad{position(x)} returns the integer \\spad{n} associated to \\spad{x.}"))) 
 NIL 
 NIL 
 (-140) 
-((|constructor| (NIL "Members of the domain CardinalNumber are values indicating the cardinality of sets,{} both finite and infinite. Arithmetic operations are defined on cardinal numbers as follows. \\blankline If \\spad{x = \\#X} and \\spad{y = \\#Y} then\\spad{\\br} \\tab{5}\\spad{x+y = \\#(X+Y)} \\tab{5}disjoint union\\spad{\\br} \\tab{5}\\spad{x-y = \\#(X-Y)} \\tab{5}relative complement\\spad{\\br} \\tab{5}\\spad{x*y = \\#(X*Y)} \\tab{5}cartesian product\\spad{\\br} \\tab{5}\\spad{x**y = \\#(X**Y)} \\tab{4}\\spad{X**Y = g| g:Y->X} \\blankline The non-negative integers have a natural construction as cardinals\\spad{\\br} \\spad{0 = \\#\\{\\}},{} \\spad{1 = \\{0\\}},{} \\spad{2 = \\{0,{} 1\\}},{} ...,{} \\spad{n = \\{i| 0 <= i < n\\}}. \\blankline That \\spad{0} acts as a zero for the multiplication of cardinals is equivalent to the axiom of choice. \\blankline The generalized continuum hypothesis asserts \\spad{\\br} \\spad{2**Aleph i = Aleph(i+1)} and is independent of the axioms of set theory [Goedel 1940]. \\blankline Three commonly encountered cardinal numbers are\\spad{\\br} \\tab{5}\\spad{a = \\#Z} \\tab{5}countable infinity\\spad{\\br} \\tab{5}\\spad{c = \\#R} \\tab{5}the continuum\\spad{\\br} \\tab{5}\\spad{f = \\# g | g:[0,{}1]->R\\} \\blankline In this domain,{} these values are obtained using\\br \\tab{5}\\spad{a := Aleph 0},{} \\spad{c := 2**a},{} \\spad{f := 2**c}.")) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed(bool)} \\indented{1}{is used to dictate whether the hypothesis is to be assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} a:=Aleph 0 \\spad{X} c:=2**a \\spad{X} f:=2**c")) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed?()} \\indented{1}{tests if the hypothesis is currently assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed?")) (|countable?| (((|Boolean|) $) "\\indented{1}{countable?(\\spad{a}) determines} \\indented{1}{whether \\spad{a} is a countable cardinal,{}} \\indented{1}{\\spadignore{i.e.} an integer or \\spad{Aleph 0}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} countable? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} countable? \\spad{A0} \\spad{X} A1:=Aleph 1 \\spad{X} countable? \\spad{A1}")) (|finite?| (((|Boolean|) $) "\\indented{1}{finite?(\\spad{a}) determines whether} \\indented{1}{\\spad{a} is a finite cardinal,{} \\spadignore{i.e.} an integer.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} finite? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} finite? \\spad{A0}")) (|Aleph| (($ (|NonNegativeInteger|)) "\\indented{1}{Aleph(\\spad{n}) provides the named (infinite) cardinal number.} \\blankline \\spad{X} A0:=Aleph 0")) (** (($ $ $) "\\indented{1}{\\spad{x**y} returns \\spad{\\#(X**Y)} where \\spad{X**Y} is defined} \\indented{2}{as \\spad{\\{g| g:Y->X\\}}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2**c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1**c2} \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} \\spad{A1**A1}")) (- (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{x - y} returns an element \\spad{z} such that} \\indented{1}{\\spad{z+y=x} or \"failed\" if no such element exists.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2}-\\spad{c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1}-\\spad{c2}")) (|commutative| ((|attribute| "*") "a domain \\spad{D} has \\spad{commutative(\"*\")} if it has an operation \\spad{\"*\": (D,{}D) -> D} which is commutative."))) 
-(((-4537 "*") . T)) 
+((|constructor| (NIL "Members of the domain CardinalNumber are values indicating the cardinality of sets, both finite and infinite. Arithmetic operations are defined on cardinal numbers as follows. \\blankline If \\spad{x = \\spad{#X}} and \\spad{y = \\spad{#Y}} then\\br \\tab{5}\\spad{x+y = \\#(X+Y)} \\tab{5}disjoint union\\br \\tab{5}\\spad{x-y = \\#(X-Y)} \\tab{5}relative complement\\br \\tab{5}\\spad{x*y = \\#(X*Y)} \\tab{5}cartesian product\\br \\tab{5}\\spad{x**y = \\#(X**Y)} \\tab{4}\\spad{X**Y = \\spad{g|} g:Y->X} \\blankline The non-negative integers have a natural construction as cardinals\\br \\spad{0 = \\#\\{\\}}, \\spad{1 = \\{0\\}}, \\spad{2 = \\{0, 1\\}}, ..., \\spad{n = \\{i| 0 \\spad{<=} \\spad{i} < n\\}}. \\blankline That \\spad{0} acts as a zero for the multiplication of cardinals is equivalent to the axiom of choice. \\blankline The generalized continuum hypothesis asserts \\spad{\\br} \\spad{2**Aleph \\spad{i} = Aleph(i+1)} and is independent of the axioms of set theory [Goedel 1940]. \\blankline Three commonly encountered cardinal numbers are\\br \\tab{5}\\spad{a = \\spad{#Z}} \\tab{5}countable infinity\\br \\tab{5}\\spad{c = \\spad{#R}} \\tab{5}the continuum\\br \\tab{5}\\spad{f = \\# \\spad{g} | g:[0,1]->R\\} \\blankline In this domain, these values are obtained using\\br \\tab{5}\\spad{a \\spad{:=} Aleph 0}, \\spad{c \\spad{:=} 2**a}, \\spad{f \\spad{:=} 2**c}.")) (|generalizedContinuumHypothesisAssumed| (((|Boolean|) (|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed(bool)} \\indented{1}{is used to dictate whether the hypothesis is to be assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} a:=Aleph 0 \\spad{X} c:=2**a \\spad{X} f:=2**c")) (|generalizedContinuumHypothesisAssumed?| (((|Boolean|)) "\\indented{1}{generalizedContinuumHypothesisAssumed?()} \\indented{1}{tests if the hypothesis is currently assumed.} \\blankline \\spad{X} generalizedContinuumHypothesisAssumed?")) (|countable?| (((|Boolean|) $) "\\indented{1}{countable?(\\spad{a}) determines} \\indented{1}{whether \\spad{a} is a countable cardinal,} \\indented{1}{\\spadignore{i.e.} an integer or \\spad{Aleph 0}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} countable? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} countable? \\spad{A0} \\spad{X} A1:=Aleph 1 \\spad{X} countable? \\spad{A1}")) (|finite?| (((|Boolean|) $) "\\indented{1}{finite?(\\spad{a}) determines whether} \\indented{1}{\\spad{a} is a finite cardinal, \\spadignore{i.e.} an integer.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} finite? \\spad{c2} \\spad{X} A0:=Aleph 0 \\spad{X} finite? \\spad{A0}")) (|Aleph| (($ (|NonNegativeInteger|)) "\\indented{1}{Aleph(n) provides the named (infinite) cardinal number.} \\blankline \\spad{X} A0:=Aleph 0")) (** (($ $ $) "\\indented{1}{\\spad{x**y} returns \\spad{\\#(X**Y)} where \\spad{X**Y} is defined} \\indented{2}{as \\spad{\\{g| g:Y->X\\}}.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2**c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1**c2} \\spad{X} generalizedContinuumHypothesisAssumed \\spad{true} \\spad{X} \\spad{A1**A1}")) (- (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{x - \\spad{y}} returns an element \\spad{z} such that} \\indented{1}{\\spad{z+y=x} or \"failed\" if no such element exists.} \\blankline \\spad{X} c2:=2::CardinalNumber \\spad{X} \\spad{c2-c2} \\spad{X} A1:=Aleph 1 \\spad{X} \\spad{A1-c2}")) (|commutative| ((|attribute| "*") "a domain \\spad{D} has \\spad{commutative(\"*\")} if it has an operation \\spad{\"*\": (D,D) \\spad{->} \\spad{D}} which is commutative."))) 
+(((-4573 "*") . T)) 
 NIL 
-(-141 |minix| -4391 S T$) 
-((|constructor| (NIL "This package provides functions to enable conversion of tensors given conversion of the components.")) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{map(f,{}ts)} does a componentwise conversion of the tensor \\spad{ts} to a tensor with components of type \\spad{T}.")) (|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{reshape(lt,{}ts)} organizes the list of components \\spad{lt} into a tensor with the same shape as \\spad{ts}."))) 
+(-141 |minix| -4360 S T$) 
+((|constructor| (NIL "This package provides functions to enable conversion of tensors given conversion of the components.")) (|map| (((|CartesianTensor| |#1| |#2| |#4|) (|Mapping| |#4| |#3|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{map(f,ts)} does a componentwise conversion of the tensor \\spad{ts} to a tensor with components of type \\spad{T.}")) (|reshape| (((|CartesianTensor| |#1| |#2| |#4|) (|List| |#4|) (|CartesianTensor| |#1| |#2| |#3|)) "\\spad{reshape(lt,ts)} organizes the list of components \\spad{lt} into a tensor with the same shape as \\spad{ts.}"))) 
 NIL 
 NIL 
-(-142 |minix| -4391 R) 
-((|constructor| (NIL "CartesianTensor(minix,{}dim,{}\\spad{R}) provides Cartesian tensors with components belonging to a commutative ring \\spad{R}. These tensors can have any number of indices. Each index takes values from \\spad{minix} to \\spad{minix + dim - 1}.")) (|sample| (($) "\\spad{sample()} returns an object of type \\%.")) (|unravel| (($ (|List| |#3|)) "\\spad{unravel(t)} produces a tensor from a list of components such that \\indented{2}{\\spad{unravel(ravel(t)) = t}.}")) (|ravel| (((|List| |#3|) $) "\\indented{1}{ravel(\\spad{t}) produces a list of components from a tensor such that} \\indented{3}{\\spad{unravel(ravel(t)) = t}.} \\blankline \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} ravel \\spad{tn}")) (|leviCivitaSymbol| (($) "\\indented{1}{leviCivitaSymbol() is the rank \\spad{dim} tensor defined by} \\indented{1}{\\spad{leviCivitaSymbol()(i1,{}...idim) = +1/0/-1}} \\indented{1}{if \\spad{i1,{}...,{}idim} is an even/is nota /is an odd permutation} \\indented{1}{of \\spad{minix,{}...,{}minix+dim-1}.} \\blankline \\spad{X} lcs:CartesianTensor(1,{}2,{}Integer):=leviCivitaSymbol()")) (|kroneckerDelta| (($) "\\indented{1}{kroneckerDelta() is the rank 2 tensor defined by} \\indented{4}{\\spad{kroneckerDelta()(i,{}j)}} \\indented{7}{\\spad{= 1\\space{2}if i = j}} \\indented{7}{\\spad{= 0 if\\space{2}i \\^= j}} \\blankline \\spad{X} delta:CartesianTensor(1,{}2,{}Integer):=kroneckerDelta()")) (|reindex| (($ $ (|List| (|Integer|))) "\\indented{1}{reindex(\\spad{t},{}[\\spad{i1},{}...,{}idim]) permutes the indices of \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = reindex(t,{} [4,{}1,{}2,{}3])}} \\indented{1}{for a rank 4 tensor \\spad{t},{}} \\indented{1}{then \\spad{r} is the rank for tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(l,{}i,{}j,{}k)}.} \\blankline \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} p:=product(\\spad{tn},{}\\spad{tn}) \\spad{X} reindex(\\spad{p},{}[4,{}3,{}2,{}1])")) (|transpose| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{transpose(\\spad{t},{}\\spad{i},{}\\spad{j}) exchanges the \\spad{i}\\spad{-}th and \\spad{j}\\spad{-}th} \\indented{1}{indices of \\spad{t}. For example,{} if \\spad{r = transpose(t,{}2,{}3)}} \\indented{1}{for a rank 4 tensor \\spad{t},{} then \\spad{r} is the rank 4 tensor} \\indented{1}{given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(i,{}k,{}j,{}l)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} transpose(\\spad{tn},{}1,{}2)") (($ $) "\\indented{1}{transpose(\\spad{t}) exchanges the first and last indices of \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = transpose(t)} for a rank 4} \\indented{1}{tensor \\spad{t},{} then \\spad{r} is the rank 4 tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = t(l,{}j,{}k,{}i)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} transpose(\\spad{Tm})")) (|contract| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{contract(\\spad{t},{}\\spad{i},{}\\spad{j}) is the contraction of tensor \\spad{t} which} \\indented{1}{sums along the \\spad{i}\\spad{-}th and \\spad{j}\\spad{-}th indices.} \\indented{1}{For example,{}\\space{2}if} \\indented{1}{\\spad{r = contract(t,{}1,{}3)} for a rank 4 tensor \\spad{t},{} then} \\indented{1}{\\spad{r} is the rank 2 \\spad{(= 4 - 2)} tensor given by} \\indented{5}{\\spad{r(i,{}j) = sum(h=1..dim,{}t(h,{}i,{}h,{}j))}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tmv:=contract(\\spad{Tm},{}2,{}1)") (($ $ (|Integer|) $ (|Integer|)) "\\indented{1}{contract(\\spad{t},{}\\spad{i},{}\\spad{s},{}\\spad{j}) is the inner product of tenors \\spad{s} and \\spad{t}} \\indented{1}{which sums along the \\spad{k1}\\spad{-}th index of} \\indented{1}{\\spad{t} and the \\spad{k2}\\spad{-}th index of \\spad{s}.} \\indented{1}{For example,{} if \\spad{r = contract(s,{}2,{}t,{}1)} for rank 3 tensors} \\indented{1}{rank 3 tensors \\spad{s} and \\spad{t},{} then \\spad{r} is} \\indented{1}{the rank 4 \\spad{(= 3 + 3 - 2)} tensor\\space{2}given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = sum(h=1..dim,{}s(i,{}h,{}j)*t(h,{}k,{}l))}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tmv:=contract(\\spad{Tm},{}2,{}\\spad{Tv},{}1)")) (* (($ $ $) "\\indented{1}{\\spad{s*t} is the inner product of the tensors \\spad{s} and \\spad{t} which contracts} \\indented{1}{the last index of \\spad{s} with the first index of \\spad{t},{} that is,{}} \\indented{5}{\\spad{t*s = contract(t,{}rank t,{} s,{} 1)}} \\indented{5}{\\spad{t*s = sum(k=1..N,{} t[i1,{}..,{}iN,{}k]*s[k,{}j1,{}..,{}jM])}} \\indented{1}{This is compatible with the use of \\spad{M*v} to denote} \\indented{1}{the matrix-vector inner product.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} Tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} Tm*Tv")) (|product| (($ $ $) "\\indented{1}{product(\\spad{s},{}\\spad{t}) is the outer product of the tensors \\spad{s} and \\spad{t}.} \\indented{1}{For example,{} if \\spad{r = product(s,{}t)} for rank 2 tensors} \\indented{1}{\\spad{s} and \\spad{t},{} then \\spad{r} is a rank 4 tensor given by} \\indented{5}{\\spad{r(i,{}j,{}k,{}l) = s(i,{}j)*t(k,{}l)}.} \\blankline \\spad{X} m:SquareMatrix(2,{}Integer):=matrix [[1,{}2],{}[4,{}5]] \\spad{X} Tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=m} \\spad{X} n:SquareMatrix(2,{}Integer):=matrix [[2,{}3],{}[0,{}1]] \\spad{X} Tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=n} \\spad{X} Tmn:=product(\\spad{Tm},{}\\spad{Tn})")) (|elt| ((|#3| $ (|List| (|Integer|))) "\\indented{1}{elt(\\spad{t},{}[\\spad{i1},{}...,{}iN]) gives a component of a rank \\spad{N} tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} tp:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tn},{}\\spad{tn}] \\spad{X} tq:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tp},{}\\spad{tp}] \\spad{X} elt(\\spad{tq},{}[2,{}2,{}2,{}2,{}2])") ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{l}) gives a component of a rank 4 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} tp:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tn},{}\\spad{tn}] \\spad{X} elt(\\spad{tp},{}2,{}2,{}2,{}2) \\spad{X} \\spad{tp}[2,{}2,{}2,{}2]") ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j},{}\\spad{k}) gives a component of a rank 3 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} tn:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tm},{}\\spad{tm}] \\spad{X} elt(\\spad{tn},{}2,{}2,{}2) \\spad{X} \\spad{tn}[2,{}2,{}2]") ((|#3| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i},{}\\spad{j}) gives a component of a rank 2 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}] \\spad{X} elt(\\spad{tm},{}2,{}2) \\spad{X} \\spad{tm}[2,{}2]") ((|#3| $ (|Integer|)) "\\indented{1}{elt(\\spad{t},{}\\spad{i}) gives a component of a rank 1 tensor.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} elt(\\spad{tv},{}2) \\spad{X} \\spad{tv}[2]") ((|#3| $) "\\indented{1}{elt(\\spad{t}) gives the component of a rank 0 tensor.} \\blankline \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=8} \\spad{X} elt(\\spad{tv}) \\spad{X} \\spad{tv}[]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{rank(\\spad{t}) returns the tensorial rank of \\spad{t} (that is,{} the} \\indented{1}{number of indices).\\space{2}This is the same as the graded module} \\indented{1}{degree.} \\blankline \\spad{X} CT:=CARTEN(1,{}2,{}Integer) \\spad{X} \\spad{t0:CT:=8} \\spad{X} rank \\spad{t0}")) (|coerce| (($ (|List| $)) "\\indented{1}{coerce([\\spad{t_1},{}...,{}t_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v} \\spad{X} tm:CartesianTensor(1,{}2,{}Integer)\\spad{:=}[\\spad{tv},{}\\spad{tv}]") (($ (|List| |#3|)) "\\indented{1}{coerce([\\spad{r_1},{}...,{}r_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} \\spad{v:=}[2,{}3] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}") (($ (|SquareMatrix| |#2| |#3|)) "\\indented{1}{coerce(\\spad{m}) views a matrix as a rank 2 tensor.} \\blankline \\spad{X} v:SquareMatrix(2,{}Integer)\\spad{:=}[[1,{}2],{}[3,{}4]] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}") (($ (|DirectProduct| |#2| |#3|)) "\\indented{1}{coerce(\\spad{v}) views a vector as a rank 1 tensor.} \\blankline \\spad{X} v:DirectProduct(2,{}Integer):=directProduct [3,{}4] \\spad{X} tv:CartesianTensor(1,{}2,{}Integer)\\spad{:=v}"))) 
+(-142 |minix| -4360 R) 
+((|constructor| (NIL "CartesianTensor(minix,dim,R) provides Cartesian tensors with components belonging to a commutative ring \\spad{R.} These tensors can have any number of indices. Each index takes values from \\spad{minix} to \\spad{minix + dim - 1}.")) (|sample| (($) "\\spad{sample()} returns an object of type \\spad{%.}")) (|unravel| (($ (|List| |#3|)) "\\spad{unravel(t)} produces a tensor from a list of components such that \\indented{2}{\\spad{unravel(ravel(t)) = t}.}")) (|ravel| (((|List| |#3|) $) "\\indented{1}{ravel(t) produces a list of components from a tensor such that} \\indented{3}{\\spad{unravel(ravel(t)) = t}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} ravel \\spad{tn}")) (|leviCivitaSymbol| (($) "\\indented{1}{leviCivitaSymbol() is the rank \\spad{dim} tensor defined \\spad{by}} \\indented{1}{\\spad{leviCivitaSymbol()(i1,...idim) = +1/0/-1}} \\indented{1}{if \\spad{i1,...,idim} is an even/is nota /is an odd permutation} \\indented{1}{of \\spad{minix,...,minix+dim-1}.} \\blankline \\spad{X} lcs:CartesianTensor(1,2,Integer):=leviCivitaSymbol()")) (|kroneckerDelta| (($) "\\indented{1}{kroneckerDelta() is the rank 2 tensor defined \\spad{by}} \\indented{4}{\\spad{kroneckerDelta()(i,j)}} \\indented{7}{\\spad{= 1\\space{2}if \\spad{i} = \\spad{j}}} \\indented{7}{\\spad{= 0 if\\space{2}i \\spad{\\^=} \\spad{j}}} \\blankline \\spad{X} delta:CartesianTensor(1,2,Integer):=kroneckerDelta()")) (|reindex| (($ $ (|List| (|Integer|))) "\\indented{1}{reindex(t,[i1,...,idim]) permutes the indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = reindex(t, [4,1,2,3])}} \\indented{1}{for a rank 4 tensor \\spad{t,}} \\indented{1}{then \\spad{r} is the rank for tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,i,j,k)}.} \\blankline \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} tn:CartesianTensor(1,2,Integer):=n \\spad{X} p:=product(tn,tn) \\spad{X} reindex(p,[4,3,2,1])")) (|transpose| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{transpose(t,i,j) exchanges the \\spad{i}-th and \\spad{j}-th} \\indented{1}{indices of \\spad{t.} For example, if \\spad{r = transpose(t,2,3)}} \\indented{1}{for a rank 4 tensor \\spad{t,} then \\spad{r} is the rank 4 tensor} \\indented{1}{given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(i,k,j,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} tm:CartesianTensor(1,2,Integer):=m \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} transpose(tn,1,2)") (($ $) "\\indented{1}{transpose(t) exchanges the first and last indices of \\spad{t.}} \\indented{1}{For example, if \\spad{r = transpose(t)} for a rank 4} \\indented{1}{tensor \\spad{t,} then \\spad{r} is the rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = t(l,j,k,i)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} transpose(Tm)")) (|contract| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{contract(t,i,j) is the contraction of tensor \\spad{t} which} \\indented{1}{sums along the \\spad{i}-th and \\spad{j}-th indices.} \\indented{1}{For example,\\space{2}if} \\indented{1}{\\spad{r = contract(t,1,3)} for a rank 4 tensor \\spad{t,} then} \\indented{1}{\\spad{r} is the rank 2 \\spad{(= 4 - 2)} tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j) = sum(h=1..dim,t(h,i,h,j))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,1)") (($ $ (|Integer|) $ (|Integer|)) "\\indented{1}{contract(t,i,s,j) is the inner product of tenors \\spad{s} and \\spad{t}} \\indented{1}{which sums along the \\spad{k1}-th index of} \\indented{1}{t and the \\spad{k2}-th index of \\spad{s.}} \\indented{1}{For example, if \\spad{r = contract(s,2,t,1)} for rank 3 tensors} \\indented{1}{rank 3 tensors \\spad{s} and \\spad{t}, then \\spad{r} is} \\indented{1}{the rank 4 \\spad{(= 3 + 3 - 2)} tensor\\space{2}given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = sum(h=1..dim,s(i,h,j)*t(h,k,l))}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tmv:=contract(Tm,2,Tv,1)")) (* (($ $ $) "\\indented{1}{s*t is the inner product of the tensors \\spad{s} and \\spad{t} which contracts} \\indented{1}{the last index of \\spad{s} with the first index of \\spad{t,} that is,} \\indented{5}{\\spad{t*s = contract(t,rank \\spad{t,} \\spad{s,} 1)}} \\indented{5}{\\spad{t*s = sum(k=1..N, t[i1,..,iN,k]*s[k,j1,..,jM])}} \\indented{1}{This is compatible with the use of \\spad{M*v} to denote} \\indented{1}{the matrix-vector inner product.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} Tv:CartesianTensor(1,2,Integer):=v \\spad{X} Tm*Tv")) (|product| (($ $ $) "\\indented{1}{product(s,t) is the outer product of the tensors \\spad{s} and \\spad{t.}} \\indented{1}{For example, if \\spad{r = product(s,t)} for rank 2 tensors} \\indented{1}{s and \\spad{t,} then \\spad{r} is a rank 4 tensor given \\spad{by}} \\indented{5}{\\spad{r(i,j,k,l) = s(i,j)*t(k,l)}.} \\blankline \\spad{X} m:SquareMatrix(2,Integer):=matrix [[1,2],[4,5]] \\spad{X} Tm:CartesianTensor(1,2,Integer):=m \\spad{X} n:SquareMatrix(2,Integer):=matrix [[2,3],[0,1]] \\spad{X} Tn:CartesianTensor(1,2,Integer):=n \\spad{X} Tmn:=product(Tm,Tn)")) (|elt| ((|#3| $ (|List| (|Integer|))) "\\indented{1}{elt(t,[i1,...,iN]) gives a component of a rank \\spad{N} tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} tq:CartesianTensor(1,2,Integer):=[tp,tp] \\spad{X} elt(tq,[2,2,2,2,2])") ((|#3| $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k,l) gives a component of a rank 4 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} tp:CartesianTensor(1,2,Integer):=[tn,tn] \\spad{X} elt(tp,2,2,2,2) \\spad{X} tp[2,2,2,2]") ((|#3| $ (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j,k) gives a component of a rank 3 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} tn:CartesianTensor(1,2,Integer):=[tm,tm] \\spad{X} elt(tn,2,2,2) \\spad{X} tn[2,2,2]") ((|#3| $ (|Integer|) (|Integer|)) "\\indented{1}{elt(t,i,j) gives a component of a rank 2 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv] \\spad{X} elt(tm,2,2) \\spad{X} tm[2,2]") ((|#3| $ (|Integer|)) "\\indented{1}{elt(t,i) gives a component of a rank 1 tensor.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} elt(tv,2) \\spad{X} tv[2]") ((|#3| $) "\\indented{1}{elt(t) gives the component of a rank 0 tensor.} \\blankline \\spad{X} \\spad{tv:CartesianTensor(1,2,Integer):=8} \\spad{X} elt(tv) \\spad{X} tv[]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{rank(t) returns the tensorial rank of \\spad{t} (that is, the} \\indented{1}{number of indices).\\space{2}This is the same as the graded module} \\indented{1}{degree.} \\blankline \\spad{X} CT:=CARTEN(1,2,Integer) \\spad{X} \\spad{t0:CT:=8} \\spad{X} rank \\spad{t0}")) (|coerce| (($ (|List| $)) "\\indented{1}{coerce([t_1,...,t_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v \\spad{X} tm:CartesianTensor(1,2,Integer):=[tv,tv]") (($ (|List| |#3|)) "\\indented{1}{coerce([r_1,...,r_dim]) allows tensors to be constructed} \\indented{1}{using lists.} \\blankline \\spad{X} v:=[2,3] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|SquareMatrix| |#2| |#3|)) "\\indented{1}{coerce(m) views a matrix as a rank 2 tensor.} \\blankline \\spad{X} v:SquareMatrix(2,Integer):=[[1,2],[3,4]] \\spad{X} tv:CartesianTensor(1,2,Integer):=v") (($ (|DirectProduct| |#2| |#3|)) "\\indented{1}{coerce(v) views a vector as a rank 1 tensor.} \\blankline \\spad{X} v:DirectProduct(2,Integer):=directProduct [3,4] \\spad{X} tv:CartesianTensor(1,2,Integer):=v"))) 
 NIL 
 NIL 
 (-143) 
-((|constructor| (NIL "This domain allows classes of characters to be defined and manipulated efficiently.")) (|alphanumeric| (($) "\\spad{alphanumeric()} returns the class of all characters for which alphanumeric? is \\spad{true}.")) (|alphabetic| (($) "\\spad{alphabetic()} returns the class of all characters for which alphabetic? is \\spad{true}.")) (|lowerCase| (($) "\\spad{lowerCase()} returns the class of all characters for which lowerCase? is \\spad{true}.")) (|upperCase| (($) "\\spad{upperCase()} returns the class of all characters for which upperCase? is \\spad{true}.")) (|hexDigit| (($) "\\spad{hexDigit()} returns the class of all characters for which hexDigit? is \\spad{true}.")) (|digit| (($) "\\spad{digit()} returns the class of all characters for which digit? is \\spad{true}.")) (|charClass| (($ (|List| (|Character|))) "\\spad{charClass(l)} creates a character class which contains exactly the characters given in the list \\spad{l}.") (($ (|String|)) "\\spad{charClass(s)} creates a character class which contains exactly the characters given in the string \\spad{s}."))) 
-((-4535 . T) (-4525 . T) (-4536 . T)) 
-((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-371))) (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-371)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
+((|constructor| (NIL "This domain allows classes of characters to be defined and manipulated efficiently.")) (|alphanumeric| (($) "\\spad{alphanumeric()} returns the class of all characters for which alphanumeric? is true.")) (|alphabetic| (($) "\\spad{alphabetic()} returns the class of all characters for which alphabetic? is true.")) (|lowerCase| (($) "\\spad{lowerCase()} returns the class of all characters for which lowerCase? is true.")) (|upperCase| (($) "\\spad{upperCase()} returns the class of all characters for which upperCase? is true.")) (|hexDigit| (($) "\\spad{hexDigit()} returns the class of all characters for which hexDigit? is true.")) (|digit| (($) "\\spad{digit()} returns the class of all characters for which digit? is true.")) (|charClass| (($ (|List| (|Character|))) "\\spad{charClass(l)} creates a character class which contains exactly the characters given in the list \\spad{l.}") (($ (|String|)) "\\spad{charClass(s)} creates a character class which contains exactly the characters given in the string \\spad{s.}"))) 
+((-4571 . T) (-4561 . T) (-4572 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-371))) (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-371)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
 (-144 R Q A) 
-((|constructor| (NIL "CommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator([q1,{}...,{}qn])} returns \\spad{[[p1,{}...,{}pn],{} d]} such that \\spad{\\spad{qi} = pi/d} and \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator([q1,{}...,{}qn])} returns \\spad{[p1,{}...,{}pn]} such that \\spad{\\spad{qi} = pi/d} where \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator([q1,{}...,{}qn])} returns a common denominator \\spad{d} for \\spad{q1},{}...,{}\\spad{qn}."))) 
+((|constructor| (NIL "CommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
 (-145) 
-((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,{}4)"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-170 (-216)) (QUOTE (-1091))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (|HasCategory| (-170 (-216)) (QUOTE (-302))) (|HasCategory| (-170 (-216)) (QUOTE (-559))) (|HasAttribute| (-170 (-216)) (QUOTE (-4537 "*"))) (|HasCategory| (-170 (-216)) (QUOTE (-173))) (|HasCategory| (-170 (-216)) (QUOTE (-366)))) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:CDFMAT:=qnew(3,4)"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1093))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (|HasCategory| (-170 (-216)) (QUOTE (-302))) (|HasCategory| (-170 (-216)) (QUOTE (-559))) (|HasAttribute| (-170 (-216)) (QUOTE (-4573 "*"))) (|HasCategory| (-170 (-216)) (QUOTE (-173))) (|HasCategory| (-170 (-216)) (QUOTE (-366)))) 
 (-146) 
-((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(\\spad{l}) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat))\\spad{:=}[1+2*\\%\\spad{i},{}3+4*\\%\\spad{i},{}\\spad{-5}-6*\\%\\spad{i}] \\spad{X} t2:CDFVEC:=vector(\\spad{t1})")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(\\spad{n}) creates a new uninitialized vector of length \\spad{n}.} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-170 (-216)) (QUOTE (-1091))) (|HasCategory| (-170 (-216)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-170 (-216)) (QUOTE (-843))) (-2232 (|HasCategory| (-170 (-216)) (QUOTE (-843))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-170 (-216)) (QUOTE (-25))) (|HasCategory| (-170 (-216)) (QUOTE (-23))) (|HasCategory| (-170 (-216)) (QUOTE (-21))) (|HasCategory| (-170 (-216)) (QUOTE (-717))) (|HasCategory| (-170 (-216)) (QUOTE (-1048))) (-12 (|HasCategory| (-170 (-216)) (QUOTE (-1003))) (|HasCategory| (-170 (-216)) (QUOTE (-1048)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-843)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1091)))))) 
+((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of complex double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|vector| (($ (|List| (|Complex| (|DoubleFloat|)))) "\\indented{1}{vector(l) converts the list \\spad{l} to a vector.} \\blankline \\spad{X} t1:List(Complex(DoubleFloat)):=[1+2*\\%i,3+4*\\%i,-5-6*\\%i] \\spad{X} t2:CDFVEC:=vector(t1)")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:CDFVEC:=qnew 7"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-170 (-216)) (QUOTE (-1093))) (|HasCategory| (-170 (-216)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-170 (-216)) (QUOTE (-844))) (-1929 (|HasCategory| (-170 (-216)) (QUOTE (-844))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-170 (-216)) (QUOTE (-25))) (|HasCategory| (-170 (-216)) (QUOTE (-23))) (|HasCategory| (-170 (-216)) (QUOTE (-21))) (|HasCategory| (-170 (-216)) (QUOTE (-718))) (|HasCategory| (-170 (-216)) (QUOTE (-1049))) (-12 (|HasCategory| (-170 (-216)) (QUOTE (-1004))) (|HasCategory| (-170 (-216)) (QUOTE (-1049)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-844)))) (-12 (|HasCategory| (-170 (-216)) (LIST (QUOTE -304) (LIST (QUOTE -170) (QUOTE (-216))))) (|HasCategory| (-170 (-216)) (QUOTE (-1093)))))) 
 (-147) 
-((|constructor| (NIL "Category for the usual combinatorial functions.")) (|permutation| (($ $ $) "\\spad{permutation(n,{} m)} returns the number of permutations of \\spad{n} objects taken \\spad{m} at a time. Note that \\spad{permutation(n,{}m) = n!/(n-m)!}.")) (|factorial| (($ $) "\\spad{factorial(n)} computes the factorial of \\spad{n} (denoted in the literature by \\spad{n!}) Note that \\spad{n! = n (n-1)! when n > 0}; also,{} \\spad{0! = 1}.")) (|binomial| (($ $ $) "\\indented{1}{binomial(\\spad{n},{}\\spad{r}) returns the \\spad{(n,{}r)} binomial coefficient} \\indented{1}{(often denoted in the literature by \\spad{C(n,{}r)}).} \\indented{1}{Note that \\spad{C(n,{}r) = n!/(r!(n-r)!)} where \\spad{n >= r >= 0}.} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]"))) 
+((|constructor| (NIL "Category for the usual combinatorial functions.")) (|permutation| (($ $ $) "\\spad{permutation(n, \\spad{m)}} returns the number of permutations of \\spad{n} objects taken \\spad{m} at a time. Note that \\spad{permutation(n,m) = n!/(n-m)!}.")) (|factorial| (($ $) "\\spad{factorial(n)} computes the factorial of \\spad{n} (denoted in the literature by \\spad{n!}) Note that \\spad{n! = \\spad{n} (n-1)! when \\spad{n} > 0}; also, \\spad{0! = 1}.")) (|binomial| (($ $ $) "\\indented{1}{binomial(n,r) returns the \\spad{(n,r)} binomial coefficient} \\indented{1}{(often denoted in the literature by \\spad{C(n,r)}).} \\indented{1}{Note that \\spad{C(n,r) = n!/(r!(n-r)!)} where \\spad{n \\spad{>=} \\spad{r} \\spad{>=} 0}.} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
 (-148) 
-((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\indented{1}{alphanumeric?(\\spad{c}) tests if \\spad{c} is either a letter or number,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9,{} a..\\spad{z} or A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\indented{1}{lowerCase?(\\spad{c}) tests if \\spad{c} is an lower case letter,{}} \\indented{1}{\\spadignore{i.e.} one of a..\\spad{z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\indented{1}{upperCase?(\\spad{c}) tests if \\spad{c} is an upper case letter,{}} \\indented{1}{\\spadignore{i.e.} one of A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\indented{1}{alphabetic?(\\spad{c}) tests if \\spad{c} is a letter,{}} \\indented{1}{\\spadignore{i.e.} one of a..\\spad{z} or A..\\spad{Z}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\indented{1}{hexDigit?(\\spad{c}) tests if \\spad{c} is a hexadecimal numeral,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9,{} a..\\spad{f} or A..\\spad{F}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\indented{1}{digit?(\\spad{c}) tests if \\spad{c} is a digit character,{}} \\indented{1}{\\spadignore{i.e.} one of 0..9.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\indented{1}{lowerCase(\\spad{c}) converts an upper case letter to the corresponding} \\indented{1}{lower case letter.\\space{2}If \\spad{c} is not an upper case letter,{} then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\indented{1}{upperCase(\\spad{c}) converts a lower case letter to the corresponding} \\indented{1}{upper case letter.\\space{2}If \\spad{c} is not a lower case letter,{} then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\indented{1}{escape() provides the escape character,{} \\spad{_},{} which} \\indented{1}{is used to allow quotes and other characters within} \\indented{1}{strings.} \\blankline \\spad{X} escape()")) (|quote| (($) "\\indented{1}{quote() provides the string quote character,{} \\spad{\"}.} \\blankline \\spad{X} quote()")) (|space| (($) "\\indented{1}{space() provides the blank character.} \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\indented{1}{char(\\spad{s}) provides a character from a string \\spad{s} of length one.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",{}\"A\",{}\\spad{\"X\"},{}\\spad{\"8\"},{}\\spad{\"+\"}]]") (($ (|Integer|)) "\\indented{1}{char(\\spad{i}) provides a character corresponding to the integer} \\indented{1}{code \\spad{i}. It is always \\spad{true} that \\spad{ord char i = i}.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,{}65,{}88,{}56,{}43]]")) (|ord| (((|Integer|) $) "\\indented{1}{ord(\\spad{c}) provides an integral code corresponding to the} \\indented{1}{character \\spad{c}.\\space{2}It is always \\spad{true} that \\spad{char ord c = c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\",{} char \"A\",{} char \\spad{\"X\"},{} char \\spad{\"8\"},{} char \\spad{\"+\"}] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
+((|constructor| (NIL "This domain provides the basic character data type.")) (|alphanumeric?| (((|Boolean|) $) "\\indented{1}{alphanumeric?(c) tests if \\spad{c} is either a letter or number,} \\indented{1}{\\spadignore{i.e.} one of 0..9, a..z or A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]")) (|lowerCase?| (((|Boolean|) $) "\\indented{1}{lowerCase?(c) tests if \\spad{c} is an lower case letter,} \\indented{1}{\\spadignore{i.e.} one of a..z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase? \\spad{c} for \\spad{c} in chars]")) (|upperCase?| (((|Boolean|) $) "\\indented{1}{upperCase?(c) tests if \\spad{c} is an upper case letter,} \\indented{1}{\\spadignore{i.e.} one of A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase? \\spad{c} for \\spad{c} in chars]")) (|alphabetic?| (((|Boolean|) $) "\\indented{1}{alphabetic?(c) tests if \\spad{c} is a letter,} \\indented{1}{\\spadignore{i.e.} one of a..z or A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphabetic? \\spad{c} for \\spad{c} in chars]")) (|hexDigit?| (((|Boolean|) $) "\\indented{1}{hexDigit?(c) tests if \\spad{c} is a hexadecimal numeral,} \\indented{1}{\\spadignore{i.e.} one of 0..9, a..f or A..F.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [hexDigit? \\spad{c} for \\spad{c} in chars]")) (|digit?| (((|Boolean|) $) "\\indented{1}{digit?(c) tests if \\spad{c} is a digit character,} \\indented{1}{\\spadignore{i.e.} one of 0..9.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [digit? \\spad{c} for \\spad{c} in chars]")) (|lowerCase| (($ $) "\\indented{1}{lowerCase(c) converts an upper case letter to the corresponding} \\indented{1}{lower case letter.\\space{2}If \\spad{c} is not an upper case letter, then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [lowerCase \\spad{c} for \\spad{c} in chars]")) (|upperCase| (($ $) "\\indented{1}{upperCase(c) converts a lower case letter to the corresponding} \\indented{1}{upper case letter.\\space{2}If \\spad{c} is not a lower case letter, then} \\indented{1}{it is returned unchanged.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [upperCase \\spad{c} for \\spad{c} in chars]")) (|escape| (($) "\\indented{1}{escape() provides the escape character, \\spad{_}, which} \\indented{1}{is used to allow quotes and other characters within} \\indented{1}{strings.} \\blankline \\spad{X} escape()")) (|quote| (($) "\\indented{1}{quote() provides the string quote character, \\spad{\"}.} \\blankline \\spad{X} quote()")) (|space| (($) "\\indented{1}{space() provides the blank character.} \\blankline \\spad{X} space()")) (|char| (($ (|String|)) "\\indented{1}{char(s) provides a character from a string \\spad{s} of length one.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [\"a\",\"A\",\"X\",\"8\",\"+\"]]") (($ (|Integer|)) "\\indented{1}{char(i) provides a character corresponding to the integer} \\indented{1}{code i. It is always \\spad{true} that \\spad{ord char \\spad{i} = i}.} \\blankline \\spad{X} [char \\spad{c} for \\spad{c} in [97,65,88,56,43]]")) (|ord| (((|Integer|) $) "\\indented{1}{ord(c) provides an integral code corresponding to the} \\indented{1}{character c.\\space{2}It is always \\spad{true} that \\spad{char ord \\spad{c} = c}.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [ord \\spad{c} for \\spad{c} in chars]"))) 
 NIL 
 NIL 
 (-149) 
 ((|constructor| (NIL "Rings of Characteristic Non Zero")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(x)} returns the \\spad{p}th root of \\spad{x} where \\spad{p} is the characteristic of the ring."))) 
-((-4532 . T)) 
+((-4568 . T)) 
 NIL 
 (-150 R) 
-((|constructor| (NIL "This package provides a characteristicPolynomial function for any matrix over a commutative ring.")) (|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) "\\spad{characteristicPolynomial(m,{}r)} computes the characteristic polynomial of the matrix \\spad{m} evaluated at the point \\spad{r}. In particular,{} if \\spad{r} is the polynomial \\spad{'x},{} then it returns the characteristic polynomial expressed as a polynomial in \\spad{'x}."))) 
+((|constructor| (NIL "This package provides a characteristicPolynomial function for any matrix over a commutative ring.")) (|characteristicPolynomial| ((|#1| (|Matrix| |#1|) |#1|) "\\spad{characteristicPolynomial(m,r)} computes the characteristic polynomial of the matrix \\spad{m} evaluated at the point \\spad{r.} In particular, if \\spad{r} is the polynomial \\spad{'x,} then it returns the characteristic polynomial expressed as a polynomial in \\spad{'x.}"))) 
 NIL 
 NIL 
 (-151) 
 ((|constructor| (NIL "Rings of Characteristic Zero."))) 
-((-4532 . T)) 
+((-4568 . T)) 
 NIL 
-(-152 -1564 UP UPUP) 
-((|constructor| (NIL "Tools to send a point to infinity on an algebraic curve.")) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) "\\spad{chvar(f(x,{}y),{} p(x,{}y))} returns \\spad{[g(z,{}t),{} q(z,{}t),{} c1(z),{} c2(z),{} n]} such that under the change of variable \\spad{x = c1(z)},{} \\spad{y = t * c2(z)},{} one gets \\spad{f(x,{}y) = g(z,{}t)}. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x,{} y) = 0}. The algebraic relation between \\spad{z} and \\spad{t} is \\spad{q(z,{} t) = 0}.")) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{eval(p(x,{}y),{} f(x),{} g(x))} returns \\spad{p(f(x),{} y * g(x))}.")) (|goodPoint| ((|#1| |#3| |#3|) "\\spad{goodPoint(p,{} q)} returns an integer a such that a is neither a pole of \\spad{p(x,{}y)} nor a branch point of \\spad{q(x,{}y) = 0}.")) (|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) "\\spad{rootPoly(g,{} n)} returns \\spad{[m,{} c,{} P]} such that \\spad{c * g ** (1/n) = P ** (1/m)} thus if \\spad{y**n = g},{} then \\spad{z**m = P} where \\spad{z = c * y}.")) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) "\\spad{radPoly(p(x,{} y))} returns \\spad{[c(x),{} n]} if \\spad{p} is of the form \\spad{y**n - c(x)},{} \"failed\" otherwise.")) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) "\\spad{mkIntegral(p(x,{}y))} returns \\spad{[c(x),{} q(x,{}z)]} such that \\spad{z = c * y} is integral. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x,{} y) = 0}. The algebraic relation between \\spad{x} and \\spad{z} is \\spad{q(x,{} z) = 0}."))) 
+(-152 -1647 UP UPUP) 
+((|constructor| (NIL "Tools to send a point to infinity on an algebraic curve.")) (|chvar| (((|Record| (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) |#3| |#3|) "\\spad{chvar(f(x,y), p(x,y))} returns \\spad{[g(z,t), q(z,t), c1(z), c2(z), \\spad{n]}} such that under the change of variable \\spad{x = c1(z)}, \\spad{y = \\spad{t} * c2(z)}, one gets \\spad{f(x,y) = g(z,t)}. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{z} and \\spad{t} is \\spad{q(z, \\spad{t)} = 0}.")) (|eval| ((|#3| |#3| (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{eval(p(x,y), f(x), g(x))} returns \\spad{p(f(x), \\spad{y} * g(x))}.")) (|goodPoint| ((|#1| |#3| |#3|) "\\spad{goodPoint(p, \\spad{q)}} returns an integer a such that a is neither a pole of \\spad{p(x,y)} nor a branch point of \\spad{q(x,y) = 0}.")) (|rootPoly| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| (|Fraction| |#2|)) (|:| |radicand| |#2|)) (|Fraction| |#2|) (|NonNegativeInteger|)) "\\spad{rootPoly(g, \\spad{n)}} returns \\spad{[m, \\spad{c,} \\spad{P]}} such that \\spad{c * \\spad{g} \\spad{**} (1/n) = \\spad{P} \\spad{**} (1/m)} thus if \\spad{y**n = \\spad{g},} then \\spad{z**m = \\spad{P}} where \\spad{z = \\spad{c} * \\spad{y}.}")) (|radPoly| (((|Union| (|Record| (|:| |radicand| (|Fraction| |#2|)) (|:| |deg| (|NonNegativeInteger|))) "failed") |#3|) "\\spad{radPoly(p(x, y))} returns \\spad{[c(x), \\spad{n]}} if \\spad{p} is of the form \\spad{y**n - c(x)}, \"failed\" otherwise.")) (|mkIntegral| (((|Record| (|:| |coef| (|Fraction| |#2|)) (|:| |poly| |#3|)) |#3|) "\\spad{mkIntegral(p(x,y))} returns \\spad{[c(x), q(x,z)]} such that \\spad{z = \\spad{c} * \\spad{y}} is integral. The algebraic relation between \\spad{x} and \\spad{y} is \\spad{p(x, \\spad{y)} = 0}. The algebraic relation between \\spad{x} and \\spad{z} is \\spad{q(x, \\spad{z)} = 0}."))) 
 NIL 
 NIL 
 (-153 R CR) 
-((|constructor| (NIL "This package provides the generalized euclidean algorithm which is needed as the basic step for factoring polynomials.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} where (\\spad{fi} relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g} = sum \\spad{ai} prod \\spad{fj} (\\spad{j} \\spad{\\=} \\spad{i}) or equivalently g/prod \\spad{fj} = sum (ai/fi) or returns \"failed\" if no such list exists"))) 
+((|constructor| (NIL "This package provides the generalized euclidean algorithm which is needed as the basic step for factoring polynomials.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} where (fi relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g} = sum \\spad{ai} prod \\spad{fj} \\spad{(j} \\spad{\\=} i) or equivalently g/prod \\spad{fj} = sum (ai/fi) or returns \"failed\" if no such list exists"))) 
 NIL 
 NIL 
 (-154 A S) 
-((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However,{} each collection provides its own special function with the same name as the data type,{} except with an initial lower case letter,{} \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List},{} \\spadfun{flexibleArray} for \\spadtype{FlexibleArray},{} and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,{}u)} returns a copy of \\spad{u} containing only those elements such \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{select(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,{}u)} returns a copy of \\spad{u} with all elements \\axiom{\\spad{y} = \\spad{x}} removed. Note that \\axiom{remove(\\spad{y},{}\\spad{c}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} \\spad{y}]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,{}u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{remove(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | not \\spad{p}(\\spad{x})]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,{}u,{}x,{}z)} reduces the binary operation \\spad{f} across \\spad{u},{} stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})},{} \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})} when \\spad{u} contains no element \\spad{z}. Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,{}u,{}x)} reduces the binary operation \\spad{f} across \\spad{u},{} where \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u})} if \\spad{u} has 2 or more elements. Returns \\axiom{\\spad{f}(\\spad{x},{}\\spad{y})} if \\spad{u} has one element \\spad{y},{} \\spad{x} if \\spad{u} is empty. For example,{} \\axiom{reduce(+,{}\\spad{u},{}0)} returns the sum of the elements of \\spad{u}.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\indented{1}{reduce(\\spad{f},{}\\spad{u}) reduces the binary operation \\spad{f} across \\spad{u}. For example,{}} \\indented{1}{if \\spad{u} is \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]} then \\axiom{reduce(\\spad{f},{}\\spad{u})}} \\indented{1}{returns \\axiom{\\spad{f}(..\\spad{f}(\\spad{f}(\\spad{x},{}\\spad{y}),{}...),{}\\spad{z})}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x},{} \\axiom{reduce(\\spad{f},{}\\spad{u})} returns \\spad{x}.} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,{}[\\spad{C}[\\spad{i}]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\spad{find(p,{}u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(\\spad{x},{}\\spad{y},{}...,{}\\spad{z})} returns the collection of elements \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}} ordered as given. Equivalently written as \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]\\$\\spad{D}},{} where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
+((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List}, \\spadfun{flexibleArray} for \\spadtype{FlexibleArray}, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#2| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#2| (|Mapping| |#2| |#2| |#2|) $) "\\indented{1}{reduce(f,u) reduces the binary operation \\spad{f} across u. For example,} \\indented{1}{if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)}} \\indented{1}{returns \\axiom{f(..f(f(x,y),...),z)}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.}} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) "\\spad{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#2|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasAttribute| |#1| (QUOTE -4535))) 
+((|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasAttribute| |#1| (QUOTE -4571))) 
 (-155 S) 
-((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However,{} each collection provides its own special function with the same name as the data type,{} except with an initial lower case letter,{} \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List},{} \\spadfun{flexibleArray} for \\spadtype{FlexibleArray},{} and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,{}u)} returns a copy of \\spad{u} containing only those elements such \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{select(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,{}u)} returns a copy of \\spad{u} with all elements \\axiom{\\spad{y} = \\spad{x}} removed. Note that \\axiom{remove(\\spad{y},{}\\spad{c}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} \\spad{y}]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,{}u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. Note that \\axiom{remove(\\spad{p},{}\\spad{u}) \\spad{==} [\\spad{x} for \\spad{x} in \\spad{u} | not \\spad{p}(\\spad{x})]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,{}u,{}x,{}z)} reduces the binary operation \\spad{f} across \\spad{u},{} stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})},{} \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u},{}\\spad{x})} when \\spad{u} contains no element \\spad{z}. Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,{}u,{}x)} reduces the binary operation \\spad{f} across \\spad{u},{} where \\spad{x} is the identity operation of \\spad{f}. Same as \\axiom{reduce(\\spad{f},{}\\spad{u})} if \\spad{u} has 2 or more elements. Returns \\axiom{\\spad{f}(\\spad{x},{}\\spad{y})} if \\spad{u} has one element \\spad{y},{} \\spad{x} if \\spad{u} is empty. For example,{} \\axiom{reduce(+,{}\\spad{u},{}0)} returns the sum of the elements of \\spad{u}.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\indented{1}{reduce(\\spad{f},{}\\spad{u}) reduces the binary operation \\spad{f} across \\spad{u}. For example,{}} \\indented{1}{if \\spad{u} is \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]} then \\axiom{reduce(\\spad{f},{}\\spad{u})}} \\indented{1}{returns \\axiom{\\spad{f}(..\\spad{f}(\\spad{f}(\\spad{x},{}\\spad{y}),{}...),{}\\spad{z})}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x},{} \\axiom{reduce(\\spad{f},{}\\spad{u})} returns \\spad{x}.} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,{}[\\spad{C}[\\spad{i}]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\spad{find(p,{}u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y},{}...,{}\\spad{z})} returns the collection of elements \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}} ordered as given. Equivalently written as \\axiom{[\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]\\$\\spad{D}},{} where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
-((-2982 . T)) 
+((|constructor| (NIL "A collection is a homogeneous aggregate which can built from list of members. The operation used to build the aggregate is generically named \\spadfun{construct}. However, each collection provides its own special function with the same name as the data type, except with an initial lower case letter, \\spadignore{e.g.} \\spadfun{list} for \\spadtype{List}, \\spadfun{flexibleArray} for \\spadtype{FlexibleArray}, and so on.")) (|removeDuplicates| (($ $) "\\spad{removeDuplicates(u)} returns a copy of \\spad{u} with all duplicates removed.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,u)} returns a copy of \\spad{u} containing only those elements such \\axiom{p(x)} is true. Note that \\axiom{select(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | p(x)]}.")) (|remove| (($ |#1| $) "\\spad{remove(x,u)} returns a copy of \\spad{u} with all elements \\axiom{y = \\spad{x}} removed. Note that \\axiom{remove(y,c) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{c} | \\spad{x} \\spad{^=} y]}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove(p,u)} returns a copy of \\spad{u} removing all elements \\spad{x} such that \\axiom{p(x)} is true. Note that \\axiom{remove(p,u) \\spad{==} \\spad{[x} for \\spad{x} in \\spad{u} | not p(x)]}.")) (|reduce| ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1| |#1|) "\\spad{reduce(f,u,x,z)} reduces the binary operation \\spad{f} across u, stopping when an \"absorbing element\" \\spad{z} is encountered. As for \\axiom{reduce(f,u,x)}, \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u,x)} when \\spad{u} contains no element \\spad{z.} Thus the third argument \\spad{x} is returned when \\spad{u} is empty.") ((|#1| (|Mapping| |#1| |#1| |#1|) $ |#1|) "\\spad{reduce(f,u,x)} reduces the binary operation \\spad{f} across u, where \\spad{x} is the identity operation of \\spad{f.} Same as \\axiom{reduce(f,u)} if \\spad{u} has 2 or more elements. Returns \\axiom{f(x,y)} if \\spad{u} has one element \\spad{y,} \\spad{x} if \\spad{u} is empty. For example, \\axiom{reduce(+,u,0)} returns the sum of the elements of u.") ((|#1| (|Mapping| |#1| |#1| |#1|) $) "\\indented{1}{reduce(f,u) reduces the binary operation \\spad{f} across u. For example,} \\indented{1}{if \\spad{u} is \\axiom{[x,y,...,z]} then \\axiom{reduce(f,u)}} \\indented{1}{returns \\axiom{f(..f(f(x,y),...),z)}.} \\indented{1}{Note that if \\spad{u} has one element \\spad{x,} \\axiom{reduce(f,u)} returns \\spad{x.}} \\indented{1}{Error: if \\spad{u} is empty.} \\blankline \\spad{C} )clear all \\spad{X} reduce(+,[C[i]*x**i for \\spad{i} in 1..5])")) (|find| (((|Union| |#1| "failed") (|Mapping| (|Boolean|) |#1|) $) "\\spad{find(p,u)} returns the first \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true, and \"failed\" otherwise.")) (|construct| (($ (|List| |#1|)) "\\axiom{construct(x,y,...,z)} returns the collection of elements \\axiom{x,y,...,z} ordered as given. Equivalently written as \\axiom{[x,y,...,z]$D}, where \\spad{D} is the domain. \\spad{D} may be omitted for those of type List."))) 
+((-4317 . T)) 
 NIL 
 (-156 |n| K Q) 
-((|constructor| (NIL "CliffordAlgebra(\\spad{n},{} \\spad{K},{} \\spad{Q}) defines a vector space of dimension \\spad{2**n} over \\spad{K},{} given a quadratic form \\spad{Q} on \\spad{K**n}. \\blankline If \\spad{e[i]},{} \\spad{1<=i<=n} is a basis for \\spad{K**n} then 1,{} \\spad{e[i]} (\\spad{1<=i<=n}),{} \\spad{e[i1]*e[i2]} (\\spad{1<=i1<i2<=n}),{}...,{}\\spad{e[1]*e[2]*..*e[n]} is a basis for the Clifford Algebra. \\blankline The algebra is defined by the relations\\spad{\\br} \\tab{5}\\spad{e[i]*e[j] = -e[j]*e[i]} (\\spad{i \\~~= j}),{}\\spad{\\br} \\tab{5}\\spad{e[i]*e[i] = Q(e[i])} \\blankline Examples of Clifford Algebras are: gaussians,{} quaternions,{} exterior algebras and spin algebras.")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} computes the multiplicative inverse of \\spad{x} or \"failed\" if \\spad{x} is not invertible.")) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) "\\spad{coefficient(x,{}[i1,{}i2,{}...,{}iN])} extracts the coefficient of \\spad{e(i1)*e(i2)*...*e(iN)} in \\spad{x}.")) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) "\\spad{monomial(c,{}[i1,{}i2,{}...,{}iN])} produces the value given by \\spad{c*e(i1)*e(i2)*...*e(iN)}.")) (|e| (($ (|PositiveInteger|)) "\\spad{e(n)} produces the appropriate unit element."))) 
-((-4530 . T) (-4529 . T) (-4532 . T)) 
+((|constructor| (NIL "CliffordAlgebra(n, \\spad{K,} \\spad{Q)} defines a vector space of dimension \\spad{2**n} over \\spad{K,} given a quadratic form \\spad{Q} on \\spad{K**n}. \\blankline If \\spad{e[i]}, \\spad{1<=i<=n} is a basis for \\spad{K**n} then 1, \\spad{e[i]} (\\spad{1<=i<=n}), \\spad{e[i1]*e[i2]} (\\spad{1<=i1<i2<=n}),...,\\spad{e[1]*e[2]*..*e[n]} is a basis for the Clifford Algebra. \\blankline The algebra is defined by the relations\\br \\tab{5}\\spad{e[i]*e[j] = -e[j]*e[i]} (\\spad{i \\~~= j}),\\br \\tab{5}\\spad{e[i]*e[i] = Q(e[i])} \\blankline Examples of Clifford Algebras are: gaussians, quaternions, exterior algebras and spin algebras.")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} computes the multiplicative inverse of \\spad{x} or \"failed\" if \\spad{x} is not invertible.")) (|coefficient| ((|#2| $ (|List| (|PositiveInteger|))) "\\spad{coefficient(x,[i1,i2,...,iN])} extracts the coefficient of \\spad{e(i1)*e(i2)*...*e(iN)} in \\spad{x.}")) (|monomial| (($ |#2| (|List| (|PositiveInteger|))) "\\spad{monomial(c,[i1,i2,...,iN])} produces the value given by \\spad{c*e(i1)*e(i2)*...*e(iN)}.")) (|e| (($ (|PositiveInteger|)) "\\spad{e(n)} produces the appropriate unit element."))) 
+((-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
 (-157) 
-((|constructor| (NIL "Automatic clipping for 2-dimensional plots The purpose of this package is to provide reasonable plots of functions with singularities.")) (|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{clipWithRanges(pointLists,{}xMin,{}xMax,{}yMin,{}yMax)} performs clipping on a list of lists of points,{} \\spad{pointLists}. Clipping is done within the specified ranges of \\spad{xMin},{} \\spad{xMax} and \\spad{yMin},{} \\spad{yMax}. This function is used internally by the \\fakeAxiomFun{iClipParametric} subroutine in this package.")) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clipParametric(p,{}frac,{}sc)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clipParametric(p)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.")) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{clip(ll)} performs two-dimensional clipping on a list of lists of points,{} \\spad{ll}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) "\\spad{clip(l)} performs two-dimensional clipping on a curve \\spad{l},{} which is a list of points; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine,{} which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clip(p,{}frac,{}sc)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the graph of one variable \\spad{y = f(x)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\spadfun{clip} function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clip(p)} performs two-dimensional clipping on a plot,{} \\spad{p},{} from the domain \\spadtype{Plot} for the graph of one variable,{} \\spad{y = f(x)}; the default parameters \\spad{1/4} for the fraction and \\spad{5/1} for the scale are used in the \\spadfun{clip} function."))) 
+((|constructor| (NIL "Automatic clipping for 2-dimensional plots The purpose of this package is to provide reasonable plots of functions with singularities.")) (|clipWithRanges| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{clipWithRanges(pointLists,xMin,xMax,yMin,yMax)} performs clipping on a list of lists of points, \\spad{pointLists}. Clipping is done within the specified ranges of \\spad{xMin}, \\spad{xMax} and \\spad{yMin}, \\spad{yMax}. This function is used internally by the \\fakeAxiomFun{iClipParametric} subroutine in this package.")) (|clipParametric| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clipParametric(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clipParametric(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.")) (|clip| (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{clip(ll)} performs two-dimensional clipping on a list of lists of points, \\spad{ll}; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|List| (|Point| (|DoubleFloat|)))) "\\spad{clip(l)} performs two-dimensional clipping on a curve \\spad{l,} which is a list of points; the default parameters \\spad{1/2} for the fraction and \\spad{5/1} for the scale are used in the \\fakeAxiomFun{iClipParametric} subroutine, which is called by this function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|) (|Fraction| (|Integer|)) (|Fraction| (|Integer|))) "\\spad{clip(p,frac,sc)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable \\spad{y = f(x)}; the fraction parameter is specified by \\spad{frac} and the scale parameter is specified by \\spad{sc} for use in the \\spadfun{clip} function.") (((|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|)))) (|Plot|)) "\\spad{clip(p)} performs two-dimensional clipping on a plot, \\spad{p,} from the domain \\spadtype{Plot} for the graph of one variable, \\spad{y = f(x)}; the default parameters \\spad{1/4} for the fraction and \\spad{5/1} for the scale are used in the \\spadfun{clip} function."))) 
 NIL 
 NIL 
 (-158 UP |Par|) 
-((|constructor| (NIL "This package provides functions complexZeros for finding the complex zeros of univariate polynomials with complex rational number coefficients. The results are to any user specified precision and are returned as either complex rational number or complex floating point numbers depending on the type of the second argument which specifies the precision.")) (|complexZeros| (((|List| (|Complex| |#2|)) |#1| |#2|) "\\spad{complexZeros(poly,{} eps)} finds the complex zeros of the univariate polynomial \\spad{poly} to precision eps with solutions returned as complex floats or rationals depending on the type of eps."))) 
+((|constructor| (NIL "This package provides functions complexZeros for finding the complex zeros of univariate polynomials with complex rational number coefficients. The results are to any user specified precision and are returned as either complex rational number or complex floating point numbers depending on the type of the second argument which specifies the precision.")) (|complexZeros| (((|List| (|Complex| |#2|)) |#1| |#2|) "\\spad{complexZeros(poly, eps)} finds the complex zeros of the univariate polynomial \\spad{poly} to precision eps with solutions returned as complex floats or rationals depending on the type of eps."))) 
 NIL 
 NIL 
 (-159) 
-((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the \\Language{} system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue \\spad{i}.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues,{} set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c}.")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + c2} additively mixes the two colors \\spad{c1} and \\spad{c2}.")) (* (($ (|DoubleFloat|) $) "\\spad{s * c},{} returns the color \\spad{c},{} whose weighted shade has been scaled by \\spad{s}.") (($ (|PositiveInteger|) $) "\\spad{s * c},{} returns the color \\spad{c},{} whose weighted shade has been scaled by \\spad{s}."))) 
+((|constructor| (NIL "Color() specifies a domain of 27 colors provided in the \\Language{} system (the colors mix additively).")) (|color| (($ (|Integer|)) "\\spad{color(i)} returns a color of the indicated hue i.")) (|numberOfHues| (((|PositiveInteger|)) "\\spad{numberOfHues()} returns the number of total hues, set in totalHues.")) (|hue| (((|Integer|) $) "\\spad{hue(c)} returns the hue index of the indicated color \\spad{c.}")) (|blue| (($) "\\spad{blue()} returns the position of the blue hue from total hues.")) (|green| (($) "\\spad{green()} returns the position of the green hue from total hues.")) (|yellow| (($) "\\spad{yellow()} returns the position of the yellow hue from total hues.")) (|red| (($) "\\spad{red()} returns the position of the red hue from total hues.")) (+ (($ $ $) "\\spad{c1 + \\spad{c2}} additively mixes the two colors \\spad{c1} and \\spad{c2.}")) (* (($ (|DoubleFloat|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}") (($ (|PositiveInteger|) $) "\\spad{s * \\spad{c},} returns the color \\spad{c,} whose weighted shade has been scaled by \\spad{s.}"))) 
 NIL 
 NIL 
-(-160 R -1564) 
-((|constructor| (NIL "Provides combinatorial functions over an integral domain.")) (|ipow| ((|#2| (|List| |#2|)) "\\spad{ipow(l)} should be local but conditional.")) (|iidprod| ((|#2| (|List| |#2|)) "\\spad{iidprod(l)} should be local but conditional.")) (|iidsum| ((|#2| (|List| |#2|)) "\\spad{iidsum(l)} should be local but conditional.")) (|iipow| ((|#2| (|List| |#2|)) "\\spad{iipow(l)} should be local but conditional.")) (|iiperm| ((|#2| (|List| |#2|)) "\\spad{iiperm(l)} should be local but conditional.")) (|iibinom| ((|#2| (|List| |#2|)) "\\spad{iibinom(l)} should be local but conditional.")) (|iifact| ((|#2| |#2|) "\\spad{iifact(x)} should be local but conditional.")) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{product(f(n),{} n = a..b)} returns \\spad{f}(a) * ... * \\spad{f}(\\spad{b}) as a formal product.") ((|#2| |#2| (|Symbol|)) "\\spad{product(f(n),{} n)} returns the formal product \\spad{P}(\\spad{n}) which verifies \\spad{P}(\\spad{n+1})\\spad{/P}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{summation(f(n),{} n = a..b)} returns \\spad{f}(a) + ... + \\spad{f}(\\spad{b}) as a formal sum.") ((|#2| |#2| (|Symbol|)) "\\spad{summation(f(n),{} n)} returns the formal sum \\spad{S}(\\spad{n}) which verifies \\spad{S}(\\spad{n+1}) - \\spad{S}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|factorials| ((|#2| |#2| (|Symbol|)) "\\spad{factorials(f,{} x)} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") ((|#2| |#2|) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials.")) (|factorial| ((|#2| |#2|) "\\spad{factorial(n)} returns the factorial of \\spad{n},{} \\spadignore{i.e.} \\spad{n!}.")) (|permutation| ((|#2| |#2| |#2|) "\\spad{permutation(n,{} r)} returns the number of permutations of \\spad{n} objects taken \\spad{r} at a time,{} \\spadignore{i.e.} \\spad{n!/}(\\spad{n}-\\spad{r})!.")) (|binomial| ((|#2| |#2| |#2|) "\\indented{1}{binomial(\\spad{n},{} \\spad{r}) returns the number of subsets of \\spad{r} objects} \\indented{1}{taken among \\spad{n} objects,{} \\spadignore{i.e.} \\spad{n!/}(\\spad{r!} * (\\spad{n}-\\spad{r})!);} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]")) (** ((|#2| |#2| |#2|) "\\spad{a ** b} is the formal exponential a**b.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}; error if \\spad{op} is not a combinatorial operator.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a combinatorial operator."))) 
+(-160 R -1647) 
+((|constructor| (NIL "Provides combinatorial functions over an integral domain.")) (|ipow| ((|#2| (|List| |#2|)) "\\spad{ipow(l)} should be local but conditional.")) (|iidprod| ((|#2| (|List| |#2|)) "\\spad{iidprod(l)} should be local but conditional.")) (|iidsum| ((|#2| (|List| |#2|)) "\\spad{iidsum(l)} should be local but conditional.")) (|iipow| ((|#2| (|List| |#2|)) "\\spad{iipow(l)} should be local but conditional.")) (|iiperm| ((|#2| (|List| |#2|)) "\\spad{iiperm(l)} should be local but conditional.")) (|iibinom| ((|#2| (|List| |#2|)) "\\spad{iibinom(l)} should be local but conditional.")) (|iifact| ((|#2| |#2|) "\\spad{iifact(x)} should be local but conditional.")) (|product| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{product(f(n), \\spad{n} = a..b)} returns f(a) * \\spad{...} * f(b) as a formal product.") ((|#2| |#2| (|Symbol|)) "\\spad{product(f(n), \\spad{n)}} returns the formal product P(n) which verifies P(n+1)/P(n) = f(n).")) (|summation| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{summation(f(n), \\spad{n} = a..b)} returns f(a) + \\spad{...} + f(b) as a formal sum.") ((|#2| |#2| (|Symbol|)) "\\spad{summation(f(n), \\spad{n)}} returns the formal sum S(n) which verifies S(n+1) - S(n) = f(n).")) (|factorials| ((|#2| |#2| (|Symbol|)) "\\spad{factorials(f, \\spad{x)}} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") ((|#2| |#2|) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials.")) (|factorial| ((|#2| |#2|) "\\spad{factorial(n)} returns the factorial of \\spad{n,} \\spadignore{i.e.} \\spad{n!;}")) (|permutation| ((|#2| |#2| |#2|) "\\spad{permutation(n, \\spad{r)}} returns the number of permutations of \\spad{n} objects taken \\spad{r} at a time, \\spadignore{i.e.} n!/(n-r)!.")) (|binomial| ((|#2| |#2| |#2|) "\\indented{1}{binomial(n, \\spad{r)} returns the number of subsets of \\spad{r} objects} \\indented{1}{taken among \\spad{n} objects, \\spadignore{i.e.} n!/(r! * (n-r)!);} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]")) (** ((|#2| |#2| |#2|) "\\spad{a \\spad{**} \\spad{b}} is the formal exponential a**b.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a combinatorial operator.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a combinatorial operator."))) 
 NIL 
 NIL 
 (-161 I) 
-((|constructor| (NIL "The \\spadtype{IntegerCombinatoricFunctions} package provides some standard functions in combinatorics.")) (|stirling2| ((|#1| |#1| |#1|) "\\spad{stirling2(n,{}m)} returns the Stirling number of the second kind denoted \\spad{SS[n,{}m]}.")) (|stirling1| ((|#1| |#1| |#1|) "\\spad{stirling1(n,{}m)} returns the Stirling number of the first kind denoted \\spad{S[n,{}m]}.")) (|permutation| ((|#1| |#1| |#1|) "\\spad{permutation(n)} returns \\spad{!P(n,{}r) = n!/(n-r)!}. This is the number of permutations of \\spad{n} objects taken \\spad{r} at a time.")) (|partition| ((|#1| |#1|) "\\spad{partition(n)} returns the number of partitions of the integer \\spad{n}. This is the number of distinct ways that \\spad{n} can be written as a sum of positive integers.")) (|multinomial| ((|#1| |#1| (|List| |#1|)) "\\spad{multinomial(n,{}[m1,{}m2,{}...,{}mk])} returns the multinomial coefficient \\spad{n!/(m1! m2! ... mk!)}.")) (|factorial| ((|#1| |#1|) "\\spad{factorial(n)} returns \\spad{n!}. this is the product of all integers between 1 and \\spad{n} (inclusive). Note that \\spad{0!} is defined to be 1.")) (|binomial| ((|#1| |#1| |#1|) "\\indented{1}{\\spad{binomial(n,{}r)} returns the binomial coefficient} \\indented{1}{\\spad{C(n,{}r) = n!/(r! (n-r)!)},{} where \\spad{n >= r >= 0}.} \\indented{1}{This is the number of combinations of \\spad{n} objects taken \\spad{r} at a time.} \\blankline \\spad{X} [binomial(5,{}\\spad{i}) for \\spad{i} in 0..5]"))) 
+((|constructor| (NIL "The \\spadtype{IntegerCombinatoricFunctions} package provides some standard functions in combinatorics.")) (|stirling2| ((|#1| |#1| |#1|) "\\spad{stirling2(n,m)} returns the Stirling number of the second kind denoted \\spad{SS[n,m]}.")) (|stirling1| ((|#1| |#1| |#1|) "\\spad{stirling1(n,m)} returns the Stirling number of the first kind denoted \\spad{S[n,m]}.")) (|permutation| ((|#1| |#1| |#1|) "\\spad{permutation(n)} returns \\spad{!P(n,r) = n!/(n-r)!}. This is the number of permutations of \\spad{n} objects taken \\spad{r} at a time.")) (|partition| ((|#1| |#1|) "\\spad{partition(n)} returns the number of partitions of the integer \\spad{n.} This is the number of distinct ways that \\spad{n} can be written as a sum of positive integers.")) (|multinomial| ((|#1| |#1| (|List| |#1|)) "\\spad{multinomial(n,[m1,m2,...,mk])} returns the multinomial coefficient \\spad{n!/(m1! \\spad{m2!} \\spad{...} mk!)}.")) (|factorial| ((|#1| |#1|) "\\spad{factorial(n)} returns \\spad{n!}. this is the product of all integers between 1 and \\spad{n} (inclusive). Note that \\spad{0!} is defined to be 1.")) (|binomial| ((|#1| |#1| |#1|) "\\indented{1}{\\spad{binomial(n,r)} returns the binomial coefficient} \\indented{1}{\\spad{C(n,r) = n!/(r! (n-r)!)}, where \\spad{n \\spad{>=} \\spad{r} \\spad{>=} 0}.} \\indented{1}{This is the number of combinations of \\spad{n} objects taken \\spad{r} at a time.} \\blankline \\spad{X} [binomial(5,i) for \\spad{i} in 0..5]"))) 
 NIL 
 NIL 
 (-162) 
-((|constructor| (NIL "CombinatorialOpsCategory is the category obtaining by adjoining summations and products to the usual combinatorial operations.")) (|product| (($ $ (|SegmentBinding| $)) "\\spad{product(f(n),{} n = a..b)} returns \\spad{f}(a) * ... * \\spad{f}(\\spad{b}) as a formal product.") (($ $ (|Symbol|)) "\\spad{product(f(n),{} n)} returns the formal product \\spad{P}(\\spad{n}) which verifies \\spad{P}(\\spad{n+1})\\spad{/P}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|summation| (($ $ (|SegmentBinding| $)) "\\spad{summation(f(n),{} n = a..b)} returns \\spad{f}(a) + ... + \\spad{f}(\\spad{b}) as a formal sum.") (($ $ (|Symbol|)) "\\spad{summation(f(n),{} n)} returns the formal sum \\spad{S}(\\spad{n}) which verifies \\spad{S}(\\spad{n+1}) - \\spad{S}(\\spad{n}) = \\spad{f}(\\spad{n}).")) (|factorials| (($ $ (|Symbol|)) "\\spad{factorials(f,{} x)} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") (($ $) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials."))) 
+((|constructor| (NIL "CombinatorialOpsCategory is the category obtaining by adjoining summations and products to the usual combinatorial operations.")) (|product| (($ $ (|SegmentBinding| $)) "\\spad{product(f(n), \\spad{n} = a..b)} returns f(a) * \\spad{...} * f(b) as a formal product.") (($ $ (|Symbol|)) "\\spad{product(f(n), \\spad{n)}} returns the formal product P(n) which verifies P(n+1)/P(n) = f(n).")) (|summation| (($ $ (|SegmentBinding| $)) "\\spad{summation(f(n), \\spad{n} = a..b)} returns f(a) + \\spad{...} + f(b) as a formal sum.") (($ $ (|Symbol|)) "\\spad{summation(f(n), \\spad{n)}} returns the formal sum S(n) which verifies S(n+1) - S(n) = f(n).")) (|factorials| (($ $ (|Symbol|)) "\\spad{factorials(f, \\spad{x)}} rewrites the permutations and binomials in \\spad{f} involving \\spad{x} in terms of factorials.") (($ $) "\\spad{factorials(f)} rewrites the permutations and binomials in \\spad{f} in terms of factorials."))) 
 NIL 
 NIL 
 (-163) 
-((|constructor| (NIL "A type for basic commutators")) (|mkcomm| (($ $ $) "\\spad{mkcomm(i,{}j)} is not documented") (($ (|Integer|)) "\\spad{mkcomm(i)} is not documented"))) 
+((|constructor| (NIL "A type for basic commutators")) (|mkcomm| (($ $ $) "\\spad{mkcomm(i,j)} is not documented") (($ (|Integer|)) "\\spad{mkcomm(i)} is not documented"))) 
 NIL 
 NIL 
 (-164) 
-((|constructor| (NIL "This package exports the elementary operators,{} with some semantics already attached to them. The semantics that is attached here is not dependent on the set in which the operators will be applied.")) (|operator| (((|BasicOperator|) (|Symbol|)) "\\spad{operator(s)} returns an operator with name \\spad{s},{} with the appropriate semantics if \\spad{s} is known. If \\spad{s} is not known,{} the result has no semantics."))) 
+((|constructor| (NIL "This package exports the elementary operators, with some semantics already attached to them. The semantics that is attached here is not dependent on the set in which the operators will be applied.")) (|operator| (((|BasicOperator|) (|Symbol|)) "\\spad{operator(s)} returns an operator with name \\spad{s,} with the appropriate semantics if \\spad{s} is known. If \\spad{s} is not known, the result has no semantics."))) 
 NIL 
 NIL 
 (-165 R UP UPUP) 
-((|constructor| (NIL "A package for swapping the order of two variables in a tower of two UnivariatePolynomialCategory extensions.")) (|swap| ((|#3| |#3|) "\\spad{swap(p(x,{}y))} returns \\spad{p}(\\spad{y},{}\\spad{x})."))) 
+((|constructor| (NIL "A package for swapping the order of two variables in a tower of two UnivariatePolynomialCategory extensions.")) (|swap| ((|#3| |#3|) "\\spad{swap(p(x,y))} returns p(y,x)."))) 
 NIL 
 NIL 
 (-166 S R) 
-((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1}.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) "\\spad{polarCoordinates(x)} returns (\\spad{r},{} phi) such that \\spad{x} = \\spad{r} * exp(\\%\\spad{i} * phi).")) (|argument| ((|#2| $) "\\spad{argument(x)} returns the angle made by (0,{}1) and (0,{}\\spad{x}).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(\\spad{x})).")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(x,{} r)} returns the exact quotient of \\spad{x} by \\spad{r},{} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#2| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(\\spad{x})")) (|real| ((|#2| $) "\\spad{real(x)} returns real part of \\spad{x}.")) (|imag| ((|#2| $) "\\spad{imag(x)} returns imaginary part of \\spad{x}.")) (|conjugate| (($ $) "\\spad{conjugate(x + \\%i y)} returns \\spad{x} - \\%\\spad{i} \\spad{y}.")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(\\spad{-1}) = \\%\\spad{i}.")) (|complex| (($ |#2| |#2|) "\\spad{complex(x,{}y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(\\spad{-1})"))) 
+((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#2|) (|:| |phi| |#2|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#2| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#2| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#2| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#2| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#2| |#2|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1003))) (|HasCategory| |#2| (QUOTE (-1183))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasAttribute| |#2| (QUOTE -4531)) (|HasAttribute| |#2| (QUOTE -4534)) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-843)))) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1004))) (|HasCategory| |#2| (QUOTE (-1185))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasAttribute| |#2| (QUOTE -4567)) (|HasAttribute| |#2| (QUOTE -4570)) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-844)))) 
 (-167 R) 
-((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1}.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) "\\spad{polarCoordinates(x)} returns (\\spad{r},{} phi) such that \\spad{x} = \\spad{r} * exp(\\%\\spad{i} * phi).")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the angle made by (0,{}1) and (0,{}\\spad{x}).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(\\spad{x})).")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(x,{} r)} returns the exact quotient of \\spad{x} by \\spad{r},{} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#1| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(\\spad{x})")) (|real| ((|#1| $) "\\spad{real(x)} returns real part of \\spad{x}.")) (|imag| ((|#1| $) "\\spad{imag(x)} returns imaginary part of \\spad{x}.")) (|conjugate| (($ $) "\\spad{conjugate(x + \\%i y)} returns \\spad{x} - \\%\\spad{i} \\spad{y}.")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(\\spad{-1}) = \\%\\spad{i}.")) (|complex| (($ |#1| |#1|) "\\spad{complex(x,{}y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(\\spad{-1})"))) 
-((-4528 -2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4531 |has| |#1| (-6 -4531)) (-4534 |has| |#1| (-6 -4534)) (-2997 . T) (-2982 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category represents the extension of a ring by a square root of \\spad{-1.}")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, or \"failed\" if \\spad{x} is not a rational number.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a rational number.")) (|polarCoordinates| (((|Record| (|:| |r| |#1|) (|:| |phi| |#1|)) $) "\\spad{polarCoordinates(x)} returns \\spad{(r,} phi) such that \\spad{x} = \\spad{r} * exp(\\%i * phi).")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the angle made by (0,1) and (0,x).")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x} = sqrt(norm(x)).")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(x, \\spad{r)}} returns the exact quotient of \\spad{x} by \\spad{r,} or \"failed\" if \\spad{r} does not divide \\spad{x} exactly.")) (|norm| ((|#1| $) "\\spad{norm(x)} returns \\spad{x} * conjugate(x)")) (|real| ((|#1| $) "\\spad{real(x)} returns real part of \\spad{x.}")) (|imag| ((|#1| $) "\\spad{imag(x)} returns imaginary part of \\spad{x.}")) (|conjugate| (($ $) "\\spad{conjugate(x + \\spad{%i} \\spad{y)}} returns \\spad{x} - \\spad{%i} \\spad{y.}")) (|imaginary| (($) "\\spad{imaginary()} = sqrt(-1) = \\%i.")) (|complex| (($ |#1| |#1|) "\\spad{complex(x,y)} constructs \\spad{x} + \\%i*y.") ((|attribute|) "indicates that \\% has sqrt(-1)"))) 
+((-4564 -1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4567 |has| |#1| (-6 -4567)) (-4570 |has| |#1| (-6 -4570)) (-4340 . T) (-4317 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-168 RR PR) 
 ((|constructor| (NIL "This package has no description")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} factorizes the polynomial \\spad{p} with complex coefficients."))) 
 NIL 
 NIL 
 (-169 R S) 
-((|constructor| (NIL "This package extends maps from underlying rings to maps between complex over those rings.")) (|map| (((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)) "\\spad{map(f,{}u)} maps \\spad{f} onto real and imaginary parts of \\spad{u}."))) 
+((|constructor| (NIL "This package extends maps from underlying rings to maps between complex over those rings.")) (|map| (((|Complex| |#2|) (|Mapping| |#2| |#1|) (|Complex| |#1|)) "\\spad{map(f,u)} maps \\spad{f} onto real and imaginary parts of u."))) 
 NIL 
 NIL 
 (-170 R) 
-((|constructor| (NIL "\\spadtype{Complex(R)} creates the domain of elements of the form \\spad{a + b * i} where \\spad{a} and \\spad{b} come from the ring \\spad{R},{} and \\spad{i} is a new element such that \\spad{i**2 = -1}."))) 
-((-4528 -2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4531 |has| |#1| (-6 -4531)) (-4534 |has| |#1| (-6 -4534)) (-2997 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-1183))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1183)))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-824))) (|HasCategory| |#1| (QUOTE (-1057))) (-12 (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-1183)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-302))) (-2232 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-226))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-226))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-824)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1022)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1183))))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-905))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-905))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasAttribute| |#1| (QUOTE -4531)) (|HasAttribute| |#1| (QUOTE -4534)) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-351))))) 
+((|constructor| (NIL "\\spadtype{Complex(R)} creates the domain of elements of the form \\spad{a + \\spad{b} * i} where \\spad{a} and \\spad{b} come from the ring \\spad{R,} and \\spad{i} is a new element such that \\spad{i**2 = -1}."))) 
+((-4564 -1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4567 |has| |#1| (-6 -4567)) (-4570 |has| |#1| (-6 -4570)) (-4340 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-1185))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1185)))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-825))) (|HasCategory| |#1| (QUOTE (-1058))) (-12 (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-1185)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-302))) (-1929 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-226))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-226))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-825)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1023)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-1185))))) (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-906))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-906))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasAttribute| |#1| (QUOTE -4567)) (|HasAttribute| |#1| (QUOTE -4570)) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-351))))) 
 (-171 R S CS) 
 ((|constructor| (NIL "This package supports converting complex expressions to patterns")) (|convert| (((|Pattern| |#1|) |#3|) "\\spad{convert(cs)} converts the complex expression \\spad{cs} to a pattern"))) 
 NIL 
 NIL 
 (-172) 
-((|constructor| (NIL "This domain implements some global properties of subspaces.")) (|copy| (($ $) "\\spad{copy(x)} is not documented")) (|solid| (((|Boolean|) $ (|Boolean|)) "\\spad{solid(x,{}b)} is not documented")) (|close| (((|Boolean|) $ (|Boolean|)) "\\spad{close(x,{}b)} is not documented")) (|solid?| (((|Boolean|) $) "\\spad{solid?(x)} is not documented")) (|closed?| (((|Boolean|) $) "\\spad{closed?(x)} is not documented")) (|new| (($) "\\spad{new()} is not documented"))) 
+((|constructor| (NIL "This domain implements some global properties of subspaces.")) (|copy| (($ $) "\\spad{copy(x)} is not documented")) (|solid| (((|Boolean|) $ (|Boolean|)) "\\spad{solid(x,b)} is not documented")) (|close| (((|Boolean|) $ (|Boolean|)) "\\spad{close(x,b)} is not documented")) (|solid?| (((|Boolean|) $) "\\spad{solid?(x)} is not documented")) (|closed?| (((|Boolean|) $) "\\spad{closed?(x)} is not documented")) (|new| (($) "\\spad{new()} is not documented"))) 
 NIL 
 NIL 
 (-173) 
-((|constructor| (NIL "The category of commutative rings with unity,{} \\spadignore{i.e.} rings where \\spadop{*} is commutative,{} and which have a multiplicative identity element.")) (|commutative| ((|attribute| "*") "multiplication is commutative."))) 
-(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "The category of commutative rings with unity, \\spadignore{i.e.} rings where \\spadop{*} is commutative, and which have a multiplicative identity element.")) (|commutative| ((|attribute| "*") "multiplication is commutative."))) 
+(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-174 R) 
-((|constructor| (NIL "\\spadtype{ContinuedFraction} implements general continued fractions. This version is not restricted to simple,{} finite fractions and uses the \\spadtype{Stream} as a representation. The arithmetic functions assume that the approximants alternate below/above the convergence point. This is enforced by ensuring the partial numerators and partial denominators are greater than 0 in the Euclidean domain view of \\spad{R} (\\spadignore{i.e.} \\spad{sizeLess?(0,{} x)}).")) (|complete| (($ $) "\\spad{complete(x)} causes all entries in \\spadvar{\\spad{x}} to be computed. Normally entries are only computed as needed. If \\spadvar{\\spad{x}} is an infinite continued fraction,{} a user-initiated interrupt is necessary to stop the computation.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,{}n)} causes the first \\spadvar{\\spad{n}} entries in the continued fraction \\spadvar{\\spad{x}} to be computed. Normally entries are only computed as needed.")) (|denominators| (((|Stream| |#1|) $) "\\spad{denominators(x)} returns the stream of denominators of the approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|numerators| (((|Stream| |#1|) $) "\\spad{numerators(x)} returns the stream of numerators of the approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|convergents| (((|Stream| (|Fraction| |#1|)) $) "\\spad{convergents(x)} returns the stream of the convergents of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be finite.")) (|approximants| (((|Stream| (|Fraction| |#1|)) $) "\\spad{approximants(x)} returns the stream of approximants of the continued fraction \\spadvar{\\spad{x}}. If the continued fraction is finite,{} then the stream will be infinite and periodic with period 1.")) (|reducedForm| (($ $) "\\spad{reducedForm(x)} puts the continued fraction \\spadvar{\\spad{x}} in reduced form,{} \\spadignore{i.e.} the function returns an equivalent continued fraction of the form \\spad{continuedFraction(b0,{}[1,{}1,{}1,{}...],{}[b1,{}b2,{}b3,{}...])}.")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} extracts the whole part of \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{wholePart(x) = b0}.")) (|partialQuotients| (((|Stream| |#1|) $) "\\spad{partialQuotients(x)} extracts the partial quotients in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialQuotients(x) = [b0,{}b1,{}b2,{}b3,{}...]}.")) (|partialDenominators| (((|Stream| |#1|) $) "\\spad{partialDenominators(x)} extracts the denominators in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialDenominators(x) = [b1,{}b2,{}b3,{}...]}.")) (|partialNumerators| (((|Stream| |#1|) $) "\\spad{partialNumerators(x)} extracts the numerators in \\spadvar{\\spad{x}}. That is,{} if \\spad{x = continuedFraction(b0,{} [a1,{}a2,{}a3,{}...],{} [b1,{}b2,{}b3,{}...])},{} then \\spad{partialNumerators(x) = [a1,{}a2,{}a3,{}...]}.")) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) "\\spad{reducedContinuedFraction(b0,{}b)} constructs a continued fraction in the following way: if \\spad{b = [b1,{}b2,{}...]} then the result is the continued fraction \\spad{b0 + 1/(b1 + 1/(b2 + ...))}. That is,{} the result is the same as \\spad{continuedFraction(b0,{}[1,{}1,{}1,{}...],{}[b1,{}b2,{}b3,{}...])}.")) (|continuedFraction| (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) "\\spad{continuedFraction(b0,{}a,{}b)} constructs a continued fraction in the following way: if \\spad{a = [a1,{}a2,{}...]} and \\spad{b = [b1,{}b2,{}...]} then the result is the continued fraction \\spad{b0 + a1/(b1 + a2/(b2 + ...))}.") (($ (|Fraction| |#1|)) "\\spad{continuedFraction(r)} converts the fraction \\spadvar{\\spad{r}} with components of type \\spad{R} to a continued fraction over \\spad{R}."))) 
-(((-4537 "*") . T) (-4528 . T) (-4533 . T) (-4527 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "\\spadtype{ContinuedFraction} implements general continued fractions. This version is not restricted to simple, finite fractions and uses the \\spadtype{Stream} as a representation. The arithmetic functions assume that the approximants alternate below/above the convergence point. This is enforced by ensuring the partial numerators and partial denominators are greater than 0 in the Euclidean domain view of \\spad{R} (\\spadignore{i.e.} \\spad{sizeLess?(0, x)}).")) (|complete| (($ $) "\\spad{complete(x)} causes all entries in \\spadvar{x} to be computed. Normally entries are only computed as needed. If \\spadvar{x} is an infinite continued fraction, a user-initiated interrupt is necessary to stop the computation.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} causes the first \\spadvar{n} entries in the continued fraction \\spadvar{x} to be computed. Normally entries are only computed as needed.")) (|denominators| (((|Stream| |#1|) $) "\\spad{denominators(x)} returns the stream of denominators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|numerators| (((|Stream| |#1|) $) "\\spad{numerators(x)} returns the stream of numerators of the approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|convergents| (((|Stream| (|Fraction| |#1|)) $) "\\spad{convergents(x)} returns the stream of the convergents of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be finite.")) (|approximants| (((|Stream| (|Fraction| |#1|)) $) "\\spad{approximants(x)} returns the stream of approximants of the continued fraction \\spadvar{x}. If the continued fraction is finite, then the stream will be infinite and periodic with period 1.")) (|reducedForm| (($ $) "\\spad{reducedForm(x)} puts the continued fraction \\spadvar{x} in reduced form, \\spadignore{i.e.} the function returns an equivalent continued fraction of the form \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} extracts the whole part of \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{wholePart(x) = b0}.")) (|partialQuotients| (((|Stream| |#1|) $) "\\spad{partialQuotients(x)} extracts the partial quotients in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialQuotients(x) = [b0,b1,b2,b3,...]}.")) (|partialDenominators| (((|Stream| |#1|) $) "\\spad{partialDenominators(x)} extracts the denominators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialDenominators(x) = [b1,b2,b3,...]}.")) (|partialNumerators| (((|Stream| |#1|) $) "\\spad{partialNumerators(x)} extracts the numerators in \\spadvar{x}. That is, if \\spad{x = continuedFraction(b0, [a1,a2,a3,...], [b1,b2,b3,...])}, then \\spad{partialNumerators(x) = [a1,a2,a3,...]}.")) (|reducedContinuedFraction| (($ |#1| (|Stream| |#1|)) "\\spad{reducedContinuedFraction(b0,b)} constructs a continued fraction in the following way: if \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + 1/(b1 + 1/(b2 + ...))}. That is, the result is the same as \\spad{continuedFraction(b0,[1,1,1,...],[b1,b2,b3,...])}.")) (|continuedFraction| (($ |#1| (|Stream| |#1|) (|Stream| |#1|)) "\\spad{continuedFraction(b0,a,b)} constructs a continued fraction in the following way: if \\spad{a = [a1,a2,...]} and \\spad{b = [b1,b2,...]} then the result is the continued fraction \\spad{b0 + \\spad{a1/(b1} + \\spad{a2/(b2} + ...))}.") (($ (|Fraction| |#1|)) "\\spad{continuedFraction(r)} converts the fraction \\spadvar{r} with components of type \\spad{R} to a continued fraction over \\spad{R}."))) 
+(((-4573 "*") . T) (-4564 . T) (-4569 . T) (-4563 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-175 R) 
-((|constructor| (NIL "CoordinateSystems provides coordinate transformation functions for plotting. Functions in this package return conversion functions which take points expressed in other coordinate systems and return points with the corresponding Cartesian coordinates.")) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) "\\spad{conical(a,{}b)} transforms from conical coordinates to Cartesian coordinates: \\spad{conical(a,{}b)} is a function which will map the point \\spad{(lambda,{}mu,{}nu)} to \\spad{x = lambda*mu*nu/(a*b)},{} \\spad{y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))},{} \\spad{z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))}.")) (|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{toroidal(a)} transforms from toroidal coordinates to Cartesian coordinates: \\spad{toroidal(a)} is a function which will map the point \\spad{(u,{}v,{}phi)} to \\spad{x = a*sinh(v)*cos(phi)/(cosh(v)-cos(u))},{} \\spad{y = a*sinh(v)*sin(phi)/(cosh(v)-cos(u))},{} \\spad{z = a*sin(u)/(cosh(v)-cos(u))}.")) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolarCylindrical(a)} transforms from bipolar cylindrical coordinates to Cartesian coordinates: \\spad{bipolarCylindrical(a)} is a function which will map the point \\spad{(u,{}v,{}z)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))},{} \\spad{y = a*sin(u)/(cosh(v)-cos(u))},{} \\spad{z}.")) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolar(a)} transforms from bipolar coordinates to Cartesian coordinates: \\spad{bipolar(a)} is a function which will map the point \\spad{(u,{}v)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))},{} \\spad{y = a*sin(u)/(cosh(v)-cos(u))}.")) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{oblateSpheroidal(a)} transforms from oblate spheroidal coordinates to Cartesian coordinates: \\spad{oblateSpheroidal(a)} is a function which will map the point \\spad{(\\spad{xi},{}eta,{}phi)} to \\spad{x = a*sinh(\\spad{xi})*sin(eta)*cos(phi)},{} \\spad{y = a*sinh(\\spad{xi})*sin(eta)*sin(phi)},{} \\spad{z = a*cosh(\\spad{xi})*cos(eta)}.")) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{prolateSpheroidal(a)} transforms from prolate spheroidal coordinates to Cartesian coordinates: \\spad{prolateSpheroidal(a)} is a function which will map the point \\spad{(\\spad{xi},{}eta,{}phi)} to \\spad{x = a*sinh(\\spad{xi})*sin(eta)*cos(phi)},{} \\spad{y = a*sinh(\\spad{xi})*sin(eta)*sin(phi)},{} \\spad{z = a*cosh(\\spad{xi})*cos(eta)}.")) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{ellipticCylindrical(a)} transforms from elliptic cylindrical coordinates to Cartesian coordinates: \\spad{ellipticCylindrical(a)} is a function which will map the point \\spad{(u,{}v,{}z)} to \\spad{x = a*cosh(u)*cos(v)},{} \\spad{y = a*sinh(u)*sin(v)},{} \\spad{z}.")) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{elliptic(a)} transforms from elliptic coordinates to Cartesian coordinates: \\spad{elliptic(a)} is a function which will map the point \\spad{(u,{}v)} to \\spad{x = a*cosh(u)*cos(v)},{} \\spad{y = a*sinh(u)*sin(v)}.")) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) "\\spad{paraboloidal(pt)} transforms \\spad{pt} from paraboloidal coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v,{}phi)} to \\spad{x = u*v*cos(phi)},{} \\spad{y = u*v*sin(phi)},{} \\spad{z = 1/2 * (u**2 - v**2)}.")) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolicCylindrical(pt)} transforms \\spad{pt} from parabolic cylindrical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v,{}z)} to \\spad{x = 1/2*(u**2 - v**2)},{} \\spad{y = u*v},{} \\spad{z}.")) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolic(pt)} transforms \\spad{pt} from parabolic coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,{}v)} to \\spad{x = 1/2*(u**2 - v**2)},{} \\spad{y = u*v}.")) (|spherical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{spherical(pt)} transforms \\spad{pt} from spherical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta,{}phi)} to \\spad{x = r*sin(phi)*cos(theta)},{} \\spad{y = r*sin(phi)*sin(theta)},{} \\spad{z = r*cos(phi)}.")) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cylindrical(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta,{}z)} to \\spad{x = r * cos(theta)},{} \\spad{y = r * sin(theta)},{} \\spad{z}.")) (|polar| (((|Point| |#1|) (|Point| |#1|)) "\\spad{polar(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,{}theta)} to \\spad{x = r * cos(theta)} ,{} \\spad{y = r * sin(theta)}.")) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cartesian(pt)} returns the Cartesian coordinates of point \\spad{pt}."))) 
+((|constructor| (NIL "CoordinateSystems provides coordinate transformation functions for plotting. Functions in this package return conversion functions which take points expressed in other coordinate systems and return points with the corresponding Cartesian coordinates.")) (|conical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1| |#1|) "\\spad{conical(a,b)} transforms from conical coordinates to Cartesian coordinates: \\spad{conical(a,b)} is a function which will map the point \\spad{(lambda,mu,nu)} to \\spad{x = lambda*mu*nu/(a*b)}, \\spad{y = lambda/a*sqrt((mu**2-a**2)*(nu**2-a**2)/(a**2-b**2))}, \\spad{z = lambda/b*sqrt((mu**2-b**2)*(nu**2-b**2)/(b**2-a**2))}.")) (|toroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{toroidal(a)} transforms from toroidal coordinates to Cartesian coordinates: \\spad{toroidal(a)} is a function which will map the point \\spad{(u,v,phi)} to \\spad{x = a*sinh(v)*cos(phi)/(cosh(v)-cos(u))}, \\spad{y = a*sinh(v)*sin(phi)/(cosh(v)-cos(u))}, \\spad{z = a*sin(u)/(cosh(v)-cos(u))}.")) (|bipolarCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolarCylindrical(a)} transforms from bipolar cylindrical coordinates to Cartesian coordinates: \\spad{bipolarCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}, \\spad{z}.")) (|bipolar| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{bipolar(a)} transforms from bipolar coordinates to Cartesian coordinates: \\spad{bipolar(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*sinh(v)/(cosh(v)-cos(u))}, \\spad{y = a*sin(u)/(cosh(v)-cos(u))}.")) (|oblateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{oblateSpheroidal(a)} transforms from oblate spheroidal coordinates to Cartesian coordinates: \\spad{oblateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|prolateSpheroidal| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{prolateSpheroidal(a)} transforms from prolate spheroidal coordinates to Cartesian coordinates: \\spad{prolateSpheroidal(a)} is a function which will map the point \\spad{(xi,eta,phi)} to \\spad{x = a*sinh(xi)*sin(eta)*cos(phi)}, \\spad{y = a*sinh(xi)*sin(eta)*sin(phi)}, \\spad{z = a*cosh(xi)*cos(eta)}.")) (|ellipticCylindrical| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{ellipticCylindrical(a)} transforms from elliptic cylindrical coordinates to Cartesian coordinates: \\spad{ellipticCylindrical(a)} is a function which will map the point \\spad{(u,v,z)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}, \\spad{z}.")) (|elliptic| (((|Mapping| (|Point| |#1|) (|Point| |#1|)) |#1|) "\\spad{elliptic(a)} transforms from elliptic coordinates to Cartesian coordinates: \\spad{elliptic(a)} is a function which will map the point \\spad{(u,v)} to \\spad{x = a*cosh(u)*cos(v)}, \\spad{y = a*sinh(u)*sin(v)}.")) (|paraboloidal| (((|Point| |#1|) (|Point| |#1|)) "\\spad{paraboloidal(pt)} transforms \\spad{pt} from paraboloidal coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,phi)} to \\spad{x = u*v*cos(phi)}, \\spad{y = u*v*sin(phi)}, \\spad{z = 1/2 * \\spad{(u**2} - v**2)}.")) (|parabolicCylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolicCylindrical(pt)} transforms \\spad{pt} from parabolic cylindrical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v,z)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}, \\spad{z}.")) (|parabolic| (((|Point| |#1|) (|Point| |#1|)) "\\spad{parabolic(pt)} transforms \\spad{pt} from parabolic coordinates to Cartesian coordinates: the function produced will map the point \\spad{(u,v)} to \\spad{x = 1/2*(u**2 - v**2)}, \\spad{y = u*v}.")) (|spherical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{spherical(pt)} transforms \\spad{pt} from spherical coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,phi)} to \\spad{x = r*sin(phi)*cos(theta)}, \\spad{y = r*sin(phi)*sin(theta)}, \\spad{z = r*cos(phi)}.")) (|cylindrical| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cylindrical(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta,z)} to \\spad{x = \\spad{r} * cos(theta)}, \\spad{y = \\spad{r} * sin(theta)}, \\spad{z}.")) (|polar| (((|Point| |#1|) (|Point| |#1|)) "\\spad{polar(pt)} transforms \\spad{pt} from polar coordinates to Cartesian coordinates: the function produced will map the point \\spad{(r,theta)} to \\spad{x = \\spad{r} * cos(theta)} ,{} \\spad{y = \\spad{r} * sin(theta)}.")) (|cartesian| (((|Point| |#1|) (|Point| |#1|)) "\\spad{cartesian(pt)} returns the Cartesian coordinates of point \\spad{pt.}"))) 
 NIL 
 NIL 
 (-176 R |PolR| E) 
@@ -637,31 +637,31 @@ NIL
 NIL 
 NIL 
 (-177 R S CS) 
-((|constructor| (NIL "This package supports matching patterns involving complex expressions")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(cexpr,{} pat,{} res)} matches the pattern \\spad{pat} to the complex expression \\spad{cexpr}. res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+((|constructor| (NIL "This package supports matching patterns involving complex expressions")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(cexpr, pat, res)} matches the pattern \\spad{pat} to the complex expression cexpr. res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
-((|HasCategory| (-954 |#2|) (LIST (QUOTE -882) (|devaluate| |#1|)))) 
+((|HasCategory| (-955 |#2|) (LIST (QUOTE -883) (|devaluate| |#1|)))) 
 (-178 R) 
-((|constructor| (NIL "This package has no documentation")) (|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) "\\spad{multiEuclideanTree(l,{}r)} \\undocumented{}")) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) "\\spad{chineseRemainder(llv,{}lm)} returns a list of values,{} each of which corresponds to the Chinese remainder of the associated element of \\axiom{\\spad{llv}} and axiom{\\spad{lm}}. This is more efficient than applying chineseRemainder several times.") ((|#1| (|List| |#1|) (|List| |#1|)) "\\spad{chineseRemainder(lv,{}lm)} returns a value \\axiom{\\spad{v}} such that,{} if \\spad{x} is \\axiom{\\spad{lv}.\\spad{i}} modulo \\axiom{\\spad{lm}.\\spad{i}} for all \\axiom{\\spad{i}},{} then \\spad{x} is \\axiom{\\spad{v}} modulo \\axiom{\\spad{lm}(1)\\spad{*lm}(2)*...\\spad{*lm}(\\spad{n})}.")) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) "\\spad{modTree(r,{}l)} \\undocumented{}"))) 
+((|constructor| (NIL "This package has no documentation")) (|multiEuclideanTree| (((|List| |#1|) (|List| |#1|) |#1|) "\\spad{multiEuclideanTree(l,r)} \\undocumented{}")) (|chineseRemainder| (((|List| |#1|) (|List| (|List| |#1|)) (|List| |#1|)) "\\spad{chineseRemainder(llv,lm)} returns a list of values, each of which corresponds to the Chinese remainder of the associated element of \\axiom{llv} and axiom{lm}. This is more efficient than applying chineseRemainder several times.") ((|#1| (|List| |#1|) (|List| |#1|)) "\\spad{chineseRemainder(lv,lm)} returns a value \\axiom{v} such that, if \\spad{x} is \\axiom{lv.i} modulo \\axiom{lm.i} for all \\axiom{i}, then \\spad{x} is \\axiom{v} modulo \\axiom{lm(1)*lm(2)*...*lm(n)}.")) (|modTree| (((|List| |#1|) |#1| (|List| |#1|)) "\\spad{modTree(r,l)} \\undocumented{}"))) 
 NIL 
 NIL 
 (-179 R UP) 
-((|constructor| (NIL "\\spadtype{ComplexRootFindingPackage} provides functions to find all roots of a polynomial \\spad{p} over the complex number by using Plesken\\spad{'s} idea to calculate in the polynomial ring modulo \\spad{f} and employing the Chinese Remainder Theorem. In this first version,{} the precision (see digits) is not increased when this is necessary to avoid rounding errors. Hence it is the user\\spad{'s} responsibility to increase the precision if necessary. Note also,{} if this package is called with \\spadignore{e.g.} \\spadtype{Fraction Integer},{} the precise calculations could require a lot of time. Also note that evaluating the zeros is not necessarily a good check whether the result is correct: already evaluation can cause rounding errors.")) (|startPolynomial| (((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|) "\\spad{startPolynomial(p)} uses the ideas of Schoenhage\\spad{'s} variant of Graeffe\\spad{'s} method to construct circles which separate roots to get a good start polynomial,{} \\spadignore{i.e.} one whose image under the Chinese Remainder Isomorphism has both entries of norm smaller and greater or equal to 1. In case the roots are found during internal calculations. The corresponding factors are in factors which are otherwise 1.")) (|setErrorBound| ((|#1| |#1|) "\\spad{setErrorBound(eps)} changes the internal error bound,{} by default being 10 \\spad{**} (\\spad{-3}) to \\spad{eps},{} if \\spad{R} is a member in the category \\spadtype{QuotientFieldCategory Integer}. The internal globalDigits is set to \\em ceiling(1/r)\\spad{**2*10} being 10**7 by default.")) (|schwerpunkt| (((|Complex| |#1|) |#2|) "\\spad{schwerpunkt(p)} determines the 'Schwerpunkt' of the roots of the polynomial \\spad{p} of degree \\spad{n},{} \\spadignore{i.e.} the center of gravity,{} which is coeffient of \\spad{x**(n-1)} divided by \\spad{n} times coefficient of \\spad{x**n}.")) (|rootRadius| ((|#1| |#2|) "\\spad{rootRadius(p)} calculates the root radius of \\spad{p} with a maximal error quotient of 1+globalEps,{} where globalEps is the internal error bound,{} which can be set by setErrorBound.") ((|#1| |#2| |#1|) "\\spad{rootRadius(p,{}errQuot)} calculates the root radius of \\spad{p} with a maximal error quotient of \\spad{errQuot}.")) (|reciprocalPolynomial| ((|#2| |#2|) "\\spad{reciprocalPolynomial(p)} calulates a polynomial which has exactly the inverses of the non-zero roots of \\spad{p} as roots,{} and the same number of 0-roots.")) (|pleskenSplit| (((|Factored| |#2|) |#2| |#1|) "\\spad{pleskenSplit(poly,{} eps)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of \\spad{poly},{} in general of degree \"degree \\spad{poly} \\spad{-1\"}. Then a divisor cascade is calculated and the best splitting is chosen,{} as soon as the error is small enough.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{pleskenSplit(poly,{}eps,{}info)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of \\spad{poly},{} in general of degree \"degree \\spad{poly} \\spad{-1\"}. Then a divisor cascade is calculated and the best splitting is chosen,{} as soon as the error is small enough. If \\spad{info} is \\spad{true},{} then information messages are issued.")) (|norm| ((|#1| |#2|) "\\spad{norm(p)} determines sum of absolute values of coefficients Note that this function depends on abs.")) (|graeffe| ((|#2| |#2|) "\\spad{graeffe p} determines \\spad{q} such that \\spad{q(-z**2) = p(z)*p(-z)}. Note that the roots of \\spad{q} are the squares of the roots of \\spad{p}.")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} tries to factor \\spad{p} into linear factors with error atmost globalEps,{} the internal error bound,{} which can be set by setErrorBound. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1|) "\\spad{factor(p,{} eps)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{factor(p,{} eps,{} info)} tries to factor \\spad{p} into linear factors with error atmost \\spad{eps}. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization. If info is \\spad{true},{} then information messages are given.")) (|divisorCascade| (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|) "\\spad{divisorCascade(p,{}tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p},{} both monic. A sequence of divisions is calculated using the remainder,{} made monic,{} as divisor for the the next division. The result contains also the error of the factorizations,{} \\spadignore{i.e.} the norm of the remainder polynomial.") (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|)) "\\spad{divisorCascade(p,{}tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p},{} both monic. A sequence of divisions are calculated using the remainder,{} made monic,{} as divisor for the the next division. The result contains also the error of the factorizations,{} \\spadignore{i.e.} the norm of the remainder polynomial. If info is \\spad{true},{} then information messages are issued.")) (|complexZeros| (((|List| (|Complex| |#1|)) |#2| |#1|) "\\spad{complexZeros(p,{} eps)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by eps.") (((|List| (|Complex| |#1|)) |#2|) "\\spad{complexZeros(p)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by the package constant globalEps which you may change by setErrorBound."))) 
+((|constructor| (NIL "\\spadtype{ComplexRootFindingPackage} provides functions to find all roots of a polynomial \\spad{p} over the complex number by using Plesken's idea to calculate in the polynomial ring modulo \\spad{f} and employing the Chinese Remainder Theorem. In this first version, the precision (see digits) is not increased when this is necessary to avoid rounding errors. Hence it is the user's responsibility to increase the precision if necessary. Note also, if this package is called with \\spadignore{e.g.} \\spadtype{Fraction Integer}, the precise calculations could require a lot of time. Also note that evaluating the zeros is not necessarily a good check whether the result is correct: already evaluation can cause rounding errors.")) (|startPolynomial| (((|Record| (|:| |start| |#2|) (|:| |factors| (|Factored| |#2|))) |#2|) "\\spad{startPolynomial(p)} uses the ideas of Schoenhage's variant of Graeffe's method to construct circles which separate roots to get a good start polynomial, \\spadignore{i.e.} one whose image under the Chinese Remainder Isomorphism has both entries of norm smaller and greater or equal to 1. In case the roots are found during internal calculations. The corresponding factors are in factors which are otherwise 1.")) (|setErrorBound| ((|#1| |#1|) "\\spad{setErrorBound(eps)} changes the internal error bound, by default being 10 \\spad{**} (-3) to eps, if \\spad{R} is a member in the category \\spadtype{QuotientFieldCategory Integer}. The internal globalDigits is set to \\em \\spad{ceiling(1/r)**2*10} being 10**7 by default.")) (|schwerpunkt| (((|Complex| |#1|) |#2|) "\\spad{schwerpunkt(p)} determines the 'Schwerpunkt' of the roots of the polynomial \\spad{p} of degree \\spad{n,} \\spadignore{i.e.} the center of gravity, which is coeffient of \\spad{x**(n-1)} divided by \\spad{n} times coefficient of \\spad{x**n}.")) (|rootRadius| ((|#1| |#2|) "\\spad{rootRadius(p)} calculates the root radius of \\spad{p} with a maximal error quotient of 1+globalEps, where globalEps is the internal error bound, which can be set by setErrorBound.") ((|#1| |#2| |#1|) "\\spad{rootRadius(p,errQuot)} calculates the root radius of \\spad{p} with a maximal error quotient of errQuot.")) (|reciprocalPolynomial| ((|#2| |#2|) "\\spad{reciprocalPolynomial(p)} calulates a polynomial which has exactly the inverses of the non-zero roots of \\spad{p} as roots, and the same number of 0-roots.")) (|pleskenSplit| (((|Factored| |#2|) |#2| |#1|) "\\spad{pleskenSplit(poly, eps)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of poly, in general of degree \"degree \\spad{poly} -1\". Then a divisor cascade is calculated and the best splitting is chosen, as soon as the error is small enough.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{pleskenSplit(poly,eps,info)} determines a start polynomial start by using \"startPolynomial then it increases the exponent \\spad{n} of start \\spad{**} \\spad{n} mod \\spad{poly} to get an approximate factor of poly, in general of degree \"degree \\spad{poly} -1\". Then a divisor cascade is calculated and the best splitting is chosen, as soon as the error is small enough. If \\spad{info} is true, then information messages are issued.")) (|norm| ((|#1| |#2|) "\\spad{norm(p)} determines sum of absolute values of coefficients Note that this function depends on abs.")) (|graeffe| ((|#2| |#2|) "\\spad{graeffe \\spad{p}} determines \\spad{q} such that \\spad{q(-z**2) = p(z)*p(-z)}. Note that the roots of \\spad{q} are the squares of the roots of \\spad{p.}")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} tries to factor \\spad{p} into linear factors with error atmost globalEps, the internal error bound, which can be set by setErrorBound. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1|) "\\spad{factor(p, eps)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization.") (((|Factored| |#2|) |#2| |#1| (|Boolean|)) "\\spad{factor(p, eps, info)} tries to factor \\spad{p} into linear factors with error atmost eps. An overall error bound \\spad{eps0} is determined and iterated tree-like calls to pleskenSplit are used to get the factorization. If info is true, then information messages are given.")) (|divisorCascade| (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2|) "\\spad{divisorCascade(p,tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p,} both monic. A sequence of divisions is calculated using the remainder, made monic, as divisor for the the next division. The result contains also the error of the factorizations, \\spadignore{i.e.} the norm of the remainder polynomial.") (((|List| (|Record| (|:| |factors| (|List| |#2|)) (|:| |error| |#1|))) |#2| |#2| (|Boolean|)) "\\spad{divisorCascade(p,tp)} assumes that degree of polynomial \\spad{tp} is smaller than degree of polynomial \\spad{p,} both monic. A sequence of divisions are calculated using the remainder, made monic, as divisor for the the next division. The result contains also the error of the factorizations, \\spadignore{i.e.} the norm of the remainder polynomial. If info is true, then information messages are issued.")) (|complexZeros| (((|List| (|Complex| |#1|)) |#2| |#1|) "\\spad{complexZeros(p, eps)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by eps.") (((|List| (|Complex| |#1|)) |#2|) "\\spad{complexZeros(p)} tries to determine all complex zeros of the polynomial \\spad{p} with accuracy given by the package constant globalEps which you may change by setErrorBound."))) 
 NIL 
 NIL 
 (-180 S ST) 
-((|constructor| (NIL "This package provides tools for working with cyclic streams.")) (|computeCycleEntry| ((|#2| |#2| |#2|) "\\indented{1}{computeCycleEntry(\\spad{x},{}cycElt),{} where cycElt is a pointer to a} \\indented{1}{node in the cyclic part of the cyclic stream \\spad{x},{} returns a} \\indented{1}{pointer to the first node in the cycle} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} computeCycleEntry(\\spad{q},{}cycleElt(\\spad{q}))")) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) "\\indented{1}{computeCycleLength(\\spad{s}) returns the length of the cycle of a} \\indented{1}{cyclic stream \\spad{t},{} where \\spad{s} is a pointer to a node in the} \\indented{1}{cyclic part of \\spad{t}.} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} computeCycleLength(cycleElt(\\spad{q}))")) (|cycleElt| (((|Union| |#2| "failed") |#2|) "\\indented{1}{cycleElt(\\spad{s}) returns a pointer to a node in the cycle if the stream} \\indented{1}{\\spad{s} is cyclic and returns \"failed\" if \\spad{s} is not cyclic} \\blankline \\spad{X} p:=repeating([1,{}2,{}3]) \\spad{X} q:=cons(4,{}\\spad{p}) \\spad{X} cycleElt \\spad{q} \\spad{X} \\spad{r:=}[1,{}2,{}3]::Stream(Integer) \\spad{X} cycleElt \\spad{r}"))) 
+((|constructor| (NIL "This package provides tools for working with cyclic streams.")) (|computeCycleEntry| ((|#2| |#2| |#2|) "\\indented{1}{computeCycleEntry(x,cycElt), where cycElt is a pointer to a} \\indented{1}{node in the cyclic part of the cyclic stream \\spad{x,} returns a} \\indented{1}{pointer to the first node in the cycle} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleEntry(q,cycleElt(q))")) (|computeCycleLength| (((|NonNegativeInteger|) |#2|) "\\indented{1}{computeCycleLength(s) returns the length of the cycle of a} \\indented{1}{cyclic stream \\spad{t,} where \\spad{s} is a pointer to a node in the} \\indented{1}{cyclic part of \\spad{t.}} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} computeCycleLength(cycleElt(q))")) (|cycleElt| (((|Union| |#2| "failed") |#2|) "\\indented{1}{cycleElt(s) returns a pointer to a node in the cycle if the stream} \\indented{1}{s is cyclic and returns \"failed\" if \\spad{s} is not cyclic} \\blankline \\spad{X} p:=repeating([1,2,3]) \\spad{X} q:=cons(4,p) \\spad{X} cycleElt \\spad{q} \\spad{X} r:=[1,2,3]::Stream(Integer) \\spad{X} cycleElt \\spad{r}"))) 
 NIL 
 NIL 
-(-181 R -1564) 
-((|constructor| (NIL "\\spadtype{ComplexTrigonometricManipulations} provides function that compute the real and imaginary parts of complex functions.")) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) "\\spad{complexForm(f)} returns \\spad{[real f,{} imag f]}.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real f}.")) (|imag| (((|Expression| |#1|) |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| (((|Expression| |#1|) |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f,{} x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f,{} x)} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
+(-181 R -1647) 
+((|constructor| (NIL "\\spadtype{ComplexTrigonometricManipulations} provides function that compute the real and imaginary parts of complex functions.")) (|complexForm| (((|Complex| (|Expression| |#1|)) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| (((|Expression| |#1|) |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| (((|Expression| |#1|) |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
 (-182 R) 
-((|constructor| (NIL "CoerceVectorMatrixPackage is an unexposed,{} technical package for data conversions")) (|coerce| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))) "\\spad{coerce(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix R} as vector over \\spadtype{Matrix Fraction Polynomial R}")) (|coerceP| (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|))) "\\spad{coerceP(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix R} as vector over \\spadtype{Matrix Polynomial R}"))) 
+((|constructor| (NIL "CoerceVectorMatrixPackage is an unexposed, technical package for data conversions")) (|coerce| (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Vector| (|Matrix| |#1|))) "\\spad{coerce(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix \\spad{R}} as vector over \\spadtype{Matrix Fraction Polynomial \\spad{R}}")) (|coerceP| (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|Vector| (|Matrix| |#1|))) "\\spad{coerceP(v)} coerces a vector \\spad{v} with entries in \\spadtype{Matrix \\spad{R}} as vector over \\spadtype{Matrix Polynomial \\spad{R}}"))) 
 NIL 
 NIL 
 (-183) 
-((|constructor| (NIL "Polya-Redfield enumeration by cycle indices.")) (|skewSFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{skewSFunction(li1,{}li2)} is the \\spad{S}-function \\indented{1}{of the partition difference \\spad{li1 - li2}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|SFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|))) "\\spad{SFunction(\\spad{li})} is the \\spad{S}-function of the partition \\spad{\\spad{li}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|wreath| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{wreath(s1,{}s2)} is the cycle index of the wreath product \\indented{1}{of the two groups whose cycle indices are \\spad{s1} and} \\indented{1}{\\spad{s2}.}")) (|eval| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval s} is the sum of the coefficients of a cycle index.")) (|cup| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cup(s1,{}s2)},{} introduced by Redfield,{} \\indented{1}{is the scalar product of two cycle indices,{} in which the} \\indented{1}{power sums are retained to produce a cycle index.}")) (|cap| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cap(s1,{}s2)},{} introduced by Redfield,{} \\indented{1}{is the scalar product of two cycle indices.}")) (|graphs| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{graphs n} is the cycle index of the group induced on \\indented{1}{the edges of a graph by applying the symmetric function to the} \\indented{1}{\\spad{n} nodes.}")) (|dihedral| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{dihedral n} is the cycle index of the \\indented{1}{dihedral group of degree \\spad{n}.}")) (|cyclic| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{cyclic n} is the cycle index of the \\indented{1}{cyclic group of degree \\spad{n}.}")) (|alternating| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{alternating n} is the cycle index of the \\indented{1}{alternating group of degree \\spad{n}.}")) (|elementary| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{elementary n} is the \\spad{n} th elementary symmetric \\indented{1}{function expressed in terms of power sums.}")) (|powerSum| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{powerSum n} is the \\spad{n} th power sum symmetric \\indented{1}{function.}")) (|complete| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{complete n} is the \\spad{n} th complete homogeneous \\indented{1}{symmetric function expressed in terms of power sums.} \\indented{1}{Alternatively it is the cycle index of the symmetric} \\indented{1}{group of degree \\spad{n}.}"))) 
+((|constructor| (NIL "Polya-Redfield enumeration by cycle indices.")) (|skewSFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{skewSFunction(li1,li2)} is the S-function \\indented{1}{of the partition difference \\spad{li1 - li2}} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|SFunction| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|List| (|Integer|))) "\\spad{SFunction(li)} is the S-function of the partition \\spad{li} \\indented{1}{expressed in terms of power sum symmetric functions.}")) (|wreath| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{wreath(s1,s2)} is the cycle index of the wreath product \\indented{1}{of the two groups whose cycle indices are \\spad{s1} and} \\indented{1}{\\spad{s2}.}")) (|eval| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval \\spad{s}} is the sum of the coefficients of a cycle index.")) (|cup| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cup(s1,s2)}, introduced by Redfield, \\indented{1}{is the scalar product of two cycle indices, in which the} \\indented{1}{power sums are retained to produce a cycle index.}")) (|cap| (((|Fraction| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|))) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{cap(s1,s2)}, introduced by Redfield, \\indented{1}{is the scalar product of two cycle indices.}")) (|graphs| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{graphs \\spad{n}} is the cycle index of the group induced on \\indented{1}{the edges of a graph by applying the symmetric function to the} \\indented{1}{n nodes.}")) (|dihedral| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{dihedral \\spad{n}} is the cycle index of the \\indented{1}{dihedral group of degree \\spad{n.}}")) (|cyclic| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{cyclic \\spad{n}} is the cycle index of the \\indented{1}{cyclic group of degree \\spad{n.}}")) (|alternating| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{alternating \\spad{n}} is the cycle index of the \\indented{1}{alternating group of degree \\spad{n.}}")) (|elementary| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{elementary \\spad{n}} is the \\spad{n} th elementary symmetric \\indented{1}{function expressed in terms of power sums.}")) (|powerSum| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{powerSum \\spad{n}} is the \\spad{n} th power sum symmetric \\indented{1}{function.}")) (|complete| (((|SymmetricPolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{complete \\spad{n}} is the \\spad{n} th complete homogeneous \\indented{1}{symmetric function expressed in terms of power sums.} \\indented{1}{Alternatively it is the cycle index of the symmetric} \\indented{1}{group of degree \\spad{n.}}"))) 
 NIL 
 NIL 
 (-184) 
@@ -669,47 +669,47 @@ NIL
 NIL 
 NIL 
 (-185) 
-((|constructor| (NIL "\\axiomType{d01AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical integration routine. It contains functions \\axiomFun{rangeIsFinite} to test the input range and \\axiomFun{functionIsContinuousAtEndPoints} to check for continuity at the end points of the range.")) (|changeName| (((|Result|) (|Symbol|) (|Symbol|) (|Result|)) "\\spad{changeName(s,{}t,{}r)} changes the name of item \\axiom{\\spad{s}} in \\axiom{\\spad{r}} to \\axiom{\\spad{t}}.")) (|commaSeparate| (((|String|) (|List| (|String|))) "\\spad{commaSeparate(l)} produces a comma separated string from a list of strings.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{singularitiesOf(args)} returns a list of potential singularities of the function within the given range")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,{}var,{}range)} returns a list of possible problem points by looking at the zeros of the denominator of the function if it can be retracted to \\axiomType{Polynomial DoubleFloat}.")) (|functionIsOscillatory| (((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsOscillatory(a)} tests whether the function \\spad{a.fn} has many zeros of its derivative.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(x)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{\\spad{x}}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(x)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{\\spad{x}}")) (|functionIsContinuousAtEndPoints| (((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsContinuousAtEndPoints(args)} uses power series limits to check for problems at the end points of the range of \\spad{args}.")) (|rangeIsFinite| (((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{rangeIsFinite(args)} tests the endpoints of \\spad{args.range} for infinite end points."))) 
+((|constructor| (NIL "\\axiomType{d01AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical integration routine. It contains functions \\axiomFun{rangeIsFinite} to test the input range and \\axiomFun{functionIsContinuousAtEndPoints} to check for continuity at the end points of the range.")) (|changeName| (((|Result|) (|Symbol|) (|Symbol|) (|Result|)) "\\spad{changeName(s,t,r)} changes the name of item \\axiom{s} in \\axiom{r} to \\axiom{t}.")) (|commaSeparate| (((|String|) (|List| (|String|))) "\\spad{commaSeparate(l)} produces a comma separated string from a list of strings.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{singularitiesOf(args)} returns a list of potential singularities of the function within the given range")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,var,range)} returns a list of possible problem points by looking at the zeros of the denominator of the function if it can be retracted to \\axiomType{Polynomial DoubleFloat}.")) (|functionIsOscillatory| (((|Float|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsOscillatory(a)} tests whether the function \\spad{a.fn} has many zeros of its derivative.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(x)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{x}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(x)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{x}")) (|functionIsContinuousAtEndPoints| (((|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsContinuousAtEndPoints(args)} uses power series limits to check for problems at the end points of the range of \\spad{args}.")) (|rangeIsFinite| (((|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{rangeIsFinite(args)} tests the endpoints of \\spad{args.range} for infinite end points."))) 
 NIL 
 NIL 
 (-186) 
-((|constructor| (NIL "\\axiomType{d01ajfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AJF,{} a general numerical integration routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AJF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01ajfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AJF, a general numerical integration routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AJF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-187) 
-((|constructor| (NIL "\\axiomType{d01akfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AKF,{} a numerical integration routine which is is suitable for oscillating,{} non-singular functions. The function \\axiomFun{measure} measures the usefulness of the routine D01AKF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01akfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AKF, a numerical integration routine which is is suitable for oscillating, non-singular functions. The function \\axiomFun{measure} measures the usefulness of the routine D01AKF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-188) 
-((|constructor| (NIL "\\axiomType{d01alfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ALF,{} a general numerical integration routine which can handle a list of singularities. The function \\axiomFun{measure} measures the usefulness of the routine D01ALF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01alfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ALF, a general numerical integration routine which can handle a list of singularities. The function \\axiomFun{measure} measures the usefulness of the routine D01ALF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-189) 
-((|constructor| (NIL "\\axiomType{d01amfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AMF,{} a general numerical integration routine which can handle infinite or semi-infinite range of the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AMF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01amfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AMF, a general numerical integration routine which can handle infinite or semi-infinite range of the input function. The function \\axiomFun{measure} measures the usefulness of the routine D01AMF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-190) 
-((|constructor| (NIL "\\axiomType{d01anfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ANF,{} a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x}) or sin(\\omega \\spad{x}). The function \\axiomFun{measure} measures the usefulness of the routine D01ANF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01anfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ANF, a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x)} or sin(\\omega \\spad{x).} The function \\axiomFun{measure} measures the usefulness of the routine D01ANF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-191) 
-((|constructor| (NIL "\\axiomType{d01apfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01APF,{} a general numerical integration routine which can handle end point singularities of the algebraico-logarithmic form \\spad{w}(\\spad{x}) = (\\spad{x}-a)\\spad{^c} * (\\spad{b}-\\spad{x})\\spad{^d}. The function \\axiomFun{measure} measures the usefulness of the routine D01APF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01apfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01APF, a general numerical integration routine which can handle end point singularities of the algebraico-logarithmic form w(x) = (x-a)^c * (b-x)^d. The function \\axiomFun{measure} measures the usefulness of the routine D01APF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-192) 
-((|constructor| (NIL "\\axiomType{d01aqfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AQF,{} a general numerical integration routine which can solve an integral of the form /home/bjd/Axiom/anna/hypertex/bitmaps/d01aqf.\\spad{xbm} The function \\axiomFun{measure} measures the usefulness of the routine D01AQF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01aqfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01AQF, a general numerical integration routine which can solve an integral of the form /home/bjd/Axiom/anna/hypertex/bitmaps/d01aqf.xbm The function \\axiomFun{measure} measures the usefulness of the routine D01AQF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-193) 
-((|constructor| (NIL "\\axiomType{d01asfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ASF,{} a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x}) or sin(\\omega \\spad{x}) on an semi-infinite range. The function \\axiomFun{measure} measures the usefulness of the routine D01ASF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01asfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01ASF, a numerical integration routine which can handle weight functions of the form cos(\\omega \\spad{x)} or sin(\\omega \\spad{x)} on an semi-infinite range. The function \\axiomFun{measure} measures the usefulness of the routine D01ASF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-194) 
-((|constructor| (NIL "\\axiomType{d01fcfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01FCF,{} a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01fcfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01FCF, a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-195) 
-((|constructor| (NIL "\\axiomType{d01gbfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01GBF,{} a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
+((|constructor| (NIL "\\axiomType{d01gbfAnnaType} is a domain of \\axiomType{NumericalIntegrationCategory} for the NAG routine D01GBF, a numerical integration routine which can handle multi-dimensional quadrature over a finite region. The function \\axiomFun{measure} measures the usefulness of the routine D01GBF for the given problem. The function \\axiomFun{numericalIntegration} performs the integration by using \\axiomType{NagIntegrationPackage}."))) 
 NIL 
 NIL 
 (-196) 
@@ -717,31 +717,31 @@ NIL
 NIL 
 NIL 
 (-197) 
-((|constructor| (NIL "\\axiom{d01WeightsPackage} is a package for functions used to investigate whether a function can be divided into a simpler function and a weight function. The types of weights investigated are those giving rise to end-point singularities of the algebraico-logarithmic type,{} and trigonometric weights.")) (|exprHasLogarithmicWeights| (((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasLogarithmicWeights} looks for logarithmic weights giving rise to singularities of the function at the end-points.")) (|exprHasAlgebraicWeight| (((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasAlgebraicWeight} looks for algebraic weights giving rise to singularities of the function at the end-points.")) (|exprHasWeightCosWXorSinWX| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasWeightCosWXorSinWX} looks for trigonometric weights in an expression of the form \\axiom{cos \\omega \\spad{x}} or \\axiom{sin \\omega \\spad{x}},{} returning the value of \\omega (\\notequal 1) and the operator."))) 
+((|constructor| (NIL "\\axiom{d01WeightsPackage} is a package for functions used to investigate whether a function can be divided into a simpler function and a weight function. The types of weights investigated are those giving rise to end-point singularities of the algebraico-logarithmic type, and trigonometric weights.")) (|exprHasLogarithmicWeights| (((|Integer|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasLogarithmicWeights} looks for logarithmic weights giving rise to singularities of the function at the end-points.")) (|exprHasAlgebraicWeight| (((|Union| (|List| (|DoubleFloat|)) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasAlgebraicWeight} looks for algebraic weights giving rise to singularities of the function at the end-points.")) (|exprHasWeightCosWXorSinWX| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\axiom{exprHasWeightCosWXorSinWX} looks for trigonometric weights in an expression of the form \\axiom{cos \\omega \\spad{x}} or \\axiom{sin \\omega \\spad{x},} returning the value of \\omega (\\notequal 1) and the operator."))) 
 NIL 
 NIL 
 (-198) 
-((|constructor| (NIL "\\axiom{d02AgentsPackage} contains a set of computational agents for use with Ordinary Differential Equation solvers.")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and,{} therefore,{} an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,{}1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,{}1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units\\spad{''}. It returns a value in the range [0,{}1].\\indent{20} 400 ``operation units\\spad{''} \\spad{->} 0.75 200 ``operation units\\spad{''} \\spad{->} 0.5 83 ``operation units\\spad{''} \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,{}1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which \\spad{O}(10) equates to mildly stiff wheras stiffness ratios of \\spad{O}(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,{}1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which \\spad{O}(10) equates to mildly stiff wheras stiffness ratios of \\spad{O}(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,{}symbols,{}values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,{}w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,{}L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,{}C2)} is for interacting attributes"))) 
+((|constructor| (NIL "\\axiom{d02AgentsPackage} contains a set of computational agents for use with Ordinary Differential Equation solvers.")) (|intermediateResultsIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{intermediateResultsIF(o)} returns a value corresponding to the required number of intermediate results required and, therefore, an indication of how much this would affect the step-length of the calculation. It returns a value in the range [0,1].")) (|accuracyIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{accuracyIF(o)} returns the intensity value of the accuracy requirements of the input ODE. A request of accuracy of 10^-6 corresponds to the neutral intensity. It returns a value in the range [0,1].")) (|expenseOfEvaluationIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{expenseOfEvaluationIF(o)} returns the intensity value of the cost of evaluating the input ODE. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].\\indent{20} 400 ``operation units'' \\spad{->} 0.75 200 ``operation units'' \\spad{->} 0.5 83 ``operation units'' \\spad{->} 0.25 \\indent{15} exponentiation = 4 units ,{} function calls = 10 units.")) (|systemSizeIF| (((|Float|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{systemSizeIF(ode)} returns the intensity value of the size of the system of ODEs. 20 equations corresponds to the neutral value. It returns a value in the range [0,1].")) (|stiffnessAndStabilityOfODEIF| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityOfODEIF(ode)} calculates the intensity values of stiffness of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian). \\blankline It returns two values in the range [0,1].")) (|stiffnessAndStabilityFactor| (((|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|))) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{stiffnessAndStabilityFactor(me)} calculates the stability and stiffness factor of a system of first-order differential equations (by evaluating the maximum difference in the real parts of the negative eigenvalues of the jacobian of the system for which O(10) equates to mildly stiff wheras stiffness ratios of O(10^6) are not uncommon) and whether the system is likely to show any oscillations (identified by the closeness to the imaginary axis of the complex eigenvalues of the jacobian).")) (|eval| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Matrix| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{eval(mat,symbols,values)} evaluates a multivariable matrix at given \\spad{values} for each of a list of variables")) (|jacobian| (((|Matrix| (|Expression| (|DoubleFloat|))) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|))) "\\spad{jacobian(v,w)} is a local function to make a jacobian matrix")) (|sparsityIF| (((|Float|) (|Matrix| (|Expression| (|DoubleFloat|)))) "\\spad{sparsityIF(m)} calculates the sparsity of a jacobian matrix")) (|combineFeatureCompatibility| (((|Float|) (|Float|) (|List| (|Float|))) "\\spad{combineFeatureCompatibility(C1,L)} is for interacting attributes") (((|Float|) (|Float|) (|Float|)) "\\spad{combineFeatureCompatibility(C1,C2)} is for interacting attributes"))) 
 NIL 
 NIL 
 (-199) 
-((|constructor| (NIL "\\axiomType{d02bbfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BBF,{} a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BBF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
+((|constructor| (NIL "\\axiomType{d02bbfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BBF, a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BBF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
 (-200) 
-((|constructor| (NIL "\\axiomType{d02bhfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BHF,{} a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BHF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
+((|constructor| (NIL "\\axiomType{d02bhfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02BHF, a ODE routine which uses an Runge-Kutta method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02BHF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
 (-201) 
-((|constructor| (NIL "\\axiomType{d02cjfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02CJF,{} a ODE routine which uses an Adams-Moulton-Bashworth method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02CJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
+((|constructor| (NIL "\\axiomType{d02cjfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02CJF, a ODE routine which uses an Adams-Moulton-Bashworth method to solve a system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02CJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
 (-202) 
-((|constructor| (NIL "\\axiomType{d02ejfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02EJF,{} a ODE routine which uses a backward differentiation formulae method to handle a stiff system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02EJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
+((|constructor| (NIL "\\axiomType{d02ejfAnnaType} is a domain of \\axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory} for the NAG routine D02EJF, a ODE routine which uses a backward differentiation formulae method to handle a stiff system of differential equations. The function \\axiomFun{measure} measures the usefulness of the routine D02EJF for the given problem. The function \\axiomFun{ODESolve} performs the integration by using \\axiomType{NagOrdinaryDifferentialEquationsPackage}."))) 
 NIL 
 NIL 
 (-203) 
-((|constructor| (NIL "\\axiom{d03AgentsPackage} contains a set of computational agents for use with Partial Differential Equation solvers.")) (|elliptic?| (((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{elliptic?(r)} \\undocumented{}")) (|central?| (((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{central?(f,{}g,{}l)} \\undocumented{}")) (|subscriptedVariables| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{subscriptedVariables(e)} \\undocumented{}")) (|varList| (((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|)) "\\spad{varList(s,{}n)} \\undocumented{}"))) 
+((|constructor| (NIL "\\axiom{d03AgentsPackage} contains a set of computational agents for use with Partial Differential Equation solvers.")) (|elliptic?| (((|Boolean|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{elliptic?(r)} \\undocumented{}")) (|central?| (((|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{central?(f,g,l)} \\undocumented{}")) (|subscriptedVariables| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{subscriptedVariables(e)} \\undocumented{}")) (|varList| (((|List| (|Symbol|)) (|Symbol|) (|NonNegativeInteger|)) "\\spad{varList(s,n)} \\undocumented{}"))) 
 NIL 
 NIL 
 (-204) 
@@ -753,355 +753,355 @@ NIL
 NIL 
 NIL 
 (-206 S) 
-((|constructor| (NIL "This domain implements a simple view of a database whose fields are indexed by symbols")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(l)} makes a database out of a list")) (- (($ $ $) "\\spad{db1-db2} returns the difference of databases \\spad{db1} and \\spad{db2} \\spadignore{i.e.} consisting of elements in \\spad{db1} but not in \\spad{db2}")) (+ (($ $ $) "\\spad{db1+db2} returns the merge of databases \\spad{db1} and \\spad{db2}")) (|fullDisplay| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{fullDisplay(db,{}start,{}end )} prints full details of entries in the range \\axiom{\\spad{start}..end} in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{fullDisplay(db)} prints full details of each entry in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{fullDisplay(x)} displays \\spad{x} in detail")) (|display| (((|Void|) $) "\\spad{display(db)} prints a summary line for each entry in \\axiom{\\spad{db}}.") (((|Void|) $) "\\spad{display(x)} displays \\spad{x} in some form")) (|elt| (((|DataList| (|String|)) $ (|Symbol|)) "\\spad{elt(db,{}s)} returns the \\axiom{\\spad{s}} field of each element of \\axiom{\\spad{db}}.") (($ $ (|QueryEquation|)) "\\spad{elt(db,{}q)} returns all elements of \\axiom{\\spad{db}} which satisfy \\axiom{\\spad{q}}.") (((|String|) $ (|Symbol|)) "\\spad{elt(x,{}s)} returns an element of \\spad{x} indexed by \\spad{s}"))) 
+((|constructor| (NIL "This domain implements a simple view of a database whose fields are indexed by symbols")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(l)} makes a database out of a list")) (- (($ $ $) "\\spad{db1-db2} returns the difference of databases \\spad{db1} and \\spad{db2} \\spadignore{i.e.} consisting of elements in \\spad{db1} but not in \\spad{db2}")) (+ (($ $ $) "\\spad{db1+db2} returns the merge of databases \\spad{db1} and \\spad{db2}")) (|fullDisplay| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{fullDisplay(db,start,end \\spad{)}} prints full details of entries in the range \\axiom{start..end} in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(db)} prints full details of each entry in \\axiom{db}.") (((|Void|) $) "\\spad{fullDisplay(x)} displays \\spad{x} in detail")) (|display| (((|Void|) $) "\\spad{display(db)} prints a summary line for each entry in \\axiom{db}.") (((|Void|) $) "\\spad{display(x)} displays \\spad{x} in some form")) (|elt| (((|DataList| (|String|)) $ (|Symbol|)) "\\spad{elt(db,s)} returns the \\axiom{s} field of each element of \\axiom{db}.") (($ $ (|QueryEquation|)) "\\spad{elt(db,q)} returns all elements of \\axiom{db} which satisfy \\axiom{q}.") (((|String|) $ (|Symbol|)) "\\spad{elt(x,s)} returns an element of \\spad{x} indexed by \\spad{s}"))) 
 NIL 
 NIL 
-(-207 -1564 UP UPUP R) 
-((|constructor| (NIL "This package provides functions for computing the residues of a function on an algebraic curve.")) (|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) "\\spad{doubleResultant(f,{} ')} returns \\spad{p}(\\spad{x}) whose roots are rational multiples of the residues of \\spad{f} at all its finite poles. Argument ' is the derivation to use."))) 
+(-207 -1647 UP UPUP R) 
+((|constructor| (NIL "This package provides functions for computing the residues of a function on an algebraic curve.")) (|doubleResultant| ((|#2| |#4| (|Mapping| |#2| |#2|)) "\\spad{doubleResultant(f, \\spad{')}} returns p(x) whose roots are rational multiples of the residues of \\spad{f} at all its finite poles. Argument ' is the derivation to use."))) 
 NIL 
 NIL 
-(-208 -1564 FP) 
-((|constructor| (NIL "Package for the factorization of a univariate polynomial with coefficients in a finite field. The algorithm used is the \"distinct degree\" algorithm of Cantor-Zassenhaus,{} modified to use trace instead of the norm and a table for computing Frobenius as suggested by Naudin and Quitte .")) (|irreducible?| (((|Boolean|) |#2|) "\\spad{irreducible?(p)} tests whether the polynomial \\spad{p} is irreducible.")) (|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{tracePowMod(u,{}k,{}v)} produces the sum of \\spad{u**(q**i)} for \\spad{i} running and \\spad{q=} size \\spad{F}")) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{trace2PowMod(u,{}k,{}v)} produces the sum of u**(2**i) for \\spad{i} running from 1 to \\spad{k} all computed modulo the polynomial \\spad{v}.")) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{exptMod(u,{}k,{}v)} raises the polynomial \\spad{u} to the \\spad{k}th power modulo the polynomial \\spad{v}.")) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) "\\spad{separateFactors(lfact)} takes the list produced by separateDegrees and produces the complete list of factors.")) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) "\\spad{separateDegrees(p)} splits the square free polynomial \\spad{p} into factors each of which is a product of irreducibles of the same degree.")) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) "\\spad{distdfact(p,{}sqfrflag)} produces the complete factorization of the polynomial \\spad{p} returning an internal data structure. If argument \\spad{sqfrflag} is \\spad{true},{} the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#2|) |#2|) "\\spad{factorSquareFree(p)} produces the complete factorization of the square free polynomial \\spad{p}.")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} produces the complete factorization of the polynomial \\spad{p}."))) 
+(-208 -1647 FP) 
+((|constructor| (NIL "Package for the factorization of a univariate polynomial with coefficients in a finite field. The algorithm used is the \"distinct degree\" algorithm of Cantor-Zassenhaus, modified to use trace instead of the norm and a table for computing Frobenius as suggested by Naudin and Quitte .")) (|irreducible?| (((|Boolean|) |#2|) "\\spad{irreducible?(p)} tests whether the polynomial \\spad{p} is irreducible.")) (|tracePowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{tracePowMod(u,k,v)} produces the sum of \\spad{u**(q**i)} for \\spad{i} running and \\spad{q=} size \\spad{F}")) (|trace2PowMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{trace2PowMod(u,k,v)} produces the sum of u**(2**i) for \\spad{i} running from 1 to \\spad{k} all computed modulo the polynomial \\spad{v.}")) (|exptMod| ((|#2| |#2| (|NonNegativeInteger|) |#2|) "\\spad{exptMod(u,k,v)} raises the polynomial \\spad{u} to the \\spad{k}th power modulo the polynomial \\spad{v.}")) (|separateFactors| (((|List| |#2|) (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|)))) "\\spad{separateFactors(lfact)} takes the list produced by separateDegrees and produces the complete list of factors.")) (|separateDegrees| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| |#2|))) |#2|) "\\spad{separateDegrees(p)} splits the square free polynomial \\spad{p} into factors each of which is a product of irreducibles of the same degree.")) (|distdfact| (((|Record| (|:| |cont| |#1|) (|:| |factors| (|List| (|Record| (|:| |irr| |#2|) (|:| |pow| (|Integer|)))))) |#2| (|Boolean|)) "\\spad{distdfact(p,sqfrflag)} produces the complete factorization of the polynomial \\spad{p} returning an internal data structure. If argument \\spad{sqfrflag} is true, the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#2|) |#2|) "\\spad{factorSquareFree(p)} produces the complete factorization of the square free polynomial \\spad{p.}")) (|factor| (((|Factored| |#2|) |#2|) "\\spad{factor(p)} produces the complete factorization of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
 (-209) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions.")) (|decimal| (($ (|Fraction| (|Integer|))) "\\spad{decimal(r)} converts a rational number to a decimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(d)} returns the fractional part of a decimal expansion.")) (|coerce| (((|RadixExpansion| 10) $) "\\spad{coerce(d)} converts a decimal expansion to a radix expansion with base 10.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(d)} converts a decimal expansion to a rational number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
-(-210 R -1564) 
-((|constructor| (NIL "\\spadtype{ElementaryFunctionDefiniteIntegration} provides functions to compute definite integrals of elementary functions.")) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{innerint(f,{} x,{} a,{} b,{} ignore?)} should be local but conditional")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+(-210 R -1647) 
+((|constructor| (NIL "\\spadtype{ElementaryFunctionDefiniteIntegration} provides functions to compute definite integrals of elementary functions.")) (|innerint| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{innerint(f, \\spad{x,} a, \\spad{b,} ignore?)} should be local but conditional")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|)) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| |#2|)) (|:| |f2| (|List| (|OrderedCompletion| |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (|SegmentBinding| (|OrderedCompletion| |#2|))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}"))) 
 NIL 
 NIL 
 (-211 R) 
-((|constructor| (NIL "Definite integration of rational functions. \\spadtype{RationalFunctionDefiniteIntegration} provides functions to compute definite integrals of rational functions.")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}.") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|)) "\\spad{integrate(f,{} x = a..b,{} \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters),{} then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|)))) "\\spad{integrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b}. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b}."))) 
+((|constructor| (NIL "Definite integration of rational functions. \\spadtype{RationalFunctionDefiniteIntegration} provides functions to compute definite integrals of rational functions.")) (|integrate| (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|))) (|String|)) "\\spad{integrate(f, \\spad{x} = a..b, \"noPole\")} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} If it is not possible to check whether \\spad{f} has a pole for \\spad{x} between a and \\spad{b} (because of parameters), then this function will assume that \\spad{f} has no such pole. Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b} or if the last argument is not \"noPole\".") (((|Union| (|:| |f1| (|OrderedCompletion| (|Expression| |#1|))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|OrderedCompletion| (|Expression| |#1|)))) "\\spad{integrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b.} Error: if \\spad{f} has a pole for \\spad{x} between a and \\spad{b.}"))) 
 NIL 
 NIL 
 (-212 R1 R2) 
-((|constructor| (NIL "This package has no description")) (|expand| (((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)) "\\spad{expand(f,{}n)} \\undocumented{}")) (|reduce| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reduce(p)} \\undocumented{}"))) 
+((|constructor| (NIL "This package has no description")) (|expand| (((|List| (|Expression| |#2|)) (|Expression| |#2|) (|PositiveInteger|)) "\\spad{expand(f,n)} \\undocumented{}")) (|reduce| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#1|)) (|:| |deg| (|PositiveInteger|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reduce(p)} \\undocumented{}"))) 
 NIL 
 NIL 
 (-213 S) 
-((|constructor| (NIL "Linked list implementation of a Dequeue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|top!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} top! a \\spad{X} a")) (|reverse!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} reverse! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} push! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|insertTop!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insertTop! a \\spad{X} a")) (|insertBottom!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insertBottom! a \\spad{X} a")) (|extractTop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extractTop! a \\spad{X} a")) (|extractBottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extractBottom! a \\spad{X} a")) (|bottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} bottom! a \\spad{X} a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|height| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} height a")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Dequeue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Dequeue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Dequeue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} insert! (8,{}a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} enqueue! (9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5] \\spad{X} dequeue! a \\spad{X} a")) (|dequeue| (($) "\\blankline \\spad{X} a:Dequeue INT:= dequeue ()") (($ (|List| |#1|)) "\\indented{1}{dequeue([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a dequeue with first (top or front)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom or back) element \\spad{z}.} \\blankline \\spad{E} g:Dequeue INT:= dequeue [1,{}2,{}3,{}4,{}5]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "Linked list implementation of a Dequeue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|top!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top! a \\spad{X} a")) (|reverse!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} reverse! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} push! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|insertTop!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertTop! a \\spad{X} a")) (|insertBottom!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insertBottom! a \\spad{X} a")) (|extractTop!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractTop! a \\spad{X} a")) (|extractBottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extractBottom! a \\spad{X} a")) (|bottom!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} bottom! a \\spad{X} a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} top a")) (|height| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} height a")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} depth a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Dequeue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Dequeue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Dequeue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Dequeue INT:= dequeue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|dequeue| (($) "\\blankline \\spad{X} a:Dequeue INT:= dequeue \\spad{()}") (($ (|List| |#1|)) "\\indented{1}{dequeue([x,y,...,z]) creates a dequeue with first (top or front)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}} \\blankline \\spad{E} g:Dequeue INT:= dequeue [1,2,3,4,5]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-214 |CoefRing| |listIndVar|) 
-((|constructor| (NIL "The deRham complex of Euclidean space,{} that is,{} the class of differential forms of arbitary degree over a coefficient ring. See Flanders,{} Harley,{} Differential Forms,{} With Applications to the Physical Sciences,{} New York,{} Academic Press,{} 1963.")) (|exteriorDifferential| (($ $) "\\spad{exteriorDifferential(df)} returns the exterior derivative (gradient,{} curl,{} divergence,{} ...) of the differential form \\spad{df}.")) (|totalDifferential| (($ (|Expression| |#1|)) "\\spad{totalDifferential(x)} returns the total differential (gradient) form for element \\spad{x}.")) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) "\\spad{map(f,{}df)} replaces each coefficient \\spad{x} of differential form \\spad{df} by \\spad{f(x)}.")) (|degree| (((|Integer|) $) "\\spad{degree(df)} returns the homogeneous degree of differential form \\spad{df}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(df)} tests if differential form \\spad{df} is a 0-form,{} \\spadignore{i.e.} if degree(\\spad{df}) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(df)} tests if all of the terms of differential form \\spad{df} have the same degree.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th basis term for a differential form.")) (|coefficient| (((|Expression| |#1|) $ $) "\\spad{coefficient(df,{}u)},{} where \\spad{df} is a differential form,{} returns the coefficient of \\spad{df} containing the basis term \\spad{u} if such a term exists,{} and 0 otherwise.")) (|reductum| (($ $) "\\spad{reductum(df)},{} where \\spad{df} is a differential form,{} returns \\spad{df} minus the leading term of \\spad{df} if \\spad{df} has two or more terms,{} and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(df)} returns the leading basis term of differential form \\spad{df}.")) (|leadingCoefficient| (((|Expression| |#1|) $) "\\spad{leadingCoefficient(df)} returns the leading coefficient of differential form \\spad{df}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "The deRham complex of Euclidean space, that is, the class of differential forms of arbitary degree over a coefficient ring. See Flanders, Harley, Differential Forms, With Applications to the Physical Sciences, New York, Academic Press, 1963.")) (|exteriorDifferential| (($ $) "\\spad{exteriorDifferential(df)} returns the exterior derivative (gradient, curl, divergence, ...) of the differential form \\spad{df.}")) (|totalDifferential| (($ (|Expression| |#1|)) "\\spad{totalDifferential(x)} returns the total differential (gradient) form for element \\spad{x.}")) (|map| (($ (|Mapping| (|Expression| |#1|) (|Expression| |#1|)) $) "\\spad{map(f,df)} replaces each coefficient \\spad{x} of differential form \\spad{df} by \\spad{f(x)}.")) (|degree| (((|Integer|) $) "\\spad{degree(df)} returns the homogeneous degree of differential form \\spad{df.}")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?(df)} tests if differential form \\spad{df} is a 0-form, \\spadignore{i.e.} if degree(df) = 0.")) (|homogeneous?| (((|Boolean|) $) "\\spad{homogeneous?(df)} tests if all of the terms of differential form \\spad{df} have the same degree.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(n)} returns the \\spad{n}th basis term for a differential form.")) (|coefficient| (((|Expression| |#1|) $ $) "\\spad{coefficient(df,u)}, where \\spad{df} is a differential form, returns the coefficient of \\spad{df} containing the basis term \\spad{u} if such a term exists, and 0 otherwise.")) (|reductum| (($ $) "\\spad{reductum(df)}, where \\spad{df} is a differential form, returns \\spad{df} minus the leading term of \\spad{df} if \\spad{df} has two or more terms, and 0 otherwise.")) (|leadingBasisTerm| (($ $) "\\spad{leadingBasisTerm(df)} returns the leading basis term of differential form \\spad{df.}")) (|leadingCoefficient| (((|Expression| |#1|) $) "\\spad{leadingCoefficient(df)} returns the leading coefficient of differential form \\spad{df.}"))) 
+((-4568 . T)) 
 NIL 
-(-215 R -1564) 
-((|constructor| (NIL "\\spadtype{DefiniteIntegrationTools} provides common tools used by the definite integration of both rational and elementary functions.")) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p,{} a,{} b,{} incl?)} is \\spad{true} if \\spad{p} has a zero between a and \\spad{b},{} \\spad{false} otherwise,{} \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is \\spad{true},{} exclusive otherwise.") (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p,{} x,{} a,{} b,{} incl?)} is \\spad{true} if \\spad{p} has a zero for \\spad{x} between a and \\spad{b},{} \\spad{false} otherwise,{} \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is \\spad{true},{} exclusive otherwise.")) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{computeInt(x,{} g,{} a,{} b,{} eval?)} returns the integral of \\spad{f} for \\spad{x} between a and \\spad{b},{} assuming that \\spad{g} is an indefinite integral of \\spad{f} and \\spad{f} has no pole between a and \\spad{b}. If \\spad{eval?} is \\spad{true},{} then \\spad{g} can be evaluated safely at \\spad{a} and \\spad{b},{} provided that they are finite values. Otherwise,{} limits must be computed.")) (|ignore?| (((|Boolean|) (|String|)) "\\spad{ignore?(s)} is \\spad{true} if \\spad{s} is the string that tells the integrator to assume that the function has no pole in the integration interval."))) 
+(-215 R -1647) 
+((|constructor| (NIL "\\spadtype{DefiniteIntegrationTools} provides common tools used by the definite integration of both rational and elementary functions.")) (|checkForZero| (((|Union| (|Boolean|) "failed") (|SparseUnivariatePolynomial| |#2|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.") (((|Union| (|Boolean|) "failed") (|Polynomial| |#1|) (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{checkForZero(p, \\spad{x,} a, \\spad{b,} incl?)} is \\spad{true} if \\spad{p} has a zero for \\spad{x} between a and \\spad{b,} \\spad{false} otherwise, \"failed\" if this cannot be determined. Check for a and \\spad{b} inclusive if incl? is true, exclusive otherwise.")) (|computeInt| (((|Union| (|OrderedCompletion| |#2|) "failed") (|Kernel| |#2|) |#2| (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|) (|Boolean|)) "\\spad{computeInt(x, \\spad{g,} a, \\spad{b,} eval?)} returns the integral of \\spad{f} for \\spad{x} between a and \\spad{b,} assuming that \\spad{g} is an indefinite integral of \\spad{f} and \\spad{f} has no pole between a and \\spad{b.} If \\spad{eval?} is true, then \\spad{g} can be evaluated safely at \\spad{a} and \\spad{b}, provided that they are finite values. Otherwise, limits must be computed.")) (|ignore?| (((|Boolean|) (|String|)) "\\spad{ignore?(s)} is \\spad{true} if \\spad{s} is the string that tells the integrator to assume that the function has no pole in the integration interval."))) 
 NIL 
 NIL 
 (-216) 
-((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom,{} either native double precision,{} or IEEE. On most machines,{} there will be hardware support for the arithmetic operations: \\spad{++} +,{} *,{} / and possibly also the sqrt operation. The operations exp,{} log,{} sin,{} cos,{} atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations +,{} *,{} / and sqrt are expected to be fully accurate. The operations exp,{} log,{} sin,{} cos and atan are not expected to be fully accurate. In particular,{} sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf,{} the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\indented{1}{integerDecode(\\spad{x}) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele,{} ISBN 0-13-152414-3 \\spad{p354}. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} a:DFLOAT:=-1.0/3.0 \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\indented{1}{machineFraction(\\spad{x}) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele,{} ISBN 0-13-152414-3 \\spad{p354}} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} a:DFLOAT:=-1.0/3.0 \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n,{} b)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is,{} \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "change the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,{}y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,{}y)} computes the arc tangent from \\spad{x} with phase \\spad{y}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x}.")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x ** y} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer \\spad{i}."))) 
-((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "\\spadtype{DoubleFloat} is intended to make accessible hardware floating point arithmetic in Axiom, either native double precision, or IEEE. On most machines, there will be hardware support for the arithmetic operations: \\spad{++} \\spad{+,} \\spad{*,} / and possibly also the sqrt operation. The operations exp, log, sin, cos, atan are normally coded in software based on minimax polynomial/rational approximations. \\blankline Some general comments about the accuracy of the operations: the operations \\spad{+,} \\spad{*,} / and sqrt are expected to be fully accurate. The operations exp, log, sin, cos and atan are not expected to be fully accurate. In particular, sin and cos will lose all precision for large arguments. \\blankline The Float domain provides an alternative to the DoubleFloat domain. It provides an arbitrary precision model of floating point arithmetic. This means that accuracy problems like those above are eliminated by increasing the working precision where necessary. \\spadtype{Float} provides some special functions such as erf, the error function in addition to the elementary functions. The disadvantage of Float is that it is much more expensive than small floats when the latter can be used.")) (|integerDecode| (((|List| (|Integer|)) $) "\\indented{1}{integerDecode(x) returns the multiple values of the\\space{2}common} \\indented{1}{lisp integer-decode-float function.} \\indented{1}{See Steele, ISBN 0-13-152414-3 p354. This function can be used} \\indented{1}{to ensure that the results are bit-exact and do not depend on} \\indented{1}{the binary-to-decimal conversions.} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} integerDecode a")) (|machineFraction| (((|Fraction| (|Integer|)) $) "\\indented{1}{machineFraction(x) returns a bit-exact fraction of the machine} \\indented{1}{floating point number using the common lisp integer-decode-float} \\indented{1}{function. See Steele, ISBN 0-13-152414-3 p354} \\indented{1}{This function can be used to print results which do not depend} \\indented{1}{on binary-to-decimal conversions} \\blankline \\spad{X} \\spad{a:DFLOAT:=-1.0/3.0} \\spad{X} machineFraction a")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)} (that is, \\spad{|(r-f)/f| < b**(-n)}).") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|doubleFloatFormat| (((|String|) (|String|)) "change the output format for doublefloats using lisp format strings")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm with base 10 for \\spad{x.}")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm with base 2 for \\spad{x.}")) (|hash| (((|Integer|) $) "\\spad{hash(x)} returns the hash key for \\spad{x}")) (|exp1| (($) "\\spad{exp1()} returns the natural log base \\spad{2.718281828...}.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} returns the \\spad{y}th power of \\spad{x} (equal to \\spad{exp(y log x)}).")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
+((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-217) 
-((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(\\spad{n},{} \\spad{m}) creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,{}4)"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-216) (QUOTE (-1091))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))) (|HasCategory| (-216) (QUOTE (-302))) (|HasCategory| (-216) (QUOTE (-559))) (|HasAttribute| (-216) (QUOTE (-4537 "*"))) (|HasCategory| (-216) (QUOTE (-173))) (|HasCategory| (-216) (QUOTE (-366)))) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new uninitialized \\spad{n} by \\spad{m} matrix.} \\blankline \\spad{X} t1:DFMAT:=qnew(3,4)"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-216) (QUOTE (-1093))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))) (|HasCategory| (-216) (QUOTE (-302))) (|HasCategory| (-216) (QUOTE (-559))) (|HasAttribute| (-216) (QUOTE (-4573 "*"))) (|HasCategory| (-216) (QUOTE (-173))) (|HasCategory| (-216) (QUOTE (-366)))) 
 (-218) 
-((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|fresnelC| (((|Float|) (|Float|)) "\\indented{1}{fresnelC(\\spad{f}) denotes the Fresnel integral \\spad{C}} \\blankline \\spad{X} fresnelC(1.5)")) (|fresnelS| (((|Float|) (|Float|)) "\\indented{1}{fresnelS(\\spad{f}) denotes the Fresnel integral \\spad{S}} \\blankline \\spad{X} fresnelS(1.5)")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,{}z)} is the hypergeometric function \\spad{0F1(; c; z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Bi}''(x) - x * \\spad{Bi}(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{\\spad{Ai}''(x) - x * \\spad{Ai}(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,{}x)} is the modified Bessel function of the second kind,{} \\spad{K(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,{}x) = \\%pi/2*(I(-v,{}x) - I(v,{}x))/sin(v*\\%\\spad{pi})}.} so is not valid for integer values of \\spad{v}.")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,{}x)} is the modified Bessel function of the first kind,{} \\spad{I(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,{}x)} is the Bessel function of the second kind,{} \\spad{Y(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,{}x) = (J(v,{}x) cos(v*\\%\\spad{pi}) - J(-v,{}x))/sin(v*\\%\\spad{pi})}} so is not valid for integer values of \\spad{v}.")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,{}x)} is the Bessel function of the first kind,{} \\spad{J(v,{}x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + x w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n,{} x)} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function,{} \\spad{psi(x)},{} defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x,{} y)} is the Euler beta function,{} \\spad{B(x,{}y)},{} defined by \\indented{2}{\\spad{Beta(x,{}y) = integrate(t^(x-1)*(1-t)^(y-1),{} t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,{}y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (\\spad{Ei}(\\spad{x})-log \\spad{|x|} - gamma)\\spad{/x} from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is \\spad{x*}\\%e^-x*Ei(\\spad{x}) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,{}x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4}..4 and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function,{} \\spad{Gamma(x)},{} defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t),{} t=0..\\%infinity)}.}"))) 
+((|constructor| (NIL "This package provides special functions for double precision real and complex floating point.")) (|fresnelC| (((|Float|) (|Float|)) "\\indented{1}{fresnelC(f) denotes the Fresnel integral \\spad{C}} \\blankline \\spad{X} fresnelC(1.5)")) (|fresnelS| (((|Float|) (|Float|)) "\\indented{1}{fresnelS(f) denotes the Fresnel integral \\spad{S}} \\blankline \\spad{X} fresnelS(1.5)")) (|hypergeometric0F1| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{hypergeometric0F1(c,z)} is the hypergeometric function \\spad{0F1(; \\spad{c;} z)}.")) (|airyBi| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Bi''(x) - \\spad{x} * Bi(x) = 0}.}")) (|airyAi| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}") (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}. This function satisfies the differential equation: \\indented{2}{\\spad{Ai''(x) - \\spad{x} * Ai(x) = 0}.}")) (|besselK| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselK(v,x)} is the modified Bessel function of the second kind, \\spad{K(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{K(v,x) = \\%pi/2*(I(-v,x) - I(v,x))/sin(v*\\%pi)}.} so is not valid for integer values of \\spad{v.}")) (|besselI| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselI(v,x)} is the modified Bessel function of the first kind, \\spad{I(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) - (x^2+v^2)w(x) = 0}.}")) (|besselY| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselY(v,x)} is the Bessel function of the second kind, \\spad{Y(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.} Note that the default implementation uses the relation \\indented{2}{\\spad{Y(v,x) = (J(v,x) cos(v*\\%pi) - J(-v,x))/sin(v*\\%pi)}} so is not valid for integer values of \\spad{v.}")) (|besselJ| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{besselJ(v,x)} is the Bessel function of the first kind, \\spad{J(v,x)}. This function satisfies the differential equation: \\indented{2}{\\spad{x^2 w''(x) + \\spad{x} w'(x) + (x^2-v^2)w(x) = 0}.}")) (|polygamma| (((|Complex| (|DoubleFloat|)) (|NonNegativeInteger|) (|Complex| (|DoubleFloat|))) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.") (((|DoubleFloat|) (|NonNegativeInteger|) (|DoubleFloat|)) "\\spad{polygamma(n, \\spad{x)}} is the \\spad{n}-th derivative of \\spad{digamma(x)}.")) (|digamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{digamma(x)} is the function, \\spad{psi(x)}, defined by \\indented{2}{\\spad{psi(x) = Gamma'(x)/Gamma(x)}.}")) (|logGamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{logGamma(x)} is the natural log of \\spad{Gamma(x)}. This can often be computed even if \\spad{Gamma(x)} cannot.")) (|Beta| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}") (((|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{Beta(x, \\spad{y)}} is the Euler beta function, \\spad{B(x,y)}, defined by \\indented{2}{\\spad{Beta(x,y) = integrate(t^(x-1)*(1-t)^(y-1), t=0..1)}.} This is related to \\spad{Gamma(x)} by \\indented{2}{\\spad{Beta(x,y) = Gamma(x)*Gamma(y) / Gamma(x + y)}.}")) (|Ei6| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei6} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 32 to infinity (preserves digits)")) (|Ei5| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei5} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 12 to 32 (preserves digits)")) (|Ei4| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei4} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from 4 to 12 (preserves digits)")) (|Ei3| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei3} is the first approximation of \\spad{Ei} where the result is (Ei(x)-log \\spad{|x|} - gamma)/x from \\spad{-4} to 4 (preserves digits)")) (|Ei2| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei2} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from \\spad{-10} to \\spad{-4} (preserves digits)")) (|Ei1| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei1} is the first approximation of \\spad{Ei} where the result is x*\\%e^-x*Ei(x) from -infinity to \\spad{-10} (preserves digits)")) (|Ei| (((|OnePointCompletion| (|DoubleFloat|)) (|OnePointCompletion| (|DoubleFloat|))) "\\spad{Ei} is the Exponential Integral function This is computed using a 6 part piecewise approximation. DoubleFloat can only preserve about 16 digits but the Chebyshev approximation used can give 30 digits.")) (|En| (((|OnePointCompletion| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|)) "\\spad{En(n,x)} is the \\spad{n}th Exponential Integral Function")) (E1 (((|OnePointCompletion| (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{E1(x)} is the Exponential Integral function The current implementation is a piecewise approximation involving one poly from \\spad{-4..4} and a second poly for \\spad{x} > 4")) (|Gamma| (((|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}") (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{Gamma(x)} is the Euler gamma function, \\spad{Gamma(x)}, defined by \\indented{2}{\\spad{Gamma(x) = integrate(t^(x-1)*exp(-t), t=0..\\%infinity)}.}"))) 
 NIL 
 NIL 
 (-219) 
-((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of double precision floating point numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(\\spad{n}) creates a new uninitialized vector of length \\spad{n}.} \\blankline \\spad{X} t1:DFVEC:=qnew(7)"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-216) (QUOTE (-1091))) (|HasCategory| (-216) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-216) (QUOTE (-843))) (-2232 (|HasCategory| (-216) (QUOTE (-843))) (|HasCategory| (-216) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-216) (QUOTE (-25))) (|HasCategory| (-216) (QUOTE (-23))) (|HasCategory| (-216) (QUOTE (-21))) (|HasCategory| (-216) (QUOTE (-717))) (|HasCategory| (-216) (QUOTE (-1048))) (-12 (|HasCategory| (-216) (QUOTE (-1003))) (|HasCategory| (-216) (QUOTE (-1048)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-843)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1091)))))) 
+((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of double precision floating point numbers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|)) "\\indented{1}{qnew(n) creates a new uninitialized vector of length \\spad{n.}} \\blankline \\spad{X} t1:DFVEC:=qnew(7)"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-216) (QUOTE (-1093))) (|HasCategory| (-216) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-216) (QUOTE (-844))) (-1929 (|HasCategory| (-216) (QUOTE (-844))) (|HasCategory| (-216) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-216) (QUOTE (-25))) (|HasCategory| (-216) (QUOTE (-23))) (|HasCategory| (-216) (QUOTE (-21))) (|HasCategory| (-216) (QUOTE (-718))) (|HasCategory| (-216) (QUOTE (-1049))) (-12 (|HasCategory| (-216) (QUOTE (-1004))) (|HasCategory| (-216) (QUOTE (-1049)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-844)))) (-12 (|HasCategory| (-216) (LIST (QUOTE -304) (QUOTE (-216)))) (|HasCategory| (-216) (QUOTE (-1093)))))) 
 (-220 R) 
-((|constructor| (NIL "4x4 Matrices for coordinate transformations\\spad{\\br} This package contains functions to create 4x4 matrices useful for rotating and transforming coordinate systems. These matrices are useful for graphics and robotics. (Reference: Robot Manipulators Richard Paul MIT Press 1981) \\blankline A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:\\spad{\\br} \\tab{5}\\spad{nx ox ax px}\\spad{\\br} \\tab{5}\\spad{ny oy ay py}\\spad{\\br} \\tab{5}\\spad{nz oz az pz}\\spad{\\br} \\tab{5}\\spad{0 0 0 1}\\spad{\\br} (\\spad{n},{} \\spad{o},{} and a are the direction cosines)")) (|translate| (($ |#1| |#1| |#1|) "\\spad{translate(x,{}y,{}z)} returns a dhmatrix for translation by \\spad{x},{} \\spad{y},{} and \\spad{z}")) (|scale| (($ |#1| |#1| |#1|) "\\spad{scale(sx,{}sy,{}sz)} returns a dhmatrix for scaling in the \\spad{x},{} \\spad{y} and \\spad{z} directions")) (|rotatez| (($ |#1|) "\\spad{rotatez(r)} returns a dhmatrix for rotation about axis \\spad{z} for \\spad{r} degrees")) (|rotatey| (($ |#1|) "\\spad{rotatey(r)} returns a dhmatrix for rotation about axis \\spad{y} for \\spad{r} degrees")) (|rotatex| (($ |#1|) "\\spad{rotatex(r)} returns a dhmatrix for rotation about axis \\spad{x} for \\spad{r} degrees")) (|identity| (($) "\\spad{identity()} create the identity dhmatrix")) (* (((|Point| |#1|) $ (|Point| |#1|)) "\\spad{t*p} applies the dhmatrix \\spad{t} to point \\spad{p}"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+((|constructor| (NIL "4x4 Matrices for coordinate transformations\\br This package contains functions to create 4x4 matrices useful for rotating and transforming coordinate systems. These matrices are useful for graphics and robotics. (Reference: Robot Manipulators Richard Paul MIT Press 1981) \\blankline A Denavit-Hartenberg Matrix is a 4x4 Matrix of the form:\\br \\tab{5}\\spad{nx ox ax px}\\br \\tab{5}\\spad{ny oy ay py}\\br \\tab{5}\\spad{nz oz az pz}\\br \\tab{5}\\spad{0 0 0 1}\\br \\spad{(n,} o, and a are the direction cosines)")) (|translate| (($ |#1| |#1| |#1|) "\\spad{translate(x,y,z)} returns a dhmatrix for translation by \\spad{x,} \\spad{y,} and \\spad{z}")) (|scale| (($ |#1| |#1| |#1|) "\\spad{scale(sx,sy,sz)} returns a dhmatrix for scaling in the \\spad{x,} \\spad{y} and \\spad{z} directions")) (|rotatez| (($ |#1|) "\\spad{rotatez(r)} returns a dhmatrix for rotation about axis \\spad{z} for \\spad{r} degrees")) (|rotatey| (($ |#1|) "\\spad{rotatey(r)} returns a dhmatrix for rotation about axis \\spad{y} for \\spad{r} degrees")) (|rotatex| (($ |#1|) "\\spad{rotatex(r)} returns a dhmatrix for rotation about axis \\spad{x} for \\spad{r} degrees")) (|identity| (($) "\\spad{identity()} create the identity dhmatrix")) (* (((|Point| |#1|) $ (|Point| |#1|)) "\\spad{t*p} applies the dhmatrix \\spad{t} to point \\spad{p}"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
 (-221 A S) 
-((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted,{} searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
+((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
 NIL 
 NIL 
 (-222 S) 
-((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted,{} searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
-((-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "A dictionary is an aggregate in which entries can be inserted, searched for and removed. Duplicates are thrown away on insertion. This category models the usual notion of dictionary which involves large amounts of data where copying is impractical. Principal operations are thus destructive (non-copying) ones."))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
 (-223 S R) 
-((|constructor| (NIL "Differential extensions of a ring \\spad{R}. Given a differentiation on \\spad{R},{} extend it to a differentiation on \\%.")) (D (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{D(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#2| |#2|)) "\\spad{D(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{differentiate(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}."))) 
+((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) 
+((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) 
 (-224 R) 
-((|constructor| (NIL "Differential extensions of a ring \\spad{R}. Given a differentiation on \\spad{R},{} extend it to a differentiation on \\%.")) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{D(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#1| |#1|)) "\\spad{D(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}.")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{differentiate(x,{} deriv,{} n)} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R}.") (($ $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(x,{} deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "Differential extensions of a ring \\spad{R.} Given a differentiation on \\spad{R,} extend it to a differentiation on \\spad{%.}")) (D (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{D(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{D(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{differentiate(x, deriv, \\spad{n)}} differentiate \\spad{x} \\spad{n} times using a derivation which extends \\spad{deriv} on \\spad{R.}") (($ $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(x, deriv)} differentiates \\spad{x} extending the derivation deriv on \\spad{R.}"))) 
+((-4568 . T)) 
 NIL 
 (-225 S) 
-((|constructor| (NIL "An ordinary differential ring,{} that is,{} a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified."))) 
+((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
 NIL 
 NIL 
 (-226) 
-((|constructor| (NIL "An ordinary differential ring,{} that is,{} a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x,{} n)} returns the \\spad{n}-th derivative of \\spad{x}.") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}. This function is a simple differential operator where no variable needs to be specified."))) 
-((-4532 . T)) 
+((|constructor| (NIL "An ordinary differential ring, that is, a ring with an operation \\spadfun{differentiate}. \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y) = differentiate(x)+differentiate(y)}\\br \\tab{5}\\spad{differentiate(x*y) = x*differentiate(y) + differentiate(x)*y}")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{D(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{x.}") (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x.} This function is a simple differential operator where no variable needs to be specified."))) 
+((-4568 . T)) 
 NIL 
 (-227 A S) 
-((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is not \\spad{true}.")) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,{}d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.") (($ |#2| $) "\\spad{remove!(x,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{\\spad{y} = \\spad{x}}.")) (|dictionary| (($ (|List| |#2|)) "\\spad{dictionary([x,{}y,{}...,{}z])} creates a dictionary consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\spad{dictionary()}\\$\\spad{D} creates an empty dictionary of type \\spad{D}."))) 
+((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#2| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#2|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4535))) 
+((|HasAttribute| |#1| (QUOTE -4571))) 
 (-228 S) 
-((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is not \\spad{true}.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,{}d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.") (($ |#1| $) "\\spad{remove!(x,{}d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{\\spad{y} = \\spad{x}}.")) (|dictionary| (($ (|List| |#1|)) "\\spad{dictionary([x,{}y,{}...,{}z])} creates a dictionary consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\spad{dictionary()}\\$\\spad{D} creates an empty dictionary of type \\spad{D}."))) 
-((-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "This category is a collection of operations common to both categories \\spadtype{Dictionary} and \\spadtype{MultiDictionary}")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{x} such that \\axiom{p(x)} is not true.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,d)} destructively changes dictionary \\spad{d} by removeing all entries \\spad{x} such that \\axiom{p(x)} is true.") (($ |#1| $) "\\spad{remove!(x,d)} destructively changes dictionary \\spad{d} by removing all entries \\spad{y} such that \\axiom{y = \\spad{x}.}")) (|dictionary| (($ (|List| |#1|)) "\\spad{dictionary([x,y,...,z])} creates a dictionary consisting of entries \\axiom{x,y,...,z}.") (($) "\\spad{dictionary()}$D creates an empty dictionary of type \\spad{D.}"))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
 (-229) 
-((|constructor| (NIL "Any solution of a homogeneous linear Diophantine equation can be represented as a sum of minimal solutions,{} which form a \"basis\" (a minimal solution cannot be represented as a nontrivial sum of solutions) in the case of an inhomogeneous linear Diophantine equation,{} each solution is the sum of a inhomogeneous solution and any number of homogeneous solutions therefore,{} it suffices to compute two sets:\\spad{\\br} \\tab{5}1. all minimal inhomogeneous solutions\\spad{\\br} \\tab{5}2. all minimal homogeneous solutions\\spad{\\br} the algorithm implemented is a completion procedure,{} which enumerates all solutions in a recursive depth-first-search it can be seen as finding monotone paths in a graph for more details see Reference")) (|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) "\\spad{dioSolve(u)} computes a basis of all minimal solutions for linear homogeneous Diophantine equation \\spad{u},{} then all minimal solutions of inhomogeneous equation"))) 
+((|constructor| (NIL "Any solution of a homogeneous linear Diophantine equation can be represented as a sum of minimal solutions, which form a \"basis\" (a minimal solution cannot be represented as a nontrivial sum of solutions) in the case of an inhomogeneous linear Diophantine equation, each solution is the sum of a inhomogeneous solution and any number of homogeneous solutions therefore, it suffices to compute two sets:\\br \\tab{5}1. all minimal inhomogeneous solutions\\br \\tab{5}2. all minimal homogeneous solutions\\br the algorithm implemented is a completion procedure, which enumerates all solutions in a recursive depth-first-search it can be seen as finding monotone paths in a graph for more details see Reference")) (|dioSolve| (((|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|))))) (|Equation| (|Polynomial| (|Integer|)))) "\\spad{dioSolve(u)} computes a basis of all minimal solutions for linear homogeneous Diophantine equation u, then all minimal solutions of inhomogeneous equation"))) 
 NIL 
 NIL 
-(-230 S -4391 R) 
-((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#3| $ $) "\\spad{dot(x,{}y)} computes the inner product of the vectors \\spad{x} and \\spad{y}.")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
+(-230 S -4360 R) 
+((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#3| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#3|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (|HasAttribute| |#3| (QUOTE -4532)) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-1091)))) 
-(-231 -4391 R) 
-((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#2| $ $) "\\spad{dot(x,{}y)} computes the inner product of the vectors \\spad{x} and \\spad{y}.")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
-((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T) (-2982 . T)) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (|HasAttribute| |#3| (QUOTE -4568)) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-1093)))) 
+(-231 -4360 R) 
+((|constructor| (NIL "This category represents a finite cartesian product of a given type. Many categorical properties are preserved under this construction.")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the vectors \\spad{x} and \\spad{y.}")) (|unitVector| (($ (|PositiveInteger|)) "\\spad{unitVector(n)} produces a vector with 1 in position \\spad{n} and zero elsewhere.")) (|directProduct| (($ (|Vector| |#2|)) "\\spad{directProduct(v)} converts the vector \\spad{v} to become a direct product. Error: if the length of \\spad{v} is different from dim.")) (|finiteAggregate| ((|attribute|) "attribute to indicate an aggregate of finite size"))) 
+((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T) (-4317 . T)) 
 NIL 
-(-232 -4391 A B) 
-((|constructor| (NIL "This package provides operations which all take as arguments direct products of elements of some type \\spad{A} and functions from \\spad{A} to another type \\spad{B}. The operations all iterate over their vector argument and either return a value of type \\spad{B} or a direct product over \\spad{B}.")) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{reduce(func,{}vec,{}ident)} combines the elements in \\spad{vec} using the binary function \\spad{func}. Argument \\spad{ident} is returned if the vector is empty.")) (|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{scan(func,{}vec,{}ident)} creates a new vector whose elements are the result of applying reduce to the binary function \\spad{func},{} increasing initial subsequences of the vector \\spad{vec},{} and the element \\spad{ident}."))) 
+(-232 -4360 A B) 
+((|constructor| (NIL "This package provides operations which all take as arguments direct products of elements of some type \\spad{A} and functions from \\spad{A} to another type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a direct product over \\spad{B.}")) (|map| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2|) (|DirectProduct| |#1| |#2|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#3| (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if the vector is empty.")) (|scan| (((|DirectProduct| |#1| |#3|) (|Mapping| |#3| |#2| |#3|) (|DirectProduct| |#1| |#2|) |#3|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-233 -4391 R) 
+(-233 -4360 R) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying component type. This contrasts with simple vectors in that the members can be viewed as having constant length. Thus many categorical properties can by lifted from the underlying component type. Component extraction operations are provided but no updating operations. Thus new direct product elements can either be created by converting vector elements using the \\spadfun{directProduct} function or by taking appropriate linear combinations of basis vectors provided by the \\spad{unitVector} operation."))) 
-((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
-((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
+((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
+((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
 (-234 |Coef|) 
-((|constructor| (NIL "DirichletRing is the ring of arithmetical functions with Dirichlet convolution as multiplication")) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{additive?(a,{} n)} returns \\spad{true} if the first \\spad{n} coefficients of a are additive")) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{multiplicative?(a,{} n)} returns \\spad{true} if the first \\spad{n} coefficients of a are multiplicative")) (|zeta| (($) "\\spad{zeta()} returns the function which is constantly one"))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-173)) (-4532 . T)) 
+((|constructor| (NIL "DirichletRing is the ring of arithmetical functions with Dirichlet convolution as multiplication")) (|additive?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{additive?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are additive")) (|multiplicative?| (((|Boolean|) $ (|PositiveInteger|)) "\\spad{multiplicative?(a, \\spad{n)}} returns \\spad{true} if the first \\spad{n} coefficients of a are multiplicative")) (|zeta| (($) "\\spad{zeta()} returns the function which is constantly one"))) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-173)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
 (-235) 
-((|constructor| (NIL "DisplayPackage allows one to print strings in a nice manner,{} including highlighting substrings.")) (|sayLength| (((|Integer|) (|List| (|String|))) "\\spad{sayLength(l)} returns the length of a list of strings \\spad{l} as an integer.") (((|Integer|) (|String|)) "\\spad{sayLength(s)} returns the length of a string \\spad{s} as an integer.")) (|say| (((|Void|) (|List| (|String|))) "\\spad{say(l)} sends a list of strings \\spad{l} to output.") (((|Void|) (|String|)) "\\spad{say(s)} sends a string \\spad{s} to output.")) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) "\\spad{center(l,{}i,{}s)} takes a list of strings \\spad{l},{} and centers them within a list of strings which is \\spad{i} characters long,{} in which the remaining spaces are filled with strings composed of as many repetitions as possible of the last string parameter \\spad{s}.") (((|String|) (|String|) (|Integer|) (|String|)) "\\spad{center(s,{}i,{}s)} takes the first string \\spad{s},{} and centers it within a string of length \\spad{i},{} in which the other elements of the string are composed of as many replications as possible of the second indicated string,{} \\spad{s} which must have a length greater than that of an empty string.")) (|copies| (((|String|) (|Integer|) (|String|)) "\\spad{copies(i,{}s)} will take a string \\spad{s} and create a new string composed of \\spad{i} copies of \\spad{s}.")) (|newLine| (((|String|)) "\\spad{newLine()} sends a new line command to output.")) (|bright| (((|List| (|String|)) (|List| (|String|))) "\\spad{bright(l)} sets the font property of a list of strings,{} \\spad{l},{} to bold-face type.") (((|List| (|String|)) (|String|)) "\\spad{bright(s)} sets the font property of the string \\spad{s} to bold-face type."))) 
+((|constructor| (NIL "DisplayPackage allows one to print strings in a nice manner, including highlighting substrings.")) (|sayLength| (((|Integer|) (|List| (|String|))) "\\spad{sayLength(l)} returns the length of a list of strings \\spad{l} as an integer.") (((|Integer|) (|String|)) "\\spad{sayLength(s)} returns the length of a string \\spad{s} as an integer.")) (|say| (((|Void|) (|List| (|String|))) "\\spad{say(l)} sends a list of strings \\spad{l} to output.") (((|Void|) (|String|)) "\\spad{say(s)} sends a string \\spad{s} to output.")) (|center| (((|List| (|String|)) (|List| (|String|)) (|Integer|) (|String|)) "\\spad{center(l,i,s)} takes a list of strings \\spad{l,} and centers them within a list of strings which is \\spad{i} characters long, in which the remaining spaces are filled with strings composed of as many repetitions as possible of the last string parameter \\spad{s.}") (((|String|) (|String|) (|Integer|) (|String|)) "\\spad{center(s,i,s)} takes the first string \\spad{s,} and centers it within a string of length i, in which the other elements of the string are composed of as many replications as possible of the second indicated string, \\spad{s} which must have a length greater than that of an empty string.")) (|copies| (((|String|) (|Integer|) (|String|)) "\\spad{copies(i,s)} will take a string \\spad{s} and create a new string composed of \\spad{i} copies of \\spad{s.}")) (|newLine| (((|String|)) "\\spad{newLine()} sends a new line command to output.")) (|bright| (((|List| (|String|)) (|List| (|String|))) "\\spad{bright(l)} sets the font property of a list of strings, \\spad{l,} to bold-face type.") (((|List| (|String|)) (|String|)) "\\spad{bright(s)} sets the font property of the string \\spad{s} to bold-face type."))) 
 NIL 
 NIL 
 (-236 S) 
-((|constructor| (NIL "This category exports the function for domains")) (|divOfPole| (($ $) "\\spad{divOfPole(d)} returns the negative part of \\spad{d}.")) (|divOfZero| (($ $) "\\spad{divOfZero(d)} returns the positive part of \\spad{d}.")) (|suppOfPole| (((|List| |#1|) $) "suppOfZero(\\spad{d}) returns the elements of the support of \\spad{d} that have a negative coefficient.")) (|suppOfZero| (((|List| |#1|) $) "\\spad{suppOfZero(d)} returns the elements of the support of \\spad{d} that have a positive coefficient.")) (|supp| (((|List| |#1|) $) "\\spad{supp(d)} returns the support of the divisor \\spad{d}.")) (|effective?| (((|Boolean|) $) "\\spad{effective?(d)} returns \\spad{true} if \\spad{d} \\spad{>=} 0.")) (|concat| (($ $ $) "\\spad{concat(a,{}b)} concats the divisor a and \\spad{b} without collecting the duplicative points.")) (|collect| (($ $) "\\spad{collect collects} the duplicative points in the divisor.")) (|split| (((|List| $) $) "\\spad{split(d)} splits the divisor \\spad{d}. For example,{} split( 2 \\spad{p1} + 3p2 ) returns the list [ 2 \\spad{p1},{} 3 \\spad{p2} ].")) (|degree| (((|Integer|) $) "\\spad{degree(d)} returns the degree of the divisor \\spad{d}"))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "This category exports the function for domains")) (|divOfPole| (($ $) "\\spad{divOfPole(d)} returns the negative part of \\spad{d.}")) (|divOfZero| (($ $) "\\spad{divOfZero(d)} returns the positive part of \\spad{d.}")) (|suppOfPole| (((|List| |#1|) $) "suppOfZero(d) returns the elements of the support of \\spad{d} that have a negative coefficient.")) (|suppOfZero| (((|List| |#1|) $) "\\spad{suppOfZero(d)} returns the elements of the support of \\spad{d} that have a positive coefficient.")) (|supp| (((|List| |#1|) $) "\\spad{supp(d)} returns the support of the divisor \\spad{d.}")) (|effective?| (((|Boolean|) $) "\\spad{effective?(d)} returns \\spad{true} if \\spad{d} \\spad{>=} 0.")) (|concat| (($ $ $) "\\spad{concat(a,b)} concats the divisor a and \\spad{b} without collecting the duplicative points.")) (|collect| (($ $) "\\spad{collect collects} the duplicative points in the divisor.")) (|split| (((|List| $) $) "\\spad{split(d)} splits the divisor \\spad{d.} For example, split( 2 \\spad{p1} + 3p2 ) returns the list [ 2 \\spad{p1,} 3 \\spad{p2} \\spad{].}")) (|degree| (((|Integer|) $) "\\spad{degree(d)} returns the degree of the divisor \\spad{d}"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-237 S) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
-((-4530 . T) (-4529 . T)) 
-((|HasCategory| (-569) (QUOTE (-788)))) 
+((-4566 . T) (-4565 . T)) 
+((|HasCategory| (-569) (QUOTE (-789)))) 
 (-238 S) 
-((|constructor| (NIL "A division ring (sometimes called a skew field),{} \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv x} returns the multiplicative inverse of \\spad{x}. Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}."))) 
+((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
 NIL 
 NIL 
 (-239) 
-((|constructor| (NIL "A division ring (sometimes called a skew field),{} \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv x} returns the multiplicative inverse of \\spad{x}. Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}."))) 
-((-4528 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "A division ring (sometimes called a skew field), \\spadignore{i.e.} a not necessarily commutative ring where all non-zero elements have multiplicative inverses.")) (|inv| (($ $) "\\spad{inv \\spad{x}} returns the multiplicative inverse of \\spad{x.} Error: if \\spad{x} is 0.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}"))) 
+((-4564 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-240 S) 
-((|constructor| (NIL "A doubly-linked aggregate serves as a model for a doubly-linked list,{} that is,{} a list which can has links to both next and previous nodes and thus can be efficiently traversed in both directions.")) (|setnext!| (($ $ $) "\\spad{setnext!(u,{}v)} destructively sets the next node of doubly-linked aggregate \\spad{u} to \\spad{v},{} returning \\spad{v}.")) (|setprevious!| (($ $ $) "\\spad{setprevious!(u,{}v)} destructively sets the previous node of doubly-linked aggregate \\spad{u} to \\spad{v},{} returning \\spad{v}.")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates doubly-linked aggregate \\spad{v} to the end of doubly-linked aggregate \\spad{u}.")) (|next| (($ $) "\\spad{next(l)} returns the doubly-linked aggregate beginning with its next element. Error: if \\spad{l} has no next element. Note that \\axiom{next(\\spad{l}) = rest(\\spad{l})} and \\axiom{previous(next(\\spad{l})) = \\spad{l}}.")) (|previous| (($ $) "\\spad{previous(l)} returns the doubly-link list beginning with its previous element. Error: if \\spad{l} has no previous element. Note that \\axiom{next(previous(\\spad{l})) = \\spad{l}}.")) (|tail| (($ $) "\\spad{tail(l)} returns the doubly-linked aggregate \\spad{l} starting at its second element. Error: if \\spad{l} is empty.")) (|head| (($ $) "\\spad{head(l)} returns the first element of a doubly-linked aggregate \\spad{l}. Error: if \\spad{l} is empty.")) (|last| ((|#1| $) "\\spad{last(l)} returns the last element of a doubly-linked aggregate \\spad{l}. Error: if \\spad{l} is empty."))) 
-((-2982 . T)) 
+((|constructor| (NIL "A doubly-linked aggregate serves as a model for a doubly-linked list, that is, a list which can has links to both next and previous nodes and thus can be efficiently traversed in both directions.")) (|setnext!| (($ $ $) "\\spad{setnext!(u,v)} destructively sets the next node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|setprevious!| (($ $ $) "\\spad{setprevious!(u,v)} destructively sets the previous node of doubly-linked aggregate \\spad{u} to \\spad{v,} returning \\spad{v.}")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively concatenates doubly-linked aggregate \\spad{v} to the end of doubly-linked aggregate u.")) (|next| (($ $) "\\spad{next(l)} returns the doubly-linked aggregate beginning with its next element. Error: if \\spad{l} has no next element. Note that \\axiom{next(l) = rest(l)} and \\axiom{previous(next(l)) = \\spad{l}.}")) (|previous| (($ $) "\\spad{previous(l)} returns the doubly-link list beginning with its previous element. Error: if \\spad{l} has no previous element. Note that \\axiom{next(previous(l)) = \\spad{l}.}")) (|tail| (($ $) "\\spad{tail(l)} returns the doubly-linked aggregate \\spad{l} starting at its second element. Error: if \\spad{l} is empty.")) (|head| (($ $) "\\spad{head(l)} returns the first element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty.")) (|last| ((|#1| $) "\\spad{last(l)} returns the last element of a doubly-linked aggregate \\spad{l.} Error: if \\spad{l} is empty."))) 
+((-4317 . T)) 
 NIL 
 (-241 S) 
-((|constructor| (NIL "This domain provides some nice functions on lists")) (|elt| (((|NonNegativeInteger|) $ "count") "\\axiom{\\spad{l}.\"count\"} returns the number of elements in \\axiom{\\spad{l}}.") (($ $ "sort") "\\axiom{\\spad{l}.sort} returns \\axiom{\\spad{l}} with elements sorted. Note: \\axiom{\\spad{l}.sort = sort(\\spad{l})}") (($ $ "unique") "\\axiom{\\spad{l}.unique} returns \\axiom{\\spad{l}} with duplicates removed. Note: \\axiom{\\spad{l}.unique = removeDuplicates(\\spad{l})}.")) (|datalist| (($ (|List| |#1|)) "\\spad{datalist(l)} creates a datalist from \\spad{l}")) (|coerce| (((|List| |#1|) $) "\\spad{coerce(x)} returns the list of elements in \\spad{x}") (($ (|List| |#1|)) "\\spad{coerce(l)} creates a datalist from \\spad{l}"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((|constructor| (NIL "This domain provides some nice functions on lists")) (|elt| (((|NonNegativeInteger|) $ "count") "\\axiom{l.\"count\"} returns the number of elements in \\axiom{l}.") (($ $ "sort") "\\axiom{l.sort} returns \\axiom{l} with elements sorted. Note: \\axiom{l.sort = sort(l)}") (($ $ "unique") "\\axiom{l.unique} returns \\axiom{l} with duplicates removed. Note: \\axiom{l.unique = removeDuplicates(l)}.")) (|datalist| (($ (|List| |#1|)) "\\spad{datalist(l)} creates a datalist from \\spad{l}")) (|coerce| (((|List| |#1|) $) "\\spad{coerce(x)} returns the list of elements in \\spad{x}") (($ (|List| |#1|)) "\\spad{coerce(l)} creates a datalist from \\spad{l}"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-242 M) 
-((|constructor| (NIL "DiscreteLogarithmPackage implements help functions for discrete logarithms in monoids using small cyclic groups.")) (|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) "\\spad{shanksDiscLogAlgorithm(b,{}a,{}p)} computes \\spad{s} with \\spad{b**s = a} for assuming that \\spad{a} and \\spad{b} are elements in a 'small' cyclic group of order \\spad{p} by Shank\\spad{'s} algorithm. Note that this is a subroutine of the function \\spadfun{discreteLog}.")) (** ((|#1| |#1| (|Integer|)) "\\spad{x ** n} returns \\spad{x} raised to the integer power \\spad{n}"))) 
+((|constructor| (NIL "DiscreteLogarithmPackage implements help functions for discrete logarithms in monoids using small cyclic groups.")) (|shanksDiscLogAlgorithm| (((|Union| (|NonNegativeInteger|) "failed") |#1| |#1| (|NonNegativeInteger|)) "\\spad{shanksDiscLogAlgorithm(b,a,p)} computes \\spad{s} with \\spad{b**s = a} for assuming that \\spad{a} and \\spad{b} are elements in a 'small' cyclic group of order \\spad{p} by Shank's algorithm. Note that this is a subroutine of the function \\spadfun{discreteLog}.")) (** ((|#1| |#1| (|Integer|)) "\\spad{x \\spad{**} \\spad{n}} returns \\spad{x} raised to the integer power \\spad{n}"))) 
 NIL 
 NIL 
 (-243 |vl| R) 
-((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is lexicographic specified by the variable list parameter with the most significant variable first in the list.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is lexicographic specified by the variable list parameter with the most significant variable first in the list.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
 (-244 |n| R M S) 
 ((|constructor| (NIL "This constructor provides a direct product type with a left matrix-module view."))) 
-((-4532 -2232 (-2206 (|has| |#4| (-1048)) (|has| |#4| (-226))) (-2206 (|has| |#4| (-1048)) (|has| |#4| (-896 (-1163)))) (|has| |#4| (-6 -4532)) (-2206 (|has| |#4| (-1048)) (|has| |#4| (-631 (-569))))) (-4529 |has| |#4| (-1048)) (-4530 |has| |#4| (-1048)) ((-4537 "*") |has| |#4| (-173)) (-4535 . T)) 
-((|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1048))) (|HasCategory| |#4| (QUOTE (-789))) (|HasCategory| |#4| (QUOTE (-841))) (-2232 (|HasCategory| |#4| (QUOTE (-789))) (|HasCategory| |#4| (QUOTE (-841)))) (|HasCategory| |#4| (QUOTE (-717))) (|HasCategory| |#4| (QUOTE (-173))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1048)))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366)))) (-2232 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-371))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-226))) (-2232 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-1091))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048)))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1091))))) (-2232 (|HasAttribute| |#4| (QUOTE -4532)) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1048))))) (|HasCategory| |#4| (QUOTE (-138))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-717)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-789)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-841)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1048)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))))) 
+((-4568 -1929 (-3993 (|has| |#4| (-1049)) (|has| |#4| (-226))) (-3993 (|has| |#4| (-1049)) (|has| |#4| (-897 (-1165)))) (|has| |#4| (-6 -4568)) (-3993 (|has| |#4| (-1049)) (|has| |#4| (-631 (-569))))) (-4565 |has| |#4| (-1049)) (-4566 |has| |#4| (-1049)) ((-4573 "*") |has| |#4| (-173)) (-4571 . T)) 
+((|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1049))) (|HasCategory| |#4| (QUOTE (-790))) (|HasCategory| |#4| (QUOTE (-842))) (-1929 (|HasCategory| |#4| (QUOTE (-790))) (|HasCategory| |#4| (QUOTE (-842)))) (|HasCategory| |#4| (QUOTE (-718))) (|HasCategory| |#4| (QUOTE (-173))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-1049)))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-366)))) (-1929 (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-371))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-226))) (-1929 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-173))) (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-1093))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049)))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (QUOTE (-1093))))) (-1929 (|HasAttribute| |#4| (QUOTE -4568)) (-12 (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (QUOTE (-226))) (|HasCategory| |#4| (QUOTE (-1049))))) (|HasCategory| |#4| (QUOTE (-138))) (|HasCategory| |#4| (QUOTE (-25))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-173)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-226)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-366)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-371)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-718)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-790)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-842)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1049)))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))))) 
 (-245 |n| R S) 
-((|constructor| (NIL "This constructor provides a direct product of \\spad{R}-modules with an \\spad{R}-module view."))) 
-((-4532 -2232 (-2206 (|has| |#3| (-1048)) (|has| |#3| (-226))) (-2206 (|has| |#3| (-1048)) (|has| |#3| (-896 (-1163)))) (|has| |#3| (-6 -4532)) (-2206 (|has| |#3| (-1048)) (|has| |#3| (-631 (-569))))) (-4529 |has| |#3| (-1048)) (-4530 |has| |#3| (-1048)) ((-4537 "*") |has| |#3| (-173)) (-4535 . T)) 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (-2232 (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841)))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-226))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (|HasAttribute| |#3| (QUOTE -4532)) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048))))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
+((|constructor| (NIL "This constructor provides a direct product of R-modules with an R-module view."))) 
+((-4568 -1929 (-3993 (|has| |#3| (-1049)) (|has| |#3| (-226))) (-3993 (|has| |#3| (-1049)) (|has| |#3| (-897 (-1165)))) (|has| |#3| (-6 -4568)) (-3993 (|has| |#3| (-1049)) (|has| |#3| (-631 (-569))))) (-4565 |has| |#3| (-1049)) (-4566 |has| |#3| (-1049)) ((-4573 "*") |has| |#3| (-173)) (-4571 . T)) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (-1929 (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842)))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-226))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (|HasAttribute| |#3| (QUOTE -4568)) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049))))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-25))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
 (-246 A R S V E) 
-((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition,{} it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader},{} \\spadfun{initial},{} \\spadfun{separant},{} \\spadfun{differentialVariables},{} and \\spadfun{isobaric?}. Furthermore,{} if the ground ring is a differential ring,{} then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor,{} one needs to provide a ground ring \\spad{R},{} an ordered set \\spad{S} of differential indeterminates,{} a ranking \\spad{V} on the set of derivatives of the differential indeterminates,{} and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#4| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight,{} and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#3|) "\\spad{weight(p,{} s)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p}.")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#3|) "\\spad{weights(p,{} s)} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p}.")) (|degree| (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,{} s)} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p},{} which is the maximum number of differentiations of a differential indeterminate,{} among all those appearing in \\spad{p}.") (((|NonNegativeInteger|) $ |#3|) "\\spad{order(p,{}s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s}.")) (|differentialVariables| (((|List| |#3|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p}.")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring,{} in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} \\spad{:=} makeVariable(\\spad{p}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#3|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate,{} in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} :=makeVariable(\\spad{s}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored."))) 
+((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#4| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#3|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#3|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#3|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#3|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-226)))) 
 (-247 R S V E) 
-((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition,{} it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader},{} \\spadfun{initial},{} \\spadfun{separant},{} \\spadfun{differentialVariables},{} and \\spadfun{isobaric?}. Furthermore,{} if the ground ring is a differential ring,{} then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor,{} one needs to provide a ground ring \\spad{R},{} an ordered set \\spad{S} of differential indeterminates,{} a ranking \\spad{V} on the set of derivatives of the differential indeterminates,{} and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#3| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight,{} and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#2|) "\\spad{weight(p,{} s)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p}.")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#2|) "\\spad{weights(p,{} s)} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p}.")) (|degree| (((|NonNegativeInteger|) $ |#2|) "\\spad{degree(p,{} s)} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p},{} which is the maximum number of differentiations of a differential indeterminate,{} among all those appearing in \\spad{p}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(p,{}s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s}.")) (|differentialVariables| (((|List| |#2|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p}.")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring,{} in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} \\spad{:=} makeVariable(\\spad{p}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#2|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate,{} in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z}.\\spad{n} where \\spad{z} :=makeVariable(\\spad{s}). Note that In the interpreter,{} \\spad{z} is given as an internal map,{} which may be ignored."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|constructor| (NIL "\\spadtype{DifferentialPolynomialCategory} is a category constructor specifying basic functions in an ordinary differential polynomial ring with a given ordered set of differential indeterminates. In addition, it implements defaults for the basic functions. The functions \\spadfun{order} and \\spadfun{weight} are extended from the set of derivatives of differential indeterminates to the set of differential polynomials. Other operations provided on differential polynomials are \\spadfun{leader}, \\spadfun{initial}, \\spadfun{separant}, \\spadfun{differentialVariables}, and \\spadfun{isobaric?}. Furthermore, if the ground ring is a differential ring, then evaluation (substitution of differential indeterminates by elements of the ground ring or by differential polynomials) is provided by \\spadfun{eval}. A convenient way of referencing derivatives is provided by the functions \\spadfun{makeVariable}. \\blankline To construct a domain using this constructor, one needs to provide a ground ring \\spad{R,} an ordered set \\spad{S} of differential indeterminates, a ranking \\spad{V} on the set of derivatives of the differential indeterminates, and a set \\spad{E} of exponents in bijection with the set of differential monomials in the given differential indeterminates.")) (|separant| (($ $) "\\spad{separant(p)} returns the partial derivative of the differential polynomial \\spad{p} with respect to its leader.")) (|initial| (($ $) "\\spad{initial(p)} returns the leading coefficient when the differential polynomial \\spad{p} is written as a univariate polynomial in its leader.")) (|leader| ((|#3| $) "\\spad{leader(p)} returns the derivative of the highest rank appearing in the differential polynomial \\spad{p} Note that an error occurs if \\spad{p} is in the ground ring.")) (|isobaric?| (((|Boolean|) $) "\\spad{isobaric?(p)} returns \\spad{true} if every differential monomial appearing in the differential polynomial \\spad{p} has same weight, and returns \\spad{false} otherwise.")) (|weight| (((|NonNegativeInteger|) $ |#2|) "\\spad{weight(p, \\spad{s)}} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|NonNegativeInteger|) $) "\\spad{weight(p)} returns the maximum weight of all differential monomials appearing in the differential polynomial \\spad{p.}")) (|weights| (((|List| (|NonNegativeInteger|)) $ |#2|) "\\spad{weights(p, \\spad{s)}} returns a list of weights of differential monomials appearing in the differential polynomial \\spad{p} when \\spad{p} is viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.") (((|List| (|NonNegativeInteger|)) $) "\\spad{weights(p)} returns a list of weights of differential monomials appearing in differential polynomial \\spad{p.}")) (|degree| (((|NonNegativeInteger|) $ |#2|) "\\spad{degree(p, \\spad{s)}} returns the maximum degree of the differential polynomial \\spad{p} viewed as a differential polynomial in the differential indeterminate \\spad{s} alone.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of the differential polynomial \\spad{p,} which is the maximum number of differentiations of a differential indeterminate, among all those appearing in \\spad{p.}") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(p,s)} returns the order of the differential polynomial \\spad{p} in differential indeterminate \\spad{s.}")) (|differentialVariables| (((|List| |#2|) $) "\\spad{differentialVariables(p)} returns a list of differential indeterminates occurring in a differential polynomial \\spad{p.}")) (|makeVariable| (((|Mapping| $ (|NonNegativeInteger|)) $) "\\spad{makeVariable(p)} views \\spad{p} as an element of a differential ring, in such a way that the \\spad{n}-th derivative of \\spad{p} may be simply referenced as \\spad{z.n} where \\spad{z} \\spad{:=} makeVariable(p). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored.") (((|Mapping| $ (|NonNegativeInteger|)) |#2|) "\\spad{makeVariable(s)} views \\spad{s} as a differential indeterminate, in such a way that the \\spad{n}-th derivative of \\spad{s} may be simply referenced as \\spad{z.n} where \\spad{z} :=makeVariable(s). Note that In the interpreter, \\spad{z} is given as an internal map, which may be ignored."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
 (-248 S) 
-((|constructor| (NIL "A dequeue is a doubly ended stack,{} that is,{} a bag where first items inserted are the first items extracted,{} at either the front or the back end of the data structure.")) (|reverse!| (($ $) "\\spad{reverse!(d)} destructively replaces \\spad{d} by its reverse dequeue,{} \\spadignore{i.e.} the top (front) element is now the bottom (back) element,{} and so on.")) (|extractBottom!| ((|#1| $) "\\spad{extractBottom!(d)} destructively extracts the bottom (back) element from the dequeue \\spad{d}. Error: if \\spad{d} is empty.")) (|extractTop!| ((|#1| $) "\\spad{extractTop!(d)} destructively extracts the top (front) element from the dequeue \\spad{d}. Error: if \\spad{d} is empty.")) (|insertBottom!| ((|#1| |#1| $) "\\spad{insertBottom!(x,{}d)} destructively inserts \\spad{x} into the dequeue \\spad{d} at the bottom (back) of the dequeue.")) (|insertTop!| ((|#1| |#1| $) "\\spad{insertTop!(x,{}d)} destructively inserts \\spad{x} into the dequeue \\spad{d},{} that is,{} at the top (front) of the dequeue. The element previously at the top of the dequeue becomes the second in the dequeue,{} and so on.")) (|bottom!| ((|#1| $) "\\spad{bottom!(d)} returns the element at the bottom (back) of the dequeue.")) (|top!| ((|#1| $) "\\spad{top!(d)} returns the element at the top (front) of the dequeue.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(d)} returns the number of elements in dequeue \\spad{d}. Note that \\axiom{height(\\spad{d}) = \\# \\spad{d}}.")) (|dequeue| (($ (|List| |#1|)) "\\spad{dequeue([x,{}y,{}...,{}z])} creates a dequeue with first (top or front) element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom or back) element \\spad{z}.") (($) "\\spad{dequeue()}\\$\\spad{D} creates an empty dequeue of type \\spad{D}."))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "A dequeue is a doubly ended stack, that is, a bag where first items inserted are the first items extracted, at either the front or the back end of the data structure.")) (|reverse!| (($ $) "\\spad{reverse!(d)} destructively replaces \\spad{d} by its reverse dequeue, \\spadignore{i.e.} the top (front) element is now the bottom (back) element, and so on.")) (|extractBottom!| ((|#1| $) "\\spad{extractBottom!(d)} destructively extracts the bottom (back) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|extractTop!| ((|#1| $) "\\spad{extractTop!(d)} destructively extracts the top (front) element from the dequeue \\spad{d.} Error: if \\spad{d} is empty.")) (|insertBottom!| ((|#1| |#1| $) "\\spad{insertBottom!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d} at the bottom (back) of the dequeue.")) (|insertTop!| ((|#1| |#1| $) "\\spad{insertTop!(x,d)} destructively inserts \\spad{x} into the dequeue \\spad{d,} that is, at the top (front) of the dequeue. The element previously at the top of the dequeue becomes the second in the dequeue, and so on.")) (|bottom!| ((|#1| $) "\\spad{bottom!(d)} returns the element at the bottom (back) of the dequeue.")) (|top!| ((|#1| $) "\\spad{top!(d)} returns the element at the top (front) of the dequeue.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(d)} returns the number of elements in dequeue \\spad{d.} Note that \\axiom{height(d) = \\# \\spad{d}.}")) (|dequeue| (($ (|List| |#1|)) "\\spad{dequeue([x,y,...,z])} creates a dequeue with first (top or front) element \\spad{x,} second element y,...,and last (bottom or back) element \\spad{z.}") (($) "\\spad{dequeue()}$D creates an empty dequeue of type \\spad{D.}"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
 (-249) 
-((|constructor| (NIL "TopLevelDrawFunctionsForCompiledFunctions provides top level functions for drawing graphics of expressions.")) (|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{recolor()},{} uninteresting to top level user; exported in order to compile package.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(surface(f,{}g,{}h),{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f,{}g,{}h),{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,{}a..b,{}c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,{}a..b,{}c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)},{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{makeObject(sp,{}curve(f,{}g,{}h),{}a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,{}g,{}h),{}a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{makeObject(sp,{}curve(f,{}g,{}h),{}a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,{}g,{}h),{}a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(surface(f,{}g,{}h),{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f,{}g,{}h),{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of the parametric surface \\spad{f(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}c..d)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}c..d,{}l)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}. and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,{}g,{}h),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,{}g,{}h),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t),{} z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,{}g),{}a..b)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,{}g),{}a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,{}a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,{}a..b,{}l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
+((|constructor| (NIL "TopLevelDrawFunctionsForCompiledFunctions provides top level functions for drawing graphics of expressions.")) (|recolor| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{recolor()}, uninteresting to top level user; exported in order to compile package.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f,g,h),a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{makeObject(f,a..b,c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f,a..b,c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{makeObject(sp,curve(f,g,h),a..b)} returns the space \\spad{sp} of the domain \\spadtype{ThreeSpace} with the addition of the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f,g,h),a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f,g,h),a..b,c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d)} draws the graph of the parametric surface \\spad{f(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,c..d)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,c..d,l)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}. and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of the parametric curve \\spad{f} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g,h),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|))) "\\spad{draw(curve(f,g),a..b)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f,g),a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|))) "\\spad{draw(f,a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}.") (((|TwoDimensionalViewport|) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f,a..b,l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
 (-250 R |Ex|) 
-((|constructor| (NIL "TopLevelDrawFunctionsForAlgebraicCurves provides top level functions for drawing non-singular algebraic curves.")) (|draw| (((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))) "\\spad{draw(f(x,{}y) = g(x,{}y),{}x,{}y,{}l)} draws the graph of a polynomial equation. The list \\spad{l} of draw options must specify a region in the plane in which the curve is to sketched."))) 
+((|constructor| (NIL "TopLevelDrawFunctionsForAlgebraicCurves provides top level functions for drawing non-singular algebraic curves.")) (|draw| (((|TwoDimensionalViewport|) (|Equation| |#2|) (|Symbol|) (|Symbol|) (|List| (|DrawOption|))) "\\spad{draw(f(x,y) = g(x,y),x,y,l)} draws the graph of a polynomial equation. The list \\spad{l} of draw options must specify a region in the plane in which the curve is to sketched."))) 
 NIL 
 NIL 
 (-251) 
-((|constructor| (NIL "\\axiomType{DrawComplex} provides some facilities for drawing complex functions.")) (|setClipValue| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{setClipValue(x)} sets to \\spad{x} the maximum value to plot when drawing complex functions. Returns \\spad{x}.")) (|setImagSteps| (((|Integer|) (|Integer|)) "\\spad{setImagSteps(i)} sets to \\spad{i} the number of steps to use in the imaginary direction when drawing complex functions. Returns \\spad{i}.")) (|setRealSteps| (((|Integer|) (|Integer|)) "\\spad{setRealSteps(i)} sets to \\spad{i} the number of steps to use in the real direction when drawing complex functions. Returns \\spad{i}.")) (|drawComplexVectorField| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{drawComplexVectorField(f,{}rRange,{}iRange)} draws a complex vector field using arrows on the \\spad{x--y} plane. These vector fields should be viewed from the top by pressing the \"XY\" translate button on the 3-\\spad{d} viewport control panel. Sample call: \\indented{3}{\\spad{f z == sin z}} \\indented{3}{\\spad{drawComplexVectorField(f,{} -2..2,{} -2..2)}} Parameter descriptions: \\indented{2}{\\spad{f} : the function to draw} \\indented{2}{\\spad{rRange} : the range of the real values} \\indented{2}{\\spad{iRange} : the range of the imaginary values} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction.")) (|drawComplex| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|)) "\\spad{drawComplex(f,{}rRange,{}iRange,{}arrows?)} draws a complex function as a height field. It uses the complex norm as the height and the complex argument as the color. It will optionally draw arrows on the surface indicating the direction of the complex value. Sample call: \\indented{2}{\\spad{f z == exp(1/z)}} \\indented{2}{\\spad{drawComplex(f,{} 0.3..3,{} 0..2*\\%\\spad{pi},{} false)}} Parameter descriptions: \\indented{2}{\\spad{f:}\\space{2}the function to draw} \\indented{2}{\\spad{rRange} : the range of the real values} \\indented{2}{\\spad{iRange} : the range of imaginary values} \\indented{2}{\\spad{arrows?} : a flag indicating whether to draw the phase arrows for \\spad{f}} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction."))) 
+((|constructor| (NIL "\\axiomType{DrawComplex} provides some facilities for drawing complex functions.")) (|setClipValue| (((|DoubleFloat|) (|DoubleFloat|)) "\\spad{setClipValue(x)} sets to \\spad{x} the maximum value to plot when drawing complex functions. Returns \\spad{x.}")) (|setImagSteps| (((|Integer|) (|Integer|)) "\\spad{setImagSteps(i)} sets to \\spad{i} the number of steps to use in the imaginary direction when drawing complex functions. Returns i.")) (|setRealSteps| (((|Integer|) (|Integer|)) "\\spad{setRealSteps(i)} sets to \\spad{i} the number of steps to use in the real direction when drawing complex functions. Returns i.")) (|drawComplexVectorField| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{drawComplexVectorField(f,rRange,iRange)} draws a complex vector field using arrows on the \\spad{x--y} plane. These vector fields should be viewed from the top by pressing the \"XY\" translate button on the 3-d viewport control panel. Sample call: \\indented{3}{\\spad{f \\spad{z} \\spad{==} sin \\spad{z}}} \\indented{3}{\\spad{drawComplexVectorField(f, -2..2, -2..2)}} Parameter descriptions: \\indented{2}{f : the function to draw} \\indented{2}{rRange : the range of the real values} \\indented{2}{iRange : the range of the imaginary values} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction.")) (|drawComplex| (((|ThreeDimensionalViewport|) (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Boolean|)) "\\spad{drawComplex(f,rRange,iRange,arrows?)} draws a complex function as a height field. It uses the complex norm as the height and the complex argument as the color. It will optionally draw arrows on the surface indicating the direction of the complex value. Sample call: \\indented{2}{\\spad{f \\spad{z} \\spad{==} exp(1/z)}} \\indented{2}{\\spad{drawComplex(f, 0.3..3, 0..2*%pi, false)}} Parameter descriptions: \\indented{2}{f:\\space{2}the function to draw} \\indented{2}{rRange : the range of the real values} \\indented{2}{iRange : the range of imaginary values} \\indented{2}{arrows? : a flag indicating whether to draw the phase arrows for \\spad{f}} Call the functions \\axiomFunFrom{setRealSteps}{DrawComplex} and \\axiomFunFrom{setImagSteps}{DrawComplex} to change the number of steps used in each direction."))) 
 NIL 
 NIL 
 (-252 R) 
-((|constructor| (NIL "Hack for the draw interface. DrawNumericHack provides a \"coercion\" from something of the form \\spad{x = a..b} where \\spad{a} and \\spad{b} are formal expressions to a binding of the form \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b}. This \"coercion\" fails if \\spad{a} and \\spad{b} contains symbolic variables,{} but is meant for expressions involving \\%\\spad{pi}. Note that this package is meant for internal use only.")) (|coerce| (((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))) "\\spad{coerce(x = a..b)} returns \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b}."))) 
+((|constructor| (NIL "Hack for the draw interface. DrawNumericHack provides a \"coercion\" from something of the form \\spad{x = a..b} where \\spad{a} and \\spad{b} are formal expressions to a binding of the form \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b.} This \"coercion\" fails if \\spad{a} and \\spad{b} contains symbolic variables, but is meant for expressions involving \\%pi. Note that this package is meant for internal use only.")) (|coerce| (((|SegmentBinding| (|Float|)) (|SegmentBinding| (|Expression| |#1|))) "\\spad{coerce(x = a..b)} returns \\spad{x = c..d} where \\spad{c} and \\spad{d} are the numerical values of \\spad{a} and \\spad{b.}"))) 
 NIL 
 NIL 
 (-253 |Ex|) 
-((|constructor| (NIL "TopLevelDrawFunctions provides top level functions for drawing graphics of expressions.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(f(x,{}y),{}x = a..b,{}y = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} appears as the default title.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f(x,{}y),{}x = a..b,{}y = c..d,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{makeObject(curve(f(t),{}g(t),{}h(t)),{}t = a..b)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f(t),{}g(t),{}h(t)),{}t = a..b,{}l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f(u,{}v),{}g(u,{}v),{}h(u,{}v)),{}u = a..b,{}v = c..d,{}l)} draws the graph of the parametric surface \\spad{x = f(u,{}v)},{} \\spad{y = g(u,{}v)},{} \\spad{z = h(u,{}v)} as \\spad{u} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{v} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(f(x,{}y),{}x = a..b,{}y = c..d)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} appears in the title bar.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x,{}y),{}x = a..b,{}y = c..d,{}l)} draws the graph of \\spad{z = f(x,{}y)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)} and \\spad{y} ranges from \\spad{min(c,{}d)} to \\spad{max(c,{}d)}; \\spad{f(x,{}y)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),{}g(t),{}h(t)),{}t = a..b)} draws the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),{}g(t),{}h(t)),{}t = a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{h(t)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),{}g(t)),{}t = a..b)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{(f(t),{}g(t))} appears in the title bar.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),{}g(t)),{}t = a..b,{}l)} draws the graph of the parametric curve \\spad{x = f(t),{} y = g(t)} as \\spad{t} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{(f(t),{}g(t))} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|))) "\\spad{draw(f(x),{}x = a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{f(x)} appears in the title bar.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x),{}x = a..b,{}l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,{}b)} to \\spad{max(a,{}b)}; \\spad{f(x)} is the default title,{} and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
+((|constructor| (NIL "TopLevelDrawFunctions provides top level functions for drawing graphics of expressions.")) (|makeObject| (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{makeObject(f(x,y),x = a..b,y = c..d)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} appears as the default title.") (((|ThreeSpace| (|DoubleFloat|)) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(f(x,y),x = a..b,y = c..d,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{makeObject(curve(f(t),g(t),h(t)),t = a..b)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title.") (((|ThreeSpace| (|DoubleFloat|)) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{makeObject(curve(f(t),g(t),h(t)),t = a..b,l)} returns a space of the domain \\spadtype{ThreeSpace} which contains the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.")) (|draw| (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSurface| |#1|) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(surface(f(u,v),g(u,v),h(u,v)),u = a..b,v = c..d,l)} draws the graph of the parametric surface \\spad{x = f(u,v)}, \\spad{y = g(u,v)}, \\spad{z = h(u,v)} as \\spad{u} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{v} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|))) "\\spad{draw(f(x,y),x = a..b,y = c..d)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} appears in the title bar.") (((|ThreeDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x,y),x = a..b,y = c..d,l)} draws the graph of \\spad{z = f(x,y)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)} and \\spad{y} ranges from \\spad{min(c,d)} to \\spad{max(c,d)}; \\spad{f(x,y)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),g(t),h(t)),t = a..b)} draws the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title.") (((|ThreeDimensionalViewport|) (|ParametricSpaceCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),g(t),h(t)),t = a..b,l)} draws the graph of the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{h(t)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|))) "\\spad{draw(curve(f(t),g(t)),t = a..b)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{(f(t),g(t))} appears in the title bar.") (((|TwoDimensionalViewport|) (|ParametricPlaneCurve| |#1|) (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(curve(f(t),g(t)),t = a..b,l)} draws the graph of the parametric curve \\spad{x = f(t), \\spad{y} = g(t)} as \\spad{t} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{(f(t),g(t))} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|))) "\\spad{draw(f(x),x = a..b)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{f(x)} appears in the title bar.") (((|TwoDimensionalViewport|) |#1| (|SegmentBinding| (|Float|)) (|List| (|DrawOption|))) "\\spad{draw(f(x),x = a..b,l)} draws the graph of \\spad{y = f(x)} as \\spad{x} ranges from \\spad{min(a,b)} to \\spad{max(a,b)}; \\spad{f(x)} is the default title, and the options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied."))) 
 NIL 
 NIL 
 (-254) 
-((|constructor| (NIL "TopLevelDrawFunctionsForPoints provides top level functions for drawing curves and surfaces described by sets of points.")) (|draw| (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,{}ly,{}lz,{}l)} draws the surface constructed by projecting the values in the \\axiom{\\spad{lz}} list onto the rectangular grid formed by the The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,{}ly,{}lz)} draws the surface constructed by projecting the values in the \\axiom{\\spad{lz}} list onto the rectangular grid formed by the \\axiom{\\spad{lx} \\spad{x} \\spad{ly}}.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|))) "\\spad{draw(lp,{}l)} plots the curve constructed from the list of points \\spad{lp}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|)))) "\\spad{draw(lp)} plots the curve constructed from the list of points \\spad{lp}.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,{}ly,{}l)} plots the curve constructed of points (\\spad{x},{}\\spad{y}) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,{}ly)} plots the curve constructed of points (\\spad{x},{}\\spad{y}) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}."))) 
+((|constructor| (NIL "TopLevelDrawFunctionsForPoints provides top level functions for drawing curves and surfaces described by sets of points.")) (|draw| (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,ly,lz,l)} draws the surface constructed by projecting the values in the \\axiom{lz} list onto the rectangular grid formed by the The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|ThreeDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,ly,lz)} draws the surface constructed by projecting the values in the \\axiom{lz} list onto the rectangular grid formed by the \\axiom{lx \\spad{x} ly}.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|))) (|List| (|DrawOption|))) "\\spad{draw(lp,l)} plots the curve constructed from the list of points \\spad{lp.} The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|Point| (|DoubleFloat|)))) "\\spad{draw(lp)} plots the curve constructed from the list of points \\spad{lp.}") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{draw(lx,ly,l)} plots the curve constructed of points (x,y) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}. The options contained in the list \\spad{l} of the domain \\spad{DrawOption} are applied.") (((|TwoDimensionalViewport|) (|List| (|DoubleFloat|)) (|List| (|DoubleFloat|))) "\\spad{draw(lx,ly)} plots the curve constructed of points (x,y) for \\spad{x} in \\spad{lx} for \\spad{y} in \\spad{ly}."))) 
 NIL 
 NIL 
 (-255) 
-((|constructor| (NIL "This package has no description")) (|units| (((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))) "\\spad{units(l,{}u)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{unit}. If the option does not exist the value,{} \\spad{u} is returned.")) (|coord| (((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{coord}. If the option does not exist the value,{} \\spad{p} is returned.")) (|tubeRadius| (((|Float|) (|List| (|DrawOption|)) (|Float|)) "\\spad{tubeRadius(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{tubeRadius}. If the option does not exist the value,{} \\spad{n} is returned.")) (|tubePoints| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{tubePoints(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{tubePoints}. If the option does not exist the value,{} \\spad{n} is returned.")) (|space| (((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{space(l)} takes a list of draw options,{} \\spad{l},{} and checks to see if it contains the option \\spad{space}. If the the option doesn\\spad{'t} exist,{} then an empty space is returned.")) (|var2Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var2Steps(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{var2Steps}. If the option does not exist the value,{} \\spad{n} is returned.")) (|var1Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var1Steps(l,{}n)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{var1Steps}. If the option does not exist the value,{} \\spad{n} is returned.")) (|ranges| (((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|)))) "\\spad{ranges(l,{}r)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{ranges}. If the option does not exist the value,{} \\spad{r} is returned.")) (|curveColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{curveColorPalette(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{curveColorPalette}. If the option does not exist the value,{} \\spad{p} is returned.")) (|pointColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{pointColorPalette(l,{}p)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{pointColorPalette}. If the option does not exist the value,{} \\spad{p} is returned.")) (|toScale| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{toScale(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{toScale}. If the option does not exist the value,{} \\spad{b} is returned.")) (|style| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{style(l,{}s)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{style}. If the option does not exist the value,{} \\spad{s} is returned.")) (|title| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{title(l,{}s)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{title}. If the option does not exist the value,{} \\spad{s} is returned.")) (|viewpoint| (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(l,{}ls)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{viewpoint}. IF the option does not exist,{} the value \\spad{ls} is returned.")) (|clipBoolean| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{clipBoolean(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{clipBoolean}. If the option does not exist the value,{} \\spad{b} is returned.")) (|adaptive| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{adaptive(l,{}b)} takes the list of draw options,{} \\spad{l},{} and checks the list to see if it contains the option \\spad{adaptive}. If the option does not exist the value,{} \\spad{b} is returned."))) 
+((|constructor| (NIL "This package has no description")) (|units| (((|List| (|Float|)) (|List| (|DrawOption|)) (|List| (|Float|))) "\\spad{units(l,u)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{unit}. If the option does not exist the value, \\spad{u} is returned.")) (|coord| (((|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{coord}. If the option does not exist the value, \\spad{p} is returned.")) (|tubeRadius| (((|Float|) (|List| (|DrawOption|)) (|Float|)) "\\spad{tubeRadius(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{tubeRadius}. If the option does not exist the value, \\spad{n} is returned.")) (|tubePoints| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{tubePoints(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{tubePoints}. If the option does not exist the value, \\spad{n} is returned.")) (|space| (((|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{space(l)} takes a list of draw options, \\spad{l,} and checks to see if it contains the option \\spad{space}. If the the option doesn't exist, then an empty space is returned.")) (|var2Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var2Steps(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{var2Steps}. If the option does not exist the value, \\spad{n} is returned.")) (|var1Steps| (((|PositiveInteger|) (|List| (|DrawOption|)) (|PositiveInteger|)) "\\spad{var1Steps(l,n)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{var1Steps}. If the option does not exist the value, \\spad{n} is returned.")) (|ranges| (((|List| (|Segment| (|Float|))) (|List| (|DrawOption|)) (|List| (|Segment| (|Float|)))) "\\spad{ranges(l,r)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{ranges}. If the option does not exist the value, \\spad{r} is returned.")) (|curveColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{curveColorPalette(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{curveColorPalette}. If the option does not exist the value, \\spad{p} is returned.")) (|pointColorPalette| (((|Palette|) (|List| (|DrawOption|)) (|Palette|)) "\\spad{pointColorPalette(l,p)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{pointColorPalette}. If the option does not exist the value, \\spad{p} is returned.")) (|toScale| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{toScale(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{toScale}. If the option does not exist the value, \\spad{b} is returned.")) (|style| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{style(l,s)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{style}. If the option does not exist the value, \\spad{s} is returned.")) (|title| (((|String|) (|List| (|DrawOption|)) (|String|)) "\\spad{title(l,s)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{title}. If the option does not exist the value, \\spad{s} is returned.")) (|viewpoint| (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) (|List| (|DrawOption|)) (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(l,ls)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{viewpoint}. IF the option does not exist, the value \\spad{ls} is returned.")) (|clipBoolean| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{clipBoolean(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{clipBoolean}. If the option does not exist the value, \\spad{b} is returned.")) (|adaptive| (((|Boolean|) (|List| (|DrawOption|)) (|Boolean|)) "\\spad{adaptive(l,b)} takes the list of draw options, \\spad{l,} and checks the list to see if it contains the option \\spad{adaptive}. If the option does not exist the value, \\spad{b} is returned."))) 
 NIL 
 NIL 
 (-256 S) 
-((|constructor| (NIL "This package has no description")) (|option| (((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)) "\\spad{option(l,{}s)} determines whether the indicated drawing option,{} \\spad{s},{} is contained in the list of drawing options,{} \\spad{l},{} which is defined by the draw command."))) 
+((|constructor| (NIL "This package has no description")) (|option| (((|Union| |#1| "failed") (|List| (|DrawOption|)) (|Symbol|)) "\\spad{option(l,s)} determines whether the indicated drawing option, \\spad{s,} is contained in the list of drawing options, \\spad{l,} which is defined by the draw command."))) 
 NIL 
 NIL 
 (-257) 
-((|constructor| (NIL "DrawOption allows the user to specify defaults for the creation and rendering of plots.")) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) "\\spad{option?()} is not to be used at the top level; option? internally returns \\spad{true} for drawing options which are indicated in a draw command,{} or \\spad{false} for those which are not.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option()} is not to be used at the top level; option determines internally which drawing options are indicated in a draw command.")) (|unit| (($ (|List| (|Float|))) "\\spad{unit(lf)} will mark off the units according to the indicated list \\spad{lf}. This option is expressed in the form \\spad{unit == [f1,{}f2]}.")) (|coord| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(p)} specifies a change of coordinates of point \\spad{p}. This option is expressed in the form \\spad{coord == p}.")) (|tubePoints| (($ (|PositiveInteger|)) "\\spad{tubePoints(n)} specifies the number of points,{} \\spad{n},{} defining the circle which creates the tube around a 3D curve,{} the default is 6. This option is expressed in the form \\spad{tubePoints == n}.")) (|var2Steps| (($ (|PositiveInteger|)) "\\spad{var2Steps(n)} indicates the number of subdivisions,{} \\spad{n},{} of the second range variable. This option is expressed in the form \\spad{var2Steps == n}.")) (|var1Steps| (($ (|PositiveInteger|)) "\\spad{var1Steps(n)} indicates the number of subdivisions,{} \\spad{n},{} of the first range variable. This option is expressed in the form \\spad{var1Steps == n}.")) (|space| (($ (|ThreeSpace| (|DoubleFloat|))) "\\spad{space specifies} the space into which we will draw. If none is given then a new space is created.")) (|ranges| (($ (|List| (|Segment| (|Float|)))) "\\spad{ranges(l)} provides a list of user-specified ranges \\spad{l}. This option is expressed in the form \\spad{ranges == l}.")) (|range| (($ (|List| (|Segment| (|Fraction| (|Integer|))))) "\\spad{range([i])} provides a user-specified range \\spad{i}. This option is expressed in the form \\spad{range == [i]}.") (($ (|List| (|Segment| (|Float|)))) "\\spad{range([l])} provides a user-specified range \\spad{l}. This option is expressed in the form \\spad{range == [l]}.")) (|tubeRadius| (($ (|Float|)) "\\spad{tubeRadius(r)} specifies a radius,{} \\spad{r},{} for a tube plot around a 3D curve; is expressed in the form \\spad{tubeRadius == 4}.")) (|colorFunction| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(x,{}y,{}z))} specifies the color for three dimensional plots as a function of \\spad{x},{} \\spad{y},{} and \\spad{z} coordinates. This option is expressed in the form \\spad{colorFunction == f(x,{}y,{}z)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(u,{}v))} specifies the color for three dimensional plots as a function based upon the two parametric variables. This option is expressed in the form \\spad{colorFunction == f(u,{}v)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(z))} specifies the color based upon the \\spad{z}-component of three dimensional plots. This option is expressed in the form \\spad{colorFunction == f(z)}.")) (|curveColor| (($ (|Palette|)) "\\spad{curveColor(p)} specifies a color index for 2D graph curves from the spadcolors palette \\spad{p}. This option is expressed in the form \\spad{curveColor ==p}.") (($ (|Float|)) "\\spad{curveColor(v)} specifies a color,{} \\spad{v},{} for 2D graph curves. This option is expressed in the form \\spad{curveColor == v}.")) (|pointColor| (($ (|Palette|)) "\\spad{pointColor(p)} specifies a color index for 2D graph points from the spadcolors palette \\spad{p}. This option is expressed in the form \\spad{pointColor == p}.") (($ (|Float|)) "\\spad{pointColor(v)} specifies a color,{} \\spad{v},{} for 2D graph points. This option is expressed in the form \\spad{pointColor == v}.")) (|coordinates| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coordinates(p)} specifies a change of coordinate systems of point \\spad{p}. This option is expressed in the form \\spad{coordinates == p}.")) (|toScale| (($ (|Boolean|)) "\\spad{toScale(b)} specifies whether or not a plot is to be drawn to scale; if \\spad{b} is \\spad{true} it is drawn to scale,{} if \\spad{b} is \\spad{false} it is not. This option is expressed in the form \\spad{toScale == b}.")) (|style| (($ (|String|)) "\\spad{style(s)} specifies the drawing style in which the graph will be plotted by the indicated string \\spad{s}. This option is expressed in the form \\spad{style == s}.")) (|title| (($ (|String|)) "\\spad{title(s)} specifies a title for a plot by the indicated string \\spad{s}. This option is expressed in the form \\spad{title == s}.")) (|viewpoint| (($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(vp)} creates a viewpoint data structure corresponding to the list of values. The values are interpreted as [theta,{} phi,{} scale,{} scaleX,{} scaleY,{} scaleZ,{} deltaX,{} deltaY]. This option is expressed in the form \\spad{viewpoint == ls}.")) (|clip| (($ (|List| (|Segment| (|Float|)))) "\\spad{clip([l])} provides ranges for user-defined clipping as specified in the list \\spad{l}. This option is expressed in the form \\spad{clip == [l]}.") (($ (|Boolean|)) "\\spad{clip(b)} turns 2D clipping on if \\spad{b} is \\spad{true},{} or off if \\spad{b} is \\spad{false}. This option is expressed in the form \\spad{clip == b}.")) (|adaptive| (($ (|Boolean|)) "\\spad{adaptive(b)} turns adaptive 2D plotting on if \\spad{b} is \\spad{true},{} or off if \\spad{b} is \\spad{false}. This option is expressed in the form \\spad{adaptive == b}."))) 
+((|constructor| (NIL "DrawOption allows the user to specify defaults for the creation and rendering of plots.")) (|option?| (((|Boolean|) (|List| $) (|Symbol|)) "\\spad{option?()} is not to be used at the top level; option? internally returns \\spad{true} for drawing options which are indicated in a draw command, or \\spad{false} for those which are not.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option()} is not to be used at the top level; option determines internally which drawing options are indicated in a draw command.")) (|unit| (($ (|List| (|Float|))) "\\spad{unit(lf)} will mark off the units according to the indicated list \\spad{lf.} This option is expressed in the form \\spad{unit \\spad{==} [f1,f2]}.")) (|coord| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coord(p)} specifies a change of coordinates of point \\spad{p.} This option is expressed in the form \\spad{coord \\spad{==} \\spad{p}.}")) (|tubePoints| (($ (|PositiveInteger|)) "\\spad{tubePoints(n)} specifies the number of points, \\spad{n,} defining the circle which creates the tube around a 3D curve, the default is 6. This option is expressed in the form \\spad{tubePoints \\spad{==} \\spad{n}.}")) (|var2Steps| (($ (|PositiveInteger|)) "\\spad{var2Steps(n)} indicates the number of subdivisions, \\spad{n,} of the second range variable. This option is expressed in the form \\spad{var2Steps \\spad{==} \\spad{n}.}")) (|var1Steps| (($ (|PositiveInteger|)) "\\spad{var1Steps(n)} indicates the number of subdivisions, \\spad{n,} of the first range variable. This option is expressed in the form \\spad{var1Steps \\spad{==} \\spad{n}.}")) (|space| (($ (|ThreeSpace| (|DoubleFloat|))) "\\spad{space specifies} the space into which we will draw. If none is given then a new space is created.")) (|ranges| (($ (|List| (|Segment| (|Float|)))) "\\spad{ranges(l)} provides a list of user-specified ranges \\spad{l.} This option is expressed in the form \\spad{ranges \\spad{==} \\spad{l}.}")) (|range| (($ (|List| (|Segment| (|Fraction| (|Integer|))))) "\\spad{range([i])} provides a user-specified range i. This option is expressed in the form \\spad{range \\spad{==} [i]}.") (($ (|List| (|Segment| (|Float|)))) "\\spad{range([l])} provides a user-specified range \\spad{l.} This option is expressed in the form \\spad{range \\spad{==} [l]}.")) (|tubeRadius| (($ (|Float|)) "\\spad{tubeRadius(r)} specifies a radius, \\spad{r,} for a tube plot around a 3D curve; is expressed in the form \\spad{tubeRadius \\spad{==} 4}.")) (|colorFunction| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(x,y,z))} specifies the color for three dimensional plots as a function of \\spad{x,} \\spad{y,} and \\spad{z} coordinates. This option is expressed in the form \\spad{colorFunction \\spad{==} f(x,y,z)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(u,v))} specifies the color for three dimensional plots as a function based upon the two parametric variables. This option is expressed in the form \\spad{colorFunction \\spad{==} f(u,v)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{colorFunction(f(z))} specifies the color based upon the z-component of three dimensional plots. This option is expressed in the form \\spad{colorFunction \\spad{==} f(z)}.")) (|curveColor| (($ (|Palette|)) "\\spad{curveColor(p)} specifies a color index for 2D graph curves from the spadcolors palette \\spad{p.} This option is expressed in the form \\spad{curveColor ==p}.") (($ (|Float|)) "\\spad{curveColor(v)} specifies a color, \\spad{v,} for 2D graph curves. This option is expressed in the form \\spad{curveColor \\spad{==} \\spad{v}.}")) (|pointColor| (($ (|Palette|)) "\\spad{pointColor(p)} specifies a color index for 2D graph points from the spadcolors palette \\spad{p.} This option is expressed in the form \\spad{pointColor \\spad{==} \\spad{p}.}") (($ (|Float|)) "\\spad{pointColor(v)} specifies a color, \\spad{v,} for 2D graph points. This option is expressed in the form \\spad{pointColor \\spad{==} \\spad{v}.}")) (|coordinates| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) "\\spad{coordinates(p)} specifies a change of coordinate systems of point \\spad{p.} This option is expressed in the form \\spad{coordinates \\spad{==} \\spad{p}.}")) (|toScale| (($ (|Boolean|)) "\\spad{toScale(b)} specifies whether or not a plot is to be drawn to scale; if \\spad{b} is \\spad{true} it is drawn to scale, if \\spad{b} is \\spad{false} it is not. This option is expressed in the form \\spad{toScale \\spad{==} \\spad{b}.}")) (|style| (($ (|String|)) "\\spad{style(s)} specifies the drawing style in which the graph will be plotted by the indicated string \\spad{s.} This option is expressed in the form \\spad{style \\spad{==} \\spad{s}.}")) (|title| (($ (|String|)) "\\spad{title(s)} specifies a title for a plot by the indicated string \\spad{s.} This option is expressed in the form \\spad{title \\spad{==} \\spad{s}.}")) (|viewpoint| (($ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(vp)} creates a viewpoint data structure corresponding to the list of values. The values are interpreted as [theta, phi, scale, scaleX, scaleY, scaleZ, deltaX, deltaY]. This option is expressed in the form \\spad{viewpoint \\spad{==} ls}.")) (|clip| (($ (|List| (|Segment| (|Float|)))) "\\spad{clip([l])} provides ranges for user-defined clipping as specified in the list \\spad{l.} This option is expressed in the form \\spad{clip \\spad{==} [l]}.") (($ (|Boolean|)) "\\spad{clip(b)} turns 2D clipping on if \\spad{b} is true, or off if \\spad{b} is false. This option is expressed in the form \\spad{clip \\spad{==} \\spad{b}.}")) (|adaptive| (($ (|Boolean|)) "\\spad{adaptive(b)} turns adaptive 2D plotting on if \\spad{b} is true, or off if \\spad{b} is false. This option is expressed in the form \\spad{adaptive \\spad{==} \\spad{b}.}"))) 
 NIL 
 NIL 
 (-258 R S V) 
 ((|constructor| (NIL "\\spadtype{DifferentialSparseMultivariatePolynomial} implements an ordinary differential polynomial ring by combining a domain belonging to the category \\spadtype{DifferentialVariableCategory} with the domain \\spadtype{SparseMultivariatePolynomial}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#3| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#3| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#3| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
 (-259 S) 
-((|constructor| (NIL "This category is part of the PAFF package")) (|tree| (($ (|List| |#1|)) "\\spad{tree(l)} creates a chain tree from the list \\spad{l}") (($ |#1|) "\\spad{tree(nd)} creates a tree with value \\spad{nd},{} and no children") (($ |#1| (|List| $)) "\\spad{tree(nd,{}ls)} creates a tree with value \\spad{nd},{} and children \\spad{ls}."))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "This category is part of the PAFF package")) (|tree| (($ (|List| |#1|)) "\\spad{tree(l)} creates a chain tree from the list \\spad{l}") (($ |#1|) "\\spad{tree(nd)} creates a tree with value \\spad{nd,} and no children") (($ |#1| (|List| $)) "\\spad{tree(nd,ls)} creates a tree with value \\spad{nd,} and children \\spad{ls.}"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
 (-260 S) 
-((|constructor| (NIL "This category is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput).")) (|encode| (((|String|) $) "\\spad{encode(t)} returns a string indicating the \"shape\" of the tree"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "This category is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput).")) (|encode| (((|String|) $) "\\spad{encode(t)} returns a string indicating the \"shape\" of the tree"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-261 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
-((|constructor| (NIL "\\indented{1}{The following is all the categories,{} domains and package} used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,{}listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible,{} where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!}.")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,{}listOfTrees)} computes the genus of a curve,{} where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!}.")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by \\spad{pol}.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(\\spad{tr},{}listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(\\spad{tr}) initialize the local parametrization at places corresponding to the leaves of \\spad{tr}.")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr}.")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of \\spad{tr}),{} computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(\\spad{tr}) initializeParamOfPlaces(\\spad{tr}) blowUpWithExcpDiv(\\spad{tr})")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by \\spad{pol}.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,{}pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by \\spad{pol}. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,{}tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
+((|constructor| (NIL "\\indented{1}{The following is all the categories, domains and package} used for the desingularisation be means of monoidal transformation (Blowing-up)")) (|genusTreeNeg| (((|Integer|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTreeNeg(n,listOfTrees)} computes the \"genus\" of a curve that may be not absolutly irreducible, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genusTree| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|List| |#10|)) "\\spad{genusTree(n,listOfTrees)} computes the genus of a curve, where \\spad{n} is the degree of a polynomial pol defining the curve and \\spad{listOfTrees} is all the desingularisation trees at all singular points on the curve defined by pol.")) (|genusNeg| (((|Integer|) |#3|) "\\spad{genusNeg(pol)} computes the \"genus\" of a curve that may be not absolutly irreducible. A \"negative\" genus means that the curve is reducible \\spad{!!.}")) (|genus| (((|NonNegativeInteger|) |#3|) "\\spad{genus(pol)} computes the genus of the curve defined by pol.")) (|initializeParamOfPlaces| (((|Void|) |#10| (|List| |#3|)) "initParLocLeaves(tr,listOfFnc) initialize the local parametrization at places corresponding to the leaves of \\spad{tr} according to the given list of functions in listOfFnc.") (((|Void|) |#10|) "initParLocLeaves(tr) initialize the local parametrization at places corresponding to the leaves of \\spad{tr.}")) (|initParLocLeaves| (((|Void|) |#10|) "\\spad{initParLocLeaves(tr)} initialize the local parametrization at simple points corresponding to the leaves of \\spad{tr.}")) (|fullParamInit| (((|Void|) |#10|) "\\spad{fullParamInit(tr)} initialize the local parametrization at all places (leaves of tr), computes the local exceptional divisor at each infinytly close points in the tree. This function is equivalent to the following called: initParLocLeaves(tr) initializeParamOfPlaces(tr) blowUpWithExcpDiv(tr)")) (|desingTree| (((|List| |#10|) |#3|) "\\spad{desingTree(pol)} returns all the desingularisation trees of all singular points on the curve defined by pol.")) (|desingTreeAtPoint| ((|#10| |#5| |#3|) "\\spad{desingTreeAtPoint(pt,pol)} computes the desingularisation tree at the point \\spad{pt} on the curve defined by pol. This function recursively compute the tree.")) (|adjunctionDivisor| ((|#8| |#10|) "\\spad{adjunctionDivisor(tr)} compute the local adjunction divisor of a desingularisation tree \\spad{tr} of a singular point.")) (|divisorAtDesingTree| ((|#8| |#3| |#10|) "\\spad{divisorAtDesingTree(f,tr)} computes the local divisor of \\spad{f} at a desingularisation tree \\spad{tr} of a singular point."))) 
 NIL 
 NIL 
 (-262 A S) 
-((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If \\spad{x},{}...,{}\\spad{y} is an ordered set of differential indeterminates,{} and the prime notation is used for differentiation,{} then the set of derivatives (including zero-th order) of the differential indeterminates is \\spad{x},{}\\spad{x'},{}\\spad{x''},{}...,{} \\spad{y},{}\\spad{y'},{}\\spad{y''},{}... (Note that in the interpreter,{} the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n}.) This set is viewed as a set of algebraic indeterminates,{} totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives,{} and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates,{} just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example,{} one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order},{} then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates,{} Very often,{} a grading is the first step in ordering the set of monomials. For differential polynomial domains,{} this constructor provides a function \\spadfun{weight},{} which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example,{} one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials,{} providing a graded ring structure.")) (|coerce| (($ |#2|) "\\spad{coerce(s)} returns \\spad{s},{} viewed as the zero-th order derivative of \\spad{s}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v,{} n)} returns the \\spad{n}-th derivative of \\spad{v}.") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v}.")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v}.")) (|variable| ((|#2| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#2| (|NonNegativeInteger|)) "\\spad{makeVariable(s,{} n)} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
+((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If x,...,y is an ordered set of differential indeterminates, and the prime notation is used for differentiation, then the set of derivatives (including zero-th order) of the differential indeterminates is x,\\spad{x'},\\spad{x''},..., y,\\spad{y'},\\spad{y''},... (Note that in the interpreter, the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n.)} This set is viewed as a set of algebraic indeterminates, totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives, and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates, just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example, one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order}, then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates, Very often, a grading is the first step in ordering the set of monomials. For differential polynomial domains, this constructor provides a function \\spadfun{weight}, which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example, one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials, providing a graded ring structure.")) (|coerce| (($ |#2|) "\\spad{coerce(s)} returns \\spad{s,} viewed as the zero-th order derivative of \\spad{s.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{v.}") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v.}")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v.}")) (|variable| ((|#2| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#2| (|NonNegativeInteger|)) "\\spad{makeVariable(s, \\spad{n)}} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
 (-263 S) 
-((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If \\spad{x},{}...,{}\\spad{y} is an ordered set of differential indeterminates,{} and the prime notation is used for differentiation,{} then the set of derivatives (including zero-th order) of the differential indeterminates is \\spad{x},{}\\spad{x'},{}\\spad{x''},{}...,{} \\spad{y},{}\\spad{y'},{}\\spad{y''},{}... (Note that in the interpreter,{} the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n}.) This set is viewed as a set of algebraic indeterminates,{} totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives,{} and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates,{} just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example,{} one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order},{} then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates,{} Very often,{} a grading is the first step in ordering the set of monomials. For differential polynomial domains,{} this constructor provides a function \\spadfun{weight},{} which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example,{} one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials,{} providing a graded ring structure.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s},{} viewed as the zero-th order derivative of \\spad{s}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v,{} n)} returns the \\spad{n}-th derivative of \\spad{v}.") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v}.")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v}.")) (|variable| ((|#1| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) "\\spad{makeVariable(s,{} n)} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
+((|constructor| (NIL "\\spadtype{DifferentialVariableCategory} constructs the set of derivatives of a given set of (ordinary) differential indeterminates. If x,...,y is an ordered set of differential indeterminates, and the prime notation is used for differentiation, then the set of derivatives (including zero-th order) of the differential indeterminates is x,\\spad{x'},\\spad{x''},..., y,\\spad{y'},\\spad{y''},... (Note that in the interpreter, the \\spad{n}-th derivative of \\spad{y} is displayed as \\spad{y} with a subscript \\spad{n.)} This set is viewed as a set of algebraic indeterminates, totally ordered in a way compatible with differentiation and the given order on the differential indeterminates. Such a total order is called a ranking of the differential indeterminates. \\blankline A domain in this category is needed to construct a differential polynomial domain. Differential polynomials are ordered by a ranking on the derivatives, and by an order (extending the ranking) on on the set of differential monomials. One may thus associate a domain in this category with a ranking of the differential indeterminates, just as one associates a domain in the category \\spadtype{OrderedAbelianMonoidSup} with an ordering of the set of monomials in a set of algebraic indeterminates. The ranking is specified through the binary relation \\spadfun{<}. For example, one may define one derivative to be less than another by lexicographically comparing first the \\spadfun{order}, then the given order of the differential indeterminates appearing in the derivatives. This is the default implementation. \\blankline The notion of weight generalizes that of degree. A polynomial domain may be made into a graded ring if a weight function is given on the set of indeterminates, Very often, a grading is the first step in ordering the set of monomials. For differential polynomial domains, this constructor provides a function \\spadfun{weight}, which allows the assignment of a non-negative number to each derivative of a differential indeterminate. For example, one may define the weight of a derivative to be simply its \\spadfun{order} (this is the default assignment). This weight function can then be extended to the set of all differential polynomials, providing a graded ring structure.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s,} viewed as the zero-th order derivative of \\spad{s.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(v, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{v.}") (($ $) "\\spad{differentiate(v)} returns the derivative of \\spad{v.}")) (|weight| (((|NonNegativeInteger|) $) "\\spad{weight(v)} returns the weight of the derivative \\spad{v.}")) (|variable| ((|#1| $) "\\spad{variable(v)} returns \\spad{s} if \\spad{v} is any derivative of the differential indeterminate \\spad{s.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(v)} returns \\spad{n} if \\spad{v} is the \\spad{n}-th derivative of any differential indeterminate.")) (|makeVariable| (($ |#1| (|NonNegativeInteger|)) "\\spad{makeVariable(s, \\spad{n)}} returns the \\spad{n}-th derivative of a differential indeterminate \\spad{s} as an algebraic indeterminate."))) 
 NIL 
 NIL 
 (-264) 
-((|constructor| (NIL "\\axiomType{e04AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical optimization routine.")) (|optAttributes| (((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{optAttributes(o)} is a function for supplying a list of attributes of an optimization problem.")) (|expenseOfEvaluation| (((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{expenseOfEvaluation(o)} returns the intensity value of the cost of evaluating the input set of functions. This is in terms of the number of ``operational units\\spad{''}. It returns a value in the range [0,{}1].")) (|changeNameToObjf| (((|Result|) (|Symbol|) (|Result|)) "\\spad{changeNameToObjf(s,{}r)} changes the name of item \\axiom{\\spad{s}} in \\axiom{\\spad{r}} to objf.")) (|varList| (((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{varList(e,{}n)} returns a list of \\axiom{\\spad{n}} indexed variables with name as in \\axiom{\\spad{e}}.")) (|variables| (((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{variables(args)} returns the list of variables in \\axiom{\\spad{args}.\\spad{lfn}}")) (|quadratic?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{quadratic?(e)} tests if \\axiom{\\spad{e}} is a quadratic function.")) (|nonLinearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{nonLinearPart(l)} returns the list of non-linear functions of \\spad{l}.")) (|linearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linearPart(l)} returns the list of linear functions of \\axiom{\\spad{l}}.")) (|linearMatrix| (((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|)) "\\spad{linearMatrix(l,{}n)} returns a matrix of coefficients of the linear functions in \\axiom{\\spad{l}}. If \\spad{l} is empty,{} the matrix has at least one row.")) (|linear?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{linear?(e)} tests if \\axiom{\\spad{e}} is a linear function.") (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linear?(l)} returns \\spad{true} if all the bounds \\spad{l} are either linear or simple.")) (|simpleBounds?| (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{simpleBounds?(l)} returns \\spad{true} if the list of expressions \\spad{l} are simple.")) (|splitLinear| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{splitLinear(f)} splits the linear part from an expression which it returns.")) (|sumOfSquares| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{sumOfSquares(f)} returns either an expression for which the square is the original function of \"failed\".")) (|sortConstraints| (((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{sortConstraints(args)} uses a simple bubblesort on the list of constraints using the degree of the expression on which to sort. Of course,{} it must match the bounds to the constraints.")) (|finiteBound| (((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|)) "\\spad{finiteBound(l,{}b)} repaces all instances of an infinite entry in \\axiom{\\spad{l}} by a finite entry \\axiom{\\spad{b}} or \\axiom{\\spad{-b}}."))) 
+((|constructor| (NIL "\\axiomType{e04AgentsPackage} is a package of numerical agents to be used to investigate attributes of an input function so as to decide the \\axiomFun{measure} of an appropriate numerical optimization routine.")) (|optAttributes| (((|List| (|String|)) (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{optAttributes(o)} is a function for supplying a list of attributes of an optimization problem.")) (|expenseOfEvaluation| (((|Float|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{expenseOfEvaluation(o)} returns the intensity value of the cost of evaluating the input set of functions. This is in terms of the number of ``operational units''. It returns a value in the range [0,1].")) (|changeNameToObjf| (((|Result|) (|Symbol|) (|Result|)) "\\spad{changeNameToObjf(s,r)} changes the name of item \\axiom{s} in \\axiom{r} to objf.")) (|varList| (((|List| (|Symbol|)) (|Expression| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{varList(e,n)} returns a list of \\axiom{n} indexed variables with name as in \\axiom{e}.")) (|variables| (((|List| (|Symbol|)) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{variables(args)} returns the list of variables in \\axiom{args.lfn}")) (|quadratic?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{quadratic?(e)} tests if \\axiom{e} is a quadratic function.")) (|nonLinearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{nonLinearPart(l)} returns the list of non-linear functions of \\spad{l.}")) (|linearPart| (((|List| (|Expression| (|DoubleFloat|))) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linearPart(l)} returns the list of linear functions of \\axiom{l}.")) (|linearMatrix| (((|Matrix| (|DoubleFloat|)) (|List| (|Expression| (|DoubleFloat|))) (|NonNegativeInteger|)) "\\spad{linearMatrix(l,n)} returns a matrix of coefficients of the linear functions in \\axiom{l}. If \\spad{l} is empty, the matrix has at least one row.")) (|linear?| (((|Boolean|) (|Expression| (|DoubleFloat|))) "\\spad{linear?(e)} tests if \\axiom{e} is a linear function.") (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{linear?(l)} returns \\spad{true} if all the bounds \\spad{l} are either linear or simple.")) (|simpleBounds?| (((|Boolean|) (|List| (|Expression| (|DoubleFloat|)))) "\\spad{simpleBounds?(l)} returns \\spad{true} if the list of expressions \\spad{l} are simple.")) (|splitLinear| (((|Expression| (|DoubleFloat|)) (|Expression| (|DoubleFloat|))) "\\spad{splitLinear(f)} splits the linear part from an expression which it returns.")) (|sumOfSquares| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{sumOfSquares(f)} returns either an expression for which the square is the original function of \"failed\".")) (|sortConstraints| (((|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|))))) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{sortConstraints(args)} uses a simple bubblesort on the list of constraints using the degree of the expression on which to sort. Of course, it must match the bounds to the constraints.")) (|finiteBound| (((|List| (|DoubleFloat|)) (|List| (|OrderedCompletion| (|DoubleFloat|))) (|DoubleFloat|)) "\\spad{finiteBound(l,b)} repaces all instances of an infinite entry in \\axiom{l} by a finite entry \\axiom{b} or \\axiom{-b}."))) 
 NIL 
 NIL 
 (-265) 
-((|constructor| (NIL "\\axiomType{e04dgfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04DGF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04DGF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04dgfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04DGF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04DGF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-266) 
-((|constructor| (NIL "\\axiomType{e04fdfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04FDF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04FDF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04fdfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04FDF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04FDF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-267) 
-((|constructor| (NIL "\\axiomType{e04gcfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04GCF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04GCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04gcfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04GCF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04GCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-268) 
-((|constructor| (NIL "\\axiomType{e04jafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04JAF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04JAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04jafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04JAF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04JAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-269) 
-((|constructor| (NIL "\\axiomType{e04mbfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04MBF,{} an optimization routine for Linear functions. The function \\axiomFun{measure} measures the usefulness of the routine E04MBF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04mbfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04MBF, an optimization routine for Linear functions. The function \\axiomFun{measure} measures the usefulness of the routine E04MBF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-270) 
-((|constructor| (NIL "\\axiomType{e04nafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04NAF,{} an optimization routine for Quadratic functions. The function \\axiomFun{measure} measures the usefulness of the routine E04NAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04nafAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04NAF, an optimization routine for Quadratic functions. The function \\axiomFun{measure} measures the usefulness of the routine E04NAF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-271) 
-((|constructor| (NIL "\\axiomType{e04ucfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04UCF,{} a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04UCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
+((|constructor| (NIL "\\axiomType{e04ucfAnnaType} is a domain of \\axiomType{NumericalOptimization} for the NAG routine E04UCF, a general optimization routine which can handle some singularities in the input function. The function \\axiomFun{measure} measures the usefulness of the routine E04UCF for the given problem. The function \\axiomFun{numericalOptimization} performs the optimization by using \\axiomType{NagOptimisationPackage}."))) 
 NIL 
 NIL 
 (-272) 
-((|constructor| (NIL "A domain used in the construction of the exterior algebra on a set \\spad{X} over a ring \\spad{R}. This domain represents the set of all ordered subsets of the set \\spad{X},{} assumed to be in correspondance with {1,{}2,{}3,{} ...}. The ordered subsets are themselves ordered lexicographically and are in bijective correspondance with an ordered basis of the exterior algebra. In this domain we are dealing strictly with the exponents of basis elements which can only be 0 or 1. \\blankline The multiplicative identity element of the exterior algebra corresponds to the empty subset of \\spad{X}. A coerce from List Integer to an ordered basis element is provided to allow the convenient input of expressions. Another exported function forgets the ordered structure and simply returns the list corresponding to an ordered subset.")) (|Nul| (($ (|NonNegativeInteger|)) "\\spad{Nul()} gives the basis element 1 for the algebra generated by \\spad{n} generators.")) (|exponents| (((|List| (|Integer|)) $) "\\spad{exponents(x)} converts a domain element into a list of zeros and ones corresponding to the exponents in the basis element that \\spad{x} represents.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(x)} gives the numbers of 1\\spad{'s} in \\spad{x},{} \\spadignore{i.e.} the number of non-zero exponents in the basis element that \\spad{x} represents.")) (|coerce| (($ (|List| (|Integer|))) "\\spad{coerce(l)} converts a list of 0\\spad{'s} and 1\\spad{'s} into a basis element,{} where 1 (respectively 0) designates that the variable of the corresponding index of \\spad{l} is (respectively,{} is not) present. Error: if an element of \\spad{l} is not 0 or 1."))) 
+((|constructor| (NIL "A domain used in the construction of the exterior algebra on a set \\spad{X} over a ring \\spad{R.} This domain represents the set of all ordered subsets of the set \\spad{X,} assumed to be in correspondance with {1,2,3, ...}. The ordered subsets are themselves ordered lexicographically and are in bijective correspondance with an ordered basis of the exterior algebra. In this domain we are dealing strictly with the exponents of basis elements which can only be 0 or 1. \\blankline The multiplicative identity element of the exterior algebra corresponds to the empty subset of \\spad{X.} A coerce from List Integer to an ordered basis element is provided to allow the convenient input of expressions. Another exported function forgets the ordered structure and simply returns the list corresponding to an ordered subset.")) (|Nul| (($ (|NonNegativeInteger|)) "\\spad{Nul()} gives the basis element 1 for the algebra generated by \\spad{n} generators.")) (|exponents| (((|List| (|Integer|)) $) "\\spad{exponents(x)} converts a domain element into a list of zeros and ones corresponding to the exponents in the basis element that \\spad{x} represents.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(x)} gives the numbers of 1's in \\spad{x,} \\spadignore{i.e.} the number of non-zero exponents in the basis element that \\spad{x} represents.")) (|coerce| (($ (|List| (|Integer|))) "\\spad{coerce(l)} converts a list of 0's and 1's into a basis element, where 1 (respectively 0) designates that the variable of the corresponding index of \\spad{l} is (respectively, is not) present. Error: if an element of \\spad{l} is not 0 or 1."))) 
 NIL 
 NIL 
-(-273 R -1564) 
-((|constructor| (NIL "Provides elementary functions over an integral domain.")) (|localReal?| (((|Boolean|) |#2|) "\\spad{localReal?(x)} should be local but conditional")) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) "\\spad{specialTrigs(x,{}l)} should be local but conditional")) (|iiacsch| ((|#2| |#2|) "\\spad{iiacsch(x)} should be local but conditional")) (|iiasech| ((|#2| |#2|) "\\spad{iiasech(x)} should be local but conditional")) (|iiacoth| ((|#2| |#2|) "\\spad{iiacoth(x)} should be local but conditional")) (|iiatanh| ((|#2| |#2|) "\\spad{iiatanh(x)} should be local but conditional")) (|iiacosh| ((|#2| |#2|) "\\spad{iiacosh(x)} should be local but conditional")) (|iiasinh| ((|#2| |#2|) "\\spad{iiasinh(x)} should be local but conditional")) (|iicsch| ((|#2| |#2|) "\\spad{iicsch(x)} should be local but conditional")) (|iisech| ((|#2| |#2|) "\\spad{iisech(x)} should be local but conditional")) (|iicoth| ((|#2| |#2|) "\\spad{iicoth(x)} should be local but conditional")) (|iitanh| ((|#2| |#2|) "\\spad{iitanh(x)} should be local but conditional")) (|iicosh| ((|#2| |#2|) "\\spad{iicosh(x)} should be local but conditional")) (|iisinh| ((|#2| |#2|) "\\spad{iisinh(x)} should be local but conditional")) (|iiacsc| ((|#2| |#2|) "\\spad{iiacsc(x)} should be local but conditional")) (|iiasec| ((|#2| |#2|) "\\spad{iiasec(x)} should be local but conditional")) (|iiacot| ((|#2| |#2|) "\\spad{iiacot(x)} should be local but conditional")) (|iiatan| ((|#2| |#2|) "\\spad{iiatan(x)} should be local but conditional")) (|iiacos| ((|#2| |#2|) "\\spad{iiacos(x)} should be local but conditional")) (|iiasin| ((|#2| |#2|) "\\spad{iiasin(x)} should be local but conditional")) (|iicsc| ((|#2| |#2|) "\\spad{iicsc(x)} should be local but conditional")) (|iisec| ((|#2| |#2|) "\\spad{iisec(x)} should be local but conditional")) (|iicot| ((|#2| |#2|) "\\spad{iicot(x)} should be local but conditional")) (|iitan| ((|#2| |#2|) "\\spad{iitan(x)} should be local but conditional")) (|iicos| ((|#2| |#2|) "\\spad{iicos(x)} should be local but conditional")) (|iisin| ((|#2| |#2|) "\\spad{iisin(x)} should be local but conditional")) (|iilog| ((|#2| |#2|) "\\spad{iilog(x)} should be local but conditional")) (|iiexp| ((|#2| |#2|) "\\spad{iiexp(x)} should be local but conditional")) (|iisqrt3| ((|#2|) "\\spad{iisqrt3()} should be local but conditional")) (|iisqrt2| ((|#2|) "\\spad{iisqrt2()} should be local but conditional")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(p)} returns an elementary operator with the same symbol as \\spad{p}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(p)} returns \\spad{true} if operator \\spad{p} is elementary")) (|pi| ((|#2|) "\\spad{\\spad{pi}()} returns the \\spad{pi} operator")) (|acsch| ((|#2| |#2|) "\\spad{acsch(x)} applies the inverse hyperbolic cosecant operator to \\spad{x}")) (|asech| ((|#2| |#2|) "\\spad{asech(x)} applies the inverse hyperbolic secant operator to \\spad{x}")) (|acoth| ((|#2| |#2|) "\\spad{acoth(x)} applies the inverse hyperbolic cotangent operator to \\spad{x}")) (|atanh| ((|#2| |#2|) "\\spad{atanh(x)} applies the inverse hyperbolic tangent operator to \\spad{x}")) (|acosh| ((|#2| |#2|) "\\spad{acosh(x)} applies the inverse hyperbolic cosine operator to \\spad{x}")) (|asinh| ((|#2| |#2|) "\\spad{asinh(x)} applies the inverse hyperbolic sine operator to \\spad{x}")) (|csch| ((|#2| |#2|) "\\spad{csch(x)} applies the hyperbolic cosecant operator to \\spad{x}")) (|sech| ((|#2| |#2|) "\\spad{sech(x)} applies the hyperbolic secant operator to \\spad{x}")) (|coth| ((|#2| |#2|) "\\spad{coth(x)} applies the hyperbolic cotangent operator to \\spad{x}")) (|tanh| ((|#2| |#2|) "\\spad{tanh(x)} applies the hyperbolic tangent operator to \\spad{x}")) (|cosh| ((|#2| |#2|) "\\spad{cosh(x)} applies the hyperbolic cosine operator to \\spad{x}")) (|sinh| ((|#2| |#2|) "\\spad{sinh(x)} applies the hyperbolic sine operator to \\spad{x}")) (|acsc| ((|#2| |#2|) "\\spad{acsc(x)} applies the inverse cosecant operator to \\spad{x}")) (|asec| ((|#2| |#2|) "\\spad{asec(x)} applies the inverse secant operator to \\spad{x}")) (|acot| ((|#2| |#2|) "\\spad{acot(x)} applies the inverse cotangent operator to \\spad{x}")) (|atan| ((|#2| |#2|) "\\spad{atan(x)} applies the inverse tangent operator to \\spad{x}")) (|acos| ((|#2| |#2|) "\\spad{acos(x)} applies the inverse cosine operator to \\spad{x}")) (|asin| ((|#2| |#2|) "\\spad{asin(x)} applies the inverse sine operator to \\spad{x}")) (|csc| ((|#2| |#2|) "\\spad{csc(x)} applies the cosecant operator to \\spad{x}")) (|sec| ((|#2| |#2|) "\\spad{sec(x)} applies the secant operator to \\spad{x}")) (|cot| ((|#2| |#2|) "\\spad{cot(x)} applies the cotangent operator to \\spad{x}")) (|tan| ((|#2| |#2|) "\\spad{tan(x)} applies the tangent operator to \\spad{x}")) (|cos| ((|#2| |#2|) "\\spad{cos(x)} applies the cosine operator to \\spad{x}")) (|sin| ((|#2| |#2|) "\\spad{sin(x)} applies the sine operator to \\spad{x}")) (|log| ((|#2| |#2|) "\\spad{log(x)} applies the logarithm operator to \\spad{x}")) (|exp| ((|#2| |#2|) "\\spad{exp(x)} applies the exponential operator to \\spad{x}"))) 
+(-273 R -1647) 
+((|constructor| (NIL "Provides elementary functions over an integral domain.")) (|localReal?| (((|Boolean|) |#2|) "\\spad{localReal?(x)} should be local but conditional")) (|specialTrigs| (((|Union| |#2| "failed") |#2| (|List| (|Record| (|:| |func| |#2|) (|:| |pole| (|Boolean|))))) "\\spad{specialTrigs(x,l)} should be local but conditional")) (|iiacsch| ((|#2| |#2|) "\\spad{iiacsch(x)} should be local but conditional")) (|iiasech| ((|#2| |#2|) "\\spad{iiasech(x)} should be local but conditional")) (|iiacoth| ((|#2| |#2|) "\\spad{iiacoth(x)} should be local but conditional")) (|iiatanh| ((|#2| |#2|) "\\spad{iiatanh(x)} should be local but conditional")) (|iiacosh| ((|#2| |#2|) "\\spad{iiacosh(x)} should be local but conditional")) (|iiasinh| ((|#2| |#2|) "\\spad{iiasinh(x)} should be local but conditional")) (|iicsch| ((|#2| |#2|) "\\spad{iicsch(x)} should be local but conditional")) (|iisech| ((|#2| |#2|) "\\spad{iisech(x)} should be local but conditional")) (|iicoth| ((|#2| |#2|) "\\spad{iicoth(x)} should be local but conditional")) (|iitanh| ((|#2| |#2|) "\\spad{iitanh(x)} should be local but conditional")) (|iicosh| ((|#2| |#2|) "\\spad{iicosh(x)} should be local but conditional")) (|iisinh| ((|#2| |#2|) "\\spad{iisinh(x)} should be local but conditional")) (|iiacsc| ((|#2| |#2|) "\\spad{iiacsc(x)} should be local but conditional")) (|iiasec| ((|#2| |#2|) "\\spad{iiasec(x)} should be local but conditional")) (|iiacot| ((|#2| |#2|) "\\spad{iiacot(x)} should be local but conditional")) (|iiatan| ((|#2| |#2|) "\\spad{iiatan(x)} should be local but conditional")) (|iiacos| ((|#2| |#2|) "\\spad{iiacos(x)} should be local but conditional")) (|iiasin| ((|#2| |#2|) "\\spad{iiasin(x)} should be local but conditional")) (|iicsc| ((|#2| |#2|) "\\spad{iicsc(x)} should be local but conditional")) (|iisec| ((|#2| |#2|) "\\spad{iisec(x)} should be local but conditional")) (|iicot| ((|#2| |#2|) "\\spad{iicot(x)} should be local but conditional")) (|iitan| ((|#2| |#2|) "\\spad{iitan(x)} should be local but conditional")) (|iicos| ((|#2| |#2|) "\\spad{iicos(x)} should be local but conditional")) (|iisin| ((|#2| |#2|) "\\spad{iisin(x)} should be local but conditional")) (|iilog| ((|#2| |#2|) "\\spad{iilog(x)} should be local but conditional")) (|iiexp| ((|#2| |#2|) "\\spad{iiexp(x)} should be local but conditional")) (|iisqrt3| ((|#2|) "\\spad{iisqrt3()} should be local but conditional")) (|iisqrt2| ((|#2|) "\\spad{iisqrt2()} should be local but conditional")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(p)} returns an elementary operator with the same symbol as \\spad{p}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(p)} returns \\spad{true} if operator \\spad{p} is elementary")) (|pi| ((|#2|) "\\spad{pi()} returns the \\spad{pi} operator")) (|acsch| ((|#2| |#2|) "\\spad{acsch(x)} applies the inverse hyperbolic cosecant operator to \\spad{x}")) (|asech| ((|#2| |#2|) "\\spad{asech(x)} applies the inverse hyperbolic secant operator to \\spad{x}")) (|acoth| ((|#2| |#2|) "\\spad{acoth(x)} applies the inverse hyperbolic cotangent operator to \\spad{x}")) (|atanh| ((|#2| |#2|) "\\spad{atanh(x)} applies the inverse hyperbolic tangent operator to \\spad{x}")) (|acosh| ((|#2| |#2|) "\\spad{acosh(x)} applies the inverse hyperbolic cosine operator to \\spad{x}")) (|asinh| ((|#2| |#2|) "\\spad{asinh(x)} applies the inverse hyperbolic sine operator to \\spad{x}")) (|csch| ((|#2| |#2|) "\\spad{csch(x)} applies the hyperbolic cosecant operator to \\spad{x}")) (|sech| ((|#2| |#2|) "\\spad{sech(x)} applies the hyperbolic secant operator to \\spad{x}")) (|coth| ((|#2| |#2|) "\\spad{coth(x)} applies the hyperbolic cotangent operator to \\spad{x}")) (|tanh| ((|#2| |#2|) "\\spad{tanh(x)} applies the hyperbolic tangent operator to \\spad{x}")) (|cosh| ((|#2| |#2|) "\\spad{cosh(x)} applies the hyperbolic cosine operator to \\spad{x}")) (|sinh| ((|#2| |#2|) "\\spad{sinh(x)} applies the hyperbolic sine operator to \\spad{x}")) (|acsc| ((|#2| |#2|) "\\spad{acsc(x)} applies the inverse cosecant operator to \\spad{x}")) (|asec| ((|#2| |#2|) "\\spad{asec(x)} applies the inverse secant operator to \\spad{x}")) (|acot| ((|#2| |#2|) "\\spad{acot(x)} applies the inverse cotangent operator to \\spad{x}")) (|atan| ((|#2| |#2|) "\\spad{atan(x)} applies the inverse tangent operator to \\spad{x}")) (|acos| ((|#2| |#2|) "\\spad{acos(x)} applies the inverse cosine operator to \\spad{x}")) (|asin| ((|#2| |#2|) "\\spad{asin(x)} applies the inverse sine operator to \\spad{x}")) (|csc| ((|#2| |#2|) "\\spad{csc(x)} applies the cosecant operator to \\spad{x}")) (|sec| ((|#2| |#2|) "\\spad{sec(x)} applies the secant operator to \\spad{x}")) (|cot| ((|#2| |#2|) "\\spad{cot(x)} applies the cotangent operator to \\spad{x}")) (|tan| ((|#2| |#2|) "\\spad{tan(x)} applies the tangent operator to \\spad{x}")) (|cos| ((|#2| |#2|) "\\spad{cos(x)} applies the cosine operator to \\spad{x}")) (|sin| ((|#2| |#2|) "\\spad{sin(x)} applies the sine operator to \\spad{x}")) (|log| ((|#2| |#2|) "\\spad{log(x)} applies the logarithm operator to \\spad{x}")) (|exp| ((|#2| |#2|) "\\spad{exp(x)} applies the exponential operator to \\spad{x}"))) 
 NIL 
 NIL 
-(-274 R -1564) 
-((|constructor| (NIL "ElementaryFunctionStructurePackage provides functions to test the algebraic independence of various elementary functions,{} using the Risch structure theorem (real and complex versions). It also provides transformations on elementary functions which are not considered simplifications.")) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) "\\spad{tanQ(q,{}a)} is a local function with a conditional implementation.")) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) "\\spad{rootNormalize(f,{} k)} returns \\spad{f} rewriting either \\spad{k} which must be an \\spad{n}th-root in terms of radicals already in \\spad{f},{} or some radicals in \\spad{f} in terms of \\spad{k}.")) (|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) "\\spad{validExponential([k1,{}...,{}kn],{}f,{}x)} returns \\spad{g} if \\spad{exp(f)=g} and \\spad{g} involves only \\spad{k1...kn},{} and \"failed\" otherwise.")) (|realElementary| ((|#2| |#2| (|Symbol|)) "\\spad{realElementary(f,{}x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log,{} exp,{} tan,{} atan}.") ((|#2| |#2|) "\\spad{realElementary(f)} rewrites \\spad{f} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log,{} exp,{} tan,{} atan}.")) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) "\\spad{rischNormalize(f,{} x)} returns \\spad{[g,{} [k1,{}...,{}kn],{} [h1,{}...,{}hn]]} such that \\spad{g = normalize(f,{} x)} and each \\spad{\\spad{ki}} was rewritten as \\spad{\\spad{hi}} during the normalization.")) (|normalize| ((|#2| |#2| (|Symbol|)) "\\spad{normalize(f,{} x)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{normalize(f)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels."))) 
+(-274 R -1647) 
+((|constructor| (NIL "ElementaryFunctionStructurePackage provides functions to test the algebraic independence of various elementary functions, using the Risch structure theorem (real and complex versions). It also provides transformations on elementary functions which are not considered simplifications.")) (|tanQ| ((|#2| (|Fraction| (|Integer|)) |#2|) "\\spad{tanQ(q,a)} is a local function with a conditional implementation.")) (|rootNormalize| ((|#2| |#2| (|Kernel| |#2|)) "\\spad{rootNormalize(f, \\spad{k)}} returns \\spad{f} rewriting either \\spad{k} which must be an nth-root in terms of radicals already in \\spad{f}, or some radicals in \\spad{f} in terms of \\spad{k}.")) (|validExponential| (((|Union| |#2| "failed") (|List| (|Kernel| |#2|)) |#2| (|Symbol|)) "\\spad{validExponential([k1,...,kn],f,x)} returns \\spad{g} if \\spad{exp(f)=g} and \\spad{g} involves only \\spad{k1...kn}, and \"failed\" otherwise.")) (|realElementary| ((|#2| |#2| (|Symbol|)) "\\spad{realElementary(f,x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.") ((|#2| |#2|) "\\spad{realElementary(f)} rewrites \\spad{f} in terms of the 4 fundamental real transcendental elementary functions: \\spad{log, exp, tan, atan}.")) (|rischNormalize| (((|Record| (|:| |func| |#2|) (|:| |kers| (|List| (|Kernel| |#2|))) (|:| |vals| (|List| |#2|))) |#2| (|Symbol|)) "\\spad{rischNormalize(f, \\spad{x)}} returns \\spad{[g, [k1,...,kn], [h1,...,hn]]} such that \\spad{g = normalize(f, \\spad{x)}} and each \\spad{ki} was rewritten as \\spad{hi} during the normalization.")) (|normalize| ((|#2| |#2| (|Symbol|)) "\\spad{normalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of real algebraically independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{normalize(f)} rewrites \\spad{f} using the least possible number of real algebraically independent kernels."))) 
 NIL 
 NIL 
 (-275 |Coef| UTS ULS) 
-((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z}.")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z}.")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z}.")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z}.")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z}.")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z}.")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z}.")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z}.")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z}.")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z}.")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z}.")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z}.")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z}.")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z}.")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z}.")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z}.")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z}.")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z}.")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z}.")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z}.")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z}.")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z}.")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z}.")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z}.")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z}.")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z}.")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s ** r} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
+((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of Laurent series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of Laurent series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of Laurent series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of Laurent series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of Laurent series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of Laurent series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of Laurent series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of Laurent series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of Laurent series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of Laurent series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of Laurent series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of Laurent series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of Laurent series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of Laurent series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of Laurent series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of Laurent series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of Laurent series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of Laurent series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of Laurent series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of Laurent series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of Laurent series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of Laurent series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of Laurent series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of Laurent series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of Laurent series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of Laurent series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{s \\spad{**} \\spad{r}} raises a Laurent series \\spad{s} to a rational power \\spad{r}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366)))) 
 (-276 |Coef| ULS UPXS EFULS) 
-((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of a Puiseux series \\spad{z}.")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of a Puiseux series \\spad{z}.")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of a Puiseux series \\spad{z}.")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of a Puiseux series \\spad{z}.")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of a Puiseux series \\spad{z}.")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of a Puiseux series \\spad{z}.")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of a Puiseux series \\spad{z}.")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of a Puiseux series \\spad{z}.")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of a Puiseux series \\spad{z}.")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of a Puiseux series \\spad{z}.")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of a Puiseux series \\spad{z}.")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of a Puiseux series \\spad{z}.")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of a Puiseux series \\spad{z}.")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of a Puiseux series \\spad{z}.")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of a Puiseux series \\spad{z}.")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of a Puiseux series \\spad{z}.")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of a Puiseux series \\spad{z}.")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of a Puiseux series \\spad{z}.")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of a Puiseux series \\spad{z}.")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of a Puiseux series \\spad{z}.")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of a Puiseux series \\spad{z}.")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of a Puiseux series \\spad{z}.")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of a Puiseux series \\spad{z}.")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of a Puiseux series \\spad{z}.")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of a Puiseux series \\spad{z}.")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of a Puiseux series \\spad{z}.")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{z ** r} raises a Puiseaux series \\spad{z} to a rational power \\spad{r}"))) 
+((|constructor| (NIL "This package provides elementary functions on any Laurent series domain over a field which was constructed from a Taylor series domain. These functions are implemented by calling the corresponding functions on the Taylor series domain. We also provide 'partial functions' which compute transcendental functions of Laurent series when possible and return \"failed\" when this is not possible.")) (|acsch| ((|#3| |#3|) "\\spad{acsch(z)} returns the inverse hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|asech| ((|#3| |#3|) "\\spad{asech(z)} returns the inverse hyperbolic secant of a Puiseux series \\spad{z.}")) (|acoth| ((|#3| |#3|) "\\spad{acoth(z)} returns the inverse hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|atanh| ((|#3| |#3|) "\\spad{atanh(z)} returns the inverse hyperbolic tangent of a Puiseux series \\spad{z.}")) (|acosh| ((|#3| |#3|) "\\spad{acosh(z)} returns the inverse hyperbolic cosine of a Puiseux series \\spad{z.}")) (|asinh| ((|#3| |#3|) "\\spad{asinh(z)} returns the inverse hyperbolic sine of a Puiseux series \\spad{z.}")) (|csch| ((|#3| |#3|) "\\spad{csch(z)} returns the hyperbolic cosecant of a Puiseux series \\spad{z.}")) (|sech| ((|#3| |#3|) "\\spad{sech(z)} returns the hyperbolic secant of a Puiseux series \\spad{z.}")) (|coth| ((|#3| |#3|) "\\spad{coth(z)} returns the hyperbolic cotangent of a Puiseux series \\spad{z.}")) (|tanh| ((|#3| |#3|) "\\spad{tanh(z)} returns the hyperbolic tangent of a Puiseux series \\spad{z.}")) (|cosh| ((|#3| |#3|) "\\spad{cosh(z)} returns the hyperbolic cosine of a Puiseux series \\spad{z.}")) (|sinh| ((|#3| |#3|) "\\spad{sinh(z)} returns the hyperbolic sine of a Puiseux series \\spad{z.}")) (|acsc| ((|#3| |#3|) "\\spad{acsc(z)} returns the arc-cosecant of a Puiseux series \\spad{z.}")) (|asec| ((|#3| |#3|) "\\spad{asec(z)} returns the arc-secant of a Puiseux series \\spad{z.}")) (|acot| ((|#3| |#3|) "\\spad{acot(z)} returns the arc-cotangent of a Puiseux series \\spad{z.}")) (|atan| ((|#3| |#3|) "\\spad{atan(z)} returns the arc-tangent of a Puiseux series \\spad{z.}")) (|acos| ((|#3| |#3|) "\\spad{acos(z)} returns the arc-cosine of a Puiseux series \\spad{z.}")) (|asin| ((|#3| |#3|) "\\spad{asin(z)} returns the arc-sine of a Puiseux series \\spad{z.}")) (|csc| ((|#3| |#3|) "\\spad{csc(z)} returns the cosecant of a Puiseux series \\spad{z.}")) (|sec| ((|#3| |#3|) "\\spad{sec(z)} returns the secant of a Puiseux series \\spad{z.}")) (|cot| ((|#3| |#3|) "\\spad{cot(z)} returns the cotangent of a Puiseux series \\spad{z.}")) (|tan| ((|#3| |#3|) "\\spad{tan(z)} returns the tangent of a Puiseux series \\spad{z.}")) (|cos| ((|#3| |#3|) "\\spad{cos(z)} returns the cosine of a Puiseux series \\spad{z.}")) (|sin| ((|#3| |#3|) "\\spad{sin(z)} returns the sine of a Puiseux series \\spad{z.}")) (|log| ((|#3| |#3|) "\\spad{log(z)} returns the logarithm of a Puiseux series \\spad{z.}")) (|exp| ((|#3| |#3|) "\\spad{exp(z)} returns the exponential of a Puiseux series \\spad{z.}")) (** ((|#3| |#3| (|Fraction| (|Integer|))) "\\spad{z \\spad{**} \\spad{r}} raises a Puiseaux series \\spad{z} to a rational power \\spad{r}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366)))) 
 (-277 A S) 
-((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion,{} deletion,{} and concatenation efficient. However,{} access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from \\spad{u}.")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,{}u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})}.")) (|merge!| (($ $ $) "\\spad{merge!(u,{}v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge!(p,{}u,{}v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p}.")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,{}u,{}i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position \\spad{i}.") (($ |#2| $ (|Integer|)) "\\spad{insert!(x,{}u,{}i)} destructively inserts \\spad{x} into \\spad{u} at position \\spad{i}.")) (|remove!| (($ |#2| $) "\\spad{remove!(x,{}u)} destructively removes all values \\spad{x} from \\spad{u}.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,{}u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,{}i..j)} destructively deletes elements \\spad{u}.\\spad{i} through \\spad{u}.\\spad{j}.") (($ $ (|Integer|)) "\\indented{1}{delete!(\\spad{u},{}\\spad{i}) destructively deletes the \\axiom{\\spad{i}}th element of \\spad{u}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data \\spad{E} delete!(\\spad{a1},{}1)")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively appends \\spad{v} to the end of \\spad{u}. \\spad{v} is unchanged") (($ $ |#2|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}."))) 
+((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#2| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#2| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#2|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+((|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093)))) 
 (-278 S) 
-((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion,{} deletion,{} and concatenation efficient. However,{} access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from \\spad{u}.")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,{}u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{\\spad{p}(\\spad{x})}.")) (|merge!| (($ $ $) "\\spad{merge!(u,{}v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge!(p,{}u,{}v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p}.")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,{}u,{}i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position \\spad{i}.") (($ |#1| $ (|Integer|)) "\\spad{insert!(x,{}u,{}i)} destructively inserts \\spad{x} into \\spad{u} at position \\spad{i}.")) (|remove!| (($ |#1| $) "\\spad{remove!(x,{}u)} destructively removes all values \\spad{x} from \\spad{u}.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,{}u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,{}i..j)} destructively deletes elements \\spad{u}.\\spad{i} through \\spad{u}.\\spad{j}.") (($ $ (|Integer|)) "\\indented{1}{delete!(\\spad{u},{}\\spad{i}) destructively deletes the \\axiom{\\spad{i}}th element of \\spad{u}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data \\spad{E} delete!(\\spad{a1},{}1)")) (|concat!| (($ $ $) "\\spad{concat!(u,{}v)} destructively appends \\spad{v} to the end of \\spad{u}. \\spad{v} is unchanged") (($ $ |#1|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}."))) 
-((-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "An extensible aggregate is one which allows insertion and deletion of entries. These aggregates are models of lists and streams which are represented by linked structures so as to make insertion, deletion, and concatenation efficient. However, access to elements of these extensible aggregates is generally slow since access is made from the end. See \\spadtype{FlexibleArray} for an exception.")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(u)} destructively removes duplicates from u.")) (|select!| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select!(p,u)} destructively changes \\spad{u} by keeping only values \\spad{x} such that \\axiom{p(x)}.")) (|merge!| (($ $ $) "\\spad{merge!(u,v)} destructively merges \\spad{u} and \\spad{v} in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge!(p,u,v)} destructively merges \\spad{u} and \\spad{v} using predicate \\spad{p.}")) (|insert!| (($ $ $ (|Integer|)) "\\spad{insert!(v,u,i)} destructively inserts aggregate \\spad{v} into \\spad{u} at position i.") (($ |#1| $ (|Integer|)) "\\spad{insert!(x,u,i)} destructively inserts \\spad{x} into \\spad{u} at position i.")) (|remove!| (($ |#1| $) "\\spad{remove!(x,u)} destructively removes all values \\spad{x} from u.") (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{remove!(p,u)} destructively removes all elements \\spad{x} of \\spad{u} such that \\axiom{p(x)} is true.")) (|delete!| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete!(u,i..j)} destructively deletes elements u.i through u.j.") (($ $ (|Integer|)) "\\indented{1}{delete!(u,i) destructively deletes the \\axiom{i}th element of u.} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data \\spad{E} delete!(a1,1)")) (|concat!| (($ $ $) "\\spad{concat!(u,v)} destructively appends \\spad{v} to the end of u. \\spad{v} is unchanged") (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u."))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
 (-279 S) 
-((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y}.")) (|exp| (($ $) "\\spad{exp(x)} returns \\%\\spad{e} to the power \\spad{x}.")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x}."))) 
+((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y.}")) (|exp| (($ $) "\\spad{exp(x)} returns \\%e to the power \\spad{x.}")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x.}"))) 
 NIL 
 NIL 
 (-280) 
-((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y}.")) (|exp| (($ $) "\\spad{exp(x)} returns \\%\\spad{e} to the power \\spad{x}.")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x}."))) 
+((|constructor| (NIL "Category for the elementary functions.")) (** (($ $ $) "\\spad{x**y} returns \\spad{x} to the power \\spad{y.}")) (|exp| (($ $) "\\spad{exp(x)} returns \\%e to the power \\spad{x.}")) (|log| (($ $) "\\spad{log(x)} returns the natural logarithm of \\spad{x.}"))) 
 NIL 
 NIL 
 (-281 |Coef| UTS) 
-((|constructor| (NIL "The elliptic functions \\spad{sn},{} \\spad{sc} and \\spad{dn} are expanded as Taylor series.")) (|sncndn| (((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|) "\\spad{sncndn(s,{}c)} is used internally.")) (|dn| ((|#2| |#2| |#1|) "\\spad{dn(x,{}k)} expands the elliptic function \\spad{dn} as a Taylor \\indented{1}{series.}")) (|cn| ((|#2| |#2| |#1|) "\\spad{cn(x,{}k)} expands the elliptic function \\spad{cn} as a Taylor \\indented{1}{series.}")) (|sn| ((|#2| |#2| |#1|) "\\spad{sn(x,{}k)} expands the elliptic function \\spad{sn} as a Taylor \\indented{1}{series.}"))) 
+((|constructor| (NIL "The elliptic functions \\spad{sn,} \\spad{sc} and \\spad{dn} are expanded as Taylor series.")) (|sncndn| (((|List| (|Stream| |#1|)) (|Stream| |#1|) |#1|) "\\spad{sncndn(s,c)} is used internally.")) (|dn| ((|#2| |#2| |#1|) "\\spad{dn(x,k)} expands the elliptic function \\spad{dn} as a Taylor \\indented{1}{series.}")) (|cn| ((|#2| |#2| |#1|) "\\spad{cn(x,k)} expands the elliptic function \\spad{cn} as a Taylor \\indented{1}{series.}")) (|sn| ((|#2| |#2| |#1|) "\\spad{sn(x,k)} expands the elliptic function \\spad{sn} as a Taylor \\indented{1}{series.}"))) 
 NIL 
 NIL 
 (-282 S |Index|) 
-((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to \\spad{I}. Examples of eltable structures range from data structures,{} \\spadignore{e.g.} those of type \\spadtype{List},{} to algebraic structures like \\spadtype{Polynomial}.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,{}i)} (also written: \\spad{u} . \\spad{i}) returns the element of \\spad{u} indexed by \\spad{i}. Error: if \\spad{i} is not an index of \\spad{u}."))) 
+((|constructor| (NIL "An eltable over domains \\spad{D} and \\spad{I} is a structure which can be viewed as a function from \\spad{D} to I. Examples of eltable structures range from data structures, \\spadignore{e.g.} those of type \\spadtype{List}, to algebraic structures like \\spadtype{Polynomial}.")) (|elt| ((|#2| $ |#1|) "\\spad{elt(u,i)} (also written: \\spad{u} . i) returns the element of \\spad{u} indexed by i. Error: if \\spad{i} is not an index of u."))) 
 NIL 
 NIL 
 (-283 S |Dom| |Im|) 
-((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example,{} the list \\axiom{[1,{}7,{}4]} can applied to 0,{}1,{} and 2 respectively will return the integers 1,{}7,{} and 4; thus this list may be viewed as mapping 0 to 1,{} 1 to 7 and 2 to 4. In general,{} an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,{}x,{}y)} sets the image of \\axiom{\\spad{x}} to be \\axiom{\\spad{y}} under \\axiom{\\spad{u}},{} without checking that \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,{}x,{}y)} sets the image of \\spad{x} to be \\spad{y} under \\spad{u},{} assuming \\spad{x} is in the domain of \\spad{u}. Error: if \\spad{x} is not in the domain of \\spad{u}.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u,{} x)} applies \\axiom{\\spad{u}} to \\axiom{\\spad{x}} without checking whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If \\axiom{\\spad{x}} is not in the domain of \\axiom{\\spad{u}} a memory-access violation may occur. If a check on whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}} is required,{} use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u,{} x,{} y)} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of \\spad{u},{} and returns \\spad{y} otherwise. For example,{} if \\spad{u} is a polynomial in \\axiom{\\spad{x}} over the rationals,{} \\axiom{elt(\\spad{u},{}\\spad{n},{}0)} may define the coefficient of \\axiom{\\spad{x}} to the power \\spad{n},{} returning 0 when \\spad{n} is out of range."))) 
+((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list \\axiom{[1,7,4]} can applied to 0,1, and 2 respectively will return the integers 1,7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#3| $ |#2| |#3|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#3| $ |#2|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#3| $ |#2| |#3|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536))) 
+((|HasAttribute| |#1| (QUOTE -4572))) 
 (-284 |Dom| |Im|) 
-((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example,{} the list \\axiom{[1,{}7,{}4]} can applied to 0,{}1,{} and 2 respectively will return the integers 1,{}7,{} and 4; thus this list may be viewed as mapping 0 to 1,{} 1 to 7 and 2 to 4. In general,{} an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,{}x,{}y)} sets the image of \\axiom{\\spad{x}} to be \\axiom{\\spad{y}} under \\axiom{\\spad{u}},{} without checking that \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,{}x,{}y)} sets the image of \\spad{x} to be \\spad{y} under \\spad{u},{} assuming \\spad{x} is in the domain of \\spad{u}. Error: if \\spad{x} is not in the domain of \\spad{u}.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u,{} x)} applies \\axiom{\\spad{u}} to \\axiom{\\spad{x}} without checking whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}}. If \\axiom{\\spad{x}} is not in the domain of \\axiom{\\spad{u}} a memory-access violation may occur. If a check on whether \\axiom{\\spad{x}} is in the domain of \\axiom{\\spad{u}} is required,{} use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u,{} x,{} y)} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of \\spad{u},{} and returns \\spad{y} otherwise. For example,{} if \\spad{u} is a polynomial in \\axiom{\\spad{x}} over the rationals,{} \\axiom{elt(\\spad{u},{}\\spad{n},{}0)} may define the coefficient of \\axiom{\\spad{x}} to the power \\spad{n},{} returning 0 when \\spad{n} is out of range."))) 
+((|constructor| (NIL "An eltable aggregate is one which can be viewed as a function. For example, the list \\axiom{[1,7,4]} can applied to 0,1, and 2 respectively will return the integers 1,7, and 4; thus this list may be viewed as mapping 0 to 1, 1 to 7 and 2 to 4. In general, an aggregate can map members of a domain Dom to an image domain Im.")) (|qsetelt!| ((|#2| $ |#1| |#2|) "\\spad{qsetelt!(u,x,y)} sets the image of \\axiom{x} to be \\axiom{y} under \\axiom{u}, without checking that \\axiom{x} is in the domain of \\axiom{u}. If such a check is required use the function \\axiom{setelt}.")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(u,x,y)} sets the image of \\spad{x} to be \\spad{y} under u, assuming \\spad{x} is in the domain of u. Error: if \\spad{x} is not in the domain of u.")) (|qelt| ((|#2| $ |#1|) "\\spad{qelt(u, \\spad{x)}} applies \\axiom{u} to \\axiom{x} without checking whether \\axiom{x} is in the domain of \\axiom{u}. If \\axiom{x} is not in the domain of \\axiom{u} a memory-access violation may occur. If a check on whether \\axiom{x} is in the domain of \\axiom{u} is required, use the function \\axiom{elt}.")) (|elt| ((|#2| $ |#1| |#2|) "\\spad{elt(u, \\spad{x,} \\spad{y)}} applies \\spad{u} to \\spad{x} if \\spad{x} is in the domain of u, and returns \\spad{y} otherwise. For example, if \\spad{u} is a polynomial in \\axiom{x} over the rationals, \\axiom{elt(u,n,0)} may define the coefficient of \\axiom{x} to the power \\spad{n,} returning 0 when \\spad{n} is out of range."))) 
 NIL 
 NIL 
-(-285 S R |Mod| -2461 -3288 |exactQuo|) 
-((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing},{} \\spadtype{ModularField}")) (|elt| ((|#2| $ |#2|) "\\spad{elt(x,{}r)} or \\spad{x}.\\spad{r} is not documented")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#2| |#3|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#2| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#3| $) "\\spad{modulus(x)} is not documented"))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-285 S R |Mod| -2688 -2102 |exactQuo|) 
+((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{ModularField}")) (|elt| ((|#2| $ |#2|) "\\spad{elt(x,r)} or \\spad{x.r} is not documented")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#2| |#3|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#2| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#3| $) "\\spad{modulus(x)} is not documented"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-286) 
-((|constructor| (NIL "Entire Rings (non-commutative Integral Domains),{} \\spadignore{i.e.} a ring not necessarily commutative which has no zero divisors. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ab=0 => a=0 or b=0} \\spad{--} known as noZeroDivisors\\spad{\\br} \\tab{5}\\spad{not(1=0)}")) (|noZeroDivisors| ((|attribute|) "if a product is zero then one of the factors must be zero."))) 
-((-4528 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "Entire Rings (non-commutative Integral Domains), \\spadignore{i.e.} a ring not necessarily commutative which has no zero divisors. \\blankline Axioms\\br \\tab{5}\\spad{ab=0 \\spad{=>} \\spad{a=0} or b=0} \\spad{--} known as noZeroDivisors\\br \\tab{5}\\spad{not(1=0)}")) (|noZeroDivisors| ((|attribute|) "if a product is zero then one of the factors must be zero."))) 
+((-4564 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-287 R) 
-((|constructor| (NIL "This is a package for the exact computation of eigenvalues and eigenvectors. This package can be made to work for matrices with coefficients which are rational functions over a ring where we can factor polynomials. Rational eigenvalues are always explicitly computed while the non-rational ones are expressed in terms of their minimal polynomial.")) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvectors(m)} returns the eigenvalues and eigenvectors for the matrix \\spad{m}. The rational eigenvalues and the correspondent eigenvectors are explicitely computed,{} while the non rational ones are given via their minimal polynomial and the corresponding eigenvectors are expressed in terms of a \"generic\" root of such a polynomial.")) (|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvectors(m)} returns the generalized eigenvectors of the matrix \\spad{m}.")) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvector(eigen,{}m)} returns the generalized eigenvectors of the matrix relative to the eigenvalue \\spad{eigen},{} as returned by the function eigenvectors.") (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalizedEigenvector(alpha,{}m,{}k,{}g)} returns the generalized eigenvectors of the matrix relative to the eigenvalue \\spad{alpha}. The integers \\spad{k} and \\spad{g} are respectively the algebraic and the geometric multiplicity of tye eigenvalue \\spad{alpha}. \\spad{alpha} can be either rational or not. In the seconda case apha is the minimal polynomial of the eigenvalue.")) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvector(eigval,{}m)} returns the eigenvectors belonging to the eigenvalue \\spad{eigval} for the matrix \\spad{m}.")) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvalues(m)} returns the eigenvalues of the matrix \\spad{m} which are expressible as rational functions over the rational numbers.")) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{characteristicPolynomial(m)} returns the characteristicPolynomial of the matrix \\spad{m} using a new generated symbol symbol as the main variable.") (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}var)} returns the characteristicPolynomial of the matrix \\spad{m} using the symbol \\spad{var} as the main variable."))) 
+((|constructor| (NIL "This is a package for the exact computation of eigenvalues and eigenvectors. This package can be made to work for matrices with coefficients which are rational functions over a ring where we can factor polynomials. Rational eigenvalues are always explicitly computed while the non-rational ones are expressed in terms of their minimal polynomial.")) (|eigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvectors(m)} returns the eigenvalues and eigenvectors for the matrix \\spad{m.} The rational eigenvalues and the correspondent eigenvectors are explicitely computed, while the non rational ones are given via their minimal polynomial and the corresponding eigenvectors are expressed in terms of a \"generic\" root of such a polynomial.")) (|generalizedEigenvectors| (((|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|))))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvectors(m)} returns the generalized eigenvectors of the matrix \\spad{m.}")) (|generalizedEigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{generalizedEigenvector(eigen,m)} returns the generalized eigenvectors of the matrix relative to the eigenvalue eigen, as returned by the function eigenvectors.") (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalizedEigenvector(alpha,m,k,g)} returns the generalized eigenvectors of the matrix relative to the eigenvalue alpha. The integers \\spad{k} and \\spad{g} are respectively the algebraic and the geometric multiplicity of tye eigenvalue alpha. \\spad{alpha} can be either rational or not. In the seconda case apha is the minimal polynomial of the eigenvalue.")) (|eigenvector| (((|List| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvector(eigval,m)} returns the eigenvectors belonging to the eigenvalue \\spad{eigval} for the matrix \\spad{m.}")) (|eigenvalues| (((|List| (|Union| (|Fraction| (|Polynomial| |#1|)) (|SuchThat| (|Symbol|) (|Polynomial| |#1|)))) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eigenvalues(m)} returns the eigenvalues of the matrix \\spad{m} which are expressible as rational functions over the rational numbers.")) (|characteristicPolynomial| (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{characteristicPolynomial(m)} returns the characteristicPolynomial of the matrix \\spad{m} using a new generated symbol symbol as the main variable.") (((|Polynomial| |#1|) (|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,var)} returns the characteristicPolynomial of the matrix \\spad{m} using the symbol \\spad{var} as the main variable."))) 
 NIL 
 NIL 
 (-288 S R) 
-((|constructor| (NIL "This package provides operations for mapping the sides of equations.")) (|map| (((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)) "\\spad{map(f,{}eq)} returns an equation where \\spad{f} is applied to the sides of \\spad{eq}"))) 
+((|constructor| (NIL "This package provides operations for mapping the sides of equations.")) (|map| (((|Equation| |#2|) (|Mapping| |#2| |#1|) (|Equation| |#1|)) "\\spad{map(f,eq)} returns an equation where \\spad{f} is applied to the sides of \\spad{eq}"))) 
 NIL 
 NIL 
 (-289 S) 
-((|constructor| (NIL "Equations as mathematical objects. All properties of the basis domain,{} \\spadignore{e.g.} being an abelian group are carried over the equation domain,{} by performing the structural operations on the left and on the right hand side.")) (|subst| (($ $ $) "\\spad{subst(eq1,{}eq2)} substitutes \\spad{eq2} into both sides of \\spad{eq1} the \\spad{lhs} of \\spad{eq2} should be a kernel")) (|inv| (($ $) "\\spad{inv(x)} returns the multiplicative inverse of \\spad{x}.")) (/ (($ $ $) "\\spad{e1/e2} produces a new equation by dividing the left and right hand sides of equations \\spad{e1} and \\spad{e2}.")) (|factorAndSplit| (((|List| $) $) "\\spad{factorAndSplit(eq)} make the right hand side 0 and factors the new left hand side. Each factor is equated to 0 and put into the resulting list without repetitions.")) (|rightOne| (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side.") (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side,{} if possible.")) (|leftOne| (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side.") (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side,{} if possible.")) (* (($ $ |#1|) "\\spad{eqn*x} produces a new equation by multiplying both sides of equation eqn by \\spad{x}.") (($ |#1| $) "\\spad{x*eqn} produces a new equation by multiplying both sides of equation eqn by \\spad{x}.")) (- (($ $ |#1|) "\\spad{eqn-x} produces a new equation by subtracting \\spad{x} from both sides of equation eqn.") (($ |#1| $) "\\spad{x-eqn} produces a new equation by subtracting both sides of equation eqn from \\spad{x}.")) (|rightZero| (($ $) "\\spad{rightZero(eq)} subtracts the right hand side.")) (|leftZero| (($ $) "\\spad{leftZero(eq)} subtracts the left hand side.")) (+ (($ $ |#1|) "\\spad{eqn+x} produces a new equation by adding \\spad{x} to both sides of equation eqn.") (($ |#1| $) "\\spad{x+eqn} produces a new equation by adding \\spad{x} to both sides of equation eqn.")) (|eval| (($ $ (|List| $)) "\\spad{eval(eqn,{} [x1=v1,{} ... xn=vn])} replaces \\spad{xi} by \\spad{vi} in equation \\spad{eqn}.") (($ $ $) "\\spad{eval(eqn,{} x=f)} replaces \\spad{x} by \\spad{f} in equation \\spad{eqn}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}eqn)} constructs a new equation by applying \\spad{f} to both sides of \\spad{eqn}.")) (|rhs| ((|#1| $) "\\spad{rhs(eqn)} returns the right hand side of equation \\spad{eqn}.")) (|lhs| ((|#1| $) "\\spad{lhs(eqn)} returns the left hand side of equation \\spad{eqn}.")) (|swap| (($ $) "\\spad{swap(eq)} interchanges left and right hand side of equation \\spad{eq}.")) (|equation| (($ |#1| |#1|) "\\spad{equation(a,{}b)} creates an equation.")) (= (($ |#1| |#1|) "\\spad{a=b} creates an equation."))) 
-((-4532 -2232 (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4529 |has| |#1| (-1048)) (-4530 |has| |#1| (-1048))) 
-((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-297))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-717))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717)))) (|HasCategory| |#1| (QUOTE (-1103))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1103)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717)))) (|HasCategory| |#1| (QUOTE (-25))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((|constructor| (NIL "Equations as mathematical objects. All properties of the basis domain, \\spadignore{e.g.} being an abelian group are carried over the equation domain, by performing the structural operations on the left and on the right hand side.")) (|subst| (($ $ $) "\\spad{subst(eq1,eq2)} substitutes \\spad{eq2} into both sides of \\spad{eq1} the \\spad{lhs} of \\spad{eq2} should be a kernel")) (|inv| (($ $) "\\spad{inv(x)} returns the multiplicative inverse of \\spad{x.}")) (/ (($ $ $) "\\spad{e1/e2} produces a new equation by dividing the left and right hand sides of equations \\spad{e1} and e2.")) (|factorAndSplit| (((|List| $) $) "\\spad{factorAndSplit(eq)} make the right hand side 0 and factors the new left hand side. Each factor is equated to 0 and put into the resulting list without repetitions.")) (|rightOne| (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side.") (((|Union| $ "failed") $) "\\spad{rightOne(eq)} divides by the right hand side, if possible.")) (|leftOne| (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side.") (((|Union| $ "failed") $) "\\spad{leftOne(eq)} divides by the left hand side, if possible.")) (* (($ $ |#1|) "\\spad{eqn*x} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}") (($ |#1| $) "\\spad{x*eqn} produces a new equation by multiplying both sides of equation eqn by \\spad{x.}")) (- (($ $ |#1|) "\\spad{eqn-x} produces a new equation by subtracting \\spad{x} from both sides of equation eqn.") (($ |#1| $) "\\spad{x-eqn} produces a new equation by subtracting both sides of equation eqn from \\spad{x.}")) (|rightZero| (($ $) "\\spad{rightZero(eq)} subtracts the right hand side.")) (|leftZero| (($ $) "\\spad{leftZero(eq)} subtracts the left hand side.")) (+ (($ $ |#1|) "\\spad{eqn+x} produces a new equation by adding \\spad{x} to both sides of equation eqn.") (($ |#1| $) "\\spad{x+eqn} produces a new equation by adding \\spad{x} to both sides of equation eqn.")) (|eval| (($ $ (|List| $)) "\\spad{eval(eqn, [x1=v1, \\spad{...} xn=vn])} replaces \\spad{xi} by \\spad{vi} in equation eqn.") (($ $ $) "\\spad{eval(eqn, x=f)} replaces \\spad{x} by \\spad{f} in equation eqn.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,eqn)} constructs a new equation by applying \\spad{f} to both sides of eqn.")) (|rhs| ((|#1| $) "\\spad{rhs(eqn)} returns the right hand side of equation eqn.")) (|lhs| ((|#1| $) "\\spad{lhs(eqn)} returns the left hand side of equation eqn.")) (|swap| (($ $) "\\spad{swap(eq)} interchanges left and right hand side of equation eq.")) (|equation| (($ |#1| |#1|) "\\spad{equation(a,b)} creates an equation.")) (= (($ |#1| |#1|) "\\spad{a=b} creates an equation."))) 
+((-4568 -1929 (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4565 |has| |#1| (-1049)) (-4566 |has| |#1| (-1049))) 
+((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-297))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-718))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718)))) (|HasCategory| |#1| (QUOTE (-1105))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1105)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718)))) (|HasCategory| |#1| (QUOTE (-25))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-290 |Key| |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are compared using \\spadfun{eq?}. Thus keys are considered equal only if they are the same instance of a structure."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
 (-291) 
-((|constructor| (NIL "ErrorFunctions implements error functions callable from the system interpreter. Typically,{} these functions would be called in user functions. The simple forms of the functions take one argument which is either a string (an error message) or a list of strings which all together make up a message. The list can contain formatting codes (see below). The more sophisticated versions takes two arguments where the first argument is the name of the function from which the error was invoked and the second argument is either a string or a list of strings,{} as above. When you use the one argument version in an interpreter function,{} the system will automatically insert the name of the function as the new first argument. Thus in the user interpreter function\\spad{\\br} \\tab{5}\\spad{f x == if x < 0 then error \"negative argument\" else x}\\spad{\\br} the call to error will actually be of the form\\spad{\\br} \\tab{5}\\spad{error(\"f\",{}\"negative argument\")}\\spad{\\br} because the interpreter will have created a new first argument. \\blankline Formatting codes: error messages may contain the following formatting codes (they should either start or end a string or else have blanks around them):\\spad{\\br} \\spad{\\%l}\\tab{6}start a new line\\spad{\\br} \\spad{\\%b}\\tab{6}start printing in a bold font (where available)\\spad{\\br} \\spad{\\%d}\\tab{6}stop printing in a bold font (where available)\\spad{\\br} \\spad{\\%ceon}\\tab{3}start centering message lines\\spad{\\br} \\spad{\\%ceoff}\\tab{2}stop centering message lines\\spad{\\br} \\spad{\\%rjon}\\tab{3}start displaying lines \"ragged left\"\\spad{\\br} \\spad{\\%rjoff}\\tab{2}stop displaying lines \"ragged left\"\\spad{\\br} \\spad{\\%i}\\tab{6}indent following lines 3 additional spaces\\spad{\\br} \\spad{\\%u}\\tab{6}unindent following lines 3 additional spaces\\spad{\\br} \\spad{\\%xN}\\tab{5}insert \\spad{N} blanks (eg,{} \\spad{\\%x10} inserts 10 blanks) \\blankline")) (|error| (((|Exit|) (|String|) (|List| (|String|))) "\\spad{error(nam,{}lmsg)} displays error messages \\spad{lmsg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|String|) (|String|)) "\\spad{error(nam,{}msg)} displays error message \\spad{msg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|List| (|String|))) "\\spad{error(lmsg)} displays error message \\spad{lmsg} and terminates.") (((|Exit|) (|String|)) "\\spad{error(msg)} displays error message \\spad{msg} and terminates."))) 
+((|constructor| (NIL "ErrorFunctions implements error functions callable from the system interpreter. Typically, these functions would be called in user functions. The simple forms of the functions take one argument which is either a string (an error message) or a list of strings which all together make up a message. The list can contain formatting codes (see below). The more sophisticated versions takes two arguments where the first argument is the name of the function from which the error was invoked and the second argument is either a string or a list of strings, as above. When you use the one argument version in an interpreter function, the system will automatically insert the name of the function as the new first argument. Thus in the user interpreter function\\br \\tab{5}\\spad{f \\spad{x} \\spad{==} if \\spad{x} < 0 then error \"negative argument\" else x}\\br the call to error will actually be of the form\\br \\tab{5}\\spad{error(\"f\",\"negative argument\")}\\br because the interpreter will have created a new first argument. \\blankline Formatting codes: error messages may contain the following formatting codes (they should either start or end a string or else have blanks around them):\\br \\spad{\\%l}\\tab{6}start a new line\\br \\spad{\\%b}\\tab{6}start printing in a bold font (where available)\\br \\spad{\\%d}\\tab{6}stop printing in a bold font (where available)\\br \\spad{\\%ceon}\\tab{3}start centering message lines\\br \\spad{\\%ceoff}\\tab{2}stop centering message lines\\br \\spad{\\%rjon}\\tab{3}start displaying lines \"ragged left\"\\br \\spad{\\%rjoff}\\tab{2}stop displaying lines \"ragged left\"\\br \\spad{\\%i}\\tab{6}indent following lines 3 additional spaces\\br \\spad{\\%u}\\tab{6}unindent following lines 3 additional spaces\\br \\spad{\\%xN}\\tab{5}insert \\spad{N} blanks (eg, \\spad{\\%x10} inserts 10 blanks) \\blankline")) (|error| (((|Exit|) (|String|) (|List| (|String|))) "\\spad{error(nam,lmsg)} displays error messages \\spad{lmsg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|String|) (|String|)) "\\spad{error(nam,msg)} displays error message \\spad{msg} preceded by a message containing the name \\spad{nam} of the function in which the error is contained.") (((|Exit|) (|List| (|String|))) "\\spad{error(lmsg)} displays error message \\spad{lmsg} and terminates.") (((|Exit|) (|String|)) "\\spad{error(msg)} displays error message \\spad{msg} and terminates."))) 
 NIL 
 NIL 
-(-292 -1564 S) 
-((|constructor| (NIL "This package allows a map from any expression space into any object to be lifted to a kernel over the expression set,{} using a given property of the operator of the kernel.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) "\\spad{map(f,{} p,{} k)} uses the property \\spad{p} of the operator of \\spad{k},{} in order to lift \\spad{f} and apply it to \\spad{k}."))) 
+(-292 -1647 S) 
+((|constructor| (NIL "This package allows a map from any expression space into any object to be lifted to a kernel over the expression set, using a given property of the operator of the kernel.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|String|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{p,} \\spad{k)}} uses the property \\spad{p} of the operator of \\spad{k,} in order to lift \\spad{f} and apply it to \\spad{k.}"))) 
 NIL 
 NIL 
-(-293 E -1564) 
-((|constructor| (NIL "This package allows a mapping \\spad{E} \\spad{->} \\spad{F} to be lifted to a kernel over \\spad{E}; This lifting can fail if the operator of the kernel cannot be applied in \\spad{F}; Do not use this package with \\spad{E} = \\spad{F},{} since this may drop some properties of the operators.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) "\\spad{map(f,{} k)} returns \\spad{g = op(f(a1),{}...,{}f(an))} where \\spad{k = op(a1,{}...,{}an)}."))) 
+(-293 E -1647) 
+((|constructor| (NIL "This package allows a mapping \\spad{E} \\spad{->} \\spad{F} to be lifted to a kernel over E; This lifting can fail if the operator of the kernel cannot be applied in \\spad{F;} Do not use this package with \\spad{E} = \\spad{F,} since this may drop some properties of the operators.")) (|map| ((|#2| (|Mapping| |#2| |#1|) (|Kernel| |#1|)) "\\spad{map(f, \\spad{k)}} returns \\spad{g = op(f(a1),...,f(an))} where \\spad{k = op(a1,...,an)}."))) 
 NIL 
 NIL 
 (-294 A B) 
@@ -1109,51 +1109,51 @@ NIL
 NIL 
 NIL 
 (-295) 
-((|constructor| (NIL "ExpertSystemContinuityPackage is a package of functions for the use of domains belonging to the category \\axiomType{NumericalIntegration}.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|polynomialZeros| (((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{polynomialZeros(fn,{}var,{}range)} calculates the real zeros of the polynomial which are contained in the given interval. It returns a list of points (\\axiomType{Doublefloat}) for which the univariate polynomial \\spad{fn} is zero.")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(v,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{v} will most likely produce an error. This includes those points which evaluate to 0/0.") (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(e,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error. This includes those points which evaluate to 0/0.")) (|zerosOf| (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{zerosOf(e,{}vars,{}range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error.")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,{}var,{}range)} returns a list of possible problem points by looking at the zeros of the denominator of the function \\spad{f} if it can be retracted to \\axiomType{Polynomial(DoubleFloat)}.")) (|functionIsFracPolynomial?| (((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsFracPolynomial?(args)} tests whether the function can be retracted to \\axiomType{Fraction(Polynomial(DoubleFloat))}")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{\\spad{u}}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{\\spad{u}}"))) 
+((|constructor| (NIL "ExpertSystemContinuityPackage is a package of functions for the use of domains belonging to the category \\axiomType{NumericalIntegration}.")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a Stream of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a List of \\axiomType{DoubleFloat} to \\axiomType{List}(\\axiomType{String})")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|polynomialZeros| (((|List| (|DoubleFloat|)) (|Polynomial| (|Fraction| (|Integer|))) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{polynomialZeros(fn,var,range)} calculates the real zeros of the polynomial which are contained in the given interval. It returns a list of points (\\axiomType{Doublefloat}) for which the univariate polynomial \\spad{fn} is zero.")) (|singularitiesOf| (((|Stream| (|DoubleFloat|)) (|Vector| (|Expression| (|DoubleFloat|))) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(v,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{v} will most likely produce an error. This includes those points which evaluate to 0/0.") (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{singularitiesOf(e,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error. This includes those points which evaluate to 0/0.")) (|zerosOf| (((|Stream| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|List| (|Symbol|)) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{zerosOf(e,vars,range)} returns a list of points (\\axiomType{Doublefloat}) at which a NAG fortran version of \\spad{e} will most likely produce an error.")) (|problemPoints| (((|List| (|DoubleFloat|)) (|Expression| (|DoubleFloat|)) (|Symbol|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{problemPoints(f,var,range)} returns a list of possible problem points by looking at the zeros of the denominator of the function \\spad{f} if it can be retracted to \\axiomType{Polynomial(DoubleFloat)}.")) (|functionIsFracPolynomial?| (((|Boolean|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{functionIsFracPolynomial?(args)} tests whether the function can be retracted to \\axiomType{Fraction(Polynomial(DoubleFloat))}")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\axiom{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\axiom{u}"))) 
 NIL 
 NIL 
 (-296 S) 
-((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? x} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? x} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x,{} s)} tests if \\spad{x} does not contain any operator whose name is \\spad{s}.") (((|Boolean|) $ $) "\\spad{freeOf?(x,{} y)} tests if \\spad{x} does not contain any occurrence of \\spad{y},{} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f,{} k)} returns \\spad{op(f(x1),{}...,{}f(xn))} where \\spad{k = op(x1,{}...,{}xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op,{} [f1,{}...,{}fn])} constructs \\spad{op(f1,{}...,{}fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op,{} x)} constructs \\spad{op}(\\spad{x}) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x,{} s)} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x,{} op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\%.")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f},{} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f},{} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f},{} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level,{} or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f}. Constants have height 0. Symbols have height 1. For any operator op and expressions \\spad{f1},{}...,{}\\spad{fn},{} \\spad{op(f1,{}...,{}fn)} has height equal to \\spad{1 + max(height(f1),{}...,{}height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f,{} g)} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(paren [x,{} 2])} returns the formal kernel \\spad{atan((x,{} 2))}.") (($ $) "\\spad{paren(f)} returns (\\spad{f}). This prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(box [x,{} 2])} returns the formal kernel \\spad{atan(x,{} 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f,{} [k1...,{}kn],{} [g1,{}...,{}gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|List| (|Equation| $))) "\\spad{subst(f,{} [k1 = g1,{}...,{}kn = gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|Equation| $)) "\\spad{subst(f,{} k = g)} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{}[x1,{}...,{}xn])} or \\spad{op}([\\spad{x1},{}...,{}\\spad{xn}]) applies the \\spad{n}-ary operator \\spad{op} to \\spad{x1},{}...,{}\\spad{xn}.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,{}x,{}y,{}z,{}t)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z},{} \\spad{t}) applies the 4-ary operator \\spad{op} to \\spad{x},{} \\spad{y},{} \\spad{z} and \\spad{t}.") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,{}x,{}y,{}z)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z}) applies the ternary operator \\spad{op} to \\spad{x},{} \\spad{y} and \\spad{z}.") (($ (|BasicOperator|) $ $) "\\spad{elt(op,{}x,{}y)} or \\spad{op}(\\spad{x},{} \\spad{y}) applies the binary operator \\spad{op} to \\spad{x} and \\spad{y}.") (($ (|BasicOperator|) $) "\\spad{elt(op,{}x)} or \\spad{op}(\\spad{x}) applies the unary operator \\spad{op} to \\spad{x}."))) 
+((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) 
+((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) 
 (-297) 
-((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? x} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? x} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} f)} replaces every \\spad{s(a1,{}..,{}am)} in \\spad{x} by \\spad{f(a1,{}..,{}am)} for any \\spad{a1},{}...,{}\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x,{} s)} tests if \\spad{x} does not contain any operator whose name is \\spad{s}.") (((|Boolean|) $ $) "\\spad{freeOf?(x,{} y)} tests if \\spad{x} does not contain any occurrence of \\spad{y},{} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f,{} k)} returns \\spad{op(f(x1),{}...,{}f(xn))} where \\spad{k = op(x1,{}...,{}xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op,{} [f1,{}...,{}fn])} constructs \\spad{op(f1,{}...,{}fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op,{} x)} constructs \\spad{op}(\\spad{x}) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x,{} s)} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x,{} op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\%.")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f},{} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f},{} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f},{} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level,{} or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f}. Constants have height 0. Symbols have height 1. For any operator op and expressions \\spad{f1},{}...,{}\\spad{fn},{} \\spad{op(f1,{}...,{}fn)} has height equal to \\spad{1 + max(height(f1),{}...,{}height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f,{} g)} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(paren [x,{} 2])} returns the formal kernel \\spad{atan((x,{} 2))}.") (($ $) "\\spad{paren(f)} returns (\\spad{f}). This prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,{}...,{}fn])} returns \\spad{(f1,{}...,{}fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them,{} and makes them applicable to a unary operator. For example,{} \\spad{atan(box [x,{} 2])} returns the formal kernel \\spad{atan(x,{} 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example,{} \\spad{log(1)} returns 0,{} but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f,{} [k1...,{}kn],{} [g1,{}...,{}gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|List| (|Equation| $))) "\\spad{subst(f,{} [k1 = g1,{}...,{}kn = gn])} replaces the kernels \\spad{k1},{}...,{}\\spad{kn} by \\spad{g1},{}...,{}\\spad{gn} formally in \\spad{f}.") (($ $ (|Equation| $)) "\\spad{subst(f,{} k = g)} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{}[x1,{}...,{}xn])} or \\spad{op}([\\spad{x1},{}...,{}\\spad{xn}]) applies the \\spad{n}-ary operator \\spad{op} to \\spad{x1},{}...,{}\\spad{xn}.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,{}x,{}y,{}z,{}t)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z},{} \\spad{t}) applies the 4-ary operator \\spad{op} to \\spad{x},{} \\spad{y},{} \\spad{z} and \\spad{t}.") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,{}x,{}y,{}z)} or \\spad{op}(\\spad{x},{} \\spad{y},{} \\spad{z}) applies the ternary operator \\spad{op} to \\spad{x},{} \\spad{y} and \\spad{z}.") (($ (|BasicOperator|) $ $) "\\spad{elt(op,{}x,{}y)} or \\spad{op}(\\spad{x},{} \\spad{y}) applies the binary operator \\spad{op} to \\spad{x} and \\spad{y}.") (($ (|BasicOperator|) $) "\\spad{elt(op,{}x)} or \\spad{op}(\\spad{x}) applies the unary operator \\spad{op} to \\spad{x}."))) 
+((|constructor| (NIL "An expression space is a set which is closed under certain operators.")) (|odd?| (((|Boolean|) $) "\\spad{odd? \\spad{x}} is \\spad{true} if \\spad{x} is an odd integer.")) (|even?| (((|Boolean|) $) "\\spad{even? \\spad{x}} is \\spad{true} if \\spad{x} is an even integer.")) (|definingPolynomial| (($ $) "\\spad{definingPolynomial(x)} returns an expression \\spad{p} such that \\spad{p(x) = 0}.")) (|minPoly| (((|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{minPoly(k)} returns \\spad{p} such that \\spad{p(k) = 0}.")) (|eval| (($ $ (|BasicOperator|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|BasicOperator|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|BasicOperator|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{f)}} replaces every \\spad{s(a1,..,am)} in \\spad{x} by \\spad{f(a1,..,am)} for any \\spad{a1},...,\\spad{am}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)} in \\spad{x} by \\spad{fi(a1,...,an)} for any \\spad{a1},...,\\spad{an}.") (($ $ (|List| (|Symbol|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [f1,...,fm])} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.")) (|freeOf?| (((|Boolean|) $ (|Symbol|)) "\\spad{freeOf?(x, \\spad{s)}} tests if \\spad{x} does not contain any operator whose name is \\spad{s.}") (((|Boolean|) $ $) "\\spad{freeOf?(x, \\spad{y)}} tests if \\spad{x} does not contain any occurrence of \\spad{y,} where \\spad{y} is a single kernel.")) (|map| (($ (|Mapping| $ $) (|Kernel| $)) "\\spad{map(f, \\spad{k)}} returns \\spad{op(f(x1),...,f(xn))} where \\spad{k = op(x1,...,xn)}.")) (|kernel| (($ (|BasicOperator|) (|List| $)) "\\spad{kernel(op, [f1,...,fn])} constructs \\spad{op(f1,...,fn)} without evaluating it.") (($ (|BasicOperator|) $) "\\spad{kernel(op, \\spad{x)}} constructs op(x) without evaluating it.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(x, \\spad{s)}} tests if \\spad{x} is a kernel and is the name of its operator is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(x, op)} tests if \\spad{x} is a kernel and is its operator is op.")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} tests if \\% accepts \\spad{op} as applicable to its elements.")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{%.}")) (|operators| (((|List| (|BasicOperator|)) $) "\\spad{operators(f)} returns all the basic operators appearing in \\spad{f,} no matter what their levels are.")) (|tower| (((|List| (|Kernel| $)) $) "\\spad{tower(f)} returns all the kernels appearing in \\spad{f,} no matter what their levels are.")) (|kernels| (((|List| (|Kernel| $)) $) "\\spad{kernels(f)} returns the list of all the top-level kernels appearing in \\spad{f,} but not the ones appearing in the arguments of the top-level kernels.")) (|mainKernel| (((|Union| (|Kernel| $) "failed") $) "\\spad{mainKernel(f)} returns a kernel of \\spad{f} with maximum nesting level, or if \\spad{f} has no kernels (\\spadignore{i.e.} \\spad{f} is a constant).")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(f)} returns the highest nesting level appearing in \\spad{f.} Constants have height 0. Symbols have height 1. For any operator op and expressions f1,...,fn, \\spad{op(f1,...,fn)} has height equal to \\spad{1 + max(height(f1),...,height(fn))}.")) (|distribute| (($ $ $) "\\spad{distribute(f, \\spad{g)}} expands all the kernels in \\spad{f} that contain \\spad{g} in their arguments and that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or a \\spadfunFrom{paren}{ExpressionSpace} expression.") (($ $) "\\spad{distribute(f)} expands all the kernels in \\spad{f} that are formally enclosed by a \\spadfunFrom{box}{ExpressionSpace} or \\spadfunFrom{paren}{ExpressionSpace} expression.")) (|paren| (($ (|List| $)) "\\spad{paren([f1,...,fn])} returns \\spad{(f1,...,fn)}. This prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(paren \\spad{[x,} 2])} returns the formal kernel \\spad{atan((x, 2))}.") (($ $) "\\spad{paren(f)} returns (f). This prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(paren 1)} returns the formal kernel log((1)).")) (|box| (($ (|List| $)) "\\spad{box([f1,...,fn])} returns \\spad{(f1,...,fn)} with a 'box' around them that prevents the \\spad{fi} from being evaluated when operators are applied to them, and makes them applicable to a unary operator. For example, \\spad{atan(box \\spad{[x,} 2])} returns the formal kernel \\spad{atan(x, 2)}.") (($ $) "\\spad{box(f)} returns \\spad{f} with a 'box' around it that prevents \\spad{f} from being evaluated when operators are applied to it. For example, \\spad{log(1)} returns 0, but \\spad{log(box 1)} returns the formal kernel log(1).")) (|subst| (($ $ (|List| (|Kernel| $)) (|List| $)) "\\spad{subst(f, [k1...,kn], [g1,...,gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|List| (|Equation| $))) "\\spad{subst(f, \\spad{[k1} = g1,...,kn = gn])} replaces the kernels k1,...,kn by g1,...,gn formally in \\spad{f.}") (($ $ (|Equation| $)) "\\spad{subst(f, \\spad{k} = \\spad{g)}} replaces the kernel \\spad{k} by \\spad{g} formally in \\spad{f.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,[x1,...,xn])} or op([x1,...,xn]) applies the n-ary operator \\spad{op} to x1,...,xn.") (($ (|BasicOperator|) $ $ $ $) "\\spad{elt(op,x,y,z,t)} or op(x, \\spad{y,} \\spad{z,} \\spad{t)} applies the 4-ary operator \\spad{op} to \\spad{x,} \\spad{y,} \\spad{z} and \\spad{t.}") (($ (|BasicOperator|) $ $ $) "\\spad{elt(op,x,y,z)} or op(x, \\spad{y,} \\spad{z)} applies the ternary operator \\spad{op} to \\spad{x,} \\spad{y} and \\spad{z.}") (($ (|BasicOperator|) $ $) "\\spad{elt(op,x,y)} or op(x, \\spad{y)} applies the binary operator \\spad{op} to \\spad{x} and \\spad{y.}") (($ (|BasicOperator|) $) "\\spad{elt(op,x)} or op(x) applies the unary operator \\spad{op} to \\spad{x.}"))) 
 NIL 
 NIL 
 (-298 R1) 
-((|constructor| (NIL "\\axiom{\\spad{ExpertSystemToolsPackage1}} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|neglist| (((|List| |#1|) (|List| |#1|)) "\\spad{neglist(l)} returns only the negative elements of the list \\spad{l}"))) 
+((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage1} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|neglist| (((|List| |#1|) (|List| |#1|)) "\\spad{neglist(l)} returns only the negative elements of the list \\spad{l}"))) 
 NIL 
 NIL 
 (-299 R1 R2) 
-((|constructor| (NIL "\\axiom{\\spad{ExpertSystemToolsPackage2}} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|map| (((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)) "\\spad{map(f,{}m)} applies a mapping \\spad{f:R1} \\spad{->} \\spad{R2} onto a matrix \\spad{m} in \\spad{R1} returning a matrix in \\spad{R2}"))) 
+((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage2} contains some useful functions for use by the computational agents of Ordinary Differential Equation solvers.")) (|map| (((|Matrix| |#2|) (|Mapping| |#2| |#1|) (|Matrix| |#1|)) "\\spad{map(f,m)} applies a mapping \\spad{f:R1} \\spad{->} \\spad{R2} onto a matrix \\spad{m} in \\spad{R1} returning a matrix in \\spad{R2}"))) 
 NIL 
 NIL 
 (-300) 
-((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage} contains some useful functions for use by the computational agents of numerical solvers.")) (|mat| (((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{mat(a,{}n)} constructs a one-dimensional matrix of a.")) (|fi2df| (((|DoubleFloat|) (|Fraction| (|Integer|))) "\\spad{fi2df(f)} coerces a \\axiomType{Fraction Integer} to \\axiomType{DoubleFloat}")) (|df2ef| (((|Expression| (|Float|)) (|DoubleFloat|)) "\\spad{df2ef(a)} coerces a \\axiomType{DoubleFloat} to \\axiomType{Expression Float}")) (|pdf2df| (((|DoubleFloat|) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2df(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{DoubleFloat}. It is an error if \\axiom{\\spad{p}} is not retractable to DoubleFloat.")) (|pdf2ef| (((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2ef(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{Expression Float}")) (|iflist2Result| (((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) "\\spad{iflist2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|att2Result| (((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) "\\spad{att2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|measure2Result| (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}") (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}")) (|outputMeasure| (((|String|) (|Float|)) "\\spad{outputMeasure(n)} rounds \\spad{n} to 3 decimal places and outputs it as a string")) (|concat| (((|Result|) (|List| (|Result|))) "\\spad{concat(l)} concatenates a list of aggregates of type \\axiomType{Result}") (((|Result|) (|Result|) (|Result|)) "\\spad{concat(a,{}b)} adds two aggregates of type \\axiomType{Result}.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\spad{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\spad{u}")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a \\axiomType{Stream DoubleFloat} to \\axiomType{String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List String}")) (|f2st| (((|String|) (|Float|)) "\\spad{f2st(n)} coerces a \\axiomType{Float} to \\axiomType{String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|in?| (((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{in?(p,{}range)} tests whether point \\spad{p} is internal to the \\spad{range} \\spad{range}")) (|vedf2vef| (((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{vedf2vef(v)} maps \\axiomType{Vector Expression DoubleFloat} to \\axiomType{Vector Expression Float}")) (|edf2ef| (((|Expression| (|Float|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2ef(e)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Expression Float}")) (|ldf2vmf| (((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|))) "\\spad{ldf2vmf(l)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List MachineFloat}")) (|df2mf| (((|MachineFloat|) (|DoubleFloat|)) "\\spad{df2mf(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{MachineFloat}")) (|dflist| (((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{dflist(l)} returns a list of \\axiomType{DoubleFloat} equivalents of list \\spad{l}")) (|dfRange| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{dfRange(r)} converts a range including \\inputbitmap{\\htbmdir{}/plusminus.bitmap} \\infty to \\axiomType{DoubleFloat} equavalents.")) (|edf2efi| (((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|))) "\\spad{edf2efi(e)} coerces \\axiomType{Expression DoubleFloat} into \\axiomType{Expression Fraction Integer}")) (|numberOfOperations| (((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{numberOfOperations(ode)} counts additions,{} multiplications,{} exponentiations and function calls in the input set of expressions.")) (|expenseOfEvaluation| (((|Float|) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{expenseOfEvaluation(o)} gives an approximation of the cost of evaluating a list of expressions in terms of the number of basic operations. < 0.3 inexpensive ; 0.5 neutral ; > 0.7 very expensive 400 `operation units' \\spad{->} 0.75 200 `operation units' \\spad{->} 0.5 83 `operation units' \\spad{->} 0.25 \\spad{**} = 4 units ,{} function calls = 10 units.")) (|isQuotient| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{isQuotient(expr)} returns the quotient part of the input expression or \\spad{\"failed\"} if the expression is not of that form.")) (|edf2df| (((|DoubleFloat|) (|Expression| (|DoubleFloat|))) "\\spad{edf2df(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{DoubleFloat} It is an error if \\spad{n} is not coercible to DoubleFloat")) (|edf2fi| (((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2fi(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Fraction Integer} It is an error if \\spad{n} is not coercible to Fraction Integer")) (|df2fi| (((|Fraction| (|Integer|)) (|DoubleFloat|)) "\\spad{df2fi(n)} is a function to convert a \\axiomType{DoubleFloat} to a \\axiomType{Fraction Integer}")) (|convert| (((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{convert(l)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|socf2socdf| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{socf2socdf(a)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|ocf2ocdf| (((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|))) "\\spad{ocf2ocdf(a)} is a function to convert an \\axiomType{OrderedCompletion Float} to an \\axiomType{OrderedCompletion DoubleFloat}")) (|ef2edf| (((|Expression| (|DoubleFloat|)) (|Expression| (|Float|))) "\\spad{ef2edf(f)} is a function to convert an \\axiomType{Expression Float} to an \\axiomType{Expression DoubleFloat}")) (|f2df| (((|DoubleFloat|) (|Float|)) "\\spad{f2df(f)} is a function to convert a \\axiomType{Float} to a \\axiomType{DoubleFloat}"))) 
+((|constructor| (NIL "\\axiom{ExpertSystemToolsPackage} contains some useful functions for use by the computational agents of numerical solvers.")) (|mat| (((|Matrix| (|DoubleFloat|)) (|List| (|DoubleFloat|)) (|NonNegativeInteger|)) "\\spad{mat(a,n)} constructs a one-dimensional matrix of a.")) (|fi2df| (((|DoubleFloat|) (|Fraction| (|Integer|))) "\\spad{fi2df(f)} coerces a \\axiomType{Fraction Integer} to \\axiomType{DoubleFloat}")) (|df2ef| (((|Expression| (|Float|)) (|DoubleFloat|)) "\\spad{df2ef(a)} coerces a \\axiomType{DoubleFloat} to \\axiomType{Expression Float}")) (|pdf2df| (((|DoubleFloat|) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2df(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{DoubleFloat}. It is an error if \\axiom{p} is not retractable to DoubleFloat.")) (|pdf2ef| (((|Expression| (|Float|)) (|Polynomial| (|DoubleFloat|))) "\\spad{pdf2ef(p)} coerces a \\axiomType{Polynomial DoubleFloat} to \\axiomType{Expression Float}")) (|iflist2Result| (((|Result|) (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) "\\spad{iflist2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|att2Result| (((|Result|) (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) "\\spad{att2Result(m)} converts a attributes record into a \\axiomType{Result}")) (|measure2Result| (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}") (((|Result|) (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) "\\spad{measure2Result(m)} converts a measure record into a \\axiomType{Result}")) (|outputMeasure| (((|String|) (|Float|)) "\\spad{outputMeasure(n)} rounds \\spad{n} to 3 decimal places and outputs it as a string")) (|concat| (((|Result|) (|List| (|Result|))) "\\spad{concat(l)} concatenates a list of aggregates of type \\axiomType{Result}") (((|Result|) (|Result|) (|Result|)) "\\spad{concat(a,b)} adds two aggregates of type \\axiomType{Result}.")) (|gethi| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{gethi(u)} gets the \\axiomType{DoubleFloat} equivalent of the second endpoint of the range \\spad{u}")) (|getlo| (((|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{getlo(u)} gets the \\axiomType{DoubleFloat} equivalent of the first endpoint of the range \\spad{u}")) (|sdf2lst| (((|List| (|String|)) (|Stream| (|DoubleFloat|))) "\\spad{sdf2lst(ln)} coerces a \\axiomType{Stream DoubleFloat} to \\axiomType{String}")) (|ldf2lst| (((|List| (|String|)) (|List| (|DoubleFloat|))) "\\spad{ldf2lst(ln)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List String}")) (|f2st| (((|String|) (|Float|)) "\\spad{f2st(n)} coerces a \\axiomType{Float} to \\axiomType{String}")) (|df2st| (((|String|) (|DoubleFloat|)) "\\spad{df2st(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{String}")) (|in?| (((|Boolean|) (|DoubleFloat|) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{in?(p,range)} tests whether point \\spad{p} is internal to the \\spad{range} \\spad{range}")) (|vedf2vef| (((|Vector| (|Expression| (|Float|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{vedf2vef(v)} maps \\axiomType{Vector Expression DoubleFloat} to \\axiomType{Vector Expression Float}")) (|edf2ef| (((|Expression| (|Float|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2ef(e)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Expression Float}")) (|ldf2vmf| (((|Vector| (|MachineFloat|)) (|List| (|DoubleFloat|))) "\\spad{ldf2vmf(l)} coerces a \\axiomType{List DoubleFloat} to \\axiomType{List MachineFloat}")) (|df2mf| (((|MachineFloat|) (|DoubleFloat|)) "\\spad{df2mf(n)} coerces a \\axiomType{DoubleFloat} to \\axiomType{MachineFloat}")) (|dflist| (((|List| (|DoubleFloat|)) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{dflist(l)} returns a list of \\axiomType{DoubleFloat} equivalents of list \\spad{l}")) (|dfRange| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) "\\spad{dfRange(r)} converts a range including \\inputbitmap{\\htbmdir{}/plusminus.bitmap} \\infty to \\axiomType{DoubleFloat} equavalents.")) (|edf2efi| (((|Expression| (|Fraction| (|Integer|))) (|Expression| (|DoubleFloat|))) "\\spad{edf2efi(e)} coerces \\axiomType{Expression DoubleFloat} into \\axiomType{Expression Fraction Integer}")) (|numberOfOperations| (((|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|))) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{numberOfOperations(ode)} counts additions, multiplications, exponentiations and function calls in the input set of expressions.")) (|expenseOfEvaluation| (((|Float|) (|Vector| (|Expression| (|DoubleFloat|)))) "\\spad{expenseOfEvaluation(o)} gives an approximation of the cost of evaluating a list of expressions in terms of the number of basic operations. < 0.3 inexpensive ; 0.5 neutral ; > 0.7 very expensive 400 `operation units' \\spad{->} 0.75 200 `operation units' \\spad{->} 0.5 83 `operation units' \\spad{->} 0.25 \\spad{**} = 4 units ,{} function calls = 10 units.")) (|isQuotient| (((|Union| (|Expression| (|DoubleFloat|)) "failed") (|Expression| (|DoubleFloat|))) "\\spad{isQuotient(expr)} returns the quotient part of the input expression or \\spad{\"failed\"} if the expression is not of that form.")) (|edf2df| (((|DoubleFloat|) (|Expression| (|DoubleFloat|))) "\\spad{edf2df(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{DoubleFloat} It is an error if \\spad{n} is not coercible to DoubleFloat")) (|edf2fi| (((|Fraction| (|Integer|)) (|Expression| (|DoubleFloat|))) "\\spad{edf2fi(n)} maps \\axiomType{Expression DoubleFloat} to \\axiomType{Fraction Integer} It is an error if \\spad{n} is not coercible to Fraction Integer")) (|df2fi| (((|Fraction| (|Integer|)) (|DoubleFloat|)) "\\spad{df2fi(n)} is a function to convert a \\axiomType{DoubleFloat} to a \\axiomType{Fraction Integer}")) (|convert| (((|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{convert(l)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|socf2socdf| (((|Segment| (|OrderedCompletion| (|DoubleFloat|))) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{socf2socdf(a)} is a function to convert a \\axiomType{Segment OrderedCompletion Float} to a \\axiomType{Segment OrderedCompletion DoubleFloat}")) (|ocf2ocdf| (((|OrderedCompletion| (|DoubleFloat|)) (|OrderedCompletion| (|Float|))) "\\spad{ocf2ocdf(a)} is a function to convert an \\axiomType{OrderedCompletion Float} to an \\axiomType{OrderedCompletion DoubleFloat}")) (|ef2edf| (((|Expression| (|DoubleFloat|)) (|Expression| (|Float|))) "\\spad{ef2edf(f)} is a function to convert an \\axiomType{Expression Float} to an \\axiomType{Expression DoubleFloat}")) (|f2df| (((|DoubleFloat|) (|Float|)) "\\spad{f2df(f)} is a function to convert a \\axiomType{Float} to a \\axiomType{DoubleFloat}"))) 
 NIL 
 NIL 
 (-301 S) 
-((|constructor| (NIL "A constructive euclidean domain,{} \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\spad{\\br} \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(\\spad{b})\\spad{\\br} \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(\\spad{b})")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,{}...,{}fn],{}z)} returns a list of coefficients \\spad{[a1,{} ...,{} an]} such that \\spad{ z / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists,{} \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,{}y,{}z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y}.") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,{}y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y}. The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem y} is the same as \\spad{divide(x,{}y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo y} is the same as \\spad{divide(x,{}y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,{}y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder},{} where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y}.")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x}. Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,{}y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
+((|constructor| (NIL "A constructive euclidean domain, \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\br \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(b)\\br \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(b)")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,...,fn],z)} returns a list of coefficients \\spad{[a1, ..., an]} such that \\spad{ \\spad{z} / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists, \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,y,z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y.}") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y.} The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem \\spad{y}} is the same as \\spad{divide(x,y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo \\spad{y}} is the same as \\spad{divide(x,y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder}, where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y.}")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x.} Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
 NIL 
 NIL 
 (-302) 
-((|constructor| (NIL "A constructive euclidean domain,{} \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\spad{\\br} \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(\\spad{b})\\spad{\\br} \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(\\spad{b})")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,{}...,{}fn],{}z)} returns a list of coefficients \\spad{[a1,{} ...,{} an]} such that \\spad{ z / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists,{} \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,{}y,{}z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y}.") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,{}y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y}. The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem y} is the same as \\spad{divide(x,{}y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo y} is the same as \\spad{divide(x,{}y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,{}y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder},{} where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y}.")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x}. Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,{}y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "A constructive euclidean domain, \\spadignore{i.e.} one can divide producing a quotient and a remainder where the remainder is either zero or is smaller (\\spadfun{euclideanSize}) than the divisor. \\blankline Conditional attributes\\br \\tab{5}multiplicativeValuation\\tab{5}Size(a*b)=Size(a)*Size(b)\\br \\tab{5}additiveValuation\\tab{11}Size(a*b)=Size(a)+Size(b)")) (|multiEuclidean| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{multiEuclidean([f1,...,fn],z)} returns a list of coefficients \\spad{[a1, ..., an]} such that \\spad{ \\spad{z} / prod \\spad{fi} = sum aj/fj}. If no such list of coefficients exists, \"failed\" is returned.")) (|extendedEuclidean| (((|Union| (|Record| (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) "\\spad{extendedEuclidean(x,y,z)} either returns a record rec where \\spad{rec.coef1*x+rec.coef2*y=z} or returns \"failed\" if \\spad{z} cannot be expressed as a linear combination of \\spad{x} and \\spad{y.}") (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{extendedEuclidean(x,y)} returns a record rec where \\spad{rec.coef1*x+rec.coef2*y = rec.generator} and rec.generator is a \\spad{gcd} of \\spad{x} and \\spad{y.} The \\spad{gcd} is unique only up to associates if \\spadatt{canonicalUnitNormal} is not asserted. \\spadfun{principalIdeal} provides a version of this operation which accepts an arbitrary length list of arguments.")) (|rem| (($ $ $) "\\spad{x rem \\spad{y}} is the same as \\spad{divide(x,y).remainder}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|quo| (($ $ $) "\\spad{x quo \\spad{y}} is the same as \\spad{divide(x,y).quotient}. See \\spadfunFrom{divide}{EuclideanDomain}.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(x,y)} divides \\spad{x} by \\spad{y} producing a record containing a \\spad{quotient} and \\spad{remainder}, where the remainder is smaller (see \\spadfunFrom{sizeLess?}{EuclideanDomain}) than the divisor \\spad{y.}")) (|euclideanSize| (((|NonNegativeInteger|) $) "\\spad{euclideanSize(x)} returns the euclidean size of the element \\spad{x.} Error: if \\spad{x} is zero.")) (|sizeLess?| (((|Boolean|) $ $) "\\spad{sizeLess?(x,y)} tests whether \\spad{x} is strictly smaller than \\spad{y} with respect to the \\spadfunFrom{euclideanSize}{EuclideanDomain}."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-303 S R) 
-((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions.")) (|eval| (($ $ (|List| (|Equation| |#2|))) "\\spad{eval(f,{} [x1 = v1,{}...,{}xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ (|Equation| |#2|)) "\\spad{eval(f,{}x = v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
+((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#2|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#2|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
 (-304 R) 
-((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions.")) (|eval| (($ $ (|List| (|Equation| |#1|))) "\\spad{eval(f,{} [x1 = v1,{}...,{}xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ (|Equation| |#1|)) "\\spad{eval(f,{}x = v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
+((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions.")) (|eval| (($ $ (|List| (|Equation| |#1|))) "\\spad{eval(f, \\spad{[x1} = v1,...,xn = vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ (|Equation| |#1|)) "\\spad{eval(f,x = \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
-(-305 -1564) 
-((|constructor| (NIL "This package is to be used in conjuction with the CycleIndicators package. It provides an evaluation function for SymmetricPolynomials.")) (|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval(f,{}s)} evaluates the cycle index \\spad{s} by applying \\indented{1}{the function \\spad{f} to each integer in a monomial partition,{}} \\indented{1}{forms their product and sums the results over all monomials.}"))) 
+(-305 -1647) 
+((|constructor| (NIL "This package is to be used in conjuction with the CycleIndicators package. It provides an evaluation function for SymmetricPolynomials.")) (|eval| ((|#1| (|Mapping| |#1| (|Integer|)) (|SymmetricPolynomial| (|Fraction| (|Integer|)))) "\\spad{eval(f,s)} evaluates the cycle index \\spad{s} by applying \\indented{1}{the function \\spad{f} to each integer in a monomial partition,} \\indented{1}{forms their product and sums the results over all monomials.}"))) 
 NIL 
 NIL 
 (-306) 
-((|constructor| (NIL "A function which does not return directly to its caller should have Exit as its return type. \\blankline Note that It is convenient to have a formal \\spad{coerce} into each type from type Exit. This allows,{} for example,{} errors to be raised in one half of a type-balanced \\spad{if}."))) 
+((|constructor| (NIL "A function which does not return directly to its caller should have Exit as its return type. \\blankline Note that It is convenient to have a formal \\spad{coerce} into each type from type Exit. This allows, for example, errors to be raised in one half of a type-balanced \\spad{if}."))) 
 NIL 
 NIL 
 (-307) 
@@ -1161,43 +1161,43 @@ NIL
 NIL 
 NIL 
 (-308 R FE |var| |cen|) 
-((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent essential singularities of functions. Objects in this domain are quotients of sums,{} where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) "\\spad{coerce(f)} converts a \\spadtype{UnivariatePuiseuxSeries} to an \\spadtype{ExponentialExpansion}.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var -> a+,{}f(var))}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-1022))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-816))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-1137))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-226))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -304) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (LIST (QUOTE -282) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1232) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-302))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-551))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-843))) (-2232 (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-816))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-905)))) (|HasCategory| (-1232 |#1| |#2| |#3| |#4|) (QUOTE (-149))))) 
+((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent essential singularities of functions. Objects in this domain are quotients of sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) "\\spad{coerce(f)} converts a \\spadtype{UnivariatePuiseuxSeries} to an \\spadtype{ExponentialExpansion}.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} a+,f(var))}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-1023))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-817))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-1139))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-226))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#4|)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-302))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-551))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-844))) (-1929 (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-817))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-906)))) (|HasCategory| (-1238 |#1| |#2| |#3| |#4|) (QUOTE (-149))))) 
 (-309 R S) 
-((|constructor| (NIL "Lifting of maps to Expressions.")) (|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) "\\spad{map(f,{} e)} applies \\spad{f} to all the constants appearing in \\spad{e}."))) 
+((|constructor| (NIL "Lifting of maps to Expressions.")) (|map| (((|Expression| |#2|) (|Mapping| |#2| |#1|) (|Expression| |#1|)) "\\spad{map(f, e)} applies \\spad{f} to all the constants appearing in e."))) 
 NIL 
 NIL 
 (-310 R FE) 
-((|constructor| (NIL "This package provides functions to convert functional expressions to power series.")) (|series| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{series(f,{}x = a,{}n)} expands the expression \\spad{f} as a series in powers of (\\spad{x} - a); terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{series(f,{}x = a)} expands the expression \\spad{f} as a series in powers of (\\spad{x} - a).") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{series(f,{}n)} returns a series expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{series(f)} returns a series expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{series(x)} returns \\spad{x} viewed as a series.")) (|puiseux| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{puiseux(f,{}x = a,{}n)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{puiseux(f,{}x = a)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{puiseux(f,{}n)} returns a Puiseux expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{puiseux(f)} returns a Puiseux expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{puiseux(x)} returns \\spad{x} viewed as a Puiseux series.")) (|laurent| (((|Any|) |#2| (|Equation| |#2|) (|Integer|)) "\\spad{laurent(f,{}x = a,{}n)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{laurent(f,{}x = a)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Integer|)) "\\spad{laurent(f,{}n)} returns a Laurent expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{laurent(f)} returns a Laurent expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{laurent(x)} returns \\spad{x} viewed as a Laurent series.")) (|taylor| (((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|)) "\\spad{taylor(f,{}x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{taylor(f,{}x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|NonNegativeInteger|)) "\\spad{taylor(f,{}n)} returns a Taylor expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n}.") (((|Any|) |#2|) "\\spad{taylor(f)} returns a Taylor expansion of the expression \\spad{f}. Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{taylor(x)} returns \\spad{x} viewed as a Taylor series."))) 
+((|constructor| (NIL "This package provides functions to convert functional expressions to power series.")) (|series| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{series(f,x = a,n)} expands the expression \\spad{f} as a series in powers of \\spad{(x} - a); terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{series(f,x = a)} expands the expression \\spad{f} as a series in powers of \\spad{(x} - a).") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{series(f,n)} returns a series expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{series(f)} returns a series expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{series(x)} returns \\spad{x} viewed as a series.")) (|puiseux| (((|Any|) |#2| (|Equation| |#2|) (|Fraction| (|Integer|))) "\\spad{puiseux(f,x = a,n)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{puiseux(f,x = a)} expands the expression \\spad{f} as a Puiseux series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Fraction| (|Integer|))) "\\spad{puiseux(f,n)} returns a Puiseux expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{puiseux(f)} returns a Puiseux expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{puiseux(x)} returns \\spad{x} viewed as a Puiseux series.")) (|laurent| (((|Any|) |#2| (|Equation| |#2|) (|Integer|)) "\\spad{laurent(f,x = a,n)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{laurent(f,x = a)} expands the expression \\spad{f} as a Laurent series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|Integer|)) "\\spad{laurent(f,n)} returns a Laurent expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{laurent(f)} returns a Laurent expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{laurent(x)} returns \\spad{x} viewed as a Laurent series.")) (|taylor| (((|Any|) |#2| (|Equation| |#2|) (|NonNegativeInteger|)) "\\spad{taylor(f,x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}; terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2| (|Equation| |#2|)) "\\spad{taylor(f,x = a)} expands the expression \\spad{f} as a Taylor series in powers of \\spad{(x - a)}.") (((|Any|) |#2| (|NonNegativeInteger|)) "\\spad{taylor(f,n)} returns a Taylor expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable and terms will be computed up to order at least \\spad{n.}") (((|Any|) |#2|) "\\spad{taylor(f)} returns a Taylor expansion of the expression \\spad{f.} Note that \\spad{f} should have only one variable; the series will be expanded in powers of that variable.") (((|Any|) (|Symbol|)) "\\spad{taylor(x)} returns \\spad{x} viewed as a Taylor series."))) 
 NIL 
 NIL 
 (-311 R) 
-((|constructor| (NIL "Top-level mathematical expressions involving symbolic functions.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} is not documented")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} is not documented")) (|simplifyPower| (($ $ (|Integer|)) "simplifyPower?(\\spad{f},{}\\spad{n}) is not documented")) (|number?| (((|Boolean|) $) "\\spad{number?(f)} tests if \\spad{f} is rational")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic quantities present in \\spad{f} by applying their defining relations."))) 
-((-4532 -2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-12 (|has| |#1| (-559)) (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (|has| |#1| (-1048)) (|has| |#1| (-479)))) (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-559)) (-4527 |has| |#1| (-559))) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1048))) (-2232 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1103))) (-2232 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1103)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-1103)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1048)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1103)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
-(-312 R -1564) 
-((|constructor| (NIL "Taylor series solutions of explicit ODE\\spad{'s}.")) (|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,{} y,{} x = a,{} [b0,{}...,{}bn])} is equivalent to \\spad{seriesSolve(eq = 0,{} y,{} x = a,{} [b0,{}...,{}b(n-1)])}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,{} y,{} x = a,{} y a = b)} is equivalent to \\spad{seriesSolve(eq=0,{} y,{} x=a,{} y a = b)}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,{} y,{} x = a,{} b)} is equivalent to \\spad{seriesSolve(eq = 0,{} y,{} x = a,{} y a = b)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,{}y,{} x=a,{} b)} is equivalent to \\spad{seriesSolve(eq,{} y,{} x=a,{} y a = b)}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "seriesSolve([\\spad{eq1},{}...,{}eqn],{} [\\spad{y1},{}...,{}\\spad{yn}],{} \\spad{x} = a,{}[\\spad{y1} a = \\spad{b1},{}...,{} \\spad{yn} a = \\spad{bn}]) is equivalent to \\spad{seriesSolve([eq1=0,{}...,{}eqn=0],{} [y1,{}...,{}yn],{} x = a,{} [y1 a = b1,{}...,{} yn a = bn])}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])} is equivalent to \\spad{seriesSolve([eq1=0,{}...,{}eqn=0],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x=a,{} [b1,{}...,{}bn])} is equivalent to \\spad{seriesSolve([eq1,{}...,{}eqn],{} [y1,{}...,{}yn],{} x = a,{} [y1 a = b1,{}...,{} yn a = bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "\\spad{seriesSolve([eq1,{}...,{}eqn],{}[y1,{}...,{}yn],{}x = a,{}[y1 a = b1,{}...,{}yn a = bn])} returns a taylor series solution of \\spad{[eq1,{}...,{}eqn]} around \\spad{x = a} with initial conditions \\spad{\\spad{yi}(a) = \\spad{bi}}. Note that eqi must be of the form \\spad{\\spad{fi}(x,{} y1 x,{} y2 x,{}...,{} yn x) y1'(x) + \\spad{gi}(x,{} y1 x,{} y2 x,{}...,{} yn x) = h(x,{} y1 x,{} y2 x,{}...,{} yn x)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,{}y,{}x=a,{}[b0,{}...,{}b(n-1)])} returns a Taylor series solution of \\spad{eq} around \\spad{x = a} with initial conditions \\spad{y(a) = b0},{} \\spad{y'(a) = b1},{} \\spad{y''(a) = b2},{} ...,{}\\spad{y(n-1)(a) = b(n-1)} \\spad{eq} must be of the form \\spad{f(x,{} y x,{} y'(x),{}...,{} y(n-1)(x)) y(n)(x) + g(x,{}y x,{}y'(x),{}...,{}y(n-1)(x)) = h(x,{}y x,{} y'(x),{}...,{} y(n-1)(x))}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,{}y,{}x=a,{} y a = b)} returns a Taylor series solution of \\spad{eq} around \\spad{x} = a with initial condition \\spad{y(a) = b}. Note that \\spad{eq} must be of the form \\spad{f(x,{} y x) y'(x) + g(x,{} y x) = h(x,{} y x)}."))) 
+((|constructor| (NIL "Top-level mathematical expressions involving symbolic functions.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} is not documented")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} is not documented")) (|simplifyPower| (($ $ (|Integer|)) "simplifyPower?(f,n) is not documented")) (|number?| (((|Boolean|) $) "\\spad{number?(f)} tests if \\spad{f} is rational")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic quantities present in \\spad{f} by applying their defining relations."))) 
+((-4568 -1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-12 (|has| |#1| (-559)) (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (|has| |#1| (-1049)) (|has| |#1| (-479)))) (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-559)) (-4563 |has| |#1| (-559))) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1049))) (-1929 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-21)))) (|HasCategory| |#1| (QUOTE (-25))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-25)))) (|HasCategory| |#1| (QUOTE (-1105))) (-1929 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#1| (QUOTE (-1105)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-1105)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1049)))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-1105)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
+(-312 R -1647) 
+((|constructor| (NIL "Taylor series solutions of explicit ODE's.")) (|seriesSolve| (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, [b0,...,bn])} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, [b0,...,b(n-1)])}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{y} a = \\spad{b)}} is equivalent to \\spad{seriesSolve(eq=0, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) |#2| (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq, \\spad{y,} \\spad{x} = a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq = 0, \\spad{y,} \\spad{x} = a, \\spad{y} a = b)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) |#2|) "\\spad{seriesSolve(eq,y, x=a, \\spad{b)}} is equivalent to \\spad{seriesSolve(eq, \\spad{y,} x=a, \\spad{y} a = b)}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = \\spad{a,[y1} a = b1,..., \\spad{yn} a = bn]) is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| |#2|) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1=0,...,eqn=0], [y1,...,yn], x=a, [b1,...,bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], x=a, [b1,...,bn])} is equivalent to \\spad{seriesSolve([eq1,...,eqn], [y1,...,yn], \\spad{x} = a, \\spad{[y1} a = b1,..., \\spad{yn} a = bn])}.") (((|Any|) (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Equation| |#2|) (|List| (|Equation| |#2|))) "\\spad{seriesSolve([eq1,...,eqn],[y1,...,yn],x = \\spad{a,[y1} a = b1,...,yn a = bn])} returns a taylor series solution of \\spad{[eq1,...,eqn]} around \\spad{x = a} with initial conditions \\spad{yi(a) = bi}. Note that eqi must be of the form \\spad{fi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} y1'(x) + gi(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} \\spad{x)} = h(x, \\spad{y1} \\spad{x,} \\spad{y2} x,..., \\spad{yn} x)}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{seriesSolve(eq,y,x=a,[b0,...,b(n-1)])} returns a Taylor series solution of \\spad{eq} around \\spad{x = a} with initial conditions \\spad{y(a) = b0}, \\spad{y'(a) = b1}, \\spad{y''(a) = b2}, ...,\\spad{y(n-1)(a) = b(n-1)} \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x,} y'(x),..., y(n-1)(x)) y(n)(x) + g(x,y x,y'(x),...,y(n-1)(x)) = h(x,y \\spad{x,} y'(x),..., y(n-1)(x))}.") (((|Any|) (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|Equation| |#2|)) "\\spad{seriesSolve(eq,y,x=a, \\spad{y} a = \\spad{b)}} returns a Taylor series solution of \\spad{eq} around \\spad{x} = a with initial condition \\spad{y(a) = \\spad{b}.} Note that \\spad{eq} must be of the form \\spad{f(x, \\spad{y} \\spad{x)} y'(x) + g(x, \\spad{y} \\spad{x)} = h(x, \\spad{y} x)}."))) 
 NIL 
 NIL 
-(-313 R -1564 UTSF UTSSUPF) 
+(-313 R -1647 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
 (-314) 
-((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tubePlot| (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n,{}s)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. If \\spad{s} = \"closed\",{} the tube is considered to be closed; if \\spad{s} = \"open\",{} the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. The tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n,{}s)} puts a tube of radius \\spad{r(t)} with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. If \\spad{s} = \"closed\",{} the tube is considered to be closed; if \\spad{s} = \"open\",{} the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|)) "\\spad{tubePlot(f,{}g,{}h,{}colorFcn,{}a..b,{}r,{}n)} puts a tube of radius \\spad{r}(\\spad{t}) with \\spad{n} points on each circle about the curve \\spad{x = f(t)},{} \\spad{y = g(t)},{} \\spad{z = h(t)} for \\spad{t} in \\spad{[a,{}b]}. The tube is considered to be open.")) (|constantToUnaryFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{constantToUnaryFunction(s)} is a local function which takes the value of \\spad{s},{} which may be a function of a constant,{} and returns a function which always returns the value \\spadtype{DoubleFloat} \\spad{s}."))) 
+((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tubePlot| (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|String|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n,s)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. If \\spad{s} = \"closed\", the tube is considered to be closed; if \\spad{s} = \"open\", the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n)} puts a tube of radius \\spad{r} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. The tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|) (|String|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n,s)} puts a tube of radius \\spad{r(t)} with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. If \\spad{s} = \"closed\", the tube is considered to be closed; if \\spad{s} = \"open\", the tube is considered to be open.") (((|TubePlot| (|Plot3D|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Integer|)) "\\spad{tubePlot(f,g,h,colorFcn,a..b,r,n)} puts a tube of radius r(t) with \\spad{n} points on each circle about the curve \\spad{x = f(t)}, \\spad{y = g(t)}, \\spad{z = h(t)} for \\spad{t} in \\spad{[a,b]}. The tube is considered to be open.")) (|constantToUnaryFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|DoubleFloat|)) "\\spad{constantToUnaryFunction(s)} is a local function which takes the value of \\spad{s,} which may be a function of a constant, and returns a function which always returns the value \\spadtype{DoubleFloat} \\spad{s.}"))) 
 NIL 
 NIL 
 (-315 FE |var| |cen|) 
-((|constructor| (NIL "ExponentialOfUnivariatePuiseuxSeries is a domain used to represent essential singularities of functions. An object in this domain is a function of the form \\spad{exp(f(x))},{} where \\spad{f(x)} is a Puiseux series with no terms of non-negative degree. Objects are ordered according to order of singularity,{} with functions which tend more rapidly to zero or infinity considered to be larger. Thus,{} if \\spad{order(f(x)) < order(g(x))},{} \\spadignore{i.e.} the first non-zero term of \\spad{f(x)} has lower degree than the first non-zero term of \\spad{g(x)},{} then \\spad{exp(f(x)) > exp(g(x))}. If \\spad{order(f(x)) = order(g(x))},{} then the ordering is essentially random. This domain is used in computing limits involving functions with essential singularities.")) (|exponentialOrder| (((|Fraction| (|Integer|)) $) "\\spad{exponentialOrder(exp(c * x **(-n) + ...))} returns \\spad{-n}. exponentialOrder(0) returns \\spad{0}.")) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) "\\spad{exponent(exp(f(x)))} returns \\spad{f(x)}")) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{exponential(f(x))} returns \\spad{exp(f(x))}. Note: the function does NOT check that \\spad{f(x)} has no non-negative terms."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+((|constructor| (NIL "ExponentialOfUnivariatePuiseuxSeries is a domain used to represent essential singularities of functions. An object in this domain is a function of the form \\spad{exp(f(x))}, where \\spad{f(x)} is a Puiseux series with no terms of non-negative degree. Objects are ordered according to order of singularity, with functions which tend more rapidly to zero or infinity considered to be larger. Thus, if \\spad{order(f(x)) < order(g(x))}, \\spadignore{i.e.} the first non-zero term of \\spad{f(x)} has lower degree than the first non-zero term of \\spad{g(x)}, then \\spad{exp(f(x)) > exp(g(x))}. If \\spad{order(f(x)) = order(g(x))}, then the ordering is essentially random. This domain is used in computing limits involving functions with essential singularities.")) (|exponentialOrder| (((|Fraction| (|Integer|)) $) "\\spad{exponentialOrder(exp(c * \\spad{x} **(-n) + ...))} returns \\spad{-n}. exponentialOrder(0) returns \\spad{0}.")) (|exponent| (((|UnivariatePuiseuxSeries| |#1| |#2| |#3|) $) "\\spad{exponent(exp(f(x)))} returns \\spad{f(x)}")) (|exponential| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{exponential(f(x))} returns \\spad{exp(f(x))}. Note: the function does NOT check that \\spad{f(x)} has no non-negative terms."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
 (-316 K) 
 ((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF"))) 
 NIL 
 NIL 
 (-317 M) 
-((|constructor| (NIL "computes various functions on factored arguments.")) (|log| (((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)) "\\spad{log(f)} returns \\spad{[(a1,{}b1),{}...,{}(am,{}bm)]} such that the logarithm of \\spad{f} is equal to \\spad{a1*log(b1) + ... + am*log(bm)}.")) (|nthRoot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|)) "\\spad{nthRoot(f,{} n)} returns \\spad{(p,{} r,{} [r1,{}...,{}rm])} such that the \\spad{n}th-root of \\spad{f} is equal to \\spad{r * \\spad{p}th-root(r1 * ... * rm)},{} where \\spad{r1},{}...,{}\\spad{rm} are distinct factors of \\spad{f},{} each of which has an exponent smaller than \\spad{p} in \\spad{f}."))) 
+((|constructor| (NIL "computes various functions on factored arguments.")) (|log| (((|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| |#1|))) (|Factored| |#1|)) "\\spad{log(f)} returns \\spad{[(a1,b1),...,(am,bm)]} such that the logarithm of \\spad{f} is equal to \\spad{a1*log(b1) + \\spad{...} + am*log(bm)}.")) (|nthRoot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#1|) (|:| |radicand| (|List| |#1|))) (|Factored| |#1|) (|NonNegativeInteger|)) "\\spad{nthRoot(f, \\spad{n)}} returns \\spad{(p, \\spad{r,} [r1,...,rm])} such that the nth-root of \\spad{f} is equal to \\spad{r * \\spad{pth-root(r1} * \\spad{...} * rm)}, where r1,...,rm are distinct factors of \\spad{f,} each of which has an exponent smaller than \\spad{p} in \\spad{f.}"))) 
 NIL 
 NIL 
 (-318 K) 
@@ -1205,310 +1205,310 @@ NIL
 NIL 
 NIL 
 (-319 E OV R P) 
-((|constructor| (NIL "This package provides utilities used by the factorizers which operate on polynomials represented as univariate polynomials with multivariate coefficients.")) (|ran| ((|#3| (|Integer|)) "\\spad{ran(k)} computes a random integer between \\spad{-k} and \\spad{k} as a member of \\spad{R}.")) (|normalDeriv| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|)) "\\spad{normalDeriv(poly,{}i)} computes the \\spad{i}th derivative of \\spad{poly} divided by i!.")) (|raisePolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|)) "\\spad{raisePolynomial(rpoly)} converts \\spad{rpoly} from a univariate polynomial over \\spad{r} to be a univariate polynomial with polynomial coefficients.")) (|lowerPolynomial| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{lowerPolynomial(upoly)} converts \\spad{upoly} to be a univariate polynomial over \\spad{R}. An error if the coefficients contain variables.")) (|variables| (((|List| |#2|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{variables(upoly)} returns the list of variables for the coefficients of \\spad{upoly}.")) (|degree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|)) "\\spad{degree(upoly,{} lvar)} returns a list containing the maximum degree for each variable in lvar.")) (|completeEval| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|)) "\\spad{completeEval(upoly,{} lvar,{} lval)} evaluates the polynomial \\spad{upoly} with each variable in \\spad{lvar} replaced by the corresponding value in lval. Substitutions are done for all variables in \\spad{upoly} producing a univariate polynomial over \\spad{R}."))) 
+((|constructor| (NIL "This package provides utilities used by the factorizers which operate on polynomials represented as univariate polynomials with multivariate coefficients.")) (|ran| ((|#3| (|Integer|)) "\\spad{ran(k)} computes a random integer between \\spad{-k} and \\spad{k} as a member of \\spad{R.}")) (|normalDeriv| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|Integer|)) "\\spad{normalDeriv(poly,i)} computes the \\spad{i}th derivative of \\spad{poly} divided by i!.")) (|raisePolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|)) "\\spad{raisePolynomial(rpoly)} converts \\spad{rpoly} from a univariate polynomial over \\spad{r} to be a univariate polynomial with polynomial coefficients.")) (|lowerPolynomial| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{lowerPolynomial(upoly)} converts \\spad{upoly} to be a univariate polynomial over \\spad{R.} An error if the coefficients contain variables.")) (|variables| (((|List| |#2|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{variables(upoly)} returns the list of variables for the coefficients of upoly.")) (|degree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|)) "\\spad{degree(upoly, lvar)} returns a list containing the maximum degree for each variable in lvar.")) (|completeEval| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|)) "\\spad{completeEval(upoly, lvar, lval)} evaluates the polynomial \\spad{upoly} with each variable in \\spad{lvar} replaced by the corresponding value in lval. Substitutions are done for all variables in \\spad{upoly} producing a univariate polynomial over \\spad{R.}"))) 
 NIL 
 NIL 
 (-320 S) 
-((|constructor| (NIL "The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are integers. The operation is commutative."))) 
-((-4530 . T) (-4529 . T)) 
-((|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-788)))) 
+((|constructor| (NIL "The free abelian group on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are integers. The operation is commutative."))) 
+((-4566 . T) (-4565 . T)) 
+((|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-789)))) 
 (-321 S E) 
-((|constructor| (NIL "A free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are in a given abelian monoid. The operation is commutative.")) (|highCommonTerms| (($ $ $) "\\spad{highCommonTerms(e1 a1 + ... + en an,{} f1 b1 + ... + fm bm)} returns \\spad{reduce(+,{}[max(\\spad{ei},{} \\spad{fi}) \\spad{ci}])} where \\spad{ci} ranges in the intersection of \\spad{{a1,{}...,{}an}} and \\spad{{b1,{}...,{}bm}}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} e1 a1 +...+ en an)} returns \\spad{e1 f(a1) +...+ en f(an)}.")) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapCoef(f,{} e1 a1 +...+ en an)} returns \\spad{f(e1) a1 +...+ f(en) an}.")) (|coefficient| ((|#2| |#1| $) "\\spad{coefficient(s,{} e1 a1 + ... + en an)} returns \\spad{ei} such that \\spad{ai} = \\spad{s},{} or 0 if \\spad{s} is not one of the \\spad{ai}\\spad{'s}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th term of \\spad{x}.")) (|nthCoef| ((|#2| $ (|Integer|)) "\\spad{nthCoef(x,{} n)} returns the coefficient of the n^th term of \\spad{x}.")) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{terms(e1 a1 + ... + en an)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{size(\\spad{x}) returns the number of terms in \\spad{x}.} \\indented{1}{mapGen(\\spad{f},{} \\spad{a1}\\spad{\\^}\\spad{e1} ... an\\spad{\\^}en) returns} \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (* (($ |#2| |#1|) "\\spad{e * s} returns \\spad{e} times \\spad{s}.")) (+ (($ |#1| $) "\\spad{s + x} returns the sum of \\spad{s} and \\spad{x}."))) 
+((|constructor| (NIL "A free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are in a given abelian monoid. The operation is commutative.")) (|highCommonTerms| (($ $ $) "\\spad{highCommonTerms(e1 \\spad{a1} + \\spad{...} + en an, \\spad{f1} \\spad{b1} + \\spad{...} + \\spad{fm} bm)} returns \\spad{reduce(+,[max(ei, fi) ci])} where \\spad{ci} ranges in the intersection of \\spad{{a1,...,an}} and \\spad{{b1,...,bm}}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{e1 f(a1) +...+ en f(an)}.")) (|mapCoef| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapCoef(f, \\spad{e1} \\spad{a1} +...+ en an)} returns \\spad{f(e1) \\spad{a1} +...+ f(en) an}.")) (|coefficient| ((|#2| |#1| $) "\\spad{coefficient(s, \\spad{e1} \\spad{a1} + \\spad{...} + en an)} returns \\spad{ei} such that \\spad{ai} = \\spad{s,} or 0 if \\spad{s} is not one of the ai's.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th term of \\spad{x.}")) (|nthCoef| ((|#2| $ (|Integer|)) "\\spad{nthCoef(x, \\spad{n)}} returns the coefficient of the n^th term of \\spad{x.}")) (|terms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{terms(e1 \\spad{a1} + \\spad{...} + en an)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{size(x) returns the number of terms in \\spad{x.}} \\indented{1}{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en) returns} \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (* (($ |#2| |#1|) "\\spad{e * \\spad{s}} returns \\spad{e} times \\spad{s.}")) (+ (($ |#1| $) "\\spad{s + \\spad{x}} returns the sum of \\spad{s} and \\spad{x.}"))) 
 NIL 
 NIL 
 (-322 S) 
-((|constructor| (NIL "The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,{}[\\spad{ni} * \\spad{si}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are non-negative integers. The operation is commutative."))) 
+((|constructor| (NIL "The free abelian monoid on a set \\spad{S} is the monoid of finite sums of the form \\spad{reduce(+,[ni * si])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The operation is commutative."))) 
 NIL 
-((|HasCategory| (-764) (QUOTE (-788)))) 
+((|HasCategory| (-765) (QUOTE (-789)))) 
 (-323 E R1 A1 R2 A2) 
-((|constructor| (NIL "This package provides a mapping function for \\spadtype{FiniteAbelianMonoidRing} The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) "\\spad{map}(\\spad{f},{} a) applies the map \\spad{f} to each coefficient in a. It is assumed that \\spad{f} maps 0 to 0"))) 
+((|constructor| (NIL "This package provides a mapping function for \\spadtype{FiniteAbelianMonoidRing} The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|map| ((|#5| (|Mapping| |#4| |#2|) |#3|) "\\spad{map}(f, a) applies the map \\spad{f} to each coefficient in a. It is assumed that \\spad{f} maps 0 to 0"))) 
 NIL 
 NIL 
 (-324 S R E) 
-((|constructor| (NIL "This category is similar to AbelianMonoidRing,{} except that the sum is assumed to be finite. It is a useful model for polynomials,{} but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p}.")) (|content| ((|#2| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p}.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(p,{}r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r},{} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,{}q,{}n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#2| |#3| $) "\\spad{pomopo!(p1,{}r,{}e,{}p2)} returns \\spad{p1 + monomial(e,{}r) * p2} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) "\\spad{mapExponents(fn,{}u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial \\spad{u}.")) (|minimumDegree| ((|#3| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p}. Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p}.")) (|ground| ((|#2| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
+((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#2| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#2| |#3| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#3| |#3|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#3| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#2| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
 (-325 R E) 
-((|constructor| (NIL "This category is similar to AbelianMonoidRing,{} except that the sum is assumed to be finite. It is a useful model for polynomials,{} but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p}.")) (|content| ((|#1| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p}.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(p,{}r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r},{} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,{}q,{}n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#1| |#2| $) "\\spad{pomopo!(p1,{}r,{}e,{}p2)} returns \\spad{p1 + monomial(e,{}r) * p2} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExponents(fn,{}u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial \\spad{u}.")) (|minimumDegree| ((|#2| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p}. Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p}.")) (|ground| ((|#1| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category is similar to AbelianMonoidRing, except that the sum is assumed to be finite. It is a useful model for polynomials, but is somewhat more general.")) (|primitivePart| (($ $) "\\spad{primitivePart(p)} returns the unit normalized form of polynomial \\spad{p} divided by the content of \\spad{p.}")) (|content| ((|#1| $) "\\spad{content(p)} gives the \\spad{gcd} of the coefficients of polynomial \\spad{p.}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(p,r)} returns the exact quotient of polynomial \\spad{p} by \\spad{r,} or \"failed\" if none exists.")) (|binomThmExpt| (($ $ $ (|NonNegativeInteger|)) "\\spad{binomThmExpt(p,q,n)} returns \\spad{(x+y)^n} by means of the binomial theorem trick.")) (|pomopo!| (($ $ |#1| |#2| $) "\\spad{pomopo!(p1,r,e,p2)} returns \\spad{p1 + monomial(e,r) * \\spad{p2}} and may use \\spad{p1} as workspace. The constaant \\spad{r} is assumed to be nonzero.")) (|mapExponents| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExponents(fn,u)} maps function \\spad{fn} onto the exponents of the non-zero monomials of polynomial u.")) (|minimumDegree| ((|#2| $) "\\spad{minimumDegree(p)} gives the least exponent of a non-zero term of polynomial \\spad{p.} Error: if applied to 0.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(p)} gives the number of non-zero monomials in polynomial \\spad{p.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(p)} gives the list of non-zero coefficients of polynomial \\spad{p.}")) (|ground| ((|#1| $) "\\spad{ground(p)} retracts polynomial \\spad{p} to the coefficient ring.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(p)} tests if polynomial \\spad{p} is a member of the coefficient ring."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-326 S) 
-((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations \\spad{append(x,{}a)} meaning append item \\spad{x} at the end of the array \\spad{a} \\spad{delete(a,{}n)} meaning delete the last item from the array \\spad{a} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However,{} these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50\\% larger) array. Conversely,{} when the array becomes less than 1/2 full,{} it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps,{} stacks and sets."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-327 S -1564) 
-((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F}. If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite,{} too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F}. The exponentiation of elements of \\spad{K} defines a \\spad{Z}-module structure on the multiplicative group of \\spad{K}. The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,{}f:SparseUnivariatePolynomial \\spad{F}) which is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{K},{} \\spad{c},{}\\spad{d} from \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k) where q=size()\\spad{\\$}\\spad{F}. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog},{} respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,{}a)} returns a polynomial \\spad{g},{} such that the \\spadfun{linearAssociatedExp}(\\spad{b},{}\\spad{g}) equals a. If there is no such polynomial \\spad{g},{} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g},{} such that \\spadfun{linearAssociatedExp}(normalElement(),{}\\spad{g}) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree,{} such that \\spadfun{linearAssociatedExp}(a,{}\\spad{g}) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,{}f)} is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{\\$},{} \\spad{c},{}\\spad{d} form \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k),{} where q=size()\\spad{\\$}\\spad{F}.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i <= extensionDegree()-1} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element,{} normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. At the first call,{} the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls,{} the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F},{} that is,{} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,{}d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q}. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,{}d)=reduce(+,{}[a**(q**(d*i)) for i in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,{}d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,{}\\spad{d}) = reduce(*,{}[a**(\\spad{q**}(d*i)) for \\spad{i} in 0..\\spad{n/d}])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,{}n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F}.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
+((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a} \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-327 S -1647) 
+((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#2|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#2|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#2| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#2| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#2|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-371)))) 
-(-328 -1564) 
-((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F}. If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite,{} too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F}. The exponentiation of elements of \\spad{K} defines a \\spad{Z}-module structure on the multiplicative group of \\spad{K}. The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,{}f:SparseUnivariatePolynomial \\spad{F}) which is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{K},{} \\spad{c},{}\\spad{d} from \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k) where q=size()\\spad{\\$}\\spad{F}. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog},{} respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,{}a)} returns a polynomial \\spad{g},{} such that the \\spadfun{linearAssociatedExp}(\\spad{b},{}\\spad{g}) equals a. If there is no such polynomial \\spad{g},{} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g},{} such that \\spadfun{linearAssociatedExp}(normalElement(),{}\\spad{g}) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree,{} such that \\spadfun{linearAssociatedExp}(a,{}\\spad{g}) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,{}f)} is linear over \\spad{F},{} \\spadignore{i.e.} for elements a from \\spad{\\$},{} \\spad{c},{}\\spad{d} form \\spad{F} and \\spad{f},{}\\spad{g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,{}cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,{}\\spad{f}) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,{}\\spad{g}). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from \\spad{F}[\\spad{X}]: \\spadfun{linearAssociatedExp}(a,{}monomial(1,{}\\spad{k})\\spad{\\$}SUP(\\spad{F})) is defined to be \\spadfun{Frobenius}(a,{}\\spad{k}) which is a**(q**k),{} where q=size()\\spad{\\$}\\spad{F}.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i <= extensionDegree()-1} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element,{} normal over the ground field \\spad{F},{} \\spadignore{i.e.} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. At the first call,{} the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls,{} the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F},{} that is,{} \\spad{a**(q**i),{} 0 <= i < extensionDegree()} is an \\spad{F}-basis,{} where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,{}d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q}. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,{}d)=reduce(+,{}[a**(q**(d*i)) for i in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,{}d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,{}\\spad{d}) = reduce(*,{}[a**(\\spad{q**}(d*i)) for \\spad{i} in 0..\\spad{n/d}])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F}.")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,{}n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F}.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F}.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-328 -1647) 
+((|constructor| (NIL "FiniteAlgebraicExtensionField \\spad{F} is the category of fields which are finite algebraic extensions of the field \\spad{F.} If \\spad{F} is finite then any finite algebraic extension of \\spad{F} is finite, too. Let \\spad{K} be a finite algebraic extension of the finite field \\spad{F.} The exponentiation of elements of \\spad{K} defines a Z-module structure on the multiplicative group of \\spad{K.} The additive group of \\spad{K} becomes a module over the ring of polynomials over \\spad{F} via the operation \\spadfun{linearAssociatedExp}(a:K,f:SparseUnivariatePolynomial \\spad{F)} which is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{K,} \\spad{c,d} from \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k) where q=size()\\$F. The operations order and discreteLog associated with the multiplicative exponentiation have additive analogues associated to the operation \\spadfun{linearAssociatedExp}. These are the functions \\spadfun{linearAssociatedOrder} and \\spadfun{linearAssociatedLog}, respectively.")) (|linearAssociatedLog| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") $ $) "\\spad{linearAssociatedLog(b,a)} returns a polynomial \\spad{g,} such that the \\spadfun{linearAssociatedExp}(b,g) equals a. If there is no such polynomial \\spad{g,} then \\spadfun{linearAssociatedLog} fails.") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedLog(a)} returns a polynomial \\spad{g,} such that \\spadfun{linearAssociatedExp}(normalElement(),g) equals a.")) (|linearAssociatedOrder| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{linearAssociatedOrder(a)} retruns the monic polynomial \\spad{g} of least degree, such that \\spadfun{linearAssociatedExp}(a,g) is 0.")) (|linearAssociatedExp| (($ $ (|SparseUnivariatePolynomial| |#1|)) "\\spad{linearAssociatedExp(a,f)} is linear over \\spad{F,} \\spadignore{i.e.} for elements a from \\spad{\\$,} \\spad{c,d} form \\spad{F} and \\spad{f,g} univariate polynomials over \\spad{F} we have \\spadfun{linearAssociatedExp}(a,cf+dg) equals \\spad{c} times \\spadfun{linearAssociatedExp}(a,f) plus \\spad{d} times \\spadfun{linearAssociatedExp}(a,g). Therefore \\spadfun{linearAssociatedExp} is defined completely by its action on monomials from F[X]: \\spadfun{linearAssociatedExp}(a,monomial(1,k)\\$SUP(F)) is defined to be \\spadfun{Frobenius}(a,k) which is a**(q**k), where q=size()\\$F.")) (|generator| (($) "\\spad{generator()} returns a root of the defining polynomial. This element generates the field as an algebra over the ground field.")) (|normal?| (((|Boolean|) $) "\\spad{normal?(a)} tests whether the element \\spad{a} is normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} \\spad{<=} extensionDegree()-1} is an F-basis, where \\spad{q = size()\\$F}. Implementation according to Lidl/Niederreiter: Theorem 2.39.")) (|normalElement| (($) "\\spad{normalElement()} returns a element, normal over the ground field \\spad{F,} \\spadignore{i.e.} \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. At the first call, the element is computed by \\spadfunFrom{createNormalElement}{FiniteAlgebraicExtensionField} then cached in a global variable. On subsequent calls, the element is retrieved by referencing the global variable.")) (|createNormalElement| (($) "\\spad{createNormalElement()} computes a normal element over the ground field \\spad{F,} that is, \\spad{a**(q**i), 0 \\spad{<=} \\spad{i} < extensionDegree()} is an F-basis, where \\spad{q = size()\\$F}. Reference: Such an element exists Lidl/Niederreiter: Theorem 2.35.")) (|trace| (($ $ (|PositiveInteger|)) "\\spad{trace(a,d)} computes the trace of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size \\spad{q.} Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that \\spad{trace(a,d)=reduce(+,[a**(q**(d*i)) for \\spad{i} in 0..n/d])}.") ((|#1| $) "\\spad{trace(a)} computes the trace of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|norm| (($ $ (|PositiveInteger|)) "\\spad{norm(a,d)} computes the norm of \\spad{a} with respect to the field of extension degree \\spad{d} over the ground field of size. Error: if \\spad{d} does not divide the extension degree of \\spad{a}. Note that norm(a,d) = reduce(*,[a**(q**(d*i)) for \\spad{i} in 0..n/d])") ((|#1| $) "\\spad{norm(a)} computes the norm of \\spad{a} with respect to the field considered as an algebra with 1 over the ground field \\spad{F.}")) (|degree| (((|PositiveInteger|) $) "\\spad{degree(a)} returns the degree of the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|extensionDegree| (((|PositiveInteger|)) "\\spad{extensionDegree()} returns the degree of field extension.")) (|definingPolynomial| (((|SparseUnivariatePolynomial| |#1|)) "\\spad{definingPolynomial()} returns the polynomial used to define the field extension.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| $) $ (|PositiveInteger|)) "\\spad{minimalPolynomial(x,n)} computes the minimal polynomial of \\spad{x} over the field of extension degree \\spad{n} over the ground field \\spad{F.}") (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of an element \\spad{a} over the ground field \\spad{F.}")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where v1,...,vn are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{F}-vectorspace basis.")) (|basis| (((|Vector| $) (|PositiveInteger|)) "\\spad{basis(n)} returns a fixed basis of a subfield of \\spad{\\$} as \\spad{F}-vectorspace.") (((|Vector| $)) "\\spad{basis()} returns a fixed basis of \\spad{\\$} as \\spad{F}-vectorspace."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-329) 
-((|constructor| (NIL "This domain builds representations of program code segments for use with the FortranProgram domain.")) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) "\\spad{setLabelValue(i)} resets the counter which produces labels to \\spad{i}")) (|getCode| (((|SExpression|) $) "\\spad{getCode(f)} returns a Lisp list of strings representing \\spad{f} in Fortran notation. This is used by the FortranProgram domain.")) (|printCode| (((|Void|) $) "\\spad{printCode(f)} prints out \\spad{f} in FORTRAN notation.")) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) "\\spad{code(f)} returns the internal representation of the object represented by \\spad{f}.")) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) "\\spad{operation(f)} returns the name of the operation represented by \\spad{f}.")) (|common| (($ (|Symbol|) (|List| (|Symbol|))) "\\spad{common(name,{}contents)} creates a representation a named common block.")) (|printStatement| (($ (|List| (|OutputForm|))) "\\spad{printStatement(l)} creates a representation of a PRINT statement.")) (|save| (($) "\\spad{save()} creates a representation of a SAVE statement.")) (|stop| (($) "\\spad{stop()} creates a representation of a STOP statement.")) (|block| (($ (|List| $)) "\\spad{block(l)} creates a representation of the statements in \\spad{l} as a block.")) (|assign| (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Float|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Integer|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) "\\spad{assign(x,{}l,{}y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}\\spad{'}th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineComplex|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineFloat|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineInteger|))) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|String|)) "\\spad{assign(x,{}y)} creates a representation of the FORTRAN expression x=y.")) (|cond| (($ (|Switch|) $ $) "\\spad{cond(s,{}e,{}f)} creates a representation of the FORTRAN expression IF (\\spad{s}) THEN \\spad{e} ELSE \\spad{f}.") (($ (|Switch|) $) "\\spad{cond(s,{}e)} creates a representation of the FORTRAN expression IF (\\spad{s}) THEN \\spad{e}.")) (|returns| (($ (|Expression| (|Complex| (|Float|)))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Integer|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Float|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineComplex|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineInteger|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineFloat|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($) "\\spad{returns()} creates a representation of a FORTRAN RETURN statement.")) (|call| (($ (|String|)) "\\spad{call(s)} creates a representation of a FORTRAN CALL statement")) (|comment| (($ (|List| (|String|))) "\\spad{comment(s)} creates a representation of the Strings \\spad{s} as a multi-line FORTRAN comment.") (($ (|String|)) "\\spad{comment(s)} creates a representation of the String \\spad{s} as a single FORTRAN comment.")) (|continue| (($ (|SingleInteger|)) "\\spad{continue(l)} creates a representation of a FORTRAN CONTINUE labelled with \\spad{l}")) (|goto| (($ (|SingleInteger|)) "\\spad{goto(l)} creates a representation of a FORTRAN GOTO statement")) (|repeatUntilLoop| (($ (|Switch|) $) "\\spad{repeatUntilLoop(s,{}c)} creates a repeat ... until loop in FORTRAN.")) (|whileLoop| (($ (|Switch|) $) "\\spad{whileLoop(s,{}c)} creates a while loop in FORTRAN.")) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) "\\spad{forLoop(i=1..10,{}n,{}c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10 by \\spad{n}.") (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) "\\spad{forLoop(i=1..10,{}c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(f)} returns an object of type OutputForm."))) 
+((|constructor| (NIL "This domain builds representations of program code segments for use with the FortranProgram domain.")) (|setLabelValue| (((|SingleInteger|) (|SingleInteger|)) "\\spad{setLabelValue(i)} resets the counter which produces labels to \\spad{i}")) (|getCode| (((|SExpression|) $) "\\spad{getCode(f)} returns a Lisp list of strings representing \\spad{f} in Fortran notation. This is used by the FortranProgram domain.")) (|printCode| (((|Void|) $) "\\spad{printCode(f)} prints out \\spad{f} in FORTRAN notation.")) (|code| (((|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| $)) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| $))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| $))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|)))) $) "\\spad{code(f)} returns the internal representation of the object represented by \\spad{f}.")) (|operation| (((|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) "\\spad{operation(f)} returns the name of the operation represented by \\spad{f}.")) (|common| (($ (|Symbol|) (|List| (|Symbol|))) "\\spad{common(name,contents)} creates a representation a named common block.")) (|printStatement| (($ (|List| (|OutputForm|))) "\\spad{printStatement(l)} creates a representation of a PRINT statement.")) (|save| (($) "\\spad{save()} creates a representation of a SAVE statement.")) (|stop| (($) "\\spad{stop()} creates a representation of a STOP statement.")) (|block| (($ (|List| $)) "\\spad{block(l)} creates a representation of the statements in \\spad{l} as a block.")) (|assign| (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Float|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|Integer|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Complex| (|Float|))))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|Integer|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Complex| (|Float|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Float|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|Integer|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineComplex|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineFloat|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|List| (|Polynomial| (|Integer|))) (|Expression| (|MachineInteger|))) "\\spad{assign(x,l,y)} creates a representation of the assignment of \\spad{y} to the \\spad{l}'th element of array \\spad{x} (\\spad{l} is a list of indices).") (($ (|Symbol|) (|Vector| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineComplex|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineFloat|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|Expression| (|MachineInteger|)))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Vector| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Matrix| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineComplex|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineFloat|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|Expression| (|MachineInteger|))) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.") (($ (|Symbol|) (|String|)) "\\spad{assign(x,y)} creates a representation of the FORTRAN expression x=y.")) (|cond| (($ (|Switch|) $ $) "\\spad{cond(s,e,f)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN \\spad{e} ELSE \\spad{f.}") (($ (|Switch|) $) "\\spad{cond(s,e)} creates a representation of the FORTRAN expression IF \\spad{(s)} THEN e.")) (|returns| (($ (|Expression| (|Complex| (|Float|)))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Integer|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|Float|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineComplex|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineInteger|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($ (|Expression| (|MachineFloat|))) "\\spad{returns(e)} creates a representation of a FORTRAN RETURN statement with a returned value.") (($) "\\spad{returns()} creates a representation of a FORTRAN RETURN statement.")) (|call| (($ (|String|)) "\\spad{call(s)} creates a representation of a FORTRAN CALL statement")) (|comment| (($ (|List| (|String|))) "\\spad{comment(s)} creates a representation of the Strings \\spad{s} as a multi-line FORTRAN comment.") (($ (|String|)) "\\spad{comment(s)} creates a representation of the String \\spad{s} as a single FORTRAN comment.")) (|continue| (($ (|SingleInteger|)) "\\spad{continue(l)} creates a representation of a FORTRAN CONTINUE labelled with \\spad{l}")) (|goto| (($ (|SingleInteger|)) "\\spad{goto(l)} creates a representation of a FORTRAN GOTO statement")) (|repeatUntilLoop| (($ (|Switch|) $) "\\spad{repeatUntilLoop(s,c)} creates a repeat \\spad{...} until loop in FORTRAN.")) (|whileLoop| (($ (|Switch|) $) "\\spad{whileLoop(s,c)} creates a while loop in FORTRAN.")) (|forLoop| (($ (|SegmentBinding| (|Polynomial| (|Integer|))) (|Polynomial| (|Integer|)) $) "\\spad{forLoop(i=1..10,n,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10 by \\spad{n.}") (($ (|SegmentBinding| (|Polynomial| (|Integer|))) $) "\\spad{forLoop(i=1..10,c)} creates a representation of a FORTRAN DO loop with \\spad{i} ranging over the values 1 to 10.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(f)} returns an object of type OutputForm."))) 
 NIL 
 NIL 
 (-330 E) 
-((|constructor| (NIL "This domain creates kernels for use in Fourier series")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the argument of a given sin/cos expressions")) (|sin?| (((|Boolean|) $) "\\spad{sin?(x)} returns \\spad{true} if term is a sin,{} otherwise \\spad{false}")) (|cos| (($ |#1|) "\\spad{cos(x)} makes a cos kernel for use in Fourier series")) (|sin| (($ |#1|) "\\spad{sin(x)} makes a sin kernel for use in Fourier series"))) 
+((|constructor| (NIL "This domain creates kernels for use in Fourier series")) (|argument| ((|#1| $) "\\spad{argument(x)} returns the argument of a given sin/cos expressions")) (|sin?| (((|Boolean|) $) "\\spad{sin?(x)} returns \\spad{true} if term is a sin, otherwise \\spad{false}")) (|cos| (($ |#1|) "\\spad{cos(x)} makes a cos kernel for use in Fourier series")) (|sin| (($ |#1|) "\\spad{sin(x)} makes a sin kernel for use in Fourier series"))) 
 NIL 
 NIL 
 (-331) 
-((|constructor| (NIL "\\spadtype{FortranCodePackage1} provides some utilities for producing useful objects in FortranCode domain. The Package may be used with the FortranCode domain and its \\spad{printCode} or possibly via an outputAsFortran. (The package provides items of use in connection with ASPs in the AXIOM-NAG link and,{} where appropriate,{} naming accords with that in IRENA.) The easy-to-use functions use Fortran loop variables \\spad{I1},{} \\spad{I2},{} and it is users' responsibility to check that this is sensible. The advanced functions use SegmentBinding to allow users control over Fortran loop variable names.")) (|identitySquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{identitySquareMatrix(s,{}p)} \\undocumented{}")) (|zeroSquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroSquareMatrix(s,{}p)} \\undocumented{}")) (|zeroMatrix| (((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|)))) "\\spad{zeroMatrix(s,{}b,{}d)} in this version gives the user control over names of Fortran variables used in loops.") (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|))) "\\spad{zeroMatrix(s,{}p,{}q)} uses loop variables in the Fortran,{} \\spad{I1} and \\spad{I2}")) (|zeroVector| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroVector(s,{}p)} \\undocumented{}"))) 
+((|constructor| (NIL "\\spadtype{FortranCodePackage1} provides some utilities for producing useful objects in FortranCode domain. The Package may be used with the FortranCode domain and its \\spad{printCode} or possibly via an outputAsFortran. (The package provides items of use in connection with ASPs in the AXIOM-NAG link and, where appropriate, naming accords with that in IRENA.) The easy-to-use functions use Fortran loop variables I1, I2, and it is users' responsibility to check that this is sensible. The advanced functions use SegmentBinding to allow users control over Fortran loop variable names.")) (|identitySquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{identitySquareMatrix(s,p)} \\undocumented{}")) (|zeroSquareMatrix| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroSquareMatrix(s,p)} \\undocumented{}")) (|zeroMatrix| (((|FortranCode|) (|Symbol|) (|SegmentBinding| (|Polynomial| (|Integer|))) (|SegmentBinding| (|Polynomial| (|Integer|)))) "\\spad{zeroMatrix(s,b,d)} in this version gives the user control over names of Fortran variables used in loops.") (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|)) (|Polynomial| (|Integer|))) "\\spad{zeroMatrix(s,p,q)} uses loop variables in the Fortran, \\spad{I1} and \\spad{I2}")) (|zeroVector| (((|FortranCode|) (|Symbol|) (|Polynomial| (|Integer|))) "\\spad{zeroVector(s,p)} \\undocumented{}"))) 
 NIL 
 NIL 
 (-332 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
-((|constructor| (NIL "Lift a map to finite divisors.")) (|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{map(f,{}d)} \\undocumented{}"))) 
+((|constructor| (NIL "Lift a map to finite divisors.")) (|map| (((|FiniteDivisor| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{map(f,d)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-333 S -1564 UP UPUP R) 
-((|constructor| (NIL "This category describes finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|generator| (((|Union| |#5| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = d},{} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) (|:| |principalPart| |#5|)) $) "\\spad{decompose(d)} returns \\spad{[id,{} f]} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#5| |#3| |#3| |#3| |#2|) "\\spad{divisor(h,{} d,{} d',{} g,{} r)} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,{}discriminant)} contains the ramified zeros of \\spad{d}") (($ |#2| |#2| (|Integer|)) "\\spad{divisor(a,{} b,{} n)} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a,{} y = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#2| |#2|) "\\spad{divisor(a,{} b)} makes the divisor \\spad{P:} \\spad{(x = a,{} y = b)}. Error: if \\spad{P} is singular.") (($ |#5|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g}.") (($ (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal \\spad{I}.")) (|ideal| (((|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D}."))) 
+(-333 S -1647 UP UPUP R) 
+((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#5| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) (|:| |principalPart| |#5|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#5| |#3| |#3| |#3| |#2|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#2| |#2| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#2| |#2|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#5|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#3| (|Fraction| |#3|) |#4| |#5|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-334 -1564 UP UPUP R) 
-((|constructor| (NIL "This category describes finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|generator| (((|Union| |#4| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = d},{} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) "\\spad{decompose(d)} returns \\spad{[id,{} f]} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#4| |#2| |#2| |#2| |#1|) "\\spad{divisor(h,{} d,{} d',{} g,{} r)} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,{}discriminant)} contains the ramified zeros of \\spad{d}") (($ |#1| |#1| (|Integer|)) "\\spad{divisor(a,{} b,{} n)} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a,{} y = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#1| |#1|) "\\spad{divisor(a,{} b)} makes the divisor \\spad{P:} \\spad{(x = a,{} y = b)}. Error: if \\spad{P} is singular.") (($ |#4|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g}.") (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal \\spad{I}.")) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D}."))) 
+(-334 -1647 UP UPUP R) 
+((|constructor| (NIL "This category describes finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|generator| (((|Union| |#4| "failed") $) "\\spad{generator(d)} returns \\spad{f} if \\spad{(f) = \\spad{d},} \"failed\" if \\spad{d} is not principal.")) (|principal?| (((|Boolean|) $) "\\spad{principal?(D)} tests if the argument is the divisor of a function.")) (|reduce| (($ $) "\\spad{reduce(D)} converts \\spad{D} to some reduced form (the reduced forms can be differents in different implementations).")) (|decompose| (((|Record| (|:| |id| (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) "\\spad{decompose(d)} returns \\spad{[id, \\spad{f]}} where \\spad{d = (id) + div(f)}.")) (|divisor| (($ |#4| |#2| |#2| |#2| |#1|) "\\spad{divisor(h, \\spad{d,} \\spad{d',} \\spad{g,} \\spad{r)}} returns the sum of all the finite points where \\spad{h/d} has residue \\spad{r}. \\spad{h} must be integral. \\spad{d} must be squarefree. \\spad{d'} is some derivative of \\spad{d} (not necessarily dd/dx). \\spad{g = gcd(d,discriminant)} contains the ramified zeros of \\spad{d}") (($ |#1| |#1| (|Integer|)) "\\spad{divisor(a, \\spad{b,} \\spad{n)}} makes the divisor \\spad{nP} where \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. \\spad{P} is allowed to be singular if \\spad{n} is a multiple of the rank.") (($ |#1| |#1|) "\\spad{divisor(a, \\spad{b)}} makes the divisor \\spad{P:} \\spad{(x = a, \\spad{y} = b)}. Error: if \\spad{P} is singular.") (($ |#4|) "\\spad{divisor(g)} returns the divisor of the function \\spad{g.}") (($ (|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|)) "\\spad{divisor(I)} makes a divisor \\spad{D} from an ideal I.")) (|ideal| (((|FractionalIdeal| |#2| (|Fraction| |#2|) |#3| |#4|) $) "\\spad{ideal(D)} returns the ideal corresponding to a divisor \\spad{D.}"))) 
 NIL 
 NIL 
-(-335 -1564 UP UPUP R) 
-((|constructor| (NIL "This domains implements finite rational divisors on a curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve.")) (|lSpaceBasis| (((|Vector| |#4|) $) "\\spad{lSpaceBasis(d)} returns a basis for \\spad{L(d) = {f | (f) >= -d}} as a module over \\spad{K[x]}.")) (|finiteBasis| (((|Vector| |#4|) $) "\\spad{finiteBasis(d)} returns a basis for \\spad{d} as a module over \\spad{K}[\\spad{x}]."))) 
+(-335 -1647 UP UPUP R) 
+((|constructor| (NIL "This domains implements finite rational divisors on a curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve.")) (|lSpaceBasis| (((|Vector| |#4|) $) "\\spad{lSpaceBasis(d)} returns a basis for \\spad{L(d) = \\spad{{f} | \\spad{(f)} \\spad{>=} -d}} as a module over \\spad{K[x]}.")) (|finiteBasis| (((|Vector| |#4|) $) "\\spad{finiteBasis(d)} returns a basis for \\spad{d} as a module over K[x]."))) 
 NIL 
 NIL 
 (-336 S R) 
-((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,{} ex)} evaluates ex,{} applying \\spad{f} to values of type \\spad{R} in ex."))) 
+((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) 
+((|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) 
 (-337 R) 
-((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{} ex)} evaluates ex,{} applying \\spad{f} to values of type \\spad{R} in ex."))) 
+((|constructor| (NIL "This category provides a selection of evaluation operations depending on what the argument type \\spad{R} provides.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f, ex)} evaluates ex, applying \\spad{f} to values of type \\spad{R} in ex."))) 
 NIL 
 NIL 
 (-338 |basicSymbols| |subscriptedSymbols| R) 
-((|constructor| (NIL "A domain of expressions involving functions which can be translated into standard Fortran-77,{} with some extra extensions from the NAG Fortran Library.")) (|useNagFunctions| (((|Boolean|) (|Boolean|)) "\\spad{useNagFunctions(v)} sets the flag which controls whether NAG functions \\indented{1}{are being used for mathematical and machine constants.\\space{2}The previous} \\indented{1}{value is returned.}") (((|Boolean|)) "\\spad{useNagFunctions()} indicates whether NAG functions are being used \\indented{1}{for mathematical and machine constants.}")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(e)} return a list of all the variables in \\spad{e}.")) (|pi| (($) "\\spad{\\spad{pi}(x)} represents the NAG Library function X01AAF which returns \\indented{1}{an approximation to the value of \\spad{pi}}")) (|tanh| (($ $) "\\spad{tanh(x)} represents the Fortran intrinsic function TANH")) (|cosh| (($ $) "\\spad{cosh(x)} represents the Fortran intrinsic function COSH")) (|sinh| (($ $) "\\spad{sinh(x)} represents the Fortran intrinsic function SINH")) (|atan| (($ $) "\\spad{atan(x)} represents the Fortran intrinsic function ATAN")) (|acos| (($ $) "\\spad{acos(x)} represents the Fortran intrinsic function ACOS")) (|asin| (($ $) "\\spad{asin(x)} represents the Fortran intrinsic function ASIN")) (|tan| (($ $) "\\spad{tan(x)} represents the Fortran intrinsic function TAN")) (|cos| (($ $) "\\spad{cos(x)} represents the Fortran intrinsic function COS")) (|sin| (($ $) "\\spad{sin(x)} represents the Fortran intrinsic function SIN")) (|log10| (($ $) "\\spad{log10(x)} represents the Fortran intrinsic function \\spad{LOG10}")) (|log| (($ $) "\\spad{log(x)} represents the Fortran intrinsic function LOG")) (|exp| (($ $) "\\spad{exp(x)} represents the Fortran intrinsic function EXP")) (|sqrt| (($ $) "\\spad{sqrt(x)} represents the Fortran intrinsic function SQRT")) (|abs| (($ $) "\\spad{abs(x)} represents the Fortran intrinsic function ABS")) (|coerce| (((|Expression| |#3|) $) "\\spad{coerce(x)} is not documented")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Symbol|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| |#3|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.")) (|retract| (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Symbol|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| |#3|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions,{} and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-382)))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|constructor| (NIL "A domain of expressions involving functions which can be translated into standard Fortran-77, with some extra extensions from the NAG Fortran Library.")) (|useNagFunctions| (((|Boolean|) (|Boolean|)) "\\spad{useNagFunctions(v)} sets the flag which controls whether NAG functions \\indented{1}{are being used for mathematical and machine constants.\\space{2}The previous} \\indented{1}{value is returned.}") (((|Boolean|)) "\\spad{useNagFunctions()} indicates whether NAG functions are being used \\indented{1}{for mathematical and machine constants.}")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(e)} return a list of all the variables in \\spad{e}.")) (|pi| (($) "\\spad{pi(x)} represents the NAG Library function X01AAF which returns \\indented{1}{an approximation to the value of pi}")) (|tanh| (($ $) "\\spad{tanh(x)} represents the Fortran intrinsic function TANH")) (|cosh| (($ $) "\\spad{cosh(x)} represents the Fortran intrinsic function COSH")) (|sinh| (($ $) "\\spad{sinh(x)} represents the Fortran intrinsic function SINH")) (|atan| (($ $) "\\spad{atan(x)} represents the Fortran intrinsic function ATAN")) (|acos| (($ $) "\\spad{acos(x)} represents the Fortran intrinsic function ACOS")) (|asin| (($ $) "\\spad{asin(x)} represents the Fortran intrinsic function ASIN")) (|tan| (($ $) "\\spad{tan(x)} represents the Fortran intrinsic function TAN")) (|cos| (($ $) "\\spad{cos(x)} represents the Fortran intrinsic function COS")) (|sin| (($ $) "\\spad{sin(x)} represents the Fortran intrinsic function SIN")) (|log10| (($ $) "\\spad{log10(x)} represents the Fortran intrinsic function \\spad{LOG10}")) (|log| (($ $) "\\spad{log(x)} represents the Fortran intrinsic function LOG")) (|exp| (($ $) "\\spad{exp(x)} represents the Fortran intrinsic function EXP")) (|sqrt| (($ $) "\\spad{sqrt(x)} represents the Fortran intrinsic function SQRT")) (|abs| (($ $) "\\spad{abs(x)} represents the Fortran intrinsic function ABS")) (|coerce| (((|Expression| |#3|) $) "\\spad{coerce(x)} is not documented")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Symbol|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (((|Union| $ "failed") (|Expression| |#3|)) "\\spad{retractIfCan(e)} takes \\spad{e} and tries to transform it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.")) (|retract| (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Float|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Symbol|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it is one of the given basic symbols or subscripted symbols which correspond to scalar and array parameters respectively.") (($ (|Expression| |#3|)) "\\spad{retract(e)} takes \\spad{e} and transforms it into a FortranExpression checking that it contains no non-Fortran functions, and that it only contains the given basic symbols and subscripted symbols which correspond to scalar and array parameters respectively."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-382)))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-339 R1 UP1 UPUP1 F1 R2 UP2 UPUP2 F2) 
-((|constructor| (NIL "Lifts a map from rings to function fields over them.")) (|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,{} p)} lifts \\spad{f} to \\spad{F1} and applies it to \\spad{p}."))) 
+((|constructor| (NIL "Lifts a map from rings to function fields over them.")) (|map| ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to \\spad{F1} and applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-340 S -1564 UP UPUP) 
-((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in \\spad{u1},{}...,{}un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f,{} D)} returns \\spad{[h,{}d,{}d',{}g]} such that \\spad{f=h/d},{} \\spad{h} is integral at all the normal places \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{d' = Dd},{} \\spad{g = gcd(d,{} discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,{}a,{}b)} or \\spad{f}(a,{} \\spad{b}) returns the value of \\spad{f} at the point \\spad{(x = a,{} y = b)} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f}.")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x,{} d)} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x}.")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns (\\spad{M},{} \\spad{Q}) such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(\\spad{wi})} with respect to \\spad{(w1,{}...,{}wn)} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,{}...,{}An],{} D)} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,{}...,{}wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 w1 +...+ An wn) / D} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 + A2 y +...+ An y**(n-1)) / D}.")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,{}...,{}vn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrixAtInfinity()\\$\\spad{R}")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,{}...,{}vn) = M (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrixAtInfinity()\\$\\spad{R}")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,{}...,{}wn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrix()\\$\\spad{R}")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,{}...,{}wn) = M (1,{} y,{} ...,{} y**(n-1))},{}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrix()\\$\\spad{R}")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,{}...,{}bn)} returns \\spad{(x**i * bj)} for all \\spad{i},{}\\spad{j} such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,{}...,{}bn)} returns the complementary basis \\spad{(b1',{}...,{}bn')} of \\spad{(b1,{}...,{}bn)}.")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f,{} p)} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#2|) "\\spad{integral?(f,{} a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasisAtInfinity()\\$\\spad{R}")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasis()\\$\\spad{R}")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} branchPointAtInfinity?()\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} branchPointAtInfinity?()\\$\\spad{R}")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\indented{1}{rationalPoint?(a,{} \\spad{b}) tests if \\spad{(x=a,{}y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} absolutelyIrreducible?()\\$\\spad{R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} genus()\\$\\spad{R}")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} numberOfComponents()\\$\\spad{R}"))) 
+(-340 S -1647 UP UPUP) 
+((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#2|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#2|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (|Mapping| |#3| |#3|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\spad{f=h/d}, \\spad{h} is integral at all the normal places w.r.t. \\spad{D}, \\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#3| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elliptic| (((|Union| |#3| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elt| ((|#2| $ |#2| |#2|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} at the point \\spad{(x = a, \\spad{y} = \\spad{b)}} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f.}")) (|differentiate| (($ $ (|Mapping| |#3| |#3|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x.}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#3|)) (|:| |den| |#3|)) (|Mapping| |#3| |#3|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)} where \\spad{(w1,...,wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#3|) |#3|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,...,wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / \\spad{D}} where \\spad{(w1,...,wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#3|) |#3|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#3|)) (|:| |den| |#3|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / \\spad{D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#3|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} for all i,j such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.")) (|integral?| (((|Boolean|) $ |#3|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#2|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#3|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#2|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#3|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#2|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#3|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#2|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#2| |#2|) "\\indented{1}{rationalPoint?(a, \\spad{b)} tests if \\spad{(x=a,y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-341 -1564 UP UPUP) 
-((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in \\spad{u1},{}...,{}un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f,{} D)} returns \\spad{[h,{}d,{}d',{}g]} such that \\spad{f=h/d},{} \\spad{h} is integral at all the normal places \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{d' = Dd},{} \\spad{g = gcd(d,{} discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)},{} \"failed\" otherwise.")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,{}a,{}b)} or \\spad{f}(a,{} \\spad{b}) returns the value of \\spad{f} at the point \\spad{(x = a,{} y = b)} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x,{} d)} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x}.")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns (\\spad{M},{} \\spad{Q}) such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(\\spad{wi})} with respect to \\spad{(w1,{}...,{}wn)} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,{}...,{}An],{} D)} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,{}...,{}wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 w1 +...+ An wn) / D} where \\spad{(w1,{}...,{}wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,{}...,{}A(n-1)],{}D)} returns \\spad{(A0 + A1 y +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,{}...,{}An],{} D]} such that \\spad{f = (A1 + A2 y +...+ An y**(n-1)) / D}.")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,{}...,{}vn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrixAtInfinity()\\$\\spad{R}")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,{}...,{}vn) = M (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(v1,{}...,{}vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrixAtInfinity()\\$\\spad{R}")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,{}...,{}wn) = (1,{} y,{} ...,{} y**(n-1))}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} inverseIntegralMatrix()\\$\\spad{R}")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,{}...,{}wn) = M (1,{} y,{} ...,{} y**(n-1))},{}} \\indented{1}{where \\spad{(w1,{}...,{}wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralMatrix()\\$\\spad{R}")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,{}...,{}bn)} returns \\spad{(x**i * bj)} for all \\spad{i},{}\\spad{j} such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,{}...,{}bn)} returns the complementary basis \\spad{(b1',{}...,{}bn')} of \\spad{(b1,{}...,{}bn)}.")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f,{} p)} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#1|) "\\spad{integral?(f,{} a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasisAtInfinity()\\$\\spad{R}")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} integralBasis()\\$\\spad{R}")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} branchPointAtInfinity?()\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} branchPointAtInfinity?()\\$\\spad{R}")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\indented{1}{rationalPoint?(a,{} \\spad{b}) tests if \\spad{(x=a,{}y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} rationalPoint?(0,{}0)\\$\\spad{R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 2 * \\spad{x**2},{} 4) \\spad{X} absolutelyIrreducible?()\\$\\spad{R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} genus()\\$\\spad{R}")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(\\spad{x},{} Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(\\spad{y},{} Fraction \\spad{P0}) \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT,{} \\spad{P0},{} \\spad{P1},{} 1 - \\spad{x**20},{} 20) \\spad{X} numberOfComponents()\\$\\spad{R}"))) 
-((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-341 -1647 UP UPUP) 
+((|constructor| (NIL "This category is a model for the function field of a plane algebraic curve.")) (|rationalPoints| (((|List| (|List| |#1|))) "\\indented{1}{rationalPoints() returns the list of all the affine} rational points.")) (|nonSingularModel| (((|List| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{nonSingularModel(u)} returns the equations in u1,...,un of an affine non-singular model for the curve.")) (|algSplitSimple| (((|Record| (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (|Mapping| |#2| |#2|)) "\\spad{algSplitSimple(f, \\spad{D)}} returns \\spad{[h,d,d',g]} such that \\spad{f=h/d}, \\spad{h} is integral at all the normal places w.r.t. \\spad{D}, \\spad{d' = Dd}, \\spad{g = gcd(d, discriminant())} and \\spad{D} is the derivation to use. \\spad{f} must have at most simple finite poles.")) (|hyperelliptic| (((|Union| |#2| "failed")) "\\spad{hyperelliptic()} returns \\spad{p(x)} if the curve is the hyperelliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elliptic| (((|Union| |#2| "failed")) "\\spad{elliptic()} returns \\spad{p(x)} if the curve is the elliptic defined by \\spad{y**2 = p(x)}, \"failed\" otherwise.")) (|elt| ((|#1| $ |#1| |#1|) "\\spad{elt(f,a,b)} or f(a, \\spad{b)} returns the value of \\spad{f} at the point \\spad{(x = a, \\spad{y} = \\spad{b)}} if it is not singular.")) (|primitivePart| (($ $) "\\spad{primitivePart(f)} removes the content of the denominator and the common content of the numerator of \\spad{f.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{differentiate(x, \\spad{d)}} extends the derivation \\spad{d} from UP to \\$ and applies it to \\spad{x.}")) (|integralDerivationMatrix| (((|Record| (|:| |num| (|Matrix| |#2|)) (|:| |den| |#2|)) (|Mapping| |#2| |#2|)) "\\spad{integralDerivationMatrix(d)} extends the derivation \\spad{d} from UP to \\$ and returns \\spad{(M,} \\spad{Q)} such that the i^th row of \\spad{M} divided by \\spad{Q} form the coordinates of \\spad{d(wi)} with respect to \\spad{(w1,...,wn)} where \\spad{(w1,...,wn)} is the integral basis returned by integralBasis().")) (|integralRepresents| (($ (|Vector| |#2|) |#2|) "\\spad{integralRepresents([A1,...,An], \\spad{D)}} returns \\spad{(A1 w1+...+An wn)/D} where \\spad{(w1,...,wn)} is the integral basis of \\spad{integralBasis()}.")) (|integralCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{integralCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} \\spad{w1} +...+ An \\spad{wn)} / \\spad{D}} where \\spad{(w1,...,wn)} is the integral basis returned by \\spad{integralBasis()}.")) (|represents| (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.") (($ (|Vector| |#2|) |#2|) "\\spad{represents([A0,...,A(n-1)],D)} returns \\spad{(A0 + \\spad{A1} \\spad{y} +...+ A(n-1)*y**(n-1))/D}.")) (|yCoordinates| (((|Record| (|:| |num| (|Vector| |#2|)) (|:| |den| |#2|)) $) "\\spad{yCoordinates(f)} returns \\spad{[[A1,...,An], \\spad{D]}} such that \\spad{f = \\spad{(A1} + \\spad{A2} \\spad{y} +...+ An y**(n-1)) / \\spad{D}.}")) (|inverseIntegralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrixAtInfinity() returns \\spad{M} such} \\indented{1}{that \\spad{M (v1,...,vn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrixAtInfinity()$R")) (|integralMatrixAtInfinity| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrixAtInfinity() returns \\spad{M} such that} \\indented{1}{\\spad{(v1,...,vn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(v1,...,vn)} is the local integral basis at infinity} \\indented{1}{returned by \\spad{infIntBasis()}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrixAtInfinity()$R")) (|inverseIntegralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{inverseIntegralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{M (w1,...,wn) = \\spad{(1,} \\spad{y,} ..., y**(n-1))}} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} inverseIntegralMatrix()$R")) (|integralMatrix| (((|Matrix| (|Fraction| |#2|))) "\\indented{1}{integralMatrix() returns \\spad{M} such that} \\indented{1}{\\spad{(w1,...,wn) = \\spad{M} \\spad{(1,} \\spad{y,} ..., y**(n-1))},} \\indented{1}{where \\spad{(w1,...,wn)} is the integral basis of} \\indented{1}{\\spadfunFrom{integralBasis}{FunctionFieldCategory}.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralMatrix()$R")) (|reduceBasisAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{reduceBasisAtInfinity(b1,...,bn)} returns \\spad{(x**i * bj)} for all i,j such that \\spad{x**i*bj} is locally integral at infinity.")) (|normalizeAtInfinity| (((|Vector| $) (|Vector| $)) "\\spad{normalizeAtInfinity(v)} makes \\spad{v} normal at infinity.")) (|complementaryBasis| (((|Vector| $) (|Vector| $)) "\\spad{complementaryBasis(b1,...,bn)} returns the complementary basis \\spad{(b1',...,bn')} of \\spad{(b1,...,bn)}.")) (|integral?| (((|Boolean|) $ |#2|) "\\spad{integral?(f, \\spad{p)}} tests whether \\spad{f} is locally integral at \\spad{p(x) = 0}") (((|Boolean|) $ |#1|) "\\spad{integral?(f, a)} tests whether \\spad{f} is locally integral at \\spad{x = a}.") (((|Boolean|) $) "\\spad{integral?()} tests if \\spad{f} is integral over \\spad{k[x]}.")) (|integralAtInfinity?| (((|Boolean|) $) "\\spad{integralAtInfinity?()} tests if \\spad{f} is locally integral at infinity.")) (|integralBasisAtInfinity| (((|Vector| $)) "\\indented{1}{integralBasisAtInfinity() returns the local integral basis} \\indented{1}{at infinity} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasisAtInfinity()$R")) (|integralBasis| (((|Vector| $)) "\\indented{1}{integralBasis() returns the integral basis for the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} integralBasis()$R")) (|ramified?| (((|Boolean|) |#2|) "\\spad{ramified?(p)} tests whether \\spad{p(x) = 0} is ramified.") (((|Boolean|) |#1|) "\\spad{ramified?(a)} tests whether \\spad{x = a} is ramified.")) (|ramifiedAtInfinity?| (((|Boolean|)) "\\spad{ramifiedAtInfinity?()} tests if infinity is ramified.")) (|singular?| (((|Boolean|) |#2|) "\\spad{singular?(p)} tests whether \\spad{p(x) = 0} is singular.") (((|Boolean|) |#1|) "\\spad{singular?(a)} tests whether \\spad{x = a} is singular.")) (|singularAtInfinity?| (((|Boolean|)) "\\spad{singularAtInfinity?()} tests if there is a singularity at infinity.")) (|branchPoint?| (((|Boolean|) |#2|) "\\spad{branchPoint?(p)} tests whether \\spad{p(x) = 0} is a branch point.") (((|Boolean|) |#1|) "\\spad{branchPoint?(a)} tests whether \\spad{x = a} is a branch point.")) (|branchPointAtInfinity?| (((|Boolean|)) "\\indented{1}{branchPointAtInfinity?() tests if there is a branch point} \\indented{1}{at infinity.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} branchPointAtInfinity?()$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} branchPointAtInfinity?()$R")) (|rationalPoint?| (((|Boolean|) |#1| |#1|) "\\indented{1}{rationalPoint?(a, \\spad{b)} tests if \\spad{(x=a,y=b)} is on the curve.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} rationalPoint?(0,0)$R \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{rationalPoint?(0,0)$R2}")) (|absolutelyIrreducible?| (((|Boolean|)) "\\indented{1}{absolutelyIrreducible?() tests if the curve absolutely irreducible?} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R2} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 2 * x**2, 4) \\spad{X} \\spad{absolutelyIrreducible?()$R2}")) (|genus| (((|NonNegativeInteger|)) "\\indented{1}{genus() returns the genus of one absolutely irreducible component} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} genus()$R")) (|numberOfComponents| (((|NonNegativeInteger|)) "\\indented{1}{numberOfComponents() returns the number of absolutely irreducible} \\indented{1}{components.} \\blankline \\spad{X} \\spad{P0} \\spad{:=} UnivariatePolynomial(x, Integer) \\spad{X} \\spad{P1} \\spad{:=} UnivariatePolynomial(y, Fraction \\spad{P0)} \\spad{X} \\spad{R} \\spad{:=} RadicalFunctionField(INT, \\spad{P0,} \\spad{P1,} 1 - x**20, 20) \\spad{X} numberOfComponents()$R"))) 
+((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-342 |p| |extdeg|) 
-((|constructor| (NIL "FiniteFieldCyclicGroup(\\spad{p},{}\\spad{n}) implements a finite field extension of degee \\spad{n} over the prime field with \\spad{p} elements. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial,{} which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. The Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldCyclicGroup(p,n) implements a finite field extension of degee \\spad{n} over the prime field with \\spad{p} elements. Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. The Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
 (-343 GF |defpol|) 
-((|constructor| (NIL "FiniteFieldCyclicGroupExtensionByPolynomial(\\spad{GF},{}defpol) implements a finite extension field of the ground field \\spad{GF}. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial defpol,{} which MUST be primitive (user responsibility). Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field it is used to perform additions in the field quickly."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol) implements a finite extension field of the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial defpol, which MUST be primitive (user responsibility). Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field it is used to perform additions in the field quickly."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
 (-344 GF |extdeg|) 
-((|constructor| (NIL "FiniteFieldCyclicGroupExtension(\\spad{GF},{}\\spad{n}) implements a extension of degree \\spad{n} over the ground field \\spad{GF}. Its elements are represented by powers of a primitive element,{} \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial,{} which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. Zech logarithms are stored in a table of size half of the field size,{} and use \\spadtype{SingleInteger} for representing field elements,{} hence,{} there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldCyclicGroupExtension(GF,n) implements a extension of degree \\spad{n} over the ground field \\spad{GF.} Its elements are represented by powers of a primitive element, \\spadignore{i.e.} a generator of the multiplicative (cyclic) group. As primitive element we choose the root of the extension polynomial, which is created by createPrimitivePoly from \\spadtype{FiniteFieldPolynomialPackage}. Zech logarithms are stored in a table of size half of the field size, and use \\spadtype{SingleInteger} for representing field elements, hence, there are restrictions on the size of the field.")) (|getZechTable| (((|PrimitiveArray| (|SingleInteger|))) "\\spad{getZechTable()} returns the zech logarithm table of the field. This table is used to perform additions in the field quickly."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
 (-345 K |PolK|) 
-((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (\\spad{PAFF}) It has been modified (very slitely) so that each time the \"factor\" function is used,{} the variable related to the size of the field over which the polynomial is factorized is reset. This is done in order to be used with a \"dynamic extension field\" which size is not fixed but set before calling the \"factor\" function and which is parse by side effect to this package via the function \"size\". See the local function \"initialize\" of this package."))) 
+((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF) It has been modified (very slitely) so that each time the \"factor\" function is used, the variable related to the size of the field over which the polynomial is factorized is reset. This is done in order to be used with a \"dynamic extension field\" which size is not fixed but set before calling the \"factor\" function and which is parse by side effect to this package via the function \"size\". See the local function \"initialize\" of this package."))) 
 NIL 
 NIL 
-(-346 -3022 V VF) 
-((|constructor| (NIL "This package lifts the interpolation functions from \\spadtype{FractionFreeFastGaussian} to fractions. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(l,{} CA,{} f,{} sumEta,{} maxEta)} applies generalInterpolation(\\spad{l},{} \\spad{CA},{} \\spad{f},{} eta) for all possible eta with maximal entry maxEta and sum of entries \\spad{sumEta}") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(l,{} CA,{} f,{} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f}. The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point,{} the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + \\spad{e}.\\spad{i} - [1,{}1,{}...,{}1],{} where the degree of zero is \\spad{-1}."))) 
+(-346 -3712 V VF) 
+((|constructor| (NIL "This package lifts the interpolation functions from \\spadtype{FractionFreeFastGaussian} to fractions. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(l, CA, \\spad{f,} sumEta, maxEta)} applies generalInterpolation(l, CA, \\spad{f,} eta) for all possible eta with maximal entry maxEta and sum of entries \\spad{sumEta}") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(l, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.}"))) 
 NIL 
 NIL 
-(-347 -3022 V) 
-((|constructor| (NIL "This package implements the interpolation algorithm proposed in Beckermann,{} Bernhard and Labahn,{} George,{} Fraction-free computation of matrix rational interpolants and matrix GCDs,{} SIAM Journal on Matrix Analysis and Applications 22. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{qShiftC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [1,{}\\spad{q},{}\\spad{q^2},{}...]")) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{qShiftAction(q,{} k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*}(a+b*x+c*x^2+d*x^3+...) = (a+q*b*x+q^2*c*x^2+q^3*d*x^3+...). In terms of sequences,{} z*u(\\spad{n})=q^n*u(\\spad{n}).")) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{DiffC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [0,{}0,{}0,{}...]")) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{DiffAction(k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*}(a+b*x+c*x^2+d*x^3+...) = (a*x+b*x^2+c*x^3+...),{} \\spadignore{i.e.} multiplication with \\spad{x}.")) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{ShiftC} gives the coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}),{} where \\spad{z} acts on \\spad{g}(\\spad{x}) by shifting. In fact,{} the result is [0,{}1,{}2,{}...]")) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{ShiftAction(k,{} l,{} g)} gives the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{g}(\\spad{x}),{} where \\spad{z*(a+b*x+c*x^2+d*x^3+...) = (b*x+2*c*x^2+3*d*x^3+...)}. In terms of sequences,{} z*u(\\spad{n})=n*u(\\spad{n}).")) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalCoefficient(action,{} f,{} k,{} p)} gives the coefficient of \\spad{x^k} in \\spad{p}(\\spad{z})\\dot \\spad{f}(\\spad{x}),{} where the \\spad{action} of \\spad{z^l} on a polynomial in \\spad{x} is given by \\spad{action},{} \\spadignore{i.e.} \\spad{action}(\\spad{k},{} \\spad{l},{} \\spad{f}) should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(C,{} CA,{} f,{} sumEta,{} maxEta)} applies \\spad{generalInterpolation(C,{} CA,{} f,{} eta)} for all possible \\spad{eta} with maximal entry \\spad{maxEta} and sum of entries at most \\spad{sumEta}. \\blankline The first argument \\spad{C} is the list of coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}). \\blankline The second argument,{} \\spad{CA}(\\spad{k},{} \\spad{l},{} \\spad{f}),{} should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(C,{} CA,{} f,{} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f}. The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point,{} the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + \\spad{e}.\\spad{i} - [1,{}1,{}...,{}1],{} where the degree of zero is \\spad{-1}. \\blankline The first argument \\spad{C} is the list of coefficients \\spad{c_}{\\spad{k},{}\\spad{k}} in the expansion <x^k> \\spad{z} \\spad{g}(\\spad{x}) = sum_{\\spad{i=0}}\\spad{^k} \\spad{c_}{\\spad{k},{}\\spad{i}} <x^i> \\spad{g}(\\spad{x}). \\blankline The second argument,{} \\spad{CA}(\\spad{k},{} \\spad{l},{} \\spad{f}),{} should return the coefficient of \\spad{x^k} in \\spad{z^l} \\spad{f}(\\spad{x}).")) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolate(xlist,{} ylist,{} deg} returns the rational function with numerator degree \\spad{deg} that interpolates the given points using fraction free arithmetic.") (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{interpolate(xlist,{} ylist,{} deg} returns the rational function with numerator degree at most \\spad{deg} and denominator degree at most \\spad{\\#xlist-deg-1} that interpolates the given points using fraction free arithmetic. Note that rational interpolation does not guarantee that all given points are interpolated correctly: unattainable points may make this impossible.")) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) "\\spad{fffg} is the general algorithm as proposed by Beckermann and Labahn. \\blankline The first argument is the list of \\spad{c_}{\\spad{i},{}\\spad{i}}. These are the only values of \\spad{C} explicitely needed in \\spad{fffg}. \\blankline The second argument \\spad{c},{} computes \\spad{c_k}(\\spad{M}),{} \\spadignore{i.e.} \\spad{c_k}(.) is the dual basis of the vector space \\spad{V},{} but also knows about the special multiplication rule as descibed in Equation (2). Note that the information about \\spad{f} is therefore encoded in \\spad{c}. \\blankline The third argument is the vector of degree bounds \\spad{n},{} as introduced in Definition 2.1. In particular,{} the sum of the entries is the order of the Mahler system computed."))) 
+(-347 -3712 V) 
+((|constructor| (NIL "This package implements the interpolation algorithm proposed in Beckermann, Bernhard and Labahn, George, Fraction-free computation of matrix rational interpolants and matrix GCDs, SIAM Journal on Matrix Analysis and Applications 22. The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|qShiftC| (((|List| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{qShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [1,q,q^2,...]")) (|qShiftAction| ((|#1| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{qShiftAction(q, \\spad{k,} \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a+q*b*x+q^2*c*x^2+q^3*d*x^3+...). In terms of sequences, z*u(n)=q^n*u(n).")) (|DiffC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{DiffC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,0,0,...]")) (|DiffAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{DiffAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where z*(a+b*x+c*x^2+d*x^3+...) = (a*x+b*x^2+c*x^3+...), \\spadignore{i.e.} multiplication with \\spad{x.}")) (|ShiftC| (((|List| |#1|) (|NonNegativeInteger|)) "\\spad{ShiftC} gives the coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x), where \\spad{z} acts on g(x) by shifting. In fact, the result is [0,1,2,...]")) (|ShiftAction| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) "\\spad{ShiftAction(k, \\spad{l,} \\spad{g)}} gives the coefficient of \\spad{x^k} in \\spad{z^l} g(x), where \\spad{z*(a+b*x+c*x^2+d*x^3+...) = (b*x+2*c*x^2+3*d*x^3+...)}. In terms of sequences, z*u(n)=n*u(n).")) (|generalCoefficient| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalCoefficient(action, \\spad{f,} \\spad{k,} \\spad{p)}} gives the coefficient of \\spad{x^k} in p(z)\\dot f(x), where the \\spad{action} of \\spad{z^l} on a polynomial in \\spad{x} is given by action, \\spadignore{i.e.} action(k, \\spad{l,} \\spad{f)} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|generalInterpolation| (((|Stream| (|Matrix| (|SparseUnivariatePolynomial| |#1|))) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generalInterpolation(C, CA, \\spad{f,} sumEta, maxEta)} applies \\spad{generalInterpolation(C, CA, \\spad{f,} eta)} for all possible \\spad{eta} with maximal entry \\spad{maxEta} and sum of entries at most \\spad{sumEta}. \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).") (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#2|) (|Vector| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{generalInterpolation(C, CA, \\spad{f,} eta)} performs Hermite-Pade approximation using the given action \\spad{CA} of polynomials on the elements of \\spad{f.} The result is guaranteed to be correct up to order |eta|-1. Given that eta is a \"normal\" point, the degrees on the diagonal are given by eta. The degrees of column \\spad{i} are in this case eta + e.i - [1,1,...,1], where the degree of zero is \\spad{-1.} \\blankline The first argument \\spad{C} is the list of coefficients c_{k,k} in the expansion <x^k> \\spad{z} g(x) = sum_{i=0}^k c_{k,i} <x^i> g(x). \\blankline The second argument, CA(k, \\spad{l,} \\spad{f),} should return the coefficient of \\spad{x^k} in \\spad{z^l} f(x).")) (|interpolate| (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| (|Fraction| |#1|)) (|List| (|Fraction| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree \\spad{deg} that interpolates the given points using fraction free arithmetic.") (((|Fraction| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{interpolate(xlist, ylist, deg} returns the rational function with numerator degree at most \\spad{deg} and denominator degree at most \\spad{\\#xlist-deg-1} that interpolates the given points using fraction free arithmetic. Note that rational interpolation does not guarantee that all given points are interpolated correctly: unattainable points may make this impossible.")) (|fffg| (((|Matrix| (|SparseUnivariatePolynomial| |#1|)) (|List| |#1|) (|Mapping| |#1| (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| |#1|))) (|List| (|NonNegativeInteger|))) "\\spad{fffg} is the general algorithm as proposed by Beckermann and Labahn. \\blankline The first argument is the list of c_{i,i}. These are the only values of \\spad{C} explicitely needed in \\spad{fffg}. \\blankline The second argument \\spad{c,} computes c_k(M), \\spadignore{i.e.} c_k(.) is the dual basis of the vector space \\spad{V,} but also knows about the special multiplication rule as descibed in Equation (2). Note that the information about \\spad{f} is therefore encoded in \\spad{c.} \\blankline The third argument is the vector of degree bounds \\spad{n,} as introduced in Definition 2.1. In particular, the sum of the entries is the order of the Mahler system computed."))) 
 NIL 
 NIL 
 (-348 GF) 
-((|constructor| (NIL "FiniteFieldFunctions(\\spad{GF}) is a package with functions concerning finite extension fields of the finite ground field \\spad{GF},{} \\spadignore{e.g.} Zech logarithms.")) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) "\\spad{createLowComplexityNormalBasis(n)} tries to find a a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix If no low complexity basis is found it calls \\axiomFunFrom{createNormalPoly}{FiniteFieldPolynomialPackage}(\\spad{n}) to produce a normal polynomial of degree \\spad{n} over \\spad{GF}")) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) "\\spad{createLowComplexityTable(n)} tries to find a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix Fails,{} if it does not find a low complexity basis")) (|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{sizeMultiplication(m)} returns the number of entries of the multiplication table \\spad{m}.")) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{createMultiplicationMatrix(m)} forms the multiplication table \\spad{m} into a matrix over the ground field.")) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createMultiplicationTable(f)} generates a multiplication table for the normal basis of the field extension determined by \\spad{f}. This is needed to perform multiplications between elements represented as coordinate vectors to this basis. See \\spadtype{FFNBP},{} \\spadtype{FFNBX}.")) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createZechTable(f)} generates a Zech logarithm table for the cyclic group representation of a extension of the ground field by the primitive polynomial \\spad{f}(\\spad{x}),{} \\spadignore{i.e.} \\spad{Z(i)},{} defined by x**Z(\\spad{i}) = 1+x**i is stored at index \\spad{i}. This is needed in particular to perform addition of field elements in finite fields represented in this way. See \\spadtype{FFCGP},{} \\spadtype{FFCGX}."))) 
+((|constructor| (NIL "FiniteFieldFunctions(GF) is a package with functions concerning finite extension fields of the finite ground field \\spad{GF,} \\spadignore{e.g.} Zech logarithms.")) (|createLowComplexityNormalBasis| (((|Union| (|SparseUnivariatePolynomial| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) (|PositiveInteger|)) "\\spad{createLowComplexityNormalBasis(n)} tries to find a a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix If no low complexity basis is found it calls \\axiomFunFrom{createNormalPoly}{FiniteFieldPolynomialPackage}(n) to produce a normal polynomial of degree \\spad{n} over \\spad{GF}")) (|createLowComplexityTable| (((|Union| (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) "failed") (|PositiveInteger|)) "\\spad{createLowComplexityTable(n)} tries to find a low complexity normal basis of degree \\spad{n} over \\spad{GF} and returns its multiplication matrix Fails, if it does not find a low complexity basis")) (|sizeMultiplication| (((|NonNegativeInteger|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{sizeMultiplication(m)} returns the number of entries of the multiplication table \\spad{m.}")) (|createMultiplicationMatrix| (((|Matrix| |#1|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{createMultiplicationMatrix(m)} forms the multiplication table \\spad{m} into a matrix over the ground field.")) (|createMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createMultiplicationTable(f)} generates a multiplication table for the normal basis of the field extension determined by \\spad{f.} This is needed to perform multiplications between elements represented as coordinate vectors to this basis. See \\spadtype{FFNBP}, \\spadtype{FFNBX}.")) (|createZechTable| (((|PrimitiveArray| (|SingleInteger|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{createZechTable(f)} generates a Zech logarithm table for the cyclic group representation of a extension of the ground field by the primitive polynomial f(x), \\spadignore{i.e.} \\spad{Z(i)}, defined by x**Z(i) = 1+x**i is stored at index i. This is needed in particular to perform addition of field elements in finite fields represented in this way. See \\spadtype{FFCGP}, \\spadtype{FFCGX}."))) 
 NIL 
 NIL 
 (-349 F1 GF F2) 
-((|constructor| (NIL "FiniteFieldHomomorphisms(\\spad{F1},{}\\spad{GF},{}\\spad{F2}) exports coercion functions of elements between the fields \\spad{F1} and \\spad{F2},{} which both must be finite simple algebraic extensions of the finite ground field \\spad{GF}.")) (|coerce| ((|#1| |#3|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F2} in \\spad{F1},{} where coerce is a field homomorphism between the fields extensions \\spad{F2} and \\spad{F1} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F2} doesn\\spad{'t} divide the extension degree of \\spad{F1}. Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse.") ((|#3| |#1|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F1} in \\spad{F2}. Thus coerce is a field homomorphism between the fields extensions \\spad{F1} and \\spad{F2} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F1} doesn\\spad{'t} divide the extension degree of \\spad{F2}. Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse."))) 
+((|constructor| (NIL "FiniteFieldHomomorphisms(F1,GF,F2) exports coercion functions of elements between the fields \\spad{F1} and \\spad{F2,} which both must be finite simple algebraic extensions of the finite ground field \\spad{GF.}")) (|coerce| ((|#1| |#3|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F2} in \\spad{F1,} where coerce is a field homomorphism between the fields extensions \\spad{F2} and \\spad{F1} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F2} doesn't divide the extension degree of \\spad{F1.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse.") ((|#3| |#1|) "\\spad{coerce(x)} is the homomorphic image of \\spad{x} from \\spad{F1} in \\spad{F2.} Thus coerce is a field homomorphism between the fields extensions \\spad{F1} and \\spad{F2} both over ground field \\spad{GF} (the second argument to the package). Error: if the extension degree of \\spad{F1} doesn't divide the extension degree of \\spad{F2.} Note that the other coercion function in the \\spadtype{FiniteFieldHomomorphisms} is a left inverse."))) 
 NIL 
 NIL 
 (-350 S) 
-((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation,{} one of: \\spad{prime},{} \\spad{polynomial},{} \\spad{normal},{} or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field,{} \\spadignore{i.e.} is a primitive element. Implementation Note that see \\spad{ch}.IX.1.3,{} th.2 in \\spad{D}. Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call,{} the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,{}n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which,{} called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of size()\\spad{-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)},{} given a matrix representing a homogeneous system of equations,{} returns a vector whose characteristic'th powers is a non-trivial solution,{} or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
+((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
 NIL 
 NIL 
 (-351) 
-((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation,{} one of: \\spad{prime},{} \\spad{polynomial},{} \\spad{normal},{} or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field,{} \\spadignore{i.e.} is a primitive element. Implementation Note that see \\spad{ch}.IX.1.3,{} th.2 in \\spad{D}. Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call,{} the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,{}n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which,{} called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of size()\\spad{-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)},{} given a matrix representing a homogeneous system of equations,{} returns a vector whose characteristic'th powers is a non-trivial solution,{} or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "FiniteFieldCategory is the category of finite fields")) (|representationType| (((|Union| "prime" "polynomial" "normal" "cyclic")) "\\spad{representationType()} returns the type of the representation, one of: \\spad{prime}, \\spad{polynomial}, \\spad{normal}, or \\spad{cyclic}.")) (|order| (((|PositiveInteger|) $) "\\spad{order(b)} computes the order of an element \\spad{b} in the multiplicative group of the field. Error: if \\spad{b} equals 0.")) (|discreteLog| (((|NonNegativeInteger|) $) "\\spad{discreteLog(a)} computes the discrete logarithm of \\spad{a} with respect to \\spad{primitiveElement()} of the field.")) (|primitive?| (((|Boolean|) $) "\\spad{primitive?(b)} tests whether the element \\spad{b} is a generator of the (cyclic) multiplicative group of the field, \\spadignore{i.e.} is a primitive element. Implementation Note that see ch.IX.1.3, \\spad{th.2} in \\spad{D.} Lipson.")) (|primitiveElement| (($) "\\spad{primitiveElement()} returns a primitive element stored in a global variable in the domain. At first call, the primitive element is computed by calling \\spadfun{createPrimitiveElement}.")) (|createPrimitiveElement| (($) "\\spad{createPrimitiveElement()} computes a generator of the (cyclic) multiplicative group of the field.")) (|tableForDiscreteLogarithm| (((|Table| (|PositiveInteger|) (|NonNegativeInteger|)) (|Integer|)) "\\spad{tableForDiscreteLogarithm(a,n)} returns a table of the discrete logarithms of \\spad{a**0} up to \\spad{a**(n-1)} which, called with key \\spad{lookup(a**i)} returns \\spad{i} for \\spad{i} in \\spad{0..n-1}. Error: if not called for prime divisors of order of \\indented{7}{multiplicative group.}")) (|factorsOfCyclicGroupSize| (((|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|))))) "\\spad{factorsOfCyclicGroupSize()} returns the factorization of \\spad{size()-1}")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(mat)}, given a matrix representing a homogeneous system of equations, returns a vector whose characteristic'th powers is a non-trivial solution, or \"failed\" if no such vector exists.")) (|charthRoot| (($ $) "\\spad{charthRoot(a)} takes the characteristic'th root of a. Note that such a root is alway defined in finite fields."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-352 R UP -1564) 
-((|constructor| (NIL "Integral bases for function fields of dimension one In this package \\spad{R} is a Euclidean domain and \\spad{F} is a framed algebra over \\spad{R}. The package provides functions to compute the integral closure of \\spad{R} in the quotient field of \\spad{F}. It is assumed that \\spad{char(R/P) = char(R)} for any prime \\spad{P} of \\spad{R}. A typical instance of this is when \\spad{R = K[x]} and \\spad{F} is a function field over \\spad{R}.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
+(-352 R UP -1647) 
+((|constructor| (NIL "Integral bases for function fields of dimension one In this package \\spad{R} is a Euclidean domain and \\spad{F} is a framed algebra over \\spad{R.} The package provides functions to compute the integral closure of \\spad{R} in the quotient field of \\spad{F.} It is assumed that \\spad{char(R/P) = char(R)} for any prime \\spad{P} of \\spad{R.} A typical instance of this is when \\spad{R = K[x]} and \\spad{F} is a function field over \\spad{R.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) |#1|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
 (-353 |p| |extdeg|) 
-((|constructor| (NIL "FiniteFieldNormalBasis(\\spad{p},{}\\spad{n}) implements a finite extension field of degree \\spad{n} over the prime field with \\spad{p} elements. The elements are represented by coordinate vectors with respect to a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element. This is chosen as a root of the extension polynomial created by createNormalPoly")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: The time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldNormalBasis(p,n) implements a finite extension field of degree \\spad{n} over the prime field with \\spad{p} elements. The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial created by createNormalPoly")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: The time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| (|PrimeField| |#1|))) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| (|PrimeField| |#1|)) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
 (-354 GF |uni|) 
-((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(\\spad{GF},{}uni) implements a finite extension of the ground field \\spad{GF}. The elements are represented by coordinate vectors with respect to. a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element,{} where \\spad{q} is the size of \\spad{GF}. The normal element is chosen as a root of the extension polynomial,{} which MUST be normal over \\spad{GF} (user responsibility)")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,uni) implements a finite extension of the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to. a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element, where \\spad{q} is the size of \\spad{GF.} The normal element is chosen as a root of the extension polynomial, which MUST be normal over \\spad{GF} (user responsibility)")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
 (-355 GF |extdeg|) 
-((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(\\spad{GF},{}\\spad{n}) implements a finite extension field of degree \\spad{n} over the ground field \\spad{GF}. The elements are represented by coordinate vectors with respect to a normal basis,{} \\spadignore{i.e.} a basis consisting of the conjugates (\\spad{q}-powers) of an element,{} in this case called normal element. This is chosen as a root of the extension polynomial,{} created by createNormalPoly from \\spadtype{FiniteFieldPolynomialPackage}")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldNormalBasisExtensionByPolynomial(GF,n) implements a finite extension field of degree \\spad{n} over the ground field \\spad{GF.} The elements are represented by coordinate vectors with respect to a normal basis, \\spadignore{i.e.} a basis consisting of the conjugates (q-powers) of an element, in this case called normal element. This is chosen as a root of the extension polynomial, created by createNormalPoly from \\spadtype{FiniteFieldPolynomialPackage}")) (|sizeMultiplication| (((|NonNegativeInteger|)) "\\spad{sizeMultiplication()} returns the number of entries in the multiplication table of the field. Note: the time of multiplication of field elements depends on this size.")) (|getMultiplicationMatrix| (((|Matrix| |#1|)) "\\spad{getMultiplicationMatrix()} returns the multiplication table in form of a matrix.")) (|getMultiplicationTable| (((|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|)))))) "\\spad{getMultiplicationTable()} returns the multiplication table for the normal basis of the field. This table is used to perform multiplications between field elements."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
 (-356 |p| |n|) 
-((|constructor| (NIL "FiniteField(\\spad{p},{}\\spad{n}) implements finite fields with p**n elements. This packages checks that \\spad{p} is prime. For a non-checking version,{} see \\spadtype{InnerFiniteField}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-906 |#1|) (QUOTE (-151))) (|HasCategory| (-906 |#1|) (QUOTE (-371))) (|HasCategory| (-906 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-906 |#1|) (QUOTE (-149))) (|HasCategory| (-906 |#1|) (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteField(p,n) implements finite fields with p**n elements. This packages checks that \\spad{p} is prime. For a non-checking version, see \\spadtype{InnerFiniteField}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-907 |#1|) (QUOTE (-151))) (|HasCategory| (-907 |#1|) (QUOTE (-371))) (|HasCategory| (-907 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-907 |#1|) (QUOTE (-149))) (|HasCategory| (-907 |#1|) (QUOTE (-371))))) 
 (-357 GF |defpol|) 
-((|constructor| (NIL "FiniteFieldExtensionByPolynomial(\\spad{GF},{} defpol) implements the extension of the finite field \\spad{GF} generated by the extension polynomial defpol which MUST be irreducible."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
-(-358 -1564 GF) 
-((|constructor| (NIL "\\spad{FiniteFieldPolynomialPackage2}(\\spad{F},{}\\spad{GF}) exports some functions concerning finite fields,{} which depend on a finite field \\spad{GF} and an algebraic extension \\spad{F} of \\spad{GF},{} \\spadignore{e.g.} a zero of a polynomial over \\spad{GF} in \\spad{F}.")) (|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) "\\spad{rootOfIrreduciblePoly(f)} computes one root of the monic,{} irreducible polynomial \\spad{f},{} which degree must divide the extension degree of \\spad{F} over \\spad{GF},{} \\spadignore{i.e.} \\spad{f} splits into linear factors over \\spad{F}.")) (|Frobenius| ((|#1| |#1|) "\\spad{Frobenius(x)} \\undocumented{}")) (|basis| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{}")) (|lookup| (((|PositiveInteger|) |#1|) "\\spad{lookup(x)} \\undocumented{}")) (|coerce| ((|#1| |#2|) "\\spad{coerce(x)} \\undocumented{}"))) 
+((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, defpol) implements the extension of the finite field \\spad{GF} generated by the extension polynomial defpol which MUST be irreducible."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+(-358 -1647 GF) 
+((|constructor| (NIL "FiniteFieldPolynomialPackage2(F,GF) exports some functions concerning finite fields, which depend on a finite field \\spad{GF} and an algebraic extension \\spad{F} of \\spad{GF,} \\spadignore{e.g.} a zero of a polynomial over \\spad{GF} in \\spad{F.}")) (|rootOfIrreduciblePoly| ((|#1| (|SparseUnivariatePolynomial| |#2|)) "\\spad{rootOfIrreduciblePoly(f)} computes one root of the monic, irreducible polynomial \\spad{f,} which degree must divide the extension degree of \\spad{F} over \\spad{GF,} \\spadignore{i.e.} \\spad{f} splits into linear factors over \\spad{F.}")) (|Frobenius| ((|#1| |#1|) "\\spad{Frobenius(x)} \\undocumented{}")) (|basis| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{}")) (|lookup| (((|PositiveInteger|) |#1|) "\\spad{lookup(x)} \\undocumented{}")) (|coerce| ((|#1| |#2|) "\\spad{coerce(x)} \\undocumented{}"))) 
 NIL 
 NIL 
 (-359 GF) 
-((|constructor| (NIL "This package provides a number of functions for generating,{} counting and testing irreducible,{} normal,{} primitive,{} random polynomials over finite fields.")) (|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reducedQPowers(f)} generates \\spad{[x,{}x**q,{}x**(q**2),{}...,{}x**(q**(n-1))]} reduced modulo \\spad{f} where \\spad{q = size()\\$GF} and \\spad{n = degree f}.")) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{leastAffineMultiple(f)} computes the least affine polynomial which is divisible by the polynomial \\spad{f} over the finite field \\spad{GF},{} \\spadignore{i.e.} a polynomial whose exponents are 0 or a power of \\spad{q},{} the size of \\spad{GF}.")) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{random(m,{}n)}\\$FFPOLY(\\spad{GF}) generates a random monic polynomial of degree \\spad{d} over the finite field \\spad{GF},{} \\spad{d} between \\spad{m} and \\spad{n}.") (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{random(n)}\\$FFPOLY(\\spad{GF}) generates a random monic polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitiveNormalPoly(f)} yields the next primitive normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or,{} in case these numbers are equal,{} if the lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than this number for \\spad{g}. If these numbers are equals,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than that for \\spad{g},{} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g}. If these lists are also equal,{} the lists of coefficients are coefficients according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextNormalPrimitivePoly(\\spad{f}).")) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPrimitivePoly(f)} yields the next normal primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or if lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than this number for \\spad{g}. Otherwise,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextPrimitiveNormalPoly(\\spad{f}).")) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPoly(f)} yields the next normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the coefficient of the term of degree \\spad{n}-1 of \\spad{f} is less than that for \\spad{g}. In case these numbers are equal,{} \\spad{f < g} if if the number of monomials of \\spad{f} is less that for \\spad{g} or if the list of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitivePoly(f)} yields the next primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g}. If these values are equal,{} then \\spad{f < g} if if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g}. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextIrreduciblePoly(f)} yields the next monic irreducible polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order,{} or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also,{} \\spad{f < g} if the number of monomials of \\spad{f} is less than this number for \\spad{g}. If \\spad{f} and \\spad{g} have the same number of monomials,{} the lists of exponents are compared lexicographically. If these lists are also equal,{} the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitiveNormalPoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF}. polynomial of degree \\spad{n} over the field \\spad{GF}.")) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF}. Note that this function is equivalent to createPrimitiveNormalPoly(\\spad{n})")) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPoly(n)}\\$FFPOLY(\\spad{GF}) generates a normal polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) generates a primitive polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createIrreduciblePoly(n)}\\$FFPOLY(\\spad{GF}) generates a monic irreducible univariate polynomial of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfNormalPoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of normal polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfPrimitivePoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of primitive polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfIrreduciblePoly(n)}\\$FFPOLY(\\spad{GF}) yields the number of monic irreducible univariate polynomials of degree \\spad{n} over the finite field \\spad{GF}.")) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{normal?(f)} tests whether the polynomial \\spad{f} over a finite field is normal,{} \\spadignore{i.e.} its roots are linearly independent over the field.")) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{primitive?(f)} tests whether the polynomial \\spad{f} over a finite field is primitive,{} \\spadignore{i.e.} all its roots are primitive."))) 
+((|constructor| (NIL "This package provides a number of functions for generating, counting and testing irreducible, normal, primitive, random polynomials over finite fields.")) (|reducedQPowers| (((|PrimitiveArray| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{reducedQPowers(f)} generates \\spad{[x,x**q,x**(q**2),...,x**(q**(n-1))]} reduced modulo \\spad{f} where \\spad{q = size()$GF} and \\spad{n = degree \\spad{f}.}")) (|leastAffineMultiple| (((|SparseUnivariatePolynomial| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{leastAffineMultiple(f)} computes the least affine polynomial which is divisible by the polynomial \\spad{f} over the finite field \\spad{GF,} \\spadignore{i.e.} a polynomial whose exponents are 0 or a power of \\spad{q,} the size of \\spad{GF.}")) (|random| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{random(m,n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{d} over the finite field \\spad{GF,} \\spad{d} between \\spad{m} and \\spad{n.}") (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{random(n)}$FFPOLY(GF) generates a random monic polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|nextPrimitiveNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitiveNormalPoly(f)} yields the next primitive normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or, in case these numbers are equal, if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} If these numbers are equals, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g,} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are coefficients according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextNormalPrimitivePoly(f).")) (|nextNormalPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPrimitivePoly(f)} yields the next normal primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g} or if lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than this number for \\spad{g.} Otherwise, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents for \\spad{f} are lexicographically less than those for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup. This operation is equivalent to nextPrimitiveNormalPoly(f).")) (|nextNormalPoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextNormalPoly(f)} yields the next normal polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the coefficient of the term of degree \\spad{n-1} of \\spad{f} is less than that for \\spad{g.} In case these numbers are equal, \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less that for \\spad{g} or if the list of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextPrimitivePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextPrimitivePoly(f)} yields the next primitive polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the lookup of the constant term of \\spad{f} is less than this number for \\spad{g.} If these values are equal, then \\spad{f < \\spad{g}} if if the number of monomials of \\spad{f} is less than that for \\spad{g} or if the lists of exponents of \\spad{f} are lexicographically less than the corresponding list for \\spad{g.} If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|nextIrreduciblePoly| (((|Union| (|SparseUnivariatePolynomial| |#1|) "failed") (|SparseUnivariatePolynomial| |#1|)) "\\spad{nextIrreduciblePoly(f)} yields the next monic irreducible polynomial over a finite field \\spad{GF} of the same degree as \\spad{f} in the following order, or \"failed\" if there are no greater ones. Error: if \\spad{f} has degree 0. Note that the input polynomial \\spad{f} is made monic. Also, \\spad{f < \\spad{g}} if the number of monomials of \\spad{f} is less than this number for \\spad{g.} If \\spad{f} and \\spad{g} have the same number of monomials, the lists of exponents are compared lexicographically. If these lists are also equal, the lists of coefficients are compared according to the lexicographic ordering induced by the ordering of the elements of \\spad{GF} given by lookup.")) (|createPrimitiveNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitiveNormalPoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} polynomial of degree \\spad{n} over the field \\spad{GF.}")) (|createNormalPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPrimitivePoly(n)}$FFPOLY(GF) generates a normal and primitive polynomial of degree \\spad{n} over the field \\spad{GF.} Note that this function is equivalent to createPrimitiveNormalPoly(n)")) (|createNormalPoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createNormalPoly(n)}$FFPOLY(GF) generates a normal polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createPrimitivePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createPrimitivePoly(n)}$FFPOLY(GF) generates a primitive polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|createIrreduciblePoly| (((|SparseUnivariatePolynomial| |#1|) (|PositiveInteger|)) "\\spad{createIrreduciblePoly(n)}$FFPOLY(GF) generates a monic irreducible univariate polynomial of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfNormalPoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfNormalPoly(n)}$FFPOLY(GF) yields the number of normal polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfPrimitivePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfPrimitivePoly(n)}$FFPOLY(GF) yields the number of primitive polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|numberOfIrreduciblePoly| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{numberOfIrreduciblePoly(n)}$FFPOLY(GF) yields the number of monic irreducible univariate polynomials of degree \\spad{n} over the finite field \\spad{GF.}")) (|normal?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{normal?(f)} tests whether the polynomial \\spad{f} over a finite field is normal, \\spadignore{i.e.} its roots are linearly independent over the field.")) (|primitive?| (((|Boolean|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{primitive?(f)} tests whether the polynomial \\spad{f} over a finite field is primitive, \\spadignore{i.e.} all its roots are primitive."))) 
 NIL 
 NIL 
-(-360 -1564 FP FPP) 
-((|constructor| (NIL "This package solves linear diophantine equations for Bivariate polynomials over finite fields")) (|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists."))) 
+(-360 -1647 FP FPP) 
+((|constructor| (NIL "This package solves linear diophantine equations for Bivariate polynomials over finite fields")) (|solveLinearPolynomialEquation| (((|Union| (|List| |#3|) "failed") (|List| |#3|) |#3|) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
 (-361 K |PolK|) 
-((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (\\spad{PAFF})"))) 
+((|constructor| (NIL "Part of the package for Algebraic Function Fields in one variable (PAFF)"))) 
 NIL 
 NIL 
 (-362 GF |n|) 
-((|constructor| (NIL "FiniteFieldExtensionByPolynomial(\\spad{GF},{} \\spad{n}) implements an extension of the finite field \\spad{GF} of degree \\spad{n} generated by the extension polynomial constructed by createIrreduciblePoly from \\spadtype{FiniteFieldPolynomialPackage}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
+((|constructor| (NIL "FiniteFieldExtensionByPolynomial(GF, \\spad{n)} implements an extension of the finite field \\spad{GF} of degree \\spad{n} generated by the extension polynomial constructed by createIrreduciblePoly from \\spadtype{FiniteFieldPolynomialPackage}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371))))) 
 (-363 R |ls|) 
-((|constructor| (NIL "This is just an interface between several packages and domains. The goal is to compute lexicographical Groebner bases of sets of polynomial with type \\spadtype{Polynomial R} by the FGLM algorithm if this is possible (\\spadignore{i.e.} if the input system generates a zero-dimensional ideal).")) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) "\\axiom{groebner(\\spad{lq1})} returns the lexicographical Groebner basis of \\axiom{\\spad{lq1}}. If \\axiom{\\spad{lq1}} generates a zero-dimensional ideal then the FGLM strategy is used,{} otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) "\\axiom{fglmIfCan(\\spad{lq1})} returns the lexicographical Groebner basis of \\axiom{\\spad{lq1}} by using the FGLM strategy,{} if \\axiom{zeroDimensional?(\\spad{lq1})} holds.")) (|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "\\axiom{zeroDimensional?(\\spad{lq1})} returns \\spad{true} iff \\axiom{\\spad{lq1}} generates a zero-dimensional ideal \\spad{w}.\\spad{r}.\\spad{t}. the variables of \\axiom{\\spad{ls}}."))) 
+((|constructor| (NIL "This is just an interface between several packages and domains. The goal is to compute lexicographical Groebner bases of sets of polynomial with type \\spadtype{Polynomial \\spad{R}} by the FGLM algorithm if this is possible (\\spadignore{i.e.} if the input system generates a zero-dimensional ideal).")) (|groebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|))) "\\axiom{groebner(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1}. If \\axiom{lq1} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|Polynomial| |#1|)) "failed") (|List| (|Polynomial| |#1|))) "\\axiom{fglmIfCan(lq1)} returns the lexicographical Groebner basis of \\axiom{lq1} by using the FGLM strategy, if \\axiom{zeroDimensional?(lq1)} holds.")) (|zeroDimensional?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "\\axiom{zeroDimensional?(lq1)} returns \\spad{true} iff \\axiom{lq1} generates a zero-dimensional ideal w.r.t. the variables of \\axiom{ls}."))) 
 NIL 
 NIL 
 (-364 S) 
-((|constructor| (NIL "The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th monomial of \\spad{x}.")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x,{} n)} returns the exponent of the n^th monomial of \\spad{x}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x}.")) (** (($ |#1| (|Integer|)) "\\spad{s ** n} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * s} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * x} returns the product of \\spad{x} by \\spad{s} on the left."))) 
-((-4532 . T)) 
+((|constructor| (NIL "The free group on a set \\spad{S} is the group of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are integers. The multiplication is not commutative.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|Integer|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|Integer|) (|Integer|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|Integer|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (** (($ |#1| (|Integer|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
+((-4568 . T)) 
 NIL 
 (-365 S) 
-((|constructor| (NIL "The category of commutative fields,{} \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{a*(b/a) = b}\\spad{\\br} \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0},{} \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y}. Error: if \\spad{y} is 0."))) 
+((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
 NIL 
 NIL 
 (-366) 
-((|constructor| (NIL "The category of commutative fields,{} \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{a*(b/a) = b}\\spad{\\br} \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0},{} \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y}. Error: if \\spad{y} is 0."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "The category of commutative fields, \\spadignore{i.e.} commutative rings where all non-zero elements have multiplicative inverses. The \\spadfun{factor} operation while trivial is useful to have defined. \\blankline Axioms\\br \\tab{5}\\spad{a*(b/a) = b}\\br \\tab{5}\\spad{inv(a) = 1/a}")) (|canonicalsClosed| ((|attribute|) "since \\spad{0*0=0}, \\spad{1*1=1}")) (|canonicalUnitNormal| ((|attribute|) "either 0 or 1.")) (/ (($ $ $) "\\spad{x/y} divides the element \\spad{x} by the element \\spad{y.} Error: if \\spad{y} is 0."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-367 |Name| S) 
-((|constructor| (NIL "This category provides an interface to operate on files in the computer\\spad{'s} file system. The precise method of naming files is determined by the Name parameter. The type of the contents of the file is determined by \\spad{S}.")) (|flush| (((|Void|) $) "\\spad{flush(f)} makes sure that buffered data is written out")) (|write!| ((|#2| $ |#2|) "\\spad{write!(f,{}s)} puts the value \\spad{s} into the file \\spad{f}. The state of \\spad{f} is modified so subsequents call to \\spad{write!} will append one after another.")) (|read!| ((|#2| $) "\\spad{read!(f)} extracts a value from file \\spad{f}. The state of \\spad{f} is modified so a subsequent call to \\spadfun{read!} will return the next element.")) (|iomode| (((|String|) $) "\\spad{iomode(f)} returns the status of the file \\spad{f}. The input/output status of \\spad{f} may be \"input\",{} \"output\" or \"closed\" mode.")) (|name| ((|#1| $) "\\spad{name(f)} returns the external name of the file \\spad{f}.")) (|close!| (($ $) "\\spad{close!(f)} returns the file \\spad{f} closed to input and output.")) (|reopen!| (($ $ (|String|)) "\\spad{reopen!(f,{}mode)} returns a file \\spad{f} reopened for operation in the indicated mode: \"input\" or \"output\". \\spad{reopen!(f,{}\"input\")} will reopen the file \\spad{f} for input.")) (|open| (($ |#1| (|String|)) "\\spad{open(s,{}mode)} returns a file \\spad{s} open for operation in the indicated mode: \"input\" or \"output\".") (($ |#1|) "\\spad{open(s)} returns the file \\spad{s} open for input."))) 
+((|constructor| (NIL "This category provides an interface to operate on files in the computer's file system. The precise method of naming files is determined by the Name parameter. The type of the contents of the file is determined by \\spad{S.}")) (|flush| (((|Void|) $) "\\spad{flush(f)} makes sure that buffered data is written out")) (|write!| ((|#2| $ |#2|) "\\spad{write!(f,s)} puts the value \\spad{s} into the file \\spad{f.} The state of \\spad{f} is modified so subsequents call to \\spad{write!} will append one after another.")) (|read!| ((|#2| $) "\\spad{read!(f)} extracts a value from file \\spad{f.} The state of \\spad{f} is modified so a subsequent call to \\spadfun{read!} will return the next element.")) (|iomode| (((|String|) $) "\\spad{iomode(f)} returns the status of the file \\spad{f.} The input/output status of \\spad{f} may be \"input\", \"output\" or \"closed\" mode.")) (|name| ((|#1| $) "\\spad{name(f)} returns the external name of the file \\spad{f.}")) (|close!| (($ $) "\\spad{close!(f)} returns the file \\spad{f} closed to input and output.")) (|reopen!| (($ $ (|String|)) "\\spad{reopen!(f,mode)} returns a file \\spad{f} reopened for operation in the indicated mode: \"input\" or \"output\". \\spad{reopen!(f,\"input\")} will reopen the file \\spad{f} for input.")) (|open| (($ |#1| (|String|)) "\\spad{open(s,mode)} returns a file \\spad{s} open for operation in the indicated mode: \"input\" or \"output\".") (($ |#1|) "\\spad{open(s)} returns the file \\spad{s} open for input."))) 
 NIL 
 NIL 
 (-368 S) 
-((|constructor| (NIL "This domain provides a basic model of files to save arbitrary values. The operations provide sequential access to the contents.")) (|readIfCan!| (((|Union| |#1| "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f},{} if possible. If \\spad{f} is not open for reading,{} or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
+((|constructor| (NIL "This domain provides a basic model of files to save arbitrary values. The operations provide sequential access to the contents.")) (|readIfCan!| (((|Union| |#1| "failed") $) "\\spad{readIfCan!(f)} returns a value from the file \\spad{f,} if possible. If \\spad{f} is not open for reading, or if \\spad{f} is at the end of file then \\spad{\"failed\"} is the result."))) 
 NIL 
 NIL 
 (-369 S R) 
-((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit,{} similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left,{} respectively right,{} minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities,{} \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,{}b,{}c)} which yield 0,{} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Lie algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative,{} characteristic is not 2,{} and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Jordan algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra,{} \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\\spad{\"*\"})} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra,{} \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. For example,{} this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0 = 2*associator(a,{}b,{}b)} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,{}b,{}a) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,{}b,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative,{} \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,{}...,{}vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,{}...,{}vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,{}...,{}am],{}[v1,{}...,{}vm])} returns the linear combination \\spad{a1*vm + ... + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am],{}[v1,{}...,{}vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,{}v2,{}...,{}vm])} calculates the structural constants \\spad{[(gammaijk) for k in 1..m]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijm * vm},{} where \\spad{[v1,{}...,{}vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
+((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#2|))) "\\spad{associatorDependence()} looks for the associator identities, \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#2| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#2| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#2| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#2| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#2| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#2| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-559)))) 
 (-370 R) 
-((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit,{} similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left,{} respectively right,{} minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique),{} or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities,{} \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,{}b,{}c)} which yield 0,{} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if there is no unit element,{} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Lie algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative,{} characteristic is not 2,{} and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,{}+,{}@)} we can construct a Jordan algebra \\spad{(A,{}+,{}*)},{} where \\spad{a*b := (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra,{} \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\\spad{\"*\"})} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra,{} \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra. For example,{} this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0 = 2*associator(a,{}b,{}b)} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,{}b,{}a) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,{}b,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,{}a,{}b) = 0} for all \\spad{a},{} \\spad{b} in the algebra. Note that we only can test this; in general we don\\spad{'t} know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative,{} \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},{}\\spad{b},{}\\spad{c} in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,{}...,{}vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,{}...,{}vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,{}...,{}vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,{}...,{}vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,{}...,{}am],{}[v1,{}...,{}vm])} returns the linear combination \\spad{a1*vm + ... + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am],{}[v1,{}...,{}vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,{}[v1,{}...,{}vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,{}...,{}vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,{}v2,{}...,{}vm])} calculates the structural constants \\spad{[(gammaijk) for k in 1..m]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijm * vm},{} where \\spad{[v1,{}...,{}vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
-((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "A FiniteRankNonAssociativeAlgebra is a non associative algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|unitsKnown| ((|attribute|) "unitsKnown means that \\spadfun{recip} truly yields reciprocal or \\spad{\"failed\"} if not a unit, similarly for \\spadfun{leftRecip} and \\spadfun{rightRecip}. The reason is that we use left, respectively right, minimal polynomials to decide this question.")) (|unit| (((|Union| $ "failed")) "\\spad{unit()} returns a unit of the algebra (necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnit| (((|Union| $ "failed")) "\\spad{rightUnit()} returns a right unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|leftUnit| (((|Union| $ "failed")) "\\spad{leftUnit()} returns a left unit of the algebra (not necessarily unique), or \\spad{\"failed\"} if there is none.")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none.")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none.")) (|rightMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of right powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|leftMinimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftMinimalPolynomial(a)} returns the polynomial determined by the smallest non-trivial linear combination of left powers of \\spad{a}. Note that the polynomial never has a constant term as in general the algebra has no unit.")) (|associatorDependence| (((|List| (|Vector| |#1|))) "\\spad{associatorDependence()} looks for the associator identities, \\spadignore{i.e.} finds a basis of the solutions of the linear combinations of the six permutations of \\spad{associator(a,b,c)} which yield 0, for all \\spad{a},b,c in the algebra. The order of the permutations is \\spad{123 231 312 132 321 213}.")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if there is no unit element, if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|lieAlgebra?| (((|Boolean|)) "\\spad{lieAlgebra?()} tests if the algebra is anticommutative and \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra (Jacobi identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Lie algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} a@b-b@a}.")) (|jordanAlgebra?| (((|Boolean|)) "\\spad{jordanAlgebra?()} tests if the algebra is commutative, characteristic is not 2, and \\spad{(a*b)*a**2 - a*(b*a**2) = 0} for all \\spad{a},b,c in the algebra (Jordan identity). Example: for every associative algebra \\spad{(A,+,@)} we can construct a Jordan algebra \\spad{(A,+,*)}, where \\spad{a*b \\spad{:=} (a@b+b@a)/2}.")) (|noncommutativeJordanAlgebra?| (((|Boolean|)) "\\spad{noncommutativeJordanAlgebra?()} tests if the algebra is flexible and Jordan admissible.")) (|jordanAdmissible?| (((|Boolean|)) "\\spad{jordanAdmissible?()} tests if 2 is invertible in the coefficient domain and the multiplication defined by \\spad{(1/2)(a*b+b*a)} determines a Jordan algebra, \\spadignore{i.e.} satisfies the Jordan identity. The property of \\spadatt{commutative(\"*\")} follows from by definition.")) (|lieAdmissible?| (((|Boolean|)) "\\spad{lieAdmissible?()} tests if the algebra defined by the commutators is a Lie algebra, \\spadignore{i.e.} satisfies the Jacobi identity. The property of anticommutativity follows from definition.")) (|jacobiIdentity?| (((|Boolean|)) "\\spad{jacobiIdentity?()} tests if \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} for all \\spad{a},b,c in the algebra. For example, this holds for crossed products of 3-dimensional vectors.")) (|powerAssociative?| (((|Boolean|)) "\\spad{powerAssociative?()} tests if all subalgebras generated by a single element are associative.")) (|alternative?| (((|Boolean|)) "\\spad{alternative?()} tests if \\spad{2*associator(a,a,b) = 0 = 2*associator(a,b,b)} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|flexible?| (((|Boolean|)) "\\spad{flexible?()} tests if \\spad{2*associator(a,b,a) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|rightAlternative?| (((|Boolean|)) "\\spad{rightAlternative?()} tests if \\spad{2*associator(a,b,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|leftAlternative?| (((|Boolean|)) "\\spad{leftAlternative?()} tests if \\spad{2*associator(a,a,b) = 0} for all \\spad{a}, \\spad{b} in the algebra. Note that we only can test this; in general we don't know whether \\spad{2*a=0} implies \\spad{a=0}.")) (|antiAssociative?| (((|Boolean|)) "\\spad{antiAssociative?()} tests if multiplication in algebra is anti-associative, \\spadignore{i.e.} \\spad{(a*b)*c + a*(b*c) = 0} for all \\spad{a},b,c in the algebra.")) (|associative?| (((|Boolean|)) "\\spad{associative?()} tests if multiplication in algebra is associative.")) (|antiCommutative?| (((|Boolean|)) "\\spad{antiCommutative?()} tests if \\spad{a*a = 0} for all \\spad{a} in the algebra. Note that this implies \\spad{a*b + b*a = 0} for all \\spad{a} and \\spad{b}.")) (|commutative?| (((|Boolean|)) "\\spad{commutative?()} tests if multiplication in the algebra is commutative.")) (|rightCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{rightCharacteristicPolynomial(a)} returns the characteristic polynomial of the right regular representation of \\spad{a} with respect to any basis.")) (|leftCharacteristicPolynomial| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{leftCharacteristicPolynomial(a)} returns the characteristic polynomial of the left regular representation of \\spad{a} with respect to any basis.")) (|rightTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{rightTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}.")) (|leftTraceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{leftTraceMatrix([v1,...,vn])} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}.")) (|rightDiscriminant| ((|#1| (|Vector| $)) "\\spad{rightDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(rightTraceMatrix([v1,...,vn]))}.")) (|leftDiscriminant| ((|#1| (|Vector| $)) "\\spad{leftDiscriminant([v1,...,vn])} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}. Note that this is the same as \\spad{determinant(leftTraceMatrix([v1,...,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,...,am],[v1,...,vm])} returns the linear combination \\spad{a1*vm + \\spad{...} + an*vm}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([a1,...,am],[v1,...,vn])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rightNorm| ((|#1| $) "\\spad{rightNorm(a)} returns the determinant of the right regular representation of \\spad{a}.")) (|leftNorm| ((|#1| $) "\\spad{leftNorm(a)} returns the determinant of the left regular representation of \\spad{a}.")) (|rightTrace| ((|#1| $) "\\spad{rightTrace(a)} returns the trace of the right regular representation of \\spad{a}.")) (|leftTrace| ((|#1| $) "\\spad{leftTrace(a)} returns the trace of the left regular representation of \\spad{a}.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{rightRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{leftRegularRepresentation(a,[v1,...,vn])} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{R}-module basis \\spad{[v1,...,vn]}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|Vector| $)) "\\spad{structuralConstants([v1,v2,...,vm])} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..m]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijm * vm}, where \\spad{[v1,...,vm]} is an \\spad{R}-module basis of a subalgebra.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra as \\spad{R}-module.")) (|someBasis| (((|Vector| $)) "\\spad{someBasis()} returns some \\spad{R}-module basis."))) 
+((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
 NIL 
 (-371) 
-((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup x}.")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}\\spad{-}th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
+((|constructor| (NIL "The category of domains composed of a finite set of elements. We include the functions \\spadfun{lookup} and \\spadfun{index} to give a bijection between the finite set and an initial segment of positive integers. \\blankline")) (|random| (($) "\\spad{random()} returns a random element from the set.")) (|lookup| (((|PositiveInteger|) $) "\\spad{lookup(x)} returns a positive integer such that \\spad{x = index lookup \\spad{x}.}")) (|index| (($ (|PositiveInteger|)) "\\spad{index(i)} takes a positive integer \\spad{i} less than or equal to \\spad{size()} and returns the \\spad{i}-th element of the set. This operation establishs a bijection between the elements of the finite set and \\spad{1..size()}.")) (|size| (((|NonNegativeInteger|)) "\\spad{size()} returns the number of elements in the set."))) 
 NIL 
 NIL 
 (-372 S R UP) 
-((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|minimalPolynomial| ((|#3| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#3| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{traceMatrix([v1,{}..,{}vn])} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr}(\\spad{vi} * \\spad{vj}) )")) (|discriminant| ((|#2| (|Vector| $)) "\\spad{discriminant([v1,{}..,{}vn])} returns \\spad{determinant(traceMatrix([v1,{}..,{}vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,{}..,{}an],{}[v1,{}..,{}vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm],{} basis)} returns the coordinates of the \\spad{vi}\\spad{'s} with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,{}basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#2| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#2| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{regularRepresentation(a,{}basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
+((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#3| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#3| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#2|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#2| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#2|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#2| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#2| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#2|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-366)))) 
 (-373 R UP) 
-((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free \\spad{R}-module of finite rank.")) (|minimalPolynomial| ((|#2| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#2| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{traceMatrix([v1,{}..,{}vn])} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr}(\\spad{vi} * \\spad{vj}) )")) (|discriminant| ((|#1| (|Vector| $)) "\\spad{discriminant([v1,{}..,{}vn])} returns \\spad{determinant(traceMatrix([v1,{}..,{}vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,{}..,{}an],{}[v1,{}..,{}vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm],{} basis)} returns the coordinates of the \\spad{vi}\\spad{'s} with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,{}basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#1| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#1| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{regularRepresentation(a,{}basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "A FiniteRankAlgebra is an algebra over a commutative ring \\spad{R} which is a free R-module of finite rank.")) (|minimalPolynomial| ((|#2| $) "\\spad{minimalPolynomial(a)} returns the minimal polynomial of \\spad{a}.")) (|characteristicPolynomial| ((|#2| $) "\\spad{characteristicPolynomial(a)} returns the characteristic polynomial of the regular representation of \\spad{a} with respect to any basis.")) (|traceMatrix| (((|Matrix| |#1|) (|Vector| $)) "\\spad{traceMatrix([v1,..,vn])} is the n-by-n matrix ( Tr(vi * \\spad{vj)} )")) (|discriminant| ((|#1| (|Vector| $)) "\\spad{discriminant([v1,..,vn])} returns \\spad{determinant(traceMatrix([v1,..,vn]))}.")) (|represents| (($ (|Vector| |#1|) (|Vector| $)) "\\spad{represents([a1,..,an],[v1,..,vn])} returns \\spad{a1*v1+...+an*vn}.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $) (|Vector| $)) "\\spad{coordinates([v1,...,vm], basis)} returns the coordinates of the vi's with to the basis \\spad{basis}. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $ (|Vector| $)) "\\spad{coordinates(a,basis)} returns the coordinates of \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|norm| ((|#1| $) "\\spad{norm(a)} returns the determinant of the regular representation of \\spad{a} with respect to any basis.")) (|trace| ((|#1| $) "\\spad{trace(a)} returns the trace of the regular representation of \\spad{a} with respect to any basis.")) (|regularRepresentation| (((|Matrix| |#1|) $ (|Vector| $)) "\\spad{regularRepresentation(a,basis)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the \\spad{basis} \\spad{basis}.")) (|rank| (((|PositiveInteger|)) "\\spad{rank()} returns the rank of the algebra."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-374 S A R B) 
-((|constructor| (NIL "\\spad{FiniteLinearAggregateFunctions2} provides functions involving two FiniteLinearAggregates where the underlying domains might be different. An example of this might be creating a list of rational numbers by mapping a function across a list of integers where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,{}a,{}r)} successively applies \\spad{reduce(f,{}x,{}r)} to more and more leading sub-aggregates \\spad{x} of aggregrate \\spad{a}. More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then \\spad{scan(f,{}a,{}r)} returns \\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,{}a,{}r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialized to \\spad{r}. For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)} does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as the identity element for the function \\spad{f}.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{}a)} applies function \\spad{f} to each member of aggregate \\spad{a} resulting in a new aggregate over a possibly different underlying domain."))) 
+((|constructor| (NIL "\\spad{FiniteLinearAggregateFunctions2} provides functions involving two FiniteLinearAggregates where the underlying domains might be different. An example of this might be creating a list of rational numbers by mapping a function across a list of integers where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregrate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialized to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as the identity element for the function \\spad{f.}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a} resulting in a new aggregate over a possibly different underlying domain."))) 
 NIL 
 NIL 
 (-375 A S) 
-((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse},{} \\spadfun{sort},{} and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort!(p,{}u)} returns \\spad{u} with its elements ordered by \\spad{p}.")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,{}v,{}i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element \\spad{i}.")) (|position| (((|Integer|) |#2| $ (|Integer|)) "\\spad{position(x,{}a,{}n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{\\spad{i} \\spad{>=} \\spad{n}},{} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#2| $) "\\spad{position(x,{}a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a,{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.") (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{position(p,{}a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sorted?(p,{}a)} tests if \\axiom{a} is sorted according to predicate \\spad{p}.")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(\\spad{u}) = sort(\\spad{<=},{}\\spad{u})}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort(p,{}a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p}.")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,{}v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(\\spad{u},{}\\spad{v}) = merge(\\spad{<=},{}\\spad{u},{}\\spad{v})}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge(p,{}a,{}b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b}. The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{\\spad{p}(\\spad{x},{}\\spad{y})} is \\spad{true},{} then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen,{} the next element of \\axiom{a} is examined,{} and so on. When all the elements of one aggregate are examined,{} the remaining elements of the other are appended. For example,{} \\axiom{merge(<,{}[1,{}3],{}[2,{}7,{}5])} returns \\axiom{[1,{}2,{}3,{}7,{}5]}."))) 
+((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#2| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#2| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093)))) 
 (-376 S) 
-((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse},{} \\spadfun{sort},{} and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort!(p,{}u)} returns \\spad{u} with its elements ordered by \\spad{p}.")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,{}v,{}i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element \\spad{i}.")) (|position| (((|Integer|) |#1| $ (|Integer|)) "\\spad{position(x,{}a,{}n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{\\spad{i} \\spad{>=} \\spad{n}},{} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#1| $) "\\spad{position(x,{}a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a,{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.") (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{position(p,{}a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true},{} and \\axiom{minIndex(a) - 1} if there is no such \\spad{x}.")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sorted?(p,{}a)} tests if \\axiom{a} is sorted according to predicate \\spad{p}.")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(\\spad{u}) = sort(\\spad{<=},{}\\spad{u})}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort(p,{}a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p}.")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,{}v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(\\spad{u},{}\\spad{v}) = merge(\\spad{<=},{}\\spad{u},{}\\spad{v})}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge(p,{}a,{}b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b}. The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{\\spad{p}(\\spad{x},{}\\spad{y})} is \\spad{true},{} then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen,{} the next element of \\axiom{a} is examined,{} and so on. When all the elements of one aggregate are examined,{} the remaining elements of the other are appended. For example,{} \\axiom{merge(<,{}[1,{}3],{}[2,{}7,{}5])} returns \\axiom{[1,{}2,{}3,{}7,{}5]}."))) 
-((-4535 . T) (-2982 . T)) 
+((|constructor| (NIL "A finite linear aggregate is a linear aggregate of finite length. The finite property of the aggregate adds several exports to the list of exports from \\spadtype{LinearAggregate} such as \\spadfun{reverse}, \\spadfun{sort}, and so on.")) (|sort!| (($ $) "\\spad{sort!(u)} returns \\spad{u} with its elements in ascending order.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort!(p,u)} returns \\spad{u} with its elements ordered by \\spad{p.}")) (|reverse!| (($ $) "\\spad{reverse!(u)} returns \\spad{u} with its elements in reverse order.")) (|copyInto!| (($ $ $ (|Integer|)) "\\spad{copyInto!(u,v,i)} returns aggregate \\spad{u} containing a copy of \\spad{v} inserted at element i.")) (|position| (((|Integer|) |#1| $ (|Integer|)) "\\spad{position(x,a,n)} returns the index \\spad{i} of the first occurrence of \\spad{x} in \\axiom{a} where \\axiom{i \\spad{>=} \\spad{n},} and \\axiom{minIndex(a) - 1} if no such \\spad{x} is found.") (((|Integer|) |#1| $) "\\spad{position(x,a)} returns the index \\spad{i} of the first occurrence of \\spad{x} in a, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}") (((|Integer|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{position(p,a)} returns the index \\spad{i} of the first \\spad{x} in \\axiom{a} such that \\axiom{p(x)} is true, and \\axiom{minIndex(a) - 1} if there is no such \\spad{x.}")) (|sorted?| (((|Boolean|) $) "\\spad{sorted?(u)} tests if the elements of \\spad{u} are in ascending order.") (((|Boolean|) (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sorted?(p,a)} tests if \\axiom{a} is sorted according to predicate \\spad{p.}")) (|sort| (($ $) "\\spad{sort(u)} returns an \\spad{u} with elements in ascending order. Note that \\axiom{sort(u) = sort(<=,u)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $) "\\spad{sort(p,a)} returns a copy of \\axiom{a} sorted using total ordering predicate \\spad{p.}")) (|reverse| (($ $) "\\spad{reverse(a)} returns a copy of \\axiom{a} with elements in reverse order.")) (|merge| (($ $ $) "\\spad{merge(u,v)} merges \\spad{u} and \\spad{v} in ascending order. Note that \\axiom{merge(u,v) = merge(<=,u,v)}.") (($ (|Mapping| (|Boolean|) |#1| |#1|) $ $) "\\spad{merge(p,a,b)} returns an aggregate \\spad{c} which merges \\axiom{a} and \\spad{b.} The result is produced by examining each element \\spad{x} of \\axiom{a} and \\spad{y} of \\spad{b} successively. If \\axiom{p(x,y)} is true, then \\spad{x} is inserted into the result; otherwise \\spad{y} is inserted. If \\spad{x} is chosen, the next element of \\axiom{a} is examined, and so on. When all the elements of one aggregate are examined, the remaining elements of the other are appended. For example, \\axiom{merge(<,[1,3],[2,7,5])} returns \\axiom{[1,2,3,7,5]}."))) 
+((-4571 . T) (-4317 . T)) 
 NIL 
 (-377 |VarSet| R) 
-((|constructor| (NIL "The category of free Lie algebras. It is used by domains of non-commutative algebra: \\spadtype{LiePolynomial} and \\spadtype{XPBWPolynomial}.")) (|eval| (($ $ (|List| |#1|) (|List| $)) "\\axiom{eval(\\spad{p},{} [\\spad{x1},{}...,{}\\spad{xn}],{} [\\spad{v1},{}...,{}\\spad{vn}])} replaces \\axiom{\\spad{xi}} by \\axiom{\\spad{vi}} in \\axiom{\\spad{p}}.") (($ $ |#1| $) "\\axiom{eval(\\spad{p},{} \\spad{x},{} \\spad{v})} replaces \\axiom{\\spad{x}} by \\axiom{\\spad{v}} in \\axiom{\\spad{p}}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\axiom{trunc(\\spad{p},{}\\spad{n})} returns the polynomial \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{x})} returns \\axiom{Sum(r_i mirror(w_i))} if \\axiom{\\spad{x}} is \\axiom{Sum(r_i w_i)}.")) (|LiePoly| (($ (|LyndonWord| |#1|)) "\\axiom{LiePoly(\\spad{l})} returns the bracketed form of \\axiom{\\spad{l}} as a Lie polynomial.")) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{rquo(\\spad{x},{}\\spad{y})} returns the right simplification of \\axiom{\\spad{x}} by \\axiom{\\spad{y}}.")) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{lquo(\\spad{x},{}\\spad{y})} returns the left simplification of \\axiom{\\spad{x}} by \\axiom{\\spad{y}}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{x})} returns the greatest length of a word in the support of \\axiom{\\spad{x}}.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as distributed polynomial.") (($ |#1|) "\\axiom{coerce(\\spad{x})} returns \\axiom{\\spad{x}} as a Lie polynomial.")) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coef(\\spad{x},{}\\spad{y})} returns the scalar product of \\axiom{\\spad{x}} by \\axiom{\\spad{y}},{} the set of words being regarded as an orthogonal basis."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "The category of free Lie algebras. It is used by domains of non-commutative algebra: \\spadtype{LiePolynomial} and \\spadtype{XPBWPolynomial}.")) (|eval| (($ $ (|List| |#1|) (|List| $)) "\\axiom{eval(p, [x1,...,xn], [v1,...,vn])} replaces \\axiom{xi} by \\axiom{vi} in \\axiom{p}.") (($ $ |#1| $) "\\axiom{eval(p, \\spad{x,} \\spad{v)}} replaces \\axiom{x} by \\axiom{v} in \\axiom{p}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\axiom{trunc(p,n)} returns the polynomial \\axiom{p} truncated at order \\axiom{n}.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns \\axiom{Sum(r_i mirror(w_i))} if \\axiom{x} is \\axiom{Sum(r_i w_i)}.")) (|LiePoly| (($ (|LyndonWord| |#1|)) "\\axiom{LiePoly(l)} returns the bracketed form of \\axiom{l} as a Lie polynomial.")) (|rquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{rquo(x,y)} returns the right simplification of \\axiom{x} by \\axiom{y}.")) (|lquo| (((|XRecursivePolynomial| |#1| |#2|) (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{lquo(x,y)} returns the left simplification of \\axiom{x} by \\axiom{y}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(x)} returns the greatest length of a word in the support of \\axiom{x}.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(x)} returns \\axiom{x} as distributed polynomial.") (($ |#1|) "\\axiom{coerce(x)} returns \\axiom{x} as a Lie polynomial.")) (|coef| ((|#2| (|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coef(x,y)} returns the scalar product of \\axiom{x} by \\axiom{y}, the set of words being regarded as an orthogonal basis."))) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
 NIL 
 (-378 S V) 
-((|constructor| (NIL "This package exports 3 sorting algorithms which work over FiniteLinearAggregates. Sort package (in-place) for shallowlyMutable Finite Linear Aggregates")) (|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{shellSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the shellSort algorithm.")) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{heapSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the heapsort algorithm.")) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{quickSort(f,{} agg)} sorts the aggregate agg with the ordering function \\spad{f} using the quicksort algorithm."))) 
+((|constructor| (NIL "This package exports 3 sorting algorithms which work over FiniteLinearAggregates. Sort package (in-place) for shallowlyMutable Finite Linear Aggregates")) (|shellSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{shellSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the shellSort algorithm.")) (|heapSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{heapSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the heapsort algorithm.")) (|quickSort| ((|#2| (|Mapping| (|Boolean|) |#1| |#1|) |#2|) "\\spad{quickSort(f, agg)} sorts the aggregate agg with the ordering function \\spad{f} using the quicksort algorithm."))) 
 NIL 
 NIL 
 (-379 S R) 
-((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver R} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver R} and,{} in addition,{} if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer},{} then so is \\spad{S}"))) 
+((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
 NIL 
 ((|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) 
 (-380 R) 
-((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver R} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver R} and,{} in addition,{} if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer},{} then so is \\spad{S}"))) 
-((-4532 . T)) 
+((|constructor| (NIL "\\spad{S} is \\spadtype{FullyLinearlyExplicitRingOver \\spad{R}} means that \\spad{S} is a \\spadtype{LinearlyExplicitRingOver \\spad{R}} and, in addition, if \\spad{R} is a \\spadtype{LinearlyExplicitRingOver Integer}, then so is \\spad{S}"))) 
+((-4568 . T)) 
 NIL 
 (-381 |Par|) 
-((|constructor| (NIL "This is a package for the approximation of complex solutions for systems of equations of rational functions with complex rational coefficients. The results are expressed as either complex rational numbers or complex floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) "\\spad{complexRoots(lrf,{} lv,{} eps)} finds all the complex solutions of a list of rational functions with rational number coefficients with respect the the variables appearing in \\spad{lv}. Each solution is computed to precision eps and returned as list corresponding to the order of variables in \\spad{lv}.") (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexRoots(rf,{} eps)} finds all the complex solutions of a univariate rational function with rational number coefficients. The solutions are computed to precision eps.")) (|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(eq,{}eps)} finds all the complex solutions of the equation \\spad{eq} of rational functions with rational rational coefficients with respect to all the variables appearing in \\spad{eq},{} with precision \\spad{eps}.") (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexSolve(p,{}eps)} find all the complex solutions of the rational function \\spad{p} with complex rational coefficients with respect to all the variables appearing in \\spad{p},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) "\\spad{complexSolve(leq,{}eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{leq} of equations of rational functions over complex rationals with respect to all the variables appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(lp,{}eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{lp} of rational functions over the complex rationals with respect to all the variables appearing in \\spad{lp}."))) 
+((|constructor| (NIL "This is a package for the approximation of complex solutions for systems of equations of rational functions with complex rational coefficients. The results are expressed as either complex rational numbers or complex floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|complexRoots| (((|List| (|List| (|Complex| |#1|))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|List| (|Symbol|)) |#1|) "\\spad{complexRoots(lrf, \\spad{lv,} eps)} finds all the complex solutions of a list of rational functions with rational number coefficients with respect the the variables appearing in \\spad{lv.} Each solution is computed to precision eps and returned as list corresponding to the order of variables in \\spad{lv.}") (((|List| (|Complex| |#1|)) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexRoots(rf, eps)} finds all the complex solutions of a univariate rational function with rational number coefficients. The solutions are computed to precision eps.")) (|complexSolve| (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(eq,eps)} finds all the complex solutions of the equation \\spad{eq} of rational functions with rational rational coefficients with respect to all the variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| (|Complex| |#1|)))) (|Fraction| (|Polynomial| (|Complex| (|Integer|)))) |#1|) "\\spad{complexSolve(p,eps)} find all the complex solutions of the rational function \\spad{p} with complex rational coefficients with respect to all the variables appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) |#1|) "\\spad{complexSolve(leq,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{leq} of equations of rational functions over complex rationals with respect to all the variables appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Polynomial| (|Complex| |#1|))))) (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) |#1|) "\\spad{complexSolve(lp,eps)} finds all the complex solutions to precision \\spad{eps} of the system \\spad{lp} of rational functions over the complex rationals with respect to all the variables appearing in \\spad{lp.}"))) 
 NIL 
 NIL 
 (-382) 
-((|constructor| (NIL "\\spadtype{Float} implements arbitrary precision floating point arithmetic. The number of significant digits of each operation can be set to an arbitrary value (the default is 20 decimal digits). The operation \\spad{float(mantissa,{}exponent,{}base)} for integer \\spad{mantissa},{} \\spad{exponent} specifies the number \\spad{mantissa * base ** exponent} The underlying representation for floats is binary not decimal. The implications of this are described below. \\blankline The model adopted is that arithmetic operations are rounded to to nearest unit in the last place,{} that is,{} accurate to within \\spad{2**(-bits)}. Also,{} the elementary functions and constants are accurate to one unit in the last place. A float is represented as a record of two integers,{} the mantissa and the exponent. The base of the representation is binary,{} hence a \\spad{Record(m:mantissa,{}e:exponent)} represents the number \\spad{m * 2 ** e}. Though it is not assumed that the underlying integers are represented with a binary base,{} the code will be most efficient when this is the the case (this is \\spad{true} in most implementations of Lisp). The decision to choose the base to be binary has some unfortunate consequences. First,{} decimal numbers like 0.3 cannot be represented exactly. Second,{} there is a further loss of accuracy during conversion to decimal for output. To compensate for this,{} if \\spad{d} digits of precision are specified,{} \\spad{1 + ceiling(log2 d)} bits are used. Two numbers that are displayed identically may therefore be not equal. On the other hand,{} a significant efficiency loss would be incurred if we chose to use a decimal base when the underlying integer base is binary. \\blankline Algorithms used: For the elementary functions,{} the general approach is to apply identities so that the taylor series can be used,{} and,{} so that it will converge within \\spad{O( sqrt n )} steps. For example,{} using the identity \\spad{exp(x) = exp(x/2)**2},{} we can compute \\spad{exp(1/3)} to \\spad{n} digits of precision as follows. We have \\spad{exp(1/3) = exp(2 ** (-sqrt s) / 3) ** (2 ** sqrt s)}. The taylor series will converge in less than sqrt \\spad{n} steps and the exponentiation requires sqrt \\spad{n} multiplications for a total of \\spad{2 sqrt n} multiplications. Assuming integer multiplication costs \\spad{O( n**2 )} the overall running time is \\spad{O( sqrt(n) n**2 )}. This approach is the best known approach for precisions up to about 10,{}000 digits at which point the methods of Brent which are \\spad{O( log(n) n**2 )} become competitive. Note also that summing the terms of the taylor series for the elementary functions is done using integer operations. This avoids the overhead of floating point operations and results in efficient code at low precisions. This implementation makes no attempt to reuse storage,{} relying on the underlying system to do \\spadgloss{garbage collection}. \\spad{I} estimate that the efficiency of this package at low precisions could be improved by a factor of 2 if in-place operations were available. \\blankline Running times: in the following,{} \\spad{n} is the number of bits of precision\\spad{\\br} \\spad{*},{} \\spad{/},{} \\spad{sqrt},{} \\spad{\\spad{pi}},{} \\spad{exp1},{} \\spad{log2},{} \\spad{log10}: \\spad{ O( n**2 )} \\spad{\\br} \\spad{exp},{} \\spad{log},{} \\spad{sin},{} \\spad{atan}: \\spad{O(sqrt(n) n**2)}\\spad{\\br} The other elementary functions are coded in terms of the ones above.")) (|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation,{} with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation,{} \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa E exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,{}y)} computes the arc tangent from \\spad{x} with phase \\spad{y}.")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2},{} \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n,{} b)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)},{} that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f,{} n)} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,{}n)} adds \\spad{n} to the exponent of float \\spad{x}.")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,{}y)} computes the absolute value of \\spad{x - y} divided by \\spad{y},{} when \\spad{y \\^= 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x ** y} computes \\spad{exp(y log x)} where \\spad{x >= 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer \\spad{i}."))) 
-((-4518 . T) (-4526 . T) (-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "\\spadtype{Float} implements arbitrary precision floating point arithmetic. The number of significant digits of each operation can be set to an arbitrary value (the default is 20 decimal digits). The operation \\spad{float(mantissa,exponent,base)} for integer \\spad{mantissa}, \\spad{exponent} specifies the number \\spad{mantissa * base \\spad{**} exponent} The underlying representation for floats is binary not decimal. The implications of this are described below. \\blankline The model adopted is that arithmetic operations are rounded to to nearest unit in the last place, that is, accurate to within \\spad{2**(-bits)}. Also, the elementary functions and constants are accurate to one unit in the last place. A float is represented as a record of two integers, the mantissa and the exponent. The base of the representation is binary, hence a \\spad{Record(m:mantissa,e:exponent)} represents the number \\spad{m * 2 \\spad{**} e}. Though it is not assumed that the underlying integers are represented with a binary base, the code will be most efficient when this is the the case (this is \\spad{true} in most implementations of Lisp). The decision to choose the base to be binary has some unfortunate consequences. First, decimal numbers like 0.3 cannot be represented exactly. Second, there is a further loss of accuracy during conversion to decimal for output. To compensate for this, if \\spad{d} digits of precision are specified, \\spad{1 + \\spad{ceiling(log2} \\spad{d)}} bits are used. Two numbers that are displayed identically may therefore be not equal. On the other hand, a significant efficiency loss would be incurred if we chose to use a decimal base when the underlying integer base is binary. \\blankline Algorithms used: For the elementary functions, the general approach is to apply identities so that the taylor series can be used, and, so that it will converge within \\spad{O( sqrt \\spad{n} \\spad{)}} steps. For example, using the identity \\spad{exp(x) = exp(x/2)**2}, we can compute \\spad{exp(1/3)} to \\spad{n} digits of precision as follows. We have \\spad{exp(1/3) = \\spad{exp(2} \\spad{**} (-sqrt \\spad{s)} / 3) \\spad{**} \\spad{(2} \\spad{**} sqrt s)}. The taylor series will converge in less than sqrt \\spad{n} steps and the exponentiation requires sqrt \\spad{n} multiplications for a total of \\spad{2 sqrt \\spad{n}} multiplications. Assuming integer multiplication costs \\spad{O( \\spad{n**2} \\spad{)}} the overall running time is \\spad{O( sqrt(n) \\spad{n**2} \\spad{)}.} This approach is the best known approach for precisions up to about 10,000 digits at which point the methods of Brent which are \\spad{O( log(n) \\spad{n**2} \\spad{)}} become competitive. Note also that summing the terms of the taylor series for the elementary functions is done using integer operations. This avoids the overhead of floating point operations and results in efficient code at low precisions. This implementation makes no attempt to reuse storage, relying on the underlying system to do \\spadgloss{garbage collection}. \\spad{I} estimate that the efficiency of this package at low precisions could be improved by a factor of 2 if in-place operations were available. \\blankline Running times: in the following, \\spad{n} is the number of bits of precision\\br \\spad{*}, \\spad{/}, \\spad{sqrt}, \\spad{pi}, \\spad{exp1}, \\spad{log2}, \\spad{log10}: \\spad{ O( \\spad{n**2} \\spad{)}} \\spad{\\br} \\spad{exp}, \\spad{log}, \\spad{sin}, \\spad{atan}: \\spad{O(sqrt(n) n**2)}\\br The other elementary functions are coded in terms of the ones above.")) (|outputSpacing| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputSpacing(n)} inserts a space after \\spad{n} (default 10) digits on output; outputSpacing(0) means no spaces are inserted.")) (|outputGeneral| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputGeneral(n)} sets the output mode to general notation with \\spad{n} significant digits displayed.") (((|Void|)) "\\spad{outputGeneral()} sets the output mode (default mode) to general notation; numbers will be displayed in either fixed or floating (scientific) notation depending on the magnitude.")) (|outputFixed| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFixed(n)} sets the output mode to fixed point notation, with \\spad{n} digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFixed()} sets the output mode to fixed point notation; the output will contain a decimal point.")) (|outputFloating| (((|Void|) (|NonNegativeInteger|)) "\\spad{outputFloating(n)} sets the output mode to floating (scientific) notation with \\spad{n} significant digits displayed after the decimal point.") (((|Void|)) "\\spad{outputFloating()} sets the output mode to floating (scientific) notation, \\spadignore{i.e.} \\spad{mantissa * 10 exponent} is displayed as \\spad{0.mantissa \\spad{E} exponent}.")) (|convert| (($ (|DoubleFloat|)) "\\spad{convert(x)} converts a \\spadtype{DoubleFloat} \\spad{x} to a \\spadtype{Float}.")) (|atan| (($ $ $) "\\spad{atan(x,y)} computes the arc tangent from \\spad{x} with phase \\spad{y.}")) (|exp1| (($) "\\spad{exp1()} returns exp 1: \\spad{2.7182818284...}.")) (|log10| (($ $) "\\spad{log10(x)} computes the logarithm for \\spad{x} to base 10.") (($) "\\spad{log10()} returns \\spad{ln 10}: \\spad{2.3025809299...}.")) (|log2| (($ $) "\\spad{log2(x)} computes the logarithm for \\spad{x} to base 2.") (($) "\\spad{log2()} returns \\spad{ln 2}, \\spadignore{i.e.} \\spad{0.6931471805...}.")) (|rationalApproximation| (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n,} \\spad{b)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< b**(-n)}, that is \\spad{|(r-f)/f| < b**(-n)}.") (((|Fraction| (|Integer|)) $ (|NonNegativeInteger|)) "\\spad{rationalApproximation(f, \\spad{n)}} computes a rational approximation \\spad{r} to \\spad{f} with relative error \\spad{< 10**(-n)}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(x,n)} adds \\spad{n} to the exponent of float \\spad{x.}")) (|relerror| (((|Integer|) $ $) "\\spad{relerror(x,y)} computes the absolute value of \\spad{x - \\spad{y}} divided by \\spad{y,} when \\spad{y \\spad{\\^=} 0}.")) (|normalize| (($ $) "\\spad{normalize(x)} normalizes \\spad{x} at current precision.")) (** (($ $ $) "\\spad{x \\spad{**} \\spad{y}} computes \\spad{exp(y log \\spad{x)}} where \\spad{x \\spad{>=} 0}.")) (/ (($ $ (|Integer|)) "\\spad{x / i} computes the division from \\spad{x} by an integer i."))) 
+((-4554 . T) (-4562 . T) (-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-383 |Par|) 
-((|constructor| (NIL "This is a package for the approximation of real solutions for systems of polynomial equations over the rational numbers. The results are expressed as either rational numbers or floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{realRoots(rf,{} eps)} finds the real zeros of a univariate rational function with precision given by eps.") (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) "\\spad{realRoots(lp,{}lv,{}eps)} computes the list of the real solutions of the list \\spad{lp} of rational functions with rational coefficients with respect to the variables in \\spad{lv},{} with precision \\spad{eps}. Each solution is expressed as a list of numbers in order corresponding to the variables in \\spad{lv}.")) (|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(eq,{}eps)} finds all of the real solutions of the univariate equation \\spad{eq} of rational functions with respect to the unique variables appearing in \\spad{eq},{} with precision \\spad{eps}.") (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{solve(p,{}eps)} finds all of the real solutions of the univariate rational function \\spad{p} with rational coefficients with respect to the unique variable appearing in \\spad{p},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) "\\spad{solve(leq,{}eps)} finds all of the real solutions of the system \\spad{leq} of equationas of rational functions with respect to all the variables appearing in \\spad{lp},{} with precision \\spad{eps}.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(lp,{}eps)} finds all of the real solutions of the system \\spad{lp} of rational functions over the rational numbers with respect to all the variables appearing in \\spad{lp},{} with precision \\spad{eps}."))) 
+((|constructor| (NIL "This is a package for the approximation of real solutions for systems of polynomial equations over the rational numbers. The results are expressed as either rational numbers or floats depending on the type of the precision parameter which can be either a rational number or a floating point number.")) (|realRoots| (((|List| |#1|) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{realRoots(rf, eps)} finds the real zeros of a univariate rational function with precision given by eps.") (((|List| (|List| |#1|)) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|Symbol|)) |#1|) "\\spad{realRoots(lp,lv,eps)} computes the list of the real solutions of the list \\spad{lp} of rational functions with rational coefficients with respect to the variables in \\spad{lv,} with precision eps. Each solution is expressed as a list of numbers in order corresponding to the variables in \\spad{lv.}")) (|solve| (((|List| (|Equation| (|Polynomial| |#1|))) (|Equation| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(eq,eps)} finds all of the real solutions of the univariate equation \\spad{eq} of rational functions with respect to the unique variables appearing in eq, with precision eps.") (((|List| (|Equation| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| (|Integer|))) |#1|) "\\spad{solve(p,eps)} finds all of the real solutions of the univariate rational function \\spad{p} with rational coefficients with respect to the unique variable appearing in \\spad{p,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) |#1|) "\\spad{solve(leq,eps)} finds all of the real solutions of the system \\spad{leq} of equationas of rational functions with respect to all the variables appearing in \\spad{lp,} with precision eps.") (((|List| (|List| (|Equation| (|Polynomial| |#1|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) |#1|) "\\spad{solve(lp,eps)} finds all of the real solutions of the system \\spad{lp} of rational functions over the rational numbers with respect to all the variables appearing in \\spad{lp,} with precision eps."))) 
 NIL 
 NIL 
 (-384 R S) 
-((|constructor| (NIL "This domain implements linear combinations of elements from the domain \\spad{S} with coefficients in the domain \\spad{R} where \\spad{S} is an ordered set and \\spad{R} is a ring (which may be non-commutative). This domain is used by domains of non-commutative algebra such as: XDistributedPolynomial,{} XRecursivePolynomial.")) (* (($ |#2| |#1|) "\\spad{s*r} returns the product \\spad{r*s} used by \\spadtype{XRecursivePolynomial}"))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "This domain implements linear combinations of elements from the domain \\spad{S} with coefficients in the domain \\spad{R} where \\spad{S} is an ordered set and \\spad{R} is a ring (which may be non-commutative). This domain is used by domains of non-commutative algebra such as: XDistributedPolynomial, XRecursivePolynomial.")) (* (($ |#2| |#1|) "\\spad{s*r} returns the product \\spad{r*s} used by \\spadtype{XRecursivePolynomial}"))) 
+((-4566 . T) (-4565 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
 (-385 R |Basis|) 
-((|constructor| (NIL "A domain of this category implements formal linear combinations of elements from a domain \\spad{Basis} with coefficients in a domain \\spad{R}. The domain \\spad{Basis} needs only to belong to the category \\spadtype{SetCategory} and \\spad{R} to the category \\spadtype{Ring}. Thus the coefficient ring may be non-commutative. See the \\spadtype{XDistributedPolynomial} constructor for examples of domains built with the \\spadtype{FreeModuleCat} category constructor.")) (|reductum| (($ $) "\\spad{reductum(x)} returns \\spad{x} minus its leading term.")) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) "\\spad{leadingTerm(x)} returns the first term which appears in \\spad{listOfTerms(x)}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(x)} returns the first coefficient which appears in \\spad{listOfTerms(x)}.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(x)} returns the first element from \\spad{Basis} which appears in \\spad{listOfTerms(x)}.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(x)} returns the number of monomials of \\spad{x}.")) (|monomials| (((|List| $) $) "\\spad{monomials(x)} returns the list of \\spad{r_i*b_i} whose sum is \\spad{x}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(x)} returns the list of coefficients of \\spad{x}")) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{listOfTerms(x)} returns a list \\spad{lt} of terms with type \\spad{Record(k: Basis,{} c: R)} such that \\spad{x} equals \\spad{reduce(+,{} map(x +-> monom(x.k,{} x.c),{} lt))}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} contains a single monomial.")) (|monom| (($ |#2| |#1|) "\\spad{monom(b,{}r)} returns the element with the single monomial \\indented{1}{\\spad{b} and coefficient \\spad{r}.}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients \\indented{1}{of the non-zero monomials of \\spad{u}.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(x,{}b)} returns the coefficient of \\spad{b} in \\spad{x}.")) (* (($ |#1| |#2|) "\\spad{r*b} returns the product of \\spad{r} by \\spad{b}."))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "A domain of this category implements formal linear combinations of elements from a domain \\spad{Basis} with coefficients in a domain \\spad{R}. The domain \\spad{Basis} needs only to belong to the category \\spadtype{SetCategory} and \\spad{R} to the category \\spadtype{Ring}. Thus the coefficient ring may be non-commutative. See the \\spadtype{XDistributedPolynomial} constructor for examples of domains built with the \\spadtype{FreeModuleCat} category constructor.")) (|reductum| (($ $) "\\spad{reductum(x)} returns \\spad{x} minus its leading term.")) (|leadingTerm| (((|Record| (|:| |k| |#2|) (|:| |c| |#1|)) $) "\\spad{leadingTerm(x)} returns the first term which appears in \\spad{listOfTerms(x)}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(x)} returns the first coefficient which appears in \\spad{listOfTerms(x)}.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(x)} returns the first element from \\spad{Basis} which appears in \\spad{listOfTerms(x)}.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(x)} returns the number of monomials of \\spad{x}.")) (|monomials| (((|List| $) $) "\\spad{monomials(x)} returns the list of \\spad{r_i*b_i} whose sum is \\spad{x}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(x)} returns the list of coefficients of \\spad{x}")) (|listOfTerms| (((|List| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{listOfTerms(x)} returns a list \\spad{lt} of terms with type \\spad{Record(k: Basis, \\spad{c:} \\spad{R)}} such that \\spad{x} equals \\spad{reduce(+, map(x \\spad{+->} monom(x.k, x.c), lt))}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} contains a single monomial.")) (|monom| (($ |#2| |#1|) "\\spad{monom(b,r)} returns the element with the single monomial \\indented{1}{\\spad{b} and coefficient \\spad{r}.}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients \\indented{1}{of the non-zero monomials of \\spad{u}.}")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(x,b)} returns the coefficient of \\spad{b} in \\spad{x}.")) (* (($ |#1| |#2|) "\\spad{r*b} returns the product of \\spad{r} by \\spad{b}."))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-386) 
-((|constructor| (NIL "\\axiomType{FortranMatrixCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Matrix} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Matrix| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranMatrixCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Matrix} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Matrix| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
+((-4317 . T)) 
 NIL 
 (-387) 
-((|constructor| (NIL "\\axiomType{FortranMatrixFunctionCategory} provides support for producing Functions and Subroutines representing matrices of expressions.")) (|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Matrix| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranMatrixFunctionCategory} provides support for producing Functions and Subroutines representing matrices of expressions.")) (|retractIfCan| (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Matrix| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Matrix| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
+((-4317 . T)) 
 NIL 
 (-388 R S) 
-((|constructor| (NIL "A \\spad{bi}-module is a free module over a ring with generators indexed by an ordered set. Each element can be expressed as a finite linear combination of generators. Only non-zero terms are stored."))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "A bi-module is a free module over a ring with generators indexed by an ordered set. Each element can be expressed as a finite linear combination of generators. Only non-zero terms are stored."))) 
+((-4566 . T) (-4565 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173)))) 
 (-389 S) 
-((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x,{} n)} returns the factor of the n^th monomial of \\spad{x}.")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x,{} n)} returns the exponent of the n^th monomial of \\spad{x}.")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns \\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x}.")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x,{} y)} returns \\spad{[l,{} m,{} r]} such that \\spad{x = l * m},{} \\spad{y = m * r} and \\spad{l} and \\spad{r} have no overlap,{} \\spadignore{i.e.} \\spad{overlap(l,{} r) = [l,{} 1,{} r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x,{} y)} returns the left and right exact quotients of \\spad{x} by \\spad{y},{} \\spadignore{i.e.} \\spad{[l,{} r]} such that \\spad{x = l * y * r},{} \"failed\" if \\spad{x} is not of the form \\spad{l * y * r}.")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x,{} y)} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = q * y},{} \"failed\" if \\spad{x} is not of the form \\spad{q * y}.")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x,{} y)} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = y * q},{} \"failed\" if \\spad{x} is not of the form \\spad{y * q}.")) (|hcrf| (($ $ $) "\\spad{hcrf(x,{} y)} returns the highest common right factor of \\spad{x} and \\spad{y},{} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a d} and \\spad{y = b d}.")) (|hclf| (($ $ $) "\\spad{hclf(x,{} y)} returns the highest common left factor of \\spad{x} and \\spad{y},{} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = d a} and \\spad{y = d b}.")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s ** n} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * s} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * x} returns the product of \\spad{x} by \\spad{s} on the left."))) 
+((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are nonnegative integers. The multiplication is not commutative.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|)) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(x, \\spad{n)}} returns the factor of the n^th monomial of \\spad{x.}")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{x.}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\spad{factors(a1\\^e1,...,an\\^en)} returns \\spad{[[a1, e1],...,[an, en]]}.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(x)} returns the number of monomials in \\spad{x.}")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{m},} \\spad{y = \\spad{m} * \\spad{r}} and \\spad{l} and \\spad{r} have no overlap, \\spadignore{i.e.} \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.")) (|divide| (((|Union| (|Record| (|:| |lm| $) (|:| |rm| $)) "failed") $ $) "\\spad{divide(x, \\spad{y)}} returns the left and right exact quotients of \\spad{x} by \\spad{y,} \\spadignore{i.e.} \\spad{[l, \\spad{r]}} such that \\spad{x = \\spad{l} * \\spad{y} * \\spad{r},} \"failed\" if \\spad{x} is not of the form \\spad{l * \\spad{y} * \\spad{r}.}")) (|rquo| (((|Union| $ "failed") $ $) "\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{q} * \\spad{y},} \"failed\" if \\spad{x} is not of the form \\spad{q * \\spad{y}.}")) (|lquo| (((|Union| $ "failed") $ $) "\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x} by \\spad{y} \\spadignore{i.e.} \\spad{q} such that \\spad{x = \\spad{y} * \\spad{q},} \"failed\" if \\spad{x} is not of the form \\spad{y * \\spad{q}.}")) (|hcrf| (($ $ $) "\\spad{hcrf(x, \\spad{y)}} returns the highest common right factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = a \\spad{d}} and \\spad{y = \\spad{b} \\spad{d}.}")) (|hclf| (($ $ $) "\\spad{hclf(x, \\spad{y)}} returns the highest common left factor of \\spad{x} and \\spad{y,} \\spadignore{i.e.} the largest \\spad{d} such that \\spad{x = \\spad{d} a} and \\spad{y = \\spad{d} \\spad{b}.}")) (** (($ |#1| (|NonNegativeInteger|)) "\\spad{s \\spad{**} \\spad{n}} returns the product of \\spad{s} by itself \\spad{n} times.")) (* (($ $ |#1|) "\\spad{x * \\spad{s}} returns the product of \\spad{x} by \\spad{s} on the right.") (($ |#1| $) "\\spad{s * \\spad{x}} returns the product of \\spad{x} by \\spad{s} on the left."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-843)))) 
+((|HasCategory| |#1| (QUOTE (-844)))) 
 (-390) 
 ((|constructor| (NIL "A category of domains which model machine arithmetic used by machines in the AXIOM-NAG link."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-391) 
 ((|constructor| (NIL "This domain provides an interface to names in the file system."))) 
 NIL 
 NIL 
 (-392) 
-((|constructor| (NIL "This category provides an interface to names in the file system.")) (|new| (($ (|String|) (|String|) (|String|)) "\\spad{new(d,{}pref,{}e)} constructs the name of a new writable file with \\spad{d} as its directory,{} \\spad{pref} as a prefix of its name and \\spad{e} as its extension. When \\spad{d} or \\spad{t} is the empty string,{} a default is used. An error occurs if a new file cannot be written in the given directory.")) (|writable?| (((|Boolean|) $) "\\spad{writable?(f)} tests if the named file be opened for writing. The named file need not already exist.")) (|readable?| (((|Boolean|) $) "\\spad{readable?(f)} tests if the named file exist and can it be opened for reading.")) (|exists?| (((|Boolean|) $) "\\spad{exists?(f)} tests if the file exists in the file system.")) (|extension| (((|String|) $) "\\spad{extension(f)} returns the type part of the file name.")) (|name| (((|String|) $) "\\spad{name(f)} returns the name part of the file name.")) (|directory| (((|String|) $) "\\spad{directory(f)} returns the directory part of the file name.")) (|filename| (($ (|String|) (|String|) (|String|)) "\\spad{filename(d,{}n,{}e)} creates a file name with \\spad{d} as its directory,{} \\spad{n} as its name and \\spad{e} as its extension. This is a portable way to create file names. When \\spad{d} or \\spad{t} is the empty string,{} a default is used.")) (|coerce| (((|String|) $) "\\spad{coerce(fn)} produces a string for a file name according to operating system-dependent conventions.") (($ (|String|)) "\\spad{coerce(s)} converts a string to a file name according to operating system-dependent conventions."))) 
+((|constructor| (NIL "This category provides an interface to names in the file system.")) (|new| (($ (|String|) (|String|) (|String|)) "\\spad{new(d,pref,e)} constructs the name of a new writable file with \\spad{d} as its directory, \\spad{pref} as a prefix of its name and \\spad{e} as its extension. When \\spad{d} or \\spad{t} is the empty string, a default is used. An error occurs if a new file cannot be written in the given directory.")) (|writable?| (((|Boolean|) $) "\\spad{writable?(f)} tests if the named file be opened for writing. The named file need not already exist.")) (|readable?| (((|Boolean|) $) "\\spad{readable?(f)} tests if the named file exist and can it be opened for reading.")) (|exists?| (((|Boolean|) $) "\\spad{exists?(f)} tests if the file exists in the file system.")) (|extension| (((|String|) $) "\\spad{extension(f)} returns the type part of the file name.")) (|name| (((|String|) $) "\\spad{name(f)} returns the name part of the file name.")) (|directory| (((|String|) $) "\\spad{directory(f)} returns the directory part of the file name.")) (|filename| (($ (|String|) (|String|) (|String|)) "\\spad{filename(d,n,e)} creates a file name with \\spad{d} as its directory, \\spad{n} as its name and \\spad{e} as its extension. This is a portable way to create file names. When \\spad{d} or \\spad{t} is the empty string, a default is used.")) (|coerce| (((|String|) $) "\\spad{coerce(fn)} produces a string for a file name according to operating system-dependent conventions.") (($ (|String|)) "\\spad{coerce(s)} converts a string to a file name according to operating system-dependent conventions."))) 
 NIL 
 NIL 
 (-393 |n| |class| R) 
-((|constructor| (NIL "Generate the Free Lie Algebra over a ring \\spad{R} with identity; A \\spad{P}. Hall basis is generated by a package call to HallBasis.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(i)} is the \\spad{i}th Hall Basis element")) (|shallowExpand| (((|OutputForm|) $) "\\spad{shallowExpand(x)} is not documented")) (|deepExpand| (((|OutputForm|) $) "\\spad{deepExpand(x)} is not documented")) (|dimension| (((|NonNegativeInteger|)) "\\spad{dimension()} is the rank of this Lie algebra"))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "Generate the Free Lie Algebra over a ring \\spad{R} with identity; A \\spad{P.} Hall basis is generated by a package call to HallBasis.")) (|generator| (($ (|NonNegativeInteger|)) "\\spad{generator(i)} is the \\spad{i}th Hall Basis element")) (|shallowExpand| (((|OutputForm|) $) "\\spad{shallowExpand(x)} is not documented")) (|deepExpand| (((|OutputForm|) $) "\\spad{deepExpand(x)} is not documented")) (|dimension| (((|NonNegativeInteger|)) "\\spad{dimension()} is the rank of this Lie algebra"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-394) 
 ((|constructor| (NIL "Code to manipulate Fortran Output Stack")) (|topFortranOutputStack| (((|String|)) "\\spad{topFortranOutputStack()} returns the top element of the Fortran output stack")) (|pushFortranOutputStack| (((|Void|) (|String|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack") (((|Void|) (|FileName|)) "\\spad{pushFortranOutputStack(f)} pushes \\spad{f} onto the Fortran output stack")) (|popFortranOutputStack| (((|Void|)) "\\spad{popFortranOutputStack()} pops the Fortran output stack")) (|showFortranOutputStack| (((|Stack| (|String|))) "\\spad{showFortranOutputStack()} returns the Fortran output stack")) (|clearFortranOutputStack| (((|Stack| (|String|))) "\\spad{clearFortranOutputStack()} clears the Fortran output stack"))) 
 NIL 
 NIL 
-(-395 -1564 UP UPUP R) 
+(-395 -1647 UP UPUP R) 
 ((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|)) "\\spad{order(x)} \\undocumented"))) 
 NIL 
 NIL 
@@ -1517,179 +1517,179 @@ NIL
 NIL 
 NIL 
 (-397) 
-((|constructor| (NIL "\\spadtype{ScriptFormulaFormat} provides a coercion from \\spadtype{OutputForm} to IBM SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula format object consists of three parts: a prologue,{} a formula part and an epilogue. The functions \\spadfun{prologue},{} \\spadfun{formula} and \\spadfun{epilogue} extract these parts,{} respectively. The central parts of the expression go into the formula part. The other parts can be set (\\spadfun{setPrologue!},{} \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example,{} the prologue and epilogue might simply contain \":df.\" and \":edf.\" so that the formula section will be printed in display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,{}strings)} sets the prologue section of a formatted object \\spad{t} to \\spad{strings}.")) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setFormula!(t,{}strings)} sets the formula section of a formatted object \\spad{t} to \\spad{strings}.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,{}strings)} sets the epilogue section of a formatted object \\spad{t} to \\spad{strings}.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a formatted object \\spad{t}.")) (|new| (($) "\\spad{new()} create a new,{} empty object. Use \\spadfun{setPrologue!},{} \\spadfun{setFormula!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|formula| (((|List| (|String|)) $) "\\spad{formula(t)} extracts the formula section of a formatted object \\spad{t}.")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a formatted object \\spad{t}.")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,{}width)} outputs the formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{\\spad{width}}.")) (|convert| (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,{}step)} changes \\spad{o} in standard output format to SCRIPT formula format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to SCRIPT formula format."))) 
+((|constructor| (NIL "\\spadtype{ScriptFormulaFormat} provides a coercion from \\spadtype{OutputForm} to IBM SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula format object consists of three parts: a prologue, a formula part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{formula} and \\spadfun{epilogue} extract these parts, respectively. The central parts of the expression go into the formula part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain \":df.\" and \":edf.\" so that the formula section will be printed in display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a formatted object \\spad{t} to strings.")) (|setFormula!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setFormula!(t,strings)} sets the formula section of a formatted object \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a formatted object \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a formatted object \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setFormula!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|formula| (((|List| (|String|)) $) "\\spad{formula(t)} extracts the formula section of a formatted object \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a formatted object \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to SCRIPT formula format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to SCRIPT formula format."))) 
 NIL 
 NIL 
 (-398) 
-((|constructor| (NIL "\\axiomType{FortranProgramCategory} provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(\\spad{u})} translates \\axiom{\\spad{u}} into a legal FORTRAN subprogram."))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranProgramCategory} provides various models of FORTRAN subprograms. These can be transformed into actual FORTRAN code.")) (|outputAsFortran| (((|Void|) $) "\\axiom{outputAsFortran(u)} translates \\axiom{u} into a legal FORTRAN subprogram."))) 
+((-4317 . T)) 
 NIL 
 (-399) 
-((|constructor| (NIL "\\axiomType{FortranFunctionCategory} is the category of arguments to NAG Library routines which return (sets of) function values.")) (|retractIfCan| (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Expression| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranFunctionCategory} is the category of arguments to NAG Library routines which return (sets of) function values.")) (|retractIfCan| (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Polynomial| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Integer|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Expression| (|Float|))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Fraction| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Fraction| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Polynomial| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Integer|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Expression| (|Float|))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
+((-4317 . T)) 
 NIL 
 (-400) 
-((|constructor| (NIL "provides an interface to the boot code for calling Fortran")) (|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) "\\spad{setLegalFortranSourceExtensions(l)} \\undocumented{}")) (|outputAsFortran| (((|Void|) (|FileName|)) "\\spad{outputAsFortran(fn)} \\undocumented{}")) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) "\\spad{linkToFortran(s,{}l,{}t,{}lv)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) "\\spad{linkToFortran(s,{}l,{}ll,{}lv,{}t)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) "\\spad{linkToFortran(s,{}l,{}ll,{}lv)} \\undocumented{}"))) 
+((|constructor| (NIL "provides an interface to the boot code for calling Fortran")) (|setLegalFortranSourceExtensions| (((|List| (|String|)) (|List| (|String|))) "\\spad{setLegalFortranSourceExtensions(l)} \\undocumented{}")) (|outputAsFortran| (((|Void|) (|FileName|)) "\\spad{outputAsFortran(fn)} \\undocumented{}")) (|linkToFortran| (((|SExpression|) (|Symbol|) (|List| (|Symbol|)) (|TheSymbolTable|) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,t,lv)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|)) (|Symbol|)) "\\spad{linkToFortran(s,l,ll,lv,t)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|)))) (|List| (|List| (|Union| (|:| |array| (|List| (|Symbol|))) (|:| |scalar| (|Symbol|))))) (|List| (|Symbol|))) "\\spad{linkToFortran(s,l,ll,lv)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-401 -1486 |returnType| |arguments| |symbols|) 
+(-401 -2798 |returnType| |arguments| |symbols|) 
 ((|constructor| (NIL "\\axiomType{FortranProgram} allows the user to build and manipulate simple models of FORTRAN subprograms. These can then be transformed into actual FORTRAN notation.")) (|coerce| (($ (|Equation| (|Expression| (|Complex| (|Float|))))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Float|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|Integer|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|Complex| (|Float|)))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Float|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|Integer|))) "\\spad{coerce(e)} is not documented") (($ (|Equation| (|Expression| (|MachineComplex|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineFloat|)))) "\\spad{coerce(eq)} is not documented") (($ (|Equation| (|Expression| (|MachineInteger|)))) "\\spad{coerce(eq)} is not documented") (($ (|Expression| (|MachineComplex|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineFloat|))) "\\spad{coerce(e)} is not documented") (($ (|Expression| (|MachineInteger|))) "\\spad{coerce(e)} is not documented") (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(r)} is not documented") (($ (|List| (|FortranCode|))) "\\spad{coerce(lfc)} is not documented") (($ (|FortranCode|)) "\\spad{coerce(fc)} is not documented"))) 
 NIL 
 NIL 
-(-402 -1564 UP) 
-((|constructor| (NIL "Full partial fraction expansion of rational functions")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(f,{} n)} returns the \\spad{n}-th derivative of \\spad{f}.") (($ $) "\\spad{D(f)} returns the derivative of \\spad{f}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,{} n)} returns the \\spad{n}-th derivative of \\spad{f}.") (($ $) "\\spad{differentiate(f)} returns the derivative of \\spad{f}.")) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) "\\spad{construct(l)} is the inverse of fracPart.")) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) "\\spad{fracPart(f)} returns the list of summands of the fractional part of \\spad{f}.")) (|polyPart| ((|#2| $) "\\spad{polyPart(f)} returns the polynomial part of \\spad{f}.")) (|fullPartialFraction| (($ (|Fraction| |#2|)) "\\spad{fullPartialFraction(f)} returns \\spad{[p,{} [[j,{} Dj,{} Hj]...]]} such that \\spad{f = p(x) + sum_{[j,{}Dj,{}Hj] in l} sum_{Dj(a)=0} Hj(a)/(x - a)\\^j}.")) (+ (($ |#2| $) "\\spad{p + x} returns the sum of \\spad{p} and \\spad{x}"))) 
+(-402 -1647 UP) 
+((|constructor| (NIL "Full partial fraction expansion of rational functions")) (D (($ $ (|NonNegativeInteger|)) "\\spad{D(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{D(f)} returns the derivative of \\spad{f.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f, \\spad{n)}} returns the \\spad{n}-th derivative of \\spad{f.}") (($ $) "\\spad{differentiate(f)} returns the derivative of \\spad{f.}")) (|construct| (($ (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|)))) "\\spad{construct(l)} is the inverse of fracPart.")) (|fracPart| (((|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| |#2|) (|:| |num| |#2|))) $) "\\spad{fracPart(f)} returns the list of summands of the fractional part of \\spad{f.}")) (|polyPart| ((|#2| $) "\\spad{polyPart(f)} returns the polynomial part of \\spad{f.}")) (|fullPartialFraction| (($ (|Fraction| |#2|)) "\\spad{fullPartialFraction(f)} returns \\spad{[p, [[j, \\spad{Dj,} Hj]...]]} such that \\spad{f = p(x) + sum_{[j,Dj,Hj] in \\spad{l}} sum_{Dj(a)=0} Hj(a)/(x - a)\\^j}.")) (+ (($ |#2| $) "\\spad{p + \\spad{x}} returns the sum of \\spad{p} and \\spad{x}"))) 
 NIL 
 NIL 
 (-403 R) 
 ((|constructor| (NIL "A set \\spad{S} is PatternMatchable over \\spad{R} if \\spad{S} can lift the pattern-matching functions of \\spad{S} over the integers and float to itself (necessary for matching in towers)."))) 
-((-2982 . T)) 
+((-4317 . T)) 
 NIL 
 (-404 S) 
-((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic,{} \\spadignore{e.g.} finite fields,{} algebraic closures of fields of prime characteristic,{} transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,{}s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,{}a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
+((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
 NIL 
 NIL 
 (-405) 
-((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic,{} \\spadignore{e.g.} finite fields,{} algebraic closures of fields of prime characteristic,{} transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,{}s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,{}a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "FieldOfPrimeCharacteristic is the category of fields of prime characteristic, \\spadignore{e.g.} finite fields, algebraic closures of fields of prime characteristic, transcendental extensions of of fields of prime characteristic.")) (|primeFrobenius| (($ $ (|NonNegativeInteger|)) "\\spad{primeFrobenius(a,s)} returns \\spad{a**(p**s)} where \\spad{p} is the characteristic.") (($ $) "\\spad{primeFrobenius(a)} returns \\spad{a**p} where \\spad{p} is the characteristic.")) (|discreteLog| (((|Union| (|NonNegativeInteger|) "failed") $ $) "\\spad{discreteLog(b,a)} computes \\spad{s} with \\spad{b**s = a} if such an \\spad{s} exists.")) (|order| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{order(a)} computes the order of an element in the multiplicative group of the field. Error: if \\spad{a} is 0."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-406 S) 
-((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact,{} it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\spad{\\br} 2: precision of the mantissa (arbitrary or fixed)\\spad{\\br} 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers,{} even though it is defined to be a join of a Field and OrderedRing,{} some of the attributes do not hold. In particular associative(\\spad{\"+\"}) does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling\\spad{'s} precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling\\spad{'s} precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x}.")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x}.")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order x} is the order of magnitude of \\spad{x}. Note that \\spad{base ** order x <= |x| < base ** (1 + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,{}e,{}b)} returns \\spad{a * b ** e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,{}e)} returns \\spad{a * base() ** e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
+((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4518)) (|HasAttribute| |#1| (QUOTE -4526))) 
+((|HasAttribute| |#1| (QUOTE -4554)) (|HasAttribute| |#1| (QUOTE -4562))) 
 (-407) 
-((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact,{} it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\spad{\\br} 2: precision of the mantissa (arbitrary or fixed)\\spad{\\br} 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers,{} even though it is defined to be a join of a Field and OrderedRing,{} some of the attributes do not hold. In particular associative(\\spad{\"+\"}) does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling\\spad{'s} precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling\\spad{'s} precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x}.")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x}.")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order x} is the order of magnitude of \\spad{x}. Note that \\spad{base ** order x <= |x| < base ** (1 + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,{}e,{}b)} returns \\spad{a * b ** e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,{}e)} returns \\spad{a * base() ** e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
-((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category is intended as a model for floating point systems. A floating point system is a model for the real numbers. In fact, it is an approximation in the sense that not all real numbers are exactly representable by floating point numbers. A floating point system is characterized by the following: \\blankline 1: base of the exponent where the actual implemenations are usually binary or decimal)\\br 2: precision of the mantissa (arbitrary or fixed)\\br 3: rounding error for operations \\blankline Because a Float is an approximation to the real numbers, even though it is defined to be a join of a Field and OrderedRing, some of the attributes do not hold. In particular associative(\"+\") does not hold. Algorithms defined over a field need special considerations when the field is a floating point system.")) (|max| (($) "\\spad{max()} returns the maximum floating point number.")) (|min| (($) "\\spad{min()} returns the minimum floating point number.")) (|decreasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{decreasePrecision(n)} decreases the current \\spadfunFrom{precision}{FloatingPointSystem} precision by \\spad{n} decimal digits.")) (|increasePrecision| (((|PositiveInteger|) (|Integer|)) "\\spad{increasePrecision(n)} increases the current \\spadfunFrom{precision}{FloatingPointSystem} by \\spad{n} decimal digits.")) (|precision| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(n)} set the precision in the base to \\spad{n} decimal digits.") (((|PositiveInteger|)) "\\spad{precision()} returns the precision in digits base.")) (|digits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{digits(d)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{d} digits.") (((|PositiveInteger|)) "\\spad{digits()} returns ceiling's precision in decimal digits.")) (|bits| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{bits(n)} set the \\spadfunFrom{precision}{FloatingPointSystem} to \\spad{n} bits.") (((|PositiveInteger|)) "\\spad{bits()} returns ceiling's precision in bits.")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(x)} returns the mantissa part of \\spad{x.}")) (|exponent| (((|Integer|) $) "\\spad{exponent(x)} returns the \\spadfunFrom{exponent}{FloatingPointSystem} part of \\spad{x.}")) (|base| (((|PositiveInteger|)) "\\indented{1}{base() returns the base of the} \\spadfunFrom{exponent}{FloatingPointSystem}.")) (|order| (((|Integer|) $) "\\spad{order \\spad{x}} is the order of magnitude of \\spad{x.} Note that \\spad{base \\spad{**} order \\spad{x} \\spad{<=} \\spad{|x|} < base \\spad{**} \\spad{(1} + order x)}.")) (|float| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{float(a,e,b)} returns \\spad{a * \\spad{b} \\spad{**} e}.") (($ (|Integer|) (|Integer|)) "\\spad{float(a,e)} returns \\spad{a * base() \\spad{**} e}.")) (|approximate| ((|attribute|) "\\spad{approximate} means \"is an approximation to the real numbers\"."))) 
+((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-408 R S) 
-((|constructor| (NIL "\\spadtype{FactoredFunctions2} contains functions that involve factored objects whose underlying domains may not be the same. For example,{} \\spadfun{map} might be used to coerce an object of type \\spadtype{Factored(Integer)} to \\spadtype{Factored(Complex(Integer))}.")) (|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) "\\spad{map(fn,{}u)} is used to apply the function \\userfun{\\spad{fn}} to every factor of \\spadvar{\\spad{u}}. The new factored object will have all its information flags set to \"nil\". This function is used,{} for example,{} to coerce every factor base to another type."))) 
+((|constructor| (NIL "\\spadtype{FactoredFunctions2} contains functions that involve factored objects whose underlying domains may not be the same. For example, \\spadfun{map} might be used to coerce an object of type \\spadtype{Factored(Integer)} to \\spadtype{Factored(Complex(Integer))}.")) (|map| (((|Factored| |#2|) (|Mapping| |#2| |#1|) (|Factored| |#1|)) "\\spad{map(fn,u)} is used to apply the function \\userfun{fn} to every factor of \\spadvar{u}. The new factored object will have all its information flags set to \"nil\". This function is used, for example, to coerce every factor base to another type."))) 
 NIL 
 NIL 
 (-409 A B) 
-((|constructor| (NIL "This package extends a map between integral domains to a map between Fractions over those domains by applying the map to the numerators and denominators.")) (|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) "\\spad{map(func,{}frac)} applies the function \\spad{func} to the numerator and denominator of the fraction \\spad{frac}."))) 
+((|constructor| (NIL "This package extends a map between integral domains to a map between Fractions over those domains by applying the map to the numerators and denominators.")) (|map| (((|Fraction| |#2|) (|Mapping| |#2| |#1|) (|Fraction| |#1|)) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of the fraction frac."))) 
 NIL 
 NIL 
 (-410 S) 
-((|constructor| (NIL "Fraction takes an IntegralDomain \\spad{S} and produces the domain of Fractions with numerators and denominators from \\spad{S}. If \\spad{S} is also a GcdDomain,{} then \\spad{gcd}\\spad{'s} between numerator and denominator will be cancelled during all operations.")) (|canonical| ((|attribute|) "\\spad{canonical} means that equal elements are in fact identical."))) 
-((-4522 -12 (|has| |#1| (-6 -4533)) (|has| |#1| (-454)) (|has| |#1| (-6 -4522))) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-551))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824)))) (-12 (|HasAttribute| |#1| (QUOTE -4533)) (|HasAttribute| |#1| (QUOTE -4522)) (|HasCategory| |#1| (QUOTE (-454)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-843)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-824))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+((|constructor| (NIL "Fraction takes an IntegralDomain \\spad{S} and produces the domain of Fractions with numerators and denominators from \\spad{S.} If \\spad{S} is also a GcdDomain, then gcd's between numerator and denominator will be cancelled during all operations.")) (|canonical| ((|attribute|) "\\spad{canonical} means that equal elements are in fact identical."))) 
+((-4558 -12 (|has| |#1| (-6 -4569)) (|has| |#1| (-454)) (|has| |#1| (-6 -4558))) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-551))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825)))) (-12 (|HasAttribute| |#1| (QUOTE -4569)) (|HasAttribute| |#1| (QUOTE -4558)) (|HasCategory| |#1| (QUOTE (-454)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-844)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-825))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
 (-411 S R UP) 
-((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed \\spad{R}-module basis.")) (|regularRepresentation| (((|Matrix| |#2|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#2|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#2|)) "\\spad{traceMatrix()} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr(\\spad{vi} * vj)} ),{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
+((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#2|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#2|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#2|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
 NIL 
 NIL 
 (-412 R UP) 
-((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed \\spad{R}-module basis.")) (|regularRepresentation| (((|Matrix| |#1|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#1|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#1|)) "\\spad{traceMatrix()} is the \\spad{n}-by-\\spad{n} matrix ( \\spad{Tr(\\spad{vi} * vj)} ),{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}..,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,{}...,{}vm])} returns the coordinates of the \\spad{vi}\\spad{'s} with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "A \\spadtype{FramedAlgebra} is a \\spadtype{FiniteRankAlgebra} together with a fixed R-module basis.")) (|regularRepresentation| (((|Matrix| |#1|) $) "\\spad{regularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed basis.")) (|discriminant| ((|#1|) "\\spad{discriminant()} = determinant(traceMatrix()).")) (|traceMatrix| (((|Matrix| |#1|)) "\\spad{traceMatrix()} is the n-by-n matrix ( \\spad{Tr(vi * vj)} \\spad{),} where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,..,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1,} ..., \\spad{vn} are the elements of the fixed basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([v1,...,vm])} returns the coordinates of the vi's with to the fixed basis. The coordinates of \\spad{vi} are contained in the \\spad{i}th row of the matrix returned by this function.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed R-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed R-module basis."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-413 A S) 
-((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular,{} what we are asserting is that there are no integers (rationals) in A which don\\spad{'t} retract into \\spad{B}."))) 
+((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-414 S) 
-((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular,{} what we are asserting is that there are no integers (rationals) in A which don\\spad{'t} retract into \\spad{B}."))) 
+((|constructor| (NIL "A is fully retractable to \\spad{B} means that A is retractable to \\spad{B} and if \\spad{B} is retractable to the integers or rational numbers then so is A. In particular, what we are asserting is that there are no integers (rationals) in A which don't retract into \\spad{B.}"))) 
 NIL 
 NIL 
 (-415 R1 F1 U1 A1 R2 F2 U2 A2) 
-((|constructor| (NIL "Lifting of morphisms to fractional ideals.")) (|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{map(f,{}i)} \\undocumented{}"))) 
+((|constructor| (NIL "Lifting of morphisms to fractional ideals.")) (|map| (((|FractionalIdeal| |#5| |#6| |#7| |#8|) (|Mapping| |#5| |#1|) (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{map(f,i)} \\undocumented{}"))) 
 NIL 
 NIL 
-(-416 R -1564 UP A) 
-((|constructor| (NIL "Fractional ideals in a framed algebra.")) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) "\\spad{randomLC(n,{}x)} should be local but conditional.")) (|minimize| (($ $) "\\spad{minimize(I)} returns a reduced set of generators for \\spad{I}.")) (|denom| ((|#1| $) "\\spad{denom(1/d * (f1,{}...,{}fn))} returns \\spad{d}.")) (|numer| (((|Vector| |#4|) $) "\\spad{numer(1/d * (f1,{}...,{}fn))} = the vector \\spad{[f1,{}...,{}fn]}.")) (|norm| ((|#2| $) "\\spad{norm(I)} returns the norm of the ideal \\spad{I}.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,{}...,{}fn))} returns the vector \\spad{[f1,{}...,{}fn]}.")) (|ideal| (($ (|Vector| |#4|)) "\\spad{ideal([f1,{}...,{}fn])} returns the ideal \\spad{(f1,{}...,{}fn)}."))) 
-((-4532 . T)) 
+(-416 R -1647 UP A) 
+((|constructor| (NIL "Fractional ideals in a framed algebra.")) (|randomLC| ((|#4| (|NonNegativeInteger|) (|Vector| |#4|)) "\\spad{randomLC(n,x)} should be local but conditional.")) (|minimize| (($ $) "\\spad{minimize(I)} returns a reduced set of generators for \\spad{I}.")) (|denom| ((|#1| $) "\\spad{denom(1/d * (f1,...,fn))} returns \\spad{d.}")) (|numer| (((|Vector| |#4|) $) "\\spad{numer(1/d * (f1,...,fn))} = the vector \\spad{[f1,...,fn]}.")) (|norm| ((|#2| $) "\\spad{norm(I)} returns the norm of the ideal I.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} returns the vector \\spad{[f1,...,fn]}.")) (|ideal| (($ (|Vector| |#4|)) "\\spad{ideal([f1,...,fn])} returns the ideal \\spad{(f1,...,fn)}."))) 
+((-4568 . T)) 
 NIL 
-(-417 R -1564 UP A |ibasis|) 
-((|constructor| (NIL "Module representation of fractional ideals.")) (|module| (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{module(I)} returns \\spad{I} viewed has a module over \\spad{R}.") (($ (|Vector| |#4|)) "\\spad{module([f1,{}...,{}fn])} = the module generated by \\spad{(f1,{}...,{}fn)} over \\spad{R}.")) (|norm| ((|#2| $) "\\spad{norm(f)} returns the norm of the module \\spad{f}.")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,{}...,{}fn))} = the vector \\spad{[f1,{}...,{}fn]}."))) 
+(-417 R -1647 UP A |ibasis|) 
+((|constructor| (NIL "Module representation of fractional ideals.")) (|module| (($ (|FractionalIdeal| |#1| |#2| |#3| |#4|)) "\\spad{module(I)} returns \\spad{I} viewed has a module over \\spad{R.}") (($ (|Vector| |#4|)) "\\spad{module([f1,...,fn])} = the module generated by \\spad{(f1,...,fn)} over \\spad{R.}")) (|norm| ((|#2| $) "\\spad{norm(f)} returns the norm of the module \\spad{f.}")) (|basis| (((|Vector| |#4|) $) "\\spad{basis((f1,...,fn))} = the vector \\spad{[f1,...,fn]}."))) 
 NIL 
-((|HasCategory| |#4| (LIST (QUOTE -1038) (|devaluate| |#2|)))) 
+((|HasCategory| |#4| (LIST (QUOTE -1039) (|devaluate| |#2|)))) 
 (-418 AR R AS S) 
-((|constructor| (NIL "\\spad{FramedNonAssociativeAlgebraFunctions2} implements functions between two framed non associative algebra domains defined over different rings. The function map is used to coerce between algebras over different domains having the same structural constants.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,{}u)} maps \\spad{f} onto the coordinates of \\spad{u} to get an element in \\spad{AS} via identification of the basis of \\spad{AR} as beginning part of the basis of \\spad{AS}."))) 
+((|constructor| (NIL "\\spad{FramedNonAssociativeAlgebraFunctions2} implements functions between two framed non associative algebra domains defined over different rings. The function map is used to coerce between algebras over different domains having the same structural constants.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the coordinates of \\spad{u} to get an element in \\spad{AS} via identification of the basis of \\spad{AR} as beginning part of the basis of \\spad{AS}."))) 
 NIL 
 NIL 
 (-419 S R) 
-((|constructor| (NIL "FramedNonAssociativeAlgebra(\\spad{R}) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#2|) $) "\\spad{apply(m,{}a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication,{} this is a substitute for a left module structure. Error: if shape of matrix doesn\\spad{'t} fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#2|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#2|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#2|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#2|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijn * vn},{} where \\spad{v1},{}...,{}\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#2| $ (|Integer|)) "\\spad{elt(a,{}i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
+((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#2|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#2|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#2|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#2|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#2|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#2|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#2|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#2|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#2|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#2|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#2|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#2| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#2|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#2|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-366)))) 
 (-420 R) 
-((|constructor| (NIL "FramedNonAssociativeAlgebra(\\spad{R}) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#1|) $) "\\spad{apply(m,{}a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication,{} this is a substitute for a left module structure. Error: if shape of matrix doesn\\spad{'t} fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra,{} defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#1|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#1|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#1|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the right trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#1|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}\\spad{-}th row and \\spad{j}\\spad{-}th column is given by the left trace of the product \\spad{vi*vj},{} where \\spad{v1},{}...,{}\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,{}...,{}an])} returns \\spad{a1*v1 + ... + an*vn},{} where \\spad{v1},{} ...,{} \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for k in 1..rank()]} defined by \\spad{\\spad{vi} * vj = gammaij1 * v1 + ... + gammaijn * vn},{} where \\spad{v1},{}...,{}\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt(a,{}i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([a1,{}...,{}am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{\\spad{ai}} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
-((-4532 |has| |#1| (-559)) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "FramedNonAssociativeAlgebra(R) is a \\spadtype{FiniteRankNonAssociativeAlgebra} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank) over a commutative ring \\spad{R} together with a fixed \\spad{R}-module basis.")) (|apply| (($ (|Matrix| |#1|) $) "\\spad{apply(m,a)} defines a left operation of \\spad{n} by \\spad{n} matrices where \\spad{n} is the rank of the algebra in terms of matrix-vector multiplication, this is a substitute for a left module structure. Error: if shape of matrix doesn't fit.")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{rightRankPolynomial()} calculates the right minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Polynomial| |#1|))) "\\spad{leftRankPolynomial()} calculates the left minimal polynomial of the generic element in the algebra, defined by the same structural constants over the polynomial ring in symbolic coefficients with respect to the fixed basis.")) (|rightRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{rightRegularRepresentation(a)} returns the matrix of the linear map defined by right multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|leftRegularRepresentation| (((|Matrix| |#1|) $) "\\spad{leftRegularRepresentation(a)} returns the matrix of the linear map defined by left multiplication by \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|rightTraceMatrix| (((|Matrix| |#1|)) "\\spad{rightTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|leftTraceMatrix| (((|Matrix| |#1|)) "\\spad{leftTraceMatrix()} is the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|rightDiscriminant| ((|#1|) "\\spad{rightDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the right trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(rightTraceMatrix())}.")) (|leftDiscriminant| ((|#1|) "\\spad{leftDiscriminant()} returns the determinant of the \\spad{n}-by-\\spad{n} matrix whose element at the \\spad{i}-th row and \\spad{j}-th column is given by the left trace of the product \\spad{vi*vj}, where \\spad{v1},...,\\spad{vn} are the elements of the fixed \\spad{R}-module basis. Note that the same as \\spad{determinant(leftTraceMatrix())}.")) (|convert| (($ (|Vector| |#1|)) "\\spad{convert([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{convert(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|represents| (($ (|Vector| |#1|)) "\\spad{represents([a1,...,an])} returns \\spad{a1*v1 + \\spad{...} + an*vn}, where \\spad{v1}, ..., \\spad{vn} are the elements of the fixed \\spad{R}-module basis.")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|))) "\\spad{structuralConstants()} calculates the structural constants \\spad{[(gammaijk) for \\spad{k} in 1..rank()]} defined by \\spad{vi * \\spad{vj} = \\spad{gammaij1} * \\spad{v1} + \\spad{...} + gammaijn * vn}, where \\spad{v1},...,\\spad{vn} is the fixed \\spad{R}-module basis.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt(a,i)} returns the \\spad{i}-th coefficient of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|coordinates| (((|Matrix| |#1|) (|Vector| $)) "\\spad{coordinates([a1,...,am])} returns a matrix whose \\spad{i}-th row is formed by the coordinates of \\spad{ai} with respect to the fixed \\spad{R}-module basis.") (((|Vector| |#1|) $) "\\spad{coordinates(a)} returns the coordinates of \\spad{a} with respect to the fixed \\spad{R}-module basis.")) (|basis| (((|Vector| $)) "\\spad{basis()} returns the fixed \\spad{R}-module basis."))) 
+((-4568 |has| |#1| (-559)) (-4566 . T) (-4565 . T)) 
 NIL 
 (-421 R) 
-((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others,{} like addition require somewhat more work,{} and unless the argument domain provides a factor function,{} the result may not be completely factored. Each object consists of a unit and a list of factors,{} where a factor has a member of \\spad{R} (the \"base\"),{} and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\",{} \"sqfr\",{} \"irred\" or \"prime\",{} which respectively mean that nothing is known about the base,{} it is square-free,{} it is irreducible,{} or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{\\spad{u}} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{\\spad{u}} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(\\spad{fn},{}\\spad{u}) maps the function \\userfun{\\spad{fn}} across the factors of} \\indented{1}{\\spadvar{\\spad{u}} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{\\spad{fn}} is clearly not known in general.} \\blankline \\spad{X} \\spad{m}(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} map(\\spad{m},{}\\spad{f}) \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} map(\\spad{m},{}\\spad{g})")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example,{} when working with factored integers,{} this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(\\spad{u}) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,{}exponent,{}flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information \\spad{flag}.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,{}5) \\spad{X} nthFlag(a,{}1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,{}4) \\spad{X} nthFlag(a,{}1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(\\spad{u}) returns the number of factors in \\spadvar{\\spad{u}}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(\\spad{u},{}\\spad{n}) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,{}2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(\\spad{u},{}\\spad{n}) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{\\spad{u}} consists only of a unit,{} the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,{}2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(\\spad{u},{}\\spad{n}) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{\\spad{u}}.\\space{2}If \\spadvar{\\spad{n}} is not a valid index for a factor} \\indented{1}{(for example,{} less than 1 or too big),{} 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,{}2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,{}1) \\spad{X} nthFlag(a,{}1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(\\spad{u}) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is,{} it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(\\spad{u})}).} \\blankline \\spad{X} \\spad{f:=x*y^3}-3*x^2*y^2+3*x^3*y-\\spad{x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(\\spad{z},{}factorList \\spad{f}) \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,{}exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,{}2) \\spad{X} nilFactor(\\spad{x}-\\spad{y},{}3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(\\spad{u}) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,{}listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(\\spad{x}-\\spad{y},{}3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(\\spad{z},{}\\spad{g})")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(\\spad{u}) returns the exponent of the first factor of} \\indented{1}{\\spadvar{\\spad{u}},{} or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} exponent(\\spad{f})")) (|expand| ((|#1| $) "\\indented{1}{expand(\\spad{f}) multiplies the unit and factors together,{} yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(\\spad{y}-\\spad{x},{}3) \\spad{X} expand(\\spad{f})"))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -304) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -282) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1202))) (|HasCategory| |#1| (QUOTE (-1022))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-1202))))) 
+((|constructor| (NIL "\\spadtype{Factored} creates a domain whose objects are kept in factored form as long as possible. Thus certain operations like multiplication and \\spad{gcd} are relatively easy to do. Others, like addition require somewhat more work, and unless the argument domain provides a factor function, the result may not be completely factored. Each object consists of a unit and a list of factors, where a factor has a member of \\spad{R} (the \"base\"), and exponent and a flag indicating what is known about the base. A flag may be one of \"nil\", \"sqfr\", \"irred\" or \"prime\", which respectively mean that nothing is known about the base, it is square-free, it is irreducible, or it is prime. The current restriction to integral domains allows simplification to be performed without worrying about multiplication order.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(u)} returns a rational number if \\spad{u} really is one, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(u)} assumes spadvar{u} is actually a rational number and does the conversion to rational number (see \\spadtype{Fraction Integer}).")) (|rational?| (((|Boolean|) $) "\\spad{rational?(u)} tests if \\spadvar{u} is actually a rational number (see \\spadtype{Fraction Integer}).")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\indented{1}{map(fn,u) maps the function \\userfun{fn} across the factors of} \\indented{1}{\\spadvar{u} and creates a new factored object. Note: this clears} \\indented{1}{the information flags (sets them to \"nil\") because the effect of} \\indented{1}{\\userfun{fn} is clearly not known in general.} \\blankline \\spad{X} m(a:Factored Polynomial Integer):Factored Polynomial Integer \\spad{==} \\spad{a^2} \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} map(m,f) \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} map(m,g)")) (|unitNormalize| (($ $) "\\spad{unitNormalize(u)} normalizes the unit part of the factorization. For example, when working with factored integers, this operation will ensure that the bases are all positive integers.")) (|unit| ((|#1| $) "\\indented{1}{unit(u) extracts the unit part of the factorization.} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} unit \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} unit \\spad{g}")) (|flagFactor| (($ |#1| (|Integer|) (|Union| "nil" "sqfr" "irred" "prime")) "\\spad{flagFactor(base,exponent,flag)} creates a factored object with a single factor whose \\spad{base} is asserted to be properly described by the information flag.")) (|sqfrFactor| (($ |#1| (|Integer|)) "\\indented{1}{sqfrFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be square-free} \\indented{1}{(flag = \"sqfr\").} \\blankline \\spad{X} a:=sqfrFactor(3,5) \\spad{X} nthFlag(a,1)")) (|primeFactor| (($ |#1| (|Integer|)) "\\indented{1}{primeFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be prime} \\indented{1}{(flag = \"prime\").} \\blankline \\spad{X} a:=primeFactor(3,4) \\spad{X} nthFlag(a,1)")) (|numberOfFactors| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfFactors(u) returns the number of factors in \\spadvar{u}.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} numberOfFactors a")) (|nthFlag| (((|Union| "nil" "sqfr" "irred" "prime") $ (|Integer|)) "\\indented{1}{nthFlag(u,n) returns the information flag of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), \"nil\" is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFlag(a,2)")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{nthFactor(u,n) returns the base of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 1 is returned.\\space{2}If} \\indented{1}{\\spadvar{u} consists only of a unit, the unit is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthFactor(a,2)")) (|nthExponent| (((|Integer|) $ (|Integer|)) "\\indented{1}{nthExponent(u,n) returns the exponent of the \\spad{n}th factor of} \\indented{1}{\\spadvar{u}.\\space{2}If \\spadvar{n} is not a valid index for a factor} \\indented{1}{(for example, less than 1 or too big), 0 is returned.} \\blankline \\spad{X} a:=factor 9720000 \\spad{X} nthExponent(a,2)")) (|irreducibleFactor| (($ |#1| (|Integer|)) "\\indented{1}{irreducibleFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor whose base is asserted to be irreducible} \\indented{1}{(flag = \"irred\").} \\blankline \\spad{X} a:=irreducibleFactor(3,1) \\spad{X} nthFlag(a,1)")) (|factors| (((|List| (|Record| (|:| |factor| |#1|) (|:| |exponent| (|Integer|)))) $) "\\indented{1}{factors(u) returns a list of the factors in a form suitable} \\indented{1}{for iteration. That is, it returns a list where each element} \\indented{1}{is a record containing a base and exponent.\\space{2}The original} \\indented{1}{object is the product of all the factors and the unit (which} \\indented{1}{can be extracted by \\axiom{unit(u)}).} \\blankline \\spad{X} \\spad{f:=x*y^3-3*x^2*y^2+3*x^3*y-x^4} \\spad{X} factors \\spad{f} \\spad{X} g:=makeFR(z,factorList \\spad{f)} \\spad{X} factors \\spad{g}")) (|nilFactor| (($ |#1| (|Integer|)) "\\indented{1}{nilFactor(base,exponent) creates a factored object with} \\indented{1}{a single factor with no information about the kind of} \\indented{1}{base (flag = \"nil\").} \\blankline \\spad{X} nilFactor(24,2) \\spad{X} nilFactor(x-y,3)")) (|factorList| (((|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|)))) $) "\\indented{1}{factorList(u) returns the list of factors with flags (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} factorList \\spad{f}")) (|makeFR| (($ |#1| (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (|Integer|))))) "\\indented{1}{makeFR(unit,listOfFactors) creates a factored object (for} \\indented{1}{use by factoring code).} \\blankline \\spad{X} f:=nilFactor(x-y,3) \\spad{X} g:=factorList \\spad{f} \\spad{X} makeFR(z,g)")) (|exponent| (((|Integer|) $) "\\indented{1}{exponent(u) returns the exponent of the first factor of} \\indented{1}{\\spadvar{u}, or 0 if the factored form consists solely of a unit.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} exponent(f)")) (|expand| ((|#1| $) "\\indented{1}{expand(f) multiplies the unit and factors together, yielding an} \\indented{1}{\"unfactored\" object. Note: this is purposely not called} \\indented{1}{\\spadfun{coerce} which would cause the interpreter to do this} \\indented{1}{automatically.} \\blankline \\spad{X} f:=nilFactor(y-x,3) \\spad{X} expand(f)"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -304) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -282) (QUOTE $) (QUOTE $))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1208))) (|HasCategory| |#1| (QUOTE (-1023))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-1208))))) 
 (-422 R) 
-((|constructor| (NIL "\\spadtype{FactoredFunctionUtilities} implements some utility functions for manipulating factored objects.")) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) "\\spad{mergeFactors(u,{}v)} is used when the factorizations of \\spadvar{\\spad{u}} and \\spadvar{\\spad{v}} are known to be disjoint,{} \\spadignore{e.g.} resulting from a content/primitive part split. Essentially,{} it creates a new factored object by multiplying the units together and appending the lists of factors.")) (|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) "\\spad{refine(u,{}fn)} is used to apply the function \\userfun{\\spad{fn}} to each factor of \\spadvar{\\spad{u}} and then build a new factored object from the results. For example,{} if \\spadvar{\\spad{u}} were created by calling \\spad{nilFactor(10,{}2)} then \\spad{refine(u,{}factor)} would create a factored object equal to that created by \\spad{factor(100)} or \\spad{primeFactor(2,{}2) * primeFactor(5,{}2)}."))) 
+((|constructor| (NIL "\\spadtype{FactoredFunctionUtilities} implements some utility functions for manipulating factored objects.")) (|mergeFactors| (((|Factored| |#1|) (|Factored| |#1|) (|Factored| |#1|)) "\\spad{mergeFactors(u,v)} is used when the factorizations of \\spadvar{u} and \\spadvar{v} are known to be disjoint, \\spadignore{e.g.} resulting from a content/primitive part split. Essentially, it creates a new factored object by multiplying the units together and appending the lists of factors.")) (|refine| (((|Factored| |#1|) (|Factored| |#1|) (|Mapping| (|Factored| |#1|) |#1|)) "\\spad{refine(u,fn)} is used to apply the function \\userfun{fn} to each factor of \\spadvar{u} and then build a new factored object from the results. For example, if \\spadvar{u} were created by calling \\spad{nilFactor(10,2)} then \\spad{refine(u,factor)} would create a factored object equal to that created by \\spad{factor(100)} or \\spad{primeFactor(2,2) * primeFactor(5,2)}."))) 
 NIL 
 NIL 
 (-423 R FE |x| |cen|) 
-((|constructor| (NIL "This package converts expressions in some function space to exponential expansions.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function,{} but the compiler won\\spad{'t} allow it.")) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) "\\spad{exprToXXP(fcn,{}posCheck?)} converts the expression \\spad{fcn} to an exponential expansion. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed."))) 
+((|constructor| (NIL "This package converts expressions in some function space to exponential expansions.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToXXP| (((|Union| (|:| |%expansion| (|ExponentialExpansion| |#1| |#2| |#3| |#4|)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|)) "\\spad{exprToXXP(fcn,posCheck?)} converts the expression \\spad{fcn} to an exponential expansion. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed."))) 
 NIL 
 NIL 
 (-424 R A S B) 
-((|constructor| (NIL "Lifting of maps to function spaces This package allows a mapping \\spad{R} \\spad{->} \\spad{S} to be lifted to a mapping from a function space over \\spad{R} to a function space over \\spad{S}.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{} a)} applies \\spad{f} to all the constants in \\spad{R} appearing in \\spad{a}."))) 
+((|constructor| (NIL "Lifting of maps to function spaces This package allows a mapping \\spad{R} \\spad{->} \\spad{S} to be lifted to a mapping from a function space over \\spad{R} to a function space over \\spad{S;}")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, a)} applies \\spad{f} to all the constants in \\spad{R} appearing in \\spad{a}."))) 
 NIL 
 NIL 
 (-425 R FE |Expon| UPS TRAN |x|) 
-((|constructor| (NIL "This package converts expressions in some function space to power series in a variable \\spad{x} with coefficients in that function space. The function \\spadfun{exprToUPS} converts expressions to power series whose coefficients do not contain the variable \\spad{x}. The function \\spadfun{exprToGenUPS} converts functional expressions to power series whose coefficients may involve functions of \\spad{log(x)}.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function,{} but the compiler won\\spad{'t} allow it.")) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToGenUPS(fcn,{}posCheck?,{}atanFlag)} converts the expression \\spad{fcn} to a generalized power series. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))},{} where \\spad{f(x)} has a pole,{} will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"},{} \\spad{\"real: two sides\"},{} \\spad{\"real: left side\"},{} \\spad{\"real: right side\"},{} and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"},{} then no series expansion will be computed because,{} viewed as a function of a complex variable,{} \\spad{atan(f(x))} has an essential singularity. Otherwise,{} the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined,{} a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator),{} then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"},{} no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series,{} we return a record containing the name of the function that caused the problem and a brief description of the problem. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a,{} the user should perform the substitution \\spad{x -> x + a} before calling this function.")) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToUPS(fcn,{}posCheck?,{}atanFlag)} converts the expression \\spad{fcn} to a power series. If \\spad{posCheck?} is \\spad{true},{} log\\spad{'s} of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is \\spad{false},{} these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))},{} where \\spad{f(x)} has a pole,{} will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"},{} \\spad{\"real: two sides\"},{} \\spad{\"real: left side\"},{} \\spad{\"real: right side\"},{} and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"},{} then no series expansion will be computed because,{} viewed as a function of a complex variable,{} \\spad{atan(f(x))} has an essential singularity. Otherwise,{} the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined,{} a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator),{} then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"},{} no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series,{} a record containing the name of the function that caused the problem and a brief description of the problem is returned. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a,{} the user should perform the substitution \\spad{x -> x + a} before calling this function.")) (|integrate| (($ $) "\\spad{integrate(x)} returns the integral of \\spad{x} since we need to be able to integrate a power series")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x} since we need to be able to differentiate a power series")) (|coerce| (($ |#3|) "\\spad{coerce(e)} converts an 'exponent' \\spad{e} to an 'expression'"))) 
+((|constructor| (NIL "This package converts expressions in some function space to power series in a variable \\spad{x} with coefficients in that function space. The function \\spadfun{exprToUPS} converts expressions to power series whose coefficients do not contain the variable \\spad{x.} The function \\spadfun{exprToGenUPS} converts functional expressions to power series whose coefficients may involve functions of \\spad{log(x)}.")) (|localAbs| ((|#2| |#2|) "\\spad{localAbs(fcn)} = \\spad{abs(fcn)} or \\spad{sqrt(fcn**2)} depending on whether or not FE has a function \\spad{abs}. This should be a local function, but the compiler won't allow it.")) (|exprToGenUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToGenUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a generalized power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, we return a record containing the name of the function that caused the problem and a brief description of the problem. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|exprToUPS| (((|Union| (|:| |%series| |#4|) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|))))) |#2| (|Boolean|) (|String|)) "\\spad{exprToUPS(fcn,posCheck?,atanFlag)} converts the expression \\spad{fcn} to a power series. If \\spad{posCheck?} is true, log's of negative numbers are not allowed nor are \\spad{n}th roots of negative numbers with \\spad{n} even. If \\spad{posCheck?} is false, these are allowed. \\spad{atanFlag} determines how the case \\spad{atan(f(x))}, where \\spad{f(x)} has a pole, will be treated. The possible values of \\spad{atanFlag} are \\spad{\"complex\"}, \\spad{\"real: two sides\"}, \\spad{\"real: left side\"}, \\spad{\"real: right side\"}, and \\spad{\"just do it\"}. If \\spad{atanFlag} is \\spad{\"complex\"}, then no series expansion will be computed because, viewed as a function of a complex variable, \\spad{atan(f(x))} has an essential singularity. Otherwise, the sign of the leading coefficient of the series expansion of \\spad{f(x)} determines the constant coefficient in the series expansion of \\spad{atan(f(x))}. If this sign cannot be determined, a series expansion is computed only when \\spad{atanFlag} is \\spad{\"just do it\"}. When the leading term in the series expansion of \\spad{f(x)} is of odd degree (or is a rational degree with odd numerator), then the constant coefficient in the series expansion of \\spad{atan(f(x))} for values to the left differs from that for values to the right. If \\spad{atanFlag} is \\spad{\"real: two sides\"}, no series expansion will be computed. If \\spad{atanFlag} is \\spad{\"real: left side\"} the constant coefficient for values to the left will be used and if \\spad{atanFlag} \\spad{\"real: right side\"} the constant coefficient for values to the right will be used. If there is a problem in converting the function to a power series, a record containing the name of the function that caused the problem and a brief description of the problem is returned. When expanding the expression into a series it is assumed that the series is centered at 0. For a series centered at a, the user should perform the substitution \\spad{x \\spad{->} \\spad{x} + a} before calling this function.")) (|integrate| (($ $) "\\spad{integrate(x)} returns the integral of \\spad{x} since we need to be able to integrate a power series")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x} since we need to be able to differentiate a power series")) (|coerce| (($ |#3|) "\\spad{coerce(e)} converts an 'exponent' \\spad{e} to an 'expression'"))) 
 NIL 
 NIL 
 (-426 S A R B) 
-((|constructor| (NIL "\\spad{FiniteSetAggregateFunctions2} provides functions involving two finite set aggregates where the underlying domains might be different. An example of this is to create a set of rational numbers by mapping a function across a set of integers,{} where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,{}a,{}r)} successively applies \\spad{reduce(f,{}x,{}r)} to more and more leading sub-aggregates \\spad{x} of aggregate \\spad{a}. More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then \\spad{scan(f,{}a,{}r)} returns \\spad {[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,{}a,{}r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialised to \\spad{r}. For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)} does a \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as an identity element for the function.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{}a)} applies function \\spad{f} to each member of aggregate \\spad{a},{} creating a new aggregate with a possibly different underlying domain."))) 
+((|constructor| (NIL "\\spad{FiniteSetAggregateFunctions2} provides functions involving two finite set aggregates where the underlying domains might be different. An example of this is to create a set of rational numbers by mapping a function across a set of integers, where the function divides each integer by 1000.")) (|scan| ((|#4| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{scan(f,a,r)} successively applies \\spad{reduce(f,x,r)} to more and more leading sub-aggregates \\spad{x} of aggregate \\spad{a}. More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then \\spad{scan(f,a,r)} returns \\spad {[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.")) (|reduce| ((|#3| (|Mapping| |#3| |#1| |#3|) |#2| |#3|) "\\spad{reduce(f,a,r)} applies function \\spad{f} to each successive element of the aggregate \\spad{a} and an accumulant initialised to \\spad{r.} For example, \\spad{reduce(_+$Integer,[1,2,3],0)} does a \\spad{3+(2+(1+0))}. Note that third argument \\spad{r} may be regarded as an identity element for the function.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,a)} applies function \\spad{f} to each member of aggregate \\spad{a}, creating a new aggregate with a possibly different underlying domain."))) 
 NIL 
 NIL 
 (-427 A S) 
-((|constructor| (NIL "A finite-set aggregate models the notion of a finite set,{} that is,{} a collection of elements characterized by membership,{} but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate \\spad{u}.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate \\spad{u}.")) (|universe| (($) "\\spad{universe()}\\$\\spad{D} returns the universal set for finite set aggregate \\spad{D}.")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set \\spad{u},{} \\spadignore{i.e.} the set of all values not in \\spad{u}.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of \\spad{u}. Note that \\axiom{cardinality(\\spad{u}) = \\#u}."))) 
+((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#2| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#2| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, \\spadignore{i.e.} the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-371)))) 
+((|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-371)))) 
 (-428 S) 
-((|constructor| (NIL "A finite-set aggregate models the notion of a finite set,{} that is,{} a collection of elements characterized by membership,{} but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate \\spad{u}.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate \\spad{u}.")) (|universe| (($) "\\spad{universe()}\\$\\spad{D} returns the universal set for finite set aggregate \\spad{D}.")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set \\spad{u},{} \\spadignore{i.e.} the set of all values not in \\spad{u}.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of \\spad{u}. Note that \\axiom{cardinality(\\spad{u}) = \\#u}."))) 
-((-4535 . T) (-4525 . T) (-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "A finite-set aggregate models the notion of a finite set, that is, a collection of elements characterized by membership, but not by order or multiplicity. See \\spadtype{Set} for an example.")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest element of aggregate u.")) (|max| ((|#1| $) "\\spad{max(u)} returns the largest element of aggregate u.")) (|universe| (($) "\\spad{universe()}$D returns the universal set for finite set aggregate \\spad{D.}")) (|complement| (($ $) "\\spad{complement(u)} returns the complement of the set u, \\spadignore{i.e.} the set of all values not in u.")) (|cardinality| (((|NonNegativeInteger|) $) "\\spad{cardinality(u)} returns the number of elements of u. Note that \\axiom{cardinality(u) = \\#u}."))) 
+((-4571 . T) (-4561 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-429 R -1564) 
-((|constructor| (NIL "Top-level complex function integration \\spadtype{FunctionSpaceComplexIntegration} provides functions for the indefinite integration of complex-valued functions.")) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) "\\spad{complexIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate0 should} be a local function,{} but is conditional.")) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable."))) 
+(-429 R -1647) 
+((|constructor| (NIL "Top-level complex function integration \\spadtype{FunctionSpaceComplexIntegration} provides functions for the indefinite integration of complex-valued functions.")) (|complexIntegrate| ((|#2| |#2| (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|internalIntegrate0| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate0 should} be a local function, but is conditional.")) (|internalIntegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable."))) 
 NIL 
 NIL 
 (-430 R E) 
-((|constructor| (NIL "This domain converts terms into Fourier series")) (|makeCos| (($ |#2| |#1|) "\\indented{1}{makeCos(\\spad{e},{}\\spad{r}) makes a sin expression with given} argument and coefficient")) (|makeSin| (($ |#2| |#1|) "\\spad{makeSin(e,{}r)} makes a sin expression with given argument and coefficient")) (|coerce| (($ (|FourierComponent| |#2|)) "\\spad{coerce(c)} converts sin/cos terms into Fourier Series") (($ |#1|) "\\spad{coerce(r)} converts coefficients into Fourier Series"))) 
-((-4522 -12 (|has| |#1| (-6 -4522)) (|has| |#2| (-6 -4522))) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((-12 (|HasAttribute| |#1| (QUOTE -4522)) (|HasAttribute| |#2| (QUOTE -4522)))) 
-(-431 R -1564) 
-((|constructor| (NIL "Top-level real function integration \\spadtype{FunctionSpaceIntegration} provides functions for the indefinite integration of real-valued functions.")) (|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) "\\spad{integrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable."))) 
+((|constructor| (NIL "This domain converts terms into Fourier series")) (|makeCos| (($ |#2| |#1|) "\\indented{1}{makeCos(e,r) makes a sin expression with given} argument and coefficient")) (|makeSin| (($ |#2| |#1|) "\\spad{makeSin(e,r)} makes a sin expression with given argument and coefficient")) (|coerce| (($ (|FourierComponent| |#2|)) "\\spad{coerce(c)} converts sin/cos terms into Fourier Series") (($ |#1|) "\\spad{coerce(r)} converts coefficients into Fourier Series"))) 
+((-4558 -12 (|has| |#1| (-6 -4558)) (|has| |#2| (-6 -4558))) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((-12 (|HasAttribute| |#1| (QUOTE -4558)) (|HasAttribute| |#2| (QUOTE -4558)))) 
+(-431 R -1647) 
+((|constructor| (NIL "Top-level real function integration \\spadtype{FunctionSpaceIntegration} provides functions for the indefinite integration of real-valued functions.")) (|integrate| (((|Union| |#2| (|List| |#2|)) |#2| (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable."))) 
 NIL 
 NIL 
 (-432 S R) 
-((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f,{} k)} returns \\spad{f} viewed as a univariate fraction in \\spad{k}.")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\%.")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\%.")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 ... fm\\^em)} returns \\spad{(f1)\\^e1 ... (fm)\\^em} as an element of \\%,{} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\%.")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not,{} then numer(\\spad{f}) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\%.") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\%.") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n,{} x]} if \\spad{p = n * x} and \\spad{n <> 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if \\spad{p = m1 +...+ mn} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,{}f)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,{}op)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * ... * \\spad{x} (\\spad{n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a1,{}...,{}am)**n} in \\spad{x} by \\spad{f(a1,{}...,{}am)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)**ni} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)**ni} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm],{} y)} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x,{} s,{} f,{} y)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f}.") (($ $ (|List| (|Symbol|))) "\\spad{eval(f,{} [foo1,{}...,{}foon])} unquotes all the \\spad{fooi}\\spad{'s} in \\spad{f}.") (($ $ (|Symbol|)) "\\spad{eval(f,{} foo)} unquotes all the foo\\spad{'s} in \\spad{f}.")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo,{} [x1,{}...,{}xn])} returns \\spad{'foo(x1,{}...,{}xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z,{} t)} returns \\spad{'foo(x,{}y,{}z,{}t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z)} returns \\spad{'foo(x,{}y,{}z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo,{} x,{} y)} returns \\spad{'foo(x,{}y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo,{} x)} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f}.")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R}. An error occurs if \\spad{f} is not an element of \\spad{R}.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R}."))) 
+((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $)) (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#2| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#2|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#2|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#2|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#2| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#2| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1103))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) 
+((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1105))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) 
 (-433 R) 
-((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f,{} k)} returns \\spad{f} viewed as a univariate fraction in \\spad{k}.")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\%.")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\%.")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 ... fm\\^em)} returns \\spad{(f1)\\^e1 ... (fm)\\^em} as an element of \\%,{} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\%.")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not,{} then numer(\\spad{f}) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R}.")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\%.") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\%.") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\%.")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n,{} x]} if \\spad{p = n * x} and \\spad{n <> 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if \\spad{p = m1 +...+ mn} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,{}f)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,{}op)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * ... * \\spad{x} (\\spad{n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x,{} s,{} n,{} f)} replaces every \\spad{s(a1,{}...,{}am)**n} in \\spad{x} by \\spad{f(a1,{}...,{}am)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a1,{}...,{}an)**ni} in \\spad{x} by \\spad{\\spad{fi}(a1,{}...,{}an)} for any \\spad{a1},{}...,{}am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [n1,{}...,{}nm],{} [f1,{}...,{}fm])} replaces every \\spad{\\spad{si}(a)**ni} in \\spad{x} by \\spad{\\spad{fi}(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x,{} [s1,{}...,{}sm],{} [f1,{}...,{}fm],{} y)} replaces every \\spad{\\spad{si}(a)} in \\spad{x} by \\spad{\\spad{fi}(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x,{} s,{} f,{} y)} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f}.") (($ $ (|List| (|Symbol|))) "\\spad{eval(f,{} [foo1,{}...,{}foon])} unquotes all the \\spad{fooi}\\spad{'s} in \\spad{f}.") (($ $ (|Symbol|)) "\\spad{eval(f,{} foo)} unquotes all the foo\\spad{'s} in \\spad{f}.")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo,{} [x1,{}...,{}xn])} returns \\spad{'foo(x1,{}...,{}xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z,{} t)} returns \\spad{'foo(x,{}y,{}z,{}t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo,{} x,{} y,{} z)} returns \\spad{'foo(x,{}y,{}z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo,{} x,{} y)} returns \\spad{'foo(x,{}y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo,{} x)} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f}.")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R}. An error occurs if \\spad{f} is not an element of \\spad{R}.")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R}."))) 
-((-4532 -2232 (|has| |#1| (-1048)) (|has| |#1| (-479))) (-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-559)) (-4527 |has| |#1| (-559)) (-2982 . T)) 
+((|constructor| (NIL "A space of formal functions with arguments in an arbitrary ordered set.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| $)) $ (|Kernel| $)) "\\spad{univariate(f, \\spad{k)}} returns \\spad{f} viewed as a univariate fraction in \\spad{k.}")) (/ (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $)) (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{p1/p2} returns the quotient of \\spad{p1} and \\spad{p2} as an element of \\spad{%.}")) (|denominator| (($ $) "\\spad{denominator(f)} returns the denominator of \\spad{f} converted to \\spad{%.}")) (|denom| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|convert| (($ (|Factored| $)) "\\spad{convert(f1\\^e1 \\spad{...} fm\\^em)} returns \\spad{(f1)\\^e1 \\spad{...} (fm)\\^em} as an element of \\spad{%,} using formal kernels created using a \\spadfunFrom{paren}{ExpressionSpace}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|numerator| (($ $) "\\spad{numerator(f)} returns the numerator of \\spad{f} converted to \\spad{%.}")) (|numer| (((|SparseMultivariatePolynomial| |#1| (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{R} if \\spad{R} is an integral domain. If not, then numer(f) = \\spad{f} viewed as a polynomial in the kernels over \\spad{R.}")) (|coerce| (($ (|Fraction| (|Polynomial| (|Fraction| |#1|)))) "\\spad{coerce(f)} returns \\spad{f} as an element of \\spad{%.}") (($ (|Polynomial| (|Fraction| |#1|))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}") (($ (|Fraction| |#1|)) "\\spad{coerce(q)} returns \\spad{q} as an element of \\spad{%.}") (($ (|SparseMultivariatePolynomial| |#1| (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} as an element of \\spad{%.}")) (|isMult| (((|Union| (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| $))) "failed") $) "\\spad{isMult(p)} returns \\spad{[n, \\spad{x]}} if \\spad{p = \\spad{n} * \\spad{x}} and \\spad{n \\spad{<>} 0}.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if \\spad{p = \\spad{m1} +...+ \\spad{mn}} and \\spad{n > 1}.")) (|isExpt| (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|Symbol|)) "\\spad{isExpt(p,f)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = f(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $ (|BasicOperator|)) "\\spad{isExpt(p,op)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0} and \\spad{x = op(a)}.") (((|Union| (|Record| (|:| |var| (|Kernel| $)) (|:| |exponent| (|Integer|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = a1*...*an} and \\spad{n > 1}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns \\spad{x} * \\spad{x} * \\spad{x} * \\spad{...} * \\spad{x} \\spad{(n} times).")) (|eval| (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ $)) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a)**n} in \\spad{x} by \\spad{f(a)} for any \\spad{a}.") (($ $ (|Symbol|) (|NonNegativeInteger|) (|Mapping| $ (|List| $))) "\\spad{eval(x, \\spad{s,} \\spad{n,} \\spad{f)}} replaces every \\spad{s(a1,...,am)**n} in \\spad{x} by \\spad{f(a1,...,am)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ (|List| $)))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a1,...,an)**ni} in \\spad{x} by \\spad{fi(a1,...,an)} for any a1,...,am.") (($ $ (|List| (|Symbol|)) (|List| (|NonNegativeInteger|)) (|List| (|Mapping| $ $))) "\\spad{eval(x, [s1,...,sm], [n1,...,nm], [f1,...,fm])} replaces every \\spad{si(a)**ni} in \\spad{x} by \\spad{fi(a)} for any \\spad{a}.") (($ $ (|List| (|BasicOperator|)) (|List| $) (|Symbol|)) "\\spad{eval(x, [s1,...,sm], [f1,...,fm], \\spad{y)}} replaces every \\spad{si(a)} in \\spad{x} by \\spad{fi(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $ (|BasicOperator|) $ (|Symbol|)) "\\spad{eval(x, \\spad{s,} \\spad{f,} \\spad{y)}} replaces every \\spad{s(a)} in \\spad{x} by \\spad{f(y)} with \\spad{y} replaced by \\spad{a} for any \\spad{a}.") (($ $) "\\spad{eval(f)} unquotes all the quoted operators in \\spad{f.}") (($ $ (|List| (|Symbol|))) "\\spad{eval(f, [foo1,...,foon])} unquotes all the \\spad{fooi}'s in \\spad{f.}") (($ $ (|Symbol|)) "\\spad{eval(f, foo)} unquotes all the foo's in \\spad{f.}")) (|applyQuote| (($ (|Symbol|) (|List| $)) "\\spad{applyQuote(foo, [x1,...,xn])} returns \\spad{'foo(x1,...,xn)}.") (($ (|Symbol|) $ $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t)}} returns \\spad{'foo(x,y,z,t)}.") (($ (|Symbol|) $ $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y,} \\spad{z)}} returns \\spad{'foo(x,y,z)}.") (($ (|Symbol|) $ $) "\\spad{applyQuote(foo, \\spad{x,} \\spad{y)}} returns \\spad{'foo(x,y)}.") (($ (|Symbol|) $) "\\spad{applyQuote(foo, \\spad{x)}} returns \\spad{'foo(x)}.")) (|variables| (((|List| (|Symbol|)) $) "\\spad{variables(f)} returns the list of all the variables of \\spad{f.}")) (|ground| ((|#1| $) "\\spad{ground(f)} returns \\spad{f} as an element of \\spad{R.} An error occurs if \\spad{f} is not an element of \\spad{R.}")) (|ground?| (((|Boolean|) $) "\\spad{ground?(f)} tests if \\spad{f} is an element of \\spad{R.}"))) 
+((-4568 -1929 (|has| |#1| (-1049)) (|has| |#1| (-479))) (-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-559)) (-4563 |has| |#1| (-559)) (-4317 . T)) 
 NIL 
-(-434 R -1564) 
-((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "iiGamma(\\spad{x}) should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,{}y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,{}y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,{}y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,{}y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,{}y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,{}y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,{}x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F}; error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
+(-434 R -1647) 
+((|constructor| (NIL "Provides some special functions over an integral domain.")) (|iiAiryBi| ((|#2| |#2|) "\\spad{iiAiryBi(x)} should be local but conditional.")) (|iiAiryAi| ((|#2| |#2|) "\\spad{iiAiryAi(x)} should be local but conditional.")) (|iiBesselK| ((|#2| (|List| |#2|)) "\\spad{iiBesselK(x)} should be local but conditional.")) (|iiBesselI| ((|#2| (|List| |#2|)) "\\spad{iiBesselI(x)} should be local but conditional.")) (|iiBesselY| ((|#2| (|List| |#2|)) "\\spad{iiBesselY(x)} should be local but conditional.")) (|iiBesselJ| ((|#2| (|List| |#2|)) "\\spad{iiBesselJ(x)} should be local but conditional.")) (|iipolygamma| ((|#2| (|List| |#2|)) "\\spad{iipolygamma(x)} should be local but conditional.")) (|iidigamma| ((|#2| |#2|) "\\spad{iidigamma(x)} should be local but conditional.")) (|iiBeta| ((|#2| (|List| |#2|)) "iiGamma(x) should be local but conditional.")) (|iiabs| ((|#2| |#2|) "\\spad{iiabs(x)} should be local but conditional.")) (|iiGamma| ((|#2| |#2|) "\\spad{iiGamma(x)} should be local but conditional.")) (|airyBi| ((|#2| |#2|) "\\spad{airyBi(x)} returns the airybi function applied to \\spad{x}")) (|airyAi| ((|#2| |#2|) "\\spad{airyAi(x)} returns the airyai function applied to \\spad{x}")) (|besselK| ((|#2| |#2| |#2|) "\\spad{besselK(x,y)} returns the besselk function applied to \\spad{x} and \\spad{y}")) (|besselI| ((|#2| |#2| |#2|) "\\spad{besselI(x,y)} returns the besseli function applied to \\spad{x} and \\spad{y}")) (|besselY| ((|#2| |#2| |#2|) "\\spad{besselY(x,y)} returns the bessely function applied to \\spad{x} and \\spad{y}")) (|besselJ| ((|#2| |#2| |#2|) "\\spad{besselJ(x,y)} returns the besselj function applied to \\spad{x} and \\spad{y}")) (|polygamma| ((|#2| |#2| |#2|) "\\spad{polygamma(x,y)} returns the polygamma function applied to \\spad{x} and \\spad{y}")) (|digamma| ((|#2| |#2|) "\\spad{digamma(x)} returns the digamma function applied to \\spad{x}")) (|Beta| ((|#2| |#2| |#2|) "\\spad{Beta(x,y)} returns the beta function applied to \\spad{x} and \\spad{y}")) (|Gamma| ((|#2| |#2| |#2|) "\\spad{Gamma(a,x)} returns the incomplete Gamma function applied to a and \\spad{x}") ((|#2| |#2|) "\\spad{Gamma(f)} returns the formal Gamma function applied to \\spad{f}")) (|abs| ((|#2| |#2|) "\\spad{abs(f)} returns the absolute value operator applied to \\spad{f}")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns a copy of \\spad{op} with the domain-dependent properties appropriate for \\spad{F;} error if \\spad{op} is not a special function operator")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} is \\spad{true} if \\spad{op} is a special function operator."))) 
 NIL 
 NIL 
-(-435 R -1564) 
-((|constructor| (NIL "FunctionsSpacePrimitiveElement provides functions to compute primitive elements in functions spaces.")) (|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) "\\spad{primitiveElement(a1,{} a2)} returns \\spad{[a,{} q1,{} q2,{} q]} such that \\spad{k(a1,{} a2) = k(a)},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The minimal polynomial for \\spad{a2} may involve \\spad{a1},{} but the minimal polynomial for \\spad{a1} may not involve \\spad{a2}; This operations uses \\spadfun{resultant}.") (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) "\\spad{primitiveElement([a1,{}...,{}an])} returns \\spad{[a,{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}."))) 
+(-435 R -1647) 
+((|constructor| (NIL "FunctionsSpacePrimitiveElement provides functions to compute primitive elements in functions spaces.")) (|primitiveElement| (((|Record| (|:| |primelt| |#2|) (|:| |pol1| (|SparseUnivariatePolynomial| |#2|)) (|:| |pol2| (|SparseUnivariatePolynomial| |#2|)) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) |#2| |#2|) "\\spad{primitiveElement(a1, a2)} returns \\spad{[a, \\spad{q1,} \\spad{q2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The minimal polynomial for \\spad{a2} may involve a1, but the minimal polynomial for \\spad{a1} may not involve a2; This operations uses \\spadfun{resultant}.") (((|Record| (|:| |primelt| |#2|) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#2|))) (|:| |prim| (|SparseUnivariatePolynomial| |#2|))) (|List| |#2|)) "\\spad{primitiveElement([a1,...,an])} returns \\spad{[a, [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-27)))) 
-(-436 R -1564) 
-((|constructor| (NIL "Reduction from a function space to the rational numbers This package provides function which replaces transcendental kernels in a function space by random integers. The correspondence between the kernels and the integers is fixed between calls to new().")) (|newReduc| (((|Void|)) "\\spad{newReduc()} \\undocumented")) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) "\\spad{bringDown(f,{}k)} \\undocumented") (((|Fraction| (|Integer|)) |#2|) "\\spad{bringDown(f)} \\undocumented"))) 
+(-436 R -1647) 
+((|constructor| (NIL "Reduction from a function space to the rational numbers This package provides function which replaces transcendental kernels in a function space by random integers. The correspondence between the kernels and the integers is fixed between calls to new().")) (|newReduc| (((|Void|)) "\\spad{newReduc()} \\undocumented")) (|bringDown| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) |#2| (|Kernel| |#2|)) "\\spad{bringDown(f,k)} \\undocumented") (((|Fraction| (|Integer|)) |#2|) "\\spad{bringDown(f)} \\undocumented"))) 
 NIL 
 NIL 
 (-437) 
-((|constructor| (NIL "Creates and manipulates objects which correspond to the basic FORTRAN data types: REAL,{} INTEGER,{} COMPLEX,{} LOGICAL and CHARACTER")) (= (((|Boolean|) $ $) "\\spad{x=y} tests for equality")) (|logical?| (((|Boolean|) $) "\\spad{logical?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type LOGICAL.")) (|character?| (((|Boolean|) $) "\\spad{character?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type CHARACTER.")) (|doubleComplex?| (((|Boolean|) $) "\\spad{doubleComplex?(t)} tests whether \\spad{t} is equivalent to the (non-standard) FORTRAN type DOUBLE COMPLEX.")) (|complex?| (((|Boolean|) $) "\\spad{complex?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type COMPLEX.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type INTEGER.")) (|double?| (((|Boolean|) $) "\\spad{double?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type DOUBLE PRECISION")) (|real?| (((|Boolean|) $) "\\spad{real?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type REAL.")) (|coerce| (((|SExpression|) $) "\\spad{coerce(x)} returns the \\spad{s}-expression associated with \\spad{x}") (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol associated with \\spad{x}") (($ (|Symbol|)) "\\spad{coerce(s)} transforms the symbol \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of real,{} complex,{}double precision,{} logical,{} integer,{} character,{} REAL,{} COMPLEX,{} LOGICAL,{} INTEGER,{} CHARACTER,{} DOUBLE PRECISION") (($ (|String|)) "\\spad{coerce(s)} transforms the string \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of \"real\",{} \"double precision\",{} \"complex\",{} \"logical\",{} \"integer\",{} \"character\",{} \"REAL\",{} \"COMPLEX\",{} \"LOGICAL\",{} \"INTEGER\",{} \"CHARACTER\",{} \"DOUBLE PRECISION\""))) 
+((|constructor| (NIL "Creates and manipulates objects which correspond to the basic FORTRAN data types: REAL, INTEGER, COMPLEX, LOGICAL and CHARACTER")) (= (((|Boolean|) $ $) "\\spad{x=y} tests for equality")) (|logical?| (((|Boolean|) $) "\\spad{logical?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type LOGICAL.")) (|character?| (((|Boolean|) $) "\\spad{character?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type CHARACTER.")) (|doubleComplex?| (((|Boolean|) $) "\\spad{doubleComplex?(t)} tests whether \\spad{t} is equivalent to the (non-standard) FORTRAN type DOUBLE COMPLEX.")) (|complex?| (((|Boolean|) $) "\\spad{complex?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type COMPLEX.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type INTEGER.")) (|double?| (((|Boolean|) $) "\\spad{double?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type DOUBLE PRECISION")) (|real?| (((|Boolean|) $) "\\spad{real?(t)} tests whether \\spad{t} is equivalent to the FORTRAN type REAL.")) (|coerce| (((|SExpression|) $) "\\spad{coerce(x)} returns the s-expression associated with \\spad{x}") (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol associated with \\spad{x}") (($ (|Symbol|)) "\\spad{coerce(s)} transforms the symbol \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of real, complex,double precision, logical, integer, character, REAL, COMPLEX, LOGICAL, INTEGER, CHARACTER, DOUBLE PRECISION") (($ (|String|)) "\\spad{coerce(s)} transforms the string \\spad{s} into an element of FortranScalarType provided \\spad{s} is one of \"real\", \"double precision\", \"complex\", \"logical\", \"integer\", \"character\", \"REAL\", \"COMPLEX\", \"LOGICAL\", \"INTEGER\", \"CHARACTER\", \"DOUBLE PRECISION\""))) 
 NIL 
 NIL 
-(-438 R -1564 UP) 
-((|constructor| (NIL "This package is used internally by IR2F")) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) "\\spad{anfactor(p)} tries to factor \\spad{p} over algebraic numbers,{} returning \"failed\" if it cannot")) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) "\\spad{UP2ifCan(x)} should be local but conditional.")) (|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) "\\spad{qfactor(p)} tries to factor \\spad{p} over fractions of integers,{} returning \"failed\" if it cannot")) (|ffactor| (((|Factored| |#3|) |#3|) "\\spad{ffactor(p)} tries to factor a univariate polynomial \\spad{p} over \\spad{F}"))) 
+(-438 R -1647 UP) 
+((|constructor| (NIL "This package is used internally by IR2F")) (|anfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) "failed") |#3|) "\\spad{anfactor(p)} tries to factor \\spad{p} over algebraic numbers, returning \"failed\" if it cannot")) (|UP2ifCan| (((|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|))) |#3|) "\\spad{UP2ifCan(x)} should be local but conditional.")) (|qfactor| (((|Union| (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "failed") |#3|) "\\spad{qfactor(p)} tries to factor \\spad{p} over fractions of integers, returning \"failed\" if it cannot")) (|ffactor| (((|Factored| |#3|) |#3|) "\\spad{ffactor(p)} tries to factor a univariate polynomial \\spad{p} over \\spad{F}"))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-53))))) 
+((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-53))))) 
 (-439) 
-((|constructor| (NIL "Code to manipulate Fortran templates")) (|fortranCarriageReturn| (((|Void|)) "\\spad{fortranCarriageReturn()} produces a carriage return on the current Fortran output stream")) (|fortranLiteral| (((|Void|) (|String|)) "\\spad{fortranLiteral(s)} writes \\spad{s} to the current Fortran output stream")) (|fortranLiteralLine| (((|Void|) (|String|)) "\\spad{fortranLiteralLine(s)} writes \\spad{s} to the current Fortran output stream,{} followed by a carriage return")) (|processTemplate| (((|FileName|) (|FileName|)) "\\spad{processTemplate(tp)} processes the template \\spad{tp},{} writing the result to the current FORTRAN output stream.") (((|FileName|) (|FileName|) (|FileName|)) "\\spad{processTemplate(tp,{}fn)} processes the template \\spad{tp},{} writing the result out to \\spad{fn}."))) 
+((|constructor| (NIL "Code to manipulate Fortran templates")) (|fortranCarriageReturn| (((|Void|)) "\\spad{fortranCarriageReturn()} produces a carriage return on the current Fortran output stream")) (|fortranLiteral| (((|Void|) (|String|)) "\\spad{fortranLiteral(s)} writes \\spad{s} to the current Fortran output stream")) (|fortranLiteralLine| (((|Void|) (|String|)) "\\spad{fortranLiteralLine(s)} writes \\spad{s} to the current Fortran output stream, followed by a carriage return")) (|processTemplate| (((|FileName|) (|FileName|)) "\\spad{processTemplate(tp)} processes the template \\spad{tp,} writing the result to the current FORTRAN output stream.") (((|FileName|) (|FileName|) (|FileName|)) "\\spad{processTemplate(tp,fn)} processes the template \\spad{tp,} writing the result out to \\spad{fn.}"))) 
 NIL 
 NIL 
 (-440) 
-((|constructor| (NIL "Creates and manipulates objects which correspond to FORTRAN data types,{} including array dimensions.")) (|fortranCharacter| (($) "\\spad{fortranCharacter()} returns CHARACTER,{} an element of FortranType")) (|fortranDoubleComplex| (($) "\\spad{fortranDoubleComplex()} returns DOUBLE COMPLEX,{} an element of FortranType")) (|fortranComplex| (($) "\\spad{fortranComplex()} returns COMPLEX,{} an element of FortranType")) (|fortranLogical| (($) "\\spad{fortranLogical()} returns LOGICAL,{} an element of FortranType")) (|fortranInteger| (($) "\\spad{fortranInteger()} returns INTEGER,{} an element of FortranType")) (|fortranDouble| (($) "\\spad{fortranDouble()} returns DOUBLE PRECISION,{} an element of FortranType")) (|fortranReal| (($) "\\spad{fortranReal()} returns REAL,{} an element of FortranType")) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) "\\spad{construct(type,{}dims)} creates an element of FortranType") (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) "\\spad{construct(type,{}dims)} creates an element of FortranType")) (|external?| (((|Boolean|) $) "\\spad{external?(u)} returns \\spad{true} if \\spad{u} is declared to be EXTERNAL")) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) "\\spad{dimensionsOf(t)} returns the dimensions of \\spad{t}")) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{scalarTypeOf(t)} returns the FORTRAN data type of \\spad{t}")) (|coerce| (($ (|FortranScalarType|)) "\\spad{coerce(t)} creates an element from a scalar type") (((|OutputForm|) $) "\\spad{coerce(x)} provides a printable form for \\spad{x}"))) 
+((|constructor| (NIL "Creates and manipulates objects which correspond to FORTRAN data types, including array dimensions.")) (|fortranCharacter| (($) "\\spad{fortranCharacter()} returns CHARACTER, an element of FortranType")) (|fortranDoubleComplex| (($) "\\spad{fortranDoubleComplex()} returns DOUBLE COMPLEX, an element of FortranType")) (|fortranComplex| (($) "\\spad{fortranComplex()} returns COMPLEX, an element of FortranType")) (|fortranLogical| (($) "\\spad{fortranLogical()} returns LOGICAL, an element of FortranType")) (|fortranInteger| (($) "\\spad{fortranInteger()} returns INTEGER, an element of FortranType")) (|fortranDouble| (($) "\\spad{fortranDouble()} returns DOUBLE PRECISION, an element of FortranType")) (|fortranReal| (($) "\\spad{fortranReal()} returns REAL, an element of FortranType")) (|construct| (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Polynomial| (|Integer|))) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType") (($ (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|List| (|Symbol|)) (|Boolean|)) "\\spad{construct(type,dims)} creates an element of FortranType")) (|external?| (((|Boolean|) $) "\\spad{external?(u)} returns \\spad{true} if \\spad{u} is declared to be EXTERNAL")) (|dimensionsOf| (((|List| (|Polynomial| (|Integer|))) $) "\\spad{dimensionsOf(t)} returns the dimensions of \\spad{t}")) (|scalarTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{scalarTypeOf(t)} returns the FORTRAN data type of \\spad{t}")) (|coerce| (($ (|FortranScalarType|)) "\\spad{coerce(t)} creates an element from a scalar type") (((|OutputForm|) $) "\\spad{coerce(x)} provides a printable form for \\spad{x}"))) 
 NIL 
 NIL 
 (-441 |f|) 
@@ -1697,39 +1697,39 @@ NIL
 NIL 
 NIL 
 (-442) 
-((|constructor| (NIL "\\axiomType{FortranVectorCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Vector} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Vector| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranVectorCategory} provides support for producing Functions and Subroutines when the input to these is an AXIOM object of type \\axiomType{Vector} or in domains involving \\axiomType{FortranCode}.")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|Vector| (|MachineFloat|))) "\\spad{coerce(v)} produces an ASP which returns the value of \\spad{v}."))) 
+((-4317 . T)) 
 NIL 
 (-443) 
-((|constructor| (NIL "\\axiomType{FortranVectorFunctionCategory} is the catagory of arguments to NAG Library routines which return the values of vectors of functions.")) (|retractIfCan| (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|retract| (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}") (($ (|Vector| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP,{} checking that \\indented{1}{legal Fortran-77 is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP,{} making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
-((-2982 . T)) 
+((|constructor| (NIL "\\axiomType{FortranVectorFunctionCategory} is the catagory of arguments to NAG Library routines which return the values of vectors of functions.")) (|retractIfCan| (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Polynomial| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Integer|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (((|Union| $ "failed") (|Vector| (|Expression| (|Float|)))) "\\spad{retractIfCan(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|retract| (($ (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Fraction| (|Polynomial| (|Float|))))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Polynomial| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Integer|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}") (($ (|Vector| (|Expression| (|Float|)))) "\\spad{retract(e)} tries to convert \\spad{e} into an ASP, checking that \\indented{1}{legal \\spad{Fortran-77} is produced.}")) (|coerce| (($ (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) "\\spad{coerce(e)} takes the component of \\spad{e} from \\spadtype{List FortranCode} and uses it as the body of the ASP, making the declarations in the \\spadtype{SymbolTable} component.") (($ (|FortranCode|)) "\\spad{coerce(e)} takes an object from \\spadtype{FortranCode} and \\indented{1}{uses it as the body of an ASP.}") (($ (|List| (|FortranCode|))) "\\spad{coerce(e)} takes an object from \\spadtype{List FortranCode} and \\indented{1}{uses it as the body of an ASP.}"))) 
+((-4317 . T)) 
 NIL 
 (-444 UP) 
-((|constructor| (NIL "\\spadtype{GaloisGroupFactorizer} provides functions to factor resolvents.")) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{btwFact(p,{}sqf,{}pd,{}r)} returns the factorization of \\spad{p},{} the result is a Record such that \\spad{contp=}content \\spad{p},{} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors). \\spad{pd} is the \\spadtype{Set} of possible degrees. \\spad{r} is a lower bound for the number of factors of \\spad{p}. Please do not use this function in your code because its design may change.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(p,{}sqf)} returns the factorization of \\spad{p},{} the result is a Record such that \\spad{contp=}content \\spad{p},{} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).")) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees,{}r,{}sqf)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees},{} and that \\spad{p} has at least \\spad{r} factors. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees,{}r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees},{} and that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorOfDegree(d,{}p,{}listOfDegrees)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,{}p,{}r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) "\\spad{factorOfDegree(d,{}p)} returns a factor of \\spad{p} of degree \\spad{d}.")) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}d,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}listOfDegrees,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorSquareFree(p,{}listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} returns the factorization of \\spad{p} which is supposed not having any repeated factor (this is not checked).")) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factor(p,{}d,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factor(p,{}listOfDegrees,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm,{} knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factor(p,{}listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees}.") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factor(p,{}r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns the factorization of \\spad{p} over the integers.")) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) "\\spad{tryFunctionalDecomposition(b)} chooses whether factorizers have to look for functional decomposition of polynomials (\\spad{true}) or not (\\spad{false}). Returns the previous value.")) (|tryFunctionalDecomposition?| (((|Boolean|)) "\\spad{tryFunctionalDecomposition?()} returns \\spad{true} if factorizers try functional decomposition of polynomials before factoring them.")) (|eisensteinIrreducible?| (((|Boolean|) |#1|) "\\spad{eisensteinIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by Eisenstein\\spad{'s} criterion,{} \\spad{false} is inconclusive.")) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) "\\spad{useEisensteinCriterion(b)} chooses whether factorizers check Eisenstein\\spad{'s} criterion before factoring: \\spad{true} for using it,{} \\spad{false} else. Returns the previous value.")) (|useEisensteinCriterion?| (((|Boolean|)) "\\spad{useEisensteinCriterion?()} returns \\spad{true} if factorizers check Eisenstein\\spad{'s} criterion before factoring.")) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) "\\spad{useSingleFactorBound(b)} chooses the algorithm to be used by the factorizers: \\spad{true} for algorithm with single factor bound,{} \\spad{false} for algorithm with overall bound. Returns the previous value.")) (|useSingleFactorBound?| (((|Boolean|)) "\\spad{useSingleFactorBound?()} returns \\spad{true} if algorithm with single factor bound is used for factorization,{} \\spad{false} for algorithm with overall bound.")) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) "\\spad{modularFactor(f)} chooses a \"good\" prime and returns the factorization of \\spad{f} modulo this prime in a form that may be used by completeHensel. If prime is zero it means that \\spad{f} has been proved to be irreducible over the integers or that \\spad{f} is a unit (\\spadignore{i.e.} 1 or \\spad{-1}). \\spad{f} shall be primitive (\\spadignore{i.e.} content(\\spad{p})\\spad{=1}) and square free (\\spadignore{i.e.} without repeated factors).")) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{numberOfFactors(ddfactorization)} returns the number of factors of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p}.")) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{stopMusserTrials(n)} sets to \\spad{n} the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**n} trials. Returns the previous value.") (((|PositiveInteger|)) "\\spad{stopMusserTrials()} returns the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**stopMusserTrials()} trials.")) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{musserTrials(n)} sets to \\spad{n} the number of primes to be tried in \\spadfun{modularFactor} and returns the previous value.") (((|PositiveInteger|)) "\\spad{musserTrials()} returns the number of primes that are tried in \\spadfun{modularFactor}.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{degreePartition(ddfactorization)} returns the degree partition of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p}.")) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) "\\spad{makeFR(flist)} turns the final factorization of henselFact into a \\spadtype{Factored} object."))) 
+((|constructor| (NIL "\\spadtype{GaloisGroupFactorizer} provides functions to factor resolvents.")) (|btwFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|) (|Set| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{btwFact(p,sqf,pd,r)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors). \\spad{pd} is the \\spadtype{Set} of possible degrees. \\spad{r} is a lower bound for the number of factors of \\spad{p.} Please do not use this function in your code because its design may change.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(p,sqf)} returns the factorization of \\spad{p,} the result is a Record such that \\spad{contp=}content \\spad{p,} \\spad{factors=}List of irreducible factors of \\spad{p} with exponent. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).")) (|factorOfDegree| (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|) (|Boolean|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r,sqf)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors. If \\spad{sqf=true} the polynomial is assumed to be square free (\\spadignore{i.e.} without repeated factors).") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,listOfDegrees,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees, and that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorOfDegree(d,p,listOfDegrees)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1| (|NonNegativeInteger|)) "\\spad{factorOfDegree(d,p,r)} returns a factor of \\spad{p} of degree \\spad{d} knowing that \\spad{p} has at least \\spad{r} factors.") (((|Union| |#1| "failed") (|PositiveInteger|) |#1|) "\\spad{factorOfDegree(d,p)} returns a factor of \\spad{p} of degree \\spad{d.}")) (|factorSquareFree| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factorSquareFree(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factorSquareFree(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors. \\spad{f} is supposed not having any repeated factor (this is not checked).") (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} returns the factorization of \\spad{p} which is supposed not having any repeated factor (this is not checked).")) (|factor| (((|Factored| |#1|) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factor(p,d,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{d} divides the degree of all factors of \\spad{p} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{factor(p,listOfDegrees,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm, knowing that \\spad{p} has for possible splitting of its degree \\spad{listOfDegrees} and that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1| (|List| (|NonNegativeInteger|))) "\\spad{factor(p,listOfDegrees)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has for possible splitting of its degree listOfDegrees.") (((|Factored| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{factor(p,r)} factorizes the polynomial \\spad{p} using the single factor bound algorithm and knowing that \\spad{p} has at least \\spad{r} factors.") (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns the factorization of \\spad{p} over the integers.")) (|tryFunctionalDecomposition| (((|Boolean|) (|Boolean|)) "\\spad{tryFunctionalDecomposition(b)} chooses whether factorizers have to look for functional decomposition of polynomials (\\spad{true}) or not (\\spad{false}). Returns the previous value.")) (|tryFunctionalDecomposition?| (((|Boolean|)) "\\spad{tryFunctionalDecomposition?()} returns \\spad{true} if factorizers try functional decomposition of polynomials before factoring them.")) (|eisensteinIrreducible?| (((|Boolean|) |#1|) "\\spad{eisensteinIrreducible?(p)} returns \\spad{true} if \\spad{p} can be shown to be irreducible by Eisenstein's criterion, \\spad{false} is inconclusive.")) (|useEisensteinCriterion| (((|Boolean|) (|Boolean|)) "\\spad{useEisensteinCriterion(b)} chooses whether factorizers check Eisenstein's criterion before factoring: \\spad{true} for using it, \\spad{false} else. Returns the previous value.")) (|useEisensteinCriterion?| (((|Boolean|)) "\\spad{useEisensteinCriterion?()} returns \\spad{true} if factorizers check Eisenstein's criterion before factoring.")) (|useSingleFactorBound| (((|Boolean|) (|Boolean|)) "\\spad{useSingleFactorBound(b)} chooses the algorithm to be used by the factorizers: \\spad{true} for algorithm with single factor bound, \\spad{false} for algorithm with overall bound. Returns the previous value.")) (|useSingleFactorBound?| (((|Boolean|)) "\\spad{useSingleFactorBound?()} returns \\spad{true} if algorithm with single factor bound is used for factorization, \\spad{false} for algorithm with overall bound.")) (|modularFactor| (((|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| |#1|))) |#1|) "\\spad{modularFactor(f)} chooses a \"good\" prime and returns the factorization of \\spad{f} modulo this prime in a form that may be used by completeHensel. If prime is zero it means that \\spad{f} has been proved to be irreducible over the integers or that \\spad{f} is a unit (\\spadignore{i.e.} 1 or -1). \\spad{f} shall be primitive (\\spadignore{i.e.} content(p)=1) and square free (\\spadignore{i.e.} without repeated factors).")) (|numberOfFactors| (((|NonNegativeInteger|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{numberOfFactors(ddfactorization)} returns the number of factors of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|stopMusserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{stopMusserTrials(n)} sets to \\spad{n} the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**n} trials. Returns the previous value.") (((|PositiveInteger|)) "\\spad{stopMusserTrials()} returns the bound on the number of factors for which \\spadfun{modularFactor} stops to look for an other prime. You will have to remember that the step of recombining the extraneous factors may take up to \\spad{2**stopMusserTrials()} trials.")) (|musserTrials| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{musserTrials(n)} sets to \\spad{n} the number of primes to be tried in \\spadfun{modularFactor} and returns the previous value.") (((|PositiveInteger|)) "\\spad{musserTrials()} returns the number of primes that are tried in \\spadfun{modularFactor}.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|))))) "\\spad{degreePartition(ddfactorization)} returns the degree partition of the polynomial \\spad{f} modulo \\spad{p} where \\spad{ddfactorization} is the distinct degree factorization of \\spad{f} computed by ddFact for some prime \\spad{p.}")) (|makeFR| (((|Factored| |#1|) (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|))))))) "\\spad{makeFR(flist)} turns the final factorization of henselFact into a \\spadtype{Factored} object."))) 
 NIL 
 NIL 
-(-445 R UP -1564) 
-((|constructor| (NIL "\\spadtype{GaloisGroupFactorizationUtilities} provides functions that will be used by the factorizer.")) (|length| ((|#3| |#2|) "\\spad{length(p)} returns the sum of the absolute values of the coefficients of the polynomial \\spad{p}.")) (|height| ((|#3| |#2|) "\\spad{height(p)} returns the maximal absolute value of the coefficients of the polynomial \\spad{p}.")) (|infinityNorm| ((|#3| |#2|) "\\spad{infinityNorm(f)} returns the maximal absolute value of the coefficients of the polynomial \\spad{f}.")) (|quadraticNorm| ((|#3| |#2|) "\\spad{quadraticNorm(f)} returns the \\spad{l2} norm of the polynomial \\spad{f}.")) (|norm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{norm(f,{}p)} returns the \\spad{lp} norm of the polynomial \\spad{f}.")) (|singleFactorBound| (((|Integer|) |#2|) "\\spad{singleFactorBound(p,{}r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri\\spad{'s} norm. \\spad{p} shall be of degree higher or equal to 2.") (((|Integer|) |#2| (|NonNegativeInteger|)) "\\spad{singleFactorBound(p,{}r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri\\spad{'s} norm. \\spad{r} is a lower bound for the number of factors of \\spad{p}. \\spad{p} shall be of degree higher or equal to 2.")) (|rootBound| (((|Integer|) |#2|) "\\spad{rootBound(p)} returns a bound on the largest norm of the complex roots of \\spad{p}.")) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{bombieriNorm(p,{}n)} returns the \\spad{n}th Bombieri\\spad{'s} norm of \\spad{p}.") ((|#3| |#2|) "\\spad{bombieriNorm(p)} returns quadratic Bombieri\\spad{'s} norm of \\spad{p}.")) (|beauzamyBound| (((|Integer|) |#2|) "\\spad{beauzamyBound(p)} returns a bound on the larger coefficient of any factor of \\spad{p}."))) 
+(-445 R UP -1647) 
+((|constructor| (NIL "\\spadtype{GaloisGroupFactorizationUtilities} provides functions that will be used by the factorizer.")) (|length| ((|#3| |#2|) "\\spad{length(p)} returns the sum of the absolute values of the coefficients of the polynomial \\spad{p.}")) (|height| ((|#3| |#2|) "\\spad{height(p)} returns the maximal absolute value of the coefficients of the polynomial \\spad{p.}")) (|infinityNorm| ((|#3| |#2|) "\\spad{infinityNorm(f)} returns the maximal absolute value of the coefficients of the polynomial \\spad{f.}")) (|quadraticNorm| ((|#3| |#2|) "\\spad{quadraticNorm(f)} returns the \\spad{l2} norm of the polynomial \\spad{f.}")) (|norm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{norm(f,p)} returns the \\spad{lp} norm of the polynomial \\spad{f.}")) (|singleFactorBound| (((|Integer|) |#2|) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{p} shall be of degree higher or equal to 2.") (((|Integer|) |#2| (|NonNegativeInteger|)) "\\spad{singleFactorBound(p,r)} returns a bound on the infinite norm of the factor of \\spad{p} with smallest Bombieri's norm. \\spad{r} is a lower bound for the number of factors of \\spad{p.} \\spad{p} shall be of degree higher or equal to 2.")) (|rootBound| (((|Integer|) |#2|) "\\spad{rootBound(p)} returns a bound on the largest norm of the complex roots of \\spad{p.}")) (|bombieriNorm| ((|#3| |#2| (|PositiveInteger|)) "\\spad{bombieriNorm(p,n)} returns the \\spad{n}th Bombieri's norm of \\spad{p.}") ((|#3| |#2|) "\\spad{bombieriNorm(p)} returns quadratic Bombieri's norm of \\spad{p.}")) (|beauzamyBound| (((|Integer|) |#2|) "\\spad{beauzamyBound(p)} returns a bound on the larger coefficient of any factor of \\spad{p.}"))) 
 NIL 
 NIL 
 (-446 R UP) 
-((|constructor| (NIL "\\spadtype{GaloisGroupPolynomialUtilities} provides useful functions for univariate polynomials which should be added to \\spadtype{UnivariatePolynomialCategory} or to \\spadtype{Factored}")) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorsOfDegree(d,{}f)} returns the factors of degree \\spad{d} of the factored polynomial \\spad{f}.")) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorOfDegree(d,{}f)} returns a factor of degree \\spad{d} of the factored polynomial \\spad{f}. Such a factor shall exist.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) "\\spad{degreePartition(f)} returns the degree partition (\\spadignore{i.e.} the multiset of the degrees of the irreducible factors) of the polynomial \\spad{f}.")) (|shiftRoots| ((|#2| |#2| |#1|) "\\spad{shiftRoots(p,{}c)} returns the polynomial which has for roots \\spad{c} added to the roots of \\spad{p}.")) (|scaleRoots| ((|#2| |#2| |#1|) "\\spad{scaleRoots(p,{}c)} returns the polynomial which has \\spad{c} times the roots of \\spad{p}.")) (|reverse| ((|#2| |#2|) "\\spad{reverse(p)} returns the reverse polynomial of \\spad{p}.")) (|unvectorise| ((|#2| (|Vector| |#1|)) "\\spad{unvectorise(v)} returns the polynomial which has for coefficients the entries of \\spad{v} in the increasing order.")) (|monic?| (((|Boolean|) |#2|) "\\spad{monic?(p)} tests if \\spad{p} is monic (\\spadignore{i.e.} leading coefficient equal to 1)."))) 
+((|constructor| (NIL "\\spadtype{GaloisGroupPolynomialUtilities} provides useful functions for univariate polynomials which should be added to \\spadtype{UnivariatePolynomialCategory} or to \\spadtype{Factored}")) (|factorsOfDegree| (((|List| |#2|) (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorsOfDegree(d,f)} returns the factors of degree \\spad{d} of the factored polynomial \\spad{f.}")) (|factorOfDegree| ((|#2| (|PositiveInteger|) (|Factored| |#2|)) "\\spad{factorOfDegree(d,f)} returns a factor of degree \\spad{d} of the factored polynomial \\spad{f.} Such a factor shall exist.")) (|degreePartition| (((|Multiset| (|NonNegativeInteger|)) (|Factored| |#2|)) "\\spad{degreePartition(f)} returns the degree partition (\\spadignore{i.e.} the multiset of the degrees of the irreducible factors) of the polynomial \\spad{f.}")) (|shiftRoots| ((|#2| |#2| |#1|) "\\spad{shiftRoots(p,c)} returns the polynomial which has for roots \\spad{c} added to the roots of \\spad{p.}")) (|scaleRoots| ((|#2| |#2| |#1|) "\\spad{scaleRoots(p,c)} returns the polynomial which has \\spad{c} times the roots of \\spad{p.}")) (|reverse| ((|#2| |#2|) "\\spad{reverse(p)} returns the reverse polynomial of \\spad{p.}")) (|unvectorise| ((|#2| (|Vector| |#1|)) "\\spad{unvectorise(v)} returns the polynomial which has for coefficients the entries of \\spad{v} in the increasing order.")) (|monic?| (((|Boolean|) |#2|) "\\spad{monic?(p)} tests if \\spad{p} is monic (\\spadignore{i.e.} leading coefficient equal to 1)."))) 
 NIL 
 NIL 
 (-447 R) 
-((|constructor| (NIL "\\spadtype{GaloisGroupUtilities} provides several useful functions.")) (|safetyMargin| (((|NonNegativeInteger|)) "\\spad{safetyMargin()} returns the number of low weight digits we do not trust in the floating point representation (used by \\spadfun{safeCeiling}).") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{safetyMargin(n)} sets to \\spad{n} the number of low weight digits we do not trust in the floating point representation and returns the previous value (for use by \\spadfun{safeCeiling}).")) (|safeFloor| (((|Integer|) |#1|) "\\spad{safeFloor(x)} returns the integer which is lower or equal to the largest integer which has the same floating point number representation.")) (|safeCeiling| (((|Integer|) |#1|) "\\spad{safeCeiling(x)} returns the integer which is greater than any integer with the same floating point number representation.")) (|fillPascalTriangle| (((|Void|)) "\\spad{fillPascalTriangle()} fills the stored table.")) (|sizePascalTriangle| (((|NonNegativeInteger|)) "\\spad{sizePascalTriangle()} returns the number of entries currently stored in the table.")) (|rangePascalTriangle| (((|NonNegativeInteger|)) "\\spad{rangePascalTriangle()} returns the maximal number of lines stored.") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rangePascalTriangle(n)} sets the maximal number of lines which are stored and returns the previous value.")) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) "\\spad{pascalTriangle(n,{}r)} returns the binomial coefficient \\spad{C(n,{}r)=n!/(r! (n-r)!)} and stores it in a table to prevent recomputation."))) 
+((|constructor| (NIL "\\spadtype{GaloisGroupUtilities} provides several useful functions.")) (|safetyMargin| (((|NonNegativeInteger|)) "\\spad{safetyMargin()} returns the number of low weight digits we do not trust in the floating point representation (used by \\spadfun{safeCeiling}).") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{safetyMargin(n)} sets to \\spad{n} the number of low weight digits we do not trust in the floating point representation and returns the previous value (for use by \\spadfun{safeCeiling}).")) (|safeFloor| (((|Integer|) |#1|) "\\spad{safeFloor(x)} returns the integer which is lower or equal to the largest integer which has the same floating point number representation.")) (|safeCeiling| (((|Integer|) |#1|) "\\spad{safeCeiling(x)} returns the integer which is greater than any integer with the same floating point number representation.")) (|fillPascalTriangle| (((|Void|)) "\\spad{fillPascalTriangle()} fills the stored table.")) (|sizePascalTriangle| (((|NonNegativeInteger|)) "\\spad{sizePascalTriangle()} returns the number of entries currently stored in the table.")) (|rangePascalTriangle| (((|NonNegativeInteger|)) "\\spad{rangePascalTriangle()} returns the maximal number of lines stored.") (((|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{rangePascalTriangle(n)} sets the maximal number of lines which are stored and returns the previous value.")) (|pascalTriangle| ((|#1| (|NonNegativeInteger|) (|Integer|)) "\\spad{pascalTriangle(n,r)} returns the binomial coefficient \\spad{C(n,r)=n!/(r! (n-r)!)} and stores it in a table to prevent recomputation."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-407)))) 
 (-448) 
-((|constructor| (NIL "Package for the factorization of complex or gaussian integers.")) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) "\\spad{prime?(\\spad{zi})} tests if the complex integer \\spad{zi} is prime.")) (|sumSquares| (((|List| (|Integer|)) (|Integer|)) "\\spad{sumSquares(p)} construct \\spad{a} and \\spad{b} such that \\spad{a**2+b**2} is equal to the integer prime \\spad{p},{} and otherwise returns an error. It will succeed if the prime number \\spad{p} is 2 or congruent to 1 mod 4.")) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) "\\spad{factor(\\spad{zi})} produces the complete factorization of the complex integer \\spad{zi}."))) 
+((|constructor| (NIL "Package for the factorization of complex or gaussian integers.")) (|prime?| (((|Boolean|) (|Complex| (|Integer|))) "\\spad{prime?(zi)} tests if the complex integer \\spad{zi} is prime.")) (|sumSquares| (((|List| (|Integer|)) (|Integer|)) "\\spad{sumSquares(p)} construct \\spad{a} and \\spad{b} such that \\spad{a**2+b**2} is equal to the integer prime \\spad{p,} and otherwise returns an error. It will succeed if the prime number \\spad{p} is 2 or congruent to 1 mod 4.")) (|factor| (((|Factored| (|Complex| (|Integer|))) (|Complex| (|Integer|))) "\\spad{factor(zi)} produces the complete factorization of the complex integer zi."))) 
 NIL 
 NIL 
 (-449 |Dom| |Expon| |VarSet| |Dpol|) 
-((|constructor| (NIL "\\spadtype{EuclideanGroebnerBasisPackage} computes groebner bases for polynomial ideals over euclidean domains. The basic computation provides a distinguished set of generators for these ideals. This basis allows an easy test for membership: the operation \\spadfun{euclideanNormalForm} returns zero on ideal members. The string \"info\" and \"redcrit\" can be given as additional args to provide incremental information during the computation. If \"info\" is given,{} a computational summary is given for each \\spad{s}-polynomial. If \"redcrit\" is given,{} the reduced critical pairs are printed. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{euclideanGroebner(\\spad{lp},{} \"info\",{} \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials \\spad{lp}.} \\indented{1}{If the second argument is \"info\",{}} \\indented{1}{a summary is given of the critical pairs.} \\indented{1}{If the third argument is \"redcrit\",{} critical pairs are printed.} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an,{}\"info\",{}\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{euclideanGroebner(\\spad{lp},{} infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal over a euclidean domain} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\indented{1}{During computation,{} additional information is printed out} \\indented{1}{if infoflag is given as} \\indented{1}{either \"info\" (for summary information) or} \\indented{1}{\"redcrit\" (for reduced critical pairs)} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an,{}\"redcrit\") \\spad{X} euclideanGroebner(an,{}\"info\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{euclideanGroebner(\\spad{lp}) computes a groebner basis for a polynomial} \\indented{1}{ideal over a euclidean domain generated by the list of polys \\spad{lp}.} \\blankline \\spad{X} a1:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (9*x**2 + 5*x - 3)+ \\spad{y*}(3*x**2 + 2*x + 1) \\spad{X} a2:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (6*x**3 - 2*x**2 - 3*x \\spad{+3}) + \\spad{y*}(2*x**3 - \\spad{x} - 1) \\spad{X} a3:DMP([\\spad{y},{}\\spad{x}],{}INT)\\spad{:=} (3*x**3 + 2*x**2) + \\spad{y*}(\\spad{x**3} + \\spad{x**2}) \\spad{X} an:=[\\spad{a1},{}\\spad{a2},{}\\spad{a3}] \\spad{X} euclideanGroebner(an)")) (|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{euclideanNormalForm(poly,{}gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class."))) 
+((|constructor| (NIL "\\spadtype{EuclideanGroebnerBasisPackage} computes groebner bases for polynomial ideals over euclidean domains. The basic computation provides a distinguished set of generators for these ideals. This basis allows an easy test for membership: the operation \\spadfun{euclideanNormalForm} returns zero on ideal members. The string \"info\" and \"redcrit\" can be given as additional args to provide incremental information during the computation. If \"info\" is given, a computational summary is given for each s-polynomial. If \"redcrit\" is given, the reduced critical pairs are printed. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|euclideanGroebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{euclideanGroebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp.} \\indented{1}{If the second argument is \"info\",} \\indented{1}{a summary is given of the critical pairs.} \\indented{1}{If the third argument is \"redcrit\", critical pairs are printed.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{euclideanGroebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal over a euclidean domain} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{During computation, additional information is printed out} \\indented{1}{if infoflag is given as} \\indented{1}{either \"info\" (for summary information) or} \\indented{1}{\"redcrit\" (for reduced critical pairs)} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an,\"redcrit\") \\spad{X} euclideanGroebner(an,\"info\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{euclideanGroebner(lp) computes a groebner basis for a polynomial} \\indented{1}{ideal over a euclidean domain generated by the list of polys lp.} \\blankline \\spad{X} a1:DMP([y,x],INT):= \\spad{(9*x**2} + 5*x - 3)+ \\spad{y*(3*x**2} + 2*x + 1) \\spad{X} a2:DMP([y,x],INT):= \\spad{(6*x**3} - 2*x**2 - 3*x \\spad{+3)} + \\spad{y*(2*x**3} - \\spad{x} - 1) \\spad{X} a3:DMP([y,x],INT):= \\spad{(3*x**3} + 2*x**2) + \\spad{y*(x**3} + x**2) \\spad{X} an:=[a1,a2,a3] \\spad{X} euclideanGroebner(an)")) (|euclideanNormalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{euclideanNormalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class."))) 
 NIL 
 NIL 
 (-450 |Dom| |Expon| |VarSet| |Dpol|) 
-((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of \\Language{} to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact,{} that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases,{} whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys,{} info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys}. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p},{} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}. If info is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next \\spad{S}-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p},{} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p}.} \\blankline \\spad{X} mfzn : SQMATRIX(6,{}\\spad{DMP}([\\spad{x},{}\\spad{y},{}\\spad{z}],{}Fraction INT)) \\spad{:=} \\spad{++X} [ [0,{}1,{}1,{}1,{}1,{}1],{} [1,{}0,{}1,{}8/3,{}\\spad{x},{}8/3],{} [1,{}1,{}0,{}1,{}8/3,{}\\spad{y}],{} \\spad{++X} [1,{}8/3,{}1,{}0,{}1,{}8/3],{} [1,{}\\spad{x},{}8/3,{}1,{}0,{}1],{} [1,{}8/3,{}\\spad{y},{}8/3,{}1,{}0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,{}eval(eq,{} [\\spad{x},{}\\spad{y},{}\\spad{z}],{}[\\spad{y},{}\\spad{z},{}\\spad{x}]),{} eval(eq,{}[\\spad{x},{}\\spad{y},{}\\spad{z}],{}[\\spad{z},{}\\spad{x},{}\\spad{y}])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys,{} nonZeroRestrictions,{} info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don\\spad{'t} vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}. If argument info is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys,{} nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don\\spad{'t} vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next \\spad{S}-polynomial) is factorized. For each irreducible factors of \\spad{p},{} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p}.")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,{}info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the \\spad{basis}. If argument \\spad{info} is \\spad{true},{} information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the \\spad{basis}."))) 
+((|constructor| (NIL "\\spadtype{GroebnerFactorizationPackage} provides the function groebnerFactor\" which uses the factorization routines of \\Language{} to factor each polynomial under consideration while doing the groebner basis algorithm. Then it writes the ideal as an intersection of ideals determined by the irreducible factors. Note that the whole ring may occur as well as other redundancies. We also use the fact, that from the second factor on we can assume that the preceding factors are not equal to 0 and we divide all polynomials under considerations by the elements of this list of \"nonZeroRestrictions\". The result is a list of groebner bases, whose union of solutions of the corresponding systems of equations is the solution of the system of equation corresponding to the input list. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|groebnerFactorize| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, info)} returns a list of groebner bases. The union of their solutions is the solution of the system of equations given by listOfPolys. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\indented{1}{groebnerFactorize(listOfPolys) returns} \\indented{1}{a list of groebner bases. The union of their solutions} \\indented{1}{is the solution of the system of equations given by listOfPolys.} \\indented{1}{At each stage the polynomial \\spad{p} under consideration (either from} \\indented{1}{the given basis or obtained from a reduction of the next S-polynomial)} \\indented{1}{is factorized. For each irreducible factors of \\spad{p,} a} \\indented{1}{new createGroebnerBasis is started} \\indented{1}{doing the usual updates with the factor} \\indented{1}{in place of \\spad{p.}} \\blankline \\spad{X} mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) \\spad{:=} \\spad{++X} [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], \\spad{++X} [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] \\spad{X} eq \\spad{:=} determinant mfzn \\spad{X} groebnerFactorize \\spad{++X} [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])]") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions, info)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of \\spad{nonZeroRestrictions} don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.} If argument info is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|) (|List| |#4|)) "\\spad{groebnerFactorize(listOfPolys, nonZeroRestrictions)} returns a list of groebner basis. The union of their solutions is the solution of the system of equations given by \\spad{listOfPolys} under the restriction that the polynomials of nonZeroRestrictions don't vanish. At each stage the polynomial \\spad{p} under consideration (either from the given basis or obtained from a reduction of the next S-polynomial) is factorized. For each irreducible factors of \\spad{p,} a new createGroebnerBasis is started doing the usual updates with the factor in place of \\spad{p.}")) (|factorGroebnerBasis| (((|List| (|List| |#4|)) (|List| |#4|) (|Boolean|)) "\\spad{factorGroebnerBasis(basis,info)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis. If argument \\spad{info} is true, information is printed about partial results.") (((|List| (|List| |#4|)) (|List| |#4|)) "\\spad{factorGroebnerBasis(basis)} checks whether the \\spad{basis} contains reducible polynomials and uses these to split the basis."))) 
 NIL 
 NIL 
 (-451 |Dom| |Expon| |VarSet| |Dpol|) 
@@ -1737,31 +1737,31 @@ NIL
 NIL 
 NIL 
 (-452 |Dom| |Expon| |VarSet| |Dpol|) 
-((|constructor| (NIL "\\spadtype{GroebnerPackage} computes groebner bases for polynomial ideals. The basic computation provides a distinguished set of generators for polynomial ideals over fields. This basis allows an easy test for membership: the operation \\spadfun{normalForm} returns zero on ideal members. When the provided coefficient domain,{} Dom,{} is not a field,{} the result is equivalent to considering the extended ideal with \\spadtype{Fraction(Dom)} as coefficients,{} but considerably more efficient since all calculations are performed in Dom. Additional argument \"info\" and \"redcrit\" can be given to provide incremental information during computation. Argument \"info\" produces a computational summary for each \\spad{s}-polynomial. Argument \"redcrit\" prints out the reduced critical pairs. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial},{} \\spadtype{HomogeneousDistributedMultivariatePolynomial},{} \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|normalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{normalForm(poly,{}gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class.")) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{groebner(\\spad{lp},{} \"info\",{} \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials \\spad{lp},{}} \\indented{1}{displaying both a summary of the critical pairs considered (\"info\")} \\indented{1}{and the result of reducing each critical pair (\"redcrit\").} \\indented{1}{If the second or third arguments have any other string value,{}} \\indented{1}{the indicated information is suppressed.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7},{}\"info\",{}\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{groebner(\\spad{lp},{} infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\indented{1}{Argument infoflag is used to get information on the computation.} \\indented{1}{If infoflag is \"info\",{} then summary information} \\indented{1}{is displayed for each \\spad{s}-polynomial generated.} \\indented{1}{If infoflag is \"redcrit\",{} the reduced critical pairs are displayed.} \\indented{1}{If infoflag is any other string,{}} \\indented{1}{no information is printed during computation.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7},{}\"info\") \\spad{X} groebner(\\spad{sn7},{}\"redcrit\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{groebner(\\spad{lp}) computes a groebner basis for a polynomial ideal} \\indented{1}{generated by the list of polynomials \\spad{lp}.} \\blankline \\spad{X} s1:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([\\spad{w},{}\\spad{p},{}\\spad{z},{}\\spad{t},{}\\spad{s},{}\\spad{b}],{}FRAC(INT))\\spad{:=} \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[\\spad{s1},{}\\spad{s2},{}\\spad{s3},{}\\spad{s4},{}\\spad{s5},{}\\spad{s6},{}\\spad{s7}] \\spad{X} groebner(\\spad{sn7})"))) 
+((|constructor| (NIL "\\spadtype{GroebnerPackage} computes groebner bases for polynomial ideals. The basic computation provides a distinguished set of generators for polynomial ideals over fields. This basis allows an easy test for membership: the operation \\spadfun{normalForm} returns zero on ideal members. When the provided coefficient domain, Dom, is not a field, the result is equivalent to considering the extended ideal with \\spadtype{Fraction(Dom)} as coefficients, but considerably more efficient since all calculations are performed in Dom. Additional argument \"info\" and \"redcrit\" can be given to provide incremental information during computation. Argument \"info\" produces a computational summary for each s-polynomial. Argument \"redcrit\" prints out the reduced critical pairs. The term ordering is determined by the polynomial type used. Suggested types include \\spadtype{DistributedMultivariatePolynomial}, \\spadtype{HomogeneousDistributedMultivariatePolynomial}, \\spadtype{GeneralDistributedMultivariatePolynomial}.")) (|normalForm| ((|#4| |#4| (|List| |#4|)) "\\spad{normalForm(poly,gb)} reduces the polynomial \\spad{poly} modulo the precomputed groebner basis \\spad{gb} giving a canonical representative of the residue class.")) (|groebner| (((|List| |#4|) (|List| |#4|) (|String|) (|String|)) "\\indented{1}{groebner(lp, \"info\", \"redcrit\") computes a groebner basis} \\indented{1}{for a polynomial ideal generated by the list of polynomials lp,} \\indented{1}{displaying both a summary of the critical pairs considered (\"info\")} \\indented{1}{and the result of reducing each critical pair (\"redcrit\").} \\indented{1}{If the second or third arguments have any other string value,} \\indented{1}{the indicated information is suppressed.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\",\"redcrit\")") (((|List| |#4|) (|List| |#4|) (|String|)) "\\indented{1}{groebner(lp, infoflag) computes a groebner basis} \\indented{1}{for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\indented{1}{Argument infoflag is used to get information on the computation.} \\indented{1}{If infoflag is \"info\", then summary information} \\indented{1}{is displayed for each s-polynomial generated.} \\indented{1}{If infoflag is \"redcrit\", the reduced critical pairs are displayed.} \\indented{1}{If infoflag is any other string,} \\indented{1}{no information is printed during computation.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7,\"info\") \\spad{X} groebner(sn7,\"redcrit\")") (((|List| |#4|) (|List| |#4|)) "\\indented{1}{groebner(lp) computes a groebner basis for a polynomial ideal} \\indented{1}{generated by the list of polynomials lp.} \\blankline \\spad{X} s1:DMP([w,p,z,t,s,b],FRAC(INT)):= 45*p + 35*s - 165*b - 36 \\spad{X} s2:DMP([w,p,z,t,s,b],FRAC(INT)):= 35*p + 40*z + 25*t - 27*s \\spad{X} s3:DMP([w,p,z,t,s,b],FRAC(INT)):= 15*w + 25*p*s + 30*z - 18*t - 165*b**2 \\spad{X} s4:DMP([w,p,z,t,s,b],FRAC(INT)):= -9*w + 15*p*t + 20*z*s \\spad{X} s5:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{w*p} + 2*z*t - 11*b**3 \\spad{X} s6:DMP([w,p,z,t,s,b],FRAC(INT)):= 99*w - 11*b*s + 3*b**2 \\spad{X} s7:DMP([w,p,z,t,s,b],FRAC(INT)):= \\spad{b**2} + 33/50*b + 2673/10000 \\spad{X} sn7:=[s1,s2,s3,s4,s5,s6,s7] \\spad{X} groebner(sn7)"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366)))) 
 (-453 S) 
-((|constructor| (NIL "This category describes domains where \\spadfun{\\spad{gcd}} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However,{} if such a \\spadfun{factor} operation exist,{} factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the greatest common divisor (\\spad{gcd}) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l}.") (($ $ $) "\\spad{lcm(x,{}y)} returns the least common multiple of \\spad{x} and \\spad{y}.")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l}.") (($ $ $) "\\spad{gcd(x,{}y)} returns the greatest common divisor of \\spad{x} and \\spad{y}."))) 
+((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
 (-454) 
-((|constructor| (NIL "This category describes domains where \\spadfun{\\spad{gcd}} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However,{} if such a \\spadfun{factor} operation exist,{} factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the greatest common divisor (\\spad{gcd}) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l}.") (($ $ $) "\\spad{lcm(x,{}y)} returns the least common multiple of \\spad{x} and \\spad{y}.")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l}.") (($ $ $) "\\spad{gcd(x,{}y)} returns the greatest common divisor of \\spad{x} and \\spad{y}."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category describes domains where \\spadfun{gcd} can be computed but where there is no guarantee of the existence of \\spadfun{factor} operation for factorisation into irreducibles. However, if such a \\spadfun{factor} operation exist, factorization will be unique up to order and units.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the greatest common divisor (gcd) of univariate polynomials over the domain")) (|lcm| (($ (|List| $)) "\\spad{lcm(l)} returns the least common multiple of the elements of the list \\spad{l.}") (($ $ $) "\\spad{lcm(x,y)} returns the least common multiple of \\spad{x} and \\spad{y.}")) (|gcd| (($ (|List| $)) "\\spad{gcd(l)} returns the common \\spad{gcd} of the elements in the list \\spad{l.}") (($ $ $) "\\spad{gcd(x,y)} returns the greatest common divisor of \\spad{x} and \\spad{y.}"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-455 R |n| |ls| |gamma|) 
-((|constructor| (NIL "AlgebraGenericElementPackage allows you to create generic elements of an algebra,{} \\spadignore{i.e.} the scalars are extended to include symbolic coefficients")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis") (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,{}...,{}vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}")) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericRightDiscriminant()} is the determinant of the generic left trace forms of all products of basis element,{} if the generic left trace form is associative,{} an algebra is separable if the generic left discriminant is invertible,{} if it is non-zero,{} there is some ring extension which makes the algebra separable")) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericRightTraceForm (a,{}b)} is defined to be \\spadfun{genericRightTrace (a*b)},{} this defines a symmetric bilinear form on the algebra")) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericLeftDiscriminant()} is the determinant of the generic left trace forms of all products of basis element,{} if the generic left trace form is associative,{} an algebra is separable if the generic left discriminant is invertible,{} if it is non-zero,{} there is some ring extension which makes the algebra separable")) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericLeftTraceForm (a,{}b)} is defined to be \\spad{genericLeftTrace (a*b)},{} this defines a symmetric bilinear form on the algebra")) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{rightRankPolynomial} and changes the sign if the degree of this polynomial is odd")) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{rightRankPolynomial} and changes the sign")) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericRightMinimalPolynomial(a)} substitutes the coefficients of \\spad{a} for the generic coefficients in \\spadfun{rightRankPolynomial}")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{rightRankPolynomial()} returns the right minimimal polynomial of the generic element")) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{leftRankPolynomial} and changes the sign if the degree of this polynomial is odd. This is a form of degree \\spad{k}")) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{leftRankPolynomial} and changes the sign. \\indented{1}{This is a linear form}")) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericLeftMinimalPolynomial(a)} substitutes the coefficients of {em a} for the generic coefficients in \\spad{leftRankPolynomial()}")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{leftRankPolynomial()} returns the left minimimal polynomial of the generic element")) (|generic| (($ (|Vector| (|Symbol|)) (|Vector| $)) "\\spad{generic(vs,{}ve)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{ve} with the symbolic coefficients \\spad{vs} error,{} if the vector of symbols is shorter than the vector of elements") (($ (|Symbol|) (|Vector| $)) "\\spad{generic(s,{}v)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{v} with the symbolic coefficients \\spad{s1,{}s2,{}..}") (($ (|Vector| $)) "\\spad{generic(ve)} returns a generic element,{} \\spadignore{i.e.} the linear combination of \\spad{ve} basis with the symbolic coefficients \\spad{\\%x1,{}\\%x2,{}..}") (($ (|Vector| (|Symbol|))) "\\spad{generic(vs)} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{vs}; error,{} if the vector of symbols is too short") (($ (|Symbol|)) "\\spad{generic(s)} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{s1,{}s2,{}..}") (($) "\\spad{generic()} returns a generic element,{} \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{\\%x1,{}\\%x2,{}..}")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra,{} or \\spad{\"failed\"} if there is none")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra,{} or \\spad{\"failed\"} if there is none")) (|coerce| (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) "\\spad{coerce(v)} assumes that it is called with a vector of length equal to the dimension of the algebra,{} then a linear combination with the basis element is formed"))) 
-((-4532 |has| (-410 (-954 |#1|)) (-559)) (-4530 . T) (-4529 . T)) 
-((|HasCategory| (-410 (-954 |#1|)) (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-410 (-954 |#1|)) (QUOTE (-559)))) 
+((|constructor| (NIL "AlgebraGenericElementPackage allows you to create generic elements of an algebra, \\spadignore{i.e.} the scalars are extended to include symbolic coefficients")) (|conditionsForIdempotents| (((|List| (|Polynomial| |#1|))) "\\spad{conditionsForIdempotents()} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the fixed \\spad{R}-module basis") (((|List| (|Polynomial| |#1|)) (|Vector| $)) "\\spad{conditionsForIdempotents([v1,...,vn])} determines a complete list of polynomial equations for the coefficients of idempotents with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}")) (|genericRightDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericRightDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericRightTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericRightTraceForm (a,b)} is defined to be \\spadfun{genericRightTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericLeftDiscriminant| (((|Fraction| (|Polynomial| |#1|))) "\\spad{genericLeftDiscriminant()} is the determinant of the generic left trace forms of all products of basis element, if the generic left trace form is associative, an algebra is separable if the generic left discriminant is invertible, if it is non-zero, there is some ring extension which makes the algebra separable")) (|genericLeftTraceForm| (((|Fraction| (|Polynomial| |#1|)) $ $) "\\spad{genericLeftTraceForm (a,b)} is defined to be \\spad{genericLeftTrace (a*b)}, this defines a symmetric bilinear form on the algebra")) (|genericRightNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{rightRankPolynomial} and changes the sign if the degree of this polynomial is odd")) (|genericRightTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericRightTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{rightRankPolynomial} and changes the sign")) (|genericRightMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericRightMinimalPolynomial(a)} substitutes the coefficients of \\spad{a} for the generic coefficients in \\spadfun{rightRankPolynomial}")) (|rightRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{rightRankPolynomial()} returns the right minimimal polynomial of the generic element")) (|genericLeftNorm| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftNorm(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the constant term in \\spadfun{leftRankPolynomial} and changes the sign if the degree of this polynomial is odd. This is a form of degree \\spad{k}")) (|genericLeftTrace| (((|Fraction| (|Polynomial| |#1|)) $) "\\spad{genericLeftTrace(a)} substitutes the coefficients of \\spad{a} for the generic coefficients into the coefficient of the second highest term in \\spadfun{leftRankPolynomial} and changes the sign. \\indented{1}{This is a linear form}")) (|genericLeftMinimalPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|))) $) "\\spad{genericLeftMinimalPolynomial(a)} substitutes the coefficients of {em a} for the generic coefficients in \\spad{leftRankPolynomial()}")) (|leftRankPolynomial| (((|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) "\\spad{leftRankPolynomial()} returns the left minimimal polynomial of the generic element")) (|generic| (($ (|Vector| (|Symbol|)) (|Vector| $)) "\\spad{generic(vs,ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} with the symbolic coefficients \\spad{vs} error, if the vector of symbols is shorter than the vector of elements") (($ (|Symbol|) (|Vector| $)) "\\spad{generic(s,v)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{v} with the symbolic coefficients \\spad{s1,s2,..}") (($ (|Vector| $)) "\\spad{generic(ve)} returns a generic element, \\spadignore{i.e.} the linear combination of \\spad{ve} basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}") (($ (|Vector| (|Symbol|))) "\\spad{generic(vs)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{vs}; error, if the vector of symbols is too short") (($ (|Symbol|)) "\\spad{generic(s)} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{s1,s2,..}") (($) "\\spad{generic()} returns a generic element, \\spadignore{i.e.} the linear combination of the fixed basis with the symbolic coefficients \\spad{\\%x1,\\%x2,..}")) (|rightUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{rightUnits()} returns the affine space of all right units of the algebra, or \\spad{\"failed\"} if there is none")) (|leftUnits| (((|Union| (|Record| (|:| |particular| $) (|:| |basis| (|List| $))) "failed")) "\\spad{leftUnits()} returns the affine space of all left units of the algebra, or \\spad{\"failed\"} if there is none")) (|coerce| (($ (|Vector| (|Fraction| (|Polynomial| |#1|)))) "\\spad{coerce(v)} assumes that it is called with a vector of length equal to the dimension of the algebra, then a linear combination with the basis element is formed"))) 
+((-4568 |has| (-410 (-955 |#1|)) (-559)) (-4566 . T) (-4565 . T)) 
+((|HasCategory| (-410 (-955 |#1|)) (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-410 (-955 |#1|)) (QUOTE (-559)))) 
 (-456 |vl| R E) 
-((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is specified by its third parameter. Suggested types which define term orderings include: \\spadtype{DirectProduct},{} \\spadtype{HomogeneousDirectProduct},{} \\spadtype{SplitHomogeneousDirectProduct} and finally \\spadtype{OrderedDirectProduct} which accepts an arbitrary user function to define a term ordering.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is specified by its third parameter. Suggested types which define term orderings include: \\spadtype{DirectProduct}, \\spadtype{HomogeneousDirectProduct}, \\spadtype{SplitHomogeneousDirectProduct} and finally \\spadtype{OrderedDirectProduct} which accepts an arbitrary user function to define a term ordering.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
 (-457) 
-((|constructor| (NIL "This package provides support for gnuplot. These routines generate output files contain gnuplot scripts that may be processed directly by gnuplot. This is especially convenient in the axiom-wiki environment where gnuplot is called from LaTeX via gnuplottex.")) (|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting,{} default options} \\blankline \\spad{X} gnuDraw(sin(\\spad{x})*cos(\\spad{y}),{}\\spad{x=}-6..4,{}\\spad{y=}-4..6,{}\"out3d.dat\") \\spad{X} )\\spad{sys} gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting with options} \\blankline \\spad{X} gnuDraw(sin(\\spad{x})*cos(\\spad{y}),{}\\spad{x=}-6..4,{}\\spad{y=}-4..6,{}\"out3d.dat\",{}title==\"out3d\") \\spad{X} )\\spad{sys} gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting,{} default options} \\blankline \\spad{X} gnuDraw(\\spad{D}(cos(exp(\\spad{z}))/exp(\\spad{z^2}),{}\\spad{z}),{}\\spad{z=}-5..5,{}\"out2d.dat\") \\spad{X} )\\spad{sys} gnuplot -persist out2d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting with options} \\blankline \\spad{X} gnuDraw(\\spad{D}(cos(exp(\\spad{z}))/exp(\\spad{z^2}),{}\\spad{z}),{}\\spad{z=}-5..5,{}\"out2d.dat\",{}title==\"out2d\") \\spad{X} )\\spad{sys} gnuplot -persist out2d.dat"))) 
+((|constructor| (NIL "This package provides support for gnuplot. These routines generate output files contain gnuplot scripts that may be processed directly by gnuplot. This is especially convenient in the axiom-wiki environment where gnuplot is called from LaTeX via gnuplottex.")) (|gnuDraw| (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting, default options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 3d surface plotting with options} \\blankline \\spad{X} gnuDraw(sin(x)*cos(y),x=-6..4,y=-4..6,\"out3d.dat\",title==\"out3d\") \\spad{X} )sys gnuplot -persist out3d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|)) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting, default options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\") \\spad{X} )sys gnuplot -persist out2d.dat") (((|Void|) (|Expression| (|Float|)) (|SegmentBinding| (|Float|)) (|String|) (|List| (|DrawOption|))) "\\indented{1}{\\spad{gnuDraw} provides 2d plotting with options} \\blankline \\spad{X} gnuDraw(D(cos(exp(z))/exp(z^2),z),z=-5..5,\"out2d.dat\",title==\"out2d\") \\spad{X} )sys gnuplot -persist out2d.dat"))) 
 NIL 
 NIL 
 (-458 R BP) 
-((|constructor| (NIL "The equation \\spad{Af+Bg=h} and its generalization to \\spad{n} polynomials is solved for solutions over the \\spad{R},{} euclidean domain. A table containing the solutions of \\spad{Af+Bg=x**k} is used. The operations are performed modulus a prime which are in principle big enough,{} but the solutions are tested and,{} in case of failure,{} a hensel lifting process is used to get to the right solutions. It will be used in the factorization of multivariate polynomials over finite field,{} with \\spad{R=F[x]}.")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,{}lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp},{} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,{}table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h}.")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,{}prime,{}lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for \\spad{lpol}. Here the right side is \\spad{x**k},{} for \\spad{k} less or equal to \\spad{maxdeg}. The operation returns \"failed\" when the elements are not coprime modulo \\spad{prime}.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,{}lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p},{} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,{}prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R}. Note that this function is exported only because it\\spad{'s} conditional."))) 
+((|constructor| (NIL "The equation \\spad{Af+Bg=h} and its generalization to \\spad{n} polynomials is solved for solutions over the \\spad{R,} euclidean domain. A table containing the solutions of \\spad{Af+Bg=x**k} is used. The operations are performed modulus a prime which are in principle big enough, but the solutions are tested and, in case of failure, a hensel lifting process is used to get to the right solutions. It will be used in the factorization of multivariate polynomials over finite field, with \\spad{R=F[x]}.")) (|testModulus| (((|Boolean|) |#1| (|List| |#2|)) "\\spad{testModulus(p,lp)} returns \\spad{true} if the the prime \\spad{p} is valid for the list of polynomials \\spad{lp,} \\spadignore{i.e.} preserves the degree and they remain relatively prime.")) (|solveid| (((|Union| (|List| |#2|) "failed") |#2| |#1| (|Vector| (|List| |#2|))) "\\spad{solveid(h,table)} computes the coefficients of the extended euclidean algorithm for a list of polynomials whose tablePow is \\spad{table} and with right side \\spad{h.}")) (|tablePow| (((|Union| (|Vector| (|List| |#2|)) "failed") (|NonNegativeInteger|) |#1| (|List| |#2|)) "\\spad{tablePow(maxdeg,prime,lpol)} constructs the table with the coefficients of the Extended Euclidean Algorithm for lpol. Here the right side is \\spad{x**k}, for \\spad{k} less or equal to maxdeg. The operation returns \"failed\" when the elements are not coprime modulo prime.")) (|compBound| (((|NonNegativeInteger|) |#2| (|List| |#2|)) "\\spad{compBound(p,lp)} computes a bound for the coefficients of the solution polynomials. Given a polynomial right hand side \\spad{p,} and a list \\spad{lp} of left hand side polynomials. Exported because it depends on the valuation.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(p,prime)} reduces the polynomial \\spad{p} modulo \\spad{prime} of \\spad{R.} Note that this function is exported only because it's conditional."))) 
 NIL 
 NIL 
 (-459 OV E S R P) 
@@ -1769,7 +1769,7 @@ NIL
 NIL 
 NIL 
 (-460 E OV R P) 
-((|constructor| (NIL "This package provides operations for \\spad{GCD} computations on polynomials")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
+((|constructor| (NIL "This package provides operations for \\spad{GCD} computations on polynomials")) (|randomR| ((|#3|) "\\spad{randomR()} should be local but conditional")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{GCD} of \\spad{p} and \\spad{q}"))) 
 NIL 
 NIL 
 (-461 R) 
@@ -1777,315 +1777,315 @@ NIL
 NIL 
 NIL 
 (-462 R FE) 
-((|constructor| (NIL "\\spadtype{GenerateUnivariatePowerSeries} provides functions that create power series from explicit formulas for their \\spad{n}th coefficient.")) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(a(n),{}n,{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{series(a(n),{}n,{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(n +-> a(n),{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{series(n +-> a(n),{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(a(n),{}n,{}x=a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{series(a(n),{}n,{}x=a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{series(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{series(a(n),{}n,{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{series(n +-> a(n),{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.")) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(a(n),{}n,{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{puiseux(a(n),{}n,{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(n +-> a(n),{}x = a,{}r0..,{}r)} returns \\spad{sum(n = r0,{}r0 + r,{}r0 + 2*r...,{} a(n) * (x - a)**n)}; \\spad{puiseux(n +-> a(n),{}x = a,{}r0..r1,{}r)} returns \\spad{sum(n = r0 + k*r while n <= r1,{} a(n) * (x - a)**n)}.")) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(a(n),{}n,{}x=a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{laurent(a(n),{}n,{}x=a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n) * (x - a)**n)}; \\spad{laurent(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..n1,{}a(n) * (x - a)**n)}.")) (|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(a(n),{}n,{}x = a,{}n0..)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}; \\spad{taylor(a(n),{}n,{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(n +-> a(n),{}x = a,{}n0..)} returns \\spad{sum(n=n0..,{}a(n)*(x-a)**n)}; \\spad{taylor(n +-> a(n),{}x = a,{}n0..n1)} returns \\spad{sum(n = n0..,{}a(n)*(x-a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{taylor(a(n),{}n,{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{taylor(n +-> a(n),{}x = a)} returns \\spad{sum(n = 0..,{}a(n)*(x-a)**n)}."))) 
+((|constructor| (NIL "\\spadtype{GenerateUnivariatePowerSeries} provides functions that create power series from explicit formulas for their \\spad{n}th coefficient.")) (|series| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{series(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{series(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{series(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{series(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.")) (|puiseux| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(a(n),n,x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., \\spad{a(n)} * \\spad{(x} - a)**n)}; \\spad{puiseux(a(n),n,x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} \\spad{a(n)} * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Fraction| (|Integer|))) (|Equation| |#2|) (|UniversalSegment| (|Fraction| (|Integer|))) (|Fraction| (|Integer|))) "\\spad{puiseux(n \\spad{+->} a(n),x = a,r0..,r)} returns \\spad{sum(n = \\spad{r0,r0} + \\spad{r,r0} + 2*r..., a(n) * \\spad{(x} - a)**n)}; \\spad{puiseux(n \\spad{+->} a(n),x = a,r0..r1,r)} returns \\spad{sum(n = \\spad{r0} + \\spad{k*r} while \\spad{n} \\spad{<=} \\spad{r1,} a(n) * \\spad{(x} - a)**n)}.")) (|laurent| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(a(n),n,x=a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(a(n),n,x=a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|Integer|))) "\\spad{laurent(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n = n0..,a(n) * \\spad{(x} - a)**n)}; \\spad{laurent(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..n1,a(n) * \\spad{(x} - a)**n)}.")) (|taylor| (((|Any|) |#2| (|Symbol|) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(a(n),n,x = a,n0..)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}; \\spad{taylor(a(n),n,x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|) (|UniversalSegment| (|NonNegativeInteger|))) "\\spad{taylor(n \\spad{+->} a(n),x = a,n0..)} returns \\spad{sum(n=n0..,a(n)*(x-a)**n)}; \\spad{taylor(n \\spad{+->} a(n),x = a,n0..n1)} returns \\spad{sum(n = n0..,a(n)*(x-a)**n)}.") (((|Any|) |#2| (|Symbol|) (|Equation| |#2|)) "\\spad{taylor(a(n),n,x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}.") (((|Any|) (|Mapping| |#2| (|Integer|)) (|Equation| |#2|)) "\\spad{taylor(n \\spad{+->} a(n),x = a)} returns \\spad{sum(n = 0..,a(n)*(x-a)**n)}."))) 
 NIL 
 NIL 
 (-463 RP TP) 
-((|constructor| (NIL "General Hensel Lifting Used for Factorization of bivariate polynomials over a finite field.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(u,{}pol)} computes the symmetric reduction of \\spad{u} mod \\spad{pol}")) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{completeHensel(pol,{}lfact,{}prime,{}bound)} lifts \\spad{lfact},{} the factorization mod \\spad{prime} of \\spad{pol},{} to the factorization mod prime**k>bound. Factors are recombined on the way.")) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{HenselLift(pol,{}lfacts,{}prime,{}bound)} lifts \\spad{lfacts},{} that are the factors of \\spad{pol} mod \\spad{prime},{} to factors of \\spad{pol} mod prime**k > \\spad{bound}. No recombining is done ."))) 
+((|constructor| (NIL "General Hensel Lifting Used for Factorization of bivariate polynomials over a finite field.")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(u,pol)} computes the symmetric reduction of \\spad{u} mod \\spad{pol}")) (|completeHensel| (((|List| |#2|) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{completeHensel(pol,lfact,prime,bound)} lifts lfact, the factorization mod \\spad{prime} of pol, to the factorization mod prime**k>bound. Factors are recombined on the way.")) (|HenselLift| (((|Record| (|:| |plist| (|List| |#2|)) (|:| |modulo| |#1|)) |#2| (|List| |#2|) |#1| (|PositiveInteger|)) "\\spad{HenselLift(pol,lfacts,prime,bound)} lifts lfacts, that are the factors of \\spad{pol} mod prime, to factors of \\spad{pol} mod prime**k > bound. No recombining is done ."))) 
 NIL 
 NIL 
 (-464 |vl| R IS E |ff| P) 
-((|constructor| (NIL "This package is undocumented")) (* (($ |#6| $) "\\spad{p*x} is not documented")) (|multMonom| (($ |#2| |#4| $) "\\spad{multMonom(r,{}e,{}x)} is not documented")) (|build| (($ |#2| |#3| |#4|) "\\spad{build(r,{}i,{}e)} is not documented")) (|unitVector| (($ |#3|) "\\spad{unitVector(x)} is not documented")) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) "\\spad{monomial(r,{}x)} is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|leadingIndex| ((|#3| $) "\\spad{leadingIndex(x)} is not documented")) (|leadingExponent| ((|#4| $) "\\spad{leadingExponent(x)} is not documented")) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) "\\spad{leadingMonomial(x)} is not documented")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(x)} is not documented"))) 
-((-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "This package is undocumented")) (* (($ |#6| $) "\\spad{p*x} is not documented")) (|multMonom| (($ |#2| |#4| $) "\\spad{multMonom(r,e,x)} is not documented")) (|build| (($ |#2| |#3| |#4|) "\\spad{build(r,i,e)} is not documented")) (|unitVector| (($ |#3|) "\\spad{unitVector(x)} is not documented")) (|monomial| (($ |#2| (|ModuleMonomial| |#3| |#4| |#5|)) "\\spad{monomial(r,x)} is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|leadingIndex| ((|#3| $) "\\spad{leadingIndex(x)} is not documented")) (|leadingExponent| ((|#4| $) "\\spad{leadingExponent(x)} is not documented")) (|leadingMonomial| (((|ModuleMonomial| |#3| |#4| |#5|) $) "\\spad{leadingMonomial(x)} is not documented")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(x)} is not documented"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-465) 
-((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for Guess.")) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) "\\spad{checkOptions checks} whether the given options are consistent,{} and yields an error otherwise")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress,{} default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification,{} therefore,{} there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas,{} default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation,{} default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation,{} default being \\spad{f}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution,{} default being \\spad{true}.")) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. The default is \\spad{true}.")) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\",{} we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\",{} we use a probabilistic check. The default is \"deterministic\".")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried,{} the default being \\spad{false}.")) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{maxMixedDegree returns} the specified maxMixedDegree.")) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree.")) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel.")) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{Somos returns} whether we allow only Somos-like operators,{} default being \\spad{false}")) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations,{} default being \\spad{false}")) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower.")) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxSubst returns} the specified maxSubst.")) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift.")) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative."))) 
+((|constructor| (NIL "\\spad{GuessOptionFunctions0} provides operations that extract the values of options for Guess.")) (|checkOptions| (((|Void|) (|List| (|GuessOption|))) "\\spad{checkOptions checks} whether the given options are consistent, and yields an error otherwise")) (|debug| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{debug returns} whether we want additional output on the progress, default being \\spad{false}")) (|displayAsGF| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{displayAsGF specifies} whether the result is a generating function or a recurrence. This option should not be set by the user, but rather by the HP-specification, therefore, there is no default.")) (|indexName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{indexName returns} the name of the index variable used for the formulas, default being \\spad{n}")) (|variableName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{variableName returns} the name of the variable used in by the algebraic differential equation, default being \\spad{x}")) (|functionName| (((|Symbol|) (|List| (|GuessOption|))) "\\spad{functionName returns} the name of the function given by the algebraic differential equation, default being \\spad{f}")) (|one| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{one returns} whether we need only one solution, default being true.")) (|checkExtraValues| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. The default is true.")) (|check| (((|Union| "skip" "MonteCarlo" "deterministic") (|List| (|GuessOption|))) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. The default is \"deterministic\".")) (|safety| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{safety returns} the specified safety or 1 as default.")) (|allDegrees| (((|Boolean|) (|List| (|GuessOption|))) "\\spad{allDegrees returns} whether all possibilities of the degree vector should be tried, the default being false.")) (|maxMixedDegree| (((|NonNegativeInteger|) (|List| (|GuessOption|))) "\\spad{maxMixedDegree returns} the specified maxMixedDegree.")) (|maxDegree| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDegree returns} the specified maxDegree.")) (|maxLevel| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxLevel returns} the specified maxLevel.")) (|Somos| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{Somos returns} whether we allow only Somos-like operators, default being \\spad{false}")) (|homogeneous| (((|Union| (|PositiveInteger|) (|Boolean|)) (|List| (|GuessOption|))) "\\spad{homogeneous returns} whether we allow only homogeneous algebraic differential equations, default being \\spad{false}")) (|maxPower| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxPower returns} the specified maxPower.")) (|maxSubst| (((|Union| (|PositiveInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxSubst returns} the specified maxSubst.")) (|maxShift| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxShift returns} the specified maxShift.")) (|maxDerivative| (((|Union| (|NonNegativeInteger|) "arbitrary") (|List| (|GuessOption|))) "\\spad{maxDerivative returns} the specified maxDerivative."))) 
 NIL 
 NIL 
 (-466) 
-((|constructor| (NIL "GuessOption is a domain whose elements are various options used by \\spadtype{Guess}.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option(l,{} option)} returns which options are given.")) (|displayAsGF| (($ (|Boolean|)) "\\spad{displayAsGF(d)} specifies whether the result is a generating function or a recurrence. This option should not be set by the user,{} but rather by the \\spad{HP}-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName == d}.")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName == d}.")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName == d}.")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug == d}.")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one == d}.")) (|checkExtraValues| (($ (|Boolean|)) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. This option is expressed in the form \\spad{checkExtraValues == d}")) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\",{} we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\",{} we use a probabilistic check. This option is expressed in the form \\spad{check == d}")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety == d}.")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees == d}.")) (|maxMixedDegree| (($ (|NonNegativeInteger|)) "\\spad{maxMixedDegree(d)} specifies the maximum \\spad{q}-degree of the coefficient polynomials in a recurrence with polynomial coefficients,{} in the case of mixed shifts. Although slightly inconsistent,{} maxMixedDegree(0) specifies that no mixed shifts are allowed. This option is expressed in the form \\spad{maxMixedDegree == d}.")) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term,{} \\spad{maxDegree} bounds the degree of the denominator polynomial. This option is expressed in the form \\spad{maxDegree == d}.")) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. This option is expressed in the form spad{maxLevel \\spad{==} \\spad{d}}.")) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{Somos(d)} specifies whether we want that the total degree of the differential operators is constant,{} and equal to \\spad{d},{} or maxDerivative if \\spad{true}. If \\spad{true},{} maxDerivative must be set,{} too.")) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous == d}. If \\spad{true},{} then maxPower must be set,{} too,{} and ADEs with constant total degree are allowed. If a PositiveInteger is given,{} only ADE\\spad{'s} with this total degree are allowed.")) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example,{} the degree of (\\spad{f}\\spad{''})\\spad{^3} \\spad{f'} is 4. maxPower(\\spad{-1}) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower == d}.")) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxSubst(d)} specifies the maximum degree of the monomial substituted into the function we are looking for. That is,{} if \\spad{maxSubst == d},{} we look for polynomials such that \\$\\spad{p}(\\spad{f}(\\spad{x}),{} \\spad{f}(\\spad{x^2}),{} ...,{} \\spad{f}(\\spad{x^d}))\\spad{=0}\\$. equation. This option is expressed in the form \\spad{maxSubst == d}.")) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. This option is expressed in the form \\spad{maxShift == d}.")) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. This option is expressed in the form \\spad{maxDerivative == d}."))) 
+((|constructor| (NIL "GuessOption is a domain whose elements are various options used by Guess.")) (|option| (((|Union| (|Any|) "failed") (|List| $) (|Symbol|)) "\\spad{option(l, option)} returns which options are given.")) (|displayKind| (($ (|Symbol|)) "\\spad{displayKind(d)} specifies kind of the result: generating function, recurrence or equation. This option should not be set by the user, but rather by the HP-specification.")) (|indexName| (($ (|Symbol|)) "\\spad{indexName(d)} specifies the index variable used for the formulas. This option is expressed in the form \\spad{indexName \\spad{==} \\spad{d}.}")) (|variableName| (($ (|Symbol|)) "\\spad{variableName(d)} specifies the variable used in by the algebraic differential equation. This option is expressed in the form \\spad{variableName \\spad{==} \\spad{d}.}")) (|functionNames| (($ (|List| (|Symbol|))) "\\spad{functionNames(d)} specifies the names for the function in algebraic dependence. This option is expressed in the form \\spad{functionNames \\spad{==} \\spad{d}.}")) (|functionName| (($ (|Symbol|)) "\\spad{functionName(d)} specifies the name of the function given by the algebraic differential equation or recurrence. This option is expressed in the form \\spad{functionName \\spad{==} \\spad{d}.}")) (|debug| (($ (|Boolean|)) "\\spad{debug(d)} specifies whether we want additional output on the progress. This option is expressed in the form \\spad{debug \\spad{==} \\spad{d}.}")) (|one| (($ (|Boolean|)) "\\spad{one(d)} specifies whether we are happy with one solution. This option is expressed in the form \\spad{one \\spad{==} \\spad{d}.}")) (|checkExtraValues| (($ (|Boolean|)) "\\spad{checkExtraValues(d)} specifies whether we want to check the solution beyond the order given by the degree bounds. This option is expressed in the form \\spad{checkExtraValues \\spad{==} \\spad{d}}")) (|check| (($ (|Union| "skip" "MonteCarlo" "deterministic")) "\\spad{check(d)} specifies how we want to check the solution. If the value is \"skip\", we return the solutions found by the interpolation routine without checking. If the value is \"MonteCarlo\", we use a probabilistic check. This option is expressed in the form \\spad{check \\spad{==} \\spad{d}}")) (|safety| (($ (|NonNegativeInteger|)) "\\spad{safety(d)} specifies the number of values reserved for testing any solutions found. This option is expressed in the form \\spad{safety \\spad{==} \\spad{d}.}")) (|allDegrees| (($ (|Boolean|)) "\\spad{allDegrees(d)} specifies whether all possibilities of the degree vector - taking into account maxDegree - should be tried. This is mainly interesting for rational interpolation. This option is expressed in the form \\spad{allDegrees \\spad{==} \\spad{d}.}")) (|maxMixedDegree| (($ (|NonNegativeInteger|)) "\\spad{maxMixedDegree(d)} specifies the maximum q-degree of the coefficient polynomials in a recurrence with polynomial coefficients, in the case of mixed shifts. Although slightly inconsistent, maxMixedDegree(0) specifies that no mixed shifts are allowed. This option is expressed in the form \\spad{maxMixedDegree \\spad{==} \\spad{d}.}")) (|maxDegree| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDegree(d)} specifies the maximum degree of the coefficient polynomials in an algebraic differential equation or a recursion with polynomial coefficients. For rational functions with an exponential term, \\spad{maxDegree} bounds the degree of the denominator polynomial. This option is expressed in the form \\spad{maxDegree \\spad{==} \\spad{d}.}")) (|maxLevel| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxLevel(d)} specifies the maximum number of recursion levels operators guessProduct and guessSum will be applied. This option is expressed in the form spad{maxLevel \\spad{==} \\spad{d}.}")) (|Somos| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{Somos(d)} specifies whether we want that the total degree of the differential operators is constant, and equal to \\spad{d,} or maxDerivative if true. If true, maxDerivative must be set, too.")) (|homogeneous| (($ (|Union| (|PositiveInteger|) (|Boolean|))) "\\spad{homogeneous(d)} specifies whether we allow only homogeneous algebraic differential equations. This option is expressed in the form \\spad{homogeneous \\spad{==} \\spad{d}.} If true, then maxPower must be set, too, and ADEs with constant total degree are allowed. If a PositiveInteger is given, only ADE's with this total degree are allowed.")) (|maxPower| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxPower(d)} specifies the maximum degree in an algebraic differential equation. For example, the degree of \\spad{(f'')^3} \\spad{f'} is 4. maxPower(-1) specifies that the maximum exponent can be arbitrary. This option is expressed in the form \\spad{maxPower \\spad{==} \\spad{d}.}")) (|maxSubst| (($ (|Union| (|PositiveInteger|) "arbitrary")) "\\spad{maxSubst(d)} specifies the maximum degree of the monomial substituted into the function we are looking for. That is, if \\spad{maxSubst \\spad{==} \\spad{d},} we look for polynomials such that $p(f(x), f(x^2), ..., f(x^d))=0$. equation. This option is expressed in the form \\spad{maxSubst \\spad{==} \\spad{d}.}")) (|maxShift| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxShift(d)} specifies the maximum shift in a recurrence equation. This option is expressed in the form \\spad{maxShift \\spad{==} \\spad{d}.}")) (|maxDerivative| (($ (|Union| (|NonNegativeInteger|) "arbitrary")) "\\spad{maxDerivative(d)} specifies the maximum derivative in an algebraic differential equation. This option is expressed in the form \\spad{maxDerivative \\spad{==} \\spad{d}.}"))) 
 NIL 
 NIL 
 (-467 E V R P Q) 
-((|constructor| (NIL "Gosper\\spad{'s} summation algorithm.")) (|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) "\\spad{GospersMethod(b,{} n,{} new)} returns a rational function \\spad{rf(n)} such that \\spad{a(n) * rf(n)} is the indefinite sum of \\spad{a(n)} with respect to upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{a(n+1) * rf(n+1) - a(n) * rf(n) = a(n)},{} where \\spad{b(n) = a(n)/a(n-1)} is a rational function. Returns \"failed\" if no such rational function \\spad{rf(n)} exists. Note that \\spad{new} is a nullary function returning a new \\spad{V} every time. The condition on \\spad{a(n)} is that \\spad{a(n)/a(n-1)} is a rational function of \\spad{n}."))) 
+((|constructor| (NIL "Gosper's summation algorithm.")) (|GospersMethod| (((|Union| |#5| "failed") |#5| |#2| (|Mapping| |#2|)) "\\spad{GospersMethod(b, \\spad{n,} new)} returns a rational function \\spad{rf(n)} such that \\spad{a(n) * rf(n)} is the indefinite sum of \\spad{a(n)} with respect to upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{a(n+1) * rf(n+1) - a(n) * rf(n) = a(n)}, where \\spad{b(n) = a(n)/a(n-1)} is a rational function. Returns \"failed\" if no such rational function \\spad{rf(n)} exists. Note that \\spad{new} is a nullary function returning a new \\spad{V} every time. The condition on \\spad{a(n)} is that \\spad{a(n)/a(n-1)} is a rational function of \\spad{n}."))) 
 NIL 
 NIL 
 (-468 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
-((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package.")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|rationalPlaces| (((|List| |#7|)) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}.")) (|adjunctionDivisor| ((|#8|) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial \\spad{crv}.")) (|intersectionDivisor| ((|#8| |#3|) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field,{} an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#3| |#7|) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#7|) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| |#3|) |#7|) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| |#3| |#3| |#7|) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| |#3| |#7|) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| ((|#6| |#3| |#7|) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| |#5|)) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) "\\spad{setSingularPoints(lpt)} sets the singular points to be used. Beware: no attempt is made to check if the points are singular or not,{} nor if all of the singular points are presents. Hence,{} results of some computation maybe \\spad{false}. It is intend to be use when one want to compute the singular points are computed by other means than to use the function singularPoints.")) (|desingTreeWoFullParam| (((|List| |#10|)) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|desingTree| (((|List| |#10|)) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| ((|#3|) "\\spad{theCurve returns} the specified polynomial for the package.")) (|printInfo| (((|Void|) (|List| (|Boolean|))) "\\spad{printInfo(lbool)} prints some information comming from various package and domain used by this package."))) 
+((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package.")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| |#7|) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|rationalPlaces| (((|List| |#7|)) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|adjunctionDivisor| ((|#8|) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial crv.")) (|intersectionDivisor| ((|#8| |#3|) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| |#3|) |#7|) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#3| |#7|) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") |#3| |#7|) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| |#3|) |#7|) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| |#3| |#3| |#7|) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| |#3| |#7|) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| |#3|)) (|:| |den| |#3|)) |#8|) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| |#5|)) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|setSingularPoints| (((|List| |#5|) (|List| |#5|)) "\\spad{setSingularPoints(lpt)} sets the singular points to be used. Beware: no attempt is made to check if the points are singular or not, nor if all of the singular points are presents. Hence, results of some computation maybe false. It is intend to be use when one want to compute the singular points are computed by other means than to use the function singularPoints.")) (|desingTreeWoFullParam| (((|List| |#10|)) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|desingTree| (((|List| |#10|)) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| ((|#3|) "\\spad{theCurve returns} the specified polynomial for the package.")) (|printInfo| (((|Void|) (|List| (|Boolean|))) "\\spad{printInfo(lbool)} prints some information comming from various package and domain used by this package."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-371)))) 
 (-469 R E |VarSet| P) 
-((|constructor| (NIL "A domain for polynomial sets.")) (|convert| (($ (|List| |#4|)) "\\axiom{convert(\\spad{lp})} returns the polynomial set whose members are the polynomials of \\axiom{\\spad{lp}}."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559)))) 
+((|constructor| (NIL "A domain for polynomial sets.")) (|convert| (($ (|List| |#4|)) "\\axiom{convert(lp)} returns the polynomial set whose members are the polynomials of \\axiom{lp}."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559)))) 
 (-470 S R E) 
-((|constructor| (NIL "GradedAlgebra(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-algebra\\spad{''}. A graded algebra is a graded module together with a degree preserving \\spad{R}-linear map,{} called the product. \\blankline The name ``product\\spad{''} is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,{}b)} is the degree-preserving \\spad{R}-linear product: \\blankline \\indented{2}{\\spad{degree product(a,{}b) = degree a + degree b}} \\indented{2}{\\spad{product(a1+a2,{}b) = product(a1,{}b) + product(a2,{}b)}} \\indented{2}{\\spad{product(a,{}b1+b2) = product(a,{}b1) + product(a,{}b2)}} \\indented{2}{\\spad{product(r*a,{}b) = product(a,{}r*b) = r*product(a,{}b)}} \\indented{2}{\\spad{product(a,{}product(b,{}c)) = product(product(a,{}b),{}c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
+((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\indented{2}{\\spad{degree product(a,b) = degree a + degree \\spad{b}}} \\indented{2}{\\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)}} \\indented{2}{\\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)}} \\indented{2}{\\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)}} \\indented{2}{\\spad{product(a,product(b,c)) = product(product(a,b),c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
 NIL 
 NIL 
 (-471 R E) 
-((|constructor| (NIL "GradedAlgebra(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-algebra\\spad{''}. A graded algebra is a graded module together with a degree preserving \\spad{R}-linear map,{} called the product. \\blankline The name ``product\\spad{''} is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,{}b)} is the degree-preserving \\spad{R}-linear product: \\blankline \\indented{2}{\\spad{degree product(a,{}b) = degree a + degree b}} \\indented{2}{\\spad{product(a1+a2,{}b) = product(a1,{}b) + product(a2,{}b)}} \\indented{2}{\\spad{product(a,{}b1+b2) = product(a,{}b1) + product(a,{}b2)}} \\indented{2}{\\spad{product(r*a,{}b) = product(a,{}r*b) = r*product(a,{}b)}} \\indented{2}{\\spad{product(a,{}product(b,{}c)) = product(product(a,{}b),{}c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
+((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\indented{2}{\\spad{degree product(a,b) = degree a + degree \\spad{b}}} \\indented{2}{\\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)}} \\indented{2}{\\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)}} \\indented{2}{\\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)}} \\indented{2}{\\spad{product(a,product(b,c)) = product(product(a,b),c)}}")) ((|One|) (($) "1 is the identity for \\spad{product}."))) 
 NIL 
 NIL 
 (-472) 
-((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set,{} only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(\\spad{ww},{}\\spad{n})")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,{}n)} returns a vector \\spad{vv} whose components have the following meanings:\\spad{\\br} \\spad{vv}.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,{}...,{}\\spad{n}; \\spad{vv}.1 differs from \\spad{ww}.1 by exactly one entry;\\spad{\\br} \\spad{vv}.2.1 is the number of the entry of \\spad{vv}.1 which will be changed next time;\\spad{\\br} \\spad{vv}.2.1 = \\spad{n+1} means that \\spad{vv}.1 is the last subset; trying to compute nextSubsetGray(\\spad{vv}) if \\spad{vv}.2.1 = \\spad{n+1} will produce an error!\\spad{\\br} \\blankline The other components of \\spad{vv}.2 are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson,{} Topic II,{} 3.54,{} \\spad{p}. 112] for the special case \\spad{r1} = \\spad{r2} = ... = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect,{} \\spadignore{i.e.} nextSubsetGray(\\spad{vv}) and \\spad{vv} \\spad{:=} nextSubsetGray(\\spad{vv}) will have the same effect."))) 
+((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set, only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(ww,n)")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,n)} returns a vector \\spad{vv} whose components have the following meanings:\\br vv.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,...,n; \\spad{vv.1} differs from \\spad{ww.1} by exactly one entry;\\br \\spad{vv.2.1} is the number of the entry of \\spad{vv.1} which will be changed next time;\\br \\spad{vv.2.1} = \\spad{n+1} means that \\spad{vv.1} is the last subset; trying to compute nextSubsetGray(vv) if \\spad{vv.2.1} = \\spad{n+1} will produce an error!\\br \\blankline The other components of \\spad{vv.2} are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson, Topic II, 3.54, \\spad{p.} 112] for the special case \\spad{r1} = \\spad{r2} = \\spad{...} = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect, \\spadignore{i.e.} nextSubsetGray(vv) and \\spad{vv} \\spad{:=} nextSubsetGray(vv) will have the same effect."))) 
 NIL 
 NIL 
 (-473) 
-((|constructor| (NIL "TwoDimensionalPlotSettings sets global flags and constants for 2-dimensional plotting.")) (|screenResolution| (((|Integer|) (|Integer|)) "\\spad{screenResolution(n)} sets the screen resolution to \\spad{n}.") (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution \\spad{n}.")) (|minPoints| (((|Integer|) (|Integer|)) "\\spad{minPoints()} sets the minimum number of points in a plot.") (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot.")) (|maxPoints| (((|Integer|) (|Integer|)) "\\spad{maxPoints()} sets the maximum number of points in a plot.") (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot.")) (|adaptive| (((|Boolean|) (|Boolean|)) "\\spad{adaptive(true)} turns adaptive plotting on; \\spad{adaptive(false)} turns adaptive plotting off.") (((|Boolean|)) "\\spad{adaptive()} determines whether plotting will be done adaptively.")) (|drawToScale| (((|Boolean|) (|Boolean|)) "\\spad{drawToScale(true)} causes plots to be drawn to scale. \\spad{drawToScale(false)} causes plots to be drawn so that they fill up the viewport window. The default setting is \\spad{false}.") (((|Boolean|)) "\\spad{drawToScale()} determines whether or not plots are to be drawn to scale.")) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) "\\spad{clipPointsDefault(true)} turns on automatic clipping; \\spad{clipPointsDefault(false)} turns off automatic clipping. The default setting is \\spad{true}.") (((|Boolean|)) "\\spad{clipPointsDefault()} determines whether or not automatic clipping is to be done."))) 
+((|constructor| (NIL "TwoDimensionalPlotSettings sets global flags and constants for 2-dimensional plotting.")) (|screenResolution| (((|Integer|) (|Integer|)) "\\spad{screenResolution(n)} sets the screen resolution to \\spad{n.}") (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution \\spad{n.}")) (|minPoints| (((|Integer|) (|Integer|)) "\\spad{minPoints()} sets the minimum number of points in a plot.") (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot.")) (|maxPoints| (((|Integer|) (|Integer|)) "\\spad{maxPoints()} sets the maximum number of points in a plot.") (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot.")) (|adaptive| (((|Boolean|) (|Boolean|)) "\\spad{adaptive(true)} turns adaptive plotting on; \\spad{adaptive(false)} turns adaptive plotting off.") (((|Boolean|)) "\\spad{adaptive()} determines whether plotting will be done adaptively.")) (|drawToScale| (((|Boolean|) (|Boolean|)) "\\spad{drawToScale(true)} causes plots to be drawn to scale. \\spad{drawToScale(false)} causes plots to be drawn so that they fill up the viewport window. The default setting is false.") (((|Boolean|)) "\\spad{drawToScale()} determines whether or not plots are to be drawn to scale.")) (|clipPointsDefault| (((|Boolean|) (|Boolean|)) "\\spad{clipPointsDefault(true)} turns on automatic clipping; \\spad{clipPointsDefault(false)} turns off automatic clipping. The default setting is true.") (((|Boolean|)) "\\spad{clipPointsDefault()} determines whether or not automatic clipping is to be done."))) 
 NIL 
 NIL 
 (-474) 
-((|constructor| (NIL "TwoDimensionalGraph creates virtual two dimensional graphs (to be displayed on TwoDimensionalViewports).")) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) "\\spad{putColorInfo(llp,{}lpal)} takes a list of list of points,{} \\spad{llp},{} and returns the points with their hue and shade components set according to the list of palette colors,{} \\spad{lpal}.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(\\spad{gi})} returns the indicated graph,{} \\spad{\\spad{gi}},{} of domain \\spadtype{GraphImage} as output of the domain \\spadtype{OutputForm}.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{coerce(llp)} component(\\spad{gi},{}\\spad{pt}) creates and returns a graph of the domain \\spadtype{GraphImage} which is composed of the list of list of points given by \\spad{llp},{} and whose point colors,{} line colors and point sizes are determined by the default functions \\spadfun{pointColorDefault},{} \\spadfun{lineColorDefault},{} and \\spadfun{pointSizeDefault}. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.")) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) "\\spad{point(\\spad{gi},{}pt,{}pal)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color is set to be the palette color \\spad{pal},{} and whose line color and point size are determined by the default functions \\spadfun{lineColorDefault} and \\spadfun{pointSizeDefault}.")) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{appendPoint(\\spad{gi},{}pt)} appends the point \\spad{pt} to the end of the list of points component for the graph,{} \\spad{\\spad{gi}},{} which is of the domain \\spadtype{GraphImage}.")) (|component| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(\\spad{gi},{}pt,{}pal1,{}pal2,{}ps)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color is set to the palette color \\spad{pal1},{} line color is set to the palette color \\spad{pal2},{} and point size is set to the positive integer \\spad{ps}.") (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{component(\\spad{gi},{}pt)} modifies the graph \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage} to contain one point component,{} \\spad{pt} whose point color,{} line color and point size are determined by the default functions \\spadfun{pointColorDefault},{} \\spadfun{lineColorDefault},{} and \\spadfun{pointSizeDefault}.") (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(\\spad{gi},{}lp,{}pal1,{}pal2,{}p)} sets the components of the graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to the values given. The point list for \\spad{\\spad{gi}} is set to the list \\spad{lp},{} the color of the points in \\spad{lp} is set to the palette color \\spad{pal1},{} the color of the lines which connect the points \\spad{lp} is set to the palette color \\spad{pal2},{} and the size of the points in \\spad{lp} is given by the integer \\spad{p}.")) (|units| (((|List| (|Float|)) $ (|List| (|Float|))) "\\spad{units(\\spad{gi},{}lu)} modifies the list of unit increments for the \\spad{x} and \\spad{y} axes of the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to be that of the list of unit increments,{} \\spad{lu},{} and returns the new list of units for \\spad{\\spad{gi}}.") (((|List| (|Float|)) $) "\\spad{units(\\spad{gi})} returns the list of unit increments for the \\spad{x} and \\spad{y} axes of the indicated graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|ranges| (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) "\\spad{ranges(\\spad{gi},{}lr)} modifies the list of ranges for the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} to be that of the list of range segments,{} \\spad{lr},{} and returns the new range list for \\spad{\\spad{gi}}.") (((|List| (|Segment| (|Float|))) $) "\\spad{ranges(\\spad{gi})} returns the list of ranges of the point components from the indicated graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|key| (((|Integer|) $) "\\spad{key(\\spad{gi})} returns the process ID of the given graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{pointLists(\\spad{gi})} returns the list of lists of points which compose the given graph,{} \\spad{\\spad{gi}},{} of the domain \\spadtype{GraphImage}.")) (|makeGraphImage| (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) "\\spad{makeGraphImage(llp,{}lpal1,{}lpal2,{}lp,{}lopt)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} whose point colors are indicated by the list of palette colors,{} \\spad{lpal1},{} and whose lines are colored according to the list of palette colors,{} \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points,{} and \\spad{lopt} is the list of draw command options. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) "\\spad{makeGraphImage(llp,{}lpal1,{}lpal2,{}lp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} whose point colors are indicated by the list of palette colors,{} \\spad{lpal1},{} and whose lines are colored according to the list of palette colors,{} \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{makeGraphImage(llp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points,{} \\spad{llp},{} with default point size and default point and line colours. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ $) "\\spad{makeGraphImage(\\spad{gi})} takes the given graph,{} \\spad{\\spad{gi}} of the domain \\spadtype{GraphImage},{} and sends it\\spad{'s} data to the viewport manager where it waits to be included in a two-dimensional viewport window. \\spad{\\spad{gi}} cannot be an empty graph,{} and it\\spad{'s} elements must have been created using the \\spadfun{point} or \\spadfun{component} functions,{} not by a previous \\spadfun{makeGraphImage}.")) (|graphImage| (($) "\\spad{graphImage()} returns an empty graph with 0 point lists of the domain \\spadtype{GraphImage}. A graph image contains the graph data component of a two dimensional viewport."))) 
+((|constructor| (NIL "TwoDimensionalGraph creates virtual two dimensional graphs (to be displayed on TwoDimensionalViewports).")) (|putColorInfo| (((|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|))) "\\spad{putColorInfo(llp,lpal)} takes a list of list of points, \\spad{llp}, and returns the points with their hue and shade components set according to the list of palette colors, \\spad{lpal}.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(gi)} returns the indicated graph, \\spad{gi}, of domain \\spadtype{GraphImage} as output of the domain \\spadtype{OutputForm}.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{coerce(llp)} component(gi,pt) creates and returns a graph of the domain \\spadtype{GraphImage} which is composed of the list of list of points given by \\spad{llp}, and whose point colors, line colors and point sizes are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.")) (|point| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|)) "\\spad{point(gi,pt,pal)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to be the palette color \\spad{pal}, and whose line color and point size are determined by the default functions \\spadfun{lineColorDefault} and \\spadfun{pointSizeDefault}.")) (|appendPoint| (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{appendPoint(gi,pt)} appends the point \\spad{pt} to the end of the list of points component for the graph, \\spad{gi}, which is of the domain \\spadtype{GraphImage}.")) (|component| (((|Void|) $ (|Point| (|DoubleFloat|)) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,pt,pal1,pal2,ps)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color is set to the palette color \\spad{pal1}, line color is set to the palette color \\spad{pal2}, and point size is set to the positive integer \\spad{ps}.") (((|Void|) $ (|Point| (|DoubleFloat|))) "\\spad{component(gi,pt)} modifies the graph \\spad{gi} of the domain \\spadtype{GraphImage} to contain one point component, \\spad{pt} whose point color, line color and point size are determined by the default functions \\spadfun{pointColorDefault}, \\spadfun{lineColorDefault}, and \\spadfun{pointSizeDefault}.") (((|Void|) $ (|List| (|Point| (|DoubleFloat|))) (|Palette|) (|Palette|) (|PositiveInteger|)) "\\spad{component(gi,lp,pal1,pal2,p)} sets the components of the graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to the values given. The point list for \\spad{gi} is set to the list \\spad{lp}, the color of the points in \\spad{lp} is set to the palette color \\spad{pal1}, the color of the lines which connect the points \\spad{lp} is set to the palette color \\spad{pal2}, and the size of the points in \\spad{lp} is given by the integer \\spad{p.}")) (|units| (((|List| (|Float|)) $ (|List| (|Float|))) "\\spad{units(gi,lu)} modifies the list of unit increments for the \\spad{x} and \\spad{y} axes of the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of unit increments, \\spad{lu}, and returns the new list of units for \\spad{gi}.") (((|List| (|Float|)) $) "\\spad{units(gi)} returns the list of unit increments for the \\spad{x} and \\spad{y} axes of the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|ranges| (((|List| (|Segment| (|Float|))) $ (|List| (|Segment| (|Float|)))) "\\spad{ranges(gi,lr)} modifies the list of ranges for the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, to be that of the list of range segments, \\spad{lr}, and returns the new range list for \\spad{gi}.") (((|List| (|Segment| (|Float|))) $) "\\spad{ranges(gi)} returns the list of ranges of the point components from the indicated graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|key| (((|Integer|) $) "\\spad{key(gi)} returns the process ID of the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|pointLists| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{pointLists(gi)} returns the list of lists of points which compose the given graph, \\spad{gi}, of the domain \\spadtype{GraphImage}.")) (|makeGraphImage| (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|)) (|List| (|DrawOption|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp,lopt)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points, and \\spad{lopt} is the list of draw command options. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|Palette|)) (|List| (|Palette|)) (|List| (|PositiveInteger|))) "\\spad{makeGraphImage(llp,lpal1,lpal2,lp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, whose point colors are indicated by the list of palette colors, \\spad{lpal1}, and whose lines are colored according to the list of palette colors, \\spad{lpal2}. The paramater \\spad{lp} is a list of integers which denote the size of the data points. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{makeGraphImage(llp)} returns a graph of the domain \\spadtype{GraphImage} which is composed of the points and lines from the list of lists of points, \\spad{llp}, with default point size and default point and line colours. The graph data is then sent to the viewport manager where it waits to be included in a two-dimensional viewport window.") (($ $) "\\spad{makeGraphImage(gi)} takes the given graph, \\spad{gi} of the domain \\spadtype{GraphImage}, and sends it's data to the viewport manager where it waits to be included in a two-dimensional viewport window. \\spad{gi} cannot be an empty graph, and it's elements must have been created using the \\spadfun{point} or \\spadfun{component} functions, not by a previous \\spadfun{makeGraphImage}.")) (|graphImage| (($) "\\spad{graphImage()} returns an empty graph with 0 point lists of the domain \\spadtype{GraphImage}. A graph image contains the graph data component of a two dimensional viewport."))) 
 NIL 
 NIL 
 (-475 S R E) 
-((|constructor| (NIL "GradedModule(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-module\\spad{''},{} \\spadignore{i.e.} collection of \\spad{R}-modules indexed by an abelian monoid \\spad{E}. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g}.")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g}. The set of all elements of a given degree form an \\spad{R}-module."))) 
+((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', \\spadignore{i.e.} collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#2|) "\\spad{g*r} is right module multiplication.") (($ |#2| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#3| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
 (-476 R E) 
-((|constructor| (NIL "GradedModule(\\spad{R},{}\\spad{E}) denotes ``E-graded \\spad{R}-module\\spad{''},{} \\spadignore{i.e.} collection of \\spad{R}-modules indexed by an abelian monoid \\spad{E}. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h}. Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g}.")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g}. The set of all elements of a given degree form an \\spad{R}-module."))) 
+((|constructor| (NIL "GradedModule(R,E) denotes ``E-graded R-module'', \\spadignore{i.e.} collection of R-modules indexed by an abelian monoid E. An element \\spad{g} of \\spad{G[s]} for some specific \\spad{s} in \\spad{E} is said to be an element of \\spad{G} with degree \\spad{s}. Sums are defined in each module \\spad{G[s]} so two elements of \\spad{G} have a sum if they have the same degree. \\blankline Morphisms can be defined and composed by degree to give the mathematical category of graded modules.")) (+ (($ $ $) "\\spad{g+h} is the sum of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.")) (- (($ $ $) "\\spad{g-h} is the difference of \\spad{g} and \\spad{h} in the module of elements of the same degree as \\spad{g} and \\spad{h.} Error: if \\spad{g} and \\spad{h} have different degrees.") (($ $) "\\spad{-g} is the additive inverse of \\spad{g} in the module of elements of the same grade as \\spad{g.}")) (* (($ $ |#1|) "\\spad{g*r} is right module multiplication.") (($ |#1| $) "\\spad{r*g} is left module multiplication.")) ((|Zero|) (($) "0 denotes the zero of degree 0.")) (|degree| ((|#2| $) "\\spad{degree(g)} names the degree of \\spad{g.} The set of all elements of a given degree form an R-module."))) 
 NIL 
 NIL 
-(-477 |lv| -1564 R) 
-((|constructor| (NIL "Solve systems of polynomial equations using Groebner bases Total order Groebner bases are computed and then converted to lex ones This package is mostly intended for internal use.")) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{genericPosition(lp,{}lv)} puts a radical zero dimensional ideal in general position,{} for system \\spad{lp} in variables \\spad{lv}.")) (|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{testDim(lp,{}lv)} tests if the polynomial system \\spad{lp} in variables \\spad{lv} is zero dimensional.")) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{groebSolve(lp,{}lv)} reduces the polynomial system \\spad{lp} in variables \\spad{lv} to triangular form. Algorithm based on groebner bases algorithm with linear algebra for change of ordering. Preprocessing for the general solver. The polynomials in input are of type \\spadtype{DMP}."))) 
+(-477 |lv| -1647 R) 
+((|constructor| (NIL "Solve systems of polynomial equations using Groebner bases Total order Groebner bases are computed and then converted to lex ones This package is mostly intended for internal use.")) (|genericPosition| (((|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |coords| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{genericPosition(lp,lv)} puts a radical zero dimensional ideal in general position, for system \\spad{lp} in variables \\spad{lv.}")) (|testDim| (((|Union| (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "failed") (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{testDim(lp,lv)} tests if the polynomial system \\spad{lp} in variables \\spad{lv} is zero dimensional.")) (|groebSolve| (((|List| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|OrderedVariableList| |#1|))) "\\spad{groebSolve(lp,lv)} reduces the polynomial system \\spad{lp} in variables \\spad{lv} to triangular form. Algorithm based on groebner bases algorithm with linear algebra for change of ordering. Preprocessing for the general solver. The polynomials in input are of type \\spadtype{DMP}."))) 
 NIL 
 NIL 
 (-478 S) 
-((|constructor| (NIL "The class of multiplicative groups,{} \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\spad{\\br} \\tab{5}\\spad{rightInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,{}q)} computes \\spad{inv(p) * inv(q) * p * q}.")) (|conjugate| (($ $ $) "\\spad{conjugate(p,{}q)} computes \\spad{inv(q) * p * q}; this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}.")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y}.")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x}."))) 
+((|constructor| (NIL "The class of multiplicative groups, \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
 NIL 
 NIL 
 (-479) 
-((|constructor| (NIL "The class of multiplicative groups,{} \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\spad{\\br} \\tab{5}\\spad{rightInverse(\"*\":(\\%,{}\\%)->\\%,{}inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,{}q)} computes \\spad{inv(p) * inv(q) * p * q}.")) (|conjugate| (($ $ $) "\\spad{conjugate(p,{}q)} computes \\spad{inv(q) * p * q}; this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n}.")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n}.")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y}.")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "The class of multiplicative groups, \\spadignore{i.e.} monoids with multiplicative inverses. \\blankline Axioms\\br \\tab{5}\\spad{leftInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{5}\\spad{ inv(x)*x = 1 }\\br \\tab{5}\\spad{rightInverse(\"*\":(\\%,\\%)->\\%,inv)}\\tab{4}\\spad{ x*inv(x) = 1 }")) (|commutator| (($ $ $) "\\spad{commutator(p,q)} computes \\spad{inv(p) * inv(q) * \\spad{p} * \\spad{q}.}")) (|conjugate| (($ $ $) "\\spad{conjugate(p,q)} computes \\spad{inv(q) * \\spad{p} * \\spad{q};} this is 'right action by conjugation'.")) (|unitsKnown| ((|attribute|) "unitsKnown asserts that recip only returns \"failed\" for non-units.")) (^ (($ $ (|Integer|)) "\\spad{x^n} returns \\spad{x} raised to the integer power \\spad{n.}")) (** (($ $ (|Integer|)) "\\spad{x**n} returns \\spad{x} raised to the integer power \\spad{n.}")) (/ (($ $ $) "\\spad{x/y} is the same as \\spad{x} times the inverse of \\spad{y.}")) (|inv| (($ $) "\\spad{inv(x)} returns the inverse of \\spad{x.}"))) 
+((-4568 . T)) 
 NIL 
 (-480 |Coef| |var| |cen|) 
-((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x\\^r)}.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{coerce(f)} converts a Puiseux series to a general power series.") (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
+((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x\\^r)}.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|UnivariatePuiseuxSeries| |#1| |#2| |#3|)) "\\spad{coerce(f)} converts a Puiseux series to a general power series.") (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
 (-481 |Key| |Entry| |Tbl| |dent|) 
-((|constructor| (NIL "A sparse table has a default entry,{} which is returned if no other value has been explicitly stored for a key."))) 
-((-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
+((-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093))))) 
 (-482 R E V P) 
-((|constructor| (NIL "A domain constructor of the category \\axiomType{TriangularSetCategory}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. Triangular sets are stored as sorted lists \\spad{w}.\\spad{r}.\\spad{t}. the main variables of their members but they are displayed in reverse order."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+((|constructor| (NIL "A domain constructor of the category \\axiomType{TriangularSetCategory}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. Triangular sets are stored as sorted lists w.r.t. the main variables of their members but they are displayed in reverse order."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
 (-483) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((|HasCategory| (-53) (LIST (QUOTE -1038) (QUOTE (-1163))))) 
-(-484 -1564) 
+((|HasCategory| (-53) (LIST (QUOTE -1039) (QUOTE (-1165))))) 
+(-484 -1647) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
 NIL 
-(-485 -1564) 
+(-485 -1647) 
 ((|constructor| (NIL "This package exports guessing of sequences of numbers in a finite field"))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163))))) 
+((|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165))))) 
 (-486) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational numbers"))) 
 NIL 
-((-12 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
-(-487 -1564 S EXPRR R -2428 -2185) 
-((|constructor| (NIL "This package implements guessing of sequences. Packages for the most common cases are provided as \\spadtype{GuessInteger},{} \\spadtype{GuessPolynomial},{} etc.")) (|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-shift operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-dilation operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat q} returns a guesser that tries to find a \\spad{q}-rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRat l} tries to find a rational function whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRat(l,{} options)} tries to find a rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec q} returns a guesser that tries to find a linear \\spad{q}-recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPRec l} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxPower == 1)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPRec(l,{} options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} options)} with \\spad{maxPower == 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec q} returns a guesser that finds an ordinary \\spad{q}-difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRec(l,{} options)} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRec l} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxDerivative == 0,{} maxPower == 1,{} allDegrees == true}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxDerivative == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessHolo(l,{} options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessHolo l} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxPower == 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessAlg(l,{} options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} options) with \\spad{maxDerivative == 0}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessAlg l} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE q} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessADE(l,{} options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessADE l} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) "\\spad{guessHP f} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f}.")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat q} returns a guesser that tries to find a function of the form \\spad{n+}->qbinomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat q} returns a guesser that tries to find a function of the form \\spad{n+}->(a+b \\spad{q^n})\\spad{^n} \\spad{r}(\\spad{q^n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessExpRat(l,{} options)} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessExpRat l} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guess(l,{} options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guess l} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
+((-12 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
+(-487 -1647 S EXPRR R -1321 -3956) 
+((|constructor| (NIL "This package implements guessing of sequences. Packages for the most common cases are provided as \\spadtype{GuessInteger}, \\spadtype{GuessPolynomial}, etc.")) (|shiftHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") (((|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| |#1|)) (|UnivariateFormalPowerSeries| |#1|))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| |exprStream| (|Mapping| (|Stream| |#3|) |#3| (|Symbol|))) (|:| A (|Mapping| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| |#2|))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| |#1|)))) (|:| AX (|Mapping| |#3| (|NonNegativeInteger|) (|Symbol|) |#3|)) (|:| C (|Mapping| (|List| |#2|) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|Mapping| (|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| |#3|) (|:| |order| (|NonNegativeInteger|)))) (|List| |#1|)) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
 (-488) 
 ((|constructor| (NIL "This package exports guessing of sequences of rational functions"))) 
 NIL 
-((-12 (|HasCategory| (-410 (-954 (-569))) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-954 (-569)) (LIST (QUOTE -1038) (QUOTE (-1163)))))) 
+((-12 (|HasCategory| (-410 (-955 (-569))) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-955 (-569)) (LIST (QUOTE -1039) (QUOTE (-1165)))))) 
 (-489 |q|) 
-((|constructor| (NIL "This package exports guessing of sequences of univariate rational functions")) (|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-shift operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the \\$\\spad{q}\\$-dilation operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat q} returns a guesser that tries to find a \\spad{q}-rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRat l} tries to find a rational function whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRat(l,{} options)} tries to find a rational function whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxShift == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec q} returns a guesser that tries to find a linear \\spad{q}-recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPRec l} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} maxPower == 1)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPRec(l,{} options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l,{} options)} with \\spad{maxPower == 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec q} returns a guesser that finds an ordinary \\spad{q}-difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRec(l,{} options)} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRec l} tries to find an ordinary difference equation whose first values are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxDerivative == 0,{} maxPower == 1,{} allDegrees == true}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPade(l,{} options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxDerivative == 0,{} maxPower == 1,{} allDegrees == true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessHolo(l,{} options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} options)} with \\spad{maxPower == 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessHolo l} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l,{} maxPower == 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessAlg(l,{} options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} options) with \\spad{maxDerivative == 0}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessAlg l} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(\\spad{l},{} maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE q} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessADE(l,{} options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessADE l} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l},{} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) "\\spad{guessHP f} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f}.")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat q} returns a guesser that tries to find a function of the form \\spad{n+}->qbinomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessBinRat(l,{} options)} tries to find a function of the form \\spad{n+}->binomial(a+b \\spad{n},{} \\spad{n}) \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat q} returns a guesser that tries to find a function of the form \\spad{n+}->(a+b \\spad{q^n})\\spad{^n} \\spad{r}(\\spad{q^n}),{} where \\spad{r}(\\spad{q^n}) is a \\spad{q}-rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessExpRat(l,{} options)} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessExpRat l} tries to find a function of the form \\spad{n+}->(a+b \\spad{n})\\spad{^n} \\spad{r}(\\spad{n}),{} where \\spad{r}(\\spad{n}) is a rational function,{} that fits \\spad{l}.")) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l,{} guessers,{} ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guess(l,{} options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guess l} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
+((|constructor| (NIL "This package exports guessing of sequences of univariate rational functions")) (|shiftHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the $q$-shift operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{shiftHP options} returns a specification for Hermite-Pade approximation with the shift operator")) (|diffHP| (((|Mapping| HPSPEC (|List| (|GuessOption|))) (|Symbol|)) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the $q$-dilation operator") ((HPSPEC (|List| (|GuessOption|))) "\\spad{diffHP options} returns a specification for Hermite-Pade approximation with the differential operator")) (|guessRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRat \\spad{q}} returns a guesser that tries to find a q-rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec} with \\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRat \\spad{l}} tries to find a rational function whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRat(l, options)} tries to find a rational function whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxShift \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessPRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessPRec \\spad{q}} returns a guesser that tries to find a linear q-recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(q)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPRec \\spad{l}} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessRec}\\spad{(l, maxPower \\spad{==} 1)}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPRec(l, options)} tries to find a linear recurrence with polynomial coefficients whose first values are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessRec}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.")) (|guessRec| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessRec \\spad{q}} returns a guesser that finds an ordinary q-difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessRec(l, options)} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessRec \\spad{l}} tries to find an ordinary difference equation whose first values are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessPade| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessPade(l, options)} tries to find a rational function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxDerivative \\spad{==} 0, maxPower \\spad{==} 1, allDegrees \\spad{==} true)}.")) (|guessHolo| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessHolo(l, options)} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}\\spad{(l, options)} with \\spad{maxPower \\spad{==} 1}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessHolo \\spad{l}} tries to find an ordinary linear differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}\\spad{(l, maxPower \\spad{==} 1)}.")) (|guessAlg| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessAlg(l, options)} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options. It is equivalent to \\spadfun{guessADE}(l, options) with \\spad{maxDerivative \\spad{==} 0}.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessAlg \\spad{l}} tries to find an algebraic equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}. It is equivalent to \\spadfun{guessADE}(l, maxDerivative \\spad{==} 0).")) (|guessADE| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessADE \\spad{q}} returns a guesser that tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessADE(l, options)} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the given options.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessADE \\spad{l}} tries to find an algebraic differential equation for a generating function whose first Taylor coefficients are given by \\spad{l,} using the default options described in \\spadtype{GuessOptionFunctions0}.")) (|guessHP| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Mapping| HPSPEC (|List| (|GuessOption|)))) "\\spad{guessHP \\spad{f}} constructs an operation that applies Hermite-Pade approximation to the series generated by the given function \\spad{f.}")) (|guessBinRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessBinRat \\spad{q}} returns a guesser that tries to find a function of the form n+->qbinomial(a+b \\spad{n,} \\spad{n)} r(n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessBinRat(l, options)} tries to find a function of the form n+->binomial(a+b \\spad{n,} \\spad{n)} r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guessExpRat| (((|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) (|Symbol|)) "\\spad{guessExpRat \\spad{q}} returns a guesser that tries to find a function of the form n+->(a+b q^n)^n r(q^n), where r(q^n) is a q-rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guessExpRat(l, options)} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guessExpRat \\spad{l}} tries to find a function of the form n+->(a+b n)^n r(n), where r(n) is a rational function, that fits \\spad{l.}")) (|guess| (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|)) (|List| (|GuessOption|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol \\spad{guessSum} and quotients if ops contains the symbol \\spad{guessProduct} to the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|)))) (|List| (|Symbol|))) "\\spad{guess(l, guessers, ops)} applies recursively the given \\spad{guessers} to the successive differences if ops contains the symbol guessSum and quotients if ops contains the symbol guessProduct to the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|)))) (|List| (|GuessOption|))) "\\spad{guess(l, options)} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. The given options are used.") (((|List| (|Record| (|:| |function| (|MyExpression| |#1| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| |#1| (|Integer|))))) "\\spad{guess \\spad{l}} applies recursively \\spadfun{guessRec} and \\spadfun{guessADE} to the successive differences and quotients of the list. Default options as described in \\spadtype{GuessOptionFunctions0} are used."))) 
 NIL 
 NIL 
 (-490) 
-((|constructor| (NIL "Symbolic fractions in \\%\\spad{pi} with integer coefficients; The point for using \\spad{Pi} as the default domain for those fractions is that \\spad{Pi} is coercible to the float types,{} and not Expression.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the symbolic \\%\\spad{pi}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "Symbolic fractions in \\%pi with integer coefficients; The point for using \\spad{Pi} as the default domain for those fractions is that \\spad{Pi} is coercible to the float types, and not Expression.")) (|pi| (($) "\\spad{pi()} returns the symbolic \\%pi."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-491 |Key| |Entry| |hashfn|) 
-((|constructor| (NIL "This domain provides access to the underlying Lisp hash tables. By varying the hashfn parameter,{} tables suited for different purposes can be obtained."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
+((|constructor| (NIL "This domain provides access to the underlying Lisp hash tables. By varying the hashfn parameter, tables suited for different purposes can be obtained."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
 (-492) 
-((|constructor| (NIL "Generate a basis for the free Lie algebra on \\spad{n} generators over a ring \\spad{R} with identity up to basic commutators of length \\spad{c} using the algorithm of \\spad{P}. Hall as given in Serre\\spad{'s} book Lie Groups \\spad{--} Lie Algebras")) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generate(numberOfGens,{} maximalWeight)} generates a vector of elements of the form [left,{}weight,{}right] which represents a \\spad{P}. Hall basis element for the free lie algebra on \\spad{numberOfGens} generators. We only generate those basis elements of weight less than or equal to maximalWeight")) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{inHallBasis?(numberOfGens,{} leftCandidate,{} rightCandidate,{} left)} tests to see if a new element should be added to the \\spad{P}. Hall basis being constructed. The list \\spad{[leftCandidate,{}wt,{}rightCandidate]} is included in the basis if in the unique factorization of \\spad{rightCandidate},{} we have left factor leftOfRight,{} and leftOfRight \\spad{<=} \\spad{leftCandidate}")) (|lfunc| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{lfunc(d,{}n)} computes the rank of the \\spad{n}th factor in the lower central series of the free \\spad{d}-generated free Lie algebra; This rank is \\spad{d} if \\spad{n} = 1 and binom(\\spad{d},{}2) if \\spad{n} = 2"))) 
+((|constructor| (NIL "Generate a basis for the free Lie algebra on \\spad{n} generators over a ring \\spad{R} with identity up to basic commutators of length \\spad{c} using the algorithm of \\spad{P.} Hall as given in Serre's book Lie Groups \\spad{--} Lie Algebras")) (|generate| (((|Vector| (|List| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{generate(numberOfGens, maximalWeight)} generates a vector of elements of the form [left,weight,right] which represents a \\spad{P.} Hall basis element for the free lie algebra on \\spad{numberOfGens} generators. We only generate those basis elements of weight less than or equal to maximalWeight")) (|inHallBasis?| (((|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{inHallBasis?(numberOfGens, leftCandidate, rightCandidate, left)} tests to see if a new element should be added to the \\spad{P.} Hall basis being constructed. The list \\spad{[leftCandidate,wt,rightCandidate]} is included in the basis if in the unique factorization of rightCandidate, we have left factor leftOfRight, and leftOfRight \\spad{<=} \\spad{leftCandidate}")) (|lfunc| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{lfunc(d,n)} computes the rank of the \\spad{n}th factor in the lower central series of the free d-generated free Lie algebra; This rank is \\spad{d} if \\spad{n} = 1 and binom(d,2) if \\spad{n} = 2"))) 
 NIL 
 NIL 
 (-493 |vl| R) 
-((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative,{} but the variables are assumed to commute. The term ordering is total degree ordering refined by reverse lexicographic ordering with respect to the position that the variables appear in the list of variables parameter.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p,{} perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-494 -4391 S) 
-((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered first by the sum of their components,{} and then refined using a reverse lexicographic ordering. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
-((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
+((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables are from a user specified list of symbols. The coefficient ring may be non commutative, but the variables are assumed to commute. The term ordering is total degree ordering refined by reverse lexicographic ordering with respect to the position that the variables appear in the list of variables parameter.")) (|reorder| (($ $ (|List| (|Integer|))) "\\spad{reorder(p, perm)} applies the permutation perm to the variables in a polynomial and returns the new correctly ordered polynomial"))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-494 -4360 S) 
+((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered first by the sum of their components, and then refined using a reverse lexicographic ordering. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
+((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
+((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
 (-495 S) 
-((|constructor| (NIL "Heap implemented in a flexible array to allow for insertions")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Heap(INT)")) (|merge!| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [6,{}7,{}8,{}9,{}10] \\spad{X} merge!(a,{}\\spad{b}) \\spad{X} a \\spad{X} \\spad{b}")) (|merge| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:Heap INT:= heap [6,{}7,{}8,{}9,{}10] \\spad{X} merge(a,{}\\spad{b})")) (|max| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} max a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Heap INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|copy| (($ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Heap(INT)")) (|heap| (($ (|List| |#1|)) "\\indented{1}{heap(\\spad{ls}) creates a heap of elements consisting of the} \\indented{1}{elements of \\spad{ls}.} \\blankline \\spad{E} i:Heap INT \\spad{:=} heap [1,{}6,{}3,{}7,{}5,{}2,{}4]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-496 -1564 UP UPUP R) 
-((|constructor| (NIL "This domains implements finite rational divisors on an hyperelliptic curve,{} that is finite formal sums SUM(\\spad{n} * \\spad{P}) where the \\spad{n}\\spad{'s} are integers and the \\spad{P}\\spad{'s} are finite rational points on the curve. The equation of the curve must be \\spad{y^2} = \\spad{f}(\\spad{x}) and \\spad{f} must have odd degree."))) 
+((|constructor| (NIL "Heap implemented in a flexible array to allow for insertions")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} less?(a,9)")) (|sample| (($) "\\blankline \\spad{X} sample()$Heap(INT)")) (|merge!| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge!(a,b) \\spad{X} a \\spad{X} \\spad{b}")) (|merge| (($ $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:Heap INT:= heap [6,7,8,9,10] \\spad{X} merge(a,b)")) (|max| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} max a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Heap INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} empty? a")) (|copy| (($ $) "\\blankline \\spad{X} a:Heap INT:= heap [1,2,3,4,5] \\spad{X} copy a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Heap(INT)")) (|heap| (($ (|List| |#1|)) "\\indented{1}{heap(ls) creates a heap of elements consisting of the} \\indented{1}{elements of ls.} \\blankline \\spad{E} i:Heap INT \\spad{:=} heap [1,6,3,7,5,2,4]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-496 -1647 UP UPUP R) 
+((|constructor| (NIL "This domains implements finite rational divisors on an hyperelliptic curve, that is finite formal sums SUM(n * \\spad{P)} where the \\spad{n's} are integers and the \\spad{P's} are finite rational points on the curve. The equation of the curve must be \\spad{y^2} = f(x) and \\spad{f} must have odd degree."))) 
 NIL 
 NIL 
 (-497 BP) 
-((|constructor| (NIL "This package provides the functions for the heuristic integer \\spad{gcd}. Geddes\\spad{'s} algorithm,{}for univariate polynomials with integer coefficients")) (|lintgcd| (((|Integer|) (|List| (|Integer|))) "\\spad{lintgcd([a1,{}..,{}ak])} = \\spad{gcd} of a list of integers")) (|content| (((|List| (|Integer|)) (|List| |#1|)) "\\spad{content([f1,{}..,{}fk])} = content of a list of univariate polynonials")) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofactprim([f1,{}..fk])} = \\spad{gcd} and cofactors of \\spad{k} primitive polynomials.")) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofact([f1,{}..fk])} = \\spad{gcd} and cofactors of \\spad{k} univariate polynomials.")) (|gcdprim| ((|#1| (|List| |#1|)) "\\spad{gcdprim([f1,{}..,{}fk])} = \\spad{gcd} of \\spad{k} PRIMITIVE univariate polynomials")) (|gcd| ((|#1| (|List| |#1|)) "\\indented{1}{\\spad{gcd}([\\spad{f1},{}..,{}\\spad{fk}]) = \\spad{gcd} of the polynomials \\spad{fi}.} \\blankline \\spad{X} \\spad{gcd}([671*671*x^2-1,{}671*671*x^2+2*671*x+1]) \\spad{X} \\spad{gcd}([7*x^2+1,{}(7*x^2+1)\\spad{^2}])"))) 
+((|constructor| (NIL "This package provides the functions for the heuristic integer gcd. Geddes's algorithm,for univariate polynomials with integer coefficients")) (|lintgcd| (((|Integer|) (|List| (|Integer|))) "\\spad{lintgcd([a1,..,ak])} = \\spad{gcd} of a list of integers")) (|content| (((|List| (|Integer|)) (|List| |#1|)) "\\spad{content([f1,..,fk])} = content of a list of univariate polynonials")) (|gcdcofactprim| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofactprim([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} primitive polynomials.")) (|gcdcofact| (((|List| |#1|) (|List| |#1|)) "\\spad{gcdcofact([f1,..fk])} = \\spad{gcd} and cofactors of \\spad{k} univariate polynomials.")) (|gcdprim| ((|#1| (|List| |#1|)) "\\spad{gcdprim([f1,..,fk])} = \\spad{gcd} of \\spad{k} PRIMITIVE univariate polynomials")) (|gcd| ((|#1| (|List| |#1|)) "\\indented{1}{gcd([f1,..,fk]) = \\spad{gcd} of the polynomials fi.} \\blankline \\spad{X} gcd([671*671*x^2-1,671*671*x^2+2*671*x+1]) \\spad{X} gcd([7*x^2+1,(7*x^2+1)^2])"))) 
 NIL 
 NIL 
 (-498) 
 ((|constructor| (NIL "This domain allows rational numbers to be presented as repeating hexadecimal expansions.")) (|hex| (($ (|Fraction| (|Integer|))) "\\spad{hex(r)} converts a rational number to a hexadecimal expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(h)} returns the fractional part of a hexadecimal expansion.")) (|coerce| (((|RadixExpansion| 16) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a radix expansion with base 16.") (((|Fraction| (|Integer|)) $) "\\spad{coerce(h)} converts a hexadecimal expansion to a rational number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
 (-499 A S) 
-((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system,{} all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#2| $) "\\spad{member?(x,{}u)} tests if \\spad{x} is a member of \\spad{u}. For collections,{} \\axiom{member?(\\spad{x},{}\\spad{u}) = reduce(or,{}[x=y for \\spad{y} in \\spad{u}],{}\\spad{false})}.")) (|members| (((|List| |#2|) $) "\\spad{members(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|parts| (((|List| |#2|) $) "\\spad{parts(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|count| (((|NonNegativeInteger|) |#2| $) "\\spad{count(x,{}u)} returns the number of occurrences of \\spad{x} in \\spad{u}. For collections,{} \\axiom{count(\\spad{x},{}\\spad{u}) = reduce(+,{}[x=y for \\spad{y} in \\spad{u}],{}0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{count(p,{}u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. For collections,{} \\axiom{count(\\spad{p},{}\\spad{u}) = reduce(+,{}[1 for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})],{}0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{every?(f,{}u)} tests if \\spad{p}(\\spad{x}) is \\spad{true} for all elements \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{every?(\\spad{p},{}\\spad{u}) = reduce(and,{}map(\\spad{f},{}\\spad{u}),{}\\spad{true},{}\\spad{false})}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{any?(p,{}u)} tests if \\axiom{\\spad{p}(\\spad{x})} is \\spad{true} for any element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{any?(\\spad{p},{}\\spad{u}) = reduce(or,{}map(\\spad{f},{}\\spad{u}),{}\\spad{false},{}\\spad{true})}.")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\spad{map!(f,{}u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{\\spad{f}(\\spad{x})}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,{}u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by \\spad{f}(\\spad{x}). For collections,{} \\axiom{map(\\spad{f},{}\\spad{u}) = [\\spad{f}(\\spad{x}) for \\spad{x} in \\spad{u}]}."))) 
+((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#2| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#2|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#2|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#2| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#2| |#2|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4535)) (|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) 
+((|HasAttribute| |#1| (QUOTE -4571)) (|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) 
 (-500 S) 
-((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system,{} all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#1| $) "\\spad{member?(x,{}u)} tests if \\spad{x} is a member of \\spad{u}. For collections,{} \\axiom{member?(\\spad{x},{}\\spad{u}) = reduce(or,{}[x=y for \\spad{y} in \\spad{u}],{}\\spad{false})}.")) (|members| (((|List| |#1|) $) "\\spad{members(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|parts| (((|List| |#1|) $) "\\spad{parts(u)} returns a list of the consecutive elements of \\spad{u}. For collections,{} \\axiom{parts([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = (\\spad{x},{}\\spad{y},{}...,{}\\spad{z})}.")) (|count| (((|NonNegativeInteger|) |#1| $) "\\spad{count(x,{}u)} returns the number of occurrences of \\spad{x} in \\spad{u}. For collections,{} \\axiom{count(\\spad{x},{}\\spad{u}) = reduce(+,{}[x=y for \\spad{y} in \\spad{u}],{}0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{count(p,{}u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{\\spad{p}(\\spad{x})} is \\spad{true}. For collections,{} \\axiom{count(\\spad{p},{}\\spad{u}) = reduce(+,{}[1 for \\spad{x} in \\spad{u} | \\spad{p}(\\spad{x})],{}0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{every?(f,{}u)} tests if \\spad{p}(\\spad{x}) is \\spad{true} for all elements \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{every?(\\spad{p},{}\\spad{u}) = reduce(and,{}map(\\spad{f},{}\\spad{u}),{}\\spad{true},{}\\spad{false})}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{any?(p,{}u)} tests if \\axiom{\\spad{p}(\\spad{x})} is \\spad{true} for any element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{any?(\\spad{p},{}\\spad{u}) = reduce(or,{}map(\\spad{f},{}\\spad{u}),{}\\spad{false},{}\\spad{true})}.")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\spad{map!(f,{}u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{\\spad{f}(\\spad{x})}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by \\spad{f}(\\spad{x}). For collections,{} \\axiom{map(\\spad{f},{}\\spad{u}) = [\\spad{f}(\\spad{x}) for \\spad{x} in \\spad{u}]}."))) 
-((-2982 . T)) 
+((|constructor| (NIL "A homogeneous aggregate is an aggregate of elements all of the same type. In the current system, all aggregates are homogeneous. Two attributes characterize classes of aggregates. Aggregates from domains with attribute \\spadatt{finiteAggregate} have a finite number of members. Those with attribute \\spadatt{shallowlyMutable} allow an element to be modified or updated without changing its overall value.")) (|member?| (((|Boolean|) |#1| $) "\\spad{member?(x,u)} tests if \\spad{x} is a member of u. For collections, \\axiom{member?(x,u) = reduce(or,[x=y for \\spad{y} in u],false)}.")) (|members| (((|List| |#1|) $) "\\spad{members(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|parts| (((|List| |#1|) $) "\\spad{parts(u)} returns a list of the consecutive elements of u. For collections, \\axiom{parts([x,y,...,z]) = (x,y,...,z)}.")) (|count| (((|NonNegativeInteger|) |#1| $) "\\spad{count(x,u)} returns the number of occurrences of \\spad{x} in u. For collections, \\axiom{count(x,u) = reduce(+,[x=y for \\spad{y} in u],0)}.") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{count(p,u)} returns the number of elements \\spad{x} in \\spad{u} such that \\axiom{p(x)} is true. For collections, \\axiom{count(p,u) = \\spad{reduce(+,[1} for \\spad{x} in \\spad{u} | p(x)],0)}.")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{every?(f,u)} tests if p(x) is \\spad{true} for all elements \\spad{x} of u. Note that for collections, \\axiom{every?(p,u) = reduce(and,map(f,u),true,false)}.")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\spad{any?(p,u)} tests if \\axiom{p(x)} is \\spad{true} for any element \\spad{x} of u. Note that for collections, \\axiom{any?(p,u) = reduce(or,map(f,u),false,true)}.")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\spad{map!(f,u)} destructively replaces each element \\spad{x} of \\spad{u} by \\axiom{f(x)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,u)} returns a copy of \\spad{u} with each element \\spad{x} replaced by f(x). For collections, \\axiom{map(f,u) = [f(x) for \\spad{x} in u]}."))) 
+((-4317 . T)) 
 NIL 
 (-501) 
-((|constructor| (NIL "HtmlFormat provides a coercion from OutputForm to html.")) (|display| (((|Void|) (|String|)) "\\indented{1}{display(\\spad{o}) prints the string returned by coerce.} \\blankline \\spad{X} display(coerce(sqrt(3+x)::OutputForm)\\$HTMLFORM)\\$HTMLFORM")) (|exprex| (((|String|) (|OutputForm|)) "\\indented{1}{exprex(\\spad{o}) coverts \\spadtype{OutputForm} to \\spadtype{String}} \\blankline \\spad{X} exprex(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerceL| (((|String|) (|OutputForm|)) "\\indented{1}{coerceL(\\spad{o}) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays result as one long string.} \\blankline \\spad{X} coerceL(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerceS| (((|String|) (|OutputForm|)) "\\indented{1}{coerceS(\\spad{o}) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays formatted result.} \\blankline \\spad{X} coerceS(sqrt(3+x)::OutputForm)\\$HTMLFORM")) (|coerce| (((|String|) (|OutputForm|)) "\\indented{1}{coerce(\\spad{o}) changes \\spad{o} in the standard output format to html format.} \\blankline \\spad{X} coerce(sqrt(3+x)::OutputForm)\\$HTMLFORM"))) 
+((|constructor| (NIL "HtmlFormat provides a coercion from OutputForm to html.")) (|display| (((|Void|) (|String|)) "\\indented{1}{display(o) prints the string returned by coerce.} \\blankline \\spad{X} display(coerce(sqrt(3+x)::OutputForm)$HTMLFORM)$HTMLFORM")) (|exprex| (((|String|) (|OutputForm|)) "\\indented{1}{exprex(o) coverts \\spadtype{OutputForm} to \\spadtype{String}} \\blankline \\spad{X} exprex(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceL| (((|String|) (|OutputForm|)) "\\indented{1}{coerceL(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays result as one long string.} \\blankline \\spad{X} coerceL(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerceS| (((|String|) (|OutputForm|)) "\\indented{1}{coerceS(o) changes \\spad{o} in the standard output format to html} \\indented{1}{format and displays formatted result.} \\blankline \\spad{X} coerceS(sqrt(3+x)::OutputForm)$HTMLFORM")) (|coerce| (((|String|) (|OutputForm|)) "\\indented{1}{coerce(o) changes \\spad{o} in the standard output format to html format.} \\blankline \\spad{X} coerce(sqrt(3+x)::OutputForm)$HTMLFORM"))) 
 NIL 
 NIL 
 (-502 S) 
-((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x}.")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x}.")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x}.")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x}.")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x}.")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x}."))) 
+((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
 (-503) 
-((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x}.")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x}.")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x}.")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x}.")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x}.")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x}."))) 
+((|constructor| (NIL "Category for the hyperbolic trigonometric functions.")) (|tanh| (($ $) "\\spad{tanh(x)} returns the hyperbolic tangent of \\spad{x.}")) (|sinh| (($ $) "\\spad{sinh(x)} returns the hyperbolic sine of \\spad{x.}")) (|sech| (($ $) "\\spad{sech(x)} returns the hyperbolic secant of \\spad{x.}")) (|csch| (($ $) "\\spad{csch(x)} returns the hyperbolic cosecant of \\spad{x.}")) (|coth| (($ $) "\\spad{coth(x)} returns the hyperbolic cotangent of \\spad{x.}")) (|cosh| (($ $) "\\spad{cosh(x)} returns the hyperbolic cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-504 -1564 UP |AlExt| |AlPol|) 
-((|constructor| (NIL "Factorisation in a simple algebraic extension Factorization of univariate polynomials with coefficients in an algebraic extension of a field over which we can factor UP\\spad{'s}.")) (|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{factor(p,{} f)} returns a prime factorisation of \\spad{p}; \\spad{f} is a factorisation map for elements of UP."))) 
+(-504 -1647 UP |AlExt| |AlPol|) 
+((|constructor| (NIL "Factorisation in a simple algebraic extension Factorization of univariate polynomials with coefficients in an algebraic extension of a field over which we can factor UP's.")) (|factor| (((|Factored| |#4|) |#4| (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{factor(p, \\spad{f)}} returns a prime factorisation of \\spad{p;} \\spad{f} is a factorisation map for elements of UP."))) 
 NIL 
 NIL 
 (-505) 
-((|constructor| (NIL "Algebraic closure of the rational numbers.")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,{}l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,{}k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,{}l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,{}k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|trueEqual| (((|Boolean|) $ $) "\\spad{trueEqual(x,{}y)} tries to determine if the two numbers are equal")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z}.")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|constructor| (NIL "Algebraic closure of the rational numbers.")) (|norm| (($ $ (|List| (|Kernel| $))) "\\spad{norm(f,l)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernels \\spad{l}") (($ $ (|Kernel| $)) "\\spad{norm(f,k)} computes the norm of the algebraic number \\spad{f} with respect to the extension generated by kernel \\spad{k}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|List| (|Kernel| $))) "\\spad{norm(p,l)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernels \\spad{l}") (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|Kernel| $)) "\\spad{norm(p,k)} computes the norm of the polynomial \\spad{p} with respect to the extension generated by kernel \\spad{k}")) (|trueEqual| (((|Boolean|) $ $) "\\spad{trueEqual(x,y)} tries to determine if the two numbers are equal")) (|reduce| (($ $) "\\spad{reduce(f)} simplifies all the unreduced algebraic numbers present in \\spad{f} by applying their defining relations.")) (|denom| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{denom(f)} returns the denominator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|numer| (((|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $)) $) "\\spad{numer(f)} returns the numerator of \\spad{f} viewed as a polynomial in the kernels over \\spad{Z.}")) (|coerce| (($ (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| $))) "\\spad{coerce(p)} returns \\spad{p} viewed as an algebraic number."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-506 S |mn|) 
 ((|constructor| (NIL "This is the basic one dimensional array data type."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-507 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "This domain implements two dimensional arrays"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-508 K R UP) 
-((|constructor| (NIL "This package has no description")) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) "\\spad{chineseRemainder(lu,{}lr,{}n)} \\undocumented")) (|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{listConjugateBases(bas,{}q,{}n)} returns the list \\spad{[bas,{}bas^Frob,{}bas^(Frob^2),{}...bas^(Frob^(n-1))]},{} where \\spad{Frob} raises the coefficients of all polynomials appearing in the basis \\spad{bas} to the \\spad{q}th power.")) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorList(k,{}n,{}m,{}j)} \\undocumented"))) 
+((|constructor| (NIL "This package has no description")) (|chineseRemainder| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|List| |#3|) (|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|NonNegativeInteger|)) "\\spad{chineseRemainder(lu,lr,n)} \\undocumented")) (|listConjugateBases| (((|List| (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) (|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{listConjugateBases(bas,q,n)} returns the list \\spad{[bas,bas^Frob,bas^(Frob^2),...bas^(Frob^(n-1))]}, where \\spad{Frob} raises the coefficients of all polynomials appearing in the basis \\spad{bas} to the \\spad{q}th power.")) (|factorList| (((|List| (|SparseUnivariatePolynomial| |#1|)) |#1| (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{factorList(k,n,m,j)} \\undocumented"))) 
 NIL 
 NIL 
-(-509 R UP -1564) 
-((|constructor| (NIL "This package contains functions used in the packages FunctionFieldIntegralBasis and NumberFieldIntegralBasis.")) (|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{moduleSum(m1,{}m2)} returns the sum of two modules in the framed algebra \\spad{F}. Each module \\spad{\\spad{mi}} is represented as follows: \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn} and \\spad{\\spad{mi}} is a record \\spad{[basis,{}basisDen,{}basisInv]}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then a basis \\spad{v1,{}...,{}vn} for \\spad{\\spad{mi}} is given by \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiserMatrix(m1,{} m2)} returns the matrix representing the linear conditions on the Ring associatied with an ideal defined by \\spad{m1} and \\spad{m2}.")) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{idealiser(m1,{}m2,{}d)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2} where \\spad{d} is the known part of the denominator") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiser(m1,{}m2)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2}")) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{leastPower(p,{}n)} returns \\spad{e},{} where \\spad{e} is the smallest integer such that \\spad{p **e >= n}")) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) "\\spad{divideIfCan!(matrix,{}matrixOut,{}prime,{}n)} attempts to divide the entries of \\spad{matrix} by \\spad{prime} and store the result in \\spad{matrixOut}. If it is successful,{} 1 is returned and if not,{} \\spad{prime} is returned. Here both \\spad{matrix} and \\spad{matrixOut} are \\spad{n}-by-\\spad{n} upper triangular matrices.")) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{matrixGcd(mat,{}sing,{}n)} is \\spad{gcd(sing,{}g)} where \\spad{g} is the \\spad{gcd} of the entries of the \\spad{n}-by-\\spad{n} upper-triangular matrix \\spad{mat}.")) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
+(-509 R UP -1647) 
+((|constructor| (NIL "This package contains functions used in the packages FunctionFieldIntegralBasis and NumberFieldIntegralBasis.")) (|moduleSum| (((|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|))) (|Record| (|:| |basis| (|Matrix| |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (|Matrix| |#1|)))) "\\spad{moduleSum(m1,m2)} returns the sum of two modules in the framed algebra \\spad{F}. Each module \\spad{mi} is represented as follows: \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn} and \\spad{mi} is a record \\spad{[basis,basisDen,basisInv]}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then a basis \\spad{v1,...,vn} for \\spad{mi} is given by \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|idealiserMatrix| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiserMatrix(m1, m2)} returns the matrix representing the linear conditions on the Ring associatied with an ideal defined by \\spad{m1} and \\spad{m2.}")) (|idealiser| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{idealiser(m1,m2,d)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2} where \\spad{d} is the known part of the denominator") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{idealiser(m1,m2)} computes the order of an ideal defined by \\spad{m1} and \\spad{m2}")) (|leastPower| (((|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{leastPower(p,n)} returns e, where \\spad{e} is the smallest integer such that \\spad{p **e \\spad{>=} \\spad{n}}")) (|divideIfCan!| ((|#1| (|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Integer|)) "\\spad{divideIfCan!(matrix,matrixOut,prime,n)} attempts to divide the entries of \\spad{matrix} by \\spad{prime} and store the result in \\spad{matrixOut}. If it is successful, 1 is returned and if not, \\spad{prime} is returned. Here both \\spad{matrix} and \\spad{matrixOut} are \\spad{n}-by-\\spad{n} upper triangular matrices.")) (|matrixGcd| ((|#1| (|Matrix| |#1|) |#1| (|NonNegativeInteger|)) "\\spad{matrixGcd(mat,sing,n)} is \\spad{gcd(sing,g)} where \\spad{g} is the \\spad{gcd} of the entries of the \\spad{n}-by-\\spad{n} upper-triangular matrix \\spad{mat}.")) (|diagonalProduct| ((|#1| (|Matrix| |#1|)) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns a square-free factorisation of \\spad{x}"))) 
 NIL 
 NIL 
 (-510 |mn|) 
-((|constructor| (NIL "\\spadtype{IndexedBits} is a domain to compactly represent large quantities of Boolean data.")) (|And| (($ $ $) "\\spad{And(n,{}m)} returns the bit-by-bit logical And of \\spad{n} and \\spad{m}.")) (|Or| (($ $ $) "\\spad{Or(n,{}m)} returns the bit-by-bit logical Or of \\spad{n} and \\spad{m}.")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical Not of \\spad{n}."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-121) (QUOTE (-1091))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1091))))) 
+((|constructor| (NIL "\\spadtype{IndexedBits} is a domain to compactly represent large quantities of Boolean data.")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical And of \\spad{n} and \\spad{m.}")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical Or of \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical Not of \\spad{n.}"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-121) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-121) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-121) (QUOTE (-1093))) (-12 (|HasCategory| (-121) (LIST (QUOTE -304) (QUOTE (-121)))) (|HasCategory| (-121) (QUOTE (-1093))))) 
 (-511 K R UP L) 
-((|constructor| (NIL "IntegralBasisPolynomialTools provides functions for mapping functions on the coefficients of univariate and bivariate polynomials.")) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) "\\spad{mapBivariate(f,{}p(x,{}y))} applies the function \\spad{f} to the coefficients of \\spad{p(x,{}y)}.")) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) "\\spad{mapMatrixIfCan(f,{}mat)} applies the function \\spad{f} to the coefficients of the entries of \\spad{mat} if possible,{} and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariateIfCan(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)},{} if possible,{} and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) "\\spad{mapUnivariate(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}.") ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariate(f,{}p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}."))) 
+((|constructor| (NIL "IntegralBasisPolynomialTools provides functions for mapping functions on the coefficients of univariate and bivariate polynomials.")) (|mapBivariate| (((|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#4|)) (|Mapping| |#4| |#1|) |#3|) "\\spad{mapBivariate(f,p(x,y))} applies the function \\spad{f} to the coefficients of \\spad{p(x,y)}.")) (|mapMatrixIfCan| (((|Union| (|Matrix| |#2|) "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|Matrix| (|SparseUnivariatePolynomial| |#4|))) "\\spad{mapMatrixIfCan(f,mat)} applies the function \\spad{f} to the coefficients of the entries of \\spad{mat} if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariateIfCan| (((|Union| |#2| "failed") (|Mapping| (|Union| |#1| "failed") |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariateIfCan(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}, if possible, and returns \\spad{\"failed\"} otherwise.")) (|mapUnivariate| (((|SparseUnivariatePolynomial| |#4|) (|Mapping| |#4| |#1|) |#2|) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}.") ((|#2| (|Mapping| |#1| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{mapUnivariate(f,p(x))} applies the function \\spad{f} to the coefficients of \\spad{p(x)}."))) 
 NIL 
 NIL 
 (-512) 
-((|constructor| (NIL "This domain implements a container of information about the AXIOM library")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts \\axiom{\\spad{s}} into an \\axiom{IndexCard}. Warning: if \\axiom{\\spad{s}} is not of the right format then an error will occur")) (|fullDisplay| (((|Void|) $) "\\spad{fullDisplay(ic)} prints all of the information contained in \\axiom{\\spad{ic}}.")) (|display| (((|Void|) $) "\\spad{display(ic)} prints a summary of information contained in \\axiom{\\spad{ic}}.")) (|elt| (((|String|) $ (|Symbol|)) "\\spad{elt(ic,{}s)} selects a particular field from \\axiom{\\spad{ic}}. Valid fields are \\axiom{name,{} nargs,{} exposed,{} type,{} abbreviation,{} kind,{} origin,{} params,{} condition,{} doc}."))) 
+((|constructor| (NIL "This domain implements a container of information about the AXIOM library")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts \\axiom{s} into an \\axiom{IndexCard}. Warning: if \\axiom{s} is not of the right format then an error will occur")) (|fullDisplay| (((|Void|) $) "\\spad{fullDisplay(ic)} prints all of the information contained in \\axiom{ic}.")) (|display| (((|Void|) $) "\\spad{display(ic)} prints a summary of information contained in \\axiom{ic}.")) (|elt| (((|String|) $ (|Symbol|)) "\\spad{elt(ic,s)} selects a particular field from \\axiom{ic}. Valid fields are \\axiom{name, nargs, exposed, type, abbreviation, kind, origin, params, condition, doc}."))) 
 NIL 
 NIL 
 (-513 R Q A B) 
-((|constructor| (NIL "InnerCommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) "\\spad{splitDenominator([q1,{}...,{}qn])} returns \\spad{[[p1,{}...,{}pn],{} d]} such that \\spad{\\spad{qi} = pi/d} and \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|clearDenominator| ((|#3| |#4|) "\\spad{clearDenominator([q1,{}...,{}qn])} returns \\spad{[p1,{}...,{}pn]} such that \\spad{\\spad{qi} = pi/d} where \\spad{d} is a common denominator for the \\spad{qi}\\spad{'s}.")) (|commonDenominator| ((|#1| |#4|) "\\spad{commonDenominator([q1,{}...,{}qn])} returns a common denominator \\spad{d} for \\spad{q1},{}...,{}\\spad{qn}."))) 
+((|constructor| (NIL "InnerCommonDenominator provides functions to compute the common denominator of a finite linear aggregate of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) "\\spad{splitDenominator([q1,...,qn])} returns \\spad{[[p1,...,pn], \\spad{d]}} such that \\spad{qi = pi/d} and \\spad{d} is a common denominator for the qi's.")) (|clearDenominator| ((|#3| |#4|) "\\spad{clearDenominator([q1,...,qn])} returns \\spad{[p1,...,pn]} such that \\spad{qi = pi/d} where \\spad{d} is a common denominator for the qi's.")) (|commonDenominator| ((|#1| |#4|) "\\spad{commonDenominator([q1,...,qn])} returns a common denominator \\spad{d} for q1,...,qn."))) 
 NIL 
 NIL 
 (-514 K |symb| BLMET) 
-((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
+((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
-(-515 -1564 |Expon| |VarSet| |DPoly|) 
-((|constructor| (NIL "This domain represents polynomial ideals with coefficients in any field and supports the basic ideal operations,{} including intersection sum and quotient. An ideal is represented by a list of polynomials (the generators of the ideal) and a boolean that is \\spad{true} if the generators are a Groebner basis. The algorithms used are based on Groebner basis computations. The ordering is determined by the datatype of the input polynomials. Users may use refinements of total degree orderings.")) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) "\\spad{relationsIdeal(polyList)} returns the ideal of relations among the polynomials in \\spad{polyList}.")) (|saturate| (($ $ |#4| (|List| |#3|)) "\\spad{saturate(I,{}f,{}lvar)} is the saturation with respect to the prime principal ideal which is generated by \\spad{f} in the polynomial ring \\spad{F[lvar]}.") (($ $ |#4|) "\\spad{saturate(I,{}f)} is the saturation of the ideal \\spad{I} with respect to the multiplicative set generated by the polynomial \\spad{f}.")) (|coerce| (($ (|List| |#4|)) "\\spad{coerce(polyList)} converts the list of polynomials \\spad{polyList} to an ideal.")) (|generators| (((|List| |#4|) $) "\\spad{generators(I)} returns a list of generators for the ideal \\spad{I}.")) (|groebner?| (((|Boolean|) $) "\\spad{groebner?(I)} tests if the generators of the ideal \\spad{I} are a Groebner basis.")) (|groebnerIdeal| (($ (|List| |#4|)) "\\spad{groebnerIdeal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList} which are assumed to be a Groebner basis. Note: this operation avoids a Groebner basis computation.")) (|ideal| (($ (|List| |#4|)) "\\spad{ideal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList}.")) (|leadingIdeal| (($ $) "\\spad{leadingIdeal(I)} is the ideal generated by the leading terms of the elements of the ideal \\spad{I}.")) (|dimension| (((|Integer|) $) "\\spad{dimension(I)} gives the dimension of the ideal \\spad{I}. in the ring \\spad{F[lvar]},{} where lvar are the variables appearing in \\spad{I}") (((|Integer|) $ (|List| |#3|)) "\\spad{dimension(I,{}lvar)} gives the dimension of the ideal \\spad{I},{} in the ring \\spad{F[lvar]}")) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) "\\spad{backOldPos(genPos)} takes the result produced by generalPosition from PolynomialIdeals and performs the inverse transformation,{} returning the original ideal \\spad{backOldPos(generalPosition(I,{}listvar))} = \\spad{I}.")) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) "\\spad{generalPosition(I,{}listvar)} perform a random linear transformation on the variables in \\spad{listvar} and returns the transformed ideal along with the change of basis matrix.")) (|groebner| (($ $) "\\spad{groebner(I)} returns a set of generators of \\spad{I} that are a Groebner basis for \\spad{I}.")) (|quotient| (($ $ |#4|) "\\spad{quotient(I,{}f)} computes the quotient of the ideal \\spad{I} by the principal ideal generated by the polynomial \\spad{f},{} \\spad{(I:(f))}.") (($ $ $) "\\spad{quotient(I,{}J)} computes the quotient of the ideals \\spad{I} and \\spad{J},{} \\spad{(I:J)}.")) (|intersect| (($ (|List| $)) "\\spad{intersect(LI)} computes the intersection of the list of ideals \\spad{LI}.") (($ $ $) "\\spad{intersect(I,{}J)} computes the intersection of the ideals \\spad{I} and \\spad{J}.")) (|zeroDim?| (((|Boolean|) $) "\\spad{zeroDim?(I)} tests if the ideal \\spad{I} is zero dimensional,{} \\spadignore{i.e.} all its associated primes are maximal,{} in the ring \\spad{F[lvar]},{} where lvar are the variables appearing in \\spad{I}") (((|Boolean|) $ (|List| |#3|)) "\\spad{zeroDim?(I,{}lvar)} tests if the ideal \\spad{I} is zero dimensional,{} \\spadignore{i.e.} all its associated primes are maximal,{} in the ring \\spad{F[lvar]}")) (|inRadical?| (((|Boolean|) |#4| $) "\\spad{inRadical?(f,{}I)} tests if some power of the polynomial \\spad{f} belongs to the ideal \\spad{I}.")) (|in?| (((|Boolean|) $ $) "\\spad{in?(I,{}J)} tests if the ideal \\spad{I} is contained in the ideal \\spad{J}.")) (|element?| (((|Boolean|) |#4| $) "\\spad{element?(f,{}I)} tests whether the polynomial \\spad{f} belongs to the ideal \\spad{I}.")) (|zero?| (((|Boolean|) $) "\\spad{zero?(I)} tests whether the ideal \\spad{I} is the zero ideal")) (|one?| (((|Boolean|) $) "\\spad{one?(I)} tests whether the ideal \\spad{I} is the unit ideal,{} \\spadignore{i.e.} contains 1.")) (+ (($ $ $) "\\spad{I+J} computes the ideal generated by the union of \\spad{I} and \\spad{J}.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{I**n} computes the \\spad{n}th power of the ideal \\spad{I}.")) (* (($ $ $) "\\spad{I*J} computes the product of the ideal \\spad{I} and \\spad{J}."))) 
+(-515 -1647 |Expon| |VarSet| |DPoly|) 
+((|constructor| (NIL "This domain represents polynomial ideals with coefficients in any field and supports the basic ideal operations, including intersection sum and quotient. An ideal is represented by a list of polynomials (the generators of the ideal) and a boolean that is \\spad{true} if the generators are a Groebner basis. The algorithms used are based on Groebner basis computations. The ordering is determined by the datatype of the input polynomials. Users may use refinements of total degree orderings.")) (|relationsIdeal| (((|SuchThat| (|List| (|Polynomial| |#1|)) (|List| (|Equation| (|Polynomial| |#1|)))) (|List| |#4|)) "\\spad{relationsIdeal(polyList)} returns the ideal of relations among the polynomials in polyList.")) (|saturate| (($ $ |#4| (|List| |#3|)) "\\spad{saturate(I,f,lvar)} is the saturation with respect to the prime principal ideal which is generated by \\spad{f} in the polynomial ring \\spad{F[lvar]}.") (($ $ |#4|) "\\spad{saturate(I,f)} is the saturation of the ideal \\spad{I} with respect to the multiplicative set generated by the polynomial \\spad{f.}")) (|coerce| (($ (|List| |#4|)) "\\spad{coerce(polyList)} converts the list of polynomials \\spad{polyList} to an ideal.")) (|generators| (((|List| |#4|) $) "\\spad{generators(I)} returns a list of generators for the ideal I.")) (|groebner?| (((|Boolean|) $) "\\spad{groebner?(I)} tests if the generators of the ideal \\spad{I} are a Groebner basis.")) (|groebnerIdeal| (($ (|List| |#4|)) "\\spad{groebnerIdeal(polyList)} constructs the ideal generated by the list of polynomials \\spad{polyList} which are assumed to be a Groebner basis. Note: this operation avoids a Groebner basis computation.")) (|ideal| (($ (|List| |#4|)) "\\spad{ideal(polyList)} constructs the ideal generated by the list of polynomials polyList.")) (|leadingIdeal| (($ $) "\\spad{leadingIdeal(I)} is the ideal generated by the leading terms of the elements of the ideal I.")) (|dimension| (((|Integer|) $) "\\spad{dimension(I)} gives the dimension of the ideal I. in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Integer|) $ (|List| |#3|)) "\\spad{dimension(I,lvar)} gives the dimension of the ideal I, in the ring \\spad{F[lvar]}")) (|backOldPos| (($ (|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $))) "\\spad{backOldPos(genPos)} takes the result produced by generalPosition from PolynomialIdeals and performs the inverse transformation, returning the original ideal \\spad{backOldPos(generalPosition(I,listvar))} = I.")) (|generalPosition| (((|Record| (|:| |mval| (|Matrix| |#1|)) (|:| |invmval| (|Matrix| |#1|)) (|:| |genIdeal| $)) $ (|List| |#3|)) "\\spad{generalPosition(I,listvar)} perform a random linear transformation on the variables in \\spad{listvar} and returns the transformed ideal along with the change of basis matrix.")) (|groebner| (($ $) "\\spad{groebner(I)} returns a set of generators of \\spad{I} that are a Groebner basis for I.")) (|quotient| (($ $ |#4|) "\\spad{quotient(I,f)} computes the quotient of the ideal \\spad{I} by the principal ideal generated by the polynomial \\spad{f,} \\spad{(I:(f))}.") (($ $ $) "\\spad{quotient(I,J)} computes the quotient of the ideals \\spad{I} and \\spad{J,} \\spad{(I:J)}.")) (|intersect| (($ (|List| $)) "\\spad{intersect(LI)} computes the intersection of the list of ideals LI.") (($ $ $) "\\spad{intersect(I,J)} computes the intersection of the ideals \\spad{I} and \\spad{J.}")) (|zeroDim?| (((|Boolean|) $) "\\spad{zeroDim?(I)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}, where lvar are the variables appearing in \\spad{I}") (((|Boolean|) $ (|List| |#3|)) "\\spad{zeroDim?(I,lvar)} tests if the ideal \\spad{I} is zero dimensional, \\spadignore{i.e.} all its associated primes are maximal, in the ring \\spad{F[lvar]}")) (|inRadical?| (((|Boolean|) |#4| $) "\\spad{inRadical?(f,I)} tests if some power of the polynomial \\spad{f} belongs to the ideal I.")) (|in?| (((|Boolean|) $ $) "\\spad{in?(I,J)} tests if the ideal \\spad{I} is contained in the ideal \\spad{J.}")) (|element?| (((|Boolean|) |#4| $) "\\spad{element?(f,I)} tests whether the polynomial \\spad{f} belongs to the ideal I.")) (|zero?| (((|Boolean|) $) "\\spad{zero?(I)} tests whether the ideal \\spad{I} is the zero ideal")) (|one?| (((|Boolean|) $) "\\spad{one?(I)} tests whether the ideal \\spad{I} is the unit ideal, \\spadignore{i.e.} contains 1.")) (+ (($ $ $) "\\spad{I+J} computes the ideal generated by the union of \\spad{I} and \\spad{J.}")) (** (($ $ (|NonNegativeInteger|)) "\\spad{I**n} computes the \\spad{n}th power of the ideal I.")) (* (($ $ $) "\\spad{I*J} computes the product of the ideal \\spad{I} and \\spad{J.}"))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-1163))))) 
+((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-1165))))) 
 (-516 |vl| |nv|) 
-((|constructor| (NIL "This package provides functions for the primary decomposition of polynomial ideals over the rational numbers. The ideals are members of the \\spadtype{PolynomialIdeals} domain,{} and the polynomial generators are required to be from the \\spadtype{DistributedMultivariatePolynomial} domain.")) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) "\\spad{contract(I,{}lvar)} contracts the ideal \\spad{I} to the polynomial ring \\spad{F[lvar]}.")) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{primaryDecomp(I)} returns a list of primary ideals such that their intersection is the ideal \\spad{I}.")) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radical(I)} returns the radical of the ideal \\spad{I}.")) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{prime?(I)} tests if the ideal \\spad{I} is prime.")) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrimary?(I)} tests if the ideal \\spad{I} is 0-dimensional primary.")) (|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrime?(I)} tests if the ideal \\spad{I} is a 0-dimensional prime."))) 
+((|constructor| (NIL "This package provides functions for the primary decomposition of polynomial ideals over the rational numbers. The ideals are members of the \\spadtype{PolynomialIdeals} domain, and the polynomial generators are required to be from the \\spadtype{DistributedMultivariatePolynomial} domain.")) (|contract| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|List| (|OrderedVariableList| |#1|))) "\\spad{contract(I,lvar)} contracts the ideal \\spad{I} to the polynomial ring \\spad{F[lvar]}.")) (|primaryDecomp| (((|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{primaryDecomp(I)} returns a list of primary ideals such that their intersection is the ideal I.")) (|radical| (((|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radical(I)} returns the radical of the ideal I.")) (|prime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{prime?(I)} tests if the ideal \\spad{I} is prime.")) (|zeroDimPrimary?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrimary?(I)} tests if the ideal \\spad{I} is 0-dimensional primary.")) (|zeroDimPrime?| (((|Boolean|) (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|OrderedVariableList| |#1|) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{zeroDimPrime?(I)} tests if the ideal \\spad{I} is a 0-dimensional prime."))) 
 NIL 
 NIL 
 (-517 A S) 
-((|constructor| (NIL "Indexed direct products of abelian groups over an abelian group \\spad{A} of generators indexed by the ordered set \\spad{S}. All items have finite support: only non-zero terms are stored."))) 
+((|constructor| (NIL "Indexed direct products of abelian groups over an abelian group \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
 (-518 A S) 
-((|constructor| (NIL "Indexed direct products of abelian monoids over an abelian monoid \\spad{A} of generators indexed by the ordered set \\spad{S}. All items have finite support. Only non-zero terms are stored."))) 
+((|constructor| (NIL "Indexed direct products of abelian monoids over an abelian monoid \\spad{A} of generators indexed by the ordered set \\spad{S.} All items have finite support. Only non-zero terms are stored."))) 
 NIL 
 NIL 
 (-519 A S) 
-((|constructor| (NIL "This category represents the direct product of some set with respect to an ordered indexing set.")) (|reductum| (($ $) "\\spad{reductum(z)} returns a new element created by removing the leading coefficient/support pair from the element \\spad{z}. Error: if \\spad{z} has no support.")) (|leadingSupport| ((|#2| $) "\\spad{leadingSupport(z)} returns the index of leading (with respect to the ordering on the indexing set) monomial of \\spad{z}. Error: if \\spad{z} has no support.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(z)} returns the coefficient of the leading (with respect to the ordering on the indexing set) monomial of \\spad{z}. Error: if \\spad{z} has no support.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(a,{}s)} constructs a direct product element with the \\spad{s} component set to \\spad{a}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}z)} returns the new element created by applying the function \\spad{f} to each component of the direct product element \\spad{z}."))) 
+((|constructor| (NIL "This category represents the direct product of some set with respect to an ordered indexing set.")) (|reductum| (($ $) "\\spad{reductum(z)} returns a new element created by removing the leading coefficient/support pair from the element \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingSupport| ((|#2| $) "\\spad{leadingSupport(z)} returns the index of leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(z)} returns the coefficient of the leading (with respect to the ordering on the indexing set) monomial of \\spad{z.} Error: if \\spad{z} has no support.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(a,s)} constructs a direct product element with the \\spad{s} component set to \\spad{a}")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,z)} returns the new element created by applying the function \\spad{f} to each component of the direct product element \\spad{z.}"))) 
 NIL 
 NIL 
 (-520 A S) 
-((|constructor| (NIL "Indexed direct products of ordered abelian monoids \\spad{A} of generators indexed by the ordered set \\spad{S}. The inherited order is lexicographical. All items have finite support: only non-zero terms are stored."))) 
+((|constructor| (NIL "Indexed direct products of ordered abelian monoids \\spad{A} of generators indexed by the ordered set \\spad{S.} The inherited order is lexicographical. All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
 (-521 A S) 
-((|constructor| (NIL "Indexed direct products of ordered abelian monoid sups \\spad{A},{} generators indexed by the ordered set \\spad{S}. All items have finite support: only non-zero terms are stored."))) 
+((|constructor| (NIL "Indexed direct products of ordered abelian monoid sups \\spad{A}, generators indexed by the ordered set \\spad{S.} All items have finite support: only non-zero terms are stored."))) 
 NIL 
 NIL 
 (-522 A S) 
-((|constructor| (NIL "Indexed direct products of objects over a set \\spad{A} of generators indexed by an ordered set \\spad{S}. All items have finite support."))) 
+((|constructor| (NIL "Indexed direct products of objects over a set \\spad{A} of generators indexed by an ordered set \\spad{S.} All items have finite support."))) 
 NIL 
 NIL 
 (-523 S A B) 
-((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#2|) (|List| |#3|)) "\\spad{eval(f,{} [x1,{}...,{}xn],{} [v1,{}...,{}vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ |#2| |#3|) "\\spad{eval(f,{} x,{} v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
+((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#2|) (|List| |#3|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#2| |#3|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
 (-524 A B) 
-((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation\\spad{''} substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#1|) (|List| |#2|)) "\\spad{eval(f,{} [x1,{}...,{}xn],{} [v1,{}...,{}vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f}.") (($ $ |#1| |#2|) "\\spad{eval(f,{} x,{} v)} replaces \\spad{x} by \\spad{v} in \\spad{f}."))) 
+((|constructor| (NIL "This category provides \\spadfun{eval} operations. A domain may belong to this category if it is possible to make ``evaluation'' substitutions. The difference between this and \\spadtype{Evalable} is that the operations in this category specify the substitution as a pair of arguments rather than as an equation.")) (|eval| (($ $ (|List| |#1|) (|List| |#2|)) "\\spad{eval(f, [x1,...,xn], [v1,...,vn])} replaces \\spad{xi} by \\spad{vi} in \\spad{f.}") (($ $ |#1| |#2|) "\\spad{eval(f, \\spad{x,} \\spad{v)}} replaces \\spad{x} by \\spad{v} in \\spad{f.}"))) 
 NIL 
 NIL 
 (-525 S E |un|) 
 ((|constructor| (NIL "Internal implementation of a free abelian monoid on any set of generators"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-788)))) 
+((|HasCategory| |#2| (QUOTE (-789)))) 
 (-526 S |mn|) 
-((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations\\spad{\\br} \\spad{append(x,{}a)} meaning append item \\spad{x} at the end of the array \\spad{a}\\spad{\\br} \\spad{delete(a,{}n)} meaning delete the last item from the array \\spad{a}\\spad{\\br} Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However,{} these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50\\% larger) array. Conversely,{} when the array becomes less than 1/2 full,{} it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps,{} stacks and sets.")) (|shrinkable| (((|Boolean|) (|Boolean|)) "\\indented{1}{shrinkable(\\spad{b}) sets the shrinkable attribute of flexible arrays to \\spad{b}} \\indented{1}{and returns the previous value} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} shrinkable(\\spad{false})\\$\\spad{T1}")) (|physicalLength!| (($ $ (|Integer|)) "\\indented{1}{physicalLength!(\\spad{x},{}\\spad{n}) changes the physical length of \\spad{x} to be \\spad{n} and} \\indented{1}{returns the new array.} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} t2:=flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1} \\spad{X} physicalLength!(\\spad{t2},{}15)")) (|physicalLength| (((|NonNegativeInteger|) $) "\\indented{1}{physicalLength(\\spad{x}) returns the number of elements \\spad{x} can} \\indented{1}{accomodate before growing} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} t2:=flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1} \\spad{X} physicalLength \\spad{t2}")) (|flexibleArray| (($ (|List| |#1|)) "\\indented{1}{flexibleArray(\\spad{l}) creates a flexible array from the list of elements \\spad{l}} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,{}20) \\spad{X} flexibleArray([\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((|constructor| (NIL "A FlexibleArray is the notion of an array intended to allow for growth at the end only. Hence the following efficient operations\\br \\spad{append(x,a)} meaning append item \\spad{x} at the end of the array \\spad{a}\\br \\spad{delete(a,n)} meaning delete the last item from the array \\spad{a}\\br Flexible arrays support the other operations inherited from \\spadtype{ExtensibleLinearAggregate}. However, these are not efficient. Flexible arrays combine the \\spad{O(1)} access time property of arrays with growing and shrinking at the end in \\spad{O(1)} (average) time. This is done by using an ordinary array which may have zero or more empty slots at the end. When the array becomes full it is copied into a new larger (50% larger) array. Conversely, when the array becomes less than 1/2 full, it is copied into a smaller array. Flexible arrays provide for an efficient implementation of many data structures in particular heaps, stacks and sets.")) (|shrinkable| (((|Boolean|) (|Boolean|)) "\\indented{1}{shrinkable(b) sets the shrinkable attribute of flexible arrays to \\spad{b}} \\indented{1}{and returns the previous value} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} \\spad{shrinkable(false)$T1}")) (|physicalLength!| (($ $ (|Integer|)) "\\indented{1}{physicalLength!(x,n) changes the physical length of \\spad{x} to be \\spad{n} and} \\indented{1}{returns the new array.} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength!(t2,15)")) (|physicalLength| (((|NonNegativeInteger|) $) "\\indented{1}{physicalLength(x) returns the number of elements \\spad{x} can} \\indented{1}{accomodate before growing} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} t2:=flexibleArray([i for \\spad{i} in 1..10])$T1 \\spad{X} physicalLength \\spad{t2}")) (|flexibleArray| (($ (|List| |#1|)) "\\indented{1}{flexibleArray(l) creates a flexible array from the list of elements \\spad{l}} \\blankline \\spad{X} T1:=IndexedFlexibleArray(Integer,20) \\spad{X} flexibleArray([i for \\spad{i} in 1..10])$T1"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-527 |p| |n|) 
-((|constructor| (NIL "InnerFiniteField(\\spad{p},{}\\spad{n}) implements finite fields with \\spad{p**n} elements where \\spad{p} is assumed prime but does not check. For a version which checks that \\spad{p} is prime,{} see \\spadtype{FiniteField}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-582 |#1|) (QUOTE (-151))) (|HasCategory| (-582 |#1|) (QUOTE (-371))) (|HasCategory| (-582 |#1|) (QUOTE (-149))) (-2232 (|HasCategory| (-582 |#1|) (QUOTE (-149))) (|HasCategory| (-582 |#1|) (QUOTE (-371))))) 
+((|constructor| (NIL "InnerFiniteField(p,n) implements finite fields with \\spad{p**n} elements where \\spad{p} is assumed prime but does not check. For a version which checks that \\spad{p} is prime, see \\spadtype{FiniteField}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-582 |#1|) (QUOTE (-151))) (|HasCategory| (-582 |#1|) (QUOTE (-371))) (|HasCategory| (-582 |#1|) (QUOTE (-149))) (-1929 (|HasCategory| (-582 |#1|) (QUOTE (-149))) (|HasCategory| (-582 |#1|) (QUOTE (-371))))) 
 (-528 R |mnRow| |mnCol| |Row| |Col|) 
 ((|constructor| (NIL "There is no description for this domain"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
 (-529 S |mn|) 
-((|constructor| (NIL "\\spadtype{IndexedList} is a basic implementation of the functions in \\spadtype{ListAggregate},{} often using functions in the underlying LISP system. The second parameter to the constructor (\\spad{mn}) is the beginning index of the list. That is,{} if \\spad{l} is a list,{} then \\spad{elt(l,{}mn)} is the first value. This constructor is probably best viewed as the implementation of singly-linked lists that are addressable by index rather than as a mere wrapper for LISP lists."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((|constructor| (NIL "\\spadtype{IndexedList} is a basic implementation of the functions in \\spadtype{ListAggregate}, often using functions in the underlying LISP system. The second parameter to the constructor (\\spad{mn}) is the beginning index of the list. That is, if \\spad{l} is a list, then \\spad{elt(l,mn)} is the first value. This constructor is probably best viewed as the implementation of singly-linked lists that are addressable by index rather than as a mere wrapper for LISP lists."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-530 R |Row| |Col| M) 
-((|constructor| (NIL "\\spadtype{InnerMatrixLinearAlgebraFunctions} is an internal package which provides standard linear algebra functions on domains in \\spad{MatrixCategory}")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|generalizedInverse| ((|#4| |#4|) "\\spad{generalizedInverse(m)} returns the generalized (Moore--Penrose) inverse of the matrix \\spad{m},{} \\spadignore{i.e.} the matrix \\spad{h} such that m*h*m=h,{} h*m*h=m,{} \\spad{m*h} and \\spad{h*m} are both symmetric matrices.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}. an error message is returned if the matrix is not square.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}."))) 
+((|constructor| (NIL "\\spadtype{InnerMatrixLinearAlgebraFunctions} is an internal package which provides standard linear algebra functions on domains in \\spad{MatrixCategory}")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|generalizedInverse| ((|#4| |#4|) "\\spad{generalizedInverse(m)} returns the generalized (Moore--Penrose) inverse of the matrix \\spad{m,} \\spadignore{i.e.} the matrix \\spad{h} such that m*h*m=h, h*m*h=m, \\spad{m*h} and \\spad{h*m} are both symmetric matrices.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}"))) 
 NIL 
-((|HasAttribute| |#3| (QUOTE -4536))) 
+((|HasAttribute| |#3| (QUOTE -4572))) 
 (-531 R |Row| |Col| M QF |Row2| |Col2| M2) 
-((|constructor| (NIL "\\spadtype{InnerMatrixQuotientFieldFunctions} provides functions on matrices over an integral domain which involve the quotient field of that integral domain. The functions rowEchelon and inverse return matrices with entries in the quotient field.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|inverse| (((|Union| |#8| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square. Note that the result will have entries in the quotient field.")) (|rowEchelon| ((|#8| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}. the result will have entries in the quotient field."))) 
+((|constructor| (NIL "\\spadtype{InnerMatrixQuotientFieldFunctions} provides functions on matrices over an integral domain which involve the quotient field of that integral domain. The functions rowEchelon and inverse return matrices with entries in the quotient field.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|inverse| (((|Union| |#8| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square. Note that the result will have entries in the quotient field.")) (|rowEchelon| ((|#8| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.} the result will have entries in the quotient field."))) 
 NIL 
-((|HasAttribute| |#7| (QUOTE -4536))) 
+((|HasAttribute| |#7| (QUOTE -4572))) 
 (-532 R |mnRow| |mnCol|) 
 ((|constructor| (NIL "An \\spad{IndexedMatrix} is a matrix where the minimal row and column indices are parameters of the type. The domains Row and Col are both IndexedVectors. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a 'Row' is the same as the index of the first column in a matrix and vice versa."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
 (-533 GF) 
-((|constructor| (NIL "InnerNormalBasisFieldFunctions(\\spad{GF}) (unexposed): This package has functions used by every normal basis finite field extension domain.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{minimalPolynomial(x)} \\undocumented{} See \\axiomFunFrom{minimalPolynomial}{FiniteAlgebraicExtensionField}")) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{normalElement(n)} \\undocumented{} See \\axiomFunFrom{normalElement}{FiniteAlgebraicExtensionField}")) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{} See \\axiomFunFrom{basis}{FiniteAlgebraicExtensionField}")) (|normal?| (((|Boolean|) (|Vector| |#1|)) "\\spad{normal?(x)} \\undocumented{} See \\axiomFunFrom{normal?}{FiniteAlgebraicExtensionField}")) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) "\\spad{lookup(x)} \\undocumented{} See \\axiomFunFrom{lookup}{Finite}")) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) "\\spad{inv x} \\undocumented{} See \\axiomFunFrom{inv}{DivisionRing}")) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{trace(x,{}n)} \\undocumented{} See \\axiomFunFrom{trace}{FiniteAlgebraicExtensionField}")) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{norm(x,{}n)} \\undocumented{} See \\axiomFunFrom{norm}{FiniteAlgebraicExtensionField}")) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x/y} \\undocumented{} See \\axiomFunFrom{/}{Field}")) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x*y} \\undocumented{} See \\axiomFunFrom{*}{SemiGroup}")) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{x**n} \\undocumented{} See \\axiomFunFrom{\\spad{**}}{DivisionRing}")) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{qPot(v,{}e)} computes \\spad{v**(q**e)},{} interpreting \\spad{v} as an element of normal basis field,{} \\spad{q} the size of the ground field. This is done by a cyclic \\spad{e}-shift of the vector \\spad{v}.")) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) "\\spad{expPot(v,{}e,{}d)} returns the sum from \\spad{i = 0} to \\spad{e - 1} of \\spad{v**(q**i*d)},{} interpreting \\spad{v} as an element of a normal basis field and where \\spad{q} is the size of the ground field. Note that for a description of the algorithm,{} see \\spad{T}.Itoh and \\spad{S}.Tsujii,{} \"A fast algorithm for computing multiplicative inverses in \\spad{GF}(2^m) using normal bases\",{} Information and Computation 78,{} \\spad{pp}.171-177,{} 1988.")) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) "\\spad{repSq(v,{}e)} computes \\spad{v**e} by repeated squaring,{} interpreting \\spad{v} as an element of a normal basis field.")) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) "\\spad{dAndcExp(v,{}n,{}k)} computes \\spad{v**e} interpreting \\spad{v} as an element of normal basis field. A divide and conquer algorithm similar to the one from \\spad{D}.\\spad{R}.Stinson,{} \"Some observations on parallel Algorithms for fast exponentiation in \\spad{GF}(2^n)\",{} Siam \\spad{J}. Computation,{} Vol.19,{} No.4,{} \\spad{pp}.711-717,{} August 1990 is used. Argument \\spad{k} is a parameter of this algorithm.")) (|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) "\\spad{xn(n)} returns the polynomial \\spad{x**n-1}.")) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{pol(v)} turns the vector \\spad{[v0,{}...,{}vn]} into the polynomial \\spad{v0+v1*x+ ... + vn*x**n}.")) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{index(n,{}m)} is a index function for vectors of length \\spad{n} over the ground field.")) (|random| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{random(n)} creates a vector over the ground field with random entries.")) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) "\\spad{setFieldInfo(m,{}p)} initializes the field arithmetic,{} where \\spad{m} is the multiplication table and \\spad{p} is the respective normal element of the ground field \\spad{GF}."))) 
+((|constructor| (NIL "InnerNormalBasisFieldFunctions(GF) (unexposed): This package has functions used by every normal basis finite field extension domain.")) (|minimalPolynomial| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{minimalPolynomial(x)} \\undocumented{} See \\axiomFunFrom{minimalPolynomial}{FiniteAlgebraicExtensionField}")) (|normalElement| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{normalElement(n)} \\undocumented{} See \\axiomFunFrom{normalElement}{FiniteAlgebraicExtensionField}")) (|basis| (((|Vector| (|Vector| |#1|)) (|PositiveInteger|)) "\\spad{basis(n)} \\undocumented{} See \\axiomFunFrom{basis}{FiniteAlgebraicExtensionField}")) (|normal?| (((|Boolean|) (|Vector| |#1|)) "\\spad{normal?(x)} \\undocumented{} See \\axiomFunFrom{normal?}{FiniteAlgebraicExtensionField}")) (|lookup| (((|PositiveInteger|) (|Vector| |#1|)) "\\spad{lookup(x)} \\undocumented{} See \\axiomFunFrom{lookup}{Finite}")) (|inv| (((|Vector| |#1|) (|Vector| |#1|)) "\\spad{inv \\spad{x}} \\undocumented{} See \\axiomFunFrom{inv}{DivisionRing}")) (|trace| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{trace(x,n)} \\undocumented{} See \\axiomFunFrom{trace}{FiniteAlgebraicExtensionField}")) (|norm| (((|Vector| |#1|) (|Vector| |#1|) (|PositiveInteger|)) "\\spad{norm(x,n)} \\undocumented{} See \\axiomFunFrom{norm}{FiniteAlgebraicExtensionField}")) (/ (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x/y} \\undocumented{} See \\axiomFunFrom{/}{Field}")) (* (((|Vector| |#1|) (|Vector| |#1|) (|Vector| |#1|)) "\\spad{x*y} \\undocumented{} See \\axiomFunFrom{*}{SemiGroup}")) (** (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{x**n} \\undocumented{} See \\axiomFunFrom{**}{DivisionRing}")) (|qPot| (((|Vector| |#1|) (|Vector| |#1|) (|Integer|)) "\\spad{qPot(v,e)} computes \\spad{v**(q**e)}, interpreting \\spad{v} as an element of normal basis field, \\spad{q} the size of the ground field. This is done by a cyclic e-shift of the vector \\spad{v.}")) (|expPot| (((|Vector| |#1|) (|Vector| |#1|) (|SingleInteger|) (|SingleInteger|)) "\\spad{expPot(v,e,d)} returns the sum from \\spad{i = 0} to \\spad{e - 1} of \\spad{v**(q**i*d)}, interpreting \\spad{v} as an element of a normal basis field and where \\spad{q} is the size of the ground field. Note that for a description of the algorithm, see T.Itoh and S.Tsujii, \"A fast algorithm for computing multiplicative inverses in GF(2^m) using normal bases\", Information and Computation 78, pp.171-177, 1988.")) (|repSq| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|)) "\\spad{repSq(v,e)} computes \\spad{v**e} by repeated squaring, interpreting \\spad{v} as an element of a normal basis field.")) (|dAndcExp| (((|Vector| |#1|) (|Vector| |#1|) (|NonNegativeInteger|) (|SingleInteger|)) "\\spad{dAndcExp(v,n,k)} computes \\spad{v**e} interpreting \\spad{v} as an element of normal basis field. A divide and conquer algorithm similar to the one from D.R.Stinson, \"Some observations on parallel Algorithms for fast exponentiation in GF(2^n)\", Siam \\spad{J.} Computation, Vol.19, No.4, pp.711-717, August 1990 is used. Argument \\spad{k} is a parameter of this algorithm.")) (|xn| (((|SparseUnivariatePolynomial| |#1|) (|NonNegativeInteger|)) "\\spad{xn(n)} returns the polynomial \\spad{x**n-1}.")) (|pol| (((|SparseUnivariatePolynomial| |#1|) (|Vector| |#1|)) "\\spad{pol(v)} turns the vector \\spad{[v0,...,vn]} into the polynomial \\spad{v0+v1*x+ \\spad{...} + vn*x**n}.")) (|index| (((|Vector| |#1|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{index(n,m)} is a index function for vectors of length \\spad{n} over the ground field.")) (|random| (((|Vector| |#1|) (|PositiveInteger|)) "\\spad{random(n)} creates a vector over the ground field with random entries.")) (|setFieldInfo| (((|Void|) (|Vector| (|List| (|Record| (|:| |value| |#1|) (|:| |index| (|SingleInteger|))))) |#1|) "\\spad{setFieldInfo(m,p)} initializes the field arithmetic, where \\spad{m} is the multiplication table and \\spad{p} is the respective normal element of the ground field \\spad{GF.}"))) 
 NIL 
 NIL 
 (-534 R) 
-((|constructor| (NIL "This package provides operations to create incrementing functions.")) (|incrementBy| (((|Mapping| |#1| |#1|) |#1|) "\\spad{incrementBy(n)} produces a function which adds \\spad{n} to whatever argument it is given. For example,{} if {\\spad{f} \\spad{:=} increment(\\spad{n})} then \\spad{f x} is \\spad{x+n}.")) (|increment| (((|Mapping| |#1| |#1|)) "\\spad{increment()} produces a function which adds \\spad{1} to whatever argument it is given. For example,{} if {\\spad{f} \\spad{:=} increment()} then \\spad{f x} is \\spad{x+1}."))) 
+((|constructor| (NIL "This package provides operations to create incrementing functions.")) (|incrementBy| (((|Mapping| |#1| |#1|) |#1|) "\\spad{incrementBy(n)} produces a function which adds \\spad{n} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment(n)} then \\spad{f \\spad{x}} is \\spad{x+n}.")) (|increment| (((|Mapping| |#1| |#1|)) "\\spad{increment()} produces a function which adds \\spad{1} to whatever argument it is given. For example, if \\spad{{f} \\spad{:=} increment()} then \\spad{f \\spad{x}} is \\spad{x+1}."))) 
 NIL 
 NIL 
 (-535 |Varset|) 
 ((|constructor| (NIL "converts entire exponents to OutputForm"))) 
 NIL 
 NIL 
-(-536 K -1564 |Par|) 
-((|constructor| (NIL "This package is the inner package to be used by NumericRealEigenPackage and NumericComplexEigenPackage for the computation of numeric eigenvalues and eigenvectors.")) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) "\\spad{innerEigenvectors(m,{}eps,{}factor)} computes explicitly the eigenvalues and the correspondent eigenvectors of the matrix \\spad{m}. The parameter \\spad{eps} determines the type of the output,{} \\spad{factor} is the univariate factorizer to \\spad{br} used to reduce the characteristic polynomial into irreducible factors.")) (|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{solve1(pol,{} eps)} finds the roots of the univariate polynomial polynomial \\spad{pol} to precision eps. If \\spad{K} is \\spad{Fraction Integer} then only the real roots are returned,{} if \\spad{K} is \\spad{Complex Fraction Integer} then all roots are found.")) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) "\\spad{charpol(m)} computes the characteristic polynomial of a matrix \\spad{m} with entries in \\spad{K}. This function returns a polynomial over \\spad{K},{} while the general one (that is in EiegenPackage) returns Fraction \\spad{P} \\spad{K}"))) 
+(-536 K -1647 |Par|) 
+((|constructor| (NIL "This package is the inner package to be used by NumericRealEigenPackage and NumericComplexEigenPackage for the computation of numeric eigenvalues and eigenvectors.")) (|innerEigenvectors| (((|List| (|Record| (|:| |outval| |#2|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#2|))))) (|Matrix| |#1|) |#3| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|))) "\\spad{innerEigenvectors(m,eps,factor)} computes explicitly the eigenvalues and the correspondent eigenvectors of the matrix \\spad{m.} The parameter \\spad{eps} determines the type of the output, \\spad{factor} is the univariate factorizer to \\spad{br} used to reduce the characteristic polynomial into irreducible factors.")) (|solve1| (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{solve1(pol, eps)} finds the roots of the univariate polynomial polynomial \\spad{pol} to precision eps. If \\spad{K} is \\spad{Fraction Integer} then only the real roots are returned, if \\spad{K} is \\spad{Complex Fraction Integer} then all roots are found.")) (|charpol| (((|SparseUnivariatePolynomial| |#1|) (|Matrix| |#1|)) "\\spad{charpol(m)} computes the characteristic polynomial of a matrix \\spad{m} with entries in \\spad{K.} This function returns a polynomial over \\spad{K,} while the general one (that is in EiegenPackage) returns Fraction \\spad{P} \\spad{K}"))) 
 NIL 
 NIL 
 (-537 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
-((|constructor| (NIL "This category is part of the PAFF package")) (|excpDivV| ((|#8| $) "\\spad{excpDivV returns} the exceptional divisor of the infinitly close point.")) (|chartV| ((|#9| $) "chartV is the chart of the infinitly close point. The first integer correspond to variable defining the exceptional line,{} the last one the affine neighboorhood and the second one is the remaining integer. For example [1,{}2,{}3] means that \\spad{Z=1},{} \\spad{X=X} and Y=XY. [2,{}3,{}1] means that \\spad{X=1},{} \\spad{Y=Y} and Z=YZ.")) (|multV| (((|NonNegativeInteger|) $) "\\spad{multV returns} the multiplicity of the infinitly close point.")) (|localPointV| (((|AffinePlane| |#1|) $) "\\spad{localPointV returns} the coordinates of the local infinitly close point")) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) "\\spad{curveV(p)} returns the defining polynomial of the strict transform on which lies the corresponding infinitly close point.")) (|pointV| ((|#5| $) "\\spad{pointV returns} the infinitly close point.")) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) "\\spad{create an} infinitly close point"))) 
+((|constructor| (NIL "This category is part of the PAFF package")) (|excpDivV| ((|#8| $) "\\spad{excpDivV returns} the exceptional divisor of the infinitly close point.")) (|chartV| ((|#9| $) "chartV is the chart of the infinitly close point. The first integer correspond to variable defining the exceptional line, the last one the affine neighboorhood and the second one is the remaining integer. For example [1,2,3] means that Z=1, \\spad{X=X} and Y=XY. [2,3,1] means that X=1, \\spad{Y=Y} and Z=YZ.")) (|multV| (((|NonNegativeInteger|) $) "\\spad{multV returns} the multiplicity of the infinitly close point.")) (|localPointV| (((|AffinePlane| |#1|) $) "\\spad{localPointV returns} the coordinates of the local infinitly close point")) (|curveV| (((|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) $) "\\spad{curveV(p)} returns the defining polynomial of the strict transform on which lies the corresponding infinitly close point.")) (|pointV| ((|#5| $) "\\spad{pointV returns} the infinitly close point.")) (|create| (($ |#5| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) |#1|) (|AffinePlane| |#1|) (|NonNegativeInteger|) |#9| (|NonNegativeInteger|) |#8| |#1| (|Symbol|)) "\\spad{create an} infinitly close point"))) 
 NIL 
 NIL 
 (-538 K |symb| BLMET) 
-((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm \\indented{1}{yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output} (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
+((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm \\indented{1}{yields the full output of \\spad{tr,} otherwise encode(tr) is output} (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
 (-539 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR BLMET) 
-((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(\\spad{b}).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when \\spad{true},{} a coerce to OutputForm yields the full output of \\spad{tr},{} otherwise encode(\\spad{tr}) is output (see encode function). The default is \\spad{false}.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
+((|constructor| (NIL "This domain is part of the PAFF package")) (|fullOutput| (((|Boolean|)) "\\spad{fullOutput returns} the value of the flag set by fullOutput(b).") (((|Boolean|) (|Boolean|)) "\\spad{fullOutput(b)} sets a flag such that when true, a coerce to OutputForm yields the full output of \\spad{tr,} otherwise encode(tr) is output (see encode function). The default is false.")) (|fullOut| (((|OutputForm|) $) "\\spad{fullOut(tr)} yields a full output of \\spad{tr} (see function fullOutput)."))) 
 NIL 
 NIL 
 (-540) 
@@ -2093,83 +2093,83 @@ NIL
 NIL 
 NIL 
 (-541 R) 
-((|constructor| (NIL "Tools for manipulating input forms.")) (|interpret| ((|#1| (|InputForm|)) "\\spad{interpret(f)} passes \\spad{f} to the interpreter,{} and transforms the result into an object of type \\spad{R}.")) (|packageCall| (((|InputForm|) (|Symbol|)) "\\spad{packageCall(f)} returns the input form corresponding to \\spad{f}\\$\\spad{R}."))) 
+((|constructor| (NIL "Tools for manipulating input forms.")) (|interpret| ((|#1| (|InputForm|)) "\\spad{interpret(f)} passes \\spad{f} to the interpreter, and transforms the result into an object of type \\spad{R.}")) (|packageCall| (((|InputForm|) (|Symbol|)) "\\spad{packageCall(f)} returns the input form corresponding to f$R."))) 
 NIL 
 NIL 
 (-542) 
-((|constructor| (NIL "Domain of parsed forms which can be passed to the interpreter. This is also the interface between algebra code and facilities in the interpreter.")) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) "\\spad{compile(f,{} [t1,{}...,{}tn])} forces the interpreter to compile the function \\spad{f} with signature \\spad{(t1,{}...,{}tn) -> ?}. returns the symbol \\spad{f} if successful. Error: if \\spad{f} was not defined beforehand in the interpreter,{} or if the \\spad{ti}\\spad{'s} are not valid types,{} or if the compiler fails.")) (|declare| (((|Symbol|) (|List| $)) "\\spad{declare(t)} returns a name \\spad{f} such that \\spad{f} has been declared to the interpreter to be of type \\spad{t},{} but has not been assigned a value yet. Note: \\spad{t} should be created as \\spad{devaluate(T)\\$Lisp} where \\spad{T} is the actual type of \\spad{f} (this hack is required for the case where \\spad{T} is a mapping type).")) (|parse| (($ (|String|)) "parse is the inverse of unparse. It parses a string to InputForm.")) (|unparse| (((|String|) $) "\\spad{unparse(f)} returns a string \\spad{s} such that the parser would transform \\spad{s} to \\spad{f}. Error: if \\spad{f} is not the parsed form of a string.")) (|flatten| (($ $) "\\spad{flatten(s)} returns an input form corresponding to \\spad{s} with all the nested operations flattened to triples using new local variables. If \\spad{s} is a piece of code,{} this speeds up the compilation tremendously later on.")) ((|One|) (($) "\\spad{1} returns the input form corresponding to 1.")) ((|Zero|) (($) "\\spad{0} returns the input form corresponding to 0.")) (** (($ $ (|Integer|)) "\\spad{a ** b} returns the input form corresponding to \\spad{a ** b}.") (($ $ (|NonNegativeInteger|)) "\\spad{a ** b} returns the input form corresponding to \\spad{a ** b}.")) (/ (($ $ $) "\\spad{a / b} returns the input form corresponding to \\spad{a / b}.")) (* (($ $ $) "\\spad{a * b} returns the input form corresponding to \\spad{a * b}.")) (+ (($ $ $) "\\spad{a + b} returns the input form corresponding to \\spad{a + b}.")) (|lambda| (($ $ (|List| (|Symbol|))) "\\spad{lambda(code,{} [x1,{}...,{}xn])} returns the input form corresponding to \\spad{(x1,{}...,{}xn) +-> code} if \\spad{n > 1},{} or to \\spad{x1 +-> code} if \\spad{n = 1}.")) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) "\\spad{function(code,{} [x1,{}...,{}xn],{} f)} returns the input form corresponding to \\spad{f(x1,{}...,{}xn) == code}.")) (|binary| (($ $ (|List| $)) "\\indented{1}{\\spad{binary(op,{} [a1,{}...,{}an])} returns the input form} \\indented{1}{corresponding to\\space{2}\\spad{a1 op a2 op ... op an}.} \\blankline \\spad{X} a:=[1,{}2,{}3]::List(InputForm) \\spad{X} binary(_+::InputForm,{}a)")) (|convert| (($ (|SExpression|)) "\\spad{convert(s)} makes \\spad{s} into an input form.")) (|interpret| (((|Any|) $) "\\spad{interpret(f)} passes \\spad{f} to the interpreter."))) 
+((|constructor| (NIL "Domain of parsed forms which can be passed to the interpreter. This is also the interface between algebra code and facilities in the interpreter.")) (|compile| (((|Symbol|) (|Symbol|) (|List| $)) "\\spad{compile(f, [t1,...,tn])} forces the interpreter to compile the function \\spad{f} with signature \\spad{(t1,...,tn) \\spad{->} \\spad{?}.} returns the symbol \\spad{f} if successful. Error: if \\spad{f} was not defined beforehand in the interpreter, or if the ti's are not valid types, or if the compiler fails.")) (|declare| (((|Symbol|) (|List| $)) "\\spad{declare(t)} returns a name \\spad{f} such that \\spad{f} has been declared to the interpreter to be of type \\spad{t,} but has not been assigned a value yet. Note: \\spad{t} should be created as \\spad{devaluate(T)$Lisp} where \\spad{T} is the actual type of \\spad{f} (this hack is required for the case where \\spad{T} is a mapping type).")) (|parse| (($ (|String|)) "\\spad{parse(s)} is the inverse of unparse. It parses a string to InputForm.")) (|unparse| (((|String|) $) "\\spad{unparse(f)} returns a string \\spad{s} such that the parser would transform \\spad{s} to \\spad{f.} Error: if \\spad{f} is not the parsed form of a string.")) (|flatten| (($ $) "\\spad{flatten(s)} returns an input form corresponding to \\spad{s} with all the nested operations flattened to triples using new local variables. If \\spad{s} is a piece of code, this speeds up the compilation tremendously later on.")) ((|One|) (($) "\\spad{1} returns the input form corresponding to 1.")) ((|Zero|) (($) "\\spad{0} returns the input form corresponding to 0.")) (** (($ $ (|Integer|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{b}} returns the input form corresponding to \\spad{a \\spad{**} \\spad{b}.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the input form corresponding to \\spad{a / \\spad{b}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the input form corresponding to \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the input form corresponding to \\spad{a + \\spad{b}.}")) (|lambda| (($ $ (|List| (|Symbol|))) "\\spad{lambda(code, [x1,...,xn])} returns the input form corresponding to \\spad{(x1,...,xn) \\spad{+->} code} if \\spad{n > 1}, or to \\spad{x1 \\spad{+->} code} if \\spad{n = 1}.")) (|function| (($ $ (|List| (|Symbol|)) (|Symbol|)) "\\spad{function(code, [x1,...,xn], \\spad{f)}} returns the input form corresponding to \\spad{f(x1,...,xn) \\spad{==} code}.")) (|binary| (($ $ (|List| $)) "\\indented{1}{\\spad{binary(op, [a1,...,an])} returns the input form} \\indented{1}{corresponding \\spad{to\\space{2}\\spad{a1} op \\spad{a2} op \\spad{...} op an}.} \\blankline \\spad{X} a:=[1,2,3]::List(InputForm) \\spad{X} binary(_+::InputForm,a)")) (|convert| (($ (|SExpression|)) "\\spad{convert(s)} makes \\spad{s} into an input form.")) (|interpret| (((|Any|) $) "\\spad{interpret(f)} passes \\spad{f} to the interpreter."))) 
 NIL 
 NIL 
 (-543 |Coef| UTS) 
-((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an integral domain of characteristic 0.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
+((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an integral domain of characteristic 0.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-544 K -1564 |Par|) 
-((|constructor| (NIL "This is an internal package for computing approximate solutions to systems of polynomial equations. The parameter \\spad{K} specifies the coefficient field of the input polynomials and must be either \\spad{Fraction(Integer)} or \\spad{Complex(Fraction Integer)}. The parameter \\spad{F} specifies where the solutions must lie and can be one of the following: \\spad{Float},{} \\spad{Fraction(Integer)},{} \\spad{Complex(Float)},{} \\spad{Complex(Fraction Integer)}. The last parameter specifies the type of the precision operand and must be either \\spad{Fraction(Integer)} or \\spad{Float}.")) (|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) "\\spad{makeEq(lsol,{}lvar)} returns a list of equations formed by corresponding members of \\spad{lvar} and \\spad{lsol}.")) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) "\\spad{innerSolve(lnum,{}lden,{}lvar,{}eps)} returns a list of solutions of the system of polynomials \\spad{lnum},{} with the side condition that none of the members of \\spad{lden} vanish identically on any solution. Each solution is expressed as a list corresponding to the list of variables in \\spad{lvar} and with precision specified by \\spad{eps}.")) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) "\\spad{innerSolve1(p,{}eps)} returns the list of the zeros of the polynomial \\spad{p} with precision \\spad{eps}.") (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{innerSolve1(up,{}eps)} returns the list of the zeros of the univariate polynomial \\spad{up} with precision \\spad{eps}."))) 
+(-544 K -1647 |Par|) 
+((|constructor| (NIL "This is an internal package for computing approximate solutions to systems of polynomial equations. The parameter \\spad{K} specifies the coefficient field of the input polynomials and must be either \\spad{Fraction(Integer)} or \\spad{Complex(Fraction Integer)}. The parameter \\spad{F} specifies where the solutions must lie and can be one of the following: \\spad{Float}, \\spad{Fraction(Integer)}, \\spad{Complex(Float)}, \\spad{Complex(Fraction Integer)}. The last parameter specifies the type of the precision operand and must be either \\spad{Fraction(Integer)} or \\spad{Float}.")) (|makeEq| (((|List| (|Equation| (|Polynomial| |#2|))) (|List| |#2|) (|List| (|Symbol|))) "\\spad{makeEq(lsol,lvar)} returns a list of equations formed by corresponding members of \\spad{lvar} and lsol.")) (|innerSolve| (((|List| (|List| |#2|)) (|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) |#3|) "\\spad{innerSolve(lnum,lden,lvar,eps)} returns a list of solutions of the system of polynomials lnum, with the side condition that none of the members of \\spad{lden} vanish identically on any solution. Each solution is expressed as a list corresponding to the list of variables in \\spad{lvar} and with precision specified by eps.")) (|innerSolve1| (((|List| |#2|) (|Polynomial| |#1|) |#3|) "\\spad{innerSolve1(p,eps)} returns the list of the zeros of the polynomial \\spad{p} with precision eps.") (((|List| |#2|) (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{innerSolve1(up,eps)} returns the list of the zeros of the univariate polynomial \\spad{up} with precision eps."))) 
 NIL 
 NIL 
 (-545 R BP |pMod| |nextMod|) 
-((|constructor| (NIL "This file contains the functions for modular \\spad{gcd} algorithm for univariate polynomials with coefficients in a non-trivial euclidean domain (\\spadignore{i.e.} not a field). The package parametrised by the coefficient domain,{} the polynomial domain,{} a prime,{} and a function for choosing the next prime")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(f,{}p)} reduces the coefficients of the polynomial \\spad{f} modulo the prime \\spad{p}.")) (|modularGcd| ((|#2| (|List| |#2|)) "\\spad{modularGcd(listf)} computes the \\spad{gcd} of the list of polynomials \\spad{listf} by modular methods.")) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) "\\spad{modularGcdPrimitive(f1,{}f2)} computes the \\spad{gcd} of the two polynomials \\spad{f1} and \\spad{f2} by modular methods."))) 
+((|constructor| (NIL "This file contains the functions for modular \\spad{gcd} algorithm for univariate polynomials with coefficients in a non-trivial euclidean domain (\\spadignore{i.e.} not a field). The package parametrised by the coefficient domain, the polynomial domain, a prime, and a function for choosing the next prime")) (|reduction| ((|#2| |#2| |#1|) "\\spad{reduction(f,p)} reduces the coefficients of the polynomial \\spad{f} modulo the prime \\spad{p.}")) (|modularGcd| ((|#2| (|List| |#2|)) "\\spad{modularGcd(listf)} computes the \\spad{gcd} of the list of polynomials \\spad{listf} by modular methods.")) (|modularGcdPrimitive| ((|#2| (|List| |#2|)) "\\spad{modularGcdPrimitive(f1,f2)} computes the \\spad{gcd} of the two polynomials \\spad{f1} and \\spad{f2} by modular methods."))) 
 NIL 
 NIL 
 (-546 OV E R P) 
-((|constructor| (NIL "This is an inner package for factoring multivariate polynomials over various coefficient domains in characteristic 0. The univariate factor operation is passed as a parameter. Multivariate hensel lifting is used to lift the univariate factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,{}ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer \\spad{ufact}. \\spad{p} is represented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,{}ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer \\spad{ufact}."))) 
+((|constructor| (NIL "This is an inner package for factoring multivariate polynomials over various coefficient domains in characteristic 0. The univariate factor operation is passed as a parameter. Multivariate hensel lifting is used to lift the univariate factorization")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact. \\spad{p} is represented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4| (|Mapping| (|Factored| (|SparseUnivariatePolynomial| |#3|)) (|SparseUnivariatePolynomial| |#3|))) "\\spad{factor(p,ufact)} factors the multivariate polynomial \\spad{p} by specializing variables and calling the univariate factorizer ufact."))) 
 NIL 
 NIL 
 (-547 K UP |Coef| UTS) 
-((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an arbitrary finite field.")) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#4| |#4|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#4| |#4|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#4| |#4|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
+((|constructor| (NIL "This package computes infinite products of univariate Taylor series over an arbitrary finite field.")) (|generalInfiniteProduct| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#4| |#4|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#4| |#4|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#4| |#4|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
 (-548 |Coef| UTS) 
-((|constructor| (NIL "This package computes infinite products of univariate Taylor series over a field of prime order.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
+((|constructor| (NIL "This package computes infinite products of univariate Taylor series over a field of prime order.")) (|generalInfiniteProduct| ((|#2| |#2| (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| ((|#2| |#2|) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| ((|#2| |#2|) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| ((|#2| |#2|) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
 (-549 R UP) 
-((|constructor| (NIL "Find the sign of a polynomial around a point or infinity.")) (|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}r,{}f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}r,{}i,{}f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,{}i,{}f)} \\undocumented"))) 
+((|constructor| (NIL "Find the sign of a polynomial around a point or infinity.")) (|signAround| (((|Union| (|Integer|) "failed") |#2| |#1| (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| |#1| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,r,i,f)} \\undocumented") (((|Union| (|Integer|) "failed") |#2| (|Integer|) (|Mapping| (|Union| (|Integer|) "failed") |#1|)) "\\spad{signAround(u,i,f)} \\undocumented"))) 
 NIL 
 NIL 
 (-550 S) 
-((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,{}b)},{} \\spad{0<=a<b>1},{} \\spad{(a,{}b)=1} means \\spad{1/a mod b}.")) (|powmod| (($ $ $ $) "\\spad{powmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a**b mod p}.")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a*b mod p}.")) (|submod| (($ $ $ $) "\\spad{submod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a-b mod p}.")) (|addmod| (($ $ $ $) "\\spad{addmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a+b mod p}.")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n}.")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n}.")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number,{} or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ -b/2 <= r < b/2 }.")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 <= r < b} and \\spad{r == a rem b}.")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,{}i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
+((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
 NIL 
 NIL 
 (-551) 
-((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,{}b)},{} \\spad{0<=a<b>1},{} \\spad{(a,{}b)=1} means \\spad{1/a mod b}.")) (|powmod| (($ $ $ $) "\\spad{powmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a**b mod p}.")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a*b mod p}.")) (|submod| (($ $ $ $) "\\spad{submod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a-b mod p}.")) (|addmod| (($ $ $ $) "\\spad{addmod(a,{}b,{}p)},{} \\spad{0<=a,{}b<p>1},{} means \\spad{a+b mod p}.")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n}.")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n}.")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number,{} or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ -b/2 <= r < b/2 }.")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,{}b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 <= r < b} and \\spad{r == a rem b}.")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,{}i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
-((-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "An \\spad{IntegerNumberSystem} is a model for the integers.")) (|invmod| (($ $ $) "\\spad{invmod(a,b)}, \\spad{0<=a<b>1}, \\spad{(a,b)=1} means \\spad{1/a mod \\spad{b}.}")) (|powmod| (($ $ $ $) "\\spad{powmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a**b mod \\spad{p}.}")) (|mulmod| (($ $ $ $) "\\spad{mulmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a*b mod \\spad{p}.}")) (|submod| (($ $ $ $) "\\spad{submod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a-b mod \\spad{p}.}")) (|addmod| (($ $ $ $) "\\spad{addmod(a,b,p)}, \\spad{0<=a,b<p>1}, means \\spad{a+b mod \\spad{p}.}")) (|mask| (($ $) "\\spad{mask(n)} returns \\spad{2**n-1} (an \\spad{n} bit mask).")) (|dec| (($ $) "\\spad{dec(x)} returns \\spad{x - 1}.")) (|inc| (($ $) "\\spad{inc(x)} returns \\spad{x + 1}.")) (|copy| (($ $) "\\spad{copy(n)} gives a copy of \\spad{n.}")) (|hash| (($ $) "\\spad{hash(n)} returns the hash code of \\spad{n.}")) (|random| (($ $) "\\spad{random(a)} creates a random element from 0 to \\spad{n-1}.") (($) "\\spad{random()} creates a random element.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(n)} creates a rational number, or returns \"failed\" if this is not possible.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(n)} creates a rational number (see \\spadtype{Fraction Integer})..")) (|rational?| (((|Boolean|) $) "\\spad{rational?(n)} tests if \\spad{n} is a rational number (see \\spadtype{Fraction Integer}).")) (|symmetricRemainder| (($ $ $) "\\spad{symmetricRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{ \\spad{-b/2} \\spad{<=} \\spad{r} < \\spad{b/2} \\spad{}.}")) (|positiveRemainder| (($ $ $) "\\spad{positiveRemainder(a,b)} (where \\spad{b > 1}) yields \\spad{r} where \\spad{0 \\spad{<=} \\spad{r} < \\spad{b}} and \\spad{r \\spad{==} a rem \\spad{b}.}")) (|bit?| (((|Boolean|) $ $) "\\spad{bit?(n,i)} returns \\spad{true} if and only if \\spad{i}-th bit of \\spad{n} is a 1.")) (|shift| (($ $ $) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} digits.")) (|length| (($ $) "\\spad{length(a)} length of \\spad{a} in digits.")) (|base| (($) "\\spad{base()} returns the base for the operations of \\spad{IntegerNumberSystem}.")) (|multiplicativeValuation| ((|attribute|) "euclideanSize(a*b) returns \\spad{euclideanSize(a)*euclideanSize(b)}.")) (|even?| (((|Boolean|) $) "\\spad{even?(n)} returns \\spad{true} if and only if \\spad{n} is even.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(n)} returns \\spad{true} if and only if \\spad{n} is odd."))) 
+((-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-552 |Key| |Entry| |addDom|) 
 ((|constructor| (NIL "This domain is used to provide a conditional \"add\" domain for the implementation of \\spadtype{Table}."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
-(-553 R -1564) 
-((|constructor| (NIL "This package provides functions for the integration of algebraic integrands over transcendental functions.")) (|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) "\\spad{algint(f,{} x,{} y,{} d)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x}; \\spad{d} is the derivation to use on \\spad{k[x]}."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
+(-553 R -1647) 
+((|constructor| (NIL "This package provides functions for the integration of algebraic integrands over transcendental functions.")) (|algint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|SparseUnivariatePolynomial| |#2|) (|SparseUnivariatePolynomial| |#2|))) "\\spad{algint(f, \\spad{x,} \\spad{y,} \\spad{d)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x;} \\spad{d} is the derivation to use on \\spad{k[x]}."))) 
 NIL 
 NIL 
-(-554 R0 -1564 UP UPUP R) 
-((|constructor| (NIL "This package provides functions for integrating a function on an algebraic curve.")) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) "\\spad{palginfieldint(f,{} d)} returns an algebraic function \\spad{g} such that \\spad{dg = f} if such a \\spad{g} exists,{} \"failed\" otherwise. Argument \\spad{f} must be a pure algebraic function.")) (|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{palgintegrate(f,{} d)} integrates \\spad{f} with respect to the derivation \\spad{d}. Argument \\spad{f} must be a pure algebraic function.")) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{algintegrate(f,{} d)} integrates \\spad{f} with respect to the derivation \\spad{d}."))) 
+(-554 R0 -1647 UP UPUP R) 
+((|constructor| (NIL "This package provides functions for integrating a function on an algebraic curve.")) (|palginfieldint| (((|Union| |#5| "failed") |#5| (|Mapping| |#3| |#3|)) "\\spad{palginfieldint(f, \\spad{d)}} returns an algebraic function \\spad{g} such that \\spad{dg = \\spad{f}} if such a \\spad{g} exists, \"failed\" otherwise. Argument \\spad{f} must be a pure algebraic function.")) (|palgintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{palgintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.} Argument \\spad{f} must be a pure algebraic function.")) (|algintegrate| (((|IntegrationResult| |#5|) |#5| (|Mapping| |#3| |#3|)) "\\spad{algintegrate(f, \\spad{d)}} integrates \\spad{f} with respect to the derivation \\spad{d.}"))) 
 NIL 
 NIL 
 (-555) 
-((|constructor| (NIL "This package provides functions to lookup bits in integers")) (|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) "\\spad{bitTruth(n,{}m)} returns \\spad{true} if coefficient of 2**m in abs(\\spad{n}) is 1")) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{bitCoef(n,{}m)} returns the coefficient of 2**m in abs(\\spad{n})")) (|bitLength| (((|Integer|) (|Integer|)) "\\spad{bitLength(n)} returns the number of bits to represent abs(\\spad{n})"))) 
+((|constructor| (NIL "This package provides functions to lookup bits in integers")) (|bitTruth| (((|Boolean|) (|Integer|) (|Integer|)) "\\spad{bitTruth(n,m)} returns \\spad{true} if coefficient of 2**m in abs(n) is 1")) (|bitCoef| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{bitCoef(n,m)} returns the coefficient of 2**m in abs(n)")) (|bitLength| (((|Integer|) (|Integer|)) "\\spad{bitLength(n)} returns the number of bits to represent abs(n)"))) 
 NIL 
 NIL 
 (-556 R) 
-((|constructor| (NIL "This category implements of interval arithmetic and transcendental functions over intervals.")) (|contains?| (((|Boolean|) $ |#1|) "\\spad{contains?(i,{}f)} returns \\spad{true} if \\axiom{\\spad{f}} is contained within the interval \\axiom{\\spad{i}},{} \\spad{false} otherwise.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(u)} returns \\axiom{\\spad{true}} if every element of \\spad{u} is negative,{} \\axiom{\\spad{false}} otherwise.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(u)} returns \\axiom{\\spad{true}} if every element of \\spad{u} is positive,{} \\axiom{\\spad{false}} otherwise.")) (|width| ((|#1| $) "\\spad{width(u)} returns \\axiom{sup(\\spad{u}) - inf(\\spad{u})}.")) (|sup| ((|#1| $) "\\spad{sup(u)} returns the supremum of \\axiom{\\spad{u}}.")) (|inf| ((|#1| $) "\\spad{inf(u)} returns the infinum of \\axiom{\\spad{u}}.")) (|qinterval| (($ |#1| |#1|) "\\spad{qinterval(inf,{}sup)} creates a new interval \\axiom{[\\spad{inf},{}\\spad{sup}]},{} without checking the ordering on the elements.")) (|interval| (($ (|Fraction| (|Integer|))) "\\spad{interval(f)} creates a new interval around \\spad{f}.") (($ |#1|) "\\spad{interval(f)} creates a new interval around \\spad{f}.") (($ |#1| |#1|) "\\spad{interval(inf,{}sup)} creates a new interval,{} either \\axiom{[\\spad{inf},{}\\spad{sup}]} if \\axiom{\\spad{inf} \\spad{<=} \\spad{sup}} or \\axiom{[\\spad{sup},{}in]} otherwise."))) 
-((-2994 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category implements of interval arithmetic and transcendental functions over intervals.")) (|contains?| (((|Boolean|) $ |#1|) "\\spad{contains?(i,f)} returns \\spad{true} if \\axiom{f} is contained within the interval \\axiom{i}, \\spad{false} otherwise.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(u)} returns \\axiom{true} if every element of \\spad{u} is negative, \\axiom{false} otherwise.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(u)} returns \\axiom{true} if every element of \\spad{u} is positive, \\axiom{false} otherwise.")) (|width| ((|#1| $) "\\spad{width(u)} returns \\axiom{sup(u) - inf(u)}.")) (|sup| ((|#1| $) "\\spad{sup(u)} returns the supremum of \\axiom{u}.")) (|inf| ((|#1| $) "\\spad{inf(u)} returns the infinum of \\axiom{u}.")) (|qinterval| (($ |#1| |#1|) "\\spad{qinterval(inf,sup)} creates a new interval \\axiom{[inf,sup]}, without checking the ordering on the elements.")) (|interval| (($ (|Fraction| (|Integer|))) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1|) "\\spad{interval(f)} creates a new interval around \\spad{f.}") (($ |#1| |#1|) "\\spad{interval(inf,sup)} creates a new interval, either \\axiom{[inf,sup]} if \\axiom{inf \\spad{<=} sup} or \\axiom{[sup,in]} otherwise."))) 
+((-4334 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-557 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR |InfClsPoint| |DesTree| BLMET) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) "\\spad{placesOfDegree(d,{} f,{} pts)} compute the places of degree dividing \\spad{d} of the curve \\spad{f}. \\spad{pts} should be the singular points of the curve \\spad{f}. For \\spad{d} > 1 this only works if \\spad{K} has \\axiomType{PseudoAlgebraicClosureOfFiniteFieldCategory}.")) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) "\\spad{intersectionDivisor(f,{}pol,{}listOfTree)} returns the intersection divisor of \\spad{f} with a curve defined by \\spad{pol}. \\spad{listOfTree} must contain all the desingularisation trees of all singular points on the curve \\indented{1}{defined by \\spad{pol}.}"))) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|placesOfDegree| (((|Void|) (|PositiveInteger|) |#3| (|List| |#5|)) "\\spad{placesOfDegree(d, \\spad{f,} pts)} compute the places of degree dividing \\spad{d} of the curve \\spad{f.} \\spad{pts} should be the singular points of the curve \\spad{f.} For \\spad{d} > 1 this only works if \\spad{K} has \\axiomType{PseudoAlgebraicClosureOfFiniteFieldCategory}.")) (|intersectionDivisor| ((|#8| |#3| |#3| (|List| |#10|) (|List| |#5|)) "\\spad{intersectionDivisor(f,pol,listOfTree)} returns the intersection divisor of \\spad{f} with a curve defined by pol. \\spad{listOfTree} must contain all the desingularisation trees of all singular points on the curve \\indented{1}{defined by pol.}"))) 
 NIL 
 NIL 
 (-558 S) 
-((|constructor| (NIL "The category of commutative integral domains,{} \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\spad{\\br} canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\spad{\\br} canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit,{} \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,{}y)} tests whether \\spad{x} and \\spad{y} are associates,{} \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x}. The attribute canonicalUnitNormal,{} if asserted,{} means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,{}c,{}a]} then \\spad{u*c = x},{} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
+((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
 NIL 
 NIL 
 (-559) 
-((|constructor| (NIL "The category of commutative integral domains,{} \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\spad{\\br} canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\spad{\\br} canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit,{} \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,{}y)} tests whether \\spad{x} and \\spad{y} are associates,{} \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x}. The attribute canonicalUnitNormal,{} if asserted,{} means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,{}c,{}a]} then \\spad{u*c = x},{} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "The category of commutative integral domains, \\spadignore{i.e.} commutative rings with no zero divisors. \\blankline Conditional attributes\\br canonicalUnitNormal\\tab{5}the canonical field is the same for all associates\\br canonicalsClosed\\tab{5}the product of two canonicals is itself canonical")) (|unit?| (((|Boolean|) $) "\\spad{unit?(x)} tests whether \\spad{x} is a unit, \\spadignore{i.e.} is invertible.")) (|associates?| (((|Boolean|) $ $) "\\spad{associates?(x,y)} tests whether \\spad{x} and \\spad{y} are associates, \\spadignore{i.e.} differ by a unit factor.")) (|unitCanonical| (($ $) "\\spad{unitCanonical(x)} returns \\spad{unitNormal(x).canonical}.")) (|unitNormal| (((|Record| (|:| |unit| $) (|:| |canonical| $) (|:| |associate| $)) $) "\\spad{unitNormal(x)} tries to choose a canonical element from the associate class of \\spad{x.} The attribute canonicalUnitNormal, if asserted, means that the \"canonical\" element is the same across all associates of \\spad{x} if \\spad{unitNormal(x) = [u,c,a]} then \\spad{u*c = \\spad{x},} \\spad{a*u = 1}.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} either returns an element \\spad{c} such that \\spad{c*b=a} or \"failed\" if no such element can be found."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-560 R -1564) 
-((|constructor| (NIL "This package provides functions for integration,{} limited integration,{} extended integration and the risch differential equation for elementary functions.")) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{lfextlimint(f,{}x,{}k,{}[k1,{}...,{}kn])} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f - c dk/dx}. Value \\spad{h} is looked for in a field containing \\spad{f} and \\spad{k1},{}...,{}\\spad{kn} (the \\spad{ki}\\spad{'s} must be logs).")) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{lfintegrate(f,{} x)} = \\spad{g} such that \\spad{dg/dx = f}.")) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) "\\spad{lfinfieldint(f,{} x)} returns a function \\spad{g} such that \\spad{dg/dx = f} if \\spad{g} exists,{} \"failed\" otherwise.")) (|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) "\\spad{lflimitedint(f,{}x,{}[g1,{}...,{}gn])} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} and \\spad{d(h+sum(\\spad{ci} log(\\spad{gi})))/dx = f},{} if possible,{} \"failed\" otherwise.")) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) "\\spad{lfextendedint(f,{} x,{} g)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f - cg},{} if (\\spad{h},{} \\spad{c}) exist,{} \"failed\" otherwise."))) 
+(-560 R -1647) 
+((|constructor| (NIL "This package provides functions for integration, limited integration, extended integration and the risch differential equation for elementary functions.")) (|lfextlimint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) (|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{lfextlimint(f,x,k,[k1,...,kn])} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - \\spad{c} dk/dx}. Value \\spad{h} is looked for in a field containing \\spad{f} and k1,...,kn (the ki's must be logs).")) (|lfintegrate| (((|IntegrationResult| |#2|) |#2| (|Symbol|)) "\\spad{lfintegrate(f, \\spad{x)}} = \\spad{g} such that \\spad{dg/dx = \\spad{f}.}")) (|lfinfieldint| (((|Union| |#2| "failed") |#2| (|Symbol|)) "\\spad{lfinfieldint(f, \\spad{x)}} returns a function \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|lflimitedint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Symbol|) (|List| |#2|)) "\\spad{lflimitedint(f,x,[g1,...,gn])} returns functions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, and \\spad{d(h+sum(ci log(gi)))/dx = \\spad{f},} if possible, \"failed\" otherwise.")) (|lfextendedint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Symbol|) |#2|) "\\spad{lfextendedint(f, \\spad{x,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h,} \\spad{c)} exist, \"failed\" otherwise."))) 
 NIL 
 NIL 
 (-561 K |symb| E OV R) 
@@ -2177,107 +2177,107 @@ NIL
 NIL 
 NIL 
 (-562 I) 
-((|constructor| (NIL "This Package contains basic methods for integer factorization. The factor operation employs trial division up to 10,{}000. It then tests to see if \\spad{n} is a perfect power before using Pollards rho method. Because Pollards method may fail,{} the result of factor may contain composite factors. We should also employ Lenstra\\spad{'s} eliptic curve method.")) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) "\\spad{PollardSmallFactor(n)} returns a factor of \\spad{n} or \"failed\" if no one is found")) (|BasicMethod| (((|Factored| |#1|) |#1|) "\\spad{BasicMethod(n)} returns the factorization of integer \\spad{n} by trial division")) (|squareFree| (((|Factored| |#1|) |#1|) "\\spad{squareFree(n)} returns the square free factorization of integer \\spad{n}")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(n)} returns the full factorization of integer \\spad{n}"))) 
+((|constructor| (NIL "This Package contains basic methods for integer factorization. The factor operation employs trial division up to 10,000. It then tests to see if \\spad{n} is a perfect power before using Pollards rho method. Because Pollards method may fail, the result of factor may contain composite factors. We should also employ Lenstra's eliptic curve method.")) (|PollardSmallFactor| (((|Union| |#1| "failed") |#1|) "\\spad{PollardSmallFactor(n)} returns a factor of \\spad{n} or \"failed\" if no one is found")) (|BasicMethod| (((|Factored| |#1|) |#1|) "\\spad{BasicMethod(n)} returns the factorization of integer \\spad{n} by trial division")) (|squareFree| (((|Factored| |#1|) |#1|) "\\spad{squareFree(n)} returns the square free factorization of integer \\spad{n}")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(n)} returns the full factorization of integer \\spad{n}"))) 
 NIL 
 NIL 
 (-563 K |symb| |PolyRing| E |ProjPt| PCS |Plc| DIVISOR) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) "\\spad{interpolateForms(D,{}n,{}pol,{}base)} compute the basis of the sub-vector space \\spad{W} of \\spad{V} = <base>,{} such that for all \\spad{G} in \\spad{W},{} the divisor (\\spad{G}) \\spad{>=} \\spad{D}. All the elements in \\spad{base} must be homogeneous polynomial of degree \\spad{n}. Typicaly,{} \\spad{base} is the set of all monomial of degree \\spad{n:} in that case,{} interpolateForms(\\spad{D},{}\\spad{n},{}\\spad{pol},{}\\spad{base}) returns the basis of the vector space of all forms of degree \\spad{d} that interpolated \\spad{D}. The argument \\spad{pol} must be the same polynomial that defined the curve form which the divisor \\spad{D} is defined."))) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|interpolateForms| (((|List| |#3|) |#8| (|NonNegativeInteger|) |#3| (|List| |#3|)) "\\spad{interpolateForms(D,n,pol,base)} compute the basis of the sub-vector space \\spad{W} of \\spad{V} = <base>, such that for all \\spad{G} in \\spad{W,} the divisor \\spad{(G)} \\spad{>=} \\spad{D.} All the elements in \\spad{base} must be homogeneous polynomial of degree \\spad{n.} Typicaly, \\spad{base} is the set of all monomial of degree \\spad{n:} in that case, interpolateForms(D,n,pol,base) returns the basis of the vector space of all forms of degree \\spad{d} that interpolated \\spad{D.} The argument \\spad{pol} must be the same polynomial that defined the curve form which the divisor \\spad{D} is defined."))) 
 NIL 
 NIL 
 (-564) 
-((|constructor| (NIL "There is no description for this domain")) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{entry(n)} is not documented")) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) "\\spad{entries(x)} is not documented")) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showAttributes(x)} is not documented")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) "\\spad{fTable(l)} creates a functions table from the elements of \\spad{l}.")) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(f)} returns the list of keys of \\spad{f}")) (|clearTheFTable| (((|Void|)) "\\spad{clearTheFTable()} clears the current table of functions.")) (|showTheFTable| (($) "\\spad{showTheFTable()} returns the current table of functions."))) 
+((|constructor| (NIL "There is no description for this domain")) (|entry| (((|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{entry(n)} is not documented")) (|entries| (((|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) "\\spad{entries(x)} is not documented")) (|showAttributes| (((|Union| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showAttributes(x)} is not documented")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|fTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) "\\spad{fTable(l)} creates a functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(f)} returns the list of keys of \\spad{f}")) (|clearTheFTable| (((|Void|)) "\\spad{clearTheFTable()} clears the current table of functions.")) (|showTheFTable| (($) "\\spad{showTheFTable()} returns the current table of functions."))) 
 NIL 
 NIL 
-(-565 R -1564 L) 
-((|constructor| (NIL "Rationalization of several types of genus 0 integrands; This internal package rationalises integrands on curves of the form:\\spad{\\br} \\tab{5}\\spad{y\\^2 = a x\\^2 + b x + c}\\spad{\\br} \\tab{5}\\spad{y\\^2 = (a x + b) / (c x + d)}\\spad{\\br} \\tab{5}\\spad{f(x,{} y) = 0} where \\spad{f} has degree 1 in \\spad{x}\\spad{\\br} The rationalization is done for integration,{} limited integration,{} extended integration and the risch differential equation.")) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgLODE0(op,{}g,{}x,{}y,{}z,{}t,{}c)} returns the solution of \\spad{op f = g} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}.") (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgLODE0(op,{} g,{} x,{} y,{} d,{} p)} returns the solution of \\spad{op f = g}. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{lift(u,{}k)} \\undocumented")) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) "\\spad{multivariate(u,{}k,{}f)} \\undocumented")) (|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) "\\spad{univariate(f,{}k,{}k,{}p)} \\undocumented")) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgRDE0(f,{} g,{} x,{} y,{} foo,{} t,{} c)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{foo},{} called by \\spad{foo(a,{} b,{} x)},{} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}.") (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgRDE0(f,{} g,{} x,{} y,{} foo,{} d,{} p)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}. Argument \\spad{foo},{} called by \\spad{foo(a,{} b,{} x)},{} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}.")) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palglimint0(f,{} x,{} y,{} [u1,{}...,{}un],{} z,{} t,{} c)} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}.") (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palglimint0(f,{} x,{} y,{} [u1,{}...,{}un],{} d,{} p)} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgextint0(f,{} x,{} y,{} g,{} z,{} t,{} c)} returns functions \\spad{[h,{} d]} such that \\spad{dh/dx = f(x,{}y) - d g},{} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy},{} and \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,{}y)}. The operation returns \"failed\" if no such functions exist.") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgextint0(f,{} x,{} y,{} g,{} d,{} p)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f(x,{}y) - c g},{} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 y(x)\\^2 = P(x)},{} or \"failed\" if no such functions exist.")) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgint0(f,{} x,{} y,{} z,{} t,{} c)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,{}y)dx = c f(t,{}y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y}. Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,{}y)}.") (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgint0(f,{} x,{} y,{} d,{} p)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 y(x)\\^2 = P(x)}."))) 
+(-565 R -1647 L) 
+((|constructor| (NIL "Rationalization of several types of genus 0 integrands; This internal package rationalises integrands on curves of the form:\\br \\tab{5}\\spad{y\\^2 = a \\spad{x\\^2} + \\spad{b} \\spad{x} + c}\\br \\tab{5}\\spad{y\\^2 = (a \\spad{x} + \\spad{b)} / \\spad{(c} \\spad{x} + d)}\\br \\tab{5}\\spad{f(x, \\spad{y)} = 0} where \\spad{f} has degree 1 in x\\br The rationalization is done for integration, limited integration, extended integration and the risch differential equation.")) (|palgLODE0| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgLODE0(op,g,x,y,z,t,c)} returns the solution of \\spad{op \\spad{f} = \\spad{g}} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgLODE0(op, \\spad{g,} \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|lift| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|SparseUnivariatePolynomial| |#2|) (|Kernel| |#2|)) "\\spad{lift(u,k)} \\undocumented")) (|multivariate| ((|#2| (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) (|Kernel| |#2|) |#2|) "\\spad{multivariate(u,k,f)} \\undocumented")) (|univariate| (((|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|SparseUnivariatePolynomial| |#2|)) "\\spad{univariate(f,k,k,p)} \\undocumented")) (|palgRDE0| (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{t,} \\spad{c)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{foo}, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}") (((|Union| |#2| "failed") |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|)) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgRDE0(f, \\spad{g,} \\spad{x,} \\spad{y,} foo, \\spad{d,} \\spad{p)}} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}. Argument foo, called by \\spad{foo(a, \\spad{b,} x)}, is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.}")) (|palglimint0| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.}") (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palglimint0(f, \\spad{x,} \\spad{y,} [u1,...,un], \\spad{d,} \\spad{p)}} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, and \"failed\" otherwise. Argument \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2y(x)\\^2 = P(x)}.")) (|palgextint0| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{z,} \\spad{t,} \\spad{c)}} returns functions \\spad{[h, \\spad{d]}} such that \\spad{dh/dx = f(x,y) - \\spad{d} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}, and \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}. The operation returns \"failed\" if no such functions exist.") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgextint0(f, \\spad{x,} \\spad{y,} \\spad{g,} \\spad{d,} \\spad{p)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}, or \"failed\" if no such functions exist.")) (|palgint0| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|Fraction| (|SparseUnivariatePolynomial| |#2|))) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{z,} \\spad{t,} \\spad{c)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{f(x,y)dx = \\spad{c} f(t,y) dy}; \\spad{c} and \\spad{t} are rational functions of \\spad{y.} Argument \\spad{z} is a dummy variable not appearing in \\spad{f(x,y)}.") (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) "\\spad{palgint0(f, \\spad{x,} \\spad{y,} \\spad{d,} \\spad{p)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x} satisfying \\spad{d(x)\\^2 \\spad{y(x)\\^2} = P(x)}."))) 
 NIL 
 ((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
 (-566) 
-((|constructor| (NIL "This package provides various number theoretic functions on the integers.")) (|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) "\\spad{sumOfKthPowerDivisors(n,{}k)} returns the sum of the \\spad{k}th powers of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. the sum of the \\spad{k}th powers of the divisors of \\spad{n} is often denoted by \\spad{sigma_k(n)}.")) (|sumOfDivisors| (((|Integer|) (|Integer|)) "\\spad{sumOfDivisors(n)} returns the sum of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. The sum of the divisors of \\spad{n} is often denoted by \\spad{sigma(n)}.")) (|numberOfDivisors| (((|Integer|) (|Integer|)) "\\spad{numberOfDivisors(n)} returns the number of integers between 1 and \\spad{n} (inclusive) which divide \\spad{n}. The number of divisors of \\spad{n} is often denoted by \\spad{tau(n)}.")) (|moebiusMu| (((|Integer|) (|Integer|)) "\\spad{moebiusMu(n)} returns the Moebius function \\spad{mu(n)}. \\spad{mu(n)} is either \\spad{-1},{}0 or 1 as follows: \\spad{mu(n) = 0} if \\spad{n} is divisible by a square > 1,{} \\spad{mu(n) = (-1)^k} if \\spad{n} is square-free and has \\spad{k} distinct prime divisors.")) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{legendre(a,{}p)} returns the Legendre symbol \\spad{L(a/p)}. \\spad{L(a/p) = (-1)**((p-1)/2) mod p} (\\spad{p} prime),{} which is 0 if \\spad{a} is 0,{} 1 if \\spad{a} is a quadratic residue \\spad{mod p} and \\spad{-1} otherwise. Note that because the primality test is expensive,{} if it is known that \\spad{p} is prime then use \\spad{jacobi(a,{}p)}.")) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{jacobi(a,{}b)} returns the Jacobi symbol \\spad{J(a/b)}. When \\spad{b} is odd,{} \\spad{J(a/b) = product(L(a/p) for p in factor b )}. Note that by convention,{} 0 is returned if \\spad{gcd(a,{}b) ^= 1}. Iterative \\spad{O(log(b)^2)} version coded by Michael Monagan June 1987.")) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{harmonic(n)} returns the \\spad{n}th harmonic number. This is \\spad{H[n] = sum(1/k,{}k=1..n)}.")) (|fibonacci| (((|Integer|) (|Integer|)) "\\spad{fibonacci(n)} returns the \\spad{n}th Fibonacci number. the Fibonacci numbers \\spad{F[n]} are defined by \\spad{F[0] = F[1] = 1} and \\spad{F[n] = F[n-1] + F[n-2]}. The algorithm has running time \\spad{O(log(n)^3)}. Reference: Knuth,{} The Art of Computer Programming Vol 2,{} Semi-Numerical Algorithms.")) (|eulerPhi| (((|Integer|) (|Integer|)) "\\spad{eulerPhi(n)} returns the number of integers between 1 and \\spad{n} (including 1) which are relatively prime to \\spad{n}. This is the Euler phi function \\spad{\\phi(n)} is also called the totient function.")) (|euler| (((|Integer|) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler number. This is \\spad{2^n E(n,{}1/2)},{} where \\spad{E(n,{}x)} is the \\spad{n}th Euler polynomial.")) (|divisors| (((|List| (|Integer|)) (|Integer|)) "\\spad{divisors(n)} returns a list of the divisors of \\spad{n}.")) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{chineseRemainder(x1,{}m1,{}x2,{}m2)} returns \\spad{w},{} where \\spad{w} is such that \\spad{w = x1 mod m1} and \\spad{w = x2 mod m2}. Note that \\spad{m1} and \\spad{m2} must be relatively prime.")) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli number. this is \\spad{B(n,{}0)},{} where \\spad{B(n,{}x)} is the \\spad{n}th Bernoulli polynomial."))) 
+((|constructor| (NIL "This package provides various number theoretic functions on the integers.")) (|sumOfKthPowerDivisors| (((|Integer|) (|Integer|) (|NonNegativeInteger|)) "\\spad{sumOfKthPowerDivisors(n,k)} returns the sum of the \\spad{k}th powers of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} the sum of the \\spad{k}th powers of the divisors of \\spad{n} is often denoted by \\spad{sigma_k(n)}.")) (|sumOfDivisors| (((|Integer|) (|Integer|)) "\\spad{sumOfDivisors(n)} returns the sum of the integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The sum of the divisors of \\spad{n} is often denoted by \\spad{sigma(n)}.")) (|numberOfDivisors| (((|Integer|) (|Integer|)) "\\spad{numberOfDivisors(n)} returns the number of integers between 1 and \\spad{n} (inclusive) which divide \\spad{n.} The number of divisors of \\spad{n} is often denoted by \\spad{tau(n)}.")) (|moebiusMu| (((|Integer|) (|Integer|)) "\\spad{moebiusMu(n)} returns the Moebius function \\spad{mu(n)}. \\spad{mu(n)} is either \\spad{-1,0} or 1 as follows: \\spad{mu(n) = 0} if \\spad{n} is divisible by a square > 1, \\spad{mu(n) = (-1)^k} if \\spad{n} is square-free and has \\spad{k} distinct prime divisors.")) (|legendre| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{legendre(a,p)} returns the Legendre symbol \\spad{L(a/p)}. \\spad{L(a/p) = (-1)**((p-1)/2) mod \\spad{p}} \\spad{(p} prime), which is 0 if \\spad{a} is 0, 1 if \\spad{a} is a quadratic residue \\spad{mod \\spad{p}} and \\spad{-1} otherwise. Note that because the primality test is expensive, if it is known that \\spad{p} is prime then use \\spad{jacobi(a,p)}.")) (|jacobi| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{jacobi(a,b)} returns the Jacobi symbol \\spad{J(a/b)}. When \\spad{b} is odd, \\spad{J(a/b) = product(L(a/p) for \\spad{p} in factor \\spad{b} \\spad{)}.} Note that by convention, 0 is returned if \\spad{gcd(a,b) \\spad{^=} 1}. Iterative \\spad{O(log(b)^2)} version coded by Michael Monagan June 1987.")) (|harmonic| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{harmonic(n)} returns the \\spad{n}th harmonic number. This is \\spad{H[n] = sum(1/k,k=1..n)}.")) (|fibonacci| (((|Integer|) (|Integer|)) "\\spad{fibonacci(n)} returns the \\spad{n}th Fibonacci number. the Fibonacci numbers \\spad{F[n]} are defined by \\spad{F[0] = F[1] = 1} and \\spad{F[n] = F[n-1] + F[n-2]}. The algorithm has running time \\spad{O(log(n)^3)}. Reference: Knuth, The Art of Computer Programming Vol 2, Semi-Numerical Algorithms.")) (|eulerPhi| (((|Integer|) (|Integer|)) "\\spad{eulerPhi(n)} returns the number of integers between 1 and \\spad{n} (including 1) which are relatively prime to \\spad{n.} This is the Euler phi function \\spad{\\phi(n)} is also called the totient function.")) (|euler| (((|Integer|) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler number. This is \\spad{2^n E(n,1/2)}, where \\spad{E(n,x)} is the \\spad{n}th Euler polynomial.")) (|divisors| (((|List| (|Integer|)) (|Integer|)) "\\spad{divisors(n)} returns a list of the divisors of \\spad{n.}")) (|chineseRemainder| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{chineseRemainder(x1,m1,x2,m2)} returns \\spad{w,} where \\spad{w} is such that \\spad{w = \\spad{x1} mod \\spad{m1}} and \\spad{w = \\spad{x2} mod m2}. Note that \\spad{m1} and \\spad{m2} must be relatively prime.")) (|bernoulli| (((|Fraction| (|Integer|)) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli number. this is \\spad{B(n,0)}, where \\spad{B(n,x)} is the \\spad{n}th Bernoulli polynomial."))) 
 NIL 
 NIL 
-(-567 -1564 UP UPUP R) 
-((|constructor| (NIL "Algebraic Hermite reduction.")) (|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f,{} ')} returns \\spad{[g,{}h]} such that \\spad{f = g' + h} and \\spad{h} has a only simple finite normal poles."))) 
+(-567 -1647 UP UPUP R) 
+((|constructor| (NIL "Algebraic Hermite reduction.")) (|HermiteIntegrate| (((|Record| (|:| |answer| |#4|) (|:| |logpart| |#4|)) |#4| (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{')}} returns \\spad{[g,h]} such that \\spad{f = \\spad{g'} + \\spad{h}} and \\spad{h} has a only simple finite normal poles."))) 
 NIL 
 NIL 
-(-568 -1564 UP) 
-((|constructor| (NIL "Hermite integration,{} transcendental case.")) (|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f,{} D)} returns \\spad{[g,{} h,{} s,{} p]} such that \\spad{f = Dg + h + s + p},{} \\spad{h} has a squarefree denominator normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and all the squarefree factors of the denominator of \\spad{s} are special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D}. Furthermore,{} \\spad{h} and \\spad{s} have no polynomial parts. \\spad{D} is the derivation to use on \\spadtype{UP}."))) 
+(-568 -1647 UP) 
+((|constructor| (NIL "Hermite integration, transcendental case.")) (|HermiteIntegrate| (((|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |logpart| (|Fraction| |#2|)) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{HermiteIntegrate(f, \\spad{D)}} returns \\spad{[g, \\spad{h,} \\spad{s,} \\spad{p]}} such that \\spad{f = \\spad{Dg} + \\spad{h} + \\spad{s} + \\spad{p},} \\spad{h} has a squarefree denominator normal w.r.t. \\spad{D,} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t. \\spad{D.} Furthermore, \\spad{h} and \\spad{s} have no polynomial parts. \\spad{D} is the derivation to use on \\spadtype{UP}."))) 
 NIL 
 NIL 
 (-569) 
 ((|constructor| (NIL "\\spadtype{Integer} provides the domain of arbitrary precision integers.")) (|infinite| ((|attribute|) "nextItem never returns \"failed\".")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}."))) 
-((-4517 . T) (-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((-4553 . T) (-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-570) 
-((|constructor| (NIL "\\axiomType{AnnaNumericalIntegrationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{NumericalIntegrationCategory} with \\axiom{measure},{} and \\axiom{integrate}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical integration problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine for solving the numerical integration problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.")) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) "\\spad{integrate(exp,{} x = a..b,{} numerical)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range,{} {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error if the last argument is not {\\spad{\\tt} numerical}.") (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) "\\spad{integrate(exp,{} x = a..b,{} \"numerical\")} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range,{} {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error of the last argument is not {\\spad{\\tt} \"numerical\"}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsabs,{} epsrel,{} routines)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required absolute and relative accuracy,{} using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsabs,{} epsrel)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...],{} epsrel)} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0,{} a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{integrate(exp,{} [a..b,{}c..d,{}...])} is a top level ANNA function to integrate a multivariate expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given set of ranges. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{integrate(exp,{} a..b)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) "\\spad{integrate(exp,{} a..b,{} epsrel)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0,{} a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) "\\spad{integrate(exp,{} a..b,{} epsabs,{} epsrel)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|NumericalIntegrationProblem|)) "\\spad{integrate(IntegrationProblem)} is a top level ANNA function to integrate an expression over a given range or ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp,{} a..b,{} epsrel,{} routines)} is a top level ANNA function to integrate an expression,{} {\\spad{\\tt} \\spad{exp}},{} over a given range {\\spad{\\tt} a} to {\\spad{\\tt} \\spad{b}} to the required absolute and relative accuracy using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}."))) 
+((|constructor| (NIL "\\axiomType{AnnaNumericalIntegrationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{NumericalIntegrationCategory} with \\axiom{measure}, and \\axiom{integrate}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|))) (|NumericalIntegrationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine for solving the numerical integration problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalIntegrationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.")) (|integrate| (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|Symbol|)) "\\spad{integrate(exp, \\spad{x} = a..b, numerical)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error if the last argument is not {\\tt numerical}.") (((|Union| (|Result|) "failed") (|Expression| (|Float|)) (|SegmentBinding| (|OrderedCompletion| (|Float|))) (|String|)) "\\spad{integrate(exp, \\spad{x} = a..b, \"numerical\")} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range, {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used. \\blankline It is an error of the last argument is not {\\tt \"numerical\"}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel, routines)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy, using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsabs, epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|)))) (|Float|)) "\\spad{integrate(exp, [a..b,c..d,...], epsrel)} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|List| (|Segment| (|OrderedCompletion| (|Float|))))) "\\spad{integrate(exp, [a..b,c..d,...])} is a top level ANNA function to integrate a multivariate expression, {\\tt exp}, over a given set of ranges. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|)))) "\\spad{integrate(exp, a..b)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}.} \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline Default values for the absolute and relative error are used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|)) "\\spad{integrate(exp, a..b, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}. \\blankline If epsrel = 0, a default absolute accuracy is used.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|)) "\\spad{integrate(exp, a..b, epsabs, epsrel)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|NumericalIntegrationProblem|)) "\\spad{integrate(IntegrationProblem)} is a top level ANNA function to integrate an expression over a given range or ranges to the required absolute and relative accuracy. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|Segment| (|OrderedCompletion| (|Float|))) (|Float|) (|Float|) (|RoutinesTable|)) "\\spad{integrate(exp, a..b, epsrel, routines)} is a top level ANNA function to integrate an expression, {\\tt exp}, over a given range {\\tt a} to {\\tt \\spad{b}} to the required absolute and relative accuracy using the routines available in the RoutinesTable provided. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalIntegrationCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline It then performs the integration of the given expression on that \\axiom{domain}."))) 
 NIL 
 NIL 
-(-571 R -1564 L) 
-((|constructor| (NIL "Integration of pure algebraic functions; This package provides functions for integration,{} limited integration,{} extended integration and the risch differential equation for pure algebraic integrands.")) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) "\\spad{palgLODE(op,{} g,{} kx,{} y,{} x)} returns the solution of \\spad{op f = g}. \\spad{y} is an algebraic function of \\spad{x}.")) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) "\\spad{palgRDE(nfp,{} f,{} g,{} x,{} y,{} foo)} returns a function \\spad{z(x,{}y)} such that \\spad{dz/dx + n * df/dx z(x,{}y) = g(x,{}y)} if such a \\spad{z} exists,{} \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x}; \\spad{foo(a,{} b,{} x)} is a function that solves \\spad{du/dx + n * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y}. \\spad{nfp} is \\spad{n * df/dx}.")) (|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) "\\spad{palglimint(f,{} x,{} y,{} [u1,{}...,{}un])} returns functions \\spad{[h,{}[[\\spad{ci},{} \\spad{ui}]]]} such that the \\spad{ui}\\spad{'s} are among \\spad{[u1,{}...,{}un]} and \\spad{d(h + sum(\\spad{ci} log(\\spad{ui})))/dx = f(x,{}y)} if such functions exist,{} \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x}.")) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) "\\spad{palgextint(f,{} x,{} y,{} g)} returns functions \\spad{[h,{} c]} such that \\spad{dh/dx = f(x,{}y) - c g},{} where \\spad{y} is an algebraic function of \\spad{x}; returns \"failed\" if no such functions exist.")) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) "\\spad{palgint(f,{} x,{} y)} returns the integral of \\spad{f(x,{}y)dx} where \\spad{y} is an algebraic function of \\spad{x}."))) 
+(-571 R -1647 L) 
+((|constructor| (NIL "Integration of pure algebraic functions; This package provides functions for integration, limited integration, extended integration and the risch differential equation for pure algebraic integrands.")) (|palgLODE| (((|Record| (|:| |particular| (|Union| |#2| "failed")) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Symbol|)) "\\spad{palgLODE(op, \\spad{g,} \\spad{kx,} \\spad{y,} \\spad{x)}} returns the solution of \\spad{op \\spad{f} = \\spad{g}.} \\spad{y} is an algebraic function of \\spad{x.}")) (|palgRDE| (((|Union| |#2| "failed") |#2| |#2| |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|Mapping| (|Union| |#2| "failed") |#2| |#2| (|Symbol|))) "\\spad{palgRDE(nfp, \\spad{f,} \\spad{g,} \\spad{x,} \\spad{y,} foo)} returns a function \\spad{z(x,y)} such that \\spad{dz/dx + \\spad{n} * df/dx z(x,y) = g(x,y)} if such a \\spad{z} exists, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x;} \\spad{foo(a, \\spad{b,} \\spad{x)}} is a function that solves \\spad{du/dx + \\spad{n} * da/dx u(x) = u(x)} for an unknown \\spad{u(x)} not involving \\spad{y.} \\spad{nfp} is \\spad{n * df/dx}.")) (|palglimint| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) (|List| |#2|)) "\\spad{palglimint(f, \\spad{x,} \\spad{y,} [u1,...,un])} returns functions \\spad{[h,[[ci, ui]]]} such that the ui's are among \\spad{[u1,...,un]} and \\spad{d(h + sum(ci log(ui)))/dx = f(x,y)} if such functions exist, \"failed\" otherwise; \\spad{y} is an algebraic function of \\spad{x.}")) (|palgextint| (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| (|Kernel| |#2|) (|Kernel| |#2|) |#2|) "\\spad{palgextint(f, \\spad{x,} \\spad{y,} \\spad{g)}} returns functions \\spad{[h, \\spad{c]}} such that \\spad{dh/dx = f(x,y) - \\spad{c} \\spad{g},} where \\spad{y} is an algebraic function of \\spad{x;} returns \"failed\" if no such functions exist.")) (|palgint| (((|IntegrationResult| |#2|) |#2| (|Kernel| |#2|) (|Kernel| |#2|)) "\\spad{palgint(f, \\spad{x,} \\spad{y)}} returns the integral of \\spad{f(x,y)dx} where \\spad{y} is an algebraic function of \\spad{x.}"))) 
 NIL 
 ((|HasCategory| |#3| (LIST (QUOTE -647) (|devaluate| |#2|)))) 
-(-572 R -1564) 
-((|constructor| (NIL "\\spadtype{PatternMatchIntegration} provides functions that use the pattern matcher to find some indefinite and definite integrals involving special functions and found in the litterature.")) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{pmintegrate(f,{} x = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b} if it can be found by the built-in pattern matching rules.") (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmintegrate(f,{} x)} returns either \"failed\" or \\spad{[g,{}h]} such that \\spad{integrate(f,{}x) = g + integrate(h,{}x)}.")) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmComplexintegrate(f,{} x)} returns either \"failed\" or \\spad{[g,{}h]} such that \\spad{integrate(f,{}x) = g + integrate(h,{}x)}. It only looks for special complex integrals that pmintegrate does not return.")) (|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) "\\spad{splitConstant(f,{} x)} returns \\spad{[c,{} g]} such that \\spad{f = c * g} and \\spad{c} does not involve \\spad{t}."))) 
+(-572 R -1647) 
+((|constructor| (NIL "\\spadtype{PatternMatchIntegration} provides functions that use the pattern matcher to find some indefinite and definite integrals involving special functions and found in the litterature.")) (|pmintegrate| (((|Union| |#2| "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{pmintegrate(f, \\spad{x} = a..b)} returns the integral of \\spad{f(x)dx} from a to \\spad{b} if it can be found by the built-in pattern matching rules.") (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}.")) (|pmComplexintegrate| (((|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|)) "\\spad{pmComplexintegrate(f, \\spad{x)}} returns either \"failed\" or \\spad{[g,h]} such that \\spad{integrate(f,x) = \\spad{g} + integrate(h,x)}. It only looks for special complex integrals that pmintegrate does not return.")) (|splitConstant| (((|Record| (|:| |const| |#2|) (|:| |nconst| |#2|)) |#2| (|Symbol|)) "\\spad{splitConstant(f, \\spad{x)}} returns \\spad{[c, \\spad{g]}} such that \\spad{f = \\spad{c} * \\spad{g}} and \\spad{c} does not involve \\spad{t}."))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1125)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-621))))) 
-(-573 -1564 UP) 
-((|constructor| (NIL "Rational function integration This package provides functions for the base case of the Risch algorithm.")) (|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) "\\spad{limitedint(f,{} [g1,{}...,{}gn])} returns fractions \\spad{[h,{}[[\\spad{ci},{} \\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} \\spad{ci' = 0},{} and \\spad{(h+sum(\\spad{ci} log(\\spad{gi})))' = f},{} if possible,{} \"failed\" otherwise.")) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{extendedint(f,{} g)} returns fractions \\spad{[h,{} c]} such that \\spad{c' = 0} and \\spad{h' = f - cg},{} if \\spad{(h,{} c)} exist,{} \"failed\" otherwise.")) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) "\\spad{infieldint(f)} returns \\spad{g} such that \\spad{g' = f} or \"failed\" if the integral of \\spad{f} is not a rational function.")) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{integrate(f)} returns \\spad{g} such that \\spad{g' = f}."))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1127)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-621))))) 
+(-573 -1647 UP) 
+((|constructor| (NIL "Rational function integration This package provides functions for the base case of the Risch algorithm.")) (|limitedint| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|List| (|Fraction| |#2|))) "\\spad{limitedint(f, [g1,...,gn])} returns fractions \\spad{[h,[[ci, gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{ci' = 0}, and \\spad{(h+sum(ci log(gi)))' = \\spad{f},} if possible, \"failed\" otherwise.")) (|extendedint| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{extendedint(f, \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{c' = 0} and \\spad{h' = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|infieldint| (((|Union| (|Fraction| |#2|) "failed") (|Fraction| |#2|)) "\\spad{infieldint(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}} or \"failed\" if the integral of \\spad{f} is not a rational function.")) (|integrate| (((|IntegrationResult| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{integrate(f)} returns \\spad{g} such that \\spad{g' = \\spad{f}.}"))) 
 NIL 
 NIL 
 (-574 S) 
-((|constructor| (NIL "Provides integer testing and retraction functions.")) (|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) "\\spad{integerIfCan(x)} returns \\spad{x} as an integer,{} \"failed\" if \\spad{x} is not an integer.")) (|integer?| (((|Boolean|) |#1|) "\\spad{integer?(x)} is \\spad{true} if \\spad{x} is an integer,{} \\spad{false} otherwise.")) (|integer| (((|Integer|) |#1|) "\\spad{integer(x)} returns \\spad{x} as an integer; error if \\spad{x} is not an integer."))) 
+((|constructor| (NIL "Provides integer testing and retraction functions.")) (|integerIfCan| (((|Union| (|Integer|) "failed") |#1|) "\\spad{integerIfCan(x)} returns \\spad{x} as an integer, \"failed\" if \\spad{x} is not an integer.")) (|integer?| (((|Boolean|) |#1|) "\\spad{integer?(x)} is \\spad{true} if \\spad{x} is an integer, \\spad{false} otherwise.")) (|integer| (((|Integer|) |#1|) "\\spad{integer(x)} returns \\spad{x} as an integer; error if \\spad{x} is not an integer."))) 
 NIL 
 NIL 
-(-575 -1564) 
-((|constructor| (NIL "This package provides functions for the integration of rational functions.")) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{extendedIntegrate(f,{} x,{} g)} returns fractions \\spad{[h,{} c]} such that \\spad{dc/dx = 0} and \\spad{dh/dx = f - cg},{} if \\spad{(h,{} c)} exist,{} \"failed\" otherwise.")) (|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limitedIntegrate(f,{} x,{} [g1,{}...,{}gn])} returns fractions \\spad{[h,{} [[\\spad{ci},{}\\spad{gi}]]]} such that the \\spad{gi}\\spad{'s} are among \\spad{[g1,{}...,{}gn]},{} \\spad{dci/dx = 0},{} and \\spad{d(h + sum(\\spad{ci} log(\\spad{gi})))/dx = f} if possible,{} \"failed\" otherwise.")) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{infieldIntegrate(f,{} x)} returns a fraction \\spad{g} such that \\spad{dg/dx = f} if \\spad{g} exists,{} \"failed\" otherwise.")) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{internalIntegrate(f,{} x)} returns \\spad{g} such that \\spad{dg/dx = f}."))) 
+(-575 -1647) 
+((|constructor| (NIL "This package provides functions for the integration of rational functions.")) (|extendedIntegrate| (((|Union| (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| |#1|))) (|:| |coeff| (|Fraction| (|Polynomial| |#1|)))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{extendedIntegrate(f, \\spad{x,} \\spad{g)}} returns fractions \\spad{[h, \\spad{c]}} such that \\spad{dc/dx = 0} and \\spad{dh/dx = \\spad{f} - cg}, if \\spad{(h, \\spad{c)}} exist, \"failed\" otherwise.")) (|limitedIntegrate| (((|Union| (|Record| (|:| |mainpart| (|Fraction| (|Polynomial| |#1|))) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| (|Polynomial| |#1|))) (|:| |logand| (|Fraction| (|Polynomial| |#1|))))))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limitedIntegrate(f, \\spad{x,} [g1,...,gn])} returns fractions \\spad{[h, [[ci,gi]]]} such that the gi's are among \\spad{[g1,...,gn]}, \\spad{dci/dx = 0}, and \\spad{d(h + sum(ci log(gi)))/dx = \\spad{f}} if possible, \"failed\" otherwise.")) (|infieldIntegrate| (((|Union| (|Fraction| (|Polynomial| |#1|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{infieldIntegrate(f, \\spad{x)}} returns a fraction \\spad{g} such that \\spad{dg/dx = \\spad{f}} if \\spad{g} exists, \"failed\" otherwise.")) (|internalIntegrate| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{internalIntegrate(f, \\spad{x)}} returns \\spad{g} such that \\spad{dg/dx = \\spad{f}.}"))) 
 NIL 
 NIL 
 (-576 R) 
 ((|constructor| (NIL "This domain is an implementation of interval arithmetic and transcendental functions over intervals."))) 
-((-2994 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((-4334 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-577) 
-((|constructor| (NIL "This package provides the implementation for the \\spadfun{solveLinearPolynomialEquation} operation over the integers. It uses a lifting technique from the package GenExEuclid")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists."))) 
+((|constructor| (NIL "This package provides the implementation for the \\spadfun{solveLinearPolynomialEquation} operation over the integers. It uses a lifting technique from the package GenExEuclid")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| (|Integer|))) "failed") (|List| (|SparseUnivariatePolynomial| (|Integer|))) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists."))) 
 NIL 
 NIL 
-(-578 R -1564) 
-((|constructor| (NIL "Tools for the integrator")) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) "\\spad{intPatternMatch(f,{} x,{} int,{} pmint)} tries to integrate \\spad{f} first by using the integration function \\spad{int},{} and then by using the pattern match intetgration function \\spad{pmint} on any remaining unintegrable part.")) (|mkPrim| ((|#2| |#2| (|Symbol|)) "\\spad{mkPrim(f,{} x)} makes the logs in \\spad{f} which are linear in \\spad{x} primitive with respect to \\spad{x}.")) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) "\\spad{removeConstantTerm(f,{} x)} returns \\spad{f} minus any additive constant with respect to \\spad{x}.")) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) "\\spad{vark([f1,{}...,{}fn],{}x)} returns the set-theoretic union of \\spad{(varselect(f1,{}x),{}...,{}varselect(fn,{}x))}.")) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) "\\spad{union(l1,{} l2)} returns set-theoretic union of \\spad{l1} and \\spad{l2}.")) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{ksec(k,{} [k1,{}...,{}kn],{} x)} returns the second top-level \\spad{ki} after \\spad{k} involving \\spad{x}.")) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{kmax([k1,{}...,{}kn])} returns the top-level \\spad{ki} for integration.")) (|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{varselect([k1,{}...,{}kn],{} x)} returns the \\spad{ki} which involve \\spad{x}."))) 
+(-578 R -1647) 
+((|constructor| (NIL "Tools for the integrator")) (|intPatternMatch| (((|IntegrationResult| |#2|) |#2| (|Symbol|) (|Mapping| (|IntegrationResult| |#2|) |#2| (|Symbol|)) (|Mapping| (|Union| (|Record| (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (|Symbol|))) "\\spad{intPatternMatch(f, \\spad{x,} int, pmint)} tries to integrate \\spad{f} first by using the integration function \\spad{int}, and then by using the pattern match intetgration function \\spad{pmint} on any remaining unintegrable part.")) (|mkPrim| ((|#2| |#2| (|Symbol|)) "\\spad{mkPrim(f, \\spad{x)}} makes the logs in \\spad{f} which are linear in \\spad{x} primitive with respect to \\spad{x.}")) (|removeConstantTerm| ((|#2| |#2| (|Symbol|)) "\\spad{removeConstantTerm(f, \\spad{x)}} returns \\spad{f} minus any additive constant with respect to \\spad{x.}")) (|vark| (((|List| (|Kernel| |#2|)) (|List| |#2|) (|Symbol|)) "\\spad{vark([f1,...,fn],x)} returns the set-theoretic union of \\spad{(varselect(f1,x),...,varselect(fn,x))}.")) (|union| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|))) "\\spad{union(l1, l2)} returns set-theoretic union of \\spad{l1} and \\spad{l2.}")) (|ksec| (((|Kernel| |#2|) (|Kernel| |#2|) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{ksec(k, [k1,...,kn], \\spad{x)}} returns the second top-level \\spad{ki} after \\spad{k} involving \\spad{x.}")) (|kmax| (((|Kernel| |#2|) (|List| (|Kernel| |#2|))) "\\spad{kmax([k1,...,kn])} returns the top-level \\spad{ki} for integration.")) (|varselect| (((|List| (|Kernel| |#2|)) (|List| (|Kernel| |#2|)) (|Symbol|)) "\\spad{varselect([k1,...,kn], \\spad{x)}} returns the \\spad{ki} which involve \\spad{x.}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-280))) (|HasCategory| |#2| (QUOTE (-621)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-280)))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-579 -1564 UP) 
-((|constructor| (NIL "This package provides functions for the transcendental case of the Risch algorithm.")) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{monomialIntPoly(p,{} ')} returns [\\spad{q},{} \\spad{r}] such that \\spad{p = q' + r} and \\spad{degree(r) < degree(t')}. Error if \\spad{degree(t') < 2}.")) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomialIntegrate(f,{} ')} returns \\spad{[ir,{} s,{} p]} such that \\spad{f = ir' + s + p} and all the squarefree factors of the denominator of \\spad{s} are special \\spad{w}.\\spad{r}.\\spad{t} the derivation '.")) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintfldpoly(p,{} foo)} returns \\spad{q} such that \\spad{p' = q} or \"failed\" if no such \\spad{q} exists. Argument foo is a Risch differential equation function on \\spad{F}.")) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) "\\spad{primintfldpoly(p,{} ',{} t')} returns \\spad{q} such that \\spad{p' = q} or \"failed\" if no such \\spad{q} exists. Argument \\spad{t'} is the derivative of the primitive generating the extension.")) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) "\\spad{primlimintfrac(f,{} ',{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn]]} such that \\spad{ci' = 0} and \\spad{f = v' + +/[\\spad{ci} * ui'/ui]}. Error: if \\spad{degree numer f >= degree denom f}.")) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) "\\spad{primextintfrac(f,{} ',{} g)} returns \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0}. Error: if \\spad{degree numer f >= degree denom f} or if \\spad{degree numer g >= degree denom g} or if \\spad{denom g} is not squarefree.")) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) "\\spad{explimitedint(f,{} ',{} foo,{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn],{} a]} such that \\spad{ci' = 0},{} \\spad{f = v' + a + reduce(+,{}[\\spad{ci} * ui'/ui])},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}. Returns \"failed\" if no such \\spad{v},{} \\spad{ci},{} a exist. Argument \\spad{foo} is a Risch differential equation function on \\spad{F}.")) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) "\\spad{primlimitedint(f,{} ',{} foo,{} [u1,{}...,{}un])} returns \\spad{[v,{} [c1,{}...,{}cn],{} a]} such that \\spad{ci' = 0},{} \\spad{f = v' + a + reduce(+,{}[\\spad{ci} * ui'/ui])},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if no such \\spad{v},{} \\spad{ci},{} a exist. Argument \\spad{foo} is an extended integration function on \\spad{F}.")) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) "\\spad{expextendedint(f,{} ',{} foo,{} g)} returns either \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0},{} or \\spad{[v,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is a Risch differential equation function on \\spad{F}.")) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) "\\spad{primextendedint(f,{} ',{} foo,{} g)} returns either \\spad{[v,{} c]} such that \\spad{f = v' + c g} and \\spad{c' = 0},{} or \\spad{[v,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is an extended integration function on \\spad{F}.")) (|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) "\\spad{tanintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}; Argument foo is a Risch differential system solver on \\spad{F}.")) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F}; Argument foo is a Risch differential equation solver on \\spad{F}.")) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) "\\spad{primintegrate(f,{} ',{} foo)} returns \\spad{[g,{} a]} such that \\spad{f = g' + a},{} and \\spad{a = 0} or \\spad{a} has no integral in UP. Argument foo is an extended integration function on \\spad{F}."))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-280))) (|HasCategory| |#2| (QUOTE (-621)))) (-12 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-280)))) (|HasCategory| |#1| (QUOTE (-559)))) 
+(-579 -1647 UP) 
+((|constructor| (NIL "This package provides functions for the transcendental case of the Risch algorithm.")) (|monomialIntPoly| (((|Record| (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{monomialIntPoly(p, \\spad{')}} returns \\spad{[q,} \\spad{r]} such that \\spad{p = \\spad{q'} + \\spad{r}} and \\spad{degree(r) < degree(t')}. Error if \\spad{degree(t') < 2}.")) (|monomialIntegrate| (((|Record| (|:| |ir| (|IntegrationResult| (|Fraction| |#2|))) (|:| |specpart| (|Fraction| |#2|)) (|:| |polypart| |#2|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomialIntegrate(f, \\spad{')}} returns \\spad{[ir, \\spad{s,} \\spad{p]}} such that \\spad{f = ir' + \\spad{s} + \\spad{p}} and all the squarefree factors of the denominator of \\spad{s} are special w.r.t the derivation \\spad{'.}")) (|expintfldpoly| (((|Union| (|LaurentPolynomial| |#1| |#2|) "failed") (|LaurentPolynomial| |#1| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintfldpoly(p, foo)} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument foo is a Risch differential equation function on \\spad{F.}")) (|primintfldpoly| (((|Union| |#2| "failed") |#2| (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) "\\spad{primintfldpoly(p, \\spad{',} t')} returns \\spad{q} such that \\spad{p' = \\spad{q}} or \"failed\" if no such \\spad{q} exists. Argument \\spad{t'} is the derivative of the primitive generating the extension.")) (|primlimintfrac| (((|Union| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|)))))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|List| (|Fraction| |#2|))) "\\spad{primlimintfrac(f, \\spad{',} [u1,...,un])} returns \\spad{[v, [c1,...,cn]]} such that \\spad{ci' = 0} and \\spad{f = \\spad{v'} + +/[ci * ui'/ui]}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}.}")) (|primextintfrac| (((|Union| (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Fraction| |#2|)) "\\spad{primextintfrac(f, \\spad{',} \\spad{g)}} returns \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}. Error: if \\spad{degree numer \\spad{f} \\spad{>=} degree denom \\spad{f}} or if \\spad{degree numer \\spad{g} \\spad{>=} degree denom \\spad{g}} or if \\spad{denom \\spad{g}} is not squarefree.")) (|explimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|List| (|Fraction| |#2|))) "\\spad{explimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primlimitedint| (((|Union| (|Record| (|:| |answer| (|Record| (|:| |mainpart| (|Fraction| |#2|)) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| (|Fraction| |#2|)) (|:| |logand| (|Fraction| |#2|))))))) (|:| |a0| |#1|)) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|List| (|Fraction| |#2|))) "\\spad{primlimitedint(f, \\spad{',} foo, [u1,...,un])} returns \\spad{[v, [c1,...,cn], a]} such that \\spad{ci' = 0}, \\spad{f = \\spad{v'} + a + reduce(+,[ci * ui'/ui])}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if no such \\spad{v,} ci, a exist. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|expextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|) (|Fraction| |#2|)) "\\spad{expextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F.} Returns \"failed\" if neither case can hold. Argument \\spad{foo} is a Risch differential equation function on \\spad{F.}")) (|primextendedint| (((|Union| (|Record| (|:| |answer| (|Fraction| |#2|)) (|:| |a0| |#1|)) (|Record| (|:| |ratpart| (|Fraction| |#2|)) (|:| |coeff| (|Fraction| |#2|))) "failed") (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (|Fraction| |#2|)) "\\spad{primextendedint(f, \\spad{',} foo, \\spad{g)}} returns either \\spad{[v, \\spad{c]}} such that \\spad{f = \\spad{v'} + \\spad{c} \\spad{g}} and \\spad{c' = 0}, or \\spad{[v, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Returns \"failed\" if neither case can hold. Argument \\spad{foo} is an extended integration function on \\spad{F.}")) (|tanintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|List| |#1|) "failed") (|Integer|) |#1| |#1|)) "\\spad{tanintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential system solver on \\spad{F;}")) (|expintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Record| (|:| |ans| |#1|) (|:| |right| |#1|) (|:| |sol?| (|Boolean|))) (|Integer|) |#1|)) "\\spad{expintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in \\spad{F;} Argument foo is a Risch differential equation solver on \\spad{F;}")) (|primintegrate| (((|Record| (|:| |answer| (|IntegrationResult| (|Fraction| |#2|))) (|:| |a0| |#1|)) (|Fraction| |#2|) (|Mapping| |#2| |#2|) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) "\\spad{primintegrate(f, \\spad{',} foo)} returns \\spad{[g, a]} such that \\spad{f = \\spad{g'} + a}, and \\spad{a = 0} or \\spad{a} has no integral in UP. Argument foo is an extended integration function on \\spad{F.}"))) 
 NIL 
 NIL 
-(-580 R -1564) 
-((|constructor| (NIL "This package computes the inverse Laplace Transform.")) (|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) "\\spad{inverseLaplace(f,{} s,{} t)} returns the Inverse Laplace transform of \\spad{f(s)} using \\spad{t} as the new variable or \"failed\" if unable to find a closed form. Handles only rational \\spad{f(s)}."))) 
+(-580 R -1647) 
+((|constructor| (NIL "This package computes the inverse Laplace Transform.")) (|inverseLaplace| (((|Union| |#2| "failed") |#2| (|Symbol|) (|Symbol|)) "\\spad{inverseLaplace(f, \\spad{s,} \\spad{t)}} returns the Inverse Laplace transform of \\spad{f(s)} using \\spad{t} as the new variable or \"failed\" if unable to find a closed form. Handles only rational \\spad{f(s)}."))) 
 NIL 
 NIL 
 (-581 |p| |unBalanced?|) 
-((|constructor| (NIL "This domain implements \\spad{Zp},{} the \\spad{p}-adic completion of the integers. This is an internal domain."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This domain implements \\spad{Zp,} the p-adic completion of the integers. This is an internal domain."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-582 |p|) 
-((|constructor| (NIL "InnerPrimeField(\\spad{p}) implements the field with \\spad{p} elements."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "InnerPrimeField(p) implements the field with \\spad{p} elements."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 ((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
 (-583) 
-((|constructor| (NIL "A package to print strings without line-feed nor carriage-return.")) (|iprint| (((|Void|) (|String|)) "\\axiom{iprint(\\spad{s})} prints \\axiom{\\spad{s}} at the current position of the cursor."))) 
+((|constructor| (NIL "A package to print strings without line-feed nor carriage-return.")) (|iprint| (((|Void|) (|String|)) "\\axiom{iprint(s)} prints \\axiom{s} at the current position of the cursor."))) 
 NIL 
 NIL 
-(-584 R -1564) 
-((|constructor| (NIL "Conversion of integration results to top-level expressions This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents,{} provided that the indexing polynomial can be factored into quadratics.")) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to \\spad{i}.")) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) "\\spad{expand(i)} returns the list of possible real functions corresponding to \\spad{i}.")) (|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,{}x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,{}x) + ... + sum_{Pn(a)=0} Q(a,{}x)} where \\spad{P1},{}...,{}\\spad{Pn} are the factors of \\spad{P}."))) 
+(-584 R -1647) 
+((|constructor| (NIL "Conversion of integration results to top-level expressions This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexExpand| ((|#2| (|IntegrationResult| |#2|)) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| |#2|) (|IntegrationResult| |#2|)) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| |#2|) (|IntegrationResult| |#2|)) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
 NIL 
-(-585 E -1564) 
-((|constructor| (NIL "Internally used by the integration packages")) (|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) "\\spad{map(f,{}ufe)} \\undocumented") (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) "\\spad{map(f,{}ue)} \\undocumented") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) "\\spad{map(f,{}ure)} \\undocumented") (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) "\\spad{map(f,{}ire)} \\undocumented"))) 
+(-585 E -1647) 
+((|constructor| (NIL "Internally used by the integration packages")) (|map| (((|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |mainpart| |#1|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) "\\spad{map(f,ufe)} \\undocumented") (((|Union| |#2| "failed") (|Mapping| |#2| |#1|) (|Union| |#1| "failed")) "\\spad{map(f,ue)} \\undocumented") (((|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") (|Mapping| |#2| |#1|) (|Union| (|Record| (|:| |ratpart| |#1|) (|:| |coeff| |#1|)) "failed")) "\\spad{map(f,ure)} \\undocumented") (((|IntegrationResult| |#2|) (|Mapping| |#2| |#1|) (|IntegrationResult| |#1|)) "\\spad{map(f,ire)} \\undocumented"))) 
 NIL 
 NIL 
-(-586 -1564) 
-((|constructor| (NIL "The result of a transcendental integration. If a function \\spad{f} has an elementary integral \\spad{g},{} then \\spad{g} can be written in the form \\spad{g = h + c1 log(u1) + c2 log(u2) + ... + cn log(un)} where \\spad{h},{} which is in the same field than \\spad{f},{} is called the rational part of the integral,{} and \\spad{c1 log(u1) + ... cn log(un)} is called the logarithmic part of the integral. This domain manipulates integrals represented in that form,{} by keeping both parts separately. The logs are not explicitly computed.")) (|differentiate| ((|#1| $ (|Symbol|)) "\\spad{differentiate(ir,{}x)} differentiates \\spad{ir} with respect to \\spad{x}") ((|#1| $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(ir,{}D)} differentiates \\spad{ir} with respect to the derivation \\spad{D}.")) (|integral| (($ |#1| (|Symbol|)) "\\spad{integral(f,{}x)} returns the formal integral of \\spad{f} with respect to \\spad{x}") (($ |#1| |#1|) "\\spad{integral(f,{}x)} returns the formal integral of \\spad{f} with respect to \\spad{x}")) (|elem?| (((|Boolean|) $) "\\spad{elem?(ir)} tests if an integration result is elementary over \\spad{F?}")) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) "\\spad{notelem(ir)} returns the non-elementary part of an integration result")) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) "\\spad{logpart(ir)} returns the logarithmic part of an integration result")) (|ratpart| ((|#1| $) "\\spad{ratpart(ir)} returns the rational part of an integration result")) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) "\\spad{mkAnswer(r,{}l,{}ne)} creates an integration result from a rational part \\spad{r},{} a logarithmic part \\spad{l},{} and a non-elementary part \\spad{ne}."))) 
-((-4530 . T) (-4529 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-1163))))) 
+(-586 -1647) 
+((|constructor| (NIL "The result of a transcendental integration. If a function \\spad{f} has an elementary integral \\spad{g,} then \\spad{g} can be written in the form \\spad{g = \\spad{h} + \\spad{c1} log(u1) + \\spad{c2} log(u2) + \\spad{...} + \\spad{cn} log(un)} where \\spad{h,} which is in the same field than \\spad{f,} is called the rational part of the integral, and \\spad{c1 log(u1) + \\spad{...} \\spad{cn} log(un)} is called the logarithmic part of the integral. This domain manipulates integrals represented in that form, by keeping both parts separately. The logs are not explicitly computed.")) (|differentiate| ((|#1| $ (|Symbol|)) "\\spad{differentiate(ir,x)} differentiates \\spad{ir} with respect to \\spad{x}") ((|#1| $ (|Mapping| |#1| |#1|)) "\\spad{differentiate(ir,D)} differentiates \\spad{ir} with respect to the derivation \\spad{D.}")) (|integral| (($ |#1| (|Symbol|)) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}") (($ |#1| |#1|) "\\spad{integral(f,x)} returns the formal integral of \\spad{f} with respect to \\spad{x}")) (|elem?| (((|Boolean|) $) "\\spad{elem?(ir)} tests if an integration result is elementary over \\spad{F?}")) (|notelem| (((|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) "\\spad{notelem(ir)} returns the non-elementary part of an integration result")) (|logpart| (((|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) $) "\\spad{logpart(ir)} returns the logarithmic part of an integration result")) (|ratpart| ((|#1| $) "\\spad{ratpart(ir)} returns the rational part of an integration result")) (|mkAnswer| (($ |#1| (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| |#1|)) (|:| |logand| (|SparseUnivariatePolynomial| |#1|)))) (|List| (|Record| (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) "\\spad{mkAnswer(r,l,ne)} creates an integration result from a rational part \\spad{r,} a logarithmic part \\spad{l,} and a non-elementary part ne."))) 
+((-4566 . T) (-4565 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-1165))))) 
 (-587 I) 
-((|constructor| (NIL "The \\spadtype{IntegerRoots} package computes square roots and \\spad{n}th roots of integers efficiently.")) (|approxSqrt| ((|#1| |#1|) "\\spad{approxSqrt(n)} returns an approximation \\spad{x} to \\spad{sqrt(n)} such that \\spad{-1 < x - sqrt(n) < 1}. Compute an approximation \\spad{s} to \\spad{sqrt(n)} such that \\indented{10}{\\spad{-1 < s - sqrt(n) < 1}} A variable precision Newton iteration is used. The running time is \\spad{O( log(n)**2 )}.")) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) "\\spad{perfectSqrt(n)} returns the square root of \\spad{n} if \\spad{n} is a perfect square and returns \"failed\" otherwise")) (|perfectSquare?| (((|Boolean|) |#1|) "\\spad{perfectSquare?(n)} returns \\spad{true} if \\spad{n} is a perfect square and \\spad{false} otherwise")) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{approxRoot(n,{}r)} returns an approximation \\spad{x} to \\spad{n**(1/r)} such that \\spad{-1 < x - n**(1/r) < 1}")) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) "\\spad{perfectNthRoot(n)} returns \\spad{[x,{}r]},{} where \\spad{n = x\\^r} and \\spad{r} is the largest integer such that \\spad{n} is a perfect \\spad{r}th power") (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{perfectNthRoot(n,{}r)} returns the \\spad{r}th root of \\spad{n} if \\spad{n} is an \\spad{r}th power and returns \"failed\" otherwise")) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) "\\spad{perfectNthPower?(n,{}r)} returns \\spad{true} if \\spad{n} is an \\spad{r}th power and \\spad{false} otherwise"))) 
+((|constructor| (NIL "The \\spadtype{IntegerRoots} package computes square roots and \\spad{n}th roots of integers efficiently.")) (|approxSqrt| ((|#1| |#1|) "\\spad{approxSqrt(n)} returns an approximation \\spad{x} to \\spad{sqrt(n)} such that \\spad{-1 < \\spad{x} - sqrt(n) < 1}. Compute an approximation \\spad{s} to \\spad{sqrt(n)} such that \\indented{10}{\\spad{-1 < \\spad{s} - sqrt(n) < 1}} A variable precision Newton iteration is used. The running time is \\spad{O( \\spad{log(n)**2} \\spad{)}.}")) (|perfectSqrt| (((|Union| |#1| "failed") |#1|) "\\spad{perfectSqrt(n)} returns the square root of \\spad{n} if \\spad{n} is a perfect square and returns \"failed\" otherwise")) (|perfectSquare?| (((|Boolean|) |#1|) "\\spad{perfectSquare?(n)} returns \\spad{true} if \\spad{n} is a perfect square and \\spad{false} otherwise")) (|approxNthRoot| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{approxRoot(n,r)} returns an approximation \\spad{x} to \\spad{n**(1/r)} such that \\spad{-1 < \\spad{x} - n**(1/r) < 1}")) (|perfectNthRoot| (((|Record| (|:| |base| |#1|) (|:| |exponent| (|NonNegativeInteger|))) |#1|) "\\spad{perfectNthRoot(n)} returns \\spad{[x,r]}, where \\spad{n = x\\^r} and \\spad{r} is the largest integer such that \\spad{n} is a perfect \\spad{r}th power") (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{perfectNthRoot(n,r)} returns the \\spad{r}th root of \\spad{n} if \\spad{n} is an \\spad{r}th power and returns \"failed\" otherwise")) (|perfectNthPower?| (((|Boolean|) |#1| (|NonNegativeInteger|)) "\\spad{perfectNthPower?(n,r)} returns \\spad{true} if \\spad{n} is an \\spad{r}th power and \\spad{false} otherwise"))) 
 NIL 
 NIL 
 (-588 GF) 
@@ -2285,95 +2285,95 @@ NIL
 NIL 
 NIL 
 (-589 R) 
-((|constructor| (NIL "Conversion of integration results to top-level expressions. This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents,{} provided that the indexing polynomial can be factored into quadratics.")) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{complexIntegrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{integrate(f,{} x)} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable..")) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to \\spad{i}.")) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{expand(i)} returns the list of possible real functions corresponding to \\spad{i}.")) (|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,{}x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,{}x) + ... + sum_{Pn(a)=0} Q(a,{}x)} where \\spad{P1},{}...,{}\\spad{Pn} are the factors of \\spad{P}."))) 
+((|constructor| (NIL "Conversion of integration results to top-level expressions. This package allows a sum of logs over the roots of a polynomial to be expressed as explicit logarithms and arc tangents, provided that the indexing polynomial can be factored into quadratics.")) (|complexIntegrate| (((|Expression| |#1|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{complexIntegrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a complex variable.")) (|integrate| (((|Union| (|Expression| |#1|) (|List| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{integrate(f, \\spad{x)}} returns the integral of \\spad{f(x)dx} where \\spad{x} is viewed as a real variable..")) (|complexExpand| (((|Expression| |#1|) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexExpand(i)} returns the expanded complex function corresponding to i.")) (|expand| (((|List| (|Expression| |#1|)) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{expand(i)} returns the list of possible real functions corresponding to i.")) (|split| (((|IntegrationResult| (|Fraction| (|Polynomial| |#1|))) (|IntegrationResult| (|Fraction| (|Polynomial| |#1|)))) "\\spad{split(u(x) + sum_{P(a)=0} Q(a,x))} returns \\spad{u(x) + sum_{P1(a)=0} Q(a,x) + \\spad{...} + sum_{Pn(a)=0} Q(a,x)} where P1,...,Pn are the factors of \\spad{P.}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-151)))) 
 (-590) 
-((|constructor| (NIL "IrrRepSymNatPackage contains functions for computing the ordinary irreducible representations of symmetric groups on \\spad{n} letters {1,{}2,{}...,{}\\spad{n}} in Young\\spad{'s} natural form and their dimensions. These representations can be labelled by number partitions of \\spad{n},{} \\spadignore{i.e.} a weakly decreasing sequence of integers summing up to \\spad{n},{} \\spadignore{e.g.} [3,{}3,{}3,{}1] labels an irreducible representation for \\spad{n} equals 10. Note that whenever a \\spadtype{List Integer} appears in a signature,{} a partition required.")) (|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) "\\spad{irreducibleRepresentation(lambda,{}listOfPerm)} is the list of the irreducible representations corresponding to \\spad{lambda} in Young\\spad{'s} natural form for the list of permutations given by \\spad{listOfPerm}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{irreducibleRepresentation(lambda)} is the list of the two irreducible representations corresponding to the partition \\spad{lambda} in Young\\spad{'s} natural form for the following two generators of the symmetric group,{} whose elements permute {1,{}2,{}...,{}\\spad{n}},{} namely (1 2) (2-cycle) and (1 2 ... \\spad{n}) (\\spad{n}-cycle).") (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) "\\spad{irreducibleRepresentation(lambda,{}\\spad{pi})} is the irreducible representation corresponding to partition \\spad{lambda} in Young\\spad{'s} natural form of the permutation \\spad{pi} in the symmetric group,{} whose elements permute {1,{}2,{}...,{}\\spad{n}}.")) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) "\\spad{dimensionOfIrreducibleRepresentation(lambda)} is the dimension of the ordinary irreducible representation of the symmetric group corresponding to \\spad{lambda}. Note that the Robinson-Thrall hook formula is implemented."))) 
+((|constructor| (NIL "IrrRepSymNatPackage contains functions for computing the ordinary irreducible representations of symmetric groups on \\spad{n} letters {1,2,...,n} in Young's natural form and their dimensions. These representations can be labelled by number partitions of \\spad{n,} \\spadignore{i.e.} a weakly decreasing sequence of integers summing up to \\spad{n,} \\spadignore{e.g.} [3,3,3,1] labels an irreducible representation for \\spad{n} equals 10. Note that whenever a \\spadtype{List Integer} appears in a signature, a partition required.")) (|irreducibleRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|)) (|List| (|Permutation| (|Integer|)))) "\\spad{irreducibleRepresentation(lambda,listOfPerm)} is the list of the irreducible representations corresponding to \\spad{lambda} in Young's natural form for the list of permutations given by listOfPerm.") (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{irreducibleRepresentation(lambda)} is the list of the two irreducible representations corresponding to the partition \\spad{lambda} in Young's natural form for the following two generators of the symmetric group, whose elements permute {1,2,...,n}, namely \\spad{(1} 2) (2-cycle) and \\spad{(1} 2 \\spad{...} \\spad{n)} (n-cycle).") (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|Permutation| (|Integer|))) "\\spad{irreducibleRepresentation(lambda,pi)} is the irreducible representation corresponding to partition \\spad{lambda} in Young's natural form of the permutation \\spad{pi} in the symmetric group, whose elements permute {1,2,...,n}.")) (|dimensionOfIrreducibleRepresentation| (((|NonNegativeInteger|) (|List| (|Integer|))) "\\spad{dimensionOfIrreducibleRepresentation(lambda)} is the dimension of the ordinary irreducible representation of the symmetric group corresponding to lambda. Note that the Robinson-Thrall hook formula is implemented."))) 
 NIL 
 NIL 
 (-591 R E V P TS) 
-((|constructor| (NIL "An internal package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a square-free triangular set. The main operation is rur")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,{}lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,{}univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
+((|constructor| (NIL "An internal package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a square-free triangular set. The main operation is rur")) (|checkRur| (((|Boolean|) |#5| (|List| |#5|)) "\\spad{checkRur(ts,lus)} returns \\spad{true} if \\spad{lus} is a rational univariate representation of \\spad{ts}.")) (|rur| (((|List| |#5|) |#5| (|Boolean|)) "\\spad{rur(ts,univ?)} returns a rational univariate representation of \\spad{ts}. This assumes that the lowest polynomial in \\spad{ts} is a variable \\spad{v} which does not occur in the other polynomials of \\spad{ts}. This variable will be used to define the simple algebraic extension over which these other polynomials will be rewritten as univariate polynomials with degree one. If \\spad{univ?} is \\spad{true} then these polynomials will have a constant initial."))) 
 NIL 
 NIL 
 (-592 |mn|) 
 ((|constructor| (NIL "This domain implements low-level strings")) (|hash| (((|Integer|) $) "\\spad{hash(x)} provides a hashing function for strings"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-148) (QUOTE (-1091))) (|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-843))) (-2232 (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-843)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-148) (QUOTE (-1093))) (|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-844))) (-1929 (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-844)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
 (-593 E V R P) 
-((|constructor| (NIL "Tools for the summation packages of polynomials")) (|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) "\\spad{sum(p(n),{} n)} returns \\spad{P(n)},{} the indefinite sum of \\spad{p(n)} with respect to upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{P(n+1) - P(n) = a(n)}.") (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) "\\spad{sum(p(n),{} n = a..b)} returns \\spad{p(a) + p(a+1) + ... + p(b)}."))) 
+((|constructor| (NIL "Tools for the summation packages of polynomials")) (|sum| (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2|) "\\spad{sum(p(n), \\spad{n)}} returns \\spad{P(n)}, the indefinite sum of \\spad{p(n)} with respect to upward difference on \\spad{n,} \\spadignore{i.e.} \\spad{P(n+1) - P(n) = a(n)}.") (((|Record| (|:| |num| |#4|) (|:| |den| (|Integer|))) |#4| |#2| (|Segment| |#4|)) "\\spad{sum(p(n), \\spad{n} = a..b)} returns \\spad{p(a) + p(a+1) + \\spad{...} + p(b)}."))) 
 NIL 
 NIL 
 (-594 |Coef|) 
-((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f}. For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,{}r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,{}r)} computes \\spad{f^r},{} where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1}.")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,{}refer,{}var,{}cen,{}r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,{}g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,{}g,{}taylor?)} is the quotient of the power series \\spad{f} and \\spad{g}. If \\spad{taylor?} is \\spad{true},{} then we must have \\spad{order(f) >= order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,{}f)} returns the series \\spad{sum(fn(n) * an * x^n,{}n = n0..)},{} where \\spad{f} is the series \\spad{sum(an * x^n,{}n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f}.")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,{}str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163))))))) 
+((|constructor| (NIL "InnerSparseUnivariatePowerSeries is an internal domain used for creating sparse Taylor and Laurent series.")) (|cAcsch| (($ $) "\\spad{cAcsch(f)} computes the inverse hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsech| (($ $) "\\spad{cAsech(f)} computes the inverse hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcoth| (($ $) "\\spad{cAcoth(f)} computes the inverse hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtanh| (($ $) "\\spad{cAtanh(f)} computes the inverse hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcosh| (($ $) "\\spad{cAcosh(f)} computes the inverse hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsinh| (($ $) "\\spad{cAsinh(f)} computes the inverse hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsch| (($ $) "\\spad{cCsch(f)} computes the hyperbolic cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSech| (($ $) "\\spad{cSech(f)} computes the hyperbolic secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCoth| (($ $) "\\spad{cCoth(f)} computes the hyperbolic cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTanh| (($ $) "\\spad{cTanh(f)} computes the hyperbolic tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCosh| (($ $) "\\spad{cCosh(f)} computes the hyperbolic cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSinh| (($ $) "\\spad{cSinh(f)} computes the hyperbolic sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcsc| (($ $) "\\spad{cAcsc(f)} computes the arccosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsec| (($ $) "\\spad{cAsec(f)} computes the arcsecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcot| (($ $) "\\spad{cAcot(f)} computes the arccotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAtan| (($ $) "\\spad{cAtan(f)} computes the arctangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAcos| (($ $) "\\spad{cAcos(f)} computes the arccosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cAsin| (($ $) "\\spad{cAsin(f)} computes the arcsine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCsc| (($ $) "\\spad{cCsc(f)} computes the cosecant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSec| (($ $) "\\spad{cSec(f)} computes the secant of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCot| (($ $) "\\spad{cCot(f)} computes the cotangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cTan| (($ $) "\\spad{cTan(f)} computes the tangent of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cCos| (($ $) "\\spad{cCos(f)} computes the cosine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cSin| (($ $) "\\spad{cSin(f)} computes the sine of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cLog| (($ $) "\\spad{cLog(f)} computes the logarithm of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cExp| (($ $) "\\spad{cExp(f)} computes the exponential of the power series \\spad{f.} For use when the coefficient ring is commutative.")) (|cRationalPower| (($ $ (|Fraction| (|Integer|))) "\\spad{cRationalPower(f,r)} computes \\spad{f^r}. For use when the coefficient ring is commutative.")) (|cPower| (($ $ |#1|) "\\spad{cPower(f,r)} computes \\spad{f^r}, where \\spad{f} has constant coefficient 1. For use when the coefficient ring is commutative.")) (|integrate| (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. Warning: function does not check for a term of degree \\spad{-1.}")) (|seriesToOutputForm| (((|OutputForm|) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) (|Reference| (|OrderedCompletion| (|Integer|))) (|Symbol|) |#1| (|Fraction| (|Integer|))) "\\spad{seriesToOutputForm(st,refer,var,cen,r)} prints the series \\spad{f((var - cen)^r)}.")) (|iCompose| (($ $ $) "\\spad{iCompose(f,g)} returns \\spad{f(g(x))}. This is an internal function which should only be called for Taylor series \\spad{f(x)} and \\spad{g(x)} such that the constant coefficient of \\spad{g(x)} is zero.")) (|taylorQuoByVar| (($ $) "\\spad{taylorQuoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...}")) (|iExquo| (((|Union| $ "failed") $ $ (|Boolean|)) "\\spad{iExquo(f,g,taylor?)} is the quotient of the power series \\spad{f} and \\spad{g.} If \\spad{taylor?} is \\spad{true}, then we must have \\spad{order(f) \\spad{>=} order(g)}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(fn,f)} returns the series \\spad{sum(fn(n) * an * x^n,n = n0..)}, where \\spad{f} is the series \\spad{sum(an * x^n,n = n0..)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents.")) (|getStream| (((|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|))) $) "\\spad{getStream(f)} returns the stream of terms representing the series \\spad{f.}")) (|getRef| (((|Reference| (|OrderedCompletion| (|Integer|))) $) "\\spad{getRef(f)} returns a reference containing the order to which the terms of \\spad{f} have been computed.")) (|makeSeries| (($ (|Reference| (|OrderedCompletion| (|Integer|))) (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{makeSeries(refer,str)} creates a power series from the reference \\spad{refer} and the stream \\spad{str}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165))))))) 
 (-595 |Coef|) 
-((|constructor| (NIL "Internal package for dense Taylor series. This is an internal Taylor series type in which Taylor series are represented by a \\spadtype{Stream} of \\spadtype{Ring} elements. For univariate series,{} the \\spad{Stream} elements are the Taylor coefficients. For multivariate series,{} the \\spad{n}th Stream element is a form of degree \\spad{n} in the power series variables.")) (* (($ $ (|Integer|)) "\\spad{x*i} returns the product of integer \\spad{i} and the series \\spad{x}.") (($ $ |#1|) "\\spad{x*c} returns the product of \\spad{c} and the series \\spad{x}.") (($ |#1| $) "\\spad{c*x} returns the product of \\spad{c} and the series \\spad{x}.")) (|order| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) "\\spad{order(x,{}n)} returns the minimum of \\spad{n} and the order of \\spad{x}.") (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the order of a power series \\spad{x},{} \\indented{1}{\\spadignore{i.e.} the degree of the first non-zero term of the series.}")) (|pole?| (((|Boolean|) $) "\\spad{pole?(x)} tests if the series \\spad{x} has a pole. \\indented{1}{Note: this is \\spad{false} when \\spad{x} is a Taylor series.}")) (|series| (($ (|Stream| |#1|)) "\\spad{series(s)} creates a power series from a stream of \\indented{1}{ring elements.} \\indented{1}{For univariate series types,{} the stream \\spad{s} should be a stream} \\indented{1}{of Taylor coefficients. For multivariate series types,{} the} \\indented{1}{stream \\spad{s} should be a stream of forms the \\spad{n}th element} \\indented{1}{of which is a} \\indented{1}{form of degree \\spad{n} in the power series variables.}")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(x)} returns a stream of ring elements. \\indented{1}{When \\spad{x} is a univariate series,{} this is a stream of Taylor} \\indented{1}{coefficients. When \\spad{x} is a multivariate series,{} the} \\indented{1}{\\spad{n}th element of the stream is a form of} \\indented{1}{degree \\spad{n} in the power series variables.}"))) 
-((-4530 |has| |#1| (-559)) (-4529 |has| |#1| (-559)) ((-4537 "*") |has| |#1| (-559)) (-4528 |has| |#1| (-559)) (-4532 . T)) 
+((|constructor| (NIL "Internal package for dense Taylor series. This is an internal Taylor series type in which Taylor series are represented by a \\spadtype{Stream} of \\spadtype{Ring} elements. For univariate series, the \\spad{Stream} elements are the Taylor coefficients. For multivariate series, the \\spad{n}th Stream element is a form of degree \\spad{n} in the power series variables.")) (* (($ $ (|Integer|)) "\\spad{x*i} returns the product of integer \\spad{i} and the series \\spad{x.}") (($ $ |#1|) "\\spad{x*c} returns the product of \\spad{c} and the series \\spad{x.}") (($ |#1| $) "\\spad{c*x} returns the product of \\spad{c} and the series \\spad{x.}")) (|order| (((|NonNegativeInteger|) $ (|NonNegativeInteger|)) "\\spad{order(x,n)} returns the minimum of \\spad{n} and the order of \\spad{x.}") (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the order of a power series \\spad{x,} \\indented{1}{\\spadignore{i.e.} the degree of the first non-zero term of the series.}")) (|pole?| (((|Boolean|) $) "\\spad{pole?(x)} tests if the series \\spad{x} has a pole. \\indented{1}{Note: this is \\spad{false} when \\spad{x} is a Taylor series.}")) (|series| (($ (|Stream| |#1|)) "\\spad{series(s)} creates a power series from a stream of \\indented{1}{ring elements.} \\indented{1}{For univariate series types, the stream \\spad{s} should be a stream} \\indented{1}{of Taylor coefficients. For multivariate series types, the} \\indented{1}{stream \\spad{s} should be a stream of forms the \\spad{n}th element} \\indented{1}{of which is a} \\indented{1}{form of degree \\spad{n} in the power series variables.}")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(x)} returns a stream of ring elements. \\indented{1}{When \\spad{x} is a univariate series, this is a stream of Taylor} \\indented{1}{coefficients. When \\spad{x} is a multivariate series, the} \\indented{1}{\\spad{n}th element of the stream is a form of} \\indented{1}{degree \\spad{n} in the power series variables.}"))) 
+((-4566 |has| |#1| (-559)) (-4565 |has| |#1| (-559)) ((-4573 "*") |has| |#1| (-559)) (-4564 |has| |#1| (-559)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-559)))) 
 (-596 A B) 
-((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) "\\spad{map(f,{}[x0,{}x1,{}x2,{}...])} returns \\spad{[f(x0),{}f(x1),{}f(x2),{}..]}."))) 
+((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|InfiniteTuple| |#2|) (|Mapping| |#2| |#1|) (|InfiniteTuple| |#1|)) "\\spad{map(f,[x0,x1,x2,...])} returns \\spad{[f(x0),f(x1),f(x2),..]}."))) 
 NIL 
 NIL 
 (-597 A B C) 
-((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented") (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented") (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,{}a,{}b)} \\undocumented"))) 
+((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|Stream| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented") (((|InfiniteTuple| |#3|) (|Mapping| |#3| |#1| |#2|) (|InfiniteTuple| |#1|) (|InfiniteTuple| |#2|)) "\\spad{map(f,a,b)} \\undocumented"))) 
 NIL 
 NIL 
-(-598 R -1564 FG) 
-((|constructor| (NIL "This package provides transformations from trigonometric functions to exponentials and logarithms,{} and back. \\spad{F} and \\spad{FG} should be the same type of function space.")) (|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) "\\spad{trigs2explogs(f,{} [k1,{}...,{}kn],{} [x1,{}...,{}xm])} rewrites all the trigonometric functions appearing in \\spad{f} and involving one of the \\spad{\\spad{xi}'s} in terms of complex logarithms and exponentials. A kernel of the form \\spad{tan(u)} is expressed using \\spad{exp(u)**2} if it is one of the \\spad{\\spad{ki}'s},{} in terms of \\spad{exp(2*u)} otherwise.")) (|explogs2trigs| (((|Complex| |#2|) |#3|) "\\spad{explogs2trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (F2FG ((|#3| |#2|) "\\spad{F2FG(a + sqrt(-1) b)} returns \\spad{a + i b}.")) (FG2F ((|#2| |#3|) "\\spad{FG2F(a + i b)} returns \\spad{a + sqrt(-1) b}.")) (GF2FG ((|#3| (|Complex| |#2|)) "\\spad{GF2FG(a + i b)} returns \\spad{a + i b} viewed as a function with the \\spad{i} pushed down into the coefficient domain."))) 
+(-598 R -1647 FG) 
+((|constructor| (NIL "This package provides transformations from trigonometric functions to exponentials and logarithms, and back. \\spad{F} and \\spad{FG} should be the same type of function space.")) (|trigs2explogs| ((|#3| |#3| (|List| (|Kernel| |#3|)) (|List| (|Symbol|))) "\\spad{trigs2explogs(f, [k1,...,kn], [x1,...,xm])} rewrites all the trigonometric functions appearing in \\spad{f} and involving one of the \\spad{xi's} in terms of complex logarithms and exponentials. A kernel of the form \\spad{tan(u)} is expressed using \\spad{exp(u)**2} if it is one of the \\spad{ki's}, in terms of \\spad{exp(2*u)} otherwise.")) (|explogs2trigs| (((|Complex| |#2|) |#3|) "\\spad{explogs2trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (F2FG ((|#3| |#2|) "\\spad{F2FG(a + sqrt(-1) \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}.}")) (FG2F ((|#2| |#3|) "\\spad{FG2F(a + \\spad{i} \\spad{b)}} returns \\spad{a + sqrt(-1) \\spad{b}.}")) (GF2FG ((|#3| (|Complex| |#2|)) "\\spad{GF2FG(a + \\spad{i} \\spad{b)}} returns \\spad{a + \\spad{i} \\spad{b}} viewed as a function with the \\spad{i} pushed down into the coefficient domain."))) 
 NIL 
 NIL 
 (-599 S) 
-((|constructor| (NIL "This package implements 'infinite tuples' for the interpreter. The representation is a stream.")) (|construct| (((|Stream| |#1|) $) "\\spad{construct(t)} converts an infinite tuple to a stream.")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\spad{generate(f,{}s)} returns \\spad{[s,{}f(s),{}f(f(s)),{}...]}.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,{}t)} returns \\spad{[x for x in t | p(x)]}.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterUntil(p,{}t)} returns \\spad{[x for x in t while not p(x)]}.")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterWhile(p,{}t)} returns \\spad{[x for x in t while p(x)]}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}t)} replaces the tuple \\spad{t} by \\spad{[f(x) for x in t]}."))) 
+((|constructor| (NIL "This package implements 'infinite tuples' for the interpreter. The representation is a stream.")) (|construct| (((|Stream| |#1|) $) "\\spad{construct(t)} converts an infinite tuple to a stream.")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\spad{generate(f,s)} returns \\spad{[s,f(s),f(f(s)),...]}.")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{select(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} | p(x)]}.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterUntil(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while not p(x)]}.")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\spad{filterWhile(p,t)} returns \\spad{[x for \\spad{x} in \\spad{t} while p(x)]}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(f,t)} replaces the tuple \\spad{t} by \\spad{[f(x) for \\spad{x} in t]}."))) 
 NIL 
 NIL 
 (-600 R |mn|) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and a user-specified initial index."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-601 S |Index| |Entry|) 
-((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example,{} a one-dimensional-array is an indexed aggregate where the index is an integer. Also,{} a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#2| |#2|) "\\spad{swap!(u,{}i,{}j)} interchanges elements \\spad{i} and \\spad{j} of aggregate \\spad{u}. No meaningful value is returned.")) (|fill!| (($ $ |#3|) "\\spad{fill!(u,{}x)} replaces each entry in aggregate \\spad{u} by \\spad{x}. The modified \\spad{u} is returned as value.")) (|first| ((|#3| $) "\\spad{first(u)} returns the first element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{first([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = \\spad{x}}. Error: if \\spad{u} is empty.")) (|minIndex| ((|#2| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{minIndex(a) = reduce(min,{}[\\spad{i} for \\spad{i} in indices a])}; for lists,{} \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#2| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{maxIndex(\\spad{u}) = reduce(max,{}[\\spad{i} for \\spad{i} in indices \\spad{u}])}; if \\spad{u} is a list,{} \\axiom{maxIndex(\\spad{u}) = \\#u}.")) (|entry?| (((|Boolean|) |#3| $) "\\spad{entry?(x,{}u)} tests if \\spad{x} equals \\axiom{\\spad{u} . \\spad{i}} for some index \\spad{i}.")) (|indices| (((|List| |#2|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#2| $) "\\spad{index?(i,{}u)} tests if \\spad{i} is an index of aggregate \\spad{u}.")) (|entries| (((|List| |#3|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
+((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#2| |#2|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#3|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#3| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#2| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#2| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#3| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#2|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#2| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#3|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-843))) (|HasAttribute| |#1| (QUOTE -4535)) (|HasCategory| |#3| (QUOTE (-1091)))) 
+((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-844))) (|HasAttribute| |#1| (QUOTE -4571)) (|HasCategory| |#3| (QUOTE (-1093)))) 
 (-602 |Index| |Entry|) 
-((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example,{} a one-dimensional-array is an indexed aggregate where the index is an integer. Also,{} a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#1| |#1|) "\\spad{swap!(u,{}i,{}j)} interchanges elements \\spad{i} and \\spad{j} of aggregate \\spad{u}. No meaningful value is returned.")) (|fill!| (($ $ |#2|) "\\spad{fill!(u,{}x)} replaces each entry in aggregate \\spad{u} by \\spad{x}. The modified \\spad{u} is returned as value.")) (|first| ((|#2| $) "\\spad{first(u)} returns the first element \\spad{x} of \\spad{u}. Note that for collections,{} \\axiom{first([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) = \\spad{x}}. Error: if \\spad{u} is empty.")) (|minIndex| ((|#1| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{minIndex(a) = reduce(min,{}[\\spad{i} for \\spad{i} in indices a])}; for lists,{} \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#1| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate \\spad{u}. Note that in general,{} \\axiom{maxIndex(\\spad{u}) = reduce(max,{}[\\spad{i} for \\spad{i} in indices \\spad{u}])}; if \\spad{u} is a list,{} \\axiom{maxIndex(\\spad{u}) = \\#u}.")) (|entry?| (((|Boolean|) |#2| $) "\\spad{entry?(x,{}u)} tests if \\spad{x} equals \\axiom{\\spad{u} . \\spad{i}} for some index \\spad{i}.")) (|indices| (((|List| |#1|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#1| $) "\\spad{index?(i,{}u)} tests if \\spad{i} is an index of aggregate \\spad{u}.")) (|entries| (((|List| |#2|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
-((-2982 . T)) 
+((|constructor| (NIL "An indexed aggregate is a many-to-one mapping of indices to entries. For example, a one-dimensional-array is an indexed aggregate where the index is an integer. Also, a table is an indexed aggregate where the indices and entries may have any type.")) (|swap!| (((|Void|) $ |#1| |#1|) "\\spad{swap!(u,i,j)} interchanges elements \\spad{i} and \\spad{j} of aggregate u. No meaningful value is returned.")) (|fill!| (($ $ |#2|) "\\spad{fill!(u,x)} replaces each entry in aggregate \\spad{u} by \\spad{x.} The modified \\spad{u} is returned as value.")) (|first| ((|#2| $) "\\spad{first(u)} returns the first element \\spad{x} of u. Note that for collections, \\axiom{first([x,y,...,z]) = \\spad{x}.} Error: if \\spad{u} is empty.")) (|minIndex| ((|#1| $) "\\spad{minIndex(u)} returns the minimum index \\spad{i} of aggregate u. Note that in general, \\axiom{minIndex(a) = reduce(min,[i for \\spad{i} in indices a])}; for lists, \\axiom{minIndex(a) = 1}.")) (|maxIndex| ((|#1| $) "\\spad{maxIndex(u)} returns the maximum index \\spad{i} of aggregate u. Note that in general, \\axiom{maxIndex(u) = reduce(max,[i for \\spad{i} in indices u])}; if \\spad{u} is a list, \\axiom{maxIndex(u) = \\#u}.")) (|entry?| (((|Boolean|) |#2| $) "\\spad{entry?(x,u)} tests if \\spad{x} equals \\axiom{u . i} for some index i.")) (|indices| (((|List| |#1|) $) "\\spad{indices(u)} returns a list of indices of aggregate \\spad{u} in no particular order. to become indices:")) (|index?| (((|Boolean|) |#1| $) "\\spad{index?(i,u)} tests if \\spad{i} is an index of aggregate u.")) (|entries| (((|List| |#2|) $) "\\spad{entries(u)} returns a list of all the entries of aggregate \\spad{u} in no assumed order."))) 
+((-4317 . T)) 
 NIL 
 (-603 R A) 
-((|constructor| (NIL "AssociatedJordanAlgebra takes an algebra \\spad{A} and uses \\spadfun{*\\$A} to define the new multiplications \\spad{a*b := (a *\\$A b + b *\\$A a)/2} (anticommutator). The usual notation \\spad{{a,{}b}_+} cannot be used due to restrictions in the current language. This domain only gives a Jordan algebra if the Jordan-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},{}\\spad{b},{}\\spad{c} in \\spad{A}. This relation can be checked by \\spadfun{jordanAdmissible?()\\$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank,{} together with a fixed \\spad{R}-module basis),{} then the same is \\spad{true} for the associated Jordan algebra. Moreover,{} if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank),{} then the same \\spad{true} for the associated Jordan algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Jordan algebra \\spadtype{AssociatedJordanAlgebra}(\\spad{R},{}A)."))) 
-((-4532 -2232 (-2206 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4530 . T) (-4529 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
+((|constructor| (NIL "AssociatedJordanAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the new multiplications \\spad{a*b \\spad{:=} (a *$A \\spad{b} + \\spad{b} *$A a)/2} (anticommutator). The usual notation \\spad{{a,b}_+} cannot be used due to restrictions in the current language. This domain only gives a Jordan algebra if the Jordan-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spadfun{jordanAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank, together with a fixed R-module basis), then the same is \\spad{true} for the associated Jordan algebra. Moreover, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same \\spad{true} for the associated Jordan algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Jordan algebra \\spadtype{AssociatedJordanAlgebra}(R,A)."))) 
+((-4568 -1929 (-3993 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
 (-604 |Entry|) 
-((|constructor| (NIL "This domain allows a random access file to be viewed both as a table and as a file object. The KeyedAccessFile format is a directory containing a single file called ``index.kaf\\spad{''}. This file is a random access file. The first thing in the file is an integer which is the byte offset of an association list (the dictionary) at the end of the file. The association list is of the form ((key . byteoffset) (key . byteoffset)...) where the byte offset is the number of bytes from the beginning of the file. This offset contains an \\spad{s}-expression for the value of the key.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))))) 
+((|constructor| (NIL "This domain allows a random access file to be viewed both as a table and as a file object. The KeyedAccessFile format is a directory containing a single file called ``index.kaf''. This file is a random access file. The first thing in the file is an integer which is the byte offset of an association list (the dictionary) at the end of the file. The association list is of the form ((key . byteoffset) (key . byteoffset)...) where the byte offset is the number of bytes from the beginning of the file. This offset contains an s-expression for the value of the key.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))))) 
 (-605 S |Key| |Entry|) 
-((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#3| "failed") |#2| $) "\\spad{search(k,{}t)} searches the table \\spad{t} for the key \\spad{k},{} returning the entry stored in \\spad{t} for key \\spad{k}. If \\spad{t} has no such key,{} \\axiom{search(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|remove!| (((|Union| |#3| "failed") |#2| $) "\\spad{remove!(k,{}t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key,{} \\axiom{remove!(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|keys| (((|List| |#2|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t}.")) (|key?| (((|Boolean|) |#2| $) "\\spad{key?(k,{}t)} tests if \\spad{k} is a key in table \\spad{t}."))) 
+((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#3| "failed") |#2| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#3| "failed") |#2| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#2|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#2| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
 NIL 
 NIL 
 (-606 |Key| |Entry|) 
-((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#2| "failed") |#1| $) "\\spad{search(k,{}t)} searches the table \\spad{t} for the key \\spad{k},{} returning the entry stored in \\spad{t} for key \\spad{k}. If \\spad{t} has no such key,{} \\axiom{search(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|remove!| (((|Union| |#2| "failed") |#1| $) "\\spad{remove!(k,{}t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key,{} \\axiom{remove!(\\spad{k},{}\\spad{t})} returns \"failed\".")) (|keys| (((|List| |#1|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t}.")) (|key?| (((|Boolean|) |#1| $) "\\spad{key?(k,{}t)} tests if \\spad{k} is a key in table \\spad{t}."))) 
-((-4536 . T) (-2982 . T)) 
+((|constructor| (NIL "A keyed dictionary is a dictionary of key-entry pairs for which there is a unique entry for each key.")) (|search| (((|Union| |#2| "failed") |#1| $) "\\spad{search(k,t)} searches the table \\spad{t} for the key \\spad{k,} returning the entry stored in \\spad{t} for key \\spad{k.} If \\spad{t} has no such key, \\axiom{search(k,t)} returns \"failed\".")) (|remove!| (((|Union| |#2| "failed") |#1| $) "\\spad{remove!(k,t)} searches the table \\spad{t} for the key \\spad{k} removing (and return) the entry if there. If \\spad{t} has no such key, \\axiom{remove!(k,t)} returns \"failed\".")) (|keys| (((|List| |#1|) $) "\\spad{keys(t)} returns the list the keys in table \\spad{t.}")) (|key?| (((|Boolean|) |#1| $) "\\spad{key?(k,t)} tests if \\spad{k} is a key in table \\spad{t.}"))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
 (-607 R S) 
 ((|constructor| (NIL "This package exports some auxiliary functions on kernels")) (|constantIfCan| (((|Union| |#1| "failed") (|Kernel| |#2|)) "\\spad{constantIfCan(k)} \\undocumented")) (|constantKernel| (((|Kernel| |#2|) |#1|) "\\spad{constantKernel(r)} \\undocumented"))) 
 NIL 
 NIL 
 (-608 S) 
-((|constructor| (NIL "A kernel over a set \\spad{S} is an operator applied to a given list of arguments from \\spad{S}.")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op(a1,{}...,{}an),{} s)} tests if the name of op is \\spad{s}.") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(op(a1,{}...,{}an),{} f)} tests if op = \\spad{f}.")) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) "\\spad{symbolIfCan(k)} returns \\spad{k} viewed as a symbol if \\spad{k} is a symbol,{} and \"failed\" otherwise.")) (|kernel| (($ (|Symbol|)) "\\spad{kernel(x)} returns \\spad{x} viewed as a kernel.") (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{kernel(op,{} [a1,{}...,{}an],{} m)} returns the kernel \\spad{op(a1,{}...,{}an)} of nesting level \\spad{m}. Error: if \\spad{op} is \\spad{k}-ary for some \\spad{k} not equal to \\spad{m}.")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(k)} returns the nesting level of \\spad{k}.")) (|argument| (((|List| |#1|) $) "\\spad{argument(op(a1,{}...,{}an))} returns \\spad{[a1,{}...,{}an]}.")) (|operator| (((|BasicOperator|) $) "\\spad{operator(op(a1,{}...,{}an))} returns the operator op.")) (|name| (((|Symbol|) $) "\\spad{name(op(a1,{}...,{}an))} returns the name of op."))) 
+((|constructor| (NIL "A kernel over a set \\spad{S} is an operator applied to a given list of arguments from \\spad{S.}")) (|is?| (((|Boolean|) $ (|Symbol|)) "\\spad{is?(op(a1,...,an), \\spad{s)}} tests if the name of op is \\spad{s.}") (((|Boolean|) $ (|BasicOperator|)) "\\spad{is?(op(a1,...,an), \\spad{f)}} tests if op = \\spad{f.}")) (|symbolIfCan| (((|Union| (|Symbol|) "failed") $) "\\spad{symbolIfCan(k)} returns \\spad{k} viewed as a symbol if \\spad{k} is a symbol, and \"failed\" otherwise.")) (|kernel| (($ (|Symbol|)) "\\spad{kernel(x)} returns \\spad{x} viewed as a kernel.") (($ (|BasicOperator|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{kernel(op, [a1,...,an], \\spad{m)}} returns the kernel \\spad{op(a1,...,an)} of nesting level \\spad{m.} Error: if \\spad{op} is k-ary for some \\spad{k} not equal to \\spad{m.}")) (|height| (((|NonNegativeInteger|) $) "\\spad{height(k)} returns the nesting level of \\spad{k.}")) (|argument| (((|List| |#1|) $) "\\spad{argument(op(a1,...,an))} returns \\spad{[a1,...,an]}.")) (|operator| (((|BasicOperator|) $) "\\spad{operator(op(a1,...,an))} returns the operator op.")) (|name| (((|Symbol|) $) "\\spad{name(op(a1,...,an))} returns the name of op."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) 
 (-609 S) 
-((|constructor| (NIL "A is coercible to \\spad{B} means any element of A can automatically be converted into an element of \\spad{B} by the interpreter.")) (|coerce| ((|#1| $) "\\spad{coerce(a)} transforms a into an element of \\spad{S}."))) 
+((|constructor| (NIL "A is coercible to \\spad{B} means any element of A can automatically be converted into an element of \\spad{B} by the interpreter.")) (|coerce| ((|#1| $) "\\spad{coerce(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
 (-610 S) 
-((|constructor| (NIL "A is convertible to \\spad{B} means any element of A can be converted into an element of \\spad{B},{} but not automatically by the interpreter.")) (|convert| ((|#1| $) "\\spad{convert(a)} transforms a into an element of \\spad{S}."))) 
+((|constructor| (NIL "A is convertible to \\spad{B} means any element of A can be converted into an element of \\spad{B,} but not automatically by the interpreter.")) (|convert| ((|#1| $) "\\spad{convert(a)} transforms a into an element of \\spad{S.}"))) 
 NIL 
 NIL 
-(-611 -1564 UP) 
-((|constructor| (NIL "\\spadtype{Kovacic} provides a modified Kovacic\\spad{'s} algorithm for solving explicitely irreducible 2nd order linear ordinary differential equations.")) (|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{kovacic(a_0,{}a_1,{}a_2,{}ezfactor)} returns either \"failed\" or \\spad{P}(\\spad{u}) such that \\spad{\\$e^{\\int(-a_1/2a_2)} e^{\\int u}\\$} is a solution of \\indented{5}{\\spad{\\$a_2 y'' + a_1 y' + a0 y = 0\\$}} whenever \\spad{u} is a solution of \\spad{P u = 0}. The equation must be already irreducible over the rational functions. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{kovacic(a_0,{}a_1,{}a_2)} returns either \"failed\" or \\spad{P}(\\spad{u}) such that \\spad{\\$e^{\\int(-a_1/2a_2)} e^{\\int u}\\$} is a solution of \\indented{5}{\\spad{a_2 y'' + a_1 y' + a0 y = 0}} whenever \\spad{u} is a solution of \\spad{P u = 0}. The equation must be already irreducible over the rational functions."))) 
+(-611 -1647 UP) 
+((|constructor| (NIL "\\spadtype{Kovacic} provides a modified Kovacic's algorithm for solving explicitely irreducible 2nd order linear ordinary differential equations.")) (|kovacic| (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{kovacic(a_0,a_1,a_2,ezfactor)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{$a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0$}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|Union| (|SparseUnivariatePolynomial| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{kovacic(a_0,a_1,a_2)} returns either \"failed\" or P(u) such that \\spad{$e^{\\int(-a_1/2a_2)} e^{\\int u}$} is a solution of \\indented{5}{\\spad{a_2 \\spad{y''} + \\spad{a_1} \\spad{y'} + \\spad{a0} \\spad{y} = 0}} whenever \\spad{u} is a solution of \\spad{P \\spad{u} = 0}. The equation must be already irreducible over the rational functions."))) 
 NIL 
 NIL 
 (-612 S R) 
@@ -2382,2647 +2382,2671 @@ NIL
 NIL 
 (-613 R) 
 ((|constructor| (NIL "The category of all left algebras over an arbitrary ring.")) (|coerce| (($ |#1|) "\\spad{coerce(r)} returns \\spad{r} * 1 where 1 is the identity of the left algebra."))) 
-((-4532 . T)) 
+((-4568 . T)) 
 NIL 
 (-614 A R S) 
-((|constructor| (NIL "LocalAlgebra produces the localization of an algebra,{} \\spadignore{i.e.} fractions whose numerators come from some \\spad{R} algebra.")) (|denom| ((|#3| $) "\\spad{denom x} returns the denominator of \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer x} returns the numerator of \\spad{x}.")) (/ (($ |#1| |#3|) "\\spad{a / d} divides the element \\spad{a} by \\spad{d}.") (($ $ |#3|) "\\spad{x / d} divides the element \\spad{x} by \\spad{d}."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-841)))) 
-(-615 R -1564) 
-((|constructor| (NIL "This package computes the forward Laplace Transform.")) (|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) "\\spad{laplace(f,{} t,{} s)} returns the Laplace transform of \\spad{f(t)} using \\spad{s} as the new variable. This is \\spad{integral(exp(-s*t)*f(t),{} t = 0..\\%plusInfinity)}. Returns the formal object \\spad{laplace(f,{} t,{} s)} if it cannot compute the transform."))) 
+((|constructor| (NIL "LocalAlgebra produces the localization of an algebra, \\spadignore{i.e.} fractions whose numerators come from some \\spad{R} algebra.")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{a / \\spad{d}} divides the element \\spad{a} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-842)))) 
+(-615 R -1647) 
+((|constructor| (NIL "This package computes the forward Laplace Transform.")) (|laplace| ((|#2| |#2| (|Symbol|) (|Symbol|)) "\\spad{laplace(f, \\spad{t,} \\spad{s)}} returns the Laplace transform of \\spad{f(t)} using \\spad{s} as the new variable. This is \\spad{integral(exp(-s*t)*f(t), \\spad{t} = 0..%plusInfinity)}. Returns the formal object \\spad{laplace(f, \\spad{t,} \\spad{s)}} if it cannot compute the transform."))) 
 NIL 
 NIL 
 (-616 R UP) 
-((|constructor| (NIL "Univariate polynomials with negative and positive exponents.")) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) "\\spad{separate(x)} is not documented")) (|monomial| (($ |#1| (|Integer|)) "\\spad{monomial(x,{}n)} is not documented")) (|coefficient| ((|#1| $ (|Integer|)) "\\spad{coefficient(x,{}n)} is not documented")) (|trailingCoefficient| ((|#1| $) "trailingCoefficient is not documented")) (|leadingCoefficient| ((|#1| $) "leadingCoefficient is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|order| (((|Integer|) $) "\\spad{order(x)} is not documented")) (|degree| (((|Integer|) $) "\\spad{degree(x)} is not documented")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} is not documented"))) 
-((-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4528 . T) (-4532 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569))))) 
+((|constructor| (NIL "Univariate polynomials with negative and positive exponents.")) (|separate| (((|Record| (|:| |polyPart| $) (|:| |fracPart| (|Fraction| |#2|))) (|Fraction| |#2|)) "\\spad{separate(x)} is not documented")) (|monomial| (($ |#1| (|Integer|)) "\\spad{monomial(x,n)} is not documented")) (|coefficient| ((|#1| $ (|Integer|)) "\\spad{coefficient(x,n)} is not documented")) (|trailingCoefficient| ((|#1| $) "trailingCoefficient is not documented")) (|leadingCoefficient| ((|#1| $) "leadingCoefficient is not documented")) (|reductum| (($ $) "\\spad{reductum(x)} is not documented")) (|order| (((|Integer|) $) "\\spad{order(x)} is not documented")) (|degree| (((|Integer|) $) "\\spad{degree(x)} is not documented")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} is not documented"))) 
+((-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4564 . T) (-4568 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569))))) 
 (-617 R E V P TS ST) 
-((|constructor| (NIL "A package for solving polynomial systems by means of Lazard triangular sets. This package provides two operations. One for solving in the sense of the regular zeros,{} and the other for solving in the sense of the Zariski closure. Both produce square-free regular sets. Moreover,{} the decompositions do not contain any redundant component. However,{} only zero-dimensional regular sets are normalized,{} since normalization may be time consumming in positive dimension. The decomposition process is that of [2].")) (|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?)} has the same specifications as zeroSetSplit(\\spad{lp},{}clos?) from RegularTriangularSetCategory.")) (|normalizeIfCan| ((|#6| |#6|) "\\axiom{normalizeIfCan(\\spad{ts})} returns \\axiom{\\spad{ts}} in an normalized shape if \\axiom{\\spad{ts}} is zero-dimensional."))) 
+((|constructor| (NIL "A package for solving polynomial systems by means of Lazard triangular sets. This package provides two operations. One for solving in the sense of the regular zeros, and the other for solving in the sense of the Zariski closure. Both produce square-free regular sets. Moreover, the decompositions do not contain any redundant component. However, only zero-dimensional regular sets are normalized, since normalization may be time consumming in positive dimension. The decomposition process is that of [2].")) (|zeroSetSplit| (((|List| |#6|) (|List| |#4|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?)} has the same specifications as zeroSetSplit(lp,clos?) from RegularTriangularSetCategory.")) (|normalizeIfCan| ((|#6| |#6|) "\\axiom{normalizeIfCan(ts)} returns \\axiom{ts} in an normalized shape if \\axiom{ts} is zero-dimensional."))) 
 NIL 
 NIL 
 (-618 OV E Z P) 
-((|constructor| (NIL "Package for leading coefficient determination in the lifting step. Package working for every \\spad{R} euclidean with property \\spad{\"F\"}.")) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) "\\spad{distFact(contm,{}unilist,{}plead,{}vl,{}lvar,{}lval)},{} where \\spad{contm} is the content of the evaluated polynomial,{} \\spad{unilist} is the list of factors of the evaluated polynomial,{} \\spad{plead} is the complete factorization of the leading coefficient,{} \\spad{vl} is the list of factors of the leading coefficient evaluated,{} \\spad{lvar} is the list of variables,{} \\spad{lval} is the list of values,{} returns a record giving the list of leading coefficients to impose on the univariate factors,{}")) (|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) "\\spad{polCase(contprod,{} numFacts,{} evallcs)},{} where \\spad{contprod} is the product of the content of the leading coefficient of the polynomial to be factored with the content of the evaluated polynomial,{} \\spad{numFacts} is the number of factors of the leadingCoefficient,{} and evallcs is the list of the evaluated factors of the leadingCoefficient,{} returns \\spad{true} if the factors of the leading Coefficient can be distributed with this valuation."))) 
+((|constructor| (NIL "Package for leading coefficient determination in the lifting step. Package working for every \\spad{R} euclidean with property \"F\".")) (|distFact| (((|Union| (|Record| (|:| |polfac| (|List| |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| |#3|)))) "failed") |#3| (|List| (|SparseUnivariatePolynomial| |#3|)) (|Record| (|:| |contp| |#3|) (|:| |factors| (|List| (|Record| (|:| |irr| |#4|) (|:| |pow| (|Integer|)))))) (|List| |#3|) (|List| |#1|) (|List| |#3|)) "\\spad{distFact(contm,unilist,plead,vl,lvar,lval)}, where \\spad{contm} is the content of the evaluated polynomial, \\spad{unilist} is the list of factors of the evaluated polynomial, \\spad{plead} is the complete factorization of the leading coefficient, \\spad{vl} is the list of factors of the leading coefficient evaluated, \\spad{lvar} is the list of variables, \\spad{lval} is the list of values, returns a record giving the list of leading coefficients to impose on the univariate factors.")) (|polCase| (((|Boolean|) |#3| (|NonNegativeInteger|) (|List| |#3|)) "\\spad{polCase(contprod, numFacts, evallcs)}, where \\spad{contprod} is the product of the content of the leading coefficient of the polynomial to be factored with the content of the evaluated polynomial, \\spad{numFacts} is the number of factors of the leadingCoefficient, and evallcs is the list of the evaluated factors of the leadingCoefficient, returns \\spad{true} if the factors of the leading Coefficient can be distributed with this valuation."))) 
 NIL 
 NIL 
 (-619 |VarSet| R |Order|) 
-((|constructor| (NIL "Management of the Lie Group associated with a free nilpotent Lie algebra. Every Lie bracket with length greater than \\axiom{Order} are assumed to be null. The implementation inherits from the \\spadtype{XPBWPolynomial} domain constructor: Lyndon coordinates are exponential coordinates of the second kind.")) (|identification| (((|List| (|Equation| |#2|)) $ $) "\\axiom{identification(\\spad{g},{}\\spad{h})} returns the list of equations \\axiom{g_i = h_i},{} where \\axiom{g_i} (resp. \\axiom{h_i}) are exponential coordinates of \\axiom{\\spad{g}} (resp. \\axiom{\\spad{h}}).")) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) "\\axiom{LyndonCoordinates(\\spad{g})} returns the exponential coordinates of \\axiom{\\spad{g}}.")) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) "\\axiom{LyndonBasis(\\spad{lv})} returns the Lyndon basis of the nilpotent free Lie algebra.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{g})} returns the list of variables of \\axiom{\\spad{g}}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{g})} is the mirror of the internal representation of \\axiom{\\spad{g}}.")) (|coerce| (((|XPBWPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{g})} returns the internal representation of \\axiom{\\spad{g}}.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{g})} returns the internal representation of \\axiom{\\spad{g}}.")) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) "\\axiom{listOfTerms(\\spad{p})} returns the internal representation of \\axiom{\\spad{p}}.")) (|log| (((|LiePolynomial| |#1| |#2|) $) "\\axiom{log(\\spad{p})} returns the logarithm of \\axiom{\\spad{p}}.")) (|exp| (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{exp(\\spad{p})} returns the exponential of \\axiom{\\spad{p}}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "Management of the Lie Group associated with a free nilpotent Lie algebra. Every Lie bracket with length greater than \\axiom{Order} are assumed to be null. The implementation inherits from the \\spadtype{XPBWPolynomial} domain constructor: Lyndon coordinates are exponential coordinates of the second kind.")) (|identification| (((|List| (|Equation| |#2|)) $ $) "\\axiom{identification(g,h)} returns the list of equations \\axiom{g_i = h_i}, where \\axiom{g_i} (resp. \\axiom{h_i}) are exponential coordinates of \\axiom{g} (resp. \\axiom{h}).")) (|LyndonCoordinates| (((|List| (|Record| (|:| |k| (|LyndonWord| |#1|)) (|:| |c| |#2|))) $) "\\axiom{LyndonCoordinates(g)} returns the exponential coordinates of \\axiom{g}.")) (|LyndonBasis| (((|List| (|LiePolynomial| |#1| |#2|)) (|List| |#1|)) "\\axiom{LyndonBasis(lv)} returns the Lyndon basis of the nilpotent free Lie algebra.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(g)} returns the list of variables of \\axiom{g}.")) (|mirror| (($ $) "\\axiom{mirror(g)} is the mirror of the internal representation of \\axiom{g}.")) (|coerce| (((|XPBWPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(g)} returns the internal representation of \\axiom{g}.")) (|listOfTerms| (((|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| |#1|)) (|:| |c| |#2|))) $) "\\axiom{listOfTerms(p)} returns the internal representation of \\axiom{p}.")) (|log| (((|LiePolynomial| |#1| |#2|) $) "\\axiom{log(p)} returns the logarithm of \\axiom{p}.")) (|exp| (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{exp(p)} returns the exponential of \\axiom{p}."))) 
+((-4568 . T)) 
 NIL 
 (-620 R |ls|) 
-((|constructor| (NIL "A package for solving polynomial systems with finitely many solutions. The decompositions are given by means of regular triangular sets. The computations use lexicographical Groebner bases. The main operations are lexTriangular and squareFreeLexTriangular. The second one provide decompositions by means of square-free regular triangular sets. Both are based on the lexTriangular method described in [1]. They differ from the algorithm described in [2] by the fact that multiciplities of the roots are not kept. With the squareFreeLexTriangular operation all multiciplities are removed. With the other operation some multiciplities may remain. Both operations admit an optional argument to produce normalized triangular sets.")) (|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{} norm?)} decomposes the variety associated with \\axiom{\\spad{lp}} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{} norm?)} decomposes the variety associated with \\axiom{\\spad{lp}} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{squareFreeLexTriangular(base,{} norm?)} decomposes the variety associated with \\axiom{base} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{lexTriangular(base,{} norm?)} decomposes the variety associated with \\axiom{base} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{\\spad{true}} then the regular sets are normalized.")) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{groebner(\\spad{lp})} returns the lexicographical Groebner basis of \\axiom{\\spad{lp}}. If \\axiom{\\spad{lp}} generates a zero-dimensional ideal then the FGLM strategy is used,{} otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{fglmIfCan(\\spad{lp})} returns the lexicographical Groebner basis of \\axiom{\\spad{lp}} by using the FGLM strategy,{} if \\axiom{zeroDimensional?(\\spad{lp})} holds .")) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{zeroDimensional?(\\spad{lp})} returns \\spad{true} iff \\axiom{\\spad{lp}} generates a zero-dimensional ideal \\spad{w}.\\spad{r}.\\spad{t}. the variables involved in \\axiom{\\spad{lp}}."))) 
+((|constructor| (NIL "A package for solving polynomial systems with finitely many solutions. The decompositions are given by means of regular triangular sets. The computations use lexicographical Groebner bases. The main operations are lexTriangular and squareFreeLexTriangular. The second one provide decompositions by means of square-free regular triangular sets. Both are based on the lexTriangular method described in [1]. They differ from the algorithm described in \\spad{[2]} by the fact that multiciplities of the roots are not kept. With the squareFreeLexTriangular operation all multiciplities are removed. With the other operation some multiciplities may remain. Both operations admit an optional argument to produce normalized triangular sets.")) (|zeroSetSplit| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{zeroSetSplit(lp, norm?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|squareFreeLexTriangular| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#2|)) (|OrderedVariableList| |#2|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{squareFreeLexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into square-free regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|lexTriangular| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|)) "\\axiom{lexTriangular(base, norm?)} decomposes the variety associated with \\axiom{base} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{base} needs to be a lexicographical Groebner basis of a zero-dimensional ideal. If \\axiom{norm?} is \\axiom{true} then the regular sets are normalized.")) (|groebner| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{groebner(lp)} returns the lexicographical Groebner basis of \\axiom{lp}. If \\axiom{lp} generates a zero-dimensional ideal then the FGLM strategy is used, otherwise the Sugar strategy is used.")) (|fglmIfCan| (((|Union| (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "failed") (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{fglmIfCan(lp)} returns the lexicographical Groebner basis of \\axiom{lp} by using the FGLM strategy, if \\axiom{zeroDimensional?(lp)} holds .")) (|zeroDimensional?| (((|Boolean|) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) "\\axiom{zeroDimensional?(lp)} returns \\spad{true} iff \\axiom{lp} generates a zero-dimensional ideal w.r.t. the variables involved in \\axiom{lp}."))) 
 NIL 
 NIL 
 (-621) 
-((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "fresnelC is the Fresnel integral \\spad{C},{} defined by \\spad{C}(\\spad{x}) = integrate(cos(\\spad{t^2}),{}\\spad{t=0}..\\spad{x})")) (|fresnelS| (($ $) "fresnelS is the Fresnel integral \\spad{S},{} defined by \\spad{S}(\\spad{x}) = integrate(sin(\\spad{t^2}),{}\\spad{t=0}..\\spad{x})")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x},{} \\spadignore{i.e.} \\spad{2 / sqrt(\\%\\spad{pi})} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{log(x) / (1 - x) dx}.")) (|li| (($ $) "\\spad{\\spad{li}(x)} returns the logarithmic integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{\\spad{Ci}(x)} returns the cosine integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{cos(x) / x dx}.")) (|Si| (($ $) "\\spad{\\spad{Si}(x)} returns the sine integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{sin(x) / x dx}.")) (|Ei| (($ $) "\\spad{\\spad{Ei}(x)} returns the exponential integral of \\spad{x},{} \\spadignore{i.e.} the integral of \\spad{exp(x)/x dx}."))) 
+((|constructor| (NIL "Category for the transcendental Liouvillian functions.")) (|fresnelC| (($ $) "fresnelC is the Fresnel integral \\spad{C,} defined by C(x) = integrate(cos(t^2),t=0..x)")) (|fresnelS| (($ $) "fresnelS is the Fresnel integral \\spad{S,} defined by S(x) = integrate(sin(t^2),t=0..x)")) (|erf| (($ $) "\\spad{erf(x)} returns the error function of \\spad{x,} \\spadignore{i.e.} \\spad{2 / sqrt(\\%pi)} times the integral of \\spad{exp(-x**2) dx}.")) (|dilog| (($ $) "\\spad{dilog(x)} returns the dilogarithm of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{log(x) / \\spad{(1} - \\spad{x)} dx}.")) (|li| (($ $) "\\spad{li(x)} returns the logarithmic integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{dx / log(x)}.")) (|Ci| (($ $) "\\spad{Ci(x)} returns the cosine integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{cos(x) / \\spad{x} dx}.")) (|Si| (($ $) "\\spad{Si(x)} returns the sine integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{sin(x) / \\spad{x} dx}.")) (|Ei| (($ $) "\\spad{Ei(x)} returns the exponential integral of \\spad{x,} \\spadignore{i.e.} the integral of \\spad{exp(x)/x dx}."))) 
 NIL 
 NIL 
-(-622 R -1564) 
-((|constructor| (NIL "This package provides liouvillian functions over an integral domain.")) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{integral(f,{}x = a..b)} denotes the definite integral of \\spad{f} with respect to \\spad{x} from \\spad{a} to \\spad{b}.") ((|#2| |#2| (|Symbol|)) "\\spad{integral(f,{}x)} indefinite integral of \\spad{f} with respect to \\spad{x}.")) (|fresnelC| ((|#2| |#2|) "\\spad{fresnelC(f)} denotes the Fresnel integral \\spad{C}")) (|fresnelS| ((|#2| |#2|) "\\spad{fresnelS(f)} denotes the Fresnel integral \\spad{S}")) (|dilog| ((|#2| |#2|) "\\spad{dilog(f)} denotes the dilogarithm")) (|erf| ((|#2| |#2|) "\\spad{erf(f)} denotes the error function")) (|li| ((|#2| |#2|) "\\spad{\\spad{li}(f)} denotes the logarithmic integral")) (|Ci| ((|#2| |#2|) "\\spad{\\spad{Ci}(f)} denotes the cosine integral")) (|Si| ((|#2| |#2|) "\\spad{\\spad{Si}(f)} denotes the sine integral")) (|Ei| ((|#2| |#2|) "\\spad{\\spad{Ei}(f)} denotes the exponential integral")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns the Liouvillian operator based on \\spad{op}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} checks if \\spad{op} is Liouvillian"))) 
+(-622 R -1647) 
+((|constructor| (NIL "This package provides liouvillian functions over an integral domain.")) (|integral| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{integral(f,x = a..b)} denotes the definite integral of \\spad{f} with respect to \\spad{x} from \\spad{a} to \\spad{b.}") ((|#2| |#2| (|Symbol|)) "\\spad{integral(f,x)} indefinite integral of \\spad{f} with respect to \\spad{x.}")) (|fresnelC| ((|#2| |#2|) "\\spad{fresnelC(f)} denotes the Fresnel integral \\spad{C}")) (|fresnelS| ((|#2| |#2|) "\\spad{fresnelS(f)} denotes the Fresnel integral \\spad{S}")) (|dilog| ((|#2| |#2|) "\\spad{dilog(f)} denotes the dilogarithm")) (|erf| ((|#2| |#2|) "\\spad{erf(f)} denotes the error function")) (|li| ((|#2| |#2|) "\\spad{li(f)} denotes the logarithmic integral")) (|Ci| ((|#2| |#2|) "\\spad{Ci(f)} denotes the cosine integral")) (|Si| ((|#2| |#2|) "\\spad{Si(f)} denotes the sine integral")) (|Ei| ((|#2| |#2|) "\\spad{Ei(f)} denotes the exponential integral")) (|operator| (((|BasicOperator|) (|BasicOperator|)) "\\spad{operator(op)} returns the Liouvillian operator based on \\spad{op}")) (|belong?| (((|Boolean|) (|BasicOperator|)) "\\spad{belong?(op)} checks if \\spad{op} is Liouvillian"))) 
 NIL 
 NIL 
-(-623 |lv| -1564) 
-((|constructor| (NIL "Given a Groebner basis \\spad{B} with respect to the total degree ordering for a zero-dimensional ideal \\spad{I},{} compute a Groebner basis with respect to the lexicographical ordering by using linear algebra.")) (|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{transform }\\undocumented")) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{choosemon }\\undocumented")) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{intcompBasis }\\undocumented")) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{anticoord }\\undocumented")) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{coord }\\undocumented")) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{computeBasis }\\undocumented")) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented") (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented")) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{totolex }\\undocumented")) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{groebgen }\\undocumented")) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{linGenPos }\\undocumented"))) 
+(-623 |lv| -1647) 
+((|constructor| (NIL "Given a Groebner basis \\spad{B} with respect to the total degree ordering for a zero-dimensional ideal I, compute a Groebner basis with respect to the lexicographical ordering by using linear algebra.")) (|transform| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{transform }\\undocumented")) (|choosemon| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{choosemon }\\undocumented")) (|intcompBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{intcompBasis }\\undocumented")) (|anticoord| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|List| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{anticoord }\\undocumented")) (|coord| (((|Vector| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{coord }\\undocumented")) (|computeBasis| (((|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{computeBasis }\\undocumented")) (|minPol| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented") (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) (|OrderedVariableList| |#1|)) "\\spad{minPol }\\undocumented")) (|totolex| (((|List| (|DistributedMultivariatePolynomial| |#1| |#2|)) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{totolex }\\undocumented")) (|groebgen| (((|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |glval| (|List| (|Integer|)))) (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{groebgen }\\undocumented")) (|linGenPos| (((|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| |#1| |#2|))) (|:| |gvlist| (|List| (|Integer|)))) (|List| (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|))) "\\spad{linGenPos }\\undocumented"))) 
 NIL 
 NIL 
 (-624) 
-((|constructor| (NIL "This domain provides a simple way to save values in files.")) (|close!| (($ $) "\\spad{close!(f)} returns the library \\spad{f} closed to input and output.")) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) "\\spad{lib.k := v} saves the value \\spad{v} in the library \\spad{lib}. It can later be extracted using the key \\spad{k}.")) (|elt| (((|Any|) $ (|Symbol|)) "\\spad{elt(lib,{}k)} or \\spad{lib}.\\spad{k} extracts the value corresponding to the key \\spad{k} from the library \\spad{lib}.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space.")) (|library| (($ (|FileName|)) "\\spad{library(ln)} creates a new library file."))) 
-((-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (QUOTE (-1091))))) 
+((|constructor| (NIL "This domain provides a simple way to save values in files.")) (|close!| (($ $) "\\spad{close!(f)} returns the library \\spad{f} closed to input and output.")) (|setelt| (((|Any|) $ (|Symbol|) (|Any|)) "\\spad{lib.k \\spad{:=} \\spad{v}} saves the value \\spad{v} in the library \\spad{lib}. It can later be extracted using the key \\spad{k}.")) (|elt| (((|Any|) $ (|Symbol|)) "\\spad{elt(lib,k)} or lib.k extracts the value corresponding to the key \\spad{k} from the library \\spad{lib}.")) (|pack!| (($ $) "\\spad{pack!(f)} reorganizes the file \\spad{f} on disk to recover unused space.")) (|library| (($ (|FileName|)) "\\spad{library(ln)} creates a new library file."))) 
+((-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (QUOTE (-1093))))) 
 (-625 S R) 
-((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra,{} LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#2|) "\\axiom{\\spad{x/r}} returns the division of \\axiom{\\spad{x}} by \\axiom{\\spad{r}}.")) (|construct| (($ $ $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket of \\axiom{\\spad{x}} and \\axiom{\\spad{y}}."))) 
+((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#2|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-366)))) 
 (-626 R) 
-((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra,{} LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#1|) "\\axiom{\\spad{x/r}} returns the division of \\axiom{\\spad{x}} by \\axiom{\\spad{r}}.")) (|construct| (($ $ $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket of \\axiom{\\spad{x}} and \\axiom{\\spad{y}}."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "The category of Lie Algebras. It is used by the domains of non-commutative algebra, LiePolynomial and XPBWPolynomial.")) (/ (($ $ |#1|) "\\axiom{x/r} returns the division of \\axiom{x} by \\axiom{r}.")) (|construct| (($ $ $) "\\axiom{construct(x,y)} returns the Lie bracket of \\axiom{x} and \\axiom{y}."))) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
 NIL 
 (-627 R A) 
-((|constructor| (NIL "AssociatedLieAlgebra takes an algebra \\spad{A} and uses \\spadfun{*\\$A} to define the Lie bracket \\spad{a*b := (a *\\$A b - b *\\$A a)} (commutator). Note that the notation \\spad{[a,{}b]} cannot be used due to restrictions of the current compiler. This domain only gives a Lie algebra if the Jacobi-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},{}\\spad{b},{}\\spad{c} in \\spad{A}. This relation can be checked by \\spad{lieAdmissible?()\\$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank,{} together with a fixed \\spad{R}-module basis),{} then the same is \\spad{true} for the associated Lie algebra. Also,{} if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank),{} then the same is \\spad{true} for the associated Lie algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Lie algebra \\spadtype{AssociatedLieAlgebra}(\\spad{R},{}A)."))) 
-((-4532 -2232 (-2206 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4530 . T) (-4529 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
+((|constructor| (NIL "AssociatedLieAlgebra takes an algebra \\spad{A} and uses \\spadfun{*$A} to define the Lie bracket \\spad{a*b \\spad{:=} (a *$A \\spad{b} - \\spad{b} *$A a)} (commutator). Note that the notation \\spad{[a,b]} cannot be used due to restrictions of the current compiler. This domain only gives a Lie algebra if the Jacobi-identity \\spad{(a*b)*c + (b*c)*a + (c*a)*b = 0} holds for all \\spad{a},\\spad{b},\\spad{c} in \\spad{A}. This relation can be checked by \\spad{lieAdmissible?()$A}. \\blankline If the underlying algebra is of type \\spadtype{FramedNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free \\spad{R}-module of finite rank, together with a fixed \\spad{R}-module basis), then the same is \\spad{true} for the associated Lie algebra. Also, if the underlying algebra is of type \\spadtype{FiniteRankNonAssociativeAlgebra(R)} (\\spadignore{i.e.} a non associative algebra over \\spad{R} which is a free R-module of finite rank), then the same is \\spad{true} for the associated Lie algebra.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} coerces the element \\spad{a} of the algebra \\spad{A} to an element of the Lie algebra \\spadtype{AssociatedLieAlgebra}(R,A)."))) 
+((-4568 -1929 (-3993 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -370) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -420) (|devaluate| |#1|)))))) 
 (-628 R FE) 
-((|constructor| (NIL "PowerSeriesLimitPackage implements limits of expressions in one or more variables as one of the variables approaches a limiting value. Included are two-sided limits,{} left- and right- hand limits,{} and limits at plus or minus infinity.")) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit \\spad{lim(x -> a,{}f(x))}.")) (|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) "\\spad{limit(f(x),{}x=a,{}\"left\")} computes the left hand real limit \\spad{lim(x -> a-,{}f(x))}; \\spad{limit(f(x),{}x=a,{}\"right\")} computes the right hand real limit \\spad{lim(x -> a+,{}f(x))}.") (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) "\\spad{limit(f(x),{}x = a)} computes the real limit \\spad{lim(x -> a,{}f(x))}."))) 
+((|constructor| (NIL "PowerSeriesLimitPackage implements limits of expressions in one or more variables as one of the variables approaches a limiting value. Included are two-sided limits, left- and right- hand limits, and limits at plus or minus infinity.")) (|complexLimit| (((|Union| (|OnePointCompletion| |#2|) "failed") |#2| (|Equation| (|OnePointCompletion| |#2|))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit \\spad{lim(x \\spad{->} a,f(x))}.")) (|limit| (((|Union| (|OrderedCompletion| |#2|) "failed") |#2| (|Equation| |#2|) (|String|)) "\\spad{limit(f(x),x=a,\"left\")} computes the left hand real limit \\spad{lim(x \\spad{->} a-,f(x))}; \\spad{limit(f(x),x=a,\"right\")} computes the right hand real limit \\spad{lim(x \\spad{->} a+,f(x))}.") (((|Union| (|OrderedCompletion| |#2|) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| |#2|) "failed"))) "failed") |#2| (|Equation| (|OrderedCompletion| |#2|))) "\\spad{limit(f(x),x = a)} computes the real limit \\spad{lim(x \\spad{->} a,f(x))}."))) 
 NIL 
 NIL 
 (-629 R) 
-((|constructor| (NIL "Computation of limits for rational functions.")) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),{}x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.")) (|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) "\\spad{limit(f(x),{}x,{}a,{}\"left\")} computes the real limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a} from the left; limit(\\spad{f}(\\spad{x}),{}\\spad{x},{}a,{}\"right\") computes the corresponding limit as \\spad{x} approaches \\spad{a} from the right.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limit(f(x),{}x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) "\\spad{limit(f(x),{}x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}."))) 
+((|constructor| (NIL "Computation of limits for rational functions.")) (|complexLimit| (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|OnePointCompletion| (|Fraction| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OnePointCompletion| (|Polynomial| |#1|)))) "\\spad{complexLimit(f(x),x = a)} computes the complex limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.")) (|limit| (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|String|)) "\\spad{limit(f(x),x,a,\"left\")} computes the real limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a} from the left; limit(f(x),x,a,\"right\") computes the corresponding limit as \\spad{x} approaches \\spad{a} from the right.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}.") (((|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|))) "failed"))) "failed") (|Fraction| (|Polynomial| |#1|)) (|Equation| (|OrderedCompletion| (|Polynomial| |#1|)))) "\\spad{limit(f(x),x = a)} computes the real two-sided limit of \\spad{f} as its argument \\spad{x} approaches \\spad{a}."))) 
 NIL 
 NIL 
 (-630 S R) 
-((|constructor| (NIL "Test for linear dependence.")) (|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such \\spad{ci}\\spad{'s} exist in the quotient field of \\spad{S}.") (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such \\spad{ci}\\spad{'s} exist in \\spad{S}.")) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) "\\spad{linearDependence([v1,{}...,{}vn])} returns \\spad{[c1,{}...,{}cn]} if \\spad{c1*v1 + ... + cn*vn = 0} and not all the \\spad{ci}\\spad{'s} are 0,{} \"failed\" if the \\spad{vi}\\spad{'s} are linearly independent over \\spad{S}.")) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) "\\spad{linearlyDependent?([v1,{}...,{}vn])} returns \\spad{true} if the \\spad{vi}\\spad{'s} are linearly dependent over \\spad{S},{} \\spad{false} otherwise."))) 
+((|constructor| (NIL "Test for linear dependence.")) (|solveLinear| (((|Union| (|Vector| (|Fraction| |#1|)) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in the quotient field of \\spad{S.}") (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|) |#2|) "\\spad{solveLinear([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such ci's exist in \\spad{S.}")) (|linearDependence| (((|Union| (|Vector| |#1|) "failed") (|Vector| |#2|)) "\\spad{linearDependence([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over \\spad{S.}")) (|linearlyDependent?| (((|Boolean|) (|Vector| |#2|)) "\\spad{linearlyDependent?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over \\spad{S,} \\spad{false} otherwise."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-366))) (-3864 (|HasCategory| |#1| (QUOTE (-366))))) 
+((|HasCategory| |#1| (QUOTE (-366))) (-3182 (|HasCategory| |#1| (QUOTE (-366))))) 
 (-631 R) 
-((|constructor| (NIL "An extension ring with an explicit linear dependence test.")) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) "\\spad{reducedSystem(A,{} v)} returns a matrix \\spad{B} and a vector \\spad{w} such that \\spad{A x = v} and \\spad{B x = w} have the same solutions in \\spad{R}.") (((|Matrix| |#1|) (|Matrix| $)) "\\spad{reducedSystem(A)} returns a matrix \\spad{B} such that \\spad{A x = 0} and \\spad{B x = 0} have the same solutions in \\spad{R}."))) 
-((-4532 . T)) 
+((|constructor| (NIL "An extension ring with an explicit linear dependence test.")) (|reducedSystem| (((|Record| (|:| |mat| (|Matrix| |#1|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| $) (|Vector| $)) "\\spad{reducedSystem(A, \\spad{v)}} returns a matrix \\spad{B} and a vector \\spad{w} such that \\spad{A \\spad{x} = \\spad{v}} and \\spad{B \\spad{x} = \\spad{w}} have the same solutions in \\spad{R.}") (((|Matrix| |#1|) (|Matrix| $)) "\\spad{reducedSystem(A)} returns a matrix \\spad{B} such that \\spad{A \\spad{x} = 0} and \\spad{B \\spad{x} = 0} have the same solutions in \\spad{R.}"))) 
+((-4568 . T)) 
 NIL 
 (-632 A B) 
-((|constructor| (NIL "\\spadtype{ListToMap} allows mappings to be described by a pair of lists of equal lengths. The image of an element \\spad{x},{} which appears in position \\spad{n} in the first list,{} is then the \\spad{n}th element of the second list. A default value or default function can be specified to be used when \\spad{x} does not appear in the first list. In the absence of defaults,{} an error will occur in that case.")) (|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) "\\spad{match(la,{} lb,{} a,{} f)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{f} is a default function to call if a is not in \\spad{la}. The value returned is then obtained by applying \\spad{f} to argument a.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) "\\spad{match(la,{} lb,{} f)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{f} is used as the function to call when the given function argument is not in \\spad{la}. The value returned is \\spad{f} applied to that argument.") ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) "\\spad{match(la,{} lb,{} a,{} b)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Argument \\spad{b} is the default target value if a is not in \\spad{la}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) "\\spad{match(la,{} lb,{} b)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length,{} where \\spad{b} is used as the default target value if the given function argument is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") ((|#2| (|List| |#1|) (|List| |#2|) |#1|) "\\spad{match(la,{} lb,{} a)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length,{} where \\spad{a} is used as the default source value if the given one is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) "\\spad{match(la,{} lb)} creates a map with no default source or target values defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb}. Error: if \\spad{la} and \\spad{lb} are not of equal length. Note that when this map is applied,{} an error occurs when applied to a value missing from \\spad{la}."))) 
+((|constructor| (NIL "\\spadtype{ListToMap} allows mappings to be described by a pair of lists of equal lengths. The image of an element \\spad{x}, which appears in position \\spad{n} in the first list, is then the \\spad{n}th element of the second list. A default value or default function can be specified to be used when \\spad{x} does not appear in the first list. In the absence of defaults, an error will occur in that case.")) (|match| ((|#2| (|List| |#1|) (|List| |#2|) |#1| (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} a, \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is a default function to call if a is not in la. The value returned is then obtained by applying \\spad{f} to argument a.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) (|Mapping| |#2| |#1|)) "\\spad{match(la, \\spad{lb,} \\spad{f)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{f} is used as the function to call when the given function argument is not in \\spad{la}. The value returned is \\spad{f} applied to that argument.") ((|#2| (|List| |#1|) (|List| |#2|) |#1| |#2|) "\\spad{match(la, \\spad{lb,} a, \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length. and applies this map to a. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Argument \\spad{b} is the default target value if a is not in la. Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|) |#2|) "\\spad{match(la, \\spad{lb,} \\spad{b)}} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{b} is used as the default target value if the given function argument is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") ((|#2| (|List| |#1|) (|List| |#2|) |#1|) "\\spad{match(la, \\spad{lb,} a)} creates a map defined by lists \\spad{la} and \\spad{lb} of equal length, where \\spad{a} is used as the default source value if the given one is not in \\spad{la}. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length.") (((|Mapping| |#2| |#1|) (|List| |#1|) (|List| |#2|)) "\\spad{match(la, lb)} creates a map with no default source or target values defined by lists \\spad{la} and \\spad{lb} of equal length. The target of a source value \\spad{x} in \\spad{la} is the value \\spad{y} with the same index \\spad{lb.} Error: if \\spad{la} and \\spad{lb} are not of equal length. Note that when this map is applied, an error occurs when applied to a value missing from la."))) 
 NIL 
 NIL 
 (-633 A B) 
-((|constructor| (NIL "\\spadtype{ListFunctions2} implements utility functions that operate on two kinds of lists,{} each with a possibly different type of element.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) "\\spad{map(fn,{}u)} applies \\spad{fn} to each element of list \\spad{u} and returns a new list with the results. For example \\spad{map(square,{}[1,{}2,{}3]) = [1,{}4,{}9]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{reduce(fn,{}u,{}ident)} successively uses the binary function \\spad{fn} on the elements of list \\spad{u} and the result of previous applications. \\spad{ident} is returned if the \\spad{u} is empty. Note the order of application in the following examples: \\spad{reduce(fn,{}[1,{}2,{}3],{}0) = fn(3,{}fn(2,{}fn(1,{}0)))} and \\spad{reduce(*,{}[2,{}3],{}1) = 3 * (2 * 1)}.")) (|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{scan(fn,{}u,{}ident)} successively uses the binary function \\spad{fn} to reduce more and more of list \\spad{u}. \\spad{ident} is returned if the \\spad{u} is empty. The result is a list of the reductions at each step. See \\spadfun{reduce} for more information. Examples: \\spad{scan(fn,{}[1,{}2],{}0) = [fn(2,{}fn(1,{}0)),{}fn(1,{}0)]} and \\spad{scan(*,{}[2,{}3],{}1) = [2 * 1,{} 3 * (2 * 1)]}."))) 
+((|constructor| (NIL "\\spadtype{ListFunctions2} implements utility functions that operate on two kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|List| |#1|)) "\\spad{map(fn,u)} applies \\spad{fn} to each element of list \\spad{u} and returns a new list with the results. For example \\spad{map(square,[1,2,3]) = [1,4,9]}.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{reduce(fn,u,ident)} successively uses the binary function \\spad{fn} on the elements of list \\spad{u} and the result of previous applications. \\spad{ident} is returned if the \\spad{u} is empty. Note the order of application in the following examples: \\spad{reduce(fn,[1,2,3],0) = fn(3,fn(2,fn(1,0)))} and \\spad{reduce(*,[2,3],1) = 3 * \\spad{(2} * 1)}.")) (|scan| (((|List| |#2|) (|Mapping| |#2| |#1| |#2|) (|List| |#1|) |#2|) "\\spad{scan(fn,u,ident)} successively uses the binary function \\spad{fn} to reduce more and more of list \\spad{u}. \\spad{ident} is returned if the \\spad{u} is empty. The result is a list of the reductions at each step. See \\spadfun{reduce} for more information. Examples: \\spad{scan(fn,[1,2],0) = [fn(2,fn(1,0)),fn(1,0)]} and \\spad{scan(*,[2,3],1) = \\spad{[2} * 1, 3 * \\spad{(2} * 1)]}."))) 
 NIL 
 NIL 
 (-634 A B C) 
-((|constructor| (NIL "\\spadtype{ListFunctions3} implements utility functions that operate on three kinds of lists,{} each with a possibly different type of element.")) (|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) "\\spad{map(fn,{}list1,{} u2)} applies the binary function \\spad{fn} to corresponding elements of lists \\spad{u1} and \\spad{u2} and returns a list of the results (in the same order). Thus \\spad{map(/,{}[1,{}2,{}3],{}[4,{}5,{}6]) = [1/4,{}2/4,{}1/2]}. The computation terminates when the end of either list is reached. That is,{} the length of the result list is equal to the minimum of the lengths of \\spad{u1} and \\spad{u2}."))) 
+((|constructor| (NIL "\\spadtype{ListFunctions3} implements utility functions that operate on three kinds of lists, each with a possibly different type of element.")) (|map| (((|List| |#3|) (|Mapping| |#3| |#1| |#2|) (|List| |#1|) (|List| |#2|)) "\\spad{map(fn,list1, u2)} applies the binary function \\spad{fn} to corresponding elements of lists \\spad{u1} and \\spad{u2} and returns a list of the results (in the same order). Thus \\spad{map(/,[1,2,3],[4,5,6]) = [1/4,2/4,1/2]}. The computation terminates when the end of either list is reached. That is, the length of the result list is equal to the minimum of the lengths of \\spad{u1} and \\spad{u2}."))) 
 NIL 
 NIL 
 (-635 S) 
-((|constructor| (NIL "\\spadtype{List} implements singly-linked lists that are addressable by indices; the index of the first element is 1. In addition to the operations provided by \\spadtype{IndexedList},{} this constructor provides some LISP-like functions such as \\spadfun{null} and \\spadfun{cons}.")) (|setDifference| (($ $ $) "\\spad{setDifference(u1,{}u2)} returns a list of the elements of \\spad{u1} that are not also in \\spad{u2}. The order of elements in the resulting list is unspecified.")) (|setIntersection| (($ $ $) "\\spad{setIntersection(u1,{}u2)} returns a list of the elements that lists \\spad{u1} and \\spad{u2} have in common. The order of elements in the resulting list is unspecified.")) (|setUnion| (($ $ $) "\\spad{setUnion(u1,{}u2)} appends the two lists \\spad{u1} and \\spad{u2},{} then removes all duplicates. The order of elements in the resulting list is unspecified.")) (|append| (($ $ $) "\\spad{append(u1,{}u2)} appends the elements of list \\spad{u1} onto the front of list \\spad{u2}. This new list and \\spad{u2} will share some structure.")) (|cons| (($ |#1| $) "\\spad{cons(element,{}u)} appends \\spad{element} onto the front of list \\spad{u} and returns the new list. This new list and the old one will share some structure.")) (|null| (((|Boolean|) $) "\\spad{null(u)} tests if list \\spad{u} is the empty list.")) (|nil| (($) "\\spad{nil()} returns the empty list."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-824))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
+((|constructor| (NIL "\\spadtype{List} implements singly-linked lists that are addressable by indices; the index of the first element is 1. In addition to the operations provided by \\spadtype{IndexedList}, this constructor provides some LISP-like functions such as \\spadfun{null} and \\spadfun{cons}.")) (|setDifference| (($ $ $) "\\spad{setDifference(u1,u2)} returns a list of the elements of \\spad{u1} that are not also in \\spad{u2}. The order of elements in the resulting list is unspecified.")) (|setIntersection| (($ $ $) "\\spad{setIntersection(u1,u2)} returns a list of the elements that lists \\spad{u1} and \\spad{u2} have in common. The order of elements in the resulting list is unspecified.")) (|setUnion| (($ $ $) "\\spad{setUnion(u1,u2)} appends the two lists \\spad{u1} and u2, then removes all duplicates. The order of elements in the resulting list is unspecified.")) (|append| (($ $ $) "\\spad{append(u1,u2)} appends the elements of list \\spad{u1} onto the front of list \\spad{u2}. This new list and \\spad{u2} will share some structure.")) (|cons| (($ |#1| $) "\\spad{cons(element,u)} appends \\spad{element} onto the front of list \\spad{u} and returns the new list. This new list and the old one will share some structure.")) (|null| (((|Boolean|) $) "\\spad{null(u)} tests if list \\spad{u} is the empty list.")) (|nil| (($) "\\spad{nil()} returns the empty list."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-825))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
 (-636 K PCS) 
-((|constructor| (NIL "Part of the PAFF package")) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) "\\spad{finiteSeries2LinSys(ls,{}n)} returns a matrix which right kernel is the solution of the linear combinations of the series in \\spad{ls} which has order greater or equal to \\spad{n}. NOTE: All the series in \\spad{ls} must be finite and must have order at least 0: so one must first call on each of them the function filterUpTo(\\spad{s},{}\\spad{n}) and apply an appropriate shift (mult by a power of \\spad{t})."))) 
+((|constructor| (NIL "Part of the PAFF package")) (|finiteSeries2LinSys| (((|Matrix| |#1|) (|List| |#2|) (|Integer|)) "\\spad{finiteSeries2LinSys(ls,n)} returns a matrix which right kernel is the solution of the linear combinations of the series in \\spad{ls} which has order greater or equal to \\spad{n.} NOTE: All the series in \\spad{ls} must be finite and must have order at least 0: so one must first call on each of them the function filterUpTo(s,n) and apply an appropriate shift (mult by a power of \\spad{t).}"))) 
 NIL 
 NIL 
 (-637 S) 
-((|constructor| (NIL "The \\spadtype{ListMultiDictionary} domain implements a dictionary with duplicates allowed. The representation is a list with duplicates represented explicitly. Hence most operations will be relatively inefficient when the number of entries in the dictionary becomes large. If the objects in the dictionary belong to an ordered set,{} the entries are maintained in ascending order.")) (|substitute| (($ |#1| |#1| $) "\\spad{substitute(x,{}y,{}d)} replace \\spad{x}\\spad{'s} with \\spad{y}\\spad{'s} in dictionary \\spad{d}.")) (|duplicates?| (((|Boolean|) $) "\\spad{duplicates?(d)} tests if dictionary \\spad{d} has duplicate entries."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) 
+((|constructor| (NIL "The \\spadtype{ListMultiDictionary} domain implements a dictionary with duplicates allowed. The representation is a list with duplicates represented explicitly. Hence most operations will be relatively inefficient when the number of entries in the dictionary becomes large. If the objects in the dictionary belong to an ordered set, the entries are maintained in ascending order.")) (|substitute| (($ |#1| |#1| $) "\\spad{substitute(x,y,d)} replace \\spad{x's} with \\spad{y's} in dictionary \\spad{d.}")) (|duplicates?| (((|Boolean|) $) "\\spad{duplicates?(d)} tests if dictionary \\spad{d} has duplicate entries."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) 
 (-638 R) 
-((|constructor| (NIL "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the \\spad{rng}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\spad{\\br} \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\spad{\\br} \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }")) (* (($ |#1| $) "\\spad{r*x} returns the left multiplication of the module element \\spad{x} by the ring element \\spad{r}."))) 
+((|constructor| (NIL "The category of left modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports left multiplation by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ (a*b)*x = a*(b*x) }\\br \\tab{5}\\spad{ (a+b)*x = (a*x)+(b*x) }\\br \\tab{5}\\spad{ a*(x+y) = (a*x)+(a*y) }")) (* (($ |#1| $) "\\spad{r*x} returns the left multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
 (-639 S E |un|) 
-((|constructor| (NIL "This internal package represents monoid (abelian or not,{} with or without inverses) as lists and provides some common operations to the various flavors of monoids.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f,{} a1\\^e1 ... an\\^en)} returns \\spad{f(a1)\\^e1 ... f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExpon(f,{} a1\\^e1 ... an\\^en)} returns \\spad{a1\\^f(e1) ... an\\^f(en)}.")) (|commutativeEquality| (((|Boolean|) $ $) "\\spad{commutativeEquality(x,{}y)} returns \\spad{true} if \\spad{x} and \\spad{y} are equal assuming commutativity")) (|plus| (($ $ $) "\\spad{plus(x,{} y)} returns \\spad{x + y} where \\spad{+} is the monoid operation,{} which is assumed commutative.") (($ |#1| |#2| $) "\\spad{plus(s,{} e,{} x)} returns \\spad{e * s + x} where \\spad{+} is the monoid operation,{} which is assumed commutative.")) (|leftMult| (($ |#1| $) "\\spad{leftMult(s,{} a)} returns \\spad{s * a} where \\spad{*} is the monoid operation,{} which is assumed non-commutative.")) (|rightMult| (($ $ |#1|) "\\spad{rightMult(a,{} s)} returns \\spad{a * s} where \\spad{*} is the monoid operation,{} which is assumed non-commutative.")) (|makeUnit| (($) "\\spad{makeUnit()} returns the unit element of the monomial.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(l)} returns the number of monomials forming \\spad{l}.")) (|reverse!| (($ $) "\\spad{reverse!(l)} reverses the list of monomials forming \\spad{l},{} destroying the element \\spad{l}.")) (|reverse| (($ $) "\\spad{reverse(l)} reverses the list of monomials forming \\spad{l}. This has some effect if the monoid is non-abelian,{} \\spadignore{i.e.} \\spad{reverse(a1\\^e1 ... an\\^en) = an\\^en ... a1\\^e1} which is different.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(l,{} n)} returns the factor of the n^th monomial of \\spad{l}.")) (|nthExpon| ((|#2| $ (|Integer|)) "\\spad{nthExpon(l,{} n)} returns the exponent of the n^th monomial of \\spad{l}.")) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) "\\spad{makeMulti(l)} returns the element whose list of monomials is \\spad{l}.")) (|makeTerm| (($ |#1| |#2|) "\\spad{makeTerm(s,{} e)} returns the monomial \\spad{s} exponentiated by \\spad{e} (\\spadignore{e.g.} s^e or \\spad{e} * \\spad{s}).")) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{listOfMonoms(l)} returns the list of the monomials forming \\spad{l}.")) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) "\\spad{outputForm(l,{} fop,{} fexp,{} unit)} converts the monoid element represented by \\spad{l} to an \\spadtype{OutputForm}. Argument unit is the output form for the \\spadignore{unit} of the monoid (\\spadignore{e.g.} 0 or 1),{} \\spad{fop(a,{} b)} is the output form for the monoid operation applied to \\spad{a} and \\spad{b} (\\spadignore{e.g.} \\spad{a + b},{} \\spad{a * b},{} \\spad{ab}),{} and \\spad{fexp(a,{} n)} is the output form for the exponentiation operation applied to \\spad{a} and \\spad{n} (\\spadignore{e.g.} \\spad{n a},{} \\spad{n * a},{} \\spad{a ** n},{} \\spad{a\\^n})."))) 
+((|constructor| (NIL "This internal package represents monoid (abelian or not, with or without inverses) as lists and provides some common operations to the various flavors of monoids.")) (|mapGen| (($ (|Mapping| |#1| |#1|) $) "\\spad{mapGen(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{f(a1)\\^e1 \\spad{...} f(an)\\^en}.")) (|mapExpon| (($ (|Mapping| |#2| |#2|) $) "\\spad{mapExpon(f, \\spad{a1\\^e1} \\spad{...} an\\^en)} returns \\spad{a1\\^f(e1) \\spad{...} an\\^f(en)}.")) (|commutativeEquality| (((|Boolean|) $ $) "\\spad{commutativeEquality(x,y)} returns \\spad{true} if \\spad{x} and \\spad{y} are equal assuming commutativity")) (|plus| (($ $ $) "\\spad{plus(x, \\spad{y)}} returns \\spad{x + \\spad{y}} where \\spad{+} is the monoid operation, which is assumed commutative.") (($ |#1| |#2| $) "\\spad{plus(s, e, \\spad{x)}} returns \\spad{e * \\spad{s} + \\spad{x}} where \\spad{+} is the monoid operation, which is assumed commutative.")) (|leftMult| (($ |#1| $) "\\spad{leftMult(s, a)} returns \\spad{s * a} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|rightMult| (($ $ |#1|) "\\spad{rightMult(a, \\spad{s)}} returns \\spad{a * \\spad{s}} where \\spad{*} is the monoid operation, which is assumed non-commutative.")) (|makeUnit| (($) "\\spad{makeUnit()} returns the unit element of the monomial.")) (|size| (((|NonNegativeInteger|) $) "\\spad{size(l)} returns the number of monomials forming \\spad{l.}")) (|reverse!| (($ $) "\\spad{reverse!(l)} reverses the list of monomials forming \\spad{l,} destroying the element \\spad{l.}")) (|reverse| (($ $) "\\spad{reverse(l)} reverses the list of monomials forming \\spad{l.} This has some effect if the monoid is non-abelian, \\spadignore{i.e.} \\spad{reverse(a1\\^e1 \\spad{...} an\\^en) = an\\^en \\spad{...} a1\\^e1} which is different.")) (|nthFactor| ((|#1| $ (|Integer|)) "\\spad{nthFactor(l, \\spad{n)}} returns the factor of the n^th monomial of \\spad{l.}")) (|nthExpon| ((|#2| $ (|Integer|)) "\\spad{nthExpon(l, \\spad{n)}} returns the exponent of the n^th monomial of \\spad{l.}")) (|makeMulti| (($ (|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|)))) "\\spad{makeMulti(l)} returns the element whose list of monomials is \\spad{l.}")) (|makeTerm| (($ |#1| |#2|) "\\spad{makeTerm(s, e)} returns the monomial \\spad{s} exponentiated by \\spad{e} (\\spadignore{e.g.} s^e or \\spad{e} * \\spad{s).}")) (|listOfMonoms| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| |#2|))) $) "\\spad{listOfMonoms(l)} returns the list of the monomials forming \\spad{l.}")) (|outputForm| (((|OutputForm|) $ (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|)) (|Integer|)) "\\spad{outputForm(l, fop, fexp, unit)} converts the monoid element represented by \\spad{l} to an \\spadtype{OutputForm}. Argument unit is the output form for the \\spadignore{unit} of the monoid (\\spadignore{e.g.} 0 or 1), \\spad{fop(a, \\spad{b)}} is the output form for the monoid operation applied to \\spad{a} and \\spad{b} (\\spadignore{e.g.} \\spad{a + \\spad{b},} \\spad{a * \\spad{b},} \\spad{ab}), and \\spad{fexp(a, \\spad{n)}} is the output form for the exponentiation operation applied to \\spad{a} and \\spad{n} (\\spadignore{e.g.} \\spad{n a}, \\spad{n * a}, \\spad{a \\spad{**} \\spad{n},} \\spad{a\\^n})."))) 
 NIL 
 NIL 
 (-640 A S) 
-((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings,{} lists,{} and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example,{} \\spadfun{concat} of two lists needs only to copy its first argument,{} whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates,{} see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) "\\spad{setelt(u,{}i..j,{}x)} (also written: \\axiom{\\spad{u}(\\spad{i}..\\spad{j}) \\spad{:=} \\spad{x}}) destructively replaces each element in the segment \\axiom{\\spad{u}(\\spad{i}..\\spad{j})} by \\spad{x}. The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{\\spad{u}.\\spad{k} \\spad{:=} \\spad{x} for \\spad{k} in \\spad{i}..\\spad{j}}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,{}u,{}k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{v},{}\\spad{u},{}\\spad{k}) = concat( \\spad{u}(0..\\spad{k}-1),{} \\spad{v},{} \\spad{u}(\\spad{k}..) )}.") (($ |#2| $ (|Integer|)) "\\spad{insert(x,{}u,{}i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{x},{}a,{}\\spad{k}) = concat(concat(a(0..\\spad{k}-1),{}\\spad{x}),{}a(\\spad{k}..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,{}i..j)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th through \\axiom{\\spad{j}}th element deleted. Note that \\axiom{delete(a,{}\\spad{i}..\\spad{j}) = concat(a(0..\\spad{i}-1),{}a(\\spad{j+1}..))}.") (($ $ (|Integer|)) "\\spad{delete(u,{}i)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th element deleted. Note that for lists,{} \\axiom{delete(a,{}\\spad{i}) \\spad{==} concat(a(0..\\spad{i} - 1),{}a(\\spad{i} + 1,{}..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,{}i..j)} (also written: \\axiom{a(\\spad{i}..\\spad{j})}) returns the aggregate of elements \\axiom{\\spad{u}} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general,{} \\axiom{a.\\spad{s} = [a.\\spad{k} for \\spad{i} in \\spad{s}]}.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(f,{}u,{}v)} returns a new collection \\spad{w} with elements \\axiom{\\spad{z} = \\spad{f}(\\spad{x},{}\\spad{y})} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v}. Note that for linear aggregates,{} \\axiom{\\spad{w}.\\spad{i} = \\spad{f}(\\spad{u}.\\spad{i},{}\\spad{v}.\\spad{i})}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)},{} where \\spad{u} is a lists of aggregates \\axiom{[a,{}\\spad{b},{}...,{}\\spad{c}]},{} returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed ... by the elements of \\spad{c}. Note that \\axiom{concat(a,{}\\spad{b},{}...,{}\\spad{c}) = concat(a,{}concat(\\spad{b},{}...,{}\\spad{c}))}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} then \\axiom{\\spad{w}.\\spad{i} = \\spad{u}.\\spad{i} for \\spad{i} in indices \\spad{u}} and \\axiom{\\spad{w}.(\\spad{j} + maxIndex \\spad{u}) = \\spad{v}.\\spad{j} for \\spad{j} in indices \\spad{v}}.") (($ |#2| $) "\\spad{concat(x,{}u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(\\spad{x},{}\\spad{u}) \\spad{==} concat([\\spad{x}],{}\\spad{u})}.") (($ $ |#2|) "\\spad{concat(u,{}x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists,{} \\axiom{concat(\\spad{u},{}\\spad{x}) \\spad{==} concat(\\spad{u},{}[\\spad{x}])}")) (|new| (($ (|NonNegativeInteger|) |#2|) "\\spad{new(n,{}x)} returns \\axiom{fill!(new \\spad{n},{}\\spad{x})}."))) 
+((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#2| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#2| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#2|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#2|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536))) 
+((|HasAttribute| |#1| (QUOTE -4572))) 
 (-641 S) 
-((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings,{} lists,{} and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example,{} \\spadfun{concat} of two lists needs only to copy its first argument,{} whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates,{} see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) "\\spad{setelt(u,{}i..j,{}x)} (also written: \\axiom{\\spad{u}(\\spad{i}..\\spad{j}) \\spad{:=} \\spad{x}}) destructively replaces each element in the segment \\axiom{\\spad{u}(\\spad{i}..\\spad{j})} by \\spad{x}. The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{\\spad{u}.\\spad{k} \\spad{:=} \\spad{x} for \\spad{k} in \\spad{i}..\\spad{j}}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,{}u,{}k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{v},{}\\spad{u},{}\\spad{k}) = concat( \\spad{u}(0..\\spad{k}-1),{} \\spad{v},{} \\spad{u}(\\spad{k}..) )}.") (($ |#1| $ (|Integer|)) "\\spad{insert(x,{}u,{}i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{\\spad{i}}th element. Note that \\axiom{insert(\\spad{x},{}a,{}\\spad{k}) = concat(concat(a(0..\\spad{k}-1),{}\\spad{x}),{}a(\\spad{k}..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,{}i..j)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th through \\axiom{\\spad{j}}th element deleted. Note that \\axiom{delete(a,{}\\spad{i}..\\spad{j}) = concat(a(0..\\spad{i}-1),{}a(\\spad{j+1}..))}.") (($ $ (|Integer|)) "\\spad{delete(u,{}i)} returns a copy of \\spad{u} with the \\axiom{\\spad{i}}th element deleted. Note that for lists,{} \\axiom{delete(a,{}\\spad{i}) \\spad{==} concat(a(0..\\spad{i} - 1),{}a(\\spad{i} + 1,{}..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,{}i..j)} (also written: \\axiom{a(\\spad{i}..\\spad{j})}) returns the aggregate of elements \\axiom{\\spad{u}} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general,{} \\axiom{a.\\spad{s} = [a.\\spad{k} for \\spad{i} in \\spad{s}]}.")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\spad{map(f,{}u,{}v)} returns a new collection \\spad{w} with elements \\axiom{\\spad{z} = \\spad{f}(\\spad{x},{}\\spad{y})} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v}. Note that for linear aggregates,{} \\axiom{\\spad{w}.\\spad{i} = \\spad{f}(\\spad{u}.\\spad{i},{}\\spad{v}.\\spad{i})}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)},{} where \\spad{u} is a lists of aggregates \\axiom{[a,{}\\spad{b},{}...,{}\\spad{c}]},{} returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed ... by the elements of \\spad{c}. Note that \\axiom{concat(a,{}\\spad{b},{}...,{}\\spad{c}) = concat(a,{}concat(\\spad{b},{}...,{}\\spad{c}))}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} then \\axiom{\\spad{w}.\\spad{i} = \\spad{u}.\\spad{i} for \\spad{i} in indices \\spad{u}} and \\axiom{\\spad{w}.(\\spad{j} + maxIndex \\spad{u}) = \\spad{v}.\\spad{j} for \\spad{j} in indices \\spad{v}}.") (($ |#1| $) "\\spad{concat(x,{}u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(\\spad{x},{}\\spad{u}) \\spad{==} concat([\\spad{x}],{}\\spad{u})}.") (($ $ |#1|) "\\spad{concat(u,{}x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists,{} \\axiom{concat(\\spad{u},{}\\spad{x}) \\spad{==} concat(\\spad{u},{}[\\spad{x}])}")) (|new| (($ (|NonNegativeInteger|) |#1|) "\\spad{new(n,{}x)} returns \\axiom{fill!(new \\spad{n},{}\\spad{x})}."))) 
-((-2982 . T)) 
+((|constructor| (NIL "A linear aggregate is an aggregate whose elements are indexed by integers. Examples of linear aggregates are strings, lists, and arrays. Most of the exported operations for linear aggregates are non-destructive but are not always efficient for a particular aggregate. For example, \\spadfun{concat} of two lists needs only to copy its first argument, whereas \\spadfun{concat} of two arrays needs to copy both arguments. Most of the operations exported here apply to infinite objects (\\spadignore{e.g.} streams) as well to finite ones. For finite linear aggregates, see \\spadtype{FiniteLinearAggregate}.")) (|setelt| ((|#1| $ (|UniversalSegment| (|Integer|)) |#1|) "\\spad{setelt(u,i..j,x)} (also written: \\axiom{u(i..j) \\spad{:=} \\spad{x})} destructively replaces each element in the segment \\axiom{u(i..j)} by \\spad{x.} The value \\spad{x} is returned. Note that \\spad{u} is destructively change so that \\axiom{u.k \\spad{:=} \\spad{x} for \\spad{k} in i..j}; its length remains unchanged.")) (|insert| (($ $ $ (|Integer|)) "\\spad{insert(v,u,k)} returns a copy of \\spad{u} having \\spad{v} inserted beginning at the \\axiom{i}th element. Note that \\axiom{insert(v,u,k) = concat( u(0..k-1), \\spad{v,} u(k..) \\spad{)}.}") (($ |#1| $ (|Integer|)) "\\spad{insert(x,u,i)} returns a copy of \\spad{u} having \\spad{x} as its \\axiom{i}th element. Note that \\axiom{insert(x,a,k) = concat(concat(a(0..k-1),x),a(k..))}.")) (|delete| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{delete(u,i..j)} returns a copy of \\spad{u} with the \\axiom{i}th through \\axiom{j}th element deleted. Note that \\axiom{delete(a,i..j) = concat(a(0..i-1),a(j+1..))}.") (($ $ (|Integer|)) "\\spad{delete(u,i)} returns a copy of \\spad{u} with the \\axiom{i}th element deleted. Note that for lists, \\axiom{delete(a,i) \\spad{==} concat(a(0..i - 1),a(i + 1,..))}.")) (|elt| (($ $ (|UniversalSegment| (|Integer|))) "\\spad{elt(u,i..j)} (also written: \\axiom{a(i..j)}) returns the aggregate of elements \\axiom{u} for \\spad{k} from \\spad{i} to \\spad{j} in that order. Note that in general, \\axiom{a.s = [a.k for \\spad{i} in s]}.")) (|map| (($ (|Mapping| |#1| |#1| |#1|) $ $) "\\spad{map(f,u,v)} returns a new collection \\spad{w} with elements \\axiom{z = f(x,y)} for corresponding elements \\spad{x} and \\spad{y} from \\spad{u} and \\spad{v.} Note that for linear aggregates, \\axiom{w.i = f(u.i,v.i)}.")) (|concat| (($ (|List| $)) "\\spad{concat(u)}, where \\spad{u} is a lists of aggregates \\axiom{[a,b,...,c]}, returns a single aggregate consisting of the elements of \\axiom{a} followed by those of \\spad{b} followed \\spad{...} by the elements of \\spad{c.} Note that \\axiom{concat(a,b,...,c) = concat(a,concat(b,...,c))}.") (($ $ $) "\\spad{concat(u,v)} returns an aggregate consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that if \\axiom{w = concat(u,v)} then \\axiom{w.i = u.i for \\spad{i} in indices u} and \\axiom{w.(j + maxIndex u) = \\spad{v.j} for \\spad{j} in indices \\spad{v}.}") (($ |#1| $) "\\spad{concat(x,u)} returns aggregate \\spad{u} with additional element at the front. Note that for lists: \\axiom{concat(x,u) \\spad{==} concat([x],u)}.") (($ $ |#1|) "\\spad{concat(u,x)} returns aggregate \\spad{u} with additional element \\spad{x} at the end. Note that for lists, \\axiom{concat(u,x) \\spad{==} concat(u,[x])}")) (|new| (($ (|NonNegativeInteger|) |#1|) "\\spad{new(n,x)} returns \\axiom{fill!(new n,x)}."))) 
+((-4317 . T)) 
 NIL 
 (-642 K) 
-((|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} (\\spad{b} \\spad{<-} \\spad{true}) prints some information during some critical computation.")) (|coefOfFirstNonZeroTerm| ((|#1| $) "\\spad{coefOfFirstNonZeroTerm(s)} returns the first non zero coefficient of the series.")) (|filterUpTo| (($ $ (|Integer|)) "\\spad{filterUpTo(s,{}n)} returns the series consisting of the terms of \\spad{s} having degree strictly less than \\spad{n}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(s,{}n)} returns t**n * \\spad{s}")) (|series| (($ (|Integer|) |#1| $) "\\spad{series(e,{}c,{}s)} create the series c*t**e + \\spad{s}.")) (|removeZeroes| (($ $) "\\spad{removeZeroes(s)} removes the zero terms in \\spad{s}.") (($ (|Integer|) $) "\\spad{removeZeroes(n,{}s)} removes the zero terms in the first \\spad{n} terms of \\spad{s}.")) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) "\\spad{monomial2series(ls,{}le,{}n)} returns t**n * reduce(\\spad{\"*\"},{}[\\spad{s} \\spad{**} \\spad{e} for \\spad{s} in \\spad{ls} for \\spad{e} in \\spad{le}])")) (|delay| (($ (|Mapping| $)) "\\spad{delay delayed} the computation of the next term of the series given by the input function.")) (|posExpnPart| (($ $) "\\spad{posExpnPart(s)} returns the series \\spad{s} less the terms with negative exponant.")) (|order| (((|Integer|) $) "\\spad{order(s)} returns the order of \\spad{s}."))) 
-(((-4537 "*") . T) (-4528 . T) (-4527 . T) (-4533 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation.")) (|coefOfFirstNonZeroTerm| ((|#1| $) "\\spad{coefOfFirstNonZeroTerm(s)} returns the first non zero coefficient of the series.")) (|filterUpTo| (($ $ (|Integer|)) "\\spad{filterUpTo(s,n)} returns the series consisting of the terms of \\spad{s} having degree strictly less than \\spad{n.}")) (|shift| (($ $ (|Integer|)) "\\spad{shift(s,n)} returns t**n * \\spad{s}")) (|series| (($ (|Integer|) |#1| $) "\\spad{series(e,c,s)} create the series c*t**e + \\spad{s.}")) (|removeZeroes| (($ $) "\\spad{removeZeroes(s)} removes the zero terms in \\spad{s.}") (($ (|Integer|) $) "\\spad{removeZeroes(n,s)} removes the zero terms in the first \\spad{n} terms of \\spad{s.}")) (|monomial2series| (($ (|List| $) (|List| (|NonNegativeInteger|)) (|Integer|)) "\\spad{monomial2series(ls,le,n)} returns t**n * reduce(\"*\",[s \\spad{**} \\spad{e} for \\spad{s} in \\spad{ls} for \\spad{e} in le])")) (|delay| (($ (|Mapping| $)) "\\spad{delay delayed} the computation of the next term of the series given by the input function.")) (|posExpnPart| (($ $) "\\spad{posExpnPart(s)} returns the series \\spad{s} less the terms with negative exponant.")) (|order| (((|Integer|) $) "\\spad{order(s)} returns the order of \\spad{s.}"))) 
+(((-4573 "*") . T) (-4564 . T) (-4563 . T) (-4569 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-643 R -1564 L) 
-((|constructor| (NIL "\\spad{ElementaryFunctionLODESolver} provides the top-level functions for finding closed form solutions of linear ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) "\\spad{solve(op,{} g,{} x,{} a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{op y = g,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) "\\spad{solve(op,{} g,{} x)} returns either a solution of the ordinary differential equation \\spad{op y = g} or \"failed\" if no non-trivial solution can be found; When found,{} the solution is returned in the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{op y = 0}. A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; \\spad{x} is the dependent variable."))) 
+(-643 R -1647 L) 
+((|constructor| (NIL "\\spad{ElementaryFunctionLODESolver} provides the top-level functions for finding closed form solutions of linear ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#3| |#2| (|Symbol|) |#2| (|List| |#2|)) "\\spad{solve(op, \\spad{g,} \\spad{x,} a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{op \\spad{y} = \\spad{g,} y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) "failed") |#3| |#2| (|Symbol|)) "\\spad{solve(op, \\spad{g,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{op \\spad{y} = \\spad{g}} or \"failed\" if no non-trivial solution can be found; When found, the solution is returned in the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{op \\spad{y} = 0}. A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; \\spad{x} is the dependent variable."))) 
 NIL 
 NIL 
 (-644 A) 
-((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator1} defines a ring of differential operators with coefficients in a differential ring A. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}"))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator1} defines a ring of differential operators with coefficients in a differential ring A. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
 (-645 A M) 
-((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator2} defines a ring of differential operators with coefficients in a differential ring A and acting on an A-module \\spad{M}. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}"))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator2} defines a ring of differential operators with coefficients in a differential ring A and acting on an A-module \\spad{M.} Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}")) (|differentiate| (($ $) "\\spad{differentiate(x)} returns the derivative of \\spad{x}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
 (-646 S A) 
-((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\spad{\\br} (\\spad{L1} * \\spad{L2}).(\\spad{f}) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,{}a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,{}n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
+((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-366)))) 
 (-647 A) 
-((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\spad{\\br} (\\spad{L1} * \\spad{L2}).(\\spad{f}) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,{}a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,{}n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,{}b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "LinearOrdinaryDifferentialOperatorCategory is the category of differential operators with coefficients in a ring A with a given derivation. \\blankline Multiplication of operators corresponds to functional composition:\\br \\spad{(L1} * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}")) (|directSum| (($ $ $) "\\spad{directSum(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}.")) (|symmetricSquare| (($ $) "\\spad{symmetricSquare(a)} computes \\spad{symmetricProduct(a,a)} using a more efficient method.")) (|symmetricPower| (($ $ (|NonNegativeInteger|)) "\\spad{symmetricPower(a,n)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}.")) (|symmetricProduct| (($ $ $) "\\spad{symmetricProduct(a,b)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}.")) (|adjoint| (($ $) "\\spad{adjoint(a)} returns the adjoint operator of a.")) (D (($) "\\spad{D()} provides the operator corresponding to a derivation in the ring \\spad{A}."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-648 -1564 UP) 
-((|constructor| (NIL "\\spadtype{LinearOrdinaryDifferentialOperatorFactorizer} provides a factorizer for linear ordinary differential operators whose coefficients are rational functions.")) (|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor1(a)} returns the factorisation of a,{} assuming that a has no first-order right factor.")) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor(a)} returns the factorisation of a.") (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{factor(a,{} zeros)} returns the factorisation of a. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
+(-648 -1647 UP) 
+((|constructor| (NIL "\\spadtype{LinearOrdinaryDifferentialOperatorFactorizer} provides a factorizer for linear ordinary differential operators whose coefficients are rational functions.")) (|factor1| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor1(a)} returns the factorisation of a, assuming that a has no first-order right factor.")) (|factor| (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{factor(a)} returns the factorisation of a.") (((|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{factor(a, zeros)} returns the factorisation of a. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-649 A -4477) 
-((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator} defines a ring of differential operators with coefficients in a ring A with a given derivation. Multiplication of operators corresponds to functional composition:\\spad{\\br} \\spad{(L1 * L2).(f) = L1 L2 f}"))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-649 A -1574) 
+((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperator} defines a ring of differential operators with coefficients in a ring A with a given derivation. Multiplication of operators corresponds to functional composition:\\br \\spad{(L1 * L2).(f) = \\spad{L1} \\spad{L2} \\spad{f}}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
 (-650 A L) 
-((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperatorsOps} provides symmetric products and sums for linear ordinary differential operators.")) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{directSum(a,{}b,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use.")) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) "\\spad{symmetricPower(a,{}n,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}. \\spad{D} is the derivation to use.")) (|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{symmetricProduct(a,{}b,{}D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use."))) 
+((|constructor| (NIL "\\spad{LinearOrdinaryDifferentialOperatorsOps} provides symmetric products and sums for linear ordinary differential operators.")) (|directSum| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{directSum(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the sums of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use.")) (|symmetricPower| ((|#2| |#2| (|NonNegativeInteger|) (|Mapping| |#1| |#1|)) "\\spad{symmetricPower(a,n,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of \\spad{n} solutions of \\spad{a}. \\spad{D} is the derivation to use.")) (|symmetricProduct| ((|#2| |#2| |#2| (|Mapping| |#1| |#1|)) "\\spad{symmetricProduct(a,b,D)} computes an operator \\spad{c} of minimal order such that the nullspace of \\spad{c} is generated by all the products of a solution of \\spad{a} by a solution of \\spad{b}. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
 (-651 S) 
-((|constructor| (NIL "`Logic' provides the basic operations for lattices,{} \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\/ } returns the logical `join',{} \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet',{} \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x}."))) 
+((|constructor| (NIL "`Logic' provides the basic operations for lattices, \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\spad{\\/} } returns the logical `join', \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet', \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
 (-652) 
-((|constructor| (NIL "`Logic' provides the basic operations for lattices,{} \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\/ } returns the logical `join',{} \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet',{} \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x}."))) 
+((|constructor| (NIL "`Logic' provides the basic operations for lattices, \\spadignore{e.g.} boolean algebra.")) (|\\/| (($ $ $) "\\spadignore{ \\spad{\\/} } returns the logical `join', \\spadignore{e.g.} `or'.")) (|/\\| (($ $ $) "\\spadignore { /\\ }returns the logical `meet', \\spadignore{e.g.} `and'.")) (~ (($ $) "\\spad{~(x)} returns the logical complement of \\spad{x.}"))) 
 NIL 
 NIL 
 (-653 M R S) 
-((|constructor| (NIL "Localize(\\spad{M},{}\\spad{R},{}\\spad{S}) produces fractions with numerators from an \\spad{R} module \\spad{M} and denominators from some multiplicative subset \\spad{D} of \\spad{R}.")) (|denom| ((|#3| $) "\\spad{denom x} returns the denominator of \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer x} returns the numerator of \\spad{x}.")) (/ (($ |#1| |#3|) "\\spad{m / d} divides the element \\spad{m} by \\spad{d}.") (($ $ |#3|) "\\spad{x / d} divides the element \\spad{x} by \\spad{d}."))) 
-((-4530 . T) (-4529 . T)) 
-((|HasCategory| |#1| (QUOTE (-787)))) 
+((|constructor| (NIL "Localize(M,R,S) produces fractions with numerators from an \\spad{R} module \\spad{M} and denominators from some multiplicative subset \\spad{D} of \\spad{R.}")) (|denom| ((|#3| $) "\\spad{denom \\spad{x}} returns the denominator of \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer \\spad{x}} returns the numerator of \\spad{x.}")) (/ (($ |#1| |#3|) "\\spad{m / \\spad{d}} divides the element \\spad{m} by \\spad{d.}") (($ $ |#3|) "\\spad{x / \\spad{d}} divides the element \\spad{x} by \\spad{d.}"))) 
+((-4566 . T) (-4565 . T)) 
+((|HasCategory| |#1| (QUOTE (-788)))) 
 (-654 K) 
-((|constructor| (NIL "A package that exports several linear algebra operations over lines of matrices. Part of the PAFF package.")) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{reduceRowOnList(v,{}lvec)} applies a row reduction on each of the element of \\spad{lv} using \\spad{v} according to a pivot in \\spad{v} which is set to be the first non nul element in \\spad{v}.")) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) "\\spad{reduceLineOverLine(v1,{}v2,{}a)} returns \\spad{v1}-\\spad{a*v1} where \\indented{1}{\\spad{v1} and \\spad{v2} are considered as vector space.}")) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{quotVecSpaceBasis(b1,{}b2)} returns a basis of \\spad{V1/V2} where \\spad{V1} and \\spad{V2} are vector space with basis \\spad{b1} and \\spad{b2} resp. and \\spad{V2} is suppose to be include in \\spad{V1}; Note that if it is not the case then it returs the basis of V1/W where \\spad{W} = intersection of \\spad{V1} and \\spad{V2}")) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "reduceRow: if the input is considered as a matrix,{} the output would be the row reduction matrix. It\\spad{'s} almost the rowEchelon form except that no permution of lines is performed."))) 
+((|constructor| (NIL "A package that exports several linear algebra operations over lines of matrices. Part of the PAFF package.")) (|reduceRowOnList| (((|List| (|List| |#1|)) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{reduceRowOnList(v,lvec)} applies a row reduction on each of the element of \\spad{lv} using \\spad{v} according to a pivot in \\spad{v} which is set to be the first non nul element in \\spad{v.}")) (|reduceLineOverLine| (((|List| |#1|) (|List| |#1|) (|List| |#1|) |#1|) "\\spad{reduceLineOverLine(v1,v2,a)} returns \\spad{v1-a*v1} where \\indented{1}{v1 and \\spad{v2} are considered as vector space.}")) (|quotVecSpaceBasis| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{quotVecSpaceBasis(b1,b2)} returns a basis of \\spad{V1/V2} where \\spad{V1} and \\spad{V2} are vector space with basis \\spad{b1} and \\spad{b2} resp. and \\spad{V2} is suppose to be include in \\spad{V1;} Note that if it is not the case then it returs the basis of V1/W where \\spad{W} = intersection of \\spad{V1} and \\spad{V2}")) (|reduceRow| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "reduceRow: if the input is considered as a matrix, the output would be the row reduction matrix. It's almost the rowEchelon form except that no permution of lines is performed."))) 
 NIL 
 NIL 
 (-655 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,{}pt,{}crv,{}n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt}. The last element of the records,{} consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y}): the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}.")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,{}pol,{}n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by \\spad{pol}. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,{}pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} (\\spad{b} \\spad{<-} \\spad{true}) prints some information during some critical computation."))) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|localize| (((|Record| (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (|List| (|Integer|)))) |#3| |#5| |#3| (|Integer|)) "\\spad{localize(f,pt,crv,n)} returns a record containing the polynomials \\spad{f} and \\spad{crv} translate to the origin with respect to \\spad{pt.} The last element of the records, consisting of three integers contains information about the local parameter that will be used (either \\spad{x} or \\spad{y):} the first integer correspond to the variable that will be used as a local parameter.")) (|pointDominateBy| ((|#5| |#7|) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}")) (|localParamOfSimplePt| (((|List| |#6|) |#5| |#3| (|Integer|)) "\\spad{localParamOfSimplePt(pt,pol,n)} computes the local parametrization of the simple point \\spad{pt} on the curve defined by pol. This local parametrization is done according to the standard open affine plane set by \\spad{n}")) (|pointToPlace| ((|#7| |#5| |#3|) "\\spad{pointToPlace(pt,pol)} takes for input a simple point \\spad{pt} on the curve defined by \\spad{pol} and set the local parametrization of the point.")) (|printInfo| (((|Boolean|)) "returns the value of the \\spad{printInfo} flag.") (((|Boolean|) (|Boolean|)) "\\spad{printInfo(b)} set a flag such that when \\spad{true} \\spad{(b} \\spad{<-} true) prints some information during some critical computation."))) 
 NIL 
 NIL 
 (-656 R) 
-((|constructor| (NIL "Given a PolynomialFactorizationExplicit ring,{} this package provides a defaulting rule for the \\spad{solveLinearPolynomialEquation} operation,{} by moving into the field of fractions,{} and solving it there via the \\spad{multiEuclidean} operation.")) (|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{solveLinearPolynomialEquationByFractions([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such exists."))) 
+((|constructor| (NIL "Given a PolynomialFactorizationExplicit ring, this package provides a defaulting rule for the \\spad{solveLinearPolynomialEquation} operation, by moving into the field of fractions, and solving it there via the \\spad{multiEuclidean} operation.")) (|solveLinearPolynomialEquationByFractions| (((|Union| (|List| (|SparseUnivariatePolynomial| |#1|)) "failed") (|List| (|SparseUnivariatePolynomial| |#1|)) (|SparseUnivariatePolynomial| |#1|)) "\\spad{solveLinearPolynomialEquationByFractions([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such exists."))) 
 NIL 
 NIL 
 (-657 |VarSet| R) 
-((|constructor| (NIL "This type supports Lie polynomials in Lyndon basis see Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications).")) (|construct| (($ $ (|LyndonWord| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.") (($ (|LyndonWord| |#1|) $) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.") (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) "\\axiom{construct(\\spad{x},{}\\spad{y})} returns the Lie bracket \\axiom{[\\spad{x},{}\\spad{y}]}.")) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) "\\axiom{LiePolyIfCan(\\spad{p})} returns \\axiom{\\spad{p}} in Lyndon basis if \\axiom{\\spad{p}} is a Lie polynomial,{} otherwise \\axiom{\"failed\"} is returned."))) 
-((|JacobiIdentity| . T) (|NullSquare| . T) (-4530 . T) (-4529 . T)) 
+((|constructor| (NIL "This type supports Lie polynomials in Lyndon basis see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|construct| (($ $ (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) $) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.") (($ (|LyndonWord| |#1|) (|LyndonWord| |#1|)) "\\axiom{construct(x,y)} returns the Lie bracket \\axiom{[x,y]}.")) (|LiePolyIfCan| (((|Union| $ "failed") (|XDistributedPolynomial| |#1| |#2|)) "\\axiom{LiePolyIfCan(p)} returns \\axiom{p} in Lyndon basis if \\axiom{p} is a Lie polynomial, otherwise \\axiom{\"failed\"} is returned."))) 
+((|JacobiIdentity| . T) (|NullSquare| . T) (-4566 . T) (-4565 . T)) 
 ((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-173)))) 
 (-658 A S) 
-((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#2|) "\\spad{list(x)} returns the list of one element \\spad{x}."))) 
+((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#2|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
 NIL 
 NIL 
 (-659 S) 
-((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#1|) "\\spad{list(x)} returns the list of one element \\spad{x}."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+((|constructor| (NIL "A list aggregate is a model for a linked list data structure. A linked list is a versatile data structure. Insertion and deletion are efficient and searching is a linear operation.")) (|list| (($ |#1|) "\\spad{list(x)} returns the list of one element \\spad{x.}"))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-660 -1564) 
-((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = B}. It is essentially a particular instantiation of the package \\spadtype{LinearSystemMatrixPackage} for Matrix and Vector. This package\\spad{'s} existence makes it easier to use \\spadfun{solve} in the AXIOM interpreter.")) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{rank(A,{}B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = B}.")) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{hasSolution?(A,{}B)} tests if the linear system \\spad{AX = B} has a solution.")) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{particularSolution(A,{}B)} finds a particular solution of the linear system \\spad{AX = B}.")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
+(-660 -1647) 
+((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.} It is essentially a particular instantiation of the package \\spadtype{LinearSystemMatrixPackage} for Matrix and Vector. This package's existence makes it easier to use \\spadfun{solve} in the AXIOM interpreter.")) (|rank| (((|NonNegativeInteger|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| (|Vector| |#1|) "failed") (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|List| (|List| |#1|)) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|List| (|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|))))) (|Matrix| |#1|) (|List| (|Vector| |#1|))) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|List| (|List| |#1|)) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}.") (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
-(-661 -1564 |Row| |Col| M) 
-((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = B}.")) (|rank| (((|NonNegativeInteger|) |#4| |#3|) "\\spad{rank(A,{}B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = B}.")) (|hasSolution?| (((|Boolean|) |#4| |#3|) "\\spad{hasSolution?(A,{}B)} tests if the linear system \\spad{AX = B} has a solution.")) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) "\\spad{particularSolution(A,{}B)} finds a particular solution of the linear system \\spad{AX = B}.")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) "\\spad{solve(A,{}LB)} finds a particular soln of the systems \\spad{AX = B} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB}.") (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{solve(A,{}B)} finds a particular solution of the system \\spad{AX = B} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
+(-661 -1647 |Row| |Col| M) 
+((|constructor| (NIL "This package solves linear system in the matrix form \\spad{AX = \\spad{B}.}")) (|rank| (((|NonNegativeInteger|) |#4| |#3|) "\\spad{rank(A,B)} computes the rank of the complete matrix \\spad{(A|B)} of the linear system \\spad{AX = \\spad{B}.}")) (|hasSolution?| (((|Boolean|) |#4| |#3|) "\\spad{hasSolution?(A,B)} tests if the linear system \\spad{AX = \\spad{B}} has a solution.")) (|particularSolution| (((|Union| |#3| "failed") |#4| |#3|) "\\spad{particularSolution(A,B)} finds a particular solution of the linear system \\spad{AX = \\spad{B}.}")) (|solve| (((|List| (|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|)))) |#4| (|List| |#3|)) "\\spad{solve(A,LB)} finds a particular soln of the systems \\spad{AX = \\spad{B}} and a basis of the associated homogeneous systems \\spad{AX = 0} where \\spad{B} varies in the list of column vectors \\spad{LB.}") (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{solve(A,B)} finds a particular solution of the system \\spad{AX = \\spad{B}} and a basis of the associated homogeneous system \\spad{AX = 0}."))) 
 NIL 
 NIL 
 (-662 R E OV P) 
-((|constructor| (NIL "This package finds the solutions of linear systems presented as a list of polynomials.")) (|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) "\\spad{linSolve(lp,{}lvar)} finds the solutions of the linear system of polynomials \\spad{lp} = 0 with respect to the list of symbols \\spad{lvar}."))) 
+((|constructor| (NIL "This package finds the solutions of linear systems presented as a list of polynomials.")) (|linSolve| (((|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| |#4|)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| |#4|))))) (|List| |#4|) (|List| |#3|)) "\\spad{linSolve(lp,lvar)} finds the solutions of the linear system of polynomials \\spad{lp} = 0 with respect to the list of symbols lvar."))) 
 NIL 
 NIL 
 (-663 |n| R) 
-((|constructor| (NIL "LieSquareMatrix(\\spad{n},{}\\spad{R}) implements the Lie algebra of the \\spad{n} by \\spad{n} matrices over the commutative ring \\spad{R}. The Lie bracket (commutator) of the algebra is given by\\spad{\\br} \\spad{a*b := (a *\\$SQMATRIX(n,{}R) b - b *\\$SQMATRIX(n,{}R) a)},{}\\spad{\\br} where \\spadfun{*\\$SQMATRIX(\\spad{n},{}\\spad{R})} is the usual matrix multiplication."))) 
-((-4532 . T) (-4535 . T) (-4529 . T) (-4530 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559))) (-2232 (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+((|constructor| (NIL "LieSquareMatrix(n,R) implements the Lie algebra of the \\spad{n} by \\spad{n} matrices over the commutative ring \\spad{R.} The Lie bracket (commutator) of the algebra is given by\\br \\spad{a*b \\spad{:=} (a *$SQMATRIX(n,R) \\spad{b} - \\spad{b} *$SQMATRIX(n,R) a)},\\br where \\spadfun{*$SQMATRIX(n,R)} is the usual matrix multiplication."))) 
+((-4568 . T) (-4571 . T) (-4565 . T) (-4566 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559))) (-1929 (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) (|HasCategory| |#2| (QUOTE (-173)))) 
 (-664 |VarSet|) 
-((|constructor| (NIL "Lyndon words over arbitrary (ordered) symbols: see Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications). A Lyndon word is a word which is smaller than any of its right factors \\spad{w}.\\spad{r}.\\spad{t}. the pure lexicographical ordering. If \\axiom{a} and \\axiom{\\spad{b}} are two Lyndon words such that \\axiom{a < \\spad{b}} holds \\spad{w}.\\spad{r}.\\spad{t} lexicographical ordering then \\axiom{a*b} is a Lyndon word. Parenthesized Lyndon words can be generated from symbols by using the following rule:\\spad{\\br} \\axiom{[[a,{}\\spad{b}],{}\\spad{c}]} is a Lyndon word iff \\axiom{a*b < \\spad{c} \\spad{<=} \\spad{b}} holds.\\spad{\\br} Lyndon words are internally represented by binary trees using the \\spadtype{Magma} domain constructor. Two ordering are provided: lexicographic and length-lexicographic.")) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList(\\spad{vl},{} \\spad{n})} returns the list of Lyndon words over the alphabet \\axiom{\\spad{vl}},{} up to order \\axiom{\\spad{n}}.")) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) "\\axiom{\\spad{LyndonWordsList1}(\\spad{vl},{} \\spad{n})} returns an array of lists of Lyndon words over the alphabet \\axiom{\\spad{vl}},{} up to order \\axiom{\\spad{n}}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndonIfCan(\\spad{w})} convert \\axiom{\\spad{w}} into a Lyndon word.")) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon(\\spad{w})} convert \\axiom{\\spad{w}} into a Lyndon word,{} error if \\axiom{\\spad{w}} is not a Lyndon word.")) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon?(\\spad{w})} test if \\axiom{\\spad{w}} is a Lyndon word.")) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) "\\axiom{factor(\\spad{x})} returns the decreasing factorization into Lyndon words.")) (|coerce| (((|Magma| |#1|) $) "\\axiom{coerce(\\spad{x})} returns the element of \\axiomType{Magma}(VarSet) corresponding to \\axiom{\\spad{x}}.") (((|OrderedFreeMonoid| |#1|) $) "\\axiom{coerce(\\spad{x})} returns the element of \\axiomType{OrderedFreeMonoid}(VarSet) corresponding to \\axiom{\\spad{x}}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(\\spad{x},{}\\spad{y})} returns \\axiom{\\spad{true}} iff \\axiom{\\spad{x}} is smaller than \\axiom{\\spad{y}} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\axiom{VarSet}.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(\\spad{x})} returns the number of entries in \\axiom{\\spad{x}}.")) (|right| (($ $) "\\axiom{right(\\spad{x})} returns right subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|left| (($ $) "\\axiom{left(\\spad{x})} returns left subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(\\spad{x})} tests if \\axiom{\\spad{x}} is a tree with only one entry."))) 
+((|constructor| (NIL "Lyndon words over arbitrary (ordered) symbols: see Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications). A Lyndon word is a word which is smaller than any of its right factors w.r.t. the pure lexicographical ordering. If \\axiom{a} and \\axiom{b} are two Lyndon words such that \\axiom{a < \\spad{b}} holds w.r.t lexicographical ordering then \\axiom{a*b} is a Lyndon word. Parenthesized Lyndon words can be generated from symbols by using the following rule:\\br \\axiom{[[a,b],c]} is a Lyndon word iff \\axiom{a*b < \\spad{c} \\spad{<=} \\spad{b}} holds.\\br Lyndon words are internally represented by binary trees using the \\spadtype{Magma} domain constructor. Two ordering are provided: lexicographic and length-lexicographic.")) (|LyndonWordsList| (((|List| $) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList(vl, \\spad{n)}} returns the list of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|LyndonWordsList1| (((|OneDimensionalArray| (|List| $)) (|List| |#1|) (|PositiveInteger|)) "\\axiom{LyndonWordsList1(vl, \\spad{n)}} returns an array of lists of Lyndon words over the alphabet \\axiom{vl}, up to order \\axiom{n}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|lyndonIfCan| (((|Union| $ "failed") (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndonIfCan(w)} convert \\axiom{w} into a Lyndon word.")) (|lyndon| (($ (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon(w)} convert \\axiom{w} into a Lyndon word, error if \\axiom{w} is not a Lyndon word.")) (|lyndon?| (((|Boolean|) (|OrderedFreeMonoid| |#1|)) "\\axiom{lyndon?(w)} test if \\axiom{w} is a Lyndon word.")) (|factor| (((|List| $) (|OrderedFreeMonoid| |#1|)) "\\axiom{factor(x)} returns the decreasing factorization into Lyndon words.")) (|coerce| (((|Magma| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{Magma}(VarSet) corresponding to \\axiom{x}.") (((|OrderedFreeMonoid| |#1|) $) "\\axiom{coerce(x)} returns the element of \\axiomType{OrderedFreeMonoid}(VarSet) corresponding to \\axiom{x}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry."))) 
 NIL 
 NIL 
 (-665 A S) 
-((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?',{} \\spadignore{e.g.} 'first' and 'rest',{} will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+-\\spad{>i>100},{}\\spad{m}) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,{}\\spad{n}) causes entries to be computed,{} if necessary,{}} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(\\spad{m},{}20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{\\spad{rst}(\\spad{s}) returns a pointer to the next node of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\indented{1}{frst(\\spad{s}) returns the first element of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s}. Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(\\spad{s}) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(\\spad{s}) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(\\spad{s}) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries,{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{select(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f}.} \\indented{1}{Note that \\spad{select(f,{}st) = [x for x in st | f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} select(\\spad{x+}->prime? \\spad{x},{}\\spad{m})")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{remove(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f}.} \\indented{1}{Note that \\spad{remove(f,{}st) = [x for x in st | not f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(\\spad{f},{}\\spad{m})"))) 
+((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', \\spadignore{e.g.} 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,n) causes entries to be computed, if necessary,} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{rst(s) returns a pointer to the next node of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#2| $) "\\indented{1}{frst(s) returns the first element of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(s) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(s) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(s) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{select(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in st | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#2|) $) "\\indented{1}{remove(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in st | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
 NIL 
 NIL 
 (-666 S) 
-((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?',{} \\spadignore{e.g.} 'first' and 'rest',{} will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+-\\spad{>i>100},{}\\spad{m}) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,{}\\spad{n}) causes entries to be computed,{} if necessary,{}} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(\\spad{m},{}20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{\\spad{rst}(\\spad{s}) returns a pointer to the next node of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\indented{1}{frst(\\spad{s}) returns the first element of stream \\spad{s}.} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s}. Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(\\spad{s}) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(\\spad{s}) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(\\spad{s}) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries,{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{select(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f}.} \\indented{1}{Note that \\spad{select(f,{}st) = [x for x in st | f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 0..] \\spad{X} select(\\spad{x+}->prime? \\spad{x},{}\\spad{m})")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{remove(\\spad{f},{}st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f}.} \\indented{1}{Note that \\spad{remove(f,{}st) = [x for x in st | not f(x)]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(\\spad{f},{}\\spad{m})"))) 
-((-2982 . T)) 
+((|constructor| (NIL "LazyStreamAggregate is the category of streams with lazy evaluation. It is understood that the function 'empty?' will cause lazy evaluation if necessary to determine if there are entries. Functions which call 'empty?', \\spadignore{e.g.} 'first' and 'rest', will also cause lazy evaluation if necessary.")) (|complete| (($ $) "\\indented{1}{complete(st) causes all entries of 'st' to be computed.} \\indented{1}{this function should only be called on streams which are} \\indented{1}{known to be finite.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} n:=filterUntil(i+->i>100,m) \\spad{X} numberOfComputedEntries \\spad{n} \\spad{X} complete \\spad{n} \\spad{X} numberOfComputedEntries \\spad{n}")) (|extend| (($ $ (|Integer|)) "\\indented{1}{extend(st,n) causes entries to be computed, if necessary,} \\indented{1}{so that 'st' will have at least \\spad{'n'} explicit entries or so} \\indented{1}{that all entries of 'st' will be computed if 'st' is finite} \\indented{1}{with length \\spad{<=} \\spad{n.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m} \\spad{X} extend(m,20) \\spad{X} numberOfComputedEntries \\spad{m}")) (|numberOfComputedEntries| (((|NonNegativeInteger|) $) "\\indented{1}{numberOfComputedEntries(st) returns the number of explicitly} \\indented{1}{computed entries of stream st which exist immediately prior to the} \\indented{1}{time this function is called.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} numberOfComputedEntries \\spad{m}")) (|rst| (($ $) "\\indented{1}{rst(s) returns a pointer to the next node of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} \\spad{rst} \\spad{m}")) (|frst| ((|#1| $) "\\indented{1}{frst(s) returns the first element of stream \\spad{s.}} \\indented{1}{Caution: this function should only be called after a \\spad{empty?}} \\indented{1}{test has been made since there no error check.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} frst \\spad{m}")) (|lazyEvaluate| (($ $) "\\spad{lazyEvaluate(s)} causes one lazy evaluation of stream \\spad{s.} Caution: the first node must be a lazy evaluation mechanism (satisfies \\spad{lazy?(s) = true}) as there is no error check. Note that a call to this function may or may not produce an explicit first entry")) (|lazy?| (((|Boolean|) $) "\\indented{1}{lazy?(s) returns \\spad{true} if the first node of the stream \\spad{s}} \\indented{1}{is a lazy evaluation mechanism which could produce an} \\indented{1}{additional entry to \\spad{s.}} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} lazy? \\spad{m}")) (|explicitlyEmpty?| (((|Boolean|) $) "\\indented{1}{explicitlyEmpty?(s) returns \\spad{true} if the stream is an} \\indented{1}{(explicitly) empty stream.} \\indented{1}{Note that this is a null test which will not cause lazy evaluation.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitlyEmpty? \\spad{m}")) (|explicitEntries?| (((|Boolean|) $) "\\indented{1}{explicitEntries?(s) returns \\spad{true} if the stream \\spad{s} has} \\indented{1}{explicitly computed entries, and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} explicitEntries? \\spad{m}")) (|select| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{select(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st satisfying the predicate \\spad{f.}} \\indented{1}{Note that \\spad{select(f,st) = \\spad{[x} for \\spad{x} in st | f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 0..] \\spad{X} select(x+->prime? x,m)")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{remove(f,st) returns a stream consisting of those elements of stream} \\indented{1}{st which do not satisfy the predicate \\spad{f.}} \\indented{1}{Note that \\spad{remove(f,st) = \\spad{[x} for \\spad{x} in st | not f(x)]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(i:PositiveInteger):Boolean \\spad{==} even? \\spad{i} \\spad{X} remove(f,m)"))) 
+((-4317 . T)) 
 NIL 
 (-667 R) 
-((|constructor| (NIL "This domain represents three dimensional matrices over a general object type")) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) "\\spad{matrixDimensions(x)} returns the dimensions of a matrix")) (|matrixConcat3D| (($ (|Symbol|) $ $) "\\spad{matrixConcat3D(s,{}x,{}y)} concatenates two 3-\\spad{D} matrices along a specified axis")) (|coerce| (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) "\\spad{coerce(x)} moves from the domain to the representation type") (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) "\\spad{coerce(p)} moves from the representation type (PrimitiveArray PrimitiveArray PrimitiveArray \\spad{R}) to the domain")) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{setelt!(x,{}i,{}j,{}k,{}s)} (or \\spad{x}.\\spad{i}.\\spad{j}.k:=s) sets a specific element of the array to some value of type \\spad{R}")) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{elt(x,{}i,{}j,{}k)} extract an element from the matrix \\spad{x}")) (|construct| (($ (|List| (|List| (|List| |#1|)))) "\\spad{construct(lll)} creates a 3-\\spad{D} matrix from a List List List \\spad{R} \\spad{lll}")) (|plus| (($ $ $) "\\spad{plus(x,{}y)} adds two matrices,{} term by term we note that they must be the same size")) (|identityMatrix| (($ (|NonNegativeInteger|)) "\\spad{identityMatrix(n)} create an identity matrix we note that this must be square")) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zeroMatrix(i,{}j,{}k)} create a matrix with all zero terms"))) 
+((|constructor| (NIL "This domain represents three dimensional matrices over a general object type")) (|matrixDimensions| (((|Vector| (|NonNegativeInteger|)) $) "\\spad{matrixDimensions(x)} returns the dimensions of a matrix")) (|matrixConcat3D| (($ (|Symbol|) $ $) "\\spad{matrixConcat3D(s,x,y)} concatenates two 3-D matrices along a specified axis")) (|coerce| (((|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|))) $) "\\spad{coerce(x)} moves from the domain to the representation type") (($ (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| |#1|)))) "\\spad{coerce(p)} moves from the representation type (PrimitiveArray PrimitiveArray PrimitiveArray \\spad{R)} to the domain")) (|setelt!| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{setelt!(x,i,j,k,s)} (or x.i.j.k:=s) sets a specific element of the array to some value of type \\spad{R}")) (|elt| ((|#1| $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{elt(x,i,j,k)} extract an element from the matrix \\spad{x}")) (|construct| (($ (|List| (|List| (|List| |#1|)))) "\\spad{construct(lll)} creates a 3-D matrix from a List List List \\spad{R} \\spad{lll}")) (|plus| (($ $ $) "\\spad{plus(x,y)} adds two matrices, term by term we note that they must be the same size")) (|identityMatrix| (($ (|NonNegativeInteger|)) "\\spad{identityMatrix(n)} create an identity matrix we note that this must be square")) (|zeroMatrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{zeroMatrix(i,j,k)} create a matrix with all zero terms"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-668 |VarSet|) 
-((|constructor| (NIL "This type is the basic representation of parenthesized words (binary trees over arbitrary symbols) useful in \\spadtype{LiePolynomial}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(\\spad{x})} returns the list of distinct entries of \\axiom{\\spad{x}}.")) (|right| (($ $) "\\axiom{right(\\spad{x})} returns right subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(\\spad{x})} tests if \\axiom{\\spad{x}} is a tree with only one entry.")) (|rest| (($ $) "\\axiom{rest(\\spad{x})} return \\axiom{\\spad{x}} without the first entry or error if retractable?(\\spad{x}) is \\spad{true}.")) (|mirror| (($ $) "\\axiom{mirror(\\spad{x})} returns the reversed word of \\axiom{\\spad{x}}. That is \\axiom{\\spad{x}} itself if retractable?(\\spad{x}) is \\spad{true} and \\axiom{mirror(\\spad{z}) * mirror(\\spad{y})} if \\axiom{\\spad{x}} is \\axiom{\\spad{y*z}}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(\\spad{x},{}\\spad{y})} returns \\axiom{\\spad{true}} iff \\axiom{\\spad{x}} is smaller than \\axiom{\\spad{y}} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\axiom{VarSet}. \\spad{N}.\\spad{B}. This operation does not take into account the tree structure of its arguments. Thus this is not a total ordering.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(\\spad{x})} returns the number of entries in \\axiom{\\spad{x}}.")) (|left| (($ $) "\\axiom{left(\\spad{x})} returns left subtree of \\axiom{\\spad{x}} or error if retractable?(\\spad{x}) is \\spad{true}.")) (|first| ((|#1| $) "\\axiom{first(\\spad{x})} returns the first entry of the tree \\axiom{\\spad{x}}.")) (|coerce| (((|OrderedFreeMonoid| |#1|) $) "\\indented{1}{\\axiom{coerce(\\spad{x})} returns the element of} \\axiomType{OrderedFreeMonoid}(VarSet) \\indented{1}{corresponding to \\axiom{\\spad{x}} by removing parentheses.}")) (* (($ $ $) "\\axiom{x*y} returns the tree \\axiom{[\\spad{x},{}\\spad{y}]}."))) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-668 MPT MD) 
+((|constructor| (NIL "This category specifies operations needed by ModularAlgebraicGcd package. Since we have multiple implementations we specify interface here and put implementations in separate packages. Most operations are done using special purpose abstract representation. Apropriate types are passesd as parametes: \\spad{MPT} is type of modular polynomials in one variable with coefficients in some algebraic extension. \\spad{MD} is type of modulus. Final results are converted to packed representation, with coefficients (from prime field) stored in one array and exponents (in main variable and in auxilary variables representing generators of algebrac extension) stored in parallel array.")) (|repack1| (((|Void|) |#1| (|U32Vector|) (|Integer|) |#2|) "\\spad{repack1(x, a, \\spad{d,} \\spad{m)}} stores coefficients of \\spad{x} in a. \\spad{d} is degree of \\spad{x.} Corresponding exponents are given by packExps.")) (|packExps| ((|SortedExponentVector| (|Integer|) (|Integer|) |#2|) "\\spad{packExps(d, \\spad{s,} \\spad{m)}} produces vector of exponents up to degree \\spad{d.} \\spad{s} is size (degree) of algebraic extension. Use together with repack1.")) (|degree| (((|Integer|) |#1|) "\\spad{degree(x)} gives degree of \\spad{x.}")) (|zero?| (((|Boolean|) |#1|) "\\spad{zero?(x)} checks if \\spad{x} is zero.")) (|MPtoMPT| ((|#1| (|Polynomial| (|Integer|)) (|Symbol|) (|List| (|Symbol|)) |#2|) "\\spad{MPtoMPT(p, \\spad{s,} \\spad{ls,} \\spad{m)}} coverts \\spad{p} to packed represntation.")) (|packModulus| (((|Union| |#2| "failed") (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Integer|)) "\\spad{packModulus(lp, \\spad{ls,} \\spad{p)}} converts \\spad{lp,} \\spad{ls} and prime \\spad{p} which together describe algebraic extension to packed representation.")) (|canonicalIfCan| (((|Union| |#1| "failed") |#1| |#2|) "\\spad{canonicalIfCan(x, \\spad{m)}} tries to divide \\spad{x} by its leading coefficient modulo \\spad{m.}")) (|pseudoRem| ((|#1| |#1| |#1| |#2|) "\\spad{pseudoRem(x, \\spad{y,} \\spad{m)}} computes pseudoremainder of \\spad{x} by \\spad{y} modulo \\spad{m.}"))) 
 NIL 
 NIL 
-(-669 A) 
-((|constructor| (NIL "Various Currying operations.")) (|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) "\\spad{recur(n,{}g,{}x)} is \\spad{g(n,{}g(n-1,{}..g(1,{}x)..))}.")) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) "\\spad{iter(f,{}n,{}x)} applies \\spad{f n} times to \\spad{x}."))) 
+(-669 |VarSet|) 
+((|constructor| (NIL "This type is the basic representation of parenthesized words (binary trees over arbitrary symbols) useful in \\spadtype{LiePolynomial}.")) (|varList| (((|List| |#1|) $) "\\axiom{varList(x)} returns the list of distinct entries of \\axiom{x}.")) (|right| (($ $) "\\axiom{right(x)} returns right subtree of \\axiom{x} or error if retractable?(x) is true.")) (|retractable?| (((|Boolean|) $) "\\axiom{retractable?(x)} tests if \\axiom{x} is a tree with only one entry.")) (|rest| (($ $) "\\axiom{rest(x)} return \\axiom{x} without the first entry or error if retractable?(x) is true.")) (|mirror| (($ $) "\\axiom{mirror(x)} returns the reversed word of \\axiom{x}. That is \\axiom{x} itself if retractable?(x) is \\spad{true} and \\axiom{mirror(z) * mirror(y)} if \\axiom{x} is \\axiom{y*z}.")) (|lexico| (((|Boolean|) $ $) "\\axiom{lexico(x,y)} returns \\axiom{true} iff \\axiom{x} is smaller than \\axiom{y} w.r.t. the lexicographical ordering induced by \\axiom{VarSet}. N.B. This operation does not take into account the tree structure of its arguments. Thus this is not a total ordering.")) (|length| (((|PositiveInteger|) $) "\\axiom{length(x)} returns the number of entries in \\axiom{x}.")) (|left| (($ $) "\\axiom{left(x)} returns left subtree of \\axiom{x} or error if retractable?(x) is true.")) (|first| ((|#1| $) "\\axiom{first(x)} returns the first entry of the tree \\axiom{x}.")) (|coerce| (((|OrderedFreeMonoid| |#1|) $) "\\indented{1}{\\axiom{coerce(x)} returns the element of} \\axiomType{OrderedFreeMonoid}(VarSet) \\indented{1}{corresponding to \\axiom{x} by removing parentheses.}")) (* (($ $ $) "\\axiom{x*y} returns the tree \\axiom{[x,y]}."))) 
 NIL 
 NIL 
-(-670 A C) 
-((|constructor| (NIL "Various Currying operations.")) (|arg2| ((|#2| |#1| |#2|) "\\spad{arg2(a,{}c)} selects its second argument.")) (|arg1| ((|#1| |#1| |#2|) "\\spad{arg1(a,{}c)} selects its first argument."))) 
+(-670 A) 
+((|constructor| (NIL "Various Currying operations.")) (|recur| ((|#1| (|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|NonNegativeInteger|) |#1|) "\\spad{recur(n,g,x)} is \\spad{g(n,g(n-1,..g(1,x)..))}.")) (|iter| ((|#1| (|Mapping| |#1| |#1|) (|NonNegativeInteger|) |#1|) "\\spad{iter(f,n,x)} applies \\spad{f \\spad{n}} times to \\spad{x}."))) 
 NIL 
 NIL 
-(-671 A B C) 
-((|constructor| (NIL "Various Currying operations.")) (|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{comp(f,{}g,{}x)} is \\spad{f(g x)}."))) 
+(-671 A C) 
+((|constructor| (NIL "Various Currying operations.")) (|arg2| ((|#2| |#1| |#2|) "\\spad{arg2(a,c)} selects its second argument.")) (|arg1| ((|#1| |#1| |#2|) "\\spad{arg1(a,c)} selects its first argument."))) 
 NIL 
 NIL 
-(-672 A) 
-((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,{}x)= g(n,{}g(n-1,{}..g(1,{}x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the \\spad{n}-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id x} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,{}n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint f} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint f = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
+(-672 A B C) 
+((|constructor| (NIL "Various Currying operations.")) (|comp| ((|#3| (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{comp(f,g,x)} is \\spad{f(g x)}."))) 
 NIL 
 NIL 
-(-673 A C) 
-((|constructor| (NIL "Various Currying operations.")) (|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) "\\spad{diag(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a = f(a,{}a)}.}")) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) "\\spad{vu(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a= f ()}.}")) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{cu(f,{}a)} is the function \\spad{g} \\indented{1}{such that \\spad{g ()= f a}.}")) (|const| (((|Mapping| |#2| |#1|) |#2|) "\\spad{const c} is a function which produces \\spad{c} when \\indented{1}{applied to its argument.}"))) 
+(-673 A) 
+((|constructor| (NIL "Various Currying operations.")) (|recur| (((|Mapping| |#1| (|NonNegativeInteger|) |#1|) (|Mapping| |#1| (|NonNegativeInteger|) |#1|)) "\\spad{recur(g)} is the function \\spad{h} such that \\indented{1}{\\spad{h(n,x)= g(n,g(n-1,..g(1,x)..))}.}")) (** (((|Mapping| |#1| |#1|) (|Mapping| |#1| |#1|) (|NonNegativeInteger|)) "\\spad{f**n} is the function which is the n-fold application \\indented{1}{of \\spad{f}.}")) (|id| ((|#1| |#1|) "\\spad{id \\spad{x}} is \\spad{x}.")) (|fixedPoint| (((|List| |#1|) (|Mapping| (|List| |#1|) (|List| |#1|)) (|Integer|)) "\\spad{fixedPoint(f,n)} is the fixed point of function \\indented{1}{\\spad{f} which is assumed to transform a list of length} \\indented{1}{\\spad{n}.}") ((|#1| (|Mapping| |#1| |#1|)) "\\spad{fixedPoint \\spad{f}} is the fixed point of function \\spad{f}. \\indented{1}{\\spadignore{i.e.} such that \\spad{fixedPoint \\spad{f} = f(fixedPoint f)}.}")) (|coerce| (((|Mapping| |#1|) |#1|) "\\spad{coerce A} changes its argument into a \\indented{1}{nullary function.}")) (|nullary| (((|Mapping| |#1|) |#1|) "\\spad{nullary A} changes its argument into a \\indented{1}{nullary function.}"))) 
 NIL 
 NIL 
-(-674 A B C) 
-((|constructor| (NIL "Various Currying operations.")) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) "\\spad{f*g} is the function \\spad{h} \\indented{1}{such that \\spad{h x= f(g x)}.}")) (|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) "\\spad{twist(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f(b,{}a)}.}")) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) "\\spad{constantLeft(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f b}.}")) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) "\\spad{constantRight(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,{}b)= f a}.}")) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) "\\spad{curryLeft(f,{}a)} is the function \\spad{g} \\indented{1}{such that \\spad{g b = f(a,{}b)}.}")) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) "\\spad{curryRight(f,{}b)} is the function \\spad{g} such that \\indented{1}{\\spad{g a = f(a,{}b)}.}"))) 
+(-674 A C) 
+((|constructor| (NIL "Various Currying operations.")) (|diag| (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1| |#1|)) "\\spad{diag(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a = f(a,a)}.}")) (|constant| (((|Mapping| |#2| |#1|) (|Mapping| |#2|)) "\\spad{vu(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g a= \\spad{f} ()}.}")) (|curry| (((|Mapping| |#2|) (|Mapping| |#2| |#1|) |#1|) "\\spad{cu(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{()=} \\spad{f} a}.}")) (|const| (((|Mapping| |#2| |#1|) |#2|) "\\spad{const \\spad{c}} is a function which produces \\spad{c} when \\indented{1}{applied to its argument.}"))) 
 NIL 
 NIL 
-(-675 A B) 
-((|constructor| (NIL "Functional Composition. Given functions \\spad{f} and \\spad{g},{} returns the applicable closure")) (/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{p:=}(x:EXPR(INT)):EXPR(INT)+->3*x \\spad{X} \\spad{q:=}(x:EXPR(INT)):EXPR(INT)+-\\spad{>2*x+3} \\spad{X} (\\spad{p/q})(4) \\spad{X} (\\spad{p/q})(\\spad{x})")) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f*g})(4)")) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f}-\\spad{g})(4)")) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}\\spad{(+) does functional addition} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> 2*x+3 \\spad{X} (\\spad{f+g})(4)"))) 
+(-675 A B C) 
+((|constructor| (NIL "Various Currying operations.")) (* (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#2|) (|Mapping| |#2| |#1|)) "\\spad{f*g} is the function \\spad{h} \\indented{1}{such that \\spad{h \\spad{x=} \\spad{f(g} x)}.}")) (|twist| (((|Mapping| |#3| |#2| |#1|) (|Mapping| |#3| |#1| |#2|)) "\\spad{twist(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= f(b,a)}.}")) (|constantLeft| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#2|)) "\\spad{constantLeft(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} b}.}")) (|constantRight| (((|Mapping| |#3| |#1| |#2|) (|Mapping| |#3| |#1|)) "\\spad{constantRight(f)} is the function \\spad{g} \\indented{1}{such that \\spad{g (a,b)= \\spad{f} a}.}")) (|curryLeft| (((|Mapping| |#3| |#2|) (|Mapping| |#3| |#1| |#2|) |#1|) "\\spad{curryLeft(f,a)} is the function \\spad{g} \\indented{1}{such that \\spad{g \\spad{b} = f(a,b)}.}")) (|curryRight| (((|Mapping| |#3| |#1|) (|Mapping| |#3| |#1| |#2|) |#2|) "\\spad{curryRight(f,b)} is the function \\spad{g} such that \\indented{1}{\\spad{g a = f(a,b)}.}"))) 
 NIL 
 NIL 
-(-676 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
-((|constructor| (NIL "\\spadtype{MatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) "\\spad{reduce(f,{}m,{}r)} returns a matrix \\spad{n} where \\spad{n[i,{}j] = f(m[i,{}j],{}r)} for all indices \\spad{i} and \\spad{j}.")) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}.") ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
+(-676 A B) 
+((|constructor| (NIL "Functional Composition. Given functions \\spad{f} and \\spad{g,} returns the applicable closure")) (/ (((|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|) (|Mapping| (|Expression| (|Integer|)) |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} p:=(x:EXPR(INT)):EXPR(INT)+->3*x \\spad{X} \\spad{q:=(x:EXPR(INT)):EXPR(INT)+->2*x+3} \\spad{X} (p/q)(4) \\spad{X} (p/q)(x)")) (* (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f*g)(4)")) (- (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f-g)(4)")) (+ (((|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|) (|Mapping| |#2| |#1|)) "\\indented{1}{\\spad(+) does functional addition} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} 2*x+3 \\spad{X} (f+g)(4)"))) 
 NIL 
 NIL 
-(-677 S R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}.} \\indented{1}{If the matrix is not invertible,{} \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m}.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,{}1,{}0,{}0],{}[\\spad{-1},{}0,{}0,{}0],{}[0,{}0,{}0,{}1],{}[0,{}0,{}\\spad{-1},{}0]]")) (|minordet| ((|#2| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m}.} \\blankline \\spad{X} nullSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m}.} \\blankline \\spad{X} nullity matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m}.} \\blankline \\spad{X} rank matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|columnSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\indented{1}{\\spad{exquo(m,{}r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(\\spad{m},{}2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m}.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x ** n} computes a non-negative integral power of the matrix \\spad{x}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\indented{1}{\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\indented{1}{\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * x} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\indented{1}{\\spad{x * r} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * y} is the product of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - y} is the difference of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m}-\\spad{m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + y} is the sum of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,{}i1,{}j1,{}y)} destructively alters the} \\indented{1}{matrix \\spad{x}. Here \\spad{x(i,{}j)} is set to \\spad{y(i-i1+1,{}j-j1+1)} for} \\indented{1}{\\spad{i = i1,{}...,{}i1-1+nrows y} and \\spad{j = j1,{}...,{}j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(\\spad{m},{}2,{}2,{}matrix [[3,{}3],{}[3,{}3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,{}i1,{}i2,{}j1,{}j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,{}j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(\\spad{m},{}1,{}3,{}2,{}4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(\\spad{m},{}2,{}4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(\\spad{m},{}2,{}4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,{}rowList,{}colList,{}y)} destructively alters the matrix \\spad{x}.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n},{} \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,{}j<2>,{}...,{}j<n>]},{} then \\spad{x(i<k>,{}j<l>)}} \\indented{1}{is set to \\spad{y(k,{}l)} for \\spad{k = 1,{}...,{}m} and \\spad{l = 1,{}...,{}n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(\\spad{m},{}3,{}3,{}10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,{}rowList,{}colList)} returns an \\spad{m}-by-\\spad{n} matrix consisting} \\indented{1}{of elements of \\spad{x},{} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]} and \\spad{colList =} \\indented{1}{[j<1>,{}j<2>,{}...,{}j<n>]},{} then the \\spad{(k,{}l)}th entry of} \\indented{1}{\\spad{elt(x,{}rowList,{}colList)} is \\spad{x(i<k>,{}j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(\\spad{m},{}3,{}3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,{}y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(\\spad{m},{}\\spad{m})")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,{}y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(\\spad{m},{}\\spad{m})")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an \\spad{n}-by-\\spad{n} matrix consisting of the first} \\indented{1}{\\spad{n} rows of the \\spad{m}-by-\\spad{n} matrix \\spad{m}. Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,{}2,{}3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,{}2,{}3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,{}...,{}mk])} creates a block diagonal matrix} \\indented{1}{\\spad{M} with block matrices \\spad{m1},{}...,{}\\spad{mk} down the diagonal,{}} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{\\spad{ri} := nrows \\spad{mi}},{} \\spad{\\spad{ci} := ncols \\spad{mi}},{}} \\indented{1}{then \\spad{m} is an (\\spad{r1+}..\\spad{+rk}) by (\\spad{c1+}..\\spad{+ck}) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))},{} if} \\indented{1}{\\spad{(r1+..+r(l-1)) < i <= r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < i <= c1+..+cl},{}} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,{}2],{}[3,{}4]],{} matrix [[4,{}5],{}[6,{}7]]]") (($ (|List| |#2|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,{}2,{}3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\indented{1}{\\spad{scalarMatrix(n,{}r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,{}5)")) (|matrix| (($ (|List| (|List| |#2|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,{}n)} returns an \\spad{m}-by-\\spad{n} zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,{}3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j})} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false}} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{\\spad{false} otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
+(-677 R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+((|constructor| (NIL "\\spadtype{MatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#5| (|Mapping| |#5| |#1| |#5|) |#4| |#5|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices \\spad{i} and \\spad{j.}")) (|map| (((|Union| |#8| "failed") (|Mapping| (|Union| |#5| "failed") |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}") ((|#8| (|Mapping| |#5| |#1|) |#4|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559)))) 
-(-678 R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}.} \\indented{1}{If the matrix is not invertible,{} \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m}.} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,{}1,{}0,{}0],{}[\\spad{-1},{}0,{}0,{}0],{}[0,{}0,{}0,{}1],{}[0,{}0,{}\\spad{-1},{}0]]")) (|minordet| ((|#1| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m}.} \\blankline \\spad{X} nullSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m}.} \\blankline \\spad{X} nullity matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m}.} \\blankline \\spad{X} rank matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9]]")) (|columnSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{exquo(m,{}r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(\\spad{m},{}2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m}.} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x ** n} computes a non-negative integral power of the matrix \\spad{x}.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\indented{1}{\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\indented{1}{\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,{}2,{}3,{}4,{}5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * x} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\indented{1}{\\spad{x * r} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * y} is the product of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - y} is the difference of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m}-\\spad{m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + y} is the sum of the matrices \\spad{x} and \\spad{y}.} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,{}i1,{}j1,{}y)} destructively alters the} \\indented{1}{matrix \\spad{x}. Here \\spad{x(i,{}j)} is set to \\spad{y(i-i1+1,{}j-j1+1)} for} \\indented{1}{\\spad{i = i1,{}...,{}i1-1+nrows y} and \\spad{j = j1,{}...,{}j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(\\spad{m},{}2,{}2,{}matrix [[3,{}3],{}[3,{}3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,{}i1,{}i2,{}j1,{}j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,{}j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(\\spad{m},{}1,{}3,{}2,{}4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(\\spad{m},{}2,{}4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,{}i,{}j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m}. This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(\\spad{m},{}2,{}4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,{}rowList,{}colList,{}y)} destructively alters the matrix \\spad{x}.} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n},{} \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,{}j<2>,{}...,{}j<n>]},{} then \\spad{x(i<k>,{}j<l>)}} \\indented{1}{is set to \\spad{y(k,{}l)} for \\spad{k = 1,{}...,{}m} and \\spad{l = 1,{}...,{}n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(\\spad{m},{}3,{}3,{}10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,{}rowList,{}colList)} returns an \\spad{m}-by-\\spad{n} matrix consisting} \\indented{1}{of elements of \\spad{x},{} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,{}i<2>,{}...,{}i<m>]} and \\spad{colList =} \\indented{1}{[j<1>,{}j<2>,{}...,{}j<n>]},{} then the \\spad{(k,{}l)}th entry of} \\indented{1}{\\spad{elt(x,{}rowList,{}colList)} is \\spad{x(i<k>,{}j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(\\spad{m},{}3,{}3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,{}y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(\\spad{m},{}\\spad{m})")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,{}y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of \\spad{x}.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(\\spad{m},{}\\spad{m})")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an \\spad{n}-by-\\spad{n} matrix consisting of the first} \\indented{1}{\\spad{n} rows of the \\spad{m}-by-\\spad{n} matrix \\spad{m}. Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,{}2,{}3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,{}2,{}3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,{}...,{}mk])} creates a block diagonal matrix} \\indented{1}{\\spad{M} with block matrices \\spad{m1},{}...,{}\\spad{mk} down the diagonal,{}} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{\\spad{ri} := nrows \\spad{mi}},{} \\spad{\\spad{ci} := ncols \\spad{mi}},{}} \\indented{1}{then \\spad{m} is an (\\spad{r1+}..\\spad{+rk}) by (\\spad{c1+}..\\spad{+ck}) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))},{} if} \\indented{1}{\\spad{(r1+..+r(l-1)) < i <= r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < i <= c1+..+cl},{}} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,{}2],{}[3,{}4]],{} matrix [[4,{}5],{}[6,{}7]]]") (($ (|List| |#1|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,{}2,{}3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{\\spad{scalarMatrix(n,{}r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,{}5)")) (|matrix| (($ (|List| (|List| |#1|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,{}2,{}3],{}[4,{}5,{}6],{}[7,{}8,{}9],{}[1,{}1,{}1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,{}n)} returns an \\spad{m}-by-\\spad{n} zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,{}3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j})} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false}} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{\\spad{false} otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
 NIL 
-(-679 R |Row| |Col| M) 
-((|constructor| (NIL "\\spadtype{MatrixLinearAlgebraFunctions} provides functions to compute inverses and canonical forms.")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,{}d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen,{} \\spadignore{e.g.} positive remainders")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) "\\spad{adjoint(m)} returns the ajoint matrix of \\spad{m} (\\spadignore{i.e.} the matrix \\spad{n} such that \\spad{m*n} = determinant(\\spad{m})*id) and the detrminant of \\spad{m}.")) (|invertIfCan| (((|Union| |#4| "failed") |#4|) "\\spad{invertIfCan(m)} returns the inverse of \\spad{m} over \\spad{R}")) (|fractionFreeGauss!| ((|#4| |#4|) "\\spad{fractionFreeGauss(m)} performs the fraction free gaussian elimination on the matrix \\spad{m}.")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elColumn2!(m,{}a,{}i,{}j)} adds to column \\spad{i} a*column(\\spad{m},{}\\spad{j}) : elementary operation of second kind. (\\spad{i} \\spad{^=j})")) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elRow2!(m,{}a,{}i,{}j)} adds to row \\spad{i} a*row(\\spad{m},{}\\spad{j}) : elementary operation of second kind. (\\spad{i} \\spad{^=j})")) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{elRow1!(m,{}i,{}j)} swaps rows \\spad{i} and \\spad{j} of matrix \\spad{m} : elementary operation of first kind")) (|minordet| ((|#1| |#4|) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors. Error: if the matrix is not square.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}. an error message is returned if the matrix is not square."))) 
+(-678 S R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.}} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#2| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.}} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#2| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#2| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m.}} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#4|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#2|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\indented{1}{\\spad{exquo(m,r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m.}} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#3| |#3| $) "\\indented{1}{\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#4| $ |#4|) "\\indented{1}{\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * \\spad{x}} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#2|) "\\indented{1}{\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#2| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,i1,j1,y)} destructively alters the} \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.}} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting} \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#2|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first} \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#3|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#4|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix} \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#2|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#2|) "\\indented{1}{\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#2| (|Integer|) (|Integer|))) "\\indented{1}{\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with} \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#2|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,n)} returns an m-by-n zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
+NIL 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-559)))) 
+(-679 R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{MatrixCategory} is a general matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col. A domain belonging to this category will be shallowly mutable. The index of the 'first' row may be obtained by calling the function \\spadfun{minRowIndex}. The index of the 'first' column may be obtained by calling the function \\spadfun{minColIndex}. The index of the first element of a Row is the same as the index of the first column in a matrix and vice versa.")) (|inverse| (((|Union| $ "failed") $) "\\indented{1}{\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.}} \\indented{1}{If the matrix is not invertible, \"failed\" is returned.} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} inverse matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|pfaffian| ((|#1| $) "\\indented{1}{\\spad{pfaffian(m)} returns the Pfaffian of the matrix \\spad{m.}} \\indented{1}{Error if the matrix is not antisymmetric} \\blankline \\spad{X} pfaffian [[0,1,0,0],[-1,0,0,0],[0,0,0,1],[0,0,-1,0]]")) (|minordet| ((|#1| $) "\\indented{1}{\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using} \\indented{1}{minors. Error: if the matrix is not square.} \\blankline \\spad{X} minordet matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|determinant| ((|#1| $) "\\indented{1}{\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} determinant matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|nullSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{nullSpace(m)} returns a basis for the null space of} \\indented{1}{the matrix \\spad{m.}} \\blankline \\spad{X} nullSpace matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|nullity| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is} \\indented{1}{the dimension of the null space of the matrix \\spad{m.}} \\blankline \\spad{X} nullity matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|rank| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{rank(m)} returns the rank of the matrix \\spad{m.}} \\blankline \\spad{X} rank matrix [[1,2,3],[4,5,6],[7,8,9]]")) (|columnSpace| (((|List| |#3|) $) "\\indented{1}{\\spad{columnSpace(m)} returns a sublist of columns of the matrix \\spad{m}} \\indented{1}{forming a basis of its column space} \\blankline \\spad{X} columnSpace matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|rowEchelon| (($ $) "\\indented{1}{\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}} \\blankline \\spad{X} rowEchelon matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (/ (($ $ |#1|) "\\indented{1}{\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m/4}")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{exquo(m,r)} computes the exact quotient of the elements} \\indented{1}{of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.} \\blankline \\spad{X} m:=matrix [[2**i for \\spad{i} in 2..4] for \\spad{j} in 1..5] \\spad{X} exquo(m,2)")) (** (($ $ (|Integer|)) "\\indented{1}{\\spad{m**n} computes an integral power of the matrix \\spad{m.}} \\indented{1}{Error: if matrix is not square or if the matrix} \\indented{1}{is square but not invertible.} \\blankline \\spad{X} (matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]) \\spad{**} 2") (($ $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{x \\spad{**} \\spad{n}} computes a non-negative integral power of the matrix \\spad{x.}} \\indented{1}{Error: if the matrix is not square.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m**3}")) (* ((|#2| |#2| $) "\\indented{1}{\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} r:=transpose([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{r*m}") ((|#3| $ |#3|) "\\indented{1}{\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} c:=coerce([1,2,3,4,5])@Matrix(INT) \\spad{X} \\spad{m*c}") (($ (|Integer|) $) "\\indented{1}{\\spad{n * \\spad{x}} is an integer multiple.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 3*m") (($ $ |#1|) "\\indented{1}{\\spad{x * \\spad{r}} is the right scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*1/3}") (($ |#1| $) "\\indented{1}{\\spad{r*x} is the left scalar multiple of the scalar \\spad{r} and the} \\indented{1}{matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} 1/3*m") (($ $ $) "\\indented{1}{\\spad{x * \\spad{y}} is the product of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m*m}")) (- (($ $) "\\indented{1}{\\spad{-x} returns the negative of the matrix \\spad{x.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{-m}") (($ $ $) "\\indented{1}{\\spad{x - \\spad{y}} is the difference of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m-m}")) (+ (($ $ $) "\\indented{1}{\\spad{x + \\spad{y}} is the sum of the matrices \\spad{x} and \\spad{y.}} \\indented{1}{Error: if the dimensions are incompatible.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} \\spad{m+m}")) (|setsubMatrix!| (($ $ (|Integer|) (|Integer|) $) "\\indented{1}{\\spad{setsubMatrix(x,i1,j1,y)} destructively alters the} \\indented{1}{matrix \\spad{x.} Here \\spad{x(i,j)} is set to \\spad{y(i-i1+1,j-j1+1)} for} \\indented{1}{\\spad{i = i1,...,i1-1+nrows \\spad{y}} and \\spad{j = j1,...,j1-1+ncols y}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setsubMatrix!(m,2,2,matrix [[3,3],[3,3]])")) (|subMatrix| (($ $ (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\indented{1}{\\spad{subMatrix(x,i1,i2,j1,j2)} extracts the submatrix} \\indented{1}{\\spad{[x(i,j)]} where the index \\spad{i} ranges from \\spad{i1} to \\spad{i2}} \\indented{1}{and the index \\spad{j} ranges from \\spad{j1} to \\spad{j2}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} subMatrix(m,1,3,2,4)")) (|swapColumns!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapColumns!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{columns of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapColumns!(m,2,4)")) (|swapRows!| (($ $ (|Integer|) (|Integer|)) "\\indented{1}{\\spad{swapRows!(m,i,j)} interchanges the \\spad{i}th and \\spad{j}th} \\indented{1}{rows of \\spad{m.} This destructively alters the matrix.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} swapRows!(m,2,4)")) (|setelt| (($ $ (|List| (|Integer|)) (|List| (|Integer|)) $) "\\indented{1}{\\spad{setelt(x,rowList,colList,y)} destructively alters the matrix \\spad{x.}} \\indented{1}{If \\spad{y} is \\spad{m}-by-\\spad{n}, \\spad{rowList = [i<1>,i<2>,...,i<m>]}} \\indented{1}{and \\spad{colList = [j<1>,j<2>,...,j<n>]}, then \\spad{x(i<k>,j<l>)}} \\indented{1}{is set to \\spad{y(k,l)} for \\spad{k = 1,...,m} and \\spad{l = 1,...,n}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} setelt(m,3,3,10)")) (|elt| (($ $ (|List| (|Integer|)) (|List| (|Integer|))) "\\indented{1}{\\spad{elt(x,rowList,colList)} returns an m-by-n matrix consisting} \\indented{1}{of elements of \\spad{x,} where \\spad{m = \\# rowList} and \\spad{n = \\# colList}} \\indented{1}{If \\spad{rowList = [i<1>,i<2>,...,i<m>]} and \\spad{colList \\spad{=}} \\indented{1}{[j<1>,j<2>,...,j<n>]}, then the \\spad{(k,l)}th entry of} \\indented{1}{\\spad{elt(x,rowList,colList)} is \\spad{x(i<k>,j<l>)}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} elt(m,3,3)")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\indented{1}{\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list} \\indented{1}{of lists.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} listOfLists \\spad{m}")) (|vertConcat| (($ $ $) "\\indented{1}{\\spad{vertConcat(x,y)} vertically concatenates two matrices with an} \\indented{1}{equal number of columns. The entries of \\spad{y} appear below} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of columns.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} vertConcat(m,m)")) (|horizConcat| (($ $ $) "\\indented{1}{\\spad{horizConcat(x,y)} horizontally concatenates two matrices with} \\indented{1}{an equal number of rows. The entries of \\spad{y} appear to the right} \\indented{1}{of the entries of x.\\space{2}Error: if the matrices} \\indented{1}{do not have the same number of rows.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} horizConcat(m,m)")) (|squareTop| (($ $) "\\indented{1}{\\spad{squareTop(m)} returns an n-by-n matrix consisting of the first} \\indented{1}{n rows of the m-by-n matrix \\spad{m.} Error: if} \\indented{1}{\\spad{m < n}.} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..2] for \\spad{j} in 1..5] \\spad{X} squareTop \\spad{m}")) (|transpose| (($ $) "\\indented{1}{\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}} \\blankline \\spad{X} m:=matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5] \\spad{X} transpose \\spad{m}") (($ |#2|) "\\indented{1}{\\spad{transpose(r)} converts the row \\spad{r} to a row matrix.} \\blankline \\spad{X} transpose([1,2,3])@Matrix(INT)")) (|coerce| (($ |#3|) "\\indented{1}{\\spad{coerce(col)} converts the column col to a column matrix.} \\blankline \\spad{X} coerce([1,2,3])@Matrix(INT)")) (|diagonalMatrix| (($ (|List| $)) "\\indented{1}{\\spad{diagonalMatrix([m1,...,mk])} creates a block diagonal matrix} \\indented{1}{M with block matrices m1,...,mk down the diagonal,} \\indented{1}{with 0 block matrices elsewhere.} \\indented{1}{More precisly: if \\spad{ri \\spad{:=} nrows mi}, \\spad{ci \\spad{:=} ncols mi},} \\indented{1}{then \\spad{m} is an (r1+..+rk) by (c1+..+ck) - matrix\\space{2}with entries} \\indented{1}{\\spad{m.i.j = ml.(i-r1-..-r(l-1)).(j-n1-..-n(l-1))}, if} \\indented{1}{\\spad{(r1+..+r(l-1)) < \\spad{i} \\spad{<=} r1+..+rl} and} \\indented{1}{\\spad{(c1+..+c(l-1)) < \\spad{i} \\spad{<=} c1+..+cl},} \\indented{1}{\\spad{m.i.j} = 0\\space{2}otherwise.} \\blankline \\spad{X} diagonalMatrix [matrix [[1,2],[3,4]], matrix [[4,5],[6,7]]]") (($ (|List| |#1|)) "\\indented{1}{\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements} \\indented{1}{of \\spad{l} on the diagonal.} \\blankline \\spad{X} diagonalMatrix [1,2,3]")) (|scalarMatrix| (($ (|NonNegativeInteger|) |#1|) "\\indented{1}{\\spad{scalarMatrix(n,r)} returns an n-by-n matrix with \\spad{r's} on the} \\indented{1}{diagonal and zeroes elsewhere.} \\blankline \\spad{X} z:Matrix(INT):=scalarMatrix(3,5)")) (|matrix| (($ (|NonNegativeInteger|) (|NonNegativeInteger|) (|Mapping| |#1| (|Integer|) (|Integer|))) "\\indented{1}{\\spad{matrix(n,m,f)} constructs an \\spad{n * \\spad{m}} matrix with} \\indented{1}{the \\spad{(i,j)} entry equal to \\spad{f(i,j)}} \\blankline \\spad{X} f(i:INT,j:INT):INT \\spad{==} i+j \\spad{X} matrix(3,4,f)") (($ (|List| (|List| |#1|))) "\\indented{1}{\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the} \\indented{1}{list of lists is viewed as a list of the rows of the matrix.} \\blankline \\spad{X} matrix [[1,2,3],[4,5,6],[7,8,9],[1,1,1]]")) (|zero| (($ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\indented{1}{\\spad{zero(m,n)} returns an m-by-n zero matrix.} \\blankline \\spad{X} z:Matrix(INT):=zero(3,3)")) (|antisymmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)}} \\indented{1}{and \\spad{false} otherwise.} \\blankline \\spad{X} antisymmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|symmetric?| (((|Boolean|) $) "\\indented{1}{\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and false} \\indented{1}{otherwise.} \\blankline \\spad{X} symmetric? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|diagonal?| (((|Boolean|) $) "\\indented{1}{\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and} \\indented{1}{diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and} \\indented{1}{false otherwise.} \\blankline \\spad{X} diagonal? matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|square?| (((|Boolean|) $) "\\indented{1}{\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix} \\indented{1}{(if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.} \\blankline \\spad{X} square matrix [[j**i for \\spad{i} in 0..4] for \\spad{j} in 1..5]")) (|finiteAggregate| ((|attribute|) "matrices are finite")) (|shallowlyMutable| ((|attribute|) "One may destructively alter matrices"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
+NIL 
+(-680 R |Row| |Col| M) 
+((|constructor| (NIL "\\spadtype{MatrixLinearAlgebraFunctions} provides functions to compute inverses and canonical forms.")) (|inverse| (((|Union| |#4| "failed") |#4|) "\\spad{inverse(m)} returns the inverse of the matrix. If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelon| ((|#4| |#4|) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (|adjoint| (((|Record| (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) "\\spad{adjoint(m)} returns the ajoint matrix of \\spad{m} (\\spadignore{i.e.} the matrix \\spad{n} such that \\spad{m*n} = determinant(m)*id) and the detrminant of \\spad{m.}")) (|invertIfCan| (((|Union| |#4| "failed") |#4|) "\\spad{invertIfCan(m)} returns the inverse of \\spad{m} over \\spad{R}")) (|fractionFreeGauss!| ((|#4| |#4|) "\\spad{fractionFreeGauss(m)} performs the fraction free gaussian elimination on the matrix \\spad{m.}")) (|nullSpace| (((|List| |#3|) |#4|) "\\spad{nullSpace(m)} returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) |#4|) "\\spad{nullity(m)} returns the mullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) |#4|) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|elColumn2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elColumn2!(m,a,i,j)} adds to column \\spad{i} a*column(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow2!| ((|#4| |#4| |#1| (|Integer|) (|Integer|)) "\\spad{elRow2!(m,a,i,j)} adds to row \\spad{i} a*row(m,j) : elementary operation of second kind. \\spad{(i} ^=j)")) (|elRow1!| ((|#4| |#4| (|Integer|) (|Integer|)) "\\spad{elRow1!(m,i,j)} swaps rows \\spad{i} and \\spad{j} of matrix \\spad{m} : elementary operation of first kind")) (|minordet| ((|#1| |#4|) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors. Error: if the matrix is not square.")) (|determinant| ((|#1| |#4|) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.} an error message is returned if the matrix is not square."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-680 R) 
-((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m}. If the matrix is not invertible,{} \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4537 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
 (-681 R) 
-((|constructor| (NIL "This package provides standard arithmetic operations on matrices. The functions in this package store the results of computations in existing matrices,{} rather than creating new matrices. This package works only for matrices of type Matrix and uses the internal representation of this type.")) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{x ** n} computes the \\spad{n}-th power of a square matrix. The power \\spad{n} is assumed greater than 1.")) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{power!(a,{}b,{}c,{}m,{}n)} computes \\spad{m} \\spad{**} \\spad{n} and stores the result in \\spad{a}. The matrices \\spad{b} and \\spad{c} are used to store intermediate results. Error: if \\spad{a},{} \\spad{b},{} \\spad{c},{} and \\spad{m} are not square and of the same dimensions.")) (|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{times!(c,{}a,{}b)} computes the matrix product \\spad{a * b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have compatible dimensions.")) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rightScalarTimes!(c,{}a,{}r)} computes the scalar product \\spad{a * r} and stores the result in the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) "\\spad{leftScalarTimes!(c,{}r,{}a)} computes the scalar product \\spad{r * a} and stores the result in the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{!minus!(c,{}a,{}b)} computes the matrix difference \\spad{a - b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have the same dimensions.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{minus!(c,{}a)} computes \\spad{-a} and stores the result in the matrix \\spad{c}. Error: if a and \\spad{c} do not have the same dimensions.")) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{plus!(c,{}a,{}b)} computes the matrix sum \\spad{a + b} and stores the result in the matrix \\spad{c}. Error: if \\spad{a},{} \\spad{b},{} and \\spad{c} do not have the same dimensions.")) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{copy!(c,{}a)} copies the matrix \\spad{a} into the matrix \\spad{c}. Error: if \\spad{a} and \\spad{c} do not have the same dimensions."))) 
+((|constructor| (NIL "\\spadtype{Matrix} is a matrix domain where 1-based indexing is used for both rows and columns.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m.} If the matrix is not invertible, \"failed\" is returned. Error: if the matrix is not square.")) (|diagonalMatrix| (($ (|Vector| |#1|)) "\\spad{diagonalMatrix(v)} returns a diagonal matrix where the elements of \\spad{v} appear on the diagonal."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-559))) (|HasAttribute| |#1| (QUOTE (-4573 "*"))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-682 R) 
+((|constructor| (NIL "This package provides standard arithmetic operations on matrices. The functions in this package store the results of computations in existing matrices, rather than creating new matrices. This package works only for matrices of type Matrix and uses the internal representation of this type.")) (** (((|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{x \\spad{**} \\spad{n}} computes the \\spad{n}-th power of a square matrix. The power \\spad{n} is assumed greater than 1.")) (|power!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|NonNegativeInteger|)) "\\spad{power!(a,b,c,m,n)} computes \\spad{m} \\spad{**} \\spad{n} and stores the result in \\spad{a}. The matrices \\spad{b} and \\spad{c} are used to store intermediate results. Error: if \\spad{a}, \\spad{b,} \\spad{c,} and \\spad{m} are not square and of the same dimensions.")) (|times!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{times!(c,a,b)} computes the matrix product \\spad{a * \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have compatible dimensions.")) (|rightScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rightScalarTimes!(c,a,r)} computes the scalar product \\spad{a * \\spad{r}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|leftScalarTimes!| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| (|Matrix| |#1|)) "\\spad{leftScalarTimes!(c,r,a)} computes the scalar product \\spad{r * a} and stores the result in the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions.")) (|minus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{!minus!(c,a,b)} computes the matrix difference \\spad{a - \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{minus!(c,a)} computes \\spad{-a} and stores the result in the matrix \\spad{c.} Error: if a and \\spad{c} do not have the same dimensions.")) (|plus!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{plus!(c,a,b)} computes the matrix sum \\spad{a + \\spad{b}} and stores the result in the matrix \\spad{c.} Error: if \\spad{a}, \\spad{b,} and \\spad{c} do not have the same dimensions.")) (|copy!| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{copy!(c,a)} copies the matrix \\spad{a} into the matrix \\spad{c.} Error: if \\spad{a} and \\spad{c} do not have the same dimensions."))) 
 NIL 
 NIL 
-(-682 S -1564 FLAF FLAS) 
-((|constructor| (NIL "\\spadtype{MultiVariableCalculusFunctions} Package provides several functions for multivariable calculus. These include gradient,{} hessian and jacobian,{} divergence and laplacian. Various forms for banded and sparse storage of matrices are included.")) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{bandedJacobian(vf,{}xlist,{}kl,{}ku)} computes the jacobian,{} the matrix of first partial derivatives,{} of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist},{} \\spad{kl} is the number of nonzero subdiagonals,{} \\spad{ku} is the number of nonzero superdiagonals,{} \\spad{kl+ku+1} being actual bandwidth. Stores the nonzero band in a matrix,{} dimensions \\spad{kl+ku+1} by \\#xlist. The upper triangle is in the top \\spad{ku} rows,{} the diagonal is in row \\spad{ku+1},{} the lower triangle in the last \\spad{kl} rows. Entries in a column in the band store correspond to entries in same column of full store. (The notation conforms to LAPACK/NAG-\\spad{F07} conventions.)")) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) "\\spad{jacobian(vf,{}xlist)} computes the jacobian,{} the matrix of first partial derivatives,{} of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist}.")) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) "\\spad{bandedHessian(v,{}xlist,{}k)} computes the hessian,{} the matrix of second partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist},{} \\spad{k} is the semi-bandwidth,{} the number of nonzero subdiagonals,{} 2*k+1 being actual bandwidth. Stores the nonzero band in lower triangle in a matrix,{} dimensions \\spad{k+1} by \\#xlist,{} whose rows are the vectors formed by diagonal,{} subdiagonal,{} etc. of the real,{} full-matrix,{} hessian. (The notation conforms to LAPACK/NAG-\\spad{F07} conventions.)")) (|hessian| (((|Matrix| |#2|) |#2| |#4|) "\\spad{hessian(v,{}xlist)} computes the hessian,{} the matrix of second partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}.")) (|laplacian| ((|#2| |#2| |#4|) "\\spad{laplacian(v,{}xlist)} computes the laplacian of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}.")) (|divergence| ((|#2| |#3| |#4|) "\\spad{divergence(vf,{}xlist)} computes the divergence of the vector field \\spad{vf},{} \\spad{vf} a vector function of the variables listed in \\spad{xlist}.")) (|gradient| (((|Vector| |#2|) |#2| |#4|) "\\spad{gradient(v,{}xlist)} computes the gradient,{} the vector of first partial derivatives,{} of the scalar field \\spad{v},{} \\spad{v} a function of the variables listed in \\spad{xlist}."))) 
+(-683 S -1647 FLAF FLAS) 
+((|constructor| (NIL "\\spadtype{MultiVariableCalculusFunctions} Package provides several functions for multivariable calculus. These include gradient, hessian and jacobian, divergence and laplacian. Various forms for banded and sparse storage of matrices are included.")) (|bandedJacobian| (((|Matrix| |#2|) |#3| |#4| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{bandedJacobian(vf,xlist,kl,ku)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist, \\spad{kl} is the number of nonzero subdiagonals, \\spad{ku} is the number of nonzero superdiagonals, \\spad{kl+ku+1} being actual bandwidth. Stores the nonzero band in a matrix, dimensions \\spad{kl+ku+1} by \\#xlist. The upper triangle is in the top \\spad{ku} rows, the diagonal is in row ku+1, the lower triangle in the last \\spad{kl} rows. Entries in a column in the band store correspond to entries in same column of full store. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|jacobian| (((|Matrix| |#2|) |#3| |#4|) "\\spad{jacobian(vf,xlist)} computes the jacobian, the matrix of first partial derivatives, of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|bandedHessian| (((|Matrix| |#2|) |#2| |#4| (|NonNegativeInteger|)) "\\spad{bandedHessian(v,xlist,k)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist, \\spad{k} is the semi-bandwidth, the number of nonzero subdiagonals, 2*k+1 being actual bandwidth. Stores the nonzero band in lower triangle in a matrix, dimensions \\spad{k+1} by \\#xlist, whose rows are the vectors formed by diagonal, subdiagonal, etc. of the real, full-matrix, hessian. (The notation conforms to \\spad{LAPACK/NAG-F07} conventions.)")) (|hessian| (((|Matrix| |#2|) |#2| |#4|) "\\spad{hessian(v,xlist)} computes the hessian, the matrix of second partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|laplacian| ((|#2| |#2| |#4|) "\\spad{laplacian(v,xlist)} computes the laplacian of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist.")) (|divergence| ((|#2| |#3| |#4|) "\\spad{divergence(vf,xlist)} computes the divergence of the vector field \\spad{vf,} \\spad{vf} a vector function of the variables listed in xlist.")) (|gradient| (((|Vector| |#2|) |#2| |#4|) "\\spad{gradient(v,xlist)} computes the gradient, the vector of first partial derivatives, of the scalar field \\spad{v,} \\spad{v} a function of the variables listed in xlist."))) 
 NIL 
 NIL 
-(-683 R Q) 
-((|constructor| (NIL "MatrixCommonDenominator provides functions to compute the common denominator of a matrix of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) "\\spad{splitDenominator(q)} returns \\spad{[p,{} d]} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the elements of \\spad{q}.")) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the elements of \\spad{q}.")) (|commonDenominator| ((|#1| (|Matrix| |#2|)) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the elements of \\spad{q}."))) 
+(-684 R Q) 
+((|constructor| (NIL "MatrixCommonDenominator provides functions to compute the common denominator of a matrix of elements of the quotient field of an integral domain.")) (|splitDenominator| (((|Record| (|:| |num| (|Matrix| |#1|)) (|:| |den| |#1|)) (|Matrix| |#2|)) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|clearDenominator| (((|Matrix| |#1|) (|Matrix| |#2|)) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the elements of \\spad{q.}")) (|commonDenominator| ((|#1| (|Matrix| |#2|)) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the elements of \\spad{q.}"))) 
 NIL 
 NIL 
-(-684) 
+(-685) 
 ((|constructor| (NIL "A domain which models the complex number representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Complex| (|Float|)) $) "\\spad{coerce(u)} transforms \\spad{u} into a COmplex Float") (($ (|Complex| (|MachineInteger|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|MachineFloat|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Integer|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex") (($ (|Complex| (|Float|))) "\\spad{coerce(u)} transforms \\spad{u} into a MachineComplex"))) 
-((-4528 . T) (-4533 |has| (-689) (-366)) (-4527 |has| (-689) (-366)) (-2997 . T) (-4534 |has| (-689) (-6 -4534)) (-4531 |has| (-689) (-6 -4531)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-689) (QUOTE (-151))) (|HasCategory| (-689) (QUOTE (-149))) (|HasCategory| (-689) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-689) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-689) (QUOTE (-371))) (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-689) (QUOTE (-226))) (|HasCategory| (-689) (QUOTE (-351))) (-2232 (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-351)))) (|HasCategory| (-689) (LIST (QUOTE -282) (QUOTE (-689)) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -304) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-689)))) (|HasCategory| (-689) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-689) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-689) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-689) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-689) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-689) (QUOTE (-1022))) (|HasCategory| (-689) (QUOTE (-1183))) (-12 (|HasCategory| (-689) (QUOTE (-1003))) (|HasCategory| (-689) (QUOTE (-1183)))) (|HasCategory| (-689) (QUOTE (-551))) (|HasCategory| (-689) (QUOTE (-1057))) (-12 (|HasCategory| (-689) (QUOTE (-1057))) (|HasCategory| (-689) (QUOTE (-1183)))) (-2232 (|HasCategory| (-689) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-689) (QUOTE (-366)))) (|HasCategory| (-689) (QUOTE (-302))) (-2232 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-351)))) (|HasCategory| (-689) (QUOTE (-905))) (-12 (|HasCategory| (-689) (QUOTE (-226))) (|HasCategory| (-689) (QUOTE (-366)))) (-12 (|HasCategory| (-689) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-689) (QUOTE (-366)))) (|HasCategory| (-689) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-689) (QUOTE (-843))) (|HasCategory| (-689) (QUOTE (-559))) (|HasAttribute| (-689) (QUOTE -4534)) (|HasAttribute| (-689) (QUOTE -4531)) (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-366))) (-12 (|HasCategory| (-689) (QUOTE (-351))) (|HasCategory| (-689) (QUOTE (-905))))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (-12 (|HasCategory| (-689) (QUOTE (-366))) (|HasCategory| (-689) (QUOTE (-905)))) (-12 (|HasCategory| (-689) (QUOTE (-351))) (|HasCategory| (-689) (QUOTE (-905))))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-559)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-149)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-689) (QUOTE (-302))) (|HasCategory| (-689) (QUOTE (-905)))) (|HasCategory| (-689) (QUOTE (-351))))) 
-(-685 S) 
-((|constructor| (NIL "A multi-dictionary is a dictionary which may contain duplicates. As for any dictionary,{} its size is assumed large so that copying (non-destructive) operations are generally to be avoided.")) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) "\\spad{duplicates(d)} returns a list of values which have duplicates in \\spad{d}")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(d)} destructively removes any duplicate values in dictionary \\spad{d}.")) (|insert!| (($ |#1| $ (|NonNegativeInteger|)) "\\spad{insert!(x,{}d,{}n)} destructively inserts \\spad{n} copies of \\spad{x} into dictionary \\spad{d}."))) 
-((-4536 . T) (-2982 . T)) 
+((-4564 . T) (-4569 |has| (-690) (-366)) (-4563 |has| (-690) (-366)) (-4340 . T) (-4570 |has| (-690) (-6 -4570)) (-4567 |has| (-690) (-6 -4567)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-690) (QUOTE (-151))) (|HasCategory| (-690) (QUOTE (-149))) (|HasCategory| (-690) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-690) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-690) (QUOTE (-371))) (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-690) (QUOTE (-226))) (|HasCategory| (-690) (QUOTE (-351))) (-1929 (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-351)))) (|HasCategory| (-690) (LIST (QUOTE -282) (QUOTE (-690)) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -304) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-690)))) (|HasCategory| (-690) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-690) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-690) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-690) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-690) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-690) (QUOTE (-1023))) (|HasCategory| (-690) (QUOTE (-1185))) (-12 (|HasCategory| (-690) (QUOTE (-1004))) (|HasCategory| (-690) (QUOTE (-1185)))) (|HasCategory| (-690) (QUOTE (-551))) (|HasCategory| (-690) (QUOTE (-1058))) (-12 (|HasCategory| (-690) (QUOTE (-1058))) (|HasCategory| (-690) (QUOTE (-1185)))) (-1929 (|HasCategory| (-690) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-690) (QUOTE (-366)))) (|HasCategory| (-690) (QUOTE (-302))) (-1929 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-351)))) (|HasCategory| (-690) (QUOTE (-906))) (-12 (|HasCategory| (-690) (QUOTE (-226))) (|HasCategory| (-690) (QUOTE (-366)))) (-12 (|HasCategory| (-690) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-690) (QUOTE (-366)))) (|HasCategory| (-690) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-690) (QUOTE (-844))) (|HasCategory| (-690) (QUOTE (-559))) (|HasAttribute| (-690) (QUOTE -4570)) (|HasAttribute| (-690) (QUOTE -4567)) (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-366))) (-12 (|HasCategory| (-690) (QUOTE (-351))) (|HasCategory| (-690) (QUOTE (-906))))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (-12 (|HasCategory| (-690) (QUOTE (-366))) (|HasCategory| (-690) (QUOTE (-906)))) (-12 (|HasCategory| (-690) (QUOTE (-351))) (|HasCategory| (-690) (QUOTE (-906))))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-559)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-149)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-690) (QUOTE (-302))) (|HasCategory| (-690) (QUOTE (-906)))) (|HasCategory| (-690) (QUOTE (-351))))) 
+(-686 S) 
+((|constructor| (NIL "A multi-dictionary is a dictionary which may contain duplicates. As for any dictionary, its size is assumed large so that copying (non-destructive) operations are generally to be avoided.")) (|duplicates| (((|List| (|Record| (|:| |entry| |#1|) (|:| |count| (|NonNegativeInteger|)))) $) "\\spad{duplicates(d)} returns a list of values which have duplicates in \\spad{d}")) (|removeDuplicates!| (($ $) "\\spad{removeDuplicates!(d)} destructively removes any duplicate values in dictionary \\spad{d.}")) (|insert!| (($ |#1| $ (|NonNegativeInteger|)) "\\spad{insert!(x,d,n)} destructively inserts \\spad{n} copies of \\spad{x} into dictionary \\spad{d.}"))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
-(-686 U) 
-((|constructor| (NIL "This package supports factorization and gcds of univariate polynomials over the integers modulo different primes. The inputs are given as polynomials over the integers with the prime passed explicitly as an extra argument.")) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) "\\spad{exptMod(f,{}n,{}g,{}p)} raises the univariate polynomial \\spad{f} to the \\spad{n}th power modulo the polynomial \\spad{g} and the prime \\spad{p}.")) (|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) "\\spad{separateFactors(ddl,{} p)} refines the distinct degree factorization produced by ddFact to give a complete list of factors.")) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) "\\spad{ddFact(f,{}p)} computes a distinct degree factorization of the polynomial \\spad{f} modulo the prime \\spad{p},{} \\spadignore{i.e.} such that each factor is a product of irreducibles of the same degrees. The input polynomial \\spad{f} is assumed to be square-free modulo \\spad{p}.")) (|factor| (((|List| |#1|) |#1| (|Integer|)) "\\spad{factor(f1,{}p)} returns the list of factors of the univariate polynomial \\spad{f1} modulo the integer prime \\spad{p}. Error: if \\spad{f1} is not square-free modulo \\spad{p}.")) (|linears| ((|#1| |#1| (|Integer|)) "\\spad{linears(f,{}p)} returns the product of all the linear factors of \\spad{f} modulo \\spad{p}. Potentially incorrect result if \\spad{f} is not square-free modulo \\spad{p}.")) (|gcd| ((|#1| |#1| |#1| (|Integer|)) "\\spad{gcd(f1,{}f2,{}p)} computes the \\spad{gcd} of the univariate polynomials \\spad{f1} and \\spad{f2} modulo the integer prime \\spad{p}."))) 
+(-687 U) 
+((|constructor| (NIL "This package supports factorization and gcds of univariate polynomials over the integers modulo different primes. The inputs are given as polynomials over the integers with the prime passed explicitly as an extra argument.")) (|exptMod| ((|#1| |#1| (|Integer|) |#1| (|Integer|)) "\\spad{exptMod(f,n,g,p)} raises the univariate polynomial \\spad{f} to the \\spad{n}th power modulo the polynomial \\spad{g} and the prime \\spad{p.}")) (|separateFactors| (((|List| |#1|) (|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) (|Integer|)) "\\spad{separateFactors(ddl, \\spad{p)}} refines the distinct degree factorization produced by ddFact to give a complete list of factors.")) (|ddFact| (((|List| (|Record| (|:| |factor| |#1|) (|:| |degree| (|Integer|)))) |#1| (|Integer|)) "\\spad{ddFact(f,p)} computes a distinct degree factorization of the polynomial \\spad{f} modulo the prime \\spad{p,} \\spadignore{i.e.} such that each factor is a product of irreducibles of the same degrees. The input polynomial \\spad{f} is assumed to be square-free modulo \\spad{p.}")) (|factor| (((|List| |#1|) |#1| (|Integer|)) "\\spad{factor(f1,p)} returns the list of factors of the univariate polynomial \\spad{f1} modulo the integer prime \\spad{p.} Error: if \\spad{f1} is not square-free modulo \\spad{p.}")) (|linears| ((|#1| |#1| (|Integer|)) "\\spad{linears(f,p)} returns the product of all the linear factors of \\spad{f} modulo \\spad{p.} Potentially incorrect result if \\spad{f} is not square-free modulo \\spad{p.}")) (|gcd| ((|#1| |#1| |#1| (|Integer|)) "\\spad{gcd(f1,f2,p)} computes the \\spad{gcd} of the univariate polynomials \\spad{f1} and \\spad{f2} modulo the integer prime \\spad{p.}"))) 
 NIL 
 NIL 
-(-687) 
-((|constructor| (NIL "This package has no description")) (|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{ptFunc(a,{}b,{}c,{}d)} is an internal function exported in order to compile packages.")) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar1Var(s,{}t,{}u,{}f,{}s1,{}l)} \\undocumented")) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshFun2Var(f,{}g,{}s1,{}s2,{}l)} \\undocumented")) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(sp,{}f,{}s1,{}s2,{}l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,{}s1,{}s2,{}l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,{}g,{}h,{}j,{}s1,{}s2,{}l)} \\undocumented"))) 
+(-688) 
+((|constructor| (NIL "This package has no description")) (|ptFunc| (((|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) "\\spad{ptFunc(a,b,c,d)} is an internal function exported in order to compile packages.")) (|meshPar1Var| (((|ThreeSpace| (|DoubleFloat|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Expression| (|Integer|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar1Var(s,t,u,f,s1,l)} \\undocumented")) (|meshFun2Var| (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshFun2Var(f,g,s1,s2,l)} \\undocumented")) (|meshPar2Var| (((|ThreeSpace| (|DoubleFloat|)) (|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(sp,f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,s1,s2,l)} \\undocumented") (((|ThreeSpace| (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined") (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{meshPar2Var(f,g,h,j,s1,s2,l)} \\undocumented"))) 
 NIL 
 NIL 
-(-688 OV E -1564 PG) 
+(-689 OV E -1647 PG) 
 ((|constructor| (NIL "Package for factorization of multivariate polynomials over finite fields.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field. \\spad{p} is represented as a univariate polynomial with multivariate coefficients over a finite field.") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} produces the complete factorization of the multivariate polynomial \\spad{p} over a finite field."))) 
 NIL 
 NIL 
-(-689) 
-((|constructor| (NIL "A domain which models the floating point representation used by machines in the AXIOM-NAG link.")) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{changeBase(exp,{}man,{}base)} is not documented")) (|exponent| (((|Integer|) $) "\\spad{exponent(u)} returns the exponent of \\spad{u}")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(u)} returns the mantissa of \\spad{u}")) (|coerce| (($ (|MachineInteger|)) "\\spad{coerce(u)} transforms a MachineInteger into a MachineFloat") (((|Float|) $) "\\spad{coerce(u)} transforms a MachineFloat to a standard Float")) (|minimumExponent| (((|Integer|)) "\\spad{minimumExponent()} returns the minimum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{minimumExponent(e)} sets the minimum exponent in the model to \\spad{e}")) (|maximumExponent| (((|Integer|)) "\\spad{maximumExponent()} returns the maximum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{maximumExponent(e)} sets the maximum exponent in the model to \\spad{e}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{base(b)} sets the base of the model to \\spad{b}")) (|precision| (((|PositiveInteger|)) "\\spad{precision()} returns the number of digits in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(p)} sets the number of digits in the model to \\spad{p}"))) 
-((-2994 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-690) 
+((|constructor| (NIL "A domain which models the floating point representation used by machines in the AXIOM-NAG link.")) (|changeBase| (($ (|Integer|) (|Integer|) (|PositiveInteger|)) "\\spad{changeBase(exp,man,base)} is not documented")) (|exponent| (((|Integer|) $) "\\spad{exponent(u)} returns the exponent of \\spad{u}")) (|mantissa| (((|Integer|) $) "\\spad{mantissa(u)} returns the mantissa of \\spad{u}")) (|coerce| (($ (|MachineInteger|)) "\\spad{coerce(u)} transforms a MachineInteger into a MachineFloat") (((|Float|) $) "\\spad{coerce(u)} transforms a MachineFloat to a standard Float")) (|minimumExponent| (((|Integer|)) "\\spad{minimumExponent()} returns the minimum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{minimumExponent(e)} sets the minimum exponent in the model to \\spad{e}")) (|maximumExponent| (((|Integer|)) "\\spad{maximumExponent()} returns the maximum exponent in the model") (((|Integer|) (|Integer|)) "\\spad{maximumExponent(e)} sets the maximum exponent in the model to \\spad{e}")) (|base| (((|PositiveInteger|)) "\\spad{base()} returns the base of the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{base(b)} sets the base of the model to \\spad{b}")) (|precision| (((|PositiveInteger|)) "\\spad{precision()} returns the number of digits in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{precision(p)} sets the number of digits in the model to \\spad{p}"))) 
+((-4334 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-690 R) 
-((|constructor| (NIL "Modular hermitian row reduction.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,{}d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen,{} \\spadignore{e.g.} positive remainders")) (|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) "\\spad{rowEchelonLocal(m,{} d,{} p)} computes the row-echelon form of \\spad{m} concatenated with \\spad{d} times the identity matrix over a local ring where \\spad{p} is the only prime.")) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchLocal(m,{}p)} computes a modular row-echelon form of \\spad{m},{} finding an appropriate modulus over a local ring where \\spad{p} is the only prime.")) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchelon(m,{} d)} computes a modular row-echelon form mod \\spad{d} of \\indented{3}{[\\spad{d}\\space{5}]} \\indented{3}{[\\space{2}\\spad{d}\\space{3}]} \\indented{3}{[\\space{4}. ]} \\indented{3}{[\\space{5}\\spad{d}]} \\indented{3}{[\\space{3}\\spad{M}\\space{2}]} where \\spad{M = m mod d}.")) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{rowEch(m)} computes a modular row-echelon form of \\spad{m},{} finding an appropriate modulus."))) 
+(-691 R) 
+((|constructor| (NIL "Modular hermitian row reduction.")) (|normalizedDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{normalizedDivide(n,d)} returns a normalized quotient and remainder such that consistently unique representatives for the residue class are chosen, \\spadignore{e.g.} positive remainders")) (|rowEchelonLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1| |#1|) "\\spad{rowEchelonLocal(m, \\spad{d,} \\spad{p)}} computes the row-echelon form of \\spad{m} concatenated with \\spad{d} times the identity matrix over a local ring where \\spad{p} is the only prime.")) (|rowEchLocal| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchLocal(m,p)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus over a local ring where \\spad{p} is the only prime.")) (|rowEchelon| (((|Matrix| |#1|) (|Matrix| |#1|) |#1|) "\\spad{rowEchelon(m, \\spad{d)}} computes a modular row-echelon form mod \\spad{d} of \\indented{3}{[d\\space{5}]} \\indented{3}{[\\space{2}d\\space{3}]} \\indented{3}{[\\space{4}. \\spad{]}} \\indented{3}{[\\space{5}d]} \\indented{3}{[\\space{3}M\\space{2}]} where \\spad{M = \\spad{m} mod \\spad{d}.}")) (|rowEch| (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{rowEch(m)} computes a modular row-echelon form of \\spad{m,} finding an appropriate modulus."))) 
 NIL 
 NIL 
-(-691) 
+(-692) 
 ((|constructor| (NIL "A domain which models the integer representation used by machines in the AXIOM-NAG link.")) (|coerce| (((|Expression| $) (|Expression| (|Integer|))) "\\spad{coerce(x)} returns \\spad{x} with coefficients in the domain")) (|maxint| (((|PositiveInteger|)) "\\spad{maxint()} returns the maximum integer in the model") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{maxint(u)} sets the maximum integer in the model to \\spad{u}"))) 
-((-4534 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
-(-692 S D1 D2 I) 
-((|constructor| (NIL "Tools and transforms for making compiled functions from top-level expressions")) (|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) "\\spad{compiledFunction(expr,{}x,{}y)} returns a function \\spad{f: (D1,{} D2) -> I} defined by \\spad{f(x,{} y) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(D1,{} D2)}")) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) "\\spad{binaryFunction(s)} is a local function"))) 
-NIL 
+((-4570 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-693 S) 
-((|constructor| (NIL "MakeCachableSet(\\spad{S}) returns a cachable set which is equal to \\spad{S} as a set.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s} viewed as an element of \\%."))) 
+(-693 S D1 D2 I) 
+((|constructor| (NIL "Tools and transforms for making compiled functions from top-level expressions")) (|compiledFunction| (((|Mapping| |#4| |#2| |#3|) |#1| (|Symbol|) (|Symbol|)) "\\spad{compiledFunction(expr,x,y)} returns a function \\spad{f: (D1, \\spad{D2)} \\spad{->} I} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(D1, D2)}")) (|binaryFunction| (((|Mapping| |#4| |#2| |#3|) (|Symbol|)) "\\spad{binaryFunction(s)} is a local function"))) 
 NIL 
 NIL 
 (-694 S) 
-((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the \\Language{} compiler and interpreter,{} thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr,{} x,{} y)} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat},{} \\axiomType{DoubleFloat}) -> \\axiomType{DoubleFloat}} defined by \\spad{f(x,{} y) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat},{} \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr,{} x)} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} -> \\axiomType{DoubleFloat}} defined by \\spad{f(x) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
+((|constructor| (NIL "MakeCachableSet(S) returns a cachable set which is equal to \\spad{S} as a set.")) (|coerce| (($ |#1|) "\\spad{coerce(s)} returns \\spad{s} viewed as an element of \\spad{%.}"))) 
 NIL 
 NIL 
 (-695 S) 
-((|constructor| (NIL "Tools for making interpreter functions from top-level expressions Transforms top-level objects into interpreter functions.")) (|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) "\\spad{function(e,{} foo,{} [x1,{}...,{}xn])} creates a function \\spad{foo(x1,{}...,{}xn) == e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) "\\spad{function(e,{} foo,{} x,{} y)} creates a function \\spad{foo(x,{} y) = e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) "\\spad{function(e,{} foo,{} x)} creates a function \\spad{foo(x) == e}.") (((|Symbol|) |#1| (|Symbol|)) "\\spad{function(e,{} foo)} creates a function \\spad{foo() == e}."))) 
+((|constructor| (NIL "Tools for making compiled functions from top-level expressions MakeFloatCompiledFunction transforms top-level objects into compiled Lisp functions whose arguments are Lisp floats. This by-passes the \\Language{} compiler and interpreter, thereby gaining several orders of magnitude.")) (|makeFloatFunction| (((|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|) (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x,} \\spad{y)}} returns a Lisp function \\spad{f: (\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat}) \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x, \\spad{y)} \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{(\\axiomType{DoubleFloat}, \\axiomType{DoubleFloat})}.") (((|Mapping| (|DoubleFloat|) (|DoubleFloat|)) |#1| (|Symbol|)) "\\spad{makeFloatFunction(expr, \\spad{x)}} returns a Lisp function \\spad{f: \\axiomType{DoubleFloat} \\spad{->} \\axiomType{DoubleFloat}} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\axiomType{DoubleFloat}."))) 
 NIL 
 NIL 
-(-696 S T$) 
-((|constructor| (NIL "MakeRecord is used internally by the interpreter to create record types which are used for doing parallel iterations on streams.")) (|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) "\\spad{makeRecord(a,{}b)} creates a record object with type Record(part1:S,{} part2:R),{} where \\spad{part1} is \\spad{a} and \\spad{part2} is \\spad{b}."))) 
+(-696 S) 
+((|constructor| (NIL "Tools for making interpreter functions from top-level expressions Transforms top-level objects into interpreter functions.")) (|function| (((|Symbol|) |#1| (|Symbol|) (|List| (|Symbol|))) "\\spad{function(e, foo, [x1,...,xn])} creates a function \\spad{foo(x1,...,xn) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x,} \\spad{y)}} creates a function \\spad{foo(x, \\spad{y)} = e}.") (((|Symbol|) |#1| (|Symbol|) (|Symbol|)) "\\spad{function(e, foo, \\spad{x)}} creates a function \\spad{foo(x) \\spad{==} e}.") (((|Symbol|) |#1| (|Symbol|)) "\\spad{function(e, foo)} creates a function \\spad{foo() \\spad{==} e}."))) 
 NIL 
 NIL 
-(-697 S -3022 I) 
-((|constructor| (NIL "Tools for making compiled functions from top-level expressions Transforms top-level objects into compiled functions.")) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) "\\spad{compiledFunction(expr,{} x)} returns a function \\spad{f: D -> I} defined by \\spad{f(x) == expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{D}.")) (|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) "\\spad{unaryFunction(a)} is a local function"))) 
+(-697 S T$) 
+((|constructor| (NIL "MakeRecord is used internally by the interpreter to create record types which are used for doing parallel iterations on streams.")) (|makeRecord| (((|Record| (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) "\\spad{makeRecord(a,b)} creates a record object with type Record(part1:S, part2:R), where \\spad{part1} is \\spad{a} and \\spad{part2} is \\spad{b}."))) 
 NIL 
 NIL 
-(-698 E OV R P) 
-((|constructor| (NIL "This package provides the functions for the multivariate \"lifting\",{} using an algorithm of Paul Wang. This package will work for every euclidean domain \\spad{R} which has property \\spad{F},{} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{lifting1(u,{}lv,{}lu,{}lr,{}lp,{}lt,{}ln,{}t,{}r)} \\undocumented")) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) "\\spad{lifting(u,{}lv,{}lu,{}lr,{}lp,{}ln,{}r)} \\undocumented")) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{corrPoly(u,{}lv,{}lr,{}ln,{}lu,{}t,{}r)} \\undocumented"))) 
+(-698 S -3712 I) 
+((|constructor| (NIL "Tools for making compiled functions from top-level expressions Transforms top-level objects into compiled functions.")) (|compiledFunction| (((|Mapping| |#3| |#2|) |#1| (|Symbol|)) "\\spad{compiledFunction(expr, \\spad{x)}} returns a function \\spad{f: \\spad{D} \\spad{->} I} defined by \\spad{f(x) \\spad{==} expr}. Function \\spad{f} is compiled and directly applicable to objects of type \\spad{D.}")) (|unaryFunction| (((|Mapping| |#3| |#2|) (|Symbol|)) "\\spad{unaryFunction(a)} is a local function"))) 
 NIL 
 NIL 
-(-699 R) 
-((|constructor| (NIL "This is the category of linear operator rings with one generator. The generator is not named by the category but can always be constructed as \\spad{monomial(1,{}1)}. \\blankline For convenience,{} call the generator \\spad{G}. Then each value is equal to \\spad{sum(a(i)*G**i,{} i = 0..n)} for some unique \\spad{n} and \\spad{a(i)} in \\spad{R}. \\blankline Note that multiplication is not necessarily commutative. In fact,{} if \\spad{a} is in \\spad{R},{} it is quite normal to have \\spad{a*G \\^= G*a}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+(-699 E OV R P) 
+((|constructor| (NIL "This package provides the functions for the multivariate \"lifting\", using an algorithm of Paul Wang. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|lifting1| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|List| |#4|) (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#4|)))) (|List| (|NonNegativeInteger|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{lifting1(u,lv,lu,lr,lp,lt,ln,t,r)} \\undocumented")) (|lifting| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|SparseUnivariatePolynomial| |#3|)) (|List| |#3|) (|List| |#4|) (|List| (|NonNegativeInteger|)) |#3|) "\\spad{lifting(u,lv,lu,lr,lp,ln,r)} \\undocumented")) (|corrPoly| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| |#3|) (|List| (|NonNegativeInteger|)) (|List| (|SparseUnivariatePolynomial| |#4|)) (|Vector| (|List| (|SparseUnivariatePolynomial| |#3|))) |#3|) "\\spad{corrPoly(u,lv,lr,ln,lu,t,r)} \\undocumented"))) 
 NIL 
-(-700 R1 UP1 UPUP1 R2 UP2 UPUP2) 
-((|constructor| (NIL "Lifting of a map through 2 levels of polynomials.")) (|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) "\\spad{map(f,{} p)} lifts \\spad{f} to the domain of \\spad{p} then applies it to \\spad{p}."))) 
 NIL 
+(-700 R) 
+((|constructor| (NIL "This is the category of linear operator rings with one generator. The generator is not named by the category but can always be constructed as \\spad{monomial(1,1)}. \\blankline For convenience, call the generator \\spad{G}. Then each value is equal to \\spad{sum(a(i)*G**i, \\spad{i} = 0..n)} for some unique \\spad{n} and \\spad{a(i)} in \\spad{R}. \\blankline Note that multiplication is not necessarily commutative. In fact, if \\spad{a} is in \\spad{R}, it is quite normal to have \\spad{a*G \\spad{\\^=} G*a}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{\\^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-701) 
-((|constructor| (NIL "This package is based on the TeXFormat domain by Robert \\spad{S}. Sutor \\spadtype{MathMLFormat} provides a coercion from \\spadtype{OutputForm} to MathML format.")) (|display| (((|Void|) (|String|)) "prints the string returned by coerce,{} adding <math ...> tags.")) (|exprex| (((|String|) (|OutputForm|)) "coverts \\spadtype{OutputForm} to \\spadtype{String} with the structure preserved with braces. Actually this is not quite accurate. The function \\spadfun{precondition} is first applied to the \\spadtype{OutputForm} expression before \\spadfun{exprex}. The raw \\spadtype{OutputForm} and the nature of the \\spadfun{precondition} function is still obscure to me at the time of this writing (2007-02-14).")) (|coerceL| (((|String|) (|OutputForm|)) "coerceS(\\spad{o}) changes \\spad{o} in the standard output format to MathML format and displays result as one long string.")) (|coerceS| (((|String|) (|OutputForm|)) "\\spad{coerceS(o)} changes \\spad{o} in the standard output format to MathML format and displays formatted result.")) (|coerce| (((|String|) (|OutputForm|)) "coerceS(\\spad{o}) changes \\spad{o} in the standard output format to MathML format."))) 
+(-701 R1 UP1 UPUP1 R2 UP2 UPUP2) 
+((|constructor| (NIL "Lifting of a map through 2 levels of polynomials.")) (|map| ((|#6| (|Mapping| |#4| |#1|) |#3|) "\\spad{map(f, \\spad{p)}} lifts \\spad{f} to the domain of \\spad{p} then applies it to \\spad{p.}"))) 
 NIL 
 NIL 
-(-702 R |Mod| -2461 -3288 |exactQuo|) 
-((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing},{} \\spadtype{EuclideanModularRing}")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-702) 
+((|constructor| (NIL "This package is based on the TeXFormat domain by Robert \\spad{S.} Sutor \\spadtype{MathMLFormat} provides a coercion from \\spadtype{OutputForm} to MathML format.")) (|display| (((|Void|) (|String|)) "prints the string returned by coerce, adding <math ...> tags.")) (|exprex| (((|String|) (|OutputForm|)) "coverts \\spadtype{OutputForm} to \\spadtype{String} with the structure preserved with braces. Actually this is not quite accurate. The function \\spadfun{precondition} is first applied to the \\spadtype{OutputForm} expression before \\spadfun{exprex}. The raw \\spadtype{OutputForm} and the nature of the \\spadfun{precondition} function is still obscure to me at the time of this writing (2007-02-14).")) (|coerceL| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format and displays result as one long string.")) (|coerceS| (((|String|) (|OutputForm|)) "\\spad{coerceS(o)} changes \\spad{o} in the standard output format to MathML format and displays formatted result.")) (|coerce| (((|String|) (|OutputForm|)) "coerceS(o) changes \\spad{o} in the standard output format to MathML format."))) 
 NIL 
-(-703 R |Rep|) 
+NIL 
+(-703 R |Mod| -2688 -2102 |exactQuo|) 
+((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{ModularRing}, \\spadtype{EuclideanModularRing}")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-704 R |Rep|) 
 ((|constructor| (NIL "This package has not been documented")) (|frobenius| (($ $) "\\spad{frobenius(x)} is not documented")) (|computePowers| (((|PrimitiveArray| $)) "\\spad{computePowers()} is not documented")) (|pow| (((|PrimitiveArray| $)) "\\spad{pow()} is not documented")) (|An| (((|Vector| |#1|) $) "\\spad{An(x)} is not documented")) (|UnVectorise| (($ (|Vector| |#1|)) "\\spad{UnVectorise(v)} is not documented")) (|Vectorise| (((|Vector| |#1|) $) "\\spad{Vectorise(x)} is not documented")) (|coerce| (($ |#2|) "\\spad{coerce(x)} is not documented")) (|lift| ((|#2| $) "\\spad{lift(x)} is not documented")) (|reduce| (($ |#2|) "\\spad{reduce(x)} is not documented")) (|modulus| ((|#2|) "\\spad{modulus()} is not documented")) (|setPoly| ((|#2| |#2|) "\\spad{setPoly(x)} is not documented"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-351))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-704 IS E |ff|) 
-((|constructor| (NIL "This package has no documentation")) (|construct| (($ |#1| |#2|) "\\spad{construct(i,{}e)} is not documented")) (|coerce| (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) "\\spad{coerce(x)} is not documented")) (|index| ((|#1| $) "\\spad{index(x)} is not documented")) (|exponent| ((|#2| $) "\\spad{exponent(x)} is not documented"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-351))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-705 IS E |ff|) 
+((|constructor| (NIL "This package has no documentation")) (|construct| (($ |#1| |#2|) "\\spad{construct(i,e)} is not documented")) (|coerce| (((|Record| (|:| |index| |#1|) (|:| |exponent| |#2|)) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |index| |#1|) (|:| |exponent| |#2|))) "\\spad{coerce(x)} is not documented")) (|index| ((|#1| $) "\\spad{index(x)} is not documented")) (|exponent| ((|#2| $) "\\spad{exponent(x)} is not documented"))) 
 NIL 
 NIL 
-(-705 R M) 
-((|constructor| (NIL "Algebra of ADDITIVE operators on a module.")) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) "\\spad{makeop should} be local but conditional")) (|opeval| ((|#2| (|BasicOperator|) |#2|) "\\spad{opeval should} be local but conditional")) (** (($ $ (|Integer|)) "\\spad{op**n} is not documented") (($ (|BasicOperator|) (|Integer|)) "\\spad{op**n} is not documented")) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluateInverse(x,{}f)} is not documented")) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluate(f,{} u +-> g u)} attaches the map \\spad{g} to \\spad{f}. \\spad{f} must be a basic operator \\spad{g} MUST be additive,{} \\spadignore{i.e.} \\spad{g(a + b) = g(a) + g(b)} for any \\spad{a},{} \\spad{b} in \\spad{M}. This implies that \\spad{g(n a) = n g(a)} for any \\spad{a} in \\spad{M} and integer \\spad{n > 0}.")) (|conjug| ((|#1| |#1|) "\\spad{conjug(x)}should be local but conditional")) (|adjoint| (($ $ $) "\\spad{adjoint(op1,{} op2)} sets the adjoint of \\spad{op1} to be \\spad{op2}. \\spad{op1} must be a basic operator") (($ $) "\\spad{adjoint(op)} returns the adjoint of the operator \\spad{op}."))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+(-706 R M) 
+((|constructor| (NIL "Algebra of ADDITIVE operators on a module.")) (|makeop| (($ |#1| (|FreeGroup| (|BasicOperator|))) "\\spad{makeop should} be local but conditional")) (|opeval| ((|#2| (|BasicOperator|) |#2|) "\\spad{opeval should} be local but conditional")) (** (($ $ (|Integer|)) "\\spad{op**n} is not documented") (($ (|BasicOperator|) (|Integer|)) "\\spad{op**n} is not documented")) (|evaluateInverse| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluateInverse(x,f)} is not documented")) (|evaluate| (($ $ (|Mapping| |#2| |#2|)) "\\spad{evaluate(f, \\spad{u} \\spad{+->} \\spad{g} u)} attaches the map \\spad{g} to \\spad{f.} \\spad{f} must be a basic operator \\spad{g} MUST be additive, \\spadignore{i.e.} \\spad{g(a + \\spad{b)} = g(a) + g(b)} for any \\spad{a}, \\spad{b} in \\spad{M.} This implies that \\spad{g(n a) = \\spad{n} g(a)} for any \\spad{a} in \\spad{M} and integer \\spad{n > 0}.")) (|conjug| ((|#1| |#1|) "\\spad{conjug(x)}should be local but conditional")) (|adjoint| (($ $ $) "\\spad{adjoint(op1, op2)} sets the adjoint of \\spad{op1} to be op2. \\spad{op1} must be a basic operator") (($ $) "\\spad{adjoint(op)} returns the adjoint of the operator \\spad{op}."))) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
-(-706 R |Mod| -2461 -3288 |exactQuo|) 
-((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{EuclideanModularRing} ,{}\\spadtype{ModularField}")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,{}y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,{}m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
-((-4532 . T)) 
+(-707 R |Mod| -2688 -2102 |exactQuo|) 
+((|constructor| (NIL "These domains are used for the factorization and gcds of univariate polynomials over the integers in order to work modulo different primes. See \\spadtype{EuclideanModularRing} ,\\spadtype{ModularField}")) (|inv| (($ $) "\\spad{inv(x)} is not documented")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} is not documented")) (|exQuo| (((|Union| $ "failed") $ $) "\\spad{exQuo(x,y)} is not documented")) (|reduce| (($ |#1| |#2|) "\\spad{reduce(r,m)} is not documented")) (|coerce| ((|#1| $) "\\spad{coerce(x)} is not documented")) (|modulus| ((|#2| $) "\\spad{modulus(x)} is not documented"))) 
+((-4568 . T)) 
 NIL 
-(-707 S R) 
-((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{1*x = x}\\spad{\\br} \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\spad{\\br} \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\spad{\\br} \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
+(-708 S R) 
+((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
 NIL 
 NIL 
-(-708 R) 
-((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{1*x = x}\\spad{\\br} \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\spad{\\br} \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\spad{\\br} \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
-((-4530 . T) (-4529 . T)) 
+(-709 R) 
+((|constructor| (NIL "The category of modules over a commutative ring. \\blankline Axioms\\br \\tab{5}\\spad{1*x = x}\\br \\tab{5}\\spad{(a*b)*x = a*(b*x)}\\br \\tab{5}\\spad{(a+b)*x = (a*x)+(b*x)}\\br \\tab{5}\\spad{a*(x+y) = (a*x)+(a*y)}"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
-(-709 -1564) 
-((|constructor| (NIL "MoebiusTransform(\\spad{F}) is the domain of fractional linear (Moebius) transformations over \\spad{F}. This a domain of 2-by-2 matrices acting on \\spad{P1}(\\spad{F}).")) (|eval| (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) "\\spad{eval(m,{}x)} returns \\spad{(a*x + b)/(c*x + d)} where \\spad{m = moebius(a,{}b,{}c,{}d)} (see moebius from MoebiusTransform).") ((|#1| $ |#1|) "\\spad{eval(m,{}x)} returns \\spad{(a*x + b)/(c*x + d)} where \\spad{m = moebius(a,{}b,{}c,{}d)} (see moebius from MoebiusTransform).")) (|recip| (($ $) "\\spad{recip(m)} = recip() * \\spad{m}") (($) "\\spad{recip()} returns \\spad{matrix [[0,{}1],{}[1,{}0]]} representing the map \\spad{x -> 1 / x}.")) (|scale| (($ $ |#1|) "\\spad{scale(m,{}h)} returns \\spad{scale(h) * m} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{scale(k)} returns \\spad{matrix [[k,{}0],{}[0,{}1]]} representing the map \\spad{x -> k * x}.")) (|shift| (($ $ |#1|) "\\spad{shift(m,{}h)} returns \\spad{shift(h) * m} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{shift(k)} returns \\spad{matrix [[1,{}k],{}[0,{}1]]} representing the map \\spad{x -> x + k}.")) (|moebius| (($ |#1| |#1| |#1| |#1|) "\\spad{moebius(a,{}b,{}c,{}d)} returns \\spad{matrix [[a,{}b],{}[c,{}d]]}."))) 
-((-4532 . T)) 
+(-710 -1647) 
+((|constructor| (NIL "MoebiusTransform(F) is the domain of fractional linear (Moebius) transformations over \\spad{F.} This a domain of 2-by-2 matrices acting on P1(F).")) (|eval| (((|OnePointCompletion| |#1|) $ (|OnePointCompletion| |#1|)) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).") ((|#1| $ |#1|) "\\spad{eval(m,x)} returns \\spad{(a*x + b)/(c*x + \\spad{d)}} where \\spad{m = moebius(a,b,c,d)} (see moebius from MoebiusTransform).")) (|recip| (($ $) "\\spad{recip(m)} = recip() * \\spad{m}") (($) "\\spad{recip()} returns \\spad{matrix [[0,1],[1,0]]} representing the map \\spad{x \\spad{->} 1 / \\spad{x}.}")) (|scale| (($ $ |#1|) "\\spad{scale(m,h)} returns \\spad{scale(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{scale(k)} returns \\spad{matrix [[k,0],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{k} * \\spad{x}.}")) (|shift| (($ $ |#1|) "\\spad{shift(m,h)} returns \\spad{shift(h) * \\spad{m}} (see shift from MoebiusTransform).") (($ |#1|) "\\spad{shift(k)} returns \\spad{matrix [[1,k],[0,1]]} representing the map \\spad{x \\spad{->} \\spad{x} + \\spad{k}.}")) (|moebius| (($ |#1| |#1| |#1| |#1|) "\\spad{moebius(a,b,c,d)} returns \\spad{matrix [[a,b],[c,d]]}."))) 
+((-4568 . T)) 
 NIL 
-(-710 S) 
-((|constructor| (NIL "Monad is the class of all multiplicative monads,{} \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}1) := a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}1) := a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
+(-711 S) 
+((|constructor| (NIL "Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-711) 
-((|constructor| (NIL "Monad is the class of all multiplicative monads,{} \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}1) := a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}1) := a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
+(-712) 
+((|constructor| (NIL "Monad is the class of all multiplicative monads, \\spadignore{i.e.} sets with a binary operation.")) (** (($ $ (|PositiveInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|PositiveInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,1) \\spad{:=} a}.")) (|rightPower| (($ $ (|PositiveInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,1) \\spad{:=} a}.")) (* (($ $ $) "\\spad{a*b} is the product of \\spad{a} and \\spad{b} in a set with a binary operation."))) 
 NIL 
 NIL 
-(-712 S) 
-((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit,{} \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\spad{\\br} \\tab{5}leftIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spadignore{e.g.} 1*x=x\\spad{\\br} \\tab{5}rightIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spad{e}.\\spad{g} x*1=x \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}unitsKnown - if \"recip\" says \"failed\",{} it PROVES input wasn\\spad{'t} a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}0) := 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}0) := 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element,{} denoted by 1."))) 
+(-713 S) 
+((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) \\spadignore{e.g.} 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) e.g x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-713) 
-((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit,{} \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\spad{\\br} \\tab{5}leftIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spadignore{e.g.} 1*x=x\\spad{\\br} \\tab{5}rightIdentity(\"*\":(\\%,{}\\%)\\spad{->}\\%,{}1) \\spad{e}.\\spad{g} x*1=x \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}unitsKnown - if \"recip\" says \"failed\",{} it PROVES input wasn\\spad{'t} a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element,{} which is a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element,{} which is a left inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element,{} which is both a left and a right inverse of \\spad{a},{} or \\spad{\"failed\"} if such an element doesn\\spad{'t} exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}\\spad{-}th power of \\spad{a},{} defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,{}n)} returns the \\spad{n}\\spad{-}th left power of \\spad{a},{} \\spadignore{i.e.} \\spad{leftPower(a,{}n) := a * leftPower(a,{}n-1)} and \\spad{leftPower(a,{}0) := 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,{}n)} returns the \\spad{n}\\spad{-}th right power of \\spad{a},{} \\spadignore{i.e.} \\spad{rightPower(a,{}n) := rightPower(a,{}n-1) * a} and \\spad{rightPower(a,{}0) := 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element,{} denoted by 1."))) 
+(-714) 
+((|constructor| (NIL "MonadWithUnit is the class of multiplicative monads with unit, \\spadignore{i.e.} sets with a binary operation and a unit element. \\blankline Axioms\\br \\tab{5}leftIdentity(\"*\":(\\%,\\%)->\\%,1) \\spadignore{e.g.} 1*x=x\\br \\tab{5}rightIdentity(\"*\":(\\%,\\%)->\\%,1) e.g x*1=x \\blankline Common Additional Axioms\\br \\tab{5}unitsKnown - if \"recip\" says \"failed\", it PROVES input wasn't a unit")) (|rightRecip| (((|Union| $ "failed") $) "\\spad{rightRecip(a)} returns an element, which is a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|leftRecip| (((|Union| $ "failed") $) "\\spad{leftRecip(a)} returns an element, which is a left inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(a)} returns an element, which is both a left and a right inverse of \\spad{a}, or \\spad{\"failed\"} if such an element doesn't exist or cannot be determined (see unitsKnown).")) (** (($ $ (|NonNegativeInteger|)) "\\spad{a**n} returns the \\spad{n}-th power of \\spad{a}, defined by repeated squaring.")) (|leftPower| (($ $ (|NonNegativeInteger|)) "\\spad{leftPower(a,n)} returns the \\spad{n}-th left power of \\spad{a}, \\spadignore{i.e.} \\spad{leftPower(a,n) \\spad{:=} a * leftPower(a,n-1)} and \\spad{leftPower(a,0) \\spad{:=} 1}.")) (|rightPower| (($ $ (|NonNegativeInteger|)) "\\spad{rightPower(a,n)} returns the \\spad{n}-th right power of \\spad{a}, \\spadignore{i.e.} \\spad{rightPower(a,n) \\spad{:=} rightPower(a,n-1) * a} and \\spad{rightPower(a,0) \\spad{:=} 1}.")) (|one?| (((|Boolean|) $) "\\spad{one?(a)} tests whether \\spad{a} is the unit 1.")) ((|One|) (($) "1 returns the unit element, denoted by 1."))) 
 NIL 
 NIL 
-(-714 S R UP) 
-((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) "\\spad{derivationCoordinates(b,{} ')} returns \\spad{M} such that \\spad{b' = M b}.")) (|lift| ((|#3| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#3|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#3|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#3|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#3|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
+(-715 S R UP) 
+((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#2|) (|Vector| $) (|Mapping| |#2| |#2|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#3| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#3|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#3|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#3|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#3|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-351))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371)))) 
-(-715 R UP) 
-((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) "\\spad{derivationCoordinates(b,{} ')} returns \\spad{M} such that \\spad{b' = M b}.")) (|lift| ((|#2| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#2|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#2|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#2|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element,{} reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#2|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
-((-4528 |has| |#1| (-366)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-716 R UP) 
+((|constructor| (NIL "A \\spadtype{MonogenicAlgebra} is an algebra of finite rank which can be generated by a single element.")) (|derivationCoordinates| (((|Matrix| |#1|) (|Vector| $) (|Mapping| |#1| |#1|)) "\\spad{derivationCoordinates(b, \\spad{')}} returns \\spad{M} such that \\spad{b' = \\spad{M} \\spad{b}.}")) (|lift| ((|#2| $) "\\spad{lift(z)} returns a minimal degree univariate polynomial up such that \\spad{z=reduce up}.")) (|convert| (($ |#2|) "\\spad{convert(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|reduce| (((|Union| $ "failed") (|Fraction| |#2|)) "\\spad{reduce(frac)} converts the fraction \\spad{frac} to an algebra element.") (($ |#2|) "\\spad{reduce(up)} converts the univariate polynomial \\spad{up} to an algebra element, reducing by the \\spad{definingPolynomial()} if necessary.")) (|definingPolynomial| ((|#2|) "\\spad{definingPolynomial()} returns the minimal polynomial which \\spad{generator()} satisfies.")) (|generator| (($) "\\spad{generator()} returns the generator for this domain."))) 
+((-4564 |has| |#1| (-366)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-716 S) 
-((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{5}\\spad{1*x=x}\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\spad{\\br} \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
+(-717 S) 
+((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-717) 
-((|constructor| (NIL "The class of multiplicative monoids,{} \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{leftIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{5}\\spad{1*x=x}\\spad{\\br} \\tab{5}\\spad{rightIdentity(\"*\":(\\%,{}\\%)->\\%,{}1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\spad{\\br} \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
+(-718) 
+((|constructor| (NIL "The class of multiplicative monoids, \\spadignore{i.e.} semigroups with a multiplicative identity element. \\blankline Axioms\\br \\tab{5}\\spad{leftIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{5}\\spad{1*x=x}\\br \\tab{5}\\spad{rightIdentity(\"*\":(\\%,\\%)->\\%,1)}\\tab{4}\\spad{x*1=x} \\blankline Conditional attributes\\br \\tab{5}unitsKnown - \\spadfun{recip} only returns \"failed\" on non-units")) (|recip| (((|Union| $ "failed") $) "\\spad{recip(x)} tries to compute the multiplicative inverse for \\spad{x} or \"failed\" if it cannot find the inverse (see unitsKnown).")) (^ (($ $ (|NonNegativeInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|NonNegativeInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (|one?| (((|Boolean|) $) "\\spad{one?(x)} tests if \\spad{x} is equal to 1.")) (|sample| (($) "\\spad{sample yields} a value of type \\%")) ((|One|) (($) "1 is the multiplicative identity."))) 
 NIL 
 NIL 
-(-718 -1564 UP) 
-((|constructor| (NIL "Tools for handling monomial extensions.")) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{decompose(f,{} D)} returns \\spad{[p,{}n,{}s]} such that \\spad{f = p+n+s},{} all the squarefree factors of \\spad{denom(n)} are normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} \\spad{denom(s)} is special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and \\spad{n} and \\spad{s} are proper fractions (no pole at infinity). \\spad{D} is the derivation to use.")) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{normalDenom(f,{} D)} returns the product of all the normal factors of \\spad{denom(f)}. \\spad{D} is the derivation to use.")) (|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) "\\spad{splitSquarefree(p,{} D)} returns \\spad{[n_1 n_2\\^2 ... n_m\\^m,{} s_1 s_2\\^2 ... s_q\\^q]} such that \\spad{p = n_1 n_2\\^2 ... n_m\\^m s_1 s_2\\^2 ... s_q\\^q},{} each \\spad{n_i} is normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D} and each \\spad{s_i} is special \\spad{w}.\\spad{r}.\\spad{t} \\spad{D}. \\spad{D} is the derivation to use.")) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{split(p,{} D)} returns \\spad{[n,{}s]} such that \\spad{p = n s},{} all the squarefree factors of \\spad{n} are normal \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D},{} and \\spad{s} is special \\spad{w}.\\spad{r}.\\spad{t}. \\spad{D}. \\spad{D} is the derivation to use."))) 
+(-719 -1647 UP) 
+((|constructor| (NIL "Tools for handling monomial extensions.")) (|decompose| (((|Record| (|:| |poly| |#2|) (|:| |normal| (|Fraction| |#2|)) (|:| |special| (|Fraction| |#2|))) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{decompose(f, \\spad{D)}} returns \\spad{[p,n,s]} such that \\spad{f = p+n+s}, all the squarefree factors of \\spad{denom(n)} are normal w.r.t. \\spad{D,} \\spad{denom(s)} is special w.r.t. \\spad{D,} and \\spad{n} and \\spad{s} are proper fractions (no pole at infinity). \\spad{D} is the derivation to use.")) (|normalDenom| ((|#2| (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{normalDenom(f, \\spad{D)}} returns the product of all the normal factors of \\spad{denom(f)}. \\spad{D} is the derivation to use.")) (|splitSquarefree| (((|Record| (|:| |normal| (|Factored| |#2|)) (|:| |special| (|Factored| |#2|))) |#2| (|Mapping| |#2| |#2|)) "\\spad{splitSquarefree(p, \\spad{D)}} returns \\spad{[n_1 \\spad{n_2\\^2} \\spad{...} n_m\\^m, \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q]} such that \\spad{p = \\spad{n_1} \\spad{n_2\\^2} \\spad{...} n_m\\^m \\spad{s_1} \\spad{s_2\\^2} \\spad{...} s_q\\^q}, each \\spad{n_i} is normal w.r.t. \\spad{D} and each \\spad{s_i} is special w.r.t \\spad{D.} \\spad{D} is the derivation to use.")) (|split| (((|Record| (|:| |normal| |#2|) (|:| |special| |#2|)) |#2| (|Mapping| |#2| |#2|)) "\\spad{split(p, \\spad{D)}} returns \\spad{[n,s]} such that \\spad{p = \\spad{n} \\spad{s},} all the squarefree factors of \\spad{n} are normal w.r.t. \\spad{D,} and \\spad{s} is special w.r.t. \\spad{D.} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-719 |VarSet| -1375 E2 R S PR PS) 
-((|constructor| (NIL "Utilities for MPolyCat")) (|reshape| ((|#7| (|List| |#5|) |#6|) "\\spad{reshape(l,{}p)} \\undocumented")) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) "\\spad{map(f,{}p)} \\undocumented"))) 
+(-720 |VarSet| -4198 E2 R S PR PS) 
+((|constructor| (NIL "Utilities for MPolyCat")) (|reshape| ((|#7| (|List| |#5|) |#6|) "\\spad{reshape(l,p)} \\undocumented")) (|map| ((|#7| (|Mapping| |#5| |#4|) |#6|) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-720 |Vars1| |Vars2| -1375 E2 R PR1 PR2) 
-((|constructor| (NIL "This package has no description")) (|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) "\\spad{map(f,{}x)} \\undocumented"))) 
+(-721 |Vars1| |Vars2| -4198 E2 R PR1 PR2) 
+((|constructor| (NIL "This package has no description")) (|map| ((|#7| (|Mapping| |#2| |#1|) |#6|) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-721 E OV R PPR) 
+(-722 E OV R PPR) 
 ((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are polynomials over some ring \\spad{R} over which we can factor. It is used internally by packages such as the solve package which need to work with polynomials in a specific set of variables with coefficients which are polynomials in all the other variables.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors a polynomial with polynomial coefficients.")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-722 |vl| R) 
-((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are from a user specified list of symbols. The ordering is specified by the position of the variable in the list. The coefficient ring may be non commutative,{} but the variables are assumed to commute."))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-853 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-723 E OV R PRF) 
-((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are rational functions over some ring \\spad{R} over which we can factor. It is used internally by packages such as primary decomposition which need to work with polynomials with rational function coefficients,{} \\spadignore{i.e.} themselves fractions of polynomials.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(prf)} factors a polynomial with rational function coefficients.")) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) "\\spad{pushuconst(r,{}var)} takes a rational function and raises all occurances of the variable \\spad{var} to the polynomial level.")) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) "\\spad{pushucoef(upoly,{}var)} converts the anonymous univariate polynomial \\spad{upoly} to a polynomial in \\spad{var} over rational functions.")) (|pushup| ((|#4| |#4| |#2|) "\\spad{pushup(prf,{}var)} raises all occurences of the variable \\spad{var} in the coefficients of the polynomial \\spad{prf} back to the polynomial level.")) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) "\\spad{pushdterm(monom,{}var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the monomial \\spad{monom}.")) (|pushdown| ((|#4| |#4| |#2|) "\\spad{pushdown(prf,{}var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the polynomial \\spad{prf}.")) (|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) "\\spad{totalfract(prf)} takes a polynomial whose coefficients are themselves fractions of polynomials and returns a record containing the numerator and denominator resulting from putting \\spad{prf} over a common denominator.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
+(-723 |vl| R) 
+((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are from a user specified list of symbols. The ordering is specified by the position of the variable in the list. The coefficient ring may be non commutative, but the variables are assumed to commute."))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-854 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-724 E OV R PRF) 
+((|constructor| (NIL "This package exports a factor operation for multivariate polynomials with coefficients which are rational functions over some ring \\spad{R} over which we can factor. It is used internally by packages such as primary decomposition which need to work with polynomials with rational function coefficients, \\spadignore{i.e.} themselves fractions of polynomials.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(prf)} factors a polynomial with rational function coefficients.")) (|pushuconst| ((|#4| (|Fraction| (|Polynomial| |#3|)) |#2|) "\\spad{pushuconst(r,var)} takes a rational function and raises all occurances of the variable \\spad{var} to the polynomial level.")) (|pushucoef| ((|#4| (|SparseUnivariatePolynomial| (|Polynomial| |#3|)) |#2|) "\\spad{pushucoef(upoly,var)} converts the anonymous univariate polynomial \\spad{upoly} to a polynomial in \\spad{var} over rational functions.")) (|pushup| ((|#4| |#4| |#2|) "\\spad{pushup(prf,var)} raises all occurences of the variable \\spad{var} in the coefficients of the polynomial \\spad{prf} back to the polynomial level.")) (|pushdterm| ((|#4| (|SparseUnivariatePolynomial| |#4|) |#2|) "\\spad{pushdterm(monom,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the monomial monom.")) (|pushdown| ((|#4| |#4| |#2|) "\\spad{pushdown(prf,var)} pushes all top level occurences of the variable \\spad{var} into the coefficient domain for the polynomial prf.")) (|totalfract| (((|Record| (|:| |sup| (|Polynomial| |#3|)) (|:| |inf| (|Polynomial| |#3|))) |#4|) "\\spad{totalfract(prf)} takes a polynomial whose coefficients are themselves fractions of polynomials and returns a record containing the numerator and denominator resulting from putting \\spad{prf} over a common denominator.")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-724 E OV R P) 
-((|constructor| (NIL "MRationalFactorize contains the factor function for multivariate polynomials over the quotient field of a ring \\spad{R} such that the package MultivariateFactorize can factor multivariate polynomials over \\spad{R}.")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} with coefficients which are fractions of elements of \\spad{R}."))) 
+(-725 E OV R P) 
+((|constructor| (NIL "MRationalFactorize contains the factor function for multivariate polynomials over the quotient field of a ring \\spad{R} such that the package MultivariateFactorize can factor multivariate polynomials over \\spad{R.}")) (|factor| (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} with coefficients which are fractions of elements of \\spad{R.}"))) 
 NIL 
 NIL 
-(-725 R S M) 
-((|constructor| (NIL "\\spad{MonoidRingFunctions2} implements functions between two monoid rings defined with the same monoid over different rings.")) (|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) "\\spad{map(f,{}u)} maps \\spad{f} onto the coefficients \\spad{f} the element \\spad{u} of the monoid ring to create an element of a monoid ring with the same monoid \\spad{b}."))) 
+(-726 R S M) 
+((|constructor| (NIL "\\spad{MonoidRingFunctions2} implements functions between two monoid rings defined with the same monoid over different rings.")) (|map| (((|MonoidRing| |#2| |#3|) (|Mapping| |#2| |#1|) (|MonoidRing| |#1| |#3|)) "\\spad{map(f,u)} maps \\spad{f} onto the coefficients \\spad{f} the element \\spad{u} of the monoid ring to create an element of a monoid ring with the same monoid \\spad{b.}"))) 
 NIL 
 NIL 
-(-726 R M) 
-((|constructor| (NIL "\\spadtype{MonoidRing}(\\spad{R},{}\\spad{M}),{} implements the algebra of all maps from the monoid \\spad{M} to the commutative ring \\spad{R} with finite support. Multiplication of two maps \\spad{f} and \\spad{g} is defined to map an element \\spad{c} of \\spad{M} to the (convolution) sum over \\spad{f}(a)\\spad{g}(\\spad{b}) such that ab = \\spad{c}. Thus \\spad{M} can be identified with a canonical basis and the maps can also be considered as formal linear combinations of the elements in \\spad{M}. Scalar multiples of a basis element are called monomials. A prominent example is the class of polynomials where the monoid is a direct product of the natural numbers with pointwise addition. When \\spad{M} is \\spadtype{FreeMonoid Symbol},{} one gets polynomials in infinitely many non-commuting variables. Another application area is representation theory of finite groups \\spad{G},{} where modules over \\spadtype{MonoidRing}(\\spad{R},{}\\spad{G}) are studied.")) (|reductum| (($ $) "\\spad{reductum(f)} is \\spad{f} minus its leading monomial.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} gives the coefficient of \\spad{f},{} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(f)} gives the monomial of \\spad{f} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(f)} is the number of non-zero coefficients with respect to the canonical basis.")) (|monomials| (((|List| $) $) "\\spad{monomials(f)} gives the list of all monomials whose sum is \\spad{f}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(f)} lists all non-zero coefficients.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of \\spad{u}.")) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) "\\spad{terms(f)} gives the list of non-zero coefficients combined with their corresponding basis element as records. This is the internal representation.")) (|coerce| (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) "\\spad{coerce(lt)} converts a list of terms and coefficients to a member of the domain.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(f,{}m)} extracts the coefficient of \\spad{m} in \\spad{f} with respect to the canonical basis \\spad{M}.")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,{}m)} creates a scalar multiple of the basis element \\spad{m}."))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
-((-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-843)))) 
-(-727 S) 
+(-727 R M) 
+((|constructor| (NIL "\\spadtype{MonoidRing}(R,M), implements the algebra of all maps from the monoid \\spad{M} to the commutative ring \\spad{R} with finite support. Multiplication of two maps \\spad{f} and \\spad{g} is defined to map an element \\spad{c} of \\spad{M} to the (convolution) sum over f(a)g(b) such that ab = \\spad{c.} Thus \\spad{M} can be identified with a canonical basis and the maps can also be considered as formal linear combinations of the elements in \\spad{M.} Scalar multiples of a basis element are called monomials. A prominent example is the class of polynomials where the monoid is a direct product of the natural numbers with pointwise addition. When \\spad{M} is \\spadtype{FreeMonoid Symbol}, one gets polynomials in infinitely many non-commuting variables. Another application area is representation theory of finite groups \\spad{G,} where modules over \\spadtype{MonoidRing}(R,G) are studied.")) (|reductum| (($ $) "\\spad{reductum(f)} is \\spad{f} minus its leading monomial.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} gives the coefficient of \\spad{f,} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|leadingMonomial| ((|#2| $) "\\spad{leadingMonomial(f)} gives the monomial of \\spad{f} whose corresponding monoid element is the greatest among all those with non-zero coefficients.")) (|numberOfMonomials| (((|NonNegativeInteger|) $) "\\spad{numberOfMonomials(f)} is the number of non-zero coefficients with respect to the canonical basis.")) (|monomials| (((|List| $) $) "\\spad{monomials(f)} gives the list of all monomials whose sum is \\spad{f.}")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(f)} lists all non-zero coefficients.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(f)} tests if \\spad{f} is a single monomial.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,u)} maps function \\spad{fn} onto the coefficients of the non-zero monomials of u.")) (|terms| (((|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|))) $) "\\spad{terms(f)} gives the list of non-zero coefficients combined with their corresponding basis element as records. This is the internal representation.")) (|coerce| (($ (|List| (|Record| (|:| |coef| |#1|) (|:| |monom| |#2|)))) "\\spad{coerce(lt)} converts a list of terms and coefficients to a member of the domain.")) (|coefficient| ((|#1| $ |#2|) "\\spad{coefficient(f,m)} extracts the coefficient of \\spad{m} in \\spad{f} with respect to the canonical basis \\spad{M.}")) (|monomial| (($ |#1| |#2|) "\\spad{monomial(r,m)} creates a scalar multiple of the basis element \\spad{m.}"))) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
+((-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-844)))) 
+(-728 S) 
 ((|constructor| (NIL "A multi-set aggregate is a set which keeps track of the multiplicity of its elements."))) 
-((-4525 . T) (-4536 . T) (-2982 . T)) 
+((-4561 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-728 S) 
-((|constructor| (NIL "A multiset is a set with multiplicities.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove!(p,{}ms,{}number)} removes destructively at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{\\spad{true}} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove!(x,{}ms,{}number)} removes destructively at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove(p,{}ms,{}number)} removes at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{\\spad{true}} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove(x,{}ms,{}number)} removes at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive,{} all of them if \\spad{number} equals zero,{} and all but at most \\spad{-number} if \\spad{number} is negative.")) (|members| (((|List| |#1|) $) "\\spad{members(ms)} returns a list of the elements of \\spad{ms} without their multiplicity. See also \\spadfun{parts}.")) (|multiset| (($ (|List| |#1|)) "\\spad{multiset(ls)} creates a multiset with elements from \\spad{ls}.") (($ |#1|) "\\spad{multiset(s)} creates a multiset with singleton \\spad{s}.") (($) "\\spad{multiset()}\\$\\spad{D} creates an empty multiset of domain \\spad{D}."))) 
-((-4535 . T) (-4525 . T) (-4536 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-729) 
-((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis,{} \\spadignore{e.g.} the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{\\spad{cmd}} and passes it to the runtime environment for execution as a system command. Although various things may be printed,{} no usable value is returned."))) 
+(-729 S) 
+((|constructor| (NIL "A multiset is a set with multiplicities.")) (|remove!| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove!(p,ms,number)} removes destructively at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove!(x,ms,number)} removes destructively at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|remove| (($ (|Mapping| (|Boolean|) |#1|) $ (|Integer|)) "\\spad{remove(p,ms,number)} removes at most \\spad{number} copies of elements \\spad{x} such that \\spad{p(x)} is \\spadfun{true} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.") (($ |#1| $ (|Integer|)) "\\spad{remove(x,ms,number)} removes at most \\spad{number} copies of element \\spad{x} if \\spad{number} is positive, all of them if \\spad{number} equals zero, and all but at most \\spad{-number} if \\spad{number} is negative.")) (|members| (((|List| |#1|) $) "\\spad{members(ms)} returns a list of the elements of \\spad{ms} without their multiplicity. See also \\spadfun{parts}.")) (|multiset| (($ (|List| |#1|)) "\\spad{multiset(ls)} creates a multiset with elements from \\spad{ls}.") (($ |#1|) "\\spad{multiset(s)} creates a multiset with singleton \\spad{s.}") (($) "\\spad{multiset()}$D creates an empty multiset of domain \\spad{D.}"))) 
+((-4571 . T) (-4561 . T) (-4572 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-730) 
+((|constructor| (NIL "\\spadtype{MoreSystemCommands} implements an interface with the system command facility. These are the commands that are issued from source files or the system interpreter and they start with a close parenthesis, \\spadignore{e.g.} the \"what\" commands.")) (|systemCommand| (((|Void|) (|String|)) "\\spad{systemCommand(cmd)} takes the string \\spadvar{cmd} and passes it to the runtime environment for execution as a system command. Although various things may be printed, no usable value is returned."))) 
 NIL 
 NIL 
-(-730 S) 
-((|constructor| (NIL "This package exports tools for merging lists")) (|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\spad{mergeDifference(l1,{}l2)} returns a list of elements in \\spad{l1} not present in \\spad{l2}. Assumes lists are ordered and all \\spad{x} in \\spad{l2} are also in \\spad{l1}."))) 
+(-731 S) 
+((|constructor| (NIL "This package exports tools for merging lists")) (|mergeDifference| (((|List| |#1|) (|List| |#1|) (|List| |#1|)) "\\spad{mergeDifference(l1,l2)} returns a list of elements in \\spad{l1} not present in \\spad{l2.} Assumes lists are ordered and all \\spad{x} in \\spad{l2} are also in \\spad{l1.}"))) 
 NIL 
 NIL 
-(-731 |Coef| |Var|) 
-((|constructor| (NIL "\\spadtype{MultivariateTaylorSeriesCategory} is the most general multivariate Taylor series category.")) (|integrate| (($ $ |#2|) "\\spad{integrate(f,{}x)} returns the anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{x} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) "\\spad{order(f,{}x,{}n)} returns \\spad{min(n,{}order(f,{}x))}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(f,{}x)} returns the order of \\spad{f} viewed as a series in \\spad{x} may result in an infinite loop if \\spad{f} has no non-zero terms.")) (|monomial| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[x1,{}x2,{}...,{}xk],{}[n1,{}n2,{}...,{}nk])} returns \\spad{a * x1^n1 * ... * xk^nk}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} returns \\spad{a*x^n}.")) (|extend| (($ $ (|NonNegativeInteger|)) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<= n} to be computed.")) (|coefficient| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(f,{}[x1,{}x2,{}...,{}xk],{}[n1,{}n2,{}...,{}nk])} returns the coefficient of \\spad{x1^n1 * ... * xk^nk} in \\spad{f}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{coefficient(f,{}x,{}n)} returns the coefficient of \\spad{x^n} in \\spad{f}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+(-732 |Coef| |Var|) 
+((|constructor| (NIL "\\spadtype{MultivariateTaylorSeriesCategory} is the most general multivariate Taylor series category.")) (|integrate| (($ $ |#2|) "\\spad{integrate(f,x)} returns the anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{x} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| (((|NonNegativeInteger|) $ |#2| (|NonNegativeInteger|)) "\\spad{order(f,x,n)} returns \\spad{min(n,order(f,x))}.") (((|NonNegativeInteger|) $ |#2|) "\\spad{order(f,x)} returns the order of \\spad{f} viewed as a series in \\spad{x} may result in an infinite loop if \\spad{f} has no non-zero terms.")) (|monomial| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[x1,x2,...,xk],[n1,n2,...,nk])} returns \\spad{a * \\spad{x1^n1} * \\spad{...} * xk^nk}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} returns \\spad{a*x^n}.")) (|extend| (($ $ (|NonNegativeInteger|)) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<= \\spad{n}} to be computed.")) (|coefficient| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(f,[x1,x2,...,xk],[n1,n2,...,nk])} returns the coefficient of \\spad{x1^n1 * \\spad{...} * xk^nk} in \\spad{f.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{coefficient(f,x,n)} returns the coefficient of \\spad{x^n} in \\spad{f.}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
-(-732 OV E R P) 
+(-733 OV E R P) 
 ((|constructor| (NIL "This is the top level package for doing multivariate factorization over basic domains like \\spadtype{Integer} or \\spadtype{Fraction Integer}.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain where \\spad{p} is represented as a univariate polynomial with multivariate coefficients") (((|Factored| |#4|) |#4|) "\\spad{factor(p)} factors the multivariate polynomial \\spad{p} over its coefficient domain"))) 
 NIL 
 NIL 
-(-733 E OV R P) 
-((|constructor| (NIL "This package provides the functions for the computation of the square free decomposition of a multivariate polynomial. It uses the package GenExEuclid for the resolution of the equation \\spad{Af + Bg = h} and its generalization to \\spad{n} polynomials over an integral domain and the package \\spad{MultivariateLifting} for the \"multivariate\" lifting.")) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{normDeriv2 should} be local")) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) "\\spad{myDegree should} be local")) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) "\\spad{lift should} be local")) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{check should} be local")) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) "\\spad{coefChoose should} be local")) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{intChoose should} be local")) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{nsqfree should} be local")) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{consnewpol should} be local")) (|univcase| (((|Factored| |#4|) |#4| |#2|) "\\spad{univcase should} be local")) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{compdegd should} be local")) (|squareFreePrim| (((|Factored| |#4|) |#4|) "\\spad{squareFreePrim(p)} compute the square free decomposition of a primitive multivariate polynomial \\spad{p}.")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p} presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p}."))) 
+(-734 E OV R P) 
+((|constructor| (NIL "This package provides the functions for the computation of the square free decomposition of a multivariate polynomial. It uses the package GenExEuclid for the resolution of the equation \\spad{Af + \\spad{Bg} = \\spad{h}} and its generalization to \\spad{n} polynomials over an integral domain and the package \\spad{MultivariateLifting} for the \"multivariate\" lifting.")) (|normDeriv2| (((|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{normDeriv2 should} be local")) (|myDegree| (((|List| (|NonNegativeInteger|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|NonNegativeInteger|)) "\\spad{myDegree should} be local")) (|lift| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|SparseUnivariatePolynomial| |#3|) |#4| (|List| |#2|) (|List| (|NonNegativeInteger|)) (|List| |#3|)) "\\spad{lift should} be local")) (|check| (((|Boolean|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|)))) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{check should} be local")) (|coefChoose| ((|#4| (|Integer|) (|Factored| |#4|)) "\\spad{coefChoose should} be local")) (|intChoose| (((|Record| (|:| |upol| (|SparseUnivariatePolynomial| |#3|)) (|:| |Lval| (|List| |#3|)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| |#3|)) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{intChoose should} be local")) (|nsqfree| (((|Record| (|:| |unitPart| |#4|) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#4|)) (|:| |exponent| (|Integer|)))))) (|SparseUnivariatePolynomial| |#4|) (|List| |#2|) (|List| (|List| |#3|))) "\\spad{nsqfree should} be local")) (|consnewpol| (((|Record| (|:| |pol| (|SparseUnivariatePolynomial| |#4|)) (|:| |polval| (|SparseUnivariatePolynomial| |#3|))) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#3|) (|Integer|)) "\\spad{consnewpol should} be local")) (|univcase| (((|Factored| |#4|) |#4| |#2|) "\\spad{univcase should} be local")) (|compdegd| (((|Integer|) (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| |#3|)) (|:| |exponent| (|Integer|))))) "\\spad{compdegd should} be local")) (|squareFreePrim| (((|Factored| |#4|) |#4|) "\\spad{squareFreePrim(p)} compute the square free decomposition of a primitive multivariate polynomial \\spad{p.}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p} presented as a univariate polynomial with multivariate coefficients.") (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} computes the square free decomposition of a multivariate polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-734 |q| R) 
+(-735 |q| R) 
 ((|constructor| (NIL "This domain has no description"))) 
-((-4533 |has| |#2| (-559)) (-4527 |has| |#2| (-559)) (-4532 -2232 (|has| |#2| (-479)) (|has| |#2| (-1048))) (-4530 |has| |#2| (-173)) (-4529 |has| |#2| (-173)) ((-4537 "*") |has| |#2| (-559)) (-4528 |has| |#2| (-559))) 
-((|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (-2232 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1103))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1048))) (|HasCategory| $ (LIST (QUOTE -1038) (QUOTE (-569))))) 
-(-735 |x| R) 
-((|constructor| (NIL "This domain has no description")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4531 |has| |#2| (-366)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-736 S R) 
-((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\spad{\\br} \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{r*}(a*b) = (r*a)\\spad{*b} = a*(\\spad{r*b})")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,{}n)} is recursively defined to be \\spad{plenaryPower(a,{}n-1)*plenaryPower(a,{}n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
-NIL 
-NIL 
-(-737 R) 
-((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\spad{\\br} \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{r*}(a*b) = (r*a)\\spad{*b} = a*(\\spad{r*b})")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,{}n)} is recursively defined to be \\spad{plenaryPower(a,{}n-1)*plenaryPower(a,{}n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
-((-4530 . T) (-4529 . T)) 
+((-4569 |has| |#2| (-559)) (-4563 |has| |#2| (-559)) (-4568 -1929 (|has| |#2| (-479)) (|has| |#2| (-1049))) (-4566 |has| |#2| (-173)) (-4565 |has| |#2| (-173)) ((-4573 "*") |has| |#2| (-559)) (-4564 |has| |#2| (-559))) 
+((|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (-1929 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-1105))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-559)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))))) (|HasCategory| $ (QUOTE (-1049))) (|HasCategory| $ (LIST (QUOTE -1039) (QUOTE (-569))))) 
+(-736 |x| R) 
+((|constructor| (NIL "This domain has no description")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4567 |has| |#2| (-366)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-737 S R) 
+((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
 NIL 
-(-738) 
-((|constructor| (NIL "This package uses the NAG Library to compute the zeros of a polynomial with real or complex coefficients.")) (|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02agf(a,{}n,{}scale,{}ifail)} finds all the roots of a real polynomial equation,{} using a variant of Laguerre\\spad{'s} Method. See \\downlink{Manual Page}{manpageXXc02agf}.")) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02aff(a,{}n,{}scale,{}ifail)} finds all the roots of a complex polynomial equation,{} using a variant of Laguerre\\spad{'s} Method. See \\downlink{Manual Page}{manpageXXc02aff}."))) 
 NIL 
+(-738 R) 
+((|constructor| (NIL "NonAssociativeAlgebra is the category of non associative algebras (modules which are themselves non associative rngs).\\br \\blankline Axioms\\br \\tab{5}r*(a*b) = (r*a)*b = a*(r*b)")) (|plenaryPower| (($ $ (|PositiveInteger|)) "\\spad{plenaryPower(a,n)} is recursively defined to be \\spad{plenaryPower(a,n-1)*plenaryPower(a,n-1)} for \\spad{n>1} and \\spad{a} for \\spad{n=1}."))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
 (-739) 
-((|constructor| (NIL "This package uses the NAG Library to calculate real zeros of continuous real functions of one or more variables. (Complex equations must be expressed in terms of the equivalent larger system of real equations.)")) (|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) "\\spad{c05pbf(n,{}ldfjac,{}lwa,{}x,{}xtol,{}ifail,{}fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. The user must provide the Jacobian. See \\downlink{Manual Page}{manpageXXc05pbf}.")) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) "\\spad{c05nbf(n,{}lwa,{}x,{}xtol,{}ifail,{}fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. See \\downlink{Manual Page}{manpageXXc05nbf}.")) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{c05adf(a,{}b,{}eps,{}eta,{}ifail,{}f)} locates a zero of a continuous function in a given interval by a combination of the methods of linear interpolation,{} extrapolation and bisection. See \\downlink{Manual Page}{manpageXXc05adf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to compute the zeros of a polynomial with real or complex coefficients.")) (|c02agf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02agf(a,n,scale,ifail)} finds all the roots of a real polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02agf}.")) (|c02aff| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Boolean|) (|Integer|)) "\\spad{c02aff(a,n,scale,ifail)} finds all the roots of a complex polynomial equation, using a variant of Laguerre's Method. See \\downlink{Manual Page}{manpageXXc02aff}."))) 
 NIL 
 NIL 
 (-740) 
-((|constructor| (NIL "This package uses the NAG Library to calculate the discrete Fourier transform of a sequence of real or complex data values,{} and applies it to calculate convolutions and correlations.")) (|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gsf(m,{}n,{}x,{}ifail)} takes \\spad{m} Hermitian sequences,{} each containing \\spad{n} data values,{} and forms the real and imaginary parts of the \\spad{m} corresponding complex sequences. See \\downlink{Manual Page}{manpageXXc06gsf}.")) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gqf(m,{}n,{}x,{}ifail)} forms the complex conjugates,{} each containing \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gqf}.")) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gcf(n,{}y,{}ifail)} forms the complex conjugate of a sequence of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gcf}.")) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gbf(n,{}x,{}ifail)} forms the complex conjugate of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gbf}.")) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fuf(m,{}n,{}init,{}x,{}y,{}trigm,{}trign,{}ifail)} computes the two-dimensional discrete Fourier transform of a bivariate sequence of complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fuf}.")) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06frf(m,{}n,{}init,{}x,{}y,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} sequences,{} each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06frf}.")) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fqf(m,{}n,{}init,{}x,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} Hermitian sequences,{} each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fqf}.")) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fpf(m,{}n,{}init,{}x,{}trig,{}ifail)} computes the discrete Fourier transforms of \\spad{m} sequences,{} each containing \\spad{n} real data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fpf}.")) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ekf(job,{}n,{}x,{}y,{}ifail)} calculates the circular convolution of two real vectors of period \\spad{n}. No extra workspace is required. See \\downlink{Manual Page}{manpageXXc06ekf}.")) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ecf(n,{}x,{}y,{}ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ecf}.")) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ebf(n,{}x,{}ifail)} calculates the discrete Fourier transform of a Hermitian sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ebf}.")) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06eaf(n,{}x,{}ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} real data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06eaf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to calculate real zeros of continuous real functions of one or more variables. (Complex equations must be expressed in terms of the equivalent larger system of real equations.)")) (|c05pbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) "\\spad{c05pbf(n,ldfjac,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. The user must provide the Jacobian. See \\downlink{Manual Page}{manpageXXc05pbf}.")) (|c05nbf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) "\\spad{c05nbf(n,lwa,x,xtol,ifail,fcn)} is an easy-to-use routine to find a solution of a system of nonlinear equations by a modification of the Powell hybrid method. See \\downlink{Manual Page}{manpageXXc05nbf}.")) (|c05adf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{c05adf(a,b,eps,eta,ifail,f)} locates a zero of a continuous function in a given interval by a combination of the methods of linear interpolation, extrapolation and bisection. See \\downlink{Manual Page}{manpageXXc05adf}."))) 
 NIL 
 NIL 
 (-741) 
-((|constructor| (NIL "This package uses the NAG Library to calculate the numerical value of definite integrals in one or more dimensions and to evaluate weights and abscissae of integration rules.")) (|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01gbf(ndim,{}a,{}b,{}maxcls,{}eps,{}lenwrk,{}mincls,{}wrkstr,{}ifail,{}functn)} returns an approximation to the integral of a function over a hyper-rectangular region,{} using a Monte Carlo method. An approximate relative error estimate is also returned. This routine is suitable for low accuracy work. See \\downlink{Manual Page}{manpageXXd01gbf}.")) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) "\\spad{d01gaf(x,{}y,{}n,{}ifail)} integrates a function which is specified numerically at four or more points,{} over the whole of its specified range,{} using third-order finite-difference formulae with error estimates,{} according to a method due to Gill and Miller. See \\downlink{Manual Page}{manpageXXd01gaf}.")) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01fcf(ndim,{}a,{}b,{}maxpts,{}eps,{}lenwrk,{}minpts,{}ifail,{}functn)} attempts to evaluate a multi-dimensional integral (up to 15 dimensions),{} with constant and finite limits,{} to a specified relative accuracy,{} using an adaptive subdivision strategy. See \\downlink{Manual Page}{manpageXXd01fcf}.")) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{d01bbf(a,{}b,{}itype,{}n,{}gtype,{}ifail)} returns the weight appropriate to a Gaussian quadrature. The formulae provided are Gauss-Legendre,{} Gauss-Rational,{} Gauss- Laguerre and Gauss-Hermite. See \\downlink{Manual Page}{manpageXXd01bbf}.")) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01asf(a,{}omega,{}key,{}epsabs,{}limlst,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,{}infty): See \\downlink{Manual Page}{manpageXXd01asf}.")) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01aqf(a,{}b,{}c,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the Hilbert transform of a function \\spad{g}(\\spad{x}) over [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01aqf}.")) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01apf(a,{}b,{}alfa,{}beta,{}key,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} is an adaptive integrator which calculates an approximation to the integral of a function \\spad{g}(\\spad{x})\\spad{w}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01apf}.")) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01anf(a,{}b,{}omega,{}key,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01anf}.")) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01amf(bound,{}inf,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over an infinite or semi-infinite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01amf}.")) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01alf(a,{}b,{}npts,{}points,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is a general purpose integrator which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01alf}.")) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01akf(a,{}b,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is an adaptive integrator,{} especially suited to oscillating,{} non-singular integrands,{} which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01akf}.")) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01ajf(a,{}b,{}epsabs,{}epsrel,{}lw,{}liw,{}ifail,{}f)} is a general-purpose integrator which calculates an approximation to the integral of a function \\spad{f}(\\spad{x}) over a finite interval [a,{}\\spad{b}]: See \\downlink{Manual Page}{manpageXXd01ajf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to calculate the discrete Fourier transform of a sequence of real or complex data values, and applies it to calculate convolutions and correlations.")) (|c06gsf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gsf(m,n,x,ifail)} takes \\spad{m} Hermitian sequences, each containing \\spad{n} data values, and forms the real and imaginary parts of the \\spad{m} corresponding complex sequences. See \\downlink{Manual Page}{manpageXXc06gsf}.")) (|c06gqf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gqf(m,n,x,ifail)} forms the complex conjugates, each containing \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gqf}.")) (|c06gcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gcf(n,y,ifail)} forms the complex conjugate of a sequence of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gcf}.")) (|c06gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06gbf(n,x,ifail)} forms the complex conjugate of \\spad{n} data values. See \\downlink{Manual Page}{manpageXXc06gbf}.")) (|c06fuf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fuf(m,n,init,x,y,trigm,trign,ifail)} computes the two-dimensional discrete Fourier transform of a bivariate sequence of complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fuf}.")) (|c06frf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06frf(m,n,init,x,y,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06frf}.")) (|c06fqf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fqf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} Hermitian sequences, each containing \\spad{n} complex data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fqf}.")) (|c06fpf| (((|Result|) (|Integer|) (|Integer|) (|String|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06fpf(m,n,init,x,trig,ifail)} computes the discrete Fourier transforms of \\spad{m} sequences, each containing \\spad{n} real data values. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXc06fpf}.")) (|c06ekf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ekf(job,n,x,y,ifail)} calculates the circular convolution of two real vectors of period \\spad{n.} No extra workspace is required. See \\downlink{Manual Page}{manpageXXc06ekf}.")) (|c06ecf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ecf(n,x,y,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ecf}.")) (|c06ebf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06ebf(n,x,ifail)} calculates the discrete Fourier transform of a Hermitian sequence of \\spad{n} complex data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06ebf}.")) (|c06eaf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{c06eaf(n,x,ifail)} calculates the discrete Fourier transform of a sequence of \\spad{n} real data values. (No extra workspace required.) See \\downlink{Manual Page}{manpageXXc06eaf}."))) 
 NIL 
 NIL 
 (-742) 
-((|constructor| (NIL "This package uses the NAG Library to calculate the numerical solution of ordinary differential equations. There are two main types of problem,{} those in which all boundary conditions are specified at one point (initial-value problems),{} and those in which the boundary conditions are distributed between two or more points (boundary- value problems and eigenvalue problems). Routines are available for initial-value problems,{} two-point boundary-value problems and Sturm-Liouville eigenvalue problems.")) (|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) "d02raf(\\spad{n},{}\\spad{mnp},{}numbeg,{}nummix,{}tol,{}init,{}iy,{}ijac,{}lwork,{} \\indented{7}{liwork,{}\\spad{np},{}\\spad{x},{}\\spad{y},{}deleps,{}ifail,{}\\spad{fcn},{}\\spad{g})} solves the two-point boundary-value problem with general boundary conditions for a system of ordinary differential equations,{} using a deferred correction technique and Newton iteration. See \\downlink{Manual Page}{manpageXXd02raf}.")) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) "d02kef(xpoint,{}\\spad{m},{}\\spad{k},{}tol,{}maxfun,{}match,{}elam,{}delam,{} \\indented{7}{hmax,{}maxit,{}ifail,{}coeffn,{}bdyval,{}monit,{}report)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range,{} using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. Files \\spad{monit} and \\spad{report} will be used to define the subroutines for the MONIT and REPORT arguments. See \\downlink{Manual Page}{manpageXXd02gbf}.") (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) "d02kef(xpoint,{}\\spad{m},{}\\spad{k},{}tol,{}maxfun,{}match,{}elam,{}delam,{} \\indented{7}{hmax,{}maxit,{}ifail,{}coeffn,{}bdyval)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range,{} using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. ASP domains \\spad{Asp12} and \\spad{Asp33} are used to supply default subroutines for the MONIT and REPORT arguments via their \\axiomOp{outputAsFortran} operation.")) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) "\\spad{d02gbf(a,{}b,{}n,{}tol,{}mnp,{}lw,{}liw,{}c,{}d,{}gam,{}x,{}np,{}ifail,{}fcnf,{}fcng)} solves a general linear two-point boundary value problem for a system of ordinary differential equations using a deferred correction technique. See \\downlink{Manual Page}{manpageXXd02gbf}.")) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02gaf(u,{}v,{}n,{}a,{}b,{}tol,{}mnp,{}lw,{}liw,{}x,{}np,{}ifail,{}fcn)} solves the two-point boundary-value problem with assigned boundary values for a system of ordinary differential equations,{} using a deferred correction technique and a Newton iteration. See \\downlink{Manual Page}{manpageXXd02gaf}.")) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02ejf(xend,{}m,{}n,{}relabs,{}iw,{}x,{}y,{}tol,{}ifail,{}g,{}fcn,{}pederv,{}output)} integrates a stiff system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a variable-order,{} variable-step method implementing the Backward Differentiation Formulae (\\spad{BDF}),{} until a user-specified function,{} if supplied,{} of the solution is zero,{} and returns the solution at points specified by the user,{} if desired. See \\downlink{Manual Page}{manpageXXd02ejf}.")) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02cjf(xend,{}m,{}n,{}tol,{}relabs,{}x,{}y,{}ifail,{}g,{}fcn,{}output)} integrates a system of first-order ordinary differential equations over a range with suitable initial conditions,{} using a variable-order,{} variable-step Adams method until a user-specified function,{} if supplied,{} of the solution is zero,{} and returns the solution at points specified by the user,{} if desired. See \\downlink{Manual Page}{manpageXXd02cjf}.")) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02bhf(xend,{}n,{}irelab,{}hmax,{}x,{}y,{}tol,{}ifail,{}g,{}fcn)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a Runge-Kutta-Merson method,{} until a user-specified function of the solution is zero. See \\downlink{Manual Page}{manpageXXd02bhf}.")) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02bbf(xend,{}m,{}n,{}irelab,{}x,{}y,{}tol,{}ifail,{}fcn,{}output)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions,{} using a Runge-Kutta-Merson method,{} and returns the solution at points specified by the user. See \\downlink{Manual Page}{manpageXXd02bbf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to calculate the numerical value of definite integrals in one or more dimensions and to evaluate weights and abscissae of integration rules.")) (|d01gbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01gbf(ndim,a,b,maxcls,eps,lenwrk,mincls,wrkstr,ifail,functn)} returns an approximation to the integral of a function over a hyper-rectangular region, using a Monte Carlo method. An approximate relative error estimate is also returned. This routine is suitable for low accuracy work. See \\downlink{Manual Page}{manpageXXd01gbf}.")) (|d01gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|)) "\\spad{d01gaf(x,y,n,ifail)} integrates a function which is specified numerically at four or more points, over the whole of its specified range, using third-order finite-difference formulae with error estimates, according to a method due to Gill and Miller. See \\downlink{Manual Page}{manpageXXd01gaf}.")) (|d01fcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) "\\spad{d01fcf(ndim,a,b,maxpts,eps,lenwrk,minpts,ifail,functn)} attempts to evaluate a multi-dimensional integral (up to 15 dimensions), with constant and finite limits, to a specified relative accuracy, using an adaptive subdivision strategy. See \\downlink{Manual Page}{manpageXXd01fcf}.")) (|d01bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{d01bbf(a,b,itype,n,gtype,ifail)} returns the weight appropriate to a Gaussian quadrature. The formulae provided are Gauss-Legendre, Gauss-Rational, Gauss- Laguerre and Gauss-Hermite. See \\downlink{Manual Page}{manpageXXd01bbf}.")) (|d01asf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01asf(a,omega,key,epsabs,limlst,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,infty): See \\downlink{Manual Page}{manpageXXd01asf}.")) (|d01aqf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01aqf(a,b,c,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the Hilbert transform of a function g(x) over [a,b]: See \\downlink{Manual Page}{manpageXXd01aqf}.")) (|d01apf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01apf(a,b,alfa,beta,key,epsabs,epsrel,lw,liw,ifail,g)} is an adaptive integrator which calculates an approximation to the integral of a function g(x)w(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01apf}.")) (|d01anf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) "\\spad{d01anf(a,b,omega,key,epsabs,epsrel,lw,liw,ifail,g)} calculates an approximation to the sine or the cosine transform of a function \\spad{g} over [a,b]: See \\downlink{Manual Page}{manpageXXd01anf}.")) (|d01amf| (((|Result|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01amf(bound,inf,epsabs,epsrel,lw,liw,ifail,f)} calculates an approximation to the integral of a function f(x) over an infinite or semi-infinite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01amf}.")) (|d01alf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01alf(a,b,npts,points,epsabs,epsrel,lw,liw,ifail,f)} is a general purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01alf}.")) (|d01akf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01akf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is an adaptive integrator, especially suited to oscillating, non-singular integrands, which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01akf}.")) (|d01ajf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) "\\spad{d01ajf(a,b,epsabs,epsrel,lw,liw,ifail,f)} is a general-purpose integrator which calculates an approximation to the integral of a function f(x) over a finite interval [a,b]: See \\downlink{Manual Page}{manpageXXd01ajf}."))) 
 NIL 
 NIL 
 (-743) 
-((|constructor| (NIL "This package uses the NAG Library to solve partial differential equations.")) (|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) "d03faf(\\spad{xs},{}\\spad{xf},{}\\spad{l},{}lbdcnd,{}bdxs,{}bdxf,{}\\spad{ys},{}\\spad{yf},{}\\spad{m},{}mbdcnd,{}bdys,{}bdyf,{}\\spad{zs},{} \\indented{7}{\\spad{zf},{}\\spad{n},{}nbdcnd,{}bdzs,{}bdzf,{}lambda,{}ldimf,{}mdimf,{}lwrk,{}\\spad{f},{}ifail)} solves the Helmholtz equation in Cartesian co-ordinates in three dimensions using the standard seven-point finite difference approximation. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXd03faf}.")) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) "\\spad{d03eef(xmin,{}xmax,{}ymin,{}ymax,{}ngx,{}ngy,{}lda,{}scheme,{}ifail,{}pdef,{}bndy)} discretizes a second order elliptic partial differential equation (PDE) on a rectangular region. See \\downlink{Manual Page}{manpageXXd03eef}.")) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{d03edf(ngx,{}ngy,{}lda,{}maxit,{}acc,{}iout,{}a,{}rhs,{}ub,{}ifail)} solves seven-diagonal systems of linear equations which arise from the discretization of an elliptic partial differential equation on a rectangular region. This routine uses a multigrid technique. See \\downlink{Manual Page}{manpageXXd03edf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to calculate the numerical solution of ordinary differential equations. There are two main types of problem, those in which all boundary conditions are specified at one point (initial-value problems), and those in which the boundary conditions are distributed between two or more points (boundary- value problems and eigenvalue problems). Routines are available for initial-value problems, two-point boundary-value problems and Sturm-Liouville eigenvalue problems.")) (|d02raf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) "d02raf(n,mnp,numbeg,nummix,tol,init,iy,ijac,lwork, \\indented{7}{liwork,np,x,y,deleps,ifail,fcn,g)} solves the two-point boundary-value problem with general boundary conditions for a system of ordinary differential equations, using a deferred correction technique and Newton iteration. See \\downlink{Manual Page}{manpageXXd02raf}.")) (|d02kef| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL))) (|FileName|) (|FileName|)) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval,monit,report)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. Files \\spad{monit} and \\spad{report} will be used to define the subroutines for the MONIT and REPORT arguments. See \\downlink{Manual Page}{manpageXXd02gbf}.") (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) "d02kef(xpoint,m,k,tol,maxfun,match,elam,delam, \\indented{7}{hmax,maxit,ifail,coeffn,bdyval)} finds a specified eigenvalue of a regular singular second- order Sturm-Liouville system on a finite or infinite range, using a Pruefer transformation and a shooting method. It also reports values of the eigenfunction and its derivatives. Provision is made for discontinuities in the coefficient functions or their derivatives. See \\downlink{Manual Page}{manpageXXd02kef}. ASP domains \\spad{Asp12} and \\spad{Asp33} are used to supply default subroutines for the MONIT and REPORT arguments via their \\axiomOp{outputAsFortran} operation.")) (|d02gbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) "\\spad{d02gbf(a,b,n,tol,mnp,lw,liw,c,d,gam,x,np,ifail,fcnf,fcng)} solves a general linear two-point boundary value problem for a system of ordinary differential equations using a deferred correction technique. See \\downlink{Manual Page}{manpageXXd02gbf}.")) (|d02gaf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02gaf(u,v,n,a,b,tol,mnp,lw,liw,x,np,ifail,fcn)} solves the two-point boundary-value problem with assigned boundary values for a system of ordinary differential equations, using a deferred correction technique and a Newton iteration. See \\downlink{Manual Page}{manpageXXd02gaf}.")) (|d02ejf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02ejf(xend,m,n,relabs,iw,x,y,tol,ifail,g,fcn,pederv,output)} integrates a stiff system of first-order ordinary differential equations over an interval with suitable initial conditions, using a variable-order, variable-step method implementing the Backward Differentiation Formulae (BDF), until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02ejf}.")) (|d02cjf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|String|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02cjf(xend,m,n,tol,relabs,x,y,ifail,g,fcn,output)} integrates a system of first-order ordinary differential equations over a range with suitable initial conditions, using a variable-order, variable-step Adams method until a user-specified function, if supplied, of the solution is zero, and returns the solution at points specified by the user, if desired. See \\downlink{Manual Page}{manpageXXd02cjf}.")) (|d02bhf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) "\\spad{d02bhf(xend,n,irelab,hmax,x,y,tol,ifail,g,fcn)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, until a user-specified function of the solution is zero. See \\downlink{Manual Page}{manpageXXd02bhf}.")) (|d02bbf| (((|Result|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) "\\spad{d02bbf(xend,m,n,irelab,x,y,tol,ifail,fcn,output)} integrates a system of first-order ordinary differential equations over an interval with suitable initial conditions, using a Runge-Kutta-Merson method, and returns the solution at points specified by the user. See \\downlink{Manual Page}{manpageXXd02bbf}."))) 
 NIL 
 NIL 
 (-744) 
-((|constructor| (NIL "This package uses the NAG Library to calculate the interpolation of a function of one or two variables. When provided with the value of the function (and possibly one or more of its lowest-order derivatives) at each of a number of values of the variable(\\spad{s}),{} the routines provide either an interpolating function or an interpolated value. For some of the interpolating functions,{} there are supporting routines to evaluate,{} differentiate or integrate them.")) (|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sff(m,{}x,{}y,{}f,{}rnw,{}fnodes,{}px,{}py,{}ifail)} evaluates at a given point the two-dimensional interpolating function computed by E01SEF. See \\downlink{Manual Page}{manpageXXe01sff}.")) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sef(m,{}x,{}y,{}f,{}nw,{}nq,{}rnw,{}rnq,{}ifail)} generates a two-dimensional surface interpolating a set of scattered data points,{} using a modified Shepard method. See \\downlink{Manual Page}{manpageXXe01sef}.")) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sbf(m,{}x,{}y,{}f,{}triang,{}grads,{}px,{}py,{}ifail)} evaluates at a given point the two-dimensional interpolant function computed by E01SAF. See \\downlink{Manual Page}{manpageXXe01sbf}.")) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01saf(m,{}x,{}y,{}f,{}ifail)} generates a two-dimensional surface interpolating a set of scattered data points,{} using the method of Renka and Cline. See \\downlink{Manual Page}{manpageXXe01saf}.")) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01daf(mx,{}my,{}x,{}y,{}f,{}ifail)} computes a bicubic spline interpolating surface through a set of data values,{} given on a rectangular grid in the \\spad{x}-\\spad{y} plane. See \\downlink{Manual Page}{manpageXXe01daf}.")) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01bhf(n,{}x,{}f,{}d,{}a,{}b,{}ifail)} evaluates the definite integral of a piecewise cubic Hermite interpolant over the interval [a,{}\\spad{b}]. See \\downlink{Manual Page}{manpageXXe01bhf}.")) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bgf(n,{}x,{}f,{}d,{}m,{}px,{}ifail)} evaluates a piecewise cubic Hermite interpolant and its first derivative at a set of points. See \\downlink{Manual Page}{manpageXXe01bgf}.")) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bff(n,{}x,{}f,{}d,{}m,{}px,{}ifail)} evaluates a piecewise cubic Hermite interpolant at a set of points. See \\downlink{Manual Page}{manpageXXe01bff}.")) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bef(n,{}x,{}f,{}ifail)} computes a monotonicity-preserving piecewise cubic Hermite interpolant to a set of data points. See \\downlink{Manual Page}{manpageXXe01bef}.")) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e01baf(m,{}x,{}y,{}lck,{}lwrk,{}ifail)} determines a cubic spline to a given set of data. See \\downlink{Manual Page}{manpageXXe01baf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to solve partial differential equations.")) (|d03faf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|ThreeDimensionalMatrix| (|DoubleFloat|)) (|Integer|)) "d03faf(xs,xf,l,lbdcnd,bdxs,bdxf,ys,yf,m,mbdcnd,bdys,bdyf,zs, \\indented{7}{zf,n,nbdcnd,bdzs,bdzf,lambda,ldimf,mdimf,lwrk,f,ifail)} solves the Helmholtz equation in Cartesian co-ordinates in three dimensions using the standard seven-point finite difference approximation. This routine is designed to be particularly efficient on vector processors. See \\downlink{Manual Page}{manpageXXd03faf}.")) (|d03eef| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|String|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) "\\spad{d03eef(xmin,xmax,ymin,ymax,ngx,ngy,lda,scheme,ifail,pdef,bndy)} discretizes a second order elliptic partial differential equation (PDE) on a rectangular region. See \\downlink{Manual Page}{manpageXXd03eef}.")) (|d03edf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{d03edf(ngx,ngy,lda,maxit,acc,iout,a,rhs,ub,ifail)} solves seven-diagonal systems of linear equations which arise from the discretization of an elliptic partial differential equation on a rectangular region. This routine uses a multigrid technique. See \\downlink{Manual Page}{manpageXXd03edf}."))) 
 NIL 
 NIL 
 (-745) 
-((|constructor| (NIL "This package uses the NAG Library to find a function which approximates a set of data points. Typically the data contain random errors,{} as of experimental measurement,{} which need to be smoothed out. To seek an approximation to the data,{} it is first necessary to specify for the approximating function a mathematical form (a polynomial,{} for example) which contains a number of unspecified coefficients: the appropriate fitting routine then derives for the coefficients the values which provide the best fit of that particular form. The package deals mainly with curve and surface fitting (\\spadignore{i.e.} fitting with functions of one and of two variables) when a polynomial or a cubic spline is used as the fitting function,{} since these cover the most common needs. However,{} fitting with other functions and/or more variables can be undertaken by means of general linear or nonlinear routines (some of which are contained in other packages) depending on whether the coefficients in the function occur linearly or nonlinearly. Cases where a graph rather than a set of data points is given can be treated simply by first reading a suitable set of points from the graph. The package also contains routines for evaluating,{} differentiating and integrating polynomial and spline curves and surfaces,{} once the numerical values of their coefficients have been determined.")) (|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02zaf(px,{}py,{}lamda,{}mu,{}m,{}x,{}y,{}npoint,{}nadres,{}ifail)} sorts two-dimensional data into rectangular panels. See \\downlink{Manual Page}{manpageXXe02zaf}.")) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02gaf(m,{}la,{}nplus2,{}toler,{}a,{}b,{}ifail)} calculates an \\spad{l} solution to an over-determined system of linear equations. See \\downlink{Manual Page}{manpageXXe02gaf}.")) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02dff(mx,{}my,{}px,{}py,{}x,{}y,{}lamda,{}mu,{}c,{}lwrk,{}liwrk,{}ifail)} calculates values of a bicubic spline representation. The spline is evaluated at all points on a rectangular grid. See \\downlink{Manual Page}{manpageXXe02dff}.")) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02def(m,{}px,{}py,{}x,{}y,{}lamda,{}mu,{}c,{}ifail)} calculates values of a bicubic spline representation. See \\downlink{Manual Page}{manpageXXe02def}.")) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02ddf(start,{}m,{}x,{}y,{}f,{}w,{}s,{}nxest,{}nyest,{}lwrk,{}liwrk,{}nx,{} ++ lamda,{}ny,{}mu,{}wrk,{}ifail)} computes a bicubic spline approximation to a set of scattered data are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02ddf}.")) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{e02dcf(start,{}mx,{}x,{}my,{}y,{}f,{}s,{}nxest,{}nyest,{}lwrk,{}liwrk,{}nx,{} ++ lamda,{}ny,{}mu,{}wrk,{}iwrk,{}ifail)} computes a bicubic spline approximation to a set of data values,{} given on a rectangular grid in the \\spad{x}-\\spad{y} plane. The knots of the spline are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02dcf}.")) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02daf(m,{}px,{}py,{}x,{}y,{}f,{}w,{}mu,{}point,{}npoint,{}nc,{}nws,{}eps,{}lamda,{}ifail)} forms a minimal,{} weighted least-squares bicubic spline surface fit with prescribed knots to a given set of data points. See \\downlink{Manual Page}{manpageXXe02daf}.")) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) "\\spad{e02bef(start,{}m,{}x,{}y,{}w,{}s,{}nest,{}lwrk,{}n,{}lamda,{}ifail,{}wrk,{}iwrk)} computes a cubic spline approximation to an arbitrary set of data points. The knot are located automatically,{} but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02bef}.")) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02bdf(ncap7,{}lamda,{}c,{}ifail)} computes the definite integral from its \\spad{B}-spline representation. See \\downlink{Manual Page}{manpageXXe02bdf}.")) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) "\\spad{e02bcf(ncap7,{}lamda,{}c,{}x,{}left,{}ifail)} evaluates a cubic spline and its first three derivatives from its \\spad{B}-spline representation. See \\downlink{Manual Page}{manpageXXe02bcf}.")) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02bbf(ncap7,{}lamda,{}c,{}x,{}ifail)} evaluates a cubic spline representation. See \\downlink{Manual Page}{manpageXXe02bbf}.")) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02baf(m,{}ncap7,{}x,{}y,{}w,{}lamda,{}ifail)} computes a weighted least-squares approximation to an arbitrary set of data points by a cubic splines prescribed by the user. Cubic spline can also be carried out. See \\downlink{Manual Page}{manpageXXe02baf}.")) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) "\\spad{e02akf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}x,{}ifail)} evaluates a polynomial from its Chebyshev-series representation,{} allowing an arbitrary index increment for accessing the array of coefficients. See \\downlink{Manual Page}{manpageXXe02akf}.")) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ajf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}qatm1,{}iaint1,{}laint,{}ifail)} determines the coefficients in the Chebyshev-series representation of the indefinite integral of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ajf}.")) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ahf(np1,{}xmin,{}xmax,{}a,{}ia1,{}la,{}iadif1,{}ladif,{}ifail)} determines the coefficients in the Chebyshev-series representation of the derivative of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ahf}.")) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02agf(m,{}kplus1,{}nrows,{}xmin,{}xmax,{}x,{}y,{}w,{}mf,{}xf,{}yf,{}lyf,{}ip,{}lwrk,{}liwrk,{}ifail)} computes constrained weighted least-squares polynomial approximations in Chebyshev-series form to an arbitrary set of data points. The values of the approximations and any number of their derivatives can be specified at selected points. See \\downlink{Manual Page}{manpageXXe02agf}.")) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02aef(nplus1,{}a,{}xcap,{}ifail)} evaluates a polynomial from its Chebyshev-series representation. See \\downlink{Manual Page}{manpageXXe02aef}.")) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02adf(m,{}kplus1,{}nrows,{}x,{}y,{}w,{}ifail)} computes weighted least-squares polynomial approximations to an arbitrary set of data points. See \\downlink{Manual Page}{manpageXXe02adf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to calculate the interpolation of a function of one or two variables. When provided with the value of the function (and possibly one or more of its lowest-order derivatives) at each of a number of values of the variable(s), the routines provide either an interpolating function or an interpolated value. For some of the interpolating functions, there are supporting routines to evaluate, differentiate or integrate them.")) (|e01sff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sff(m,x,y,f,rnw,fnodes,px,py,ifail)} evaluates at a given point the two-dimensional interpolating function computed by E01SEF. See \\downlink{Manual Page}{manpageXXe01sff}.")) (|e01sef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sef(m,x,y,f,nw,nq,rnw,rnq,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using a modified Shepard method. See \\downlink{Manual Page}{manpageXXe01sef}.")) (|e01sbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01sbf(m,x,y,f,triang,grads,px,py,ifail)} evaluates at a given point the two-dimensional interpolant function computed by E01SAF. See \\downlink{Manual Page}{manpageXXe01sbf}.")) (|e01saf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01saf(m,x,y,f,ifail)} generates a two-dimensional surface interpolating a set of scattered data points, using the method of Renka and Cline. See \\downlink{Manual Page}{manpageXXe01saf}.")) (|e01daf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01daf(mx,my,x,y,f,ifail)} computes a bicubic spline interpolating surface through a set of data values, given on a rectangular grid in the x-y plane. See \\downlink{Manual Page}{manpageXXe01daf}.")) (|e01bhf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{e01bhf(n,x,f,d,a,b,ifail)} evaluates the definite integral of a piecewise cubic Hermite interpolant over the interval [a,b]. See \\downlink{Manual Page}{manpageXXe01bhf}.")) (|e01bgf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bgf(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant and its first derivative at a set of points. See \\downlink{Manual Page}{manpageXXe01bgf}.")) (|e01bff| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bff(n,x,f,d,m,px,ifail)} evaluates a piecewise cubic Hermite interpolant at a set of points. See \\downlink{Manual Page}{manpageXXe01bff}.")) (|e01bef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e01bef(n,x,f,ifail)} computes a monotonicity-preserving piecewise cubic Hermite interpolant to a set of data points. See \\downlink{Manual Page}{manpageXXe01bef}.")) (|e01baf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e01baf(m,x,y,lck,lwrk,ifail)} determines a cubic spline to a given set of data. See \\downlink{Manual Page}{manpageXXe01baf}."))) 
 NIL 
 NIL 
 (-746) 
-((|constructor| (NIL "This package uses the NAG Library to perform optimization. An optimization problem involves minimizing a function (called the objective function) of several variables,{} possibly subject to restrictions on the values of the variables defined by a set of constraint functions. The routines in the NAG Foundation Library are concerned with function minimization only,{} since the problem of maximizing a given function can be transformed into a minimization problem simply by multiplying the function by \\spad{-1}.")) (|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e04ycf(job,{}m,{}n,{}fsumsq,{}s,{}lv,{}v,{}ifail)} returns estimates of elements of the variance matrix of the estimated regression coefficients for a nonlinear least squares problem. The estimates are derived from the Jacobian of the function \\spad{f}(\\spad{x}) at the solution. See \\downlink{Manual Page}{manpageXXe04ycf}.")) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "e04ucf(\\spad{n},{}nclin,{}ncnln,{}nrowa,{}nrowj,{}nrowr,{}a,{}\\spad{bl},{}bu,{}liwork,{}lwork,{}sta,{} \\indented{7}{cra,{}der,{}fea,{}fun,{}hes,{}infb,{}infs,{}linf,{}lint,{}list,{}maji,{}majp,{}mini,{}} \\indented{7}{minp,{}mon,{}nonf,{}opt,{}ste,{}stao,{}stac,{}stoo,{}stoc,{}ve,{}istate,{}cjac,{}} \\indented{7}{clamda,{}\\spad{r},{}\\spad{x},{}ifail,{}confun,{}objfun)} is designed to minimize an arbitrary smooth function subject to constraints on the variables,{} linear constraints. (E04UCF may be used for unconstrained,{} bound-constrained and linearly constrained optimization.) The user must provide subroutines that define the objective and constraint functions and as many of their first partial derivatives as possible. Unspecified derivatives are approximated by finite differences. All matrices are treated as dense,{} and hence E04UCF is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04ucf}.")) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) "e04naf(itmax,{}msglvl,{}\\spad{n},{}nclin,{}nctotl,{}nrowa,{}nrowh,{}ncolh,{}bigbnd,{}a,{}\\spad{bl},{} bu,{}cvec,{}featol,{}hess,{}cold,{}\\spad{lpp},{}orthog,{}liwork,{}lwork,{}\\spad{x},{}istate,{}ifail,{}qphess) is a comprehensive programming (\\spad{QP}) or linear programming (\\spad{LP}) problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04naf}.")) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "e04mbf(itmax,{}msglvl,{}\\spad{n},{}nclin,{}nctotl,{}nrowa,{}a,{}\\spad{bl},{}bu,{} \\indented{7}{cvec,{}linobj,{}liwork,{}lwork,{}\\spad{x},{}ifail)} is an easy-to-use routine for solving linear programming problems,{} or for finding a feasible point for such problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04mbf}.")) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) "\\spad{e04jaf(n,{}ibound,{}liw,{}lw,{}bl,{}bu,{}x,{}ifail,{}funct1)} is an easy-to-use quasi-Newton algorithm for finding a minimum of a function \\spad{F}(\\spad{x} ,{}\\spad{x} ,{}...,{}\\spad{x} ),{} subject to fixed upper and \\indented{25}{1\\space{2}2\\space{6}\\spad{n}} lower bounds of the independent variables \\spad{x} ,{}\\spad{x} ,{}...,{}\\spad{x} ,{} using \\indented{43}{1\\space{2}2\\space{6}\\spad{n}} function values only. See \\downlink{Manual Page}{manpageXXe04jaf}.")) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) "\\spad{e04gcf(m,{}n,{}liw,{}lw,{}x,{}ifail,{}lsfun2)} is an easy-to-use quasi-Newton algorithm for finding an unconstrained minimum of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). First derivatives are required. See \\downlink{Manual Page}{manpageXXe04gcf}.")) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) "\\spad{e04fdf(m,{}n,{}liw,{}lw,{}x,{}ifail,{}lsfun1)} is an easy-to-use algorithm for finding an unconstrained minimum of a sum of squares of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). No derivatives are required. See \\downlink{Manual Page}{manpageXXe04fdf}.")) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "\\spad{e04dgf(n,{}es,{}fu,{}it,{}lin,{}list,{}ma,{}op,{}pr,{}sta,{}sto,{}ve,{}x,{}ifail,{}objfun)} minimizes an unconstrained nonlinear function of several variables using a pre-conditioned,{} limited memory quasi-Newton conjugate gradient method. First derivatives are required. The routine is intended for use on large scale problems. See \\downlink{Manual Page}{manpageXXe04dgf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to find a function which approximates a set of data points. Typically the data contain random errors, as of experimental measurement, which need to be smoothed out. To seek an approximation to the data, it is first necessary to specify for the approximating function a mathematical form (a polynomial, for example) which contains a number of unspecified coefficients: the appropriate fitting routine then derives for the coefficients the values which provide the best fit of that particular form. The package deals mainly with curve and surface fitting (\\spadignore{i.e.} fitting with functions of one and of two variables) when a polynomial or a cubic spline is used as the fitting function, since these cover the most common needs. However, fitting with other functions and/or more variables can be undertaken by means of general linear or nonlinear routines (some of which are contained in other packages) depending on whether the coefficients in the function occur linearly or nonlinearly. Cases where a graph rather than a set of data points is given can be treated simply by first reading a suitable set of points from the graph. The package also contains routines for evaluating, differentiating and integrating polynomial and spline curves and surfaces, once the numerical values of their coefficients have been determined.")) (|e02zaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02zaf(px,py,lamda,mu,m,x,y,npoint,nadres,ifail)} sorts two-dimensional data into rectangular panels. See \\downlink{Manual Page}{manpageXXe02zaf}.")) (|e02gaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02gaf(m,la,nplus2,toler,a,b,ifail)} calculates an \\spad{l} solution to an over-determined system of linear equations. See \\downlink{Manual Page}{manpageXXe02gaf}.")) (|e02dff| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02dff(mx,my,px,py,x,y,lamda,mu,c,lwrk,liwrk,ifail)} calculates values of a bicubic spline representation. The spline is evaluated at all points on a rectangular grid. See \\downlink{Manual Page}{manpageXXe02dff}.")) (|e02def| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02def(m,px,py,x,y,lamda,mu,c,ifail)} calculates values of a bicubic spline representation. See \\downlink{Manual Page}{manpageXXe02def}.")) (|e02ddf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02ddf(start,m,x,y,f,w,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,ifail)} computes a bicubic spline approximation to a set of scattered data are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02ddf}.")) (|e02dcf| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{e02dcf(start,mx,x,my,y,f,s,nxest,nyest,lwrk,liwrk,nx, \\spad{++} lamda,ny,mu,wrk,iwrk,ifail)} computes a bicubic spline approximation to a set of data values, given on a rectangular grid in the x-y plane. The knots of the spline are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02dcf}.")) (|e02daf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02daf(m,px,py,x,y,f,w,mu,point,npoint,nc,nws,eps,lamda,ifail)} forms a minimal, weighted least-squares bicubic spline surface fit with prescribed knots to a given set of data points. See \\downlink{Manual Page}{manpageXXe02daf}.")) (|e02bef| (((|Result|) (|String|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|))) "\\spad{e02bef(start,m,x,y,w,s,nest,lwrk,n,lamda,ifail,wrk,iwrk)} computes a cubic spline approximation to an arbitrary set of data points. The knot are located automatically, but a single parameter must be specified to control the trade-off between closeness of fit and smoothness of fit. See \\downlink{Manual Page}{manpageXXe02bef}.")) (|e02bdf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02bdf(ncap7,lamda,c,ifail)} computes the definite integral from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bdf}.")) (|e02bcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|) (|Integer|)) "\\spad{e02bcf(ncap7,lamda,c,x,left,ifail)} evaluates a cubic spline and its first three derivatives from its B-spline representation. See \\downlink{Manual Page}{manpageXXe02bcf}.")) (|e02bbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02bbf(ncap7,lamda,c,x,ifail)} evaluates a cubic spline representation. See \\downlink{Manual Page}{manpageXXe02bbf}.")) (|e02baf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02baf(m,ncap7,x,y,w,lamda,ifail)} computes a weighted least-squares approximation to an arbitrary set of data points by a cubic splines prescribed by the user. Cubic spline can also be carried out. See \\downlink{Manual Page}{manpageXXe02baf}.")) (|e02akf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|)) "\\spad{e02akf(np1,xmin,xmax,a,ia1,la,x,ifail)} evaluates a polynomial from its Chebyshev-series representation, allowing an arbitrary index increment for accessing the array of coefficients. See \\downlink{Manual Page}{manpageXXe02akf}.")) (|e02ajf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ajf(np1,xmin,xmax,a,ia1,la,qatm1,iaint1,laint,ifail)} determines the coefficients in the Chebyshev-series representation of the indefinite integral of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ajf}.")) (|e02ahf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02ahf(np1,xmin,xmax,a,ia1,la,iadif1,ladif,ifail)} determines the coefficients in the Chebyshev-series representation of the derivative of a polynomial given in Chebyshev-series form. See \\downlink{Manual Page}{manpageXXe02ahf}.")) (|e02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{e02agf(m,kplus1,nrows,xmin,xmax,x,y,w,mf,xf,yf,lyf,ip,lwrk,liwrk,ifail)} computes constrained weighted least-squares polynomial approximations in Chebyshev-series form to an arbitrary set of data points. The values of the approximations and any number of their derivatives can be specified at selected points. See \\downlink{Manual Page}{manpageXXe02agf}.")) (|e02aef| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|DoubleFloat|) (|Integer|)) "\\spad{e02aef(nplus1,a,xcap,ifail)} evaluates a polynomial from its Chebyshev-series representation. See \\downlink{Manual Page}{manpageXXe02aef}.")) (|e02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e02adf(m,kplus1,nrows,x,y,w,ifail)} computes weighted least-squares polynomial approximations to an arbitrary set of data points. See \\downlink{Manual Page}{manpageXXe02adf}."))) 
 NIL 
 NIL 
 (-747) 
-((|constructor| (NIL "This package uses the NAG Library to provide facilities for matrix factorizations and associated transformations.")) (|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01ref(wheret,{}m,{}n,{}ncolq,{}lda,{}theta,{}a,{}ifail)} returns the first \\spad{ncolq} columns of the complex \\spad{m} by \\spad{m} unitary matrix \\spad{Q},{} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01ref}.")) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rdf(trans,{}wheret,{}m,{}n,{}a,{}lda,{}theta,{}ncolb,{}ldb,{}b,{}ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01rdf}.")) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rcf(m,{}n,{}lda,{}a,{}ifail)} finds the \\spad{QR} factorization of the complex \\spad{m} by \\spad{n} matrix A,{} where m>=n. See \\downlink{Manual Page}{manpageXXf01rcf}.")) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qef(wheret,{}m,{}n,{}ncolq,{}lda,{}zeta,{}a,{}ifail)} returns the first \\spad{ncolq} columns of the real \\spad{m} by \\spad{m} orthogonal matrix \\spad{Q},{} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01qef}.")) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qdf(trans,{}wheret,{}m,{}n,{}a,{}lda,{}zeta,{}ncolb,{}ldb,{}b,{}ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01qdf}.")) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qcf(m,{}n,{}lda,{}a,{}ifail)} finds the \\spad{QR} factorization of the real \\spad{m} by \\spad{n} matrix A,{} where m>=n. See \\downlink{Manual Page}{manpageXXf01qcf}.")) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01mcf(n,{}avals,{}lal,{}nrow,{}ifail)} computes the Cholesky factorization of a real symmetric positive-definite variable-bandwidth matrix. See \\downlink{Manual Page}{manpageXXf01mcf}.")) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{f01maf(n,{}nz,{}licn,{}lirn,{}abort,{}avals,{}irn,{}icn,{}droptl,{}densw,{}ifail)} computes an incomplete Cholesky factorization of a real sparse symmetric positive-definite matrix A. See \\downlink{Manual Page}{manpageXXf01maf}.")) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "f01bsf(\\spad{n},{}\\spad{nz},{}licn,{}ivect,{}jvect,{}icn,{}ikeep,{}grow,{} \\indented{7}{eta,{}abort,{}idisp,{}avals,{}ifail)} factorizes a real sparse matrix using the pivotal sequence previously obtained by F01BRF when a matrix of the same sparsity pattern was factorized. See \\downlink{Manual Page}{manpageXXf01bsf}.")) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01brf(n,{}nz,{}licn,{}lirn,{}pivot,{}lblock,{}grow,{}abort,{}a,{}irn,{}icn,{}ifail)} factorizes a real sparse matrix. The routine either forms the LU factorization of a permutation of the entire matrix,{} or,{} optionally,{} first permutes the matrix to block lower triangular form and then only factorizes the diagonal blocks. See \\downlink{Manual Page}{manpageXXf01brf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to perform optimization. An optimization problem involves minimizing a function (called the objective function) of several variables, possibly subject to restrictions on the values of the variables defined by a set of constraint functions. The routines in the NAG Foundation Library are concerned with function minimization only, since the problem of maximizing a given function can be transformed into a minimization problem simply by multiplying the function by \\spad{-1.}")) (|e04ycf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{e04ycf(job,m,n,fsumsq,s,lv,v,ifail)} returns estimates of elements of the variance matrix of the estimated regression coefficients for a nonlinear least squares problem. The estimates are derived from the Jacobian of the function f(x) at the solution. See \\downlink{Manual Page}{manpageXXe04ycf}.")) (|e04ucf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Boolean|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "e04ucf(n,nclin,ncnln,nrowa,nrowj,nrowr,a,bl,bu,liwork,lwork,sta, \\indented{7}{cra,der,fea,fun,hes,infb,infs,linf,lint,list,maji,majp,mini,} \\indented{7}{minp,mon,nonf,opt,ste,stao,stac,stoo,stoc,ve,istate,cjac,} \\indented{7}{clamda,r,x,ifail,confun,objfun)} is designed to minimize an arbitrary smooth function subject to constraints on the variables, linear constraints. (E04UCF may be used for unconstrained, bound-constrained and linearly constrained optimization.) The user must provide subroutines that define the objective and constraint functions and as many of their first partial derivatives as possible. Unspecified derivatives are approximated by finite differences. All matrices are treated as dense, and hence E04UCF is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04ucf}.")) (|e04naf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Boolean|) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) "e04naf(itmax,msglvl,n,nclin,nctotl,nrowa,nrowh,ncolh,bigbnd,a,bl, bu,cvec,featol,hess,cold,lpp,orthog,liwork,lwork,x,istate,ifail,qphess) is a comprehensive programming (QP) or linear programming (LP) problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04naf}.")) (|e04mbf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "e04mbf(itmax,msglvl,n,nclin,nctotl,nrowa,a,bl,bu, \\indented{7}{cvec,linobj,liwork,lwork,x,ifail)} is an easy-to-use routine for solving linear programming problems, or for finding a feasible point for such problems. It is not intended for large sparse problems. See \\downlink{Manual Page}{manpageXXe04mbf}.")) (|e04jaf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) "\\spad{e04jaf(n,ibound,liw,lw,bl,bu,x,ifail,funct1)} is an easy-to-use quasi-Newton algorithm for finding a minimum of a function \\spad{F(x} \\spad{,x} ,...,x \\spad{),} subject to fixed upper and \\indented{25}{1\\space{2}2\\space{6}n} lower bounds of the independent variables \\spad{x} \\spad{,x} ,...,x ,{} using \\indented{43}{1\\space{2}2\\space{6}n} function values only. See \\downlink{Manual Page}{manpageXXe04jaf}.")) (|e04gcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) "\\spad{e04gcf(m,n,liw,lw,x,ifail,lsfun2)} is an easy-to-use quasi-Newton algorithm for finding an unconstrained minimum of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). First derivatives are required. See \\downlink{Manual Page}{manpageXXe04gcf}.")) (|e04fdf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) "\\spad{e04fdf(m,n,liw,lw,x,ifail,lsfun1)} is an easy-to-use algorithm for finding an unconstrained minimum of a sum of squares of \\spad{m} nonlinear functions in \\spad{n} variables (m>=n). No derivatives are required. See \\downlink{Manual Page}{manpageXXe04fdf}.")) (|e04dgf| (((|Result|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) "\\spad{e04dgf(n,es,fu,it,lin,list,ma,op,pr,sta,sto,ve,x,ifail,objfun)} minimizes an unconstrained nonlinear function of several variables using a pre-conditioned, limited memory quasi-Newton conjugate gradient method. First derivatives are required. The routine is intended for use on large scale problems. See \\downlink{Manual Page}{manpageXXe04dgf}."))) 
 NIL 
 NIL 
 (-748) 
-((|constructor| (NIL "This package uses the NAG Library to compute\\spad{\\br} \\tab{5}eigenvalues and eigenvectors of a matrix\\spad{\\br} \\tab{5} eigenvalues and eigenvectors of generalized matrix eigenvalue problems\\spad{\\br} \\tab{5}singular values and singular vectors of a matrix.")) (|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f02xef(m,{}n,{}lda,{}ncolb,{}ldb,{}wantq,{}ldq,{}wantp,{}ldph,{}a,{}b,{}ifail)} returns all,{} or part,{} of the singular value decomposition of a general complex matrix. See \\downlink{Manual Page}{manpageXXf02xef}.")) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02wef(m,{}n,{}lda,{}ncolb,{}ldb,{}wantq,{}ldq,{}wantp,{}ldpt,{}a,{}b,{}ifail)} returns all,{} or part,{} of the singular value decomposition of a general real matrix. See \\downlink{Manual Page}{manpageXXf02wef}.")) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) "f02fjf(\\spad{n},{}\\spad{k},{}tol,{}novecs,{}\\spad{nrx},{}lwork,{}lrwork,{} \\indented{7}{liwork,{}\\spad{m},{}noits,{}\\spad{x},{}ifail,{}dot,{}image,{}monit)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.") (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) "f02fjf(\\spad{n},{}\\spad{k},{}tol,{}novecs,{}\\spad{nrx},{}lwork,{}lrwork,{} \\indented{7}{liwork,{}\\spad{m},{}noits,{}\\spad{x},{}ifail,{}dot,{}image)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.")) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bjf(n,{}ia,{}ib,{}eps1,{}matv,{}iv,{}a,{}b,{}ifail)} calculates all the eigenvalues and,{} if required,{} all the eigenvectors of the generalized eigenproblem Ax=(lambda)\\spad{Bx} where A and \\spad{B} are real,{} square matrices,{} using the \\spad{QZ} algorithm. See \\downlink{Manual Page}{manpageXXf02bjf}.")) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bbf(ia,{}n,{}alb,{}ub,{}m,{}iv,{}a,{}ifail)} calculates selected eigenvalues of a real symmetric matrix by reduction to tridiagonal form,{} bisection and inverse iteration,{} where the selected eigenvalues lie within a given interval. See \\downlink{Manual Page}{manpageXXf02bbf}.")) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02axf(ar,{}iar,{}\\spad{ai},{}iai,{}n,{}ivr,{}ivi,{}ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02axf}.")) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02awf(iar,{}iai,{}n,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02awf}.")) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02akf(iar,{}iai,{}n,{}ivr,{}ivi,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalues of a complex matrix. See \\downlink{Manual Page}{manpageXXf02akf}.")) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02ajf(iar,{}iai,{}n,{}ar,{}\\spad{ai},{}ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02ajf}.")) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02agf(ia,{}n,{}ivr,{}ivi,{}a,{}ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02agf}.")) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aff(ia,{}n,{}a,{}ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02aff}.")) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aef(ia,{}ib,{}n,{}iv,{}a,{}b,{}ifail)} calculates all the eigenvalues of Ax=(lambda)\\spad{Bx},{} where A is a real symmetric matrix and \\spad{B} is a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf02aef}.")) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02adf(ia,{}ib,{}n,{}a,{}b,{}ifail)} calculates all the eigenvalues of Ax=(lambda)\\spad{Bx},{} where A is a real symmetric matrix and \\spad{B} is a real symmetric positive- definite matrix. See \\downlink{Manual Page}{manpageXXf02adf}.")) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02abf(a,{}ia,{}n,{}iv,{}ifail)} calculates all the eigenvalues of a real symmetric matrix. See \\downlink{Manual Page}{manpageXXf02abf}.")) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aaf(ia,{}n,{}a,{}ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02aaf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to provide facilities for matrix factorizations and associated transformations.")) (|f01ref| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01ref(wheret,m,n,ncolq,lda,theta,a,ifail)} returns the first \\spad{ncolq} columns of the complex \\spad{m} by \\spad{m} unitary matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01ref}.")) (|f01rdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rdf(trans,wheret,m,n,a,lda,theta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01rdf}.")) (|f01rcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f01rcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the complex \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01rcf}.")) (|f01qef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qef(wheret,m,n,ncolq,lda,zeta,a,ifail)} returns the first \\spad{ncolq} columns of the real \\spad{m} by \\spad{m} orthogonal matrix \\spad{Q,} where \\spad{Q} is given as the product of Householder transformation matrices. See \\downlink{Manual Page}{manpageXXf01qef}.")) (|f01qdf| (((|Result|) (|String|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qdf(trans,wheret,m,n,a,lda,zeta,ncolb,ldb,b,ifail)} performs one of the transformations See \\downlink{Manual Page}{manpageXXf01qdf}.")) (|f01qcf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f01qcf(m,n,lda,a,ifail)} finds the \\spad{QR} factorization of the real \\spad{m} by \\spad{n} matrix A, where m>=n. See \\downlink{Manual Page}{manpageXXf01qcf}.")) (|f01mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01mcf(n,avals,lal,nrow,ifail)} computes the Cholesky factorization of a real symmetric positive-definite variable-bandwidth matrix. See \\downlink{Manual Page}{manpageXXf01mcf}.")) (|f01maf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{f01maf(n,nz,licn,lirn,abort,avals,irn,icn,droptl,densw,ifail)} computes an incomplete Cholesky factorization of a real sparse symmetric positive-definite matrix A. See \\downlink{Manual Page}{manpageXXf01maf}.")) (|f01bsf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Boolean|) (|DoubleFloat|) (|Boolean|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "f01bsf(n,nz,licn,ivect,jvect,icn,ikeep,grow, \\indented{7}{eta,abort,idisp,avals,ifail)} factorizes a real sparse matrix using the pivotal sequence previously obtained by F01BRF when a matrix of the same sparsity pattern was factorized. See \\downlink{Manual Page}{manpageXXf01bsf}.")) (|f01brf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Boolean|) (|List| (|Boolean|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|)) "\\spad{f01brf(n,nz,licn,lirn,pivot,lblock,grow,abort,a,irn,icn,ifail)} factorizes a real sparse matrix. The routine either forms the LU factorization of a permutation of the entire matrix, or, optionally, first permutes the matrix to block lower triangular form and then only factorizes the diagonal blocks. See \\downlink{Manual Page}{manpageXXf01brf}."))) 
 NIL 
 NIL 
 (-749) 
-((|constructor| (NIL "This package uses the NAG Library to solve the matrix equation \\spad{\\br} \\tab{5}\\axiom{AX=B},{} where \\axiom{\\spad{B}}\\spad{\\br} may be a single vector or a matrix of multiple right-hand sides. The matrix \\axiom{A} may be real,{} complex,{} symmetric,{} Hermitian positive- definite,{} or sparse. It may also be rectangular,{} in which case a least-squares solution is obtained.")) (|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) "f04qaf(\\spad{m},{}\\spad{n},{}damp,{}atol,{}btol,{}conlim,{}itnlim,{}msglvl,{} \\indented{7}{lrwork,{}liwork,{}\\spad{b},{}ifail,{}aprod)} solves sparse unsymmetric equations,{} sparse linear least- squares problems and sparse damped linear least-squares problems,{} using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04qaf}.")) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04mcf(n,{}al,{}lal,{}d,{}nrow,{}ir,{}b,{}nrb,{}iselct,{}nrx,{}ifail)} computes the approximate solution of a system of real linear equations with multiple right-hand sides,{} AX=B,{} where A is a symmetric positive-definite variable-bandwidth matrix,{} which has previously been factorized by F01MCF. Related systems may also be solved. See \\downlink{Manual Page}{manpageXXf04mcf}.")) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) "\\spad{f04mbf(n,{}b,{}precon,{}shift,{}itnlim,{}msglvl,{}lrwork,{} ++ liwork,{}rtol,{}ifail,{}aprod,{}msolve)} solves a system of real sparse symmetric linear equations using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04mbf}.")) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "f04maf(\\spad{n},{}\\spad{nz},{}avals,{}licn,{}irn,{}lirn,{}icn,{}wkeep,{}ikeep,{} \\indented{7}{inform,{}\\spad{b},{}acc,{}noits,{}ifail)} \\spad{e} a sparse symmetric positive-definite system of linear equations,{} Ax=b,{} using a pre-conditioned conjugate gradient method,{} where A has been factorized by F01MAF. See \\downlink{Manual Page}{manpageXXf04maf}.")) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04jgf(m,{}n,{}nra,{}tol,{}lwork,{}a,{}b,{}ifail)} finds the solution of a linear least-squares problem,{} Ax=b ,{} where A is a real \\spad{m} by \\spad{n} (m>=n) matrix and \\spad{b} is an \\spad{m} element vector. If the matrix of observations is not of full rank,{} then the minimal least-squares solution is returned. See \\downlink{Manual Page}{manpageXXf04jgf}.")) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04faf(job,{}n,{}d,{}e,{}b,{}ifail)} calculates the approximate solution of a set of real symmetric positive-definite tridiagonal linear equations. See \\downlink{Manual Page}{manpageXXf04faf}.")) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) "\\spad{f04axf(n,{}a,{}licn,{}icn,{}ikeep,{}mtype,{}idisp,{}rhs)} calculates the approximate solution of a set of real sparse linear equations with a single right-hand side,{} Ax=b or \\indented{1}{\\spad{T}} A \\spad{x=b},{} where A has been factorized by F01BRF or F01BSF. See \\downlink{Manual Page}{manpageXXf04axf}.")) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04atf(a,{}ia,{}b,{}n,{}iaa,{}ifail)} calculates the accurate solution of a set of real linear equations with a single right-hand side,{} using an LU factorization with partial pivoting,{} and iterative refinement. See \\downlink{Manual Page}{manpageXXf04atf}.")) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04asf(ia,{}b,{}n,{}a,{}ifail)} calculates the accurate solution of a set of real symmetric positive-definite linear equations with a single right- hand side,{} Ax=b,{} using a Cholesky factorization and iterative refinement. See \\downlink{Manual Page}{manpageXXf04asf}.")) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04arf(ia,{}b,{}n,{}a,{}ifail)} calculates the approximate solution of a set of real linear equations with a single right-hand side,{} using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04arf}.")) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f04adf(ia,{}b,{}ib,{}n,{}m,{}ic,{}a,{}ifail)} calculates the approximate solution of a set of complex linear equations with multiple right-hand sides,{} using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04adf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to compute\\br \\tab{5}eigenvalues and eigenvectors of a matrix\\br \\tab{5} eigenvalues and eigenvectors of generalized matrix eigenvalue problems\\br \\tab{5}singular values and singular vectors of a matrix.")) (|f02xef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f02xef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldph,a,b,ifail)} returns all, or part, of the singular value decomposition of a general complex matrix. See \\downlink{Manual Page}{manpageXXf02xef}.")) (|f02wef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Boolean|) (|Integer|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02wef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldpt,a,b,ifail)} returns all, or part, of the singular value decomposition of a general real matrix. See \\downlink{Manual Page}{manpageXXf02wef}.")) (|f02fjf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE))) (|FileName|)) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image,monit)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.") (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) "f02fjf(n,k,tol,novecs,nrx,lwork,lrwork, \\indented{7}{liwork,m,noits,x,ifail,dot,image)} finds eigenvalues of a real sparse symmetric or generalized symmetric eigenvalue problem. See \\downlink{Manual Page}{manpageXXf02fjf}.")) (|f02bjf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Boolean|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bjf(n,ia,ib,eps1,matv,iv,a,b,ifail)} calculates all the eigenvalues and, if required, all the eigenvectors of the generalized eigenproblem Ax=(lambda)Bx where A and \\spad{B} are real, square matrices, using the \\spad{QZ} algorithm. See \\downlink{Manual Page}{manpageXXf02bjf}.")) (|f02bbf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02bbf(ia,n,alb,ub,m,iv,a,ifail)} calculates selected eigenvalues of a real symmetric matrix by reduction to tridiagonal form, bisection and inverse iteration, where the selected eigenvalues lie within a given interval. See \\downlink{Manual Page}{manpageXXf02bbf}.")) (|f02axf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02axf(ar,iar,ai,iai,n,ivr,ivi,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02axf}.")) (|f02awf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02awf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalues of a complex Hermitian matrix. See \\downlink{Manual Page}{manpageXXf02awf}.")) (|f02akf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02akf(iar,iai,n,ivr,ivi,ar,ai,ifail)} calculates all the eigenvalues of a complex matrix. See \\downlink{Manual Page}{manpageXXf02akf}.")) (|f02ajf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02ajf(iar,iai,n,ar,ai,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02ajf}.")) (|f02agf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02agf(ia,n,ivr,ivi,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02agf}.")) (|f02aff| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aff(ia,n,a,ifail)} calculates all the eigenvalues of a real unsymmetric matrix. See \\downlink{Manual Page}{manpageXXf02aff}.")) (|f02aef| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aef(ia,ib,n,iv,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf02aef}.")) (|f02adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02adf(ia,ib,n,a,b,ifail)} calculates all the eigenvalues of Ax=(lambda)Bx, where A is a real symmetric matrix and \\spad{B} is a real symmetric positive- definite matrix. See \\downlink{Manual Page}{manpageXXf02adf}.")) (|f02abf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f02abf(a,ia,n,iv,ifail)} calculates all the eigenvalues of a real symmetric matrix. See \\downlink{Manual Page}{manpageXXf02abf}.")) (|f02aaf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f02aaf(ia,n,a,ifail)} calculates all the eigenvalue. See \\downlink{Manual Page}{manpageXXf02aaf}."))) 
 NIL 
 NIL 
 (-750) 
-((|constructor| (NIL "This package uses the NAG Library to compute matrix factorizations,{} and to solve systems of linear equations following the matrix factorizations.")) (|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fef(uplo,{}n,{}nrhs,{}a,{}lda,{}ldb,{}b)} (DPOTRS) solves a real symmetric positive-definite system of linear equations with multiple right-hand sides,{} AX=B,{} where A has been factorized by F07FDF (DPOTRF). See \\downlink{Manual Page}{manpageXXf07fef}.")) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fdf(uplo,{}n,{}lda,{}a)} (DPOTRF) computes the Cholesky factorization of a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf07fdf}.")) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07aef(trans,{}n,{}nrhs,{}a,{}lda,{}ipiv,{}ldb,{}b)} (DGETRS) solves a real system of linear equations with \\indented{36}{\\spad{T}} multiple right-hand sides,{} AX=B or A \\spad{X=B},{} where A has been factorized by F07ADF (DGETRF). See \\downlink{Manual Page}{manpageXXf07aef}.")) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07adf(m,{}n,{}lda,{}a)} (DGETRF) computes the LU factorization of a real \\spad{m} by \\spad{n} matrix. See \\downlink{Manual Page}{manpageXXf07adf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to solve the matrix equation \\spad{\\br} \\tab{5}\\axiom{AX=B}, where \\axiom{B}\\br may be a single vector or a matrix of multiple right-hand sides. The matrix \\axiom{A} may be real, complex, symmetric, Hermitian positive- definite, or sparse. It may also be rectangular, in which case a least-squares solution is obtained.")) (|f04qaf| (((|Result|) (|Integer|) (|Integer|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) "f04qaf(m,n,damp,atol,btol,conlim,itnlim,msglvl, \\indented{7}{lrwork,liwork,b,ifail,aprod)} solves sparse unsymmetric equations, sparse linear least- squares problems and sparse damped linear least-squares problems, using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04qaf}.")) (|f04mcf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04mcf(n,al,lal,d,nrow,ir,b,nrb,iselct,nrx,ifail)} computes the approximate solution of a system of real linear equations with multiple right-hand sides, AX=B, where A is a symmetric positive-definite variable-bandwidth matrix, which has previously been factorized by F01MCF. Related systems may also be solved. See \\downlink{Manual Page}{manpageXXf04mcf}.")) (|f04mbf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Boolean|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD))) (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) "\\spad{f04mbf(n,b,precon,shift,itnlim,msglvl,lrwork, \\spad{++} liwork,rtol,ifail,aprod,msolve)} solves a system of real sparse symmetric linear equations using a Lanczos algorithm. See \\downlink{Manual Page}{manpageXXf04mbf}.")) (|f04maf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|Integer|)) (|Integer|)) "f04maf(n,nz,avals,licn,irn,lirn,icn,wkeep,ikeep, \\indented{7}{inform,b,acc,noits,ifail)} \\spad{e} a sparse symmetric positive-definite system of linear equations, Ax=b, using a pre-conditioned conjugate gradient method, where A has been factorized by F01MAF. See \\downlink{Manual Page}{manpageXXf04maf}.")) (|f04jgf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|DoubleFloat|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04jgf(m,n,nra,tol,lwork,a,b,ifail)} finds the solution of a linear least-squares problem, Ax=b ,{} where A is a real \\spad{m} by \\spad{n} (m>=n) matrix and \\spad{b} is an \\spad{m} element vector. If the matrix of observations is not of full rank, then the minimal least-squares solution is returned. See \\downlink{Manual Page}{manpageXXf04jgf}.")) (|f04faf| (((|Result|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04faf(job,n,d,e,b,ifail)} calculates the approximate solution of a set of real symmetric positive-definite tridiagonal linear equations. See \\downlink{Manual Page}{manpageXXf04faf}.")) (|f04axf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|Integer|)) (|Matrix| (|DoubleFloat|))) "\\spad{f04axf(n,a,licn,icn,ikeep,mtype,idisp,rhs)} calculates the approximate solution of a set of real sparse linear equations with a single right-hand side, Ax=b or \\indented{1}{T} A x=b, where A has been factorized by F01BRF or F01BSF. See \\downlink{Manual Page}{manpageXXf04axf}.")) (|f04atf| (((|Result|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{f04atf(a,ia,b,n,iaa,ifail)} calculates the accurate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting, and iterative refinement. See \\downlink{Manual Page}{manpageXXf04atf}.")) (|f04asf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04asf(ia,b,n,a,ifail)} calculates the accurate solution of a set of real symmetric positive-definite linear equations with a single right- hand side, Ax=b, using a Cholesky factorization and iterative refinement. See \\downlink{Manual Page}{manpageXXf04asf}.")) (|f04arf| (((|Result|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|)) "\\spad{f04arf(ia,b,n,a,ifail)} calculates the approximate solution of a set of real linear equations with a single right-hand side, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04arf}.")) (|f04adf| (((|Result|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|Complex| (|DoubleFloat|))) (|Integer|)) "\\spad{f04adf(ia,b,ib,n,m,ic,a,ifail)} calculates the approximate solution of a set of complex linear equations with multiple right-hand sides, using an LU factorization with partial pivoting. See \\downlink{Manual Page}{manpageXXf04adf}."))) 
 NIL 
 NIL 
 (-751) 
-((|constructor| (NIL "This package uses the NAG Library to compute some commonly occurring physical and mathematical functions.")) (|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bdf(x,{}y,{}z,{}r,{}ifail)} returns a value of the symmetrised elliptic integral of the third kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bdf}.")) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bcf(x,{}y,{}z,{}ifail)} returns a value of the symmetrised elliptic integral of the second kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bcf}.")) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bbf(x,{}y,{}z,{}ifail)} returns a value of the symmetrised elliptic integral of the first kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21bbf}.")) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21baf(x,{}y,{}ifail)} returns a value of an elementary integral,{} which occurs as a degenerate case of an elliptic integral of the first kind,{} via the routine name. See \\downlink{Manual Page}{manpageXXs21baf}.")) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20adf(x,{}ifail)} returns a value for the Fresnel Integral \\spad{C}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs20adf}.")) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20acf(x,{}ifail)} returns a value for the Fresnel Integral \\spad{S}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs20acf}.")) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19adf(x,{}ifail)} returns a value for the Kelvin function kei(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19adf}.")) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19acf(x,{}ifail)} returns a value for the Kelvin function ker(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs19acf}.")) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19abf(x,{}ifail)} returns a value for the Kelvin function bei(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19abf}.")) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19aaf(x,{}ifail)} returns a value for the Kelvin function ber(\\spad{x}) via the routine name. See \\downlink{Manual Page}{manpageXXs19aaf}.")) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18def(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{\\spad{I}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18def}.")) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18dcf(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{\\spad{K}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18dcf}.")) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aff(x,{}ifail)} returns a value for the modified Bessel Function \\indented{1}{\\spad{I} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18aff}.")) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aef(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{I} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18aef}.")) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18adf(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{K} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18adf}.")) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18acf(x,{}ifail)} returns the value of the modified Bessel Function \\indented{1}{\\spad{K} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18acf}.")) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dlf(m,{}fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Hankel functions \\indented{2}{(1)\\space{11}(2)} \\indented{1}{\\spad{H}\\space{6}(\\spad{z}) or \\spad{H}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and} \\indented{2}{(nu)\\spad{+n}\\space{8}(nu)\\spad{+n}} \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dlf}.")) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dhf(deriv,{}z,{}scale,{}ifail)} returns the value of the Airy function \\spad{Bi}(\\spad{z}) or its derivative Bi'(\\spad{z}) for complex \\spad{z},{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dhf}.")) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dgf(deriv,{}z,{}scale,{}ifail)} returns the value of the Airy function \\spad{Ai}(\\spad{z}) or its derivative Ai'(\\spad{z}) for complex \\spad{z},{} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dgf}.")) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17def(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Bessel functions \\indented{1}{\\spad{J}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{}} \\indented{2}{(nu)\\spad{+n}} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17def}.")) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dcf(fnu,{}z,{}n,{}scale,{}ifail)} returns a sequence of values for the Bessel functions \\indented{1}{\\spad{Y}\\space{6}(\\spad{z}) for complex \\spad{z},{} non-negative (nu) and \\spad{n=0},{}1,{}...,{}\\spad{N}-1,{}} \\indented{2}{(nu)\\spad{+n}} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dcf}.")) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17akf(x,{}ifail)} returns a value for the derivative of the Airy function \\spad{Bi}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17akf}.")) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ajf(x,{}ifail)} returns a value of the derivative of the Airy function \\spad{Ai}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17ajf}.")) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ahf(x,{}ifail)} returns a value of the Airy function,{} \\spad{Bi}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17ahf}.")) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17agf(x,{}ifail)} returns a value for the Airy function,{} \\spad{Ai}(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs17agf}.")) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aff(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{J} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17aff}.")) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aef(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{J} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17aef}.")) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17adf(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{Y} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17adf}.")) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17acf(x,{}ifail)} returns the value of the Bessel Function \\indented{1}{\\spad{Y} (\\spad{x}),{} via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17acf}.")) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15aef(x,{}ifail)} returns the value of the error function erf(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs15aef}.")) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15adf(x,{}ifail)} returns the value of the complementary error function,{} erfc(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs15adf}.")) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s14baf(a,{}x,{}tol,{}ifail)} computes values for the incomplete gamma functions \\spad{P}(a,{}\\spad{x}) and \\spad{Q}(a,{}\\spad{x}). See \\downlink{Manual Page}{manpageXXs14baf}.")) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14abf(x,{}ifail)} returns a value for the log,{} \\spad{ln}(Gamma(\\spad{x})),{} via the routine name. See \\downlink{Manual Page}{manpageXXs14abf}.")) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14aaf(x,{}ifail)} returns the value of the Gamma function (Gamma)(\\spad{x}),{} via the routine name. See \\downlink{Manual Page}{manpageXXs14aaf}.")) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13adf(x,{}ifail)} returns the value of the sine integral See \\downlink{Manual Page}{manpageXXs13adf}.")) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13acf(x,{}ifail)} returns the value of the cosine integral See \\downlink{Manual Page}{manpageXXs13acf}.")) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13aaf(x,{}ifail)} returns the value of the exponential integral \\indented{1}{\\spad{E} (\\spad{x}),{} via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs13aaf}.")) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) "\\spad{s01eaf(z,{}ifail)} S01EAF evaluates the exponential function exp(\\spad{z}) ,{} for complex \\spad{z}. See \\downlink{Manual Page}{manpageXXs01eaf}."))) 
+((|constructor| (NIL "This package uses the NAG Library to compute matrix factorizations, and to solve systems of linear equations following the matrix factorizations.")) (|f07fef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fef(uplo,n,nrhs,a,lda,ldb,b)} (DPOTRS) solves a real symmetric positive-definite system of linear equations with multiple right-hand sides, AX=B, where A has been factorized by F07FDF (DPOTRF). See \\downlink{Manual Page}{manpageXXf07fef}.")) (|f07fdf| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07fdf(uplo,n,lda,a)} (DPOTRF) computes the Cholesky factorization of a real symmetric positive-definite matrix. See \\downlink{Manual Page}{manpageXXf07fdf}.")) (|f07aef| (((|Result|) (|String|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|)) (|Integer|) (|Matrix| (|Integer|)) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07aef(trans,n,nrhs,a,lda,ipiv,ldb,b)} (DGETRS) solves a real system of linear equations with \\indented{36}{T} multiple right-hand sides, AX=B or A X=B, where A has been factorized by F07ADF (DGETRF). See \\downlink{Manual Page}{manpageXXf07aef}.")) (|f07adf| (((|Result|) (|Integer|) (|Integer|) (|Integer|) (|Matrix| (|DoubleFloat|))) "\\spad{f07adf(m,n,lda,a)} (DGETRF) computes the LU factorization of a real \\spad{m} by \\spad{n} matrix. See \\downlink{Manual Page}{manpageXXf07adf}."))) 
 NIL 
 NIL 
 (-752) 
-((|constructor| (NIL "Support functions for the NAG Library Link functions")) (|restorePrecision| (((|Void|)) "\\spad{restorePrecision()} \\undocumented{}")) (|checkPrecision| (((|Boolean|)) "\\spad{checkPrecision()} \\undocumented{}")) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) "\\spad{dimensionsOf(s,{}m)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) "\\spad{dimensionsOf(s,{}m)} \\undocumented{}")) (|aspFilename| (((|String|) (|String|)) "\\spad{aspFilename(\"f\")} returns a String consisting of \\spad{\"f\"} suffixed with \\indented{1}{an extension identifying the current AXIOM session.}")) (|fortranLinkerArgs| (((|String|)) "\\spad{fortranLinkerArgs()} returns the current linker arguments")) (|fortranCompilerName| (((|String|)) "\\spad{fortranCompilerName()} returns the name of the currently selected \\indented{1}{Fortran compiler}"))) 
+((|constructor| (NIL "This package uses the NAG Library to compute some commonly occurring physical and mathematical functions.")) (|s21bdf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bdf(x,y,z,r,ifail)} returns a value of the symmetrised elliptic integral of the third kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bdf}.")) (|s21bcf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bcf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the second kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bcf}.")) (|s21bbf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21bbf(x,y,z,ifail)} returns a value of the symmetrised elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21bbf}.")) (|s21baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s21baf(x,y,ifail)} returns a value of an elementary integral, which occurs as a degenerate case of an elliptic integral of the first kind, via the routine name. See \\downlink{Manual Page}{manpageXXs21baf}.")) (|s20adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20adf(x,ifail)} returns a value for the Fresnel Integral C(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20adf}.")) (|s20acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s20acf(x,ifail)} returns a value for the Fresnel Integral S(x), via the routine name. See \\downlink{Manual Page}{manpageXXs20acf}.")) (|s19adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19adf(x,ifail)} returns a value for the Kelvin function kei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19adf}.")) (|s19acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19acf(x,ifail)} returns a value for the Kelvin function ker(x), via the routine name. See \\downlink{Manual Page}{manpageXXs19acf}.")) (|s19abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19abf(x,ifail)} returns a value for the Kelvin function bei(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19abf}.")) (|s19aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s19aaf(x,ifail)} returns a value for the Kelvin function ber(x) via the routine name. See \\downlink{Manual Page}{manpageXXs19aaf}.")) (|s18def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18def(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{I\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18def}.")) (|s18dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s18dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the modified Bessel functions \\indented{1}{K\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs18dcf}.")) (|s18aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aff(x,ifail)} returns a value for the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18aff}.")) (|s18aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18aef(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{I (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18aef}.")) (|s18adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18adf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs18adf}.")) (|s18acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s18acf(x,ifail)} returns the value of the modified Bessel Function \\indented{1}{K (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs18acf}.")) (|s17dlf| (((|Result|) (|Integer|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dlf(m,fnu,z,n,scale,ifail)} returns a sequence of values for the Hankel functions \\indented{2}{(1)\\space{11}(2)} \\indented{1}{H\\space{6}(z) or H\\space{6}(z) for complex \\spad{z,} non-negative (nu) and} \\indented{2}{(nu)+n\\space{8}(nu)+n} n=0,1,...,N-1, with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dlf}.")) (|s17dhf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dhf(deriv,z,scale,ifail)} returns the value of the Airy function Bi(z) or its derivative Bi'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dhf}.")) (|s17dgf| (((|Result|) (|String|) (|Complex| (|DoubleFloat|)) (|String|) (|Integer|)) "\\spad{s17dgf(deriv,z,scale,ifail)} returns the value of the Airy function Ai(z) or its derivative Ai'(z) for complex \\spad{z,} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dgf}.")) (|s17def| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17def(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{J\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17def}.")) (|s17dcf| (((|Result|) (|DoubleFloat|) (|Complex| (|DoubleFloat|)) (|Integer|) (|String|) (|Integer|)) "\\spad{s17dcf(fnu,z,n,scale,ifail)} returns a sequence of values for the Bessel functions \\indented{1}{Y\\space{6}(z) for complex \\spad{z,} non-negative (nu) and n=0,1,...,N-1,} \\indented{2}{(nu)+n} with an option for exponential scaling. See \\downlink{Manual Page}{manpageXXs17dcf}.")) (|s17akf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17akf(x,ifail)} returns a value for the derivative of the Airy function Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17akf}.")) (|s17ajf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ajf(x,ifail)} returns a value of the derivative of the Airy function Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ajf}.")) (|s17ahf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17ahf(x,ifail)} returns a value of the Airy function, Bi(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17ahf}.")) (|s17agf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17agf(x,ifail)} returns a value for the Airy function, Ai(x), via the routine name. See \\downlink{Manual Page}{manpageXXs17agf}.")) (|s17aff| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aff(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17aff}.")) (|s17aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17aef(x,ifail)} returns the value of the Bessel Function \\indented{1}{J (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17aef}.")) (|s17adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17adf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs17adf}.")) (|s17acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s17acf(x,ifail)} returns the value of the Bessel Function \\indented{1}{Y (x), via the routine name.} \\indented{2}{0} See \\downlink{Manual Page}{manpageXXs17acf}.")) (|s15aef| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15aef(x,ifail)} returns the value of the error function erf(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15aef}.")) (|s15adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s15adf(x,ifail)} returns the value of the complementary error function, erfc(x), via the routine name. See \\downlink{Manual Page}{manpageXXs15adf}.")) (|s14baf| (((|Result|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|)) "\\spad{s14baf(a,x,tol,ifail)} computes values for the incomplete gamma functions P(a,x) and Q(a,x). See \\downlink{Manual Page}{manpageXXs14baf}.")) (|s14abf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14abf(x,ifail)} returns a value for the log, ln(Gamma(x)), via the routine name. See \\downlink{Manual Page}{manpageXXs14abf}.")) (|s14aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s14aaf(x,ifail)} returns the value of the Gamma function (Gamma)(x), via the routine name. See \\downlink{Manual Page}{manpageXXs14aaf}.")) (|s13adf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13adf(x,ifail)} returns the value of the sine integral See \\downlink{Manual Page}{manpageXXs13adf}.")) (|s13acf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13acf(x,ifail)} returns the value of the cosine integral See \\downlink{Manual Page}{manpageXXs13acf}.")) (|s13aaf| (((|Result|) (|DoubleFloat|) (|Integer|)) "\\spad{s13aaf(x,ifail)} returns the value of the exponential integral \\indented{1}{E (x), via the routine name.} \\indented{2}{1} See \\downlink{Manual Page}{manpageXXs13aaf}.")) (|s01eaf| (((|Result|) (|Complex| (|DoubleFloat|)) (|Integer|)) "\\spad{s01eaf(z,ifail)} S01EAF evaluates the exponential function exp(z) ,{} for complex \\spad{z.} See \\downlink{Manual Page}{manpageXXs01eaf}."))) 
 NIL 
 NIL 
-(-753 S) 
-((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure,{} not necessarily commutative or associative,{} and not necessarily with unit.\\spad{\\br} Axioms\\spad{\\br} \\tab{5}\\spad{x*}(\\spad{y+z}) = x*y + \\spad{x*z}\\spad{\\br} \\tab{5}(x+y)\\spad{*z} = \\spad{x*z} + \\spad{y*z}\\spad{\\br} \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,{}b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,{}b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,{}b,{}c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
+(-753) 
+((|constructor| (NIL "Support functions for the NAG Library Link functions")) (|restorePrecision| (((|Void|)) "\\spad{restorePrecision()} \\undocumented{}")) (|checkPrecision| (((|Boolean|)) "\\spad{checkPrecision()} \\undocumented{}")) (|dimensionsOf| (((|SExpression|) (|Symbol|) (|Matrix| (|Integer|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}") (((|SExpression|) (|Symbol|) (|Matrix| (|DoubleFloat|))) "\\spad{dimensionsOf(s,m)} \\undocumented{}")) (|aspFilename| (((|String|) (|String|)) "\\spad{aspFilename(\"f\")} returns a String consisting of \\spad{\"f\"} suffixed with \\indented{1}{an extension identifying the current AXIOM session.}")) (|fortranLinkerArgs| (((|String|)) "\\spad{fortranLinkerArgs()} returns the current linker arguments")) (|fortranCompilerName| (((|String|)) "\\spad{fortranCompilerName()} returns the name of the currently selected \\indented{1}{Fortran compiler}"))) 
 NIL 
 NIL 
-(-754) 
-((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure,{} not necessarily commutative or associative,{} and not necessarily with unit.\\spad{\\br} Axioms\\spad{\\br} \\tab{5}\\spad{x*}(\\spad{y+z}) = x*y + \\spad{x*z}\\spad{\\br} \\tab{5}(x+y)\\spad{*z} = \\spad{x*z} + \\spad{y*z}\\spad{\\br} \\blankline Common Additional Axioms\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,{}b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,{}b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,{}b,{}c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
+(-754 S) 
+((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-755 S) 
-((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit,{} the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
+(-755) 
+((|constructor| (NIL "NonAssociativeRng is a basic ring-type structure, not necessarily commutative or associative, and not necessarily with unit.\\br Axioms\\br \\tab{5}x*(y+z) = x*y + x*z\\br \\tab{5}(x+y)*z = \\spad{x*z} + y*z\\br \\blankline Common Additional Axioms\\br \\tab{5}noZeroDivisors\\tab{5} ab = 0 \\spad{=>} \\spad{a=0} or \\spad{b=0}")) (|antiCommutator| (($ $ $) "\\spad{antiCommutator(a,b)} returns \\spad{a*b+b*a}.")) (|commutator| (($ $ $) "\\spad{commutator(a,b)} returns \\spad{a*b-b*a}.")) (|associator| (($ $ $ $) "\\spad{associator(a,b,c)} returns \\spad{(a*b)*c-a*(b*c)}."))) 
 NIL 
 NIL 
-(-756) 
-((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit,{} the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
+(-756 S) 
+((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-757 |Par|) 
-((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the complex rational numbers. The results are expressed either as complex floating numbers or as complex rational numbers depending on the type of the precision parameter.")) (|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvectors(m,{}eps)} returns a list of records each one containing a complex eigenvalue,{} its algebraic multiplicity,{} and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} and are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvalues(m,{}eps)} computes the eigenvalues of the matrix \\spad{m} to precision \\spad{eps}. The eigenvalues are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over Complex Rationals with variable \\spad{x}.") (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over complex rationals with a new symbol as variable."))) 
+(-757) 
+((|constructor| (NIL "A NonAssociativeRing is a non associative \\spad{rng} which has a unit, the multiplication is not necessarily commutative or associative.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(n)} coerces the integer \\spad{n} to an element of the ring.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring."))) 
 NIL 
 NIL 
-(-758 -1564) 
+(-758 |Par|) 
+((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the complex rational numbers. The results are expressed either as complex floating numbers or as complex rational numbers depending on the type of the precision parameter.")) (|complexEigenvectors| (((|List| (|Record| (|:| |outval| (|Complex| |#1|)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| |#1|)))))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvectors(m,eps)} returns a list of records each one containing a complex eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} and are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|complexEigenvalues| (((|List| (|Complex| |#1|)) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) |#1|) "\\spad{complexEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as complex floats or complex rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|)))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over Complex Rationals with variable \\spad{x.}") (((|Polynomial| (|Complex| (|Fraction| (|Integer|)))) (|Matrix| (|Complex| (|Fraction| (|Integer|))))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over complex rationals with a new symbol as variable."))) 
+NIL 
+NIL 
+(-759 -1647) 
 ((|constructor| (NIL "\\spadtype{NumericContinuedFraction} provides functions for converting floating point numbers to continued fractions.")) (|continuedFraction| (((|ContinuedFraction| (|Integer|)) |#1|) "\\spad{continuedFraction(f)} converts the floating point number \\spad{f} to a reduced continued fraction."))) 
 NIL 
 NIL 
-(-759 P -1564) 
-((|constructor| (NIL "This package provides a division and related operations for \\spadtype{MonogenicLinearOperator}\\spad{s} over a \\spadtype{Field}. Since the multiplication is in general non-commutative,{} these operations all have left- and right-hand versions. This package provides the operations based on left-division.\\spad{\\br} \\tab{5}[\\spad{q},{}\\spad{r}] = leftDivide(a,{}\\spad{b}) means a=b*q+r")) (|leftLcm| ((|#1| |#1| |#1|) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftGcd| ((|#1| |#1| |#1|) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| ((|#1| |#1| |#1|) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| ((|#1| |#1| |#1|) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}."))) 
+(-760 P -1647) 
+((|constructor| (NIL "This package provides a division and related operations for \\spadtype{MonogenicLinearOperator}s over a \\spadtype{Field}. Since the multiplication is in general non-commutative, these operations all have left- and right-hand versions. This package provides the operations based on left-division.\\br \\tab{5}[q,r] = leftDivide(a,b) means a=b*q+r")) (|leftLcm| ((|#1| |#1| |#1|) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftGcd| ((|#1| |#1| |#1|) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| ((|#1| |#1| |#1|) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| ((|#1| |#1| |#1|) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| |#1|) (|:| |remainder| |#1|)) |#1| |#1|) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''."))) 
 NIL 
 NIL 
-(-760 -1564) 
-((|constructor| (NIL "This package exports Newton interpolation for the special case where the result is known to be in the original integral domain The packages defined in this file provide fast fraction free rational interpolation algorithms. (see \\spad{FAMR2},{} FFFG,{} FFFGF,{} NEWTON)")) (|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) "\\spad{newton}(\\spad{l}) returns the interpolating polynomial for the values \\spad{l},{} where the \\spad{x}-coordinates are assumed to be [1,{}2,{}3,{}...,{}\\spad{n}] and the coefficients of the interpolating polynomial are known to be in the domain \\spad{F}. \\spad{I}.\\spad{e}.,{} it is a very streamlined version for a special case of interpolation."))) 
+(-761 -1647) 
+((|constructor| (NIL "This package exports Newton interpolation for the special case where the result is known to be in the original integral domain The packages defined in this file provide fast fraction free rational interpolation algorithms. (see FAMR2, FFFG, FFFGF, NEWTON)")) (|newton| (((|SparseUnivariatePolynomial| |#1|) (|List| |#1|)) "\\spad{newton}(l) returns the interpolating polynomial for the values \\spad{l,} where the x-coordinates are assumed to be [1,2,3,...,n] and the coefficients of the interpolating polynomial are known to be in the domain \\spad{F.} I.e., it is a very streamlined version for a special case of interpolation."))) 
 NIL 
 NIL 
-(-761 UP -1564) 
-((|constructor| (NIL "In this package \\spad{F} is a framed algebra over the integers (typically \\spad{F = Z[a]} for some algebraic integer a). The package provides functions to compute the integral closure of \\spad{Z} in the quotient quotient field of \\spad{F}.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{Z} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{Z}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{Z} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{Z}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|discriminant| (((|Integer|)) "\\spad{discriminant()} returns the discriminant of the integral closure of \\spad{Z} in the quotient field of the framed algebra \\spad{F}."))) 
+(-762 UP -1647) 
+((|constructor| (NIL "In this package \\spad{F} is a framed algebra over the integers (typically \\spad{F = Z[a]} for some algebraic integer a). The package provides functions to compute the integral closure of \\spad{Z} in the quotient quotient field of \\spad{F.}")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|)))) (|Integer|)) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{Z} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{Z} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with Z-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|discriminant| (((|Integer|)) "\\spad{discriminant()} returns the discriminant of the integral closure of \\spad{Z} in the quotient field of the framed algebra \\spad{F.}"))) 
 NIL 
 NIL 
-(-762) 
-((|constructor| (NIL "\\axiomType{NumericalIntegrationProblem} is a \\axiom{domain} for the representation of Numerical Integration problems for use by ANNA. \\blankline The representation is a Union of two record types - one for integration of a function of one variable: \\blankline \\axiomType{Record}(var:\\axiomType{Symbol},{}\\spad{\\br} \\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} range:\\axiomType{Segment OrderedCompletion DoubleFloat},{}\\spad{\\br} abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat},{}) \\blankline and one for multivariate integration: \\blankline \\axiomType{Record}(\\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} range:\\axiomType{List Segment OrderedCompletion DoubleFloat},{}\\spad{\\br} abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat},{}). \\blankline")) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
+(-763) 
+((|constructor| (NIL "\\axiomType{NumericalIntegrationProblem} is a \\axiom{domain} for the representation of Numerical Integration problems for use by ANNA. \\blankline The representation is a Union of two record types - one for integration of a function of one variable: \\blankline \\axiomType{Record}(var:\\axiomType{Symbol},\\br fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},) \\blankline and one for multivariate integration: \\blankline \\axiomType{Record}(fn:\\axiomType{Expression DoubleFloat},\\br range:\\axiomType{List Segment OrderedCompletion DoubleFloat},\\br abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat},). \\blankline")) (|retract| (((|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-763 R) 
-((|constructor| (NIL "NonLinearSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving. The solutions are given in the algebraic closure of \\spad{R} whenever possible.")) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solve(lp)} finds the solution in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solve(lp,{}lv)} finds the solutions in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}.")) (|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solveInField(lp)} finds the solution of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solveInField(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}."))) 
+(-764 R) 
+((|constructor| (NIL "NonLinearSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving. The solutions are given in the algebraic closure of \\spad{R} whenever possible.")) (|solve| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solve(lp)} finds the solution in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions in the algebraic closure of \\spad{R} of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}")) (|solveInField| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{solveInField(lp)} finds the solution of the list \\spad{lp} of rational functions with respect to all the symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{solveInField(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-764) 
-((|constructor| (NIL "\\spadtype{NonNegativeInteger} provides functions for non-negative integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative,{} that is,{} \\spad{x*y = y*x}.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(a,{}i)} shift \\spad{a} by \\spad{i} bits.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,{}b)} returns the quotient of \\spad{a} and \\spad{b},{} or \"failed\" if \\spad{b} is zero or \\spad{a} rem \\spad{b} is zero.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(a,{}b)} returns a record containing both remainder and quotient.")) (|gcd| (($ $ $) "\\spad{gcd(a,{}b)} computes the greatest common divisor of two non negative integers \\spad{a} and \\spad{b}.")) (|rem| (($ $ $) "\\spad{a rem b} returns the remainder of \\spad{a} and \\spad{b}.")) (|quo| (($ $ $) "\\spad{a quo b} returns the quotient of \\spad{a} and \\spad{b},{} forgetting the remainder."))) 
-(((-4537 "*") . T)) 
+(-765) 
+((|constructor| (NIL "\\spadtype{NonNegativeInteger} provides functions for non-negative integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative, that is, \\spad{x*y = y*x}.")) (|random| (($ $) "\\spad{random(n)} returns a random integer from 0 to \\spad{n-1}.")) (|shift| (($ $ (|Integer|)) "\\spad{shift(a,i)} shift \\spad{a} by \\spad{i} bits.")) (|exquo| (((|Union| $ "failed") $ $) "\\spad{exquo(a,b)} returns the quotient of \\spad{a} and \\spad{b,} or \"failed\" if \\spad{b} is zero or \\spad{a} rem \\spad{b} is zero.")) (|divide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{divide(a,b)} returns a record containing both remainder and quotient.")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two non negative integers \\spad{a} and \\spad{b.}")) (|rem| (($ $ $) "\\spad{a rem \\spad{b}} returns the remainder of \\spad{a} and \\spad{b.}")) (|quo| (($ $ $) "\\spad{a quo \\spad{b}} returns the quotient of \\spad{a} and \\spad{b,} forgetting the remainder."))) 
+(((-4573 "*") . T)) 
 NIL 
-(-765 R -1564) 
-((|constructor| (NIL "NonLinearFirstOrderODESolver provides a function for finding closed form first integrals of nonlinear ordinary differential equations of order 1.")) (|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(M(x,{}y),{} N(x,{}y),{} y,{} x)} returns \\spad{F(x,{}y)} such that \\spad{F(x,{}y) = c} for a constant \\spad{c} is a first integral of the equation \\spad{M(x,{}y) dx + N(x,{}y) dy = 0},{} or \"failed\" if no first-integral can be found."))) 
+(-766 R -1647) 
+((|constructor| (NIL "NonLinearFirstOrderODESolver provides a function for finding closed form first integrals of nonlinear ordinary differential equations of order 1.")) (|solve| (((|Union| |#2| "failed") |#2| |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(M(x,y), N(x,y), \\spad{y,} \\spad{x)}} returns \\spad{F(x,y)} such that \\spad{F(x,y) = \\spad{c}} for a constant \\spad{c} is a first integral of the equation \\spad{M(x,y) \\spad{dx} + N(x,y) dy = 0}, or \"failed\" if no first-integral can be found."))) 
 NIL 
 NIL 
-(-766 S) 
+(-767 S) 
 ((|constructor| (NIL "\\spadtype{NoneFunctions1} implements functions on \\spadtype{None}. It particular it includes a particulary dangerous coercion from any other type to \\spadtype{None}.")) (|coerce| (((|None|) |#1|) "\\spad{coerce(x)} changes \\spad{x} into an object of type \\spadtype{None}."))) 
 NIL 
 NIL 
-(-767) 
+(-768) 
 ((|constructor| (NIL "\\spadtype{None} implements a type with no objects. It is mainly used in technical situations where such a thing is needed (\\spadignore{e.g.} the interpreter and some of the internal \\spadtype{Expression} code)."))) 
 NIL 
 NIL 
-(-768 R |PolR| E |PolE|) 
-((|constructor| (NIL "This package implements the norm of a polynomial with coefficients in a monogenic algebra (using resultants)")) (|norm| ((|#2| |#4|) "\\spad{norm q} returns the norm of \\spad{q},{} \\spadignore{i.e.} the product of all the conjugates of \\spad{q}."))) 
+(-769 R |PolR| E |PolE|) 
+((|constructor| (NIL "This package implements the norm of a polynomial with coefficients in a monogenic algebra (using resultants)")) (|norm| ((|#2| |#4|) "\\spad{norm \\spad{q}} returns the norm of \\spad{q,} \\spadignore{i.e.} the product of all the conjugates of \\spad{q.}"))) 
 NIL 
 NIL 
-(-769 R E V P TS) 
-((|constructor| (NIL "A package for computing normalized assocites of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normInvertible?(\\spad{p},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) "\\axiom{outputArgs(\\spad{s1},{}\\spad{s2},{}\\spad{p},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normalize(\\spad{p},{}\\spad{ts})} normalizes \\axiom{\\spad{p}} \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}.")) (|normalizedAssociate| ((|#4| |#4| |#5|) "\\axiom{normalizedAssociate(\\spad{p},{}\\spad{ts})} returns a normalized polynomial \\axiom{\\spad{n}} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts} such that \\axiom{\\spad{n}} and \\axiom{\\spad{p}} are associates \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts} and assuming that \\axiom{\\spad{p}} is invertible \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}.")) (|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) "\\axiom{recip(\\spad{p},{}\\spad{ts})} returns the inverse of \\axiom{\\spad{p}} \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts} assuming that \\axiom{\\spad{p}} is invertible \\spad{w}.\\spad{r}.\\spad{t} \\spad{ts}."))) 
+(-770 R E V P TS) 
+((|constructor| (NIL "A package for computing normalized assocites of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|normInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normInvertible?(p,ts)} is an internal subroutine, exported only for developement.")) (|outputArgs| (((|Void|) (|String|) (|String|) |#4| |#5|) "\\axiom{outputArgs(s1,s2,p,ts)} is an internal subroutine, exported only for developement.")) (|normalize| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{normalize(p,ts)} normalizes \\axiom{p} w.r.t \\spad{ts}.")) (|normalizedAssociate| ((|#4| |#4| |#5|) "\\axiom{normalizedAssociate(p,ts)} returns a normalized polynomial \\axiom{n} w.r.t. \\spad{ts} such that \\axiom{n} and \\axiom{p} are associates w.r.t \\spad{ts} and assuming that \\axiom{p} is invertible w.r.t \\spad{ts}.")) (|recip| (((|Record| (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) "\\axiom{recip(p,ts)} returns the inverse of \\axiom{p} w.r.t \\spad{ts} assuming that \\axiom{p} is invertible w.r.t \\spad{ts}."))) 
 NIL 
 NIL 
-(-770 -1564 |ExtF| |SUEx| |ExtP| |n|) 
+(-771 -1647 |ExtF| |SUEx| |ExtP| |n|) 
 ((|constructor| (NIL "This package has no description")) (|Frobenius| ((|#4| |#4|) "\\spad{Frobenius(x)} \\undocumented")) (|retractIfCan| (((|Union| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) "failed") |#4|) "\\spad{retractIfCan(x)} \\undocumented")) (|normFactors| (((|List| |#4|) |#4|) "\\spad{normFactors(x)} \\undocumented"))) 
 NIL 
 NIL 
-(-771 -1564) 
+(-772 -1647) 
 ((|constructor| (NIL "This is an implmenentation of the Nottingham Group"))) 
-((-4532 . T)) 
+((-4568 . T)) 
 NIL 
-(-772 BP E OV R P) 
-((|constructor| (NIL "Package for the determination of the coefficients in the lifting process. Used by \\spadtype{MultivariateLifting}. This package will work for every euclidean domain \\spad{R} which has property \\spad{F},{} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) "\\spad{listexp }\\undocumented")) (|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) "\\spad{npcoef }\\undocumented"))) 
+(-773 BP E OV R P) 
+((|constructor| (NIL "Package for the determination of the coefficients in the lifting process. Used by \\spadtype{MultivariateLifting}. This package will work for every euclidean domain \\spad{R} which has property \\spad{F,} \\spadignore{i.e.} there exists a factor operation in \\spad{R[x]}.")) (|listexp| (((|List| (|NonNegativeInteger|)) |#1|) "\\spad{listexp }\\undocumented")) (|npcoef| (((|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| |#5|))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (|List| |#1|)) (|:| |nlead| (|List| |#5|))) (|SparseUnivariatePolynomial| |#5|) (|List| |#1|) (|List| |#5|)) "\\spad{npcoef }\\undocumented"))) 
 NIL 
 NIL 
-(-773 K |PolyRing| E -4391) 
+(-774 K |PolyRing| E -4360) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-774 |Par|) 
-((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the Rational Numbers. The results are expressed as floating numbers or as rational numbers depending on the type of the parameter Par.")) (|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvectors(m,{}eps)} returns a list of records each one containing a real eigenvalue,{} its algebraic multiplicity,{} and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} as floats or rational numbers depending on the type of \\spad{eps} .")) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvalues(m,{}eps)} computes the eigenvalues of the matrix \\spad{m} to precision \\spad{eps}. The eigenvalues are expressed as floats or rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,{}x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with variable \\spad{x}. Fraction \\spad{P} \\spad{RN}.") (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with a new symbol as variable."))) 
+(-775 |Par|) 
+((|constructor| (NIL "This package computes explicitly eigenvalues and eigenvectors of matrices with entries over the Rational Numbers. The results are expressed as floating numbers or as rational numbers depending on the type of the parameter Par.")) (|realEigenvectors| (((|List| (|Record| (|:| |outval| |#1|) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| |#1|))))) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvectors(m,eps)} returns a list of records each one containing a real eigenvalue, its algebraic multiplicity, and a list of associated eigenvectors. All these results are computed to precision \\spad{eps} as floats or rational numbers depending on the type of \\spad{eps} .")) (|realEigenvalues| (((|List| |#1|) (|Matrix| (|Fraction| (|Integer|))) |#1|) "\\spad{realEigenvalues(m,eps)} computes the eigenvalues of the matrix \\spad{m} to precision eps. The eigenvalues are expressed as floats or rational numbers depending on the type of \\spad{eps} (float or rational).")) (|characteristicPolynomial| (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|))) (|Symbol|)) "\\spad{characteristicPolynomial(m,x)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with variable \\spad{x.} Fraction \\spad{P} \\spad{RN.}") (((|Polynomial| (|Fraction| (|Integer|))) (|Matrix| (|Fraction| (|Integer|)))) "\\spad{characteristicPolynomial(m)} returns the characteristic polynomial of the matrix \\spad{m} expressed as polynomial over \\spad{RN} with a new symbol as variable."))) 
 NIL 
 NIL 
-(-775 K) 
+(-776 K) 
 ((|constructor| (NIL "This domain is part of the PAFF package"))) 
-(((-4537 "*") . T) (-4528 . T) (-4527 . T) (-4533 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-569))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-776 R |VarSet|) 
-((|constructor| (NIL "A post-facto extension for \\axiomType{\\spad{SMP}} in order to speed up operations related to pseudo-division and \\spad{gcd}. This domain is based on the \\axiomType{NSUP} constructor which is itself a post-facto extension of the \\axiomType{SUP} constructor."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163))))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3864 (|HasCategory| |#1| (QUOTE (-551))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1163)))) (-3864 (|HasCategory| |#1| (LIST (QUOTE -994) (QUOTE (-569))))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-777 R S) 
-((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S}. Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) "\\axiom{map(func,{} poly)} creates a new polynomial by applying func to every non-zero coefficient of the polynomial poly."))) 
-NIL 
-NIL 
-(-778 R) 
-((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and,{} consequently,{} \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedResultant2}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedResultant1}(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca]} such that \\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{} \\spad{cb}]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}ca,{}\\spad{cb}]} such that \\axiom{\\spad{r}} is the resultant of \\axiom{a} and \\axiom{\\spad{b}} and \\axiom{\\spad{r} = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} such that \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{} \\spad{cb}]} such that \\axiom{\\spad{g}} is a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} and \\axiom{\\spad{g} = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns \\axiom{resultant(a,{}\\spad{b})} if \\axiom{a} and \\axiom{\\spad{b}} has no non-trivial \\spad{gcd} in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,{}\\spad{b})} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{\\spad{b}} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,{}\\spad{b})} returns \\axiom{\\spad{q}} if \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{c^n} * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} where \\axiom{\\spad{n} + \\spad{g} = max(0,{} degree(\\spad{b}) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,{}\\spad{b})} returns \\axiom{\\spad{r}} if \\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{r},{}\\spad{c},{}\\spad{n}]} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{\\spad{c^n} * a - \\spad{r}} where \\axiom{\\spad{c}} is \\axiom{leadingCoefficient(\\spad{b})} and \\axiom{\\spad{n}} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} returns \\axiom{\\spad{r}} such that \\axiom{\\spad{r}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{b}} divides \\axiom{a \\spad{-r}} where \\axiom{\\spad{b}} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(\\spad{p1},{}\\spad{e},{}\\spad{r},{}\\spad{p2})} returns \\axiom{\\spad{p1} - \\spad{r} * x**e * \\spad{p2}} where \\axiom{\\spad{x}} is \\axiom{monomial(1,{}1)}"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-779 R) 
-((|constructor| (NIL "This package provides polynomials as functions on a ring.")) (|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{eulerE(n,{}r)} \\undocumented")) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{bernoulliB(n,{}r)} \\undocumented")) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{cyclotomic(n,{}r)} \\undocumented"))) 
+(((-4573 "*") . T) (-4564 . T) (-4563 . T) (-4569 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE |k|) (QUOTE (-569))) (LIST (QUOTE |:|) (QUOTE |c|) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-777 R |VarSet|) 
+((|constructor| (NIL "A post-facto extension for \\axiomType{SMP} in order to speed up operations related to pseudo-division and gcd. This domain is based on the \\axiomType{NSUP} constructor which is itself a post-facto extension of the \\axiomType{SUP} constructor."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165))))) (|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-3182 (|HasCategory| |#1| (QUOTE (-551))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-1165)))) (-3182 (|HasCategory| |#1| (LIST (QUOTE -995) (QUOTE (-569))))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-778 R S) 
+((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|NewSparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|NewSparseUnivariatePolynomial| |#1|)) "\\axiom{map(func, poly)} creates a new polynomial by applying func to every non-zero coefficient of the polynomial poly."))) 
 NIL 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-780 R E V P) 
-((|constructor| (NIL "The category of normalized triangular sets. A triangular set \\spad{ts} is said normalized if for every algebraic variable \\spad{v} of \\spad{ts} the polynomial \\spad{select(ts,{}v)} is normalized \\spad{w}.\\spad{r}.\\spad{t}. every polynomial in \\spad{collectUnder(ts,{}v)}. A polynomial \\spad{p} is said normalized \\spad{w}.\\spad{r}.\\spad{t}. a non-constant polynomial \\spad{q} if \\spad{p} is constant or \\spad{degree(p,{}mdeg(q)) = 0} and \\spad{init(p)} is normalized \\spad{w}.\\spad{r}.\\spad{t}. \\spad{q}. One of the important features of normalized triangular sets is that they are regular sets."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
 NIL 
-(-781 S) 
-((|constructor| (NIL "Numeric provides real and complex numerical evaluation functions for various symbolic types.")) (|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Expression| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numericIfCan(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.")) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places,{} or \"failed\" if \\axiom{\\spad{x}} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x},{} or \"failed\" if \\axiom{\\spad{x}} is not constant.")) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Complex| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.") (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) "\\spad{complexNumeric(x,{} n)} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) |#1|) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x}.")) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Expression| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numeric(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Fraction| (|Polynomial| |#1|))) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,{}n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Polynomial| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x}.") (((|Float|) |#1| (|PositiveInteger|)) "\\spad{numeric(x,{} n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) |#1|) "\\spad{numeric(x)} returns a real approximation of \\spad{x}."))) 
+(-779 R) 
+((|constructor| (NIL "A post-facto extension for \\axiomType{SUP} in order to speed up operations related to pseudo-division and \\spad{gcd} for both \\axiomType{SUP} and, consequently, \\axiomType{NSMP}.")) (|halfExtendedResultant2| (((|Record| (|:| |resultant| |#1|) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedResultant2(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|halfExtendedResultant1| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedResultant1(a,b)} returns \\axiom{[r,ca]} such that \\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca, cb]}")) (|extendedResultant| (((|Record| (|:| |resultant| |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedResultant(a,b)} returns \\axiom{[r,ca,cb]} such that \\axiom{r} is the resultant of \\axiom{a} and \\axiom{b} and \\axiom{r = ca * a + \\spad{cb} * \\spad{b}}")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} such that \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]}")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca, cb]} such that \\axiom{g} is a \\spad{gcd} of \\axiom{a} and \\axiom{b} in \\axiom{R^(-1) \\spad{P}} and \\axiom{g = ca * a + \\spad{cb} * \\spad{b}}")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns \\axiom{resultant(a,b)} if \\axiom{a} and \\axiom{b} has no non-trivial \\spad{gcd} in \\axiom{R^(-1) \\spad{P}} otherwise the non-zero sub-resultant with smallest index.")) (|subResultantsChain| (((|List| $) $ $) "\\axiom{subResultantsChain(a,b)} returns the list of the non-zero sub-resultants of \\axiom{a} and \\axiom{b} sorted by increasing degree.")) (|lazyPseudoQuotient| (($ $ $) "\\axiom{lazyPseudoQuotient(a,b)} returns \\axiom{q} if \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}")) (|lazyPseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{c^n * a = \\spad{q*b} \\spad{+r}} and \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} where \\axiom{n + \\spad{g} = max(0, degree(b) - degree(a) + 1)}.")) (|lazyPseudoRemainder| (($ $ $) "\\axiom{lazyPseudoRemainder(a,b)} returns \\axiom{r} if \\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]}. This lazy pseudo-remainder is computed by means of the fmecg from NewSparseUnivariatePolynomial operation.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| |#1|) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[r,c,n]} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{c^n * a - \\spad{r}} where \\axiom{c} is \\axiom{leadingCoefficient(b)} and \\axiom{n} is as small as possible with the previous properties.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} returns \\axiom{r} such that \\axiom{r} is reduced w.r.t. \\axiom{b} and \\axiom{b} divides \\axiom{a \\spad{-r}} where \\axiom{b} is monic.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\axiom{fmecg(p1,e,r,p2)} returns \\axiom{p1 - \\spad{r} * x**e * \\spad{p2}} where \\axiom{x} is \\axiom{monomial(1,1)}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-780 R) 
+((|constructor| (NIL "This package provides polynomials as functions on a ring.")) (|eulerE| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{eulerE(n,r)} \\undocumented")) (|bernoulliB| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{bernoulliB(n,r)} \\undocumented")) (|cyclotomic| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{cyclotomic(n,r)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-559))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-843)))) (|HasCategory| |#1| (QUOTE (-1048))) (|HasCategory| |#1| (QUOTE (-173)))) 
-(-782) 
-((|constructor| (NIL "NumberFormats provides function to format and read arabic and roman numbers,{} to convert numbers to strings and to read floating-point numbers.")) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) "\\spad{ScanFloatIgnoreSpacesIfCan(s)} tries to form a floating point number from the string \\spad{s} ignoring any spaces.")) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) "\\spad{ScanFloatIgnoreSpaces(s)} forms a floating point number from the string \\spad{s} ignoring any spaces. Error is generated if the string is not recognised as a floating point number.")) (|ScanRoman| (((|PositiveInteger|) (|String|)) "\\spad{ScanRoman(s)} forms an integer from a Roman numeral string \\spad{s}.")) (|FormatRoman| (((|String|) (|PositiveInteger|)) "\\spad{FormatRoman(n)} forms a Roman numeral string from an integer \\spad{n}.")) (|ScanArabic| (((|PositiveInteger|) (|String|)) "\\spad{ScanArabic(s)} forms an integer from an Arabic numeral string \\spad{s}.")) (|FormatArabic| (((|String|) (|PositiveInteger|)) "\\spad{FormatArabic(n)} forms an Arabic numeral string from an integer \\spad{n}."))) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
+(-781 R E V P) 
+((|constructor| (NIL "The category of normalized triangular sets. A triangular set \\spad{ts} is said normalized if for every algebraic variable \\spad{v} of \\spad{ts} the polynomial select(ts,v) is normalized w.r.t. every polynomial in collectUnder(ts,v). A polynomial \\spad{p} is said normalized w.r.t. a non-constant polynomial \\spad{q} if \\spad{p} is constant or degree(p,mdeg(q)) = 0 and init(p) is normalized w.r.t. \\spad{q.} One of the important features of normalized triangular sets is that they are regular sets."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
+(-782 S) 
+((|constructor| (NIL "Numeric provides real and complex numerical evaluation functions for various symbolic types.")) (|numericIfCan| (((|Union| (|Float|) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Expression| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numericIfCan(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Float|) "failed") (|Polynomial| |#1|)) "\\spad{numericIfCan(x)} returns a real approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.")) (|complexNumericIfCan| (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Expression| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| |#1|)) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumericIfCan(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places, or \"failed\" if \\axiom{x} is not a constant.") (((|Union| (|Complex| (|Float|)) "failed") (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumericIfCan(x)} returns a complex approximation of \\spad{x,} or \"failed\" if \\axiom{x} is not constant.")) (|complexNumeric| (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Expression| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|))) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| (|Complex| |#1|)))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x}") (((|Complex| (|Float|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|)) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Polynomial| (|Complex| |#1|))) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) (|Complex| |#1|) (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) (|Complex| |#1|)) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}") (((|Complex| (|Float|)) |#1| (|PositiveInteger|)) "\\spad{complexNumeric(x, \\spad{n)}} returns a complex approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Complex| (|Float|)) |#1|) "\\spad{complexNumeric(x)} returns a complex approximation of \\spad{x.}")) (|numeric| (((|Float|) (|Expression| |#1|) (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Expression| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Fraction| (|Polynomial| |#1|)) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Fraction| (|Polynomial| |#1|))) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) (|Polynomial| |#1|) (|PositiveInteger|)) "\\spad{numeric(x,n)} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) (|Polynomial| |#1|)) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}") (((|Float|) |#1| (|PositiveInteger|)) "\\spad{numeric(x, \\spad{n)}} returns a real approximation of \\spad{x} up to \\spad{n} decimal places.") (((|Float|) |#1|) "\\spad{numeric(x)} returns a real approximation of \\spad{x.}"))) 
 NIL 
+((|HasCategory| |#1| (QUOTE (-559))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-844)))) (|HasCategory| |#1| (QUOTE (-1049))) (|HasCategory| |#1| (QUOTE (-173)))) 
 (-783) 
-((|constructor| (NIL "\\axiomType{NumericalIntegrationCategory} is the \\axiom{category} for describing the set of Numerical Integration \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{numericalIntegration}.")) (|numericalIntegration| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,{}hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,{}hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
+((|constructor| (NIL "NumberFormats provides function to format and read arabic and roman numbers, to convert numbers to strings and to read floating-point numbers.")) (|ScanFloatIgnoreSpacesIfCan| (((|Union| (|Float|) "failed") (|String|)) "\\spad{ScanFloatIgnoreSpacesIfCan(s)} tries to form a floating point number from the string \\spad{s} ignoring any spaces.")) (|ScanFloatIgnoreSpaces| (((|Float|) (|String|)) "\\spad{ScanFloatIgnoreSpaces(s)} forms a floating point number from the string \\spad{s} ignoring any spaces. Error is generated if the string is not recognised as a floating point number.")) (|ScanRoman| (((|PositiveInteger|) (|String|)) "\\spad{ScanRoman(s)} forms an integer from a Roman numeral string \\spad{s.}")) (|FormatRoman| (((|String|) (|PositiveInteger|)) "\\spad{FormatRoman(n)} forms a Roman numeral string from an integer \\spad{n.}")) (|ScanArabic| (((|PositiveInteger|) (|String|)) "\\spad{ScanArabic(s)} forms an integer from an Arabic numeral string \\spad{s.}")) (|FormatArabic| (((|String|) (|PositiveInteger|)) "\\spad{FormatArabic(n)} forms an Arabic numeral string from an integer \\spad{n.}"))) 
 NIL 
 NIL 
 (-784) 
-((|constructor| (NIL "This package is a suite of functions for the numerical integration of an ordinary differential equation of \\spad{n} variables:\\spad{\\br} \\tab{5}dy/dx = \\spad{f}(\\spad{y},{}\\spad{x})\\tab{5}\\spad{y} is an \\spad{n}-vector\\spad{\\br} All the routines are based on a 4-th order Runge-Kutta kernel. These routines generally have as arguments:\\spad{\\br} \\spad{n},{} the number of dependent variables;\\spad{\\br} \\spad{x1},{} the initial point;\\spad{\\br} \\spad{h},{} the step size;\\spad{\\br} \\spad{y},{} a vector of initial conditions of length \\spad{n}\\spad{\\br} which upon exit contains the solution at \\spad{x1 + h};\\spad{\\br} \\blankline \\spad{derivs},{} a function which computes the right hand side of the ordinary differential equation: \\spad{derivs(dydx,{}y,{}x)} computes \\spad{dydx},{} a vector which contains the derivative information. \\blankline In order of increasing complexity:\\spad{\\br} \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} advances the solution vector to\\spad{\\br} \\tab{5}\\spad{x1 + h} and return the values in \\spad{y}.\\spad{\\br} \\blankline \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs,{}t1,{}t2,{}t3,{}t4)} is the same as\\spad{\\br} \\tab{5}\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} except that you must provide 4 scratch\\spad{\\br} \\tab{5}arrays \\spad{t1}-\\spad{t4} of size \\spad{n}.\\spad{\\br} \\blankline \\tab{5}Starting with \\spad{y} at \\spad{x1},{} \\spad{rk4f(y,{}n,{}x1,{}x2,{}ns,{}derivs)}\\spad{\\br} \\tab{5}uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta\\spad{\\br} \\tab{5}integrator to advance the solution vector to \\spad{x2} and return\\spad{\\br} \\tab{5}the values in \\spad{y}. Argument \\spad{x2},{} is the final point,{} and\\spad{\\br} \\tab{5}\\spad{ns},{} the number of steps to take. \\blankline \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} takes a 5-th order Runge-Kutta step with monitoring of local truncation to ensure accuracy and adjust stepsize. The function takes two half steps and one full step and scales the difference in solutions at the final point. If the error is within \\spad{eps},{} the step is taken and the result is returned. If the error is not within \\spad{eps},{} the stepsize if decreased and the procedure is tried again until the desired accuracy is reached. Upon input,{} an trial step size must be given and upon return,{} an estimate of the next step size to use is returned as well as the step size which produced the desired accuracy. The scaled error is computed as\\spad{\\br} \\tab{5}\\spad{error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))}\\spad{\\br} and this is compared against \\spad{eps}. If this is greater than \\spad{eps},{} the step size is reduced accordingly to\\spad{\\br} \\tab{5}\\spad{hnew = 0.9 * hdid * (error/eps)**(-1/4)}\\spad{\\br} If the error criterion is satisfied,{} then we check if the step size was too fine and return a more efficient one. If \\spad{error > \\spad{eps} * (6.0E-04)} then the next step size should be\\spad{\\br} \\tab{5}\\spad{hnext = 0.9 * hdid * (error/\\spad{eps})\\spad{**}(\\spad{-1/5})}\\spad{\\br} Otherwise \\spad{hnext = 4.0 * hdid} is returned. A more detailed discussion of this and related topics can be found in the book \"Numerical Recipies\" by \\spad{W}.Press,{} \\spad{B}.\\spad{P}. Flannery,{} \\spad{S}.A. Teukolsky,{} \\spad{W}.\\spad{T}. Vetterling published by Cambridge University Press. \\blankline Argument \\spad{step} is a record of 3 floating point numbers \\spad{(try ,{} did ,{} next)},{} \\spad{eps} is the required accuracy,{} \\spad{yscal} is the scaling vector for the difference in solutions. On input,{} \\spad{step.try} should be the guess at a step size to achieve the accuracy. On output,{} \\spad{step.did} contains the step size which achieved the accuracy and \\spad{step.next} is the next step size to use. \\blankline \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs,{}t1,{}t2,{}t3,{}t4,{}t5,{}t6,{}t7)} is the same as \\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} except that the user must provide the 7 scratch arrays \\spad{t1-t7} of size \\spad{n}. \\blankline \\spad{rk4a(y,{}n,{}x1,{}x2,{}eps,{}h,{}ns,{}derivs)} is a driver program which uses \\spad{rk4qc} to integrate \\spad{n} ordinary differential equations starting at \\spad{x1} to \\spad{x2},{} keeping the local truncation error to within \\spad{eps} by changing the local step size. The scaling vector is defined as\\spad{\\br} \\tab{5}\\spad{yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny}\\spad{\\br} where \\spad{y(i)} is the solution at location \\spad{x},{} \\spad{dydx} is the ordinary differential equation\\spad{'s} right hand side,{} \\spad{h} is the current step size and \\spad{tiny} is 10 times the smallest positive number representable. \\blankline The user must supply an estimate for a trial step size and the maximum number of calls to \\spad{rk4qc} to use. Argument \\spad{x2} is the final point,{} \\spad{eps} is local truncation,{} \\spad{ns} is the maximum number of call to \\spad{rk4qc} to use.")) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4f(y,{}n,{}x1,{}x2,{}ns,{}derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector. Starting with \\spad{y} at \\spad{x1},{} this function uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta integrator to advance the solution vector to \\spad{x2} and return the values in \\spad{y}. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs,{}t1,{}t2,{}t3,{}t4,{}t5,{}t6,{}t7)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4qc(y,{}n,{}x1,{}step,{}eps,{}yscal,{}derivs)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4a(y,{}n,{}x1,{}x2,{}eps,{}h,{}ns,{}derivs)} is a driver function for the numerical integration of an ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector using a 4-th order Runge-Kutta method. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4(y,{}n,{}x1,{}h,{}derivs,{}t1,{}t2,{}t3,{}t4)} is the same as \\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} except that you must provide 4 scratch arrays \\spad{t1}-\\spad{t4} of size \\spad{n}. For details,{} see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4(y,{}n,{}x1,{}h,{}derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = \\spad{f}(\\spad{y},{}\\spad{x}) of \\spad{n} variables,{} where \\spad{y} is an \\spad{n}-vector. Argument \\spad{y} is a vector of initial conditions of length \\spad{n} which upon exit contains the solution at \\spad{x1 + h},{} \\spad{n} is the number of dependent variables,{} \\spad{x1} is the initial point,{} \\spad{h} is the step size,{} and \\spad{derivs} is a function which computes the right hand side of the ordinary differential equation. For details,{} see \\spadtype{NumericalOrdinaryDifferentialEquations}."))) 
+((|constructor| (NIL "\\axiomType{NumericalIntegrationCategory} is the \\axiom{category} for describing the set of Numerical Integration \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{numericalIntegration}.")) (|numericalIntegration| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) (|Result|)) "\\spad{numericalIntegration(args,hints)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|))) (|RoutinesTable|) (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
 (-785) 
-((|constructor| (NIL "This suite of routines performs numerical quadrature using algorithms derived from the basic trapezoidal rule. Because the error term of this rule contains only even powers of the step size (for open and closed versions),{} fast convergence can be obtained if the integrand is sufficiently smooth. \\blankline Each routine returns a Record of type TrapAns,{} which contains value Float: estimate of the integral error Float: estimate of the error in the computation totalpts Integer: total number of function evaluations success Boolean: if the integral was computed within the user specified error criterion To produce this estimate,{} each routine generates an internal sequence of sub-estimates,{} denoted by \\spad{S}(\\spad{i}),{} depending on the routine,{} to which the various convergence criteria are applied. The user must supply a relative accuracy,{} \\spad{eps_r},{} and an absolute accuracy,{} \\spad{eps_a}. Convergence is obtained when either\\spad{\\br} \\tab{5}\\spad{ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))}\\spad{\\br} \\tab{5}or \\spad{ABS(S(i) - S(i-1)) < eps_a} are \\spad{true} statements. \\blankline The routines come in three families and three flavors: closed: romberg,{} simpson,{} trapezoidal open: rombergo,{} simpsono,{} trapezoidalo adaptive closed: aromberg,{} asimpson,{} atrapezoidal \\blankline The \\spad{S}(\\spad{i}) for the trapezoidal family is the value of the integral using an equally spaced absicca trapezoidal rule for that level of refinement. \\blankline The \\spad{S}(\\spad{i}) for the simpson family is the value of the integral using an equally spaced absicca simpson rule for that level of refinement. \\blankline The \\spad{S}(\\spad{i}) for the romberg family is the estimate of the integral using an equally spaced absicca romberg method. For the \\spad{i}-th level,{} this is an appropriate combination of all the previous trapezodial estimates so that the error term starts with the 2*(\\spad{i+1}) power only. \\blankline The three families come in a closed version,{} where the formulas include the endpoints,{} an open version where the formulas do not include the endpoints and an adaptive version,{} where the user is required to input the number of subintervals over which the appropriate closed family integrator will apply with the usual convergence parmeters for each subinterval. This is useful where a large number of points are needed only in a small fraction of the entire domain. \\blankline Each routine takes as arguments:\\spad{\\br} \\spad{f} integrand\\spad{\\br} a starting point\\spad{\\br} \\spad{b} ending point\\spad{\\br} eps_r relative error\\spad{\\br} eps_a absolute error\\spad{\\br} nmin refinement level when to start checking for convergence (> 1)\\spad{\\br} nmax maximum level of refinement\\spad{\\br} \\blankline The adaptive routines take as an additional parameter,{} nint,{} the number of independent intervals to apply a closed family integrator of the same name. \\blankline")) (|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidalo(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the trapezoidal method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpsono(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{rombergo(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the romberg method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidal(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the trapezoidal method to numerically integrate function \\spadvar{\\spad{fn}} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpson(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{romberg(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax)} uses the romberg method to numerically integrate function \\spadvar{\\spad{fn}} over the closed interval \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{atrapezoidal(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive trapezoidal method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{asimpson(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive simpson method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{aromberg(fn,{}a,{}b,{}epsrel,{}epsabs,{}nmin,{}nmax,{}nint)} uses the adaptive romberg method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b},{} with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs},{} with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax},{} and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral,{} the estimate of the error in the computation,{} the total number of function evaluations,{} and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details."))) 
+((|constructor| (NIL "This package is a suite of functions for the numerical integration of an ordinary differential equation of \\spad{n} variables:\\br \\tab{5}dy/dx = f(y,x)\\tab{5}y is an n-vector\\br All the routines are based on a 4-th order Runge-Kutta kernel. These routines generally have as arguments:\\br \\spad{n,} the number of dependent variables;\\br \\spad{x1,} the initial point;\\br \\spad{h,} the step size;\\br \\spad{y,} a vector of initial conditions of length n\\br which upon exit contains the solution at \\spad{x1 + h};\\br \\blankline \\spad{derivs}, a function which computes the right hand side of the ordinary differential equation: \\spad{derivs(dydx,y,x)} computes \\spad{dydx}, a vector which contains the derivative information. \\blankline In order of increasing complexity:\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} advances the solution vector to\\br \\tab{5}\\spad{x1 + \\spad{h}} and return the values in y.\\br \\blankline \\tab{5}\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as\\br \\tab{5}\\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch\\br \\tab{5}arrays \\spad{t1-t4} of size n.\\br \\blankline \\tab{5}Starting with \\spad{y} at \\spad{x1,} \\spad{rk4f(y,n,x1,x2,ns,derivs)}\\br \\tab{5}uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta\\br \\tab{5}integrator to advance the solution vector to \\spad{x2} and return\\br \\tab{5}the values in \\spad{y.} Argument \\spad{x2,} is the final point, and\\br \\tab{5}\\spad{ns}, the number of steps to take. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} takes a 5-th order Runge-Kutta step with monitoring of local truncation to ensure accuracy and adjust stepsize. The function takes two half steps and one full step and scales the difference in solutions at the final point. If the error is within \\spad{eps}, the step is taken and the result is returned. If the error is not within \\spad{eps}, the stepsize if decreased and the procedure is tried again until the desired accuracy is reached. Upon input, an trial step size must be given and upon return, an estimate of the next step size to use is returned as well as the step size which produced the desired accuracy. The scaled error is computed as\\br \\tab{5}\\spad{error = MAX(ABS((y2steps(i) - y1step(i))/yscal(i)))}\\br and this is compared against \\spad{eps}. If this is greater than \\spad{eps}, the step size is reduced accordingly to\\br \\tab{5}\\spad{hnew = 0.9 * hdid * (error/eps)**(-1/4)}\\br If the error criterion is satisfied, then we check if the step size was too fine and return a more efficient one. If \\spad{error > \\spad{eps} * (6.0E-04)} then the next step size should be\\br \\tab{5}\\spad{hnext = 0.9 * hdid * (error/\\spad{eps})**(-1/5)}\\br Otherwise \\spad{hnext = 4.0 * hdid} is returned. A more detailed discussion of this and related topics can be found in the book \"Numerical Recipies\" by W.Press, B.P. Flannery, S.A. Teukolsky, W.T. Vetterling published by Cambridge University Press. \\blankline Argument \\spad{step} is a record of 3 floating point numbers \\spad{(try ,{} did ,{} next)}, \\spad{eps} is the required accuracy, \\spad{yscal} is the scaling vector for the difference in solutions. On input, \\spad{step.try} should be the guess at a step size to achieve the accuracy. On output, \\spad{step.did} contains the step size which achieved the accuracy and \\spad{step.next} is the next step size to use. \\blankline \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is the same as \\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} except that the user must provide the 7 scratch arrays \\spad{t1-t7} of size \\spad{n.} \\blankline \\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver program which uses \\spad{rk4qc} to integrate \\spad{n} ordinary differential equations starting at \\spad{x1} to \\spad{x2,} keeping the local truncation error to within \\spad{eps} by changing the local step size. The scaling vector is defined as\\br \\tab{5}\\spad{yscal(i) = abs(y(i)) + abs(h*dydx(i)) + tiny}\\br where \\spad{y(i)} is the solution at location \\spad{x,} \\spad{dydx} is the ordinary differential equation's right hand side, \\spad{h} is the current step size and \\spad{tiny} is 10 times the smallest positive number representable. \\blankline The user must supply an estimate for a trial step size and the maximum number of calls to \\spad{rk4qc} to use. Argument \\spad{x2} is the final point, \\spad{eps} is local truncation, \\spad{ns} is the maximum number of call to \\spad{rk4qc} to use.")) (|rk4f| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4f(y,n,x1,x2,ns,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Starting with \\spad{y} at \\spad{x1,} this function uses \\spad{ns} fixed steps of a 4-th order Runge-Kutta integrator to advance the solution vector to \\spad{x2} and return the values in \\spad{y.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4qc| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs,t1,t2,t3,t4,t5,t6,t7)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|))) (|Float|) (|Vector| (|Float|)) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4qc(y,n,x1,step,eps,yscal,derivs)} is a subfunction for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. This function takes a 5-th order Runge-Kutta \\spad{step} with monitoring of local truncation to ensure accuracy and adjust stepsize. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4a| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4a(y,n,x1,x2,eps,h,ns,derivs)} is a driver function for the numerical integration of an ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector using a 4-th order Runge-Kutta method. For details, see \\con{NumericalOrdinaryDifferentialEquations}.")) (|rk4| (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Vector| (|Float|))) "\\spad{rk4(y,n,x1,h,derivs,t1,t2,t3,t4)} is the same as \\spad{rk4(y,n,x1,h,derivs)} except that you must provide 4 scratch arrays \\spad{t1-t4} of size \\spad{n.} For details, see \\con{NumericalOrdinaryDifferentialEquations}.") (((|Void|) (|Vector| (|Float|)) (|Integer|) (|Float|) (|Float|) (|Mapping| (|Void|) (|Vector| (|Float|)) (|Vector| (|Float|)) (|Float|))) "\\spad{rk4(y,n,x1,h,derivs)} uses a 4-th order Runge-Kutta method to numerically integrate the ordinary differential equation dy/dx = f(y,x) of \\spad{n} variables, where \\spad{y} is an n-vector. Argument \\spad{y} is a vector of initial conditions of length \\spad{n} which upon exit contains the solution at \\spad{x1 + \\spad{h},} \\spad{n} is the number of dependent variables, \\spad{x1} is the initial point, \\spad{h} is the step size, and \\spad{derivs} is a function which computes the right hand side of the ordinary differential equation. For details, see \\spadtype{NumericalOrdinaryDifferentialEquations}."))) 
 NIL 
 NIL 
-(-786 |Curve|) 
-((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) "\\spad{tube(c,{}r,{}n)} creates a tube of radius \\spad{r} around the curve \\spad{c}."))) 
+(-786) 
+((|constructor| (NIL "This suite of routines performs numerical quadrature using algorithms derived from the basic trapezoidal rule. Because the error term of this rule contains only even powers of the step size (for open and closed versions), fast convergence can be obtained if the integrand is sufficiently smooth. \\blankline Each routine returns a Record of type TrapAns, which contains value Float: estimate of the integral error Float: estimate of the error in the computation totalpts Integer: total number of function evaluations success Boolean: if the integral was computed within the user specified error criterion To produce this estimate, each routine generates an internal sequence of sub-estimates, denoted by S(i), depending on the routine, to which the various convergence criteria are applied. The user must supply a relative accuracy, \\spad{eps_r}, and an absolute accuracy, \\spad{eps_a}. Convergence is obtained when either\\br \\tab{5}\\spad{ABS(S(i) - S(i-1)) < eps_r * ABS(S(i-1))}\\br \\tab{5}or \\spad{ABS(S(i) - S(i-1)) < eps_a} are \\spad{true} statements. \\blankline The routines come in three families and three flavors: closed: romberg, simpson, trapezoidal open: rombergo, simpsono, trapezoidalo adaptive closed: aromberg, asimpson, atrapezoidal \\blankline The S(i) for the trapezoidal family is the value of the integral using an equally spaced absicca trapezoidal rule for that level of refinement. \\blankline The S(i) for the simpson family is the value of the integral using an equally spaced absicca simpson rule for that level of refinement. \\blankline The S(i) for the romberg family is the estimate of the integral using an equally spaced absicca romberg method. For the \\spad{i}-th level, this is an appropriate combination of all the previous trapezodial estimates so that the error term starts with the 2*(i+1) power only. \\blankline The three families come in a closed version, where the formulas include the endpoints, an open version where the formulas do not include the endpoints and an adaptive version, where the user is required to input the number of subintervals over which the appropriate closed family integrator will apply with the usual convergence parmeters for each subinterval. This is useful where a large number of points are needed only in a small fraction of the entire domain. \\blankline Each routine takes as arguments:\\br \\spad{f} integrand\\br a starting point\\br \\spad{b} ending point\\br eps_r relative error\\br eps_a absolute error\\br nmin refinement level when to start checking for convergence \\spad{(>} 1)\\br nmax maximum level of refinement\\br \\blankline The adaptive routines take as an additional parameter, nint, the number of independent intervals to apply a closed family integrator of the same name. \\blankline")) (|trapezoidalo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidalo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpsono| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpsono(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|rombergo| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{rombergo(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spad{fn} over the open interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|trapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{trapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the trapezoidal method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|simpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{simpson(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the simpson method to numerically integrate function \\spad{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|romberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|)) "\\spad{romberg(fn,a,b,epsrel,epsabs,nmin,nmax)} uses the romberg method to numerically integrate function \\spadvar{fn} over the closed interval \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|atrapezoidal| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{atrapezoidal(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive trapezoidal method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|asimpson| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{asimpson(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive simpson method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details.")) (|aromberg| (((|Record| (|:| |value| (|Float|)) (|:| |error| (|Float|)) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|))) (|Mapping| (|Float|) (|Float|)) (|Float|) (|Float|) (|Float|) (|Float|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{aromberg(fn,a,b,epsrel,epsabs,nmin,nmax,nint)} uses the adaptive romberg method to numerically integrate function \\spad{fn} over the closed interval from \\spad{a} to \\spad{b}, with relative accuracy \\spad{epsrel} and absolute accuracy \\spad{epsabs}, with the refinement levels for convergence checking vary from \\spad{nmin} to \\spad{nmax}, and where \\spad{nint} is the number of independent intervals to apply the integrator. The value returned is a record containing the value of the integral, the estimate of the error in the computation, the total number of function evaluations, and either a boolean value which is \\spad{true} if the integral was computed within the user specified error criterion. See \\spadtype{NumericalQuadrature} for details."))) 
 NIL 
 NIL 
-(-787) 
-((|constructor| (NIL "Ordered sets which are also abelian groups,{} such that the addition preserves the ordering."))) 
+(-787 |Curve|) 
+((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves.")) (|tube| (((|TubePlot| |#1|) |#1| (|DoubleFloat|) (|Integer|)) "\\spad{tube(c,r,n)} creates a tube of radius \\spad{r} around the curve \\spad{c.}"))) 
 NIL 
 NIL 
 (-788) 
-((|constructor| (NIL "Ordered sets which are also abelian monoids,{} such that the addition preserves the ordering."))) 
+((|constructor| (NIL "Ordered sets which are also abelian groups, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
 (-789) 
-((|constructor| (NIL "This domain is an OrderedAbelianMonoid with a \\spadfun{sup} operation added. The purpose of the \\spadfun{sup} operator in this domain is to act as a supremum with respect to the partial order imposed by \\spadop{-},{} rather than with respect to the total \\spad{>} order (since that is \"max\"). \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{sup(a,{}b)-a \\~~= \"failed\"}\\spad{\\br} \\tab{5}\\spad{sup(a,{}b)-b \\~~= \"failed\"}\\spad{\\br} \\tab{5}\\spad{x-a \\~~= \"failed\" and x-b \\~~= \"failed\" => x >= sup(a,{}b)}\\spad{\\br}")) (|sup| (($ $ $) "\\spad{sup(x,{}y)} returns the least element from which both \\spad{x} and \\spad{y} can be subtracted."))) 
+((|constructor| (NIL "Ordered sets which are also abelian monoids, such that the addition preserves the ordering."))) 
 NIL 
 NIL 
 (-790) 
-((|constructor| (NIL "Ordered sets which are also abelian semigroups,{} such that the addition preserves the ordering.\\spad{\\br} \\blankline Axiom\\spad{\\br} \\tab{5} \\spad{x} < \\spad{y} \\spad{=>} \\spad{x+z} < \\spad{y+z}"))) 
+((|constructor| (NIL "This domain is an OrderedAbelianMonoid with a sup operation added. The purpose of the sup operator in this domain is to act as a supremum with respect to the partial order imposed by `-`, rather than with respect to the total \\spad{$>$} order (since that is \"max\"). \\blankline Axioms\\br \\tab{5}sup(a,b)-a \\~~= \"failed\"\\br \\tab{5}sup(a,b)-b \\~~= \"failed\"\\br \\tab{5}x-a \\~~= \"failed\" and \\spad{x-b} \\~~= \"failed\" \\spad{=>} \\spad{x} \\spad{>=} sup(a,b)\\br")) (|sup| (($ $ $) "\\spad{sup(x,y)} returns the least element from which both \\spad{x} and \\spad{y} can be subtracted."))) 
 NIL 
 NIL 
 (-791) 
-((|constructor| (NIL "Ordered sets which are also abelian cancellation monoids,{} such that the addition preserves the ordering."))) 
+((|constructor| (NIL "Ordered sets which are also abelian semigroups, such that the addition preserves the ordering.\\br \\blankline Axiom\\br \\tab{5} \\spad{x} < \\spad{y} \\spad{=>} \\spad{x+z} < \\spad{y+z}"))) 
+NIL 
 NIL 
+(-792) 
+((|constructor| (NIL "Ordered sets which are also abelian cancellation monoids, such that the addition preserves the ordering."))) 
 NIL 
-(-792 S R) 
-((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions,{} and eight-dimensional non-associative algebra,{} doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational,{} \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#2| $) "\\spad{abs(o)} computes the absolute value of an octonion,{} equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#2| |#2| |#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{octon(re,{}\\spad{ri},{}rj,{}rk,{}rE,{}rI,{}rJ,{}rK)} constructs an octonion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(o)} returns the norm of an octonion,{} equal to the sum of the squares of its coefficients.")) (|imagK| ((|#2| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion \\spad{o}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion \\spad{o}.")) (|imagI| ((|#2| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion \\spad{o}.")) (|imagE| ((|#2| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion \\spad{o}.")) (|imagk| ((|#2| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion \\spad{o}.")) (|imagj| ((|#2| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion \\spad{o}.")) (|imagi| ((|#2| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion \\spad{o}.")) (|real| ((|#2| $) "\\spad{real(o)} extracts real part of octonion \\spad{o}.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts \\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{E},{}\\spad{I},{}\\spad{J},{}\\spad{K} of octonian \\spad{o}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-371)))) 
-(-793 R) 
-((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions,{} and eight-dimensional non-associative algebra,{} doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0,{} and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational,{} \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#1| $) "\\spad{abs(o)} computes the absolute value of an octonion,{} equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) "\\spad{octon(re,{}\\spad{ri},{}rj,{}rk,{}rE,{}rI,{}rJ,{}rK)} constructs an octonion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(o)} returns the norm of an octonion,{} equal to the sum of the squares of its coefficients.")) (|imagK| ((|#1| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion \\spad{o}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion \\spad{o}.")) (|imagI| ((|#1| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion \\spad{o}.")) (|imagE| ((|#1| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion \\spad{o}.")) (|imagk| ((|#1| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion \\spad{o}.")) (|imagj| ((|#1| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion \\spad{o}.")) (|imagi| ((|#1| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion \\spad{o}.")) (|real| ((|#1| $) "\\spad{real(o)} extracts real part of octonion \\spad{o}.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts \\spad{i},{}\\spad{j},{}\\spad{k},{}\\spad{E},{}\\spad{I},{}\\spad{J},{}\\spad{K} of octonian \\spad{o}."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+(-793 S R) 
+((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#2| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#2| |#2| |#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#2| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#2| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#2| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#2| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#2| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#2| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#2| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#2| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
 NIL 
-(-794 -2232 R OS S) 
-((|constructor| (NIL "\\spad{OctonionCategoryFunctions2} implements functions between two octonion domains defined over different rings. The function map is used to coerce between octonion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,{}u)} maps \\spad{f} onto the component parts of the octonion \\spad{u}."))) 
+((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-371)))) 
+(-794 R) 
+((|constructor| (NIL "OctonionCategory gives the categorial frame for the octonions, and eight-dimensional non-associative algebra, doubling the the quaternions in the same way as doubling the Complex numbers to get the quaternions.")) (|inv| (($ $) "\\spad{inv(o)} returns the inverse of \\spad{o} if it exists.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(o)} returns the real part if all seven imaginary parts are 0, and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(o)} returns the real part if all seven imaginary parts are 0. Error: if \\spad{o} is not rational.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(o)} tests if \\spad{o} is rational, \\spadignore{i.e.} that all seven imaginary parts are 0.")) (|abs| ((|#1| $) "\\spad{abs(o)} computes the absolute value of an octonion, equal to the square root of the \\spadfunFrom{norm}{Octonion}.")) (|octon| (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) "\\spad{octon(re,ri,rj,rk,rE,rI,rJ,rK)} constructs an octonion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(o)} returns the norm of an octonion, equal to the sum of the squares of its coefficients.")) (|imagK| ((|#1| $) "\\spad{imagK(o)} extracts the imaginary \\spad{K} part of octonion o.")) (|imagJ| ((|#1| $) "\\spad{imagJ(o)} extracts the imaginary \\spad{J} part of octonion o.")) (|imagI| ((|#1| $) "\\spad{imagI(o)} extracts the imaginary \\spad{I} part of octonion o.")) (|imagE| ((|#1| $) "\\spad{imagE(o)} extracts the imaginary \\spad{E} part of octonion o.")) (|imagk| ((|#1| $) "\\spad{imagk(o)} extracts the \\spad{k} part of octonion o.")) (|imagj| ((|#1| $) "\\spad{imagj(o)} extracts the \\spad{j} part of octonion o.")) (|imagi| ((|#1| $) "\\spad{imagi(o)} extracts the \\spad{i} part of octonion o.")) (|real| ((|#1| $) "\\spad{real(o)} extracts real part of octonion o.")) (|conjugate| (($ $) "\\spad{conjugate(o)} negates the imaginary parts i,j,k,E,I,J,K of octonian o."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
+(-795 -1929 R OS S) 
+((|constructor| (NIL "\\spad{OctonionCategoryFunctions2} implements functions between two octonion domains defined over different rings. The function map is used to coerce between octonion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\spad{map(f,u)} maps \\spad{f} onto the component parts of the octonion u."))) 
 NIL 
-(-795 R) 
-((|constructor| (NIL "Octonion implements octonions (Cayley-Dixon algebra) over a commutative ring,{} an eight-dimensional non-associative algebra,{} doubling the quaternions in the same way as doubling the complex numbers to get the quaternions the main constructor function is octon which takes 8 arguments: the real part,{} the \\spad{i} imaginary part,{} the \\spad{j} imaginary part,{} the \\spad{k} imaginary part,{} (as with quaternions) and in addition the imaginary parts \\spad{E},{} \\spad{I},{} \\spad{J},{} \\spad{K}.")) (|octon| (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) "\\spad{octon(qe,{}qE)} constructs an octonion from two quaternions using the relation \\spad{O} = \\spad{Q} + QE."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| (-1000 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))))) 
-(-796) 
-((|constructor| (NIL "\\axiomType{OrdinaryDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of ODE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{ODEsolve}.")) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{ODESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
 NIL 
+(-796 R) 
+((|constructor| (NIL "Octonion implements octonions (Cayley-Dixon algebra) over a commutative ring, an eight-dimensional non-associative algebra, doubling the quaternions in the same way as doubling the complex numbers to get the quaternions the main constructor function is octon which takes 8 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part, the \\spad{k} imaginary part, (as with quaternions) and in addition the imaginary parts E, I, \\spad{J,} \\spad{K.}")) (|octon| (($ (|Quaternion| |#1|) (|Quaternion| |#1|)) "\\spad{octon(qe,qE)} constructs an octonion from two quaternions using the relation \\spad{O} = \\spad{Q} + QE."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| (-1001 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))))) 
+(-797) 
+((|constructor| (NIL "\\axiomType{OrdinaryDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of ODE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{ODEsolve}.")) (|ODESolve| (((|Result|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{ODESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
-(-797 R -1564 L) 
-((|constructor| (NIL "Solution of linear ordinary differential equations,{} constant coefficient case.")) (|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) "\\spad{constDsolve(op,{} g,{} x)} returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular solution of the equation \\spad{op y = g},{} and the \\spad{\\spad{yi}}\\spad{'s} form a basis for the solutions of \\spad{op y = 0}."))) 
 NIL 
+(-798 R -1647 L) 
+((|constructor| (NIL "Solution of linear ordinary differential equations, constant coefficient case.")) (|constDsolve| (((|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#3| |#2| (|Symbol|)) "\\spad{constDsolve(op, \\spad{g,} \\spad{x)}} returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular solution of the equation \\spad{op \\spad{y} = \\spad{g},} and the \\spad{yi}'s form a basis for the solutions of \\spad{op \\spad{y} = 0}."))) 
 NIL 
-(-798 R -1564) 
-((|constructor| (NIL "\\spad{ElementaryFunctionODESolver} provides the top-level functions for finding closed form solutions of ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq,{} y,{} x = a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{eq,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,{}y)}.") (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq,{} y,{} x = a,{} [y0,{}...,{}ym])} returns either the solution of the initial value problem \\spad{eq,{} y(a) = y0,{} y'(a) = y1,{}...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,{}y)}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq,{} y,{} x)} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary,{} a solution is of the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,{}y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; If the equation is of the form {dy/dx = \\spad{f}(\\spad{x},{}\\spad{y})},{} a solution is of the form \\spad{h(x,{}y)} where \\spad{h(x,{}y) = c} is a first integral of the equation for any constant \\spad{c}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq,{} y,{} x)} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary,{} a solution is of the form \\spad{[h,{} [b1,{}...,{}bm]]} where \\spad{h} is a particular solution and \\spad{[b1,{}...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,{}y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned,{} only the solutions which were found; If the equation is of the form {dy/dx = \\spad{f}(\\spad{x},{}\\spad{y})},{} a solution is of the form \\spad{h(x,{}y)} where \\spad{h(x,{}y) = c} is a first integral of the equation for any constant \\spad{c}; error if the equation is not one of those 2 forms.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,{}...,{}eq_n],{} [y_1,{}...,{}y_n],{} x)} returns either \"failed\" or,{} if the equations form a fist order linear system,{} a solution of the form \\spad{[y_p,{} [b_1,{}...,{}b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,{}...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,{}...,{}eq_n],{} [y_1,{}...,{}y_n],{} x)} returns either \"failed\" or,{} if the equations form a fist order linear system,{} a solution of the form \\spad{[y_p,{} [b_1,{}...,{}b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,{}...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) "\\spad{solve(m,{} x)} returns a basis for the solutions of \\spad{D y = m y}. \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) "\\spad{solve(m,{} v,{} x)} returns \\spad{[v_p,{} [v_1,{}...,{}v_m]]} such that the solutions of the system \\spad{D y = m y + v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{D y = m y}. \\spad{x} is the dependent variable."))) 
 NIL 
+(-799 R -1647) 
+((|constructor| (NIL "\\spad{ElementaryFunctionODESolver} provides the top-level functions for finding closed form solutions of ordinary differential equations and initial value problems.")) (|solve| (((|Union| |#2| "failed") |#2| (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Equation| |#2|) (|List| |#2|)) "\\spad{solve(eq, \\spad{y,} \\spad{x} = a, [y0,...,ym])} returns either the solution of the initial value problem \\spad{eq, y(a) = \\spad{y0,} y'(a) = y1,...} or \"failed\" if the solution cannot be found; error if the equation is not one linear ordinary or of the form \\spad{dy/dx = f(x,y)}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") |#2| (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}.") (((|Union| (|Record| (|:| |particular| |#2|) (|:| |basis| (|List| |#2|))) |#2| "failed") (|Equation| |#2|) (|BasicOperator|) (|Symbol|)) "\\spad{solve(eq, \\spad{y,} \\spad{x)}} returns either a solution of the ordinary differential equation \\spad{eq} or \"failed\" if no non-trivial solution can be found; If the equation is linear ordinary, a solution is of the form \\spad{[h, [b1,...,bm]]} where \\spad{h} is a particular solution and \\spad{[b1,...bm]} are linearly independent solutions of the associated homogenuous equation \\spad{f(x,y) = 0}; A full basis for the solutions of the homogenuous equation is not always returned, only the solutions which were found; If the equation is of the form {dy/dx = f(x,y)}, a solution is of the form \\spad{h(x,y)} where \\spad{h(x,y) = \\spad{c}} is a first integral of the equation for any constant \\spad{c}; error if the equation is not one of those 2 forms.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| |#2|) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|List| (|Equation| |#2|)) (|List| (|BasicOperator|)) (|Symbol|)) "\\spad{solve([eq_1,...,eq_n], [y_1,...,y_n], \\spad{x)}} returns either \"failed\" or, if the equations form a fist order linear system, a solution of the form \\spad{[y_p, [b_1,...,b_n]]} where \\spad{h_p} is a particular solution and \\spad{[b_1,...b_m]} are linearly independent solutions of the associated homogenuous system. error if the equations do not form a first order linear system") (((|Union| (|List| (|Vector| |#2|)) "failed") (|Matrix| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{x)}} returns a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable.") (((|Union| (|Record| (|:| |particular| (|Vector| |#2|)) (|:| |basis| (|List| (|Vector| |#2|)))) "failed") (|Matrix| |#2|) (|Vector| |#2|) (|Symbol|)) "\\spad{solve(m, \\spad{v,} \\spad{x)}} returns \\spad{[v_p, [v_1,...,v_m]]} such that the solutions of the system \\spad{D \\spad{y} = \\spad{m} \\spad{y} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{y} = \\spad{m} \\spad{y}.} \\spad{x} is the dependent variable."))) 
 NIL 
-(-799) 
-((|constructor| (NIL "\\axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of functions to store details found out about sets of ODE\\spad{'s}.")) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showIntensityFunctions(k)} returns the entries in the table of intensity functions \\spad{k}.")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) "\\spad{iFTable(l)} creates an intensity-functions table from the elements of \\spad{l}.")) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(tab)} returns the list of keys of \\spad{f}")) (|clearTheIFTable| (((|Void|)) "\\spad{clearTheIFTable()} clears the current table of intensity functions.")) (|showTheIFTable| (($) "\\spad{showTheIFTable()} returns the current table of intensity functions."))) 
 NIL 
+(-800) 
+((|constructor| (NIL "\\axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of functions to store details found out about sets of ODE's.")) (|showIntensityFunctions| (((|Union| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))) "failed") (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{showIntensityFunctions(k)} returns the entries in the table of intensity functions \\spad{k.}")) (|insert!| (($ (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) "\\spad{insert!(r)} inserts an entry \\spad{r} into theIFTable")) (|iFTable| (($ (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) "\\spad{iFTable(l)} creates an intensity-functions table from the elements of \\spad{l.}")) (|keys| (((|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) $) "\\spad{keys(tab)} returns the list of keys of \\spad{f}")) (|clearTheIFTable| (((|Void|)) "\\spad{clearTheIFTable()} clears the current table of intensity functions.")) (|showTheIFTable| (($) "\\spad{showTheIFTable()} returns the current table of intensity functions."))) 
 NIL 
-(-800 R -1564) 
-((|constructor| (NIL "\\spadtype{ODEIntegration} provides an interface to the integrator. This package is intended for use by the differential equations solver but not at top-level.")) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) "\\spad{diff(x)} returns the derivation with respect to \\spad{x}.")) (|expint| ((|#2| |#2| (|Symbol|)) "\\spad{expint(f,{} x)} returns e^{the integral of \\spad{f} with respect to \\spad{x}}.")) (|int| ((|#2| |#2| (|Symbol|)) "\\spad{int(f,{} x)} returns the integral of \\spad{f} with respect to \\spad{x}."))) 
 NIL 
+(-801 R -1647) 
+((|constructor| (NIL "\\spadtype{ODEIntegration} provides an interface to the integrator. This package is intended for use by the differential equations solver but not at top-level.")) (|diff| (((|Mapping| |#2| |#2|) (|Symbol|)) "\\spad{diff(x)} returns the derivation with respect to \\spad{x.}")) (|expint| ((|#2| |#2| (|Symbol|)) "\\spad{expint(f, \\spad{x)}} returns e^{the integral of \\spad{f} with respect to \\spad{x}.}")) (|int| ((|#2| |#2| (|Symbol|)) "\\spad{int(f, \\spad{x)}} returns the integral of \\spad{f} with respect to \\spad{x.}"))) 
 NIL 
-(-801) 
-((|constructor| (NIL "\\axiomType{AnnaOrdinaryDifferentialEquationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} with \\axiom{measure},{} and \\axiom{solve}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}intVals,{}epsabs,{}epsrel)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to an absolute error requirement \\axiom{\\spad{epsabs}} and relative error \\axiom{\\spad{epsrel}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}intVals,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}intVals,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The values of \\spad{y}[1]..\\spad{y}[\\spad{n}] will be output for the values of \\spad{x} in \\axiom{\\spad{intVals}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}G,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. The calculation will stop if the function \\spad{G}(\\spad{x},{}\\spad{y}[1],{}..,{}\\spad{y}[\\spad{n}]) evaluates to zero before \\spad{x} = \\spad{xEnd}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial,{}tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations,{} \\axiom{\\spad{f}},{} \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}] from \\axiom{\\spad{xStart}} to \\axiom{\\spad{xEnd}} with the initial values for \\spad{y}[1]..\\spad{y}[\\spad{n}] (\\axiom{\\spad{yInitial}}) to a tolerance \\axiom{\\spad{tol}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) "\\spad{solve(f,{}xStart,{}xEnd,{}yInitial)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with a starting value for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions) and a final value of \\spad{x}. A default value is used for the accuracy requirement. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{solve(odeProblem,{}R)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with starting values for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions),{} a final value of \\spad{x},{} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{\\spad{R}} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|)) "\\spad{solve(odeProblem)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives \\spad{y}[1]'..\\spad{y}[\\spad{n}]' defined in terms of \\spad{x},{}\\spad{y}[1]..\\spad{y}[\\spad{n}],{} together with starting values for \\spad{x} and \\spad{y}[1]..\\spad{y}[\\spad{n}] (called the initial conditions),{} a final value of \\spad{x},{} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate,{} \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine."))) 
 NIL 
+(-802) 
+((|constructor| (NIL "\\axiomType{AnnaOrdinaryDifferentialEquationPackage} is a \\axiom{package} of functions for the \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} with \\axiom{measure}, and \\axiom{solve}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalODEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical ODE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{OrdinaryDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of ODEs by checking various attributes of the system of ODEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,epsabs,epsrel)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to an absolute error requirement \\axiom{epsabs} and relative error \\axiom{epsrel}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,intVals,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The values of y[1]..y[n] will be output for the values of \\spad{x} in \\axiom{intVals}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Expression| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,G,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. The calculation will stop if the function G(x,y[1],..,y[n]) evaluates to zero before \\spad{x} = xEnd. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|)) (|Float|)) "\\spad{solve(f,xStart,xEnd,yInitial,tol)} is a top level ANNA function to solve numerically a system of ordinary differential equations, \\axiom{f}, \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n] from \\axiom{xStart} to \\axiom{xEnd} with the initial values for y[1]..y[n] (\\axiom{yInitial}) to a tolerance \\axiom{tol}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|Vector| (|Expression| (|Float|))) (|Float|) (|Float|) (|List| (|Float|))) "\\spad{solve(f,xStart,xEnd,yInitial)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with a starting value for \\spad{x} and y[1]..y[n] (called the initial conditions) and a final value of \\spad{x.} A default value is used for the accuracy requirement. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|) (|RoutinesTable|)) "\\spad{solve(odeProblem,R)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} contained in the table of routines \\axiom{R} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine.") (((|Result|) (|NumericalODEProblem|)) "\\spad{solve(odeProblem)} is a top level ANNA function to solve numerically a system of ordinary differential equations \\spadignore{i.e.} equations for the derivatives y[1]'..y[n]' defined in terms of x,y[1]..y[n], together with starting values for \\spad{x} and y[1]..y[n] (called the initial conditions), a final value of \\spad{x,} an accuracy requirement and any intermediate points at which the result is required. \\blankline It iterates over the \\axiom{domains} of \\axiomType{OrdinaryDifferentialEquationsSolverCategory} to get the name and other relevant information of the the (domain of the) numerical routine likely to be the most appropriate, \\spadignore{i.e.} have the best \\axiom{measure}. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of ODE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine."))) 
 NIL 
-(-802 -1564 UP UPUP R) 
-((|constructor| (NIL "In-field solution of an linear ordinary differential equation,{} pure algebraic case.")) (|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) "\\spad{algDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no solution in \\spad{R}. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{y_i's} form a basis for the solutions in \\spad{R} of the homogeneous equation."))) 
 NIL 
+(-803 -1647 UP UPUP R) 
+((|constructor| (NIL "In-field solution of an linear ordinary differential equation, pure algebraic case.")) (|algDsolve| (((|Record| (|:| |particular| (|Union| |#4| "failed")) (|:| |basis| (|List| |#4|))) (|LinearOrdinaryDifferentialOperator1| |#4|) |#4|) "\\spad{algDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no solution in \\spad{R}. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the \\spad{y_i's} form a basis for the solutions in \\spad{R} of the homogeneous equation."))) 
 NIL 
-(-803 -1564 UP L LQ) 
-((|constructor| (NIL "\\spad{PrimitiveRatDE} provides functions for in-field solutions of linear ordinary differential equations,{} in the transcendental case. The derivation to use is given by the parameter \\spad{L}.")) (|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) "\\spad{splitDenominator(op,{} [g1,{}...,{}gm])} returns \\spad{op0,{} [h1,{}...,{}hm]} such that the equations \\spad{op y = c1 g1 + ... + cm gm} and \\spad{op0 y = c1 h1 + ... + cm hm} have the same solutions.")) (|indicialEquation| ((|#2| |#4| |#1|) "\\spad{indicialEquation(op,{} a)} returns the indicial equation of \\spad{op} at \\spad{a}.") ((|#2| |#3| |#1|) "\\spad{indicialEquation(op,{} a)} returns the indicial equation of \\spad{op} at \\spad{a}.")) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) "\\spad{indicialEquations(op,{} p)} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op} above the roots of \\spad{p},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) "\\spad{indicialEquations op} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) "\\spad{indicialEquations(op,{} p)} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op} above the roots of \\spad{p},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) "\\spad{indicialEquations op} returns \\spad{[[d1,{}e1],{}...,{}[dq,{}eq]]} where the \\spad{d_i}\\spad{'s} are the affine singularities of \\spad{op},{} and the \\spad{e_i}\\spad{'s} are the indicial equations at each \\spad{d_i}.")) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) "\\spad{denomLODE(op,{} [g1,{}...,{}gm])} returns a polynomial \\spad{d} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{p/d} for some polynomial \\spad{p}.") (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) "\\spad{denomLODE(op,{} g)} returns a polynomial \\spad{d} such that any rational solution of \\spad{op y = g} is of the form \\spad{p/d} for some polynomial \\spad{p},{} and \"failed\",{} if the equation has no rational solution."))) 
 NIL 
+(-804 -1647 UP L LQ) 
+((|constructor| (NIL "\\spad{PrimitiveRatDE} provides functions for in-field solutions of linear ordinary differential equations, in the transcendental case. The derivation to use is given by the parameter \\spad{L}.")) (|splitDenominator| (((|Record| (|:| |eq| |#3|) (|:| |rh| (|List| (|Fraction| |#2|)))) |#4| (|List| (|Fraction| |#2|))) "\\spad{splitDenominator(op, [g1,...,gm])} returns \\spad{op0, [h1,...,hm]} such that the equations \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} and \\spad{op0 \\spad{y} = \\spad{c1} \\spad{h1} + \\spad{...} + \\spad{cm} \\spad{hm}} have the same solutions.")) (|indicialEquation| ((|#2| |#4| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.") ((|#2| |#3| |#1|) "\\spad{indicialEquation(op, a)} returns the indicial equation of \\spad{op} at \\spad{a}.")) (|indicialEquations| (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#4|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3| |#2|) "\\spad{indicialEquations(op, \\spad{p)}} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op} above the roots of \\spad{p}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.") (((|List| (|Record| (|:| |center| |#2|) (|:| |equation| |#2|))) |#3|) "\\spad{indicialEquations op} returns \\spad{[[d1,e1],...,[dq,eq]]} where the \\spad{d_i}'s are the affine singularities of \\spad{op}, and the \\spad{e_i}'s are the indicial equations at each \\spad{d_i}.")) (|denomLODE| ((|#2| |#3| (|List| (|Fraction| |#2|))) "\\spad{denomLODE(op, [g1,...,gm])} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{p/d} for some polynomial \\spad{p.}") (((|Union| |#2| "failed") |#3| (|Fraction| |#2|)) "\\spad{denomLODE(op, \\spad{g)}} returns a polynomial \\spad{d} such that any rational solution of \\spad{op \\spad{y} = \\spad{g}} is of the form \\spad{p/d} for some polynomial \\spad{p,} and \"failed\", if the equation has no rational solution."))) 
 NIL 
-(-804) 
-((|constructor| (NIL "\\axiomType{NumericalODEProblem} is a \\axiom{domain} for the representation of Numerical ODE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(xinit:\\axiomType{DoubleFloat},{}\\spad{\\br} xend:\\axiomType{DoubleFloat},{}\\spad{\\br} \\spad{fn:}\\axiomType{Vector Expression DoubleFloat},{}\\spad{\\br} yinit:\\axiomType{List DoubleFloat},{}intvals:\\axiomType{List DoubleFloat},{}\\spad{\\br} \\spad{g:}\\axiomType{Expression DoubleFloat},{}abserr:\\axiomType{DoubleFloat},{}\\spad{\\br} relerr:\\axiomType{DoubleFloat}) \\blankline")) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
+(-805) 
+((|constructor| (NIL "\\axiomType{NumericalODEProblem} is a \\axiom{domain} for the representation of Numerical ODE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(xinit:\\axiomType{DoubleFloat},\\br xend:\\axiomType{DoubleFloat},\\br fn:\\axiomType{Vector Expression DoubleFloat},\\br yinit:\\axiomType{List DoubleFloat},intvals:\\axiomType{List DoubleFloat},\\br g:\\axiomType{Expression DoubleFloat},abserr:\\axiomType{DoubleFloat},\\br relerr:\\axiomType{DoubleFloat}) \\blankline")) (|retract| (((|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
-(-805 -1564 UP L LQ) 
-((|constructor| (NIL "In-field solution of Riccati equations,{} primitive case.")) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) "\\spad{changeVar(+/[\\spad{ai} D^i],{} a)} returns the operator \\spad{+/[\\spad{ai} (D+a)\\spad{^i}]}.") ((|#3| |#3| |#2|) "\\spad{changeVar(+/[\\spad{ai} D^i],{} a)} returns the operator \\spad{+/[\\spad{ai} (D+a)\\spad{^i}]}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op,{} zeros,{} ezfactor)} returns \\spad{[[f1,{} L1],{} [f2,{} L2],{} ... ,{} [fk,{} Lk]]} such that the singular part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the \\spad{fi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z=y e^{-int p}} is \\spad{\\spad{Li} z=0}. \\spad{zeros(C(x),{}H(x,{}y))} returns all the \\spad{P_i(x)}\\spad{'s} such that \\spad{H(x,{}P_i(x)) = 0 modulo C(x)}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op,{} zeros)} returns \\spad{[[p1,{} L1],{} [p2,{} L2],{} ... ,{} [pk,{} Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the \\spad{pi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z=y e^{-int p}} is \\spad{\\spad{Li} z =0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{constantCoefficientRicDE(op,{} ric)} returns \\spad{[[a1,{} L1],{} [a2,{} L2],{} ... ,{} [ak,{} Lk]]} such that any rational solution with no polynomial part of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{ai}\\spad{'s} in which case the equation for \\spad{z = y e^{-int \\spad{ai}}} is \\spad{\\spad{Li} z = 0}. \\spad{ric} is a Riccati equation solver over \\spad{F},{} whose input is the associated linear equation.")) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) "\\spad{leadingCoefficientRicDE(op)} returns \\spad{[[m1,{} p1],{} [m2,{} p2],{} ... ,{} [mk,{} pk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must have degree \\spad{mj} for some \\spad{j},{} and its leading coefficient is then a zero of \\spad{pj}. In addition,{}\\spad{m1>m2> ... >mk}.")) (|denomRicDE| ((|#2| |#3|) "\\spad{denomRicDE(op)} returns a polynomial \\spad{d} such that any rational solution of the associated Riccati equation of \\spad{op y = 0} is of the form \\spad{p/d + q'/q + r} for some polynomials \\spad{p} and \\spad{q} and a reduced \\spad{r}. Also,{} \\spad{deg(p) < deg(d)} and {\\spad{gcd}(\\spad{d},{}\\spad{q}) = 1}."))) 
 NIL 
+(-806 -1647 UP L LQ) 
+((|constructor| (NIL "In-field solution of Riccati equations, primitive case.")) (|changeVar| ((|#3| |#3| (|Fraction| |#2|)) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.") ((|#3| |#3| |#2|) "\\spad{changeVar(+/[ai D^i], a)} returns the operator \\spad{+/[ai (D+a)^i]}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#2|) |#2| (|SparseUnivariatePolynomial| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, zeros, ezfactor)} returns \\spad{[[f1, L1], [f2, L2], \\spad{...} ,{} [fk, Lk]]} such that the singular part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li z=0}. \\spad{zeros(C(x),H(x,y))} returns all the \\spad{P_i(x)}'s such that \\spad{H(x,P_i(x)) = 0 modulo C(x)}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1, L1], [p2, L2], \\spad{...} ,{} [pk, Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y=0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z=y e^{-int \\spad{p}}} is \\spad{Li \\spad{z} =0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|constantCoefficientRicDE| (((|List| (|Record| (|:| |constant| |#1|) (|:| |eq| |#3|))) |#3| (|Mapping| (|List| |#1|) |#2|)) "\\spad{constantCoefficientRicDE(op, ric)} returns \\spad{[[a1, L1], [a2, L2], \\spad{...} ,{} [ak, Lk]]} such that any rational solution with no polynomial part of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the ai's in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. \\spad{ric} is a Riccati equation solver over \\spad{F}, whose input is the associated linear equation.")) (|leadingCoefficientRicDE| (((|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| |#2|))) |#3|) "\\spad{leadingCoefficientRicDE(op)} returns \\spad{[[m1, p1], [m2, p2], \\spad{...} ,{} [mk, pk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must have degree \\spad{mj} for some \\spad{j,} and its leading coefficient is then a zero of \\spad{pj.} In addition,\\spad{m1>m2> \\spad{...} >mk}.")) (|denomRicDE| ((|#2| |#3|) "\\spad{denomRicDE(op)} returns a polynomial \\spad{d} such that any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} is of the form \\spad{p/d + q'/q + \\spad{r}} for some polynomials \\spad{p} and \\spad{q} and a reduced \\spad{r.} Also, \\spad{deg(p) < deg(d)} and {gcd(d,q) = 1}."))) 
 NIL 
-(-806 -1564 UP) 
-((|constructor| (NIL "\\spad{RationalLODE} provides functions for in-field solutions of linear ordinary differential equations,{} in the rational case.")) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.") ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.")) (|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op,{} [g1,{}...,{}gm])} returns \\spad{[[h1,{}...,{}hq],{} M]} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{d1 h1 + ... + dq hq} where \\spad{M [d1,{}...,{}dq,{}c1,{}...,{}cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no rational solution. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{yi}\\spad{'s} form a basis for the rational solutions of the homogeneous equation.") (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op,{} [g1,{}...,{}gm])} returns \\spad{[[h1,{}...,{}hq],{} M]} such that any rational solution of \\spad{op y = c1 g1 + ... + cm gm} is of the form \\spad{d1 h1 + ... + dq hq} where \\spad{M [d1,{}...,{}dq,{}c1,{}...,{}cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op,{} g)} returns \\spad{[\"failed\",{} []]} if the equation \\spad{op y = g} has no rational solution. Otherwise,{} it returns \\spad{[f,{} [y1,{}...,{}ym]]} where \\spad{f} is a particular rational solution and the \\spad{yi}\\spad{'s} form a basis for the rational solutions of the homogeneous equation."))) 
 NIL 
+(-807 -1647 UP) 
+((|constructor| (NIL "\\spad{RationalLODE} provides functions for in-field solutions of linear ordinary differential equations, in the rational case.")) (|indicialEquationAtInfinity| ((|#2| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.") ((|#2| (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{indicialEquationAtInfinity op} returns the indicial equation of \\spad{op} at infinity.")) (|ratDsolve| (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation.") (((|Record| (|:| |basis| (|List| (|Fraction| |#2|))) (|:| |mat| (|Matrix| |#1|))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|List| (|Fraction| |#2|))) "\\spad{ratDsolve(op, [g1,...,gm])} returns \\spad{[[h1,...,hq], \\spad{M]}} such that any rational solution of \\spad{op \\spad{y} = \\spad{c1} \\spad{g1} + \\spad{...} + \\spad{cm} \\spad{gm}} is of the form \\spad{d1 \\spad{h1} + \\spad{...} + \\spad{dq} \\spad{hq}} where \\spad{M [d1,...,dq,c1,...,cm] = 0}.") (((|Record| (|:| |particular| (|Union| (|Fraction| |#2|) "failed")) (|:| |basis| (|List| (|Fraction| |#2|)))) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Fraction| |#2|)) "\\spad{ratDsolve(op, \\spad{g)}} returns \\spad{[\"failed\", []]} if the equation \\spad{op \\spad{y} = \\spad{g}} has no rational solution. Otherwise, it returns \\spad{[f, [y1,...,ym]]} where \\spad{f} is a particular rational solution and the yi's form a basis for the rational solutions of the homogeneous equation."))) 
 NIL 
-(-807 -1564 L UP A LO) 
-((|constructor| (NIL "Elimination of an algebraic from the coefficentss of a linear ordinary differential equation.")) (|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) "\\spad{reduceLODE(op,{} g)} returns \\spad{[m,{} v]} such that any solution in \\spad{A} of \\spad{op z = g} is of the form \\spad{z = (z_1,{}...,{}z_m) . (b_1,{}...,{}b_m)} where the \\spad{b_i's} are the basis of \\spad{A} over \\spad{F} returned by \\spadfun{basis}() from \\spad{A},{} and the \\spad{z_i's} satisfy the differential system \\spad{M.z = v}."))) 
 NIL 
+(-808 -1647 L UP A LO) 
+((|constructor| (NIL "Elimination of an algebraic from the coefficentss of a linear ordinary differential equation.")) (|reduceLODE| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) |#5| |#4|) "\\spad{reduceLODE(op, \\spad{g)}} returns \\spad{[m, \\spad{v]}} such that any solution in \\spad{A} of \\spad{op \\spad{z} = \\spad{g}} is of the form \\spad{z = (z_1,...,z_m) . (b_1,...,b_m)} where the \\spad{b_i's} are the basis of \\spad{A} over \\spad{F} returned by \\spadfun{basis}() from \\spad{A}, and the \\spad{z_i's} satisfy the differential system \\spad{M.z = \\spad{v}.}"))) 
 NIL 
-(-808 -1564 UP) 
-((|constructor| (NIL "In-field solution of Riccati equations,{} rational case.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op,{} zeros)} returns \\spad{[[p1,{}L1],{} [p2,{}L2],{} ... ,{} [pk,{}Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{pi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z = y e^{-int p}} is \\spad{\\spad{Li} z = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op,{} ezfactor)} returns \\spad{[[f1,{}L1],{} [f2,{}L2],{}...,{} [fk,{}Lk]]} such that the singular \\spad{++} part of any rational solution of the associated Riccati equation of \\spad{op y = 0} must be one of the \\spad{fi}\\spad{'s} (up to the constant coefficient),{} in which case the equation for \\spad{z = y e^{-int \\spad{ai}}} is \\spad{\\spad{Li} z = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.")) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} zeros,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op,{} zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op,{} zeros,{} ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP},{} not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op,{} zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op y = 0}. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
+NIL 
+(-809 -1647 UP) 
+((|constructor| (NIL "In-field solution of Riccati equations, rational case.")) (|polyRicDE| (((|List| (|Record| (|:| |poly| |#2|) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{polyRicDE(op, zeros)} returns \\spad{[[p1,L1], [p2,L2], \\spad{...} ,{} [pk,Lk]]} such that the polynomial part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the pi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int \\spad{p}}} is \\spad{Li \\spad{z} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.")) (|singRicDE| (((|List| (|Record| (|:| |frac| (|Fraction| |#2|)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))))) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{singRicDE(op, ezfactor)} returns \\spad{[[f1,L1], [f2,L2],..., [fk,Lk]]} such that the singular \\spad{++} part of any rational solution of the associated Riccati equation of \\spad{op \\spad{y} = 0} must be one of the fi's (up to the constant coefficient), in which case the equation for \\spad{z = \\spad{y} e^{-int ai}} is \\spad{Li \\spad{z} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.")) (|ricDsolve| (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|))) "\\spad{ricDsolve(op)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator2| |#2| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|) (|Mapping| (|Factored| |#2|) |#2|)) "\\spad{ricDsolve(op, zeros, ezfactor)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}. Argument \\spad{ezfactor} is a factorisation in \\spad{UP}, not necessarily into irreducibles.") (((|List| (|Fraction| |#2|)) (|LinearOrdinaryDifferentialOperator1| (|Fraction| |#2|)) (|Mapping| (|List| |#1|) |#2|)) "\\spad{ricDsolve(op, zeros)} returns the rational solutions of the associated Riccati equation of \\spad{op \\spad{y} = 0}. \\spad{zeros} is a zero finder in \\spad{UP}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-27)))) 
-(-809 -1564 LO) 
-((|constructor| (NIL "SystemODESolver provides tools for triangulating and solving some systems of linear ordinary differential equations.")) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) "\\spad{solveInField(m,{} v,{} solve)} returns \\spad{[[v_1,{}...,{}v_m],{} v_p]} such that the solutions in \\spad{F} of the system \\spad{m x = v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{m x = 0}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) "\\spad{solve(m,{} v,{} solve)} returns \\spad{[[v_1,{}...,{}v_m],{} v_p]} such that the solutions in \\spad{F} of the system \\spad{D x = m x + v} are \\spad{v_p + c_1 v_1 + ... + c_m v_m} where the \\spad{c_i's} are constants,{} and the \\spad{v_i's} form a basis for the solutions of \\spad{D x = m x}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) "\\spad{triangulate(m,{} v)} returns \\spad{[m_0,{} v_0]} such that \\spad{m_0} is upper triangular and the system \\spad{m_0 x = v_0} is equivalent to \\spad{m x = v}.") (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{triangulate(M,{}v)} returns \\spad{A,{}[[C_1,{}g_1,{}L_1,{}h_1],{}...,{}[C_k,{}g_k,{}L_k,{}h_k]]} such that under the change of variable \\spad{y = A z},{} the first order linear system \\spad{D y = M y + v} is uncoupled as \\spad{D z_i = C_i z_i + g_i} and each \\spad{C_i} is a companion matrix corresponding to the scalar equation \\spad{L_i z_j = h_i}."))) 
+(-810 -1647 LO) 
+((|constructor| (NIL "SystemODESolver provides tools for triangulating and solving some systems of linear ordinary differential equations.")) (|solveInField| (((|Record| (|:| |particular| (|Union| (|Vector| |#1|) "failed")) (|:| |basis| (|List| (|Vector| |#1|)))) (|Matrix| |#2|) (|Vector| |#1|) (|Mapping| (|Record| (|:| |particular| (|Union| |#1| "failed")) (|:| |basis| (|List| |#1|))) |#2| |#1|)) "\\spad{solveInField(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{m \\spad{x} = \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{m \\spad{x} = 0}. Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|solve| (((|Union| (|Record| (|:| |particular| (|Vector| |#1|)) (|:| |basis| (|Matrix| |#1|))) "failed") (|Matrix| |#1|) (|Vector| |#1|) (|Mapping| (|Union| (|Record| (|:| |particular| |#1|) (|:| |basis| (|List| |#1|))) "failed") |#2| |#1|)) "\\spad{solve(m, \\spad{v,} solve)} returns \\spad{[[v_1,...,v_m], v_p]} such that the solutions in \\spad{F} of the system \\spad{D \\spad{x} = \\spad{m} \\spad{x} + \\spad{v}} are \\spad{v_p + \\spad{c_1} \\spad{v_1} + \\spad{...} + \\spad{c_m} v_m} where the \\spad{c_i's} are constants, and the \\spad{v_i's} form a basis for the solutions of \\spad{D \\spad{x} = \\spad{m} \\spad{x}.} Argument \\spad{solve} is a function for solving a single linear ordinary differential equation in \\spad{F}.")) (|triangulate| (((|Record| (|:| |mat| (|Matrix| |#2|)) (|:| |vec| (|Vector| |#1|))) (|Matrix| |#2|) (|Vector| |#1|)) "\\spad{triangulate(m, \\spad{v)}} returns \\spad{[m_0, v_0]} such that \\spad{m_0} is upper triangular and the system \\spad{m_0 \\spad{x} = v_0} is equivalent to \\spad{m \\spad{x} = \\spad{v}.}") (((|Record| (|:| A (|Matrix| |#1|)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)) (|:| |eq| |#2|) (|:| |rh| |#1|))))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{triangulate(M,v)} returns \\spad{A,[[C_1,g_1,L_1,h_1],...,[C_k,g_k,L_k,h_k]]} such that under the change of variable \\spad{y = A \\spad{z},} the first order linear system \\spad{D \\spad{y} = \\spad{M} \\spad{y} + \\spad{v}} is uncoupled as \\spad{D z_i = C_i z_i + g_i} and each \\spad{C_i} is a companion matrix corresponding to the scalar equation \\spad{L_i \\spad{z_j} = h_i}."))) 
 NIL 
 NIL 
-(-810 -1564 LODO) 
-((|constructor| (NIL "\\spad{ODETools} provides tools for the linear ODE solver.")) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) "\\spad{particularSolution(op,{} g,{} [f1,{}...,{}fm],{} I)} returns a particular solution \\spad{h} of the equation \\spad{op y = g} where \\spad{[f1,{}...,{}fm]} are linearly independent and \\spad{op(\\spad{fi})=0}. The value \"failed\" is returned if no particular solution is found. Note that the method of variations of parameters is used.")) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) "\\spad{variationOfParameters(op,{} g,{} [f1,{}...,{}fm])} returns \\spad{[u1,{}...,{}um]} such that a particular solution of the equation \\spad{op y = g} is \\spad{f1 int(u1) + ... + fm int(um)} where \\spad{[f1,{}...,{}fm]} are linearly independent and \\spad{op(\\spad{fi})=0}. The value \"failed\" is returned if \\spad{m < n} and no particular solution is found.")) (|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{wronskianMatrix([f1,{}...,{}fn],{} q,{} D)} returns the \\spad{q x n} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),{}...,{}fn^(i-1)]}.") (((|Matrix| |#1|) (|List| |#1|)) "\\spad{wronskianMatrix([f1,{}...,{}fn])} returns the \\spad{n x n} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),{}...,{}fn^(i-1)]}."))) 
+(-811 -1647 LODO) 
+((|constructor| (NIL "\\spad{ODETools} provides tools for the linear ODE solver.")) (|particularSolution| (((|Union| |#1| "failed") |#2| |#1| (|List| |#1|) (|Mapping| |#1| |#1|)) "\\spad{particularSolution(op, \\spad{g,} [f1,...,fm], I)} returns a particular solution \\spad{h} of the equation \\spad{op \\spad{y} = \\spad{g}} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if no particular solution is found. Note that the method of variations of parameters is used.")) (|variationOfParameters| (((|Union| (|Vector| |#1|) "failed") |#2| |#1| (|List| |#1|)) "\\spad{variationOfParameters(op, \\spad{g,} [f1,...,fm])} returns \\spad{[u1,...,um]} such that a particular solution of the equation \\spad{op \\spad{y} = \\spad{g}} is \\spad{f1 int(u1) + \\spad{...} + \\spad{fm} int(um)} where \\spad{[f1,...,fm]} are linearly independent and \\spad{op(fi)=0}. The value \"failed\" is returned if \\spad{m < \\spad{n}} and no particular solution is found.")) (|wronskianMatrix| (((|Matrix| |#1|) (|List| |#1|) (|NonNegativeInteger|)) "\\spad{wronskianMatrix([f1,...,fn], \\spad{q,} \\spad{D)}} returns the \\spad{q \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}.") (((|Matrix| |#1|) (|List| |#1|)) "\\spad{wronskianMatrix([f1,...,fn])} returns the \\spad{n \\spad{x} \\spad{n}} matrix \\spad{m} whose i^th row is \\spad{[f1^(i-1),...,fn^(i-1)]}."))) 
 NIL 
 NIL 
-(-811 -4391 S |f|) 
+(-812 -4360 S |f|) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The ordering on the type is determined by its third argument which represents the less than function on vectors. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4529 |has| |#2| (-1048)) (-4530 |has| |#2| (-1048)) (-4532 |has| |#2| (-6 -4532)) ((-4537 "*") |has| |#2| (-173)) (-4535 . T)) 
-((|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (-2232 (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841)))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasAttribute| |#2| (QUOTE -4532)) (|HasCategory| |#2| (QUOTE (-138))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (|HasCategory| |#2| (QUOTE (-25))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-841))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1091))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-841)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1048)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))))) 
-(-812 R) 
-((|constructor| (NIL "\\spadtype{OrderlyDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates,{} with coefficients in a ring. The ranking on the differential indeterminate is orderly. This is analogous to the domain \\spadtype{Polynomial}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-814 (-1163)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-813 |Kernels| R |var|) 
+((-4565 |has| |#2| (-1049)) (-4566 |has| |#2| (-1049)) (-4568 |has| |#2| (-6 -4568)) ((-4573 "*") |has| |#2| (-173)) (-4571 . T)) 
+((|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (-1929 (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842)))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366)))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasAttribute| |#2| (QUOTE -4568)) (|HasCategory| |#2| (QUOTE (-138))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (|HasCategory| |#2| (QUOTE (-25))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-842))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-25))) (|HasCategory| |#2| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1093))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-25)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-173)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-366)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-842)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1049)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))))) 
+(-813 R) 
+((|constructor| (NIL "\\spadtype{OrderlyDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is orderly. This is analogous to the domain \\spadtype{Polynomial}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-815 (-1165)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-814 |Kernels| R |var|) 
 ((|constructor| (NIL "This constructor produces an ordinary differential ring from a partial differential ring by specifying a variable.")) (|coerce| ((|#2| $) "\\spad{coerce(p)} views \\spad{p} as a valie in the partial differential ring.") (($ |#2|) "\\spad{coerce(r)} views \\spad{r} as a value in the ordinary differential ring."))) 
-(((-4537 "*") |has| |#2| (-366)) (-4528 |has| |#2| (-366)) (-4533 |has| |#2| (-366)) (-4527 |has| |#2| (-366)) (-4532 . T) (-4530 . T) (-4529 . T)) 
+(((-4573 "*") |has| |#2| (-366)) (-4564 |has| |#2| (-366)) (-4569 |has| |#2| (-366)) (-4563 |has| |#2| (-366)) (-4568 . T) (-4566 . T) (-4565 . T)) 
 ((|HasCategory| |#2| (QUOTE (-366)))) 
-(-814 S) 
-((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used orderly ranking to the set of derivatives of an ordered list of differential indeterminates. An orderly ranking is a ranking \\spadfun{<} of the derivatives with the property that for two derivatives \\spad{u} and \\spad{v},{} \\spad{u} \\spadfun{<} \\spad{v} if the \\spadfun{order} of \\spad{u} is less than that of \\spad{v}. This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order},{} and it defines an orderly ranking \\spadfun{<} on derivatives \\spad{u} via the lexicographic order on the pair (\\spadfun{order}(\\spad{u}),{} \\spadfun{variable}(\\spad{u}))."))) 
-NIL 
-NIL 
 (-815 S) 
-((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,{}[\\spad{si} ** \\spad{ni}])} where the \\spad{si}\\spad{'s} are in \\spad{S},{} and the \\spad{ni}\\spad{'s} are non-negative integers. The multiplication is not commutative. For two elements \\spad{x} and \\spad{y} the relation \\spad{x < y} holds if either \\spad{length(x) < length(y)} holds or if these lengths are equal and if \\spad{x} is smaller than \\spad{y} \\spad{w}.\\spad{r}.\\spad{t}. the lexicographical ordering induced by \\spad{S}. This domain inherits implementation from \\spadtype{FreeMonoid}.")) (|varList| (((|List| |#1|) $) "\\indented{1}{\\spad{varList(x)} returns the list of variables of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} varList \\spad{m1}")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{length(x)} returns the length of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} length \\spad{m1}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\indented{1}{\\spad{factors(a1\\^e1,{}...,{}an\\^en)} returns} \\indented{1}{\\spad{[[a1,{} e1],{}...,{}[an,{} en]]}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} factors \\spad{m1}")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{\\spad{nthFactor(x,{} n)} returns the factor of the \\spad{n-th}} \\indented{1}{monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} nthFactor(\\spad{m1},{}2)")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\indented{1}{\\spad{nthExpon(x,{} n)} returns the exponent of the} \\indented{1}{\\spad{n-th} monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} nthExpon(\\spad{m1},{}2)")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{size(x)} returns the number of monomials in \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} size(\\spad{m1},{}2)")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\indented{1}{\\spad{overlap(x,{} y)} returns \\spad{[l,{} m,{} r]} such that} \\indented{1}{\\spad{x = l * m} and \\spad{y = m * r} hold and such that} \\indented{1}{\\spad{l} and \\spad{r} have no overlap,{}} \\indented{1}{that is \\spad{overlap(l,{} r) = [l,{} 1,{} r]}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} overlap(\\spad{m1},{}\\spad{m2})")) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) "\\indented{1}{\\spad{divide(x,{}y)} returns the left and right exact quotients of} \\indented{1}{\\spad{x} by \\spad{y},{} that is \\spad{[l,{}r]} such that \\spad{x = l*y*r}.} \\indented{1}{\"failed\" is returned iff \\spad{x} is not of the form \\spad{l * y * r}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} divide(\\spad{m1},{}\\spad{m2})")) (|rquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{rquo(x,{} s)} returns the exact right quotient} \\indented{1}{of \\spad{x} by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y)\\$OFMONOID(Symbol) \\spad{X} div(\\spad{m1},{}\\spad{y})") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{rquo(x,{} y)} returns the exact right quotient of \\spad{x}} \\indented{1}{by \\spad{y} that is \\spad{q} such that \\spad{x = q * y},{}} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{q * y}.} \\blankline \\spad{X} m1:=(\\spad{q*y^3})\\$OFMONOID(Symbol) \\spad{X} m2:=(\\spad{y^2})\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{m2})")) (|lquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{lquo(x,{} s)} returns the exact left quotient of \\spad{x}} \\indented{1}{by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{x})") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{lquo(x,{} y)} returns the exact left quotient of \\spad{x}} \\indented{2}{by \\spad{y} that is \\spad{q} such that \\spad{x = y * q},{}} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{y * q}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} lquo(\\spad{m1},{}\\spad{m2})")) (|hcrf| (($ $ $) "\\indented{1}{\\spad{hcrf(x,{} y)} returns the highest common right} \\indented{1}{factor of \\spad{x} and \\spad{y},{}} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = a d}} \\indented{1}{and \\spad{y = b d}.} \\blankline \\spad{X} m1:=(x*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(\\spad{y*z})\\$OFMONOID(Symbol) \\spad{X} hcrf(\\spad{m1},{}\\spad{m2})")) (|hclf| (($ $ $) "\\indented{1}{\\spad{hclf(x,{} y)} returns the highest common left factor} \\indented{1}{of \\spad{x} and \\spad{y},{}} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = d a}} \\indented{1}{and \\spad{y = d b}.} \\blankline \\spad{X} m1:=(x*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} hclf(\\spad{m1},{}\\spad{m2})")) (|lexico| (((|Boolean|) $ $) "\\indented{1}{\\spad{lexico(x,{}y)} returns \\spad{true}} \\indented{1}{iff \\spad{x} is smaller than \\spad{y}} \\indented{1}{\\spad{w}.\\spad{r}.\\spad{t}. the pure lexicographical ordering induced by \\spad{S}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} m2:=(x*y)\\$OFMONOID(Symbol) \\spad{X} lexico(\\spad{m1},{}\\spad{m2}) \\spad{X} lexico(\\spad{m2},{}\\spad{m1})")) (|mirror| (($ $) "\\indented{1}{\\spad{mirror(x)} returns the reversed word of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} mirror \\spad{m1}")) (|rest| (($ $) "\\indented{1}{\\spad{rest(x)} returns \\spad{x} except the first letter.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} rest \\spad{m1}")) (|first| ((|#1| $) "\\indented{1}{\\spad{first(x)} returns the first letter of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} first \\spad{m1}")) (** (($ |#1| (|NonNegativeInteger|)) "\\indented{1}{\\spad{s**n} returns the product of \\spad{s} by itself \\spad{n} times.} \\blankline \\spad{X} m1:=(\\spad{y**3})\\$OFMONOID(Symbol)")) (* (($ $ |#1|) "\\indented{1}{\\spad{x*s} returns the product of \\spad{x} by \\spad{s} on the right.} \\blankline \\spad{X} m1:=(\\spad{y**3})\\$OFMONOID(Symbol) \\spad{X} m1*x") (($ |#1| $) "\\indented{1}{\\spad{s*x} returns the product of \\spad{x} by \\spad{s} on the left.} \\blankline \\spad{X} m1:=(x*y*y*z)\\$OFMONOID(Symbol) \\spad{X} \\spad{x*m1}"))) 
+((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used orderly ranking to the set of derivatives of an ordered list of differential indeterminates. An orderly ranking is a ranking \\spadfun{<} of the derivatives with the property that for two derivatives \\spad{u} and \\spad{v,} \\spad{u} \\spadfun{<} \\spad{v} if the \\spadfun{order} of \\spad{u} is less than that of \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines an orderly ranking \\spadfun{<} on derivatives \\spad{u} via the lexicographic order on the pair (\\spadfun{order}(u), \\spadfun{variable}(u))."))) 
 NIL 
 NIL 
-(-816) 
-((|constructor| (NIL "The category of ordered commutative integral domains,{} where ordering and the arithmetic operations are compatible"))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-816 S) 
+((|constructor| (NIL "The free monoid on a set \\spad{S} is the monoid of finite products of the form \\spad{reduce(*,[si \\spad{**} ni])} where the si's are in \\spad{S,} and the ni's are non-negative integers. The multiplication is not commutative. For two elements \\spad{x} and \\spad{y} the relation \\spad{x < \\spad{y}} holds if either \\spad{length(x) < length(y)} holds or if these lengths are equal and if \\spad{x} is smaller than \\spad{y} w.r.t. the lexicographical ordering induced by \\spad{S}. This domain inherits implementation from \\spadtype{FreeMonoid}.")) (|varList| (((|List| |#1|) $) "\\indented{1}{\\spad{varList(x)} returns the list of variables of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} varList \\spad{m1}")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{length(x)} returns the length of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} length \\spad{m1}")) (|factors| (((|List| (|Record| (|:| |gen| |#1|) (|:| |exp| (|NonNegativeInteger|)))) $) "\\indented{1}{\\spad{factors(a1\\^e1,...,an\\^en)} returns} \\indented{1}{\\spad{[[a1, e1],...,[an, en]]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} factors \\spad{m1}")) (|nthFactor| ((|#1| $ (|Integer|)) "\\indented{1}{\\spad{nthFactor(x, \\spad{n)}} returns the factor of the \\spad{n-th}} \\indented{1}{monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthFactor(m1,2)")) (|nthExpon| (((|NonNegativeInteger|) $ (|Integer|)) "\\indented{1}{\\spad{nthExpon(x, \\spad{n)}} returns the exponent of the} \\indented{1}{\\spad{n-th} monomial of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} nthExpon(m1,2)")) (|size| (((|NonNegativeInteger|) $) "\\indented{1}{\\spad{size(x)} returns the number of monomials in \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} size(m1,2)")) (|overlap| (((|Record| (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) "\\indented{1}{\\spad{overlap(x, \\spad{y)}} returns \\spad{[l, \\spad{m,} \\spad{r]}} such that} \\indented{1}{\\spad{x = \\spad{l} * \\spad{m}} and \\spad{y = \\spad{m} * \\spad{r}} hold and such that} \\indented{1}{\\spad{l} and \\spad{r} have no overlap,} \\indented{1}{that is \\spad{overlap(l, \\spad{r)} = \\spad{[l,} 1, r]}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} overlap(m1,m2)")) (|divide| (((|Union| (|Record| (|:| |lm| (|Union| $ "failed")) (|:| |rm| (|Union| $ "failed"))) "failed") $ $) "\\indented{1}{\\spad{divide(x,y)} returns the left and right exact quotients of} \\indented{1}{\\spad{x} by \\spad{y}, that is \\spad{[l,r]} such that \\spad{x = l*y*r}.} \\indented{1}{\"failed\" is returned iff \\spad{x} is not of the form \\spad{l * \\spad{y} * r}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} divide(m1,m2)")) (|rquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{rquo(x, \\spad{s)}} returns the exact right quotient} \\indented{1}{of \\spad{x} by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y)$OFMONOID(Symbol) \\spad{X} div(m1,y)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{rquo(x, \\spad{y)}} returns the exact right quotient of \\spad{x}} \\indented{1}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{q} * y},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{q * y}.} \\blankline \\spad{X} m1:=(q*y^3)$OFMONOID(Symbol) \\spad{X} m2:=(y^2)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|lquo| (((|Union| $ "failed") $ |#1|) "\\indented{1}{\\spad{lquo(x, \\spad{s)}} returns the exact left quotient of \\spad{x}} \\indented{1}{by \\spad{s}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} lquo(m1,x)") (((|Union| $ "failed") $ $) "\\indented{1}{\\spad{lquo(x, \\spad{y)}} returns the exact left quotient of \\spad{x}} \\indented{2}{by \\spad{y} that is \\spad{q} such that \\spad{x = \\spad{y} * q},} \\indented{1}{\"failed\" if \\spad{x} is not of the form \\spad{y * q}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lquo(m1,m2)")) (|hcrf| (($ $ $) "\\indented{1}{\\spad{hcrf(x, \\spad{y)}} returns the highest common right} \\indented{1}{factor of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = a \\spad{d}}} \\indented{1}{and \\spad{y = \\spad{b} d}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(y*z)$OFMONOID(Symbol) \\spad{X} hcrf(m1,m2)")) (|hclf| (($ $ $) "\\indented{1}{\\spad{hclf(x, \\spad{y)}} returns the highest common left factor} \\indented{1}{of \\spad{x} and \\spad{y},} \\indented{1}{that is the largest \\spad{d} such that \\spad{x = \\spad{d} a}} \\indented{1}{and \\spad{y = \\spad{d} b}.} \\blankline \\spad{X} m1:=(x*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} hclf(m1,m2)")) (|lexico| (((|Boolean|) $ $) "\\indented{1}{\\spad{lexico(x,y)} returns \\spad{true}} \\indented{1}{iff \\spad{x} is smaller than \\spad{y}} \\indented{1}{w.r.t. the pure lexicographical ordering induced by \\spad{S}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} m2:=(x*y)$OFMONOID(Symbol) \\spad{X} lexico(m1,m2) \\spad{X} lexico(m2,m1)")) (|mirror| (($ $) "\\indented{1}{\\spad{mirror(x)} returns the reversed word of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} mirror \\spad{m1}")) (|rest| (($ $) "\\indented{1}{\\spad{rest(x)} returns \\spad{x} except the first letter.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} rest \\spad{m1}")) (|first| ((|#1| $) "\\indented{1}{\\spad{first(x)} returns the first letter of \\spad{x}.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} first \\spad{m1}")) (** (($ |#1| (|NonNegativeInteger|)) "\\indented{1}{\\spad{s**n} returns the product of \\spad{s} by itself \\spad{n} times.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol)")) (* (($ $ |#1|) "\\indented{1}{\\spad{x*s} returns the product of \\spad{x} by \\spad{s} on the right.} \\blankline \\spad{X} m1:=(y**3)$OFMONOID(Symbol) \\spad{X} m1*x") (($ |#1| $) "\\indented{1}{\\spad{s*x} returns the product of \\spad{x} by \\spad{s} on the left.} \\blankline \\spad{X} m1:=(x*y*y*z)$OFMONOID(Symbol) \\spad{X} \\spad{x*m1}"))) 
 NIL 
-(-817) 
-((|constructor| (NIL "\\spadtype{OpenMathConnection} provides low-level functions for handling connections to and from \\spadtype{OpenMathDevice}\\spad{s}.")) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) "\\spad{OMbindTCP}")) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) "\\spad{OMconnectTCP}")) (|OMconnOutDevice| (((|OpenMathDevice|) $) "\\spad{OMconnOutDevice:}")) (|OMconnInDevice| (((|OpenMathDevice|) $) "\\spad{OMconnInDevice:}")) (|OMcloseConn| (((|Void|) $) "\\spad{OMcloseConn}")) (|OMmakeConn| (($ (|SingleInteger|)) "\\spad{OMmakeConn}"))) 
 NIL 
+(-817) 
+((|constructor| (NIL "The category of ordered commutative integral domains, where ordering and the arithmetic operations are compatible"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-818) 
-((|constructor| (NIL "\\spadtype{OpenMathDevice} provides support for reading and writing openMath objects to files,{} strings etc. It also provides access to low-level operations from within the interpreter.")) (|OMgetType| (((|Symbol|) $) "\\spad{OMgetType(dev)} returns the type of the next object on \\axiom{\\spad{dev}}.")) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) "\\spad{OMgetSymbol(dev)} reads a symbol from \\axiom{\\spad{dev}}.")) (|OMgetString| (((|String|) $) "\\spad{OMgetString(dev)} reads a string from \\axiom{\\spad{dev}}.")) (|OMgetVariable| (((|Symbol|) $) "\\spad{OMgetVariable(dev)} reads a variable from \\axiom{\\spad{dev}}.")) (|OMgetFloat| (((|DoubleFloat|) $) "\\spad{OMgetFloat(dev)} reads a float from \\axiom{\\spad{dev}}.")) (|OMgetInteger| (((|Integer|) $) "\\spad{OMgetInteger(dev)} reads an integer from \\axiom{\\spad{dev}}.")) (|OMgetEndObject| (((|Void|) $) "\\spad{OMgetEndObject(dev)} reads an end object token from \\axiom{\\spad{dev}}.")) (|OMgetEndError| (((|Void|) $) "\\spad{OMgetEndError(dev)} reads an end error token from \\axiom{\\spad{dev}}.")) (|OMgetEndBVar| (((|Void|) $) "\\spad{OMgetEndBVar(dev)} reads an end bound variable list token from \\axiom{\\spad{dev}}.")) (|OMgetEndBind| (((|Void|) $) "\\spad{OMgetEndBind(dev)} reads an end binder token from \\axiom{\\spad{dev}}.")) (|OMgetEndAttr| (((|Void|) $) "\\spad{OMgetEndAttr(dev)} reads an end attribute token from \\axiom{\\spad{dev}}.")) (|OMgetEndAtp| (((|Void|) $) "\\spad{OMgetEndAtp(dev)} reads an end attribute pair token from \\axiom{\\spad{dev}}.")) (|OMgetEndApp| (((|Void|) $) "\\spad{OMgetEndApp(dev)} reads an end application token from \\axiom{\\spad{dev}}.")) (|OMgetObject| (((|Void|) $) "\\spad{OMgetObject(dev)} reads a begin object token from \\axiom{\\spad{dev}}.")) (|OMgetError| (((|Void|) $) "\\spad{OMgetError(dev)} reads a begin error token from \\axiom{\\spad{dev}}.")) (|OMgetBVar| (((|Void|) $) "\\spad{OMgetBVar(dev)} reads a begin bound variable list token from \\axiom{\\spad{dev}}.")) (|OMgetBind| (((|Void|) $) "\\spad{OMgetBind(dev)} reads a begin binder token from \\axiom{\\spad{dev}}.")) (|OMgetAttr| (((|Void|) $) "\\spad{OMgetAttr(dev)} reads a begin attribute token from \\axiom{\\spad{dev}}.")) (|OMgetAtp| (((|Void|) $) "\\spad{OMgetAtp(dev)} reads a begin attribute pair token from \\axiom{\\spad{dev}}.")) (|OMgetApp| (((|Void|) $) "\\spad{OMgetApp(dev)} reads a begin application token from \\axiom{\\spad{dev}}.")) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) "\\spad{OMputSymbol(dev,{}cd,{}s)} writes the symbol \\axiom{\\spad{s}} from \\spad{CD} \\axiom{\\spad{cd}} to \\axiom{\\spad{dev}}.")) (|OMputString| (((|Void|) $ (|String|)) "\\spad{OMputString(dev,{}i)} writes the string \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputVariable| (((|Void|) $ (|Symbol|)) "\\spad{OMputVariable(dev,{}i)} writes the variable \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) "\\spad{OMputFloat(dev,{}i)} writes the float \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputInteger| (((|Void|) $ (|Integer|)) "\\spad{OMputInteger(dev,{}i)} writes the integer \\axiom{\\spad{i}} to \\axiom{\\spad{dev}}.")) (|OMputEndObject| (((|Void|) $) "\\spad{OMputEndObject(dev)} writes an end object token to \\axiom{\\spad{dev}}.")) (|OMputEndError| (((|Void|) $) "\\spad{OMputEndError(dev)} writes an end error token to \\axiom{\\spad{dev}}.")) (|OMputEndBVar| (((|Void|) $) "\\spad{OMputEndBVar(dev)} writes an end bound variable list token to \\axiom{\\spad{dev}}.")) (|OMputEndBind| (((|Void|) $) "\\spad{OMputEndBind(dev)} writes an end binder token to \\axiom{\\spad{dev}}.")) (|OMputEndAttr| (((|Void|) $) "\\spad{OMputEndAttr(dev)} writes an end attribute token to \\axiom{\\spad{dev}}.")) (|OMputEndAtp| (((|Void|) $) "\\spad{OMputEndAtp(dev)} writes an end attribute pair token to \\axiom{\\spad{dev}}.")) (|OMputEndApp| (((|Void|) $) "\\spad{OMputEndApp(dev)} writes an end application token to \\axiom{\\spad{dev}}.")) (|OMputObject| (((|Void|) $) "\\spad{OMputObject(dev)} writes a begin object token to \\axiom{\\spad{dev}}.")) (|OMputError| (((|Void|) $) "\\spad{OMputError(dev)} writes a begin error token to \\axiom{\\spad{dev}}.")) (|OMputBVar| (((|Void|) $) "\\spad{OMputBVar(dev)} writes a begin bound variable list token to \\axiom{\\spad{dev}}.")) (|OMputBind| (((|Void|) $) "\\spad{OMputBind(dev)} writes a begin binder token to \\axiom{\\spad{dev}}.")) (|OMputAttr| (((|Void|) $) "\\spad{OMputAttr(dev)} writes a begin attribute token to \\axiom{\\spad{dev}}.")) (|OMputAtp| (((|Void|) $) "\\spad{OMputAtp(dev)} writes a begin attribute pair token to \\axiom{\\spad{dev}}.")) (|OMputApp| (((|Void|) $) "\\spad{OMputApp(dev)} writes a begin application token to \\axiom{\\spad{dev}}.")) (|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) "\\spad{OMsetEncoding(dev,{}enc)} sets the encoding used for reading or writing OpenMath objects to or from \\axiom{\\spad{dev}} to \\axiom{\\spad{enc}}.")) (|OMclose| (((|Void|) $) "\\spad{OMclose(dev)} closes \\axiom{\\spad{dev}},{} flushing output if necessary.")) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) "\\spad{OMopenString(s,{}mode)} opens the string \\axiom{\\spad{s}} for reading or writing OpenMath objects in encoding \\axiom{enc}.")) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) "\\spad{OMopenFile(f,{}mode,{}enc)} opens file \\axiom{\\spad{f}} for reading or writing OpenMath objects (depending on \\axiom{\\spad{mode}} which can be \\spad{\"r\"},{} \\spad{\"w\"} or \"a\" for read,{} write and append respectively),{} in the encoding \\axiom{\\spad{enc}}."))) 
+((|constructor| (NIL "\\spadtype{OpenMathConnection} provides low-level functions for handling connections to and from \\spadtype{OpenMathDevice}s.")) (|OMbindTCP| (((|Boolean|) $ (|SingleInteger|)) "\\spad{OMbindTCP}")) (|OMconnectTCP| (((|Boolean|) $ (|String|) (|SingleInteger|)) "\\spad{OMconnectTCP}")) (|OMconnOutDevice| (((|OpenMathDevice|) $) "\\spad{OMconnOutDevice:}")) (|OMconnInDevice| (((|OpenMathDevice|) $) "\\spad{OMconnInDevice:}")) (|OMcloseConn| (((|Void|) $) "\\spad{OMcloseConn}")) (|OMmakeConn| (($ (|SingleInteger|)) "\\spad{OMmakeConn}"))) 
 NIL 
 NIL 
 (-819) 
-((|constructor| (NIL "\\spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.")) (|OMencodingBinary| (($) "\\spad{OMencodingBinary()} is the constant for the OpenMath binary encoding.")) (|OMencodingSGML| (($) "\\spad{OMencodingSGML()} is the constant for the deprecated OpenMath SGML encoding.")) (|OMencodingXML| (($) "\\spad{OMencodingXML()} is the constant for the OpenMath \\spad{XML} encoding.")) (|OMencodingUnknown| (($) "\\spad{OMencodingUnknown()} is the constant for unknown encoding types. If this is used on an input device,{} the encoding will be autodetected. It is invalid to use it on an output device."))) 
+((|constructor| (NIL "\\spadtype{OpenMathDevice} provides support for reading and writing openMath objects to files, strings etc. It also provides access to low-level operations from within the interpreter.")) (|OMgetType| (((|Symbol|) $) "\\spad{OMgetType(dev)} returns the type of the next object on \\axiom{dev}.")) (|OMgetSymbol| (((|Record| (|:| |cd| (|String|)) (|:| |name| (|String|))) $) "\\spad{OMgetSymbol(dev)} reads a symbol from \\axiom{dev}.")) (|OMgetString| (((|String|) $) "\\spad{OMgetString(dev)} reads a string from \\axiom{dev}.")) (|OMgetVariable| (((|Symbol|) $) "\\spad{OMgetVariable(dev)} reads a variable from \\axiom{dev}.")) (|OMgetFloat| (((|DoubleFloat|) $) "\\spad{OMgetFloat(dev)} reads a float from \\axiom{dev}.")) (|OMgetInteger| (((|Integer|) $) "\\spad{OMgetInteger(dev)} reads an integer from \\axiom{dev}.")) (|OMgetEndObject| (((|Void|) $) "\\spad{OMgetEndObject(dev)} reads an end object token from \\axiom{dev}.")) (|OMgetEndError| (((|Void|) $) "\\spad{OMgetEndError(dev)} reads an end error token from \\axiom{dev}.")) (|OMgetEndBVar| (((|Void|) $) "\\spad{OMgetEndBVar(dev)} reads an end bound variable list token from \\axiom{dev}.")) (|OMgetEndBind| (((|Void|) $) "\\spad{OMgetEndBind(dev)} reads an end binder token from \\axiom{dev}.")) (|OMgetEndAttr| (((|Void|) $) "\\spad{OMgetEndAttr(dev)} reads an end attribute token from \\axiom{dev}.")) (|OMgetEndAtp| (((|Void|) $) "\\spad{OMgetEndAtp(dev)} reads an end attribute pair token from \\axiom{dev}.")) (|OMgetEndApp| (((|Void|) $) "\\spad{OMgetEndApp(dev)} reads an end application token from \\axiom{dev}.")) (|OMgetObject| (((|Void|) $) "\\spad{OMgetObject(dev)} reads a begin object token from \\axiom{dev}.")) (|OMgetError| (((|Void|) $) "\\spad{OMgetError(dev)} reads a begin error token from \\axiom{dev}.")) (|OMgetBVar| (((|Void|) $) "\\spad{OMgetBVar(dev)} reads a begin bound variable list token from \\axiom{dev}.")) (|OMgetBind| (((|Void|) $) "\\spad{OMgetBind(dev)} reads a begin binder token from \\axiom{dev}.")) (|OMgetAttr| (((|Void|) $) "\\spad{OMgetAttr(dev)} reads a begin attribute token from \\axiom{dev}.")) (|OMgetAtp| (((|Void|) $) "\\spad{OMgetAtp(dev)} reads a begin attribute pair token from \\axiom{dev}.")) (|OMgetApp| (((|Void|) $) "\\spad{OMgetApp(dev)} reads a begin application token from \\axiom{dev}.")) (|OMputSymbol| (((|Void|) $ (|String|) (|String|)) "\\spad{OMputSymbol(dev,cd,s)} writes the symbol \\axiom{s} from \\spad{CD} \\axiom{cd} to \\axiom{dev}.")) (|OMputString| (((|Void|) $ (|String|)) "\\spad{OMputString(dev,i)} writes the string \\axiom{i} to \\axiom{dev}.")) (|OMputVariable| (((|Void|) $ (|Symbol|)) "\\spad{OMputVariable(dev,i)} writes the variable \\axiom{i} to \\axiom{dev}.")) (|OMputFloat| (((|Void|) $ (|DoubleFloat|)) "\\spad{OMputFloat(dev,i)} writes the float \\axiom{i} to \\axiom{dev}.")) (|OMputInteger| (((|Void|) $ (|Integer|)) "\\spad{OMputInteger(dev,i)} writes the integer \\axiom{i} to \\axiom{dev}.")) (|OMputEndObject| (((|Void|) $) "\\spad{OMputEndObject(dev)} writes an end object token to \\axiom{dev}.")) (|OMputEndError| (((|Void|) $) "\\spad{OMputEndError(dev)} writes an end error token to \\axiom{dev}.")) (|OMputEndBVar| (((|Void|) $) "\\spad{OMputEndBVar(dev)} writes an end bound variable list token to \\axiom{dev}.")) (|OMputEndBind| (((|Void|) $) "\\spad{OMputEndBind(dev)} writes an end binder token to \\axiom{dev}.")) (|OMputEndAttr| (((|Void|) $) "\\spad{OMputEndAttr(dev)} writes an end attribute token to \\axiom{dev}.")) (|OMputEndAtp| (((|Void|) $) "\\spad{OMputEndAtp(dev)} writes an end attribute pair token to \\axiom{dev}.")) (|OMputEndApp| (((|Void|) $) "\\spad{OMputEndApp(dev)} writes an end application token to \\axiom{dev}.")) (|OMputObject| (((|Void|) $) "\\spad{OMputObject(dev)} writes a begin object token to \\axiom{dev}.")) (|OMputError| (((|Void|) $) "\\spad{OMputError(dev)} writes a begin error token to \\axiom{dev}.")) (|OMputBVar| (((|Void|) $) "\\spad{OMputBVar(dev)} writes a begin bound variable list token to \\axiom{dev}.")) (|OMputBind| (((|Void|) $) "\\spad{OMputBind(dev)} writes a begin binder token to \\axiom{dev}.")) (|OMputAttr| (((|Void|) $) "\\spad{OMputAttr(dev)} writes a begin attribute token to \\axiom{dev}.")) (|OMputAtp| (((|Void|) $) "\\spad{OMputAtp(dev)} writes a begin attribute pair token to \\axiom{dev}.")) (|OMputApp| (((|Void|) $) "\\spad{OMputApp(dev)} writes a begin application token to \\axiom{dev}.")) (|OMsetEncoding| (((|Void|) $ (|OpenMathEncoding|)) "\\spad{OMsetEncoding(dev,enc)} sets the encoding used for reading or writing OpenMath objects to or from \\axiom{dev} to \\axiom{enc}.")) (|OMclose| (((|Void|) $) "\\spad{OMclose(dev)} closes \\axiom{dev}, flushing output if necessary.")) (|OMopenString| (($ (|String|) (|OpenMathEncoding|)) "\\spad{OMopenString(s,mode)} opens the string \\axiom{s} for reading or writing OpenMath objects in encoding \\axiom{enc}.")) (|OMopenFile| (($ (|String|) (|String|) (|OpenMathEncoding|)) "\\spad{OMopenFile(f,mode,enc)} opens file \\axiom{f} for reading or writing OpenMath objects (depending on \\axiom{mode} which can be \"r\", \\spad{\"w\"} or \"a\" for read, write and append respectively), in the encoding \\axiom{enc}."))) 
 NIL 
 NIL 
 (-820) 
-((|constructor| (NIL "\\spadtype{OpenMathErrorKind} represents different kinds of OpenMath errors: specifically parse errors,{} unknown \\spad{CD} or symbol errors,{} and read errors.")) (|OMReadError?| (((|Boolean|) $) "\\spad{OMReadError?(u)} tests whether \\spad{u} is an OpenMath read error.")) (|OMUnknownSymbol?| (((|Boolean|) $) "\\spad{OMUnknownSymbol?(u)} tests whether \\spad{u} is an OpenMath unknown symbol error.")) (|OMUnknownCD?| (((|Boolean|) $) "\\spad{OMUnknownCD?(u)} tests whether \\spad{u} is an OpenMath unknown \\spad{CD} error.")) (|OMParseError?| (((|Boolean|) $) "\\spad{OMParseError?(u)} tests whether \\spad{u} is an OpenMath parsing error.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(u)} creates an OpenMath error object of an appropriate type if \\axiom{\\spad{u}} is one of \\axiom{OMParseError},{} \\axiom{OMReadError},{} \\axiom{OMUnknownCD} or \\axiom{OMUnknownSymbol},{} otherwise it raises a runtime error."))) 
+((|constructor| (NIL "\\spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.")) (|OMencodingBinary| (($) "\\spad{OMencodingBinary()} is the constant for the OpenMath binary encoding.")) (|OMencodingSGML| (($) "\\spad{OMencodingSGML()} is the constant for the deprecated OpenMath SGML encoding.")) (|OMencodingXML| (($) "\\spad{OMencodingXML()} is the constant for the OpenMath \\spad{XML} encoding.")) (|OMencodingUnknown| (($) "\\spad{OMencodingUnknown()} is the constant for unknown encoding types. If this is used on an input device, the encoding will be autodetected. It is invalid to use it on an output device."))) 
 NIL 
 NIL 
 (-821) 
-((|constructor| (NIL "\\spadtype{OpenMathError} is the domain of OpenMath errors.")) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) "\\spad{omError(k,{}l)} creates an instance of OpenMathError.")) (|errorInfo| (((|List| (|Symbol|)) $) "\\spad{errorInfo(u)} returns information about the error \\spad{u}.")) (|errorKind| (((|OpenMathErrorKind|) $) "\\spad{errorKind(u)} returns the type of error which \\spad{u} represents."))) 
+((|constructor| (NIL "\\spadtype{OpenMathErrorKind} represents different kinds of OpenMath errors: specifically parse errors, unknown \\spad{CD} or symbol errors, and read errors.")) (|OMReadError?| (((|Boolean|) $) "\\spad{OMReadError?(u)} tests whether \\spad{u} is an OpenMath read error.")) (|OMUnknownSymbol?| (((|Boolean|) $) "\\spad{OMUnknownSymbol?(u)} tests whether \\spad{u} is an OpenMath unknown symbol error.")) (|OMUnknownCD?| (((|Boolean|) $) "\\spad{OMUnknownCD?(u)} tests whether \\spad{u} is an OpenMath unknown \\spad{CD} error.")) (|OMParseError?| (((|Boolean|) $) "\\spad{OMParseError?(u)} tests whether \\spad{u} is an OpenMath parsing error.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(u)} creates an OpenMath error object of an appropriate type if \\axiom{u} is one of \\axiom{OMParseError}, \\axiom{OMReadError}, \\axiom{OMUnknownCD} or \\axiom{OMUnknownSymbol}, otherwise it raises a runtime error."))) 
+NIL 
 NIL 
+(-822) 
+((|constructor| (NIL "\\spadtype{OpenMathError} is the domain of OpenMath errors.")) (|omError| (($ (|OpenMathErrorKind|) (|List| (|Symbol|))) "\\spad{omError(k,l)} creates an instance of OpenMathError.")) (|errorInfo| (((|List| (|Symbol|)) $) "\\spad{errorInfo(u)} returns information about the error u.")) (|errorKind| (((|OpenMathErrorKind|) $) "\\spad{errorKind(u)} returns the type of error which \\spad{u} represents."))) 
 NIL 
-(-822 R) 
+NIL 
+(-823 R) 
 ((|constructor| (NIL "\\spadtype{ExpressionToOpenMath} provides support for converting objects of type \\spadtype{Expression} into OpenMath."))) 
 NIL 
 NIL 
-(-823 P R) 
-((|constructor| (NIL "This constructor creates the \\spadtype{MonogenicLinearOperator} domain which is ``opposite\\spad{''} in the ring sense to \\spad{P}. That is,{} as sets \\spad{P = \\$} but \\spad{a * b} in \\spad{\\$} is equal to \\spad{b * a} in \\spad{P}.")) (|po| ((|#1| $) "\\spad{po(q)} creates a value in \\spad{P} equal to \\spad{q} in \\$.")) (|op| (($ |#1|) "\\spad{op(p)} creates a value in \\$ equal to \\spad{p} in \\spad{P}."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+(-824 P R) 
+((|constructor| (NIL "This constructor creates the \\spadtype{MonogenicLinearOperator} domain which is ``opposite'' in the ring sense to \\spad{P.} That is, as sets \\spad{P = \\spad{$}} but \\spad{a * \\spad{b}} in \\spad{$} is equal to \\spad{b * a} in \\spad{P.}")) (|po| ((|#1| $) "\\spad{po(q)} creates a value in \\spad{P} equal to \\spad{q} in \\spad{$.}")) (|op| (($ |#1|) "\\spad{op(p)} creates a value in \\$ equal to \\spad{p} in \\spad{P.}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 ((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-226)))) 
-(-824) 
-((|constructor| (NIL "\\spadtype{OpenMath} provides operations for exporting an object in OpenMath format.")) (|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) "\\spad{OMwrite(dev,{} u,{} true)} writes the OpenMath form of \\axiom{\\spad{u}} to the OpenMath device \\axiom{\\spad{dev}} as a complete OpenMath object; OMwrite(\\spad{dev},{} \\spad{u},{} \\spad{false}) writes the object as an OpenMath fragment.") (((|Void|) (|OpenMathDevice|) $) "\\spad{OMwrite(dev,{} u)} writes the OpenMath form of \\axiom{\\spad{u}} to the OpenMath device \\axiom{\\spad{dev}} as a complete OpenMath object.") (((|String|) $ (|Boolean|)) "\\spad{OMwrite(u,{} true)} returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as a complete OpenMath object; OMwrite(\\spad{u},{} \\spad{false}) returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as an OpenMath fragment.") (((|String|) $) "\\spad{OMwrite(u)} returns the OpenMath \\spad{XML} encoding of \\axiom{\\spad{u}} as a complete OpenMath object."))) 
+(-825) 
+((|constructor| (NIL "\\spadtype{OpenMath} provides operations for exporting an object in OpenMath format.")) (|OMwrite| (((|Void|) (|OpenMathDevice|) $ (|Boolean|)) "\\spad{OMwrite(dev, u, true)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object; OMwrite(dev, u, false) writes the object as an OpenMath fragment.") (((|Void|) (|OpenMathDevice|) $) "\\spad{OMwrite(dev, u)} writes the OpenMath form of \\axiom{u} to the OpenMath device \\axiom{dev} as a complete OpenMath object.") (((|String|) $ (|Boolean|)) "\\spad{OMwrite(u, true)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object; OMwrite(u, false) returns the OpenMath \\spad{XML} encoding of \\axiom{u} as an OpenMath fragment.") (((|String|) $) "\\spad{OMwrite(u)} returns the OpenMath \\spad{XML} encoding of \\axiom{u} as a complete OpenMath object."))) 
 NIL 
 NIL 
-(-825) 
-((|constructor| (NIL "\\spadtype{OpenMathPackage} provides some simple utilities to make reading OpenMath objects easier.")) (|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) "\\spad{OMunhandledSymbol(s,{}cd)} raises an error if AXIOM reads a symbol which it is unable to handle. Note that this is different from an unexpected symbol.")) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) "\\spad{OMsupportsSymbol?(s,{}cd)} returns \\spad{true} if AXIOM supports symbol \\axiom{\\spad{s}} from \\spad{CD} \\axiom{\\spad{cd}},{} \\spad{false} otherwise.")) (|OMsupportsCD?| (((|Boolean|) (|String|)) "\\spad{OMsupportsCD?(cd)} returns \\spad{true} if AXIOM supports \\axiom{\\spad{cd}},{} \\spad{false} otherwise.")) (|OMlistSymbols| (((|List| (|String|)) (|String|)) "\\spad{OMlistSymbols(cd)} lists all the symbols in \\axiom{\\spad{cd}}.")) (|OMlistCDs| (((|List| (|String|))) "\\spad{OMlistCDs()} lists all the \\spad{CDs} supported by AXIOM.")) (|OMreadStr| (((|Any|) (|String|)) "\\spad{OMreadStr(f)} reads an OpenMath object from \\axiom{\\spad{f}} and passes it to AXIOM.")) (|OMreadFile| (((|Any|) (|String|)) "\\spad{OMreadFile(f)} reads an OpenMath object from \\axiom{\\spad{f}} and passes it to AXIOM.")) (|OMread| (((|Any|) (|OpenMathDevice|)) "\\spad{OMread(dev)} reads an OpenMath object from \\axiom{\\spad{dev}} and passes it to AXIOM."))) 
+(-826) 
+((|constructor| (NIL "\\spadtype{OpenMathPackage} provides some simple utilities to make reading OpenMath objects easier.")) (|OMunhandledSymbol| (((|Exit|) (|String|) (|String|)) "\\spad{OMunhandledSymbol(s,cd)} raises an error if AXIOM reads a symbol which it is unable to handle. Note that this is different from an unexpected symbol.")) (|OMsupportsSymbol?| (((|Boolean|) (|String|) (|String|)) "\\spad{OMsupportsSymbol?(s,cd)} returns \\spad{true} if AXIOM supports symbol \\axiom{s} from \\spad{CD} \\axiom{cd}, \\spad{false} otherwise.")) (|OMsupportsCD?| (((|Boolean|) (|String|)) "\\spad{OMsupportsCD?(cd)} returns \\spad{true} if AXIOM supports \\axiom{cd}, \\spad{false} otherwise.")) (|OMlistSymbols| (((|List| (|String|)) (|String|)) "\\spad{OMlistSymbols(cd)} lists all the symbols in \\axiom{cd}.")) (|OMlistCDs| (((|List| (|String|))) "\\spad{OMlistCDs()} lists all the \\spad{CDs} supported by AXIOM.")) (|OMreadStr| (((|Any|) (|String|)) "\\spad{OMreadStr(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMreadFile| (((|Any|) (|String|)) "\\spad{OMreadFile(f)} reads an OpenMath object from \\axiom{f} and passes it to AXIOM.")) (|OMread| (((|Any|) (|OpenMathDevice|)) "\\spad{OMread(dev)} reads an OpenMath object from \\axiom{dev} and passes it to AXIOM."))) 
 NIL 
 NIL 
-(-826 S) 
-((|constructor| (NIL "to become an in order iterator")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest entry in the multiset aggregate \\spad{u}."))) 
-((-4535 . T) (-4525 . T) (-4536 . T) (-2982 . T)) 
+(-827 S) 
+((|constructor| (NIL "to become an in order iterator")) (|min| ((|#1| $) "\\spad{min(u)} returns the smallest entry in the multiset aggregate u."))) 
+((-4571 . T) (-4561 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-827) 
-((|constructor| (NIL "\\spadtype{OpenMathServerPackage} provides the necessary operations to run AXIOM as an OpenMath server,{} reading/writing objects to/from a port. Please note the facilities available here are very basic. The idea is that a user calls \\spadignore{e.g.} \\axiom{Omserve(4000,{}60)} and then another process sends OpenMath objects to port 4000 and reads the result.")) (|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) "\\spad{OMserve(portnum,{}timeout)} puts AXIOM into server mode on port number \\axiom{\\spad{portnum}}. The parameter \\axiom{\\spad{timeout}} specifies the \\spad{timeout} period for the connection.")) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) "\\spad{OMsend(c,{}u)} attempts to output \\axiom{\\spad{u}} on \\axiom{\\spad{c}} in OpenMath.")) (|OMreceive| (((|Any|) (|OpenMathConnection|)) "\\spad{OMreceive(c)} reads an OpenMath object from connection \\axiom{\\spad{c}} and returns the appropriate AXIOM object."))) 
+(-828) 
+((|constructor| (NIL "\\spadtype{OpenMathServerPackage} provides the necessary operations to run AXIOM as an OpenMath server, reading/writing objects to/from a port. Please note the facilities available here are very basic. The idea is that a user calls \\spadignore{e.g.} \\axiom{Omserve(4000,60)} and then another process sends OpenMath objects to port 4000 and reads the result.")) (|OMserve| (((|Void|) (|SingleInteger|) (|SingleInteger|)) "\\spad{OMserve(portnum,timeout)} puts AXIOM into server mode on port number \\axiom{portnum}. The parameter \\axiom{timeout} specifies the \\spad{timeout} period for the connection.")) (|OMsend| (((|Void|) (|OpenMathConnection|) (|Any|)) "\\spad{OMsend(c,u)} attempts to output \\axiom{u} on \\axiom{c} in OpenMath.")) (|OMreceive| (((|Any|) (|OpenMathConnection|)) "\\spad{OMreceive(c)} reads an OpenMath object from connection \\axiom{c} and returns the appropriate AXIOM object."))) 
 NIL 
 NIL 
-(-828 R S) 
-((|constructor| (NIL "Lifting of maps to one-point completions.")) (|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) "\\spad{map(f,{} r,{} i)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(infinity) = \\spad{i}.") (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) "\\spad{map(f,{} r)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(infinity) = infinity."))) 
+(-829 R S) 
+((|constructor| (NIL "Lifting of maps to one-point completions.")) (|map| (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|) (|OnePointCompletion| |#2|)) "\\spad{map(f, \\spad{r,} i)} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = i.") (((|OnePointCompletion| |#2|) (|Mapping| |#2| |#1|) (|OnePointCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(infinity) = infinity."))) 
 NIL 
 NIL 
-(-829 R) 
-((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one,{} \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
-((-4532 |has| |#1| (-841))) 
-((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-841)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-841))))) 
 (-830 R) 
+((|constructor| (NIL "Completion with infinity. Adjunction of a complex infinity to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one, \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is infinite.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|infinity| (($) "\\spad{infinity()} returns infinity."))) 
+((-4568 |has| |#1| (-842))) 
+((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-842))))) 
+(-831 R) 
 ((|constructor| (NIL "Algebra of ADDITIVE operators over a ring."))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151)))) 
-(-831) 
-((|constructor| (NIL "This package exports tools to create AXIOM Library information databases.")) (|getDatabase| (((|Database| (|IndexCard|)) (|String|)) "\\spad{getDatabase(\"char\")} returns a list of appropriate entries in the browser database. The legal values for \\spad{\"char\"} are \"o\" (operations),{} \\spad{\"k\"} (constructors),{} \\spad{\"d\"} (domains),{} \\spad{\"c\"} (categories) or \\spad{\"p\"} (packages)."))) 
-NIL 
-NIL 
 (-832) 
-((|constructor| (NIL "\\axiomType{NumericalOptimizationCategory} is the \\axiom{category} for describing the set of Numerical Optimization \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{optimize}.")) (|numericalOptimization| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
+((|constructor| (NIL "This package exports tools to create AXIOM Library information databases.")) (|getDatabase| (((|Database| (|IndexCard|)) (|String|)) "\\spad{getDatabase(\"char\")} returns a list of appropriate entries in the browser database. The legal values for \\spad{\"char\"} are \"o\" (operations), \\spad{\"k\"} (constructors), \\spad{\"d\"} (domains), \\spad{\"c\"} (categories) or \\spad{\"p\"} (packages)."))) 
 NIL 
 NIL 
 (-833) 
-((|constructor| (NIL "\\axiomType{AnnaNumericalOptimizationPackage} is a \\axiom{package} of functions for the \\axiomType{NumericalOptimizationCategory} with \\axiom{measure} and \\axiom{optimize}.")) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{goodnessOfFit(lf,{}start)} is a top level ANNA function to check to goodness of fit of a least squares model \\spadignore{i.e.} the minimization of a set of functions,{} \\axiom{\\spad{lf}},{} of one or more variables without constraints. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation. goodnessOfFit(\\spad{lf},{}\\spad{start}) is a top level function to iterate over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then checks the goodness of fit of the least squares model.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{goodnessOfFit(prob)} is a top level ANNA function to check to goodness of fit of a least squares model as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation.")) (|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{optimize(lf,{}start)} is a top level ANNA function to minimize a set of functions,{} \\axiom{\\spad{lf}},{} of one or more variables without constraints \\spadignore{i.e.} a least-squares problem. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) "\\spad{optimize(f,{}start)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables without constraints. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,{}start,{}lower,{}upper)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables with simple constraints. The bounds on the variables are defined in \\axiom{\\spad{lower}} and \\axiom{\\spad{upper}}. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,{}start,{}lower,{}cons,{}upper)} is a top level ANNA function to minimize a function,{} \\axiom{\\spad{f}},{} of one or more variables with the given constraints. \\blankline These constraints may be simple constraints on the variables in which case \\axiom{\\spad{cons}} would be an empty list and the bounds on those variables defined in \\axiom{\\spad{lower}} and \\axiom{\\spad{upper}},{} or a mixture of simple,{} linear and non-linear constraints,{} where \\axiom{\\spad{cons}} contains the linear and non-linear constraints and the bounds on these are added to \\axiom{\\spad{upper}} and \\axiom{\\spad{lower}}. \\blankline The parameter \\axiom{\\spad{start}} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{optimize(prob)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{optimize(prob,{}routines)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{\\spad{prob}}. \\blankline It iterates over the \\axiom{domains} listed in \\axiom{\\spad{routines}} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{\\spad{prob}} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{\\spad{prob}} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information."))) 
+((|constructor| (NIL "\\axiomType{NumericalOptimizationCategory} is the \\axiom{category} for describing the set of Numerical Optimization \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{optimize}.")) (|numericalOptimization| (((|Result|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.") (((|Result|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{numericalOptimization(args)} performs the optimization of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far.") (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve an optimization problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
 (-834) 
-((|constructor| (NIL "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\spad{\\br} \\spad{fn:}\\axiomType{Expression DoubleFloat},{}\\spad{\\br} init:\\axiomType{List DoubleFloat},{}\\spad{\\br} \\spad{lb:}\\axiomType{List OrderedCompletion DoubleFloat},{}\\spad{\\br} \\spad{cf:}\\axiomType{List Expression DoubleFloat},{}\\spad{\\br} ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},{}\\spad{\\br} init:\\axiomType{List DoubleFloat}).")) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented"))) 
+((|constructor| (NIL "\\axiomType{AnnaNumericalOptimizationPackage} is a \\axiom{package} of functions for the \\axiomType{NumericalOptimizationCategory} with \\axiom{measure} and \\axiom{optimize}.")) (|goodnessOfFit| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{goodnessOfFit(lf,start)} is a top level ANNA function to check to goodness of fit of a least squares model \\spadignore{i.e.} the minimization of a set of functions, \\axiom{lf}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation. goodnessOfFit(lf,start) is a top level function to iterate over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then checks the goodness of fit of the least squares model.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{goodnessOfFit(prob)} is a top level ANNA function to check to goodness of fit of a least squares model as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}. It then calls the numerical routine \\axiomType{E04YCF} to get estimates of the variance-covariance matrix of the regression coefficients of the least-squares problem. \\blankline It thus returns both the results of the optimization and the variance-covariance calculation.")) (|optimize| (((|Result|) (|List| (|Expression| (|Float|))) (|List| (|Float|))) "\\spad{optimize(lf,start)} is a top level ANNA function to minimize a set of functions, \\axiom{lf}, of one or more variables without constraints \\spadignore{i.e.} a least-squares problem. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|))) "\\spad{optimize(f,start)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables without constraints. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with simple constraints. The bounds on the variables are defined in \\axiom{lower} and \\axiom{upper}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|Expression| (|Float|)) (|List| (|Float|)) (|List| (|OrderedCompletion| (|Float|))) (|List| (|Expression| (|Float|))) (|List| (|OrderedCompletion| (|Float|)))) "\\spad{optimize(f,start,lower,cons,upper)} is a top level ANNA function to minimize a function, \\axiom{f}, of one or more variables with the given constraints. \\blankline These constraints may be simple constraints on the variables in which case \\axiom{cons} would be an empty list and the bounds on those variables defined in \\axiom{lower} and \\axiom{upper}, or a mixture of simple, linear and non-linear constraints, where \\axiom{cons} contains the linear and non-linear constraints and the bounds on these are added to \\axiom{upper} and \\axiom{lower}. \\blankline The parameter \\axiom{start} is a list of the initial guesses of the values of the variables. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|)) "\\spad{optimize(prob)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.") (((|Result|) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{optimize(prob,routines)} is a top level ANNA function to minimize a function or a set of functions with any constraints as defined within \\axiom{prob}. \\blankline It iterates over the \\axiom{domains} listed in \\axiom{routines} of \\axiomType{NumericalOptimizationCategory} to get the name and other relevant information of the best \\axiom{measure} and then optimize the function on that \\axiom{domain}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalOptimizationProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical optimization problem defined by \\axiom{prob} by checking various attributes of the functions and calculating a measure of compatibility of each routine to these attributes. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{NumericalOptimizationCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information."))) 
+NIL 
+NIL 
+(-835) 
+((|constructor| (NIL "\\axiomType{NumericalOptimizationProblem} is a \\axiom{domain} for the representation of Numerical Optimization problems for use by ANNA. \\blankline The representation is a Union of two record types - one for otimization of a single function of one or more variables: \\blankline \\axiomType{Record}(\\br fn:\\axiomType{Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat},\\br lb:\\axiomType{List OrderedCompletion DoubleFloat},\\br cf:\\axiomType{List Expression DoubleFloat},\\br ub:\\axiomType{List OrderedCompletion DoubleFloat}) \\blankline and one for least-squares problems \\spadignore{i.e.} optimization of a set of observations of a data set: \\blankline \\axiomType{Record}(lfn:\\axiomType{List Expression DoubleFloat},\\br init:\\axiomType{List DoubleFloat}).")) (|retract| (((|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|)))))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
 NIL 
-(-835 R S) 
-((|constructor| (NIL "Lifting of maps to ordered completions.")) (|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{map(f,{} r,{} p,{} m)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(plusInfinity) = \\spad{p} and that \\spad{f}(minusInfinity) = \\spad{m}.") (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) "\\spad{map(f,{} r)} lifts \\spad{f} and applies it to \\spad{r},{} assuming that \\spad{f}(plusInfinity) = plusInfinity and that \\spad{f}(minusInfinity) = minusInfinity."))) 
+(-836 R S) 
+((|constructor| (NIL "Lifting of maps to ordered completions.")) (|map| (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|) (|OrderedCompletion| |#2|) (|OrderedCompletion| |#2|)) "\\spad{map(f, \\spad{r,} \\spad{p,} \\spad{m)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = \\spad{p} and that f(minusInfinity) = \\spad{m.}") (((|OrderedCompletion| |#2|) (|Mapping| |#2| |#1|) (|OrderedCompletion| |#1|)) "\\spad{map(f, \\spad{r)}} lifts \\spad{f} and applies it to \\spad{r,} assuming that f(plusInfinity) = plusInfinity and that f(minusInfinity) = minusInfinity."))) 
 NIL 
 NIL 
-(-836 R) 
-((|constructor| (NIL "Completion with + and - infinity. Adjunction of two real infinites quantities to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} cannot be so converted.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|whatInfinity| (((|SingleInteger|) $) "\\spad{whatInfinity(x)} returns 0 if \\spad{x} is finite,{} 1 if \\spad{x} is +infinity,{} and \\spad{-1} if \\spad{x} is -infinity.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is +infinity or -infinity,{}")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|minusInfinity| (($) "\\spad{minusInfinity()} returns -infinity.")) (|plusInfinity| (($) "\\spad{plusInfinity()} returns +infinity."))) 
-((-4532 |has| |#1| (-841))) 
-((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-841)))) (|HasCategory| |#1| (QUOTE (-21))) (-2232 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-841))))) 
-(-837) 
+(-837 R) 
+((|constructor| (NIL "Completion with + and - infinity. Adjunction of two real infinites quantities to a set.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(x)} returns \\spad{x} as a finite rational number if it is one and \"failed\" otherwise.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(x)} returns \\spad{x} as a finite rational number. Error: if \\spad{x} cannot be so converted.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(x)} tests if \\spad{x} is a finite rational number.")) (|whatInfinity| (((|SingleInteger|) $) "\\spad{whatInfinity(x)} returns 0 if \\spad{x} is finite, 1 if \\spad{x} is +infinity, and \\spad{-1} if \\spad{x} is -infinity.")) (|infinite?| (((|Boolean|) $) "\\spad{infinite?(x)} tests if \\spad{x} is +infinity or -infinity.")) (|finite?| (((|Boolean|) $) "\\spad{finite?(x)} tests if \\spad{x} is finite.")) (|minusInfinity| (($) "\\spad{minusInfinity()} returns -infinity.")) (|plusInfinity| (($) "\\spad{plusInfinity()} returns +infinity."))) 
+((-4568 |has| |#1| (-842))) 
+((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-842)))) (|HasCategory| |#1| (QUOTE (-21))) (-1929 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-842))))) 
+(-838) 
 ((|constructor| (NIL "Ordered finite sets."))) 
 NIL 
 NIL 
-(-838 -4391 S) 
-((|constructor| (NIL "This package provides ordering functions on vectors which are suitable parameters for OrderedDirectProduct.")) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{reverseLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by the reverse lexicographic ordering.")) (|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{totalLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by lexicographic ordering.")) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{pureLex(v1,{}v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the lexicographic ordering."))) 
+(-839 -4360 S) 
+((|constructor| (NIL "This package provides ordering functions on vectors which are suitable parameters for OrderedDirectProduct.")) (|reverseLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{reverseLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by the reverse lexicographic ordering.")) (|totalLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{totalLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the ordering which is total degree refined by lexicographic ordering.")) (|pureLex| (((|Boolean|) (|Vector| |#2|) (|Vector| |#2|)) "\\spad{pureLex(v1,v2)} return \\spad{true} if the vector \\spad{v1} is less than the vector \\spad{v2} in the lexicographic ordering."))) 
 NIL 
 NIL 
-(-839) 
-((|constructor| (NIL "Ordered sets which are also monoids,{} such that multiplication preserves the ordering. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{x < y => x*z < y*z}\\spad{\\br} \\tab{5}\\spad{x < y => z*x < z*y}"))) 
+(-840) 
+((|constructor| (NIL "Ordered sets which are also monoids, such that multiplication preserves the ordering. \\blankline Axioms\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{x*z} < y*z}\\br \\tab{5}\\spad{x < \\spad{y} \\spad{=>} \\spad{z*x} < z*y}"))) 
 NIL 
 NIL 
-(-840 S) 
-((|constructor| (NIL "Ordered sets which are also rings,{} that is,{} domains where the ring operations are compatible with the ordering. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{0<a and b<c => ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}.")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive,{} \\spad{-1} if \\spad{x} is negative,{} 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
+(-841 S) 
+((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
 NIL 
 NIL 
-(-841) 
-((|constructor| (NIL "Ordered sets which are also rings,{} that is,{} domains where the ring operations are compatible with the ordering. \\blankline Axiom\\spad{\\br} \\tab{5}\\spad{0<a and b<c => ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}.")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive,{} \\spad{-1} if \\spad{x} is negative,{} 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
-((-4532 . T)) 
+(-842) 
+((|constructor| (NIL "Ordered sets which are also rings, that is, domains where the ring operations are compatible with the ordering. \\blankline Axiom\\br \\tab{5}\\spad{0<a and \\spad{b<c} \\spad{=>} ab< ac}")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}")) (|sign| (((|Integer|) $) "\\spad{sign(x)} is 1 if \\spad{x} is positive, \\spad{-1} if \\spad{x} is negative, 0 if \\spad{x} equals 0.")) (|negative?| (((|Boolean|) $) "\\spad{negative?(x)} tests whether \\spad{x} is strictly less than 0.")) (|positive?| (((|Boolean|) $) "\\spad{positive?(x)} tests whether \\spad{x} is strictly greater than 0."))) 
+((-4568 . T)) 
 NIL 
-(-842 S) 
-((|constructor| (NIL "The class of totally ordered sets,{} that is,{} sets such that for each pair of elements \\spad{(a,{}b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive,{} \\spadignore{i.e.} \\spad{a<b and b<c => a<c}.")) (|min| (($ $ $) "\\spad{min(x,{}y)} returns the minimum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (|max| (($ $ $) "\\spad{max(x,{}y)} returns the maximum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (<= (((|Boolean|) $ $) "\\spad{x <= y} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x >= y} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > y} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < y} is a strict total ordering on the elements of the set."))) 
+(-843 S) 
+((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-843) 
-((|constructor| (NIL "The class of totally ordered sets,{} that is,{} sets such that for each pair of elements \\spad{(a,{}b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive,{} \\spadignore{i.e.} \\spad{a<b and b<c => a<c}.")) (|min| (($ $ $) "\\spad{min(x,{}y)} returns the minimum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (|max| (($ $ $) "\\spad{max(x,{}y)} returns the maximum of \\spad{x} and \\spad{y} relative to \\spad{\"<\"}.")) (<= (((|Boolean|) $ $) "\\spad{x <= y} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x >= y} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > y} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < y} is a strict total ordering on the elements of the set."))) 
+(-844) 
+((|constructor| (NIL "The class of totally ordered sets, that is, sets such that for each pair of elements \\spad{(a,b)} exactly one of the following relations holds \\spad{a<b or a=b or b<a} and the relation is transitive, \\spadignore{i.e.} \\spad{a<b and \\spad{b<c} \\spad{=>} a<c}.")) (|min| (($ $ $) "\\spad{min(x,y)} returns the minimum of \\spad{x} and \\spad{y} relative to \"<\".")) (|max| (($ $ $) "\\spad{max(x,y)} returns the maximum of \\spad{x} and \\spad{y} relative to \"<\".")) (<= (((|Boolean|) $ $) "\\spad{x \\spad{<=} \\spad{y}} is a less than or equal test.")) (>= (((|Boolean|) $ $) "\\spad{x \\spad{>=} \\spad{y}} is a greater than or equal test.")) (> (((|Boolean|) $ $) "\\spad{x > \\spad{y}} is a greater than test.")) (< (((|Boolean|) $ $) "\\spad{x < \\spad{y}} is a strict total ordering on the elements of the set."))) 
 NIL 
 NIL 
-(-844 S R) 
-((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}. This category is an evolution of the types MonogenicLinearOperator,{} OppositeMonogenicLinearOperator,{} and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = c * a + d * b = rightGcd(a,{} b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = a * c + b * d = leftGcd(a,{} b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * l0} for some a in \\spad{R},{} and \\spad{content(l0) = 1}.")) (|content| ((|#2| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l}.")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(l,{} a)} returns the exact quotient of \\spad{l} by a,{} returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#2| $ |#2| |#2|) "\\spad{apply(p,{} c,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l}.")) (|monomial| (($ |#2| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) ^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
+(-845 S R) 
+((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#2| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#2|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#2| $ |#2| |#2|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#2|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#2| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#2| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-845 R) 
-((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}. This category is an evolution of the types MonogenicLinearOperator,{} OppositeMonogenicLinearOperator,{} and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = c * a + d * b = rightGcd(a,{} b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,{}b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,{}b)} returns \\spad{[c,{}d]} such that \\spad{g = a * c + b * d = leftGcd(a,{} b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,{}b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,{}b)} computes the value \\spad{q},{} if it exists,{} \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,{}b)} computes the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * l0} for some a in \\spad{R},{} and \\spad{content(l0) = 1}.")) (|content| ((|#1| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l}.")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,{}b)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(l,{} a)} returns the exact quotient of \\spad{l} by a,{} returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#1| $ |#1| |#1|) "\\spad{apply(p,{} c,{} m)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l}.")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,{}k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator,{} \\spad{monomial(1,{}1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,{}k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),{}n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) ^= 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),{}i),{} i = 0..n)}.}"))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+(-846 R) 
+((|constructor| (NIL "This is the category of univariate skew polynomials over an Ore coefficient ring. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}. This category is an evolution of the types MonogenicLinearOperator, OppositeMonogenicLinearOperator, and NonCommutativeOperatorDivision")) (|leftLcm| (($ $ $) "\\spad{leftLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = aa*a = bb*b} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using right-division.")) (|rightExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{rightExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = \\spad{c} * a + \\spad{d} * \\spad{b} = rightGcd(a, b)}.")) (|rightGcd| (($ $ $) "\\spad{rightGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = aa*g}} \\indented{3}{\\spad{b = bb*g}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using right-division.")) (|rightExactQuotient| (((|Union| $ "failed") $ $) "\\spad{rightExactQuotient(a,b)} computes the value \\spad{q}, if it exists such that \\spad{a = q*b}.")) (|rightRemainder| (($ $ $) "\\spad{rightRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|rightQuotient| (($ $ $) "\\spad{rightQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|rightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{rightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''.")) (|rightLcm| (($ $ $) "\\spad{rightLcm(a,b)} computes the value \\spad{m} of lowest degree such that \\spad{m = a*aa = b*bb} for some values \\spad{aa} and \\spad{bb}. The value \\spad{m} is computed using left-division.")) (|leftExtendedGcd| (((|Record| (|:| |coef1| $) (|:| |coef2| $) (|:| |generator| $)) $ $) "\\spad{leftExtendedGcd(a,b)} returns \\spad{[c,d]} such that \\spad{g = a * \\spad{c} + \\spad{b} * \\spad{d} = leftGcd(a, b)}.")) (|leftGcd| (($ $ $) "\\spad{leftGcd(a,b)} computes the value \\spad{g} of highest degree such that \\indented{3}{\\spad{a = g*aa}} \\indented{3}{\\spad{b = g*bb}} for some values \\spad{aa} and \\spad{bb}. The value \\spad{g} is computed using left-division.")) (|leftExactQuotient| (((|Union| $ "failed") $ $) "\\spad{leftExactQuotient(a,b)} computes the value \\spad{q}, if it exists, \\indented{1}{such that \\spad{a = b*q}.}")) (|leftRemainder| (($ $ $) "\\spad{leftRemainder(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{r} is returned.")) (|leftQuotient| (($ $ $) "\\spad{leftQuotient(a,b)} computes the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. The value \\spad{q} is returned.")) (|leftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{leftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''.")) (|primitivePart| (($ $) "\\spad{primitivePart(l)} returns \\spad{l0} such that \\spad{l = a * \\spad{l0}} for some a in \\spad{R,} and \\spad{content(l0) = 1}.")) (|content| ((|#1| $) "\\spad{content(l)} returns the \\spad{gcd} of all the coefficients of \\spad{l.}")) (|monicRightDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicRightDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''.")) (|monicLeftDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicLeftDivide(a,b)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''.")) (|exquo| (((|Union| $ "failed") $ |#1|) "\\spad{exquo(l, a)} returns the exact quotient of \\spad{l} by a, returning \\axiom{\"failed\"} if this is not possible.")) (|apply| ((|#1| $ |#1| |#1|) "\\spad{apply(p, \\spad{c,} \\spad{m)}} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|coefficients| (((|List| |#1|) $) "\\spad{coefficients(l)} returns the list of all the nonzero coefficients of \\spad{l.}")) (|monomial| (($ |#1| (|NonNegativeInteger|)) "\\spad{monomial(c,k)} produces \\spad{c} times the \\spad{k}-th power of the generating operator, \\spad{monomial(1,1)}.")) (|coefficient| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coefficient(l,k)} is \\spad{a(k)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|reductum| (($ $) "\\spad{reductum(l)} is \\spad{l - monomial(a(n),n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(l)} is \\spad{a(n)} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|minimumDegree| (((|NonNegativeInteger|) $) "\\spad{minimumDegree(l)} is the smallest \\spad{k} such that \\spad{a(k) \\spad{^=} 0} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(l)} is \\spad{n} if \\indented{2}{\\spad{l = sum(monomial(a(i),i), \\spad{i} = 0..n)}.}"))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-846 R C) 
-((|constructor| (NIL "\\spad{UnivariateSkewPolynomialCategoryOps} provides products and divisions of univariate skew polynomials.")) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{rightDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{leftDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicRightDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = q*b + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicLeftDivide(a,{} b,{} sigma)} returns the pair \\spad{[q,{}r]} such that \\spad{a = b*q + r} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division\\spad{''}. \\spad{\\sigma} is the morphism to use.")) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{apply(p,{} c,{} m,{} sigma,{} delta)} returns \\spad{p(m)} where the action is given by \\spad{x m = c sigma(m) + delta(m)}.")) (|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{times(p,{} q,{} sigma,{} delta)} returns \\spad{p * q}. \\spad{\\sigma} and \\spad{\\delta} are the maps to use."))) 
+(-847 R C) 
+((|constructor| (NIL "\\spad{UnivariateSkewPolynomialCategoryOps} provides products and divisions of univariate skew polynomials.")) (|rightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{rightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|leftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{leftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|monicRightDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicRightDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{q*b} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``right division''. \\spad{\\sigma} is the morphism to use.")) (|monicLeftDivide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2| (|Automorphism| |#1|)) "\\spad{monicLeftDivide(a, \\spad{b,} sigma)} returns the pair \\spad{[q,r]} such that \\spad{a = \\spad{b*q} + \\spad{r}} and the degree of \\spad{r} is less than the degree of \\spad{b}. \\spad{b} must be monic. This process is called ``left division''. \\spad{\\sigma} is the morphism to use.")) (|apply| ((|#1| |#2| |#1| |#1| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{apply(p, \\spad{c,} \\spad{m,} sigma, delta)} returns \\spad{p(m)} where the action is given by \\spad{x \\spad{m} = \\spad{c} sigma(m) + delta(m)}.")) (|times| ((|#2| |#2| |#2| (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{times(p, \\spad{q,} sigma, delta)} returns \\spad{p * \\spad{q}.} \\spad{\\sigma} and \\spad{\\delta} are the maps to use."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) 
-(-847 R |sigma| -2385) 
-((|constructor| (NIL "This is the domain of sparse univariate skew polynomials over an Ore coefficient field. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}.")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,{} x)} returns the output form of \\spad{p} using \\spad{x} for the otherwise anonymous variable."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-848 |x| R |sigma| -2385) 
-((|constructor| (NIL "This is the domain of univariate skew polynomials over an Ore coefficient field in a named variable. The multiplication is given by \\spad{x a = \\sigma(a) x + \\delta a}.")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} returns \\spad{x} as a skew-polynomial."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-849 R) 
-((|constructor| (NIL "This package provides orthogonal polynomials as functions on a ring.")) (|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{legendreP(n,{}x)} is the \\spad{n}-th Legendre polynomial,{} \\spad{P[n](x)}. These are defined by \\spad{1/sqrt(1-2*x*t+t**2) = sum(P[n](x)*t**n,{} n = 0..)}.")) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(m,{}n,{}x)} is the associated Laguerre polynomial,{} \\spad{L<m>[n](x)}. This is the \\spad{m}-th derivative of \\spad{L[n](x)}.") ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(n,{}x)} is the \\spad{n}-th Laguerre polynomial,{} \\spad{L[n](x)}. These are defined by \\spad{exp(-t*x/(1-t))/(1-t) = sum(L[n](x)*t**n/n!,{} n = 0..)}.")) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{hermiteH(n,{}x)} is the \\spad{n}-th Hermite polynomial,{} \\spad{H[n](x)}. These are defined by \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!,{} n = 0..)}.")) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevU(n,{}x)} is the \\spad{n}-th Chebyshev polynomial of the second kind,{} \\spad{U[n](x)}. These are defined by \\spad{1/(1-2*t*x+t**2) = sum(T[n](x) *t**n,{} n = 0..)}.")) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevT(n,{}x)} is the \\spad{n}-th Chebyshev polynomial of the first kind,{} \\spad{T[n](x)}. These are defined by \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x) *t**n,{} n = 0..)}."))) 
+(-848 R |sigma| -2716) 
+((|constructor| (NIL "This is the domain of sparse univariate skew polynomials over an Ore coefficient field. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p, \\spad{x)}} returns the output form of \\spad{p} using \\spad{x} for the otherwise anonymous variable."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-849 |x| R |sigma| -2716) 
+((|constructor| (NIL "This is the domain of univariate skew polynomials over an Ore coefficient field in a named variable. The multiplication is given by \\spad{x a = \\sigma(a) \\spad{x} + \\delta a}.")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} returns \\spad{x} as a skew-polynomial."))) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-850 R) 
+((|constructor| (NIL "This package provides orthogonal polynomials as functions on a ring.")) (|legendreP| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{legendreP(n,x)} is the \\spad{n}-th Legendre polynomial, \\spad{P[n](x)}. These are defined by \\spad{1/sqrt(1-2*x*t+t**2) = sum(P[n](x)*t**n, \\spad{n} = 0..)}.")) (|laguerreL| ((|#1| (|NonNegativeInteger|) (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(m,n,x)} is the associated Laguerre polynomial, \\spad{L<m>[n](x)}. This is the \\spad{m}-th derivative of \\spad{L[n](x)}.") ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{laguerreL(n,x)} is the \\spad{n}-th Laguerre polynomial, \\spad{L[n](x)}. These are defined by \\spad{exp(-t*x/(1-t))/(1-t) = sum(L[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|hermiteH| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{hermiteH(n,x)} is the \\spad{n}-th Hermite polynomial, \\spad{H[n](x)}. These are defined by \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, \\spad{n} = 0..)}.")) (|chebyshevU| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevU(n,x)} is the \\spad{n}-th Chebyshev polynomial of the second kind, \\spad{U[n](x)}. These are defined by \\spad{1/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}.")) (|chebyshevT| ((|#1| (|NonNegativeInteger|) |#1|) "\\spad{chebyshevT(n,x)} is the \\spad{n}-th Chebyshev polynomial of the first kind, \\spad{T[n](x)}. These are defined by \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x) *t**n, \\spad{n} = 0..)}."))) 
 NIL 
 ((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-850) 
-((|constructor| (NIL "A domain used in order to take the free \\spad{R}-module on the Integers \\spad{I}. This is actually the forgetful functor from OrderedRings to OrderedSets applied to \\spad{I}")) (|value| (((|Integer|) $) "\\spad{value(x)} returns the integer associated with \\spad{x}")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} returns the element corresponding to \\spad{i}"))) 
-NIL 
-NIL 
 (-851) 
-((|constructor| (NIL "This domain is used to create and manipulate mathematical expressions for output. It is intended to provide an insulating layer between the expression rendering software (\\spadignore{e.g.} TeX,{} or Script) and the output coercions in the various domains.")) (SEGMENT (($ $) "\\spad{SEGMENT(x)} creates the prefix form: \\spad{x..}.") (($ $ $) "\\spad{SEGMENT(x,{}y)} creates the infix form: \\spad{x..y}.")) (|not| (($ $) "\\spad{not f} creates the equivalent prefix form.")) (|or| (($ $ $) "\\spad{f or g} creates the equivalent infix form.")) (|and| (($ $ $) "\\spad{f and g} creates the equivalent infix form.")) (|exquo| (($ $ $) "\\spad{exquo(f,{}g)} creates the equivalent infix form.")) (|quo| (($ $ $) "\\spad{f quo g} creates the equivalent infix form.")) (|rem| (($ $ $) "\\spad{f rem g} creates the equivalent infix form.")) (|div| (($ $ $) "\\spad{f div g} creates the equivalent infix form.")) (** (($ $ $) "\\spad{f ** g} creates the equivalent infix form.")) (/ (($ $ $) "\\spad{f / g} creates the equivalent infix form.")) (* (($ $ $) "\\spad{f * g} creates the equivalent infix form.")) (- (($ $) "\\spad{- f} creates the equivalent prefix form.") (($ $ $) "\\spad{f - g} creates the equivalent infix form.")) (+ (($ $ $) "\\spad{f + g} creates the equivalent infix form.")) (>= (($ $ $) "\\spad{f >= g} creates the equivalent infix form.")) (<= (($ $ $) "\\spad{f <= g} creates the equivalent infix form.")) (> (($ $ $) "\\spad{f > g} creates the equivalent infix form.")) (< (($ $ $) "\\spad{f < g} creates the equivalent infix form.")) (^= (($ $ $) "\\spad{f ^= g} creates the equivalent infix form.")) (= (($ $ $) "\\spad{f = g} creates the equivalent infix form.")) (|blankSeparate| (($ (|List| $)) "\\spad{blankSeparate(l)} creates the form separating the elements of \\spad{l} by blanks.")) (|semicolonSeparate| (($ (|List| $)) "\\spad{semicolonSeparate(l)} creates the form separating the elements of \\spad{l} by semicolons.")) (|commaSeparate| (($ (|List| $)) "\\spad{commaSeparate(l)} creates the form separating the elements of \\spad{l} by commas.")) (|pile| (($ (|List| $)) "\\spad{pile(l)} creates the form consisting of the elements of \\spad{l} which displays as a pile,{} \\spadignore{i.e.} the elements begin on a new line and are indented right to the same margin.")) (|paren| (($ (|List| $)) "\\spad{paren(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in parentheses.") (($ $) "\\spad{paren(f)} creates the form enclosing \\spad{f} in parentheses.")) (|bracket| (($ (|List| $)) "\\spad{bracket(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in square brackets.") (($ $) "\\spad{bracket(f)} creates the form enclosing \\spad{f} in square brackets.")) (|brace| (($ (|List| $)) "\\spad{brace(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in curly brackets.") (($ $) "\\spad{brace(f)} creates the form enclosing \\spad{f} in braces (curly brackets).")) (|int| (($ $ $ $) "\\spad{int(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by an integral sign with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{int(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by an integral sign with a \\spad{lowerlimit}.") (($ $) "\\spad{int(expr)} creates the form prefixing \\spad{expr} with an integral sign.")) (|prod| (($ $ $ $) "\\spad{prod(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{prod(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with a \\spad{lowerlimit}.") (($ $) "\\spad{prod(expr)} creates the form prefixing \\spad{expr} by a capital \\spad{pi}.")) (|sum| (($ $ $ $) "\\spad{sum(expr,{}lowerlimit,{}upperlimit)} creates the form prefixing \\spad{expr} by a capital sigma with both a \\spad{lowerlimit} and \\spad{upperlimit}.") (($ $ $) "\\spad{sum(expr,{}lowerlimit)} creates the form prefixing \\spad{expr} by a capital sigma with a \\spad{lowerlimit}.") (($ $) "\\spad{sum(expr)} creates the form prefixing \\spad{expr} by a capital sigma.")) (|overlabel| (($ $ $) "\\spad{overlabel(x,{}f)} creates the form \\spad{f} with \\spad{\"x} overbar\" over the top.")) (|overbar| (($ $) "\\spad{overbar(f)} creates the form \\spad{f} with an overbar.")) (|prime| (($ $ (|NonNegativeInteger|)) "\\spad{prime(f,{}n)} creates the form \\spad{f} followed by \\spad{n} primes.") (($ $) "\\spad{prime(f)} creates the form \\spad{f} followed by a suffix prime (single quote).")) (|dot| (($ $ (|NonNegativeInteger|)) "\\spad{dot(f,{}n)} creates the form \\spad{f} with \\spad{n} dots overhead.") (($ $) "\\spad{dot(f)} creates the form with a one dot overhead.")) (|quote| (($ $) "\\spad{quote(f)} creates the form \\spad{f} with a prefix quote.")) (|supersub| (($ $ (|List| $)) "\\spad{supersub(a,{}[sub1,{}super1,{}sub2,{}super2,{}...])} creates a form with each subscript aligned under each superscript.")) (|scripts| (($ $ (|List| $)) "\\spad{scripts(f,{} [sub,{} super,{} presuper,{} presub])} \\indented{1}{creates a form for \\spad{f} with scripts on all 4 corners.}")) (|presuper| (($ $ $) "\\spad{presuper(f,{}n)} creates a form for \\spad{f} presuperscripted by \\spad{n}.")) (|presub| (($ $ $) "\\spad{presub(f,{}n)} creates a form for \\spad{f} presubscripted by \\spad{n}.")) (|super| (($ $ $) "\\spad{super(f,{}n)} creates a form for \\spad{f} superscripted by \\spad{n}.")) (|sub| (($ $ $) "\\spad{sub(f,{}n)} creates a form for \\spad{f} subscripted by \\spad{n}.")) (|binomial| (($ $ $) "\\spad{binomial(n,{}m)} creates a form for the binomial coefficient of \\spad{n} and \\spad{m}.")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,{}n)} creates a form for the \\spad{n}th derivative of \\spad{f},{} \\spadignore{e.g.} \\spad{f'},{} \\spad{f''},{} \\spad{f'''},{} \\spad{\"f} super \\spad{iv}\".")) (|rarrow| (($ $ $) "\\spad{rarrow(f,{}g)} creates a form for the mapping \\spad{f -> g}.")) (|assign| (($ $ $) "\\spad{assign(f,{}g)} creates a form for the assignment \\spad{f := g}.")) (|slash| (($ $ $) "\\spad{slash(f,{}g)} creates a form for the horizontal fraction of \\spad{f} over \\spad{g}.")) (|over| (($ $ $) "\\spad{over(f,{}g)} creates a form for the vertical fraction of \\spad{f} over \\spad{g}.")) (|root| (($ $ $) "\\spad{root(f,{}n)} creates a form for the \\spad{n}th root of form \\spad{f}.") (($ $) "\\spad{root(f)} creates a form for the square root of form \\spad{f}.")) (|zag| (($ $ $) "\\spad{zag(f,{}g)} creates a form for the continued fraction form for \\spad{f} over \\spad{g}.")) (|matrix| (($ (|List| (|List| $))) "\\spad{matrix(llf)} makes \\spad{llf} (a list of lists of forms) into a form which displays as a matrix.")) (|box| (($ $) "\\spad{box(f)} encloses \\spad{f} in a box.")) (|label| (($ $ $) "\\spad{label(n,{}f)} gives form \\spad{f} an equation label \\spad{n}.")) (|string| (($ $) "\\spad{string(f)} creates \\spad{f} with string quotes.")) (|elt| (($ $ (|List| $)) "\\spad{elt(op,{}l)} creates a form for application of \\spad{op} to list of arguments \\spad{l}.")) (|infix?| (((|Boolean|) $) "\\spad{infix?(op)} returns \\spad{true} if \\spad{op} is an infix operator,{} and \\spad{false} otherwise.")) (|postfix| (($ $ $) "\\spad{postfix(op,{} a)} creates a form which prints as: a \\spad{op}.")) (|infix| (($ $ $ $) "\\spad{infix(op,{} a,{} b)} creates a form which prints as: a \\spad{op} \\spad{b}.") (($ $ (|List| $)) "\\spad{infix(f,{}l)} creates a form depicting the \\spad{n}-ary application of infix operation \\spad{f} to a tuple of arguments \\spad{l}.")) (|prefix| (($ $ (|List| $)) "\\spad{prefix(f,{}l)} creates a form depicting the \\spad{n}-ary prefix application of \\spad{f} to a tuple of arguments given by list \\spad{l}.")) (|vconcat| (($ (|List| $)) "\\spad{vconcat(u)} vertically concatenates all forms in list \\spad{u}.") (($ $ $) "\\spad{vconcat(f,{}g)} vertically concatenates forms \\spad{f} and \\spad{g}.")) (|hconcat| (($ (|List| $)) "\\spad{hconcat(u)} horizontally concatenates all forms in list \\spad{u}.") (($ $ $) "\\spad{hconcat(f,{}g)} horizontally concatenate forms \\spad{f} and \\spad{g}.")) (|center| (($ $) "\\spad{center(f)} centers form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{center(f,{}n)} centers form \\spad{f} within space of width \\spad{n}.")) (|right| (($ $) "\\spad{right(f)} right-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{right(f,{}n)} right-justifies form \\spad{f} within space of width \\spad{n}.")) (|left| (($ $) "\\spad{left(f)} left-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{left(f,{}n)} left-justifies form \\spad{f} within space of width \\spad{n}.")) (|rspace| (($ (|Integer|) (|Integer|)) "\\spad{rspace(n,{}m)} creates rectangular white space,{} \\spad{n} wide by \\spad{m} high.")) (|vspace| (($ (|Integer|)) "\\spad{vspace(n)} creates white space of height \\spad{n}.")) (|hspace| (($ (|Integer|)) "\\spad{hspace(n)} creates white space of width \\spad{n}.")) (|superHeight| (((|Integer|) $) "\\spad{superHeight(f)} returns the height of form \\spad{f} above the base line.")) (|subHeight| (((|Integer|) $) "\\spad{subHeight(f)} returns the height of form \\spad{f} below the base line.")) (|height| (((|Integer|)) "\\spad{height()} returns the height of the display area (an integer).") (((|Integer|) $) "\\spad{height(f)} returns the height of form \\spad{f} (an integer).")) (|width| (((|Integer|)) "\\spad{width()} returns the width of the display area (an integer).") (((|Integer|) $) "\\spad{width(f)} returns the width of form \\spad{f} (an integer).")) (|empty| (($) "\\spad{empty()} creates an empty form.")) (|outputForm| (($ (|DoubleFloat|)) "\\spad{outputForm(sf)} creates an form for small float \\spad{sf}.") (($ (|String|)) "\\spad{outputForm(s)} creates an form for string \\spad{s}.") (($ (|Symbol|)) "\\spad{outputForm(s)} creates an form for symbol \\spad{s}.") (($ (|Integer|)) "\\spad{outputForm(n)} creates an form for integer \\spad{n}.")) (|messagePrint| (((|Void|) (|String|)) "\\spad{messagePrint(s)} prints \\spad{s} without string quotes. Note: \\spad{messagePrint(s)} is equivalent to \\spad{print message(s)}.")) (|message| (($ (|String|)) "\\spad{message(s)} creates an form with no string quotes from string \\spad{s}.")) (|print| (((|Void|) $) "\\spad{print(u)} prints the form \\spad{u}."))) 
+((|constructor| (NIL "A domain used in order to take the free R-module on the Integers I. This is actually the forgetful functor from OrderedRings to OrderedSets applied to \\spad{I}")) (|value| (((|Integer|) $) "\\spad{value(x)} returns the integer associated with \\spad{x}")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} returns the element corresponding to \\spad{i}"))) 
 NIL 
 NIL 
 (-852) 
-((|constructor| (NIL "OutPackage allows pretty-printing from programs.")) (|outputList| (((|Void|) (|List| (|Any|))) "\\spad{outputList(l)} displays the concatenated components of the list \\spad{l} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}; quotes are stripped from strings.")) (|output| (((|Void|) (|String|) (|OutputForm|)) "\\spad{output(s,{}x)} displays the string \\spad{s} followed by the form \\spad{x} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|OutputForm|)) "\\spad{output(x)} displays the output form \\spad{x} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|String|)) "\\spad{output(s)} displays the string \\spad{s} on the ``algebra output\\spad{''} stream,{} as defined by \\spadsyscom{set output algebra}."))) 
+((|constructor| (NIL "This domain is used to create and manipulate mathematical expressions for output. It is intended to provide an insulating layer between the expression rendering software (\\spadignore{e.g.} TeX, or Script) and the output coercions in the various domains.")) (SEGMENT (($ $) "\\spad{SEGMENT(x)} creates the prefix form: \\spad{x..}.") (($ $ $) "\\spad{SEGMENT(x,y)} creates the infix form: \\spad{x..y}.")) (|not| (($ $) "\\spad{not \\spad{f}} creates the equivalent prefix form.")) (|or| (($ $ $) "\\spad{f or \\spad{g}} creates the equivalent infix form.")) (|and| (($ $ $) "\\spad{f and \\spad{g}} creates the equivalent infix form.")) (|exquo| (($ $ $) "\\spad{exquo(f,g)} creates the equivalent infix form.")) (|quo| (($ $ $) "\\spad{f quo \\spad{g}} creates the equivalent infix form.")) (|rem| (($ $ $) "\\spad{f rem \\spad{g}} creates the equivalent infix form.")) (|div| (($ $ $) "\\spad{f div \\spad{g}} creates the equivalent infix form.")) (** (($ $ $) "\\spad{f \\spad{**} \\spad{g}} creates the equivalent infix form.")) (/ (($ $ $) "\\spad{f / \\spad{g}} creates the equivalent infix form.")) (* (($ $ $) "\\spad{f * \\spad{g}} creates the equivalent infix form.")) (- (($ $) "\\spad{- \\spad{f}} creates the equivalent prefix form.") (($ $ $) "\\spad{f - \\spad{g}} creates the equivalent infix form.")) (+ (($ $ $) "\\spad{f + \\spad{g}} creates the equivalent infix form.")) (>= (($ $ $) "\\spad{f \\spad{>=} \\spad{g}} creates the equivalent infix form.")) (<= (($ $ $) "\\spad{f \\spad{<=} \\spad{g}} creates the equivalent infix form.")) (> (($ $ $) "\\spad{f > \\spad{g}} creates the equivalent infix form.")) (< (($ $ $) "\\spad{f < \\spad{g}} creates the equivalent infix form.")) (^= (($ $ $) "\\spad{f \\spad{^=} \\spad{g}} creates the equivalent infix form.")) (= (($ $ $) "\\spad{f = \\spad{g}} creates the equivalent infix form.")) (|blankSeparate| (($ (|List| $)) "\\spad{blankSeparate(l)} creates the form separating the elements of \\spad{l} by blanks.")) (|semicolonSeparate| (($ (|List| $)) "\\spad{semicolonSeparate(l)} creates the form separating the elements of \\spad{l} by semicolons.")) (|commaSeparate| (($ (|List| $)) "\\spad{commaSeparate(l)} creates the form separating the elements of \\spad{l} by commas.")) (|pile| (($ (|List| $)) "\\spad{pile(l)} creates the form consisting of the elements of \\spad{l} which displays as a pile, \\spadignore{i.e.} the elements begin on a new line and are indented right to the same margin.")) (|paren| (($ (|List| $)) "\\spad{paren(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in parentheses.") (($ $) "\\spad{paren(f)} creates the form enclosing \\spad{f} in parentheses.")) (|bracket| (($ (|List| $)) "\\spad{bracket(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in square brackets.") (($ $) "\\spad{bracket(f)} creates the form enclosing \\spad{f} in square brackets.")) (|brace| (($ (|List| $)) "\\spad{brace(lf)} creates the form separating the elements of \\spad{lf} by commas and encloses the result in curly brackets.") (($ $) "\\spad{brace(f)} creates the form enclosing \\spad{f} in braces (curly brackets).")) (|int| (($ $ $ $) "\\spad{int(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by an integral sign with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{int(expr,lowerlimit)} creates the form prefixing \\spad{expr} by an integral sign with a lowerlimit.") (($ $) "\\spad{int(expr)} creates the form prefixing \\spad{expr} with an integral sign.")) (|prod| (($ $ $ $) "\\spad{prod(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{prod(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital \\spad{pi} with a lowerlimit.") (($ $) "\\spad{prod(expr)} creates the form prefixing \\spad{expr} by a capital pi.")) (|sum| (($ $ $ $) "\\spad{sum(expr,lowerlimit,upperlimit)} creates the form prefixing \\spad{expr} by a capital sigma with both a \\spad{lowerlimit} and upperlimit.") (($ $ $) "\\spad{sum(expr,lowerlimit)} creates the form prefixing \\spad{expr} by a capital sigma with a lowerlimit.") (($ $) "\\spad{sum(expr)} creates the form prefixing \\spad{expr} by a capital sigma.")) (|overlabel| (($ $ $) "\\spad{overlabel(x,f)} creates the form \\spad{f} with \\spad{\"x} overbar\" over the top.")) (|overbar| (($ $) "\\spad{overbar(f)} creates the form \\spad{f} with an overbar.")) (|prime| (($ $ (|NonNegativeInteger|)) "\\spad{prime(f,n)} creates the form \\spad{f} followed by \\spad{n} primes.") (($ $) "\\spad{prime(f)} creates the form \\spad{f} followed by a suffix prime (single quote).")) (|dot| (($ $ (|NonNegativeInteger|)) "\\spad{dot(f,n)} creates the form \\spad{f} with \\spad{n} dots overhead.") (($ $) "\\spad{dot(f)} creates the form with a one dot overhead.")) (|quote| (($ $) "\\spad{quote(f)} creates the form \\spad{f} with a prefix quote.")) (|supersub| (($ $ (|List| $)) "\\spad{supersub(a,[sub1,super1,sub2,super2,...])} creates a form with each subscript aligned under each superscript.")) (|scripts| (($ $ (|List| $)) "\\spad{scripts(f, [sub, super, presuper, presub])} \\indented{1}{creates a form for \\spad{f} with scripts on all 4 corners.}")) (|presuper| (($ $ $) "\\spad{presuper(f,n)} creates a form for \\spad{f} presuperscripted by \\spad{n.}")) (|presub| (($ $ $) "\\spad{presub(f,n)} creates a form for \\spad{f} presubscripted by \\spad{n.}")) (|super| (($ $ $) "\\spad{super(f,n)} creates a form for \\spad{f} superscripted by \\spad{n.}")) (|sub| (($ $ $) "\\spad{sub(f,n)} creates a form for \\spad{f} subscripted by \\spad{n.}")) (|binomial| (($ $ $) "\\spad{binomial(n,m)} creates a form for the binomial coefficient of \\spad{n} and \\spad{m.}")) (|differentiate| (($ $ (|NonNegativeInteger|)) "\\spad{differentiate(f,n)} creates a form for the \\spad{n}th derivative of \\spad{f,} \\spadignore{e.g.} \\spad{f'}, \\spad{f''}, \\spad{f'''}, \\spad{\"f} super \\spad{iv}\".")) (|rarrow| (($ $ $) "\\spad{rarrow(f,g)} creates a form for the mapping \\spad{f \\spad{->} \\spad{g}.}")) (|assign| (($ $ $) "\\spad{assign(f,g)} creates a form for the assignment \\spad{f \\spad{:=} \\spad{g}.}")) (|slash| (($ $ $) "\\spad{slash(f,g)} creates a form for the horizontal fraction of \\spad{f} over \\spad{g.}")) (|over| (($ $ $) "\\spad{over(f,g)} creates a form for the vertical fraction of \\spad{f} over \\spad{g.}")) (|root| (($ $ $) "\\spad{root(f,n)} creates a form for the \\spad{n}th root of form \\spad{f.}") (($ $) "\\spad{root(f)} creates a form for the square root of form \\spad{f.}")) (|zag| (($ $ $) "\\spad{zag(f,g)} creates a form for the continued fraction form for \\spad{f} over \\spad{g.}")) (|matrix| (($ (|List| (|List| $))) "\\spad{matrix(llf)} makes \\spad{llf} (a list of lists of forms) into a form which displays as a matrix.")) (|box| (($ $) "\\spad{box(f)} encloses \\spad{f} in a box.")) (|label| (($ $ $) "\\spad{label(n,f)} gives form \\spad{f} an equation label \\spad{n.}")) (|string| (($ $) "\\spad{string(f)} creates \\spad{f} with string quotes.")) (|elt| (($ $ (|List| $)) "\\spad{elt(op,l)} creates a form for application of \\spad{op} to list of arguments \\spad{l.}")) (|infix?| (((|Boolean|) $) "\\spad{infix?(op)} returns \\spad{true} if \\spad{op} is an infix operator, and \\spad{false} otherwise.")) (|postfix| (($ $ $) "\\spad{postfix(op, a)} creates a form which prints as: a op.")) (|infix| (($ $ $ $) "\\spad{infix(op, a, \\spad{b)}} creates a form which prints as: a \\spad{op} \\spad{b.}") (($ $ (|List| $)) "\\spad{infix(f,l)} creates a form depicting the n-ary application of infix operation \\spad{f} to a tuple of arguments \\spad{l.}")) (|prefix| (($ $ (|List| $)) "\\spad{prefix(f,l)} creates a form depicting the n-ary prefix application of \\spad{f} to a tuple of arguments given by list \\spad{l.}")) (|vconcat| (($ (|List| $)) "\\spad{vconcat(u)} vertically concatenates all forms in list u.") (($ $ $) "\\spad{vconcat(f,g)} vertically concatenates forms \\spad{f} and \\spad{g.}")) (|hconcat| (($ (|List| $)) "\\spad{hconcat(u)} horizontally concatenates all forms in list u.") (($ $ $) "\\spad{hconcat(f,g)} horizontally concatenate forms \\spad{f} and \\spad{g.}")) (|center| (($ $) "\\spad{center(f)} centers form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{center(f,n)} centers form \\spad{f} within space of width \\spad{n.}")) (|right| (($ $) "\\spad{right(f)} right-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{right(f,n)} right-justifies form \\spad{f} within space of width \\spad{n.}")) (|left| (($ $) "\\spad{left(f)} left-justifies form \\spad{f} in total space.") (($ $ (|Integer|)) "\\spad{left(f,n)} left-justifies form \\spad{f} within space of width \\spad{n.}")) (|rspace| (($ (|Integer|) (|Integer|)) "\\spad{rspace(n,m)} creates rectangular white space, \\spad{n} wide by \\spad{m} high.")) (|vspace| (($ (|Integer|)) "\\spad{vspace(n)} creates white space of height \\spad{n.}")) (|hspace| (($ (|Integer|)) "\\spad{hspace(n)} creates white space of width \\spad{n.}")) (|superHeight| (((|Integer|) $) "\\spad{superHeight(f)} returns the height of form \\spad{f} above the base line.")) (|subHeight| (((|Integer|) $) "\\spad{subHeight(f)} returns the height of form \\spad{f} below the base line.")) (|height| (((|Integer|)) "\\spad{height()} returns the height of the display area (an integer).") (((|Integer|) $) "\\spad{height(f)} returns the height of form \\spad{f} (an integer).")) (|width| (((|Integer|)) "\\spad{width()} returns the width of the display area (an integer).") (((|Integer|) $) "\\spad{width(f)} returns the width of form \\spad{f} (an integer).")) (|empty| (($) "\\spad{empty()} creates an empty form.")) (|outputForm| (($ (|DoubleFloat|)) "\\spad{outputForm(sf)} creates an form for small float \\spad{sf.}") (($ (|String|)) "\\spad{outputForm(s)} creates an form for string \\spad{s.}") (($ (|Symbol|)) "\\spad{outputForm(s)} creates an form for symbol \\spad{s.}") (($ (|Integer|)) "\\spad{outputForm(n)} creates an form for integer \\spad{n.}")) (|messagePrint| (((|Void|) (|String|)) "\\spad{messagePrint(s)} prints \\spad{s} without string quotes. Note: \\spad{messagePrint(s)} is equivalent to \\spad{print message(s)}.")) (|message| (($ (|String|)) "\\spad{message(s)} creates an form with no string quotes from string \\spad{s.}")) (|print| (((|Void|) $) "\\spad{print(u)} prints the form u."))) 
+NIL 
 NIL 
+(-853) 
+((|constructor| (NIL "OutPackage allows pretty-printing from programs.")) (|outputList| (((|Void|) (|List| (|Any|))) "\\spad{outputList(l)} displays the concatenated components of the list \\spad{l} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}; quotes are stripped from strings.")) (|output| (((|Void|) (|String|) (|OutputForm|)) "\\spad{output(s,x)} displays the string \\spad{s} followed by the form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|OutputForm|)) "\\spad{output(x)} displays the output form \\spad{x} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}.") (((|Void|) (|String|)) "\\spad{output(s)} displays the string \\spad{s} on the ``algebra output'' stream, as defined by \\spadsyscom{set output algebra}."))) 
 NIL 
-(-853 |VariableList|) 
+NIL 
+(-854 |VariableList|) 
 ((|constructor| (NIL "This domain implements ordered variables")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} returns a member of the variable set or failed"))) 
 NIL 
 NIL 
-(-854 R |vl| |wl| |wtlevel|) 
-((|constructor| (NIL "This domain represents truncated weighted polynomials over the \"Polynomial\" type. The variables must be specified,{} as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} This changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero,{} and if \\spad{R} is a Field)")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(p)} coerces a Polynomial(\\spad{R}) into Weighted form,{} applying weights and ignoring terms") (((|Polynomial| |#1|) $) "\\spad{coerce(p)} converts back into a Polynomial(\\spad{R}),{} ignoring weights"))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+(-855 R |vl| |wl| |wtlevel|) 
+((|constructor| (NIL "This domain represents truncated weighted polynomials over the \"Polynomial\" type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} This changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(p)} coerces a Polynomial(R) into Weighted form, applying weights and ignoring terms") (((|Polynomial| |#1|) $) "\\spad{coerce(p)} converts back into a Polynomial(R), ignoring weights"))) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-855) 
-((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
-(-856 |downLevel|) 
-((|constructor| (NIL "This domain implement dynamic extension over the PseudoAlgebraicClosureOfRationalNumber. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-861) (QUOTE (-151))) (|HasCategory| (-861) (QUOTE (-149))) (|HasCategory| (-861) (QUOTE (-371))) (|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-861) (QUOTE (-149))) (|HasCategory| (-861) (QUOTE (-371)))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-861) (QUOTE (-371))))) 
-(-857) 
-((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfFiniteField which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
-(-858 K) 
-((|constructor| (NIL "This domain implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-856) 
+((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfAlgExtOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-857 |downLevel|) 
+((|constructor| (NIL "This domain implement dynamic extension over the PseudoAlgebraicClosureOfRationalNumber. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-862) (QUOTE (-151))) (|HasCategory| (-862) (QUOTE (-149))) (|HasCategory| (-862) (QUOTE (-371))) (|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-862) (QUOTE (-149))) (|HasCategory| (-862) (QUOTE (-371)))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-371))) (|HasCategory| (-862) (QUOTE (-371))))) 
+(-858) 
+((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfFiniteField which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-859 K) 
+((|constructor| (NIL "This domain implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-371)))) 
-(-859) 
-((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,{}a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
 (-860) 
-((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This category exports the function for domains which implement dynamic extension using the simple notion of tower extensions. \\spad{++} A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions.")) (|previousTower| (($ $) "\\spad{previousTower(a)} returns the previous tower extension over which the element a is defined.")) (|extDegree| (((|PositiveInteger|) $) "\\spad{extDegree(a)} returns the extension degree of the extension tower over which the element is defined.")) (|maxTower| (($ (|List| $)) "\\spad{maxTower(l)} returns the tower in the list having the maximal extension degree over the ground field. It has no meaning if the towers are not related.")) (|distinguishedRootsOf| (((|List| $) (|SparseUnivariatePolynomial| $) $) "\\spad{distinguishedRootsOf(p,a)} returns a (distinguised) root for each irreducible factor of the polynomial \\spad{p} (factored over the field defined by the element a)."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-861) 
-((|constructor| (NIL "This domain implements dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension (\\spad{T} : \\spad{K_0},{} \\spad{K_1},{} ...,{} K_i...,{}\\spad{K_n}) where \\spad{K_0} = \\spad{K} and for \\spad{i} \\spad{=1},{}2,{}...,{}\\spad{n},{} K_i is an extension of \\spad{K_}{\\spad{i}-1} of degree > 1 and defined by an irreducible polynomial \\spad{p}(\\spad{Z}) in \\spad{K_}{\\spad{i}-1}. Two towers (T_1: \\spad{K_01},{} \\spad{K_11},{}...,{}\\spad{K_i1},{}...,{}\\spad{K_n1}) and (T_2: \\spad{K_02},{} \\spad{K_12},{}...,{}\\spad{K_i2},{}...,{}\\spad{K_n2}) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} \\spad{T_2}),{} that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1},{}2,{}...,{}\\spad{n1} (or \\spad{i=1},{}2,{}...,{}\\spad{n2}). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-2232 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))))) 
-(-862 R PS UP) 
-((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{padecf(nd,{}dd,{}ns,{}ds)} computes the approximant as a continued fraction of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function).")) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{pade(nd,{}dd,{}ns,{}ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function)."))) 
+((|constructor| (NIL "This category exports the function for the domain PseudoAlgebraicClosureOfRationalNumber which implement dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
+(-862) 
+((|constructor| (NIL "This domain implements dynamic extension using the simple notion of tower extensions. A tower extension \\spad{T} of the ground field \\spad{K} is any sequence of field extension \\spad{(T} : K_0, K_1, ..., K_i...,K_n) where \\spad{K_0} = \\spad{K} and for \\spad{i} =1,2,...,n, K_i is an extension of K_{i-1} of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}. Two towers (T_1: K_01, K_11,...,K_i1,...,K_n1) and (T_2: K_02, K_12,...,K_i2,...,K_n2) are said to be related if \\spad{T_1} \\spad{<=} \\spad{T_2} (or \\spad{T_1} \\spad{>=} T_2), that is if \\spad{K_i1} = \\spad{K_i2} for \\spad{i=1,2,...,n1} (or i=1,2,...,n2). Any algebraic operations defined for several elements are only defined if all of the concerned elements are comming from a set of related tour extensions."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-410 (-569)) (QUOTE (-151))) (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))) (-1929 (|HasCategory| (-410 (-569)) (QUOTE (-149))) (|HasCategory| (-410 (-569)) (QUOTE (-371))))) 
+(-863 R PS UP) 
+((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|padecf| (((|Union| (|ContinuedFraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{padecf(nd,dd,ns,ds)} computes the approximant as a continued fraction of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function).")) (|pade| (((|Union| (|Fraction| |#3|) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) |#2| |#2|) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
-(-863 R |x| |pt|) 
-((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,{}dd,{}s)} computes the quotient of polynomials (if it exists) with numerator degree at most \\spad{nd} and denominator degree at most \\spad{dd} which matches the series \\spad{s} to order \\spad{nd + dd}.") (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,{}dd,{}ns,{}ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant),{} \\spad{dd} (denominator degree of approximant),{} \\spad{ns} (numerator series of function),{} and \\spad{ds} (denominator series of function)."))) 
 NIL 
+(-864 R |x| |pt|) 
+((|constructor| (NIL "This package computes reliable Pad&ea. approximants using a generalized Viskovatov continued fraction algorithm.")) (|pade| (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,s)} computes the quotient of polynomials (if it exists) with numerator degree at most \\spad{nd} and denominator degree at most \\spad{dd} which matches the series \\spad{s} to order \\spad{nd + dd}.") (((|Union| (|Fraction| (|UnivariatePolynomial| |#2| |#1|)) "failed") (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateTaylorSeries| |#1| |#2| |#3|) (|UnivariateTaylorSeries| |#1| |#2| |#3|)) "\\spad{pade(nd,dd,ns,ds)} computes the approximant as a quotient of polynomials (if it exists) for arguments \\spad{nd} (numerator degree of approximant), \\spad{dd} (denominator degree of approximant), \\spad{ns} (numerator series of function), and \\spad{ds} (denominator series of function)."))) 
 NIL 
-(-864 |p|) 
-((|constructor| (NIL "This is the category of stream-based representations of the \\spad{p}-adic integers.")) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{root(f,{}a)} returns a root of the polynomial \\spad{f}. Argument \\spad{a} must be a root of \\spad{f} \\spad{(mod p)}.")) (|sqrt| (($ $ (|Integer|)) "\\spad{sqrt(b,{}a)} returns a square root of \\spad{b}. Argument \\spad{a} is a square root of \\spad{b} \\spad{(mod p)}.")) (|approximate| (((|Integer|) $ (|Integer|)) "\\spad{approximate(x,{}n)} returns an integer \\spad{y} such that \\spad{y = x (mod p^n)} when \\spad{n} is positive,{} and 0 otherwise.")) (|quotientByP| (($ $) "\\spad{quotientByP(x)} returns \\spad{b},{} where \\spad{x = a + b p}.")) (|moduloP| (((|Integer|) $) "\\spad{modulo(x)} returns a,{} where \\spad{x = a + b p}.")) (|modulus| (((|Integer|)) "\\spad{modulus()} returns the value of \\spad{p}.")) (|complete| (($ $) "\\spad{complete(x)} forces the computation of all digits.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,{}n)} forces the computation of digits up to order \\spad{n}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the exponent of the highest power of \\spad{p} dividing \\spad{x}.")) (|digits| (((|Stream| (|Integer|)) $) "\\spad{digits(x)} returns a stream of \\spad{p}-adic digits of \\spad{x}."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-865 |p|) 
-((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} \\spad{p}-adic numbers are represented as sum(\\spad{i} = 0..,{} a[\\spad{i}] * p^i),{} where the a[\\spad{i}] lie in 0,{}1,{}...,{}(\\spad{p} - 1)."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|constructor| (NIL "This is the category of stream-based representations of the p-adic integers.")) (|root| (($ (|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{root(f,a)} returns a root of the polynomial \\spad{f}. Argument \\spad{a} must be a root of \\spad{f} \\spad{(mod p)}.")) (|sqrt| (($ $ (|Integer|)) "\\spad{sqrt(b,a)} returns a square root of \\spad{b.} Argument \\spad{a} is a square root of \\spad{b} \\spad{(mod p)}.")) (|approximate| (((|Integer|) $ (|Integer|)) "\\spad{approximate(x,n)} returns an integer \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)} when \\spad{n} is positive, and 0 otherwise.")) (|quotientByP| (($ $) "\\spad{quotientByP(x)} returns \\spad{b,} where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|moduloP| (((|Integer|) $) "\\spad{modulo(x)} returns a, where \\spad{x = a + \\spad{b} \\spad{p}.}")) (|modulus| (((|Integer|)) "\\spad{modulus()} returns the value of \\spad{p.}")) (|complete| (($ $) "\\spad{complete(x)} forces the computation of all digits.")) (|extend| (($ $ (|Integer|)) "\\spad{extend(x,n)} forces the computation of digits up to order \\spad{n.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(x)} returns the exponent of the highest power of \\spad{p} dividing \\spad{x.}")) (|digits| (((|Stream| (|Integer|)) $) "\\spad{digits(x)} returns a stream of p-adic digits of \\spad{x.}"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 (-866 |p|) 
-((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(\\spad{i} = \\spad{k}..,{} a[\\spad{i}] * p^i) where the a[\\spad{i}] lie in 0,{}1,{}...,{}(\\spad{p} - 1)."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-865 |#1|) (QUOTE (-905))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-865 |#1|) (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-151))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-865 |#1|) (QUOTE (-1022))) (|HasCategory| (-865 |#1|) (QUOTE (-816))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (QUOTE (-1137))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-865 |#1|) (QUOTE (-226))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -865) (|devaluate| |#1|)) (LIST (QUOTE -865) (|devaluate| |#1|)))) (|HasCategory| (-865 |#1|) (QUOTE (-302))) (|HasCategory| (-865 |#1|) (QUOTE (-551))) (|HasCategory| (-865 |#1|) (QUOTE (-843))) (-2232 (|HasCategory| (-865 |#1|) (QUOTE (-816))) (|HasCategory| (-865 |#1|) (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-865 |#1|) (QUOTE (-905)))) (|HasCategory| (-865 |#1|) (QUOTE (-149))))) 
-(-867 |p| PADIC) 
-((|constructor| (NIL "This is the category of stream-based representations of \\spad{Qp}.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}x)} removes up to \\spad{n} leading zeroes from the \\spad{p}-adic rational \\spad{x}.") (($ $) "\\spad{removeZeroes(x)} removes leading zeroes from the representation of the \\spad{p}-adic rational \\spad{x}. A \\spad{p}-adic rational is represented by (1) an exponent and (2) a \\spad{p}-adic integer which may have leading zero digits. When the \\spad{p}-adic integer has a leading zero digit,{} a 'leading zero' is removed from the \\spad{p}-adic rational as follows: the number is rewritten by increasing the exponent by 1 and dividing the \\spad{p}-adic integer by \\spad{p}. Note: \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}.")) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) "\\spad{continuedFraction(x)} converts the \\spad{p}-adic rational number \\spad{x} to a continued fraction.")) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) "\\spad{approximate(x,{}n)} returns a rational number \\spad{y} such that \\spad{y = x (mod p^n)}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-843))) (-2232 (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (QUOTE (-843)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-868 K |symb| BLMET) 
-((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial defined by setCurve.")) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor of the form \\spad{pol} with the curve. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}."))) 
-NIL 
-((|HasCategory| (-858 |#1|) (QUOTE (-371)))) 
+((|constructor| (NIL "Stream-based implementation of \\spad{Zp:} p-adic numbers are represented as sum(i = 0.., a[i] * p^i), where the a[i] lie in 0,1,...,(p - 1)."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-867 |p|) 
+((|constructor| (NIL "Stream-based implementation of \\spad{Qp:} numbers are represented as sum(i = k.., a[i] * p^i) where the a[i] lie in 0,1,...,(p - 1)."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-866 |#1|) (QUOTE (-906))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-866 |#1|) (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-151))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-866 |#1|) (QUOTE (-1023))) (|HasCategory| (-866 |#1|) (QUOTE (-817))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (QUOTE (-1139))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-866 |#1|) (QUOTE (-226))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -304) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (LIST (QUOTE -282) (LIST (QUOTE -866) (|devaluate| |#1|)) (LIST (QUOTE -866) (|devaluate| |#1|)))) (|HasCategory| (-866 |#1|) (QUOTE (-302))) (|HasCategory| (-866 |#1|) (QUOTE (-551))) (|HasCategory| (-866 |#1|) (QUOTE (-844))) (-1929 (|HasCategory| (-866 |#1|) (QUOTE (-817))) (|HasCategory| (-866 |#1|) (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-866 |#1|) (QUOTE (-906)))) (|HasCategory| (-866 |#1|) (QUOTE (-149))))) 
+(-868 |p| PADIC) 
+((|constructor| (NIL "This is the category of stream-based representations of \\spad{Qp.}")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,x)} removes up to \\spad{n} leading zeroes from the p-adic rational \\spad{x}.") (($ $) "\\spad{removeZeroes(x)} removes leading zeroes from the representation of the p-adic rational \\spad{x}. A p-adic rational is represented by \\spad{(1)} an exponent and \\spad{(2)} a p-adic integer which may have leading zero digits. When the p-adic integer has a leading zero digit, a 'leading zero' is removed from the p-adic rational as follows: the number is rewritten by increasing the exponent by 1 and dividing the p-adic integer by \\spad{p.} Note: \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f.}")) (|continuedFraction| (((|ContinuedFraction| (|Fraction| (|Integer|))) $) "\\spad{continuedFraction(x)} converts the p-adic rational number \\spad{x} to a continued fraction.")) (|approximate| (((|Fraction| (|Integer|)) $ (|Integer|)) "\\spad{approximate(x,n)} returns a rational number \\spad{y} such that \\spad{y = \\spad{x} (mod p^n)}."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-844))) (-1929 (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (QUOTE (-844)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
 (-869 K |symb| BLMET) 
-((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the \\spad{L}-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the \\spad{L}-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(\\spad{d},{} \\spad{n}) returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the \\spad{L}-Polynomial of the curve in constant field extension of degree \\spad{d}.") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the \\spad{L}-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial set with the function setCurve.")) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field,{} an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{evalIfCan(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{eval(u,{}pl)} evaluate the function \\spad{u} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,{}g,{}pl)} evaluate the function \\spad{f/g} at the place \\spad{pl}.") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,{}pl)} evaluate \\spad{f} at the place \\spad{pl}.")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,{}n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d}.")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{parametrize(f,{}pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl}.")) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|Places| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl}."))) 
-NIL 
-((|HasCategory| |#1| (QUOTE (-371)))) 
-(-870) 
-((|constructor| (NIL "This domain describes four groups of color shades (palettes).")) (|coerce| (($ (|Color|)) "\\spad{coerce(c)} sets the average shade for the palette to that of the indicated color \\spad{c}.")) (|shade| (((|Integer|) $) "\\spad{shade(p)} returns the shade index of the indicated palette \\spad{p}.")) (|hue| (((|Color|) $) "\\spad{hue(p)} returns the hue field of the indicated palette \\spad{p}.")) (|light| (($ (|Color|)) "\\spad{light(c)} sets the shade of a hue,{} \\spad{c},{} to it\\spad{'s} highest value.")) (|pastel| (($ (|Color|)) "\\spad{pastel(c)} sets the shade of a hue,{} \\spad{c},{} above bright,{} but below light.")) (|bright| (($ (|Color|)) "\\spad{bright(c)} sets the shade of a hue,{} \\spad{c},{} above dim,{} but below pastel.")) (|dim| (($ (|Color|)) "\\spad{dim(c)} sets the shade of a hue,{} \\spad{c},{} above dark,{} but below bright.")) (|dark| (($ (|Color|)) "\\spad{dark(c)} sets the shade of the indicated hue of \\spad{c} to it\\spad{'s} lowest value."))) 
+((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial defined by setCurve.")) (|intersectionDivisor| (((|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor of the form \\spad{pol} with the curve. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |#1|) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
+((|HasCategory| (-859 |#1|) (QUOTE (-371)))) 
+(-870 K |symb| BLMET) 
+((|constructor| (NIL "A package that implements the Brill-Noether algorithm. Part of the PAFF package")) (|ZetaFunction| (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|) (|PositiveInteger|)) "Returns the Zeta function of the curve in constant field extension. Calculated by using the L-Polynomial") (((|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) "Returns the Zeta function of the curve. Calculated by using the L-Polynomial")) (|numberPlacesDegExtDeg| (((|Integer|) (|PositiveInteger|) (|PositiveInteger|)) "numberRatPlacesExtDegExtDeg(d, \\spad{n)} returns the number of places of degree \\spad{d} in the constant field extension of degree \\spad{n}")) (|numberRatPlacesExtDeg| (((|Integer|) (|PositiveInteger|)) "\\spad{numberRatPlacesExtDeg(n)} returns the number of rational places in the constant field extenstion of degree \\spad{n}")) (|numberOfPlacesOfDegree| (((|Integer|) (|PositiveInteger|)) "returns the number of places of the given degree")) (|placesOfDegree| (((|List| (|Places| |#1|)) (|PositiveInteger|)) "\\spad{placesOfDegree(d)} returns all places of degree \\spad{d} of the curve.")) (|classNumber| (((|Integer|)) "Returns the class number of the curve.")) (|LPolynomial| (((|SparseUnivariatePolynomial| (|Integer|)) (|PositiveInteger|)) "\\spad{LPolynomial(d)} returns the L-Polynomial of the curve in constant field extension of degree \\spad{d.}") (((|SparseUnivariatePolynomial| (|Integer|))) "Returns the L-Polynomial of the curve.")) (|adjunctionDivisor| (((|Divisor| (|Places| |#1|))) "\\spad{adjunctionDivisor computes} the adjunction divisor of the plane curve given by the polynomial set with the function setCurve.")) (|intersectionDivisor| (((|Divisor| (|Places| |#1|)) (|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{intersectionDivisor(pol)} compute the intersection divisor (the Cartier divisor) of the form \\spad{pol} with the curve. If some intersection points lie in an extension of the ground field, an error message is issued specifying the extension degree needed to find all the intersection points. (If \\spad{pol} is not homogeneous an error message is issued).")) (|evalIfCan| (((|Union| |#1| "failed") (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{evalIfCan(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl} (returns \"failed\" if it is a pole).") (((|Union| |#1| "failed") (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{evalIfCan(f,pl)} evaluate \\spad{f} at the place \\spad{pl} (returns \"failed\" if it is a pole).")) (|eval| ((|#1| (|Fraction| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Places| |#1|)) "\\spad{eval(u,pl)} evaluate the function \\spad{u} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,g,pl)} evaluate the function \\spad{f/g} at the place \\spad{pl.}") ((|#1| (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{eval(f,pl)} evaluate \\spad{f} at the place \\spad{pl.}")) (|interpolateForms| (((|List| (|DistributedMultivariatePolynomial| |#2| |#1|)) (|Divisor| (|Places| |#1|)) (|NonNegativeInteger|)) "\\spad{interpolateForms(d,n)} returns a basis of the interpolate forms of degree \\spad{n} of the divisor \\spad{d.}")) (|lBasis| (((|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|:| |den| (|DistributedMultivariatePolynomial| |#2| |#1|))) (|Divisor| (|Places| |#1|))) "\\spad{lBasis computes} a basis associated to the specified divisor")) (|parametrize| (((|NeitherSparseOrDensePowerSeries| |#1|) (|DistributedMultivariatePolynomial| |#2| |#1|) (|Places| |#1|)) "\\spad{parametrize(f,pl)} returns a local parametrization of \\spad{f} at the place \\spad{pl.}")) (|singularPoints| (((|List| (|ProjectivePlane| |#1|))) "rationalPoints() returns the singular points of the curve defined by the polynomial given to the package. If the singular points lie in an extension of the specified ground field an error message is issued specifying the extension degree needed to find all singular points.")) (|desingTree| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTree returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package.")) (|desingTreeWoFullParam| (((|List| (|DesingTree| (|InfClsPt| |#1| |#2| |#3|)))) "\\spad{desingTreeWoFullParam returns} the desingularisation trees at all singular points of the curve defined by the polynomial given to the package. The local parametrizations are not computed.")) (|genus| (((|NonNegativeInteger|)) "\\spad{genus returns} the genus of the curve defined by the polynomial given to the package.")) (|theCurve| (((|DistributedMultivariatePolynomial| |#2| |#1|)) "\\spad{theCurve returns} the specified polynomial for the package.")) (|rationalPlaces| (((|List| (|Places| |#1|))) "\\spad{rationalPlaces returns} all the rational places of the curve defined by the polynomial given to the package.")) (|pointDominateBy| (((|ProjectivePlane| |#1|) (|Places| |#1|)) "\\spad{pointDominateBy(pl)} returns the projective point dominated by the place \\spad{pl.}"))) 
 NIL 
+((|HasCategory| |#1| (QUOTE (-371)))) 
 (-871) 
-((|constructor| (NIL "This package provides a coerce from polynomials over algebraic numbers to \\spadtype{Expression AlgebraicNumber}.")) (|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) "\\spad{coerce(rf)} converts \\spad{rf},{} a fraction of polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}.") (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) "\\spad{coerce(p)} converts the polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}."))) 
+((|constructor| (NIL "This domain describes four groups of color shades (palettes).")) (|coerce| (($ (|Color|)) "\\spad{coerce(c)} sets the average shade for the palette to that of the indicated color \\spad{c.}")) (|shade| (((|Integer|) $) "\\spad{shade(p)} returns the shade index of the indicated palette \\spad{p.}")) (|hue| (((|Color|) $) "\\spad{hue(p)} returns the hue field of the indicated palette \\spad{p.}")) (|light| (($ (|Color|)) "\\spad{light(c)} sets the shade of a hue, \\spad{c,} to it's highest value.")) (|pastel| (($ (|Color|)) "\\spad{pastel(c)} sets the shade of a hue, \\spad{c,} above bright, but below light.")) (|bright| (($ (|Color|)) "\\spad{bright(c)} sets the shade of a hue, \\spad{c,} above dim, but below pastel.")) (|dim| (($ (|Color|)) "\\spad{dim(c)} sets the shade of a hue, \\spad{c,} above dark, but below bright.")) (|dark| (($ (|Color|)) "\\spad{dark(c)} sets the shade of the indicated hue of \\spad{c} to it's lowest value."))) 
 NIL 
 NIL 
-(-872 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|parametrize| ((|#6| |#3| |#7| (|Integer|)) "\\spad{parametrize(f,{}pl,{}n)} returns t**n * parametrize(\\spad{f},{}\\spad{p}).") ((|#6| |#3| |#3| |#7|) "\\spad{parametrize(f,{}g,{}pl)} returns the local parametrization of the rational function \\spad{f/g} at the place \\spad{pl}. Note that local parametrization of the place must have first been compute and set. For simple point on a curve,{} this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}.") ((|#6| |#3| |#7|) "\\spad{parametrize(f,{}pl)} returns the local parametrization of the polynomial function \\spad{f} at the place \\spad{pl}. Note that local parametrization of the place must have first been compute and set. For simple point on a curve,{} this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}."))) 
+(-872) 
+((|constructor| (NIL "This package provides a coerce from polynomials over algebraic numbers to \\spadtype{Expression AlgebraicNumber}.")) (|coerce| (((|Expression| (|Integer|)) (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) "\\spad{coerce(rf)} converts \\spad{rf}, a fraction of polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}.") (((|Expression| (|Integer|)) (|Polynomial| (|AlgebraicNumber|))) "\\spad{coerce(p)} converts the polynomial \\spad{p} with algebraic number coefficients to \\spadtype{Expression Integer}."))) 
 NIL 
 NIL 
-(-873 CF1 CF2) 
-((|constructor| (NIL "This package has no description")) (|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
+(-873 K |symb| |PolyRing| E |ProjPt| PCS |Plc|) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|parametrize| ((|#6| |#3| |#7| (|Integer|)) "\\spad{parametrize(f,pl,n)} returns t**n * parametrize(f,p).") ((|#6| |#3| |#3| |#7|) "\\spad{parametrize(f,g,pl)} returns the local parametrization of the rational function \\spad{f/g} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}.") ((|#6| |#3| |#7|) "\\spad{parametrize(f,pl)} returns the local parametrization of the polynomial function \\spad{f} at the place \\spad{pl.} Note that local parametrization of the place must have first been compute and set. For simple point on a curve, this done with \\spad{pointToPlace}. The local parametrization places corresponding to a leaf in a desingularization tree are compute at the moment of their \"creation\". (See package \\spad{DesingTreePackage}."))) 
 NIL 
 NIL 
-(-874 |ComponentFunction|) 
-((|constructor| (NIL "ParametricPlaneCurve is used for plotting parametric plane curves in the affine plane.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,{}i)} returns a coordinate function for \\spad{c} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component \\spad{i} of the plane curve is.")) (|curve| (($ |#1| |#1|) "\\spad{curve(c1,{}c2)} creates a plane curve from 2 component functions \\spad{c1} and \\spad{c2}."))) 
+(-874 CF1 CF2) 
+((|constructor| (NIL "This package has no description")) (|map| (((|ParametricPlaneCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricPlaneCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-875 CF1 CF2) 
-((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
+(-875 |ComponentFunction|) 
+((|constructor| (NIL "ParametricPlaneCurve is used for plotting parametric plane curves in the affine plane.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function for \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component \\spad{i} of the plane curve is.")) (|curve| (($ |#1| |#1|) "\\spad{curve(c1,c2)} creates a plane curve from 2 component functions \\spad{c1} and \\spad{c2}."))) 
 NIL 
 NIL 
-(-876 |ComponentFunction|) 
-((|constructor| (NIL "ParametricSpaceCurve is used for plotting parametric space curves in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,{}i)} returns a coordinate function of \\spad{c} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component,{} \\spad{i},{} of the space curve is.")) (|curve| (($ |#1| |#1| |#1|) "\\spad{curve(c1,{}c2,{}c3)} creates a space curve from 3 component functions \\spad{c1},{} \\spad{c2},{} and \\spad{c3}."))) 
+(-876 CF1 CF2) 
+((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSpaceCurve| |#2|) (|Mapping| |#2| |#1|) (|ParametricSpaceCurve| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-877 CF1 CF2) 
-((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) "\\spad{map(f,{}x)} \\undocumented"))) 
+(-877 |ComponentFunction|) 
+((|constructor| (NIL "ParametricSpaceCurve is used for plotting parametric space curves in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(c,i)} returns a coordinate function of \\spad{c} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the space curve is.")) (|curve| (($ |#1| |#1| |#1|) "\\spad{curve(c1,c2,c3)} creates a space curve from 3 component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-878 |ComponentFunction|) 
-((|constructor| (NIL "ParametricSurface is used for plotting parametric surfaces in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(s,{}i)} returns a coordinate function of \\spad{s} using 1-based indexing according to \\spad{i}. This indicates what the function for the coordinate component,{} \\spad{i},{} of the surface is.")) (|surface| (($ |#1| |#1| |#1|) "\\spad{surface(c1,{}c2,{}c3)} creates a surface from 3 parametric component functions \\spad{c1},{} \\spad{c2},{} and \\spad{c3}."))) 
+(-878 CF1 CF2) 
+((|constructor| (NIL "This package has no description")) (|map| (((|ParametricSurface| |#2|) (|Mapping| |#2| |#1|) (|ParametricSurface| |#1|)) "\\spad{map(f,x)} \\undocumented"))) 
 NIL 
 NIL 
-(-879) 
-((|constructor| (NIL "PartitionsAndPermutations contains functions for generating streams of integer partitions,{} and streams of sequences of integers composed from a multi-set.")) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{permutations(n)} is the stream of permutations \\indented{1}{formed from \\spad{1,{}2,{}3,{}...,{}n}.}")) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{sequences([l0,{}l1,{}l2,{}..,{}ln])} is the set of \\indented{1}{all sequences formed from} \\spad{l0} 0\\spad{'s},{}\\spad{l1} 1\\spad{'s},{}\\spad{l2} 2\\spad{'s},{}...,{}\\spad{ln} \\spad{n}\\spad{'s}.") (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{sequences(l1,{}l2)} is the stream of all sequences that \\indented{1}{can be composed from the multiset defined from} \\indented{1}{two lists of integers \\spad{l1} and \\spad{l2}.} \\indented{1}{For example,{}the pair \\spad{([1,{}2,{}4],{}[2,{}3,{}5])} represents} \\indented{1}{multi-set with 1 \\spad{2},{} 2 \\spad{3}\\spad{'s},{} and 4 \\spad{5}\\spad{'s}.}")) (|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) "\\spad{shufflein(l,{}st)} maps shuffle(\\spad{l},{}\\spad{u}) on to all \\indented{1}{members \\spad{u} of \\spad{st},{} concatenating the results.}")) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{shuffle(l1,{}l2)} forms the stream of all shuffles of \\spad{l1} \\indented{1}{and \\spad{l2},{} \\spadignore{i.e.} all sequences that can be formed from} \\indented{1}{merging \\spad{l1} and \\spad{l2}.}")) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) "\\spad{conjugates(lp)} is the stream of conjugates of a stream \\indented{1}{of partitions \\spad{lp}.}")) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) "\\spad{conjugate(pt)} is the conjugate of the partition \\spad{pt}.")) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{partitions(p,{}l)} is the stream of all \\indented{1}{partitions whose number of} \\indented{1}{parts and largest part are no greater than \\spad{p} and \\spad{l}.}") (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{partitions(n)} is the stream of all partitions of \\spad{n}.") (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) "\\spad{partitions(p,{}l,{}n)} is the stream of partitions \\indented{1}{of \\spad{n} whose number of parts is no greater than \\spad{p}} \\indented{1}{and whose largest part is no greater than \\spad{l}.}"))) 
+(-879 |ComponentFunction|) 
+((|constructor| (NIL "ParametricSurface is used for plotting parametric surfaces in affine 3-space.")) (|coordinate| ((|#1| $ (|NonNegativeInteger|)) "\\spad{coordinate(s,i)} returns a coordinate function of \\spad{s} using 1-based indexing according to i. This indicates what the function for the coordinate component, i, of the surface is.")) (|surface| (($ |#1| |#1| |#1|) "\\spad{surface(c1,c2,c3)} creates a surface from 3 parametric component functions \\spad{c1}, \\spad{c2}, and \\spad{c3}."))) 
 NIL 
 NIL 
-(-880 R) 
-((|constructor| (NIL "An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
+(-880) 
+((|constructor| (NIL "PartitionsAndPermutations contains functions for generating streams of integer partitions, and streams of sequences of integers composed from a multi-set.")) (|permutations| (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{permutations(n)} is the stream of permutations \\indented{1}{formed from \\spad{1,2,3,...,n}.}")) (|sequences| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{sequences([l0,l1,l2,..,ln])} is the set of \\indented{1}{all sequences formed from} \\spad{l0} 0's,\\spad{l1} 1's,\\spad{l2} 2's,...,\\spad{ln} n's.") (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{sequences(l1,l2)} is the stream of all sequences that \\indented{1}{can be composed from the multiset defined from} \\indented{1}{two lists of integers \\spad{l1} and l2.} \\indented{1}{For example,the pair \\spad{([1,2,4],[2,3,5])} represents} \\indented{1}{multi-set with 1 \\spad{2}, 2 \\spad{3}'s, and 4 \\spad{5}'s.}")) (|shufflein| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|Stream| (|List| (|Integer|)))) "\\spad{shufflein(l,st)} maps shuffle(l,u) on to all \\indented{1}{members \\spad{u} of \\spad{st,} concatenating the results.}")) (|shuffle| (((|Stream| (|List| (|Integer|))) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{shuffle(l1,l2)} forms the stream of all shuffles of \\spad{l1} \\indented{1}{and \\spad{l2,} \\spadignore{i.e.} all sequences that can be formed from} \\indented{1}{merging \\spad{l1} and l2.}")) (|conjugates| (((|Stream| (|List| (|Integer|))) (|Stream| (|List| (|Integer|)))) "\\spad{conjugates(lp)} is the stream of conjugates of a stream \\indented{1}{of partitions lp.}")) (|conjugate| (((|List| (|Integer|)) (|List| (|Integer|))) "\\spad{conjugate(pt)} is the conjugate of the partition \\spad{pt.}")) (|partitions| (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{partitions(p,l)} is the stream of all \\indented{1}{partitions whose number of} \\indented{1}{parts and largest part are no greater than \\spad{p} and \\spad{l.}}") (((|Stream| (|List| (|Integer|))) (|Integer|)) "\\spad{partitions(n)} is the stream of all partitions of \\spad{n.}") (((|Stream| (|List| (|Integer|))) (|Integer|) (|Integer|) (|Integer|)) "\\spad{partitions(p,l,n)} is the stream of partitions \\indented{1}{of \\spad{n} whose number of parts is no greater than \\spad{p}} \\indented{1}{and whose largest part is no greater than \\spad{l.}}"))) 
 NIL 
 NIL 
-(-881 R S L) 
-((|constructor| (NIL "A PatternMatchListResult is an object internally returned by the pattern matcher when matching on lists. It is either a failed match,{} or a pair of PatternMatchResult,{} one for atoms (elements of the list),{} and one for lists.")) (|lists| (((|PatternMatchResult| |#1| |#3|) $) "\\spad{lists(r)} returns the list of matches that match lists.")) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) "\\spad{atoms(r)} returns the list of matches that match atoms (elements of the lists).")) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) "\\spad{makeResult(r1,{}r2)} makes the combined result [\\spad{r1},{}\\spad{r2}].")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
+(-881 R) 
+((|constructor| (NIL "An object \\spad{S} is Patternable over an object \\spad{R} if \\spad{S} can lift the conversions from \\spad{R} into \\spadtype{Pattern(Integer)} and \\spadtype{Pattern(Float)} to itself."))) 
 NIL 
 NIL 
-(-882 S) 
-((|constructor| (NIL "A set \\spad{R} is PatternMatchable over \\spad{S} if elements of \\spad{R} can be matched to patterns over \\spad{S}.")) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}. res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion). Initially,{} res is just the result of \\spadfun{new} which is an empty list of matches."))) 
+(-882 R S L) 
+((|constructor| (NIL "A PatternMatchListResult is an object internally returned by the pattern matcher when matching on lists. It is either a failed match, or a pair of PatternMatchResult, one for atoms (elements of the list), and one for lists.")) (|lists| (((|PatternMatchResult| |#1| |#3|) $) "\\spad{lists(r)} returns the list of matches that match lists.")) (|atoms| (((|PatternMatchResult| |#1| |#2|) $) "\\spad{atoms(r)} returns the list of matches that match atoms (elements of the lists).")) (|makeResult| (($ (|PatternMatchResult| |#1| |#2|) (|PatternMatchResult| |#1| |#3|)) "\\spad{makeResult(r1,r2)} makes the combined result [r1,r2].")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-883 |Base| |Subject| |Pat|) 
-((|constructor| (NIL "This package provides the top-level pattern macthing functions.")) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a match of the form \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty match if \\spad{expr} is exactly equal to pat. returns a \\spadfun{failed} match if pat does not match \\spad{expr}.") (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match \\spad{expr}.") (((|List| (|Equation| |#2|)) |#2| |#3|) "\\spad{Is(expr,{} pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,{}...,{}vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match \\spad{expr}.") (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) "\\spad{Is([e1,{}...,{}en],{} pat)} matches the pattern pat on the list of expressions \\spad{[e1,{}...,{}en]} and returns the result.")) (|is?| (((|Boolean|) (|List| |#2|) |#3|) "\\spad{is?([e1,{}...,{}en],{} pat)} tests if the list of expressions \\spad{[e1,{}...,{}en]} matches the pattern pat.") (((|Boolean|) |#2| |#3|) "\\spad{is?(expr,{} pat)} tests if the expression \\spad{expr} matches the pattern pat."))) 
+(-883 S) 
+((|constructor| (NIL "A set \\spad{R} is PatternMatchable over \\spad{S} if elements of \\spad{R} can be matched to patterns over \\spad{S.}")) (|patternMatch| (((|PatternMatchResult| |#1| $) $ (|Pattern| |#1|) (|PatternMatchResult| |#1| $)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr. res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion). Initially, res is just the result of \\spadfun{new} which is an empty list of matches."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (-12 (-3864 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-3864 (|HasCategory| |#2| (QUOTE (-1048))))) (-12 (|HasCategory| |#2| (QUOTE (-1048))) (-3864 (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))))) 
-(-884 R A B) 
-((|constructor| (NIL "Lifts maps to pattern matching results.")) (|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) "\\spad{map(f,{} [(v1,{}a1),{}...,{}(vn,{}an)])} returns the matching result [(\\spad{v1},{}\\spad{f}(\\spad{a1})),{}...,{}(\\spad{vn},{}\\spad{f}(an))]."))) 
 NIL 
+(-884 |Base| |Subject| |Pat|) 
+((|constructor| (NIL "This package provides the top-level pattern macthing functions.")) (|Is| (((|PatternMatchResult| |#1| |#2|) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a match of the form \\spad{[v1 = e1,...,vn = en]}; returns an empty match if \\spad{expr} is exactly equal to pat. returns a \\spadfun{failed} match if pat does not match expr.") (((|List| (|Equation| (|Polynomial| |#2|))) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|List| (|Equation| |#2|)) |#2| |#3|) "\\spad{Is(expr, pat)} matches the pattern pat on the expression \\spad{expr} and returns a list of matches \\spad{[v1 = e1,...,vn = en]}; returns an empty list if either \\spad{expr} is exactly equal to pat or if pat does not match expr.") (((|PatternMatchListResult| |#1| |#2| (|List| |#2|)) (|List| |#2|) |#3|) "\\spad{Is([e1,...,en], pat)} matches the pattern pat on the list of expressions \\spad{[e1,...,en]} and returns the result.")) (|is?| (((|Boolean|) (|List| |#2|) |#3|) "\\spad{is?([e1,...,en], pat)} tests if the list of expressions \\spad{[e1,...,en]} matches the pattern pat.") (((|Boolean|) |#2| |#3|) "\\spad{is?(expr, pat)} tests if the expression \\spad{expr} matches the pattern pat."))) 
 NIL 
-(-885 R S) 
-((|constructor| (NIL "A PatternMatchResult is an object internally returned by the pattern matcher; It is either a failed match,{} or a list of matches of the form (var,{} expr) meaning that the variable var matches the expression expr.")) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) "\\spad{satisfy?(r,{} p)} returns \\spad{true} if the matches satisfy the top-level predicate of \\spad{p},{} \\spad{false} if they don\\spad{'t},{} and \"failed\" if not enough variables of \\spad{p} are matched in \\spad{r} to decide.")) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) "\\spad{construct([v1,{}e1],{}...,{}[vn,{}en])} returns the match result containing the matches (\\spad{v1},{}\\spad{e1}),{}...,{}(\\spad{vn},{}en).")) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) "\\spad{destruct(r)} returns the list of matches (var,{} expr) in \\spad{r}. Error: if \\spad{r} is a failed match.")) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) "\\spad{addMatchRestricted(var,{} expr,{} r,{} val)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} provided that \\spad{expr} satisfies the predicates attached to \\spad{var},{} that \\spad{var} is not matched to another expression already,{} and that either \\spad{var} is an optional pattern variable or that \\spad{expr} is not equal to val (usually an identity).")) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{insertMatch(var,{} expr,{} r)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} without checking predicates or previous matches for \\spad{var}.")) (|addMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{addMatch(var,{} expr,{} r)} adds the match (\\spad{var},{} \\spad{expr}) in \\spad{r},{} provided that \\spad{expr} satisfies the predicates attached to \\spad{var},{} and that \\spad{var} is not matched to another expression already.")) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) "\\spad{getMatch(var,{} r)} returns the expression that \\spad{var} matches in the result \\spad{r},{} and \"failed\" if \\spad{var} is not matched in \\spad{r}.")) (|union| (($ $ $) "\\spad{union(a,{} b)} makes the set-union of two match results.")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
+((|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (-12 (-3182 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-3182 (|HasCategory| |#2| (QUOTE (-1049))))) (-12 (|HasCategory| |#2| (QUOTE (-1049))) (-3182 (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))))) 
+(-885 R A B) 
+((|constructor| (NIL "Lifts maps to pattern matching results.")) (|map| (((|PatternMatchResult| |#1| |#3|) (|Mapping| |#3| |#2|) (|PatternMatchResult| |#1| |#2|)) "\\spad{map(f, [(v1,a1),...,(vn,an)])} returns the matching result [(v1,f(a1)),...,(vn,f(an))]."))) 
 NIL 
 NIL 
-(-886 R -3022) 
-((|constructor| (NIL "Utilities for handling patterns")) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) "\\spad{badValues(p)} returns the list of \"bad values\" for \\spad{p}; \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) "\\spad{addBadValue(p,{} v)} adds \\spad{v} to the list of \"bad values\" for \\spad{p}; \\spad{p} is not allowed to match any of its \"bad values\".")) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) "\\spad{satisfy?([v1,{}...,{}vn],{} p)} returns \\spad{f(v1,{}...,{}vn)} where \\spad{f} is the top-level predicate attached to \\spad{p}.") (((|Boolean|) |#2| (|Pattern| |#1|)) "\\spad{satisfy?(v,{} p)} returns \\spad{f}(\\spad{v}) where \\spad{f} is the predicate attached to \\spad{p}.")) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) "\\spad{predicate(p)} returns the predicate attached to \\spad{p},{} the constant function \\spad{true} if \\spad{p} has no predicates attached to it.")) (|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) "\\spad{suchThat(p,{} [a1,{}...,{}an],{} f)} returns a copy of \\spad{p} with the top-level predicate set to \\spad{f(a1,{}...,{}an)}.") (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) "\\spad{suchThat(p,{} [f1,{}...,{}fn])} makes a copy of \\spad{p} and adds the predicate \\spad{f1} and ... and \\spad{fn} to the copy,{} which is returned.") (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) "\\spad{suchThat(p,{} f)} makes a copy of \\spad{p} and adds the predicate \\spad{f} to the copy,{} which is returned."))) 
+(-886 R S) 
+((|constructor| (NIL "A PatternMatchResult is an object internally returned by the pattern matcher; It is either a failed match, or a list of matches of the form (var, expr) meaning that the variable var matches the expression expr.")) (|satisfy?| (((|Union| (|Boolean|) "failed") $ (|Pattern| |#1|)) "\\spad{satisfy?(r, \\spad{p)}} returns \\spad{true} if the matches satisfy the top-level predicate of \\spad{p,} \\spad{false} if they don't, and \"failed\" if not enough variables of \\spad{p} are matched in \\spad{r} to decide.")) (|construct| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|)))) "\\spad{construct([v1,e1],...,[vn,en])} returns the match result containing the matches (v1,e1),...,(vn,en).")) (|destruct| (((|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| |#2|))) $) "\\spad{destruct(r)} returns the list of matches (var, expr) in \\spad{r.} Error: if \\spad{r} is a failed match.")) (|addMatchRestricted| (($ (|Pattern| |#1|) |#2| $ |#2|) "\\spad{addMatchRestricted(var, expr, \\spad{r,} val)} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, that \\spad{var} is not matched to another expression already, and that either \\spad{var} is an optional pattern variable or that \\spad{expr} is not equal to val (usually an identity).")) (|insertMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{insertMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} without checking predicates or previous matches for var.")) (|addMatch| (($ (|Pattern| |#1|) |#2| $) "\\spad{addMatch(var, expr, \\spad{r)}} adds the match (var, expr) in \\spad{r,} provided that \\spad{expr} satisfies the predicates attached to var, and that \\spad{var} is not matched to another expression already.")) (|getMatch| (((|Union| |#2| "failed") (|Pattern| |#1|) $) "\\spad{getMatch(var, \\spad{r)}} returns the expression that \\spad{var} matches in the result \\spad{r,} and \"failed\" if \\spad{var} is not matched in \\spad{r.}")) (|union| (($ $ $) "\\spad{union(a, \\spad{b)}} makes the set-union of two match results.")) (|new| (($) "\\spad{new()} returns a new empty match result.")) (|failed| (($) "\\spad{failed()} returns a failed match.")) (|failed?| (((|Boolean|) $) "\\spad{failed?(r)} tests if \\spad{r} is a failed match."))) 
 NIL 
 NIL 
-(-887 R S) 
-((|constructor| (NIL "Lifts maps to patterns")) (|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) "\\spad{map(f,{} p)} applies \\spad{f} to all the leaves of \\spad{p} and returns the result as a pattern over \\spad{S}."))) 
+(-887 R -3712) 
+((|constructor| (NIL "Utilities for handling patterns")) (|badValues| (((|List| |#2|) (|Pattern| |#1|)) "\\spad{badValues(p)} returns the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (((|Pattern| |#1|) (|Pattern| |#1|) |#2|) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p;} \\spad{p} is not allowed to match any of its \"bad values\".")) (|satisfy?| (((|Boolean|) (|List| |#2|) (|Pattern| |#1|)) "\\spad{satisfy?([v1,...,vn], \\spad{p)}} returns \\spad{f(v1,...,vn)} where \\spad{f} is the top-level predicate attached to \\spad{p.}") (((|Boolean|) |#2| (|Pattern| |#1|)) "\\spad{satisfy?(v, \\spad{p)}} returns f(v) where \\spad{f} is the predicate attached to \\spad{p.}")) (|predicate| (((|Mapping| (|Boolean|) |#2|) (|Pattern| |#1|)) "\\spad{predicate(p)} returns the predicate attached to \\spad{p,} the constant function \\spad{true} if \\spad{p} has no predicates attached to it.")) (|suchThat| (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#2|))) "\\spad{suchThat(p, [a1,...,an], \\spad{f)}} returns a copy of \\spad{p} with the top-level predicate set to \\spad{f(a1,...,an)}.") (((|Pattern| |#1|) (|Pattern| |#1|) (|List| (|Mapping| (|Boolean|) |#2|))) "\\spad{suchThat(p, [f1,...,fn])} makes a copy of \\spad{p} and adds the predicate \\spad{f1} and \\spad{...} and \\spad{fn} to the copy, which is returned.") (((|Pattern| |#1|) (|Pattern| |#1|) (|Mapping| (|Boolean|) |#2|)) "\\spad{suchThat(p, \\spad{f)}} makes a copy of \\spad{p} and adds the predicate \\spad{f} to the copy, which is returned."))) 
 NIL 
 NIL 
-(-888 R) 
-((|constructor| (NIL "Patterns for use by the pattern matcher.")) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) "\\spad{optpair(l)} returns \\spad{l} has the form \\spad{[a,{} b]} and a is optional,{} and \"failed\" otherwise.")) (|variables| (((|List| $) $) "\\spad{variables(p)} returns the list of matching variables appearing in \\spad{p}.")) (|getBadValues| (((|List| (|Any|)) $) "\\spad{getBadValues(p)} returns the list of \"bad values\" for \\spad{p}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (($ $ (|Any|)) "\\spad{addBadValue(p,{} v)} adds \\spad{v} to the list of \"bad values\" for \\spad{p}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|resetBadValues| (($ $) "\\spad{resetBadValues(p)} initializes the list of \"bad values\" for \\spad{p} to \\spad{[]}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|hasTopPredicate?| (((|Boolean|) $) "\\spad{hasTopPredicate?(p)} tests if \\spad{p} has a top-level predicate.")) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) "\\spad{topPredicate(x)} returns \\spad{[[a1,{}...,{}an],{} f]} where the top-level predicate of \\spad{x} is \\spad{f(a1,{}...,{}an)}. Note: \\spad{n} is 0 if \\spad{x} has no top-level predicate.")) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) "\\spad{setTopPredicate(x,{} [a1,{}...,{}an],{} f)} returns \\spad{x} with the top-level predicate set to \\spad{f(a1,{}...,{}an)}.")) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{patternVariable(x,{} c?,{} o?,{} m?)} creates a pattern variable \\spad{x},{} which is constant if \\spad{c? = true},{} optional if \\spad{o? = true},{} and multiple if \\spad{m? = true}.")) (|withPredicates| (($ $ (|List| (|Any|))) "\\spad{withPredicates(p,{} [p1,{}...,{}pn])} makes a copy of \\spad{p} and attaches the predicate \\spad{p1} and ... and \\spad{pn} to the copy,{} which is returned.")) (|setPredicates| (($ $ (|List| (|Any|))) "\\spad{setPredicates(p,{} [p1,{}...,{}pn])} attaches the predicate \\spad{p1} and ... and \\spad{pn} to \\spad{p}.")) (|predicates| (((|List| (|Any|)) $) "\\spad{predicates(p)} returns \\spad{[p1,{}...,{}pn]} such that the predicate attached to \\spad{p} is \\spad{p1} and ... and \\spad{pn}.")) (|hasPredicate?| (((|Boolean|) $) "\\spad{hasPredicate?(p)} tests if \\spad{p} has predicates attached to it.")) (|optional?| (((|Boolean|) $) "\\spad{optional?(p)} tests if \\spad{p} is a single matching variable which can match an identity.")) (|multiple?| (((|Boolean|) $) "\\spad{multiple?(p)} tests if \\spad{p} is a single matching variable allowing list matching or multiple term matching in a sum or product.")) (|generic?| (((|Boolean|) $) "\\spad{generic?(p)} tests if \\spad{p} is a single matching variable.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests if \\spad{p} contains no matching variables.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(p)} tests if \\spad{p} is a symbol.")) (|quoted?| (((|Boolean|) $) "\\spad{quoted?(p)} tests if \\spad{p} is of the form \\spad{'s} for a symbol \\spad{s}.")) (|inR?| (((|Boolean|) $) "\\spad{inR?(p)} tests if \\spad{p} is an atom (\\spadignore{i.e.} an element of \\spad{R}).")) (|copy| (($ $) "\\spad{copy(p)} returns a recursive copy of \\spad{p}.")) (|convert| (($ (|List| $)) "\\spad{convert([a1,{}...,{}an])} returns the pattern \\spad{[a1,{}...,{}an]}.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(p)} returns the nesting level of \\spad{p}.")) (/ (($ $ $) "\\spad{a / b} returns the pattern \\spad{a / b}.")) (** (($ $ $) "\\spad{a ** b} returns the pattern \\spad{a ** b}.") (($ $ (|NonNegativeInteger|)) "\\spad{a ** n} returns the pattern \\spad{a ** n}.")) (* (($ $ $) "\\spad{a * b} returns the pattern \\spad{a * b}.")) (+ (($ $ $) "\\spad{a + b} returns the pattern \\spad{a + b}.")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op,{} [a1,{}...,{}an])} returns \\spad{op(a1,{}...,{}an)}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) "\\spad{isPower(p)} returns \\spad{[a,{} b]} if \\spad{p = a ** b},{} and \"failed\" otherwise.")) (|isList| (((|Union| (|List| $) "failed") $) "\\spad{isList(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = [a1,{}...,{}an]},{} \"failed\" otherwise.")) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) "\\spad{isQuotient(p)} returns \\spad{[a,{} b]} if \\spad{p = a / b},{} and \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[q,{} n]} if \\spad{n > 0} and \\spad{p = q ** n},{} and \"failed\" otherwise.")) (|isOp| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) "\\spad{isOp(p)} returns \\spad{[op,{} [a1,{}...,{}an]]} if \\spad{p = op(a1,{}...,{}an)},{} and \"failed\" otherwise.") (((|Union| (|List| $) "failed") $ (|BasicOperator|)) "\\spad{isOp(p,{} op)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = op(a1,{}...,{}an)},{} and \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{n > 1} and \\spad{p = a1 * ... * an},{} and \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{n > 1} \\indented{1}{and \\spad{p = a1 + ... + an},{}} and \"failed\" otherwise.")) ((|One|) (($) "1")) ((|Zero|) (($) "0"))) 
+(-888 R S) 
+((|constructor| (NIL "Lifts maps to patterns")) (|map| (((|Pattern| |#2|) (|Mapping| |#2| |#1|) (|Pattern| |#1|)) "\\spad{map(f, \\spad{p)}} applies \\spad{f} to all the leaves of \\spad{p} and returns the result as a pattern over \\spad{S.}"))) 
 NIL 
 NIL 
-(-889 |VarSet|) 
-((|constructor| (NIL "This domain provides the internal representation of polynomials in non-commutative variables written over the Poincare-Birkhoff-Witt basis. See the \\spadtype{XPBWPolynomial} domain constructor. See Free Lie Algebras by \\spad{C}. Reutenauer (Oxford science publications).")) (|varList| (((|List| |#1|) $) "\\spad{varList([l1]*[l2]*...[ln])} returns the list of variables in the word \\spad{l1*l2*...*ln}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?([l1]*[l2]*...[ln])} returns \\spad{true} iff \\spad{n} equals \\spad{1}.")) (|rest| (($ $) "\\spad{rest([l1]*[l2]*...[ln])} returns the list \\spad{l2,{} .... ln}.")) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) "\\spad{listOfTerms([l1]*[l2]*...[ln])} returns the list of words \\spad{l1,{} l2,{} .... ln}.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length([l1]*[l2]*...[ln])} returns the length of the word \\spad{l1*l2*...*ln}.")) (|first| (((|LyndonWord| |#1|) $) "\\spad{first([l1]*[l2]*...[ln])} returns the Lyndon word \\spad{l1}.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} return \\spad{v}") (((|OrderedFreeMonoid| |#1|) $) "\\spad{coerce([l1]*[l2]*...[ln])} returns the word \\spad{l1*l2*...*ln},{} where \\spad{[l_i]} is the backeted form of the Lyndon word \\spad{l_i}.")) ((|One|) (($) "\\spad{1} returns the empty list."))) 
+(-889 R) 
+((|constructor| (NIL "Patterns for use by the pattern matcher.")) (|optpair| (((|Union| (|List| $) "failed") (|List| $)) "\\spad{optpair(l)} returns \\spad{l} has the form \\spad{[a, \\spad{b]}} and a is optional, and \"failed\" otherwise.")) (|variables| (((|List| $) $) "\\spad{variables(p)} returns the list of matching variables appearing in \\spad{p.}")) (|getBadValues| (((|List| (|Any|)) $) "\\spad{getBadValues(p)} returns the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|addBadValue| (($ $ (|Any|)) "\\spad{addBadValue(p, \\spad{v)}} adds \\spad{v} to the list of \"bad values\" for \\spad{p.} Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|resetBadValues| (($ $) "\\spad{resetBadValues(p)} initializes the list of \"bad values\" for \\spad{p} to \\spad{[]}. Note: \\spad{p} is not allowed to match any of its \"bad values\".")) (|hasTopPredicate?| (((|Boolean|) $) "\\spad{hasTopPredicate?(p)} tests if \\spad{p} has a top-level predicate.")) (|topPredicate| (((|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|))) $) "\\spad{topPredicate(x)} returns \\spad{[[a1,...,an], \\spad{f]}} where the top-level predicate of \\spad{x} is \\spad{f(a1,...,an)}. Note: \\spad{n} is 0 if \\spad{x} has no top-level predicate.")) (|setTopPredicate| (($ $ (|List| (|Symbol|)) (|Any|)) "\\spad{setTopPredicate(x, [a1,...,an], \\spad{f)}} returns \\spad{x} with the top-level predicate set to \\spad{f(a1,...,an)}.")) (|patternVariable| (($ (|Symbol|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{patternVariable(x, \\spad{c?,} o?, m?)} creates a pattern variable \\spad{x,} which is constant if \\spad{c? = true}, optional if \\spad{o? = true}, and multiple if \\spad{m? = true}.")) (|withPredicates| (($ $ (|List| (|Any|))) "\\spad{withPredicates(p, [p1,...,pn])} makes a copy of \\spad{p} and attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to the copy, which is returned.")) (|setPredicates| (($ $ (|List| (|Any|))) "\\spad{setPredicates(p, [p1,...,pn])} attaches the predicate \\spad{p1} and \\spad{...} and \\spad{pn} to \\spad{p.}")) (|predicates| (((|List| (|Any|)) $) "\\spad{predicates(p)} returns \\spad{[p1,...,pn]} such that the predicate attached to \\spad{p} is \\spad{p1} and \\spad{...} and \\spad{pn.}")) (|hasPredicate?| (((|Boolean|) $) "\\spad{hasPredicate?(p)} tests if \\spad{p} has predicates attached to it.")) (|optional?| (((|Boolean|) $) "\\spad{optional?(p)} tests if \\spad{p} is a single matching variable which can match an identity.")) (|multiple?| (((|Boolean|) $) "\\spad{multiple?(p)} tests if \\spad{p} is a single matching variable allowing list matching or multiple term matching in a sum or product.")) (|generic?| (((|Boolean|) $) "\\spad{generic?(p)} tests if \\spad{p} is a single matching variable.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests if \\spad{p} contains no matching variables.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(p)} tests if \\spad{p} is a symbol.")) (|quoted?| (((|Boolean|) $) "\\spad{quoted?(p)} tests if \\spad{p} is of the form \\spad{'s} for a symbol \\spad{s.}")) (|inR?| (((|Boolean|) $) "\\spad{inR?(p)} tests if \\spad{p} is an atom (\\spadignore{i.e.} an element of \\spad{R).}")) (|copy| (($ $) "\\spad{copy(p)} returns a recursive copy of \\spad{p.}")) (|convert| (($ (|List| $)) "\\spad{convert([a1,...,an])} returns the pattern \\spad{[a1,...,an]}.")) (|depth| (((|NonNegativeInteger|) $) "\\spad{depth(p)} returns the nesting level of \\spad{p.}")) (/ (($ $ $) "\\spad{a / \\spad{b}} returns the pattern \\spad{a / \\spad{b}.}")) (** (($ $ $) "\\spad{a \\spad{**} \\spad{b}} returns the pattern \\spad{a \\spad{**} \\spad{b}.}") (($ $ (|NonNegativeInteger|)) "\\spad{a \\spad{**} \\spad{n}} returns the pattern \\spad{a \\spad{**} \\spad{n}.}")) (* (($ $ $) "\\spad{a * \\spad{b}} returns the pattern \\spad{a * \\spad{b}.}")) (+ (($ $ $) "\\spad{a + \\spad{b}} returns the pattern \\spad{a + \\spad{b}.}")) (|elt| (($ (|BasicOperator|) (|List| $)) "\\spad{elt(op, [a1,...,an])} returns \\spad{op(a1,...,an)}.")) (|isPower| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| $)) "failed") $) "\\spad{isPower(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a \\spad{**} \\spad{b},} and \"failed\" otherwise.")) (|isList| (((|Union| (|List| $) "failed") $) "\\spad{isList(p)} returns \\spad{[a1,...,an]} if \\spad{p = [a1,...,an]}, \"failed\" otherwise.")) (|isQuotient| (((|Union| (|Record| (|:| |num| $) (|:| |den| $)) "failed") $) "\\spad{isQuotient(p)} returns \\spad{[a, \\spad{b]}} if \\spad{p = a / \\spad{b},} and \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |val| $) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[q, \\spad{n]}} if \\spad{n > 0} and \\spad{p = \\spad{q} \\spad{**} \\spad{n},} and \"failed\" otherwise.")) (|isOp| (((|Union| (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| $))) "failed") $) "\\spad{isOp(p)} returns \\spad{[op, [a1,...,an]]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.") (((|Union| (|List| $) "failed") $ (|BasicOperator|)) "\\spad{isOp(p, op)} returns \\spad{[a1,...,an]} if \\spad{p = op(a1,...,an)}, and \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} and \\spad{p = \\spad{a1} * \\spad{...} * an}, and \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[a1,...,an]} if \\spad{n > 1} \\indented{1}{and \\spad{p = \\spad{a1} + \\spad{...} + an},} and \"failed\" otherwise.")) ((|One|) (($) "1")) ((|Zero|) (($) "0"))) 
 NIL 
 NIL 
-(-890 UP R) 
-((|constructor| (NIL "Polynomial composition and decomposition functions\\spad{\\br} If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(\\spad{f},{}\\spad{h}) and h=rightFactor(\\spad{f},{}\\spad{g})")) (|compose| ((|#1| |#1| |#1|) "\\spad{compose(p,{}q)} \\undocumented"))) 
+(-890 |VarSet|) 
+((|constructor| (NIL "This domain provides the internal representation of polynomials in non-commutative variables written over the Poincare-Birkhoff-Witt basis. See the \\spadtype{XPBWPolynomial} domain constructor. See Free Lie Algebras by \\spad{C.} Reutenauer (Oxford science publications).")) (|varList| (((|List| |#1|) $) "\\spad{varList([l1]*[l2]*...[ln])} returns the list of variables in the word \\spad{l1*l2*...*ln}.")) (|retractable?| (((|Boolean|) $) "\\spad{retractable?([l1]*[l2]*...[ln])} returns \\spad{true} iff \\spad{n} equals \\spad{1}.")) (|rest| (($ $) "\\spad{rest([l1]*[l2]*...[ln])} returns the list \\spad{l2, .... ln}.")) (|listOfTerms| (((|List| (|LyndonWord| |#1|)) $) "\\spad{listOfTerms([l1]*[l2]*...[ln])} returns the list of words \\spad{l1, \\spad{l2,} .... ln}.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length([l1]*[l2]*...[ln])} returns the length of the word \\spad{l1*l2*...*ln}.")) (|first| (((|LyndonWord| |#1|) $) "\\spad{first([l1]*[l2]*...[ln])} returns the Lyndon word \\spad{l1}.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} return \\spad{v}") (((|OrderedFreeMonoid| |#1|) $) "\\spad{coerce([l1]*[l2]*...[ln])} returns the word \\spad{l1*l2*...*ln}, where \\spad{[l_i]} is the backeted form of the Lyndon word \\spad{l_i}.")) ((|One|) (($) "\\spad{1} returns the empty list."))) 
 NIL 
 NIL 
-(-891) 
-((|constructor| (NIL "\\axiomType{PartialDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of PDE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{PDEsolve}.")) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{PDESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{measure(R,{}args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter,{} labelled \\axiom{sofar},{} which would contain the best compatibility found so far."))) 
+(-891 UP R) 
+((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|compose| ((|#1| |#1| |#1|) "\\spad{compose(p,q)} \\undocumented"))) 
 NIL 
 NIL 
-(-892 UP -1564) 
-((|constructor| (NIL "Polynomial composition and decomposition functions\\spad{\\br} If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(\\spad{f},{}\\spad{h}) and h=rightFactor(\\spad{f},{}\\spad{g})")) (|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{rightFactorCandidate(p,{}n)} \\undocumented")) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftFactor(p,{}q)} \\undocumented")) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{decompose(up,{}m,{}n)} \\undocumented") (((|List| |#1|) |#1|) "\\spad{decompose(up)} \\undocumented"))) 
+(-892) 
+((|constructor| (NIL "\\axiomType{PartialDifferentialEquationsSolverCategory} is the \\axiom{category} for describing the set of PDE solver \\axiom{domains} with \\axiomFun{measure} and \\axiomFun{PDEsolve}.")) (|PDESolve| (((|Result|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{PDESolve(args)} performs the integration of the function given the strategy or method returned by \\axiomFun{measure}.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|))) (|RoutinesTable|) (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{measure(R,args)} calculates an estimate of the ability of a particular method to solve a problem. \\blankline This method may be either a specific NAG routine or a strategy (such as transforming the function from one which is difficult to one which is easier to solve). \\blankline It will call whichever agents are needed to perform analysis on the problem in order to calculate the measure. There is a parameter, labelled \\axiom{sofar}, which would contain the best compatibility found so far."))) 
 NIL 
 NIL 
-(-893) 
-((|constructor| (NIL "AnnaPartialDifferentialEquationPackage is an uncompleted package for the interface to NAG PDE routines. It has been realised that a new approach to solving PDEs will need to be created.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,{}R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} listed in \\axiom{\\spad{R}} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{\\spad{prob}}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) "\\spad{solve(xmin,{}ymin,{}xmax,{}ymax,{}ngx,{}ngy,{}pde,{}bounds,{}st)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{\\spad{pde}}),{} a grid (\\axiom{\\spad{xmin}},{} \\axiom{\\spad{ymin}},{} \\axiom{\\spad{xmax}},{} \\axiom{\\spad{ymax}},{} \\axiom{\\spad{ngx}},{} \\axiom{\\spad{ngy}}) and the boundary values (\\axiom{\\spad{bounds}}). A default value for tolerance is used. There is also a parameter (\\axiom{\\spad{st}}) which should contain the value \"elliptic\" if the PDE is known to be elliptic,{} or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) "\\spad{solve(xmin,{}ymin,{}xmax,{}ymax,{}ngx,{}ngy,{}pde,{}bounds,{}st,{}tol)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{\\spad{pde}}),{} a grid (\\axiom{\\spad{xmin}},{} \\axiom{\\spad{ymin}},{} \\axiom{\\spad{xmax}},{} \\axiom{\\spad{ymax}},{} \\axiom{\\spad{ngx}},{} \\axiom{\\spad{ngy}}),{} the boundary values (\\axiom{\\spad{bounds}}) and a tolerance requirement (\\axiom{\\spad{tol}}). There is also a parameter (\\axiom{\\spad{st}}) which should contain the value \"elliptic\" if the PDE is known to be elliptic,{} or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{solve(PDEProblem,{}routines)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the \\spad{routines} contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|)) "\\spad{solve(PDEProblem)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE\\spad{'s} and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment,{} only Second Order Elliptic Partial Differential Equations are solved \\spad{**}"))) 
+(-893 UP -1647) 
+((|constructor| (NIL "Polynomial composition and decomposition functions\\br If \\spad{f} = \\spad{g} \\spad{o} \\spad{h} then g=leftFactor(f,h) and h=rightFactor(f,g)")) (|rightFactorCandidate| ((|#1| |#1| (|NonNegativeInteger|)) "\\spad{rightFactorCandidate(p,n)} \\undocumented")) (|leftFactor| (((|Union| |#1| "failed") |#1| |#1|) "\\spad{leftFactor(p,q)} \\undocumented")) (|decompose| (((|Union| (|Record| (|:| |left| |#1|) (|:| |right| |#1|)) "failed") |#1| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{decompose(up,m,n)} \\undocumented") (((|List| |#1|) |#1|) "\\spad{decompose(up)} \\undocumented"))) 
 NIL 
 NIL 
 (-894) 
-((|constructor| (NIL "\\axiomType{NumericalPDEProblem} is a \\axiom{domain} for the representation of Numerical PDE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(pde:\\axiomType{List Expression DoubleFloat},{} \\spad{\\br} constraints:\\axiomType{List PDEC},{} \\spad{\\br} \\spad{f:}\\axiomType{List List Expression DoubleFloat},{}\\spad{\\br} \\spad{st:}\\axiomType{String},{}\\spad{\\br} tol:\\axiomType{DoubleFloat}) \\blankline where \\axiomType{PDEC} is of type: \\blankline \\axiomType{Record}(start:\\axiomType{DoubleFloat},{} \\spad{\\br} finish:\\axiomType{DoubleFloat},{}\\spad{\\br} grid:\\axiomType{NonNegativeInteger},{}\\spad{\\br} boundaryType:\\axiomType{Integer},{}\\spad{\\br} dStart:\\axiomType{Matrix DoubleFloat},{} \\spad{\\br} dFinish:\\axiomType{Matrix DoubleFloat})")) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
+((|constructor| (NIL "AnnaPartialDifferentialEquationPackage is an uncompleted package for the interface to NAG PDE routines. It has been realised that a new approach to solving PDEs will need to be created.")) (|measure| (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{measure(prob,R)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} listed in \\axiom{R} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.") (((|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|)))) (|NumericalPDEProblem|)) "\\spad{measure(prob)} is a top level ANNA function for identifying the most appropriate numerical routine from those in the routines table provided for solving the numerical PDE problem defined by \\axiom{prob}. \\blankline It calls each \\axiom{domain} of \\axiom{category} \\axiomType{PartialDifferentialEquationsSolverCategory} in turn to calculate all measures and returns the best \\spadignore{i.e.} the name of the most appropriate domain and any other relevant information. It predicts the likely most effective NAG numerical Library routine to solve the input set of PDEs by checking various attributes of the system of PDEs and calculating a measure of compatibility of each routine to these attributes.")) (|solve| (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}) and the boundary values (\\axiom{bounds}). A default value for tolerance is used. There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|Float|) (|Float|) (|Float|) (|Float|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|List| (|Expression| (|Float|))) (|List| (|List| (|Expression| (|Float|)))) (|String|) (|DoubleFloat|)) "\\spad{solve(xmin,ymin,xmax,ymax,ngx,ngy,pde,bounds,st,tol)} is a top level ANNA function to solve numerically a system of partial differential equations. This is defined as a list of coefficients (\\axiom{pde}), a grid (\\axiom{xmin}, \\axiom{ymin}, \\axiom{xmax}, \\axiom{ymax}, \\axiom{ngx}, \\axiom{ngy}), the boundary values (\\axiom{bounds}) and a tolerance requirement (\\axiom{tol}). There is also a parameter (\\axiom{st}) which should contain the value \"elliptic\" if the PDE is known to be elliptic, or \"unknown\" if it is uncertain. This causes the routine to check whether the PDE is elliptic. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|) (|RoutinesTable|)) "\\spad{solve(PDEProblem,routines)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the \\spad{routines} contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}") (((|Result|) (|NumericalPDEProblem|)) "\\spad{solve(PDEProblem)} is a top level ANNA function to solve numerically a system of partial differential equations. \\blankline The method used to perform the numerical process will be one of the routines contained in the NAG numerical Library. The function predicts the likely most effective routine by checking various attributes of the system of PDE's and calculating a measure of compatibility of each routine to these attributes. \\blankline It then calls the resulting `best' routine. \\blankline \\spad{**} At the moment, only Second Order Elliptic Partial Differential Equations are solved \\spad{**}"))) 
+NIL 
 NIL 
+(-895) 
+((|constructor| (NIL "\\axiomType{NumericalPDEProblem} is a \\axiom{domain} for the representation of Numerical PDE problems for use by ANNA. \\blankline The representation is of type: \\blankline \\axiomType{Record}(pde:\\axiomType{List Expression DoubleFloat}, \\spad{\\br} constraints:\\axiomType{List PDEC}, \\spad{\\br} f:\\axiomType{List List Expression DoubleFloat},\\br st:\\axiomType{String},\\br tol:\\axiomType{DoubleFloat}) \\blankline where \\axiomType{PDEC} is of type: \\blankline \\axiomType{Record}(start:\\axiomType{DoubleFloat}, \\spad{\\br} finish:\\axiomType{DoubleFloat},\\br grid:\\axiomType{NonNegativeInteger},\\br boundaryType:\\axiomType{Integer},\\br dStart:\\axiomType{Matrix DoubleFloat}, \\spad{\\br} dFinish:\\axiomType{Matrix DoubleFloat})")) (|retract| (((|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|))) $) "\\spad{retract(x)} is not documented")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(x)} is not documented") (($ (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) "\\spad{coerce(x)} is not documented"))) 
 NIL 
-(-895 A S) 
-((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y,{}e)=differentiate(x,{}e)+differentiate(y,{}e)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y,{}e)=x*differentiate(y,{}e)+differentiate(x,{}e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1,{} n1)...,{} sn,{} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#2|)) "\\spad{D(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1)...,{} sn)}.") (($ $ |#2|) "\\spad{D(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}.")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#2|)) "\\spad{differentiate(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{differentiate(...differentiate(x,{} s1)...,{} sn)}.") (($ $ |#2|) "\\spad{differentiate(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}."))) 
 NIL 
+(-896 A S) 
+((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#2|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.}") (($ $ |#2| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#2|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#2|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
 NIL 
-(-896 S) 
-((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{differentiate(x+y,{}e)=differentiate(x,{}e)+differentiate(y,{}e)}\\spad{\\br} \\tab{5}\\spad{differentiate(x*y,{}e)=x*differentiate(y,{}e)+differentiate(x,{}e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1,{} n1)...,{} sn,{} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#1|)) "\\spad{D(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{D(...D(x,{} s1)...,{} sn)}.") (($ $ |#1|) "\\spad{D(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}.")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x,{} [s1,{}...,{}sn],{} [n1,{}...,{}nn])} computes multiple partial derivatives,{} \\spadignore{i.e.}") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x,{} s,{} n)} computes multiple partial derivatives,{} \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s}.") (($ $ (|List| |#1|)) "\\spad{differentiate(x,{}[s1,{}...sn])} computes successive partial derivatives,{} \\spadignore{i.e.} \\spad{differentiate(...differentiate(x,{} s1)...,{} sn)}.") (($ $ |#1|) "\\spad{differentiate(x,{}v)} computes the partial derivative of \\spad{x} with respect to \\spad{v}."))) 
-((-4532 . T)) 
 NIL 
 (-897 S) 
-((|constructor| (NIL "This domain has no description")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(\\spad{x}) is not documented} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3]) \\spad{X} t2:=ptree(\\spad{t1},{}ptree([1,{}2,{}3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(\\spad{x},{}\\spad{y}) is not documented} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3]) \\spad{X} ptree(\\spad{t1},{}ptree([1,{}2,{}3]))") (($ |#1|) "\\indented{1}{ptree(\\spad{s}) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,{}2,{}3])"))) 
+((|constructor| (NIL "A partial differential ring with differentiations indexed by a parameter type \\spad{S.} \\blankline Axioms\\br \\tab{5}\\spad{differentiate(x+y,e)=differentiate(x,e)+differentiate(y,e)}\\br \\tab{5}\\spad{differentiate(x*y,e)=x*differentiate(y,e)+differentiate(x,e)*y}")) (D (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{D(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, \\spad{s1,} n1)..., \\spad{sn,} nn)}.") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{D(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{D(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{D(...D(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{D(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}")) (|differentiate| (($ $ (|List| |#1|) (|List| (|NonNegativeInteger|))) "\\spad{differentiate(x, [s1,...,sn], [n1,...,nn])} computes multiple partial derivatives, \\spadignore{i.e.}") (($ $ |#1| (|NonNegativeInteger|)) "\\spad{differentiate(x, \\spad{s,} \\spad{n)}} computes multiple partial derivatives, \\spadignore{i.e.} \\spad{n}-th derivative of \\spad{x} with respect to \\spad{s.}") (($ $ (|List| |#1|)) "\\spad{differentiate(x,[s1,...sn])} computes successive partial derivatives, \\spadignore{i.e.} \\spad{differentiate(...differentiate(x, s1)..., sn)}.") (($ $ |#1|) "\\spad{differentiate(x,v)} computes the partial derivative of \\spad{x} with respect to \\spad{v.}"))) 
+((-4568 . T)) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-898 |n| R) 
-((|constructor| (NIL "Permanent implements the functions permanent,{} the permanent for square matrices.")) (|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) "\\spad{permanent(x)} computes the permanent of a square matrix \\spad{x}. The permanent is equivalent to the \\spadfun{determinant} except that coefficients have no change of sign. This function is much more difficult to compute than the determinant. The formula used is by \\spad{H}.\\spad{J}. Ryser,{} improved by [Nijenhuis and Wilf,{} \\spad{Ch}. 19]. Note that permanent(\\spad{x}) choose one of three algorithms,{} depending on the underlying ring \\spad{R} and on \\spad{n},{} the number of rows (and columns) of \\spad{x:}\\spad{\\br} if 2 has an inverse in \\spad{R} we can use the algorithm of [Nijenhuis and Wilf,{} \\spad{ch}.19,{}\\spad{p}.158]; if 2 has no inverse,{} some modifications are necessary:\\spad{\\br} if \\spad{n} > 6 and \\spad{R} is an integral domain with characteristic different from 2 (the algorithm works if and only 2 is not a zero-divisor of \\spad{R} and characteristic()\\$\\spad{R} \\spad{^=} 2,{} but how to check that for any given \\spad{R} ?),{} the local function \\spad{permanent2} is called;\\spad{\\br} else,{} the local function \\spad{permanent3} is called (works for all commutative rings \\spad{R})."))) 
+(-898 S) 
+((|constructor| (NIL "This domain has no description")) (|coerce| (((|Tree| |#1|) $) "\\indented{1}{coerce(x) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} t2:=ptree(t1,ptree([1,2,3])) \\spad{X} t2::Tree List PositiveInteger")) (|ptree| (($ $ $) "\\indented{1}{ptree(x,y) is not documented} \\blankline \\spad{X} t1:=ptree([1,2,3]) \\spad{X} ptree(t1,ptree([1,2,3]))") (($ |#1|) "\\indented{1}{ptree(s) is a leaf? pendant tree} \\blankline \\spad{X} t1:=ptree([1,2,3])"))) 
 NIL 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-899 |n| R) 
+((|constructor| (NIL "Permanent implements the functions permanent, the permanent for square matrices.")) (|permanent| ((|#2| (|SquareMatrix| |#1| |#2|)) "\\spad{permanent(x)} computes the permanent of a square matrix \\spad{x.} The permanent is equivalent to the \\spadfun{determinant} except that coefficients have no change of sign. This function is much more difficult to compute than the determinant. The formula used is by H.J. Ryser, improved by [Nijenhuis and Wilf, \\spad{Ch.} 19]. Note that permanent(x) choose one of three algorithms, depending on the underlying ring \\spad{R} and on \\spad{n,} the number of rows (and columns) of x:\\br if 2 has an inverse in \\spad{R} we can use the algorithm of [Nijenhuis and Wilf, ch.19,p.158]; if 2 has no inverse, some modifications are necessary:\\br if \\spad{n} > 6 and \\spad{R} is an integral domain with characteristic different from 2 (the algorithm works if and only 2 is not a zero-divisor of \\spad{R} and characteristic()$R \\spad{^=} 2, but how to check that for any given \\spad{R} \\spad{?),} the local function \\spad{permanent2} is called;\\br else, the local function \\spad{permanent3} is called (works for all commutative rings \\spad{R).}"))) 
 NIL 
-(-899 S) 
-((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (\\spadignore{i.e.} permutations)")) (< (((|Boolean|) $ $) "\\spad{p < q} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p,{} el)} returns the orbit of el under the permutation \\spad{p},{} \\spadignore{i.e.} the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p,{} el)} returns the image of el under the permutation \\spad{p}.")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p,{} el)} returns the image of el under the permutation \\spad{p}.")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation,{} each cycle being a list with not repetitions,{} is coerced to the permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list,{} then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls},{} \\spadignore{i.e.} a list with not repetitions to a permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list. Error: if repetitions occur."))) 
-((-4532 . T)) 
 NIL 
 (-900 S) 
-((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S},{} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S},{} represented as a list of permutations (generators). Note that therefore the objects are not members of the \\Language category \\spadtype{Group}. Using the idea of base and strong generators by Sims,{} basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,{}m,{}n)} initializes the group \\spad{gp} for the word problem. Notes: (1) with a small integer you get shorter words,{} but the routine takes longer than the standard routine for longer words. (2) be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). (3) users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(\\spad{gp},{}0,{}1). Notes: (1) be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) (2) users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 <= gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of \\spad{gp2}. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} \\spad{<=}\\$(PERMGRP \\spad{S}) \\spad{gp2}.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of \\spad{gp2}.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp}.")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,{}gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp},{} represented by the indices of the list,{} given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,{}gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp},{} represented by the indices of the list,{} given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,{}gp)} answers the question,{} whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp},{} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,{}ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp}. Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,{}els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp}.") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,{}el)} returns the orbit of the element \\spad{el} under the group \\spad{gp},{} \\spadignore{i.e.} the set of all points gained by applying each group element to \\spad{el}.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp},{} represented by their indices in the list,{} given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp}.")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp}.")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp}. Note: random(\\spad{gp})=random(\\spad{gp},{}20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,{}i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp}.")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,{}i)} returns the \\spad{i}-th generator of the group \\spad{gp}.")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp}.")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp}."))) 
-NIL 
+((|constructor| (NIL "PermutationCategory provides a categorial environment for subgroups of bijections of a set (\\spadignore{i.e.} permutations)")) (< (((|Boolean|) $ $) "\\spad{p < \\spad{q}} is an order relation on permutations. Note that this order is only total if and only if \\spad{S} is totally ordered or \\spad{S} is finite.")) (|orbit| (((|Set| |#1|) $ |#1|) "\\spad{orbit(p, el)} returns the orbit of el under the permutation \\spad{p,} \\spadignore{i.e.} the set which is given by applications of the powers of \\spad{p} to el.")) (|elt| ((|#1| $ |#1|) "\\spad{elt(p, el)} returns the image of el under the permutation \\spad{p.}")) (|eval| ((|#1| $ |#1|) "\\spad{eval(p, el)} returns the image of el under the permutation \\spad{p.}")) (|cycles| (($ (|List| (|List| |#1|))) "\\spad{cycles(lls)} coerces a list list of cycles \\spad{lls} to a permutation, each cycle being a list with not repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|cycle| (($ (|List| |#1|)) "\\spad{cycle(ls)} coerces a cycle \\spad{ls,} \\spadignore{i.e.} a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur."))) 
+((-4568 . T)) 
 NIL 
 (-901 S) 
-((|constructor| (NIL "Permutation(\\spad{S}) implements the group of all bijections on a set \\spad{S},{} which move only a finite number of points. A permutation is considered as a map from \\spad{S} into \\spad{S}. In particular multiplication is defined as composition of maps:\\spad{\\br} \\spad{pi1} * \\spad{pi2} = \\spad{pi1} \\spad{o} \\spad{pi2}.\\spad{\\br} The internal representation of permuatations are two lists of equal length representing preimages and images.")) (|coerceImages| (($ (|List| |#1|)) "\\spad{coerceImages(ls)} coerces the list \\spad{ls} to a permutation whose image is given by \\spad{ls} and the preimage is fixed to be [1,{}...,{}\\spad{n}]. Note: {coerceImages(\\spad{ls})=coercePreimagesImages([1,{}...,{}\\spad{n}],{}\\spad{ls})}. We assume that both preimage and image do not contain repetitions.")) (|fixedPoints| (((|Set| |#1|) $) "\\indented{1}{fixedPoints(\\spad{p}) returns the points fixed by the permutation \\spad{p}.} \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[0,{}1,{}2,{}3],{}[3,{}0,{}2,{}1]])\\$PERM ZMOD 4 \\spad{X} fixedPoints \\spad{p}")) (|sort| (((|List| $) (|List| $)) "\\spad{sort(lp)} sorts a list of permutations \\spad{lp} according to cycle structure first according to length of cycles,{} second,{} if \\spad{S} has \\spadtype{Finite} or \\spad{S} has \\spadtype{OrderedSet} according to lexicographical order of entries in cycles of equal length.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(p)} returns \\spad{true} if and only if \\spad{p} is an odd permutation \\spadignore{i.e.} sign(\\spad{p}) is \\spad{-1}.")) (|even?| (((|Boolean|) $) "\\indented{1}{even?(\\spad{p}) returns \\spad{true} if and only if \\spad{p} is an even permutation,{}} \\indented{1}{\\spadignore{i.e.} sign(\\spad{p}) is 1.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} even? \\spad{p}")) (|sign| (((|Integer|) $) "\\spad{sign(p)} returns the signum of the permutation \\spad{p},{} \\spad{+1} or \\spad{-1}.")) (|numberOfCycles| (((|NonNegativeInteger|) $) "\\spad{numberOfCycles(p)} returns the number of non-trivial cycles of the permutation \\spad{p}.")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of a permutation \\spad{p} as a group element.")) (|cyclePartition| (((|Partition|) $) "\\spad{cyclePartition(p)} returns the cycle structure of a permutation \\spad{p} including cycles of length 1 only if \\spad{S} is finite.")) (|movedPoints| (((|Set| |#1|) $) "\\indented{1}{movedPoints(\\spad{p}) returns the set of points moved by the permutation \\spad{p}.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} movedPoints \\spad{p}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} retuns the number of points moved by the permutation \\spad{p}.")) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) "\\spad{coerceListOfPairs(lls)} coerces a list of pairs \\spad{lls} to a permutation. Error: if not consistent,{} \\spadignore{i.e.} the set of the first elements coincides with the set of second elements. coerce(\\spad{p}) generates output of the permutation \\spad{p} with domain OutputForm.")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(ls)} coerces a cycle \\spad{ls},{} \\spadignore{i.e.} a list with not repetitions to a permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list. Error: if repetitions occur.") (($ (|List| (|List| |#1|))) "\\spad{coerce(lls)} coerces a list of cycles \\spad{lls} to a permutation,{} each cycle being a list with no repetitions,{} is coerced to the permutation,{} which maps \\spad{ls}.\\spad{i} to \\spad{ls}.\\spad{i+1},{} indices modulo the length of the list,{} then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) "\\indented{1}{coercePreimagesImages(\\spad{lls}) coerces the representation \\spad{lls}} \\indented{1}{of a permutation as a list of preimages and images to a permutation.} \\indented{1}{We assume that both preimage and image do not contain repetitions.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,{}2,{}3],{}[1,{}2,{}3]]) \\spad{X} \\spad{q} \\spad{:=} coercePreimagesImages([[0,{}1,{}2,{}3],{}[3,{}0,{}2,{}1]])\\$PERM ZMOD 4")) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) "\\spad{listRepresentation(p)} produces a representation rep of the permutation \\spad{p} as a list of preimages and images,{} \\spad{i}.\\spad{e} \\spad{p} maps (rep.preimage).\\spad{k} to (rep.image).\\spad{k} for all indices \\spad{k}. Elements of \\spad{S} not in (rep.preimage).\\spad{k} are fixed points,{} and these are the only fixed points of the permutation."))) 
-((-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-843))))) 
-(-902 R E |VarSet| S) 
-((|constructor| (NIL "PolynomialFactorizationByRecursion(\\spad{R},{}\\spad{E},{}\\spad{VarSet},{}\\spad{S}) is used for factorization of sparse univariate polynomials over a domain \\spad{S} of multivariate polynomials over \\spad{R}.")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) "\\spad{bivariateSLPEBR(lp,{}p,{}v)} implements the bivariate case of solveLinearPolynomialEquationByRecursion its implementation depends on \\spad{R}")) (|randomR| ((|#1|) "\\spad{randomR produces} a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p}. This functions performs the recursion step for factorSquareFreePolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p}. This function performs the recursion step for factorPolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,{}...,{}pn],{}p)} returns the list of polynomials \\spad{[q1,{}...,{}qn]} such that \\spad{sum qi/pi = p / prod \\spad{pi}},{} a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists,{} then \"failed\" is returned."))) 
+((|constructor| (NIL "PermutationGroup implements permutation groups acting on a set \\spad{S,} \\spadignore{i.e.} all subgroups of the symmetric group of \\spad{S,} represented as a list of permutations (generators). Note that therefore the objects are not members of the \\Language category \\spadtype{Group}. Using the idea of base and strong generators by Sims, basic routines and algorithms are implemented so that the word problem for permutation groups can be solved.")) (|initializeGroupForWordProblem| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{initializeGroupForWordProblem(gp,m,n)} initializes the group \\spad{gp} for the word problem. Notes: \\spad{(1)} with a small integer you get shorter words, but the routine takes longer than the standard routine for longer words. \\spad{(2)} be careful: invoking this routine will destroy the possibly stored information about your group (but will recompute it again). \\spad{(3)} users need not call this function normally for the soultion of the word problem.") (((|Void|) $) "\\spad{initializeGroupForWordProblem(gp)} initializes the group \\spad{gp} for the word problem. Notes: it calls the other function of this name with parameters 0 and 1: initializeGroupForWordProblem(gp,0,1). Notes: \\spad{(1)} be careful: invoking this routine will destroy the possibly information about your group (but will recompute it again) \\spad{(2)} users need not call this function normally for the soultion of the word problem.")) (<= (((|Boolean|) $ $) "\\spad{gp1 \\spad{<=} gp2} returns \\spad{true} if and only if \\spad{gp1} is a subgroup of gp2. Note: because of a bug in the parser you have to call this function explicitly by \\spad{gp1} <=$(PERMGRP \\spad{S)} gp2.")) (< (((|Boolean|) $ $) "\\spad{gp1 < gp2} returns \\spad{true} if and only if \\spad{gp1} is a proper subgroup of gp2.")) (|movedPoints| (((|Set| |#1|) $) "\\spad{movedPoints(gp)} returns the points moved by the group \\spad{gp.}")) (|wordInGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInGenerators(p,gp)} returns the word for the permutation \\spad{p} in the original generators of the group \\spad{gp,} represented by the indices of the list, given by generators.")) (|wordInStrongGenerators| (((|List| (|NonNegativeInteger|)) (|Permutation| |#1|) $) "\\spad{wordInStrongGenerators(p,gp)} returns the word for the permutation \\spad{p} in the strong generators of the group \\spad{gp,} represented by the indices of the list, given by strongGenerators.")) (|member?| (((|Boolean|) (|Permutation| |#1|) $) "\\spad{member?(pp,gp)} answers the question, whether the permutation \\spad{pp} is in the group \\spad{gp} or not.")) (|orbits| (((|Set| (|Set| |#1|)) $) "\\spad{orbits(gp)} returns the orbits of the group \\spad{gp,} \\spadignore{i.e.} it partitions the (finite) of all moved points.")) (|orbit| (((|Set| (|List| |#1|)) $ (|List| |#1|)) "\\spad{orbit(gp,ls)} returns the orbit of the ordered list \\spad{ls} under the group \\spad{gp.} Note: return type is \\spad{L} \\spad{L} \\spad{S} temporarily because FSET \\spad{L} \\spad{S} has an error.") (((|Set| (|Set| |#1|)) $ (|Set| |#1|)) "\\spad{orbit(gp,els)} returns the orbit of the unordered set \\spad{els} under the group \\spad{gp.}") (((|Set| |#1|) $ |#1|) "\\spad{orbit(gp,el)} returns the orbit of the element \\spad{el} under the group \\spad{gp,} \\spadignore{i.e.} the set of all points gained by applying each group element to el.")) (|permutationGroup| (($ (|List| (|Permutation| |#1|))) "\\spad{permutationGroup(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.")) (|wordsForStrongGenerators| (((|List| (|List| (|NonNegativeInteger|))) $) "\\spad{wordsForStrongGenerators(gp)} returns the words for the strong generators of the group \\spad{gp} in the original generators of \\spad{gp,} represented by their indices in the list, given by generators.")) (|strongGenerators| (((|List| (|Permutation| |#1|)) $) "\\spad{strongGenerators(gp)} returns strong generators for the group \\spad{gp.}")) (|base| (((|List| |#1|) $) "\\spad{base(gp)} returns a base for the group \\spad{gp.}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(gp)} returns the number of points moved by all permutations of the group \\spad{gp.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(gp)} returns the order of the group \\spad{gp.}")) (|random| (((|Permutation| |#1|) $) "\\spad{random(gp)} returns a random product of maximal 20 generators of the group \\spad{gp.} Note: random(gp)=random(gp,20).") (((|Permutation| |#1|) $ (|Integer|)) "\\spad{random(gp,i)} returns a random product of maximal \\spad{i} generators of the group \\spad{gp.}")) (|elt| (((|Permutation| |#1|) $ (|NonNegativeInteger|)) "\\spad{elt(gp,i)} returns the \\spad{i}-th generator of the group \\spad{gp.}")) (|generators| (((|List| (|Permutation| |#1|)) $) "\\spad{generators(gp)} returns the generators of the group \\spad{gp.}")) (|coerce| (($ (|List| (|Permutation| |#1|))) "\\spad{coerce(ls)} coerces a list of permutations \\spad{ls} to the group generated by this list.") (((|List| (|Permutation| |#1|)) $) "\\spad{coerce(gp)} returns the generators of the group \\spad{gp.}"))) 
+NIL 
 NIL 
+(-902 S) 
+((|constructor| (NIL "Permutation(S) implements the group of all bijections on a set \\spad{S,} which move only a finite number of points. A permutation is considered as a map from \\spad{S} into \\spad{S.} In particular multiplication is defined as composition of maps:\\br \\spad{pi1} * \\spad{pi2} = \\spad{pi1} \\spad{o} pi2.\\br The internal representation of permuatations are two lists of equal length representing preimages and images.")) (|coerceImages| (($ (|List| |#1|)) "\\spad{coerceImages(ls)} coerces the list \\spad{ls} to a permutation whose image is given by \\spad{ls} and the preimage is fixed to be [1,...,n]. Note: {coerceImages(ls)=coercePreimagesImages([1,...,n],ls)}. We assume that both preimage and image do not contain repetitions.")) (|fixedPoints| (((|Set| |#1|) $) "\\indented{1}{fixedPoints(p) returns the points fixed by the permutation \\spad{p.}} \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4 \\spad{X} fixedPoints \\spad{p}")) (|sort| (((|List| $) (|List| $)) "\\spad{sort(lp)} sorts a list of permutations \\spad{lp} according to cycle structure first according to length of cycles, second, if \\spad{S} has \\spadtype{Finite} or \\spad{S} has \\spadtype{OrderedSet} according to lexicographical order of entries in cycles of equal length.")) (|odd?| (((|Boolean|) $) "\\spad{odd?(p)} returns \\spad{true} if and only if \\spad{p} is an odd permutation \\spadignore{i.e.} sign(p) is \\spad{-1.}")) (|even?| (((|Boolean|) $) "\\indented{1}{even?(p) returns \\spad{true} if and only if \\spad{p} is an even permutation,} \\indented{1}{\\spadignore{i.e.} sign(p) is 1.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} even? \\spad{p}")) (|sign| (((|Integer|) $) "\\spad{sign(p)} returns the signum of the permutation \\spad{p,} \\spad{+1} or \\spad{-1.}")) (|numberOfCycles| (((|NonNegativeInteger|) $) "\\spad{numberOfCycles(p)} returns the number of non-trivial cycles of the permutation \\spad{p.}")) (|order| (((|NonNegativeInteger|) $) "\\spad{order(p)} returns the order of a permutation \\spad{p} as a group element.")) (|cyclePartition| (((|Partition|) $) "\\spad{cyclePartition(p)} returns the cycle structure of a permutation \\spad{p} including cycles of length 1 only if \\spad{S} is finite.")) (|movedPoints| (((|Set| |#1|) $) "\\indented{1}{movedPoints(p) returns the set of points moved by the permutation \\spad{p.}} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} movedPoints \\spad{p}")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} retuns the number of points moved by the permutation \\spad{p.}")) (|coerceListOfPairs| (($ (|List| (|List| |#1|))) "\\spad{coerceListOfPairs(lls)} coerces a list of pairs \\spad{lls} to a permutation. Error: if not consistent, \\spadignore{i.e.} the set of the first elements coincides with the set of second elements. coerce(p) generates output of the permutation \\spad{p} with domain OutputForm.")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce(ls)} coerces a cycle \\spad{ls,} \\spadignore{i.e.} a list with not repetitions to a permutation, which maps ls.i to ls.i+1, indices modulo the length of the list. Error: if repetitions occur.") (($ (|List| (|List| |#1|))) "\\spad{coerce(lls)} coerces a list of cycles \\spad{lls} to a permutation, each cycle being a list with no repetitions, is coerced to the permutation, which maps ls.i to ls.i+1, indices modulo the length of the list, then these permutations are mutiplied. Error: if repetitions occur in one cycle.")) (|coercePreimagesImages| (($ (|List| (|List| |#1|))) "\\indented{1}{coercePreimagesImages(lls) coerces the representation lls} \\indented{1}{of a permutation as a list of preimages and images to a permutation.} \\indented{1}{We assume that both preimage and image do not contain repetitions.} \\blankline \\spad{X} \\spad{p} \\spad{:=} coercePreimagesImages([[1,2,3],[1,2,3]]) \\spad{X} \\spad{q} \\spad{:=} coercePreimagesImages([[0,1,2,3],[3,0,2,1]])$PERM ZMOD 4")) (|listRepresentation| (((|Record| (|:| |preimage| (|List| |#1|)) (|:| |image| (|List| |#1|))) $) "\\spad{listRepresentation(p)} produces a representation rep of the permutation \\spad{p} as a list of preimages and images, i.e \\spad{p} maps (rep.preimage).k to (rep.image).k for all indices \\spad{k.} Elements of \\spad{S} not in (rep.preimage).k are fixed points, and these are the only fixed points of the permutation."))) 
+((-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-844))))) 
+(-903 R E |VarSet| S) 
+((|constructor| (NIL "PolynomialFactorizationByRecursion(R,E,VarSet,S) is used for factorization of sparse univariate polynomials over a domain \\spad{S} of multivariate polynomials over \\spad{R.}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|List| |#3|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|bivariateSLPEBR| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|) |#3|) "\\spad{bivariateSLPEBR(lp,p,v)} implements the bivariate case of solveLinearPolynomialEquationByRecursion its implementation depends on \\spad{R}")) (|randomR| ((|#1|) "\\spad{randomR produces} a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#4|)) "failed") (|List| (|SparseUnivariatePolynomial| |#4|)) (|SparseUnivariatePolynomial| |#4|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
-(-903 R S) 
-((|constructor| (NIL "PolynomialFactorizationByRecursionUnivariate \\spad{R} is a \\spadfun{PolynomialFactorizationExplicit} domain,{} \\spad{S} is univariate polynomials over \\spad{R} We are interested in handling SparseUnivariatePolynomials over \\spad{S},{} is a variable we shall call \\spad{z}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|randomR| ((|#1|) "\\spad{randomR()} produces a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p}. This functions performs the recursion step for factorSquareFreePolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p}. This function performs the recursion step for factorPolynomial,{} as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,{}...,{}pn],{}p)} returns the list of polynomials \\spad{[q1,{}...,{}qn]} such that \\spad{sum qi/pi = p / prod \\spad{pi}},{} a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists,{} then \"failed\" is returned."))) 
 NIL 
+(-904 R S) 
+((|constructor| (NIL "PolynomialFactorizationByRecursionUnivariate \\spad{R} is a \\spadfun{PolynomialFactorizationExplicit} domain, \\spad{S} is univariate polynomials over \\spad{R} We are interested in handling SparseUnivariatePolynomials over \\spad{S,} is a variable we shall call \\spad{z}")) (|factorSFBRlcUnit| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSFBRlcUnit(p)} returns the square free factorization of polynomial \\spad{p} (see \\spadfun{factorSquareFreeByRecursion}{PolynomialFactorizationByRecursionUnivariate}) in the case where the leading coefficient of \\spad{p} is a unit.")) (|randomR| ((|#1|) "\\spad{randomR()} produces a random element of \\spad{R}")) (|factorSquareFreeByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorSquareFreeByRecursion(p)} returns the square free factorization of \\spad{p.} This functions performs the recursion step for factorSquareFreePolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorSquareFreePolynomial}).")) (|factorByRecursion| (((|Factored| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{factorByRecursion(p)} factors polynomial \\spad{p.} This function performs the recursion step for factorPolynomial, as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{factorPolynomial})")) (|solveLinearPolynomialEquationByRecursion| (((|Union| (|List| (|SparseUnivariatePolynomial| |#2|)) "failed") (|List| (|SparseUnivariatePolynomial| |#2|)) (|SparseUnivariatePolynomial| |#2|)) "\\spad{solveLinearPolynomialEquationByRecursion([p1,...,pn],p)} returns the list of polynomials \\spad{[q1,...,qn]} such that \\spad{sum qi/pi = \\spad{p} / prod pi}, a recursion step for solveLinearPolynomialEquation as defined in \\spadfun{PolynomialFactorizationExplicit} category (see \\spadfun{solveLinearPolynomialEquation}). If no such list of \\spad{qi} exists, then \"failed\" is returned."))) 
 NIL 
-(-904 S) 
-((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields,{} it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}\\spad{-}th root of \\spad{r},{} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements,{} not all zero,{} whose \\spad{p}\\spad{-}th powers (\\spad{p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m},{} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q}.")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p}.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p}."))) 
+NIL 
+(-905 S) 
+((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-149)))) 
-(-905) 
-((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields,{} it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}\\spad{-}th root of \\spad{r},{} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements,{} not all zero,{} whose \\spad{p}\\spad{-}th powers (\\spad{p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m},{} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1,{} ...,{} fn],{} g)} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of \\spad{ai}\\spad{'s} exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,{}q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q}.")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p}.")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p}."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-906) 
+((|constructor| (NIL "This is the category of domains that know \"enough\" about themselves in order to factor univariate polynomials over themselves. This will be used in future releases for supporting factorization over finitely generated coefficient fields, it is not yet available in the current release of axiom.")) (|charthRoot| (((|Union| $ "failed") $) "\\spad{charthRoot(r)} returns the \\spad{p}-th root of \\spad{r,} or \"failed\" if none exists in the domain.")) (|conditionP| (((|Union| (|Vector| $) "failed") (|Matrix| $)) "\\spad{conditionP(m)} returns a vector of elements, not all zero, whose \\spad{p}-th powers \\spad{(p} is the characteristic of the domain) are a solution of the homogenous linear system represented by \\spad{m,} or \"failed\" is there is no such vector.")) (|solveLinearPolynomialEquation| (((|Union| (|List| (|SparseUnivariatePolynomial| $)) "failed") (|List| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{solveLinearPolynomialEquation([f1, ..., fn], \\spad{g)}} (where the \\spad{fi} are relatively prime to each other) returns a list of \\spad{ai} such that \\spad{g/prod \\spad{fi} = sum ai/fi} or returns \"failed\" if no such list of ai's exists.")) (|gcdPolynomial| (((|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $) (|SparseUnivariatePolynomial| $)) "\\spad{gcdPolynomial(p,q)} returns the \\spad{gcd} of the univariate polynomials \\spad{p} \\spad{qnd} \\spad{q.}")) (|factorSquareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorSquareFreePolynomial(p)} factors the univariate polynomial \\spad{p} into irreducibles where \\spad{p} is known to be square free and primitive with respect to its main variable.")) (|factorPolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{factorPolynomial(p)} returns the factorization into irreducibles of the univariate polynomial \\spad{p.}")) (|squareFreePolynomial| (((|Factored| (|SparseUnivariatePolynomial| $)) (|SparseUnivariatePolynomial| $)) "\\spad{squareFreePolynomial(p)} returns the square-free factorization of the univariate polynomial \\spad{p.}"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-906 |p|) 
-((|constructor| (NIL "PrimeField(\\spad{p}) implements the field with \\spad{p} elements if \\spad{p} is a prime number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-907 |p|) 
+((|constructor| (NIL "PrimeField(p) implements the field with \\spad{p} elements if \\spad{p} is a prime number."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 ((|HasCategory| $ (QUOTE (-151))) (|HasCategory| $ (QUOTE (-149))) (|HasCategory| $ (QUOTE (-371)))) 
-(-907 R0 -1564 UP UPUP R) 
-((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsionIfCan(f)}\\\\ undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{order(f)} \\undocumented"))) 
+(-908 R0 -1647 UP UPUP R) 
+((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#5|)) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsionIfCan(f)}\\ undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| |#2| |#3| |#4| |#5|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-908 UP UPUP R) 
+(-909 UP UPUP R) 
 ((|constructor| (NIL "This package provides function for testing whether a divisor on a curve is a torsion divisor.")) (|torsionIfCan| (((|Union| (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| |#3|)) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsionIfCan(f)} \\undocumented")) (|torsion?| (((|Boolean|) (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{torsion?(f)} \\undocumented")) (|order| (((|Union| (|NonNegativeInteger|) "failed") (|FiniteDivisor| (|Fraction| (|Integer|)) |#1| |#2| |#3|)) "\\spad{order(f)} \\undocumented"))) 
 NIL 
 NIL 
-(-909 R |PolyRing| E -4391) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) "\\spad{degreeOfMinimalForm does} what it says")) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) "\\spad{listAllMono(l)} returns all the monomials of degree \\spad{l}")) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) "\\spad{listAllMonoExp(l)} returns all the exponents of degree \\spad{l}")) (|homogenize| ((|#2| |#2| (|Integer|)) "\\spad{homogenize(pol,{}n)} returns the homogenized polynomial of \\spad{pol} with respect to the \\spad{n}-th variable.")) (|constant| ((|#1| |#2|) "\\spad{constant(pol)} returns the constant term of the polynomial.")) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) "\\spad{degOneCoef(pol,{}n)} returns the coefficient in front of the monomial specified by the positive integer.")) (|translate| ((|#2| |#2| (|List| |#1|)) "\\spad{translate(pol,{}[a,{}b,{}c])} apply to \\spad{pol} the linear change of coordinates,{} \\spad{x}->x+a,{} \\spad{y}->y+b,{} \\spad{z}->z+c") ((|#2| |#2| (|List| |#1|) (|Integer|)) "\\spad{translate(pol,{}[a,{}b,{}c],{}3)} apply to \\spad{pol} the linear change of coordinates,{} \\spad{x}->x+a,{} \\spad{y}->y+b,{} \\spad{z}-\\spad{>1}.")) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByOne(pol,{}a)} evaluate to one the variable in \\spad{pol} specified by the integer a.")) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByZero(pol,{}a)} evaluate to zero the variable in \\spad{pol} specified by the integer a.")) (|firstExponent| ((|#3| |#2|) "\\spad{firstExponent(pol)} returns the exponent of the first term in the representation of \\spad{pol}. Not to be confused with the leadingExponent \\indented{1}{which is the highest exponent according to the order} over the monomial.")) (|minimalForm| ((|#2| |#2|) "\\spad{minimalForm(pol)} returns the minimal forms of the polynomial \\spad{pol}."))) 
-NIL 
+(-910 R |PolyRing| E -4360) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|degreeOfMinimalForm| (((|NonNegativeInteger|) |#2|) "\\spad{degreeOfMinimalForm does} what it says")) (|listAllMono| (((|List| |#2|) (|NonNegativeInteger|)) "\\spad{listAllMono(l)} returns all the monomials of degree \\spad{l}")) (|listAllMonoExp| (((|List| |#3|) (|Integer|)) "\\spad{listAllMonoExp(l)} returns all the exponents of degree \\spad{l}")) (|homogenize| ((|#2| |#2| (|Integer|)) "\\spad{homogenize(pol,n)} returns the homogenized polynomial of \\spad{pol} with respect to the \\spad{n}-th variable.")) (|constant| ((|#1| |#2|) "\\spad{constant(pol)} returns the constant term of the polynomial.")) (|degOneCoef| ((|#1| |#2| (|PositiveInteger|)) "\\spad{degOneCoef(pol,n)} returns the coefficient in front of the monomial specified by the positive integer.")) (|translate| ((|#2| |#2| (|List| |#1|)) "\\spad{translate(pol,[a,b,c])} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->z+c") ((|#2| |#2| (|List| |#1|) (|Integer|)) "\\spad{translate(pol,[a,b,c],3)} apply to \\spad{pol} the linear change of coordinates, x->x+a, y->y+b, z->1.")) (|replaceVarByOne| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByOne(pol,a)} evaluate to one the variable in \\spad{pol} specified by the integer a.")) (|replaceVarByZero| ((|#2| |#2| (|Integer|)) "\\spad{replaceVarByZero(pol,a)} evaluate to zero the variable in \\spad{pol} specified by the integer a.")) (|firstExponent| ((|#3| |#2|) "\\spad{firstExponent(pol)} returns the exponent of the first term in the representation of pol. Not to be confused with the leadingExponent \\indented{1}{which is the highest exponent according to the order} over the monomial.")) (|minimalForm| ((|#2| |#2|) "\\spad{minimalForm(pol)} returns the minimal forms of the polynomial pol."))) 
 NIL 
-(-910 UP UPUP) 
-((|constructor| (NIL "Utilities for PFOQ and PFO")) (|polyred| ((|#2| |#2|) "\\spad{polyred(u)} \\undocumented")) (|doubleDisc| (((|Integer|) |#2|) "\\spad{doubleDisc(u)} \\undocumented")) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) "\\spad{mix(l)} \\undocumented")) (|badNum| (((|Integer|) |#2|) "\\spad{badNum(u)} \\undocumented") (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) "\\spad{badNum(p)} \\undocumented")) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) "\\spad{getGoodPrime n} returns the smallest prime not dividing \\spad{n}"))) 
 NIL 
+(-911 UP UPUP) 
+((|constructor| (NIL "Utilities for PFOQ and PFO")) (|polyred| ((|#2| |#2|) "\\spad{polyred(u)} \\undocumented")) (|doubleDisc| (((|Integer|) |#2|) "\\spad{doubleDisc(u)} \\undocumented")) (|mix| (((|Integer|) (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) "\\spad{mix(l)} \\undocumented")) (|badNum| (((|Integer|) |#2|) "\\spad{badNum(u)} \\undocumented") (((|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))) |#1|) "\\spad{badNum(p)} \\undocumented")) (|getGoodPrime| (((|PositiveInteger|) (|Integer|)) "\\spad{getGoodPrime \\spad{n}} returns the smallest prime not dividing \\spad{n}"))) 
 NIL 
-(-911 R) 
-((|constructor| (NIL "The domain \\spadtype{PartialFraction} implements partial fractions over a euclidean domain \\spad{R}. This requirement on the argument domain allows us to normalize the fractions. Of particular interest are the 2 forms for these fractions. The ``compact\\spad{''} form has only one fractional term per prime in the denominator,{} while the \\spad{``p}-adic\\spad{''} form expands each numerator \\spad{p}-adically via the prime \\spad{p} in the denominator. For computational efficiency,{} the compact form is used,{} though the \\spad{p}-adic form may be gotten by calling the function padicFraction}. For a general euclidean domain,{} it is not known how to factor the denominator. Thus the function partialFraction takes as its second argument an element of \\spadtype{Factored(R)}.")) (|wholePart| ((|#1| $) "\\indented{1}{wholePart(\\spad{p}) extracts the whole part of the partial fraction} \\indented{1}{\\spad{p}.} \\blankline \\spad{X} a:=(74/13)::PFR(INT) \\spad{X} wholePart(a)")) (|partialFraction| (($ |#1| (|Factored| |#1|)) "\\indented{1}{partialFraction(numer,{}denom) is the main function for} \\indented{1}{constructing partial fractions. The second argument is the} \\indented{1}{denominator and should be factored.} \\blankline \\spad{X} partialFraction(1,{}factorial 10)")) (|padicFraction| (($ $) "\\indented{1}{padicFraction(\\spad{q}) expands the fraction \\spad{p}-adically in the primes} \\indented{1}{\\spad{p} in the denominator of \\spad{q}. For example,{}} \\indented{1}{\\spad{padicFraction(3/(2**2)) = 1/2 + 1/(2**2)}.} \\indented{1}{Use compactFraction from PartialFraction to} \\indented{1}{return to compact form.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} padicFraction(a)")) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) "\\spad{padicallyExpand(p,{}x)} is a utility function that expands the second argument \\spad{x} \\spad{``p}-adically\\spad{''} in the first.")) (|numberOfFractionalTerms| (((|Integer|) $) "\\indented{1}{numberOfFractionalTerms(\\spad{p}) computes the number of fractional} \\indented{1}{terms in \\spad{p}. This returns 0 if there is no fractional} \\indented{1}{part.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} numberOfFractionalTerms(\\spad{b})")) (|nthFractionalTerm| (($ $ (|Integer|)) "\\indented{1}{nthFractionalTerm(\\spad{p},{}\\spad{n}) extracts the \\spad{n}th fractional term from} \\indented{1}{the partial fraction \\spad{p}.\\space{2}This returns 0 if the index} \\indented{1}{\\spad{n} is out of range.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} nthFractionalTerm(\\spad{b},{}3)")) (|firstNumer| ((|#1| $) "\\indented{1}{firstNumer(\\spad{p}) extracts the numerator of the first fractional} \\indented{1}{term. This returns 0 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} firstNumer(a)")) (|firstDenom| (((|Factored| |#1|) $) "\\indented{1}{firstDenom(\\spad{p}) extracts the denominator of the first fractional} \\indented{1}{term. This returns 1 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} firstDenom(a)")) (|compactFraction| (($ $) "\\indented{1}{compactFraction(\\spad{p}) normalizes the partial fraction \\spad{p}} \\indented{1}{to the compact representation. In this form,{} the partial} \\indented{1}{fraction has only one fractional term per prime in the} \\indented{1}{denominator.} \\blankline \\spad{X} a:=partialFraction(1,{}factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} compactFraction(\\spad{b})")) (|coerce| (($ (|Fraction| (|Factored| |#1|))) "\\indented{1}{coerce(\\spad{f}) takes a fraction with numerator and denominator in} \\indented{1}{factored form and creates a partial fraction.\\space{2}It is} \\indented{1}{necessary for the parts to be factored because it is not} \\indented{1}{known in general how to factor elements of \\spad{R} and} \\indented{1}{this is needed to decompose into partial fractions.} \\blankline \\spad{X} (13/74)::PFR(INT)") (((|Fraction| |#1|) $) "\\indented{1}{coerce(\\spad{p}) sums up the components of the partial fraction and} \\indented{1}{returns a single fraction.} \\blankline \\spad{X} a:=(13/74)::PFR(INT) \\spad{X} a::FRAC(INT)"))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-912 R) 
-((|constructor| (NIL "The package \\spadtype{PartialFractionPackage} gives an easier to use interfact the domain \\spadtype{PartialFraction}. The user gives a fraction of polynomials,{} and a variable and the package converts it to the proper datatype for the \\spadtype{PartialFraction} domain.")) (|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{partialFraction(num,{} facdenom,{} var)} returns the partial fraction decomposition of the rational function whose numerator is \\spad{num} and whose factored denominator is \\spad{facdenom} with respect to the variable var.") (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{partialFraction(\\spad{rf},{} var) returns the partial fraction decomposition} \\indented{1}{of the rational function \\spad{rf} with respect to the variable var.} \\blankline \\spad{X} a:=x+1/(\\spad{y+1}) \\spad{X} partialFraction(a,{}\\spad{y})\\$PFRPAC(INT)"))) 
+((|constructor| (NIL "The domain \\spadtype{PartialFraction} implements partial fractions over a euclidean domain \\spad{R}. This requirement on the argument domain allows us to normalize the fractions. Of particular interest are the 2 forms for these fractions. The ``compact'' form has only one fractional term per prime in the denominator, while the ``p-adic'' form expands each numerator p-adically via the prime \\spad{p} in the denominator. For computational efficiency, the compact form is used, though the p-adic form may be gotten by calling the function padicFraction}. For a general euclidean domain, it is not known how to factor the denominator. Thus the function partialFraction takes as its second argument an element of \\spadtype{Factored(R)}.")) (|wholePart| ((|#1| $) "\\indented{1}{wholePart(p) extracts the whole part of the partial fraction} \\indented{1}{\\spad{p}.} \\blankline \\spad{X} a:=(74/13)::PFR(INT) \\spad{X} wholePart(a)")) (|partialFraction| (($ |#1| (|Factored| |#1|)) "\\indented{1}{partialFraction(numer,denom) is the main function for} \\indented{1}{constructing partial fractions. The second argument is the} \\indented{1}{denominator and should be factored.} \\blankline \\spad{X} partialFraction(1,factorial 10)")) (|padicFraction| (($ $) "\\indented{1}{padicFraction(q) expands the fraction p-adically in the primes} \\indented{1}{\\spad{p} in the denominator of \\spad{q}. For example,} \\indented{1}{\\spad{padicFraction(3/(2**2)) = 1/2 + 1/(2**2)}.} \\indented{1}{Use compactFraction from PartialFraction to} \\indented{1}{return to compact form.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} padicFraction(a)")) (|padicallyExpand| (((|SparseUnivariatePolynomial| |#1|) |#1| |#1|) "\\spad{padicallyExpand(p,x)} is a utility function that expands the second argument \\spad{x} ``p-adically'' in the first.")) (|numberOfFractionalTerms| (((|Integer|) $) "\\indented{1}{numberOfFractionalTerms(p) computes the number of fractional} \\indented{1}{terms in \\spad{p}. This returns 0 if there is no fractional} \\indented{1}{part.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} numberOfFractionalTerms(b)")) (|nthFractionalTerm| (($ $ (|Integer|)) "\\indented{1}{nthFractionalTerm(p,n) extracts the \\spad{n}th fractional term from} \\indented{1}{the partial fraction \\spad{p}.\\space{2}This returns 0 if the index} \\indented{1}{\\spad{n} is out of range.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} nthFractionalTerm(b,3)")) (|firstNumer| ((|#1| $) "\\indented{1}{firstNumer(p) extracts the numerator of the first fractional} \\indented{1}{term. This returns 0 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstNumer(a)")) (|firstDenom| (((|Factored| |#1|) $) "\\indented{1}{firstDenom(p) extracts the denominator of the first fractional} \\indented{1}{term. This returns 1 if there is no fractional part (use} \\indented{1}{wholePart from PartialFraction to get the whole part).} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} firstDenom(a)")) (|compactFraction| (($ $) "\\indented{1}{compactFraction(p) normalizes the partial fraction \\spad{p}} \\indented{1}{to the compact representation. In this form, the partial} \\indented{1}{fraction has only one fractional term per prime in the} \\indented{1}{denominator.} \\blankline \\spad{X} a:=partialFraction(1,factorial 10) \\spad{X} b:=padicFraction(a) \\spad{X} compactFraction(b)")) (|coerce| (($ (|Fraction| (|Factored| |#1|))) "\\indented{1}{coerce(f) takes a fraction with numerator and denominator in} \\indented{1}{factored form and creates a partial fraction.\\space{2}It is} \\indented{1}{necessary for the parts to be factored because it is not} \\indented{1}{known in general how to factor elements of \\spad{R} and} \\indented{1}{this is needed to decompose into partial fractions.} \\blankline \\spad{X} (13/74)::PFR(INT)") (((|Fraction| |#1|) $) "\\indented{1}{coerce(p) sums up the components of the partial fraction and} \\indented{1}{returns a single fraction.} \\blankline \\spad{X} a:=(13/74)::PFR(INT) \\spad{X} a::FRAC(INT)"))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
+(-913 R) 
+((|constructor| (NIL "The package \\spadtype{PartialFractionPackage} gives an easier to use interfact the domain \\spadtype{PartialFraction}. The user gives a fraction of polynomials, and a variable and the package converts it to the proper datatype for the \\spadtype{PartialFraction} domain.")) (|partialFraction| (((|Any|) (|Polynomial| |#1|) (|Factored| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{partialFraction(num, facdenom, var)} returns the partial fraction decomposition of the rational function whose numerator is \\spad{num} and whose factored denominator is \\spad{facdenom} with respect to the variable var.") (((|Any|) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{partialFraction(rf, var) returns the partial fraction decomposition} \\indented{1}{of the rational function \\spad{rf} with respect to the variable var.} \\blankline \\spad{X} a:=x+1/(y+1) \\spad{X} partialFraction(a,y)$PFRPAC(INT)"))) 
 NIL 
-(-913 E OV R P) 
-((|constructor| (NIL "This package computes multivariate polynomial \\spad{gcd}\\spad{'s} using a hensel lifting strategy. The contraint on the coefficient domain is imposed by the lifting strategy. It is assumed that the coefficient domain has the property that almost all specializations preserve the degree of the \\spad{gcd}.")) (|gcdPrimitive| ((|#4| (|List| |#4|)) "\\spad{gcdPrimitive lp} computes the \\spad{gcd} of the list of primitive polynomials \\spad{lp}.") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPrimitive(p,{}q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q}.") ((|#4| |#4| |#4|) "\\spad{gcdPrimitive(p,{}q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q}.")) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp}.") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcd(p,{}q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q}.") ((|#4| (|List| |#4|)) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp}.") ((|#4| |#4| |#4|) "\\spad{gcd(p,{}q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q}."))) 
 NIL 
+(-914 E OV R P) 
+((|constructor| (NIL "This package computes multivariate polynomial gcd's using a hensel lifting strategy. The contraint on the coefficient domain is imposed by the lifting strategy. It is assumed that the coefficient domain has the property that almost all specializations preserve the degree of the gcd.")) (|gcdPrimitive| ((|#4| (|List| |#4|)) "\\spad{gcdPrimitive \\spad{lp}} computes the \\spad{gcd} of the list of primitive polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}") ((|#4| |#4| |#4|) "\\spad{gcdPrimitive(p,q)} computes the \\spad{gcd} of the primitive polynomials \\spad{p} and \\spad{q.}")) (|gcd| (((|SparseUnivariatePolynomial| |#4|) (|List| (|SparseUnivariatePolynomial| |#4|))) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") (((|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|) (|SparseUnivariatePolynomial| |#4|)) "\\spad{gcd(p,q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}") ((|#4| (|List| |#4|)) "\\spad{gcd(lp)} computes the \\spad{gcd} of the list of polynomials \\spad{lp.}") ((|#4| |#4| |#4|) "\\spad{gcd(p,q)} computes the \\spad{gcd} of the two polynomials \\spad{p} and \\spad{q.}"))) 
 NIL 
-(-914) 
-((|constructor| (NIL "PermutationGroupExamples provides permutation groups for some classes of groups: symmetric,{} alternating,{} dihedral,{} cyclic,{} direct products of cyclic,{} which are in fact the finite abelian groups of symmetric groups called Young subgroups. Furthermore,{} Rubik\\spad{'s} group as permutation group of 48 integers and a list of sporadic simple groups derived from the atlas of finite groups.")) (|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) "\\spad{youngGroup(lambda)} constructs the direct product of the symmetric groups given by the parts of the partition \\spad{lambda}.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{youngGroup([n1,{}...,{}nk])} constructs the direct product of the symmetric groups \\spad{Sn1},{}...,{}\\spad{Snk}.")) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) "\\spad{rubiksGroup constructs} the permutation group representing Rubic\\spad{'s} Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6,{} 1 \\spad{<=} \\spad{j} \\spad{<=} 8. The faces of Rubik\\spad{'s} Cube are labelled in the obvious way Front,{} Right,{} Up,{} Down,{} Left,{} Back and numbered from 1 to 6 in this given ordering,{} the pieces on each face (except the unmoveable center piece) are clockwise numbered from 1 to 8 starting with the piece in the upper left corner. The moves of the cube are represented as permutations on these pieces,{} represented as a two digit integer ij where \\spad{i} is the numer of theface (1 to 6) and \\spad{j} is the number of the piece on this face. The remaining ambiguities are resolved by looking at the 6 generators,{} which represent a 90 degree turns of the faces,{} or from the following pictorial description. Permutation group representing Rubic\\spad{'s} Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6,{} 1 \\spad{<=} \\spad{j} \\spad{<=8}. \\blankline\\begin{verbatim}Rubik's Cube:   +-----+ +-- B   where: marks Side # :               / U   /|/              /     / |         F(ront)    <->    1      L -->  +-----+ R|         R(ight)    <->    2             |     |  +         U(p)       <->    3             |  F  | /          D(own)     <->    4             |     |/           L(eft)     <->    5             +-----+            B(ack)     <->    6                ^                |                DThe Cube's surface:                               The pieces on each side            +---+              (except the unmoveable center            |567|              piece) are clockwise numbered            |4U8|              from 1 to 8 starting with the            |321|              piece in the upper left        +---+---+---+          corner (see figure on the        |781|123|345|          left).  The moves of the cube        |6L2|8F4|2R6|          are represented as        |543|765|187|          permutations on these pieces.        +---+---+---+          Each of the pieces is            |123|              represented as a two digit            |8D4|              integer ij where i is the            |765|              # of the side ( 1 to 6 for            +---+              F to B (see table above ))            |567|              and j is the # of the piece.            |4B8|            |321|            +---+\\end{verbatim}")) (|janko2| (((|PermutationGroup| (|Integer|))) "\\spad{janko2 constructs} the janko group acting on the integers 1,{}...,{}100.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{janko2(\\spad{li})} constructs the janko group acting on the 100 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 100 different entries")) (|mathieu24| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu24 constructs} the mathieu group acting on the integers 1,{}...,{}24.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu24(\\spad{li})} constructs the mathieu group acting on the 24 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 24 different entries.")) (|mathieu23| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu23 constructs} the mathieu group acting on the integers 1,{}...,{}23.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu23(\\spad{li})} constructs the mathieu group acting on the 23 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 23 different entries.")) (|mathieu22| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu22 constructs} the mathieu group acting on the integers 1,{}...,{}22.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu22(\\spad{li})} constructs the mathieu group acting on the 22 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 22 different entries.")) (|mathieu12| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu12 constructs} the mathieu group acting on the integers 1,{}...,{}12.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu12(\\spad{li})} constructs the mathieu group acting on the 12 integers given in the list \\spad{li}. Note that duplicates in the list will be removed Error: if \\spad{li} has less or more than 12 different entries.")) (|mathieu11| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu11 constructs} the mathieu group acting on the integers 1,{}...,{}11.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu11(\\spad{li})} constructs the mathieu group acting on the 11 integers given in the list \\spad{li}. Note that duplicates in the list will be removed. error,{} if \\spad{li} has less or more than 11 different entries.")) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{dihedralGroup([i1,{}...,{}ik])} constructs the dihedral group of order 2k acting on the integers out of \\spad{i1},{}...,{}ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{dihedralGroup(n)} constructs the dihedral group of order 2n acting on integers 1,{}...,{}\\spad{N}.")) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{cyclicGroup([i1,{}...,{}ik])} constructs the cyclic group of order \\spad{k} acting on the integers \\spad{i1},{}...,{}ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{cyclicGroup(n)} constructs the cyclic group of order \\spad{n} acting on the integers 1,{}...,{}\\spad{n}.")) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) "\\spad{abelianGroup([n1,{}...,{}nk])} constructs the abelian group that is the direct product of cyclic groups with order \\spad{ni}.")) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{alternatingGroup(\\spad{li})} constructs the alternating group acting on the integers in the list \\spad{li},{} generators are in general the \\spad{n}-2-cycle (\\spad{li}.3,{}...,{}\\spad{li}.\\spad{n}) and the 3-cycle (\\spad{li}.1,{}\\spad{li}.2,{}\\spad{li}.3),{} if \\spad{n} is odd and product of the 2-cycle (\\spad{li}.1,{}\\spad{li}.2) with \\spad{n}-2-cycle (\\spad{li}.3,{}...,{}\\spad{li}.\\spad{n}) and the 3-cycle (\\spad{li}.1,{}\\spad{li}.2,{}\\spad{li}.3),{} if \\spad{n} is even. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{alternatingGroup(n)} constructs the alternating group An acting on the integers 1,{}...,{}\\spad{n},{} generators are in general the \\spad{n}-2-cycle (3,{}...,{}\\spad{n}) and the 3-cycle (1,{}2,{}3) if \\spad{n} is odd and the product of the 2-cycle (1,{}2) with \\spad{n}-2-cycle (3,{}...,{}\\spad{n}) and the 3-cycle (1,{}2,{}3) if \\spad{n} is even.")) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{symmetricGroup(\\spad{li})} constructs the symmetric group acting on the integers in the list \\spad{li},{} generators are the cycle given by \\spad{li} and the 2-cycle (\\spad{li}.1,{}\\spad{li}.2). Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{symmetricGroup(n)} constructs the symmetric group \\spad{Sn} acting on the integers 1,{}...,{}\\spad{n},{} generators are the \\spad{n}-cycle (1,{}...,{}\\spad{n}) and the 2-cycle (1,{}2)."))) 
 NIL 
+(-915) 
+((|constructor| (NIL "PermutationGroupExamples provides permutation groups for some classes of groups: symmetric, alternating, dihedral, cyclic, direct products of cyclic, which are in fact the finite abelian groups of symmetric groups called Young subgroups. Furthermore, Rubik's group as permutation group of 48 integers and a list of sporadic simple groups derived from the atlas of finite groups.")) (|youngGroup| (((|PermutationGroup| (|Integer|)) (|Partition|)) "\\spad{youngGroup(lambda)} constructs the direct product of the symmetric groups given by the parts of the partition lambda.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{youngGroup([n1,...,nk])} constructs the direct product of the symmetric groups Sn1,...,Snk.")) (|rubiksGroup| (((|PermutationGroup| (|Integer|))) "\\spad{rubiksGroup constructs} the permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} \\spad{<=} 8. The faces of Rubik's Cube are labelled in the obvious way Front, Right, Up, Down, Left, Back and numbered from 1 to 6 in this given ordering, the pieces on each face (except the unmoveable center piece) are clockwise numbered from 1 to 8 starting with the piece in the upper left corner. The moves of the cube are represented as permutations on these pieces, represented as a two digit integer ij where \\spad{i} is the numer of theface \\spad{(1} to 6) and \\spad{j} is the number of the piece on this face. The remaining ambiguities are resolved by looking at the 6 generators, which represent a 90 degree turns of the faces, or from the following pictorial description. Permutation group representing Rubic's Cube acting on integers 10*i+j for 1 \\spad{<=} \\spad{i} \\spad{<=} 6, 1 \\spad{<=} \\spad{j} <=8. \\blankline\\begin{verbatim}Rubik's Cube:   +-----+ +-- B   where: marks Side # :               / U   /|/              /     / |         F(ront)    <->    1      L -->  +-----+ R|         R(ight)    <->    2             |     |  +         U(p)       <->    3             |  F  | /          D(own)     <->    4             |     |/           L(eft)     <->    5             +-----+            B(ack)     <->    6                ^                |                DThe Cube's surface:                               The pieces on each side            +---+              (except the unmoveable center            |567|              piece) are clockwise numbered            |4U8|              from 1 to 8 starting with the            |321|              piece in the upper left        +---+---+---+          corner (see figure on the        |781|123|345|          left).  The moves of the cube        |6L2|8F4|2R6|          are represented as        |543|765|187|          permutations on these pieces.        +---+---+---+          Each of the pieces is            |123|              represented as a two digit            |8D4|              integer ij where i is the            |765|              # of the side ( 1 to 6 for            +---+              F to B (see table above ))            |567|              and j is the # of the piece.            |4B8|            |321|            +---+\\end{verbatim}")) (|janko2| (((|PermutationGroup| (|Integer|))) "\\spad{janko2 constructs} the janko group acting on the integers 1,...,100.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{janko2(li)} constructs the janko group acting on the 100 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 100 different entries")) (|mathieu24| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu24 constructs} the mathieu group acting on the integers 1,...,24.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu24(li)} constructs the mathieu group acting on the 24 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 24 different entries.")) (|mathieu23| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu23 constructs} the mathieu group acting on the integers 1,...,23.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu23(li)} constructs the mathieu group acting on the 23 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 23 different entries.")) (|mathieu22| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu22 constructs} the mathieu group acting on the integers 1,...,22.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu22(li)} constructs the mathieu group acting on the 22 integers given in the list li. Note that duplicates in the list will be removed. Error: if \\spad{li} has less or more than 22 different entries.")) (|mathieu12| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu12 constructs} the mathieu group acting on the integers 1,...,12.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu12(li)} constructs the mathieu group acting on the 12 integers given in the list li. Note that duplicates in the list will be removed Error: if \\spad{li} has less or more than 12 different entries.")) (|mathieu11| (((|PermutationGroup| (|Integer|))) "\\spad{mathieu11 constructs} the mathieu group acting on the integers 1,...,11.") (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{mathieu11(li)} constructs the mathieu group acting on the 11 integers given in the list li. Note that duplicates in the list will be removed. error, if \\spad{li} has less or more than 11 different entries.")) (|dihedralGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{dihedralGroup([i1,...,ik])} constructs the dihedral group of order 2k acting on the integers out of i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{dihedralGroup(n)} constructs the dihedral group of order 2n acting on integers 1,...,N.")) (|cyclicGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{cyclicGroup([i1,...,ik])} constructs the cyclic group of order \\spad{k} acting on the integers i1,...,ik. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{cyclicGroup(n)} constructs the cyclic group of order \\spad{n} acting on the integers 1,...,n.")) (|abelianGroup| (((|PermutationGroup| (|Integer|)) (|List| (|PositiveInteger|))) "\\spad{abelianGroup([n1,...,nk])} constructs the abelian group that is the direct product of cyclic groups with order ni.")) (|alternatingGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{alternatingGroup(li)} constructs the alternating group acting on the integers in the list li, generators are in general the n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is odd and product of the 2-cycle (li.1,li.2) with n-2-cycle (li.3,...,li.n) and the 3-cycle (li.1,li.2,li.3), if \\spad{n} is even. Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{alternatingGroup(n)} constructs the alternating group An acting on the integers 1,...,n, generators are in general the n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is odd and the product of the 2-cycle (1,2) with n-2-cycle (3,...,n) and the 3-cycle (1,2,3) if \\spad{n} is even.")) (|symmetricGroup| (((|PermutationGroup| (|Integer|)) (|List| (|Integer|))) "\\spad{symmetricGroup(li)} constructs the symmetric group acting on the integers in the list li, generators are the cycle given by \\spad{li} and the 2-cycle (li.1,li.2). Note that duplicates in the list will be removed.") (((|PermutationGroup| (|Integer|)) (|PositiveInteger|)) "\\spad{symmetricGroup(n)} constructs the symmetric group \\spad{Sn} acting on the integers 1,...,n, generators are the n-cycle (1,...,n) and the 2-cycle (1,2)."))) 
 NIL 
-(-915 -1564) 
-((|constructor| (NIL "Groebner functions for \\spad{P} \\spad{F} This package is an interface package to the groebner basis package which allows you to compute groebner bases for polynomials in either lexicographic ordering or total degree ordering refined by reverse lex. The input is the ordinary polynomial type which is internally converted to a type with the required ordering. The resulting grobner basis is converted back to ordinary polynomials. The ordering among the variables is controlled by an explicit list of variables which is passed as a second argument. The coefficient domain is allowed to be any \\spad{gcd} domain,{} but the groebner basis is computed as if the polynomials were over a field.")) (|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{totalGroebner(lp,{}lv)} computes Groebner basis for the list of polynomials \\spad{lp} with the terms ordered first by total degree and then refined by reverse lexicographic ordering. The variables are ordered by their position in the list \\spad{lv}.")) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{lexGroebner(lp,{}lv)} computes Groebner basis for the list of polynomials \\spad{lp} in lexicographic order. The variables are ordered by their position in the list \\spad{lv}."))) 
 NIL 
+(-916 -1647) 
+((|constructor| (NIL "Groebner functions for \\spad{P} \\spad{F} This package is an interface package to the groebner basis package which allows you to compute groebner bases for polynomials in either lexicographic ordering or total degree ordering refined by reverse lex. The input is the ordinary polynomial type which is internally converted to a type with the required ordering. The resulting grobner basis is converted back to ordinary polynomials. The ordering among the variables is controlled by an explicit list of variables which is passed as a second argument. The coefficient domain is allowed to be any \\spad{gcd} domain, but the groebner basis is computed as if the polynomials were over a field.")) (|totalGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{totalGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} with the terms ordered first by total degree and then refined by reverse lexicographic ordering. The variables are ordered by their position in the list \\spad{lv.}")) (|lexGroebner| (((|List| (|Polynomial| |#1|)) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{lexGroebner(lp,lv)} computes Groebner basis for the list of polynomials \\spad{lp} in lexicographic order. The variables are ordered by their position in the list \\spad{lv.}"))) 
 NIL 
-(-916 R) 
-((|constructor| (NIL "Provides a coercion from the symbolic fractions in \\%\\spad{pi} with integer coefficients to any Expression type.")) (|coerce| (((|Expression| |#1|) (|Pi|)) "\\spad{coerce(f)} returns \\spad{f} as an Expression(\\spad{R})."))) 
 NIL 
+(-917 R) 
+((|constructor| (NIL "Provides a coercion from the symbolic fractions in \\%pi with integer coefficients to any Expression type.")) (|coerce| (((|Expression| |#1|) (|Pi|)) "\\spad{coerce(f)} returns \\spad{f} as an Expression(R)."))) 
 NIL 
-(-917) 
-((|constructor| (NIL "The category of constructive principal ideal domains,{} \\spadignore{i.e.} where a single generator can be constructively found for any ideal given by a finite set of generators. Note that this constructive definition only implies that finitely generated ideals are principal. It is not clear what we would mean by an infinitely generated ideal.")) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{expressIdealMember([f1,{}...,{}fn],{}h)} returns a representation of \\spad{h} as a linear combination of the \\spad{fi} or \"failed\" if \\spad{h} is not in the ideal generated by the \\spad{fi}.")) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) "\\spad{principalIdeal([f1,{}...,{}fn])} returns a record whose generator component is a generator of the ideal generated by \\spad{[f1,{}...,{}fn]} whose coef component satisfies \\spad{generator = sum (input.i * coef.i)}"))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
 NIL 
 (-918) 
-((|constructor| (NIL "\\spadtype{PositiveInteger} provides functions for positive integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative : x*y = \\spad{y*x}")) (|gcd| (($ $ $) "\\spad{gcd(a,{}b)} computes the greatest common divisor of two positive integers \\spad{a} and \\spad{b}."))) 
-(((-4537 "*") . T)) 
+((|constructor| (NIL "The category of constructive principal ideal domains, \\spadignore{i.e.} where a single generator can be constructively found for any ideal given by a finite set of generators. Note that this constructive definition only implies that finitely generated ideals are principal. It is not clear what we would mean by an infinitely generated ideal.")) (|expressIdealMember| (((|Union| (|List| $) "failed") (|List| $) $) "\\spad{expressIdealMember([f1,...,fn],h)} returns a representation of \\spad{h} as a linear combination of the \\spad{fi} or \"failed\" if \\spad{h} is not in the ideal generated by the fi.")) (|principalIdeal| (((|Record| (|:| |coef| (|List| $)) (|:| |generator| $)) (|List| $)) "\\spad{principalIdeal([f1,...,fn])} returns a record whose generator component is a generator of the ideal generated by \\spad{[f1,...,fn]} whose coef component satisfies \\spad{generator = sum (input.i * coef.i)}"))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-919 -1564 P) 
-((|constructor| (NIL "This package exports interpolation algorithms")) (|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) "\\spad{LagrangeInterpolation(l1,{}l2)} \\undocumented"))) 
+(-919) 
+((|constructor| (NIL "\\spadtype{PositiveInteger} provides functions for positive integers.")) (|commutative| ((|attribute| "*") "\\spad{commutative(\"*\")} means multiplication is commutative : x*y = \\spad{y*x}")) (|gcd| (($ $ $) "\\spad{gcd(a,b)} computes the greatest common divisor of two positive integers \\spad{a} and \\spad{b.}"))) 
+(((-4573 "*") . T)) 
 NIL 
+(-920 -1647 P) 
+((|constructor| (NIL "This package exports interpolation algorithms")) (|LagrangeInterpolation| ((|#2| (|List| |#1|) (|List| |#1|)) "\\spad{LagrangeInterpolation(l1,l2)} \\undocumented"))) 
 NIL 
-(-920 |xx| -1564) 
-((|constructor| (NIL "This package exports interpolation algorithms")) (|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(lf,{}lg)} \\undocumented") (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(u,{}lf,{}lg)} \\undocumented"))) 
 NIL 
+(-921 |xx| -1647) 
+((|constructor| (NIL "This package exports interpolation algorithms")) (|interpolate| (((|SparseUnivariatePolynomial| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(lf,lg)} \\undocumented") (((|UnivariatePolynomial| |#1| |#2|) (|UnivariatePolynomial| |#1| |#2|) (|List| |#2|) (|List| |#2|)) "\\spad{interpolate(u,lf,lg)} \\undocumented"))) 
 NIL 
-(-921 K PCS) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates if the places correspnd to a simple point")) (|setFoundPlacesToEmpty| (((|List| $)) "\\spad{setFoundPlacesToEmpty()} does what it says. (this should not be used)\\spad{!!!}")) (|foundPlaces| (((|List| $)) "\\spad{foundPlaces()} returns the list of all \"created\" places up to now.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(pl)} test if the place \\spad{pl} correspond to a leaf of a desingularisation tree.")) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) "\\spad{setDegree!(pl,{}ls)} set the degree.")) (|setParam!| (((|Void|) $ (|List| |#2|)) "\\spad{setParam!(pl,{}ls)} set the local parametrization of \\spad{pl} to \\spad{ls}.")) (|localParam| (((|List| |#2|) $) "\\spad{localParam(pl)} returns the local parametrization associated to the place \\spad{pl}."))) 
 NIL 
-NIL 
-(-922 K) 
-((|constructor| (NIL "The following is part of the PAFF package"))) 
+(-922 K PCS) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates if the places correspnd to a simple point")) (|setFoundPlacesToEmpty| (((|List| $)) "\\spad{setFoundPlacesToEmpty()} does what it says. (this should not be used)!!!")) (|foundPlaces| (((|List| $)) "\\spad{foundPlaces()} returns the list of all \"created\" places up to now.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(pl)} test if the place \\spad{pl} correspond to a leaf of a desingularisation tree.")) (|setDegree!| (((|Void|) $ (|PositiveInteger|)) "\\spad{setDegree!(pl,ls)} set the degree.")) (|setParam!| (((|Void|) $ (|List| |#2|)) "\\spad{setParam!(pl,ls)} set the local parametrization of \\spad{pl} to \\spad{ls.}")) (|localParam| (((|List| |#2|) $) "\\spad{localParam(pl)} returns the local parametrization associated to the place \\spad{pl.}"))) 
 NIL 
 NIL 
 (-923 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-924 K PCS) 
+(-924 K) 
 ((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-925 R |Var| |Expon| GR) 
-((|constructor| (NIL "This package completely solves a parametric linear system of equations by decomposing the set of all parametric values for which the linear system is consistent into a union of quasi-algebraic sets (which need not be irredundant,{} but most of the time is). Each quasi-algebraic set is described by a list of polynomials that vanish on the set,{} and a list of polynomials that vanish at no point of the set. For each quasi-algebraic set,{} the solution of the linear system is given,{} as a particular solution and a basis of the homogeneous system. \\blankline The parametric linear system should be given in matrix form,{} with a coefficient matrix and a right hand side vector. The entries of the coefficient matrix and right hand side vector should be polynomials in the parametric variables,{} over a Euclidean domain of characteristic zero. \\blankline If the system is homogeneous,{} the right hand side need not be given. The right hand side can also be replaced by an indeterminate vector,{} in which case,{} the conditions required for consistency will also be given. \\blankline The package has other facilities for saving results to external files,{} as well as solving the system for a specified minimum rank. Altogether there are 12 mode maps for psolve,{} as explained below.")) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "inconsistant?(\\spad{pl}) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.") (((|Boolean|) (|List| |#4|)) "inconsistant?(\\spad{pl}) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.")) (|sqfree| ((|#4| |#4|) "\\spad{sqfree(p)} returns the product of square free factors of \\spad{p}")) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{regime(y,{}c,{} w,{} p,{} r,{} rm,{} m)} returns a regime,{} a list of polynomials specifying the consistency conditions,{} a particular solution and basis representing the general solution of the parametric linear system \\spad{c} \\spad{z} = \\spad{w} on that regime. The regime returned depends on the subdeterminant \\spad{y}.det and the row and column indices. The solutions are simplified using the assumption that the system has rank \\spad{r} and maximum rank \\spad{rm}. The list \\spad{p} represents a list of list of factors of polynomials in a groebner basis of the ideal generated by higher order subdeterminants,{} and ius used for the simplification. The mode \\spad{m} distinguishes the cases when the system is homogeneous,{} or the right hand side is arbitrary,{} or when there is no new right hand side variables.")) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) "\\spad{redmat(m,{}g)} returns a matrix whose entries are those of \\spad{m} modulo the ideal generated by the groebner basis \\spad{g}")) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCond(m,{}k)} returns the list of all \\spad{k} by \\spad{k} subdeterminants in the matrix \\spad{m}")) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\spad{overset?(s,{}sl)} returns \\spad{true} if \\spad{s} properly a sublist of a member of \\spad{sl}; otherwise it returns \\spad{false}")) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{nextSublist(n,{}k)} returns a list of \\spad{k}-subsets of {1,{} ...,{} \\spad{n}}.")) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) "\\spad{minset(sl)} returns the sublist of \\spad{sl} consisting of the minimal lists (with respect to inclusion) in the list \\spad{sl} of lists")) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{minrank(r)} returns the minimum rank in the list \\spad{r} of regimes")) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{maxrank(r)} returns the maximum rank in the list \\spad{r} of regimes")) (|factorset| (((|List| |#4|) |#4|) "\\spad{factorset(p)} returns the set of irreducible factors of \\spad{p}.")) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) "\\spad{B1solve(s)} solves the system (\\spad{s}.mat) \\spad{z} = \\spad{s}.vec for the variables given by the column indices of \\spad{s}.cols in terms of the other variables and the right hand side \\spad{s}.vec by assuming that the rank is \\spad{s}.rank,{} that the system is consistent,{} with the linearly independent equations indexed by the given row indices \\spad{s}.rows; the coefficients in \\spad{s}.mat involving parameters are treated as polynomials. B1solve(\\spad{s}) returns a particular solution to the system and a basis of the homogeneous system (\\spad{s}.mat) \\spad{z} = 0.")) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) "\\spad{redpps(s,{}g)} returns the simplified form of \\spad{s} after reducing modulo a groebner basis \\spad{g}")) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCondList(c,{}r)} computes a list of subdeterminants of each rank \\spad{>=} \\spad{r} of the matrix \\spad{c} and returns a groebner basis for the ideal they generate")) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) "\\spad{hasoln(g,{} l)} tests whether the quasi-algebraic set defined by \\spad{p} = 0 for \\spad{p} in \\spad{g} and \\spad{q} \\spad{^=} 0 for \\spad{q} in \\spad{l} is empty or not and returns a simplified definition of the quasi-algebraic set")) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) "\\spad{pr2dmp(p)} converts \\spad{p} to target domain")) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{se2rfi(l)} converts \\spad{l} to target domain")) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) "\\spad{dmp2rfi(l)} converts \\spad{l} to target domain") (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) "\\spad{dmp2rfi(m)} converts \\spad{m} to target domain") (((|Fraction| (|Polynomial| |#1|)) |#4|) "\\spad{dmp2rfi(p)} converts \\spad{p} to target domain")) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) "\\spad{bsolve(c,{} w,{} r,{} s,{} m)} returns a list of regimes and solutions of the system \\spad{c} \\spad{z} = \\spad{w} for ranks at least \\spad{r}; depending on the mode \\spad{m} chosen,{} it writes the output to a file given by the string \\spad{s}.")) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{rdregime(s)} reads in a list from a file with name \\spad{s}")) (|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{wrregime(l,{}s)} writes a list of regimes to a file named \\spad{s} and returns the number of regimes written")) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}k,{}s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}w,{}k,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,{}w,{}k,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|String|)) "\\spad{psolve(c,{}s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) "\\spad{psolve(c,{}w,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) "\\spad{psolve(c,{}w,{}s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w},{} writes the results to a file named \\spad{s},{} and returns the number of regimes") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) "\\spad{psolve(c,{}w,{}k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) "\\spad{psolve(c,{}w,{}k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side vector \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) "\\spad{psolve(c,{}w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) "\\spad{psolve(c,{}w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w}"))) 
+(-925 K PCS) 
+((|constructor| (NIL "The following is part of the PAFF package"))) 
 NIL 
 NIL 
-(-926 S) 
-((|constructor| (NIL "\\spad{PlotFunctions1} provides facilities for plotting curves where functions \\spad{SF} \\spad{->} \\spad{SF} are specified by giving an expression")) (|plotPolar| (((|Plot|) |#1| (|Symbol|)) "\\spad{plotPolar(f,{}theta)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges from 0 to 2 \\spad{pi}") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,{}theta,{}seg)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges over an interval")) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}t,{}seg)} plots the graph of \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over an interval.") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(fcn,{}x,{}seg)} plots the graph of \\spad{y = f(x)} on a interval"))) 
+(-926 R |Var| |Expon| GR) 
+((|constructor| (NIL "This package completely solves a parametric linear system of equations by decomposing the set of all parametric values for which the linear system is consistent into a union of quasi-algebraic sets (which need not be irredundant, but most of the time is). Each quasi-algebraic set is described by a list of polynomials that vanish on the set, and a list of polynomials that vanish at no point of the set. For each quasi-algebraic set, the solution of the linear system is given, as a particular solution and a basis of the homogeneous system. \\blankline The parametric linear system should be given in matrix form, with a coefficient matrix and a right hand side vector. The entries of the coefficient matrix and right hand side vector should be polynomials in the parametric variables, over a Euclidean domain of characteristic zero. \\blankline If the system is homogeneous, the right hand side need not be given. The right hand side can also be replaced by an indeterminate vector, in which case, the conditions required for consistency will also be given. \\blankline The package has other facilities for saving results to external files, as well as solving the system for a specified minimum rank. Altogether there are 12 mode maps for psolve, as explained below.")) (|inconsistent?| (((|Boolean|) (|List| (|Polynomial| |#1|))) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.") (((|Boolean|) (|List| |#4|)) "inconsistant?(pl) returns \\spad{true} if the system of equations \\spad{p} = 0 for \\spad{p} in \\spad{pl} is inconsistent. It is assumed that \\spad{pl} is a groebner basis.")) (|sqfree| ((|#4| |#4|) "\\spad{sqfree(p)} returns the product of square free factors of \\spad{p}")) (|regime| (((|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))) (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|List| |#4|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|Integer|)) "\\spad{regime(y,c, \\spad{w,} \\spad{p,} \\spad{r,} \\spad{rm,} \\spad{m)}} returns a regime, a list of polynomials specifying the consistency conditions, a particular solution and basis representing the general solution of the parametric linear system \\spad{c} \\spad{z} = \\spad{w} on that regime. The regime returned depends on the subdeterminant y.det and the row and column indices. The solutions are simplified using the assumption that the system has rank \\spad{r} and maximum rank \\spad{rm.} The list \\spad{p} represents a list of list of factors of polynomials in a groebner basis of the ideal generated by higher order subdeterminants, and ius used for the simplification. The mode \\spad{m} distinguishes the cases when the system is homogeneous, or the right hand side is arbitrary, or when there is no new right hand side variables.")) (|redmat| (((|Matrix| |#4|) (|Matrix| |#4|) (|List| |#4|)) "\\spad{redmat(m,g)} returns a matrix whose entries are those of \\spad{m} modulo the ideal generated by the groebner basis \\spad{g}")) (|ParCond| (((|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCond(m,k)} returns the list of all \\spad{k} by \\spad{k} subdeterminants in the matrix \\spad{m}")) (|overset?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\spad{overset?(s,sl)} returns \\spad{true} if \\spad{s} properly a sublist of a member of \\spad{sl;} otherwise it returns \\spad{false}")) (|nextSublist| (((|List| (|List| (|Integer|))) (|Integer|) (|Integer|)) "\\spad{nextSublist(n,k)} returns a list of k-subsets of \\spad{{1,} ..., \\spad{n}.}")) (|minset| (((|List| (|List| |#4|)) (|List| (|List| |#4|))) "\\spad{minset(sl)} returns the sublist of \\spad{sl} consisting of the minimal lists (with respect to inclusion) in the list \\spad{sl} of lists")) (|minrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{minrank(r)} returns the minimum rank in the list \\spad{r} of regimes")) (|maxrank| (((|NonNegativeInteger|) (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|))))) "\\spad{maxrank(r)} returns the maximum rank in the list \\spad{r} of regimes")) (|factorset| (((|List| |#4|) |#4|) "\\spad{factorset(p)} returns the set of irreducible factors of \\spad{p.}")) (|B1solve| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| |#1|)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) "\\spad{B1solve(s)} solves the system (s.mat) \\spad{z} = s.vec for the variables given by the column indices of s.cols in terms of the other variables and the right hand side s.vec by assuming that the rank is s.rank, that the system is consistent, with the linearly independent equations indexed by the given row indices s.rows; the coefficients in s.mat involving parameters are treated as polynomials. B1solve(s) returns a particular solution to the system and a basis of the homogeneous system (s.mat) \\spad{z} = 0.")) (|redpps| (((|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))) (|List| |#4|)) "\\spad{redpps(s,g)} returns the simplified form of \\spad{s} after reducing modulo a groebner basis \\spad{g}")) (|ParCondList| (((|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| |#4|) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| |#4|)))) (|Matrix| |#4|) (|NonNegativeInteger|)) "\\spad{ParCondList(c,r)} computes a list of subdeterminants of each rank \\spad{>=} \\spad{r} of the matrix \\spad{c} and returns a groebner basis for the ideal they generate")) (|hasoln| (((|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| |#4|)) (|:| |n0| (|List| |#4|))) (|List| |#4|) (|List| |#4|)) "\\spad{hasoln(g, \\spad{l)}} tests whether the quasi-algebraic set defined by \\spad{p} = 0 for \\spad{p} in \\spad{g} and \\spad{q} \\spad{^=} 0 for \\spad{q} in \\spad{l} is empty or not and returns a simplified definition of the quasi-algebraic set")) (|pr2dmp| ((|#4| (|Polynomial| |#1|)) "\\spad{pr2dmp(p)} converts \\spad{p} to target domain")) (|se2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{se2rfi(l)} converts \\spad{l} to target domain")) (|dmp2rfi| (((|List| (|Fraction| (|Polynomial| |#1|))) (|List| |#4|)) "\\spad{dmp2rfi(l)} converts \\spad{l} to target domain") (((|Matrix| (|Fraction| (|Polynomial| |#1|))) (|Matrix| |#4|)) "\\spad{dmp2rfi(m)} converts \\spad{m} to target domain") (((|Fraction| (|Polynomial| |#1|)) |#4|) "\\spad{dmp2rfi(p)} converts \\spad{p} to target domain")) (|bsolve| (((|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|)))))))))) (|:| |rgsz| (|Integer|))) (|Matrix| |#4|) (|List| (|Fraction| (|Polynomial| |#1|))) (|NonNegativeInteger|) (|String|) (|Integer|)) "\\spad{bsolve(c, \\spad{w,} \\spad{r,} \\spad{s,} \\spad{m)}} returns a list of regimes and solutions of the system \\spad{c} \\spad{z} = \\spad{w} for ranks at least \\spad{r;} depending on the mode \\spad{m} chosen, it writes the output to a file given by the string \\spad{s.}")) (|rdregime| (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{rdregime(s)} reads in a list from a file with name \\spad{s}")) (|wrregime| (((|Integer|) (|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|String|)) "\\spad{wrregime(l,s)} writes a list of regimes to a file named \\spad{s} and returns the number of regimes written")) (|psolve| (((|Integer|) (|Matrix| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,k,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|) (|String|)) "\\spad{psolve(c,w,k,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|String|)) "\\spad{psolve(c,s)} solves \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| (|Symbol|)) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|Integer|) (|Matrix| |#4|) (|List| |#4|) (|String|)) "\\spad{psolve(c,w,s)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w,} writes the results to a file named \\spad{s,} and returns the number of regimes") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|PositiveInteger|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|)) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|) (|PositiveInteger|)) "\\spad{psolve(c,w,k)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks \\spad{>=} \\spad{k} of the matrix \\spad{c} and given right hand side vector \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|)) "\\spad{psolve(c)} solves the homogeneous linear system \\spad{c} \\spad{z} = 0 for all possible ranks of the matrix \\spad{c}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| (|Symbol|))) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and indeterminate right hand side \\spad{w}") (((|List| (|Record| (|:| |eqzro| (|List| |#4|)) (|:| |neqzro| (|List| |#4|)) (|:| |wcond| (|List| (|Polynomial| |#1|))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| |#1|)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| |#1|))))))))) (|Matrix| |#4|) (|List| |#4|)) "\\spad{psolve(c,w)} solves \\spad{c} \\spad{z} = \\spad{w} for all possible ranks of the matrix \\spad{c} and given right hand side vector \\spad{w}"))) 
 NIL 
 NIL 
-(-927) 
-((|constructor| (NIL "Plot3D supports parametric plots defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example,{} floating point numbers and infinite continued fractions are real number systems. The facilities at this point are limited to 3-dimensional parametric plots.")) (|debug3D| (((|Boolean|) (|Boolean|)) "\\spad{debug3D(true)} turns debug mode on; debug3D(\\spad{false}) turns debug mode off.")) (|numFunEvals3D| (((|Integer|)) "\\spad{numFunEvals3D()} returns the number of points computed.")) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive3D(true)} turns adaptive plotting on; setAdaptive3D(\\spad{false}) turns adaptive plotting off.")) (|adaptive3D?| (((|Boolean|)) "\\spad{adaptive3D?()} determines whether plotting be done adaptively.")) (|setScreenResolution3D| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution3D(i)} sets the screen resolution for a 3d graph to \\spad{i}.")) (|screenResolution3D| (((|Integer|)) "\\spad{screenResolution3D()} returns the screen resolution for a 3d graph.")) (|setMaxPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints3D(i)} sets the maximum number of points in a plot to \\spad{i}.")) (|maxPoints3D| (((|Integer|)) "\\spad{maxPoints3D()} returns the maximum number of points in a plot.")) (|setMinPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMinPoints3D(i)} sets the minimum number of points in a plot to \\spad{i}.")) (|minPoints3D| (((|Integer|)) "\\spad{minPoints3D()} returns the minimum number of points in a plot.")) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) "\\spad{tValues(p)} returns a list of lists of the values of the parameter for which a point is computed,{} one list for each curve in the plot \\spad{p}.")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}.")) (|refine| (($ $) "\\spad{refine(x)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,{}r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r,{}s,{}t)} is not documented")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,{}r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f1,{}f2,{}f3,{}f4,{}x,{}y,{}z,{}w)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}h,{}a..b)} plots {/emx = \\spad{f}(\\spad{t}),{} \\spad{y} = \\spad{g}(\\spad{t}),{} \\spad{z} = \\spad{h}(\\spad{t})} as \\spad{t} ranges over {/em[a,{}\\spad{b}]}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,{}x,{}y,{}z,{}w)} is not documented") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,{}g,{}h,{}a..b)} plots {/emx = \\spad{f}(\\spad{t}),{} \\spad{y} = \\spad{g}(\\spad{t}),{} \\spad{z} = \\spad{h}(\\spad{t})} as \\spad{t} ranges over {/em[a,{}\\spad{b}]}."))) 
+(-927 S) 
+((|constructor| (NIL "\\spad{PlotFunctions1} provides facilities for plotting curves where functions \\spad{SF} \\spad{->} \\spad{SF} are specified by giving an expression")) (|plotPolar| (((|Plot|) |#1| (|Symbol|)) "\\spad{plotPolar(f,theta)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges from 0 to 2 \\spad{pi}") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,theta,seg)} plots the graph of \\spad{r = f(theta)} as \\spad{theta} ranges over an interval")) (|plot| (((|Plot|) |#1| |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,t,seg)} plots the graph of \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over an interval.") (((|Plot|) |#1| (|Symbol|) (|Segment| (|DoubleFloat|))) "\\spad{plot(fcn,x,seg)} plots the graph of \\spad{y = f(x)} on a interval"))) 
 NIL 
 NIL 
 (-928) 
-((|constructor| (NIL "The Plot domain supports plotting of functions defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example floating point numbers and infinite continued fractions. The facilities at this point are limited to 2-dimensional plots or either a single function or a parametric function.")) (|debug| (((|Boolean|) (|Boolean|)) "\\spad{debug(true)} turns debug mode on \\spad{debug(false)} turns debug mode off")) (|numFunEvals| (((|Integer|)) "\\spad{numFunEvals()} returns the number of points computed")) (|setAdaptive| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive(true)} turns adaptive plotting on \\spad{setAdaptive(false)} turns adaptive plotting off")) (|adaptive?| (((|Boolean|)) "\\spad{adaptive?()} determines whether plotting be done adaptively")) (|setScreenResolution| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution(i)} sets the screen resolution to \\spad{i}")) (|screenResolution| (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution")) (|setMaxPoints| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints(i)} sets the maximum number of points in a plot to \\spad{i}")) (|maxPoints| (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot")) (|setMinPoints| (((|Integer|) (|Integer|)) "\\spad{setMinPoints(i)} sets the minimum number of points in a plot to \\spad{i}")) (|minPoints| (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}")) (|refine| (($ $) "\\spad{refine(p)} performs a refinement on the plot \\spad{p}") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,{}r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r,{}s)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,{}r)} is not documented")) (|parametric?| (((|Boolean|) $) "\\spad{parametric? determines} whether it is a parametric plot?")) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{plotPolar(f)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[0,{}2*\\%\\spad{pi}]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)},{} \\spad{y = f(t)*sin(t)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,{}a..b)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[a,{}b]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)},{} \\spad{y = f(t)*sin(t)}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t +-> (f(t),{}g(t)),{}a..b,{}c..d,{}e..f)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}; \\spad{x}-range of \\spad{[c,{}d]} and \\spad{y}-range of \\spad{[e,{}f]} are noted in Plot object.") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t +-> (f(t),{}g(t)),{}a..b)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}.")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,{}r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}a..b,{}c..d,{}e..f)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}; \\spad{x}-range of \\spad{[c,{}d]} and \\spad{y}-range of \\spad{[e,{}f]} are noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}g,{}a..b)} plots the parametric curve \\spad{x = f(t)},{} \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,{}b]}.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,{}...,{}fm],{}a..b,{}c..d)} plots the functions \\spad{y = f1(x)},{}...,{} \\spad{y = fm(x)} on the interval \\spad{a..b}; \\spad{y}-range of \\spad{[c,{}d]} is noted in Plot object.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,{}...,{}fm],{}a..b)} plots the functions \\spad{y = f1(x)},{}...,{} \\spad{y = fm(x)} on the interval \\spad{a..b}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,{}a..b,{}c..d)} plots the function \\spad{f(x)} on the interval \\spad{[a,{}b]}; \\spad{y}-range of \\spad{[c,{}d]} is noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\indented{1}{plot(\\spad{f},{}a..\\spad{b}) plots the function \\spad{f(x)}} \\indented{1}{on the interval \\spad{[a,{}b]}.} \\blankline \\spad{X} fp:=(t:DFLOAT):DFLOAT +-> sin(\\spad{t}) \\spad{X} plot(\\spad{fp},{}\\spad{-1}.0..1.0)\\$PLOT"))) 
+((|constructor| (NIL "Plot3D supports parametric plots defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example, floating point numbers and infinite continued fractions are real number systems. The facilities at this point are limited to 3-dimensional parametric plots.")) (|debug3D| (((|Boolean|) (|Boolean|)) "\\spad{debug3D(true)} turns debug mode on; debug3D(false) turns debug mode off.")) (|numFunEvals3D| (((|Integer|)) "\\spad{numFunEvals3D()} returns the number of points computed.")) (|setAdaptive3D| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive3D(true)} turns adaptive plotting on; setAdaptive3D(false) turns adaptive plotting off.")) (|adaptive3D?| (((|Boolean|)) "\\spad{adaptive3D?()} determines whether plotting be done adaptively.")) (|setScreenResolution3D| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution3D(i)} sets the screen resolution for a 3d graph to i.")) (|screenResolution3D| (((|Integer|)) "\\spad{screenResolution3D()} returns the screen resolution for a 3d graph.")) (|setMaxPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints3D(i)} sets the maximum number of points in a plot to i.")) (|maxPoints3D| (((|Integer|)) "\\spad{maxPoints3D()} returns the maximum number of points in a plot.")) (|setMinPoints3D| (((|Integer|) (|Integer|)) "\\spad{setMinPoints3D(i)} sets the minimum number of points in a plot to i.")) (|minPoints3D| (((|Integer|)) "\\spad{minPoints3D()} returns the minimum number of points in a plot.")) (|tValues| (((|List| (|List| (|DoubleFloat|))) $) "\\spad{tValues(p)} returns a list of lists of the values of the parameter for which a point is computed, one list for each curve in the plot \\spad{p.}")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p.}")) (|refine| (($ $) "\\spad{refine(x)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s,t)} is not documented")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f1,f2,f3,f4,x,y,z,w)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,x,y,z,w)} is not documented") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(f,g,h,a..b)} plots {/emx = f(t), \\spad{y} = g(t), \\spad{z} = h(t)} as \\spad{t} ranges over {/em[a,b]}."))) 
 NIL 
 NIL 
 (-929) 
+((|constructor| (NIL "The Plot domain supports plotting of functions defined over a real number system. A real number system is a model for the real numbers and as such may be an approximation. For example floating point numbers and infinite continued fractions. The facilities at this point are limited to 2-dimensional plots or either a single function or a parametric function.")) (|debug| (((|Boolean|) (|Boolean|)) "\\spad{debug(true)} turns debug mode on \\spad{debug(false)} turns debug mode off")) (|numFunEvals| (((|Integer|)) "\\spad{numFunEvals()} returns the number of points computed")) (|setAdaptive| (((|Boolean|) (|Boolean|)) "\\spad{setAdaptive(true)} turns adaptive plotting on \\spad{setAdaptive(false)} turns adaptive plotting off")) (|adaptive?| (((|Boolean|)) "\\spad{adaptive?()} determines whether plotting be done adaptively")) (|setScreenResolution| (((|Integer|) (|Integer|)) "\\spad{setScreenResolution(i)} sets the screen resolution to \\spad{i}")) (|screenResolution| (((|Integer|)) "\\spad{screenResolution()} returns the screen resolution")) (|setMaxPoints| (((|Integer|) (|Integer|)) "\\spad{setMaxPoints(i)} sets the maximum number of points in a plot to \\spad{i}")) (|maxPoints| (((|Integer|)) "\\spad{maxPoints()} returns the maximum number of points in a plot")) (|setMinPoints| (((|Integer|) (|Integer|)) "\\spad{setMinPoints(i)} sets the minimum number of points in a plot to \\spad{i}")) (|minPoints| (((|Integer|)) "\\spad{minPoints()} returns the minimum number of points in a plot")) (|tRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{tRange(p)} returns the range of the parameter in a parametric plot \\spad{p}")) (|refine| (($ $) "\\spad{refine(p)} performs a refinement on the plot \\spad{p}") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{refine(x,r)} is not documented")) (|zoom| (($ $ (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r,s)} is not documented") (($ $ (|Segment| (|DoubleFloat|))) "\\spad{zoom(x,r)} is not documented")) (|parametric?| (((|Boolean|) $) "\\spad{parametric? determines} whether it is a parametric plot?")) (|plotPolar| (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) "\\spad{plotPolar(f)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[0,2*\\%pi]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plotPolar(f,a..b)} plots the polar curve \\spad{r = f(theta)} as theta ranges over the interval \\spad{[a,b]}; this is the same as the parametric curve \\spad{x = f(t)*cos(t)}, \\spad{y = f(t)*sin(t)}.")) (|pointPlot| (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{pointPlot(t \\spad{+->} (f(t),g(t)),a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.")) (|plot| (($ $ (|Segment| (|DoubleFloat|))) "\\spad{plot(x,r)} is not documented") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b,c..d,e..f)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}; x-range of \\spad{[c,d]} and y-range of \\spad{[e,f]} are noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,g,a..b)} plots the parametric curve \\spad{x = f(t)}, \\spad{y = g(t)} as \\spad{t} ranges over the interval \\spad{[a,b]}.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b,c..d)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|Segment| (|DoubleFloat|))) "\\spad{plot([f1,...,fm],a..b)} plots the functions \\spad{y = f1(x)},..., \\spad{y = fm(x)} on the interval \\spad{a..b}.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\spad{plot(f,a..b,c..d)} plots the function \\spad{f(x)} on the interval \\spad{[a,b]}; y-range of \\spad{[c,d]} is noted in Plot object.") (($ (|Mapping| (|DoubleFloat|) (|DoubleFloat|)) (|Segment| (|DoubleFloat|))) "\\indented{1}{plot(f,a..b) plots the function \\spad{f(x)}} \\indented{1}{on the interval \\spad{[a,b]}.} \\blankline \\spad{X} fp:=(t:DFLOAT):DFLOAT \\spad{+->} sin(t) \\spad{X} plot(fp,-1.0..1.0)$PLOT"))) 
+NIL 
+NIL 
+(-930) 
 ((|constructor| (NIL "This package exports plotting tools")) (|calcRanges| (((|List| (|Segment| (|DoubleFloat|))) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{calcRanges(l)} \\undocumented"))) 
 NIL 
 NIL 
-(-930 K |PolyRing| E -4391 |ProjPt|) 
+(-931 K |PolyRing| E -4360 |ProjPt|) 
 ((|constructor| (NIL "The following is part of the PAFF package")) (|multiplicity| (((|NonNegativeInteger|) |#2| |#5| (|Integer|)) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.") (((|NonNegativeInteger|) |#2| |#5|) "\\spad{multiplicity returns} the multiplicity of the polynomial at given point.")) (|minimalForm| ((|#2| |#2| |#5| (|Integer|)) "\\spad{minimalForm returns} the minimal form after translation to the origin.") ((|#2| |#2| |#5|) "\\spad{minimalForm returns} the minimal form after translation to the origin.")) (|translateToOrigin| ((|#2| |#2| |#5|) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin") ((|#2| |#2| |#5| (|Integer|)) "\\spad{translateToOrigin translate} the polynomial from the given point to the origin")) (|eval| ((|#1| |#2| |#5|) "\\spad{eval returns} the value at given point.")) (|pointInIdeal?| (((|Boolean|) (|List| |#2|) |#5|) "\\spad{pointInIdeal? test} if the given point is in the algebraic set defined by the given list of polynomials."))) 
 NIL 
 NIL 
-(-931 R -1564) 
-((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| ((|#2| |#2|) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists,{} multiple(\\spad{x}) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list. Error: if \\spad{x} is not a symbol.")) (|optional| ((|#2| |#2|) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity (0 in a sum,{} 1 in a product or exponentiation). Error: if \\spad{x} is not a symbol.")) (|constant| ((|#2| |#2|) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity. Error: if \\spad{x} is not a symbol.")) (|assert| ((|#2| |#2| (|String|)) "\\spad{assert(x,{} s)} makes the assertion \\spad{s} about \\spad{x}. Error: if \\spad{x} is not a symbol."))) 
+(-932 R -1647) 
+((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| ((|#2| |#2|) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list. Error: if \\spad{x} is not a symbol.")) (|optional| ((|#2| |#2|) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation). Error: if \\spad{x} is not a symbol.")) (|constant| ((|#2| |#2|) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity. Error: if \\spad{x} is not a symbol.")) (|assert| ((|#2| |#2| (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.} Error: if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-932) 
-((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists,{} multiple(\\spad{x}) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list.")) (|optional| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity (0 in a sum,{} 1 in a product or exponentiation)..")) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity.")) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) "\\spad{assert(x,{} s)} makes the assertion \\spad{s} about \\spad{x}."))) 
+(-933) 
+((|constructor| (NIL "Attaching assertions to symbols for pattern matching.")) (|multiple| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{multiple(x)} tells the pattern matcher that \\spad{x} should preferably match a multi-term quantity in a sum or product. For matching on lists, multiple(x) tells the pattern matcher that \\spad{x} should match a list instead of an element of a list.")) (|optional| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{optional(x)} tells the pattern matcher that \\spad{x} can match an identity \\spad{(0} in a sum, 1 in a product or exponentiation)..")) (|constant| (((|Expression| (|Integer|)) (|Symbol|)) "\\spad{constant(x)} tells the pattern matcher that \\spad{x} should match only the symbol \\spad{'x} and no other quantity.")) (|assert| (((|Expression| (|Integer|)) (|Symbol|) (|String|)) "\\spad{assert(x, \\spad{s)}} makes the assertion \\spad{s} about \\spad{x.}"))) 
 NIL 
 NIL 
-(-933 S A B) 
-((|constructor| (NIL "This packages provides tools for matching recursively in type towers.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches. Note that this function handles type towers by changing the predicates and calling the matching function provided by \\spad{A}.")) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) "\\spad{fixPredicate(f)} returns \\spad{g} defined by \\spad{g}(a) = \\spad{f}(a::B)."))) 
+(-934 S A B) 
+((|constructor| (NIL "This packages provides tools for matching recursively in type towers.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#2| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches. Note that this function handles type towers by changing the predicates and calling the matching function provided by \\spad{A}.")) (|fixPredicate| (((|Mapping| (|Boolean|) |#2|) (|Mapping| (|Boolean|) |#3|)) "\\spad{fixPredicate(f)} returns \\spad{g} defined by g(a) = f(a::B)."))) 
 NIL 
 NIL 
-(-934 S R -1564) 
-((|constructor| (NIL "This package provides pattern matching functions on function spaces.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+(-935 S R -1647) 
+((|constructor| (NIL "This package provides pattern matching functions on function spaces.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-935 I) 
-((|constructor| (NIL "This package provides pattern matching functions on integers.")) (|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) "\\spad{patternMatch(n,{} pat,{} res)} matches the pattern \\spad{pat} to the integer \\spad{n}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+(-936 I) 
+((|constructor| (NIL "This package provides pattern matching functions on integers.")) (|patternMatch| (((|PatternMatchResult| (|Integer|) |#1|) |#1| (|Pattern| (|Integer|)) (|PatternMatchResult| (|Integer|) |#1|)) "\\spad{patternMatch(n, pat, res)} matches the pattern \\spad{pat} to the integer \\spad{n;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-936 S E) 
-((|constructor| (NIL "This package provides pattern matching functions on kernels.")) (|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) "\\spad{patternMatch(f(e1,{}...,{}en),{} pat,{} res)} matches the pattern \\spad{pat} to \\spad{f(e1,{}...,{}en)}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+(-937 S E) 
+((|constructor| (NIL "This package provides pattern matching functions on kernels.")) (|patternMatch| (((|PatternMatchResult| |#1| |#2|) (|Kernel| |#2|) (|Pattern| |#1|) (|PatternMatchResult| |#1| |#2|)) "\\spad{patternMatch(f(e1,...,en), pat, res)} matches the pattern \\spad{pat} to \\spad{f(e1,...,en)}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-937 S R L) 
-((|constructor| (NIL "This package provides pattern matching functions on lists.")) (|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) "\\spad{patternMatch(l,{} pat,{} res)} matches the pattern \\spad{pat} to the list \\spad{l}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+(-938 S R L) 
+((|constructor| (NIL "This package provides pattern matching functions on lists.")) (|patternMatch| (((|PatternMatchListResult| |#1| |#2| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchListResult| |#1| |#2| |#3|)) "\\spad{patternMatch(l, pat, res)} matches the pattern \\spad{pat} to the list \\spad{l;} res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-938 S E V R P) 
-((|constructor| (NIL "This package provides pattern matching functions on polynomials.")) (|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) "\\spad{patternMatch(p,{} pat,{} res)} matches the pattern \\spad{pat} to the polynomial \\spad{p}; res contains the variables of \\spad{pat} which are already matched and their matches.") (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) "\\spad{patternMatch(p,{} pat,{} res,{} vmatch)} matches the pattern \\spad{pat} to the polynomial \\spad{p}. \\spad{res} contains the variables of \\spad{pat} which are already matched and their matches; vmatch is the matching function to use on the variables."))) 
+(-939 S E V R P) 
+((|constructor| (NIL "This package provides pattern matching functions on polynomials.")) (|patternMatch| (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|)) "\\spad{patternMatch(p, pat, res)} matches the pattern \\spad{pat} to the polynomial \\spad{p;} res contains the variables of \\spad{pat} which are already matched and their matches.") (((|PatternMatchResult| |#1| |#5|) |#5| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|) (|Mapping| (|PatternMatchResult| |#1| |#5|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#5|))) "\\spad{patternMatch(p, pat, res, vmatch)} matches the pattern \\spad{pat} to the polynomial \\spad{p.} \\spad{res} contains the variables of \\spad{pat} which are already matched and their matches; vmatch is the matching function to use on the variables."))) 
 NIL 
-((|HasCategory| |#3| (LIST (QUOTE -882) (|devaluate| |#1|)))) 
-(-939 R -1564 -3022) 
-((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) "\\spad{suchThat(x,{} [f1,{} f2,{} ...,{} fn])} attaches the predicate \\spad{f1} and \\spad{f2} and ... and \\spad{fn} to \\spad{x}. Error: if \\spad{x} is not a symbol.") ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) "\\spad{suchThat(x,{} foo)} attaches the predicate foo to \\spad{x}; error if \\spad{x} is not a symbol."))) 
+((|HasCategory| |#3| (LIST (QUOTE -883) (|devaluate| |#1|)))) 
+(-940 R -1647 -3712) 
+((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| ((|#2| |#2| (|List| (|Mapping| (|Boolean|) |#3|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.} Error: if \\spad{x} is not a symbol.") ((|#2| |#2| (|Mapping| (|Boolean|) |#3|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x;} error if \\spad{x} is not a symbol."))) 
 NIL 
 NIL 
-(-940 -3022) 
-((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) "\\spad{suchThat(x,{} [f1,{} f2,{} ...,{} fn])} attaches the predicate \\spad{f1} and \\spad{f2} and ... and \\spad{fn} to \\spad{x}.") (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) "\\spad{suchThat(x,{} foo)} attaches the predicate foo to \\spad{x}."))) 
+(-941 -3712) 
+((|constructor| (NIL "Attaching predicates to symbols for pattern matching.")) (|suchThat| (((|Expression| (|Integer|)) (|Symbol|) (|List| (|Mapping| (|Boolean|) |#1|))) "\\spad{suchThat(x, [f1, \\spad{f2,} ..., fn])} attaches the predicate \\spad{f1} and \\spad{f2} and \\spad{...} and \\spad{fn} to \\spad{x.}") (((|Expression| (|Integer|)) (|Symbol|) (|Mapping| (|Boolean|) |#1|)) "\\spad{suchThat(x, foo)} attaches the predicate foo to \\spad{x.}"))) 
 NIL 
 NIL 
-(-941 S R Q) 
-((|constructor| (NIL "This package provides pattern matching functions on quotients.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(a/b,{} pat,{} res)} matches the pattern \\spad{pat} to the quotient \\spad{a/b}; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
+(-942 S R Q) 
+((|constructor| (NIL "This package provides pattern matching functions on quotients.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|)) "\\spad{patternMatch(a/b, pat, res)} matches the pattern \\spad{pat} to the quotient a/b; res contains the variables of \\spad{pat} which are already matched and their matches."))) 
 NIL 
 NIL 
-(-942 S) 
-((|constructor| (NIL "This package provides pattern matching functions on symbols.")) (|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) "\\spad{patternMatch(expr,{} pat,{} res)} matches the pattern \\spad{pat} to the expression \\spad{expr}; res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion)."))) 
+(-943 S) 
+((|constructor| (NIL "This package provides pattern matching functions on symbols.")) (|patternMatch| (((|PatternMatchResult| |#1| (|Symbol|)) (|Symbol|) (|Pattern| |#1|) (|PatternMatchResult| |#1| (|Symbol|))) "\\spad{patternMatch(expr, pat, res)} matches the pattern \\spad{pat} to the expression expr; res contains the variables of \\spad{pat} which are already matched and their matches (necessary for recursion)."))) 
 NIL 
 NIL 
-(-943 S R P) 
-((|constructor| (NIL "This package provides tools for the pattern matcher.")) (|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatchTimes(lsubj,{} lpat,{} res,{} match)} matches the product of patterns \\spad{reduce(*,{}lpat)} to the product of subjects \\spad{reduce(*,{}lsubj)}; \\spad{r} contains the previous matches and match is a pattern-matching function on \\spad{P}.")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatch(lsubj,{} lpat,{} op,{} res,{} match)} matches the list of patterns \\spad{lpat} to the list of subjects \\spad{lsubj},{} allowing for commutativity; \\spad{op} is the operator such that \\spad{op}(\\spad{lpat}) should match \\spad{op}(\\spad{lsubj}) at the end,{} \\spad{r} contains the previous matches,{} and match is a pattern-matching function on \\spad{P}."))) 
+(-944 S R P) 
+((|constructor| (NIL "This package provides tools for the pattern matcher.")) (|patternMatchTimes| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatchTimes(lsubj, lpat, res, match)} matches the product of patterns \\spad{reduce(*,lpat)} to the product of subjects \\spad{reduce(*,lsubj)}; \\spad{r} contains the previous matches and match is a pattern-matching function on \\spad{P.}")) (|patternMatch| (((|PatternMatchResult| |#1| |#3|) (|List| |#3|) (|List| (|Pattern| |#1|)) (|Mapping| |#3| (|List| |#3|)) (|PatternMatchResult| |#1| |#3|) (|Mapping| (|PatternMatchResult| |#1| |#3|) |#3| (|Pattern| |#1|) (|PatternMatchResult| |#1| |#3|))) "\\spad{patternMatch(lsubj, lpat, op, res, match)} matches the list of patterns \\spad{lpat} to the list of subjects lsubj, allowing for commutativity; \\spad{op} is the operator such that op(lpat) should match op(lsubj) at the end, \\spad{r} contains the previous matches, and match is a pattern-matching function on \\spad{P.}"))) 
 NIL 
 NIL 
-(-944) 
-((|constructor| (NIL "This package provides various polynomial number theoretic functions over the integers.")) (|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{legendre(n)} returns the \\spad{n}th Legendre polynomial \\spad{P[n](x)}. Note that Legendre polynomials,{} denoted \\spad{P[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{1/sqrt(1-2*t*x+t**2) = sum(P[n](x)*t**n,{} n=0..infinity)}.")) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{laguerre(n)} returns the \\spad{n}th Laguerre polynomial \\spad{L[n](x)}. Note that Laguerre polynomials,{} denoted \\spad{L[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{exp(x*t/(t-1))/(1-t) = sum(L[n](x)*t**n/n!,{} n=0..infinity)}.")) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{hermite(n)} returns the \\spad{n}th Hermite polynomial \\spad{H[n](x)}. Note that Hermite polynomials,{} denoted \\spad{H[n](x)},{} are computed from the two term recurrence. The generating function is: \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!,{} n=0..infinity)}.")) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{fixedDivisor(a)} for \\spad{a(x)} in \\spad{Z[x]} is the largest integer \\spad{f} such that \\spad{f} divides \\spad{a(x=k)} for all integers \\spad{k}. Note that fixed divisor of \\spad{a} is \\spad{reduce(gcd,{}[a(x=k) for k in 0..degree(a)])}.")) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler polynomial \\spad{E[n](x)}. Note that Euler polynomials denoted \\spad{E(n,{}x)} computed by solving the differential equation \\spad{differentiate(E(n,{}x),{}x) = n E(n-1,{}x)} where \\spad{E(0,{}x) = 1} and initial condition comes from \\spad{E(n) = 2**n E(n,{}1/2)}.")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} returns the \\spad{n}th cyclotomic polynomial \\spad{phi[n](x)}. Note that \\spad{phi[n](x)} is the factor of \\spad{x**n - 1} whose roots are the primitive \\spad{n}th roots of unity.")) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevU(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{U[n](x)}. Note that Chebyshev polynomials of the second kind,{} denoted \\spad{U[n](x)},{} computed from the two term recurrence. The generating function \\spad{1/(1-2*t*x+t**2) = sum(T[n](x)*t**n,{} n=0..infinity)}.")) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevT(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{T[n](x)}. Note that Chebyshev polynomials of the first kind,{} denoted \\spad{T[n](x)},{} computed from the two term recurrence. The generating function \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x)*t**n,{} n=0..infinity)}.")) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli polynomial \\spad{B[n](x)}. Bernoulli polynomials denoted \\spad{B(n,{}x)} computed by solving the differential equation \\spad{differentiate(B(n,{}x),{}x) = n B(n-1,{}x)} where \\spad{B(0,{}x) = 1} and initial condition comes from \\spad{B(n) = B(n,{}0)}."))) 
+(-945) 
+((|constructor| (NIL "This package provides various polynomial number theoretic functions over the integers.")) (|legendre| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{legendre(n)} returns the \\spad{n}th Legendre polynomial \\spad{P[n](x)}. Note that Legendre polynomials, denoted \\spad{P[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{1/sqrt(1-2*t*x+t**2) = sum(P[n](x)*t**n, n=0..infinity)}.")) (|laguerre| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{laguerre(n)} returns the \\spad{n}th Laguerre polynomial \\spad{L[n](x)}. Note that Laguerre polynomials, denoted \\spad{L[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(x*t/(t-1))/(1-t) = sum(L[n](x)*t**n/n!, n=0..infinity)}.")) (|hermite| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{hermite(n)} returns the \\spad{n}th Hermite polynomial \\spad{H[n](x)}. Note that Hermite polynomials, denoted \\spad{H[n](x)}, are computed from the two term recurrence. The generating function is: \\spad{exp(2*t*x-t**2) = sum(H[n](x)*t**n/n!, n=0..infinity)}.")) (|fixedDivisor| (((|Integer|) (|SparseUnivariatePolynomial| (|Integer|))) "\\spad{fixedDivisor(a)} for \\spad{a(x)} in \\spad{Z[x]} is the largest integer \\spad{f} such that \\spad{f} divides \\spad{a(x=k)} for all integers \\spad{k.} Note that fixed divisor of \\spad{a} is \\spad{reduce(gcd,[a(x=k) for \\spad{k} in 0..degree(a)])}.")) (|euler| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{euler(n)} returns the \\spad{n}th Euler polynomial \\spad{E[n](x)}. Note that Euler polynomials denoted \\spad{E(n,x)} computed by solving the differential equation \\spad{differentiate(E(n,x),x) = \\spad{n} E(n-1,x)} where \\spad{E(0,x) = 1} and initial condition comes from \\spad{E(n) = 2**n E(n,1/2)}.")) (|cyclotomic| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{cyclotomic(n)} returns the \\spad{n}th cyclotomic polynomial \\spad{phi[n](x)}. Note that \\spad{phi[n](x)} is the factor of \\spad{x**n - 1} whose roots are the primitive \\spad{n}th roots of unity.")) (|chebyshevU| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevU(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{U[n](x)}. Note that Chebyshev polynomials of the second kind, denoted \\spad{U[n](x)}, computed from the two term recurrence. The generating function \\spad{1/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|chebyshevT| (((|SparseUnivariatePolynomial| (|Integer|)) (|Integer|)) "\\spad{chebyshevT(n)} returns the \\spad{n}th Chebyshev polynomial \\spad{T[n](x)}. Note that Chebyshev polynomials of the first kind, denoted \\spad{T[n](x)}, computed from the two term recurrence. The generating function \\spad{(1-t*x)/(1-2*t*x+t**2) = sum(T[n](x)*t**n, n=0..infinity)}.")) (|bernoulli| (((|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|Integer|)) "\\spad{bernoulli(n)} returns the \\spad{n}th Bernoulli polynomial \\spad{B[n](x)}. Bernoulli polynomials denoted \\spad{B(n,x)} computed by solving the differential equation \\spad{differentiate(B(n,x),x) = \\spad{n} B(n-1,x)} where \\spad{B(0,x) = 1} and initial condition comes from \\spad{B(n) = B(n,0)}."))) 
 NIL 
 NIL 
-(-945 R) 
+(-946 R) 
 ((|constructor| (NIL "This domain implements points in coordinate space"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-946 |lv| R) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-947 |lv| R) 
 ((|constructor| (NIL "Package with the conversion functions among different kind of polynomials")) (|pToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToDmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{DMP}.")) (|dmpToP| (((|Polynomial| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToP(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{POLY}.")) (|hdmpToP| (((|Polynomial| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToP(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{POLY}.")) (|pToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|Polynomial| |#2|)) "\\spad{pToHdmp(p)} converts \\spad{p} from a \\spadtype{POLY} to a \\spadtype{HDMP}.")) (|hdmpToDmp| (((|DistributedMultivariatePolynomial| |#1| |#2|) (|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{hdmpToDmp(p)} converts \\spad{p} from a \\spadtype{HDMP} to a \\spadtype{DMP}.")) (|dmpToHdmp| (((|HomogeneousDistributedMultivariatePolynomial| |#1| |#2|) (|DistributedMultivariatePolynomial| |#1| |#2|)) "\\spad{dmpToHdmp(p)} converts \\spad{p} from a \\spadtype{DMP} to a \\spadtype{HDMP}."))) 
 NIL 
 NIL 
-(-947 |TheField| |ThePols|) 
-((|constructor| (NIL "\\axiomType{RealPolynomialUtilitiesPackage} provides common functions used by interval coding.")) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) "\\axiom{lazyVariations(\\spad{l},{}\\spad{s1},{}\\spad{sn})} is the number of sign variations in the list of non null numbers [s1::l]\\spad{@sn},{}")) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) "\\axiom{sturmVariationsOf(\\spad{l})} is the number of sign variations in the list of numbers \\spad{l},{} note that the first term counts as a sign")) (|boundOfCauchy| ((|#1| |#2|) "\\axiom{boundOfCauchy(\\spad{p})} bounds the roots of \\spad{p}")) (|sturmSequence| (((|List| |#2|) |#2|) "\\axiom{sturmSequence(\\spad{p}) = sylvesterSequence(\\spad{p},{}\\spad{p'})}")) (|sylvesterSequence| (((|List| |#2|) |#2| |#2|) "\\axiom{sylvesterSequence(\\spad{p},{}\\spad{q})} is the negated remainder sequence of \\spad{p} and \\spad{q} divided by the last computed term"))) 
+(-948 |TheField| |ThePols|) 
+((|constructor| (NIL "\\axiomType{RealPolynomialUtilitiesPackage} provides common functions used by interval coding.")) (|lazyVariations| (((|NonNegativeInteger|) (|List| |#1|) (|Integer|) (|Integer|)) "\\axiom{lazyVariations(l,s1,sn)} is the number of sign variations in the list of non null numbers [s1::l]@sn.")) (|sturmVariationsOf| (((|NonNegativeInteger|) (|List| |#1|)) "\\axiom{sturmVariationsOf(l)} is the number of sign variations in the list of numbers \\spad{l,} note that the first term counts as a sign")) (|boundOfCauchy| ((|#1| |#2|) "\\axiom{boundOfCauchy(p)} bounds the roots of \\spad{p}")) (|sturmSequence| (((|List| |#2|) |#2|) "\\axiom{sturmSequence(p) = sylvesterSequence(p,p')}")) (|sylvesterSequence| (((|List| |#2|) |#2| |#2|) "\\axiom{sylvesterSequence(p,q)} is the negated remainder sequence of \\spad{p} and \\spad{q} divided by the last computed term"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-841)))) 
-(-948 R S) 
-((|constructor| (NIL "This package takes a mapping between coefficient rings,{} and lifts it to a mapping between polynomials over those rings.")) (|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) "\\spad{map(f,{} p)} produces a new polynomial as a result of applying the function \\spad{f} to every coefficient of the polynomial \\spad{p}."))) 
+((|HasCategory| |#1| (QUOTE (-842)))) 
+(-949 R S) 
+((|constructor| (NIL "This package takes a mapping between coefficient rings, and lifts it to a mapping between polynomials over those rings.")) (|map| (((|Polynomial| |#2|) (|Mapping| |#2| |#1|) (|Polynomial| |#1|)) "\\spad{map(f, \\spad{p)}} produces a new polynomial as a result of applying the function \\spad{f} to every coefficient of the polynomial \\spad{p.}"))) 
 NIL 
 NIL 
-(-949 |x| R) 
-((|constructor| (NIL "This package is primarily to help the interpreter do coercions. It allows you to view a polynomial as a univariate polynomial in one of its variables with coefficients which are again a polynomial in all the other variables.")) (|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) "\\spad{univariate(p,{} x)} converts the polynomial \\spad{p} to a one of type \\spad{UnivariatePolynomial(x,{}Polynomial(R))},{} ie. as a member of \\spad{R[...][x]}."))) 
+(-950 |x| R) 
+((|constructor| (NIL "This package is primarily to help the interpreter do coercions. It allows you to view a polynomial as a univariate polynomial in one of its variables with coefficients which are again a polynomial in all the other variables.")) (|univariate| (((|UnivariatePolynomial| |#1| (|Polynomial| |#2|)) (|Polynomial| |#2|) (|Variable| |#1|)) "\\spad{univariate(p, \\spad{x)}} converts the polynomial \\spad{p} to a one of type \\spad{UnivariatePolynomial(x,Polynomial(R))}, ie. as a member of \\spad{R[...][x]}."))) 
 NIL 
 NIL 
-(-950 S R E |VarSet|) 
-((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R},{} in variables from VarSet,{} with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p}.")) (|primitivePart| (($ $ |#4|) "\\spad{primitivePart(p,{}v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#4|) "\\spad{content(p,{}v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v}. Thus,{} for polynomial 7*x**2*y + 14*x*y**2,{} the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#4|) "\\spad{discriminant(p,{}v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v}.")) (|resultant| (($ $ $ |#4|) "\\spad{resultant(p,{}q,{}v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v}.")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),{}...,{}X^(n)]}.")) (|variables| (((|List| |#4|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p}.")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#4|)) "\\spad{totalDegree(p,{} lv)} returns the maximum sum (over all monomials of polynomial \\spad{p}) of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if polynomial \\spad{p = a1 ... an} and \\spad{n >= 2},{} and,{} for each \\spad{i},{} \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e},{} where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if polynomial \\spad{p = m1 + ... + mn} and \\spad{n >= 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#4|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.") (($ (|SparseUnivariatePolynomial| |#2|) |#4|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.")) (|monomial| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[v1..vn],{}[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial,{} \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\spad{monicDivide(a,{}b,{}v)} divides the polynomial a by the polynomial \\spad{b},{} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v}.")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{minimumDegree(p,{} lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#4|) "\\spad{minimumDegree(p,{}v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v},{} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#4| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p},{} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p},{} which should actually involve only one variable,{} into a univariate polynomial in that variable,{} whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#4|) "\\spad{univariate(p,{}v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v},{} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p},{} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),{}...,{}a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p,{} lv,{} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln},{} \\spadignore{i.e.} \\spad{prod(lv_i ** ln_i)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{coefficient(p,{}v,{}n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{degree(p,{}lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $ |#4|) "\\spad{degree(p,{}v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v}."))) 
+(-951 S R E |VarSet|) 
+((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#4|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#4|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#4|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#4|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#4|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#4|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#4|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#2|) |#4|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#4|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#4| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#4|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#4|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#4| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#4|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#4|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#4| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#4| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-843)))) 
-(-951 R E |VarSet|) 
-((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R},{} in variables from VarSet,{} with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p}.")) (|primitivePart| (($ $ |#3|) "\\spad{primitivePart(p,{}v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#3|) "\\spad{content(p,{}v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v}. Thus,{} for polynomial 7*x**2*y + 14*x*y**2,{} the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#3|) "\\spad{discriminant(p,{}v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v}.")) (|resultant| (($ $ $ |#3|) "\\spad{resultant(p,{}q,{}v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v}.")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),{}...,{}X^(n)]}.")) (|variables| (((|List| |#3|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p}.")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#3|)) "\\spad{totalDegree(p,{} lv)} returns the maximum sum (over all monomials of polynomial \\spad{p}) of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if polynomial \\spad{p = a1 ... an} and \\spad{n >= 2},{} and,{} for each \\spad{i},{} \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e},{} where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,{}...,{}mn]} if polynomial \\spad{p = m1 + ... + mn} and \\spad{n >= 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#3|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.") (($ (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{multivariate(sup,{}v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v}.")) (|monomial| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,{}[v1..vn],{}[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{monomial(a,{}x,{}n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial,{} \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\spad{monicDivide(a,{}b,{}v)} divides the polynomial a by the polynomial \\spad{b},{} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v}.")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{minimumDegree(p,{} lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#3|) "\\spad{minimumDegree(p,{}v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v},{} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#3| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p},{} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p},{} which should actually involve only one variable,{} into a univariate polynomial in that variable,{} whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#3|) "\\spad{univariate(p,{}v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v},{} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p},{} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),{}...,{}a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p,{} lv,{} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln},{} \\spadignore{i.e.} \\spad{prod(lv_i ** ln_i)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{coefficient(p,{}v,{}n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{degree(p,{}lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}.") (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,{}v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#4| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#4| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#4| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-844)))) 
+(-952 R E |VarSet|) 
+((|constructor| (NIL "The category for general multi-variate polynomials over a ring \\spad{R,} in variables from VarSet, with exponents from the \\spadtype{OrderedAbelianMonoidSup}.")) (|canonicalUnitNormal| ((|attribute|) "we can choose a unique representative for each associate class. This normalization is chosen to be normalization of leading coefficient (by default).")) (|squareFreePart| (($ $) "\\spad{squareFreePart(p)} returns product of all the irreducible factors of polynomial \\spad{p} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(p)} returns the square free factorization of the polynomial \\spad{p.}")) (|primitivePart| (($ $ |#3|) "\\spad{primitivePart(p,v)} returns the unitCanonical associate of the polynomial \\spad{p} with its content with respect to the variable \\spad{v} divided out.") (($ $) "\\spad{primitivePart(p)} returns the unitCanonical associate of the polynomial \\spad{p} with its content divided out.")) (|content| (($ $ |#3|) "\\spad{content(p,v)} is the \\spad{gcd} of the coefficients of the polynomial \\spad{p} when \\spad{p} is viewed as a univariate polynomial with respect to the variable \\spad{v.} Thus, for polynomial 7*x**2*y + 14*x*y**2, the \\spad{gcd} of the coefficients with respect to \\spad{x} is 7*y.")) (|discriminant| (($ $ |#3|) "\\spad{discriminant(p,v)} returns the disriminant of the polynomial \\spad{p} with respect to the variable \\spad{v.}")) (|resultant| (($ $ $ |#3|) "\\spad{resultant(p,q,v)} returns the resultant of the polynomials \\spad{p} and \\spad{q} with respect to the variable \\spad{v.}")) (|primitiveMonomials| (((|List| $) $) "\\spad{primitiveMonomials(p)} gives the list of monomials of the polynomial \\spad{p} with their coefficients removed. Note that \\spad{primitiveMonomials(sum(a_(i) X^(i))) = [X^(1),...,X^(n)]}.")) (|variables| (((|List| |#3|) $) "\\spad{variables(p)} returns the list of those variables actually appearing in the polynomial \\spad{p.}")) (|totalDegree| (((|NonNegativeInteger|) $ (|List| |#3|)) "\\spad{totalDegree(p, lv)} returns the maximum sum (over all monomials of polynomial \\spad{p)} of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $) "\\spad{totalDegree(p)} returns the largest sum over all monomials of all exponents of a monomial.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#3|) (|:| |exponent| (|NonNegativeInteger|))) "failed") $) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if polynomial \\spad{p} has the form \\spad{x**n} and \\spad{n > 0}.")) (|isTimes| (((|Union| (|List| $) "failed") $) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if polynomial \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n \\spad{>=} 2}, and, for each i, \\spad{ai} is either a nontrivial constant in \\spad{R} or else of the form \\spad{x**e}, where \\spad{e > 0} is an integer and \\spad{x} in a member of VarSet.")) (|isPlus| (((|Union| (|List| $) "failed") $) "\\spad{isPlus(p)} returns \\spad{[m1,...,mn]} if polynomial \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n \\spad{>=} 2} and each \\spad{mi} is a nonzero monomial.")) (|multivariate| (($ (|SparseUnivariatePolynomial| $) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}") (($ (|SparseUnivariatePolynomial| |#1|) |#3|) "\\spad{multivariate(sup,v)} converts an anonymous univariable polynomial \\spad{sup} to a polynomial in the variable \\spad{v.}")) (|monomial| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{monomial(a,[v1..vn],[e1..en])} returns \\spad{a*prod(vi**ei)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{monomial(a,x,n)} creates the monomial \\spad{a*x**n} where \\spad{a} is a polynomial, \\spad{x} is a variable and \\spad{n} is a nonnegative integer.")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\spad{monicDivide(a,b,v)} divides the polynomial a by the polynomial \\spad{b,} with each viewed as a univariate polynomial in \\spad{v} returning both the quotient and remainder. Error: if \\spad{b} is not monic with respect to \\spad{v.}")) (|minimumDegree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{minimumDegree(p, lv)} gives the list of minimum degrees of the polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv}") (((|NonNegativeInteger|) $ |#3|) "\\spad{minimumDegree(p,v)} gives the minimum degree of polynomial \\spad{p} with respect to \\spad{v,} \\spadignore{i.e.} viewed a univariate polynomial in \\spad{v}")) (|mainVariable| (((|Union| |#3| "failed") $) "\\spad{mainVariable(p)} returns the biggest variable which actually occurs in the polynomial \\spad{p,} or \"failed\" if no variables are present. fails precisely if polynomial satisfies ground?")) (|univariate| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{univariate(p)} converts the multivariate polynomial \\spad{p,} which should actually involve only one variable, into a univariate polynomial in that variable, whose coefficients are in the ground ring. Error: if polynomial is genuinely multivariate") (((|SparseUnivariatePolynomial| $) $ |#3|) "\\spad{univariate(p,v)} converts the multivariate polynomial \\spad{p} into a univariate polynomial in \\spad{v,} whose coefficients are still multivariate polynomials (in all the other variables).")) (|monomials| (((|List| $) $) "\\spad{monomials(p)} returns the list of non-zero monomials of polynomial \\spad{p,} \\spadignore{i.e.} \\spad{monomials(sum(a_(i) X^(i))) = [a_(1) X^(1),...,a_(n) X^(n)]}.")) (|coefficient| (($ $ (|List| |#3|) (|List| (|NonNegativeInteger|))) "\\spad{coefficient(p, \\spad{lv,} ln)} views the polynomial \\spad{p} as a polynomial in the variables of \\spad{lv} and returns the coefficient of the term \\spad{lv**ln}, \\spadignore{i.e.} \\spad{prod(lv_i \\spad{**} ln_i)}.") (($ $ |#3| (|NonNegativeInteger|)) "\\spad{coefficient(p,v,n)} views the polynomial \\spad{p} as a univariate polynomial in \\spad{v} and returns the coefficient of the \\spad{v**n} term.")) (|degree| (((|List| (|NonNegativeInteger|)) $ (|List| |#3|)) "\\spad{degree(p,lv)} gives the list of degrees of polynomial \\spad{p} with respect to each of the variables in the list \\spad{lv.}") (((|NonNegativeInteger|) $ |#3|) "\\spad{degree(p,v)} gives the degree of polynomial \\spad{p} with respect to the variable \\spad{v.}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
-(-952 E V R P -1564) 
-((|constructor| (NIL "Manipulations on polynomial quotients This package transforms multivariate polynomials or fractions into univariate polynomials or fractions,{} and back.")) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isPower(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0},{} \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isExpt(p)} returns \\spad{[x,{} n]} if \\spad{p = x**n} and \\spad{n <> 0},{} \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isTimes(p)} returns \\spad{[a1,{}...,{}an]} if \\spad{p = a1 ... an} and \\spad{n > 1},{} \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isPlus(p)} returns [\\spad{m1},{}...,{}\\spad{mn}] if \\spad{p = m1 + ... + mn} and \\spad{n > 1},{} \"failed\" otherwise.")) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) "\\spad{multivariate(f,{} v)} applies both the numerator and denominator of \\spad{f} to \\spad{v}.")) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) "\\spad{univariate(f,{} x,{} p)} returns \\spad{f} viewed as a univariate polynomial in \\spad{x},{} using the side-condition \\spad{p(x) = 0}.") (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) "\\spad{univariate(f,{} v)} returns \\spad{f} viewed as a univariate rational function in \\spad{v}.")) (|mainVariable| (((|Union| |#2| "failed") |#5|) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f},{} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| |#2|) |#5|) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f}."))) 
+(-953 E V R P -1647) 
+((|constructor| (NIL "Manipulations on polynomial quotients This package transforms multivariate polynomials or fractions into univariate polynomials or fractions, and back.")) (|isPower| (((|Union| (|Record| (|:| |val| |#5|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isPower(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isExpt| (((|Union| (|Record| (|:| |var| |#2|) (|:| |exponent| (|Integer|))) "failed") |#5|) "\\spad{isExpt(p)} returns \\spad{[x, \\spad{n]}} if \\spad{p = x**n} and \\spad{n \\spad{<>} 0}, \"failed\" otherwise.")) (|isTimes| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isTimes(p)} returns \\spad{[a1,...,an]} if \\spad{p = \\spad{a1} \\spad{...} an} and \\spad{n > 1}, \"failed\" otherwise.")) (|isPlus| (((|Union| (|List| |#5|) "failed") |#5|) "\\spad{isPlus(p)} returns [m1,...,mn] if \\spad{p = \\spad{m1} + \\spad{...} + \\spad{mn}} and \\spad{n > 1}, \"failed\" otherwise.")) (|multivariate| ((|#5| (|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#2|) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|SparseUnivariatePolynomial| |#5|) |#5| |#2| (|SparseUnivariatePolynomial| |#5|)) "\\spad{univariate(f, \\spad{x,} \\spad{p)}} returns \\spad{f} viewed as a univariate polynomial in \\spad{x,} using the side-condition \\spad{p(x) = 0}.") (((|Fraction| (|SparseUnivariatePolynomial| |#5|)) |#5| |#2|) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| |#2| "failed") |#5|) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| |#2|) |#5|) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-953 E |Vars| R P S) 
-((|constructor| (NIL "This package provides a very general map function,{} which given a set \\spad{S} and polynomials over \\spad{R} with maps from the variables into \\spad{S} and the coefficients into \\spad{S},{} maps polynomials into \\spad{S}. \\spad{S} is assumed to support \\spad{+},{} \\spad{*} and \\spad{**}.")) (|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) "\\spad{map(varmap,{} coefmap,{} p)} takes a \\spad{varmap},{} a mapping from the variables of polynomial \\spad{p} into \\spad{S},{} \\spad{coefmap},{} a mapping from coefficients of \\spad{p} into \\spad{S},{} and \\spad{p},{} and produces a member of \\spad{S} using the corresponding arithmetic. in \\spad{S}"))) 
+(-954 E |Vars| R P S) 
+((|constructor| (NIL "This package provides a very general map function, which given a set \\spad{S} and polynomials over \\spad{R} with maps from the variables into \\spad{S} and the coefficients into \\spad{S,} maps polynomials into \\spad{S.} \\spad{S} is assumed to support \\spad{+}, \\spad{*} and \\spad{**}.")) (|map| ((|#5| (|Mapping| |#5| |#2|) (|Mapping| |#5| |#3|) |#4|) "\\spad{map(varmap, coefmap, \\spad{p)}} takes a varmap, a mapping from the variables of polynomial \\spad{p} into \\spad{S,} coefmap, a mapping from coefficients of \\spad{p} into \\spad{S,} and \\spad{p,} and produces a member of \\spad{S} using the corresponding arithmetic. in \\spad{S}"))) 
 NIL 
 NIL 
-(-954 R) 
-((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are arbitrary symbols. The ordering is alphabetic determined by the Symbol type. The coefficient ring may be non commutative,{} but the variables are assumed to commute.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(p,{}x)} computes the integral of \\spad{p*dx},{} \\spadignore{i.e.} integrates the polynomial \\spad{p} with respect to the variable \\spad{x}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1163) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-955 E V R P -1564) 
-((|constructor| (NIL "Computes \\spad{n}-th roots of quotients of multivariate polynomials")) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) "\\spad{nthr(p,{}n)} should be local but conditional")) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) "\\spad{froot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) "\\spad{qroot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) "\\spad{rroot(f,{} n)} returns \\spad{[m,{}c,{}r]} such that \\spad{f**(1/n) = c * r**(1/m)}.")) (|coerce| (($ |#4|) "\\spad{coerce(p)} \\undocumented")) (|denom| ((|#4| $) "\\spad{denom(x)} \\undocumented")) (|numer| ((|#4| $) "\\spad{numer(x)} \\undocumented"))) 
+(-955 R) 
+((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials whose variables are arbitrary symbols. The ordering is alphabetic determined by the Symbol type. The coefficient ring may be non commutative, but the variables are assumed to commute.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(p,x)} computes the integral of \\spad{p*dx}, \\spadignore{i.e.} integrates the polynomial \\spad{p} with respect to the variable \\spad{x.}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1165) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-956 E V R P -1647) 
+((|constructor| (NIL "Computes \\spad{n}-th roots of quotients of multivariate polynomials")) (|nthr| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#4|) (|:| |radicand| (|List| |#4|))) |#4| (|NonNegativeInteger|)) "\\spad{nthr(p,n)} should be local but conditional")) (|froot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#5| (|NonNegativeInteger|)) "\\spad{froot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|qroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) (|Fraction| (|Integer|)) (|NonNegativeInteger|)) "\\spad{qroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|rroot| (((|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| |#5|) (|:| |radicand| |#5|)) |#3| (|NonNegativeInteger|)) "\\spad{rroot(f, \\spad{n)}} returns \\spad{[m,c,r]} such that \\spad{f**(1/n) = \\spad{c} * r**(1/m)}.")) (|coerce| (($ |#4|) "\\spad{coerce(p)} \\undocumented")) (|denom| ((|#4| $) "\\spad{denom(x)} \\undocumented")) (|numer| ((|#4| $) "\\spad{numer(x)} \\undocumented"))) 
 NIL 
 ((|HasCategory| |#3| (QUOTE (-454)))) 
-(-956) 
-((|constructor| (NIL "PlottablePlaneCurveCategory is the category of curves in the plane which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points,{} representing the branches of the curve,{} and for determining the ranges of the \\spad{x}-coordinates and \\spad{y}-coordinates of the points on the curve.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the \\spad{y}-coordinates of the points on the curve \\spad{c}.")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the \\spad{x}-coordinates of the points on the curve \\spad{c}.")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points,{} representing the branches of the curve \\spad{c}."))) 
+(-957) 
+((|constructor| (NIL "PlottablePlaneCurveCategory is the category of curves in the plane which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points, representing the branches of the curve, and for determining the ranges of the x-coordinates and y-coordinates of the points on the curve.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-957 R L) 
-((|constructor| (NIL "\\spadtype{PrecomputedAssociatedEquations} stores some generic precomputations which speed up the computations of the associated equations needed for factoring operators.")) (|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) "\\spad{firstUncouplingMatrix(op,{} m)} returns the matrix A such that \\spad{A w = (W',{}W'',{}...,{}W^N)} in the corresponding associated equations for right-factors of order \\spad{m} of \\spad{op}. Returns \"failed\" if the matrix A has not been precomputed for the particular combination \\spad{degree(L),{} m}."))) 
+(-958 R L) 
+((|constructor| (NIL "\\spadtype{PrecomputedAssociatedEquations} stores some generic precomputations which speed up the computations of the associated equations needed for factoring operators.")) (|firstUncouplingMatrix| (((|Union| (|Matrix| |#1|) "failed") |#2| (|PositiveInteger|)) "\\spad{firstUncouplingMatrix(op, \\spad{m)}} returns the matrix A such that \\spad{A \\spad{w} = (W',W'',...,W^N)} in the corresponding associated equations for right-factors of order \\spad{m} of op. Returns \"failed\" if the matrix A has not been precomputed for the particular combination \\spad{degree(L), \\spad{m}.}"))) 
 NIL 
 NIL 
-(-958 A B) 
-((|constructor| (NIL "This package provides tools for operating on primitive arrays with unary and binary functions involving different underlying types")) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) "\\indented{1}{map(\\spad{f},{}a) applies function \\spad{f} to each member of primitive array} \\indented{1}{\\spad{a} resulting in a new primitive array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} map(\\spad{x+}-\\spad{>x+2},{}[\\spad{i} for \\spad{i} in 1..10])\\$\\spad{T1}")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{reduce(\\spad{f},{}a,{}\\spad{r}) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{primitive array \\spad{a} and an accumulant initialized to \\spad{r}.} \\indented{1}{For example,{} \\spad{reduce(_+\\$Integer,{}[1,{}2,{}3],{}0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f}.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}")) (|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{scan(\\spad{f},{}a,{}\\spad{r}) successively applies} \\indented{1}{\\spad{reduce(f,{}x,{}r)} to more and more leading sub-arrays} \\indented{1}{\\spad{x} of primitive array \\spad{a}.} \\indented{1}{More precisely,{} if \\spad{a} is \\spad{[a1,{}a2,{}...]},{} then} \\indented{1}{\\spad{scan(f,{}a,{}r)} returns} \\indented{1}{\\spad{[reduce(f,{}[a1],{}r),{}reduce(f,{}[a1,{}a2],{}r),{}...]}.} \\blankline \\spad{X} \\spad{T1:=PrimitiveArrayFunctions2}(Integer,{}Integer) \\spad{X} adder(a:Integer,{}b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,{}[\\spad{i} for \\spad{i} in 1..10],{}0)\\$\\spad{T1}"))) 
+(-959 A B) 
+((|constructor| (NIL "This package provides tools for operating on primitive arrays with unary and binary functions involving different underlying types")) (|map| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1|) (|PrimitiveArray| |#1|)) "\\indented{1}{map(f,a) applies function \\spad{f} to each member of primitive array} \\indented{1}{\\spad{a} resulting in a new primitive array over a} \\indented{1}{possibly different underlying domain.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} map(x+->x+2,[i for \\spad{i} in 1..10])$T1")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{reduce(f,a,r) applies function \\spad{f} to each} \\indented{1}{successive element of the} \\indented{1}{primitive array \\spad{a} and an accumulant initialized to \\spad{r.}} \\indented{1}{For example, \\spad{reduce(_+$Integer,[1,2,3],0)}} \\indented{1}{does \\spad{3+(2+(1+0))}. Note that third argument \\spad{r}} \\indented{1}{may be regarded as the identity element for the function \\spad{f.}} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} reduce(adder,[i for \\spad{i} in 1..10],0)$T1")) (|scan| (((|PrimitiveArray| |#2|) (|Mapping| |#2| |#1| |#2|) (|PrimitiveArray| |#1|) |#2|) "\\indented{1}{scan(f,a,r) successively applies} \\indented{1}{\\spad{reduce(f,x,r)} to more and more leading sub-arrays} \\indented{1}{x of primitive array \\spad{a}.} \\indented{1}{More precisely, if \\spad{a} is \\spad{[a1,a2,...]}, then} \\indented{1}{\\spad{scan(f,a,r)} returns} \\indented{1}{\\spad{[reduce(f,[a1],r),reduce(f,[a1,a2],r),...]}.} \\blankline \\spad{X} T1:=PrimitiveArrayFunctions2(Integer,Integer) \\spad{X} adder(a:Integer,b:Integer):Integer \\spad{==} a+b \\spad{X} scan(adder,[i for \\spad{i} in 1..10],0)$T1"))) 
 NIL 
 NIL 
-(-959 S) 
-((|constructor| (NIL "This provides a fast array type with no bound checking on elt\\spad{'s}. Minimum index is 0 in this type,{} cannot be changed"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-960) 
-((|constructor| (NIL "Category for the functions defined by integrals.")) (|integral| (($ $ (|SegmentBinding| $)) "\\spad{integral(f,{} x = a..b)} returns the formal definite integral of \\spad{f} \\spad{dx} for \\spad{x} between \\spad{a} and \\spad{b}.") (($ $ (|Symbol|)) "\\spad{integral(f,{} x)} returns the formal integral of \\spad{f} \\spad{dx}."))) 
+(-960 S) 
+((|constructor| (NIL "This provides a fast array type with no bound checking on elt's. Minimum index is 0 in this type, cannot be changed"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-961) 
+((|constructor| (NIL "Category for the functions defined by integrals.")) (|integral| (($ $ (|SegmentBinding| $)) "\\spad{integral(f, \\spad{x} = a..b)} returns the formal definite integral of \\spad{f} \\spad{dx} for \\spad{x} between \\spad{a} and \\spad{b.}") (($ $ (|Symbol|)) "\\spad{integral(f, \\spad{x)}} returns the formal integral of \\spad{f} \\spad{dx.}"))) 
 NIL 
 NIL 
-(-961 -1564) 
-((|constructor| (NIL "PrimitiveElement provides functions to compute primitive elements in algebraic extensions.")) (|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) "\\spad{primitiveElement([p1,{}...,{}pn],{} [a1,{}...,{}an],{} a)} returns \\spad{[[c1,{}...,{}cn],{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} where \\spad{a = a1 c1 + ... + an cn},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{primitiveElement([p1,{}...,{}pn],{} [a1,{}...,{}an])} returns \\spad{[[c1,{}...,{}cn],{} [q1,{}...,{}qn],{} q]} such that then \\spad{k(a1,{}...,{}an) = k(a)},{} where \\spad{a = a1 c1 + ... + an cn},{} \\spad{\\spad{ai} = \\spad{qi}(a)},{} and \\spad{q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) "\\spad{primitiveElement(p1,{} a1,{} p2,{} a2)} returns \\spad{[c1,{} c2,{} q]} such that \\spad{k(a1,{} a2) = k(a)} where \\spad{a = c1 a1 + c2 a2,{} and q(a) = 0}. The \\spad{pi}\\spad{'s} are the defining polynomials for the \\spad{ai}\\spad{'s}. The \\spad{p2} may involve \\spad{a1},{} but \\spad{p1} must not involve \\spad{a2}. This operation uses \\spadfun{resultant}."))) 
+(-962 -1647) 
+((|constructor| (NIL "PrimitiveElement provides functions to compute primitive elements in algebraic extensions.")) (|primitiveElement| (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|Symbol|)) "\\spad{primitiveElement([p1,...,pn], [a1,...,an], a)} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| |#1|))) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|List| (|Polynomial| |#1|)) (|List| (|Symbol|))) "\\spad{primitiveElement([p1,...,pn], [a1,...,an])} returns \\spad{[[c1,...,cn], [q1,...,qn], \\spad{q]}} such that then \\spad{k(a1,...,an) = k(a)}, where \\spad{a = \\spad{a1} \\spad{c1} + \\spad{...} + an cn}, \\spad{ai = qi(a)}, and \\spad{q(a) = 0}. The pi's are the defining polynomials for the ai's. This operation uses the technique of \\spadglossSee{groebner bases}{Groebner basis}.") (((|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| |#1|))) (|Polynomial| |#1|) (|Symbol|) (|Polynomial| |#1|) (|Symbol|)) "\\spad{primitiveElement(p1, a1, \\spad{p2,} a2)} returns \\spad{[c1, \\spad{c2,} \\spad{q]}} such that \\spad{k(a1, a2) = k(a)} where \\spad{a = \\spad{c1} \\spad{a1} + \\spad{c2} a2, and q(a) = 0}. The pi's are the defining polynomials for the ai's. The \\spad{p2} may involve a1, but \\spad{p1} must not involve a2. This operation uses \\spadfun{resultant}."))) 
 NIL 
 NIL 
-(-962 I) 
-((|constructor| (NIL "The \\spadtype{IntegerPrimesPackage} implements a modification of Rabin\\spad{'s} probabilistic primality test and the utility functions \\spadfun{nextPrime},{} \\spadfun{prevPrime} and \\spadfun{primes}.")) (|primes| (((|List| |#1|) |#1| |#1|) "\\spad{primes(a,{}b)} returns a list of all primes \\spad{p} with \\spad{a <= p <= b}")) (|prevPrime| ((|#1| |#1|) "\\spad{prevPrime(n)} returns the largest prime strictly smaller than \\spad{n}")) (|nextPrime| ((|#1| |#1|) "\\spad{nextPrime(n)} returns the smallest prime strictly larger than \\spad{n}")) (|prime?| (((|Boolean|) |#1|) "\\spad{prime?(n)} returns \\spad{true} if \\spad{n} is prime and \\spad{false} if not. The algorithm used is Rabin\\spad{'s} probabilistic primality test (reference: Knuth Volume 2 Semi Numerical Algorithms). If \\spad{prime? n} returns \\spad{false},{} \\spad{n} is proven composite. If \\spad{prime? n} returns \\spad{true},{} prime? may be in error however,{} the probability of error is very low. and is zero below 25*10**9 (due to a result of Pomerance et al),{} below 10**12 and 10**13 due to results of Pinch,{} and below 341550071728321 due to a result of Jaeschke. Specifically,{} this implementation does at least 10 pseudo prime tests and so the probability of error is \\spad{< 4**(-10)}. The running time of this method is cubic in the length of the input \\spad{n},{} that is \\spad{O( (log n)**3 )},{} for \\spad{n<10**20}. beyond that,{} the algorithm is quartic,{} \\spad{O( (log n)**4 )}. Two improvements due to Davenport have been incorporated which catches some trivial strong pseudo-primes,{} such as [Jaeschke,{} 1991] 1377161253229053 * 413148375987157,{} which the original algorithm regards as prime"))) 
+(-963 I) 
+((|constructor| (NIL "The \\spadtype{IntegerPrimesPackage} implements a modification of Rabin's probabilistic primality test and the utility functions \\spadfun{nextPrime}, \\spadfun{prevPrime} and \\spadfun{primes}.")) (|primes| (((|List| |#1|) |#1| |#1|) "\\spad{primes(a,b)} returns a list of all primes \\spad{p} with \\spad{a \\spad{<=} \\spad{p} \\spad{<=} \\spad{b}}")) (|prevPrime| ((|#1| |#1|) "\\spad{prevPrime(n)} returns the largest prime strictly smaller than \\spad{n}")) (|nextPrime| ((|#1| |#1|) "\\spad{nextPrime(n)} returns the smallest prime strictly larger than \\spad{n}")) (|prime?| (((|Boolean|) |#1|) "\\spad{prime?(n)} returns \\spad{true} if \\spad{n} is prime and \\spad{false} if not. The algorithm used is Rabin's probabilistic primality test (reference: Knuth Volume 2 Semi Numerical Algorithms). If \\spad{prime? \\spad{n}} returns false, \\spad{n} is proven composite. If \\spad{prime? \\spad{n}} returns true, prime? may be in error however, the probability of error is very low. and is zero below 25*10**9 (due to a result of Pomerance et al), below 10**12 and 10**13 due to results of Pinch, and below 341550071728321 due to a result of Jaeschke. Specifically, this implementation does at least 10 pseudo prime tests and so the probability of error is \\spad{< 4**(-10)}. The running time of this method is cubic in the length of the input \\spad{n,} that is \\spad{O( (log \\spad{n)**3} \\spad{)},} for n<10**20. beyond that, the algorithm is quartic, \\spad{O( (log \\spad{n)**4} \\spad{)}.} Two improvements due to Davenport have been incorporated which catches some trivial strong pseudo-primes, such as [Jaeschke, 1991] 1377161253229053 * 413148375987157, which the original algorithm regards as prime"))) 
 NIL 
 NIL 
-(-963) 
+(-964) 
 ((|constructor| (NIL "PrintPackage provides a print function for output forms.")) (|print| (((|Void|) (|OutputForm|)) "\\spad{print(o)} writes the output form \\spad{o} on standard output using the two-dimensional formatter."))) 
 NIL 
 NIL 
-(-964 K |symb| |PolyRing| E |ProjPt|) 
-((|constructor| (NIL "The following is part of the PAFF package")) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(\\spad{f},{}\\spad{d})} returns all points on the curve \\axiom{\\spad{f}} in the extension of the ground field of degree \\axiom{\\spad{d}}. For \\axiom{\\spad{d} > 1} this only works if \\axiom{\\spad{K}} is a \\axiomType{LocallyAlgebraicallyClosedField}")) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) "\\spad{algebraicSet returns} the algebraic set if finite (dimension 0).")) (|singularPoints| (((|List| |#5|) |#3|) "\\spad{singularPoints retourne} les points singulier")) (|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) "return the singular points that anhilate"))) 
+(-965 K |symb| |PolyRing| E |ProjPt|) 
+((|constructor| (NIL "The following is part of the PAFF package")) (|rationalPoints| (((|List| |#5|) |#3| (|PositiveInteger|)) "\\axiom{rationalPoints(f,d)} returns all points on the curve \\axiom{f} in the extension of the ground field of degree \\axiom{d}. For \\axiom{d > 1} this only works if \\axiom{K} is a \\axiomType{LocallyAlgebraicallyClosedField}")) (|algebraicSet| (((|List| |#5|) (|List| |#3|)) "\\spad{algebraicSet returns} the algebraic set if finite (dimension 0).")) (|singularPoints| (((|List| |#5|) |#3|) "\\spad{singularPoints retourne} les points singulier")) (|singularPointsWithRestriction| (((|List| |#5|) |#3| (|List| |#3|)) "return the singular points that anhilate"))) 
 NIL 
 NIL 
-(-965 R E) 
-((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring),{} and terms indexed by their exponents (from an arbitrary ordered abelian monoid). This type is used,{} for example,{} by the \\spadtype{DistributedMultivariatePolynomial} domain where the exponent domain is a direct product of non negative integers.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (|fmecg| (($ $ |#2| |#1| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-138)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533))) 
-(-966 A B) 
-((|constructor| (NIL "This domain implements cartesian product")) (|selectsecond| ((|#2| $) "\\spad{selectsecond(x)} is not documented")) (|selectfirst| ((|#1| $) "\\spad{selectfirst(x)} is not documented")) (|makeprod| (($ |#1| |#2|) "\\indented{1}{makeprod(a,{}\\spad{b}) computes the product of two functions} \\blankline \\spad{X} \\spad{f:=}(x:INT):INT +-> 3*x \\spad{X} \\spad{g:=}(x:INT):INT +-> \\spad{x^3} \\spad{X} \\spad{h}(x:INT):Product(INT,{}INT) \\spad{==} makeprod(\\spad{f} \\spad{x},{} \\spad{g} \\spad{x}) \\spad{X} \\spad{h}(3)"))) 
-((-4532 -12 (|has| |#2| (-479)) (|has| |#1| (-479)))) 
-((-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-717)))) (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789))))) (-12 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-843)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-789))) (|HasCategory| |#2| (QUOTE (-789)))) (-12 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-843)))))) 
-(-967 K) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
+(-966 R E) 
+((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and terms indexed by their exponents (from an arbitrary ordered abelian monoid). This type is used, for example, by the \\spadtype{DistributedMultivariatePolynomial} domain where the exponent domain is a direct product of non negative integers.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (|fmecg| (($ $ |#2| |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-138)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569))) 
+(-967 A B) 
+((|constructor| (NIL "This domain implements cartesian product")) (|selectsecond| ((|#2| $) "\\spad{selectsecond(x)} is not documented")) (|selectfirst| ((|#1| $) "\\spad{selectfirst(x)} is not documented")) (|makeprod| (($ |#1| |#2|) "\\indented{1}{makeprod(a,b) computes the product of two functions} \\blankline \\spad{X} f:=(x:INT):INT \\spad{+->} 3*x \\spad{X} g:=(x:INT):INT \\spad{+->} \\spad{x^3} \\spad{X} h(x:INT):Product(INT,INT) \\spad{==} makeprod(f \\spad{x,} \\spad{g} \\spad{x)} \\spad{X} h(3)"))) 
+((-4568 -12 (|has| |#2| (-479)) (|has| |#1| (-479)))) 
+((-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718))))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-21)))) (-12 (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-23)))) (-12 (|HasCategory| |#1| (QUOTE (-138))) (|HasCategory| |#2| (QUOTE (-138)))) (-12 (|HasCategory| |#1| (QUOTE (-479))) (|HasCategory| |#2| (QUOTE (-479)))) (-12 (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-718)))) (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790))))) (-12 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-844)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-790))) (|HasCategory| |#2| (QUOTE (-790)))) (-12 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-844)))))) 
+(-968 K) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-968 K) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
+(-969 K) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-969 -4391 K) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
+(-970 -4360 K) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-970 S) 
-((|constructor| (NIL "A priority queue is a bag of items from an ordered set where the item extracted is always the maximum element.")) (|merge!| (($ $ $) "\\spad{merge!(q,{}q1)} destructively changes priority queue \\spad{q} to include the values from priority queue \\spad{q1}.")) (|merge| (($ $ $) "\\spad{merge(q1,{}q2)} returns combines priority queues \\spad{q1} and \\spad{q2} to return a single priority queue \\spad{q}.")) (|max| ((|#1| $) "\\spad{max(q)} returns the maximum element of priority queue \\spad{q}."))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+(-971 S) 
+((|constructor| (NIL "A priority queue is a bag of items from an ordered set where the item extracted is always the maximum element.")) (|merge!| (($ $ $) "\\spad{merge!(q,q1)} destructively changes priority queue \\spad{q} to include the values from priority queue \\spad{q1.}")) (|merge| (($ $ $) "\\spad{merge(q1,q2)} returns combines priority queues \\spad{q1} and \\spad{q2} to return a single priority queue \\spad{q.}")) (|max| ((|#1| $) "\\spad{max(q)} returns the maximum element of priority queue \\spad{q.}"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-971 R |polR|) 
-((|constructor| (NIL "This package contains some functions: discriminant,{} resultant,{} subResultantGcd,{} chainSubResultants,{} degreeSubResultant,{} lastSubResultant,{} resultantEuclidean,{} subResultantGcdEuclidean,{} \\spad{semiSubResultantGcdEuclidean1},{} \\spad{semiSubResultantGcdEuclidean2}\\spad{\\br} These procedures come from improvements of the subresultants algorithm.")) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the semi-extended resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the extended resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|resultantnaif| ((|#1| |#2| |#2|) "\\axiom{resultantEuclidean_naif(\\spad{P},{}\\spad{Q})} returns the resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}} computed by means of the naive algorithm.")) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) "\\axiom{\\spad{nextsousResultant2}(\\spad{P},{} \\spad{Q},{} \\spad{Z},{} \\spad{s})} returns the subresultant \\axiom{\\spad{S_}{\\spad{e}-1}} where \\axiom{\\spad{P} ~ \\spad{S_d},{} \\spad{Q} = \\spad{S_}{\\spad{d}-1},{} \\spad{Z} = S_e,{} \\spad{s} = \\spad{lc}(\\spad{S_d})}")) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{\\spad{Lazard2}(\\spad{F},{} \\spad{x},{} \\spad{y},{} \\spad{n})} computes \\axiom{(x/y)\\spad{**}(\\spad{n}-1) * \\spad{F}}")) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard(\\spad{x},{} \\spad{y},{} \\spad{n})} computes \\axiom{x**n/y**(\\spad{n}-1)}")) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{divide(\\spad{F},{}\\spad{G})} computes quotient and rest of the exact euclidean division of \\axiom{\\spad{F}} by \\axiom{\\spad{G}}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{pseudoDivide(\\spad{P},{}\\spad{Q})} computes the pseudoDivide of \\axiom{\\spad{P}} by \\axiom{\\spad{Q}}.")) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) "\\axiom{\\spad{v} exquo \\spad{r}} computes the exact quotient of \\axiom{\\spad{v}} by \\axiom{\\spad{r}}")) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) "\\axiom{\\spad{r} * \\spad{v}} computes the product of \\axiom{\\spad{r}} and \\axiom{\\spad{v}}")) (|gcd| ((|#2| |#2| |#2|) "\\axiom{\\spad{gcd}(\\spad{P},{} \\spad{Q})} returns the \\spad{gcd} of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{semiResultantReduitEuclidean(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" and carries out the equality \\axiom{...\\spad{P} + coef2*Q = resultantReduit(\\spad{P},{}\\spad{Q})}.")) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{resultantReduitEuclidean(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" and carries out the equality \\axiom{coef1*P + coef2*Q = resultantReduit(\\spad{P},{}\\spad{Q})}.")) (|resultantReduit| ((|#1| |#2| |#2|) "\\axiom{resultantReduit(\\spad{P},{}\\spad{Q})} returns the \"reduce resultant\" of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) "\\axiom{schema(\\spad{P},{}\\spad{Q})} returns the list of degrees of non zero subresultants of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) "\\axiom{chainSubResultants(\\spad{P},{} \\spad{Q})} computes the list of non zero subresultants of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(\\spad{P})} carries out the equality \\axiom{...\\spad{P} + \\spad{coef2} * \\spad{D}(\\spad{P}) = discriminant(\\spad{P})}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(\\spad{P})} carries out the equality \\axiom{\\spad{coef1} * \\spad{P} + \\spad{coef2} * \\spad{D}(\\spad{P}) = discriminant(\\spad{P})}.")) (|discriminant| ((|#1| |#2|) "\\axiom{discriminant(\\spad{P},{} \\spad{Q})} returns the discriminant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{\\spad{semiSubResultantGcdEuclidean1}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + ? \\spad{Q} = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible.")) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{\\spad{semiSubResultantGcdEuclidean2}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{...\\spad{P} + coef2*Q = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{subResultantGcdEuclidean(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{+/-} S_i(\\spad{P},{}\\spad{Q})} where the degree (not the indice) of the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} is the smaller as possible.")) (|subResultantGcd| ((|#2| |#2| |#2|) "\\axiom{subResultantGcd(\\spad{P},{} \\spad{Q})} returns the \\spad{gcd} of two primitive polynomials \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}.")) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{semiLastSubResultantEuclidean(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant \\axiom{\\spad{S}} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = \\spad{S}}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{lastSubResultantEuclidean(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant \\axiom{\\spad{S}} and carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{S}}.")) (|lastSubResultant| ((|#2| |#2| |#2|) "\\axiom{lastSubResultant(\\spad{P},{} \\spad{Q})} computes the last non zero subresultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}")) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns a subresultant \\axiom{\\spad{S}} of degree \\axiom{\\spad{d}} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = S_i}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns a subresultant \\axiom{\\spad{S}} of degree \\axiom{\\spad{d}} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i}.")) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{degreeSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{d})} computes a subresultant of degree \\axiom{\\spad{d}}.")) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{semiIndiceSubResultantEuclidean(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} and carries out the equality \\axiom{...\\spad{P} + coef2*Q = S_i(\\spad{P},{}\\spad{Q})} Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant \\axiom{S_i(\\spad{P},{}\\spad{Q})} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i(\\spad{P},{}\\spad{Q})}")) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(\\spad{P},{} \\spad{Q},{} \\spad{i})} returns the subresultant of indice \\axiom{\\spad{i}}")) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{\\spad{semiResultantEuclidean1}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{\\spad{coef1}.\\spad{P} + ? \\spad{Q} = resultant(\\spad{P},{}\\spad{Q})}.")) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{\\spad{semiResultantEuclidean2}(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{...\\spad{P} + coef2*Q = resultant(\\spad{P},{}\\spad{Q})}. Warning. \\axiom{degree(\\spad{P}) \\spad{>=} degree(\\spad{Q})}.")) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean(\\spad{P},{}\\spad{Q})} carries out the equality \\axiom{coef1*P + coef2*Q = resultant(\\spad{P},{}\\spad{Q})}")) (|resultant| ((|#1| |#2| |#2|) "\\axiom{resultant(\\spad{P},{} \\spad{Q})} returns the resultant of \\axiom{\\spad{P}} and \\axiom{\\spad{Q}}"))) 
+(-972 R |polR|) 
+((|constructor| (NIL "This package contains some functions: discriminant, resultant, subResultantGcd, chainSubResultants, degreeSubResultant, lastSubResultant, resultantEuclidean, subResultantGcdEuclidean, semiSubResultantGcdEuclidean1, semiSubResultantGcdEuclidean2\\br These procedures come from improvements of the subresultants algorithm.")) (|semiResultantEuclideannaif| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the semi-extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantEuclideannaif| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the extended resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|resultantnaif| ((|#1| |#2| |#2|) "\\axiom{resultantEuclidean_naif(P,Q)} returns the resultant of \\axiom{P} and \\axiom{Q} computed by means of the naive algorithm.")) (|nextsousResultant2| ((|#2| |#2| |#2| |#2| |#1|) "\\axiom{nextsousResultant2(P, \\spad{Q,} \\spad{Z,} \\spad{s)}} returns the subresultant \\axiom{S_{e-1}} where \\axiom{P ~ S_d, \\spad{Q} = S_{d-1}, \\spad{Z} = S_e, \\spad{s} = lc(S_d)}")) (|Lazard2| ((|#2| |#2| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard2(F, \\spad{x,} \\spad{y,} \\spad{n)}} computes \\axiom{(x/y)**(n-1) * \\spad{F}}")) (|Lazard| ((|#1| |#1| |#1| (|NonNegativeInteger|)) "\\axiom{Lazard(x, \\spad{y,} \\spad{n)}} computes \\axiom{x**n/y**(n-1)}")) (|divide| (((|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{divide(F,G)} computes quotient and rest of the exact euclidean division of \\axiom{F} by \\axiom{G}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| |#2|) (|:| |remainder| |#2|)) |#2| |#2|) "\\axiom{pseudoDivide(P,Q)} computes the pseudoDivide of \\axiom{P} by \\axiom{Q}.")) (|exquo| (((|Vector| |#2|) (|Vector| |#2|) |#1|) "\\axiom{v exquo \\spad{r}} computes the exact quotient of \\axiom{v} by \\axiom{r}")) (* (((|Vector| |#2|) |#1| (|Vector| |#2|)) "\\axiom{r * \\spad{v}} computes the product of \\axiom{r} and \\axiom{v}")) (|gcd| ((|#2| |#2| |#2|) "\\axiom{gcd(P, \\spad{Q)}} returns the \\spad{gcd} of \\axiom{P} and \\axiom{Q}.")) (|semiResultantReduitEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{semiResultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{...P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduitEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultantReduit| |#1|)) |#2| |#2|) "\\axiom{resultantReduitEuclidean(P,Q)} returns the \"reduce resultant\" and carries out the equality \\axiom{coef1*P + coef2*Q = resultantReduit(P,Q)}.")) (|resultantReduit| ((|#1| |#2| |#2|) "\\axiom{resultantReduit(P,Q)} returns the \"reduce resultant\" of \\axiom{P} and \\axiom{Q}.")) (|schema| (((|List| (|NonNegativeInteger|)) |#2| |#2|) "\\axiom{schema(P,Q)} returns the list of degrees of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|chainSubResultants| (((|List| |#2|) |#2| |#2|) "\\axiom{chainSubResultants(P, \\spad{Q)}} computes the list of non zero subresultants of \\axiom{P} and \\axiom{Q}.")) (|semiDiscriminantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{...P + \\spad{coef2} * D(P) = discriminant(P)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|discriminantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |discriminant| |#1|)) |#2|) "\\axiom{discriminantEuclidean(P)} carries out the equality \\axiom{coef1 * \\spad{P} + \\spad{coef2} * D(P) = discriminant(P)}.")) (|discriminant| ((|#1| |#2|) "\\axiom{discriminant(P, \\spad{Q)}} returns the discriminant of \\axiom{P} and \\axiom{Q}.")) (|semiSubResultantGcdEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean1(P,Q)} carries out the equality \\axiom{coef1*P + ? \\spad{Q} = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|semiSubResultantGcdEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{semiSubResultantGcdEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|subResultantGcdEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |gcd| |#2|)) |#2| |#2|) "\\axiom{subResultantGcdEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{+/-} S_i(P,Q)} where the degree (not the indice) of the subresultant \\axiom{S_i(P,Q)} is the smaller as possible.")) (|subResultantGcd| ((|#2| |#2| |#2|) "\\axiom{subResultantGcd(P, \\spad{Q)}} returns the \\spad{gcd} of two primitive polynomials \\axiom{P} and \\axiom{Q}.")) (|semiLastSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{semiLastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{...P + coef2*Q = \\spad{S}.} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|lastSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) "\\axiom{lastSubResultantEuclidean(P, \\spad{Q)}} computes the last non zero subresultant \\axiom{S} and carries out the equality \\axiom{coef1*P + coef2*Q = \\spad{S}.}")) (|lastSubResultant| ((|#2| |#2| |#2|) "\\axiom{lastSubResultant(P, \\spad{Q)}} computes the last non zero subresultant of \\axiom{P} and \\axiom{Q}")) (|semiDegreeSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{...P + coef2*Q = S_i}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|degreeSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns a subresultant \\axiom{S} of degree \\axiom{d} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i}.")) (|degreeSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{degreeSubResultant(P, \\spad{Q,} \\spad{d)}} computes a subresultant of degree \\axiom{d}.")) (|semiIndiceSubResultantEuclidean| (((|Record| (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{semiIndiceSubResultantEuclidean(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{...P + coef2*Q = S_i(P,Q)} Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|indiceSubResultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant \\axiom{S_i(P,Q)} and carries out the equality \\axiom{coef1*P + coef2*Q = S_i(P,Q)}")) (|indiceSubResultant| ((|#2| |#2| |#2| (|NonNegativeInteger|)) "\\axiom{indiceSubResultant(P, \\spad{Q,} i)} returns the subresultant of indice \\axiom{i}")) (|semiResultantEuclidean1| (((|Record| (|:| |coef1| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean1(P,Q)} carries out the equality \\axiom{coef1.P + ? \\spad{Q} = resultant(P,Q)}.")) (|semiResultantEuclidean2| (((|Record| (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{semiResultantEuclidean2(P,Q)} carries out the equality \\axiom{...P + coef2*Q = resultant(P,Q)}. Warning. \\axiom{degree(P) \\spad{>=} degree(Q)}.")) (|resultantEuclidean| (((|Record| (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |resultant| |#1|)) |#2| |#2|) "\\axiom{resultantEuclidean(P,Q)} carries out the equality \\axiom{coef1*P + coef2*Q = resultant(P,Q)}")) (|resultant| ((|#1| |#2| |#2|) "\\axiom{resultant(P, \\spad{Q)}} returns the resultant of \\axiom{P} and \\axiom{Q}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-454)))) 
-(-972 K) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space.")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|lastNonNull| (((|Integer|) $) "\\spad{lastNonNull returns} the integer corresponding to the last non null coordinates.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,{}n)} test if the point is rational according to \\spad{n}.")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(\\spad{lp},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,{}n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n}) of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(\\spad{p},{}\\spad{n}) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,{}n)} returns p**n,{} that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,{}n)} returns the orbit of the point \\spad{p} according to \\spad{n},{} that is orbit(\\spad{p},{}\\spad{n}) = \\spad{\\{} \\spad{p},{} p**n,{} \\spad{p**}(\\spad{n**2}),{} \\spad{p**}(\\spad{n**3}),{} ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K},{} that is,{} for \\spad{q=} char \\spad{K},{} orbit(\\spad{p}) = \\spad{\\{} \\spad{p},{} p**q,{} \\spad{p**}(\\spad{q**2}),{} \\spad{p**}(\\spad{q**3}),{} ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a projective point.") (((|List| |#1|) $) "\\spad{coerce a} a projective point list of \\spad{K}")) (|projectivePoint| (($ (|List| |#1|)) "\\spad{projectivePoint creates} a projective point from a list")) (|homogenize| (($ $) "\\spad{homogenize(pt)} the point according to the coordinate which is the last non null.") (($ $ (|Integer|)) "\\spad{homogenize the} point according to the coordinate specified by the integer"))) 
+(-973 K) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space.")) (|pointValue| (((|List| |#1|) $) "\\spad{pointValue returns} the coordinates of the point or of the point of origin that represent an infinitly close point")) (|setelt| ((|#1| $ (|Integer|) |#1|) "\\spad{setelt sets} the value of a specified coordinates")) (|elt| ((|#1| $ (|Integer|)) "\\spad{elt returns} the value of a specified coordinates")) (|list| (((|List| |#1|) $) "\\spad{list returns} the list of the coordinates")) (|lastNonNull| (((|Integer|) $) "\\spad{lastNonNull returns} the integer corresponding to the last non null coordinates.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(p)} test if the point is rational according to the characteristic of the ground field.") (((|Boolean|) $ (|NonNegativeInteger|)) "\\spad{rational?(p,n)} test if the point is rational according to \\spad{n.}")) (|removeConjugate| (((|List| $) (|List| $)) "\\spad{removeConjugate(lp)} returns removeConjugate(lp,n) where \\spad{n} is the characteristic of the ground field.") (((|List| $) (|List| $) (|NonNegativeInteger|)) "\\spad{removeConjugate(lp,n)} returns a list of points such that no points in the list is the conjugate (according to \\spad{n)} of another point.")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns conjugate(p,n) where \\spad{n} is the characteristic of the ground field.") (($ $ (|NonNegativeInteger|)) "\\spad{conjugate(p,n)} returns p**n, that is all the coordinates of \\spad{p} to the power of \\spad{n}")) (|orbit| (((|List| $) $ (|NonNegativeInteger|)) "\\spad{orbit(p,n)} returns the orbit of the point \\spad{p} according to \\spad{n,} that is orbit(p,n) = \\spad{\\{} \\spad{p,} p**n, p**(n**2), p**(n**3), ..... \\spad{\\}}") (((|List| $) $) "\\spad{orbit(p)} returns the orbit of the point \\spad{p} according to the characteristic of \\spad{K,} that is, for \\spad{q=} char \\spad{K,} orbit(p) = \\spad{\\{} \\spad{p,} p**q, p**(q**2), p**(q**3), ..... \\spad{\\}}")) (|coerce| (($ (|List| |#1|)) "\\spad{coerce a} list of \\spad{K} to a projective point.") (((|List| |#1|) $) "\\spad{coerce a} a projective point list of \\spad{K}")) (|projectivePoint| (($ (|List| |#1|)) "\\spad{projectivePoint creates} a projective point from a list")) (|homogenize| (($ $) "\\spad{homogenize(pt)} the point according to the coordinate which is the last non null.") (($ $ (|Integer|)) "\\spad{homogenize the} point according to the coordinate specified by the integer"))) 
 NIL 
 NIL 
-(-973) 
-((|constructor| (NIL "Domain for partitions of positive integers Partition is an OrderedCancellationAbelianMonoid which is used as the basis for symmetric polynomial representation of the sums of powers in SymmetricPolynomial. Thus,{} \\spad{(5 2 2 1)} will represent \\spad{s5 * s2**2 * s1}.")) (|coerce| (((|List| (|Integer|)) $) "\\spad{coerce(p)} coerces a partition into a list of integers")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns the conjugate partition of a partition \\spad{p}")) (|pdct| (((|Integer|) $) "\\spad{pdct(a1**n1 a2**n2 ...)} returns \\spad{n1! * a1**n1 * n2! * a2**n2 * ...}. This function is used in the package \\spadtype{CycleIndicators}.")) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{powers(\\spad{li})} returns a list of 2-element lists. For each 2-element list,{} the first element is an entry of \\spad{li} and the second element is the multiplicity with which the first element occurs in \\spad{li}. There is a 2-element list for each value occurring in \\spad{l}.")) (|partition| (($ (|List| (|Integer|))) "\\spad{partition(\\spad{li})} converts a list of integers \\spad{li} to a partition"))) 
+(-974) 
+((|constructor| (NIL "Domain for partitions of positive integers Partition is an OrderedCancellationAbelianMonoid which is used as the basis for symmetric polynomial representation of the sums of powers in SymmetricPolynomial. Thus, \\spad{(5 2 2 1)} will represent \\spad{s5 * \\spad{s2**2} * s1}.")) (|coerce| (((|List| (|Integer|)) $) "\\spad{coerce(p)} coerces a partition into a list of integers")) (|conjugate| (($ $) "\\spad{conjugate(p)} returns the conjugate partition of a partition \\spad{p}")) (|pdct| (((|Integer|) $) "\\spad{pdct(a1**n1 \\spad{a2**n2} ...)} returns \\spad{n1! * \\spad{a1**n1} * \\spad{n2!} * \\spad{a2**n2} * ...}. This function is used in the package \\spadtype{CycleIndicators}.")) (|powers| (((|List| (|List| (|Integer|))) (|List| (|Integer|))) "\\spad{powers(li)} returns a list of 2-element lists. For each 2-element list, the first element is an entry of \\spad{li} and the second element is the multiplicity with which the first element occurs in li. There is a 2-element list for each value occurring in \\spad{l.}")) (|partition| (($ (|List| (|Integer|))) "\\spad{partition(li)} converts a list of integers \\spad{li} to a partition"))) 
 NIL 
 NIL 
-(-974 S |Coef| |Expon| |Var|) 
-((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#4|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f}.")) (|degree| ((|#3| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#4|) (|List| |#3|)) "\\spad{monomial(a,{}[x1,{}..,{}xk],{}[n1,{}..,{}nk])} computes \\spad{a * x1**n1 * .. * xk**nk}.") (($ $ |#4| |#3|) "\\spad{monomial(a,{}x,{}n)} computes \\spad{a*x**n}."))) 
+(-975 S |Coef| |Expon| |Var|) 
+((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#4|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#3| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#2| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#4|) (|List| |#3|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#4| |#3|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
 NIL 
 NIL 
-(-975 |Coef| |Expon| |Var|) 
-((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#3|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f}.")) (|degree| ((|#2| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#3|) (|List| |#2|)) "\\spad{monomial(a,{}[x1,{}..,{}xk],{}[n1,{}..,{}nk])} computes \\spad{a * x1**n1 * .. * xk**nk}.") (($ $ |#3| |#2|) "\\spad{monomial(a,{}x,{}n)} computes \\spad{a*x**n}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-976 |Coef| |Expon| |Var|) 
+((|constructor| (NIL "\\spadtype{PowerSeriesCategory} is the most general power series category with exponents in an ordered abelian monoid.")) (|complete| (($ $) "\\spad{complete(f)} causes all terms of \\spad{f} to be computed. Note that this results in an infinite loop if \\spad{f} has infinitely many terms.")) (|pole?| (((|Boolean|) $) "\\spad{pole?(f)} determines if the power series \\spad{f} has a pole.")) (|variables| (((|List| |#3|) $) "\\spad{variables(f)} returns a list of the variables occuring in the power series \\spad{f.}")) (|degree| ((|#2| $) "\\spad{degree(f)} returns the exponent of the lowest order term of \\spad{f}.")) (|leadingCoefficient| ((|#1| $) "\\spad{leadingCoefficient(f)} returns the coefficient of the lowest order term of \\spad{f}")) (|leadingMonomial| (($ $) "\\spad{leadingMonomial(f)} returns the monomial of \\spad{f} of lowest order.")) (|monomial| (($ $ (|List| |#3|) (|List| |#2|)) "\\spad{monomial(a,[x1,..,xk],[n1,..,nk])} computes \\spad{a * \\spad{x1**n1} * \\spad{..} * xk**nk}.") (($ $ |#3| |#2|) "\\spad{monomial(a,x,n)} computes \\spad{a*x**n}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-976) 
-((|constructor| (NIL "PlottableSpaceCurveCategory is the category of curves in 3-space which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points,{} representing the branches of the curve,{} and for determining the ranges of the \\spad{x-},{} \\spad{y-},{} and \\spad{z}-coordinates of the points on the curve.")) (|zRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{zRange(c)} returns the range of the \\spad{z}-coordinates of the points on the curve \\spad{c}.")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the \\spad{y}-coordinates of the points on the curve \\spad{c}.")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the \\spad{x}-coordinates of the points on the curve \\spad{c}.")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points,{} representing the branches of the curve \\spad{c}."))) 
+(-977) 
+((|constructor| (NIL "PlottableSpaceCurveCategory is the category of curves in 3-space which may be plotted via the graphics facilities. Functions are provided for obtaining lists of lists of points, representing the branches of the curve, and for determining the ranges of the \\spad{x-,} \\spad{y-,} and z-coordinates of the points on the curve.")) (|zRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{zRange(c)} returns the range of the z-coordinates of the points on the curve \\spad{c.}")) (|yRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{yRange(c)} returns the range of the y-coordinates of the points on the curve \\spad{c.}")) (|xRange| (((|Segment| (|DoubleFloat|)) $) "\\spad{xRange(c)} returns the range of the x-coordinates of the points on the curve \\spad{c.}")) (|listBranches| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listBranches(c)} returns a list of lists of points, representing the branches of the curve \\spad{c.}"))) 
 NIL 
 NIL 
-(-977 S R E |VarSet| P) 
-((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore,{} for \\spad{R} being an integral domain,{} a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) P},{} or the set of its zeros (described for instance by the radical of the previous ideal,{} or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} is a triangular set,{} \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{\\spad{ps}}.")) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that every polynomial in \\axiom{\\spad{lr}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithHeadRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that the leading monomial of every polynomial in \\axiom{\\spad{lr}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{remainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{c},{}\\spad{b},{}\\spad{r}]} such that \\axiom{\\spad{b}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}},{} \\axiom{r*a - \\spad{c*b}} lies in the ideal generated by \\axiom{\\spad{ps}}. Furthermore,{} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} \\axiom{\\spad{b}} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{headRemainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{b},{}\\spad{r}]} such that the leading monomial of \\axiom{\\spad{b}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{\\spad{ps}}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} contains \\indented{1}{some non null element lying in the base ring \\axiom{\\spad{R}}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that \\axiom{\\spad{ps1}} and \\axiom{\\spad{ps2}} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that all polynomials in \\axiom{\\spad{ps1}} lie in the ideal generated by \\axiom{\\spad{ps2}} in \\axiom{\\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(\\spad{ps})} returns \\spad{true} iff for every pair \\axiom{{\\spad{p},{}\\spad{q}}} of polynomials in \\axiom{\\spad{ps}} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) "\\axiom{sort(\\spad{v},{}\\spad{ps})} returns \\axiom{us,{}\\spad{vs},{}\\spad{ws}} such that \\axiom{us} is \\axiom{collectUnder(\\spad{ps},{}\\spad{v})},{} \\axiom{\\spad{vs}} is \\axiom{collect(\\spad{ps},{}\\spad{v})} and \\axiom{\\spad{ws}} is \\axiom{collectUpper(\\spad{ps},{}\\spad{v})}.")) (|collectUpper| (($ $ |#4|) "\\axiom{collectUpper(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable greater than \\axiom{\\spad{v}}.")) (|collect| (($ $ |#4|) "\\axiom{collect(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with \\axiom{\\spad{v}} as main variable.")) (|collectUnder| (($ $ |#4|) "\\axiom{collectUnder(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable less than \\axiom{\\spad{v}}.")) (|mainVariable?| (((|Boolean|) |#4| $) "\\axiom{mainVariable?(\\spad{v},{}\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ps}}.")) (|mainVariables| (((|List| |#4|) $) "\\axiom{mainVariables(\\spad{ps})} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{\\spad{ps}}.")) (|variables| (((|List| |#4|) $) "\\axiom{variables(\\spad{ps})} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{\\spad{ps}}.")) (|mvar| ((|#4| $) "\\axiom{mvar(\\spad{ps})} returns the main variable of the non constant polynomial with the greatest main variable,{} if any,{} else an error is returned.")) (|retract| (($ (|List| |#5|)) "\\axiom{retract(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) "\\axiom{retractIfCan(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise \\axiom{\"failed\"} is returned."))) 
+(-978 S R E |VarSet| P) 
+((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#5|) (|List| |#5|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#4|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#4|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#4|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#4|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#4| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#4|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#4|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#4| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#5|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#5|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-559)))) 
-(-978 R E |VarSet| P) 
-((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore,{} for \\spad{R} being an integral domain,{} a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) P},{} or the set of its zeros (described for instance by the radical of the previous ideal,{} or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} is a triangular set,{} \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{\\spad{ps}}.")) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that every polynomial in \\axiom{\\spad{lr}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithHeadRemainder(\\spad{lp},{}\\spad{cs})} returns \\axiom{\\spad{lr}} such that the leading monomial of every polynomial in \\axiom{\\spad{lr}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{cs}} and \\axiom{(\\spad{lp},{}\\spad{cs})} and \\axiom{(\\spad{lr},{}\\spad{cs})} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}.")) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{remainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{c},{}\\spad{b},{}\\spad{r}]} such that \\axiom{\\spad{b}} is fully reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}},{} \\axiom{r*a - \\spad{c*b}} lies in the ideal generated by \\axiom{\\spad{ps}}. Furthermore,{} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} \\axiom{\\spad{b}} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{headRemainder(a,{}\\spad{ps})} returns \\axiom{[\\spad{b},{}\\spad{r}]} such that the leading monomial of \\axiom{\\spad{b}} is reduced in the sense of Groebner bases \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ps}} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{\\spad{ps}}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} contains \\indented{1}{some non null element lying in the base ring \\axiom{\\spad{R}}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that \\axiom{\\spad{ps1}} and \\axiom{\\spad{ps2}} generate the same ideal in \\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(\\spad{ps1},{}\\spad{ps2})} returns \\spad{true} iff it can proved that all polynomials in \\axiom{\\spad{ps1}} lie in the ideal generated by \\axiom{\\spad{ps2}} in \\axiom{\\axiom{(\\spad{R})^(\\spad{-1}) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(\\spad{ps})} returns \\spad{true} iff for every pair \\axiom{{\\spad{p},{}\\spad{q}}} of polynomials in \\axiom{\\spad{ps}} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{ps}} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) "\\axiom{sort(\\spad{v},{}\\spad{ps})} returns \\axiom{us,{}\\spad{vs},{}\\spad{ws}} such that \\axiom{us} is \\axiom{collectUnder(\\spad{ps},{}\\spad{v})},{} \\axiom{\\spad{vs}} is \\axiom{collect(\\spad{ps},{}\\spad{v})} and \\axiom{\\spad{ws}} is \\axiom{collectUpper(\\spad{ps},{}\\spad{v})}.")) (|collectUpper| (($ $ |#3|) "\\axiom{collectUpper(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable greater than \\axiom{\\spad{v}}.")) (|collect| (($ $ |#3|) "\\axiom{collect(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with \\axiom{\\spad{v}} as main variable.")) (|collectUnder| (($ $ |#3|) "\\axiom{collectUnder(\\spad{ps},{}\\spad{v})} returns the set consisting of the polynomials of \\axiom{\\spad{ps}} with main variable less than \\axiom{\\spad{v}}.")) (|mainVariable?| (((|Boolean|) |#3| $) "\\axiom{mainVariable?(\\spad{v},{}\\spad{ps})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ps}}.")) (|mainVariables| (((|List| |#3|) $) "\\axiom{mainVariables(\\spad{ps})} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{\\spad{ps}}.")) (|variables| (((|List| |#3|) $) "\\axiom{variables(\\spad{ps})} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{\\spad{ps}}.")) (|mvar| ((|#3| $) "\\axiom{mvar(\\spad{ps})} returns the main variable of the non constant polynomial with the greatest main variable,{} if any,{} else an error is returned.")) (|retract| (($ (|List| |#4|)) "\\axiom{retract(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{retractIfCan(\\spad{lp})} returns an element of the domain whose elements are the members of \\axiom{\\spad{lp}} if such an element exists,{} otherwise \\axiom{\"failed\"} is returned."))) 
-((-4535 . T) (-2982 . T)) 
+(-979 R E |VarSet| P) 
+((|constructor| (NIL "A category for finite subsets of a polynomial ring. Such a set is only regarded as a set of polynomials and not identified to the ideal it generates. So two distinct sets may generate the same the ideal. Furthermore, for \\spad{R} being an integral domain, a set of polynomials may be viewed as a representation of the ideal it generates in the polynomial ring \\spad{(R)^(-1) \\spad{P},} or the set of its zeros (described for instance by the radical of the previous ideal, or a split of the associated affine variety) and so on. So this category provides operations about those different notions.")) (|triangular?| (((|Boolean|) $) "\\axiom{triangular?(ps)} returns \\spad{true} iff \\axiom{ps} is a triangular set, \\spadignore{i.e.} two distinct polynomials have distinct main variables and no constant lies in \\axiom{ps}.")) (|rewriteIdealWithRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithRemainder(lp,cs)} returns \\axiom{lr} such that every polynomial in \\axiom{lr} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|rewriteIdealWithHeadRemainder| (((|List| |#4|) (|List| |#4|) $) "\\axiom{rewriteIdealWithHeadRemainder(lp,cs)} returns \\axiom{lr} such that the leading monomial of every polynomial in \\axiom{lr} is reduced in the sense of Groebner bases w.r.t. \\axiom{cs} and \\axiom{(lp,cs)} and \\axiom{(lr,cs)} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}.}")) (|remainder| (((|Record| (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{remainder(a,ps)} returns \\axiom{[c,b,r]} such that \\axiom{b} is fully reduced in the sense of Groebner bases w.r.t. \\axiom{ps}, \\axiom{r*a - c*b} lies in the ideal generated by \\axiom{ps}. Furthermore, if \\axiom{R} is a gcd-domain, \\axiom{b} is primitive.")) (|headRemainder| (((|Record| (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) "\\axiom{headRemainder(a,ps)} returns \\axiom{[b,r]} such that the leading monomial of \\axiom{b} is reduced in the sense of Groebner bases w.r.t. \\axiom{ps} and \\axiom{r*a - \\spad{b}} lies in the ideal generated by \\axiom{ps}.")) (|roughUnitIdeal?| (((|Boolean|) $) "\\axiom{roughUnitIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} contains \\indented{1}{some non null element lying in the base ring \\axiom{R}.}")) (|roughEqualIdeals?| (((|Boolean|) $ $) "\\axiom{roughEqualIdeals?(ps1,ps2)} returns \\spad{true} iff it can proved that \\axiom{ps1} and \\axiom{ps2} generate the same ideal in \\axiom{(R)^(-1) \\spad{P}} without computing Groebner bases.")) (|roughSubIdeal?| (((|Boolean|) $ $) "\\axiom{roughSubIdeal?(ps1,ps2)} returns \\spad{true} iff it can proved that all polynomials in \\axiom{ps1} lie in the ideal generated by \\axiom{ps2} in \\axiom{\\axiom{(R)^(-1) \\spad{P}}} without computing Groebner bases.")) (|roughBase?| (((|Boolean|) $) "\\axiom{roughBase?(ps)} returns \\spad{true} iff for every pair \\axiom{{p,q}} of polynomials in \\axiom{ps} their leading monomials are relatively prime.")) (|trivialIdeal?| (((|Boolean|) $) "\\axiom{trivialIdeal?(ps)} returns \\spad{true} iff \\axiom{ps} does not contain non-zero elements.")) (|sort| (((|Record| (|:| |under| $) (|:| |floor| $) (|:| |upper| $)) $ |#3|) "\\axiom{sort(v,ps)} returns \\axiom{us,vs,ws} such that \\axiom{us} is \\axiom{collectUnder(ps,v)}, \\axiom{vs} is \\axiom{collect(ps,v)} and \\axiom{ws} is \\axiom{collectUpper(ps,v)}.")) (|collectUpper| (($ $ |#3|) "\\axiom{collectUpper(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable greater than \\axiom{v}.")) (|collect| (($ $ |#3|) "\\axiom{collect(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with \\axiom{v} as main variable.")) (|collectUnder| (($ $ |#3|) "\\axiom{collectUnder(ps,v)} returns the set consisting of the polynomials of \\axiom{ps} with main variable less than \\axiom{v}.")) (|mainVariable?| (((|Boolean|) |#3| $) "\\axiom{mainVariable?(v,ps)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ps}.")) (|mainVariables| (((|List| |#3|) $) "\\axiom{mainVariables(ps)} returns the decreasingly sorted list of the variables which are main variables of some polynomial in \\axiom{ps}.")) (|variables| (((|List| |#3|) $) "\\axiom{variables(ps)} returns the decreasingly sorted list of the variables which are variables of some polynomial in \\axiom{ps}.")) (|mvar| ((|#3| $) "\\axiom{mvar(ps)} returns the main variable of the non constant polynomial with the greatest main variable, if any, else an error is returned.")) (|retract| (($ (|List| |#4|)) "\\axiom{retract(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{retractIfCan(lp)} returns an element of the domain whose elements are the members of \\axiom{lp} if such an element exists, otherwise \\axiom{\"failed\"} is returned."))) 
+((-4571 . T) (-4317 . T)) 
 NIL 
-(-979 R E V P) 
-((|constructor| (NIL "This package provides modest routines for polynomial system solving. The aim of many of the operations of this package is to remove certain factors in some polynomials in order to avoid unnecessary computations in algorithms involving splitting techniques by partial factorization.")) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeIrreducibleRedundantFactors(\\spad{lp},{}\\spad{lq})} returns the same as \\axiom{irreducibleFactors(concat(\\spad{lp},{}\\spad{lq}))} assuming that \\axiom{irreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.")) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{lazyIrreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lf}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lf} = [\\spad{f1},{}...,{}\\spad{fm}]} then \\axiom{p1*p2*...\\spad{*pn=0}} means \\axiom{f1*f2*...\\spad{*fm=0}},{} and the \\axiom{\\spad{fi}} are irreducible over \\axiom{\\spad{R}} and are pairwise distinct. The algorithm tries to avoid factorization into irreducible factors as far as possible and makes previously use of \\spad{gcd} techniques over \\axiom{\\spad{R}}.")) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{irreducibleFactors(\\spad{lp})} returns \\axiom{\\spad{lf}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lf} = [\\spad{f1},{}...,{}\\spad{fm}]} then \\axiom{p1*p2*...\\spad{*pn=0}} means \\axiom{f1*f2*...\\spad{*fm=0}},{} and the \\axiom{\\spad{fi}} are irreducible over \\axiom{\\spad{R}} and are pairwise distinct.")) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in every polynomial \\axiom{\\spad{p}} of \\axiom{\\spad{lp}} any non trivial factor of any polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in every polynomial \\axiom{\\spad{lp}}.")) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInContents(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in the content of every polynomial of \\axiom{\\spad{lp}} any non trivial factor of any polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in the content of every polynomial of \\axiom{\\spad{lp}}.")) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInContents(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in the content of every polynomial of \\axiom{\\spad{lp}} any occurence of a polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. Moreover,{} squares over \\axiom{\\spad{R}} are first removed in the content of every polynomial of \\axiom{\\spad{lp}}.")) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{univariatePolynomialsGcds(\\spad{lp},{}opt)} returns the same as \\axiom{univariatePolynomialsGcds(\\spad{lp})} if \\axiom{opt} is \\axiom{\\spad{false}} and if the previous operation does not return any non null and constant polynomial,{} else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|)) "\\axiom{univariatePolynomialsGcds(\\spad{lp})} returns \\axiom{\\spad{lg}} where \\axiom{\\spad{lg}} is a list of the gcds of every pair in \\axiom{\\spad{lp}} of univariate polynomials in the same main variable.")) (|squareFreeFactors| (((|List| |#4|) |#4|) "\\axiom{squareFreeFactors(\\spad{p})} returns the square-free factors of \\axiom{\\spad{p}} over \\axiom{\\spad{R}}")) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteIdealWithQuasiMonicGenerators(\\spad{lp},{}redOp?,{}redOp)} returns \\axiom{\\spad{lq}} where \\axiom{\\spad{lq}} and \\axiom{\\spad{lp}} generate the same ideal in \\axiom{\\spad{R^}(\\spad{-1}) \\spad{P}} and \\axiom{\\spad{lq}} has rank not higher than the one of \\axiom{\\spad{lp}}. Moreover,{} \\axiom{\\spad{lq}} is computed by reducing \\axiom{\\spad{lp}} \\spad{w}.\\spad{r}.\\spad{t}. some basic set of the ideal generated by the quasi-monic polynomials in \\axiom{\\spad{lp}}.")) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteSetByReducingWithParticularGenerators(\\spad{lp},{}pred?,{}redOp?,{}redOp)} returns \\axiom{\\spad{lq}} where \\axiom{\\spad{lq}} is computed by the following algorithm. Chose a basic set \\spad{w}.\\spad{r}.\\spad{t}. the reduction-test \\axiom{redOp?} among the polynomials satisfying property \\axiom{pred?},{} if it is empty then leave,{} else reduce the other polynomials by this basic set \\spad{w}.\\spad{r}.\\spad{t}. the reduction-operation \\axiom{redOp}. Repeat while another basic set with smaller rank can be computed. See code. If \\axiom{pred?} is \\axiom{quasiMonic?} the ideal is unchanged.")) (|crushedSet| (((|List| |#4|) (|List| |#4|)) "\\axiom{crushedSet(\\spad{lp})} returns \\axiom{\\spad{lq}} such that \\axiom{\\spad{lp}} and and \\axiom{\\spad{lq}} generate the same ideal and no rough basic sets reduce (in the sense of Groebner bases) the other polynomials in \\axiom{\\spad{lq}}.")) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) "\\axiom{roughBasicSet(\\spad{lp})} returns the smallest (with Ritt-Wu ordering) triangular set contained in \\axiom{\\spad{lp}}.")) (|interReduce| (((|List| |#4|) (|List| |#4|)) "\\axiom{interReduce(\\spad{lp})} returns \\axiom{\\spad{lq}} such that \\axiom{\\spad{lp}} and \\axiom{\\spad{lq}} generate the same ideal and no polynomial in \\axiom{\\spad{lq}} is reducuble by the others in the sense of Groebner bases. Since no assumptions are required the result may depend on the ordering the reductions are performed.")) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPol(\\spad{p},{}\\spad{lf})} returns the same as removeRoughlyRedundantFactorsInPols([\\spad{p}],{}\\spad{lf},{}\\spad{true})")) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf},{}opt)} returns the same as \\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} if \\axiom{opt} is \\axiom{\\spad{false}} and if the previous operation does not return any non null and constant polynomial,{} else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lf})} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{\\spad{lp}} by removing in every polynomial \\axiom{\\spad{p}} of \\axiom{\\spad{lp}} any occurence of a polynomial \\axiom{\\spad{f}} in \\axiom{\\spad{lf}}. This may involve a lot of exact-quotients computations.")) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{bivariatePolynomials(\\spad{lp})} returns \\axiom{\\spad{bps},{}nbps} where \\axiom{\\spad{bps}} is a list of the bivariate polynomials,{} and \\axiom{nbps} are the other ones.")) (|bivariate?| (((|Boolean|) |#4|) "\\axiom{bivariate?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} involves two and only two variables.")) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{linearPolynomials(\\spad{lp})} returns \\axiom{\\spad{lps},{}nlps} where \\axiom{\\spad{lps}} is a list of the linear polynomials in \\spad{lp},{} and \\axiom{nlps} are the other ones.")) (|linear?| (((|Boolean|) |#4|) "\\axiom{linear?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} does not lie in the base ring \\axiom{\\spad{R}} and has main degree \\axiom{1}.")) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{univariatePolynomials(\\spad{lp})} returns \\axiom{ups,{}nups} where \\axiom{ups} is a list of the univariate polynomials,{} and \\axiom{nups} are the other ones.")) (|univariate?| (((|Boolean|) |#4|) "\\axiom{univariate?(\\spad{p})} returns \\spad{true} iff \\axiom{\\spad{p}} involves one and only one variable.")) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{quasiMonicPolynomials(\\spad{lp})} returns \\axiom{qmps,{}nqmps} where \\axiom{qmps} is a list of the quasi-monic polynomials in \\axiom{\\spad{lp}} and \\axiom{nqmps} are the other ones.")) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectAndPolynomials(lpred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds for every \\axiom{pred?} in \\axiom{lpred?} and \\axiom{\\spad{bps}} are the other ones.")) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectOrPolynomials(lpred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds for some \\axiom{pred?} in \\axiom{lpred?} and \\axiom{\\spad{bps}} are the other ones.")) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) "\\axiom{selectPolynomials(pred?,{}\\spad{ps})} returns \\axiom{\\spad{gps},{}\\spad{bps}} where \\axiom{\\spad{gps}} is a list of the polynomial \\axiom{\\spad{p}} in \\axiom{\\spad{ps}} such that \\axiom{pred?(\\spad{p})} holds and \\axiom{\\spad{bps}} are the other ones.")) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) "\\axiom{probablyZeroDim?(\\spad{lp})} returns \\spad{true} iff the number of polynomials in \\axiom{\\spad{lp}} is not smaller than the number of variables occurring in these polynomials.")) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\axiom{possiblyNewVariety?(newlp,{}\\spad{llp})} returns \\spad{true} iff for every \\axiom{\\spad{lp}} in \\axiom{\\spad{llp}} certainlySubVariety?(newlp,{}\\spad{lp}) does not hold.")) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{certainlySubVariety?(newlp,{}\\spad{lp})} returns \\spad{true} iff for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}} the remainder of \\axiom{\\spad{p}} by \\axiom{newlp} using the division algorithm of Groebner techniques is zero.")) (|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) "\\axiom{unprotectedRemoveRedundantFactors(\\spad{p},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors(\\spad{p},{}\\spad{q})} but does assume that neither \\axiom{\\spad{p}} nor \\axiom{\\spad{q}} lie in the base ring \\axiom{\\spad{R}} and assumes that \\axiom{infRittWu?(\\spad{p},{}\\spad{q})} holds. Moreover,{} if \\axiom{\\spad{R}} is \\spad{gcd}-domain,{} then \\axiom{\\spad{p}} and \\axiom{\\spad{q}} are assumed to be square free.")) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) "\\axiom{removeSquaresIfCan(\\spad{lp})} returns \\axiom{removeDuplicates [squareFreePart(\\spad{p})\\$\\spad{P} for \\spad{p} in \\spad{lp}]} if \\axiom{\\spad{R}} is \\spad{gcd}-domain else returns \\axiom{\\spad{lp}}.")) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{lq},{}remOp)} returns the same as \\axiom{concat(remOp(removeRoughlyRedundantFactorsInPols(\\spad{lp},{}\\spad{lq})),{}\\spad{lq})} assuming that \\axiom{remOp(\\spad{lq})} returns \\axiom{\\spad{lq}} up to similarity.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{lq})} returns the same as \\axiom{removeRedundantFactors(concat(\\spad{lp},{}\\spad{lq}))} assuming that \\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.") (((|List| |#4|) (|List| |#4|) |#4|) "\\axiom{removeRedundantFactors(\\spad{lp},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors(cons(\\spad{q},{}\\spad{lp}))} assuming that \\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lp}} up to replacing some polynomial \\axiom{\\spad{pj}} in \\axiom{\\spad{lp}} by some some polynomial \\axiom{\\spad{qj}} associated to \\axiom{\\spad{pj}}.") (((|List| |#4|) |#4| |#4|) "\\axiom{removeRedundantFactors(\\spad{p},{}\\spad{q})} returns the same as \\axiom{removeRedundantFactors([\\spad{p},{}\\spad{q}])}") (((|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(\\spad{lp})} returns \\axiom{\\spad{lq}} such that if \\axiom{\\spad{lp} = [\\spad{p1},{}...,{}\\spad{pn}]} and \\axiom{\\spad{lq} = [\\spad{q1},{}...,{}\\spad{qm}]} then the product \\axiom{p1*p2*...\\spad{*pn}} vanishes iff the product \\axiom{q1*q2*...\\spad{*qm}} vanishes,{} and the product of degrees of the \\axiom{\\spad{qi}} is not greater than the one of the \\axiom{\\spad{pj}},{} and no polynomial in \\axiom{\\spad{lq}} divides another polynomial in \\axiom{\\spad{lq}}. In particular,{} polynomials lying in the base ring \\axiom{\\spad{R}} are removed. Moreover,{} \\axiom{\\spad{lq}} is sorted \\spad{w}.\\spad{r}.\\spad{t} \\axiom{infRittWu?}. Furthermore,{} if \\spad{R} is \\spad{gcd}-domain,{} the polynomials in \\axiom{\\spad{lq}} are pairwise without common non trivial factor."))) 
+(-980 R E V P) 
+((|constructor| (NIL "This package provides modest routines for polynomial system solving. The aim of many of the operations of this package is to remove certain factors in some polynomials in order to avoid unnecessary computations in algorithms involving splitting techniques by partial factorization.")) (|removeIrreducibleRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeIrreducibleRedundantFactors(lp,lq)} returns the same as \\axiom{irreducibleFactors(concat(lp,lq))} assuming that \\axiom{irreducibleFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.")) (|lazyIrreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{lazyIrreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct. The algorithm tries to avoid factorization into irreducible factors as far as possible and makes previously use of \\spad{gcd} techniques over \\axiom{R}.")) (|irreducibleFactors| (((|List| |#4|) (|List| |#4|)) "\\axiom{irreducibleFactors(lp)} returns \\axiom{lf} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lf = [f1,...,fm]} then \\axiom{p1*p2*...*pn=0} means \\axiom{f1*f2*...*fm=0}, and the \\axiom{fi} are irreducible over \\axiom{R} and are pairwise distinct.")) (|removeRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in every polynomial \\axiom{lp}.")) (|removeRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp} where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any non trivial factor of any polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|removeRoughlyRedundantFactorsInContents| (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInContents(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in the content of every polynomial of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. Moreover, squares over \\axiom{R} are first removed in the content of every polynomial of \\axiom{lp}.")) (|univariatePolynomialsGcds| (((|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{univariatePolynomialsGcds(lp,opt)} returns the same as \\axiom{univariatePolynomialsGcds(lp)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|)) "\\axiom{univariatePolynomialsGcds(lp)} returns \\axiom{lg} where \\axiom{lg} is a list of the gcds of every pair in \\axiom{lp} of univariate polynomials in the same main variable.")) (|squareFreeFactors| (((|List| |#4|) |#4|) "\\axiom{squareFreeFactors(p)} returns the square-free factors of \\axiom{p} over \\axiom{R}")) (|rewriteIdealWithQuasiMonicGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteIdealWithQuasiMonicGenerators(lp,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} and \\axiom{lp} generate the same ideal in \\axiom{R^(-1) \\spad{P}} and \\axiom{lq} has rank not higher than the one of \\axiom{lp}. Moreover, \\axiom{lq} is computed by reducing \\axiom{lp} w.r.t. some basic set of the ideal generated by the quasi-monic polynomials in \\axiom{lp}.")) (|rewriteSetByReducingWithParticularGenerators| (((|List| |#4|) (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{rewriteSetByReducingWithParticularGenerators(lp,pred?,redOp?,redOp)} returns \\axiom{lq} where \\axiom{lq} is computed by the following algorithm. Chose a basic set w.r.t. the reduction-test \\axiom{redOp?} among the polynomials satisfying property \\axiom{pred?}, if it is empty then leave, else reduce the other polynomials by this basic set w.r.t. the reduction-operation \\axiom{redOp}. Repeat while another basic set with smaller rank can be computed. See code. If \\axiom{pred?} is \\axiom{quasiMonic?} the ideal is unchanged.")) (|crushedSet| (((|List| |#4|) (|List| |#4|)) "\\axiom{crushedSet(lp)} returns \\axiom{lq} such that \\axiom{lp} and and \\axiom{lq} generate the same ideal and no rough basic sets reduce (in the sense of Groebner bases) the other polynomials in \\axiom{lq}.")) (|roughBasicSet| (((|Union| (|Record| (|:| |bas| (|GeneralTriangularSet| |#1| |#2| |#3| |#4|)) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|)) "\\axiom{roughBasicSet(lp)} returns the smallest (with Ritt-Wu ordering) triangular set contained in \\axiom{lp}.")) (|interReduce| (((|List| |#4|) (|List| |#4|)) "\\axiom{interReduce(lp)} returns \\axiom{lq} such that \\axiom{lp} and \\axiom{lq} generate the same ideal and no polynomial in \\axiom{lq} is reducuble by the others in the sense of Groebner bases. Since no assumptions are required the result may depend on the ordering the reductions are performed.")) (|removeRoughlyRedundantFactorsInPol| ((|#4| |#4| (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPol(p,lf)} returns the same as removeRoughlyRedundantFactorsInPols([p],lf,true)")) (|removeRoughlyRedundantFactorsInPols| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Boolean|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf,opt)} returns the same as \\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} if \\axiom{opt} is \\axiom{false} and if the previous operation does not return any non null and constant polynomial, else return \\axiom{[1]}.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRoughlyRedundantFactorsInPols(lp,lf)} returns \\axiom{newlp}where \\axiom{newlp} is obtained from \\axiom{lp} by removing in every polynomial \\axiom{p} of \\axiom{lp} any occurence of a polynomial \\axiom{f} in \\axiom{lf}. This may involve a lot of exact-quotients computations.")) (|bivariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{bivariatePolynomials(lp)} returns \\axiom{bps,nbps} where \\axiom{bps} is a list of the bivariate polynomials, and \\axiom{nbps} are the other ones.")) (|bivariate?| (((|Boolean|) |#4|) "\\axiom{bivariate?(p)} returns \\spad{true} iff \\axiom{p} involves two and only two variables.")) (|linearPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{linearPolynomials(lp)} returns \\axiom{lps,nlps} where \\axiom{lps} is a list of the linear polynomials in \\spad{lp,} and \\axiom{nlps} are the other ones.")) (|linear?| (((|Boolean|) |#4|) "\\axiom{linear?(p)} returns \\spad{true} iff \\axiom{p} does not lie in the base ring \\axiom{R} and has main degree \\axiom{1}.")) (|univariatePolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{univariatePolynomials(lp)} returns \\axiom{ups,nups} where \\axiom{ups} is a list of the univariate polynomials, and \\axiom{nups} are the other ones.")) (|univariate?| (((|Boolean|) |#4|) "\\axiom{univariate?(p)} returns \\spad{true} iff \\axiom{p} involves one and only one variable.")) (|quasiMonicPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| |#4|)) "\\axiom{quasiMonicPolynomials(lp)} returns \\axiom{qmps,nqmps} where \\axiom{qmps} is a list of the quasi-monic polynomials in \\axiom{lp} and \\axiom{nqmps} are the other ones.")) (|selectAndPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectAndPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for every \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectOrPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|List| (|Mapping| (|Boolean|) |#4|)) (|List| |#4|)) "\\axiom{selectOrPolynomials(lpred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds for some \\axiom{pred?} in \\axiom{lpred?} and \\axiom{bps} are the other ones.")) (|selectPolynomials| (((|Record| (|:| |goodPols| (|List| |#4|)) (|:| |badPols| (|List| |#4|))) (|Mapping| (|Boolean|) |#4|) (|List| |#4|)) "\\axiom{selectPolynomials(pred?,ps)} returns \\axiom{gps,bps} where \\axiom{gps} is a list of the polynomial \\axiom{p} in \\axiom{ps} such that \\axiom{pred?(p)} holds and \\axiom{bps} are the other ones.")) (|probablyZeroDim?| (((|Boolean|) (|List| |#4|)) "\\axiom{probablyZeroDim?(lp)} returns \\spad{true} iff the number of polynomials in \\axiom{lp} is not smaller than the number of variables occurring in these polynomials.")) (|possiblyNewVariety?| (((|Boolean|) (|List| |#4|) (|List| (|List| |#4|))) "\\axiom{possiblyNewVariety?(newlp,llp)} returns \\spad{true} iff for every \\axiom{lp} in \\axiom{llp} certainlySubVariety?(newlp,lp) does not hold.")) (|certainlySubVariety?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{certainlySubVariety?(newlp,lp)} returns \\spad{true} iff for every \\axiom{p} in \\axiom{lp} the remainder of \\axiom{p} by \\axiom{newlp} using the division algorithm of Groebner techniques is zero.")) (|unprotectedRemoveRedundantFactors| (((|List| |#4|) |#4| |#4|) "\\axiom{unprotectedRemoveRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors(p,q)} but does assume that neither \\axiom{p} nor \\axiom{q} lie in the base ring \\axiom{R} and assumes that \\axiom{infRittWu?(p,q)} holds. Moreover, if \\axiom{R} is gcd-domain, then \\axiom{p} and \\axiom{q} are assumed to be square free.")) (|removeSquaresIfCan| (((|List| |#4|) (|List| |#4|)) "\\axiom{removeSquaresIfCan(lp)} returns \\axiom{removeDuplicates [squareFreePart(p)$P for \\spad{p} in lp]} if \\axiom{R} is gcd-domain else returns \\axiom{lp}.")) (|removeRedundantFactors| (((|List| |#4|) (|List| |#4|) (|List| |#4|) (|Mapping| (|List| |#4|) (|List| |#4|))) "\\axiom{removeRedundantFactors(lp,lq,remOp)} returns the same as \\axiom{concat(remOp(removeRoughlyRedundantFactorsInPols(lp,lq)),lq)} assuming that \\axiom{remOp(lq)} returns \\axiom{lq} up to similarity.") (((|List| |#4|) (|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp,lq)} returns the same as \\axiom{removeRedundantFactors(concat(lp,lq))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) (|List| |#4|) |#4|) "\\axiom{removeRedundantFactors(lp,q)} returns the same as \\axiom{removeRedundantFactors(cons(q,lp))} assuming that \\axiom{removeRedundantFactors(lp)} returns \\axiom{lp} up to replacing some polynomial \\axiom{pj} in \\axiom{lp} by some some polynomial \\axiom{qj} associated to \\axiom{pj}.") (((|List| |#4|) |#4| |#4|) "\\axiom{removeRedundantFactors(p,q)} returns the same as \\axiom{removeRedundantFactors([p,q])}") (((|List| |#4|) (|List| |#4|)) "\\axiom{removeRedundantFactors(lp)} returns \\axiom{lq} such that if \\axiom{lp = [p1,...,pn]} and \\axiom{lq = [q1,...,qm]} then the product \\axiom{p1*p2*...*pn} vanishes iff the product \\axiom{q1*q2*...*qm} vanishes, and the product of degrees of the \\axiom{qi} is not greater than the one of the \\axiom{pj}, and no polynomial in \\axiom{lq} divides another polynomial in \\axiom{lq}. In particular, polynomials lying in the base ring \\axiom{R} are removed. Moreover, \\axiom{lq} is sorted w.r.t \\axiom{infRittWu?}. Furthermore, if \\spad{R} is gcd-domain, the polynomials in \\axiom{lq} are pairwise without common non trivial factor."))) 
 NIL 
 ((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-454)))) 
-(-980 K) 
-((|constructor| (NIL "PseudoLinearNormalForm provides a function for computing a block-companion form for pseudo-linear operators.")) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{companionBlocks(m,{} v)} returns \\spad{[[C_1,{} g_1],{}...,{}[C_k,{} g_k]]} such that each \\spad{C_i} is a companion block and \\spad{m = diagonal(C_1,{}...,{}C_k)}.")) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{changeBase(M,{} A,{} sig,{} der)}: computes the new matrix of a pseudo-linear transform given by the matrix \\spad{M} under the change of base A")) (|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{normalForm(M,{} sig,{} der)} returns \\spad{[R,{} A,{} A^{-1}]} such that the pseudo-linear operator whose matrix in the basis \\spad{y} is \\spad{M} had matrix \\spad{R} in the basis \\spad{z = A y}. \\spad{der} is a \\spad{sig}-derivation."))) 
+(-981 K) 
+((|constructor| (NIL "PseudoLinearNormalForm provides a function for computing a block-companion form for pseudo-linear operators.")) (|companionBlocks| (((|List| (|Record| (|:| C (|Matrix| |#1|)) (|:| |g| (|Vector| |#1|)))) (|Matrix| |#1|) (|Vector| |#1|)) "\\spad{companionBlocks(m, \\spad{v)}} returns \\spad{[[C_1, g_1],...,[C_k, g_k]]} such that each \\spad{C_i} is a companion block and \\spad{m = diagonal(C_1,...,C_k)}.")) (|changeBase| (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{changeBase(M, A, sig, der)}: computes the new matrix of a pseudo-linear transform given by the matrix \\spad{M} under the change of base A")) (|normalForm| (((|Record| (|:| R (|Matrix| |#1|)) (|:| A (|Matrix| |#1|)) (|:| |Ainv| (|Matrix| |#1|))) (|Matrix| |#1|) (|Automorphism| |#1|) (|Mapping| |#1| |#1|)) "\\spad{normalForm(M, sig, der)} returns \\spad{[R, A, A^{-1}]} such that the pseudo-linear operator whose matrix in the basis \\spad{y} is \\spad{M} had matrix \\spad{R} in the basis \\spad{z = A \\spad{y}.} \\spad{der} is a \\spad{sig}-derivation."))) 
 NIL 
 NIL 
-(-981 |VarSet| E RC P) 
-((|constructor| (NIL "This package computes square-free decomposition of multivariate polynomials over a coefficient ring which is an arbitrary \\spad{gcd} domain. The requirement on the coefficient domain guarantees that the \\spadfun{content} can be removed so that factors will be primitive as well as square-free. Over an infinite ring of finite characteristic,{}it may not be possible to guarantee that the factors are square-free.")) (|squareFree| (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} returns the square-free factorization of the polynomial \\spad{p}. Each factor has no repeated roots,{} and the factors are pairwise relatively prime."))) 
+(-982 |VarSet| E RC P) 
+((|constructor| (NIL "This package computes square-free decomposition of multivariate polynomials over a coefficient ring which is an arbitrary \\spad{gcd} domain. The requirement on the coefficient domain guarantees that the \\spadfun{content} can be removed so that factors will be primitive as well as square-free. Over an infinite ring of finite characteristic,it may not be possible to guarantee that the factors are square-free.")) (|squareFree| (((|Factored| |#4|) |#4|) "\\spad{squareFree(p)} returns the square-free factorization of the polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime."))) 
 NIL 
 NIL 
-(-982 R) 
-((|constructor| (NIL "PointCategory is the category of points in space which may be plotted via the graphics facilities. Functions are provided for defining points and handling elements of points.")) (|extend| (($ $ (|List| |#1|)) "\\spad{extend(x,{}l,{}r)} \\undocumented")) (|cross| (($ $ $) "\\spad{cross(p,{}q)} computes the cross product of the two points \\spad{p} and \\spad{q}. Error if the \\spad{p} and \\spad{q} are not 3 dimensional")) (|convert| (($ (|List| |#1|)) "\\spad{convert(l)} takes a list of elements,{} \\spad{l},{} from the domain Ring and returns the form of point category.")) (|dimension| (((|PositiveInteger|) $) "\\spad{dimension(s)} returns the dimension of the point category \\spad{s}.")) (|point| (($ (|List| |#1|)) "\\spad{point(l)} returns a point category defined by a list \\spad{l} of elements from the domain \\spad{R}."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-983 R) 
+((|constructor| (NIL "PointCategory is the category of points in space which may be plotted via the graphics facilities. Functions are provided for defining points and handling elements of points.")) (|extend| (($ $ (|List| |#1|)) "\\spad{extend(x,l,r)} \\undocumented")) (|cross| (($ $ $) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q}. Error if the \\spad{p} and \\spad{q} are not 3 dimensional")) (|convert| (($ (|List| |#1|)) "\\spad{convert(l)} takes a list of elements, \\spad{l,} from the domain Ring and returns the form of point category.")) (|dimension| (((|PositiveInteger|) $) "\\spad{dimension(s)} returns the dimension of the point category \\spad{s.}")) (|point| (($ (|List| |#1|)) "\\spad{point(l)} returns a point category defined by a list \\spad{l} of elements from the domain \\spad{R.}"))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-983 R1 R2) 
-((|constructor| (NIL "This package has no description")) (|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) "\\spad{map(f,{}p)} \\undocumented"))) 
+(-984 R1 R2) 
+((|constructor| (NIL "This package has no description")) (|map| (((|Point| |#2|) (|Mapping| |#2| |#1|) (|Point| |#1|)) "\\spad{map(f,p)} \\undocumented"))) 
 NIL 
 NIL 
-(-984 R) 
-((|constructor| (NIL "This package has no description")) (|shade| ((|#1| (|Point| |#1|)) "\\spad{shade(pt)} returns the fourth element of the two dimensional point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} shade to express a fourth dimension.")) (|hue| ((|#1| (|Point| |#1|)) "\\spad{hue(pt)} returns the third element of the two dimensional point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} hue to express a third dimension.")) (|color| ((|#1| (|Point| |#1|)) "\\spad{color(pt)} returns the fourth element of the point,{} \\spad{pt},{} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically,{} color to express a fourth dimension.")) (|phiCoord| ((|#1| (|Point| |#1|)) "\\spad{phiCoord(pt)} returns the third element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical coordinate system.")) (|thetaCoord| ((|#1| (|Point| |#1|)) "\\spad{thetaCoord(pt)} returns the second element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|rCoord| ((|#1| (|Point| |#1|)) "\\spad{rCoord(pt)} returns the first element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|zCoord| ((|#1| (|Point| |#1|)) "\\spad{zCoord(pt)} returns the third element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian or a cylindrical coordinate system.")) (|yCoord| ((|#1| (|Point| |#1|)) "\\spad{yCoord(pt)} returns the second element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system.")) (|xCoord| ((|#1| (|Point| |#1|)) "\\spad{xCoord(pt)} returns the first element of the point,{} \\spad{pt},{} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system."))) 
+(-985 R) 
+((|constructor| (NIL "This package has no description")) (|shade| ((|#1| (|Point| |#1|)) "\\spad{shade(pt)} returns the fourth element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, shade to express a fourth dimension.")) (|hue| ((|#1| (|Point| |#1|)) "\\spad{hue(pt)} returns the third element of the two dimensional point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, hue to express a third dimension.")) (|color| ((|#1| (|Point| |#1|)) "\\spad{color(pt)} returns the fourth element of the point, \\spad{pt,} although no assumptions are made with regards as to how the components of higher dimensional points are interpreted. This function is defined for the convenience of the user using specifically, color to express a fourth dimension.")) (|phiCoord| ((|#1| (|Point| |#1|)) "\\spad{phiCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical coordinate system.")) (|thetaCoord| ((|#1| (|Point| |#1|)) "\\spad{thetaCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|rCoord| ((|#1| (|Point| |#1|)) "\\spad{rCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a spherical or a cylindrical coordinate system.")) (|zCoord| ((|#1| (|Point| |#1|)) "\\spad{zCoord(pt)} returns the third element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian or a cylindrical coordinate system.")) (|yCoord| ((|#1| (|Point| |#1|)) "\\spad{yCoord(pt)} returns the second element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system.")) (|xCoord| ((|#1| (|Point| |#1|)) "\\spad{xCoord(pt)} returns the first element of the point, \\spad{pt,} although no assumptions are made as to the coordinate system being used. This function is defined for the convenience of the user dealing with a Cartesian coordinate system."))) 
 NIL 
 NIL 
-(-985 K) 
-((|constructor| (NIL "This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns \\spad{csc}(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(\\spad{z}) if possible,{} and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,{}n)} returns the \\spad{n}th root of \\spad{z} if possible,{} and \"failed\" otherwise."))) 
+(-986 K) 
+((|constructor| (NIL "This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory.")) (|acschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acschIfCan(z)} returns acsch(z) if possible, and \"failed\" otherwise.")) (|asechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asechIfCan(z)} returns asech(z) if possible, and \"failed\" otherwise.")) (|acothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acothIfCan(z)} returns acoth(z) if possible, and \"failed\" otherwise.")) (|atanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanhIfCan(z)} returns atanh(z) if possible, and \"failed\" otherwise.")) (|acoshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acoshIfCan(z)} returns acosh(z) if possible, and \"failed\" otherwise.")) (|asinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinhIfCan(z)} returns asinh(z) if possible, and \"failed\" otherwise.")) (|cschIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cschIfCan(z)} returns csch(z) if possible, and \"failed\" otherwise.")) (|sechIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sechIfCan(z)} returns sech(z) if possible, and \"failed\" otherwise.")) (|cothIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cothIfCan(z)} returns coth(z) if possible, and \"failed\" otherwise.")) (|tanhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanhIfCan(z)} returns tanh(z) if possible, and \"failed\" otherwise.")) (|coshIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{coshIfCan(z)} returns cosh(z) if possible, and \"failed\" otherwise.")) (|sinhIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinhIfCan(z)} returns sinh(z) if possible, and \"failed\" otherwise.")) (|acscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acscIfCan(z)} returns acsc(z) if possible, and \"failed\" otherwise.")) (|asecIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asecIfCan(z)} returns asec(z) if possible, and \"failed\" otherwise.")) (|acotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acotIfCan(z)} returns acot(z) if possible, and \"failed\" otherwise.")) (|atanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{atanIfCan(z)} returns atan(z) if possible, and \"failed\" otherwise.")) (|acosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{acosIfCan(z)} returns acos(z) if possible, and \"failed\" otherwise.")) (|asinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{asinIfCan(z)} returns asin(z) if possible, and \"failed\" otherwise.")) (|cscIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cscIfCan(z)} returns csc(z) if possible, and \"failed\" otherwise.")) (|secIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{secIfCan(z)} returns sec(z) if possible, and \"failed\" otherwise.")) (|cotIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cotIfCan(z)} returns cot(z) if possible, and \"failed\" otherwise.")) (|tanIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{tanIfCan(z)} returns tan(z) if possible, and \"failed\" otherwise.")) (|cosIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{cosIfCan(z)} returns cos(z) if possible, and \"failed\" otherwise.")) (|sinIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{sinIfCan(z)} returns sin(z) if possible, and \"failed\" otherwise.")) (|logIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{logIfCan(z)} returns log(z) if possible, and \"failed\" otherwise.")) (|expIfCan| (((|Union| |#1| "failed") |#1|) "\\spad{expIfCan(z)} returns exp(z) if possible, and \"failed\" otherwise.")) (|nthRootIfCan| (((|Union| |#1| "failed") |#1| (|NonNegativeInteger|)) "\\spad{nthRootIfCan(z,n)} returns the \\spad{n}th root of \\spad{z} if possible, and \"failed\" otherwise."))) 
 NIL 
 NIL 
-(-986 R E OV PPR) 
-((|constructor| (NIL "This package has no description")) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) "\\spad{map(f,{}p)} \\undocumented{}")) (|pushup| ((|#4| |#4| (|List| |#3|)) "\\spad{pushup(p,{}lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushup(p,{}v)} \\undocumented{}")) (|pushdown| ((|#4| |#4| (|List| |#3|)) "\\spad{pushdown(p,{}lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushdown(p,{}v)} \\undocumented{}")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
+(-987 R E OV PPR) 
+((|constructor| (NIL "This package has no description")) (|map| ((|#4| (|Mapping| |#4| (|Polynomial| |#1|)) |#4|) "\\spad{map(f,p)} \\undocumented{}")) (|pushup| ((|#4| |#4| (|List| |#3|)) "\\spad{pushup(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushup(p,v)} \\undocumented{}")) (|pushdown| ((|#4| |#4| (|List| |#3|)) "\\spad{pushdown(p,lv)} \\undocumented{}") ((|#4| |#4| |#3|) "\\spad{pushdown(p,v)} \\undocumented{}")) (|variable| (((|Union| $ "failed") (|Symbol|)) "\\spad{variable(s)} makes an element from symbol \\spad{s} or fails")) (|convert| (((|Symbol|) $) "\\spad{convert(x)} converts \\spad{x} to a symbol"))) 
 NIL 
 NIL 
-(-987 K R UP -1564) 
-((|constructor| (NIL "In this package \\spad{K} is a finite field,{} \\spad{R} is a ring of univariate polynomials over \\spad{K},{} and \\spad{F} is a monogenic algebra over \\spad{R}. We require that \\spad{F} is monogenic,{} \\spadignore{i.e.} that \\spad{F = K[x,{}y]/(f(x,{}y))},{} because the integral basis algorithm used will factor the polynomial \\spad{f(x,{}y)}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|reducedDiscriminant| ((|#2| |#3|) "\\spad{reducedDiscriminant(up)} \\undocumented")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv] } containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of the framed algebra \\spad{F}. \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If 'basis' is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if 'basisInv' is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv] } containing information regarding the integral closure of \\spad{R} in the quotient field of the framed algebra \\spad{F}. \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If 'basis' is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if 'basisInv' is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}."))) 
+(-988 K R UP -1647) 
+((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a monogenic algebra over \\spad{R.} We require that \\spad{F} is monogenic, \\spadignore{i.e.} that \\spad{F = K[x,y]/(f(x,y))}, because the integral basis algorithm used will factor the polynomial \\spad{f(x,y)}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|reducedDiscriminant| ((|#2| |#3|) "\\spad{reducedDiscriminant(up)} \\undocumented")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv] } containing information regarding the integral closure of \\spad{R} in the quotient field of the framed algebra \\spad{F.} \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If 'basis' is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of 'basis' contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix 'basisInv' contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if 'basisInv' is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-988 |vl| |nv|) 
-((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet2} adds a function \\spadfun{radicalSimplify} which uses \\spadtype{IdealDecompositionPackage} to simplify the representation of a quasi-algebraic set. A quasi-algebraic set is the intersection of a Zariski closed set,{} defined as the common zeros of a given list of polynomials (the defining polynomials for equations),{} and a principal Zariski open set,{} defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). Quasi-algebraic sets are implemented in the domain \\spadtype{QuasiAlgebraicSet},{} where two simplification routines are provided: \\spadfun{idealSimplify} and \\spadfun{simplify}. The function \\spadfun{radicalSimplify} is added for comparison study only. Because the domain \\spadtype{IdealDecompositionPackage} provides facilities for computing with radical ideals,{} it is necessary to restrict the ground ring to the domain \\spadtype{Fraction Integer},{} and the polynomial ring to be of type \\spadtype{DistributedMultivariatePolynomial}. The routine \\spadfun{radicalSimplify} uses these to compute groebner basis of radical ideals and is inefficient and restricted when compared to the two in \\spadtype{QuasiAlgebraicSet}.")) (|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radicalSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using using groebner basis of radical ideals"))) 
+(-989 |vl| |nv|) 
+((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet2} adds a function \\spadfun{radicalSimplify} which uses \\spadtype{IdealDecompositionPackage} to simplify the representation of a quasi-algebraic set. A quasi-algebraic set is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). Quasi-algebraic sets are implemented in the domain \\spadtype{QuasiAlgebraicSet}, where two simplification routines are provided: \\spadfun{idealSimplify} and \\spadfun{simplify}. The function \\spadfun{radicalSimplify} is added for comparison study only. Because the domain \\spadtype{IdealDecompositionPackage} provides facilities for computing with radical ideals, it is necessary to restrict the ground ring to the domain \\spadtype{Fraction Integer}, and the polynomial ring to be of type \\spadtype{DistributedMultivariatePolynomial}. The routine \\spadfun{radicalSimplify} uses these to compute groebner basis of radical ideals and is inefficient and restricted when compared to the two in \\spadtype{QuasiAlgebraicSet}.")) (|radicalSimplify| (((|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|)))) (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| |#1|) (|DirectProduct| |#2| (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| |#1| (|Fraction| (|Integer|))))) "\\spad{radicalSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using using groebner basis of radical ideals"))) 
 NIL 
 NIL 
-(-989 R |Var| |Expon| |Dpoly|) 
-((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet} constructs a domain representing quasi-algebraic sets,{} which is the intersection of a Zariski closed set,{} defined as the common zeros of a given list of polynomials (the defining polynomials for equations),{} and a principal Zariski open set,{} defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). This domain provides simplification of a user-given representation using groebner basis computations. There are two simplification routines: the first function \\spadfun{idealSimplify} uses groebner basis of ideals alone,{} while the second,{} \\spadfun{simplify} uses both groebner basis and factorization. The resulting defining equations \\spad{L} always form a groebner basis,{} and the resulting defining inequation \\spad{f} is always reduced. The function \\spadfun{simplify} may be applied several times if desired. A third simplification routine \\spadfun{radicalSimplify} is provided in \\spadtype{QuasiAlgebraicSet2} for comparison study only,{} as it is inefficient compared to the other two,{} as well as is restricted to only certain coefficient domains. For detail analysis and a comparison of the three methods,{} please consult the reference cited. \\blankline A polynomial function \\spad{q} defined on the quasi-algebraic set is equivalent to its reduced form with respect to \\spad{L}. While this may be obtained using the usual normal form algorithm,{} there is no canonical form for \\spad{q}. \\blankline The ordering in groebner basis computation is determined by the data type of the input polynomials. If it is possible we suggest to use refinements of total degree orderings.")) (|simplify| (($ $) "\\spad{simplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using a heuristic algorithm based on factoring.")) (|idealSimplify| (($ $) "\\spad{idealSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis,{} and the defining polynomial for the inequation reduced with respect to the basis,{} using Buchberger\\spad{'s} algorithm.")) (|definingInequation| ((|#4| $) "\\spad{definingInequation(s)} returns a single defining polynomial for the inequation,{} that is,{} the Zariski open part of \\spad{s}.")) (|definingEquations| (((|List| |#4|) $) "\\spad{definingEquations(s)} returns a list of defining polynomials for equations,{} that is,{} for the Zariski closed part of \\spad{s}.")) (|empty?| (((|Boolean|) $) "\\spad{empty?(s)} returns \\spad{true} if the quasialgebraic set \\spad{s} has no points,{} and \\spad{false} otherwise.")) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) "\\spad{setStatus(s,{}t)} returns the same representation for \\spad{s},{} but asserts the following: if \\spad{t} is \\spad{true},{} then \\spad{s} is empty,{} if \\spad{t} is \\spad{false},{} then \\spad{s} is non-empty,{} and if \\spad{t} = \"failed\",{} then no assertion is made (that is,{} \"don\\spad{'t} know\"). Note: for internal use only,{} with care.")) (|status| (((|Union| (|Boolean|) "failed") $) "\\spad{status(s)} returns \\spad{true} if the quasi-algebraic set is empty,{} \\spad{false} if it is not,{} and \"failed\" if not yet known")) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) "\\spad{quasiAlgebraicSet(pl,{}q)} returns the quasi-algebraic set with defining equations \\spad{p} = 0 for \\spad{p} belonging to the list \\spad{pl},{} and defining inequation \\spad{q} \\spad{^=} 0.")) (|empty| (($) "\\spad{empty()} returns the empty quasi-algebraic set"))) 
+(-990 R |Var| |Expon| |Dpoly|) 
+((|constructor| (NIL "\\spadtype{QuasiAlgebraicSet} constructs a domain representing quasi-algebraic sets, which is the intersection of a Zariski closed set, defined as the common zeros of a given list of polynomials (the defining polynomials for equations), and a principal Zariski open set, defined as the complement of the common zeros of a polynomial \\spad{f} (the defining polynomial for the inequation). This domain provides simplification of a user-given representation using groebner basis computations. There are two simplification routines: the first function \\spadfun{idealSimplify} uses groebner basis of ideals alone, while the second, \\spadfun{simplify} uses both groebner basis and factorization. The resulting defining equations \\spad{L} always form a groebner basis, and the resulting defining inequation \\spad{f} is always reduced. The function \\spadfun{simplify} may be applied several times if desired. A third simplification routine \\spadfun{radicalSimplify} is provided in \\spadtype{QuasiAlgebraicSet2} for comparison study only, as it is inefficient compared to the other two, as well as is restricted to only certain coefficient domains. For detail analysis and a comparison of the three methods, please consult the reference cited. \\blankline A polynomial function \\spad{q} defined on the quasi-algebraic set is equivalent to its reduced form with respect to \\spad{L.} While this may be obtained using the usual normal form algorithm, there is no canonical form for \\spad{q.} \\blankline The ordering in groebner basis computation is determined by the data type of the input polynomials. If it is possible we suggest to use refinements of total degree orderings.")) (|simplify| (($ $) "\\spad{simplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using a heuristic algorithm based on factoring.")) (|idealSimplify| (($ $) "\\spad{idealSimplify(s)} returns a different and presumably simpler representation of \\spad{s} with the defining polynomials for the equations forming a groebner basis, and the defining polynomial for the inequation reduced with respect to the basis, using Buchberger's algorithm.")) (|definingInequation| ((|#4| $) "\\spad{definingInequation(s)} returns a single defining polynomial for the inequation, that is, the Zariski open part of \\spad{s.}")) (|definingEquations| (((|List| |#4|) $) "\\spad{definingEquations(s)} returns a list of defining polynomials for equations, that is, for the Zariski closed part of \\spad{s.}")) (|empty?| (((|Boolean|) $) "\\spad{empty?(s)} returns \\spad{true} if the quasialgebraic set \\spad{s} has no points, and \\spad{false} otherwise.")) (|setStatus| (($ $ (|Union| (|Boolean|) "failed")) "\\spad{setStatus(s,t)} returns the same representation for \\spad{s,} but asserts the following: if \\spad{t} is true, then \\spad{s} is empty, if \\spad{t} is false, then \\spad{s} is non-empty, and if \\spad{t} = \"failed\", then no assertion is made (that is, \"don't know\"). Note: for internal use only, with care.")) (|status| (((|Union| (|Boolean|) "failed") $) "\\spad{status(s)} returns \\spad{true} if the quasi-algebraic set is empty, \\spad{false} if it is not, and \"failed\" if not yet known")) (|quasiAlgebraicSet| (($ (|List| |#4|) |#4|) "\\spad{quasiAlgebraicSet(pl,q)} returns the quasi-algebraic set with defining equations \\spad{p} = 0 for \\spad{p} belonging to the list \\spad{pl,} and defining inequation \\spad{q} \\spad{^=} 0.")) (|empty| (($) "\\spad{empty()} returns the empty quasi-algebraic set"))) 
 NIL 
 ((-12 (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-302))))) 
-(-990 R E V P TS) 
-((|constructor| (NIL "A package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,{}\\spad{ts},{}lineq,{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(\\spad{lp},{}\\spad{lts},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine,{} exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(\\spad{lpwt1},{}\\spad{lpwt2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(\\spad{lts})} removes from \\axiom{\\spad{lts}} any \\spad{ts} such that \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for another \\spad{us} in \\axiom{\\spad{lts}}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(\\spad{ts},{}lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(\\spad{ts},{}us)} returns \\spad{true} iff internalSubQuasiComponent? returs \\spad{true}.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(\\spad{ts},{}us)} returns a boolean \\spad{b} value if the fact that the regular zero set of \\axiom{us} contains that of \\axiom{\\spad{ts}} can be decided (and in that case \\axiom{\\spad{b}} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}} assuming that these lists are sorted increasingly \\spad{w}.\\spad{r}.\\spad{t}. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(\\spad{ts},{}us)} returns \\spad{false} iff \\axiom{\\spad{ts}} and \\axiom{us} are both empty,{} or \\axiom{\\spad{ts}} has less elements than \\axiom{us},{} or some variable is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{us} and is not \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(\\spad{lts})} sorts \\axiom{\\spad{lts}} \\spad{w}.\\spad{r}.\\spad{t} supDimElseRittWu?")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} has less elements than \\axiom{us} otherwise if \\axiom{\\spad{ts}} has higher rank than \\axiom{us} \\spad{w}.\\spad{r}.\\spad{t}. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
+(-991 R E V P TS) 
+((|constructor| (NIL "A package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent? returs true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact that the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu?")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-991) 
-((|constructor| (NIL "This domain implements simple database queries")) (|value| (((|String|) $) "\\spad{value(q)} returns the value (\\spadignore{i.e.} right hand side) of \\axiom{\\spad{q}}.")) (|variable| (((|Symbol|) $) "\\spad{variable(q)} returns the variable (\\spadignore{i.e.} left hand side) of \\axiom{\\spad{q}}.")) (|equation| (($ (|Symbol|) (|String|)) "\\spad{equation(s,{}\"a\")} creates a new equation."))) 
+(-992) 
+((|constructor| (NIL "This domain implements simple database queries")) (|value| (((|String|) $) "\\spad{value(q)} returns the value (\\spadignore{i.e.} right hand side) of \\axiom{q}.")) (|variable| (((|Symbol|) $) "\\spad{variable(q)} returns the variable (\\spadignore{i.e.} left hand side) of \\axiom{q}.")) (|equation| (($ (|Symbol|) (|String|)) "\\spad{equation(s,\"a\")} creates a new equation."))) 
 NIL 
 NIL 
-(-992 A B R S) 
-((|constructor| (NIL "This package extends a function between integral domains to a mapping between their quotient fields.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(func,{}frac)} applies the function \\spad{func} to the numerator and denominator of \\spad{frac}."))) 
+(-993 A B R S) 
+((|constructor| (NIL "This package extends a function between integral domains to a mapping between their quotient fields.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(func,frac)} applies the function \\spad{func} to the numerator and denominator of frac."))) 
 NIL 
 NIL 
-(-993 A S) 
-((|constructor| (NIL "QuotientField(\\spad{S}) is the category of fractions of an Integral Domain \\spad{S}.")) (|floor| ((|#2| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x}.")) (|ceiling| ((|#2| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x}.")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x}. \\spad{x} = wholePart(\\spad{x}) + fractionPart(\\spad{x})")) (|wholePart| ((|#2| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\%.")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\%.")) (|denom| ((|#2| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x}.")) (|numer| ((|#2| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x}.")) (/ (($ |#2| |#2|) "\\spad{d1 / d2} returns the fraction \\spad{d1} divided by \\spad{d2}."))) 
+(-994 A S) 
+((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#2| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#2| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#2| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#2| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#2| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#2| |#2|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1022))) (|HasCategory| |#2| (QUOTE (-816))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1137)))) 
-(-994 S) 
-((|constructor| (NIL "QuotientField(\\spad{S}) is the category of fractions of an Integral Domain \\spad{S}.")) (|floor| ((|#1| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x}.")) (|ceiling| ((|#1| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x}.")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x}. \\spad{x} = wholePart(\\spad{x}) + fractionPart(\\spad{x})")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\%.")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\%.")) (|denom| ((|#1| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x}.")) (|numer| ((|#1| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x}.")) (/ (($ |#1| |#1|) "\\spad{d1 / d2} returns the fraction \\spad{d1} divided by \\spad{d2}."))) 
-((-2982 . T) (-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-1023))) (|HasCategory| |#2| (QUOTE (-817))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-1139)))) 
+(-995 S) 
+((|constructor| (NIL "QuotientField(S) is the category of fractions of an Integral Domain \\spad{S.}")) (|floor| ((|#1| $) "\\spad{floor(x)} returns the largest integral element below \\spad{x.}")) (|ceiling| ((|#1| $) "\\spad{ceiling(x)} returns the smallest integral element above \\spad{x.}")) (|random| (($) "\\spad{random()} returns a random fraction.")) (|fractionPart| (($ $) "\\spad{fractionPart(x)} returns the fractional part of \\spad{x.} \\spad{x} = wholePart(x) + fractionPart(x)")) (|wholePart| ((|#1| $) "\\spad{wholePart(x)} returns the whole part of the fraction \\spad{x} \\spadignore{i.e.} the truncated quotient of the numerator by the denominator.")) (|denominator| (($ $) "\\spad{denominator(x)} is the denominator of the fraction \\spad{x} converted to \\spad{%.}")) (|numerator| (($ $) "\\spad{numerator(x)} is the numerator of the fraction \\spad{x} converted to \\spad{%.}")) (|denom| ((|#1| $) "\\spad{denom(x)} returns the denominator of the fraction \\spad{x.}")) (|numer| ((|#1| $) "\\spad{numer(x)} returns the numerator of the fraction \\spad{x.}")) (/ (($ |#1| |#1|) "\\spad{d1 / \\spad{d2}} returns the fraction \\spad{d1} divided by \\spad{d2.}"))) 
+((-4317 . T) (-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-995 |n| K) 
-((|constructor| (NIL "This domain provides modest support for quadratic forms.")) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) "\\spad{elt(qf,{}v)} evaluates the quadratic form \\spad{qf} on the vector \\spad{v},{} producing a scalar.")) (|matrix| (((|SquareMatrix| |#1| |#2|) $) "\\spad{matrix(qf)} creates a square matrix from the quadratic form \\spad{qf}.")) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) "\\spad{quadraticForm(m)} creates a quadratic form from a symmetric,{} square matrix \\spad{m}."))) 
+(-996 |n| K) 
+((|constructor| (NIL "This domain provides modest support for quadratic forms.")) (|elt| ((|#2| $ (|DirectProduct| |#1| |#2|)) "\\spad{elt(qf,v)} evaluates the quadratic form \\spad{qf} on the vector \\spad{v,} producing a scalar.")) (|matrix| (((|SquareMatrix| |#1| |#2|) $) "\\spad{matrix(qf)} creates a square matrix from the quadratic form \\spad{qf.}")) (|quadraticForm| (($ (|SquareMatrix| |#1| |#2|)) "\\spad{quadraticForm(m)} creates a quadratic form from a symmetric, square matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-996 S) 
-((|constructor| (NIL "A queue is a bag where the first item inserted is the first item extracted.")) (|back| ((|#1| $) "\\spad{back(q)} returns the element at the back of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|front| ((|#1| $) "\\spad{front(q)} returns the element at the front of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length(q)} returns the number of elements in the queue. Note that \\axiom{length(\\spad{q}) = \\spad{#q}}.")) (|rotate!| (($ $) "\\spad{rotate! q} rotates queue \\spad{q} so that the element at the front of the queue goes to the back of the queue. Note that rotate! \\spad{q} is equivalent to enqueue!(dequeue!(\\spad{q})).")) (|dequeue!| ((|#1| $) "\\spad{dequeue! s} destructively extracts the first (top) element from queue \\spad{q}. The element previously second in the queue becomes the first element. Error: if \\spad{q} is empty.")) (|enqueue!| ((|#1| |#1| $) "\\spad{enqueue!(x,{}q)} inserts \\spad{x} into the queue \\spad{q} at the back end."))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+(-997 S) 
+((|constructor| (NIL "A queue is a bag where the first item inserted is the first item extracted.")) (|back| ((|#1| $) "\\spad{back(q)} returns the element at the back of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|front| ((|#1| $) "\\spad{front(q)} returns the element at the front of the queue. The queue \\spad{q} is unchanged by this operation. Error: if \\spad{q} is empty.")) (|length| (((|NonNegativeInteger|) $) "\\spad{length(q)} returns the number of elements in the queue. Note that \\axiom{length(q) = \\#q}.")) (|rotate!| (($ $) "\\spad{rotate! \\spad{q}} rotates queue \\spad{q} so that the element at the front of the queue goes to the back of the queue. Note that rotate! \\spad{q} is equivalent to enqueue!(dequeue!(q)).")) (|dequeue!| ((|#1| $) "\\spad{dequeue! \\spad{s}} destructively extracts the first (top) element from queue \\spad{q.} The element previously second in the queue becomes the first element. Error: if \\spad{q} is empty.")) (|enqueue!| ((|#1| |#1| $) "\\spad{enqueue!(x,q)} inserts \\spad{x} into the queue \\spad{q} at the back end."))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-997 S R) 
-((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number,{} or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is \\spad{true},{} the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is \\spad{true},{} the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it \\spad{true}} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number,{} and {\\it \\spad{false}} otherwise.")) (|abs| ((|#2| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#2| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#2| |#2| |#2| |#2|) "\\spad{quatern(r,{}i,{}j,{}k)} constructs a quaternion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#2| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#2| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
+(-998 S R) 
+((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#2| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#2| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#2| |#2| |#2| |#2|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#2| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#2| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#2| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#2| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1057))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-286)))) 
-(-998 R) 
-((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number,{} or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is \\spad{true},{} the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is \\spad{true},{} the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it \\spad{true}} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number,{} and {\\it \\spad{false}} otherwise.")) (|abs| ((|#1| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#1| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#1| |#1| |#1| |#1|) "\\spad{quatern(r,{}i,{}j,{}k)} constructs a quaternion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#1| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#1| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
-((-4528 |has| |#1| (-286)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (QUOTE (-1058))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-286)))) 
+(-999 R) 
+((|constructor| (NIL "\\spadtype{QuaternionCategory} describes the category of quaternions and implements functions that are not representation specific.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") $) "\\spad{rationalIfCan(q)} returns \\spad{q} as a rational number, or \"failed\" if this is not possible. Note that if \\spad{rational?(q)} is true, the conversion can be done and the rational number will be returned.")) (|rational| (((|Fraction| (|Integer|)) $) "\\spad{rational(q)} tries to convert \\spad{q} into a rational number. Error: if this is not possible. If \\spad{rational?(q)} is true, the conversion will be done and the rational number returned.")) (|rational?| (((|Boolean|) $) "\\spad{rational?(q)} returns {\\it true} if all the imaginary parts of \\spad{q} are zero and the real part can be converted into a rational number, and {\\it false} otherwise.")) (|abs| ((|#1| $) "\\spad{abs(q)} computes the absolute value of quaternion \\spad{q} (sqrt of norm).")) (|real| ((|#1| $) "\\spad{real(q)} extracts the real part of quaternion \\spad{q}.")) (|quatern| (($ |#1| |#1| |#1| |#1|) "\\spad{quatern(r,i,j,k)} constructs a quaternion from scalars.")) (|norm| ((|#1| $) "\\spad{norm(q)} computes the norm of \\spad{q} (the sum of the squares of the components).")) (|imagK| ((|#1| $) "\\spad{imagK(q)} extracts the imaginary \\spad{k} part of quaternion \\spad{q}.")) (|imagJ| ((|#1| $) "\\spad{imagJ(q)} extracts the imaginary \\spad{j} part of quaternion \\spad{q}.")) (|imagI| ((|#1| $) "\\spad{imagI(q)} extracts the imaginary \\spad{i} part of quaternion \\spad{q}.")) (|conjugate| (($ $) "\\spad{conjugate(q)} negates the imaginary parts of quaternion \\spad{q}."))) 
+((-4564 |has| |#1| (-286)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-999 QR R QS S) 
-((|constructor| (NIL "\\spadtype{QuaternionCategoryFunctions2} implements functions between two quaternion domains. The function \\spadfun{map} is used by the system interpreter to coerce between quaternion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\indented{1}{map(\\spad{f},{}\\spad{u}) maps \\spad{f} onto the component parts of the quaternion \\spad{u}.} \\indented{1}{to convert an expression in Quaterion(\\spad{R}) to Quaternion(\\spad{S})} \\blankline \\spad{X} \\spad{f}(a:FRAC(INT)):COMPLEX(FRAC(INT)) \\spad{==} a::COMPLEX(FRAC(INT)) \\spad{X} q:=quatern(2/11,{}\\spad{-8},{}3/4,{}1) \\spad{X} map(\\spad{f},{}\\spad{q})"))) 
+(-1000 QR R QS S) 
+((|constructor| (NIL "\\spadtype{QuaternionCategoryFunctions2} implements functions between two quaternion domains. The function \\spadfun{map} is used by the system interpreter to coerce between quaternion types.")) (|map| ((|#3| (|Mapping| |#4| |#2|) |#1|) "\\indented{1}{map(f,u) maps \\spad{f} onto the component parts of the quaternion u.} \\indented{1}{to convert an expression in Quaterion(R) to Quaternion(S)} \\blankline \\spad{X} f(a:FRAC(INT)):COMPLEX(FRAC(INT)) \\spad{==} a::COMPLEX(FRAC(INT)) \\spad{X} q:=quatern(2/11,-8,3/4,1) \\spad{X} map(f,q)"))) 
 NIL 
 NIL 
-(-1000 R) 
-((|constructor| (NIL "\\spadtype{Quaternion} implements quaternions over a commutative ring. The main constructor function is \\spadfun{quatern} which takes 4 arguments: the real part,{} the \\spad{i} imaginary part,{} the \\spad{j} imaginary part and the \\spad{k} imaginary part."))) 
-((-4528 |has| |#1| (-286)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-286))) (-2232 (|HasCategory| |#1| (QUOTE (-286))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1057))) (|HasCategory| |#1| (QUOTE (-551))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))))) 
-(-1001 S) 
-((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} insert! (8,{}a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} enqueue! (9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,{}2,{}3,{}4,{}5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a queue with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last (bottom) element \\spad{z}.} \\blankline \\spad{E} e:Queue INT:= queue [1,{}2,{}3,{}4,{}5]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
+(-1001 R) 
+((|constructor| (NIL "\\spadtype{Quaternion} implements quaternions over a commutative ring. The main constructor function is \\spadfun{quatern} which takes 4 arguments: the real part, the \\spad{i} imaginary part, the \\spad{j} imaginary part and the \\spad{k} imaginary part."))) 
+((-4564 |has| |#1| (-286)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-286))) (-1929 (|HasCategory| |#1| (QUOTE (-286))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (LIST (QUOTE -282) (|devaluate| |#1|) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-1058))) (|HasCategory| |#1| (QUOTE (-551))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))))) 
 (-1002 S) 
-((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x ** y} is the rational exponentiation of \\spad{x} by the power \\spad{y}.")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,{}n)} returns the \\spad{n}th root of \\spad{x}.")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x}."))) 
+((|constructor| (NIL "Linked List implementation of a Queue")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:Queue INT:= queue [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Queue(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Queue INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Queue(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} less?(a,9)")) (|length| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} length a")) (|rotate!| (($ $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} rotate! a")) (|back| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} back a")) (|front| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} front a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} insert! (8,a) \\spad{X} a")) (|enqueue!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} enqueue! (9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|dequeue!| ((|#1| $) "\\blankline \\spad{X} a:Queue INT:= queue [1,2,3,4,5] \\spad{X} dequeue! a \\spad{X} a")) (|queue| (($ (|List| |#1|)) "\\indented{1}{queue([x,y,...,z]) creates a queue with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last (bottom) element \\spad{z.}} \\blankline \\spad{E} e:Queue INT:= queue [1,2,3,4,5]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-1003 S) 
+((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1003) 
-((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x ** y} is the rational exponentiation of \\spad{x} by the power \\spad{y}.")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,{}n)} returns the \\spad{n}th root of \\spad{x}.")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x}."))) 
+(-1004) 
+((|constructor| (NIL "The \\spad{RadicalCategory} is a model for the rational numbers.")) (** (($ $ (|Fraction| (|Integer|))) "\\spad{x \\spad{**} \\spad{y}} is the rational exponentiation of \\spad{x} by the power \\spad{y.}")) (|nthRoot| (($ $ (|Integer|)) "\\spad{nthRoot(x,n)} returns the \\spad{n}th root of \\spad{x.}")) (|sqrt| (($ $) "\\spad{sqrt(x)} returns the square root of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1004 -1564 UP UPUP |radicnd| |n|) 
-((|constructor| (NIL "Function field defined by y**n = \\spad{f}(\\spad{x})."))) 
-((-4528 |has| (-410 |#2|) (-366)) (-4533 |has| (-410 |#2|) (-366)) (-4527 |has| (-410 |#2|) (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-2232 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-2232 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
-(-1005 |bb|) 
-((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions or more generally as repeating expansions in any base.")) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{fractRadix(pre,{}cyc)} creates a fractional radix expansion from a list of prefix ragits and a list of cyclic ragits. \\spadignore{e.g.} \\spad{fractRadix([1],{}[6])} will return \\spad{0.16666666...}.")) (|wholeRadix| (($ (|List| (|Integer|))) "\\spad{wholeRadix(l)} creates an integral radix expansion from a list of ragits. For example,{} \\spad{wholeRadix([1,{}3,{}4])} will return \\spad{134}.")) (|cycleRagits| (((|List| (|Integer|)) $) "\\spad{cycleRagits(rx)} returns the cyclic part of the ragits of the fractional part of a radix expansion. For example,{} if \\spad{x = 3/28 = 0.10 714285 714285 ...},{} then \\spad{cycleRagits(x) = [7,{}1,{}4,{}2,{}8,{}5]}.")) (|prefixRagits| (((|List| (|Integer|)) $) "\\spad{prefixRagits(rx)} returns the non-cyclic part of the ragits of the fractional part of a radix expansion. For example,{} if \\spad{x = 3/28 = 0.10 714285 714285 ...},{} then \\spad{prefixRagits(x)=[1,{}0]}.")) (|fractRagits| (((|Stream| (|Integer|)) $) "\\spad{fractRagits(rx)} returns the ragits of the fractional part of a radix expansion.")) (|wholeRagits| (((|List| (|Integer|)) $) "\\spad{wholeRagits(rx)} returns the ragits of the integer part of a radix expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(rx)} returns the fractional part of a radix expansion.")) (|coerce| (((|Fraction| (|Integer|)) $) "\\spad{coerce(rx)} converts a radix expansion to a rational number."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-569) (QUOTE (-905))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1022))) (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1137))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1163)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-816))) (|HasCategory| (-569) (QUOTE (-843)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-905)))) (|HasCategory| (-569) (QUOTE (-149))))) 
-(-1006) 
-((|constructor| (NIL "This package provides tools for creating radix expansions.")) (|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) "\\spad{radix(x,{}b)} converts \\spad{x} to a radix expansion in base \\spad{b}."))) 
+(-1005 -1647 UP UPUP |radicnd| |n|) 
+((|constructor| (NIL "Function field defined by y**n = f(x)."))) 
+((-4564 |has| (-410 |#2|) (-366)) (-4569 |has| (-410 |#2|) (-366)) (-4563 |has| (-410 |#2|) (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-410 |#2|) (QUOTE (-149))) (|HasCategory| (-410 |#2|) (QUOTE (-151))) (|HasCategory| (-410 |#2|) (QUOTE (-351))) (|HasCategory| (-410 |#2|) (QUOTE (-366))) (-1929 (|HasCategory| (-410 |#2|) (QUOTE (-366))) (|HasCategory| (-410 |#2|) (QUOTE (-351)))) (|HasCategory| (-410 |#2|) (QUOTE (-371))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371))) (-1929 (|HasCategory| (-410 |#2|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-12 (|HasCategory| (-410 |#2|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-410 |#2|) (QUOTE (-226))) (|HasCategory| (-410 |#2|) (QUOTE (-366)))) (|HasCategory| (-410 |#2|) (QUOTE (-351))))) 
+(-1006 |bb|) 
+((|constructor| (NIL "This domain allows rational numbers to be presented as repeating decimal expansions or more generally as repeating expansions in any base.")) (|fractRadix| (($ (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{fractRadix(pre,cyc)} creates a fractional radix expansion from a list of prefix ragits and a list of cyclic ragits. \\spadignore{e.g.} \\spad{fractRadix([1],[6])} will return \\spad{0.16666666...}.")) (|wholeRadix| (($ (|List| (|Integer|))) "\\spad{wholeRadix(l)} creates an integral radix expansion from a list of ragits. For example, \\spad{wholeRadix([1,3,4])} will return \\spad{134}.")) (|cycleRagits| (((|List| (|Integer|)) $) "\\spad{cycleRagits(rx)} returns the cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{cycleRagits(x) = [7,1,4,2,8,5]}.")) (|prefixRagits| (((|List| (|Integer|)) $) "\\spad{prefixRagits(rx)} returns the non-cyclic part of the ragits of the fractional part of a radix expansion. For example, if \\spad{x = 3/28 = 0.10 714285 714285 ...}, then \\spad{prefixRagits(x)=[1,0]}.")) (|fractRagits| (((|Stream| (|Integer|)) $) "\\spad{fractRagits(rx)} returns the ragits of the fractional part of a radix expansion.")) (|wholeRagits| (((|List| (|Integer|)) $) "\\spad{wholeRagits(rx)} returns the ragits of the integer part of a radix expansion.")) (|fractionPart| (((|Fraction| (|Integer|)) $) "\\spad{fractionPart(rx)} returns the fractional part of a radix expansion.")) (|coerce| (((|Fraction| (|Integer|)) $) "\\spad{coerce(rx)} converts a radix expansion to a rational number."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-569) (QUOTE (-906))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| (-569) (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-151))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-1023))) (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1139))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| (-569) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| (-569) (QUOTE (-226))) (|HasCategory| (-569) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| (-569) (LIST (QUOTE -524) (QUOTE (-1165)) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (LIST (QUOTE -282) (QUOTE (-569)) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-551))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-817))) (|HasCategory| (-569) (QUOTE (-844)))) (|HasCategory| (-569) (LIST (QUOTE -631) (QUOTE (-569)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-569) (QUOTE (-906)))) (|HasCategory| (-569) (QUOTE (-149))))) 
+(-1007) 
+((|constructor| (NIL "This package provides tools for creating radix expansions.")) (|radix| (((|Any|) (|Fraction| (|Integer|)) (|Integer|)) "\\spad{radix(x,b)} converts \\spad{x} to a radix expansion in base \\spad{b.}"))) 
 NIL 
 NIL 
-(-1007) 
-((|constructor| (NIL "Random number generators. All random numbers used in the system should originate from the same generator. This package is intended to be the source.")) (|seed| (((|Integer|)) "\\spad{seed()} returns the current seed value.")) (|reseed| (((|Void|) (|Integer|)) "\\spad{reseed(n)} restarts the random number generator at \\spad{n}.")) (|size| (((|Integer|)) "\\spad{size()} is the base of the random number generator")) (|randnum| (((|Integer|) (|Integer|)) "\\spad{randnum(n)} is a random number between 0 and \\spad{n}.") (((|Integer|)) "\\spad{randnum()} is a random number between 0 and size()."))) 
+(-1008) 
+((|constructor| (NIL "Random number generators. All random numbers used in the system should originate from the same generator. This package is intended to be the source.")) (|seed| (((|Integer|)) "\\spad{seed()} returns the current seed value.")) (|reseed| (((|Void|) (|Integer|)) "\\spad{reseed(n)} restarts the random number generator at \\spad{n.}")) (|size| (((|Integer|)) "\\spad{size()} is the base of the random number generator")) (|randnum| (((|Integer|) (|Integer|)) "\\spad{randnum(n)} is a random number between 0 and \\spad{n.}") (((|Integer|)) "\\spad{randnum()} is a random number between 0 and size()."))) 
 NIL 
 NIL 
-(-1008 RP) 
+(-1009 RP) 
 ((|constructor| (NIL "Factorization of extended polynomials with rational coefficients. This package implements factorization of extended polynomials whose coefficients are rational numbers. It does this by taking the \\spad{lcm} of the coefficients of the polynomial and creating a polynomial with integer coefficients. The algorithm in \\spadtype{GaloisGroupFactorizer} is then used to factor the integer polynomial. The result is normalized with respect to the original \\spad{lcm} of the denominators.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(p)} factors an extended squareFree polynomial \\spad{p} over the rational numbers.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} factors an extended polynomial \\spad{p} over the rational numbers."))) 
 NIL 
 NIL 
-(-1009 S) 
-((|constructor| (NIL "Rational number testing and retraction functions.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number,{} \"failed\" if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) |#1|) "\\spad{rational?(x)} returns \\spad{true} if \\spad{x} is a rational number,{} \\spad{false} otherwise.")) (|rational| (((|Fraction| (|Integer|)) |#1|) "\\spad{rational(x)} returns \\spad{x} as a rational number; error if \\spad{x} is not a rational number."))) 
+(-1010 S) 
+((|constructor| (NIL "Rational number testing and retraction functions.")) (|rationalIfCan| (((|Union| (|Fraction| (|Integer|)) "failed") |#1|) "\\spad{rationalIfCan(x)} returns \\spad{x} as a rational number, \"failed\" if \\spad{x} is not a rational number.")) (|rational?| (((|Boolean|) |#1|) "\\spad{rational?(x)} returns \\spad{true} if \\spad{x} is a rational number, \\spad{false} otherwise.")) (|rational| (((|Fraction| (|Integer|)) |#1|) "\\spad{rational(x)} returns \\spad{x} as a rational number; error if \\spad{x} is not a rational number."))) 
 NIL 
 NIL 
-(-1010 A S) 
-((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S}. Recursively,{} a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#2| $ |#2|) "\\spad{setvalue!(u,{}x)} sets the value of node \\spad{u} to \\spad{x}.")) (|setelt| ((|#2| $ "value" |#2|) "\\spad{setelt(a,{}\"value\",{}x)} (also written \\axiom{a . value \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setvalue!(a,{}\\spad{x})}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,{}v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,{}v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child,{} a child of a child,{} etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,{}v)} tests if node \\spad{u} is a child of node \\spad{v}.")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,{}v)} returns the path length (an integer) from node \\spad{u} to \\spad{v}.")) (|leaves| (((|List| |#2|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{\\spad{t}} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#2| $ "value") "\\spad{elt(u,{}\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#2| $) "\\spad{value(u)} returns the value of the node \\spad{u}.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate \\spad{u}.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate \\spad{u}."))) 
-NIL 
-((|HasAttribute| |#1| (QUOTE -4536)) (|HasCategory| |#2| (QUOTE (-1091)))) 
-(-1011 S) 
-((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S}. Recursively,{} a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#1| $ |#1|) "\\spad{setvalue!(u,{}x)} sets the value of node \\spad{u} to \\spad{x}.")) (|setelt| ((|#1| $ "value" |#1|) "\\spad{setelt(a,{}\"value\",{}x)} (also written \\axiom{a . value \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setvalue!(a,{}\\spad{x})}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,{}v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,{}v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child,{} a child of a child,{} etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,{}v)} tests if node \\spad{u} is a child of node \\spad{v}.")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,{}v)} returns the path length (an integer) from node \\spad{u} to \\spad{v}.")) (|leaves| (((|List| |#1|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{\\spad{t}} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#1| $ "value") "\\spad{elt(u,{}\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#1| $) "\\spad{value(u)} returns the value of the node \\spad{u}.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate \\spad{u}.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate \\spad{u}."))) 
-((-2982 . T)) 
+(-1011 A S) 
+((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#2| $ |#2|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#2| $ "value" |#2|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#2|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#2| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#2| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
 NIL 
+((|HasAttribute| |#1| (QUOTE -4572)) (|HasCategory| |#2| (QUOTE (-1093)))) 
 (-1012 S) 
-((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(\\spad{n},{}\\spad{p})} gives an approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(\\spad{x},{}name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(\\spad{x},{}name)} changes the way \\axiom{\\spad{x}} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(\\spad{x},{}\\spad{n})} is \\axiom{\\spad{x} \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,{}\\spad{n},{}name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(\\spad{x})} is the expression of \\axiom{\\spad{x}} in terms of \\axiom{SparseUnivariatePolynomial(\\$)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(\\spad{x})} is the defining polynomial for the main algebraic quantity of \\axiom{\\spad{x}}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(\\spad{x})} is the main algebraic quantity name of \\axiom{\\spad{x}}"))) 
-NIL 
+((|constructor| (NIL "A recursive aggregate over a type \\spad{S} is a model for a a directed graph containing values of type \\spad{S.} Recursively, a recursive aggregate is a node consisting of a \\spadfun{value} from \\spad{S} and 0 or more \\spadfun{children} which are recursive aggregates. A node with no children is called a \\spadfun{leaf} node. A recursive aggregate may be cyclic for which some operations as noted may go into an infinite loop.")) (|setvalue!| ((|#1| $ |#1|) "\\spad{setvalue!(u,x)} sets the value of node \\spad{u} to \\spad{x.}")) (|setelt| ((|#1| $ "value" |#1|) "\\spad{setelt(a,\"value\",x)} (also written \\axiom{a . value \\spad{:=} \\spad{x})} is equivalent to \\axiom{setvalue!(a,x)}")) (|setchildren!| (($ $ (|List| $)) "\\spad{setchildren!(u,v)} replaces the current children of node \\spad{u} with the members of \\spad{v} in left-to-right order.")) (|node?| (((|Boolean|) $ $) "\\spad{node?(u,v)} tests if node \\spad{u} is contained in node \\spad{v} (either as a child, a child of a child, etc.).")) (|child?| (((|Boolean|) $ $) "\\spad{child?(u,v)} tests if node \\spad{u} is a child of node \\spad{v.}")) (|distance| (((|Integer|) $ $) "\\spad{distance(u,v)} returns the path length (an integer) from node \\spad{u} to \\spad{v.}")) (|leaves| (((|List| |#1|) $) "\\spad{leaves(t)} returns the list of values in obtained by visiting the nodes of tree \\axiom{t} in left-to-right order.")) (|cyclic?| (((|Boolean|) $) "\\spad{cyclic?(u)} tests if \\spad{u} has a cycle.")) (|elt| ((|#1| $ "value") "\\spad{elt(u,\"value\")} (also written: \\axiom{a. value}) is equivalent to \\axiom{value(a)}.")) (|value| ((|#1| $) "\\spad{value(u)} returns the value of the node u.")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(u)} tests if \\spad{u} is a terminal node.")) (|nodes| (((|List| $) $) "\\spad{nodes(u)} returns a list of all of the nodes of aggregate u.")) (|children| (((|List| $) $) "\\spad{children(u)} returns a list of the children of aggregate u."))) 
+((-4317 . T)) 
 NIL 
-(-1013) 
-((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(\\spad{n},{}\\spad{p})} gives an approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(\\spad{x},{}name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(\\spad{x},{}name)} changes the way \\axiom{\\spad{x}} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(\\spad{x})} is \\axiom{\\spad{x} \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(\\spad{x},{}\\spad{n})} is \\axiom{\\spad{x} \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,{}\\spad{n},{}name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(\\spad{x})} is the expression of \\axiom{\\spad{x}} in terms of \\axiom{SparseUnivariatePolynomial(\\$)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(\\spad{x})} is the defining polynomial for the main algebraic quantity of \\axiom{\\spad{x}}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(\\spad{x})} is the main algebraic quantity name of \\axiom{\\spad{x}}"))) 
-((-4528 . T) (-4533 . T) (-4527 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4532 . T)) 
+(-1013 S) 
+((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
 NIL 
-(-1014 R -1564) 
-((|constructor| (NIL "Risch differential equation,{} elementary case.")) (|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDE(n,{} f,{} g,{} x,{} lim,{} ext)} returns \\spad{[y,{} h,{} b]} such that \\spad{dy/dx + n df/dx y = h} and \\spad{b := h = g}. The equation \\spad{dy/dx + n df/dx y = g} has no solution if \\spad{h \\~~= g} (\\spad{y} is a partial solution in that case). Notes: \\spad{lim} is a limited integration function,{} and ext is an extended integration function."))) 
 NIL 
+(-1014) 
+((|constructor| (NIL "\\axiomType{RealClosedField} provides common acces functions for all real closed fields.")) (|approximate| (((|Fraction| (|Integer|)) $ $) "\\axiom{approximate(n,p)} gives an approximation of \\axiom{n} that has precision \\axiom{p}")) (|rename| (($ $ (|OutputForm|)) "\\axiom{rename(x,name)} gives a new number that prints as name")) (|rename!| (($ $ (|OutputForm|)) "\\axiom{rename!(x,name)} changes the way \\axiom{x} is printed")) (|sqrt| (($ (|Integer|)) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ (|Fraction| (|Integer|))) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $) "\\axiom{sqrt(x)} is \\axiom{x \\spad{**} (1/2)}") (($ $ (|NonNegativeInteger|)) "\\axiom{sqrt(x,n)} is \\axiom{x \\spad{**} (1/n)}")) (|allRootsOf| (((|List| $) (|Polynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|Polynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Integer|))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely") (((|List| $) (|SparseUnivariatePolynomial| $)) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} naming each uniquely")) (|rootOf| (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} creates the \\spad{n}th root for the order of \\axiom{pol} and gives it unique name") (((|Union| $ "failed") (|SparseUnivariatePolynomial| $) (|PositiveInteger|) (|OutputForm|)) "\\axiom{rootOf(pol,n,name)} creates the \\spad{n}th root for the order of \\axiom{pol} and names it \\axiom{name}")) (|mainValue| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainValue(x)} is the expression of \\axiom{x} in terms of \\axiom{SparseUnivariatePolynomial($)}")) (|mainDefiningPolynomial| (((|Union| (|SparseUnivariatePolynomial| $) "failed") $) "\\axiom{mainDefiningPolynomial(x)} is the defining polynomial for the main algebraic quantity of \\axiom{x}")) (|mainForm| (((|Union| (|OutputForm|) "failed") $) "\\axiom{mainForm(x)} is the main algebraic quantity name of \\axiom{x}"))) 
+((-4564 . T) (-4569 . T) (-4563 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4568 . T)) 
 NIL 
-(-1015 R -1564) 
-((|constructor| (NIL "Risch differential equation,{} elementary case.")) (|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDEsys(n,{} f,{} g_1,{} g_2,{} x,{}lim,{}ext)} returns \\spad{y_1.y_2} such that \\spad{(dy1/dx,{}dy2/dx) + ((0,{} - n df/dx),{}(n df/dx,{}0)) (y1,{}y2) = (g1,{}g2)} if \\spad{y_1,{}y_2} exist,{} \"failed\" otherwise. \\spad{lim} is a limited integration function,{} \\spad{ext} is an extended integration function."))) 
+(-1015 R -1647) 
+((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDE| (((|Record| (|:| |ans| |#2|) (|:| |right| |#2|) (|:| |sol?| (|Boolean|))) (|Integer|) |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDE(n, \\spad{f,} \\spad{g,} \\spad{x,} lim, ext)} returns \\spad{[y, \\spad{h,} \\spad{b]}} such that \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{h}} and \\spad{b \\spad{:=} \\spad{h} = \\spad{g}.} The equation \\spad{dy/dx + \\spad{n} df/dx \\spad{y} = \\spad{g}} has no solution if \\spad{h \\~~= \\spad{g}} (y is a partial solution in that case). Notes: \\spad{lim} is a limited integration function, and ext is an extended integration function."))) 
 NIL 
 NIL 
-(-1016 -1564 UP) 
-((|constructor| (NIL "Risch differential equation,{} transcendental case.")) (|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) "\\spad{polyRDE(a,{} B,{} C,{} n,{} D)} returns either: 1. \\spad{[Q,{} b]} such that \\spad{degree(Q) <= n} and \\indented{3}{\\spad{a Q'+ B Q = C} if \\spad{b = true},{} \\spad{Q} is a partial solution} \\indented{3}{otherwise.} 2. \\spad{[B1,{} C1,{} m,{} \\alpha,{} \\beta]} such that any polynomial solution \\indented{3}{of degree at most \\spad{n} of \\spad{A Q' + BQ = C} must be of the form} \\indented{3}{\\spad{Q = \\alpha H + \\beta} where \\spad{degree(H) <= m} and} \\indented{3}{\\spad{H} satisfies \\spad{H' + B1 H = C1}.} \\spad{D} is the derivation to use.")) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDE(f,{} g)} returns a \\spad{[y,{} b]} such that \\spad{y' + fy = g} if \\spad{b = true},{} \\spad{y} is a partial solution otherwise (no solution in that case). \\spad{D} is the derivation to use.")) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDE(f,{}g,{}D)} returns \\spad{[A,{} B,{} C,{} T]} such that \\spad{y' + f y = g} has a solution if and only if \\spad{y = Q / T},{} where \\spad{Q} satisfies \\spad{A Q' + B Q = C} and has no normal pole. A and \\spad{T} are polynomials and \\spad{B} and \\spad{C} have no normal poles. \\spad{D} is the derivation to use."))) 
+(-1016 R -1647) 
+((|constructor| (NIL "Risch differential equation, elementary case.")) (|rischDEsys| (((|Union| (|List| |#2|) "failed") (|Integer|) |#2| |#2| |#2| (|Symbol|) (|Mapping| (|Union| (|Record| (|:| |mainpart| |#2|) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (|List| |#2|)) (|Mapping| (|Union| (|Record| (|:| |ratpart| |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) "\\spad{rischDEsys(n, \\spad{f,} g_1, g_2, x,lim,ext)} returns \\spad{y_1.y_2} such that \\spad{(dy1/dx,dy2/dx) + ((0, - \\spad{n} df/dx),(n df/dx,0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise. \\spad{lim} is a limited integration function, \\spad{ext} is an extended integration function."))) 
 NIL 
 NIL 
-(-1017 -1564 UP) 
-((|constructor| (NIL "Risch differential equation system,{} transcendental case.")) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDEsys(f,{} g1,{} g2)} returns fractions \\spad{y_1.y_2} such that \\spad{(y1',{} y2') + ((0,{} -f),{} (f,{} 0)) (y1,{}y2) = (g1,{}g2)} if \\spad{y_1,{}y_2} exist,{} \"failed\" otherwise.")) (|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDEsys(f,{}g1,{}g2,{}D)} returns \\spad{[A,{} B,{} H,{} C1,{} C2,{} T]} such that \\spad{(y1',{} y2') + ((0,{} -f),{} (f,{} 0)) (y1,{}y2) = (g1,{}g2)} has a solution if and only if \\spad{y1 = Q1 / T,{} y2 = Q2 / T},{} where \\spad{B,{}C1,{}C2,{}Q1,{}Q2} have no normal poles and satisfy A \\spad{(Q1',{} Q2') + ((H,{} -B),{} (B,{} H)) (Q1,{}Q2) = (C1,{}C2)} \\spad{D} is the derivation to use."))) 
+(-1017 -1647 UP) 
+((|constructor| (NIL "Risch differential equation, transcendental case.")) (|polyRDE| (((|Union| (|:| |ans| (|Record| (|:| |ans| |#2|) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (|Integer|)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (|Integer|) (|Mapping| |#2| |#2|)) "\\spad{polyRDE(a, \\spad{B,} \\spad{C,} \\spad{n,} \\spad{D)}} returns either: 1. \\spad{[Q, \\spad{b]}} such that \\spad{degree(Q) \\spad{<=} \\spad{n}} and \\indented{3}{\\spad{a \\spad{Q'+} \\spad{B} \\spad{Q} = \\spad{C}} if \\spad{b = true}, \\spad{Q} is a partial solution} \\indented{3}{otherwise.} 2. \\spad{[B1, \\spad{C1,} \\spad{m,} \\alpha, \\beta]} such that any polynomial solution \\indented{3}{of degree at most \\spad{n} of \\spad{A \\spad{Q'} + \\spad{BQ} = \\spad{C}} must be of the form} \\indented{3}{\\spad{Q = \\alpha \\spad{H} + \\beta} where \\spad{degree(H) \\spad{<=} \\spad{m}} and} \\indented{3}{H satisfies \\spad{H' + \\spad{B1} \\spad{H} = C1}.} \\spad{D} is the derivation to use.")) (|baseRDE| (((|Record| (|:| |ans| (|Fraction| |#2|)) (|:| |nosol| (|Boolean|))) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDE(f, \\spad{g)}} returns a \\spad{[y, \\spad{b]}} such that \\spad{y' + fy = \\spad{g}} if \\spad{b = true}, \\spad{y} is a partial solution otherwise (no solution in that case). \\spad{D} is the derivation to use.")) (|monomRDE| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |c| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDE(f,g,D)} returns \\spad{[A, \\spad{B,} \\spad{C,} \\spad{T]}} such that \\spad{y' + \\spad{f} \\spad{y} = \\spad{g}} has a solution if and only if \\spad{y = \\spad{Q} / \\spad{T},} where \\spad{Q} satisfies \\spad{A \\spad{Q'} + \\spad{B} \\spad{Q} = \\spad{C}} and has no normal pole. A and \\spad{T} are polynomials and \\spad{B} and \\spad{C} have no normal poles. \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1018 S) 
-((|constructor| (NIL "This package exports random distributions")) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) "\\spad{rdHack1(v,{}u,{}n)} \\undocumented")) (|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) "\\spad{weighted(l)} \\undocumented")) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) "\\spad{uniform(s)} \\undocumented"))) 
+(-1018 -1647 UP) 
+((|constructor| (NIL "Risch differential equation system, transcendental case.")) (|baseRDEsys| (((|Union| (|List| (|Fraction| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|)) "\\spad{baseRDEsys(f, \\spad{g1,} g2)} returns fractions \\spad{y_1.y_2} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} if \\spad{y_1,y_2} exist, \"failed\" otherwise.")) (|monomRDEsys| (((|Union| (|Record| (|:| |a| |#2|) (|:| |b| (|Fraction| |#2|)) (|:| |h| |#2|) (|:| |c1| (|Fraction| |#2|)) (|:| |c2| (|Fraction| |#2|)) (|:| |t| |#2|)) "failed") (|Fraction| |#2|) (|Fraction| |#2|) (|Fraction| |#2|) (|Mapping| |#2| |#2|)) "\\spad{monomRDEsys(f,g1,g2,D)} returns \\spad{[A, \\spad{B,} \\spad{H,} \\spad{C1,} \\spad{C2,} \\spad{T]}} such that \\spad{(y1', y2') + ((0, -f), \\spad{(f,} 0)) (y1,y2) = (g1,g2)} has a solution if and only if \\spad{y1 = \\spad{Q1} / \\spad{T,} \\spad{y2} = \\spad{Q2} / \\spad{T},} where \\spad{B,C1,C2,Q1,Q2} have no normal poles and satisfy A \\spad{(Q1', Q2') + ((H, -B), \\spad{(B,} \\spad{H))} (Q1,Q2) = (C1,C2)} \\spad{D} is the derivation to use."))) 
 NIL 
 NIL 
-(-1019 F1 UP UPUP R F2) 
-((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) "\\spad{order(f,{}u,{}g)} \\undocumented"))) 
+(-1019 S) 
+((|constructor| (NIL "This package exports random distributions")) (|rdHack1| (((|Mapping| |#1|) (|Vector| |#1|) (|Vector| (|Integer|)) (|Integer|)) "\\spad{rdHack1(v,u,n)} \\undocumented")) (|weighted| (((|Mapping| |#1|) (|List| (|Record| (|:| |value| |#1|) (|:| |weight| (|Integer|))))) "\\spad{weighted(l)} \\undocumented")) (|uniform| (((|Mapping| |#1|) (|Set| |#1|)) "\\spad{uniform(s)} \\undocumented"))) 
 NIL 
 NIL 
-(-1020 |Pol|) 
-((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the integers to arbitrary user-specified precision. The results are returned as a list of isolating intervals which are expressed as records with \"left\" and \"right\" rational number components.")) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{midpoints(isolist)} returns the list of midpoints for the list of intervals \\spad{isolist}.")) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{midpoint(int)} returns the midpoint of the interval \\spad{int}.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol,{} int,{} range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} containing exactly one real root of \\spad{pol}; the operation returns an isolating interval which is contained within range,{} or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol,{} int,{} eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} int,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record \\spad{int}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol,{} range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol}."))) 
+(-1020 F1 UP UPUP R F2) 
+((|constructor| (NIL "Finds the order of a divisor over a finite field")) (|order| (((|NonNegativeInteger|) (|FiniteDivisor| |#1| |#2| |#3| |#4|) |#3| (|Mapping| |#5| |#1|)) "\\spad{order(f,u,g)} \\undocumented"))) 
 NIL 
 NIL 
 (-1021 |Pol|) 
-((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the rational numbers to arbitrary user-specified precision. The results are returned as a list of isolating intervals,{} expressed as records with \"left\" and \"right\" rational number components.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol,{} int,{} range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} which must contain exactly one real root of \\spad{pol},{} and returns an isolating interval which is contained within range,{} or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol,{} int,{} eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} int,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record \\spad{int}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol,{} eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol}.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol,{} range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol}."))) 
+((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the integers to arbitrary user-specified precision. The results are returned as a list of isolating intervals which are expressed as records with \"left\" and \"right\" rational number components.")) (|midpoints| (((|List| (|Fraction| (|Integer|))) (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) "\\spad{midpoints(isolist)} returns the list of midpoints for the list of intervals isolist.")) (|midpoint| (((|Fraction| (|Integer|)) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{midpoint(int)} returns the midpoint of the interval int.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} containing exactly one real root of pol; the operation returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
-(-1022) 
-((|constructor| (NIL "The category of real numeric domains,{} \\spadignore{i.e.} convertible to floats."))) 
+(-1022 |Pol|) 
+((|constructor| (NIL "This package provides functions for finding the real zeros of univariate polynomials over the rational numbers to arbitrary user-specified precision. The results are returned as a list of isolating intervals, expressed as records with \"left\" and \"right\" rational number components.")) (|refine| (((|Union| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) "failed") |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{refine(pol, int, range)} takes a univariate polynomial \\spad{pol} and and isolating interval \\spad{int} which must contain exactly one real root of pol, and returns an isolating interval which is contained within range, or \"failed\" if no such isolating interval exists.") (((|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{refine(pol, int, eps)} refines the interval \\spad{int} containing exactly one root of the univariate polynomial \\spad{pol} to size less than the rational number eps.")) (|realZeros| (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))) (|Fraction| (|Integer|))) "\\spad{realZeros(pol, int, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial \\spad{pol} which lie in the interval expressed by the record int.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Fraction| (|Integer|))) "\\spad{realZeros(pol, eps)} returns a list of intervals of length less than the rational number eps for all the real roots of the polynomial pol.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) "\\spad{realZeros(pol, range)} returns a list of isolating intervals for all the real zeros of the univariate polynomial \\spad{pol} which lie in the interval expressed by the record range.") (((|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) |#1|) "\\spad{realZeros(pol)} returns a list of isolating intervals for all the real zeros of the univariate polynomial pol."))) 
 NIL 
 NIL 
 (-1023) 
-((|constructor| (NIL "This package provides numerical solutions of systems of polynomial equations for use in ACPLOT")) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) "\\indented{1}{realSolve(\\spad{lp},{}\\spad{lv},{}eps) = compute the list of the real} \\indented{1}{solutions of the list \\spad{lp} of polynomials with integer} \\indented{1}{coefficients with respect to the variables in \\spad{lv},{}} \\indented{1}{with precision eps.} \\blankline \\spad{X} \\spad{p1} \\spad{:=} x**2*y*z + \\spad{y*z} \\spad{X} \\spad{p2} \\spad{:=} x**2*y**2*z + \\spad{x} + \\spad{z} \\spad{X} \\spad{p3} \\spad{:=} \\spad{x**2*y**2*z**2} + \\spad{z} + 1 \\spad{X} \\spad{lp} \\spad{:=} [\\spad{p1},{} \\spad{p2},{} \\spad{p3}] \\spad{X} realSolve(\\spad{lp},{}[\\spad{x},{}\\spad{y},{}\\spad{z}],{}0.01)")) (|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) "\\indented{1}{solve(\\spad{p},{}eps) finds the real zeroes of a univariate} \\indented{1}{integer polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(\\spad{p},{}0.01)\\$REALSOLV") (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) "\\indented{1}{solve(\\spad{p},{}eps) finds the real zeroes of a} \\indented{1}{univariate rational polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p::POLY(FRAC(INT)),{}0.01)\\$REALSOLV"))) 
+((|constructor| (NIL "The category of real numeric domains, \\spadignore{i.e.} convertible to floats."))) 
 NIL 
 NIL 
-(-1024 |TheField|) 
-((|constructor| (NIL "This domain implements the real closure of an ordered field.")) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) "\\axiom{relativeApprox(\\spad{n},{}\\spad{p})} gives a relative approximation of \\axiom{\\spad{n}} that has precision \\axiom{\\spad{p}}")) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) "\\axiom{mainCharacterization(\\spad{x})} is the main algebraic quantity of \\axiom{\\spad{x}} (\\axiom{SEG})")) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) "\\axiom{algebraicOf(char)} is the external number"))) 
-((-4528 . T) (-4533 . T) (-4527 . T) (-4530 . T) (-4529 . T) ((-4537 "*") . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-569)))) (-2232 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))))) 
-(-1025 R -1564) 
-((|constructor| (NIL "This package provides an operator for the \\spad{n}-th term of a recurrence and an operator for the coefficient of \\spad{x^n} in a function specified by a functional equation.")) (|getOp| (((|BasicOperator|) |#2|) "\\spad{getOp f},{} if \\spad{f} represents the coefficient of a recurrence or ADE,{} returns the operator representing the solution")) (|getEq| ((|#2| |#2|) "\\spad{getEq f} returns the defining equation,{} if \\spad{f} represents the coefficient of an ADE or a recurrence.")) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalADE(f,{} dummy,{} x,{} n,{} eq,{} values)} creates an expression that stands for the coefficient of \\spad{x^n} in the Taylor expansion of \\spad{f}(\\spad{x}),{} where \\spad{f}(\\spad{x}) is given by the functional equation \\spad{eq}. However,{} for technical reasons the variable \\spad{x} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in \\spad{eq}. The argument values specifies the first few Taylor coefficients.")) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalRec(u,{} dummy,{} n,{} n0,{} eq,{} values)} creates an expression that stands for \\spad{u}(\\spad{n0}),{} where \\spad{u}(\\spad{n}) is given by the equation \\spad{eq}. However,{} for technical reasons the variable \\spad{n} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in \\spad{eq}. The argument values specifies the initial values of the recurrence \\spad{u}(0),{} \\spad{u}(1),{}... For the moment we don\\spad{'t} allow recursions that contain \\spad{u} inside of another operator."))) 
+(-1024) 
+((|constructor| (NIL "This package provides numerical solutions of systems of polynomial equations for use in ACPLOT")) (|realSolve| (((|List| (|List| (|Float|))) (|List| (|Polynomial| (|Integer|))) (|List| (|Symbol|)) (|Float|)) "\\indented{1}{realSolve(lp,lv,eps) = compute the list of the real} \\indented{1}{solutions of the list \\spad{lp} of polynomials with integer} \\indented{1}{coefficients with respect to the variables in lv,} \\indented{1}{with precision eps.} \\blankline \\spad{X} \\spad{p1} \\spad{:=} x**2*y*z + \\spad{y*z} \\spad{X} \\spad{p2} \\spad{:=} x**2*y**2*z + \\spad{x} + \\spad{z} \\spad{X} \\spad{p3} \\spad{:=} \\spad{x**2*y**2*z**2} + \\spad{z} + 1 \\spad{X} \\spad{lp} \\spad{:=} [p1, \\spad{p2,} \\spad{p3]} \\spad{X} realSolve(lp,[x,y,z],0.01)")) (|solve| (((|List| (|Float|)) (|Polynomial| (|Integer|)) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a univariate} \\indented{1}{integer polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p,0.01)$REALSOLV") (((|List| (|Float|)) (|Polynomial| (|Fraction| (|Integer|))) (|Float|)) "\\indented{1}{solve(p,eps) finds the real zeroes of a} \\indented{1}{univariate rational polynomial \\spad{p} with precision eps.} \\blankline \\spad{X} \\spad{p} \\spad{:=} 4*x^3 - 3*x^2 + 2*x - 4 \\spad{X} solve(p::POLY(FRAC(INT)),0.01)$REALSOLV"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1048)))) 
-(-1026 -1564 L) 
-((|constructor| (NIL "\\spadtype{ReductionOfOrder} provides functions for reducing the order of linear ordinary differential equations once some solutions are known.")) (|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) "\\spad{ReduceOrder(op,{} [f1,{}...,{}fk])} returns \\spad{[op1,{}[g1,{}...,{}gk]]} such that for any solution \\spad{z} of \\spad{op1 z = 0},{} \\spad{y = gk \\int(g_{k-1} \\int(... \\int(g1 \\int z)...)} is a solution of \\spad{op y = 0}. Each \\spad{\\spad{fi}} must satisfy \\spad{op \\spad{fi} = 0}.") ((|#2| |#2| |#1|) "\\spad{ReduceOrder(op,{} s)} returns \\spad{op1} such that for any solution \\spad{z} of \\spad{op1 z = 0},{} \\spad{y = s \\int z} is a solution of \\spad{op y = 0}. \\spad{s} must satisfy \\spad{op s = 0}."))) 
 NIL 
+(-1025 |TheField|) 
+((|constructor| (NIL "This domain implements the real closure of an ordered field.")) (|relativeApprox| (((|Fraction| (|Integer|)) $ $) "\\axiom{relativeApprox(n,p)} gives a relative approximation of \\axiom{n} that has precision \\axiom{p}")) (|mainCharacterization| (((|Union| (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) "failed") $) "\\axiom{mainCharacterization(x)} is the main algebraic quantity of \\axiom{x} (\\axiom{SEG})")) (|algebraicOf| (($ (|RightOpenIntervalRootCharacterization| $ (|SparseUnivariatePolynomial| $)) (|OutputForm|)) "\\axiom{algebraicOf(char)} is the external number"))) 
+((-4564 . T) (-4569 . T) (-4563 . T) (-4566 . T) (-4565 . T) ((-4573 "*") . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-569)))) (-1929 (|HasCategory| (-410 (-569)) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))))) 
+(-1026 R -1647) 
+((|constructor| (NIL "This package provides an operator for the \\spad{n}-th term of a recurrence and an operator for the coefficient of \\spad{x^n} in a function specified by a functional equation.")) (|getOp| (((|BasicOperator|) |#2|) "\\spad{getOp \\spad{f},} if \\spad{f} represents the coefficient of a recurrence or ADE, returns the operator representing the solution")) (|getEq| ((|#2| |#2|) "\\spad{getEq \\spad{f}} returns the defining equation, if \\spad{f} represents the coefficient of an ADE or a recurrence.")) (|evalADE| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalADE(f, dummy, \\spad{x,} \\spad{n,} eq, values)} creates an expression that stands for the coefficient of \\spad{x^n} in the Taylor expansion of f(x), where f(x) is given by the functional equation eq. However, for technical reasons the variable \\spad{x} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the first few Taylor coefficients.")) (|evalRec| ((|#2| (|BasicOperator|) (|Symbol|) |#2| |#2| |#2| (|List| |#2|)) "\\spad{evalRec(u, dummy, \\spad{n,} \\spad{n0,} eq, values)} creates an expression that stands for u(n0), where u(n) is given by the equation eq. However, for technical reasons the variable \\spad{n} has to be replaced by a \\spad{dummy} variable \\spad{dummy} in eq. The argument values specifies the initial values of the recurrence u(0), u(1),... For the moment we don't allow recursions that contain \\spad{u} inside of another operator."))) 
 NIL 
-(-1027 S) 
-((|constructor| (NIL "\\spadtype{Reference} is for making a changeable instance of something.")) (= (((|Boolean|) $ $) "\\spad{a=b} tests if \\spad{a} and \\spad{b} are equal.")) (|setref| ((|#1| $ |#1|) "\\spad{setref(n,{}m)} same as \\spad{setelt(n,{}m)}.")) (|deref| ((|#1| $) "\\spad{deref(n)} is equivalent to \\spad{elt(n)}.")) (|setelt| ((|#1| $ |#1|) "\\spad{setelt(n,{}m)} changes the value of the object \\spad{n} to \\spad{m}.")) (|elt| ((|#1| $) "\\spad{elt(n)} returns the object \\spad{n}.")) (|ref| (($ |#1|) "\\spad{ref(n)} creates a pointer (reference) to the object \\spad{n}."))) 
+((|HasCategory| |#1| (QUOTE (-1049)))) 
+(-1027 -1647 L) 
+((|constructor| (NIL "\\spadtype{ReductionOfOrder} provides functions for reducing the order of linear ordinary differential equations once some solutions are known.")) (|ReduceOrder| (((|Record| (|:| |eq| |#2|) (|:| |op| (|List| |#1|))) |#2| (|List| |#1|)) "\\spad{ReduceOrder(op, [f1,...,fk])} returns \\spad{[op1,[g1,...,gk]]} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{gk} \\int(g_{k-1} \\int(... \\int(g1 \\int z)...)} is a solution of \\spad{op \\spad{y} = 0}. Each \\spad{fi} must satisfy \\spad{op \\spad{fi} = 0}.") ((|#2| |#2| |#1|) "\\spad{ReduceOrder(op, \\spad{s)}} returns \\spad{op1} such that for any solution \\spad{z} of \\spad{op1 \\spad{z} = 0}, \\spad{y = \\spad{s} \\int \\spad{z}} is a solution of \\spad{op \\spad{y} = 0}. \\spad{s} must satisfy \\spad{op \\spad{s} = 0}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1091)))) 
-(-1028 R E V P) 
-((|constructor| (NIL "This domain provides an implementation of regular chains. Moreover,{} the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(\\spad{lp},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3})} is an internal subroutine,{} exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2}.\\spad{b3},{}\\spad{b4})} is an internal subroutine,{} exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?,{}info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory. Moreover,{} if \\axiom{clos?} then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(\\spad{p},{}\\spad{ts},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1029 R) 
-((|constructor| (NIL "\\spad{RepresentationPackage1} provides functions for representation theory for finite groups and algebras. The package creates permutation representations and uses tensor products and its symmetric and antisymmetric components to create new representations of larger degree from given ones. Note that instead of having parameters from \\spadtype{Permutation} this package allows list notation of permutations as well: \\spadignore{e.g.} \\spad{[1,{}4,{}3,{}2]} denotes permutes 2 and 4 and fixes 1 and 3.")) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) "\\spad{permutationRepresentation([pi1,{}...,{}pik],{}n)} returns the list of matrices [(deltai,{}\\spad{pi1}(\\spad{i})),{}...,{}(deltai,{}pik(\\spad{i}))] if the permutations \\spad{pi1},{}...,{}pik are in list notation and are permuting {1,{}2,{}...,{}\\spad{n}}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) "\\spad{permutationRepresentation([pi1,{}...,{}pik],{}n)} returns the list of matrices [(deltai,{}\\spad{pi1}(\\spad{i})),{}...,{}(deltai,{}pik(\\spad{i}))] (Kronecker delta) for the permutations \\spad{pi1},{}...,{}pik of {1,{}2,{}...,{}\\spad{n}}.") (((|Matrix| (|Integer|)) (|List| (|Integer|))) "\\spad{permutationRepresentation(\\spad{pi},{}n)} returns the matrix (deltai,{}\\spad{pi}(\\spad{i})) (Kronecker delta) if the permutation \\spad{pi} is in list notation and permutes {1,{}2,{}...,{}\\spad{n}}.") (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) "\\spad{permutationRepresentation(\\spad{pi},{}n)} returns the matrix (deltai,{}\\spad{pi}(\\spad{i})) (Kronecker delta) for a permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}}.")) (|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,{}...ak])} calculates the list of Kronecker products of each matrix \\spad{ai} with itself for {1 \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}}. Note that if the list of matrices corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the representation with itself.") (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a)} calculates the Kronecker product of the matrix a with itself.") (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,{}...,{}ak],{}[b1,{}...,{}bk])} calculates the list of Kronecker products of the matrices \\spad{ai} and \\spad{bi} for {1 \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}}. Note that if each list of matrices corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the two representations.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a,{}b)} calculates the Kronecker product of the matrices a and \\spad{b}. Note that if each matrix corresponds to a group representation (repr. of generators) of one group,{} then these matrices correspond to the tensor product of the two representations.")) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{symmetricTensors(la,{}n)} applies to each \\spad{m}-by-\\spad{m} square matrix in the list \\spad{la} the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (\\spad{n},{}0,{}...,{}0) of \\spad{n}. Error: if the matrices in \\spad{la} are not square matrices. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the symmetric tensors of the \\spad{n}-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{symmetricTensors(a,{}n)} applies to the \\spad{m}-by-\\spad{m} square matrix a the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (\\spad{n},{}0,{}...,{}0) of \\spad{n}. Error: if a is not a square matrix. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the symmetric tensors of the \\spad{n}-fold tensor product.")) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) "\\spad{createGenericMatrix(m)} creates a square matrix of dimension \\spad{k} whose entry at the \\spad{i}-th row and \\spad{j}-th column is the indeterminate \\spad{x}[\\spad{i},{}\\spad{j}] (double subscripted).")) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{antisymmetricTensors(la,{}n)} applies to each \\spad{m}-by-\\spad{m} square matrix in the list \\spad{la} the irreducible,{} polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (1,{}1,{}...,{}1,{}0,{}0,{}...,{}0) of \\spad{n}. Error: if \\spad{n} is greater than \\spad{m}. Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the antisymmetric tensors of the \\spad{n}-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{antisymmetricTensors(a,{}n)} applies to the square matrix a the irreducible,{} polynomial representation of the general linear group \\spad{GLm},{} where \\spad{m} is the number of rows of a,{} which corresponds to the partition (1,{}1,{}...,{}1,{}0,{}0,{}...,{}0) of \\spad{n}. Error: if \\spad{n} is greater than \\spad{m}. Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn}. The carrier spaces of the representation are the antisymmetric tensors of the \\spad{n}-fold tensor product."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE (-4537 "*")))) 
+(-1028 S) 
+((|constructor| (NIL "\\spadtype{Reference} is for making a changeable instance of something.")) (= (((|Boolean|) $ $) "\\spad{a=b} tests if \\spad{a} and \\spad{b} are equal.")) (|setref| ((|#1| $ |#1|) "\\spad{setref(n,m)} same as \\spad{setelt(n,m)}.")) (|deref| ((|#1| $) "\\spad{deref(n)} is equivalent to \\spad{elt(n)}.")) (|setelt| ((|#1| $ |#1|) "\\spad{setelt(n,m)} changes the value of the object \\spad{n} to \\spad{m.}")) (|elt| ((|#1| $) "\\spad{elt(n)} returns the object \\spad{n.}")) (|ref| (($ |#1|) "\\spad{ref(n)} creates a pointer (reference) to the object \\spad{n.}"))) 
+NIL 
+((|HasCategory| |#1| (QUOTE (-1093)))) 
+(-1029 R E V P) 
+((|constructor| (NIL "This domain provides an implementation of regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory. Moreover, if \\axiom{clos?} then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
 (-1030 R) 
-((|constructor| (NIL "\\spad{RepresentationPackage2} provides functions for working with modular representations of finite groups and algebra. The routines in this package are created,{} using ideas of \\spad{R}. Parker,{} (the meat-Axe) to get smaller representations from bigger ones,{} \\spadignore{i.e.} finding sub- and factormodules,{} or to show,{} that such the representations are irreducible. Note that most functions are randomized functions of Las Vegas type \\spadignore{i.e.} every answer is correct,{} but with small probability the algorithm fails to get an answer.")) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) "\\spad{scanOneDimSubspaces(basis,{}n)} gives a canonical representative of the \\spad{n}-th one-dimensional subspace of the vector space generated by the elements of \\spad{basis},{} all from R**n. The coefficients of the representative are of shape (0,{}...,{}0,{}1,{}*,{}...,{}*),{} * in \\spad{R}. If the size of \\spad{R} is \\spad{q},{} then there are (q**n-1)/(\\spad{q}-1) of them. We first reduce \\spad{n} modulo this number,{} then find the largest \\spad{i} such that \\spad{+/}[q**i for \\spad{i} in 0..\\spad{i}-1] \\spad{<=} \\spad{n}. Subtracting this sum of powers from \\spad{n} results in an \\spad{i}-digit number to \\spad{basis} \\spad{q}. This fills the positions of the stars.")) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{meatAxe(aG,{} numberOfTries)} calls meatAxe(\\spad{aG},{}\\spad{true},{}numberOfTries,{}7). Notes: 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) "\\spad{meatAxe(aG,{} randomElements)} calls meatAxe(\\spad{aG},{}\\spad{false},{}6,{}7),{} only using Parker\\spad{'s} fingerprints,{} if randomElemnts is \\spad{false}. If it is \\spad{true},{} it calls meatAxe(\\spad{aG},{}\\spad{true},{}25,{}7),{} only using random elements. Note that the choice of 25 was rather arbitrary. Also,{} 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) "\\spad{meatAxe(aG)} calls meatAxe(\\spad{aG},{}\\spad{false},{}25,{}7) returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(\\spad{aG}) creates at most 25 random elements of the algebra,{} tests them for singularity. If singular,{} it tries at most 7 elements of its kernel to generate a proper submodule. If successful a list which contains first the list of the representations of the submodule,{} then a list of the representations of the factor module is returned. Otherwise,{} if we know that all the kernel is already scanned,{} Norton\\spad{'s} irreducibility test can be used either to prove irreducibility or to find the splitting. Notes: the first 6 tries use Parker\\spad{'s} fingerprints. Also,{} 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) "\\spad{meatAxe(aG,{}randomElements,{}numberOfTries,{} maxTests)} returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(\\spad{aG},{}\\spad{numberOfTries},{} maxTests) creates at most \\spad{numberOfTries} random elements of the algebra,{} tests them for singularity. If singular,{} it tries at most maxTests elements of its kernel to generate a proper submodule. If successful,{} a 2-list is returned: first,{} a list containing first the list of the representations of the submodule,{} then a list of the representations of the factor module. Otherwise,{} if we know that all the kernel is already scanned,{} Norton\\spad{'s} irreducibility test can be used either to prove irreducibility or to find the splitting. If \\spad{randomElements} is \\spad{false},{} the first 6 tries use Parker\\spad{'s} fingerprints.")) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) "\\spad{split(aG,{}submodule)} uses a proper \\spad{submodule} of R**n to create the representations of the \\spad{submodule} and of the factor module.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{split(aG,{} vector)} returns a subalgebra \\spad{A} of all square matrix of dimension \\spad{n} as a list of list of matrices,{} generated by the list of matrices \\spad{aG},{} where \\spad{n} denotes both the size of vector as well as the dimension of each of the square matrices. \\spad{V} \\spad{R} is an A-module in the natural way. split(\\spad{aG},{} vector) then checks whether the cyclic submodule generated by vector is a proper submodule of \\spad{V} \\spad{R}. If successful,{} it returns a two-element list,{} which contains first the list of the representations of the submodule,{} then the list of the representations of the factor module. If the vector generates the whole module,{} a one-element list of the old representation is given. Note that a later version this should call the other split.")) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) "\\spad{isAbsolutelyIrreducible?(aG)} calls isAbsolutelyIrreducible?(\\spad{aG},{}25). Note that the choice of 25 was rather arbitrary.") (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{isAbsolutelyIrreducible?(aG,{} numberOfTries)} uses Norton\\spad{'s} irreducibility test to check for absolute irreduciblity,{} assuming if a one-dimensional kernel is found. As no field extension changes create \"new\" elements in a one-dimensional space,{} the criterium stays \\spad{true} for every extension. The method looks for one-dimensionals only by creating random elements (no fingerprints) since a run of meatAxe would have proved absolute irreducibility anyway.")) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{areEquivalent?(aG0,{}aG1,{}numberOfTries)} calls areEquivalent?(\\spad{aG0},{}\\spad{aG1},{}\\spad{true},{}25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{areEquivalent?(aG0,{}aG1)} calls areEquivalent?(\\spad{aG0},{}\\spad{aG1},{}\\spad{true},{}25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) "\\spad{areEquivalent?(aG0,{}aG1,{}randomelements,{}numberOfTries)} tests whether the two lists of matrices,{} all assumed of same square shape,{} can be simultaneously conjugated by a non-singular matrix. If these matrices represent the same group generators,{} the representations are equivalent. The algorithm tries \\spad{numberOfTries} times to create elements in the generated algebras in the same fashion. If their ranks differ,{} they are not equivalent. If an isomorphism is assumed,{} then the kernel of an element of the first algebra is mapped to the kernel of the corresponding element in the second algebra. Now consider the one-dimensional ones. If they generate the whole space (\\spadignore{e.g.} irreducibility !) we use standardBasisOfCyclicSubmodule to create the only possible transition matrix. The method checks whether the matrix conjugates all corresponding matrices from aGi. The way to choose the singular matrices is as in meatAxe. If the two representations are equivalent,{} this routine returns the transformation matrix \\spad{TM} with \\spad{aG0}.\\spad{i} * \\spad{TM} = \\spad{TM} * \\spad{aG1}.\\spad{i} for all \\spad{i}. If the representations are not equivalent,{} a small 0-matrix is returned. Note that the case with different sets of group generators cannot be handled.")) (|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{standardBasisOfCyclicSubmodule(lm,{}v)} returns a matrix as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. standardBasisOfCyclicSubmodule(\\spad{lm},{}\\spad{v}) calculates a matrix whose non-zero column vectors are the \\spad{R}-Basis of Av achieved in the way as described in section 6 of \\spad{R}. A. Parker\\spad{'s} \"The Meat-Axe\". Note that in contrast to cyclicSubmodule,{} the result is not in echelon form.")) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{cyclicSubmodule(lm,{}v)} generates a basis as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra,{} say \\spad{A},{} of the algebra of all square matrices of dimension \\spad{n}. \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. cyclicSubmodule(\\spad{lm},{}\\spad{v}) generates the \\spad{R}-Basis of Av as described in section 6 of \\spad{R}. A. Parker\\spad{'s} \"The Meat-Axe\". Note that in contrast to the description in \"The Meat-Axe\" and to standardBasisOfCyclicSubmodule the result is in echelon form.")) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{createRandomElement(aG,{}x)} creates a random element of the group algebra generated by \\spad{aG}.")) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) "\\spad{completeEchelonBasis(lv)} completes the basis \\spad{lv} assumed to be in echelon form of a subspace of R**n (\\spad{n} the length of all the vectors in \\spad{lv} with unit vectors to a basis of R**n. It is assumed that the argument is not an empty vector and that it is not the basis of the 0-subspace. Note that the rows of the result correspond to the vectors of the basis."))) 
+((|constructor| (NIL "\\spad{RepresentationPackage1} provides functions for representation theory for finite groups and algebras. The package creates permutation representations and uses tensor products and its symmetric and antisymmetric components to create new representations of larger degree from given ones. Note that instead of having parameters from \\spadtype{Permutation} this package allows list notation of permutations as well: \\spadignore{e.g.} \\spad{[1,4,3,2]} denotes permutes 2 and 4 and fixes 1 and 3.")) (|permutationRepresentation| (((|List| (|Matrix| (|Integer|))) (|List| (|List| (|Integer|)))) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] if the permutations pi1,...,pik are in list notation and are permuting {1,2,...,n}.") (((|List| (|Matrix| (|Integer|))) (|List| (|Permutation| (|Integer|))) (|Integer|)) "\\spad{permutationRepresentation([pi1,...,pik],n)} returns the list of matrices [(deltai,pi1(i)),...,(deltai,pik(i))] (Kronecker delta) for the permutations pi1,...,pik of {1,2,...,n}.") (((|Matrix| (|Integer|)) (|List| (|Integer|))) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) if the permutation \\spad{pi} is in list notation and permutes {1,2,...,n}.") (((|Matrix| (|Integer|)) (|Permutation| (|Integer|)) (|Integer|)) "\\spad{permutationRepresentation(pi,n)} returns the matrix (deltai,pi(i)) (Kronecker delta) for a permutation \\spad{pi} of {1,2,...,n}.")) (|tensorProduct| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...ak])} calculates the list of Kronecker products of each matrix \\spad{ai} with itself for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if the list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the representation with itself.") (((|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a)} calculates the Kronecker product of the matrix a with itself.") (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{tensorProduct([a1,...,ak],[b1,...,bk])} calculates the list of Kronecker products of the matrices \\spad{ai} and \\spad{bi} for \\spad{{1} \\spad{<=} \\spad{i} \\spad{<=} \\spad{k}.} Note that if each list of matrices corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.") (((|Matrix| |#1|) (|Matrix| |#1|) (|Matrix| |#1|)) "\\spad{tensorProduct(a,b)} calculates the Kronecker product of the matrices a and \\spad{b.} Note that if each matrix corresponds to a group representation (repr. of generators) of one group, then these matrices correspond to the tensor product of the two representations.")) (|symmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{symmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if the matrices in \\spad{la} are not square matrices. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{symmetricTensors(a,n)} applies to the m-by-m square matrix a the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (n,0,...,0) of \\spad{n.} Error: if a is not a square matrix. Note that this corresponds to the symmetrization of the representation with the trivial representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the symmetric tensors of the n-fold tensor product.")) (|createGenericMatrix| (((|Matrix| (|Polynomial| |#1|)) (|NonNegativeInteger|)) "\\spad{createGenericMatrix(m)} creates a square matrix of dimension \\spad{k} whose entry at the \\spad{i}-th row and \\spad{j}-th column is the indeterminate x[i,j] (double subscripted).")) (|antisymmetricTensors| (((|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{antisymmetricTensors(la,n)} applies to each m-by-m square matrix in the list \\spad{la} the irreducible, polynomial representation of the general linear group \\spad{GLm} which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product.") (((|Matrix| |#1|) (|Matrix| |#1|) (|PositiveInteger|)) "\\spad{antisymmetricTensors(a,n)} applies to the square matrix a the irreducible, polynomial representation of the general linear group GLm, where \\spad{m} is the number of rows of a, which corresponds to the partition (1,1,...,1,0,0,...,0) of \\spad{n.} Error: if \\spad{n} is greater than \\spad{m.} Note that this corresponds to the symmetrization of the representation with the sign representation of the symmetric group \\spad{Sn.} The carrier spaces of the representation are the antisymmetric tensors of the n-fold tensor product."))) 
+NIL 
+((|HasAttribute| |#1| (QUOTE (-4573 "*")))) 
+(-1031 R) 
+((|constructor| (NIL "\\spad{RepresentationPackage2} provides functions for working with modular representations of finite groups and algebra. The routines in this package are created, using ideas of \\spad{R.} Parker, (the meat-Axe) to get smaller representations from bigger ones, \\spadignore{i.e.} finding sub- and factormodules, or to show, that such the representations are irreducible. Note that most functions are randomized functions of Las Vegas type \\spadignore{i.e.} every answer is correct, but with small probability the algorithm fails to get an answer.")) (|scanOneDimSubspaces| (((|Vector| |#1|) (|List| (|Vector| |#1|)) (|Integer|)) "\\spad{scanOneDimSubspaces(basis,n)} gives a canonical representative of the \\spad{n}-th one-dimensional subspace of the vector space generated by the elements of basis, all from R**n. The coefficients of the representative are of shape (0,...,0,1,*,...,*), * in \\spad{R.} If the size of \\spad{R} is \\spad{q,} then there are (q**n-1)/(q-1) of them. We first reduce \\spad{n} modulo this number, then find the largest \\spad{i} such that +/[q**i for \\spad{i} in 0..i-1] \\spad{<=} \\spad{n.} Subtracting this sum of powers from \\spad{n} results in an i-digit number to \\spad{basis} \\spad{q.} This fills the positions of the stars.")) (|meatAxe| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|PositiveInteger|)) "\\spad{meatAxe(aG, numberOfTries)} calls meatAxe(aG,true,numberOfTries,7). Notes: 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|)) "\\spad{meatAxe(aG, randomElements)} calls meatAxe(aG,false,6,7), only using Parker's fingerprints, if randomElemnts is false. If it is true, it calls meatAxe(aG,true,25,7), only using random elements. Note that the choice of 25 was rather arbitrary. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|))) "\\spad{meatAxe(aG)} calls meatAxe(aG,false,25,7) returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG) creates at most 25 random elements of the algebra, tests them for singularity. If singular, it tries at most 7 elements of its kernel to generate a proper submodule. If successful a list which contains first the list of the representations of the submodule, then a list of the representations of the factor module is returned. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. Notes: the first 6 tries use Parker's fingerprints. Also, 7 covers the case of three-dimensional kernels over the field with 2 elements.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|) (|Integer|)) "\\spad{meatAxe(aG,randomElements,numberOfTries, maxTests)} returns a 2-list of representations as follows. All matrices of argument \\spad{aG} are assumed to be square and of equal size. Then \\spad{aG} generates a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an A-module in the usual way. meatAxe(aG,numberOfTries, maxTests) creates at most \\spad{numberOfTries} random elements of the algebra, tests them for singularity. If singular, it tries at most maxTests elements of its kernel to generate a proper submodule. If successful, a 2-list is returned: first, a list containing first the list of the representations of the submodule, then a list of the representations of the factor module. Otherwise, if we know that all the kernel is already scanned, Norton's irreducibility test can be used either to prove irreducibility or to find the splitting. If \\spad{randomElements} is false, the first 6 tries use Parker's fingerprints.")) (|split| (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| (|Vector| |#1|))) "\\spad{split(aG,submodule)} uses a proper \\spad{submodule} of R**n to create the representations of the \\spad{submodule} and of the factor module.") (((|List| (|List| (|Matrix| |#1|))) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{split(aG, vector)} returns a subalgebra \\spad{A} of all square matrix of dimension \\spad{n} as a list of list of matrices, generated by the list of matrices aG, where \\spad{n} denotes both the size of vector as well as the dimension of each of the square matrices. \\spad{V} \\spad{R} is an A-module in the natural way. split(aG, vector) then checks whether the cyclic submodule generated by vector is a proper submodule of \\spad{V} \\spad{R.} If successful, it returns a two-element list, which contains first the list of the representations of the submodule, then the list of the representations of the factor module. If the vector generates the whole module, a one-element list of the old representation is given. Note that a later version this should call the other split.")) (|isAbsolutelyIrreducible?| (((|Boolean|) (|List| (|Matrix| |#1|))) "\\spad{isAbsolutelyIrreducible?(aG)} calls isAbsolutelyIrreducible?(aG,25). Note that the choice of 25 was rather arbitrary.") (((|Boolean|) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{isAbsolutelyIrreducible?(aG, numberOfTries)} uses Norton's irreducibility test to check for absolute irreduciblity, assuming if a one-dimensional kernel is found. As no field extension changes create \"new\" elements in a one-dimensional space, the criterium stays \\spad{true} for every extension. The method looks for one-dimensionals only by creating random elements (no fingerprints) since a run of meatAxe would have proved absolute irreducibility anyway.")) (|areEquivalent?| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,numberOfTries)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{areEquivalent?(aG0,aG1)} calls areEquivalent?(aG0,aG1,true,25). Note that the choice of 25 was rather arbitrary.") (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|List| (|Matrix| |#1|)) (|Boolean|) (|Integer|)) "\\spad{areEquivalent?(aG0,aG1,randomelements,numberOfTries)} tests whether the two lists of matrices, all assumed of same square shape, can be simultaneously conjugated by a non-singular matrix. If these matrices represent the same group generators, the representations are equivalent. The algorithm tries \\spad{numberOfTries} times to create elements in the generated algebras in the same fashion. If their ranks differ, they are not equivalent. If an isomorphism is assumed, then the kernel of an element of the first algebra is mapped to the kernel of the corresponding element in the second algebra. Now consider the one-dimensional ones. If they generate the whole space (\\spadignore{e.g.} irreducibility \\spad{!)} we use standardBasisOfCyclicSubmodule to create the only possible transition matrix. The method checks whether the matrix conjugates all corresponding matrices from aGi. The way to choose the singular matrices is as in meatAxe. If the two representations are equivalent, this routine returns the transformation matrix \\spad{TM} with aG0.i * \\spad{TM} = \\spad{TM} * aG1.i for all i. If the representations are not equivalent, a small 0-matrix is returned. Note that the case with different sets of group generators cannot be handled.")) (|standardBasisOfCyclicSubmodule| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{standardBasisOfCyclicSubmodule(lm,v)} returns a matrix as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. standardBasisOfCyclicSubmodule(lm,v) calculates a matrix whose non-zero column vectors are the R-Basis of Av achieved in the way as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to cyclicSubmodule, the result is not in echelon form.")) (|cyclicSubmodule| (((|Vector| (|Vector| |#1|)) (|List| (|Matrix| |#1|)) (|Vector| |#1|)) "\\spad{cyclicSubmodule(lm,v)} generates a basis as follows. It is assumed that the size \\spad{n} of the vector equals the number of rows and columns of the matrices. Then the matrices generate a subalgebra, say \\spad{A}, of the algebra of all square matrices of dimension \\spad{n.} \\spad{V} \\spad{R} is an \\spad{A}-module in the natural way. cyclicSubmodule(lm,v) generates the R-Basis of Av as described in section 6 of \\spad{R.} A. Parker's \"The Meat-Axe\". Note that in contrast to the description in \"The Meat-Axe\" and to standardBasisOfCyclicSubmodule the result is in echelon form.")) (|createRandomElement| (((|Matrix| |#1|) (|List| (|Matrix| |#1|)) (|Matrix| |#1|)) "\\spad{createRandomElement(aG,x)} creates a random element of the group algebra generated by aG.")) (|completeEchelonBasis| (((|Matrix| |#1|) (|Vector| (|Vector| |#1|))) "\\spad{completeEchelonBasis(lv)} completes the basis \\spad{lv} assumed to be in echelon form of a subspace of R**n \\spad{(n} the length of all the vectors in \\spad{lv} with unit vectors to a basis of R**n. It is assumed that the argument is not an empty vector and that it is not the basis of the 0-subspace. Note that the rows of the result correspond to the vectors of the basis."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-371)))) (|HasCategory| |#1| (QUOTE (-302)))) 
-(-1031 S) 
-((|constructor| (NIL "Implements multiplication by repeated addition")) (|double| ((|#1| (|PositiveInteger|) |#1|) "\\spad{double(i,{} r)} multiplies \\spad{r} by \\spad{i} using repeated doubling.")) (+ (($ $ $) "\\spad{x+y} returns the sum of \\spad{x} and \\spad{y}"))) 
+(-1032 S) 
+((|constructor| (NIL "Implements multiplication by repeated addition")) (|double| ((|#1| (|PositiveInteger|) |#1|) "\\spad{double(i, \\spad{r)}} multiplies \\spad{r} by \\spad{i} using repeated doubling.")) (+ (($ $ $) "\\spad{x+y} returns the sum of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1032) 
-((|constructor| (NIL "Package for the computation of eigenvalues and eigenvectors. This package works for matrices with coefficients which are rational functions over the integers. (see \\spadtype{Fraction Polynomial Integer}). The eigenvalues and eigenvectors are expressed in terms of radicals.")) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{orthonormalBasis(m)} returns the orthogonal matrix \\spad{b} such that \\spad{b*m*(inverse b)} is diagonal. Error: if \\spad{m} is not a symmetric matrix.")) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) "\\spad{gramschmidt(lv)} converts the list of column vectors \\spad{lv} into a set of orthogonal column vectors of euclidean length 1 using the Gram-Schmidt algorithm.")) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) "\\spad{normalise(v)} returns the column vector \\spad{v} divided by its euclidean norm; when possible,{} the vector \\spad{v} is expressed in terms of radicals.")) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{eigenMatrix(m)} returns the matrix \\spad{b} such that \\spad{b*m*(inverse b)} is diagonal,{} or \"failed\" if no such \\spad{b} exists.")) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvalues(m)} computes the eigenvalues of the matrix \\spad{m}; when possible,{} the eigenvalues are expressed in terms of radicals.")) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvector(c,{}m)} computes the eigenvector(\\spad{s}) of the matrix \\spad{m} corresponding to the eigenvalue \\spad{c}; when possible,{} values are expressed in terms of radicals.")) (|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvectors(m)} computes the eigenvalues and the corresponding eigenvectors of the matrix \\spad{m}; when possible,{} values are expressed in terms of radicals."))) 
+(-1033) 
+((|constructor| (NIL "Package for the computation of eigenvalues and eigenvectors. This package works for matrices with coefficients which are rational functions over the integers. (see \\spadtype{Fraction Polynomial Integer}). The eigenvalues and eigenvectors are expressed in terms of radicals.")) (|orthonormalBasis| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{orthonormalBasis(m)} returns the orthogonal matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal. Error: if \\spad{m} is not a symmetric matrix.")) (|gramschmidt| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|List| (|Matrix| (|Expression| (|Integer|))))) "\\spad{gramschmidt(lv)} converts the list of column vectors \\spad{lv} into a set of orthogonal column vectors of euclidean length 1 using the Gram-Schmidt algorithm.")) (|normalise| (((|Matrix| (|Expression| (|Integer|))) (|Matrix| (|Expression| (|Integer|)))) "\\spad{normalise(v)} returns the column vector \\spad{v} divided by its euclidean norm; when possible, the vector \\spad{v} is expressed in terms of radicals.")) (|eigenMatrix| (((|Union| (|Matrix| (|Expression| (|Integer|))) "failed") (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{eigenMatrix(m)} returns the matrix \\spad{b} such that \\spad{b*m*(inverse \\spad{b)}} is diagonal, or \"failed\" if no such \\spad{b} exists.")) (|radicalEigenvalues| (((|List| (|Expression| (|Integer|))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvalues(m)} computes the eigenvalues of the matrix \\spad{m;} when possible, the eigenvalues are expressed in terms of radicals.")) (|radicalEigenvector| (((|List| (|Matrix| (|Expression| (|Integer|)))) (|Expression| (|Integer|)) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvector(c,m)} computes the eigenvector(s) of the matrix \\spad{m} corresponding to the eigenvalue \\spad{c;} when possible, values are expressed in terms of radicals.")) (|radicalEigenvectors| (((|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|))))))) (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) "\\spad{radicalEigenvectors(m)} computes the eigenvalues and the corresponding eigenvectors of the matrix \\spad{m;} when possible, values are expressed in terms of radicals."))) 
 NIL 
 NIL 
-(-1033 S) 
-((|constructor| (NIL "Implements exponentiation by repeated squaring")) (|expt| ((|#1| |#1| (|PositiveInteger|)) "\\spad{expt(r,{} i)} computes r**i by repeated squaring")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}"))) 
+(-1034 S) 
+((|constructor| (NIL "Implements exponentiation by repeated squaring")) (|expt| ((|#1| |#1| (|PositiveInteger|)) "\\spad{expt(r, i)} computes r**i by repeated squaring")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}"))) 
 NIL 
 NIL 
-(-1034 S) 
-((|constructor| (NIL "This package provides coercions for the special types \\spadtype{Exit} and \\spadtype{Void}.")) (|coerce| ((|#1| (|Exit|)) "\\spad{coerce(e)} is never really evaluated. This coercion is used for formal type correctness when a function will not return directly to its caller.") (((|Void|) |#1|) "\\spad{coerce(s)} throws all information about \\spad{s} away. This coercion allows values of any type to appear in contexts where they will not be used. For example,{} it allows the resolution of different types in the \\spad{then} and \\spad{else} branches when an \\spad{if} is in a context where the resulting value is not used."))) 
+(-1035 S) 
+((|constructor| (NIL "This package provides coercions for the special types \\spadtype{Exit} and \\spadtype{Void}.")) (|coerce| ((|#1| (|Exit|)) "\\spad{coerce(e)} is never really evaluated. This coercion is used for formal type correctness when a function will not return directly to its caller.") (((|Void|) |#1|) "\\spad{coerce(s)} throws all information about \\spad{s} away. This coercion allows values of any type to appear in contexts where they will not be used. For example, it allows the resolution of different types in the \\spad{then} and \\spad{else} branches when an \\spad{if} is in a context where the resulting value is not used."))) 
 NIL 
 NIL 
-(-1035 -1564 |Expon| |VarSet| |FPol| |LFPol|) 
+(-1036 -1647 |Expon| |VarSet| |FPol| |LFPol|) 
 ((|constructor| (NIL "ResidueRing is the quotient of a polynomial ring by an ideal. The ideal is given as a list of generators. The elements of the domain are equivalence classes expressed in terms of reduced elements")) (|lift| ((|#4| $) "\\spad{lift(x)} return the canonical representative of the equivalence class \\spad{x}")) (|coerce| (($ |#4|) "\\spad{coerce(f)} produces the equivalence class of \\spad{f} in the residue ring")) (|reduce| (($ |#4|) "\\spad{reduce(f)} produces the equivalence class of \\spad{f} in the residue ring"))) 
-(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1036) 
-((|constructor| (NIL "A domain used to return the results from a call to the NAG Library. It prints as a list of names and types,{} though the user may choose to display values automatically if he or she wishes.")) (|showArrayValues| (((|Boolean|) (|Boolean|)) "\\spad{showArrayValues(true)} forces the values of array components to be \\indented{1}{displayed rather than just their types.}")) (|showScalarValues| (((|Boolean|) (|Boolean|)) "\\spad{showScalarValues(true)} forces the values of scalar components to be \\indented{1}{displayed rather than just their types.}"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1163))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (|HasCategory| (-1163) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091))))) 
-(-1037 A S) 
-((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S}.")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S}.")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\%."))) 
+(-1037) 
+((|constructor| (NIL "A domain used to return the results from a call to the NAG Library. It prints as a list of names and types, though the user may choose to display values automatically if he or she wishes.")) (|showArrayValues| (((|Boolean|) (|Boolean|)) "\\spad{showArrayValues(true)} forces the values of array components to be \\indented{1}{displayed rather than just their types.}")) (|showScalarValues| (((|Boolean|) (|Boolean|)) "\\spad{showScalarValues(true)} forces the values of scalar components to be \\indented{1}{displayed rather than just their types.}"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1165))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (|HasCategory| (-1165) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093))))) 
+(-1038 A S) 
+((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#2| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#2| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#2|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1038 S) 
-((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S}.")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S}.")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\%."))) 
+(-1039 S) 
+((|constructor| (NIL "A is retractable to \\spad{B} means that some elementsif A can be converted into elements of \\spad{B} and any element of \\spad{B} can be converted into an element of A.")) (|retract| ((|#1| $) "\\spad{retract(a)} transforms a into an element of \\spad{S} if possible. Error: if a cannot be made into an element of \\spad{S.}")) (|retractIfCan| (((|Union| |#1| "failed") $) "\\spad{retractIfCan(a)} transforms a into an element of \\spad{S} if possible. Returns \"failed\" if a cannot be made into an element of \\spad{S.}")) (|coerce| (($ |#1|) "\\spad{coerce(a)} transforms a into an element of \\spad{%.}"))) 
 NIL 
 NIL 
-(-1039 Q R) 
-((|constructor| (NIL "RetractSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving.")) (|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) "\\spad{solveRetract(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}. The function tries to retract all the coefficients of the equations to \\spad{Q} before solving if possible."))) 
+(-1040 Q R) 
+((|constructor| (NIL "RetractSolvePackage is an interface to \\spadtype{SystemSolvePackage} that attempts to retract the coefficients of the equations before solving.")) (|solveRetract| (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#2|))))) (|List| (|Polynomial| |#2|)) (|List| (|Symbol|))) "\\spad{solveRetract(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.} The function tries to retract all the coefficients of the equations to \\spad{Q} before solving if possible."))) 
 NIL 
 NIL 
-(-1040) 
-((|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{t(n)} \\undocumented")) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{F(n,{}m)} \\undocumented")) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{Beta(n,{}m)} \\undocumented")) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{chiSquare(n)} \\undocumented")) (|exponential| (((|Mapping| (|Float|)) (|Float|)) "\\spad{exponential(f)} \\undocumented")) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{normal(f,{}g)} \\undocumented")) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{uniform(f,{}g)} \\undocumented")) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) "\\spad{chiSquare1(n)} \\undocumented")) (|exponential1| (((|Float|)) "\\spad{exponential1()} \\undocumented")) (|normal01| (((|Float|)) "\\spad{normal01()} \\undocumented")) (|uniform01| (((|Float|)) "\\spad{uniform01()} \\undocumented"))) 
+(-1041) 
+((|t| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{t(n)} \\undocumented")) (F (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{F(n,m)} \\undocumented")) (|Beta| (((|Mapping| (|Float|)) (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{Beta(n,m)} \\undocumented")) (|chiSquare| (((|Mapping| (|Float|)) (|NonNegativeInteger|)) "\\spad{chiSquare(n)} \\undocumented")) (|exponential| (((|Mapping| (|Float|)) (|Float|)) "\\spad{exponential(f)} \\undocumented")) (|normal| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{normal(f,g)} \\undocumented")) (|uniform| (((|Mapping| (|Float|)) (|Float|) (|Float|)) "\\spad{uniform(f,g)} \\undocumented")) (|chiSquare1| (((|Float|) (|NonNegativeInteger|)) "\\spad{chiSquare1(n)} \\undocumented")) (|exponential1| (((|Float|)) "\\spad{exponential1()} \\undocumented")) (|normal01| (((|Float|)) "\\spad{normal01()} \\undocumented")) (|uniform01| (((|Float|)) "\\spad{uniform01()} \\undocumented"))) 
 NIL 
 NIL 
-(-1041 UP) 
-((|constructor| (NIL "Factorization of univariate polynomials with coefficients which are rational functions with integer coefficients.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
+(-1042 UP) 
+((|constructor| (NIL "Factorization of univariate polynomials with coefficients which are rational functions with integer coefficients.")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1042 R) 
-((|constructor| (NIL "\\spadtype{RationalFunctionFactorizer} contains the factor function (called factorFraction) which factors fractions of polynomials by factoring the numerator and denominator. Since any non zero fraction is a unit the usual factor operation will just return the original fraction.")) (|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{factorFraction(r)} factors the numerator and the denominator of the polynomial fraction \\spad{r}."))) 
+(-1043 R) 
+((|constructor| (NIL "\\spadtype{RationalFunctionFactorizer} contains the factor function (called factorFraction) which factors fractions of polynomials by factoring the numerator and denominator. Since any non zero fraction is a unit the usual factor operation will just return the original fraction.")) (|factorFraction| (((|Fraction| (|Factored| (|Polynomial| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\spad{factorFraction(r)} factors the numerator and the denominator of the polynomial fraction \\spad{r.}"))) 
 NIL 
 NIL 
-(-1043 R) 
-((|constructor| (NIL "Utilities that provide the same top-level manipulations on fractions than on polynomials.")) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) "\\spad{coerce(r)} returns \\spad{r} viewed as a rational function over \\spad{R}.")) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{eval(f,{} [v1 = g1,{}...,{}vn = gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel,{} \\spadignore{i.e.} \\spad{vi}\\spad{'s} appearing inside the \\spad{gi}\\spad{'s} are not replaced. Error: if any \\spad{vi} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f,{} v = g)} returns \\spad{f} with \\spad{v} replaced by \\spad{g}. Error: if \\spad{v} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f,{} [v1,{}...,{}vn],{} [g1,{}...,{}gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel,{} \\spadignore{i.e.} \\spad{vi}\\spad{'s} appearing inside the \\spad{gi}\\spad{'s} are not replaced.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{eval(f,{} v,{} g)} returns \\spad{f} with \\spad{v} replaced by \\spad{g}.")) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) "\\spad{multivariate(f,{} v)} applies both the numerator and denominator of \\spad{f} to \\spad{v}.")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{univariate(f,{} v)} returns \\spad{f} viewed as a univariate rational function in \\spad{v}.")) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f},{} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f}."))) 
+(-1044 R) 
+((|constructor| (NIL "Utilities that provide the same top-level manipulations on fractions than on polynomials.")) (|coerce| (((|Fraction| (|Polynomial| |#1|)) |#1|) "\\spad{coerce(r)} returns \\spad{r} viewed as a rational function over \\spad{R.}")) (|eval| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{eval(f, \\spad{[v1} = g1,...,vn = gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced. Error: if any \\spad{vi} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, \\spad{v} = \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.} Error: if \\spad{v} is not a symbol.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|List| (|Symbol|)) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{eval(f, [v1,...,vn], [g1,...,gn])} returns \\spad{f} with each \\spad{vi} replaced by \\spad{gi} in parallel, \\spadignore{i.e.} vi's appearing inside the gi's are not replaced.") (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|))) "\\spad{eval(f, \\spad{v,} \\spad{g)}} returns \\spad{f} with \\spad{v} replaced by \\spad{g.}")) (|multivariate| (((|Fraction| (|Polynomial| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Symbol|)) "\\spad{multivariate(f, \\spad{v)}} applies both the numerator and denominator of \\spad{f} to \\spad{v.}")) (|univariate| (((|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{univariate(f, \\spad{v)}} returns \\spad{f} viewed as a univariate rational function in \\spad{v.}")) (|mainVariable| (((|Union| (|Symbol|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{mainVariable(f)} returns the highest variable appearing in the numerator or the denominator of \\spad{f,} \"failed\" if \\spad{f} has no variables.")) (|variables| (((|List| (|Symbol|)) (|Fraction| (|Polynomial| |#1|))) "\\spad{variables(f)} returns the list of variables appearing in the numerator or the denominator of \\spad{f.}"))) 
 NIL 
 NIL 
-(-1044 K) 
-((|constructor| (NIL "This pacackage finds all the roots of a polynomial. If the constant field is not large enough then it returns the list of found zeros and the degree of the extension need to find the other roots missing. If the return degree is 1 then all the roots have been found. If 0 is return for the extension degree then there are an infinite number of zeros,{} that is you ask for the zeroes of 0. In the case of infinite field a list of all found zeros is kept and for each other call of a function that finds zeroes,{} a check is made on that list; this is to keep a kind of \"canonical\" representation of the elements.")) (|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) "\\spad{setFoundZeroes sets} the list of foundZeroes to the given one.")) (|foundZeroes| (((|List| |#1|)) "\\spad{foundZeroes returns} the list of already found zeros by the functions distinguishedRootsOf and distinguishedCommonRootsOf.")) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) "\\spad{distinguishedCommonRootsOf returns} the common zeros of a list of polynomial. It returns a record as in distinguishedRootsOf. If 0 is returned as extension degree then there are an infinite number of common zeros (in this case,{} the polynomial 0 was given in the list of input polynomials).")) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) "\\spad{distinguishedRootsOf returns} a record consisting of a list of zeros of the input polynomial followed by the smallest extension degree needed to find all the zeros. If \\spad{K} has \\spad{PseudoAlgebraicClosureOfFiniteFieldCategory} or \\spad{PseudoAlgebraicClosureOfRationalNumberCategory} then a root is created for each irreducible factor,{} and only these roots are returns and not their conjugate."))) 
+(-1045 K) 
+((|constructor| (NIL "This pacackage finds all the roots of a polynomial. If the constant field is not large enough then it returns the list of found zeros and the degree of the extension need to find the other roots missing. If the return degree is 1 then all the roots have been found. If 0 is return for the extension degree then there are an infinite number of zeros, that is you ask for the zeroes of 0. In the case of infinite field a list of all found zeros is kept and for each other call of a function that finds zeroes, a check is made on that list; this is to keep a kind of \"canonical\" representation of the elements.")) (|setFoundZeroes| (((|List| |#1|) (|List| |#1|)) "\\spad{setFoundZeroes sets} the list of foundZeroes to the given one.")) (|foundZeroes| (((|List| |#1|)) "\\spad{foundZeroes returns} the list of already found zeros by the functions distinguishedRootsOf and distinguishedCommonRootsOf.")) (|distinguishedCommonRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|List| (|SparseUnivariatePolynomial| |#1|)) |#1|) "\\spad{distinguishedCommonRootsOf returns} the common zeros of a list of polynomial. It returns a record as in distinguishedRootsOf. If 0 is returned as extension degree then there are an infinite number of common zeros (in this case, the polynomial 0 was given in the list of input polynomials).")) (|distinguishedRootsOf| (((|Record| (|:| |zeros| (|List| |#1|)) (|:| |extDegree| (|Integer|))) (|SparseUnivariatePolynomial| |#1|) |#1|) "\\spad{distinguishedRootsOf returns} a record consisting of a list of zeros of the input polynomial followed by the smallest extension degree needed to find all the zeros. If \\spad{K} has \\spad{PseudoAlgebraicClosureOfFiniteFieldCategory} or \\spad{PseudoAlgebraicClosureOfRationalNumberCategory} then a root is created for each irreducible factor, and only these roots are returns and not their conjugate."))) 
 NIL 
 NIL 
-(-1045 R |ls|) 
-((|constructor| (NIL "A domain for regular chains (\\spadignore{i.e.} regular triangular sets) over a \\spad{Gcd}-Domain and with a fix list of variables. This is just a front-end for the \\spadtype{RegularTriangularSet} domain constructor.")) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?,{}info?)} returns a list \\spad{lts} of regular chains such that the union of the closures of their regular zero sets equals the affine variety associated with \\spad{lp}. Moreover,{} if \\spad{clos?} is \\spad{false} then the union of the regular zero set of the \\spad{ts} (for \\spad{ts} in \\spad{lts}) equals this variety. If \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSet."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-776 |#1| (-853 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-776 |#1| (-853 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-776 |#1| (-853 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -776) (|devaluate| |#1|) (LIST (QUOTE -853) (|devaluate| |#2|))))) (|HasCategory| (-776 |#1| (-853 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-853 |#2|) (QUOTE (-371)))) 
-(-1046) 
-((|constructor| (NIL "This package exports integer distributions")) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{ridHack1(i,{}j,{}k,{}l)} \\undocumented")) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{geometric(f)} \\undocumented")) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{poisson(f)} \\undocumented")) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) "\\spad{binomial(n,{}f)} \\undocumented")) (|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) "\\spad{uniform(s)} as \\indented{4}{\\spad{l} + \\spad{u0} + \\spad{w*u1} + \\spad{w**2*u2} +...+ \\spad{w**}(\\spad{n}-1)*u-1 + w**n*m} where \\indented{4}{\\spad{s} = a..\\spad{b}} \\indented{4}{\\spad{l} = min(a,{}\\spad{b})} \\indented{4}{\\spad{m} = abs(\\spad{b}-a) + 1} \\indented{4}{w**n < \\spad{m} < \\spad{w**}(\\spad{n+1})} \\indented{4}{\\spad{u0},{}...,{}un-1\\space{2}are uniform on\\space{2}0..\\spad{w}-1} \\indented{4}{\\spad{m}\\space{12}is\\space{2}uniform on\\space{2}0..(\\spad{m} quo w**n)\\spad{-1}}"))) 
+(-1046 R |ls|) 
+((|constructor| (NIL "A domain for regular chains (\\spadignore{i.e.} regular triangular sets) over a Gcd-Domain and with a fix list of variables. This is just a front-end for the \\spadtype{RegularTriangularSet} domain constructor.")) (|zeroSetSplit| (((|List| $) (|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) (|Boolean|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?,info?)} returns a list \\spad{lts} of regular chains such that the union of the closures of their regular zero sets equals the affine variety associated with \\spad{lp}. Moreover, if \\spad{clos?} is \\spad{false} then the union of the regular zero set of the \\spad{ts} (for \\spad{ts} in \\spad{lts}) equals this variety. If \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSet."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-777 |#1| (-854 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-777 |#1| (-854 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-777 |#1| (-854 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -777) (|devaluate| |#1|) (LIST (QUOTE -854) (|devaluate| |#2|))))) (|HasCategory| (-777 |#1| (-854 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| (-854 |#2|) (QUOTE (-371)))) 
+(-1047) 
+((|constructor| (NIL "This package exports integer distributions")) (|ridHack1| (((|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Integer|)) "\\spad{ridHack1(i,j,k,l)} \\undocumented")) (|geometric| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{geometric(f)} \\undocumented")) (|poisson| (((|Mapping| (|Integer|)) |RationalNumber|) "\\spad{poisson(f)} \\undocumented")) (|binomial| (((|Mapping| (|Integer|)) (|Integer|) |RationalNumber|) "\\spad{binomial(n,f)} \\undocumented")) (|uniform| (((|Mapping| (|Integer|)) (|Segment| (|Integer|))) "\\spad{uniform(s)} as \\indented{4}{l + \\spad{u0} + \\spad{w*u1} + \\spad{w**2*u2} +...+ \\spad{w**(n-1)*u-1} + w**n*m} where \\indented{4}{s = a..b} \\indented{4}{l = min(a,b)} \\indented{4}{m = abs(b-a) + 1} \\indented{4}{w**n < \\spad{m} < w**(n+1)} \\indented{4}{u0,...,un-1\\space{2}are uniform on\\space{2}0..w-1} \\indented{4}{m\\space{12}is\\space{2}uniform on\\space{2}0..(m quo w**n)-1}"))) 
 NIL 
 NIL 
-(-1047 S) 
-((|constructor| (NIL "The category of rings with unity,{} always associative,{} but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring,{} or zero if no such \\spad{n} exists."))) 
+(-1048 S) 
+((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
 NIL 
 NIL 
-(-1048) 
-((|constructor| (NIL "The category of rings with unity,{} always associative,{} but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring,{} or zero if no such \\spad{n} exists."))) 
-((-4532 . T)) 
+(-1049) 
+((|constructor| (NIL "The category of rings with unity, always associative, but not necessarily commutative.")) (|unitsKnown| ((|attribute|) "recip truly yields reciprocal or \"failed\" if not a unit. Note that \\spad{recip(0) = \"failed\"}.")) (|coerce| (($ (|Integer|)) "\\spad{coerce(i)} converts the integer \\spad{i} to a member of the given domain.")) (|characteristic| (((|NonNegativeInteger|)) "\\spad{characteristic()} returns the characteristic of the ring this is the smallest positive integer \\spad{n} such that \\spad{n*x=0} for all \\spad{x} in the ring, or zero if no such \\spad{n} exists."))) 
+((-4568 . T)) 
 NIL 
-(-1049 |xx| -1564) 
+(-1050 |xx| -1647) 
 ((|constructor| (NIL "This package exports rational interpolation algorithms"))) 
 NIL 
 NIL 
-(-1050 S |m| |n| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be \\spad{R}-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,{}r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,{}a,{}b)} returns \\spad{c},{} where \\spad{c} is such that \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))} for all \\spad{i},{} \\spad{j}.") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,{}a)} returns \\spad{b},{} where \\spad{b(i,{}j) = a(i,{}j)} for all \\spad{i},{} \\spad{j}.")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,{}j)} returns the \\spad{j}th column of the matrix \\spad{m}. Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,{}i)} returns the \\spad{i}th row of the matrix \\spad{m}. Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,{}i,{}j,{}r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{} and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m}.")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m}.")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m}.")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m}.")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m}.")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m}.")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
+(-1051 S |m| |n| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#6|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#4|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#4|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#4| |#4| |#4|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#4| |#4|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#6| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#5| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#4| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#4| $ (|Integer|) (|Integer|) |#4|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#4| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#4|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#4|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
 NIL 
 ((|HasCategory| |#4| (QUOTE (-302))) (|HasCategory| |#4| (QUOTE (-366))) (|HasCategory| |#4| (QUOTE (-559))) (|HasCategory| |#4| (QUOTE (-173)))) 
-(-1051 |m| |n| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be \\spad{R}-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m}.")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m}. This is the dimension of the null space of the matrix \\spad{m}.")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m}.")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m}.")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r}. Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,{}r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r},{} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,{}a,{}b)} returns \\spad{c},{} where \\spad{c} is such that \\spad{c(i,{}j) = f(a(i,{}j),{}b(i,{}j))} for all \\spad{i},{} \\spad{j}.") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,{}a)} returns \\spad{b},{} where \\spad{b(i,{}j) = a(i,{}j)} for all \\spad{i},{} \\spad{j}.")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,{}j)} returns the \\spad{j}th column of the matrix \\spad{m}. Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,{}i)} returns the \\spad{i}th row of the matrix \\spad{m}. Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,{}i,{}j,{}r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m},{} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column,{} and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,{}i,{}j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m}. Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m}.")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m}.")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m}.")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m}.")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m}.")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m}.")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = -m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,{}j] = m[j,{}i]} for all \\spad{i} and \\spad{j}) and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix,{} where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
-((-4535 . T) (-2982 . T) (-4530 . T) (-4529 . T)) 
+(-1052 |m| |n| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{RectangularMatrixCategory} is a category of matrices of fixed dimensions. The dimensions of the matrix will be parameters of the domain. Domains in this category will be R-modules and will be non-mutable.")) (|nullSpace| (((|List| |#5|) $) "\\spad{nullSpace(m)}+ returns a basis for the null space of the matrix \\spad{m.}")) (|nullity| (((|NonNegativeInteger|) $) "\\spad{nullity(m)} returns the nullity of the matrix \\spad{m.} This is the dimension of the null space of the matrix \\spad{m.}")) (|rank| (((|NonNegativeInteger|) $) "\\spad{rank(m)} returns the rank of the matrix \\spad{m.}")) (|rowEchelon| (($ $) "\\spad{rowEchelon(m)} returns the row echelon form of the matrix \\spad{m.}")) (/ (($ $ |#3|) "\\spad{m/r} divides the elements of \\spad{m} by \\spad{r.} Error: if \\spad{r = 0}.")) (|exquo| (((|Union| $ "failed") $ |#3|) "\\spad{exquo(m,r)} computes the exact quotient of the elements of \\spad{m} by \\spad{r,} returning \\axiom{\"failed\"} if this is not possible.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(f,a,b)} returns \\spad{c,} where \\spad{c} is such that \\spad{c(i,j) = f(a(i,j),b(i,j))} for all \\spad{i}, \\spad{j.}") (($ (|Mapping| |#3| |#3|) $) "\\spad{map(f,a)} returns \\spad{b,} where \\spad{b(i,j) = a(i,j)} for all i, \\spad{j.}")) (|column| ((|#5| $ (|Integer|)) "\\spad{column(m,j)} returns the \\spad{j}th column of the matrix \\spad{m.} Error: if the index outside the proper range.")) (|row| ((|#4| $ (|Integer|)) "\\spad{row(m,i)} returns the \\spad{i}th row of the matrix \\spad{m.} Error: if the index is outside the proper range.")) (|qelt| ((|#3| $ (|Integer|) (|Integer|)) "\\spad{qelt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Note that there is NO error check to determine if indices are in the proper ranges.")) (|elt| ((|#3| $ (|Integer|) (|Integer|) |#3|) "\\spad{elt(m,i,j,r)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m,} if \\spad{m} has an \\spad{i}th row and a \\spad{j}th column, and returns \\spad{r} otherwise.") ((|#3| $ (|Integer|) (|Integer|)) "\\spad{elt(m,i,j)} returns the element in the \\spad{i}th row and \\spad{j}th column of the matrix \\spad{m.} Error: if indices are outside the proper ranges.")) (|listOfLists| (((|List| (|List| |#3|)) $) "\\spad{listOfLists(m)} returns the rows of the matrix \\spad{m} as a list of lists.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(m)} returns the number of columns in the matrix \\spad{m.}")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(m)} returns the number of rows in the matrix \\spad{m.}")) (|maxColIndex| (((|Integer|) $) "\\spad{maxColIndex(m)} returns the index of the 'last' column of the matrix \\spad{m.}")) (|minColIndex| (((|Integer|) $) "\\spad{minColIndex(m)} returns the index of the 'first' column of the matrix \\spad{m.}")) (|maxRowIndex| (((|Integer|) $) "\\spad{maxRowIndex(m)} returns the index of the 'last' row of the matrix \\spad{m.}")) (|minRowIndex| (((|Integer|) $) "\\spad{minRowIndex(m)} returns the index of the 'first' row of the matrix \\spad{m.}")) (|antisymmetric?| (((|Boolean|) $) "\\spad{antisymmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and antisymmetric (\\spadignore{i.e.} \\spad{m[i,j] = -m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|symmetric?| (((|Boolean|) $) "\\spad{symmetric?(m)} returns \\spad{true} if the matrix \\spad{m} is square and symmetric (\\spadignore{i.e.} \\spad{m[i,j] = m[j,i]} for all \\spad{i} and \\spad{j)} and \\spad{false} otherwise.")) (|diagonal?| (((|Boolean|) $) "\\spad{diagonal?(m)} returns \\spad{true} if the matrix \\spad{m} is square and diagonal (\\spadignore{i.e.} all entries of \\spad{m} not on the diagonal are zero) and \\spad{false} otherwise.")) (|square?| (((|Boolean|) $) "\\spad{square?(m)} returns \\spad{true} if \\spad{m} is a square matrix (\\spadignore{i.e.} if \\spad{m} has the same number of rows as columns) and \\spad{false} otherwise.")) (|matrix| (($ (|List| (|List| |#3|))) "\\spad{matrix(l)} converts the list of lists \\spad{l} to a matrix, where the list of lists is viewed as a list of the rows of the matrix.")) (|finiteAggregate| ((|attribute|) "matrices are finite"))) 
+((-4571 . T) (-4317 . T) (-4566 . T) (-4565 . T)) 
 NIL 
-(-1052 |m| |n| R) 
+(-1053 |m| |n| R) 
 ((|constructor| (NIL "\\spadtype{RectangularMatrix} is a matrix domain where the number of rows and the number of columns are parameters of the domain.")) (|coerce| (((|Matrix| |#3|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{RectangularMatrix} to a matrix of type \\spad{Matrix}.")) (|rectangularMatrix| (($ (|Matrix| |#3|)) "\\spad{rectangularMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spad{RectangularMatrix}."))) 
-((-4535 . T) (-4530 . T) (-4529 . T)) 
-((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| |#3| (QUOTE (-302))) (|HasCategory| |#3| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
-(-1053 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
-((|constructor| (NIL "\\spadtype{RectangularMatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) "\\spad{reduce(f,{}m,{}r)} returns a matrix \\spad{n} where \\spad{n[i,{}j] = f(m[i,{}j],{}r)} for all indices spad{\\spad{i}} and \\spad{j}.")) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) "\\spad{map(f,{}m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
+((-4571 . T) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#3| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| |#3| (QUOTE (-302))) (|HasCategory| |#3| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
+(-1054 |m| |n| R1 |Row1| |Col1| M1 R2 |Row2| |Col2| M2) 
+((|constructor| (NIL "\\spadtype{RectangularMatrixCategoryFunctions2} provides functions between two matrix domains. The functions provided are \\spadfun{map} and \\spadfun{reduce}.")) (|reduce| ((|#7| (|Mapping| |#7| |#3| |#7|) |#6| |#7|) "\\spad{reduce(f,m,r)} returns a matrix \\spad{n} where \\spad{n[i,j] = f(m[i,j],r)} for all indices spad{i} and \\spad{j}.")) (|map| ((|#10| (|Mapping| |#7| |#3|) |#6|) "\\spad{map(f,m)} applies the function \\spad{f} to the elements of the matrix \\spad{m}."))) 
 NIL 
 NIL 
-(-1054 R) 
-((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the \\spad{rng}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ x*(a*b) = (x*a)*b }\\spad{\\br} \\tab{5}\\spad{ x*(a+b) = (x*a)+(x*b) }\\spad{\\br} \\tab{5}\\spad{ (x+y)*x = (x*a)+(y*a) }")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r}."))) 
+(-1055 R) 
+((|constructor| (NIL "The category of right modules over an \\spad{rng} (ring not necessarily with unit). This is an abelian group which supports right multiplication by elements of the rng. \\blankline Axioms\\br \\tab{5}\\spad{ x*(a*b) = (x*a)*b }\\br \\tab{5}\\spad{ x*(a+b) = (x*a)+(x*b) }\\br \\tab{5}\\spad{ (x+y)*x = (x*a)+(y*a) }")) (* (($ $ |#1|) "\\spad{x*r} returns the right multiplication of the module element \\spad{x} by the ring element \\spad{r.}"))) 
 NIL 
 NIL 
-(-1055) 
-((|constructor| (NIL "The category of associative rings,{} not necessarily commutative,{} and not necessarily with a 1. This is a combination of an abelian group and a semigroup,{} with multiplication distributing over addition. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{ x*(y+z) = x*y + x*z}\\spad{\\br} \\tab{5}\\spad{ (x+y)*z = x*z + y*z } \\blankline Conditional attributes\\spad{\\br} \\tab{5}noZeroDivisors\\tab{5}\\spad{ ab = 0 => a=0 or b=0}"))) 
+(-1056) 
+((|constructor| (NIL "The category of associative rings, not necessarily commutative, and not necessarily with a 1. This is a combination of an abelian group and a semigroup, with multiplication distributing over addition. \\blankline Axioms\\br \\tab{5}\\spad{ x*(y+z) = x*y + x*z}\\br \\tab{5}\\spad{ (x+y)*z = \\spad{x*z} + \\spad{y*z} } \\blankline Conditional attributes\\br \\tab{5}noZeroDivisors\\tab{5}\\spad{ ab = 0 \\spad{=>} \\spad{a=0} or b=0}"))) 
 NIL 
 NIL 
-(-1056 S) 
-((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs x} returns the absolute value of \\spad{x}.")) (|round| (($ $) "\\spad{round x} computes the integer closest to \\spad{x}.")) (|truncate| (($ $) "\\spad{truncate x} returns the integer between \\spad{x} and 0 closest to \\spad{x}.")) (|fractionPart| (($ $) "\\spad{fractionPart x} returns the fractional part of \\spad{x}.")) (|wholePart| (((|Integer|) $) "\\spad{wholePart x} returns the integer part of \\spad{x}.")) (|floor| (($ $) "\\spad{floor x} returns the largest integer \\spad{<= x}.")) (|ceiling| (($ $) "\\spad{ceiling x} returns the small integer \\spad{>= x}.")) (|norm| (($ $) "\\spad{norm x} returns the same as absolute value."))) 
+(-1057 S) 
+((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
 NIL 
 NIL 
-(-1057) 
-((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs x} returns the absolute value of \\spad{x}.")) (|round| (($ $) "\\spad{round x} computes the integer closest to \\spad{x}.")) (|truncate| (($ $) "\\spad{truncate x} returns the integer between \\spad{x} and 0 closest to \\spad{x}.")) (|fractionPart| (($ $) "\\spad{fractionPart x} returns the fractional part of \\spad{x}.")) (|wholePart| (((|Integer|) $) "\\spad{wholePart x} returns the integer part of \\spad{x}.")) (|floor| (($ $) "\\spad{floor x} returns the largest integer \\spad{<= x}.")) (|ceiling| (($ $) "\\spad{ceiling x} returns the small integer \\spad{>= x}.")) (|norm| (($ $) "\\spad{norm x} returns the same as absolute value."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1058) 
+((|constructor| (NIL "The real number system category is intended as a model for the real numbers. The real numbers form an ordered normed field. Note that we have purposely not included \\spadtype{DifferentialRing} or the elementary functions (see \\spadtype{TranscendentalFunctionCategory}) in the definition.")) (|abs| (($ $) "\\spad{abs \\spad{x}} returns the absolute value of \\spad{x.}")) (|round| (($ $) "\\spad{round \\spad{x}} computes the integer closest to \\spad{x.}")) (|truncate| (($ $) "\\spad{truncate \\spad{x}} returns the integer between \\spad{x} and 0 closest to \\spad{x.}")) (|fractionPart| (($ $) "\\spad{fractionPart \\spad{x}} returns the fractional part of \\spad{x.}")) (|wholePart| (((|Integer|) $) "\\spad{wholePart \\spad{x}} returns the integer part of \\spad{x.}")) (|floor| (($ $) "\\spad{floor \\spad{x}} returns the largest integer \\spad{<= \\spad{x}.}")) (|ceiling| (($ $) "\\spad{ceiling \\spad{x}} returns the small integer \\spad{>= \\spad{x}.}")) (|norm| (($ $) "\\spad{norm \\spad{x}} returns the same as absolute value."))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1058 |TheField| |ThePolDom|) 
-((|constructor| (NIL "\\axiomType{RightOpenIntervalRootCharacterization} provides work with interval root coding.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{relativeApprox(exp,{}\\spad{c},{}\\spad{p}) = a} is relatively close to exp as a polynomial in \\spad{c} ip to precision \\spad{p}")) (|mightHaveRoots| (((|Boolean|) |#2| $) "\\axiom{mightHaveRoots(\\spad{p},{}\\spad{r})} is \\spad{false} if \\axiom{\\spad{p}.\\spad{r}} is not 0")) (|refine| (($ $) "\\axiom{refine(rootChar)} shrinks isolating interval around \\axiom{rootChar}")) (|middle| ((|#1| $) "\\axiom{middle(rootChar)} is the middle of the isolating interval")) (|size| ((|#1| $) "The size of the isolating interval")) (|right| ((|#1| $) "\\axiom{right(rootChar)} is the right bound of the isolating interval")) (|left| ((|#1| $) "\\axiom{left(rootChar)} is the left bound of the isolating interval"))) 
+(-1059 |TheField| |ThePolDom|) 
+((|constructor| (NIL "\\axiomType{RightOpenIntervalRootCharacterization} provides work with interval root coding.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{relativeApprox(exp,c,p) = a} is relatively close to exp as a polynomial in \\spad{c} ip to precision \\spad{p}")) (|mightHaveRoots| (((|Boolean|) |#2| $) "\\axiom{mightHaveRoots(p,r)} is \\spad{false} if \\axiom{p.r} is not 0")) (|refine| (($ $) "\\axiom{refine(rootChar)} shrinks isolating interval around \\axiom{rootChar}")) (|middle| ((|#1| $) "\\axiom{middle(rootChar)} is the middle of the isolating interval")) (|size| ((|#1| $) "The size of the isolating interval")) (|right| ((|#1| $) "\\axiom{right(rootChar)} is the right bound of the isolating interval")) (|left| ((|#1| $) "\\axiom{left(rootChar)} is the left bound of the isolating interval"))) 
 NIL 
 NIL 
-(-1059) 
-((|constructor| (NIL "\\spadtype{RomanNumeral} provides functions for converting integers to roman numerals.")) (|roman| (($ (|Integer|)) "\\spad{roman(n)} creates a roman numeral for \\spad{n}.") (($ (|Symbol|)) "\\spad{roman(n)} creates a roman numeral for symbol \\spad{n}.")) (|convert| (($ (|Symbol|)) "\\spad{convert(n)} creates a roman numeral for symbol \\spad{n}.")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality."))) 
-((-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
 (-1060) 
-((|constructor| (NIL "\\axiomType{RoutinesTable} implements a database and associated tuning mechanisms for a set of known NAG routines")) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) "\\spad{recoverAfterFail(routs,{}routineName,{}ifailValue)} acts on the instructions given by the ifail list")) (|showTheRoutinesTable| (($) "\\spad{showTheRoutinesTable()} returns the current table of NAG routines.")) (|deleteRoutine!| (($ $ (|Symbol|)) "\\spad{deleteRoutine!(R,{}s)} destructively deletes the given routine from the current database of NAG routines")) (|getExplanations| (((|List| (|String|)) $ (|String|)) "\\spad{getExplanations(R,{}s)} gets the explanations of the output parameters for the given NAG routine.")) (|getMeasure| (((|Float|) $ (|Symbol|)) "\\spad{getMeasure(R,{}s)} gets the current value of the maximum measure for the given NAG routine.")) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) "\\spad{changeMeasure(R,{}s,{}newValue)} changes the maximum value for a measure of the given NAG routine.")) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) "\\spad{changeThreshhold(R,{}s,{}newValue)} changes the value below which,{} given a NAG routine generating a higher measure,{} the routines will make no attempt to generate a measure.")) (|selectMultiDimensionalRoutines| (($ $) "\\spad{selectMultiDimensionalRoutines(R)} chooses only those routines from the database which are designed for use with multi-dimensional expressions")) (|selectNonFiniteRoutines| (($ $) "\\spad{selectNonFiniteRoutines(R)} chooses only those routines from the database which are designed for use with non-finite expressions.")) (|selectSumOfSquaresRoutines| (($ $) "\\spad{selectSumOfSquaresRoutines(R)} chooses only those routines from the database which are designed for use with sums of squares")) (|selectFiniteRoutines| (($ $) "\\spad{selectFiniteRoutines(R)} chooses only those routines from the database which are designed for use with finite expressions")) (|selectODEIVPRoutines| (($ $) "\\spad{selectODEIVPRoutines(R)} chooses only those routines from the database which are for the solution of ODE\\spad{'s}")) (|selectPDERoutines| (($ $) "\\spad{selectPDERoutines(R)} chooses only those routines from the database which are for the solution of PDE\\spad{'s}")) (|selectOptimizationRoutines| (($ $) "\\spad{selectOptimizationRoutines(R)} chooses only those routines from the database which are for integration")) (|selectIntegrationRoutines| (($ $) "\\spad{selectIntegrationRoutines(R)} chooses only those routines from the database which are for integration")) (|routines| (($) "\\spad{routines()} initialises a database of known NAG routines")) (|concat| (($ $ $) "\\spad{concat(x,{}y)} merges two tables \\spad{x} and \\spad{y}"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1163))) (LIST (QUOTE |:|) (QUOTE -3782) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (|HasCategory| (-1163) (QUOTE (-843))) (|HasCategory| (-57) (QUOTE (-1091))) (-2232 (|HasCategory| (-57) (QUOTE (-1091))) (|HasCategory| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (QUOTE (-1091)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1091))))) 
-(-1061 S R E V) 
-((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring,{} variables in an ordered set,{} and exponents from an ordered abelian monoid,{} with a \\axiomOp{sup} operation. When not constant,{} such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in the ordered set,{} so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(\\spad{p})} returns the square free part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(\\spad{p})} returns the primitive part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainContent| (($ $) "\\axiom{mainContent(\\spad{p})} returns the content of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(\\spad{p})} replaces \\axiom{\\spad{p}} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{\\spad{gcd}(\\spad{r},{}\\spad{p})} returns the \\spad{gcd} of \\axiom{\\spad{r}} and the content of \\axiom{\\spad{p}}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{\\spad{nextsubResultant2}(\\spad{p},{}\\spad{q},{}\\spad{z},{}\\spad{s})} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{\\spad{LazardQuotient2}(\\spad{p},{}a,{}\\spad{b},{}\\spad{n})} returns \\axiom{(a**(\\spad{n}-1) * \\spad{p}) exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a**n exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns the last non-zero subresultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,{}\\spad{b})},{} where \\axiom{a} and \\axiom{\\spad{b}} are not contant polynomials with the same main variable,{} returns the subresultant chain of \\axiom{a} and \\axiom{\\spad{b}}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,{}\\spad{b})} computes the resultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[ca,{}\\spad{cb},{}\\spad{r}]} such that \\axiom{\\spad{r}} is \\axiom{subResultantGcd(a,{}\\spad{b})} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,{}\\spad{b})} computes a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{\\spad{R}}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,{}\\spad{b})} replaces \\axiom{a} by \\axiom{exactQuotient(a,{}\\spad{b})}") (($ $ |#2|) "\\axiom{exactQuotient!(\\spad{p},{}\\spad{r})} replaces \\axiom{\\spad{p}} by \\axiom{exactQuotient(\\spad{p},{}\\spad{r})}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,{}\\spad{b})} computes the exact quotient of \\axiom{a} by \\axiom{\\spad{b}},{} which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(\\spad{p},{}\\spad{r})} computes the exact quotient of \\axiom{\\spad{p}} by \\axiom{\\spad{r}},{} which is assumed to be a divisor of \\axiom{\\spad{p}}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(\\spad{p})} replaces \\axiom{\\spad{p}} by \\axiom{primPartElseUnitCanonical(\\spad{p})}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(\\spad{p})} returns \\axiom{primitivePart(\\spad{p})} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} otherwise \\axiom{unitCanonical(\\spad{p})}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}},{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{p},{}\\spad{q},{}\\spad{n}]} where \\axiom{\\spad{p} / q**n} represents the residue class of \\axiom{a} modulo \\axiom{\\spad{b}} and \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{q}} is \\axiom{init(\\spad{b})}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} computes \\axiom{a mod \\spad{b}},{} if \\axiom{\\spad{b}} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,{}\\spad{b})} computes \\axiom{[pquo(a,{}\\spad{b}),{}prem(a,{}\\spad{b})]},{} both polynomials viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}},{} if \\axiom{\\spad{b}} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})},{} \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}] = lazyPremWithDefault(a,{}\\spad{b})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b})}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.") (($ $ $) "\\axiom{lazyPquo(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} viewed as univariate polynomials in the variable \\axiom{\\spad{v}} such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{pquo(a,{}\\spad{b})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{prem(a,{}\\spad{b})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{normalized?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variable of \\axiom{\\spad{b}}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{initiallyReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,{}\\spad{b})} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{b}}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{headReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(head(a),{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{reduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(a,{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is greater than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is less than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,{}\\spad{b})} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{\\spad{b}} have same rank \\spad{w}.\\spad{r}.\\spad{t}. Ritt and Wu Wen Tsun ordering using the refinement of Lazard,{} otherwise returns \\axiom{infRittWu?(a,{}\\spad{b})}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [1],{} otherwise returns the list of the monomials of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [\\spad{p}],{} otherwise returns the list of the coefficients of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} the monomial of \\axiom{\\spad{p}} with lowest degree,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} \\axiom{mvar(\\spad{p})} raised to the power \\axiom{mdeg(\\spad{p})}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff the initial of \\axiom{\\spad{p}} lies in the base ring \\axiom{\\spad{R}}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff \\axiom{\\spad{p}} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(\\spad{p},{}\\spad{v})} returns the reductum of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in \\axiom{\\spad{v}}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(\\spad{p},{}\\spad{v})} returns the leading coefficient of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as A univariate polynomial in \\axiom{\\spad{v}}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the last term of \\axiom{iteratedInitials(\\spad{p})}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(\\spad{p})} returns \\axiom{[]} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the list of the iterated initials of \\axiom{\\spad{p}}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(\\spad{p})} returns \\axiom{0} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns tail(\\spad{p}),{} if \\axiom{tail(\\spad{p})} belongs to \\axiom{\\spad{R}} or \\axiom{mvar(tail(\\spad{p})) < mvar(\\spad{p})},{} otherwise returns \\axiom{deepestTail(tail(\\spad{p}))}.")) (|tail| (($ $) "\\axiom{tail(\\spad{p})} returns its reductum,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(\\spad{p})} returns \\axiom{\\spad{p}} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading term (monomial in the AXIOM sense),{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading coefficient,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{0},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{0},{} otherwise,{} returns the degree of \\axiom{\\spad{p}} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in \\axiom{\\spad{V}}."))) 
+((|constructor| (NIL "\\spadtype{RomanNumeral} provides functions for converting integers to roman numerals.")) (|roman| (($ (|Integer|)) "\\spad{roman(n)} creates a roman numeral for \\spad{n.}") (($ (|Symbol|)) "\\spad{roman(n)} creates a roman numeral for symbol \\spad{n.}")) (|convert| (($ (|Symbol|)) "\\spad{convert(n)} creates a roman numeral for symbol \\spad{n.}")) (|noetherian| ((|attribute|) "ascending chain condition on ideals.")) (|canonicalsClosed| ((|attribute|) "two positives multiply to give positive.")) (|canonical| ((|attribute|) "mathematical equality is data structure equality."))) 
+((-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-1061) 
+((|constructor| (NIL "\\axiomType{RoutinesTable} implements a database and associated tuning mechanisms for a set of known NAG routines")) (|recoverAfterFail| (((|Union| (|String|) "failed") $ (|String|) (|Integer|)) "\\spad{recoverAfterFail(routs,routineName,ifailValue)} acts on the instructions given by the ifail list")) (|showTheRoutinesTable| (($) "\\spad{showTheRoutinesTable()} returns the current table of NAG routines.")) (|deleteRoutine!| (($ $ (|Symbol|)) "\\spad{deleteRoutine!(R,s)} destructively deletes the given routine from the current database of NAG routines")) (|getExplanations| (((|List| (|String|)) $ (|String|)) "\\spad{getExplanations(R,s)} gets the explanations of the output parameters for the given NAG routine.")) (|getMeasure| (((|Float|) $ (|Symbol|)) "\\spad{getMeasure(R,s)} gets the current value of the maximum measure for the given NAG routine.")) (|changeMeasure| (($ $ (|Symbol|) (|Float|)) "\\spad{changeMeasure(R,s,newValue)} changes the maximum value for a measure of the given NAG routine.")) (|changeThreshhold| (($ $ (|Symbol|) (|Float|)) "\\spad{changeThreshhold(R,s,newValue)} changes the value below which, given a NAG routine generating a higher measure, the routines will make no attempt to generate a measure.")) (|selectMultiDimensionalRoutines| (($ $) "\\spad{selectMultiDimensionalRoutines(R)} chooses only those routines from the database which are designed for use with multi-dimensional expressions")) (|selectNonFiniteRoutines| (($ $) "\\spad{selectNonFiniteRoutines(R)} chooses only those routines from the database which are designed for use with non-finite expressions.")) (|selectSumOfSquaresRoutines| (($ $) "\\spad{selectSumOfSquaresRoutines(R)} chooses only those routines from the database which are designed for use with sums of squares")) (|selectFiniteRoutines| (($ $) "\\spad{selectFiniteRoutines(R)} chooses only those routines from the database which are designed for use with finite expressions")) (|selectODEIVPRoutines| (($ $) "\\spad{selectODEIVPRoutines(R)} chooses only those routines from the database which are for the solution of ODE's")) (|selectPDERoutines| (($ $) "\\spad{selectPDERoutines(R)} chooses only those routines from the database which are for the solution of PDE's")) (|selectOptimizationRoutines| (($ $) "\\spad{selectOptimizationRoutines(R)} chooses only those routines from the database which are for integration")) (|selectIntegrationRoutines| (($ $) "\\spad{selectIntegrationRoutines(R)} chooses only those routines from the database which are for integration")) (|routines| (($) "\\spad{routines()} initialises a database of known NAG routines")) (|concat| (($ $ $) "\\spad{concat(x,y)} merges two tables \\spad{x} and \\spad{y}"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1165))) (LIST (QUOTE |:|) (QUOTE -3175) (QUOTE (-57)))))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (|HasCategory| (-1165) (QUOTE (-844))) (|HasCategory| (-57) (QUOTE (-1093))) (-1929 (|HasCategory| (-57) (QUOTE (-1093))) (|HasCategory| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (QUOTE (-1093)))) (-12 (|HasCategory| (-57) (LIST (QUOTE -304) (QUOTE (-57)))) (|HasCategory| (-57) (QUOTE (-1093))))) 
+(-1062 S R E V) 
+((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring, variables in an ordered set, and exponents from an ordered abelian monoid, with a \\axiomOp{sup} operation. When not constant, such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in the ordered set, so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#2| |#2| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#2|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#2|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#2|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#2|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#2|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#4|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#4|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#4|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#4|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#4|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#4|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#4|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#4| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -994) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-1163))))) 
-(-1062 R E V) 
-((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring,{} variables in an ordered set,{} and exponents from an ordered abelian monoid,{} with a \\axiomOp{sup} operation. When not constant,{} such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in the ordered set,{} so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(\\spad{p})} returns the square free part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(\\spad{p})} returns the primitive part of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|mainContent| (($ $) "\\axiom{mainContent(\\spad{p})} returns the content of \\axiom{\\spad{p}} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{\\spad{R}}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(\\spad{p})} replaces \\axiom{\\spad{p}} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{\\spad{gcd}(\\spad{r},{}\\spad{p})} returns the \\spad{gcd} of \\axiom{\\spad{r}} and the content of \\axiom{\\spad{p}}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{\\spad{nextsubResultant2}(\\spad{p},{}\\spad{q},{}\\spad{z},{}\\spad{s})} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{\\spad{LazardQuotient2}(\\spad{p},{}a,{}\\spad{b},{}\\spad{n})} returns \\axiom{(a**(\\spad{n}-1) * \\spad{p}) exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a**n exquo \\spad{b**}(\\spad{n}-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,{}\\spad{b})} returns the last non-zero subresultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,{}\\spad{b})},{} where \\axiom{a} and \\axiom{\\spad{b}} are not contant polynomials with the same main variable,{} returns the subresultant chain of \\axiom{a} and \\axiom{\\spad{b}}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,{}\\spad{b})} computes the resultant of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd2}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}\\spad{cb}]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{\\spad{halfExtendedSubResultantGcd1}(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca]} if \\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[\\spad{g},{}ca,{}\\spad{cb}]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,{}\\spad{b})} returns \\axiom{[ca,{}\\spad{cb},{}\\spad{r}]} such that \\axiom{\\spad{r}} is \\axiom{subResultantGcd(a,{}\\spad{b})} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,{}\\spad{b})} computes a \\spad{gcd} of \\axiom{a} and \\axiom{\\spad{b}} where \\axiom{a} and \\axiom{\\spad{b}} are assumed to have the same main variable \\axiom{\\spad{v}} and are viewed as univariate polynomials in \\axiom{\\spad{v}} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{\\spad{R}}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,{}\\spad{b})} replaces \\axiom{a} by \\axiom{exactQuotient(a,{}\\spad{b})}") (($ $ |#1|) "\\axiom{exactQuotient!(\\spad{p},{}\\spad{r})} replaces \\axiom{\\spad{p}} by \\axiom{exactQuotient(\\spad{p},{}\\spad{r})}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,{}\\spad{b})} computes the exact quotient of \\axiom{a} by \\axiom{\\spad{b}},{} which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(\\spad{p},{}\\spad{r})} computes the exact quotient of \\axiom{\\spad{p}} by \\axiom{\\spad{r}},{} which is assumed to be a divisor of \\axiom{\\spad{p}}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(\\spad{p})} replaces \\axiom{\\spad{p}} by \\axiom{primPartElseUnitCanonical(\\spad{p})}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(\\spad{p})} returns \\axiom{primitivePart(\\spad{p})} if \\axiom{\\spad{R}} is a \\spad{gcd}-domain,{} otherwise \\axiom{unitCanonical(\\spad{p})}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}},{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(\\spad{p})} returns the same as \\axiom{retract(\\spad{p})}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if \\axiom{retractIfCan(\\spad{p})} does not return \"failed\",{} otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(\\spad{p})} returns \\axiom{\\spad{p}} as an element of the current domain if all its variables belong to \\axiom{\\spad{V}}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,{}\\spad{b})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduced?(\\spad{r},{}\\spad{b})} holds and there exists an integer \\axiom{\\spad{e}} such that \\axiom{init(\\spad{b})^e a - \\spad{r}} is zero modulo \\axiom{\\spad{b}}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,{}\\spad{b})} returns \\axiom{[\\spad{p},{}\\spad{q},{}\\spad{n}]} where \\axiom{\\spad{p} / q**n} represents the residue class of \\axiom{a} modulo \\axiom{\\spad{b}} and \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and \\axiom{\\spad{q}} is \\axiom{init(\\spad{b})}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,{}\\spad{b})} computes \\axiom{a mod \\spad{b}},{} if \\axiom{\\spad{b}} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,{}\\spad{b})} computes \\axiom{[pquo(a,{}\\spad{b}),{}prem(a,{}\\spad{b})]},{} both polynomials viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}},{} if \\axiom{\\spad{b}} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})},{} \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]} such that \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}] = lazyPremWithDefault(a,{}\\spad{b})} and \\axiom{\\spad{q}} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b},{}\\spad{v})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b},{}\\spad{v})}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{r}]} such that \\axiom{\\spad{r} = lazyPrem(a,{}\\spad{b})} and \\axiom{(c**g)\\spad{*r} = prem(a,{}\\spad{b})}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b},{}\\spad{v})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.") (($ $ $) "\\axiom{lazyPquo(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{q}} such that \\axiom{lazyPseudoDivide(a,{}\\spad{b})} returns \\axiom{[\\spad{c},{}\\spad{g},{}\\spad{q},{}\\spad{r}]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,{}\\spad{b},{}\\spad{v})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} viewed as univariate polynomials in the variable \\axiom{\\spad{v}} such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,{}\\spad{b})} returns the polynomial \\axiom{\\spad{r}} reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{b}} and such that \\axiom{\\spad{b}} divides \\axiom{init(\\spad{b})^e a - \\spad{r}} where \\axiom{\\spad{e}} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{pquo(a,{}\\spad{b})} computes the pseudo-quotient of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,{}\\spad{b},{}\\spad{v})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in \\axiom{\\spad{v}}.") (($ $ $) "\\axiom{prem(a,{}\\spad{b})} computes the pseudo-remainder of \\axiom{a} by \\axiom{\\spad{b}},{} both viewed as univariate polynomials in the main variable of \\axiom{\\spad{b}}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{normalized?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variable of \\axiom{\\spad{b}}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{initiallyReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,{}\\spad{b})} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{b}}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{headReduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(head(a),{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(\\spad{q},{}\\spad{lp})} returns \\spad{true} iff \\axiom{reduced?(\\spad{q},{}\\spad{p})} holds for every \\axiom{\\spad{p}} in \\axiom{\\spad{lp}}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,{}\\spad{b})} returns \\spad{true} iff \\axiom{degree(a,{}mvar(\\spad{b})) < mdeg(\\spad{b})}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is greater than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,{}\\spad{b})} returns \\spad{true} if \\axiom{a} is less than \\axiom{\\spad{b}} \\spad{w}.\\spad{r}.\\spad{t}. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,{}\\spad{b})} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{\\spad{b}} have same rank \\spad{w}.\\spad{r}.\\spad{t}. Ritt and Wu Wen Tsun ordering using the refinement of Lazard,{} otherwise returns \\axiom{infRittWu?(a,{}\\spad{b})}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [1],{} otherwise returns the list of the monomials of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns [\\spad{p}],{} otherwise returns the list of the coefficients of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} the monomial of \\axiom{\\spad{p}} with lowest degree,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{\\spad{O}},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{1},{} otherwise,{} \\axiom{mvar(\\spad{p})} raised to the power \\axiom{mdeg(\\spad{p})}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff the initial of \\axiom{\\spad{p}} lies in the base ring \\axiom{\\spad{R}}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(\\spad{p})} returns \\spad{false} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns \\spad{true} iff \\axiom{\\spad{p}} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(\\spad{p},{}\\spad{v})} returns the reductum of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in \\axiom{\\spad{v}}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(\\spad{p},{}\\spad{v})} returns the leading coefficient of \\axiom{\\spad{p}},{} where \\axiom{\\spad{p}} is viewed as A univariate polynomial in \\axiom{\\spad{v}}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the last term of \\axiom{iteratedInitials(\\spad{p})}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(\\spad{p})} returns \\axiom{[]} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns the list of the iterated initials of \\axiom{\\spad{p}}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(\\spad{p})} returns \\axiom{0} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns tail(\\spad{p}),{} if \\axiom{tail(\\spad{p})} belongs to \\axiom{\\spad{R}} or \\axiom{mvar(tail(\\spad{p})) < mvar(\\spad{p})},{} otherwise returns \\axiom{deepestTail(tail(\\spad{p}))}.")) (|tail| (($ $) "\\axiom{tail(\\spad{p})} returns its reductum,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(\\spad{p})} returns \\axiom{\\spad{p}} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading term (monomial in the AXIOM sense),{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its leading coefficient,{} where \\axiom{\\spad{p}} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(\\spad{p})} returns an error if \\axiom{\\spad{p}} is \\axiom{0},{} otherwise,{} if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}} returns \\axiom{0},{} otherwise,{} returns the degree of \\axiom{\\spad{p}} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(\\spad{p})} returns an error if \\axiom{\\spad{p}} belongs to \\axiom{\\spad{R}},{} otherwise returns its main variable \\spad{w}. \\spad{r}. \\spad{t}. to the total ordering on the elements in \\axiom{\\spad{V}}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-551))) (|HasCategory| |#2| (LIST (QUOTE -43) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -995) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-1165))))) 
+(-1063 R E V) 
+((|constructor| (NIL "A category for general multi-variate polynomials with coefficients in a ring, variables in an ordered set, and exponents from an ordered abelian monoid, with a \\axiomOp{sup} operation. When not constant, such a polynomial is viewed as a univariate polynomial in its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in the ordered set, so that some operations usually defined for univariate polynomials make sense here.")) (|mainSquareFreePart| (($ $) "\\axiom{mainSquareFreePart(p)} returns the square free part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainPrimitivePart| (($ $) "\\axiom{mainPrimitivePart(p)} returns the primitive part of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|mainContent| (($ $) "\\axiom{mainContent(p)} returns the content of \\axiom{p} viewed as a univariate polynomial in its main variable and with coefficients in the polynomial ring generated by its other variables over \\axiom{R}.")) (|primitivePart!| (($ $) "\\axiom{primitivePart!(p)} replaces \\axiom{p} by its primitive part.")) (|gcd| ((|#1| |#1| $) "\\axiom{gcd(r,p)} returns the \\spad{gcd} of \\axiom{r} and the content of \\axiom{p}.")) (|nextsubResultant2| (($ $ $ $ $) "\\axiom{nextsubResultant2(p,q,z,s)} is the multivariate version of the operation \\spad{next_sousResultant2} from PseudoRemainderSequence from the \\axiomType{PseudoRemainderSequence} constructor.")) (|LazardQuotient2| (($ $ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient2(p,a,b,n)} returns \\axiom{(a**(n-1) * \\spad{p)} exquo b**(n-1)} assuming that this quotient does not fail.")) (|LazardQuotient| (($ $ $ (|NonNegativeInteger|)) "\\axiom{LazardQuotient(a,b,n)} returns \\axiom{a**n exquo b**(n-1)} assuming that this quotient does not fail.")) (|lastSubResultant| (($ $ $) "\\axiom{lastSubResultant(a,b)} returns the last non-zero subresultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|subResultantChain| (((|List| $) $ $) "\\axiom{subResultantChain(a,b)}, where \\axiom{a} and \\axiom{b} are not contant polynomials with the same main variable, returns the subresultant chain of \\axiom{a} and \\axiom{b}.")) (|resultant| (($ $ $) "\\axiom{resultant(a,b)} computes the resultant of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v}.")) (|halfExtendedSubResultantGcd2| (((|Record| (|:| |gcd| $) (|:| |coef2| $)) $ $) "\\axiom{halfExtendedSubResultantGcd2(a,b)} returns \\axiom{[g,cb]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|halfExtendedSubResultantGcd1| (((|Record| (|:| |gcd| $) (|:| |coef1| $)) $ $) "\\axiom{halfExtendedSubResultantGcd1(a,b)} returns \\axiom{[g,ca]} if \\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[g,ca,cb]} otherwise produces an error.")) (|extendedSubResultantGcd| (((|Record| (|:| |gcd| $) (|:| |coef1| $) (|:| |coef2| $)) $ $) "\\axiom{extendedSubResultantGcd(a,b)} returns \\axiom{[ca,cb,r]} such that \\axiom{r} is \\axiom{subResultantGcd(a,b)} and we have \\axiom{ca * a + \\spad{cb} * \\spad{cb} = \\spad{r}} .")) (|subResultantGcd| (($ $ $) "\\axiom{subResultantGcd(a,b)} computes a \\spad{gcd} of \\axiom{a} and \\axiom{b} where \\axiom{a} and \\axiom{b} are assumed to have the same main variable \\axiom{v} and are viewed as univariate polynomials in \\axiom{v} with coefficients in the fraction field of the polynomial ring generated by their other variables over \\axiom{R}.")) (|exactQuotient!| (($ $ $) "\\axiom{exactQuotient!(a,b)} replaces \\axiom{a} by \\axiom{exactQuotient(a,b)}") (($ $ |#1|) "\\axiom{exactQuotient!(p,r)} replaces \\axiom{p} by \\axiom{exactQuotient(p,r)}.")) (|exactQuotient| (($ $ $) "\\axiom{exactQuotient(a,b)} computes the exact quotient of \\axiom{a} by \\axiom{b}, which is assumed to be a divisor of \\axiom{a}. No error is returned if this exact quotient fails!") (($ $ |#1|) "\\axiom{exactQuotient(p,r)} computes the exact quotient of \\axiom{p} by \\axiom{r}, which is assumed to be a divisor of \\axiom{p}. No error is returned if this exact quotient fails!")) (|primPartElseUnitCanonical!| (($ $) "\\axiom{primPartElseUnitCanonical!(p)} replaces \\axiom{p} by \\axiom{primPartElseUnitCanonical(p)}.")) (|primPartElseUnitCanonical| (($ $) "\\axiom{primPartElseUnitCanonical(p)} returns \\axiom{primitivePart(p)} if \\axiom{R} is a gcd-domain, otherwise \\axiom{unitCanonical(p)}.")) (|convert| (($ (|Polynomial| |#1|)) "\\axiom{convert(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}, otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.") (($ (|Polynomial| (|Integer|))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{convert(p)} returns the same as \\axiom{retract(p)}.")) (|retract| (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| |#1|)) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Integer|))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.") (($ (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retract(p)} returns \\axiom{p} as an element of the current domain if \\axiom{retractIfCan(p)} does not return \"failed\", otherwise an error is produced.")) (|retractIfCan| (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| |#1|)) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Integer|))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.") (((|Union| $ "failed") (|Polynomial| (|Fraction| (|Integer|)))) "\\axiom{retractIfCan(p)} returns \\axiom{p} as an element of the current domain if all its variables belong to \\axiom{V}.")) (|initiallyReduce| (($ $ $) "\\axiom{initiallyReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|headReduce| (($ $ $) "\\axiom{headReduce(a,b)} returns a polynomial \\axiom{r} such that \\axiom{headReduced?(r,b)} holds and there exists an integer \\axiom{e} such that \\axiom{init(b)^e a - \\spad{r}} is zero modulo \\axiom{b}.")) (|lazyResidueClass| (((|Record| (|:| |polnum| $) (|:| |polden| $) (|:| |power| (|NonNegativeInteger|))) $ $) "\\axiom{lazyResidueClass(a,b)} returns \\axiom{[p,q,n]} where \\axiom{p / q**n} represents the residue class of \\axiom{a} modulo \\axiom{b} and \\axiom{p} is reduced w.r.t. \\axiom{b} and \\axiom{q} is \\axiom{init(b)}.")) (|monicModulo| (($ $ $) "\\axiom{monicModulo(a,b)} computes \\axiom{a mod \\spad{b},} if \\axiom{b} is monic as univariate polynomial in its main variable.")) (|pseudoDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{pseudoDivide(a,b)} computes \\axiom{[pquo(a,b),prem(a,b)]}, both polynomials viewed as univariate polynomials in the main variable of \\axiom{b}, if \\axiom{b} is not a constant polynomial.")) (|lazyPseudoDivide| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]} such that \\axiom{r = lazyPrem(a,b,v)}, \\axiom{(c**g)*r = prem(a,b,v)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]} such that \\axiom{[c,g,r] = lazyPremWithDefault(a,b)} and \\axiom{q} is the pseudo-quotient computed in this lazy pseudo-division.")) (|lazyPremWithDefault| (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $ |#3|) "\\axiom{lazyPremWithDefault(a,b,v)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b,v)} and \\axiom{(c**g)*r = prem(a,b,v)}.") (((|Record| (|:| |coef| $) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| $)) $ $) "\\axiom{lazyPremWithDefault(a,b)} returns \\axiom{[c,g,r]} such that \\axiom{r = lazyPrem(a,b)} and \\axiom{(c**g)*r = prem(a,b)}.")) (|lazyPquo| (($ $ $ |#3|) "\\axiom{lazyPquo(a,b,v)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b,v)} returns \\axiom{[c,g,q,r]}.") (($ $ $) "\\axiom{lazyPquo(a,b)} returns the polynomial \\axiom{q} such that \\axiom{lazyPseudoDivide(a,b)} returns \\axiom{[c,g,q,r]}.")) (|lazyPrem| (($ $ $ |#3|) "\\axiom{lazyPrem(a,b,v)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} viewed as univariate polynomials in the variable \\axiom{v} such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.") (($ $ $) "\\axiom{lazyPrem(a,b)} returns the polynomial \\axiom{r} reduced w.r.t. \\axiom{b} and such that \\axiom{b} divides \\axiom{init(b)^e a - \\spad{r}} where \\axiom{e} is the number of steps of this pseudo-division.")) (|pquo| (($ $ $ |#3|) "\\axiom{pquo(a,b,v)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{pquo(a,b)} computes the pseudo-quotient of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|prem| (($ $ $ |#3|) "\\axiom{prem(a,b,v)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in \\axiom{v}.") (($ $ $) "\\axiom{prem(a,b)} computes the pseudo-remainder of \\axiom{a} by \\axiom{b}, both viewed as univariate polynomials in the main variable of \\axiom{b}.")) (|normalized?| (((|Boolean|) $ (|List| $)) "\\axiom{normalized?(q,lp)} returns \\spad{true} iff \\axiom{normalized?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{normalized?(a,b)} returns \\spad{true} iff \\axiom{a} and its iterated initials have degree zero w.r.t. the main variable of \\axiom{b}")) (|initiallyReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{initiallyReduced?(q,lp)} returns \\spad{true} iff \\axiom{initiallyReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{initiallyReduced?(a,b)} returns \\spad{false} iff there exists an iterated initial of \\axiom{a} which is not reduced w.r.t \\axiom{b}.")) (|headReduced?| (((|Boolean|) $ (|List| $)) "\\axiom{headReduced?(q,lp)} returns \\spad{true} iff \\axiom{headReduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{headReduced?(a,b)} returns \\spad{true} iff \\axiom{degree(head(a),mvar(b)) < mdeg(b)}.")) (|reduced?| (((|Boolean|) $ (|List| $)) "\\axiom{reduced?(q,lp)} returns \\spad{true} iff \\axiom{reduced?(q,p)} holds for every \\axiom{p} in \\axiom{lp}.") (((|Boolean|) $ $) "\\axiom{reduced?(a,b)} returns \\spad{true} iff \\axiom{degree(a,mvar(b)) < mdeg(b)}.")) (|supRittWu?| (((|Boolean|) $ $) "\\axiom{supRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is greater than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(a,b)} returns \\spad{true} if \\axiom{a} is less than \\axiom{b} w.r.t. the Ritt and Wu Wen Tsun ordering using the refinement of Lazard.")) (|RittWuCompare| (((|Union| (|Boolean|) "failed") $ $) "\\axiom{RittWuCompare(a,b)} returns \\axiom{\"failed\"} if \\axiom{a} and \\axiom{b} have same rank w.r.t. Ritt and Wu Wen Tsun ordering using the refinement of Lazard, otherwise returns \\axiom{infRittWu?(a,b)}.")) (|mainMonomials| (((|List| $) $) "\\axiom{mainMonomials(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [1], otherwise returns the list of the monomials of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainCoefficients| (((|List| $) $) "\\axiom{mainCoefficients(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns [p], otherwise returns the list of the coefficients of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|leastMonomial| (($ $) "\\axiom{leastMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, the monomial of \\axiom{p} with lowest degree, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mainMonomial| (($ $) "\\axiom{mainMonomial(p)} returns an error if \\axiom{p} is \\axiom{O}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{1}, otherwise, \\axiom{mvar(p)} raised to the power \\axiom{mdeg(p)}.")) (|quasiMonic?| (((|Boolean|) $) "\\axiom{quasiMonic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff the initial of \\axiom{p} lies in the base ring \\axiom{R}.")) (|monic?| (((|Boolean|) $) "\\axiom{monic?(p)} returns \\spad{false} if \\axiom{p} belongs to \\axiom{R}, otherwise returns \\spad{true} iff \\axiom{p} is monic as a univariate polynomial in its main variable.")) (|reductum| (($ $ |#3|) "\\axiom{reductum(p,v)} returns the reductum of \\axiom{p}, where \\axiom{p} is viewed as a univariate polynomial in \\axiom{v}.")) (|leadingCoefficient| (($ $ |#3|) "\\axiom{leadingCoefficient(p,v)} returns the leading coefficient of \\axiom{p}, where \\axiom{p} is viewed as A univariate polynomial in \\axiom{v}.")) (|deepestInitial| (($ $) "\\axiom{deepestInitial(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns the last term of \\axiom{iteratedInitials(p)}.")) (|iteratedInitials| (((|List| $) $) "\\axiom{iteratedInitials(p)} returns \\axiom{[]} if \\axiom{p} belongs to \\axiom{R}, otherwise returns the list of the iterated initials of \\axiom{p}.")) (|deepestTail| (($ $) "\\axiom{deepestTail(p)} returns \\axiom{0} if \\axiom{p} belongs to \\axiom{R}, otherwise returns tail(p), if \\axiom{tail(p)} belongs to \\axiom{R} or \\axiom{mvar(tail(p)) < mvar(p)}, otherwise returns \\axiom{deepestTail(tail(p))}.")) (|tail| (($ $) "\\axiom{tail(p)} returns its reductum, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|head| (($ $) "\\axiom{head(p)} returns \\axiom{p} if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading term (monomial in the AXIOM sense), where \\axiom{p} is viewed as a univariate polynomial \\indented{1}{in its main variable.}")) (|init| (($ $) "\\axiom{init(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its leading coefficient, where \\axiom{p} is viewed as a univariate polynomial in its main variable.")) (|mdeg| (((|NonNegativeInteger|) $) "\\axiom{mdeg(p)} returns an error if \\axiom{p} is \\axiom{0}, otherwise, if \\axiom{p} belongs to \\axiom{R} returns \\axiom{0}, otherwise, returns the degree of \\axiom{p} in its main variable.")) (|mvar| ((|#3| $) "\\axiom{mvar(p)} returns an error if \\axiom{p} belongs to \\axiom{R}, otherwise returns its main variable \\spad{w.} \\spad{r.} \\spad{t.} to the total ordering on the elements in \\axiom{V}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
-(-1063 S |TheField| |ThePols|) 
-((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure,{} assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,{}aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,{}aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
+(-1064 S |TheField| |ThePols|) 
+((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#2| |#3| $ |#2|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#3| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#3|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#3| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#3| "failed") |#3| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#3| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#3| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#3| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#3| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1064 |TheField| |ThePols|) 
-((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,{}root,{}prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,{}\\spad{n})} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure,{} assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,{}aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,{}aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,{}aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
+(-1065 |TheField| |ThePols|) 
+((|constructor| (NIL "\\axiomType{RealRootCharacterizationCategory} provides common acces functions for all real root codings.")) (|relativeApprox| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|approximate| ((|#1| |#2| $ |#1|) "\\axiom{approximate(term,root,prec)} gives an approximation of \\axiom{term} over \\axiom{root} with precision \\axiom{prec}")) (|rootOf| (((|Union| $ "failed") |#2| (|PositiveInteger|)) "\\axiom{rootOf(pol,n)} gives the \\spad{n}th root for the order of the Real Closure")) (|allRootsOf| (((|List| $) |#2|) "\\axiom{allRootsOf(pol)} creates all the roots of \\axiom{pol} in the Real Closure, assumed in order.")) (|definingPolynomial| ((|#2| $) "\\axiom{definingPolynomial(aRoot)} gives a polynomial such that \\axiom{definingPolynomial(aRoot).aRoot = 0}")) (|recip| (((|Union| |#2| "failed") |#2| $) "\\axiom{recip(pol,aRoot)} tries to inverse \\axiom{pol} interpreted as \\axiom{aRoot}")) (|positive?| (((|Boolean|) |#2| $) "\\axiom{positive?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is positive")) (|negative?| (((|Boolean|) |#2| $) "\\axiom{negative?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is negative")) (|zero?| (((|Boolean|) |#2| $) "\\axiom{zero?(pol,aRoot)} answers if \\axiom{pol} interpreted as \\axiom{aRoot} is \\axiom{0}")) (|sign| (((|Integer|) |#2| $) "\\axiom{sign(pol,aRoot)} gives the sign of \\axiom{pol} interpreted as \\axiom{aRoot}"))) 
 NIL 
 NIL 
-(-1065 R E V P TS) 
-((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener\\spad{'s} algorithm) or in the sense of the regular zeros (like in Wu,{} Wang or Lazard methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set,{} or how two quasi-components are compared (by an inclusion-test),{} or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(\\spad{R},{}\\spad{E},{}\\spad{V},{}\\spad{P},{}\\spad{TS}) and \\axiomType{RSETGCD}(\\spad{R},{}\\spad{E},{}\\spad{V},{}\\spad{P},{}\\spad{TS}). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiom{\\spad{TS}}. Thus,{} the operations of this package are not documented."))) 
+(-1066 R E V P TS) 
+((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are proposed: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\axiomType{QCMPACK}(R,E,V,P,TS) and \\axiomType{RSETGCD}(R,E,V,P,TS). The same way it does not care about the way univariate polynomial \\spad{gcd} (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these \\spad{gcd} need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiom{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1066 S R E V P) 
-((|constructor| (NIL "The category of regular triangular sets,{} introduced under the name regular chains in [1] (and other papers). In [3] it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions,{} all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,{}...,{}xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,{}...,{}tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,{}...,{}\\spad{ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,{}...,{}\\spad{Ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(\\spad{Ti})} contains \\spad{S} and is contained in the closure of \\spad{S} (\\spad{w}.\\spad{r}.\\spad{t}. Zariski topology). A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,{}...,{}Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is \\spad{false}. This category provides operations related to both kinds of splits,{} the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#5|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is \\spad{false},{} it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or,{} in other words,{} a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{extend(lp,{}lts)} returns the same as \\spad{concat([extend(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{extend(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp} \\spad{extend(p,{}ts)} if \\spad{lp = [p]} else \\spad{extend(first lp,{} extend(rest lp,{} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{extend(p,{}lts)} returns the same as \\spad{concat([extend(p,{}ts) for ts in lts])|}") (((|List| $) |#5| $) "\\spad{extend(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#5|) $) "\\spad{internalAugment(lp,{}ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest lp,{} internalAugment(first lp,{} ts))}") (($ |#5| $) "\\spad{internalAugment(p,{}ts)} assumes that \\spad{augment(p,{}ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{augment(lp,{}lts)} returns the same as \\spad{concat([augment(lp,{}ts) for ts in lts])}") (((|List| $) (|List| |#5|) $) "\\spad{augment(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp},{} \\spad{augment(p,{}ts)} if \\spad{lp = [p]},{} otherwise \\spad{augment(first lp,{} augment(rest lp,{} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{augment(p,{}lts)} returns the same as \\spad{concat([augment(p,{}ts) for ts in lts])}") (((|List| $) |#5| $) "\\spad{augment(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set,{} say \\spad{ts+p},{} is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#5| (|List| $)) "\\spad{intersect(p,{}lts)} returns the same as \\spad{intersect([p],{}lts)}") (((|List| $) (|List| |#5|) (|List| $)) "\\spad{intersect(lp,{}lts)} returns the same as \\spad{concat([intersect(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{intersect(lp,{}ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#5| $) "\\spad{intersect(p,{}ts)} returns the same as \\spad{intersect([p],{}ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| $) "\\spad{squareFreePart(p,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower},{} for every \\spad{i}. Moreover,{} the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts},{} then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| |#5| $) "\\spad{lastSubResultant(p1,{}p2,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} for every \\spad{i},{} and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover,{} if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#5| (|List| $)) |#5| |#5| $) "\\spad{lastSubResultantElseSplit(p1,{}p2,{}ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#5| $) "\\spad{invertibleSet(p,{}ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{\\spad{I}} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#5| $) "\\spad{invertible?(p,{}ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#5| $) "\\spad{invertible?(p,{}ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,{}lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#5| $) "\\spad{invertibleElseSplit?(p,{}ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,{}ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#5| $) "\\spad{algebraicCoefficients?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#5| $) "\\spad{purelyTranscendental?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,{}ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(\\spad{ts},{}\\spad{v}) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(\\spad{ts},{}\\spad{v}).") (((|Boolean|) |#5| $) "\\spad{purelyAlgebraic?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}."))) 
+(-1067 S R E V P) 
+((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#5|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#5| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#5|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#5| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#5|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#5|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#5| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#5| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#5| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#5|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#5|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#5| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#5|) (|:| |tower| $))) |#5| |#5| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#5| (|List| $)) |#5| |#5| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#5| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#5| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#5| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#5| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#5| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#5| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#5| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
 NIL 
 NIL 
-(-1067 R E V P) 
-((|constructor| (NIL "The category of regular triangular sets,{} introduced under the name regular chains in [1] (and other papers). In [3] it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions,{} all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,{}...,{}xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,{}...,{}tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,{}...,{}\\spad{ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,{}...,{}\\spad{Ti}]}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(\\spad{Ti})} contains \\spad{S} and is contained in the closure of \\spad{S} (\\spad{w}.\\spad{r}.\\spad{t}. Zariski topology). A family \\spad{[T1,{}...,{}Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,{}...,{}Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is \\spad{false}. This category provides operations related to both kinds of splits,{} the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|)) "\\spad{zeroSetSplit(lp,{}clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is \\spad{false},{} it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or,{} in other words,{} a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{extend(lp,{}lts)} returns the same as \\spad{concat([extend(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{extend(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp} \\spad{extend(p,{}ts)} if \\spad{lp = [p]} else \\spad{extend(first lp,{} extend(rest lp,{} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{extend(p,{}lts)} returns the same as \\spad{concat([extend(p,{}ts) for ts in lts])|}") (((|List| $) |#4| $) "\\spad{extend(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#4|) $) "\\spad{internalAugment(lp,{}ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest lp,{} internalAugment(first lp,{} ts))}") (($ |#4| $) "\\spad{internalAugment(p,{}ts)} assumes that \\spad{augment(p,{}ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{augment(lp,{}lts)} returns the same as \\spad{concat([augment(lp,{}ts) for ts in lts])}") (((|List| $) (|List| |#4|) $) "\\spad{augment(lp,{}ts)} returns \\spad{ts} if \\spad{empty? lp},{} \\spad{augment(p,{}ts)} if \\spad{lp = [p]},{} otherwise \\spad{augment(first lp,{} augment(rest lp,{} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{augment(p,{}lts)} returns the same as \\spad{concat([augment(p,{}ts) for ts in lts])}") (((|List| $) |#4| $) "\\spad{augment(p,{}ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set,{} say \\spad{ts+p},{} is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself,{} if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#4| (|List| $)) "\\spad{intersect(p,{}lts)} returns the same as \\spad{intersect([p],{}lts)}") (((|List| $) (|List| |#4|) (|List| $)) "\\spad{intersect(lp,{}lts)} returns the same as \\spad{concat([intersect(lp,{}ts) for ts in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{intersect(lp,{}ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#4| $) "\\spad{intersect(p,{}ts)} returns the same as \\spad{intersect([p],{}ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) "\\spad{squareFreePart(p,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower},{} for every \\spad{i}. Moreover,{} the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts},{} then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) "\\spad{lastSubResultant(p1,{}p2,{}ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower},{} for every \\spad{i},{} and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover,{} if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials \\spad{w}.\\spad{r}.\\spad{t}. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) "\\spad{lastSubResultantElseSplit(p1,{}p2,{}ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} \\spad{w}.\\spad{r}.\\spad{t}. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#4| $) "\\spad{invertibleSet(p,{}ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{\\spad{I}} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#4| $) "\\spad{invertible?(p,{}ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) "\\spad{invertible?(p,{}ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,{}lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) "\\spad{invertibleElseSplit?(p,{}ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,{}ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#4| $) "\\spad{algebraicCoefficients?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#4| $) "\\spad{purelyTranscendental?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,{}ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(\\spad{ts},{}\\spad{v}) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(\\spad{ts},{}\\spad{v}).") (((|Boolean|) |#4| $) "\\spad{purelyAlgebraic?(p,{}ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ts}."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-1068 R E V P) 
+((|constructor| (NIL "The category of regular triangular sets, introduced under the name regular chains in \\spad{[1]} (and other papers). In \\spad{[3]} it is proved that regular triangular sets and towers of simple extensions of a field are equivalent notions. In the following definitions, all polynomials and ideals are taken from the polynomial ring \\spad{k[x1,...,xn]} where \\spad{k} is the fraction field of \\spad{R}. The triangular set \\spad{[t1,...,tm]} is regular iff for every \\spad{i} the initial of \\spad{ti+1} is invertible in the tower of simple extensions associated with \\spad{[t1,...,ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given ideal \\spad{I} iff the radical of \\spad{I} is equal to the intersection of the radical ideals generated by the saturated ideals of the \\spad{[T1,...,Ti]}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Kalkbrener of a given triangular set \\spad{T} iff it is a split of Kalkbrener of the saturated ideal of \\spad{T}. Let \\spad{K} be an algebraic closure of \\spad{k}. Assume that \\spad{V} is finite with cardinality \\spad{n} and let \\spad{A} be the affine space \\spad{K^n}. For a regular triangular set \\spad{T} let denote by \\spad{W(T)} the set of regular zeros of \\spad{T}. A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given subset \\spad{S} of \\spad{A} iff the union of the \\spad{W(Ti)} contains \\spad{S} and is contained in the closure of \\spad{S} (w.r.t. Zariski topology). A family \\spad{[T1,...,Ts]} of regular triangular sets is a split of Lazard of a given triangular set \\spad{T} if it is a split of Lazard of \\spad{W(T)}. Note that if \\spad{[T1,...,Ts]} is a split of Lazard of \\spad{T} then it is also a split of Kalkbrener of \\spad{T}. The converse is false. This category provides operations related to both kinds of splits, the former being related to ideals decomposition whereas the latter deals with varieties decomposition. See the example illustrating the RegularTriangularSet constructor for more explanations about decompositions by means of regular triangular sets.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|)) "\\spad{zeroSetSplit(lp,clos?)} returns \\spad{lts} a split of Kalkbrener of the radical ideal associated with \\spad{lp}. If \\spad{clos?} is false, it is also a decomposition of the variety associated with \\spad{lp} into the regular zero set of the \\spad{ts} in \\spad{lts} (or, in other words, a split of Lazard of this variety). See the example illustrating the \\spadtype{RegularTriangularSet} constructor for more explanations about decompositions by means of regular triangular sets.")) (|extend| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{extend(lp,lts)} returns the same as \\spad{concat([extend(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{extend(lp,ts)} returns \\spad{ts} if \\spad{empty? \\spad{lp}} \\spad{extend(p,ts)} if \\spad{lp = [p]} else \\spad{extend(first \\spad{lp,} extend(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{extend(p,lts)} returns the same as \\spad{concat([extend(p,ts) for \\spad{ts} in lts])|}") (((|List| $) |#4| $) "\\spad{extend(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is not a regular triangular set.")) (|internalAugment| (($ (|List| |#4|) $) "\\spad{internalAugment(lp,ts)} returns \\spad{ts} if \\spad{lp} is empty otherwise returns \\spad{internalAugment(rest \\spad{lp,} internalAugment(first \\spad{lp,} ts))}") (($ |#4| $) "\\spad{internalAugment(p,ts)} assumes that \\spad{augment(p,ts)} returns a singleton and returns it.")) (|augment| (((|List| $) (|List| |#4|) (|List| $)) "\\spad{augment(lp,lts)} returns the same as \\spad{concat([augment(lp,ts) for \\spad{ts} in lts])}") (((|List| $) (|List| |#4|) $) "\\spad{augment(lp,ts)} returns \\spad{ts} if \\spad{empty? lp}, \\spad{augment(p,ts)} if \\spad{lp = [p]}, otherwise \\spad{augment(first \\spad{lp,} augment(rest \\spad{lp,} ts))}") (((|List| $) |#4| (|List| $)) "\\spad{augment(p,lts)} returns the same as \\spad{concat([augment(p,ts) for \\spad{ts} in lts])}") (((|List| $) |#4| $) "\\spad{augment(p,ts)} assumes that \\spad{p} is a non-constant polynomial whose main variable is greater than any variable of \\spad{ts}. This operation assumes also that if \\spad{p} is added to \\spad{ts} the resulting set, say \\spad{ts+p}, is a regular triangular set. Then it returns a split of Kalkbrener of \\spad{ts+p}. This may not be \\spad{ts+p} itself, if for instance \\spad{ts+p} is required to be square-free.")) (|intersect| (((|List| $) |#4| (|List| $)) "\\spad{intersect(p,lts)} returns the same as \\spad{intersect([p],lts)}") (((|List| $) (|List| |#4|) (|List| $)) "\\spad{intersect(lp,lts)} returns the same as \\spad{concat([intersect(lp,ts) for \\spad{ts} in lts])|}") (((|List| $) (|List| |#4|) $) "\\spad{intersect(lp,ts)} returns \\spad{lts} a split of Lazard of the intersection of the affine variety associated with \\spad{lp} and the regular zero set of \\spad{ts}.") (((|List| $) |#4| $) "\\spad{intersect(p,ts)} returns the same as \\spad{intersect([p],ts)}")) (|squareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| $) "\\spad{squareFreePart(p,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a square-free polynomial w.r.t. \\spad{lpwt.i.tower}, this polynomial being associated with \\spad{p} modulo \\spad{lpwt.i.tower}, for every \\spad{i}. Moreover, the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. WARNING: This assumes that \\spad{p} is a non-constant polynomial such that if \\spad{p} is added to \\spad{ts}, then the resulting set is a regular triangular set.")) (|lastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| $))) |#4| |#4| $) "\\spad{lastSubResultant(p1,p2,ts)} returns \\spad{lpwt} such that \\spad{lpwt.i.val} is a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. \\spad{lpwt.i.tower}, for every \\spad{i}, and such that the list of the \\spad{lpwt.i.tower} is a split of Kalkbrener of \\spad{ts}. Moreover, if \\spad{p1} and \\spad{p2} do not have a non-trivial \\spad{gcd} w.r.t. \\spad{lpwt.i.tower} then \\spad{lpwt.i.val} is the resultant of these polynomials w.r.t. \\spad{lpwt.i.tower}. This assumes that \\spad{p1} and \\spad{p2} have the same main variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|lastSubResultantElseSplit| (((|Union| |#4| (|List| $)) |#4| |#4| $) "\\spad{lastSubResultantElseSplit(p1,p2,ts)} returns either \\spad{g} a quasi-monic \\spad{gcd} of \\spad{p1} and \\spad{p2} w.r.t. the \\spad{ts} or a split of Kalkbrener of \\spad{ts}. This assumes that \\spad{p1} and \\spad{p2} have the same maim variable and that this variable is greater that any variable occurring in \\spad{ts}.")) (|invertibleSet| (((|List| $) |#4| $) "\\spad{invertibleSet(p,ts)} returns a split of Kalkbrener of the quotient ideal of the ideal \\axiom{I} by \\spad{p} where \\spad{I} is the radical of saturated of \\spad{ts}.")) (|invertible?| (((|Boolean|) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{true} iff \\spad{p} is invertible in the tower associated with \\spad{ts}.") (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| $))) |#4| $) "\\spad{invertible?(p,ts)} returns \\spad{lbwt} where \\spad{lbwt.i} is the result of \\spad{invertibleElseSplit?(p,lbwt.i.tower)} and the list of the \\spad{(lqrwt.i).tower} is a split of Kalkbrener of \\spad{ts}.")) (|invertibleElseSplit?| (((|Union| (|Boolean|) (|List| $)) |#4| $) "\\spad{invertibleElseSplit?(p,ts)} returns \\spad{true} (resp. \\spad{false}) if \\spad{p} is invertible in the tower associated with \\spad{ts} or returns a split of Kalkbrener of \\spad{ts}.")) (|purelyAlgebraicLeadingMonomial?| (((|Boolean|) |#4| $) "\\spad{purelyAlgebraicLeadingMonomial?(p,ts)} returns \\spad{true} iff the main variable of any non-constant iterarted initial of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|algebraicCoefficients?| (((|Boolean|) |#4| $) "\\spad{algebraicCoefficients?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} which is not the main one of \\spad{p} is algebraic w.r.t. \\spad{ts}.")) (|purelyTranscendental?| (((|Boolean|) |#4| $) "\\spad{purelyTranscendental?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is not algebraic w.r.t. \\spad{ts}")) (|purelyAlgebraic?| (((|Boolean|) $) "\\spad{purelyAlgebraic?(ts)} returns \\spad{true} iff for every algebraic variable \\spad{v} of \\spad{ts} we have \\spad{algebraicCoefficients?(t_v,ts_v_-)} where \\spad{ts_v} is select from TriangularSetCategory(ts,v) and \\spad{ts_v_-} is collectUnder from TriangularSetCategory(ts,v).") (((|Boolean|) |#4| $) "\\spad{purelyAlgebraic?(p,ts)} returns \\spad{true} iff every variable of \\spad{p} is algebraic w.r.t. \\spad{ts}."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1068 R E V P TS) 
-((|constructor| (NIL "An internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseSquareFreePart(\\spad{p},{}\\spad{ts})} has the same specifications as squareFreePart from RegularTriangularSetCategory.")) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) "\\axiom{toseInvertibleSet(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertibleSet from RegularTriangularSetCategory.")) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseInvertible?(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertible? from RegularTriangularSetCategory.") (((|Boolean|) |#4| |#5|) "\\axiom{toseInvertible?(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as invertible? from RegularTriangularSetCategory.")) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{toseLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} has the same specifications as lastSubResultant from RegularTriangularSetCategory.")) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{integralLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) "\\axiom{internalLastSubResultant(lpwt,{}\\spad{v},{}flag)} is an internal subroutine,{} exported only for developement.") (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) "\\axiom{internalLastSubResultant(\\spad{p1},{}\\spad{p2},{}\\spad{ts},{}inv?,{}break?)} is an internal subroutine,{} exported only for developement.")) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{prepareSubResAlgo(\\spad{p1},{}\\spad{p2},{}\\spad{ts})} is an internal subroutine,{} exported only for developement.")) (|stopTableInvSet!| (((|Void|)) "\\axiom{stopTableInvSet!()} is an internal subroutine,{} exported only for developement.")) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableInvSet!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement.")) (|stopTableGcd!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
+(-1069 R E V P TS) 
+((|constructor| (NIL "An internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field.")) (|toseSquareFreePart| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseSquareFreePart(p,ts)} has the same specifications as squareFreePart from RegularTriangularSetCategory.")) (|toseInvertibleSet| (((|List| |#5|) |#4| |#5|) "\\axiom{toseInvertibleSet(p1,p2,ts)} has the same specifications as invertibleSet from RegularTriangularSetCategory.")) (|toseInvertible?| (((|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| |#5|))) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.") (((|Boolean|) |#4| |#5|) "\\axiom{toseInvertible?(p1,p2,ts)} has the same specifications as invertible? from RegularTriangularSetCategory.")) (|toseLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{toseLastSubResultant(p1,p2,ts)} has the same specifications as lastSubResultant from RegularTriangularSetCategory.")) (|integralLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{integralLastSubResultant(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|internalLastSubResultant| (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#3| (|Boolean|)) "\\axiom{internalLastSubResultant(lpwt,v,flag)} is an internal subroutine, exported only for developement.") (((|List| (|Record| (|:| |val| |#4|) (|:| |tower| |#5|))) |#4| |#4| |#5| (|Boolean|) (|Boolean|)) "\\axiom{internalLastSubResultant(p1,p2,ts,inv?,break?)} is an internal subroutine, exported only for developement.")) (|prepareSubResAlgo| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) |#4| |#4| |#5|) "\\axiom{prepareSubResAlgo(p1,p2,ts)} is an internal subroutine, exported only for developement.")) (|stopTableInvSet!| (((|Void|)) "\\axiom{stopTableInvSet!()} is an internal subroutine, exported only for developement.")) (|startTableInvSet!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableInvSet!(s1,s2,s3)} is an internal subroutine, exported only for developement.")) (|stopTableGcd!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTableGcd!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1069 |f|) 
+(-1070 |f|) 
 ((|constructor| (NIL "This domain implements named rules")) (|name| (((|Symbol|) $) "\\spad{name(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1070 |Base| R -1564) 
-((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,{}f,{}n)} or \\spad{r}(\\spad{f},{} \\spad{n}) applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r}.")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r}.")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r}.")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r,{} [a1,{}...,{}an],{} f)} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,{}...,{}an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f,{} g,{} [f1,{}...,{}fn])} creates the rewrite rule \\spad{f == eval(eval(g,{} g is f),{} [f1,{}...,{}fn])},{} that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g}; The symbols \\spad{f1},{}...,{}\\spad{fn} are the operators that are considered quoted,{} that is they are not evaluated during any rewrite,{} but just applied formally to their arguments.") (($ |#3| |#3|) "\\indented{1}{rule(\\spad{f},{} \\spad{g}) creates the rewrite rule: \\spad{f == eval(g,{} g is f)},{}} \\indented{1}{with left-hand side \\spad{f} and right-hand side \\spad{g}.} \\blankline \\spad{X} logrule \\spad{:=} rule log(\\spad{x}) + log(\\spad{y}) \\spad{==} log(x*y) \\spad{X} \\spad{f} \\spad{:=} log(sin(\\spad{x})) + log(\\spad{x}) \\spad{X} logrule \\spad{f}"))) 
+(-1071 |Base| R -1647) 
+((|constructor| (NIL "Rules for the pattern matcher")) (|quotedOperators| (((|List| (|Symbol|)) $) "\\spad{quotedOperators(r)} returns the list of operators on the right hand side of \\spad{r} that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies the rule \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rhs| ((|#3| $) "\\spad{rhs(r)} returns the right hand side of the rule \\spad{r.}")) (|lhs| ((|#3| $) "\\spad{lhs(r)} returns the left hand side of the rule \\spad{r.}")) (|pattern| (((|Pattern| |#1|) $) "\\spad{pattern(r)} returns the pattern corresponding to the left hand side of the rule \\spad{r.}")) (|suchThat| (($ $ (|List| (|Symbol|)) (|Mapping| (|Boolean|) (|List| |#3|))) "\\spad{suchThat(r, [a1,...,an], \\spad{f)}} returns the rewrite rule \\spad{r} with the predicate \\spad{f(a1,...,an)} attached to it.")) (|rule| (($ |#3| |#3| (|List| (|Symbol|))) "\\spad{rule(f, \\spad{g,} [f1,...,fn])} creates the rewrite rule \\spad{f \\spad{==} eval(eval(g, \\spad{g} is \\spad{f),} [f1,...,fn])}, that is a rule with left-hand side \\spad{f} and right-hand side \\spad{g;} The symbols f1,...,fn are the operators that are considered quoted, that is they are not evaluated during any rewrite, but just applied formally to their arguments.") (($ |#3| |#3|) "\\indented{1}{rule(f, \\spad{g)} creates the rewrite rule: \\spad{f \\spad{==} eval(g, \\spad{g} is f)},} \\indented{1}{with left-hand side \\spad{f} and right-hand side \\spad{g.}} \\blankline \\spad{X} logrule \\spad{:=} rule log(x) + log(y) \\spad{==} log(x*y) \\spad{X} \\spad{f} \\spad{:=} log(sin(x)) + log(x) \\spad{X} logrule \\spad{f}"))) 
 NIL 
 NIL 
-(-1071 |Base| R -1564) 
-((|constructor| (NIL "Sets of rules for the pattern matcher. A ruleset is a set of pattern matching rules grouped together.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,{}f,{}n)} or \\spad{r}(\\spad{f},{} \\spad{n}) applies all the rules of \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) "\\spad{rules(r)} returns the rules contained in \\spad{r}.")) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) "\\spad{ruleset([r1,{}...,{}rn])} creates the rule set \\spad{{r1,{}...,{}rn}}."))) 
+(-1072 |Base| R -1647) 
+((|constructor| (NIL "Sets of rules for the pattern matcher. A ruleset is a set of pattern matching rules grouped together.")) (|elt| ((|#3| $ |#3| (|PositiveInteger|)) "\\spad{elt(r,f,n)} or r(f, \\spad{n)} applies all the rules of \\spad{r} to \\spad{f} at most \\spad{n} times.")) (|rules| (((|List| (|RewriteRule| |#1| |#2| |#3|)) $) "\\spad{rules(r)} returns the rules contained in \\spad{r.}")) (|ruleset| (($ (|List| (|RewriteRule| |#1| |#2| |#3|))) "\\spad{ruleset([r1,...,rn])} creates the rule set \\spad{{r1,...,rn}}."))) 
 NIL 
 NIL 
-(-1072 R |ls|) 
-((|constructor| (NIL "A package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a regular triangular set. This package is essentially an interface for the \\spadtype{InternalRationalUnivariateRepresentationPackage} constructor. It is used in the \\spadtype{ZeroDimensionalSolvePackage} for solving polynomial systems with finitely many solutions.")) (|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{rur(lp,{}univ?,{}check?)} returns the same as \\spad{rur(lp,{}true)}. Moreover,{} if \\spad{check?} is \\spad{true} then the result is checked.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{rur(lp)} returns the same as \\spad{rur(lp,{}true)}") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{rur(lp,{}univ?)} returns a rational univariate representation of \\spad{lp}. This assumes that \\spad{lp} defines a regular triangular \\spad{ts} whose associated variety is zero-dimensional over \\spad{R}. \\spad{rur(lp,{}univ?)} returns a list of items \\spad{[u,{}lc]} where \\spad{u} is an irreducible univariate polynomial and each \\spad{c} in \\spad{lc} involves two variables: one from \\spad{ls},{} called the coordinate of \\spad{c},{} and an extra variable which represents any root of \\spad{u}. Every root of \\spad{u} leads to a tuple of values for the coordinates of \\spad{lc}. Moreover,{} a point \\spad{x} belongs to the variety associated with \\spad{lp} iff there exists an item \\spad{[u,{}lc]} in \\spad{rur(lp,{}univ?)} and a root \\spad{r} of \\spad{u} such that \\spad{x} is given by the tuple of values for the coordinates of \\spad{lc} evaluated at \\spad{r}. If \\spad{univ?} is \\spad{true} then each polynomial \\spad{c} will have a constant leading coefficient \\spad{w}.\\spad{r}.\\spad{t}. its coordinate. See the example which illustrates the \\spadtype{ZeroDimensionalSolvePackage} package constructor."))) 
+(-1073 R |ls|) 
+((|constructor| (NIL "A package for computing the rational univariate representation of a zero-dimensional algebraic variety given by a regular triangular set. This package is essentially an interface for the \\spadtype{InternalRationalUnivariateRepresentationPackage} constructor. It is used in the \\spadtype{ZeroDimensionalSolvePackage} for solving polynomial systems with finitely many solutions.")) (|rur| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{rur(lp,univ?,check?)} returns the same as \\spad{rur(lp,true)}. Moreover, if \\spad{check?} is \\spad{true} then the result is checked.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{rur(lp)} returns the same as \\spad{rur(lp,true)}") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{rur(lp,univ?)} returns a rational univariate representation of \\spad{lp}. This assumes that \\spad{lp} defines a regular triangular \\spad{ts} whose associated variety is zero-dimensional over \\spad{R}. \\spad{rur(lp,univ?)} returns a list of items \\spad{[u,lc]} where \\spad{u} is an irreducible univariate polynomial and each \\spad{c} in \\spad{lc} involves two variables: one from \\spad{ls}, called the coordinate of \\spad{c}, and an extra variable which represents any root of \\spad{u}. Every root of \\spad{u} leads to a tuple of values for the coordinates of \\spad{lc}. Moreover, a point \\spad{x} belongs to the variety associated with \\spad{lp} iff there exists an item \\spad{[u,lc]} in \\spad{rur(lp,univ?)} and a root \\spad{r} of \\spad{u} such that \\spad{x} is given by the tuple of values for the coordinates of \\spad{lc} evaluated at \\spad{r}. If \\spad{univ?} is \\spad{true} then each polynomial \\spad{c} will have a constant leading coefficient w.r.t. its coordinate. See the example which illustrates the \\spadtype{ZeroDimensionalSolvePackage} package constructor."))) 
 NIL 
 NIL 
-(-1073 UP SAE UPA) 
-((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of the rational numbers (\\spadtype{Fraction Integer}).")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
+(-1074 UP SAE UPA) 
+((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of the rational numbers (\\spadtype{Fraction Integer}).")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1074 R UP M) 
-((|constructor| (NIL "Algebraic extension of a ring by a single polynomial. Domain which represents simple algebraic extensions of arbitrary rings. The first argument to the domain,{} \\spad{R},{} is the underlying ring,{} the second argument is a domain of univariate polynomials over \\spad{K},{} while the last argument specifies the defining minimal polynomial. The elements of the domain are canonically represented as polynomials of degree less than that of the minimal polynomial with coefficients in \\spad{R}. The second argument is both the type of the third argument and the underlying representation used by \\spadtype{SAE} itself."))) 
-((-4528 |has| |#1| (-366)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-351))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-351))))) 
-(-1075 UP SAE UPA) 
-((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of \\spadtype{Fraction Polynomial Integer}.")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p}."))) 
+(-1075 R UP M) 
+((|constructor| (NIL "Algebraic extension of a ring by a single polynomial. Domain which represents simple algebraic extensions of arbitrary rings. The first argument to the domain, \\spad{R,} is the underlying ring, the second argument is a domain of univariate polynomials over \\spad{K,} while the last argument specifies the defining minimal polynomial. The elements of the domain are canonically represented as polynomials of degree less than that of the minimal polynomial with coefficients in \\spad{R.} The second argument is both the type of the third argument and the underlying representation used by \\spadtype{SAE} itself."))) 
+((-4564 |has| |#1| (-366)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-351))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-351)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-351))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-351))))) 
+(-1076 UP SAE UPA) 
+((|constructor| (NIL "Factorization of univariate polynomials with coefficients in an algebraic extension of \\spadtype{Fraction Polynomial Integer}.")) (|factor| (((|Factored| |#3|) |#3|) "\\spad{factor(p)} returns a prime factorisation of \\spad{p.}"))) 
 NIL 
 NIL 
-(-1076) 
+(-1077) 
 ((|constructor| (NIL "This trivial domain lets us build Univariate Polynomials in an anonymous variable"))) 
 NIL 
 NIL 
-(-1077 S) 
-((|constructor| (NIL "A sorted cache of a cachable set \\spad{S} is a dynamic structure that keeps the elements of \\spad{S} sorted and assigns an integer to each element of \\spad{S} once it is in the cache. This way,{} equality and ordering on \\spad{S} are tested directly on the integers associated with the elements of \\spad{S},{} once they have been entered in the cache.")) (|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) "\\spad{enterInCache(x,{} f)} enters \\spad{x} in the cache,{} calling \\spad{f(x,{} y)} to determine whether \\spad{x < y (f(x,{}y) < 0),{} x = y (f(x,{}y) = 0)},{} or \\spad{x > y (f(x,{}y) > 0)}. It returns \\spad{x} with an integer associated with it.") ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) "\\spad{enterInCache(x,{} f)} enters \\spad{x} in the cache,{} calling \\spad{f(y)} to determine whether \\spad{x} is equal to \\spad{y}. It returns \\spad{x} with an integer associated with it.")) (|cache| (((|List| |#1|)) "\\spad{cache()} returns the current cache as a list.")) (|clearCache| (((|Void|)) "\\spad{clearCache()} empties the cache."))) 
-NIL 
-NIL 
-(-1078 R) 
-((|constructor| (NIL "StructuralConstantsPackage provides functions creating structural constants from a multiplication tables or a basis of a matrix algebra and other useful functions in this context.")) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) "\\spad{coordinates(a,{}[v1,{}...,{}vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},{}...,{}\\spad{vn}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{structuralConstants(basis)} takes the \\spad{basis} of a matrix algebra,{} \\spadignore{e.g.} the result of \\spadfun{basisOfCentroid} and calculates the structural constants. Note,{} that the it is not checked,{} whether \\spad{basis} really is a \\spad{basis} of a matrix algebra.") (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) "\\spad{structuralConstants(ls,{}mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt},{} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls}. The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}") (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{structuralConstants(ls,{}mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt},{} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls}. The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}"))) 
+(-1078 S) 
+((|constructor| (NIL "A sorted cache of a cachable set \\spad{S} is a dynamic structure that keeps the elements of \\spad{S} sorted and assigns an integer to each element of \\spad{S} once it is in the cache. This way, equality and ordering on \\spad{S} are tested directly on the integers associated with the elements of \\spad{S,} once they have been entered in the cache.")) (|enterInCache| ((|#1| |#1| (|Mapping| (|Integer|) |#1| |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(x, \\spad{y)}} to determine whether \\spad{x < \\spad{y} (f(x,y) < 0), \\spad{x} = \\spad{y} (f(x,y) = 0)}, or \\spad{x > \\spad{y} (f(x,y) > 0)}. It returns \\spad{x} with an integer associated with it.") ((|#1| |#1| (|Mapping| (|Boolean|) |#1|)) "\\spad{enterInCache(x, \\spad{f)}} enters \\spad{x} in the cache, calling \\spad{f(y)} to determine whether \\spad{x} is equal to \\spad{y.} It returns \\spad{x} with an integer associated with it.")) (|cache| (((|List| |#1|)) "\\spad{cache()} returns the current cache as a list.")) (|clearCache| (((|Void|)) "\\spad{clearCache()} empties the cache."))) 
 NIL 
 NIL 
 (-1079 R) 
-((|constructor| (NIL "\\spadtype{SequentialDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates,{} with coefficients in a ring. The ranking on the differential indeterminate is sequential."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1080 (-1163)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1080 S) 
-((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used sequential ranking to the set of derivatives of an ordered list of differential indeterminates. A sequential ranking is a ranking \\spadfun{<} of the derivatives with the property that for any derivative \\spad{v},{} there are only a finite number of derivatives \\spad{u} with \\spad{u} \\spadfun{<} \\spad{v}. This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order},{} and it defines a sequential ranking \\spadfun{<} on derivatives \\spad{u} by the lexicographic order on the pair (\\spadfun{variable}(\\spad{u}),{} \\spadfun{order}(\\spad{u}))."))) 
+((|constructor| (NIL "StructuralConstantsPackage provides functions creating structural constants from a multiplication tables or a basis of a matrix algebra and other useful functions in this context.")) (|coordinates| (((|Vector| |#1|) (|Matrix| |#1|) (|List| (|Matrix| |#1|))) "\\spad{coordinates(a,[v1,...,vn])} returns the coordinates of \\spad{a} with respect to the \\spad{R}-module basis \\spad{v1},...,\\spad{vn}.")) (|structuralConstants| (((|Vector| (|Matrix| |#1|)) (|List| (|Matrix| |#1|))) "\\spad{structuralConstants(basis)} takes the \\spad{basis} of a matrix algebra, \\spadignore{e.g.} the result of \\spadfun{basisOfCentroid} and calculates the structural constants. Note, that the it is not checked, whether \\spad{basis} really is a \\spad{basis} of a matrix algebra.") (((|Vector| (|Matrix| (|Polynomial| |#1|))) (|List| (|Symbol|)) (|Matrix| (|Polynomial| |#1|))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}") (((|Vector| (|Matrix| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|)) (|Matrix| (|Fraction| (|Polynomial| |#1|)))) "\\spad{structuralConstants(ls,mt)} determines the structural constants of an algebra with generators \\spad{ls} and multiplication table \\spad{mt,} the entries of which must be given as linear polynomials in the indeterminates given by \\spad{ls.} The result is in particular useful \\indented{1}{as fourth argument for \\spadtype{AlgebraGivenByStructuralConstants}} \\indented{1}{and \\spadtype{GenericNonAssociativeAlgebra}.}"))) 
+NIL 
 NIL 
+(-1080 R) 
+((|constructor| (NIL "A basic implementation of StochasticDifferential(R) using the associated domain BasicStochasticDifferential in the underlying representation as sparse multivariate polynomials. The domain is a module over Expression(R), and is a ring without identity (AXIOM term is \"Rng\"). Note that separate instances, for example using R=Integer and R=Float, have different hidden structure (multiplication and drift tables).")) (|uncorrelated?| (((|Boolean|) (|List| (|List| $))) "\\spad{uncorrelated?(ll)} checks whether its argument is a list of lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) (|List| $) (|List| $)) "\\spad{uncorrelated?(l1,l2)} checks whether its two arguments are lists of stochastic differentials of zero inter-list quadratic co-variation.") (((|Boolean|) $ $) "\\spad{uncorrelated?(dx,dy)} checks whether its two arguments have zero quadratic co-variation.")) (|statusIto| (((|OutputForm|)) "\\indented{1}{statusIto() displays the current state of \\axiom{setBSD},} \\indented{1}{\\axiom{tableDrift}, and \\axiom{tableQuadVar}. Question} \\indented{1}{marks are printed instead of undefined entries} \\blankline \\spad{X} dt:=introduce!(t,dt) \\spad{X} dX:=introduce!(X,dX) \\spad{X} dY:=introduce!(Y,dY) \\spad{X} copyBSD() \\spad{X} copyIto() \\spad{X} copyhQuadVar() \\spad{X} statusIto()")) (^ (($ $ (|PositiveInteger|)) "\\spad{dx^n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (** (($ $ (|PositiveInteger|)) "\\spad{dx**n} is \\spad{dx} multiplied by itself \\spad{n} times.")) (/ (($ $ (|Expression| |#1|)) "\\spad{dx/y} divides the stochastic differential \\spad{dx} by the previsible function \\spad{y.}")) (|copyQuadVar| (((|Table| $ $)) "\\spad{copyQuadVar returns} private multiplication table of basic stochastic differentials for inspection")) (|copyDrift| (((|Table| $ $)) "\\spad{copyDrift returns} private table of drifts of basic stochastic differentials for inspection")) (|equation| (((|Union| (|Equation| $) "failed") |#1| $) "\\spad{equation(0,dx)} allows \\spad{LHS} of Equation \\% to be zero") (((|Union| (|Equation| $) "failed") $ |#1|) "\\spad{equation(dx,0)} allows \\spad{RHS} of Equation \\% to be zero")) (|listSD| (((|List| (|BasicStochasticDifferential|)) $) "\\spad{listSD(dx)} returns a list of all \\axiom{BSD} involved in the generation of \\axiom{dx} as a module element")) (|coefficient| (((|Expression| |#1|) $ (|BasicStochasticDifferential|)) "\\spad{coefficient(sd,dX)} returns the coefficient of \\axiom{dX} in the stochastic differential \\axiom{sd}")) (|freeOf?| (((|Boolean|) $ (|BasicStochasticDifferential|)) "\\spad{freeOf?(sd,dX)} checks whether \\axiom{dX} occurs in \\axiom{sd} as a module element")) (|drift| (($ $) "\\spad{drift(dx)} returns the drift of \\axiom{dx}")) (|alterDrift!| (((|Union| $ "failed") (|BasicStochasticDifferential|) $) "\\spad{alterDrift! adds} drift formula for a stochastic differential to a private table. Failure occurs if \\indented{1}{(a) first arguments is not basic} \\indented{1}{(b) second argument is not exactly of first degree}")) (|alterQuadVar!| (((|Union| $ "failed") (|BasicStochasticDifferential|) (|BasicStochasticDifferential|) $) "\\spad{alterQuadVar! adds} multiplication formula for a pair of stochastic differentials to a private table. Failure occurs if \\indented{1}{(a) either of first or second arguments is not basic} \\indented{1}{(b) third argument is not exactly of first degree}"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
-(-1081 R S) 
-((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,{}s)} expands the segment \\spad{s},{} applying \\spad{f} to each value. For example,{} if \\spad{s = l..h by k},{} then the list \\spad{[f(l),{} f(l+k),{}...,{} f(lN)]} is computed,{} where \\spad{lN <= h < lN+k}.") (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,{}l..h)} returns a new segment \\spad{f(l)..f(h)}."))) 
+(-1081 R) 
+((|constructor| (NIL "\\spadtype{SequentialDifferentialPolynomial} implements an ordinary differential polynomial ring in arbitrary number of differential indeterminates, with coefficients in a ring. The ranking on the differential indeterminate is sequential."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1082 (-1165)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1082 S) 
+((|constructor| (NIL "\\spadtype{OrderlyDifferentialVariable} adds a commonly used sequential ranking to the set of derivatives of an ordered list of differential indeterminates. A sequential ranking is a ranking \\spadfun{<} of the derivatives with the property that for any derivative \\spad{v,} there are only a finite number of derivatives \\spad{u} with \\spad{u} \\spadfun{<} \\spad{v.} This domain belongs to \\spadtype{DifferentialVariableCategory}. It defines \\spadfun{weight} to be just \\spadfun{order}, and it defines a sequential ranking \\spadfun{<} on derivatives \\spad{u} by the lexicographic order on the pair (\\spadfun{variable}(u), \\spadfun{order}(u))."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-841)))) 
-(-1082 R S) 
-((|constructor| (NIL "This package provides operations for mapping functions onto \\spadtype{SegmentBinding}\\spad{s}.")) (|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) "\\spad{map(f,{}v=a..b)} returns the value given by \\spad{v=f(a)..f(b)}."))) 
 NIL 
+(-1083 R S) 
+((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|List| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value. For example, if \\spad{s = l..h by \\spad{k},} then the list \\spad{[f(l), f(l+k),..., f(lN)]} is computed, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.") (((|Segment| |#2|) (|Mapping| |#2| |#1|) (|Segment| |#1|)) "\\spad{map(f,l..h)} returns a new segment \\spad{f(l)..f(h)}."))) 
 NIL 
-(-1083 S) 
-((|constructor| (NIL "This domain is used to provide the function argument syntax \\spad{v=a..b}. This is used,{} for example,{} by the top-level \\spadfun{draw} functions.")) (|segment| (((|Segment| |#1|) $) "\\spad{segment(segb)} returns the segment from the right hand side of the \\spadtype{SegmentBinding}. For example,{} if \\spad{segb} is \\spad{v=a..b},{} then \\spad{segment(segb)} returns \\spad{a..b}.")) (|variable| (((|Symbol|) $) "\\spad{variable(segb)} returns the variable from the left hand side of the \\spadtype{SegmentBinding}. For example,{} if \\spad{segb} is \\spad{v=a..b},{} then \\spad{variable(segb)} returns \\spad{v}.")) (|equation| (($ (|Symbol|) (|Segment| |#1|)) "\\spad{equation(v,{}a..b)} creates a segment binding value with variable \\spad{v} and segment \\spad{a..b}. Note that the interpreter parses \\spad{v=a..b} to this form."))) 
+((|HasCategory| |#1| (QUOTE (-842)))) 
+(-1084 R S) 
+((|constructor| (NIL "This package provides operations for mapping functions onto \\spadtype{SegmentBinding}s.")) (|map| (((|SegmentBinding| |#2|) (|Mapping| |#2| |#1|) (|SegmentBinding| |#1|)) "\\spad{map(f,v=a..b)} returns the value given by \\spad{v=f(a)..f(b)}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1091)))) 
-(-1084 S) 
-((|constructor| (NIL "This category provides operations on ranges,{} or segments as they are called.")) (|convert| (($ |#1|) "\\spad{convert(i)} creates the segment \\spad{i..i}.")) (|segment| (($ |#1| |#1|) "\\spad{segment(i,{}j)} is an alternate way to create the segment \\spad{i..j}.")) (|incr| (((|Integer|) $) "\\spad{incr(s)} returns \\spad{n},{} where \\spad{s} is a segment in which every \\spad{n}\\spad{-}th element is used. Note that \\spad{incr(l..h by n) = n}.")) (|high| ((|#1| $) "\\spad{high(s)} returns the second endpoint of \\spad{s}. Note that \\spad{high(l..h) = h}.")) (|low| ((|#1| $) "\\spad{low(s)} returns the first endpoint of \\spad{s}. Note that \\spad{low(l..h) = l}.")) (|hi| ((|#1| $) "\\spad{\\spad{hi}(s)} returns the second endpoint of \\spad{s}. Note that \\spad{\\spad{hi}(l..h) = h}.")) (|lo| ((|#1| $) "\\spad{lo(s)} returns the first endpoint of \\spad{s}. Note that \\spad{lo(l..h) = l}.")) (BY (($ $ (|Integer|)) "\\spad{s by n} creates a new segment in which only every \\spad{n}\\spad{-}th element is used.")) (SEGMENT (($ |#1| |#1|) "\\spad{l..h} creates a segment with \\spad{l} and \\spad{h} as the endpoints."))) 
-((-2982 . T)) 
 NIL 
 (-1085 S) 
+((|constructor| (NIL "This domain is used to provide the function argument syntax \\spad{v=a..b}. This is used, for example, by the top-level \\spadfun{draw} functions.")) (|segment| (((|Segment| |#1|) $) "\\spad{segment(segb)} returns the segment from the right hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{segment(segb)} returns \\spad{a..b}.")) (|variable| (((|Symbol|) $) "\\spad{variable(segb)} returns the variable from the left hand side of the \\spadtype{SegmentBinding}. For example, if \\spad{segb} is \\spad{v=a..b}, then \\spad{variable(segb)} returns \\spad{v}.")) (|equation| (($ (|Symbol|) (|Segment| |#1|)) "\\spad{equation(v,a..b)} creates a segment binding value with variable \\spad{v} and segment \\spad{a..b}. Note that the interpreter parses \\spad{v=a..b} to this form."))) 
+NIL 
+((|HasCategory| |#1| (QUOTE (-1093)))) 
+(-1086 S) 
+((|constructor| (NIL "This category provides operations on ranges, or segments as they are called.")) (|convert| (($ |#1|) "\\spad{convert(i)} creates the segment \\spad{i..i}.")) (|segment| (($ |#1| |#1|) "\\spad{segment(i,j)} is an alternate way to create the segment \\spad{i..j}.")) (|incr| (((|Integer|) $) "\\spad{incr(s)} returns \\spad{n}, where \\spad{s} is a segment in which every \\spad{n}-th element is used. Note that \\spad{incr(l..h by \\spad{n)} = \\spad{n}.}")) (|high| ((|#1| $) "\\spad{high(s)} returns the second endpoint of \\spad{s.} Note that \\spad{high(l..h) = \\spad{h}.}")) (|low| ((|#1| $) "\\spad{low(s)} returns the first endpoint of \\spad{s.} Note that \\spad{low(l..h) = \\spad{l}.}")) (|hi| ((|#1| $) "\\spad{hi(s)} returns the second endpoint of \\spad{s.} Note that \\spad{hi(l..h) = \\spad{h}.}")) (|lo| ((|#1| $) "\\spad{lo(s)} returns the first endpoint of \\spad{s.} Note that \\spad{lo(l..h) = \\spad{l}.}")) (BY (($ $ (|Integer|)) "\\spad{s by \\spad{n}} creates a new segment in which only every \\spad{n}-th element is used.")) (SEGMENT (($ |#1| |#1|) "\\spad{l..h} creates a segment with \\spad{l} and \\spad{h} as the endpoints."))) 
+((-4317 . T)) 
+NIL 
+(-1087 S) 
 ((|constructor| (NIL "This type is used to specify a range of values from type \\spad{S}."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (QUOTE (-1091)))) 
-(-1086 S L) 
-((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,{}l..h by k)} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment,{} that is,{} \\spad{[f(l),{} f(l+k),{} ...,{} f(lN)]},{} where \\spad{lN <= h < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by k)} creates value of type \\spad{L} with elements \\spad{l,{} l+k,{} ... lN} where \\spad{lN <= h < lN+k}. For example,{} \\spad{expand(1..5 by 2) = [1,{}3,{}5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by k} is replaced with \\spad{l,{} l+k,{} ... lN},{} where \\spad{lN <= h < lN+k}. For example,{} \\spad{expand [1..4,{} 7..9] = [1,{}2,{}3,{}4,{}7,{}8,{}9]}."))) 
-((-2982 . T)) 
+((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1093)))) 
+(-1088 S L) 
+((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,l..h by \\spad{k)}} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment, that is, \\spad{[f(l), f(l+k), ..., f(lN)]}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by \\spad{k)}} creates value of type \\spad{L} with elements \\spad{l, l+k, \\spad{...} \\spad{lN}} where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand(1..5 by 2) = [1,3,5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by \\spad{k}} is replaced with \\spad{l, l+k, \\spad{...} lN}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand [1..4, 7..9] = [1,2,3,4,7,8,9]}."))) 
+((-4317 . T)) 
 NIL 
-(-1087 A S) 
-((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both,{} the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,{}u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{x},{}\\spad{u})} returns a copy of \\spad{u}.") (($ $ |#2|) "\\spad{union(u,{}x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{u},{}\\spad{x})} returns a copy of \\spad{u}.") (($ $ $) "\\spad{union(u,{}v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v}.")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,{}v)} tests if \\spad{u} is a subset of \\spad{v}. Note that equivalent to \\axiom{reduce(and,{}{member?(\\spad{x},{}\\spad{v}) for \\spad{x} in \\spad{u}},{}\\spad{true},{}\\spad{false})}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,{}v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{symmetricDifference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that \\axiom{symmetricDifference(\\spad{u},{}\\spad{v}) = \\indented{1}{union(difference(\\spad{u},{}\\spad{v}),{}difference(\\spad{v},{}\\spad{u}))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,{}x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x},{} a copy of \\spad{u} is returned. Note that \\axiom{difference(\\spad{s},{} \\spad{x}) = difference(\\spad{s},{} {\\spad{x}})}.") (($ $ $) "\\spad{difference(u,{}v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v}. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{difference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that equivalent to the notation (not currently supported) \\axiom{{\\spad{x} for \\spad{x} in \\spad{u} | not member?(\\spad{x},{}\\spad{v})}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,{}v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v}. Note that equivalent to the notation (not currently supported) {\\spad{x} for \\spad{x} in \\spad{u} | member?(\\spad{x},{}\\spad{v})}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.") (($) "\\spad{set()}\\$\\spad{D} creates an empty set aggregate of type \\spad{D}.")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}\\$\\spad{D} (otherwise written {}\\$\\spad{D}) creates an empty set aggregate of type \\spad{D}. This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < t} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t}."))) 
+(-1089 A S) 
+((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#2|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
 NIL 
 NIL 
-(-1088 S) 
-((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both,{} the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#1| $) "\\spad{union(x,{}u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{x},{}\\spad{u})} returns a copy of \\spad{u}.") (($ $ |#1|) "\\spad{union(u,{}x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x},{} \\axiom{union(\\spad{u},{}\\spad{x})} returns a copy of \\spad{u}.") (($ $ $) "\\spad{union(u,{}v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v}.")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,{}v)} tests if \\spad{u} is a subset of \\spad{v}. Note that equivalent to \\axiom{reduce(and,{}{member?(\\spad{x},{}\\spad{v}) for \\spad{x} in \\spad{u}},{}\\spad{true},{}\\spad{false})}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,{}v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{symmetricDifference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that \\axiom{symmetricDifference(\\spad{u},{}\\spad{v}) = \\indented{1}{union(difference(\\spad{u},{}\\spad{v}),{}difference(\\spad{v},{}\\spad{u}))}}")) (|difference| (($ $ |#1|) "\\spad{difference(u,{}x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x},{} a copy of \\spad{u} is returned. Note that \\axiom{difference(\\spad{s},{} \\spad{x}) = difference(\\spad{s},{} {\\spad{x}})}.") (($ $ $) "\\spad{difference(u,{}v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v}. If \\spad{u} and \\spad{v} have no elements in common,{} \\axiom{difference(\\spad{u},{}\\spad{v})} returns a copy of \\spad{u}. Note that equivalent to the notation (not currently supported) \\axiom{{\\spad{x} for \\spad{x} in \\spad{u} | not member?(\\spad{x},{}\\spad{v})}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,{}v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v}. Note that equivalent to the notation (not currently supported) {\\spad{x} for \\spad{x} in \\spad{u} | member?(\\spad{x},{}\\spad{v})}.")) (|set| (($ (|List| |#1|)) "\\spad{set([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}.") (($) "\\spad{set()}\\$\\spad{D} creates an empty set aggregate of type \\spad{D}.")) (|brace| (($ (|List| |#1|)) "\\spad{brace([x,{}y,{}...,{}z])} creates a set aggregate containing items \\spad{x},{}\\spad{y},{}...,{}\\spad{z}. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}\\$\\spad{D} (otherwise written {}\\$\\spad{D}) creates an empty set aggregate of type \\spad{D}. This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < t} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t}."))) 
-((-4525 . T) (-2982 . T)) 
+(-1090 S) 
+((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#1| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#1|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#1|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#1|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#1|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
+((-4561 . T) (-4317 . T)) 
 NIL 
-(-1089) 
-((|constructor| (NIL "This is part of the PAFF package,{} related to projective space."))) 
+(-1091) 
+((|constructor| (NIL "This is part of the PAFF package, related to projective space."))) 
 NIL 
 NIL 
-(-1090 S) 
-((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\spad{\\br} \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s}.")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s}."))) 
+(-1092 S) 
+((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1091) 
-((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\spad{\\br} \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s}.")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s}."))) 
+(-1093) 
+((|constructor| (NIL "\\spadtype{SetCategory} is the basic category for describing a collection of elements with \\spadop{=} (equality) and \\spadfun{coerce} to output form. \\blankline Conditional Attributes\\br \\tab{5}canonical\\tab{5}data structure equality is the same as \\spadop{=}")) (|latex| (((|String|) $) "\\spad{latex(s)} returns a LaTeX-printable output representation of \\spad{s.}")) (|hash| (((|SingleInteger|) $) "\\spad{hash(s)} calculates a hash code for \\spad{s.}"))) 
 NIL 
 NIL 
-(-1092 |m| |n|) 
-((|constructor| (NIL "\\spadtype{SetOfMIntegersInOneToN} implements the subsets of \\spad{M} integers in the interval \\spad{[1..n]}")) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{delta(S,{}k,{}p)} returns the number of elements of \\spad{S} which are strictly between \\spad{p} and the \\spad{k^}{th} element of \\spad{S}.")) (|member?| (((|Boolean|) (|PositiveInteger|) $) "\\spad{member?(p,{} s)} returns \\spad{true} is \\spad{p} is in \\spad{s},{} \\spad{false} otherwise.")) (|enumerate| (((|Vector| $)) "\\spad{enumerate()} returns a vector of all the sets of \\spad{M} integers in \\spad{1..n}.")) (|setOfMinN| (($ (|List| (|PositiveInteger|))) "\\spad{setOfMinN([a_1,{}...,{}a_m])} returns the set {\\spad{a_1},{}...,{}a_m}. Error if {\\spad{a_1},{}...,{}a_m} is not a set of \\spad{M} integers in \\spad{1..n}.")) (|elements| (((|List| (|PositiveInteger|)) $) "\\spad{elements(S)} returns the list of the elements of \\spad{S} in increasing order.")) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{replaceKthElement(S,{}k,{}p)} replaces the \\spad{k^}{th} element of \\spad{S} by \\spad{p},{} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more.")) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) "\\spad{incrementKthElement(S,{}k)} increments the \\spad{k^}{th} element of \\spad{S},{} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more."))) 
+(-1094 |m| |n|) 
+((|constructor| (NIL "\\spadtype{SetOfMIntegersInOneToN} implements the subsets of \\spad{M} integers in the interval \\spad{[1..n]}")) (|delta| (((|NonNegativeInteger|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{delta(S,k,p)} returns the number of elements of \\spad{S} which are strictly between \\spad{p} and the k^{th} element of \\spad{S.}")) (|member?| (((|Boolean|) (|PositiveInteger|) $) "\\spad{member?(p, \\spad{s)}} returns \\spad{true} is \\spad{p} is in \\spad{s,} \\spad{false} otherwise.")) (|enumerate| (((|Vector| $)) "\\spad{enumerate()} returns a vector of all the sets of \\spad{M} integers in \\spad{1..n}.")) (|setOfMinN| (($ (|List| (|PositiveInteger|))) "\\spad{setOfMinN([a_1,...,a_m])} returns the set {a_1,...,a_m}. Error if {a_1,...,a_m} is not a set of \\spad{M} integers in \\spad{1..n}.")) (|elements| (((|List| (|PositiveInteger|)) $) "\\spad{elements(S)} returns the list of the elements of \\spad{S} in increasing order.")) (|replaceKthElement| (((|Union| $ "failed") $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{replaceKthElement(S,k,p)} replaces the k^{th} element of \\spad{S} by \\spad{p,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more.")) (|incrementKthElement| (((|Union| $ "failed") $ (|PositiveInteger|)) "\\spad{incrementKthElement(S,k)} increments the k^{th} element of \\spad{S,} and returns \"failed\" if the result is not a set of \\spad{M} integers in \\spad{1..n} any more."))) 
 NIL 
 NIL 
-(-1093 S) 
-((|constructor| (NIL "A set over a domain \\spad{D} models the usual mathematical notion of a finite set of elements from \\spad{D}. Sets are unordered collections of distinct elements (that is,{} order and duplication does not matter). The notation \\spad{set [a,{}b,{}c]} can be used to create a set and the usual operations such as union and intersection are available to form new sets. In our implementation,{} \\Language{} maintains the entries in sorted order. Specifically,{} the parts function returns the entries as a list in ascending order and the extract operation returns the maximum entry. Given two sets \\spad{s} and \\spad{t} where \\spad{\\#s = m} and \\spad{\\#t = n},{} the complexity of\\spad{\\br} \\tab{5}\\spad{s = t} is \\spad{O(min(n,{}m))}\\spad{\\br} \\tab{5}\\spad{s < t} is \\spad{O(max(n,{}m))}\\spad{\\br} \\tab{5}\\spad{union(s,{}t)},{} \\spad{intersect(s,{}t)},{} \\spad{minus(s,{}t)},{}\\spad{\\br} \\tab{10 \\spad{symmetricDifference(s,{}t)} is \\spad{O(max(n,{}m))}\\spad{\\br} \\tab{5}\\spad{member(x,{}t)} is \\spad{O(n log n)}\\spad{\\br} \\tab{5}\\spad{insert(x,{}t)} and \\spad{remove(x,{}t)} is \\spad{O(n)}"))) 
-((-4535 . T) (-4525 . T) (-4536 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-843))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-1094 |Str| |Sym| |Int| |Flt| |Expr|) 
-((|constructor| (NIL "This category allows the manipulation of Lisp values while keeping the grunge fairly localized.")) (|elt| (($ $ (|List| (|Integer|))) "\\spad{elt((a1,{}...,{}an),{} [i1,{}...,{}im])} returns \\spad{(a_i1,{}...,{}a_im)}.") (($ $ (|Integer|)) "\\spad{elt((a1,{}...,{}an),{} i)} returns \\spad{\\spad{ai}}.")) (|#| (((|Integer|) $) "\\spad{\\#((a1,{}...,{}an))} returns \\spad{n}.")) (|cdr| (($ $) "\\spad{cdr((a1,{}...,{}an))} returns \\spad{(a2,{}...,{}an)}.")) (|car| (($ $) "\\spad{car((a1,{}...,{}an))} returns \\spad{a1}.")) (|convert| (($ |#5|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#4|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#3|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#2|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ |#1|) "\\spad{convert(x)} returns the Lisp atom \\spad{x}.") (($ (|List| $)) "\\spad{convert([a1,{}...,{}an])} returns an \\spad{S}-expression \\spad{(a1,{}...,{}an)}.")) (|expr| ((|#5| $) "\\spad{expr(s)} returns \\spad{s} as an element of Expr; Error: if \\spad{s} is not an atom that also belongs to Expr.")) (|float| ((|#4| $) "\\spad{float(s)} returns \\spad{s} as an element of \\spad{Flt}; Error: if \\spad{s} is not an atom that also belongs to \\spad{Flt}.")) (|integer| ((|#3| $) "\\spad{integer(s)} returns \\spad{s} as an element of Int. Error: if \\spad{s} is not an atom that also belongs to Int.")) (|symbol| ((|#2| $) "\\spad{symbol(s)} returns \\spad{s} as an element of \\spad{Sym}. Error: if \\spad{s} is not an atom that also belongs to \\spad{Sym}.")) (|string| ((|#1| $) "\\spad{string(s)} returns \\spad{s} as an element of \\spad{Str}. Error: if \\spad{s} is not an atom that also belongs to \\spad{Str}.")) (|destruct| (((|List| $) $) "\\spad{destruct((a1,{}...,{}an))} returns the list [\\spad{a1},{}...,{}an].")) (|float?| (((|Boolean|) $) "\\spad{float?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Flt}.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Int.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Sym}.")) (|string?| (((|Boolean|) $) "\\spad{string?(s)} is \\spad{true} if \\spad{s} is an atom and belong to \\spad{Str}.")) (|list?| (((|Boolean|) $) "\\spad{list?(s)} is \\spad{true} if \\spad{s} is a Lisp list,{} possibly ().")) (|pair?| (((|Boolean|) $) "\\spad{pair?(s)} is \\spad{true} if \\spad{s} has is a non-null Lisp list.")) (|atom?| (((|Boolean|) $) "\\spad{atom?(s)} is \\spad{true} if \\spad{s} is a Lisp atom.")) (|null?| (((|Boolean|) $) "\\spad{null?(s)} is \\spad{true} if \\spad{s} is the \\spad{S}-expression ().")) (|eq| (((|Boolean|) $ $) "\\spad{eq(s,{} t)} is \\spad{true} if EQ(\\spad{s},{}\\spad{t}) is \\spad{true} in Lisp."))) 
+(-1095 S) 
+((|constructor| (NIL "A set over a domain \\spad{D} models the usual mathematical notion of a finite set of elements from \\spad{D.} Sets are unordered collections of distinct elements (that is, order and duplication does not matter). The notation \\spad{set [a,b,c]} can be used to create a set and the usual operations such as union and intersection are available to form new sets. In our implementation, \\Language{} maintains the entries in sorted order. Specifically, the parts function returns the entries as a list in ascending order and the extract operation returns the maximum entry. Given two sets \\spad{s} and \\spad{t} where \\spad{\\#s = \\spad{m}} and \\spad{\\#t = \\spad{n},} the complexity of\\br \\tab{5}\\spad{s = \\spad{t}} is \\spad{O(min(n,m))}\\br \\tab{5}\\spad{s < \\spad{t}} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{union(s,t)}, \\spad{intersect(s,t)}, \\spad{minus(s,t)},\\br \\tab{10 \\spad{symmetricDifference(s,t)} is \\spad{O(max(n,m))}\\br \\tab{5}\\spad{member(x,t)} is \\spad{O(n log n)}\\br \\tab{5}\\spad{insert(x,t)} and \\spad{remove(x,t)} is \\spad{O(n)}"))) 
+((-4571 . T) (-4561 . T) (-4572 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-371))) (|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-844))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-371)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-1096 |Str| |Sym| |Int| |Flt| |Expr|) 
+((|constructor| (NIL "This category allows the manipulation of Lisp values while keeping the grunge fairly localized.")) (|elt| (($ $ (|List| (|Integer|))) "\\spad{elt((a1,...,an), [i1,...,im])} returns \\spad{(a_i1,...,a_im)}.") (($ $ (|Integer|)) "\\spad{elt((a1,...,an), i)} returns \\spad{ai}.")) (|#| (((|Integer|) $) "\\spad{\\#((a1,...,an))} returns \\spad{n.}")) (|cdr| (($ $) "\\spad{cdr((a1,...,an))} returns \\spad{(a2,...,an)}.")) (|car| (($ $) "\\spad{car((a1,...,an))} returns a1.")) (|convert| (($ |#5|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#4|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#3|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#2|) "\\spad{convert(x)} returns the Lisp atom \\spad{x.}") (($ |#1|) "\\spad{convert(x)} returns the Lisp atom \\spad{x;}") (($ (|List| $)) "\\spad{convert([a1,...,an])} returns an S-expression \\spad{(a1,...,an)}.")) (|expr| ((|#5| $) "\\spad{expr(s)} returns \\spad{s} as an element of Expr; Error: if \\spad{s} is not an atom that also belongs to Expr.")) (|float| ((|#4| $) "\\spad{float(s)} returns \\spad{s} as an element of Flt; Error: if \\spad{s} is not an atom that also belongs to Flt.")) (|integer| ((|#3| $) "\\spad{integer(s)} returns \\spad{s} as an element of Int. Error: if \\spad{s} is not an atom that also belongs to Int.")) (|symbol| ((|#2| $) "\\spad{symbol(s)} returns \\spad{s} as an element of Sym. Error: if \\spad{s} is not an atom that also belongs to Sym.")) (|string| ((|#1| $) "\\spad{string(s)} returns \\spad{s} as an element of Str. Error: if \\spad{s} is not an atom that also belongs to Str.")) (|destruct| (((|List| $) $) "\\spad{destruct((a1,...,an))} returns the list [a1,...,an].")) (|float?| (((|Boolean|) $) "\\spad{float?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Flt.")) (|integer?| (((|Boolean|) $) "\\spad{integer?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Int.")) (|symbol?| (((|Boolean|) $) "\\spad{symbol?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Sym.")) (|string?| (((|Boolean|) $) "\\spad{string?(s)} is \\spad{true} if \\spad{s} is an atom and belong to Str.")) (|list?| (((|Boolean|) $) "\\spad{list?(s)} is \\spad{true} if \\spad{s} is a Lisp list, possibly \\spad{().}")) (|pair?| (((|Boolean|) $) "\\spad{pair?(s)} is \\spad{true} if \\spad{s} has is a non-null Lisp list.")) (|atom?| (((|Boolean|) $) "\\spad{atom?(s)} is \\spad{true} if \\spad{s} is a Lisp atom.")) (|null?| (((|Boolean|) $) "\\spad{null?(s)} is \\spad{true} if \\spad{s} is the S-expression \\spad{().}")) (|eq| (((|Boolean|) $ $) "\\spad{eq(s, \\spad{t)}} is \\spad{true} if EQ(s,t) is \\spad{true} in Lisp."))) 
 NIL 
 NIL 
-(-1095) 
+(-1097) 
 ((|constructor| (NIL "This domain allows the manipulation of the usual Lisp values."))) 
 NIL 
 NIL 
-(-1096 |Str| |Sym| |Int| |Flt| |Expr|) 
+(-1098 |Str| |Sym| |Int| |Flt| |Expr|) 
 ((|constructor| (NIL "This domain allows the manipulation of Lisp values over arbitrary atomic types."))) 
 NIL 
 NIL 
-(-1097 R FS) 
-((|constructor| (NIL "\\axiomType{SimpleFortranProgram(\\spad{f},{}type)} provides a simple model of some FORTRAN subprograms,{} making it possible to coerce objects of various domains into a FORTRAN subprogram called \\axiom{\\spad{f}}. These can then be translated into legal FORTRAN code.")) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) "\\spad{fortran(fname,{}ftype,{}body)} builds an object of type \\axiomType{FortranProgramCategory}. The three arguments specify the name,{} the type and the \\spad{body} of the program."))) 
+(-1099 R FS) 
+((|constructor| (NIL "\\axiomType{SimpleFortranProgram(f,type)} provides a simple model of some FORTRAN subprograms, making it possible to coerce objects of various domains into a FORTRAN subprogram called \\axiom{f}. These can then be translated into legal FORTRAN code.")) (|fortran| (($ (|Symbol|) (|FortranScalarType|) |#2|) "\\spad{fortran(fname,ftype,body)} builds an object of type \\axiomType{FortranProgramCategory}. The three arguments specify the name, the type and the \\spad{body} of the program."))) 
 NIL 
 NIL 
-(-1098 R E V P TS) 
-((|constructor| (NIL "A internal package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,{}\\spad{ts},{}lineq,{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(\\spad{lp},{}\\spad{lts},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine,{} exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(\\spad{lpwt1},{}\\spad{lpwt2})} is an internal subroutine,{} exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(\\spad{lts})} removes from \\axiom{\\spad{lts}} any \\spad{ts} such that \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for another \\spad{us} in \\axiom{\\spad{lts}}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(\\spad{ts},{}lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(\\spad{ts},{}us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(\\spad{ts},{}us)} returns \\spad{true} iff internalSubQuasiComponent?(\\spad{ts},{}us) from QuasiComponentPackage returns \\spad{true}.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(\\spad{ts},{}us)} returns a boolean \\spad{b} value if the fact the regular zero set of \\axiom{us} contains that of \\axiom{\\spad{ts}} can be decided (and in that case \\axiom{\\spad{b}} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(\\spad{lp1},{}\\spad{lp2})} is an internal subroutine,{} exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}} assuming that these lists are sorted increasingly \\spad{w}.\\spad{r}.\\spad{t}. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(\\spad{lp1},{}\\spad{lp2})} returns \\spad{true} iff \\axiom{\\spad{lp1}} is a sub-set of \\axiom{\\spad{lp2}}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(\\spad{ts},{}us)} returns \\spad{false} iff \\axiom{\\spad{ts}} and \\axiom{us} are both empty,{} or \\axiom{\\spad{ts}} has less elements than \\axiom{us},{} or some variable is algebraic \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{us} and is not \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(\\spad{lts})} sorts \\axiom{\\spad{lts}} \\spad{w}.\\spad{r}.\\spad{t} supDimElseRittWu from QuasiComponentPackage.")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(\\spad{ts},{}us)} returns \\spad{true} iff \\axiom{\\spad{ts}} has less elements than \\axiom{us} otherwise if \\axiom{\\spad{ts}} has higher rank than \\axiom{us} \\spad{w}.\\spad{r}.\\spad{t}. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine,{} exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(\\spad{s1},{}\\spad{s2},{}\\spad{s3})} is an internal subroutine,{} exported only for developement."))) 
+(-1100 R E V P TS) 
+((|constructor| (NIL "A internal package for removing redundant quasi-components and redundant branches when decomposing a variety by means of quasi-components of regular triangular sets.")) (|branchIfCan| (((|Union| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|))) "failed") (|List| |#4|) |#5| (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{branchIfCan(leq,ts,lineq,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement.")) (|prepareDecompose| (((|List| (|Record| (|:| |eq| (|List| |#4|)) (|:| |tower| |#5|) (|:| |ineq| (|List| |#4|)))) (|List| |#4|) (|List| |#5|) (|Boolean|) (|Boolean|)) "\\axiom{prepareDecompose(lp,lts,b1,b2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousCases| (((|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) (|List| (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)))) "\\axiom{removeSuperfluousCases(llpwt)} is an internal subroutine, exported only for developement.")) (|subCase?| (((|Boolean|) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|)) (|Record| (|:| |val| (|List| |#4|)) (|:| |tower| |#5|))) "\\axiom{subCase?(lpwt1,lpwt2)} is an internal subroutine, exported only for developement.")) (|removeSuperfluousQuasiComponents| (((|List| |#5|) (|List| |#5|)) "\\axiom{removeSuperfluousQuasiComponents(lts)} removes from \\axiom{lts} any \\spad{ts} such that \\axiom{subQuasiComponent?(ts,us)} holds for another \\spad{us} in \\axiom{lts}.")) (|subQuasiComponent?| (((|Boolean|) |#5| (|List| |#5|)) "\\axiom{subQuasiComponent?(ts,lus)} returns \\spad{true} iff \\axiom{subQuasiComponent?(ts,us)} holds for one \\spad{us} in \\spad{lus}.") (((|Boolean|) |#5| |#5|) "\\axiom{subQuasiComponent?(ts,us)} returns \\spad{true} iff internalSubQuasiComponent?(ts,us) from QuasiComponentPackage returns true.")) (|internalSubQuasiComponent?| (((|Union| (|Boolean|) "failed") |#5| |#5|) "\\axiom{internalSubQuasiComponent?(ts,us)} returns a boolean \\spad{b} value if the fact the regular zero set of \\axiom{us} contains that of \\axiom{ts} can be decided (and in that case \\axiom{b} gives this inclusion) otherwise returns \\axiom{\"failed\"}.")) (|infRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{infRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalInfRittWu?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalInfRittWu?(lp1,lp2)} is an internal subroutine, exported only for developement.")) (|internalSubPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{internalSubPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2} assuming that these lists are sorted increasingly w.r.t. infRittWu? from RecursivePolynomialCategory.")) (|subPolSet?| (((|Boolean|) (|List| |#4|) (|List| |#4|)) "\\axiom{subPolSet?(lp1,lp2)} returns \\spad{true} iff \\axiom{lp1} is a sub-set of \\axiom{lp2}.")) (|subTriSet?| (((|Boolean|) |#5| |#5|) "\\axiom{subTriSet?(ts,us)} returns \\spad{true} iff \\axiom{ts} is a sub-set of \\axiom{us}.")) (|moreAlgebraic?| (((|Boolean|) |#5| |#5|) "\\axiom{moreAlgebraic?(ts,us)} returns \\spad{false} iff \\axiom{ts} and \\axiom{us} are both empty, or \\axiom{ts} has less elements than \\axiom{us}, or some variable is algebraic w.r.t. \\axiom{us} and is not w.r.t. \\axiom{ts}.")) (|algebraicSort| (((|List| |#5|) (|List| |#5|)) "\\axiom{algebraicSort(lts)} sorts \\axiom{lts} w.r.t supDimElseRittWu from QuasiComponentPackage.")) (|supDimElseRittWu?| (((|Boolean|) |#5| |#5|) "\\axiom{supDimElseRittWu(ts,us)} returns \\spad{true} iff \\axiom{ts} has less elements than \\axiom{us} otherwise if \\axiom{ts} has higher rank than \\axiom{us} w.r.t. Riit and Wu ordering.")) (|stopTable!| (((|Void|)) "\\axiom{stopTableGcd!()} is an internal subroutine, exported only for developement.")) (|startTable!| (((|Void|) (|String|) (|String|) (|String|)) "\\axiom{startTableGcd!(s1,s2,s3)} is an internal subroutine, exported only for developement."))) 
 NIL 
 NIL 
-(-1099 R E V P TS) 
+(-1101 R E V P TS) 
 ((|constructor| (NIL "A internal package for computing gcds and resultants of univariate polynomials with coefficients in a tower of simple extensions of a field. There is no need to use directly this package since its main operations are available from \\spad{TS}."))) 
 NIL 
 NIL 
-(-1100 R E V P) 
-((|constructor| (NIL "The category of square-free regular triangular sets. A regular triangular set \\spad{ts} is square-free if the \\spad{gcd} of any polynomial \\spad{p} in \\spad{ts} and differentiate(\\spad{p},{}mvar(\\spad{p})) \\spad{w}.\\spad{r}.\\spad{t}. collectUnder(\\spad{ts},{}mvar(\\spad{p})) has degree zero \\spad{w}.\\spad{r}.\\spad{t}. \\spad{mvar(p)}. Thus any square-free regular set defines a tower of square-free simple extensions."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-1102 R E V P) 
+((|constructor| (NIL "The category of square-free regular triangular sets. A regular triangular set \\spad{ts} is square-free if the \\spad{gcd} of any polynomial \\spad{p} in \\spad{ts} and differentiate(p,mvar(p)) w.r.t. collectUnder(ts,mvar(p)) has degree zero w.r.t. \\spad{mvar(p)}. Thus any square-free regular set defines a tower of square-free simple extensions."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1101) 
-((|constructor| (NIL "SymmetricGroupCombinatoricFunctions contains combinatoric functions concerning symmetric groups and representation theory: list young tableaus,{} improper partitions,{} subsets bijection of Coleman.")) (|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions1(n,{}m,{}k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in at most \\spad{m} nonnegative parts ordered as follows: first,{} in reverse lexicographically according to their non-zero parts,{} then according to their positions (\\spadignore{i.e.} lexicographical order using subSet: [3,{}0,{}0] < [0,{}3,{}0] < [0,{}0,{}3] < [2,{}1,{}0] < [2,{}0,{}1] < [0,{}2,{}1] < [1,{}2,{}0] < [1,{}0,{}2] < [0,{}1,{}2] < [1,{}1,{}1]. Note that counting of subtrees is done by numberOfImproperPartitionsInternal.")) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions0(n,{}m,{}k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in \\spad{m} nonnegative parts in reverse lexicographical order. Example: [0,{}0,{}3] < [0,{}1,{}2] < [0,{}2,{}1] < [0,{}3,{}0] < [1,{}0,{}2] < [1,{}1,{}1] < [1,{}2,{}0] < [2,{}0,{}1] < [2,{}1,{}0] < [3,{}0,{}0]. Error: if \\spad{k} is negative or too big. Note that counting of subtrees is done by numberOfImproperPartitions")) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subSet(n,{}m,{}k)} calculates the \\spad{k}-th \\spad{m}-subset of the set 0,{}1,{}...,{}(\\spad{n}-1) in the lexicographic order considered as a decreasing map from 0,{}...,{}(\\spad{m}-1) into 0,{}...,{}(\\spad{n}-1). See \\spad{S}.\\spad{G}. Williamson: Theorem 1.60. Error: if not (0 \\spad{<=} \\spad{m} \\spad{<=} \\spad{n} and 0 < = \\spad{k} < (\\spad{n} choose \\spad{m})).")) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{numberOfImproperPartitions(n,{}m)} computes the number of partitions of the nonnegative integer \\spad{n} in \\spad{m} nonnegative parts with regarding the order (improper partitions). Example: numberOfImproperPartitions (3,{}3) is 10,{} since [0,{}0,{}3],{} [0,{}1,{}2],{} [0,{}2,{}1],{} [0,{}3,{}0],{} [1,{}0,{}2],{} [1,{}1,{}1],{} [1,{}2,{}0],{} [2,{}0,{}1],{} [2,{}1,{}0],{} [3,{}0,{}0] are the possibilities. Note that this operation has a recursive implementation.")) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,{}part,{}number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of \\spad{gamma}. the first partition is achieved by part=[]. Also,{} [] indicates that \\spad{part} is the last partition.") (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,{}part,{}number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of \\spad{gamma}. The first partition is achieved by part=[]. Also,{} [] indicates that \\spad{part} is the last partition.")) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) "\\spad{nextLatticePermutation(lambda,{}lattP,{}constructNotFirst)} generates the lattice permutation according to the proper partition \\spad{lambda} succeeding the lattice permutation \\spad{lattP} in lexicographical order as long as \\spad{constructNotFirst} is \\spad{true}. If \\spad{constructNotFirst} is \\spad{false},{} the first lattice permutation is returned. The result nil indicates that \\spad{lattP} has no successor.")) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{nextColeman(alpha,{}beta,{}C)} generates the next Coleman matrix of column sums \\spad{alpha} and row sums \\spad{beta} according to the lexicographical order from bottom-to-top. The first Coleman matrix is achieved by C=new(1,{}1,{}0). Also,{} new(1,{}1,{}0) indicates that \\spad{C} is the last Coleman matrix.")) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{makeYoungTableau(lambda,{}gitter)} computes for a given lattice permutation \\spad{gitter} and for an improper partition \\spad{lambda} the corresponding standard tableau of shape \\spad{lambda}. Notes: see listYoungTableaus. The entries are from 0,{}...,{}\\spad{n}-1.")) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{listYoungTableaus(lambda)} where \\spad{lambda} is a proper partition generates the list of all standard tableaus of shape \\spad{lambda} by means of lattice permutations. The numbers of the lattice permutation are interpreted as column labels. Hence the contents of these lattice permutations are the conjugate of \\spad{lambda}. Notes: the functions nextLatticePermutation and makeYoungTableau are used. The entries are from 0,{}...,{}\\spad{n}-1.")) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{inverseColeman(alpha,{}beta,{}C)}: there is a bijection from the set of matrices having nonnegative entries and row sums \\spad{alpha},{} column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn}. (Salpha is the Young subgroup corresponding to the improper partition \\spad{alpha}). For such a matrix \\spad{C},{} inverseColeman(\\spad{alpha},{}\\spad{beta},{}\\spad{C}) calculates the lexicographical smallest \\spad{pi} in the corresponding double coset. Note that the resulting permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}} is given in list form. Notes: the inverse of this map is coleman. For details,{} see James/Kerber.")) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{coleman(alpha,{}beta,{}\\spad{pi})}: there is a bijection from the set of matrices having nonnegative entries and row sums \\spad{alpha},{} column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn}. (Salpha is the Young subgroup corresponding to the improper partition \\spad{alpha}). For a representing element \\spad{pi} of such a double coset,{} coleman(\\spad{alpha},{}\\spad{beta},{}\\spad{pi}) generates the Coleman-matrix corresponding to \\spad{alpha},{} \\spad{beta},{} \\spad{pi}. Note that The permutation \\spad{pi} of {1,{}2,{}...,{}\\spad{n}} has to be given in list form. Note that the inverse of this map is inverseColeman (if \\spad{pi} is the lexicographical smallest permutation in the coset). For details see James/Kerber."))) 
+(-1103) 
+((|constructor| (NIL "SymmetricGroupCombinatoricFunctions contains combinatoric functions concerning symmetric groups and representation theory: list young tableaus, improper partitions, subsets bijection of Coleman.")) (|unrankImproperPartitions1| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions1(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in at most \\spad{m} nonnegative parts ordered as follows: first, in reverse lexicographically according to their non-zero parts, then according to their positions (\\spadignore{i.e.} lexicographical order using subSet: [3,0,0] < [0,3,0] < [0,0,3] < [2,1,0] < [2,0,1] < [0,2,1] < [1,2,0] < [1,0,2] < [0,1,2] < [1,1,1]. Note that counting of subtrees is done by numberOfImproperPartitionsInternal.")) (|unrankImproperPartitions0| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{unrankImproperPartitions0(n,m,k)} computes the \\spad{k}-th improper partition of nonnegative \\spad{n} in \\spad{m} nonnegative parts in reverse lexicographical order. Example: [0,0,3] < [0,1,2] < [0,2,1] < [0,3,0] < [1,0,2] < [1,1,1] < [1,2,0] < [2,0,1] < [2,1,0] < [3,0,0]. Error: if \\spad{k} is negative or too big. Note that counting of subtrees is done by numberOfImproperPartitions")) (|subSet| (((|List| (|Integer|)) (|Integer|) (|Integer|) (|Integer|)) "\\spad{subSet(n,m,k)} calculates the \\spad{k}-th m-subset of the set 0,1,...,(n-1) in the lexicographic order considered as a decreasing map from 0,...,(m-1) into 0,...,(n-1). See S.G. Williamson: Theorem 1.60. Error: if not \\spad{(0} \\spad{<=} \\spad{m} \\spad{<=} \\spad{n} and 0 < = \\spad{k} < \\spad{(n} choose m)).")) (|numberOfImproperPartitions| (((|Integer|) (|Integer|) (|Integer|)) "\\spad{numberOfImproperPartitions(n,m)} computes the number of partitions of the nonnegative integer \\spad{n} in \\spad{m} nonnegative parts with regarding the order (improper partitions). Example: numberOfImproperPartitions (3,3) is 10, since [0,0,3], [0,1,2], [0,2,1], [0,3,0], [1,0,2], [1,1,1], [1,2,0], [2,0,1], [2,1,0], [3,0,0] are the possibilities. Note that this operation has a recursive implementation.")) (|nextPartition| (((|Vector| (|Integer|)) (|List| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. the first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.") (((|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Vector| (|Integer|)) (|Integer|)) "\\spad{nextPartition(gamma,part,number)} generates the partition of \\spad{number} which follows \\spad{part} according to the right-to-left lexicographical order. The partition has the property that its components do not exceed the corresponding components of gamma. The first partition is achieved by part=[]. Also, \\spad{[]} indicates that \\spad{part} is the last partition.")) (|nextLatticePermutation| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Boolean|)) "\\spad{nextLatticePermutation(lambda,lattP,constructNotFirst)} generates the lattice permutation according to the proper partition \\spad{lambda} succeeding the lattice permutation \\spad{lattP} in lexicographical order as long as \\spad{constructNotFirst} is true. If \\spad{constructNotFirst} is false, the first lattice permutation is returned. The result nil indicates that \\spad{lattP} has no successor.")) (|nextColeman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{nextColeman(alpha,beta,C)} generates the next Coleman matrix of column sums \\spad{alpha} and row sums \\spad{beta} according to the lexicographical order from bottom-to-top. The first Coleman matrix is achieved by C=new(1,1,0). Also, new(1,1,0) indicates that \\spad{C} is the last Coleman matrix.")) (|makeYoungTableau| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{makeYoungTableau(lambda,gitter)} computes for a given lattice permutation \\spad{gitter} and for an improper partition \\spad{lambda} the corresponding standard tableau of shape lambda. Notes: see listYoungTableaus. The entries are from 0,...,n-1.")) (|listYoungTableaus| (((|List| (|Matrix| (|Integer|))) (|List| (|Integer|))) "\\spad{listYoungTableaus(lambda)} where \\spad{lambda} is a proper partition generates the list of all standard tableaus of shape \\spad{lambda} by means of lattice permutations. The numbers of the lattice permutation are interpreted as column labels. Hence the contents of these lattice permutations are the conjugate of lambda. Notes: the functions nextLatticePermutation and makeYoungTableau are used. The entries are from 0,...,n-1.")) (|inverseColeman| (((|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|Matrix| (|Integer|))) "\\spad{inverseColeman(alpha,beta,C)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For such a matrix \\spad{C,} inverseColeman(alpha,beta,C) calculates the lexicographical smallest \\spad{pi} in the corresponding double coset. Note that the resulting permutation \\spad{pi} of {1,2,...,n} is given in list form. Notes: the inverse of this map is coleman. For details, see James/Kerber.")) (|coleman| (((|Matrix| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|)) (|List| (|Integer|))) "\\spad{coleman(alpha,beta,pi)}: there is a bijection from the set of matrices having nonnegative entries and row sums alpha, column sums \\spad{beta} to the set of Salpha - Sbeta double cosets of the symmetric group \\spad{Sn.} (Salpha is the Young subgroup corresponding to the improper partition alpha). For a representing element \\spad{pi} of such a double coset, coleman(alpha,beta,pi) generates the Coleman-matrix corresponding to alpha, beta, pi. Note that The permutation \\spad{pi} of {1,2,...,n} has to be given in list form. Note that the inverse of this map is inverseColeman (if \\spad{pi} is the lexicographical smallest permutation in the coset). For details see James/Kerber."))) 
 NIL 
 NIL 
-(-1102 S) 
-((|constructor| (NIL "the class of all multiplicative semigroups,{} \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\spad{\\br} \\tab{5}\\spad{commutative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x*y = y*x }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}."))) 
+(-1104 S) 
+((|constructor| (NIL "the class of all multiplicative semigroups, \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x*y = \\spad{y*x} }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1103) 
-((|constructor| (NIL "the class of all multiplicative semigroups,{} \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\spad{\\br} \\tab{5}\\spad{associative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\spad{\\br} \\tab{5}\\spad{commutative(\"*\":(\\%,{}\\%)->\\%)}\\tab{5}\\spad{ x*y = y*x }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times,{} \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y}."))) 
+(-1105) 
+((|constructor| (NIL "the class of all multiplicative semigroups, \\spadignore{i.e.} a set with an associative operation \\spadop{*}. \\blankline Axioms\\br \\tab{5}\\spad{associative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ (x*y)*z = x*(y*z)} \\blankline Conditional attributes\\br \\tab{5}\\spad{commutative(\"*\":(\\%,\\%)->\\%)}\\tab{5}\\spad{ x*y = \\spad{y*x} }")) (^ (($ $ (|PositiveInteger|)) "\\spad{x^n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (** (($ $ (|PositiveInteger|)) "\\spad{x**n} returns the repeated product of \\spad{x} \\spad{n} times, \\spadignore{i.e.} exponentiation.")) (* (($ $ $) "\\spad{x*y} returns the product of \\spad{x} and \\spad{y.}"))) 
 NIL 
 NIL 
-(-1104 |dimtot| |dim1| S) 
+(-1106 |dimtot| |dim1| S) 
 ((|constructor| (NIL "This type represents the finite direct or cartesian product of an underlying ordered component type. The vectors are ordered as if they were split into two blocks. The \\spad{dim1} parameter specifies the length of the first block. The ordering is lexicographic between the blocks but acts like \\spadtype{HomogeneousDirectProduct} within each block. This type is a suitable third argument for \\spadtype{GeneralDistributedMultivariatePolynomial}."))) 
-((-4529 |has| |#3| (-1048)) (-4530 |has| |#3| (-1048)) (-4532 |has| |#3| (-6 -4532)) ((-4537 "*") |has| |#3| (-173)) (-4535 . T)) 
-((|HasCategory| |#3| (QUOTE (-1091))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (-2232 (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841)))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-173))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-2232 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-226))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| (-569) (QUOTE (-843))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091)))) (|HasAttribute| |#3| (QUOTE -4532)) (|HasCategory| |#3| (QUOTE (-138))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (|HasCategory| |#3| (QUOTE (-25))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-717))) (|HasCategory| |#3| (QUOTE (-789))) (|HasCategory| |#3| (QUOTE (-841))) (|HasCategory| |#3| (QUOTE (-1048))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1048)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1091))))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1091))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-717)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-789)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-841)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1048)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1091)))))) 
-(-1105 R |x|) 
-((|constructor| (NIL "This package produces functions for counting etc. real roots of univariate polynomials in \\spad{x} over \\spad{R},{} which must be an OrderedIntegralDomain")) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRootsMultiple(p)} says how many real roots \\spad{p} has,{} counted with multiplicity")) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtMultiple(p1,{}p2)} computes \\spad{c_}{+}\\spad{-c_}{-} where \\spad{c_}{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and \\spad{c_}{-} is the number of real roots of \\spad{p1} with \\spad{p2<0}. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1}.")) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRoots(p)} says how many real roots \\spad{p} has")) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabicht(p1,{}p2)} computes \\spad{c_}{+}\\spad{-c_}{-} where \\spad{c_}{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and \\spad{c_}{-} is the number of real roots of \\spad{p1} with \\spad{p2<0}. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1}.")) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtCoefficients(p1,{}p2)} computes the principal Sturm-Habicht coefficients of \\spad{p1} and \\spad{p2}")) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtSequence(p1,{}p2)} computes the Sturm-Habicht sequence of \\spad{p1} and \\spad{p2}")) (|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{subresultantSequence(p1,{}p2)} computes the (standard) subresultant sequence of \\spad{p1} and \\spad{p2}"))) 
+((-4565 |has| |#3| (-1049)) (-4566 |has| |#3| (-1049)) (-4568 |has| |#3| (-6 -4568)) ((-4573 "*") |has| |#3| (-173)) (-4571 . T)) 
+((|HasCategory| |#3| (QUOTE (-1093))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (-1929 (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842)))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-173))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-366)))) (-1929 (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-226))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| (-569) (QUOTE (-844))) (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093)))) (|HasAttribute| |#3| (QUOTE -4568)) (|HasCategory| |#3| (QUOTE (-138))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (|HasCategory| |#3| (QUOTE (-25))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-371))) (|HasCategory| |#3| (QUOTE (-718))) (|HasCategory| |#3| (QUOTE (-790))) (|HasCategory| |#3| (QUOTE (-842))) (|HasCategory| |#3| (QUOTE (-1049))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (QUOTE (-25))) (|HasCategory| |#3| (QUOTE (-138))) (|HasCategory| |#3| (QUOTE (-173))) (|HasCategory| |#3| (QUOTE (-226))) (|HasCategory| |#3| (QUOTE (-366))) (|HasCategory| |#3| (QUOTE (-1049)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#3| (QUOTE (-1093))))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#3| (QUOTE (-1093))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-25)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-138)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-173)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-226)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-366)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-371)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-718)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-790)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-842)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1049)))) (-12 (|HasCategory| |#3| (LIST (QUOTE -304) (|devaluate| |#3|))) (|HasCategory| |#3| (QUOTE (-1093)))))) 
+(-1107 R |x|) 
+((|constructor| (NIL "This package produces functions for counting etc. real roots of univariate polynomials in \\spad{x} over \\spad{R,} which must be an OrderedIntegralDomain")) (|countRealRootsMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRootsMultiple(p)} says how many real roots \\spad{p} has, counted with multiplicity")) (|SturmHabichtMultiple| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtMultiple(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|countRealRoots| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{countRealRoots(p)} says how many real roots \\spad{p} has")) (|SturmHabicht| (((|Integer|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabicht(p1,p2)} computes c_{+}-c_{-} where c_{+} is the number of real roots of \\spad{p1} with \\spad{p2>0} and c_{-} is the number of real roots of \\spad{p1} with p2<0. If \\spad{p2=1} what you get is the number of real roots of \\spad{p1.}")) (|SturmHabichtCoefficients| (((|List| |#1|) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtCoefficients(p1,p2)} computes the principal Sturm-Habicht coefficients of \\spad{p1} and \\spad{p2}")) (|SturmHabichtSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{SturmHabichtSequence(p1,p2)} computes the Sturm-Habicht sequence of \\spad{p1} and \\spad{p2}")) (|subresultantSequence| (((|List| (|UnivariatePolynomial| |#2| |#1|)) (|UnivariatePolynomial| |#2| |#1|) (|UnivariatePolynomial| |#2| |#1|)) "\\spad{subresultantSequence(p1,p2)} computes the (standard) subresultant sequence of \\spad{p1} and \\spad{p2}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-454)))) 
-(-1106 R -1564) 
-((|constructor| (NIL "This package provides functions to determine the sign of an elementary function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) "\\spad{sign(f,{} x,{} a,{} s)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from below if \\spad{s} is \"left\",{} or above if \\spad{s} is \"right\".") (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) "\\spad{sign(f,{} x,{} a)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a},{} from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") |#2|) "\\spad{sign(f)} returns the sign of \\spad{f} if it is constant everywhere."))) 
+(-1108 R -1647) 
+((|constructor| (NIL "This package provides functions to determine the sign of an elementary function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") |#2| (|Symbol|) |#2| (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from below if \\spad{s} is \"left\", or above if \\spad{s} is \"right\".") (((|Union| (|Integer|) "failed") |#2| (|Symbol|) (|OrderedCompletion| |#2|)) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") |#2|) "\\spad{sign(f)} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1107 R) 
-((|constructor| (NIL "Find the sign of a rational function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) "\\spad{sign(f,{} x,{} a,{} s)} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from the left (below) if \\spad{s} is the string \\spad{\"left\"},{} or from the right (above) if \\spad{s} is the string \\spad{\"right\"}.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) "\\spad{sign(f,{} x,{} a)} returns the sign of \\spad{f} as \\spad{x} approaches \\spad{a},{} from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{sign f} returns the sign of \\spad{f} if it is constant everywhere."))) 
+(-1109 R) 
+((|constructor| (NIL "Find the sign of a rational function around a point or infinity.")) (|sign| (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|Fraction| (|Polynomial| |#1|)) (|String|)) "\\spad{sign(f, \\spad{x,} a, \\spad{s)}} returns the sign of \\spad{f} as \\spad{x} nears \\spad{a} from the left (below) if \\spad{s} is the string \\spad{\"left\"}, or from the right (above) if \\spad{s} is the string \\spad{\"right\"}.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|)) (|Symbol|) (|OrderedCompletion| (|Fraction| (|Polynomial| |#1|)))) "\\spad{sign(f, \\spad{x,} a)} returns the sign of \\spad{f} as \\spad{x} approaches \\spad{a}, from both sides if \\spad{a} is finite.") (((|Union| (|Integer|) "failed") (|Fraction| (|Polynomial| |#1|))) "\\spad{sign \\spad{f}} returns the sign of \\spad{f} if it is constant everywhere."))) 
 NIL 
 NIL 
-(-1108) 
+(-1110) 
 ((|constructor| (NIL "Package to allow simplify to be called on AlgebraicNumbers by converting to EXPR(INT)")) (|simplify| (((|Expression| (|Integer|)) (|AlgebraicNumber|)) "\\spad{simplify(an)} applies simplifications to \\spad{an}"))) 
 NIL 
 NIL 
-(-1109) 
-((|constructor| (NIL "SingleInteger is intended to support machine integer arithmetic.")) (|Or| (($ $ $) "\\spad{Or(n,{}m)} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m}.")) (|And| (($ $ $) "\\spad{And(n,{}m)} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m}.")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|xor| (($ $ $) "\\spad{xor(n,{}m)} returns the bit-by-bit logical xor of the single integers \\spad{n} and \\spad{m}.")) (|\\/| (($ $ $) "\\spad{n} \\spad{\\/} \\spad{m} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m}.")) (|/\\| (($ $ $) "\\spad{n} \\spad{/\\} \\spad{m} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m}.")) (~ (($ $) "\\spad{~ n} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|not| (($ $) "\\spad{not(n)} returns the bit-by-bit logical not of the single integer \\spad{n}.")) (|min| (($) "\\spad{min()} returns the smallest single integer.")) (|max| (($) "\\spad{max()} returns the largest single integer.")) (|noetherian| ((|attribute|) "\\spad{noetherian} all ideals are finitely generated (in fact principal).")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalClosed} means two positives multiply to give positive.")) (|canonical| ((|attribute|) "\\spad{canonical} means that mathematical equality is implied by data structure equality."))) 
-((-4523 . T) (-4527 . T) (-4522 . T) (-4533 . T) (-4534 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1111) 
+((|constructor| (NIL "SingleInteger is intended to support machine integer arithmetic.")) (|Or| (($ $ $) "\\spad{Or(n,m)} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|And| (($ $ $) "\\spad{And(n,m)} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (|Not| (($ $) "\\spad{Not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|xor| (($ $ $) "\\spad{xor(n,m)} returns the bit-by-bit logical xor of the single integers \\spad{n} and \\spad{m.}")) (|\\/| (($ $ $) "\\spad{n} \\spad{\\/} \\spad{m} returns the bit-by-bit logical or of the single integers \\spad{n} and \\spad{m.}")) (|/\\| (($ $ $) "\\spad{n} \\spad{/\\} \\spad{m} returns the bit-by-bit logical and of the single integers \\spad{n} and \\spad{m.}")) (~ (($ $) "\\spad{~ \\spad{n}} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|not| (($ $) "\\spad{not(n)} returns the bit-by-bit logical not of the single integer \\spad{n.}")) (|min| (($) "\\spad{min()} returns the smallest single integer.")) (|max| (($) "\\spad{max()} returns the largest single integer.")) (|noetherian| ((|attribute|) "\\spad{noetherian} all ideals are finitely generated (in fact principal).")) (|canonicalsClosed| ((|attribute|) "\\spad{canonicalClosed} means two positives multiply to give positive.")) (|canonical| ((|attribute|) "\\spad{canonical} means that mathematical equality is implied by data structure equality."))) 
+((-4559 . T) (-4563 . T) (-4558 . T) (-4569 . T) (-4570 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1110 S) 
-((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\indented{1}{depth(\\spad{s}) returns the number of elements of stack \\spad{s}.} \\indented{1}{Note that \\axiom{depth(\\spad{s}) = \\spad{#s}}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\indented{1}{top(\\spad{s}) returns the top element \\spad{x} from \\spad{s}; \\spad{s} remains unchanged.} \\indented{1}{Note that Use \\axiom{pop!(\\spad{s})} to obtain \\spad{x} and remove it from \\spad{s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\indented{1}{pop!(\\spad{s}) returns the top element \\spad{x},{} destructively removing \\spad{x} from \\spad{s}.} \\indented{1}{Note that Use \\axiom{top(\\spad{s})} to obtain \\spad{x} without removing it from \\spad{s}.} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\indented{1}{push!(\\spad{x},{}\\spad{s}) pushes \\spad{x} onto stack \\spad{s},{} \\spadignore{i.e.} destructively changing \\spad{s}} \\indented{1}{so as to have a new first (top) element \\spad{x}.} \\indented{1}{Afterwards,{} pop!(\\spad{s}) produces \\spad{x} and pop!(\\spad{s}) produces the original \\spad{s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} push! a \\spad{X} a"))) 
-((-4535 . T) (-4536 . T) (-2982 . T)) 
+(-1112 S) 
+((|constructor| (NIL "A stack is a bag where the last item inserted is the first item extracted.")) (|depth| (((|NonNegativeInteger|) $) "\\indented{1}{depth(s) returns the number of elements of stack \\spad{s.}} \\indented{1}{Note that \\axiom{depth(s) = \\#s}.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\indented{1}{top(s) returns the top element \\spad{x} from \\spad{s;} \\spad{s} remains unchanged.} \\indented{1}{Note that Use \\axiom{pop!(s)} to obtain \\spad{x} and remove it from \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|pop!| ((|#1| $) "\\indented{1}{pop!(s) returns the top element \\spad{x,} destructively removing \\spad{x} from \\spad{s.}} \\indented{1}{Note that Use \\axiom{top(s)} to obtain \\spad{x} without removing it from \\spad{s.}} \\indented{1}{Error: if \\spad{s} is empty.} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\indented{1}{push!(x,s) pushes \\spad{x} onto stack \\spad{s,} \\spadignore{i.e.} destructively changing \\spad{s}} \\indented{1}{so as to have a new first (top) element \\spad{x.}} \\indented{1}{Afterwards, pop!(s) produces \\spad{x} and pop!(s) produces the original \\spad{s.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push! a \\spad{X} a"))) 
+((-4571 . T) (-4572 . T) (-4317 . T)) 
 NIL 
-(-1111 S |ndim| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m}. Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m},{} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#3| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#3| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.")) (* ((|#4| |#4| $) "\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}. Error: if the dimensions are incompatible.") ((|#5| $ |#5|) "\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}. Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#3| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}.")) (|trace| ((|#3| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m}. this is the sum of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonal| ((|#4| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonalMatrix| (($ (|List| |#3|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#3|) "\\spad{scalarMatrix(r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the diagonal and zeroes elsewhere."))) 
+(-1113 S |ndim| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#3| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#3| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#4| |#4| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#5| $ |#5|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#3| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#3| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#4| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#3|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#3|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
 NIL 
-((|HasCategory| |#3| (QUOTE (-366))) (|HasAttribute| |#3| (QUOTE (-4537 "*"))) (|HasCategory| |#3| (QUOTE (-173)))) 
-(-1112 |ndim| R |Row| |Col|) 
-((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m}. Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m},{} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m}.")) (* ((|#3| |#3| $) "\\spad{r * x} is the product of the row vector \\spad{r} and the matrix \\spad{x}. Error: if the dimensions are incompatible.") ((|#4| $ |#4|) "\\spad{x * c} is the product of the matrix \\spad{x} and the column vector \\spad{c}. Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#2| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m}.")) (|trace| ((|#2| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m}. this is the sum of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonal| ((|#3| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m}.")) (|diagonalMatrix| (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#2|) "\\spad{scalarMatrix(r)} returns an \\spad{n}-by-\\spad{n} matrix with \\spad{r}\\spad{'s} on the diagonal and zeroes elsewhere."))) 
-((-2982 . T) (-4535 . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#3| (QUOTE (-366))) (|HasAttribute| |#3| (QUOTE (-4573 "*"))) (|HasCategory| |#3| (QUOTE (-173)))) 
+(-1114 |ndim| R |Row| |Col|) 
+((|constructor| (NIL "\\spadtype{SquareMatrixCategory} is a general square matrix category which allows different representations and indexing schemes. Rows and columns may be extracted with rows returned as objects of type Row and colums returned as objects of type Col.")) (** (($ $ (|Integer|)) "\\spad{m**n} computes an integral power of the matrix \\spad{m.} Error: if the matrix is not invertible.")) (|inverse| (((|Union| $ "failed") $) "\\spad{inverse(m)} returns the inverse of the matrix \\spad{m,} if that matrix is invertible and returns \"failed\" otherwise.")) (|minordet| ((|#2| $) "\\spad{minordet(m)} computes the determinant of the matrix \\spad{m} using minors.")) (|determinant| ((|#2| $) "\\spad{determinant(m)} returns the determinant of the matrix \\spad{m.}")) (* ((|#3| |#3| $) "\\spad{r * \\spad{x}} is the product of the row vector \\spad{r} and the matrix \\spad{x.} Error: if the dimensions are incompatible.") ((|#4| $ |#4|) "\\spad{x * \\spad{c}} is the product of the matrix \\spad{x} and the column vector \\spad{c.} Error: if the dimensions are incompatible.")) (|diagonalProduct| ((|#2| $) "\\spad{diagonalProduct(m)} returns the product of the elements on the diagonal of the matrix \\spad{m.}")) (|trace| ((|#2| $) "\\spad{trace(m)} returns the trace of the matrix \\spad{m.} this is the sum of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonal| ((|#3| $) "\\spad{diagonal(m)} returns a row consisting of the elements on the diagonal of the matrix \\spad{m.}")) (|diagonalMatrix| (($ (|List| |#2|)) "\\spad{diagonalMatrix(l)} returns a diagonal matrix with the elements of \\spad{l} on the diagonal.")) (|scalarMatrix| (($ |#2|) "\\spad{scalarMatrix(r)} returns an n-by-n matrix with \\spad{r's} on the diagonal and zeroes elsewhere."))) 
+((-4317 . T) (-4571 . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1113 R |Row| |Col| M) 
-((|constructor| (NIL "\\spadtype{SmithNormalForm} is a package which provides some standard canonical forms for matrices.")) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{diophantineSystem(A,{}B)} returns a particular integer solution and an integer basis of the equation \\spad{AX = B}.")) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) "\\spad{completeSmith} returns a record that contains the Smith normal form \\spad{H} of the matrix and the left and right equivalence matrices \\spad{U} and \\spad{V} such that U*m*v = \\spad{H}")) (|smith| ((|#4| |#4|) "\\spad{smith(m)} returns the Smith Normal form of the matrix \\spad{m}.")) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) "\\spad{completeHermite} returns a record that contains the Hermite normal form \\spad{H} of the matrix and the equivalence matrix \\spad{U} such that U*m = \\spad{H}")) (|hermite| ((|#4| |#4|) "\\spad{hermite(m)} returns the Hermite normal form of the matrix \\spad{m}."))) 
+(-1115 R |Row| |Col| M) 
+((|constructor| (NIL "\\spadtype{SmithNormalForm} is a package which provides some standard canonical forms for matrices.")) (|diophantineSystem| (((|Record| (|:| |particular| (|Union| |#3| "failed")) (|:| |basis| (|List| |#3|))) |#4| |#3|) "\\spad{diophantineSystem(A,B)} returns a particular integer solution and an integer basis of the equation \\spad{AX = \\spad{B}.}")) (|completeSmith| (((|Record| (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) "\\spad{completeSmith} returns a record that contains the Smith normal form \\spad{H} of the matrix and the left and right equivalence matrices \\spad{U} and \\spad{V} such that U*m*v = \\spad{H}")) (|smith| ((|#4| |#4|) "\\spad{smith(m)} returns the Smith Normal form of the matrix \\spad{m.}")) (|completeHermite| (((|Record| (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) "\\spad{completeHermite} returns a record that contains the Hermite normal form \\spad{H} of the matrix and the equivalence matrix \\spad{U} such that U*m = \\spad{H}")) (|hermite| ((|#4| |#4|) "\\spad{hermite(m)} returns the Hermite normal form of the matrix \\spad{m.}"))) 
 NIL 
 NIL 
-(-1114 R |VarSet|) 
-((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials. It is parameterized by the coefficient ring and the variable set which may be infinite. The variable ordering is determined by the variable set parameter. The coefficient ring may be non-commutative,{} but the variables are assumed to commute."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1115 |Coef| |Var| SMP) 
-((|constructor| (NIL "This domain provides multivariate Taylor series with variables from an arbitrary ordered set. A Taylor series is represented by a stream of polynomials from the polynomial domain \\spad{SMP}. The \\spad{n}th element of the stream is a form of degree \\spad{n}. SMTS is an internal domain.")) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) "\\spad{fintegrate(f,{}v,{}c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ |#2| |#1|) "\\spad{integrate(s,{}v,{}c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) "\\spad{csubst(a,{}b)} is for internal use only")) (* (($ |#3| $) "\\spad{smp*ts} multiplies a TaylorSeries by a monomial \\spad{SMP}.")) (|coerce| (($ |#3|) "\\spad{coerce(poly)} regroups the terms by total degree and forms a series.") (($ |#2|) "\\spad{coerce(var)} converts a variable to a Taylor series")) (|coefficient| ((|#3| $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{coefficient(s,{} n)} gives the terms of total degree \\spad{n}.} \\blankline \\spad{X} xts:=x::TaylorSeries Fraction Integer \\spad{X} t1:=sin(\\spad{xts}) \\spad{X} coefficient(\\spad{t1},{}3)"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1116 R E V P) 
-((|constructor| (NIL "The category of square-free and normalized triangular sets. Thus,{} up to the primitivity axiom of [1],{} these sets are Lazard triangular sets."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-1116 R |VarSet|) 
+((|constructor| (NIL "This type is the basic representation of sparse recursive multivariate polynomials. It is parameterized by the coefficient ring and the variable set which may be infinite. The variable ordering is determined by the variable set parameter. The coefficient ring may be non-commutative, but the variables are assumed to commute."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1117 |Coef| |Var| SMP) 
+((|constructor| (NIL "This domain provides multivariate Taylor series with variables from an arbitrary ordered set. A Taylor series is represented by a stream of polynomials from the polynomial domain SMP. The \\spad{n}th element of the stream is a form of degree \\spad{n.} SMTS is an internal domain.")) (|fintegrate| (($ (|Mapping| $) |#2| |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ |#2| |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|csubst| (((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|))) "\\spad{csubst(a,b)} is for internal use only")) (* (($ |#3| $) "\\spad{smp*ts} multiplies a TaylorSeries by a monomial SMP.")) (|coerce| (($ |#3|) "\\spad{coerce(poly)} regroups the terms by total degree and forms a series.") (($ |#2|) "\\spad{coerce(var)} converts a variable to a Taylor series")) (|coefficient| ((|#3| $ (|NonNegativeInteger|)) "\\indented{1}{\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}} \\blankline \\spad{X} xts:=x::TaylorSeries Fraction Integer \\spad{X} t1:=sin(xts) \\spad{X} coefficient(t1,3)"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-1118 R E V P) 
+((|constructor| (NIL "The category of square-free and normalized triangular sets. Thus, up to the primitivity axiom of [1], these sets are Lazard triangular sets."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1117 UP -1564) 
-((|constructor| (NIL "This package factors the formulas out of the general solve code,{} allowing their recursive use over different domains. Care is taken to introduce few radicals so that radical extension domains can more easily simplify the results.")) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{aQuartic(f,{}g,{}h,{}i,{}k)} \\undocumented")) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) "\\spad{aCubic(f,{}g,{}h,{}j)} \\undocumented")) (|aQuadratic| ((|#2| |#2| |#2| |#2|) "\\spad{aQuadratic(f,{}g,{}h)} \\undocumented")) (|aLinear| ((|#2| |#2| |#2|) "\\spad{aLinear(f,{}g)} \\undocumented")) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) "\\spad{quartic(f,{}g,{}h,{}i,{}j)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quartic(u)} \\undocumented")) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) "\\spad{cubic(f,{}g,{}h,{}i)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{cubic(u)} \\undocumented")) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) "\\spad{quadratic(f,{}g,{}h)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quadratic(u)} \\undocumented")) (|linear| (((|List| |#2|) |#2| |#2|) "\\spad{linear(f,{}g)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{linear(u)} \\undocumented")) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) "\\spad{mapSolve(u,{}f)} \\undocumented")) (|particularSolution| ((|#2| |#1|) "\\spad{particularSolution(u)} \\undocumented")) (|solve| (((|List| |#2|) |#1|) "\\spad{solve(u)} \\undocumented"))) 
+(-1119 UP -1647) 
+((|constructor| (NIL "This package factors the formulas out of the general solve code, allowing their recursive use over different domains. Care is taken to introduce few radicals so that radical extension domains can more easily simplify the results.")) (|aQuartic| ((|#2| |#2| |#2| |#2| |#2| |#2|) "\\spad{aQuartic(f,g,h,i,k)} \\undocumented")) (|aCubic| ((|#2| |#2| |#2| |#2| |#2|) "\\spad{aCubic(f,g,h,j)} \\undocumented")) (|aQuadratic| ((|#2| |#2| |#2| |#2|) "\\spad{aQuadratic(f,g,h)} \\undocumented")) (|aLinear| ((|#2| |#2| |#2|) "\\spad{aLinear(f,g)} \\undocumented")) (|quartic| (((|List| |#2|) |#2| |#2| |#2| |#2| |#2|) "\\spad{quartic(f,g,h,i,j)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quartic(u)} \\undocumented")) (|cubic| (((|List| |#2|) |#2| |#2| |#2| |#2|) "\\spad{cubic(f,g,h,i)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{cubic(u)} \\undocumented")) (|quadratic| (((|List| |#2|) |#2| |#2| |#2|) "\\spad{quadratic(f,g,h)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{quadratic(u)} \\undocumented")) (|linear| (((|List| |#2|) |#2| |#2|) "\\spad{linear(f,g)} \\undocumented") (((|List| |#2|) |#1|) "\\spad{linear(u)} \\undocumented")) (|mapSolve| (((|Record| (|:| |solns| (|List| |#2|)) (|:| |maps| (|List| (|Record| (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (|Mapping| |#2| |#2|)) "\\spad{mapSolve(u,f)} \\undocumented")) (|particularSolution| ((|#2| |#1|) "\\spad{particularSolution(u)} \\undocumented")) (|solve| (((|List| |#2|) |#1|) "\\spad{solve(u)} \\undocumented"))) 
 NIL 
 NIL 
-(-1118 R) 
-((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R}.")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{contractSolve(\\spad{rf},{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x},{}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(\\spad{b},{}\\spad{x})") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{contractSolve(eq,{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x}.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(\\spad{b=0},{}\\spad{x})")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalRoots(\\spad{lrf},{}lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions \\spad{lrf}} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalRoots([\\spad{b},{}\\spad{c}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalRoots(\\spad{rf},{}\\spad{x}) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x}.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(\\spad{b},{}\\spad{x})")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b=0},{}\\spad{c=0}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(leq,{}lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b=0},{}\\spad{c=0}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(\\spad{lrf}) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0,{} where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b},{}\\spad{c}])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(\\spad{lrf},{}lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,{}} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer))\\spad{:=}(\\spad{y^2+4})/(\\spad{y+1}) \\spad{X} radicalSolve([\\spad{b},{}\\spad{c}],{}[\\spad{x},{}\\spad{y}])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b=0})") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{radicalSolve(eq,{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x}.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b=0},{}\\spad{x})") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\indented{1}{radicalSolve(\\spad{rf}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0,{} where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b})") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalSolve(\\spad{rf},{}\\spad{x}) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x},{}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer))\\spad{:=}(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(\\spad{b},{}\\spad{x})"))) 
+(-1120 R) 
+((|constructor| (NIL "This package tries to find solutions expressed in terms of radicals for systems of equations of rational functions with coefficients in an integral domain \\spad{R.}")) (|contractSolve| (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{contractSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)") (((|SuchThat| (|List| (|Expression| |#1|)) (|List| (|Equation| (|Expression| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{contractSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol x.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)")) (|radicalRoots| (((|List| (|List| (|Expression| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalRoots(lrf,lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions lrf} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])") (((|List| (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalRoots(rf,x) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)")) (|radicalSolve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(leq,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(lrf) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])") (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\indented{1}{radicalSolve(lrf,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\indented{1}{radicalSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|))) "\\indented{1}{radicalSolve(rf) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)") (((|List| (|Equation| (|Expression| |#1|))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{radicalSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"))) 
 NIL 
 NIL 
-(-1119 R) 
-((|constructor| (NIL "This package finds the function \\spad{func3} where \\spad{func1} and \\spad{func2} are given and \\spad{func1} = \\spad{func3}(\\spad{func2}) . If there is no solution then function \\spad{func1} will be returned. An example would be \\spad{func1:= 8*X**3+32*X**2-14*X ::EXPR INT} and \\spad{func2:=2*X ::EXPR INT} convert them via univariate to FRAC SUP EXPR INT and then the solution is \\spad{func3:=X**3+X**2-X} of type FRAC SUP EXPR INT")) (|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) "\\spad{unvectorise(vect,{} var,{} n)} returns \\spad{vect(1) + vect(2)*var + ... + vect(n+1)*var**(n)} where \\spad{vect} is the vector of the coefficients of the polynomail ,{} \\spad{var} the new variable and \\spad{n} the degree.")) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) "\\spad{decomposeFunc(func1,{} func2,{} newvar)} returns a function \\spad{func3} where \\spad{func1} = \\spad{func3}(\\spad{func2}) and expresses it in the new variable newvar. If there is no solution then \\spad{func1} will be returned."))) 
+(-1121 R) 
+((|constructor| (NIL "This package finds the function \\spad{func3} where \\spad{func1} and \\spad{func2} are given and \\spad{func1} = func3(func2) . If there is no solution then function \\spad{func1} will be returned. An example would be \\spad{func1:= 8*X**3+32*X**2-14*X ::EXPR INT} and \\spad{func2:=2*X ::EXPR INT} convert them via univariate to FRAC SUP EXPR INT and then the solution is \\spad{func3:=X**3+X**2-X} of type FRAC SUP EXPR INT")) (|unvectorise| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Vector| (|Expression| |#1|)) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Integer|)) "\\spad{unvectorise(vect, var, \\spad{n)}} returns \\spad{vect(1) + vect(2)*var + \\spad{...} + vect(n+1)*var**(n)} where \\spad{vect} is the vector of the coefficients of the polynomail ,{} \\spad{var} the new variable and \\spad{n} the degree.")) (|decomposeFunc| (((|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|))) (|Fraction| (|SparseUnivariatePolynomial| (|Expression| |#1|)))) "\\spad{decomposeFunc(func1, func2, newvar)} returns a function \\spad{func3} where \\spad{func1} = func3(func2) and expresses it in the new variable newvar. If there is no solution then \\spad{func1} will be returned."))) 
 NIL 
 NIL 
-(-1120 R) 
-((|constructor| (NIL "This package tries to find solutions of equations of type Expression(\\spad{R}). This means expressions involving transcendental,{} exponential,{} logarithmic and nthRoot functions. After trying to transform different kernels to one kernel by applying several rules,{} it calls zerosOf for the SparseUnivariatePolynomial in the remaining kernel. For example the expression \\spad{sin(x)*cos(x)-2} will be transformed to \\spad{-2 tan(x/2)**4 -2 tan(x/2)**3 -4 tan(x/2)**2 +2 tan(x/2) -2} by using the function normalize and then to \\spad{-2 tan(x)**2 + tan(x) -2} with help of subsTan. This function tries to express the given function in terms of \\spad{tan(x/2)} to express in terms of \\spad{tan(x)} . Other examples are the expressions \\spad{sqrt(x+1)+sqrt(x+7)+1} or \\spad{sqrt(sin(x))+1} .")) (|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) "\\spad{solve(leqs,{} lvar)} returns a list of solutions to the list of equations \\spad{leqs} with respect to the list of symbols lvar.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) "\\indented{1}{solve(expr,{}\\spad{x}) finds the solutions of the equation expr = 0} \\indented{1}{with respect to the symbol \\spad{x} where expr is a function} \\indented{1}{of type Expression(\\spad{R}).} \\blankline \\spad{X} solve(1/2*v*v*cos(theta+phi)*cos(theta+phi)+g*l*cos(phi)=g*l,{}phi) \\spad{X} definingPolynomial \\%\\spad{phi0} \\spad{X} definingPolynomial \\%\\spad{phi1}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) "\\spad{solve(eq,{}x)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(\\spad{R}) with respect to the symbol \\spad{x}.") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(\\spad{R}) with respect to the unique symbol \\spad{x} appearing in \\spad{eq}.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) "\\spad{solve(expr)} finds the solutions of the equation \\spad{expr} = 0 where \\spad{expr} is a function of type Expression(\\spad{R}) with respect to the unique symbol \\spad{x} appearing in eq."))) 
+(-1122 R) 
+((|constructor| (NIL "This package tries to find solutions of equations of type Expression(R). This means expressions involving transcendental, exponential, logarithmic and nthRoot functions. After trying to transform different kernels to one kernel by applying several rules, it calls zerosOf for the SparseUnivariatePolynomial in the remaining kernel. For example the expression \\spad{sin(x)*cos(x)-2} will be transformed to \\spad{-2 \\spad{tan(x/2)**4} \\spad{-2} \\spad{tan(x/2)**3} \\spad{-4} \\spad{tan(x/2)**2} \\spad{+2} tan(x/2) \\spad{-2}} by using the function normalize and then to \\spad{-2 \\spad{tan(x)**2} + tan(x) \\spad{-2}} with help of subsTan. This function tries to express the given function in terms of \\spad{tan(x/2)} to express in terms of \\spad{tan(x)} . Other examples are the expressions \\spad{sqrt(x+1)+sqrt(x+7)+1} or \\spad{sqrt(sin(x))+1} .")) (|solve| (((|List| (|List| (|Equation| (|Expression| |#1|)))) (|List| (|Equation| (|Expression| |#1|))) (|List| (|Symbol|))) "\\spad{solve(leqs, lvar)} returns a list of solutions to the list of equations \\spad{leqs} with respect to the list of symbols lvar.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|) (|Symbol|)) "\\indented{1}{solve(expr,x) finds the solutions of the equation expr = 0} \\indented{1}{with respect to the symbol \\spad{x} where expr is a function} \\indented{1}{of type Expression(R).} \\blankline \\spad{X} solve(1/2*v*v*cos(theta+phi)*cos(theta+phi)+g*l*cos(phi)=g*l,phi) \\spad{X} definingPolynomial \\spad{%phi0} \\spad{X} definingPolynomial \\spad{%phi1}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|)) (|Symbol|)) "\\spad{solve(eq,x)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the symbol \\spad{x.}") (((|List| (|Equation| (|Expression| |#1|))) (|Equation| (|Expression| |#1|))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} where \\spad{eq} is an equation of functions of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq.") (((|List| (|Equation| (|Expression| |#1|))) (|Expression| |#1|)) "\\spad{solve(expr)} finds the solutions of the equation \\spad{expr} = 0 where \\spad{expr} is a function of type Expression(R) with respect to the unique symbol \\spad{x} appearing in eq."))) 
 NIL 
 NIL 
-(-1121 S A) 
-((|constructor| (NIL "This package exports sorting algorithnms")) (|insertionSort!| ((|#2| |#2|) "\\spad{insertionSort! }\\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{insertionSort!(a,{}f)} \\undocumented")) (|bubbleSort!| ((|#2| |#2|) "\\spad{bubbleSort!(a)} \\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{bubbleSort!(a,{}f)} \\undocumented"))) 
+(-1123 S A) 
+((|constructor| (NIL "This package exports sorting algorithnms")) (|insertionSort!| ((|#2| |#2|) "\\spad{insertionSort! }\\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{insertionSort!(a,f)} \\undocumented")) (|bubbleSort!| ((|#2| |#2|) "\\spad{bubbleSort!(a)} \\undocumented") ((|#2| |#2| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{bubbleSort!(a,f)} \\undocumented"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-843)))) 
-(-1122 R) 
-((|constructor| (NIL "The domain ThreeSpace is used for creating three dimensional objects using functions for defining points,{} curves,{} polygons,{} constructs and the subspaces containing them."))) 
+((|HasCategory| |#1| (QUOTE (-844)))) 
+(-1124 R) 
+((|constructor| (NIL "The domain ThreeSpace is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them."))) 
 NIL 
 NIL 
-(-1123 R) 
-((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points,{} curves,{} polygons,{} constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace},{} \\spad{s}.")) (|check| (($ $) "\\spad{check(s)} returns lllpt,{} list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s}.")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace},{} \\spad{s},{} in the form of a 3D object record containing information on the number of points,{} curves,{} polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of subspace component properties,{} and if so,{} returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of curves which are lists of the subspace component properties of the curves,{} and if so,{} returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of components,{} which are lists of curves,{} which are lists of points,{} and if so,{} returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a list of components,{} which are lists of curves,{} which are lists of indices to points,{} and if so,{} returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace},{} \\spad{s},{} contains; these points are used by reference,{} \\spadignore{i.e.} the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component,{} a mesh comprising a list of curves which are lists of points,{} or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single surface component defined by a list curves which contain lists of points,{} and if so,{} returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],{}[p1],{}...,{}[pn]],{} close1,{} close2)} creates a surface defined over a list of curves,{} \\spad{p0} through \\spad{pn},{} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is,{} the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],{}[p1],{}...,{}[pn]])} creates a surface defined by a list of curves which are lists,{} \\spad{p0} through \\spad{pn},{} of points,{} and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "mesh(\\spad{s},{}[ [[\\spad{r10}]...,{}[\\spad{r1m}]],{}[[\\spad{r20}]...,{}[\\spad{r2m}]],{}...,{}[[\\spad{rn0}]...,{}[\\spad{rnm}]] ],{} \\indented{5}{\\spad{close1},{} \\spad{close2})} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s},{} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (\\spadignore{i.e.} the last point of the list is to be connected to the first point); if \\spad{close2} is \\spad{true},{} this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s,{}[[p0],{}[p1],{}...,{}[pn]],{} close1,{} close2)} adds a surface component to the \\spadtype{ThreeSpace},{} which is defined over a list of curves,{} in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed,{} \\spadignore{i.e.} the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end,{} \\spadignore{i.e.} the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "mesh(\\spad{s},{}[ [[\\spad{r10}]...,{}[\\spad{r1m}]],{}[[\\spad{r20}]...,{}[\\spad{r2m}]],{}...,{}[[\\spad{rn0}]...,{}[\\spad{rnm}]] ],{} \\indented{7}{[props],{} prop)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s},{} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list,{} and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,{}[[p0],{}[p1],{}...,{}[pn]],{}[props],{}prop)} adds a surface component,{} defined over a list curves which contains lists of points,{} to the \\spadtype{ThreeSpace} \\spad{s}; props is a list which contains the subspace component properties for each surface parameter,{} and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component,{} or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single polygon component defined by a list of points,{} and if so,{} returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,{}p1,{}...,{}pn])} creates a polygon defined by a list of points,{} \\spad{p0} through \\spad{pn},{} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,{}[[r0],{}[r1],{}...,{}[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn},{} which are lists of elements from the domain \\spad{PointDomain(m,{}R)} to the \\spadtype{ThreeSpace} \\spad{s},{} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,{}[p0,{}p1,{}...,{}pn])} adds a polygon component defined by a list of points,{} \\spad{p0} throught \\spad{pn},{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component,{} \\spadignore{i.e.} the first element of the curve is also the last element,{} or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single closed curve component defined by a list of points in which the first point is also the last point,{} all of which are from the domain \\spad{PointDomain(m,{}R)} and if so,{} returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp}.") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,{}[[lr0],{}[lr1],{}...,{}[lrn],{}[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn},{} which are lists of elements from the domain \\spad{PointDomain(m,{}R)},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points,{} in which the last element of the list of points contains a copy of the first element list,{} \\spad{lr0}. The closed curve is added to the \\spadtype{ThreeSpace},{} \\spad{s}.") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,{}[p0,{}p1,{}...,{}pn,{}p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again,{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace},{} \\spad{s},{} is a curve,{} \\spadignore{i.e.} has one component,{} a list of list of points,{} and returns \\spad{true} if it is,{} or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single curve defined by a list of points and if so,{} returns the curve,{} \\spadignore{i.e.} list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,{}p1,{}p2,{}...,{}pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn},{} and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,{}[[p0],{}[p1],{}...,{}[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,{}R)},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points,{} to the \\spadtype{ThreeSpace} \\spad{s}.") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,{}[p0,{}p1,{}...,{}pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn},{} to the \\spadtype{ThreeSpace} \\spad{s}.")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace},{} \\spad{s},{} is composed of only a single point and if so,{} returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component,{} the point \\spad{p}.") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,{}i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace},{} \\spad{s},{} at the index given by \\spad{i}.") (($ $ (|List| |#1|)) "\\spad{point(s,{}[x,{}y,{}z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace},{} \\spad{s},{} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,{}p)} adds a point component defined by the point,{} \\spad{p},{} specified as a list from \\spad{List(R)},{} to the \\spadtype{ThreeSpace},{} \\spad{s},{} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,{}i,{}p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace},{} \\spad{s},{} to that of point \\spad{p}. This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,{}[p0,{}p1,{}...,{}pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace},{} \\spad{s},{} and returns the index,{} to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s}.")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s},{} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s}. If \\spad{s} has no composites defined (composites need to be explicitly created),{} the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s},{} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s}. If \\spad{s} has no components defined,{} the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,{}s2,{}...,{}sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list,{} grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,{}s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,{}s2,{}...,{}sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents,{} or composites,{} in the \\spadtype{ThreeSpace},{} \\spad{s}; Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and,{} outside of the requirement that no component can belong to more than one composite at a time,{} the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace},{} \\spad{s},{} such as points,{} curves,{} polygons,{} and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s}.") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point,{} curve,{} mesh components and any combination."))) 
+(-1125 R) 
+((|constructor| (NIL "The category ThreeSpaceCategory is used for creating three dimensional objects using functions for defining points, curves, polygons, constructs and the subspaces containing them.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(s)} returns the \\spadtype{ThreeSpace} \\spad{s} to Output format.")) (|subspace| (((|SubSpace| 3 |#1|) $) "\\spad{subspace(s)} returns the \\spadtype{SubSpace} which holds all the point information in the \\spadtype{ThreeSpace}, \\spad{s.}")) (|check| (($ $) "\\spad{check(s)} returns lllpt, list of lists of lists of point information about the \\spadtype{ThreeSpace} \\spad{s.}")) (|objects| (((|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))) $) "\\spad{objects(s)} returns the \\spadtype{ThreeSpace}, \\spad{s,} in the form of a 3D object record containing information on the number of points, curves, polygons and constructs comprising the \\spadtype{ThreeSpace}..")) (|lprop| (((|List| (|SubSpaceComponentProperty|)) $) "\\spad{lprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of subspace component properties, and if so, returns the list; An error is signaled otherwise.")) (|llprop| (((|List| (|List| (|SubSpaceComponentProperty|))) $) "\\spad{llprop(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of curves which are lists of the subspace component properties of the curves, and if so, returns the list of lists; An error is signaled otherwise.")) (|lllp| (((|List| (|List| (|List| (|Point| |#1|)))) $) "\\spad{lllp(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lllip| (((|List| (|List| (|List| (|NonNegativeInteger|)))) $) "\\spad{lllip(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a list of components, which are lists of curves, which are lists of indices to points, and if so, returns the list of lists of lists; An error is signaled otherwise.")) (|lp| (((|List| (|Point| |#1|)) $) "\\spad{lp(s)} returns the list of points component which the \\spadtype{ThreeSpace}, \\spad{s,} contains; these points are used by reference, \\spadignore{i.e.} the component holds indices referring to the points rather than the points themselves. This allows for sharing of the points.")) (|mesh?| (((|Boolean|) $) "\\spad{mesh?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} is composed of one component, a mesh comprising a list of curves which are lists of points, or returns \\spad{false} if otherwise")) (|mesh| (((|List| (|List| (|Point| |#1|))) $) "\\spad{mesh(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single surface component defined by a list curves which contain lists of points, and if so, returns the list of lists of points; An error is signaled otherwise.") (($ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh([[p0],[p1],...,[pn]], close1, close2)} creates a surface defined over a list of curves, \\spad{p0} through \\spad{pn,} which are lists of points; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: \\spad{close1} set to \\spad{true} means that each individual list (a curve) is to be closed (that is, the last point of the list is to be connected to the first point); \\spad{close2} set to \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)); the \\spadtype{ThreeSpace} containing this surface is returned.") (($ (|List| (|List| (|Point| |#1|)))) "\\spad{mesh([[p0],[p1],...,[pn]])} creates a surface defined by a list of curves which are lists, \\spad{p0} through \\spad{pn,} of points, and returns a \\spadtype{ThreeSpace} whose component is the surface.") (($ $ (|List| (|List| (|List| |#1|))) (|Boolean|) (|Boolean|)) "mesh(s,[ [[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]] \\spad{],} \\indented{5}{close1, close2)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; the booleans \\spad{close1} and \\spad{close2} indicate how the surface is to be closed: if \\spad{close1} is \\spad{true} this means that each individual list (a curve) is to be closed (\\spadignore{i.e.} the last point of the list is to be connected to the first point); if \\spad{close2} is true, this means that the boundary at one end of the surface is to be connected to the boundary at the other end (the boundaries are defined as the first list of points (curve) and the last list of points (curve)).") (($ $ (|List| (|List| (|Point| |#1|))) (|Boolean|) (|Boolean|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]], close1, close2)} adds a surface component to the \\spadtype{ThreeSpace}, which is defined over a list of curves, in which each of these curves is a list of points. The boolean arguments \\spad{close1} and \\spad{close2} indicate how the surface is to be closed. Argument \\spad{close1} equal \\spad{true} means that each individual list (a curve) is to be closed, \\spadignore{i.e.} the last point of the list is to be connected to the first point. Argument \\spad{close2} equal \\spad{true} means that the boundary at one end of the surface is to be connected to the boundary at the other end, \\spadignore{i.e.} the boundaries are defined as the first list of points (curve) and the last list of points (curve).") (($ $ (|List| (|List| (|List| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "mesh(s,[ [[r10]...,[r1m]],[[r20]...,[r2m]],...,[[rn0]...,[rnm]] \\spad{],} \\indented{7}{[props], prop)} adds a surface component to the \\spadtype{ThreeSpace} \\spad{s,} which is defined over a rectangular domain of size \\spad{WxH} where \\spad{W} is the number of lists of points from the domain \\spad{PointDomain(R)} and \\spad{H} is the number of elements in each of those lists; lprops is the list of the subspace component properties for each curve list, and prop is the subspace component property by which the points are defined.") (($ $ (|List| (|List| (|Point| |#1|))) (|List| (|SubSpaceComponentProperty|)) (|SubSpaceComponentProperty|)) "\\spad{mesh(s,[[p0],[p1],...,[pn]],[props],prop)} adds a surface component, defined over a list curves which contains lists of points, to the \\spadtype{ThreeSpace} \\spad{s;} props is a list which contains the subspace component properties for each surface parameter, and \\spad{prop} is the subspace component property by which the points are defined.")) (|polygon?| (((|Boolean|) $) "\\spad{polygon?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single polygon component, or \\spad{false} otherwise.")) (|polygon| (((|List| (|Point| |#1|)) $) "\\spad{polygon(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single polygon component defined by a list of points, and if so, returns the list of points; An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{polygon([p0,p1,...,pn])} creates a polygon defined by a list of points, \\spad{p0} through \\spad{pn,} and returns a \\spadtype{ThreeSpace} whose component is the polygon.") (($ $ (|List| (|List| |#1|))) "\\spad{polygon(s,[[r0],[r1],...,[rn]])} adds a polygon component defined by a list of points \\spad{r0} through \\spad{rn}, which are lists of elements from the domain \\spad{PointDomain(m,R)} to the \\spadtype{ThreeSpace} \\spad{s,} where \\spad{m} is the dimension of the points and \\spad{R} is the \\spadtype{Ring} over which the points are defined.") (($ $ (|List| (|Point| |#1|))) "\\spad{polygon(s,[p0,p1,...,pn])} adds a polygon component defined by a list of points, \\spad{p0} throught \\spad{pn,} to the \\spadtype{ThreeSpace} \\spad{s.}")) (|closedCurve?| (((|Boolean|) $) "\\spad{closedCurve?(s)} returns \\spad{true} if the \\spadtype{ThreeSpace} \\spad{s} contains a single closed curve component, \\spadignore{i.e.} the first element of the curve is also the last element, or \\spad{false} otherwise.")) (|closedCurve| (((|List| (|Point| |#1|)) $) "\\spad{closedCurve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single closed curve component defined by a list of points in which the first point is also the last point, all of which are from the domain \\spad{PointDomain(m,R)} and if so, returns the list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{closedCurve(lp)} sets a list of points defined by the first element of \\spad{lp} through the last element of \\spad{lp} and back to the first elelment again and returns a \\spadtype{ThreeSpace} whose component is the closed curve defined by \\spad{lp.}") (($ $ (|List| (|List| |#1|))) "\\spad{closedCurve(s,[[lr0],[lr1],...,[lrn],[lr0]])} adds a closed curve component defined by a list of points \\spad{lr0} through \\spad{lrn}, which are lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, in which the last element of the list of points contains a copy of the first element list, lr0. The closed curve is added to the \\spadtype{ThreeSpace}, \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{closedCurve(s,[p0,p1,...,pn,p0])} adds a closed curve component which is a list of points defined by the first element \\spad{p0} through the last element \\spad{pn} and back to the first element \\spad{p0} again, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|curve?| (((|Boolean|) $) "\\spad{curve?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is a curve, \\spadignore{i.e.} has one component, a list of list of points, and returns \\spad{true} if it is, or \\spad{false} otherwise.")) (|curve| (((|List| (|Point| |#1|)) $) "\\spad{curve(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single curve defined by a list of points and if so, returns the curve, \\spadignore{i.e.} list of points. An error is signaled otherwise.") (($ (|List| (|Point| |#1|))) "\\spad{curve([p0,p1,p2,...,pn])} creates a space curve defined by the list of points \\spad{p0} through \\spad{pn}, and returns the \\spadtype{ThreeSpace} whose component is the curve.") (($ $ (|List| (|List| |#1|))) "\\spad{curve(s,[[p0],[p1],...,[pn]])} adds a space curve which is a list of points \\spad{p0} through \\spad{pn} defined by lists of elements from the domain \\spad{PointDomain(m,R)}, where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined and \\spad{m} is the dimension of the points, to the \\spadtype{ThreeSpace} \\spad{s.}") (($ $ (|List| (|Point| |#1|))) "\\spad{curve(s,[p0,p1,...,pn])} adds a space curve component defined by a list of points \\spad{p0} through \\spad{pn}, to the \\spadtype{ThreeSpace} \\spad{s.}")) (|point?| (((|Boolean|) $) "\\spad{point?(s)} queries whether the \\spadtype{ThreeSpace}, \\spad{s,} is composed of a single component which is a point and returns the boolean result.")) (|point| (((|Point| |#1|) $) "\\spad{point(s)} checks to see if the \\spadtype{ThreeSpace}, \\spad{s,} is composed of only a single point and if so, returns the point. An error is signaled otherwise.") (($ (|Point| |#1|)) "\\spad{point(p)} returns a \\spadtype{ThreeSpace} object which is composed of one component, the point \\spad{p.}") (($ $ (|NonNegativeInteger|)) "\\spad{point(s,i)} adds a point component which is placed into a component list of the \\spadtype{ThreeSpace}, \\spad{s,} at the index given by i.") (($ $ (|List| |#1|)) "\\spad{point(s,[x,y,z])} adds a point component defined by a list of elements which are from the \\spad{PointDomain(R)} to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point elements are defined.") (($ $ (|Point| |#1|)) "\\spad{point(s,p)} adds a point component defined by the point, \\spad{p,} specified as a list from \\spad{List(R)}, to the \\spadtype{ThreeSpace}, \\spad{s,} where \\spad{R} is the \\spadtype{Ring} over which the point is defined.")) (|modifyPointData| (($ $ (|NonNegativeInteger|) (|Point| |#1|)) "\\spad{modifyPointData(s,i,p)} changes the point at the indexed location \\spad{i} in the \\spadtype{ThreeSpace}, \\spad{s,} to that of point \\spad{p.} This is useful for making changes to a point which has been transformed.")) (|enterPointData| (((|NonNegativeInteger|) $ (|List| (|Point| |#1|))) "\\spad{enterPointData(s,[p0,p1,...,pn])} adds a list of points from \\spad{p0} through \\spad{pn} to the \\spadtype{ThreeSpace}, \\spad{s,} and returns the index, to the starting point of the list.")) (|copy| (($ $) "\\spad{copy(s)} returns a new \\spadtype{ThreeSpace} that is an exact copy of \\spad{s.}")) (|composites| (((|List| $) $) "\\spad{composites(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single composite of \\spad{s.} If \\spad{s} has no composites defined (composites need to be explicitly created), the list returned is empty. Note that not all the components need to be part of a composite.")) (|components| (((|List| $) $) "\\spad{components(s)} takes the \\spadtype{ThreeSpace} \\spad{s,} and creates a list containing a unique \\spadtype{ThreeSpace} for each single component of \\spad{s.} If \\spad{s} has no components defined, the list returned is empty.")) (|composite| (($ (|List| $)) "\\spad{composite([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that is a union of all the components from each \\spadtype{ThreeSpace} in the parameter list, grouped as a composite.")) (|merge| (($ $ $) "\\spad{merge(s1,s2)} will create a new \\spadtype{ThreeSpace} that has the components of \\spad{s1} and \\spad{s2}; Groupings of components into composites are maintained.") (($ (|List| $)) "\\spad{merge([s1,s2,...,sn])} will create a new \\spadtype{ThreeSpace} that has the components of all the ones in the list; Groupings of components into composites are maintained.")) (|numberOfComposites| (((|NonNegativeInteger|) $) "\\spad{numberOfComposites(s)} returns the number of supercomponents, or composites, in the \\spadtype{ThreeSpace}, \\spad{s;} Composites are arbitrary groupings of otherwise distinct and unrelated components; A \\spadtype{ThreeSpace} need not have any composites defined at all and, outside of the requirement that no component can belong to more than one composite at a time, the definition and interpretation of composites are unrestricted.")) (|numberOfComponents| (((|NonNegativeInteger|) $) "\\spad{numberOfComponents(s)} returns the number of distinct object components in the indicated \\spadtype{ThreeSpace}, \\spad{s,} such as points, curves, polygons, and constructs.")) (|create3Space| (($ (|SubSpace| 3 |#1|)) "\\spad{create3Space(s)} creates a \\spadtype{ThreeSpace} object containing objects pre-defined within some \\spadtype{SubSpace} \\spad{s.}") (($) "\\spad{create3Space()} creates a \\spadtype{ThreeSpace} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1124) 
-((|constructor| (NIL "SpecialOutputPackage allows FORTRAN,{} Tex and Script Formula Formatter output from programs.")) (|outputAsTex| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsTex(l)} sends (for each expression in the list \\spad{l}) output in Tex format to the destination as defined by \\spadsyscom{set output tex}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsTex(o)} sends output \\spad{o} in Tex format to the destination defined by \\spadsyscom{set output tex}.")) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsScript(l)} sends (for each expression in the list \\spad{l}) output in Script Formula Formatter format to the destination defined. by \\spadsyscom{set output forumula}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsScript(o)} sends output \\spad{o} in Script Formula Formatter format to the destination defined by \\spadsyscom{set output formula}.")) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsFortran(l)} sends (for each expression in the list \\spad{l}) output in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsFortran(o)} sends output \\spad{o} in FORTRAN format.") (((|Void|) (|String|) (|OutputForm|)) "\\spad{outputAsFortran(v,{}o)} sends output \\spad{v} = \\spad{o} in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}."))) 
+(-1126) 
+((|constructor| (NIL "SpecialOutputPackage allows FORTRAN, Tex and Script Formula Formatter output from programs.")) (|outputAsTex| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsTex(l)} sends (for each expression in the list \\spad{l)} output in Tex format to the destination as defined by \\spadsyscom{set output tex}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsTex(o)} sends output \\spad{o} in Tex format to the destination defined by \\spadsyscom{set output tex}.")) (|outputAsScript| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsScript(l)} sends (for each expression in the list \\spad{l)} output in Script Formula Formatter format to the destination defined. by \\spadsyscom{set output forumula}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsScript(o)} sends output \\spad{o} in Script Formula Formatter format to the destination defined by \\spadsyscom{set output formula}.")) (|outputAsFortran| (((|Void|) (|List| (|OutputForm|))) "\\spad{outputAsFortran(l)} sends (for each expression in the list \\spad{l)} output in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}.") (((|Void|) (|OutputForm|)) "\\spad{outputAsFortran(o)} sends output \\spad{o} in FORTRAN format.") (((|Void|) (|String|) (|OutputForm|)) "\\spad{outputAsFortran(v,o)} sends output \\spad{v} = \\spad{o} in FORTRAN format to the destination defined by \\spadsyscom{set output fortran}."))) 
 NIL 
 NIL 
-(-1125) 
-((|constructor| (NIL "Category for the other special functions.")) (|airyBi| (($ $) "\\spad{airyBi(x)} is the Airy function \\spad{\\spad{Bi}(x)}.")) (|airyAi| (($ $) "\\spad{airyAi(x)} is the Airy function \\spad{\\spad{Ai}(x)}.")) (|besselK| (($ $ $) "\\spad{besselK(v,{}z)} is the modified Bessel function of the second kind.")) (|besselI| (($ $ $) "\\spad{besselI(v,{}z)} is the modified Bessel function of the first kind.")) (|besselY| (($ $ $) "\\spad{besselY(v,{}z)} is the Bessel function of the second kind.")) (|besselJ| (($ $ $) "\\spad{besselJ(v,{}z)} is the Bessel function of the first kind.")) (|polygamma| (($ $ $) "\\spad{polygamma(k,{}x)} is the \\spad{k-th} derivative of \\spad{digamma(x)},{} (often written \\spad{psi(k,{}x)} in the literature).")) (|digamma| (($ $) "\\spad{digamma(x)} is the logarithmic derivative of \\spad{Gamma(x)} (often written \\spad{psi(x)} in the literature).")) (|Beta| (($ $ $) "\\spad{Beta(x,{}y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $ $) "\\spad{Gamma(a,{}x)} is the incomplete Gamma function.") (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x}."))) 
+(-1127) 
+((|constructor| (NIL "Category for the other special functions.")) (|airyBi| (($ $) "\\spad{airyBi(x)} is the Airy function \\spad{Bi(x)}.")) (|airyAi| (($ $) "\\spad{airyAi(x)} is the Airy function \\spad{Ai(x)}.")) (|besselK| (($ $ $) "\\spad{besselK(v,z)} is the modified Bessel function of the second kind.")) (|besselI| (($ $ $) "\\spad{besselI(v,z)} is the modified Bessel function of the first kind.")) (|besselY| (($ $ $) "\\spad{besselY(v,z)} is the Bessel function of the second kind.")) (|besselJ| (($ $ $) "\\spad{besselJ(v,z)} is the Bessel function of the first kind.")) (|polygamma| (($ $ $) "\\spad{polygamma(k,x)} is the \\spad{k-th} derivative of \\spad{digamma(x)}, (often written \\spad{psi(k,x)} in the literature).")) (|digamma| (($ $) "\\spad{digamma(x)} is the logarithmic derivative of \\spad{Gamma(x)} (often written \\spad{psi(x)} in the literature).")) (|Beta| (($ $ $) "\\spad{Beta(x,y)} is \\spad{Gamma(x) * Gamma(y)/Gamma(x+y)}.")) (|Gamma| (($ $ $) "\\spad{Gamma(a,x)} is the incomplete Gamma function.") (($ $) "\\spad{Gamma(x)} is the Euler Gamma function.")) (|abs| (($ $) "\\spad{abs(x)} returns the absolute value of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1126 V C) 
-((|constructor| (NIL "This domain exports a modest implementation for the vertices of splitting trees. These vertices are called here splitting nodes. Every of these nodes store 3 informations. The first one is its value,{} that is the current expression to evaluate. The second one is its condition,{} that is the hypothesis under which the value has to be evaluated. The last one is its status,{} that is a boolean flag which is \\spad{true} iff the value is the result of its evaluation under its condition. Two splitting vertices are equal iff they have the sane values and the same conditions (so their status do not matter).")) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNode?(\\spad{n1},{}\\spad{n2},{}\\spad{o2})} returns \\spad{true} iff \\axiom{value(\\spad{n1}) = value(\\spad{n2})} and \\axiom{\\spad{o2}(condition(\\spad{n1}),{}condition(\\spad{n2}))}")) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{infLex?(\\spad{n1},{}\\spad{n2},{}\\spad{o1},{}\\spad{o2})} returns \\spad{true} iff \\axiom{\\spad{o1}(value(\\spad{n1}),{}value(\\spad{n2}))} or \\axiom{value(\\spad{n1}) = value(\\spad{n2})} and \\axiom{\\spad{o2}(condition(\\spad{n1}),{}condition(\\spad{n2}))}.")) (|setEmpty!| (($ $) "\\axiom{setEmpty!(\\spad{n})} replaces \\spad{n} by \\axiom{empty()\\$\\%}.")) (|setStatus!| (($ $ (|Boolean|)) "\\axiom{setStatus!(\\spad{n},{}\\spad{b})} returns \\spad{n} whose status has been replaced by \\spad{b} if it is not empty,{} else an error is produced.")) (|setCondition!| (($ $ |#2|) "\\axiom{setCondition!(\\spad{n},{}\\spad{t})} returns \\spad{n} whose condition has been replaced by \\spad{t} if it is not empty,{} else an error is produced.")) (|setValue!| (($ $ |#1|) "\\axiom{setValue!(\\spad{n},{}\\spad{v})} returns \\spad{n} whose value has been replaced by \\spad{v} if it is not empty,{} else an error is produced.")) (|copy| (($ $) "\\axiom{copy(\\spad{n})} returns a copy of \\spad{n}.")) (|construct| (((|List| $) |#1| (|List| |#2|)) "\\axiom{construct(\\spad{v},{}\\spad{lt})} returns the same as \\axiom{[construct(\\spad{v},{}\\spad{t}) for \\spad{t} in \\spad{lt}]}") (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) "\\axiom{construct(\\spad{lvt})} returns the same as \\axiom{[construct(\\spad{vt}.val,{}\\spad{vt}.tower) for \\spad{vt} in \\spad{lvt}]}") (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) "\\axiom{construct(\\spad{vt})} returns the same as \\axiom{construct(\\spad{vt}.val,{}\\spad{vt}.tower)}") (($ |#1| |#2|) "\\axiom{construct(\\spad{v},{}\\spad{t})} returns the same as \\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{false})}") (($ |#1| |#2| (|Boolean|)) "\\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{b})} returns the non-empty node with value \\spad{v},{} condition \\spad{t} and flag \\spad{b}")) (|status| (((|Boolean|) $) "\\axiom{status(\\spad{n})} returns the status of the node \\spad{n}.")) (|condition| ((|#2| $) "\\axiom{condition(\\spad{n})} returns the condition of the node \\spad{n}.")) (|value| ((|#1| $) "\\axiom{value(\\spad{n})} returns the value of the node \\spad{n}.")) (|empty?| (((|Boolean|) $) "\\axiom{empty?(\\spad{n})} returns \\spad{true} iff the node \\spad{n} is \\axiom{empty()\\$\\%}.")) (|empty| (($) "\\axiom{empty()} returns the same as \\axiom{[empty()\\$\\spad{V},{}empty()\\$\\spad{C},{}\\spad{false}]\\$\\%}"))) 
+(-1128 V C) 
+((|constructor| (NIL "This domain exports a modest implementation for the vertices of splitting trees. These vertices are called here splitting nodes. Every of these nodes store 3 informations. The first one is its value, that is the current expression to evaluate. The second one is its condition, that is the hypothesis under which the value has to be evaluated. The last one is its status, that is a boolean flag which is \\spad{true} iff the value is the result of its evaluation under its condition. Two splitting vertices are equal iff they have the sane values and the same conditions (so their status do not matter).")) (|subNode?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNode?(n1,n2,o2)} returns \\spad{true} iff \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}")) (|infLex?| (((|Boolean|) $ $ (|Mapping| (|Boolean|) |#1| |#1|) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{infLex?(n1,n2,o1,o2)} returns \\spad{true} iff \\axiom{o1(value(n1),value(n2))} or \\axiom{value(n1) = value(n2)} and \\axiom{o2(condition(n1),condition(n2))}.")) (|setEmpty!| (($ $) "\\axiom{setEmpty!(n)} replaces \\spad{n} by \\axiom{empty()$\\%}.")) (|setStatus!| (($ $ (|Boolean|)) "\\axiom{setStatus!(n,b)} returns \\spad{n} whose status has been replaced by \\spad{b} if it is not empty, else an error is produced.")) (|setCondition!| (($ $ |#2|) "\\axiom{setCondition!(n,t)} returns \\spad{n} whose condition has been replaced by \\spad{t} if it is not empty, else an error is produced.")) (|setValue!| (($ $ |#1|) "\\axiom{setValue!(n,v)} returns \\spad{n} whose value has been replaced by \\spad{v} if it is not empty, else an error is produced.")) (|copy| (($ $) "\\axiom{copy(n)} returns a copy of \\spad{n.}")) (|construct| (((|List| $) |#1| (|List| |#2|)) "\\axiom{construct(v,lt)} returns the same as \\axiom{[construct(v,t) for \\spad{t} in lt]}") (((|List| $) (|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|)))) "\\axiom{construct(lvt)} returns the same as \\axiom{[construct(vt.val,vt.tower) for \\spad{vt} in lvt]}") (($ (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) "\\axiom{construct(vt)} returns the same as \\axiom{construct(vt.val,vt.tower)}") (($ |#1| |#2|) "\\axiom{construct(v,t)} returns the same as \\axiom{construct(v,t,false)}") (($ |#1| |#2| (|Boolean|)) "\\axiom{construct(v,t,b)} returns the non-empty node with value \\spad{v,} condition \\spad{t} and flag \\spad{b}")) (|status| (((|Boolean|) $) "\\axiom{status(n)} returns the status of the node \\spad{n.}")) (|condition| ((|#2| $) "\\axiom{condition(n)} returns the condition of the node \\spad{n.}")) (|value| ((|#1| $) "\\axiom{value(n)} returns the value of the node \\spad{n.}")) (|empty?| (((|Boolean|) $) "\\axiom{empty?(n)} returns \\spad{true} iff the node \\spad{n} is \\axiom{empty()$\\%}.")) (|empty| (($) "\\axiom{empty()} returns the same as \\axiom{[empty()$V,empty()$C,false]$\\%}"))) 
 NIL 
 NIL 
-(-1127 V C) 
-((|constructor| (NIL "This domain exports a modest implementation of splitting trees. Spliiting trees are needed when the evaluation of some quantity under some hypothesis requires to split the hypothesis into sub-cases. For instance by adding some new hypothesis on one hand and its negation on another hand. The computations are terminated is a splitting tree \\axiom{a} when \\axiom{status(value(a))} is \\axiom{\\spad{true}}. Thus,{} if for the splitting tree \\axiom{a} the flag \\axiom{status(value(a))} is \\axiom{\\spad{true}},{} then \\axiom{status(value(\\spad{d}))} is \\axiom{\\spad{true}} for any subtree \\axiom{\\spad{d}} of \\axiom{a}. This property of splitting trees is called the termination condition. If no vertex in a splitting tree \\axiom{a} is equal to another,{} \\axiom{a} is said to satisfy the no-duplicates condition. The splitting tree \\axiom{a} will satisfy this condition if nodes are added to \\axiom{a} by mean of \\axiom{splitNodeOf!} and if \\axiom{construct} is only used to create the root of \\axiom{a} with no children.")) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{splitNodeOf!(\\spad{l},{}a,{}\\spad{ls},{}sub?)} returns \\axiom{a} where the children list of \\axiom{\\spad{l}} has been set to \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls} | not subNodeOf?(\\spad{s},{}a,{}sub?)]}. Thus,{} if \\axiom{\\spad{l}} is not a node of \\axiom{a},{} this latter splitting tree is unchanged.") (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{splitNodeOf!(\\spad{l},{}a,{}\\spad{ls})} returns \\axiom{a} where the children list of \\axiom{\\spad{l}} has been set to \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls} | not nodeOf?(\\spad{s},{}a)]}. Thus,{} if \\axiom{\\spad{l}} is not a node of \\axiom{a},{} this latter splitting tree is unchanged.")) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove!(\\spad{s},{}a)} replaces a by remove(\\spad{s},{}a)")) (|remove| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove(\\spad{s},{}a)} returns the splitting tree obtained from a by removing every sub-tree \\axiom{\\spad{b}} such that \\axiom{value(\\spad{b})} and \\axiom{\\spad{s}} have the same value,{} condition and status.")) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNodeOf?(\\spad{s},{}a,{}sub?)} returns \\spad{true} iff for some node \\axiom{\\spad{n}} in \\axiom{a} we have \\axiom{\\spad{s} = \\spad{n}} or \\axiom{status(\\spad{n})} and \\axiom{subNode?(\\spad{s},{}\\spad{n},{}sub?)}.")) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) "\\axiom{nodeOf?(\\spad{s},{}a)} returns \\spad{true} iff some node of \\axiom{a} is equal to \\axiom{\\spad{s}}")) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) "\\axiom{result(a)} where \\axiom{\\spad{ls}} is the leaves list of \\axiom{a} returns \\axiom{[[value(\\spad{s}),{}condition(\\spad{s})]\\$\\spad{VT} for \\spad{s} in \\spad{ls}]} if the computations are terminated in \\axiom{a} else an error is produced.")) (|conditions| (((|List| |#2|) $) "\\axiom{conditions(a)} returns the list of the conditions of the leaves of a")) (|construct| (($ |#1| |#2| |#1| (|List| |#2|)) "\\axiom{construct(\\spad{v1},{}\\spad{t},{}\\spad{v2},{}\\spad{lt})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with children list given by \\axiom{[[[\\spad{v},{}\\spad{t}]\\$\\spad{S}]\\$\\% for \\spad{s} in \\spad{ls}]}.") (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{construct(\\spad{v},{}\\spad{t},{}\\spad{ls})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with children list given by \\axiom{[[\\spad{s}]\\$\\% for \\spad{s} in \\spad{ls}]}.") (($ |#1| |#2| (|List| $)) "\\axiom{construct(\\spad{v},{}\\spad{t},{}la)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[\\spad{v},{}\\spad{t}]\\$\\spad{S}} and with \\axiom{la} as children list.") (($ (|SplittingNode| |#1| |#2|)) "\\axiom{construct(\\spad{s})} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{\\spad{s}} and no children. Thus,{} if the status of \\axiom{\\spad{s}} is \\spad{false},{} \\axiom{[\\spad{s}]} represents the starting point of the evaluation \\axiom{value(\\spad{s})} under the hypothesis \\axiom{condition(\\spad{s})}.")) (|updateStatus!| (($ $) "\\axiom{updateStatus!(a)} returns a where the status of the vertices are updated to satisfy the \"termination condition\".")) (|extractSplittingLeaf| (((|Union| $ "failed") $) "\\axiom{extractSplittingLeaf(a)} returns the left most leaf (as a tree) whose status is \\spad{false} if any,{} else \"failed\" is returned."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-1126 |#1| |#2|) (QUOTE (-1091))) (-12 (|HasCategory| (-1126 |#1| |#2|) (LIST (QUOTE -304) (LIST (QUOTE -1126) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1126 |#1| |#2|) (QUOTE (-1091))))) 
-(-1128 |ndim| R) 
-((|constructor| (NIL "\\spadtype{SquareMatrix} is a matrix domain of square matrices,{} where the number of rows (= number of columns) is a parameter of the type.")) (|unitsKnown| ((|attribute|) "the invertible matrices are simply the matrices whose determinants are units in the Ring \\spad{R}.")) (|central| ((|attribute|) "the elements of the Ring \\spad{R},{} viewed as diagonal matrices,{} commute with all matrices and,{} indeed,{} are the only matrices which commute with all matrices.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{SquareMatrix} to a matrix of type \\spadtype{Matrix}.")) (|squareMatrix| (($ (|Matrix| |#2|)) "\\spad{squareMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spadtype{SquareMatrix}.")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m}."))) 
-((-4532 . T) (-4524 |has| |#2| (-6 (-4537 "*"))) (-4535 . T) (-4529 . T) (-4530 . T)) 
-((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-366))) (-2232 (|HasAttribute| |#2| (QUOTE (-4537 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) (|HasCategory| |#2| (QUOTE (-173)))) 
-(-1129 S) 
-((|constructor| (NIL "A string aggregate is a category for strings,{} that is,{} one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,{}t)} returns the concatenation of \\spad{s} and \\spad{t}. It is provided to allow juxtaposition of strings to work as concatenation. For example,{} \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,{}cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example,{} \\axiom{rightTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,{}c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example,{} \\axiom{rightTrim(\" abc \",{} char \" \")} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,{}cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example,{} \\axiom{leftTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,{}c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example,{} \\axiom{leftTrim(\" abc \",{} char \" \")} returns \\axiom{\"abc \"}.")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,{}cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example,{} \\axiom{trim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,{}c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example,{} \\axiom{trim(\" abc \",{} char \" \")} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,{}cc)} returns a list of substrings delimited by characters in \\spad{cc}.") (((|List| $) $ (|Character|)) "\\spad{split(s,{}c)} returns a list of substrings delimited by character \\spad{c}.")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c}.")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,{}t,{}i)} returns the position \\axiom{\\spad{j} \\spad{>=} \\spad{i}} in \\spad{t} of the first character belonging to \\spad{cc}.") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,{}t,{}i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t},{} where \\axiom{\\spad{j} \\spad{>=} \\spad{i}} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,{}i..j,{}t)} replaces the substring \\axiom{\\spad{s}(\\spad{i}..\\spad{j})} of \\spad{s} by string \\spad{t}.")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,{}t,{}c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c}. Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,{}s,{}wc)} tests if pattern \\axiom{\\spad{p}} matches subject \\axiom{\\spad{s}} where \\axiom{\\spad{wc}} is a wild card character. If no match occurs,{} the index \\axiom{0} is returned; otheriwse,{} the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example,{} \\axiom{match(\"*to*\",{}\"yorktown\",{}\\spad{\"*\"})} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,{}t,{}i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index \\spad{i}. Note that \\axiom{substring?(\\spad{s},{}\\spad{t},{}0) = prefix?(\\spad{s},{}\\spad{t})}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,{}t)} tests if the string \\spad{s} is the final substring of \\spad{t}. Note that \\axiom{suffix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{1}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.(\\spad{n} - \\spad{m} + \\spad{i}) for \\spad{i} in 0..maxIndex \\spad{s}])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,{}t)} tests if the string \\spad{s} is the initial substring of \\spad{t}. Note that \\axiom{prefix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{2}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.\\spad{i} for \\spad{i} in 0..maxIndex \\spad{s}])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
+(-1129 V C) 
+((|constructor| (NIL "This domain exports a modest implementation of splitting trees. Spliiting trees are needed when the evaluation of some quantity under some hypothesis requires to split the hypothesis into sub-cases. For instance by adding some new hypothesis on one hand and its negation on another hand. The computations are terminated is a splitting tree \\axiom{a} when \\axiom{status(value(a))} is \\axiom{true}. Thus, if for the splitting tree \\axiom{a} the flag \\axiom{status(value(a))} is \\axiom{true}, then \\axiom{status(value(d))} is \\axiom{true} for any subtree \\axiom{d} of \\axiom{a}. This property of splitting trees is called the termination condition. If no vertex in a splitting tree \\axiom{a} is equal to another, \\axiom{a} is said to satisfy the no-duplicates condition. The splitting tree \\axiom{a} will satisfy this condition if nodes are added to \\axiom{a} by mean of \\axiom{splitNodeOf!} and if \\axiom{construct} is only used to create the root of \\axiom{a} with no children.")) (|splitNodeOf!| (($ $ $ (|List| (|SplittingNode| |#1| |#2|)) (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{splitNodeOf!(l,a,ls,sub?)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not subNodeOf?(s,a,sub?)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.") (($ $ $ (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{splitNodeOf!(l,a,ls)} returns \\axiom{a} where the children list of \\axiom{l} has been set to \\axiom{[[s]$% for \\spad{s} in \\spad{ls} | not nodeOf?(s,a)]}. Thus, if \\axiom{l} is not a node of \\axiom{a}, this latter splitting tree is unchanged.")) (|remove!| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove!(s,a)} replaces a by remove(s,a)")) (|remove| (($ (|SplittingNode| |#1| |#2|) $) "\\axiom{remove(s,a)} returns the splitting tree obtained from a by removing every sub-tree \\axiom{b} such that \\axiom{value(b)} and \\axiom{s} have the same value, condition and status.")) (|subNodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $ (|Mapping| (|Boolean|) |#2| |#2|)) "\\axiom{subNodeOf?(s,a,sub?)} returns \\spad{true} iff for some node \\axiom{n} in \\axiom{a} we have \\axiom{s = \\spad{n}} or \\axiom{status(n)} and \\axiom{subNode?(s,n,sub?)}.")) (|nodeOf?| (((|Boolean|) (|SplittingNode| |#1| |#2|) $) "\\axiom{nodeOf?(s,a)} returns \\spad{true} iff some node of \\axiom{a} is equal to \\axiom{s}")) (|result| (((|List| (|Record| (|:| |val| |#1|) (|:| |tower| |#2|))) $) "\\axiom{result(a)} where \\axiom{ls} is the leaves list of \\axiom{a} returns \\axiom{[[value(s),condition(s)]$VT for \\spad{s} in ls]} if the computations are terminated in \\axiom{a} else an error is produced.")) (|conditions| (((|List| |#2|) $) "\\axiom{conditions(a)} returns the list of the conditions of the leaves of a")) (|construct| (($ |#1| |#2| |#1| (|List| |#2|)) "\\axiom{construct(v1,t,v2,lt)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[[v,t]$S]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| (|SplittingNode| |#1| |#2|))) "\\axiom{construct(v,t,ls)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with children list given by \\axiom{[[s]$% for \\spad{s} in ls]}.") (($ |#1| |#2| (|List| $)) "\\axiom{construct(v,t,la)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{[v,t]$S} and with \\axiom{la} as children list.") (($ (|SplittingNode| |#1| |#2|)) "\\axiom{construct(s)} creates a splitting tree with value (\\spadignore{i.e.} root vertex) given by \\axiom{s} and no children. Thus, if the status of \\axiom{s} is false, \\axiom{[s]} represents the starting point of the evaluation \\axiom{value(s)} under the hypothesis \\axiom{condition(s)}.")) (|updateStatus!| (($ $) "\\axiom{updateStatus!(a)} returns a where the status of the vertices are updated to satisfy the \"termination condition\".")) (|extractSplittingLeaf| (((|Union| $ "failed") $) "\\axiom{extractSplittingLeaf(a)} returns the left most leaf (as a tree) whose status is \\spad{false} if any, else \"failed\" is returned."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-1128 |#1| |#2|) (QUOTE (-1093))) (-12 (|HasCategory| (-1128 |#1| |#2|) (LIST (QUOTE -304) (LIST (QUOTE -1128) (|devaluate| |#1|) (|devaluate| |#2|)))) (|HasCategory| (-1128 |#1| |#2|) (QUOTE (-1093))))) 
+(-1130 |ndim| R) 
+((|constructor| (NIL "\\spadtype{SquareMatrix} is a matrix domain of square matrices, where the number of rows \\spad{(=} number of columns) is a parameter of the type.")) (|unitsKnown| ((|attribute|) "the invertible matrices are simply the matrices whose determinants are units in the Ring \\spad{R.}")) (|central| ((|attribute|) "the elements of the Ring \\spad{R,} viewed as diagonal matrices, commute with all matrices and, indeed, are the only matrices which commute with all matrices.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(m)} converts a matrix of type \\spadtype{SquareMatrix} to a matrix of type \\spadtype{Matrix}.")) (|squareMatrix| (($ (|Matrix| |#2|)) "\\spad{squareMatrix(m)} converts a matrix of type \\spadtype{Matrix} to a matrix of type \\spadtype{SquareMatrix}.")) (|transpose| (($ $) "\\spad{transpose(m)} returns the transpose of the matrix \\spad{m.}"))) 
+((-4568 . T) (-4560 |has| |#2| (-6 (-4573 "*"))) (-4571 . T) (-4565 . T) (-4566 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (QUOTE (-302))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-366))) (-1929 (|HasAttribute| |#2| (QUOTE (-4573 "*"))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165))))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-226)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) (|HasCategory| |#2| (QUOTE (-173)))) 
+(-1131 S) 
+((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
 NIL 
 NIL 
-(-1130) 
-((|constructor| (NIL "A string aggregate is a category for strings,{} that is,{} one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,{}t)} returns the concatenation of \\spad{s} and \\spad{t}. It is provided to allow juxtaposition of strings to work as concatenation. For example,{} \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,{}cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example,{} \\axiom{rightTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,{}c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example,{} \\axiom{rightTrim(\" abc \",{} char \" \")} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,{}cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example,{} \\axiom{leftTrim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,{}c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example,{} \\axiom{leftTrim(\" abc \",{} char \" \")} returns \\axiom{\"abc \"}.")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,{}cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example,{} \\axiom{trim(\"(abc)\",{} charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,{}c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example,{} \\axiom{trim(\" abc \",{} char \" \")} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,{}cc)} returns a list of substrings delimited by characters in \\spad{cc}.") (((|List| $) $ (|Character|)) "\\spad{split(s,{}c)} returns a list of substrings delimited by character \\spad{c}.")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c}.")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,{}t,{}i)} returns the position \\axiom{\\spad{j} \\spad{>=} \\spad{i}} in \\spad{t} of the first character belonging to \\spad{cc}.") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,{}t,{}i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t},{} where \\axiom{\\spad{j} \\spad{>=} \\spad{i}} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,{}i..j,{}t)} replaces the substring \\axiom{\\spad{s}(\\spad{i}..\\spad{j})} of \\spad{s} by string \\spad{t}.")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,{}t,{}c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c}. Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,{}s,{}wc)} tests if pattern \\axiom{\\spad{p}} matches subject \\axiom{\\spad{s}} where \\axiom{\\spad{wc}} is a wild card character. If no match occurs,{} the index \\axiom{0} is returned; otheriwse,{} the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example,{} \\axiom{match(\"*to*\",{}\"yorktown\",{}\\spad{\"*\"})} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,{}t,{}i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index \\spad{i}. Note that \\axiom{substring?(\\spad{s},{}\\spad{t},{}0) = prefix?(\\spad{s},{}\\spad{t})}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,{}t)} tests if the string \\spad{s} is the final substring of \\spad{t}. Note that \\axiom{suffix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{1}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.(\\spad{n} - \\spad{m} + \\spad{i}) for \\spad{i} in 0..maxIndex \\spad{s}])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,{}t)} tests if the string \\spad{s} is the initial substring of \\spad{t}. Note that \\axiom{prefix?(\\spad{s},{}\\spad{t}) \\spad{==} \\indented{2}{reduce(and,{}[\\spad{s}.\\spad{i} = \\spad{t}.\\spad{i} for \\spad{i} in 0..maxIndex \\spad{s}])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-1132) 
+((|constructor| (NIL "A string aggregate is a category for strings, that is, one dimensional arrays of characters.")) (|elt| (($ $ $) "\\spad{elt(s,t)} returns the concatenation of \\spad{s} and \\spad{t.} It is provided to allow juxtaposition of strings to work as concatenation. For example, \\axiom{\"smoo\" \"shed\"} returns \\axiom{\"smooshed\"}.")) (|rightTrim| (($ $ (|CharacterClass|)) "\\spad{rightTrim(s,cc)} returns \\spad{s} with all trailing occurences of characters in \\spad{cc} deleted. For example, \\axiom{rightTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"(abc\"}.") (($ $ (|Character|)) "\\spad{rightTrim(s,c)} returns \\spad{s} with all trailing occurrences of \\spad{c} deleted. For example, \\axiom{rightTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\" abc\"}.")) (|leftTrim| (($ $ (|CharacterClass|)) "\\spad{leftTrim(s,cc)} returns \\spad{s} with all leading characters in \\spad{cc} deleted. For example, \\axiom{leftTrim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc)\"}.") (($ $ (|Character|)) "\\spad{leftTrim(s,c)} returns \\spad{s} with all leading characters \\spad{c} deleted. For example, \\axiom{leftTrim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc \\spad{\"}.}")) (|trim| (($ $ (|CharacterClass|)) "\\spad{trim(s,cc)} returns \\spad{s} with all characters in \\spad{cc} deleted from right and left ends. For example, \\axiom{trim(\"(abc)\", charClass \"()\")} returns \\axiom{\"abc\"}.") (($ $ (|Character|)) "\\spad{trim(s,c)} returns \\spad{s} with all characters \\spad{c} deleted from right and left ends. For example, \\axiom{trim(\" abc \\spad{\",} char \" \\spad{\")}} returns \\axiom{\"abc\"}.")) (|split| (((|List| $) $ (|CharacterClass|)) "\\spad{split(s,cc)} returns a list of substrings delimited by characters in \\spad{cc.}") (((|List| $) $ (|Character|)) "\\spad{split(s,c)} returns a list of substrings delimited by character \\spad{c.}")) (|coerce| (($ (|Character|)) "\\spad{coerce(c)} returns \\spad{c} as a string \\spad{s} with the character \\spad{c.}")) (|position| (((|Integer|) (|CharacterClass|) $ (|Integer|)) "\\spad{position(cc,t,i)} returns the position \\axiom{j \\spad{>=} i} in \\spad{t} of the first character belonging to \\spad{cc.}") (((|Integer|) $ $ (|Integer|)) "\\spad{position(s,t,i)} returns the position \\spad{j} of the substring \\spad{s} in string \\spad{t,} where \\axiom{j \\spad{>=} i} is required.")) (|replace| (($ $ (|UniversalSegment| (|Integer|)) $) "\\spad{replace(s,i..j,t)} replaces the substring \\axiom{s(i..j)} of \\spad{s} by string \\spad{t.}")) (|match?| (((|Boolean|) $ $ (|Character|)) "\\spad{match?(s,t,c)} tests if \\spad{s} matches \\spad{t} except perhaps for multiple and consecutive occurrences of character \\spad{c.} Typically \\spad{c} is the blank character.")) (|match| (((|NonNegativeInteger|) $ $ (|Character|)) "\\spad{match(p,s,wc)} tests if pattern \\axiom{p} matches subject \\axiom{s} where \\axiom{wc} is a wild card character. If no match occurs, the index \\axiom{0} is returned; otheriwse, the value returned is the first index of the first character in the subject matching the subject (excluding that matched by an initial wild-card). For example, \\axiom{match(\"*to*\",\"yorktown\",\"*\")} returns \\axiom{5} indicating a successful match starting at index \\axiom{5} of \\axiom{\"yorktown\"}.")) (|substring?| (((|Boolean|) $ $ (|Integer|)) "\\spad{substring?(s,t,i)} tests if \\spad{s} is a substring of \\spad{t} beginning at index i. Note that \\axiom{substring?(s,t,0) = prefix?(s,t)}.")) (|suffix?| (((|Boolean|) $ $) "\\spad{suffix?(s,t)} tests if the string \\spad{s} is the final substring of \\spad{t.} Note that \\axiom{suffix?(s,t) \\spad{==} \\indented{1}{reduce(and,[s.i = t.(n - \\spad{m} + i) for \\spad{i} in 0..maxIndex s])}} where \\spad{m} and \\spad{n} denote the maxIndex of \\spad{s} and \\spad{t} respectively.")) (|prefix?| (((|Boolean|) $ $) "\\spad{prefix?(s,t)} tests if the string \\spad{s} is the initial substring of \\spad{t.} Note that \\axiom{prefix?(s,t) \\spad{==} \\indented{2}{reduce(and,[s.i = t.i for \\spad{i} in 0..maxIndex s])}.}")) (|upperCase!| (($ $) "\\spad{upperCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by upper case characters.")) (|upperCase| (($ $) "\\spad{upperCase(s)} returns the string with all characters in upper case.")) (|lowerCase!| (($ $) "\\spad{lowerCase!(s)} destructively replaces the alphabetic characters in \\spad{s} by lower case.")) (|lowerCase| (($ $) "\\spad{lowerCase(s)} returns the string with all characters in lower case."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1131 R E V P TS) 
-((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener\\spad{'s} algorithm) or in the sense of the regular zeros (like in Wu,{} Wang or Lazard- Moreno methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set,{} or how two quasi-components are compared (by an inclusion-test),{} or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,{}E,{}V,{}P,{}TS)} and \\spad{RSETGCD(R,{}E,{}V,{}P,{}TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiomType{\\spad{TS}}. Thus,{} the operations of this package are not documented."))) 
+(-1133 R E V P TS) 
+((|constructor| (NIL "A package providing a new algorithm for solving polynomial systems by means of regular chains. Two ways of solving are provided: in the sense of Zariski closure (like in Kalkbrener's algorithm) or in the sense of the regular zeros (like in Wu, Wang or Lazard- Moreno methods). This algorithm is valid for nay type of regular set. It does not care about the way a polynomial is added in an regular set, or how two quasi-components are compared (by an inclusion-test), or how the invertibility test is made in the tower of simple extensions associated with a regular set. These operations are realized respectively by the domain \\spad{TS} and the packages \\spad{QCMPPK(R,E,V,P,TS)} and \\spad{RSETGCD(R,E,V,P,TS)}. The same way it does not care about the way univariate polynomial gcds (with coefficients in the tower of simple extensions associated with a regular set) are computed. The only requirement is that these gcds need to have invertible initials (normalized or not). WARNING. There is no need for a user to call diectly any operation of this package since they can be accessed by the domain \\axiomType{TS}. Thus, the operations of this package are not documented."))) 
 NIL 
 NIL 
-(-1132 R E V P) 
-((|constructor| (NIL "This domain provides an implementation of square-free regular chains. Moreover,{} the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(\\spad{lp},{}\\spad{b1},{}\\spad{b2})} is an internal subroutine,{} exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3})} is an internal subroutine,{} exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}\\spad{b1},{}\\spad{b2}.\\spad{b3},{}\\spad{b4})} is an internal subroutine,{} exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(\\spad{lp},{}clos?,{}info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory from \\spadtype{RegularTriangularSetCategory} Moreover,{} if clos? then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(\\spad{p},{}\\spad{ts},{}\\spad{b1},{}\\spad{b2},{}\\spad{b3},{}\\spad{b4},{}\\spad{b5})} is an internal subroutine,{} exported only for developement."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1133 S) 
-((|constructor| (NIL "Linked List implementation of a Stack")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} member?(3,{}a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} count(4,{}a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} count(\\spad{x+}->(\\spad{x>2}),{}a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} any?(\\spad{x+}->(\\spad{x=4}),{}a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} every?(\\spad{x+}->(\\spad{x=4}),{}a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} map!(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} map(\\spad{x+}-\\spad{>x+10},{}a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} b:=copy a \\spad{X} eq?(a,{}\\spad{b})")) (|copy| (($ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()\\$Stack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()\\$(Stack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,{}2,{}3,{}4,{}5])\\$Stack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} size?(a,{}5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} more?(a,{}9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} less?(a,{}9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} insert!(8,{}a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} push!(9,{}a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5] \\spad{X} pop! a \\spad{X} a")) (|stack| (($ (|List| |#1|)) "\\indented{1}{stack([\\spad{x},{}\\spad{y},{}...,{}\\spad{z}]) creates a stack with first (top)} \\indented{1}{element \\spad{x},{} second element \\spad{y},{}...,{}and last element \\spad{z}.} \\blankline \\spad{X} a:Stack INT:= stack [1,{}2,{}3,{}4,{}5]"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-1134 A S) 
-((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams,{} a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example,{} see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes,{} \\axiom{possiblyInfinite?(\\spad{s}) = not explictlyFinite?(\\spad{s})}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements,{} and \\spad{false} otherwise. Note that for many datatypes,{} \\axiom{explicitlyFinite?(\\spad{s}) = not possiblyInfinite?(\\spad{s})}."))) 
+(-1134 R E V P) 
+((|constructor| (NIL "This domain provides an implementation of square-free regular chains. Moreover, the operation zeroSetSplit is an implementation of a new algorithm for solving polynomial systems by means of regular chains.")) (|preprocess| (((|Record| (|:| |val| (|List| |#4|)) (|:| |towers| (|List| $))) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{pre_process(lp,b1,b2)} is an internal subroutine, exported only for developement.")) (|internalZeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalZeroSetSplit(lp,b1,b2,b3)} is an internal subroutine, exported only for developement.")) (|zeroSetSplit| (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,b1,b2.b3,b4)} is an internal subroutine, exported only for developement.") (((|List| $) (|List| |#4|) (|Boolean|) (|Boolean|)) "\\axiom{zeroSetSplit(lp,clos?,info?)} has the same specifications as zeroSetSplit from RegularTriangularSetCategory from \\spadtype{RegularTriangularSetCategory} Moreover, if clos? then solves in the sense of the Zariski closure else solves in the sense of the regular zeros. If \\axiom{info?} then do print messages during the computations.")) (|internalAugment| (((|List| $) |#4| $ (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|) (|Boolean|)) "\\axiom{internalAugment(p,ts,b1,b2,b3,b4,b5)} is an internal subroutine, exported only for developement."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-1135 S) 
+((|constructor| (NIL "Linked List implementation of a Stack")) (|member?| (((|Boolean|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} member?(3,a)")) (|members| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} members a")) (|parts| (((|List| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} parts a")) (|#| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} \\#a")) (|count| (((|NonNegativeInteger|) |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(4,a)") (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} count(x+->(x>2),a)")) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} any?(x+->(x=4),a)")) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} every?(x+->(x=4),a)")) (~= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} (a~=b)")) (= (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:Stack INT:= stack [1,2,3,4,5] \\spad{X} (a=b)@Boolean")) (|coerce| (((|OutputForm|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} coerce a")) (|hash| (((|SingleInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} hash a")) (|latex| (((|String|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} latex a")) (|map!| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map!(x+->x+10,a) \\spad{X} a")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} map(x+->x+10,a) \\spad{X} a")) (|eq?| (((|Boolean|) $ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} b:=copy a \\spad{X} eq?(a,b)")) (|copy| (($ $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} copy a")) (|sample| (($) "\\blankline \\spad{X} sample()$Stack(INT)")) (|empty| (($) "\\blankline \\spad{X} b:=empty()$(Stack INT)")) (|empty?| (((|Boolean|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} empty? a")) (|bag| (($ (|List| |#1|)) "\\blankline \\spad{X} bag([1,2,3,4,5])$Stack(INT)")) (|size?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} size?(a,5)")) (|more?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} more?(a,9)")) (|less?| (((|Boolean|) $ (|NonNegativeInteger|)) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} less?(a,9)")) (|depth| (((|NonNegativeInteger|) $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} depth a")) (|top| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} top a")) (|inspect| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} inspect a")) (|insert!| (($ |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} insert!(8,a) \\spad{X} a")) (|push!| ((|#1| |#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} push!(9,a) \\spad{X} a")) (|extract!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} extract! a \\spad{X} a")) (|pop!| ((|#1| $) "\\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5] \\spad{X} pop! a \\spad{X} a")) (|stack| (($ (|List| |#1|)) "\\indented{1}{stack([x,y,...,z]) creates a stack with first (top)} \\indented{1}{element \\spad{x,} second element y,...,and last element \\spad{z.}} \\blankline \\spad{X} a:Stack INT:= stack [1,2,3,4,5]"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-1136 A S) 
+((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
 NIL 
 NIL 
-(-1135 S) 
-((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams,{} a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example,{} see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes,{} \\axiom{possiblyInfinite?(\\spad{s}) = not explictlyFinite?(\\spad{s})}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements,{} and \\spad{false} otherwise. Note that for many datatypes,{} \\axiom{explicitlyFinite?(\\spad{s}) = not possiblyInfinite?(\\spad{s})}."))) 
-((-2982 . T)) 
+(-1137 S) 
+((|constructor| (NIL "A stream aggregate is a linear aggregate which possibly has an infinite number of elements. A basic domain constructor which builds stream aggregates is \\spadtype{Stream}. From streams, a number of infinite structures such power series can be built. A stream aggregate may also be infinite since it may be cyclic. For example, see \\spadtype{DecimalExpansion}.")) (|possiblyInfinite?| (((|Boolean|) $) "\\spad{possiblyInfinite?(s)} tests if the stream \\spad{s} could possibly have an infinite number of elements. Note that for many datatypes, \\axiom{possiblyInfinite?(s) = not explictlyFinite?(s)}.")) (|explicitlyFinite?| (((|Boolean|) $) "\\spad{explicitlyFinite?(s)} tests if the stream has a finite number of elements, and \\spad{false} otherwise. Note that for many datatypes, \\axiom{explicitlyFinite?(s) = not possiblyInfinite?(s)}."))) 
+((-4317 . T)) 
 NIL 
-(-1136 |Key| |Ent| |dent|) 
-((|constructor| (NIL "A sparse table has a default entry,{} which is returned if no other value has been explicitly stored for a key."))) 
-((-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091))))) 
-(-1137) 
-((|constructor| (NIL "A class of objects which can be 'stepped through'. Repeated applications of \\spadfun{nextItem} is guaranteed never to return duplicate items and only return \"failed\" after exhausting all elements of the domain. This assumes that the sequence starts with \\spad{init()}. For infinite domains,{} repeated application of \\spadfun{nextItem} is not required to reach all possible domain elements starting from any initial element. \\blankline Conditional attributes\\spad{\\br} \\tab{5}infinite\\tab{5}repeated nextItem\\spad{'s} are never \"failed\".")) (|nextItem| (((|Union| $ "failed") $) "\\spad{nextItem(x)} returns the next item,{} or \"failed\" if domain is exhausted.")) (|init| (($) "\\spad{init()} chooses an initial object for stepping."))) 
+(-1138 |Key| |Ent| |dent|) 
+((|constructor| (NIL "A sparse table has a default entry, which is returned if no other value has been explicitly stored for a key."))) 
+((-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093))))) 
+(-1139) 
+((|constructor| (NIL "A class of objects which can be 'stepped through'. Repeated applications of \\spadfun{nextItem} is guaranteed never to return duplicate items and only return \"failed\" after exhausting all elements of the domain. This assumes that the sequence starts with \\spad{init()}. For infinite domains, repeated application of \\spadfun{nextItem} is not required to reach all possible domain elements starting from any initial element. \\blankline Conditional attributes\\br \\tab{5}infinite\\tab{5}repeated nextItem's are never \"failed\".")) (|nextItem| (((|Union| $ "failed") $) "\\spad{nextItem(x)} returns the next item, or \"failed\" if domain is exhausted.")) (|init| (($) "\\spad{init()} chooses an initial object for stepping."))) 
 NIL 
 NIL 
-(-1138 |Coef|) 
-((|constructor| (NIL "This package computes infinite products of Taylor series over an integral domain of characteristic 0. Here Taylor series are represented by streams of Taylor coefficients.")) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),{}a,{}d)} computes \\spad{product(n=a,{}a+d,{}a+2*d,{}...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,{}3,{}5...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,{}4,{}6...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,{}2,{}3...,{}f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
+(-1140 |Coef|) 
+((|constructor| (NIL "This package computes infinite products of Taylor series over an integral domain of characteristic 0. Here Taylor series are represented by streams of Taylor coefficients.")) (|generalInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalInfiniteProduct(f(x),a,d)} computes \\spad{product(n=a,a+d,a+2*d,...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|oddInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddInfiniteProduct(f(x))} computes \\spad{product(n=1,3,5...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|evenInfiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenInfiniteProduct(f(x))} computes \\spad{product(n=2,4,6...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1.")) (|infiniteProduct| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{infiniteProduct(f(x))} computes \\spad{product(n=1,2,3...,f(x**n))}. The series \\spad{f(x)} should have constant coefficient 1."))) 
 NIL 
 NIL 
-(-1139 R) 
-((|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1,{} s2,{} ...],{} f)} returns the stream consisting of all elements of \\spad{f}(\\spad{s1}) followed by all elements of \\spad{f}(\\spad{s2}) and so on."))) 
+(-1141 R) 
+((|tensorMap| (((|Stream| |#1|) (|Stream| |#1|) (|Mapping| (|List| |#1|) |#1|)) "\\spad{tensorMap([s1, \\spad{s2,} ...], \\spad{f)}} returns the stream consisting of all elements of f(s1) followed by all elements of f(s2) and so on."))) 
 NIL 
 NIL 
-(-1140 S) 
-((|constructor| (NIL "Functions defined on streams with entries in one set.")) (|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\indented{1}{concat(\\spad{u}) returns the left-to-right concatentation of the} \\indented{1}{streams in \\spad{u}. Note that \\spad{concat(u) = reduce(concat,{}u)}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 10..] \\spad{X} \\spad{n:=}[\\spad{j} for \\spad{j} in 1.. | prime? \\spad{j}] \\spad{X} \\spad{p:=}[\\spad{m},{}\\spad{n}]::Stream(Stream(PositiveInteger)) \\spad{X} concat(\\spad{p})"))) 
+(-1142 S) 
+((|constructor| (NIL "Functions defined on streams with entries in one set.")) (|concat| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\indented{1}{concat(u) returns the left-to-right concatentation of the} \\indented{1}{streams in u. Note that \\spad{concat(u) = reduce(concat,u)}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 10..] \\spad{X} n:=[j for \\spad{j} in 1.. | prime? \\spad{j]} \\spad{X} p:=[m,n]::Stream(Stream(PositiveInteger)) \\spad{X} concat(p)"))) 
 NIL 
 NIL 
-(-1141 A B) 
-((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{reduce(\\spad{b},{}\\spad{f},{}\\spad{u}),{} where \\spad{u} is a finite stream \\spad{[x0,{}x1,{}...,{}xn]},{}} \\indented{1}{returns the value \\spad{r(n)} computed as follows:} \\indented{1}{\\spad{r0 = f(x0,{}b),{}} \\indented{1}{\\spad{r1} = \\spad{f}(\\spad{x1},{}\\spad{r0}),{}...,{}} \\indented{1}{\\spad{r}(\\spad{n}) = \\spad{f}(\\spad{xn},{}\\spad{r}(\\spad{n}-1))}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..300]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer==i+j \\spad{X} reduce(1,{}\\spad{f},{}\\spad{m})")) (|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{scan(\\spad{b},{}\\spad{h},{}[\\spad{x0},{}\\spad{x1},{}\\spad{x2},{}...]) returns \\spad{[y0,{}y1,{}y2,{}...]},{} where} \\indented{1}{\\spad{y0 = h(x0,{}b)},{}} \\indented{1}{\\spad{y1 = h(x1,{}y0)},{}\\spad{...}} \\indented{1}{\\spad{yn = h(xn,{}y(n-1))}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer==i+j \\spad{X} scan(1,{}\\spad{f},{}\\spad{m})")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) "\\indented{1}{map(\\spad{f},{}\\spad{s}) returns a stream whose elements are the function \\spad{f} applied} \\indented{1}{to the corresponding elements of \\spad{s}.} \\indented{1}{Note that \\spad{map(f,{}[x0,{}x1,{}x2,{}...]) = [f(x0),{}f(x1),{}f(x2),{}..]}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(i:PositiveInteger)\\spad{:PositiveInteger==i**2} \\spad{X} map(\\spad{f},{}\\spad{m})"))) 
+(-1143 A B) 
+((|constructor| (NIL "Functions defined on streams with entries in two sets.")) (|reduce| ((|#2| |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{reduce(b,f,u), where \\spad{u} is a finite stream \\spad{[x0,x1,...,xn]},} \\indented{1}{returns the value \\spad{r(n)} computed as follows:} \\indented{1}{\\spad{r0 = f(x0,b),} \\indented{1}{r1 = f(x1,r0),...,} \\indented{1}{r(n) = f(xn,r(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..300]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} reduce(1,f,m)")) (|scan| (((|Stream| |#2|) |#2| (|Mapping| |#2| |#1| |#2|) (|Stream| |#1|)) "\\indented{1}{scan(b,h,[x0,x1,x2,...]) returns \\spad{[y0,y1,y2,...]}, where} \\indented{1}{\\spad{y0 = h(x0,b)},} \\indented{1}{\\spad{y1 = h(x1,y0)},\\spad{...}} \\indented{1}{\\spad{yn = h(xn,y(n-1))}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer==i+j \\spad{X} scan(1,f,m)")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|Stream| |#1|)) "\\indented{1}{map(f,s) returns a stream whose elements are the function \\spad{f} applied} \\indented{1}{to the corresponding elements of \\spad{s.}} \\indented{1}{Note that \\spad{map(f,[x0,x1,x2,...]) = [f(x0),f(x1),f(x2),..]}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} \\spad{f(i:PositiveInteger):PositiveInteger==i**2} \\spad{X} map(f,m)"))) 
 NIL 
 NIL 
-(-1142 A B C) 
-((|constructor| (NIL "Functions defined on streams with entries in three sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) "\\indented{1}{map(\\spad{f},{}\\spad{st1},{}\\spad{st2}) returns the stream whose elements are the} \\indented{1}{function \\spad{f} applied to the corresponding elements of \\spad{st1} and \\spad{st2}.} \\indented{1}{\\spad{map(f,{}[x0,{}x1,{}x2,{}..],{}[y0,{}y1,{}y2,{}..]) = [f(x0,{}y0),{}f(x1,{}y1),{}..]}.} \\blankline \\spad{S} \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{n:=}[\\spad{i} for \\spad{i} in 1..]::Stream(Integer) \\spad{X} \\spad{f}(i:Integer,{}j:Integer):Integer \\spad{==} i+j \\spad{X} map(\\spad{f},{}\\spad{m},{}\\spad{n})"))) 
+(-1144 A B C) 
+((|constructor| (NIL "Functions defined on streams with entries in three sets.")) (|map| (((|Stream| |#3|) (|Mapping| |#3| |#1| |#2|) (|Stream| |#1|) (|Stream| |#2|)) "\\indented{1}{map(f,st1,st2) returns the stream whose elements are the} \\indented{1}{function \\spad{f} applied to the corresponding elements of \\spad{st1} and st2.} \\indented{1}{\\spad{map(f,[x0,x1,x2,..],[y0,y1,y2,..]) = [f(x0,y0),f(x1,y1),..]}.} \\blankline \\spad{S} \\spad{X} m:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} n:=[i for \\spad{i} in 1..]::Stream(Integer) \\spad{X} f(i:Integer,j:Integer):Integer \\spad{==} i+j \\spad{X} map(f,m,n)"))) 
 NIL 
 NIL 
-(-1143 S) 
-((|constructor| (NIL "A stream is an implementation of an infinite sequence using a list of terms that have been computed and a function closure to compute additional terms when needed.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterUntil(\\spad{p},{}\\spad{s}) returns \\spad{[x0,{}x1,{}...,{}x(n)]} where} \\indented{1}{\\spad{s = [x0,{}x1,{}x2,{}..]} and} \\indented{1}{\\spad{n} is the smallest index such that \\spad{p(xn) = true}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterUntil(\\spad{f},{}\\spad{m})")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterWhile(\\spad{p},{}\\spad{s}) returns \\spad{[x0,{}x1,{}...,{}x(n-1)]} where} \\indented{1}{\\spad{s = [x0,{}x1,{}x2,{}..]} and} \\indented{1}{\\spad{n} is the smallest index such that \\spad{p(xn) = false}.} \\blankline \\spad{X} \\spad{m:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{f}(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterWhile(\\spad{f},{}\\spad{m})")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\indented{1}{generate(\\spad{f},{}\\spad{x}) creates an infinite stream whose first element is} \\indented{1}{\\spad{x} and whose \\spad{n}th element (\\spad{n > 1}) is \\spad{f} applied to the previous} \\indented{1}{element. Note: \\spad{generate(f,{}x) = [x,{}f(x),{}f(f(x)),{}...]}.} \\blankline \\spad{X} \\spad{f}(x:Integer):Integer \\spad{==} \\spad{x+10} \\spad{X} generate(\\spad{f},{}10)") (($ (|Mapping| |#1|)) "\\indented{1}{generate(\\spad{f}) creates an infinite stream all of whose elements are} \\indented{1}{equal to \\spad{f()}.} \\indented{1}{Note: \\spad{generate(f) = [f(),{}f(),{}f(),{}...]}.} \\blankline \\spad{X} \\spad{f}():Integer \\spad{==} 1 \\spad{X} generate(\\spad{f})")) (|setrest!| (($ $ (|Integer|) $) "\\indented{1}{setrest!(\\spad{x},{}\\spad{n},{}\\spad{y}) sets rest(\\spad{x},{}\\spad{n}) to \\spad{y}. The function will expand} \\indented{1}{cycles if necessary.} \\blankline \\spad{X} \\spad{p:=}[\\spad{i} for \\spad{i} in 1..] \\spad{X} \\spad{q:=}[\\spad{i} for \\spad{i} in 9..] \\spad{X} setrest!(\\spad{p},{}4,{}\\spad{q}) \\spad{X} \\spad{p}")) (|showAll?| (((|Boolean|)) "\\spad{showAll?()} returns \\spad{true} if all computed entries of streams will be displayed.")) (|showAllElements| (((|OutputForm|) $) "\\indented{1}{showAllElements(\\spad{s}) creates an output form which displays all} \\indented{1}{computed elements.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3,{}4,{}5,{}6,{}7,{}8,{}9,{}10,{}11,{}12] \\spad{X} n:=m::Stream(PositiveInteger) \\spad{X} showAllElements \\spad{n}")) (|output| (((|Void|) (|Integer|) $) "\\indented{1}{output(\\spad{n},{}st) computes and displays the first \\spad{n} entries} \\indented{1}{of st.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} output(5,{}\\spad{n})")) (|cons| (($ |#1| $) "\\indented{1}{cons(a,{}\\spad{s}) returns a stream whose \\spad{first} is \\spad{a}} \\indented{1}{and whose \\spad{rest} is \\spad{s}.} \\indented{1}{Note: \\spad{cons(a,{}s) = concat(a,{}s)}.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} cons(4,{}\\spad{n})")) (|delay| (($ (|Mapping| $)) "\\spad{delay(f)} creates a stream with a lazy evaluation defined by function \\spad{f}. Caution: This function can only be called in compiled code.")) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) "\\indented{1}{findCycle(\\spad{n},{}st) determines if st is periodic within \\spad{n}.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} findCycle(3,{}\\spad{n}) \\spad{X} findCycle(2,{}\\spad{n})")) (|repeating?| (((|Boolean|) (|List| |#1|) $) "\\indented{1}{repeating?(\\spad{l},{}\\spad{s}) returns \\spad{true} if a stream \\spad{s} is periodic} \\indented{1}{with period \\spad{l},{} and \\spad{false} otherwise.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3] \\spad{X} n:=repeating(\\spad{m}) \\spad{X} repeating?(\\spad{m},{}\\spad{n})")) (|repeating| (($ (|List| |#1|)) "\\indented{1}{repeating(\\spad{l}) is a repeating stream whose period is the list \\spad{l}.} \\blankline \\spad{X} m:=repeating([\\spad{-1},{}0,{}1,{}2,{}3])")) (|coerce| (($ (|List| |#1|)) "\\indented{1}{coerce(\\spad{l}) converts a list \\spad{l} to a stream.} \\blankline \\spad{X} \\spad{m:=}[1,{}2,{}3,{}4,{}5,{}6,{}7,{}8,{}9,{}10,{}11,{}12] \\spad{X} coerce(\\spad{m})@Stream(Integer) \\spad{X} m::Stream(Integer)")) (|shallowlyMutable| ((|attribute|) "one may destructively alter a stream by assigning new values to its entries."))) 
-((-4536 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-843)))) 
-(-1144) 
+(-1145 S) 
+((|constructor| (NIL "A stream is an implementation of an infinite sequence using a list of terms that have been computed and a function closure to compute additional terms when needed.")) (|filterUntil| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterUntil(p,s) returns \\spad{[x0,x1,...,x(n)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = true}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterUntil(f,m)")) (|filterWhile| (($ (|Mapping| (|Boolean|) |#1|) $) "\\indented{1}{filterWhile(p,s) returns \\spad{[x0,x1,...,x(n-1)]} where} \\indented{1}{\\spad{s = [x0,x1,x2,..]} and} \\indented{1}{n is the smallest index such that \\spad{p(xn) = false}.} \\blankline \\spad{X} m:=[i for \\spad{i} in 1..] \\spad{X} f(x:PositiveInteger):Boolean \\spad{==} \\spad{x} < 5 \\spad{X} filterWhile(f,m)")) (|generate| (($ (|Mapping| |#1| |#1|) |#1|) "\\indented{1}{generate(f,x) creates an infinite stream whose first element is} \\indented{1}{x and whose \\spad{n}th element (\\spad{n > 1}) is \\spad{f} applied to the previous} \\indented{1}{element. Note: \\spad{generate(f,x) = [x,f(x),f(f(x)),...]}.} \\blankline \\spad{X} f(x:Integer):Integer \\spad{==} \\spad{x+10} \\spad{X} generate(f,10)") (($ (|Mapping| |#1|)) "\\indented{1}{generate(f) creates an infinite stream all of whose elements are} \\indented{1}{equal to \\spad{f()}.} \\indented{1}{Note: \\spad{generate(f) = [f(),f(),f(),...]}.} \\blankline \\spad{X} f():Integer \\spad{==} 1 \\spad{X} generate(f)")) (|setrest!| (($ $ (|Integer|) $) "\\indented{1}{setrest!(x,n,y) sets rest(x,n) to \\spad{y.} The function will expand} \\indented{1}{cycles if necessary.} \\blankline \\spad{X} p:=[i for \\spad{i} in 1..] \\spad{X} q:=[i for \\spad{i} in 9..] \\spad{X} setrest!(p,4,q) \\spad{X} \\spad{p}")) (|showAll?| (((|Boolean|)) "\\spad{showAll?()} returns \\spad{true} if all computed entries of streams will be displayed.")) (|showAllElements| (((|OutputForm|) $) "\\indented{1}{showAllElements(s) creates an output form which displays all} \\indented{1}{computed elements.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} n:=m::Stream(PositiveInteger) \\spad{X} showAllElements \\spad{n}")) (|output| (((|Void|) (|Integer|) $) "\\indented{1}{output(n,st) computes and displays the first \\spad{n} entries} \\indented{1}{of st.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} output(5,n)")) (|cons| (($ |#1| $) "\\indented{1}{cons(a,s) returns a stream whose \\spad{first} is \\spad{a}} \\indented{1}{and whose \\spad{rest} is \\spad{s.}} \\indented{1}{Note: \\spad{cons(a,s) = concat(a,s)}.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} cons(4,n)")) (|delay| (($ (|Mapping| $)) "\\spad{delay(f)} creates a stream with a lazy evaluation defined by function \\spad{f.} Caution: This function can only be called in compiled code.")) (|findCycle| (((|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|))) (|NonNegativeInteger|) $) "\\indented{1}{findCycle(n,st) determines if st is periodic within \\spad{n.}} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} findCycle(3,n) \\spad{X} findCycle(2,n)")) (|repeating?| (((|Boolean|) (|List| |#1|) $) "\\indented{1}{repeating?(l,s) returns \\spad{true} if a stream \\spad{s} is periodic} \\indented{1}{with period \\spad{l,} and \\spad{false} otherwise.} \\blankline \\spad{X} m:=[1,2,3] \\spad{X} n:=repeating(m) \\spad{X} repeating?(m,n)")) (|repeating| (($ (|List| |#1|)) "\\indented{1}{repeating(l) is a repeating stream whose period is the list \\spad{l.}} \\blankline \\spad{X} m:=repeating([-1,0,1,2,3])")) (|coerce| (($ (|List| |#1|)) "\\indented{1}{coerce(l) converts a list \\spad{l} to a stream.} \\blankline \\spad{X} m:=[1,2,3,4,5,6,7,8,9,10,11,12] \\spad{X} coerce(m)@Stream(Integer) \\spad{X} m::Stream(Integer)")) (|shallowlyMutable| ((|attribute|) "one may destructively alter a stream by assigning new values to its entries."))) 
+((-4572 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844)))) 
+(-1146) 
 ((|constructor| (NIL "A category for string-like objects")) (|string| (($ (|Integer|)) "\\spad{string(i)} returns the decimal representation of \\spad{i} in a string"))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1145) 
+(-1147) 
 ((|constructor| (NIL "This is the domain of character strings. Strings are 1 based."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-148) (QUOTE (-1091))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-843)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1091)))))) 
-(-1146 |Entry|) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-148) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-148) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-148) (QUOTE (-1093))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-844)))) (-12 (|HasCategory| (-148) (LIST (QUOTE -304) (QUOTE (-148)))) (|HasCategory| (-148) (QUOTE (-1093)))))) 
+(-1148 |Entry|) 
 ((|constructor| (NIL "This domain provides tables where the keys are strings. A specialized hash function for strings is used."))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (QUOTE (-1145))) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091)))) (|HasCategory| (-1145) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (QUOTE (-1091))) (|HasCategory| |#1| (QUOTE (-1091)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-1147 A) 
-((|constructor| (NIL "StreamTaylorSeriesOperations implements Taylor series arithmetic,{} where a Taylor series is represented by a stream of its coefficients.")) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{power(a,{}f)} returns the power series \\spad{f} raised to the power \\spad{a}.")) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyGintegrate(f,{}r,{}g)} is used for fixed point computations.")) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapdiv([a0,{}a1,{}..],{}[b0,{}b1,{}..])} returns \\spad{[a0/b0,{}a1/b1,{}..]}.")) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) "\\spad{powern(r,{}f)} raises power series \\spad{f} to the power \\spad{r}.")) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{nlde(u)} solves a first order non-linear differential equation described by \\spad{u} of the form \\spad{[[b<0,{}0>,{}b<0,{}1>,{}...],{}[b<1,{}0>,{}b<1,{}1>,{}.],{}...]}. the differential equation has the form \\spad{y'=sum(i=0 to infinity,{}j=0 to infinity,{}b<i,{}j>*(x**i)*(y**j))}.")) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyIntegrate(r,{}f)} is a local function used for fixed point computations.")) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{integrate(r,{}a)} returns the integral of the power series \\spad{a} with respect to the power series variableintegration where \\spad{r} denotes the constant of integration. Thus \\spad{integrate(a,{}[a0,{}a1,{}a2,{}...]) = [a,{}a0,{}a1/2,{}a2/3,{}...]}.")) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{invmultisect(a,{}b,{}st)} substitutes \\spad{x**((a+b)*n)} for \\spad{x**n} and multiplies by \\spad{x**b}.")) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{multisect(a,{}b,{}st)} selects the coefficients of \\spad{x**((a+b)*n+a)},{} and changes them to \\spad{x**n}.")) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x**a) + f(x**(a + d)) + f(x**(a + 2 d)) + ...}. \\spad{f(x)} should have zero constant coefficient and \\spad{a} and \\spad{d} should be positive.")) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenlambert(st)} computes \\spad{f(x**2) + f(x**4) + f(x**6) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1,{} then \\spad{prod(f(x**(2*n)),{}n=1..infinity) = exp(evenlambert(log(f(x))))}.")) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddlambert(st)} computes \\spad{f(x) + f(x**3) + f(x**5) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f}(\\spad{x}) is a power series with constant coefficient 1 then \\spad{prod(f(x**(2*n-1)),{}n=1..infinity) = exp(oddlambert(log(f(x))))}.")) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lambert(st)} computes \\spad{f(x) + f(x**2) + f(x**3) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1 then \\spad{prod(f(x**n),{}n = 1..infinity) = exp(lambert(log(f(x))))}.")) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{addiag(x)} performs diagonal addition of a stream of streams. if \\spad{x} = \\spad{[[a<0,{}0>,{}a<0,{}1>,{}..],{}[a<1,{}0>,{}a<1,{}1>,{}..],{}[a<2,{}0>,{}a<2,{}1>,{}..],{}..]} and \\spad{addiag(x) = [b<0,{}b<1>,{}...],{} then b<k> = sum(i+j=k,{}a<i,{}j>)}.")) (|revert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{revert(a)} computes the inverse of a power series \\spad{a} with respect to composition. the series should have constant coefficient 0 and first order coefficient 1.")) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lagrange(g)} produces the power series for \\spad{f} where \\spad{f} is implicitly defined as \\spad{f(z) = z*g(f(z))}.")) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{compose(a,{}b)} composes the power series \\spad{a} with the power series \\spad{b}.")) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{eval(a,{}r)} returns a stream of partial sums of the power series \\spad{a} evaluated at the power series variable equal to \\spad{r}.")) (|coerce| (((|Stream| |#1|) |#1|) "\\spad{coerce(r)} converts a ring element \\spad{r} to a stream with one element.")) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) "\\spad{gderiv(f,{}[a0,{}a1,{}a2,{}..])} returns \\spad{[f(0)*a0,{}f(1)*a1,{}f(2)*a2,{}..]}.")) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{deriv(a)} returns the derivative of the power series with respect to the power series variable. Thus \\spad{deriv([a0,{}a1,{}a2,{}...])} returns \\spad{[a1,{}2 a2,{}3 a3,{}...]}.")) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapmult([a0,{}a1,{}..],{}[b0,{}b1,{}..])} returns \\spad{[a0*b0,{}a1*b1,{}..]}.")) (|int| (((|Stream| |#1|) |#1|) "\\spad{int(r)} returns [\\spad{r},{}\\spad{r+1},{}\\spad{r+2},{}...],{} where \\spad{r} is a ring element.")) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{oddintegers(n)} returns \\spad{[n,{}n+2,{}n+4,{}...]}.")) (|integers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{integers(n)} returns \\spad{[n,{}n+1,{}n+2,{}...]}.")) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) "\\spad{monom(deg,{}coef)} is a monomial of degree \\spad{deg} with coefficient \\spad{coef}.")) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) "\\spad{recip(a)} returns the power series reciprocal of \\spad{a},{} or \"failed\" if not possible.")) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a / b} returns the power series quotient of \\spad{a} by \\spad{b}. An error message is returned if \\spad{b} is not invertible. This function is used in fixed point computations.")) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) "\\spad{exquo(a,{}b)} returns the power series quotient of \\spad{a} by \\spad{b},{} if the quotient exists,{} and \"failed\" otherwise")) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{a * r} returns the power series scalar multiplication of \\spad{a} by \\spad{r:} \\spad{[a0,{}a1,{}...] * r = [a0 * r,{}a1 * r,{}...]}") (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{r * a} returns the power series scalar multiplication of \\spad{r} by \\spad{a}: \\spad{r * [a0,{}a1,{}...] = [r * a0,{}r * a1,{}...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a * b} returns the power series (Cauchy) product of \\spad{a} and \\spad{b:} \\spad{[a0,{}a1,{}...] * [b0,{}b1,{}...] = [c0,{}c1,{}...]} where \\spad{ck = sum(i + j = k,{}\\spad{ai} * bk)}.")) (- (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{- a} returns the power series negative of \\spad{a}: \\spad{- [a0,{}a1,{}...] = [- a0,{}- a1,{}...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a - b} returns the power series difference of \\spad{a} and \\spad{b}: \\spad{[a0,{}a1,{}..] - [b0,{}b1,{}..] = [a0 - b0,{}a1 - b1,{}..]}")) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a + b} returns the power series sum of \\spad{a} and \\spad{b}: \\spad{[a0,{}a1,{}..] + [b0,{}b1,{}..] = [a0 + b0,{}a1 + b1,{}..]}"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (QUOTE (-1147))) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#1|))))) (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093)))) (|HasCategory| (-1147) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (QUOTE (-1093))) (|HasCategory| |#1| (QUOTE (-1093)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-1149 A) 
+((|constructor| (NIL "StreamTaylorSeriesOperations implements Taylor series arithmetic, where a Taylor series is represented by a stream of its coefficients.")) (|power| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{power(a,f)} returns the power series \\spad{f} raised to the power \\spad{a}.")) (|lazyGintegrate| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyGintegrate(f,r,g)} is used for fixed point computations.")) (|mapdiv| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapdiv([a0,a1,..],[b0,b1,..])} returns \\spad{[a0/b0,a1/b1,..]}.")) (|powern| (((|Stream| |#1|) (|Fraction| (|Integer|)) (|Stream| |#1|)) "\\spad{powern(r,f)} raises power series \\spad{f} to the power \\spad{r.}")) (|nlde| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{nlde(u)} solves a first order non-linear differential equation described by \\spad{u} of the form \\spad{[[b<0,0>,b<0,1>,...],[b<1,0>,b<1,1>,.],...]}. the differential equation has the form \\spad{y'=sum(i=0 to \\spad{infinity,j=0} to infinity,b<i,j>*(x**i)*(y**j))}.")) (|lazyIntegrate| (((|Stream| |#1|) |#1| (|Mapping| (|Stream| |#1|))) "\\spad{lazyIntegrate(r,f)} is a local function used for fixed point computations.")) (|integrate| (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{integrate(r,a)} returns the integral of the power series \\spad{a} with respect to the power series variableintegration where \\spad{r} denotes the constant of integration. Thus \\spad{integrate(a,[a0,a1,a2,...]) = [a,a0,a1/2,a2/3,...]}.")) (|invmultisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{invmultisect(a,b,st)} substitutes \\spad{x**((a+b)*n)} for \\spad{x**n} and multiplies by \\spad{x**b}.")) (|multisect| (((|Stream| |#1|) (|Integer|) (|Integer|) (|Stream| |#1|)) "\\spad{multisect(a,b,st)} selects the coefficients of \\spad{x**((a+b)*n+a)}, and changes them to \\spad{x**n}.")) (|generalLambert| (((|Stream| |#1|) (|Stream| |#1|) (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x**a) + f(x**(a + \\spad{d))} + f(x**(a + 2 \\spad{d))} + ...}. \\spad{f(x)} should have zero constant coefficient and \\spad{a} and \\spad{d} should be positive.")) (|evenlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{evenlambert(st)} computes \\spad{f(x**2) + f(x**4) + f(x**6) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1, then \\spad{prod(f(x**(2*n)),n=1..infinity) = exp(evenlambert(log(f(x))))}.")) (|oddlambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{oddlambert(st)} computes \\spad{f(x) + f(x**3) + f(x**5) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If f(x) is a power series with constant coefficient 1 then \\spad{prod(f(x**(2*n-1)),n=1..infinity) = exp(oddlambert(log(f(x))))}.")) (|lambert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lambert(st)} computes \\spad{f(x) + f(x**2) + f(x**3) + ...} if \\spad{st} is a stream representing \\spad{f(x)}. This function is used for computing infinite products. If \\spad{f(x)} is a power series with constant coefficient 1 then \\spad{prod(f(x**n),n = 1..infinity) = exp(lambert(log(f(x))))}.")) (|addiag| (((|Stream| |#1|) (|Stream| (|Stream| |#1|))) "\\spad{addiag(x)} performs diagonal addition of a stream of streams. if \\spad{x} = \\spad{[[a<0,0>,a<0,1>,..],[a<1,0>,a<1,1>,..],[a<2,0>,a<2,1>,..],..]} and \\spad{addiag(x) = [b<0,b<1>,...], then b<k> = sum(i+j=k,a<i,j>)}.")) (|revert| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{revert(a)} computes the inverse of a power series \\spad{a} with respect to composition. the series should have constant coefficient 0 and first order coefficient 1.")) (|lagrange| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{lagrange(g)} produces the power series for \\spad{f} where \\spad{f} is implicitly defined as \\spad{f(z) = z*g(f(z))}.")) (|compose| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{compose(a,b)} composes the power series \\spad{a} with the power series \\spad{b.}")) (|eval| (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{eval(a,r)} returns a stream of partial sums of the power series \\spad{a} evaluated at the power series variable equal to \\spad{r.}")) (|coerce| (((|Stream| |#1|) |#1|) "\\spad{coerce(r)} converts a ring element \\spad{r} to a stream with one element.")) (|gderiv| (((|Stream| |#1|) (|Mapping| |#1| (|Integer|)) (|Stream| |#1|)) "\\spad{gderiv(f,[a0,a1,a2,..])} returns \\spad{[f(0)*a0,f(1)*a1,f(2)*a2,..]}.")) (|deriv| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{deriv(a)} returns the derivative of the power series with respect to the power series variable. Thus \\spad{deriv([a0,a1,a2,...])} returns \\spad{[a1,2 \\spad{a2,3} a3,...]}.")) (|mapmult| (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{mapmult([a0,a1,..],[b0,b1,..])} returns \\spad{[a0*b0,a1*b1,..]}.")) (|int| (((|Stream| |#1|) |#1|) "\\spad{int(r)} returns [r,r+1,r+2,...], where \\spad{r} is a ring element.")) (|oddintegers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{oddintegers(n)} returns \\spad{[n,n+2,n+4,...]}.")) (|integers| (((|Stream| (|Integer|)) (|Integer|)) "\\spad{integers(n)} returns \\spad{[n,n+1,n+2,...]}.")) (|monom| (((|Stream| |#1|) |#1| (|Integer|)) "\\spad{monom(deg,coef)} is a monomial of degree \\spad{deg} with coefficient coef.")) (|recip| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|)) "\\spad{recip(a)} returns the power series reciprocal of \\spad{a}, or \"failed\" if not possible.")) (/ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a / \\spad{b}} returns the power series quotient of \\spad{a} by \\spad{b.} An error message is returned if \\spad{b} is not invertible. This function is used in fixed point computations.")) (|exquo| (((|Union| (|Stream| |#1|) "failed") (|Stream| |#1|) (|Stream| |#1|)) "\\spad{exquo(a,b)} returns the power series quotient of \\spad{a} by \\spad{b,} if the quotient exists, and \"failed\" otherwise")) (* (((|Stream| |#1|) (|Stream| |#1|) |#1|) "\\spad{a * \\spad{r}} returns the power series scalar multiplication of \\spad{a} by \\spad{r:} \\spad{[a0,a1,...] * \\spad{r} = \\spad{[a0} * \\spad{r,a1} * r,...]}") (((|Stream| |#1|) |#1| (|Stream| |#1|)) "\\spad{r * a} returns the power series scalar multiplication of \\spad{r} by \\spad{a}: \\spad{r * [a0,a1,...] = \\spad{[r} * a0,r * a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a * \\spad{b}} returns the power series (Cauchy) product of \\spad{a} and \\spad{b:} \\spad{[a0,a1,...] * [b0,b1,...] = [c0,c1,...]} where \\spad{ck = sum(i + \\spad{j} = k,ai * bk)}.")) (- (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{- a} returns the power series negative of \\spad{a}: \\spad{- [a0,a1,...] = \\spad{[-} a0,- a1,...]}") (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a - \\spad{b}} returns the power series difference of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] - [b0,b1,..] = \\spad{[a0} - \\spad{b0,a1} - b1,..]}")) (+ (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{a + \\spad{b}} returns the power series sum of \\spad{a} and \\spad{b}: \\spad{[a0,a1,..] + [b0,b1,..] = \\spad{[a0} + \\spad{b0,a1} + b1,..]}"))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) 
-(-1148 |Coef|) 
-((|constructor| (NIL "StreamTranscendentalFunctionsNonCommutative implements transcendental functions on Taylor series over a non-commutative ring,{} where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st}.")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st}.")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st}.")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st}.")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st}.")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st}.")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st}.")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st}.")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st}.")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st}.")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st}.")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st}.")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st}.")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st}.")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st}.")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st}.")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st}.")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st}.")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st}.")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st}.")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st}.")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st}.")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st}.")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st}.")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 ** st2} computes the power of a power series \\spad{st1} by another power series \\spad{st2}.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st}."))) 
+(-1150 |Coef|) 
+((|constructor| (NIL "StreamTranscendentalFunctionsNonCommutative implements transcendental functions on Taylor series over a non-commutative ring, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1149 |Coef|) 
-((|constructor| (NIL "StreamTranscendentalFunctions implements transcendental functions on Taylor series,{} where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st}.")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st}.")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st}.")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st}.")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st}.")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st}.")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st}.")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st}.")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st}.")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st}.")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st}.")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st}.")) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sinhcosh(st)} returns a record containing the hyperbolic sine and cosine of a power series \\spad{st}.")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st}.")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st}.")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st}.")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st}.")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st}.")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st}.")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st}.")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st}.")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st}.")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st}.")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st}.")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st}.")) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sincos(st)} returns a record containing the sine and cosine of a power series \\spad{st}.")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 ** st2} computes the power of a power series \\spad{st1} by another power series \\spad{st2}.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st}."))) 
+(-1151 |Coef|) 
+((|constructor| (NIL "StreamTranscendentalFunctions implements transcendental functions on Taylor series, where a Taylor series is represented by a stream of its coefficients.")) (|acsch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsch(st)} computes the inverse hyperbolic cosecant of a power series \\spad{st.}")) (|asech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asech(st)} computes the inverse hyperbolic secant of a power series \\spad{st.}")) (|acoth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acoth(st)} computes the inverse hyperbolic cotangent of a power series \\spad{st.}")) (|atanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atanh(st)} computes the inverse hyperbolic tangent of a power series \\spad{st.}")) (|acosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acosh(st)} computes the inverse hyperbolic cosine of a power series \\spad{st.}")) (|asinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asinh(st)} computes the inverse hyperbolic sine of a power series \\spad{st.}")) (|csch| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csch(st)} computes the hyperbolic cosecant of a power series \\spad{st.}")) (|sech| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sech(st)} computes the hyperbolic secant of a power series \\spad{st.}")) (|coth| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{coth(st)} computes the hyperbolic cotangent of a power series \\spad{st.}")) (|tanh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tanh(st)} computes the hyperbolic tangent of a power series \\spad{st.}")) (|cosh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cosh(st)} computes the hyperbolic cosine of a power series \\spad{st.}")) (|sinh| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sinh(st)} computes the hyperbolic sine of a power series \\spad{st.}")) (|sinhcosh| (((|Record| (|:| |sinh| (|Stream| |#1|)) (|:| |cosh| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sinhcosh(st)} returns a record containing the hyperbolic sine and cosine of a power series \\spad{st.}")) (|acsc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acsc(st)} computes arccosecant of a power series \\spad{st.}")) (|asec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asec(st)} computes arcsecant of a power series \\spad{st.}")) (|acot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acot(st)} computes arccotangent of a power series \\spad{st.}")) (|atan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{atan(st)} computes arctangent of a power series \\spad{st.}")) (|acos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{acos(st)} computes arccosine of a power series \\spad{st.}")) (|asin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{asin(st)} computes arcsine of a power series \\spad{st.}")) (|csc| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{csc(st)} computes cosecant of a power series \\spad{st.}")) (|sec| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sec(st)} computes secant of a power series \\spad{st.}")) (|cot| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cot(st)} computes cotangent of a power series \\spad{st.}")) (|tan| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{tan(st)} computes tangent of a power series \\spad{st.}")) (|cos| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{cos(st)} computes cosine of a power series \\spad{st.}")) (|sin| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{sin(st)} computes sine of a power series \\spad{st.}")) (|sincos| (((|Record| (|:| |sin| (|Stream| |#1|)) (|:| |cos| (|Stream| |#1|))) (|Stream| |#1|)) "\\spad{sincos(st)} returns a record containing the sine and cosine of a power series \\spad{st.}")) (** (((|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) "\\spad{st1 \\spad{**} st2} computes the power of a power series \\spad{st1} by another power series st2.")) (|log| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{log(st)} computes the log of a power series.")) (|exp| (((|Stream| |#1|) (|Stream| |#1|)) "\\spad{exp(st)} computes the exponential of a power series \\spad{st.}"))) 
 NIL 
 NIL 
-(-1150 R UP) 
-((|constructor| (NIL "This package computes the subresultants of two polynomials which is needed for the `Lazard Rioboo' enhancement to Tragers integrations formula For efficiency reasons this has been rewritten to call Lionel Ducos package which is currently the best one.")) (|primitivePart| ((|#2| |#2| |#1|) "\\spad{primitivePart(p,{} q)} reduces the coefficient of \\spad{p} modulo \\spad{q},{} takes the primitive part of the result,{} and ensures that the leading coefficient of that result is monic.")) (|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) "\\spad{subresultantVector(p,{} q)} returns \\spad{[p0,{}...,{}pn]} where \\spad{pi} is the \\spad{i}-th subresultant of \\spad{p} and \\spad{q}. In particular,{} \\spad{p0 = resultant(p,{} q)}."))) 
+(-1152 R UP) 
+((|constructor| (NIL "This package computes the subresultants of two polynomials which is needed for the `Lazard Rioboo' enhancement to Tragers integrations formula For efficiency reasons this has been rewritten to call Lionel Ducos package which is currently the best one.")) (|primitivePart| ((|#2| |#2| |#1|) "\\spad{primitivePart(p, \\spad{q)}} reduces the coefficient of \\spad{p} modulo \\spad{q,} takes the primitive part of the result, and ensures that the leading coefficient of that result is monic.")) (|subresultantVector| (((|PrimitiveArray| |#2|) |#2| |#2|) "\\spad{subresultantVector(p, \\spad{q)}} returns \\spad{[p0,...,pn]} where \\spad{pi} is the \\spad{i}-th subresultant of \\spad{p} and \\spad{q.} In particular, \\spad{p0 = resultant(p, q)}."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-302)))) 
-(-1151 |n| R) 
-((|constructor| (NIL "This domain is not documented")) (|pointData| (((|List| (|Point| |#2|)) $) "\\spad{pointData(s)} returns the list of points from the point data field of the 3 dimensional subspace \\spad{s}.")) (|parent| (($ $) "\\spad{parent(s)} returns the subspace which is the parent of the indicated 3 dimensional subspace \\spad{s}. If \\spad{s} is the top level subspace an error message is returned.")) (|level| (((|NonNegativeInteger|) $) "\\spad{level(s)} returns a non negative integer which is the current level field of the indicated 3 dimensional subspace \\spad{s}.")) (|extractProperty| (((|SubSpaceComponentProperty|) $) "\\spad{extractProperty(s)} returns the property of domain \\spadtype{SubSpaceComponentProperty} of the indicated 3 dimensional subspace \\spad{s}.")) (|extractClosed| (((|Boolean|) $) "\\spad{extractClosed(s)} returns the \\spadtype{Boolean} value of the closed property for the indicated 3 dimensional subspace \\spad{s}. If the property is closed,{} \\spad{True} is returned,{} otherwise \\spad{False} is returned.")) (|extractIndex| (((|NonNegativeInteger|) $) "\\spad{extractIndex(s)} returns a non negative integer which is the current index of the 3 dimensional subspace \\spad{s}.")) (|extractPoint| (((|Point| |#2|) $) "\\spad{extractPoint(s)} returns the point which is given by the current index location into the point data field of the 3 dimensional subspace \\spad{s}.")) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) "\\spad{traverse(s,{}\\spad{li})} follows the branch list of the 3 dimensional subspace,{} \\spad{s},{} along the path dictated by the list of non negative integers,{} \\spad{li},{} which points to the component which has been traversed to. The subspace,{} \\spad{s},{} is returned,{} where \\spad{s} is now the subspace pointed to by \\spad{li}.")) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) "\\spad{defineProperty(s,{}\\spad{li},{}p)} defines the component property in the 3 dimensional subspace,{} \\spad{s},{} to be that of \\spad{p},{} where \\spad{p} is of the domain \\spadtype{SubSpaceComponentProperty}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component whose property is being defined. The subspace,{} \\spad{s},{} is returned with the component property definition.")) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) "\\spad{closeComponent(s,{}\\spad{li},{}b)} sets the property of the component in the 3 dimensional subspace,{} \\spad{s},{} to be closed if \\spad{b} is \\spad{true},{} or open if \\spad{b} is \\spad{false}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component whose closed property is to be set. The subspace,{} \\spad{s},{} is returned with the component property modification.")) (|modifyPoint| (($ $ (|NonNegativeInteger|) (|Point| |#2|)) "\\spad{modifyPoint(s,{}ind,{}p)} modifies the point referenced by the index location,{} \\spad{ind},{} by replacing it with the point,{} \\spad{p} in the 3 dimensional subspace,{} \\spad{s}. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{modifyPoint(s,{}\\spad{li},{}i)} replaces an existing point in the 3 dimensional subspace,{} \\spad{s},{} with the 4 dimensional point indicated by the index location,{} \\spad{i}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{modifyPoint(s,{}\\spad{li},{}p)} replaces an existing point in the 3 dimensional subspace,{} \\spad{s},{} with the 4 dimensional point,{} \\spad{p}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty,{} otherwise the subspace \\spad{s} is returned with the point modification.")) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) "\\spad{addPointLast(s,{}s2,{}\\spad{li},{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. \\spad{s2} point to the end of the subspace \\spad{s}. \\spad{n} is the path in the \\spad{s2} component. The subspace \\spad{s} is returned with the additional point.")) (|addPoint2| (($ $ (|Point| |#2|)) "\\spad{addPoint2(s,{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. The subspace \\spad{s} is returned with the additional point.")) (|addPoint| (((|NonNegativeInteger|) $ (|Point| |#2|)) "\\spad{addPoint(s,{}p)} adds the point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s},{} and returns the new total number of points in \\spad{s}.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{addPoint(s,{}\\spad{li},{}i)} adds the 4 dimensional point indicated by the index location,{} \\spad{i},{} to the 3 dimensional subspace,{} \\spad{s}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the point is to be added. It\\spad{'s} length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1},{} then a specific lowest level component is being referenced. If it is less than \\spad{n - 1},{} then some higher level component (0 indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{addPoint(s,{}\\spad{li},{}p)} adds the 4 dimensional point,{} \\spad{p},{} to the 3 dimensional subspace,{} \\spad{s}. The list of non negative integers,{} \\spad{li},{} dictates the path to follow,{} or,{} to look at it another way,{} points to the component in which the point is to be added. It\\spad{'s} length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1},{} then a specific lowest level component is being referenced. If it is less than \\spad{n - 1},{} then some higher level component (0 indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.")) (|separate| (((|List| $) $) "\\spad{separate(s)} makes each of the components of the \\spadtype{SubSpace},{} \\spad{s},{} into a list of separate and distinct subspaces and returns the list.")) (|merge| (($ (|List| $)) "\\spad{merge(ls)} a list of subspaces,{} \\spad{ls},{} into one subspace.") (($ $ $) "\\spad{merge(s1,{}s2)} the subspaces \\spad{s1} and \\spad{s2} into a single subspace.")) (|deepCopy| (($ $) "\\spad{deepCopy(x)} is not documented")) (|shallowCopy| (($ $) "\\spad{shallowCopy(x)} is not documented")) (|numberOfChildren| (((|NonNegativeInteger|) $) "\\spad{numberOfChildren(x)} is not documented")) (|children| (((|List| $) $) "\\spad{children(x)} is not documented")) (|child| (($ $ (|NonNegativeInteger|)) "\\spad{child(x,{}n)} is not documented")) (|birth| (($ $) "\\spad{birth(x)} is not documented")) (|subspace| (($) "\\spad{subspace()} is not documented")) (|new| (($) "\\spad{new()} is not documented")) (|internal?| (((|Boolean|) $) "\\spad{internal?(x)} is not documented")) (|root?| (((|Boolean|) $) "\\spad{root?(x)} is not documented")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(x)} is not documented"))) 
+(-1153 |n| R) 
+((|constructor| (NIL "This domain is not documented")) (|pointData| (((|List| (|Point| |#2|)) $) "\\spad{pointData(s)} returns the list of points from the point data field of the 3 dimensional subspace \\spad{s.}")) (|parent| (($ $) "\\spad{parent(s)} returns the subspace which is the parent of the indicated 3 dimensional subspace \\spad{s.} If \\spad{s} is the top level subspace an error message is returned.")) (|level| (((|NonNegativeInteger|) $) "\\spad{level(s)} returns a non negative integer which is the current level field of the indicated 3 dimensional subspace \\spad{s.}")) (|extractProperty| (((|SubSpaceComponentProperty|) $) "\\spad{extractProperty(s)} returns the property of domain \\spadtype{SubSpaceComponentProperty} of the indicated 3 dimensional subspace \\spad{s.}")) (|extractClosed| (((|Boolean|) $) "\\spad{extractClosed(s)} returns the \\spadtype{Boolean} value of the closed property for the indicated 3 dimensional subspace \\spad{s.} If the property is closed, \\spad{True} is returned, otherwise \\spad{False} is returned.")) (|extractIndex| (((|NonNegativeInteger|) $) "\\spad{extractIndex(s)} returns a non negative integer which is the current index of the 3 dimensional subspace \\spad{s.}")) (|extractPoint| (((|Point| |#2|) $) "\\spad{extractPoint(s)} returns the point which is given by the current index location into the point data field of the 3 dimensional subspace \\spad{s.}")) (|traverse| (($ $ (|List| (|NonNegativeInteger|))) "\\spad{traverse(s,li)} follows the branch list of the 3 dimensional subspace, \\spad{s,} along the path dictated by the list of non negative integers, li, which points to the component which has been traversed to. The subspace, \\spad{s,} is returned, where \\spad{s} is now the subspace pointed to by li.")) (|defineProperty| (($ $ (|List| (|NonNegativeInteger|)) (|SubSpaceComponentProperty|)) "\\spad{defineProperty(s,li,p)} defines the component property in the 3 dimensional subspace, \\spad{s,} to be that of \\spad{p,} where \\spad{p} is of the domain \\spadtype{SubSpaceComponentProperty}. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose property is being defined. The subspace, \\spad{s,} is returned with the component property definition.")) (|closeComponent| (($ $ (|List| (|NonNegativeInteger|)) (|Boolean|)) "\\spad{closeComponent(s,li,b)} sets the property of the component in the 3 dimensional subspace, \\spad{s,} to be closed if \\spad{b} is true, or open if \\spad{b} is false. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component whose closed property is to be set. The subspace, \\spad{s,} is returned with the component property modification.")) (|modifyPoint| (($ $ (|NonNegativeInteger|) (|Point| |#2|)) "\\spad{modifyPoint(s,ind,p)} modifies the point referenced by the index location, ind, by replacing it with the point, \\spad{p} in the 3 dimensional subspace, \\spad{s.} An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{modifyPoint(s,li,i)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point indicated by the index location, i. The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{modifyPoint(s,li,p)} replaces an existing point in the 3 dimensional subspace, \\spad{s,} with the 4 dimensional point, \\spad{p.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the existing point is to be modified. An error message occurs if \\spad{s} is empty, otherwise the subspace \\spad{s} is returned with the point modification.")) (|addPointLast| (($ $ $ (|Point| |#2|) (|NonNegativeInteger|)) "\\spad{addPointLast(s,s2,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} \\spad{s2} point to the end of the subspace \\spad{s.} \\spad{n} is the path in the \\spad{s2} component. The subspace \\spad{s} is returned with the additional point.")) (|addPoint2| (($ $ (|Point| |#2|)) "\\spad{addPoint2(s,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The subspace \\spad{s} is returned with the additional point.")) (|addPoint| (((|NonNegativeInteger|) $ (|Point| |#2|)) "\\spad{addPoint(s,p)} adds the point, \\spad{p,} to the 3 dimensional subspace, \\spad{s,} and returns the new total number of points in \\spad{s.}") (($ $ (|List| (|NonNegativeInteger|)) (|NonNegativeInteger|)) "\\spad{addPoint(s,li,i)} adds the 4 dimensional point indicated by the index location, i, to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.") (($ $ (|List| (|NonNegativeInteger|)) (|Point| |#2|)) "\\spad{addPoint(s,li,p)} adds the 4 dimensional point, \\spad{p,} to the 3 dimensional subspace, \\spad{s.} The list of non negative integers, li, dictates the path to follow, or, to look at it another way, points to the component in which the point is to be added. It's length should range from 0 to \\spad{n - 1} where \\spad{n} is the dimension of the subspace. If the length is \\spad{n - 1}, then a specific lowest level component is being referenced. If it is less than \\spad{n - 1}, then some higher level component \\spad{(0} indicates top level component) is being referenced and a component of that level with the desired point is created. The subspace \\spad{s} is returned with the additional point.")) (|separate| (((|List| $) $) "\\spad{separate(s)} makes each of the components of the \\spadtype{SubSpace}, \\spad{s,} into a list of separate and distinct subspaces and returns the list.")) (|merge| (($ (|List| $)) "\\spad{merge(ls)} a list of subspaces, \\spad{ls,} into one subspace.") (($ $ $) "\\spad{merge(s1,s2)} the subspaces \\spad{s1} and \\spad{s2} into a single subspace.")) (|deepCopy| (($ $) "\\spad{deepCopy(x)} is not documented")) (|shallowCopy| (($ $) "\\spad{shallowCopy(x)} is not documented")) (|numberOfChildren| (((|NonNegativeInteger|) $) "\\spad{numberOfChildren(x)} is not documented")) (|children| (((|List| $) $) "\\spad{children(x)} is not documented")) (|child| (($ $ (|NonNegativeInteger|)) "\\spad{child(x,n)} is not documented")) (|birth| (($ $) "\\spad{birth(x)} is not documented")) (|subspace| (($) "\\spad{subspace()} is not documented")) (|new| (($) "\\spad{new()} is not documented")) (|internal?| (((|Boolean|) $) "\\spad{internal?(x)} is not documented")) (|root?| (((|Boolean|) $) "\\spad{root?(x)} is not documented")) (|leaf?| (((|Boolean|) $) "\\spad{leaf?(x)} is not documented"))) 
 NIL 
 NIL 
-(-1152 S1 S2) 
-((|constructor| (NIL "This domain implements \"such that\" forms")) (|rhs| ((|#2| $) "\\spad{rhs(f)} returns the right side of \\spad{f}")) (|lhs| ((|#1| $) "\\spad{lhs(f)} returns the left side of \\spad{f}")) (|construct| (($ |#1| |#2|) "\\spad{construct(s,{}t)} makes a form \\spad{s:t}"))) 
+(-1154 S1 S2) 
+((|constructor| (NIL "This domain implements \"such that\" forms")) (|rhs| ((|#2| $) "\\spad{rhs(f)} returns the right side of \\spad{f}")) (|lhs| ((|#1| $) "\\spad{lhs(f)} returns the left side of \\spad{f}")) (|construct| (($ |#1| |#2|) "\\spad{construct(s,t)} makes a form \\spad{s:t}"))) 
 NIL 
 NIL 
-(-1153 |Coef| |var| |cen|) 
-((|constructor| (NIL "Sparse Laurent series in one variable \\spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{SparseUnivariateLaurentSeries(Integer,{}x,{}3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4537 "*") -2232 (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-816))) (|has| |#1| (-173)) (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-905)))) (-4528 -2232 (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-816))) (|has| |#1| (-559)) (-2206 (|has| |#1| (-366)) (|has| (-1161 |#1| |#2| |#3|) (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1161) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1161 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1154 R -1564) 
-((|constructor| (NIL "Computes sums of top-level expressions")) (|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{sum(f(n),{} n = a..b)} returns \\spad{f}(a) + \\spad{f}(\\spad{a+1}) + ... + \\spad{f}(\\spad{b}).") ((|#2| |#2| (|Symbol|)) "\\spad{sum(a(n),{} n)} returns A(\\spad{n}) such that A(\\spad{n+1}) - A(\\spad{n}) = a(\\spad{n})."))) 
+(-1155 |Coef| |var| |cen|) 
+((|constructor| (NIL "Sparse Laurent series in one variable \\spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
+(((-4573 "*") -1929 (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-817))) (|has| |#1| (-173)) (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-906)))) (-4564 -1929 (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-817))) (|has| |#1| (-559)) (-3993 (|has| |#1| (-366)) (|has| (-1163 |#1| |#2| |#3|) (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1163) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1163 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1156 R -1647) 
+((|constructor| (NIL "Computes sums of top-level expressions")) (|sum| ((|#2| |#2| (|SegmentBinding| |#2|)) "\\spad{sum(f(n), \\spad{n} = a..b)} returns f(a) + f(a+1) + \\spad{...} + f(b).") ((|#2| |#2| (|Symbol|)) "\\spad{sum(a(n), \\spad{n)}} returns A(n) such that A(n+1) - A(n) = a(n)."))) 
 NIL 
 NIL 
-(-1155 R) 
-((|constructor| (NIL "Computes sums of rational functions.")) (|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{sum(\\spad{f}(\\spad{n}),{} \\spad{n} = a..\\spad{b}) returns \\spad{f(a) + f(a+1) + ... f(b)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),{}\\spad{i=1}..\\spad{n})") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) "\\indented{1}{sum(\\spad{f}(\\spad{n}),{} \\spad{n} = a..\\spad{b}) returns \\spad{f(a) + f(a+1) + ... f(b)}.} \\blankline \\spad{X} sum(\\spad{i},{}\\spad{i=1}..\\spad{n})") (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{sum(a(\\spad{n}),{} \\spad{n}) returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),{}i::Symbol)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) "\\indented{1}{sum(a(\\spad{n}),{} \\spad{n}) returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n},{} \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Polynomial(Integer),{}variable(\\spad{i=1}..\\spad{n}))"))) 
+(-1157 R) 
+((|constructor| (NIL "Computes sums of rational functions.")) (|sum| (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|SegmentBinding| (|Fraction| (|Polynomial| |#1|)))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i=1..n)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|SegmentBinding| (|Polynomial| |#1|))) "\\indented{1}{sum(f(n), \\spad{n} = a..b) returns \\spad{f(a) + f(a+1) + \\spad{...} f(b)}.} \\blankline \\spad{X} sum(i,i=1..n)") (((|Union| (|Fraction| (|Polynomial| |#1|)) (|Expression| |#1|)) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Fraction(Polynomial(Integer)),i::Symbol)") (((|Fraction| (|Polynomial| |#1|)) (|Polynomial| |#1|) (|Symbol|)) "\\indented{1}{sum(a(n), \\spad{n)} returns \\spad{A} which} \\indented{1}{is the indefinite sum of \\spad{a} with respect to} \\indented{1}{upward difference on \\spad{n}, \\spadignore{i.e.} \\spad{A(n+1) - A(n) = a(n)}.} \\blankline \\spad{X} sum(i::Polynomial(Integer),variable(i=1..n))"))) 
 NIL 
 NIL 
-(-1156 R S) 
-((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S}. Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{map(func,{} poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
+(-1158 R S) 
+((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from sparse univariate polynomial over \\spad{R} to a sparse univariate polynomial over \\spad{S.} Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|SparseUnivariatePolynomial| |#2|) (|Mapping| |#2| |#1|) (|SparseUnivariatePolynomial| |#1|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1157 R) 
+(-1159 R) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-1183))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1158 E OV R P) 
-((|constructor| (NIL "SupFractionFactorize contains the factor function for univariate polynomials over the quotient field of a ring \\spad{S} such that the package MultivariateFactorize works for \\spad{S}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{squareFree(p)} returns the square-free factorization of the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R}. Each factor has no repeated roots and the factors are pairwise relatively prime.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{factor(p)} factors the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-1185))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1160 E OV R P) 
+((|constructor| (NIL "SupFractionFactorize contains the factor function for univariate polynomials over the quotient field of a ring \\spad{S} such that the package MultivariateFactorize works for \\spad{S}")) (|squareFree| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{squareFree(p)} returns the square-free factorization of the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.} Each factor has no repeated roots and the factors are pairwise relatively prime.")) (|factor| (((|Factored| (|SparseUnivariatePolynomial| (|Fraction| |#4|))) (|SparseUnivariatePolynomial| (|Fraction| |#4|))) "\\spad{factor(p)} factors the univariate polynomial \\spad{p} with coefficients which are fractions of polynomials over \\spad{R.}"))) 
 NIL 
 NIL 
-(-1159 R) 
-((|constructor| (NIL "This domain represents univariate polynomials over arbitrary (not necessarily commutative) coefficient rings. The variable is unspecified so that the variable displays as \\spad{?} on output. If it is necessary to specify the variable name,{} use type \\spadtype{UnivariatePolynomial}. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field,{} this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,{}var)} converts the SparseUnivariatePolynomial \\spad{p} to an output form (see \\spadtype{OutputForm}) printed as a polynomial in the output form variable."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1137))) (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4533)) (|HasCategory| |#1| (QUOTE (-454))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1160 |Coef| |var| |cen|) 
-((|constructor| (NIL "Sparse Puiseux series in one variable \\spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{SparseUnivariatePuiseuxSeries(Integer,{}x,{}3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1161 |Coef| |var| |cen|) 
-((|constructor| (NIL "Sparse Taylor series in one variable \\spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spadtype{SparseUnivariateTaylorSeries}(Integer,{}\\spad{x},{}3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1162) 
-((|constructor| (NIL "This domain builds representations of boolean expressions for use with the \\axiomType{FortranCode} domain.")) (NOT (($ $) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.") (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.")) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{AND(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x and y}.")) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{EQ(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x = y}.")) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{OR(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x or y}.")) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GE(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x>=y}.")) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LE(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x<=y}.")) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GT(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x>y}.")) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LT(x,{}y)} returns the \\axiomType{Switch} expression representing \\spad{x<y}.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(s)} is not documented"))) 
+(-1161 R) 
+((|constructor| (NIL "This domain represents univariate polynomials over arbitrary (not necessarily commutative) coefficient rings. The variable is unspecified so that the variable displays as \\spad{?} on output. If it is necessary to specify the variable name, use type \\spadtype{UnivariatePolynomial}. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#1| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|outputForm| (((|OutputForm|) $ (|OutputForm|)) "\\spad{outputForm(p,var)} converts the SparseUnivariatePolynomial \\spad{p} to an output form (see \\spadtype{OutputForm}) printed as a polynomial in the output form variable."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-1139))) (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#1| (QUOTE (-226))) (|HasAttribute| |#1| (QUOTE -4569)) (|HasCategory| |#1| (QUOTE (-454))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (|HasCategory| |#1| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1162 |Coef| |var| |cen|) 
+((|constructor| (NIL "Sparse Puiseux series in one variable \\spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{SparseUnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1163 |Coef| |var| |cen|) 
+((|constructor| (NIL "Sparse Taylor series in one variable \\spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{SparseUnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1164) 
+((|constructor| (NIL "This domain builds representations of boolean expressions for use with the \\axiomType{FortranCode} domain.")) (NOT (($ $) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.") (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{NOT(x)} returns the \\axiomType{Switch} expression representing \\spad{\\~~x}.")) (AND (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{AND(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x and \\spad{y}.}")) (EQ (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{EQ(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x = \\spad{y}.}")) (OR (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{OR(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x or \\spad{y}.}")) (GE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>=y}.")) (LE (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LE(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<=y}.")) (GT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{GT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x>y}.")) (LT (($ (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $)) (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| $))) "\\spad{LT(x,y)} returns the \\axiomType{Switch} expression representing \\spad{x<y}.")) (|coerce| (($ (|Symbol|)) "\\spad{coerce(s)} is not documented"))) 
 NIL 
 NIL 
-(-1163) 
-((|constructor| (NIL "Basic and scripted symbols.")) (|sample| (($) "\\spad{sample()} returns a sample of \\%")) (|list| (((|List| $) $) "\\spad{list(sy)} takes a scripted symbol and produces a list of the name followed by the scripts.")) (|string| (((|String|) $) "\\spad{string(s)} converts the symbol \\spad{s} to a string. Error: if the symbol is subscripted.")) (|elt| (($ $ (|List| (|OutputForm|))) "\\spad{elt(s,{}[a1,{}...,{}an])} or \\spad{s}([\\spad{a1},{}...,{}an]) returns \\spad{s} subscripted by \\spad{[a1,{}...,{}an]}.")) (|argscript| (($ $ (|List| (|OutputForm|))) "\\spad{argscript(s,{} [a1,{}...,{}an])} returns \\spad{s} arg-scripted by \\spad{[a1,{}...,{}an]}.")) (|superscript| (($ $ (|List| (|OutputForm|))) "\\spad{superscript(s,{} [a1,{}...,{}an])} returns \\spad{s} superscripted by \\spad{[a1,{}...,{}an]}.")) (|subscript| (($ $ (|List| (|OutputForm|))) "\\spad{subscript(s,{} [a1,{}...,{}an])} returns \\spad{s} subscripted by \\spad{[a1,{}...,{}an]}.")) (|script| (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) "\\spad{script(s,{} [a,{}b,{}c,{}d,{}e])} returns \\spad{s} with subscripts a,{} superscripts \\spad{b},{} pre-superscripts \\spad{c},{} pre-subscripts \\spad{d},{} and argument-scripts \\spad{e}.") (($ $ (|List| (|List| (|OutputForm|)))) "\\spad{script(s,{} [a,{}b,{}c,{}d,{}e])} returns \\spad{s} with subscripts a,{} superscripts \\spad{b},{} pre-superscripts \\spad{c},{} pre-subscripts \\spad{d},{} and argument-scripts \\spad{e}. Omitted components are taken to be empty. For example,{} \\spad{script(s,{} [a,{}b,{}c])} is equivalent to \\spad{script(s,{}[a,{}b,{}c,{}[],{}[]])}.")) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) "\\spad{scripts(s)} returns all the scripts of \\spad{s}.")) (|scripted?| (((|Boolean|) $) "\\spad{scripted?(s)} is \\spad{true} if \\spad{s} has been given any scripts.")) (|name| (($ $) "\\spad{name(s)} returns \\spad{s} without its scripts.")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts the string \\spad{s} to a symbol.")) (|resetNew| (((|Void|)) "\\spad{resetNew()} resets the internals counters that new() and new(\\spad{s}) use to return distinct symbols every time.")) (|new| (($ $) "\\spad{new(s)} returns a new symbol whose name starts with \\%\\spad{s}.") (($) "\\spad{new()} returns a new symbol whose name starts with \\%."))) 
+(-1165) 
+((|constructor| (NIL "Basic and scripted symbols.")) (|sample| (($) "\\spad{sample()} returns a sample of \\%")) (|list| (((|List| $) $) "\\spad{list(sy)} takes a scripted symbol and produces a list of the name followed by the scripts.")) (|string| (((|String|) $) "\\spad{string(s)} converts the symbol \\spad{s} to a string. Error: if the symbol is subscripted.")) (|elt| (($ $ (|List| (|OutputForm|))) "\\spad{elt(s,[a1,...,an])} or s([a1,...,an]) returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|argscript| (($ $ (|List| (|OutputForm|))) "\\spad{argscript(s, [a1,...,an])} returns \\spad{s} arg-scripted by \\spad{[a1,...,an]}.")) (|superscript| (($ $ (|List| (|OutputForm|))) "\\spad{superscript(s, [a1,...,an])} returns \\spad{s} superscripted by \\spad{[a1,...,an]}.")) (|subscript| (($ $ (|List| (|OutputForm|))) "\\spad{subscript(s, [a1,...,an])} returns \\spad{s} subscripted by \\spad{[a1,...,an]}.")) (|script| (($ $ (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e.") (($ $ (|List| (|List| (|OutputForm|)))) "\\spad{script(s, [a,b,c,d,e])} returns \\spad{s} with subscripts a, superscripts \\spad{b,} pre-superscripts \\spad{c,} pre-subscripts \\spad{d,} and argument-scripts e. Omitted components are taken to be empty. For example, \\spad{script(s, [a,b,c])} is equivalent to \\spad{script(s,[a,b,c,[],[]])}.")) (|scripts| (((|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|)))) $) "\\spad{scripts(s)} returns all the scripts of \\spad{s.}")) (|scripted?| (((|Boolean|) $) "\\spad{scripted?(s)} is \\spad{true} if \\spad{s} has been given any scripts.")) (|name| (($ $) "\\spad{name(s)} returns \\spad{s} without its scripts.")) (|coerce| (($ (|String|)) "\\spad{coerce(s)} converts the string \\spad{s} to a symbol.")) (|resetNew| (((|Void|)) "\\spad{resetNew()} resets the internals counters that new() and new(s) use to return distinct symbols every time.")) (|new| (($ $) "\\spad{new(s)} returns a new symbol whose name starts with \\spad{%s.}") (($) "\\spad{new()} returns a new symbol whose name starts with \\spad{%.}"))) 
 NIL 
 NIL 
-(-1164 R) 
-((|constructor| (NIL "Computes all the symmetric functions in \\spad{n} variables.")) (|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) "\\spad{symFunc(r,{} n)} returns the vector of the elementary symmetric functions in \\spad{[r,{}r,{}...,{}r]} \\spad{n} times.") (((|Vector| |#1|) (|List| |#1|)) "\\spad{symFunc([r1,{}...,{}rn])} returns the vector of the elementary symmetric functions in the \\spad{\\spad{ri}'s}: \\spad{[r1 + ... + rn,{} r1 r2 + ... + r(n-1) rn,{} ...,{} r1 r2 ... rn]}."))) 
+(-1166 R) 
+((|constructor| (NIL "Computes all the symmetric functions in \\spad{n} variables.")) (|symFunc| (((|Vector| |#1|) |#1| (|PositiveInteger|)) "\\spad{symFunc(r, \\spad{n)}} returns the vector of the elementary symmetric functions in \\spad{[r,r,...,r]} \\spad{n} times.") (((|Vector| |#1|) (|List| |#1|)) "\\spad{symFunc([r1,...,rn])} returns the vector of the elementary symmetric functions in the \\spad{ri's}: \\spad{[r1 + \\spad{...} + \\spad{rn,} \\spad{r1} \\spad{r2} + \\spad{...} + r(n-1) \\spad{rn,} ..., \\spad{r1} \\spad{r2} \\spad{...} rn]}."))) 
 NIL 
 NIL 
-(-1165 R) 
+(-1167 R) 
 ((|constructor| (NIL "This domain implements symmetric polynomial"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-6 -4533)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| (-973) (QUOTE (-138))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4533))) 
-(-1166) 
-((|constructor| (NIL "Creates and manipulates one global symbol table for FORTRAN code generation,{} containing details of types,{} dimensions,{} and argument lists.")) (|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) "\\spad{symbolTableOf(f,{}tab)} returns the symbol table of \\spad{f}")) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) "\\spad{argumentListOf(f,{}tab)} returns the argument list of \\spad{f}")) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) "\\spad{returnTypeOf(f,{}tab)} returns the type of the object returned by \\spad{f}")) (|empty| (($) "\\spad{empty()} creates a new,{} empty symbol table.")) (|printTypes| (((|Void|) (|Symbol|)) "\\spad{printTypes(tab)} produces FORTRAN type declarations from \\spad{tab},{} on the current FORTRAN output stream")) (|printHeader| (((|Void|)) "\\spad{printHeader()} produces the FORTRAN header for the current subprogram in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|)) "\\spad{printHeader(f)} produces the FORTRAN header for subprogram \\spad{f} in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|) $) "\\spad{printHeader(f,{}tab)} produces the FORTRAN header for subprogram \\spad{f} in symbol table \\spad{tab} on the current FORTRAN output stream.")) (|returnType!| (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(t)} declares that the return type of he current subprogram in the global symbol table is \\spad{t}.") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(f,{}t)} declares that the return type of subprogram \\spad{f} in the global symbol table is \\spad{t}.") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{returnType!(f,{}t,{}tab)} declares that the return type of subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{t}.")) (|argumentList!| (((|Void|) (|List| (|Symbol|))) "\\spad{argumentList!(l)} declares that the argument list for the current subprogram in the global symbol table is \\spad{l}.") (((|Void|) (|Symbol|) (|List| (|Symbol|))) "\\spad{argumentList!(f,{}l)} declares that the argument list for subprogram \\spad{f} in the global symbol table is \\spad{l}.") (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) "\\spad{argumentList!(f,{}l,{}tab)} declares that the argument list for subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{l}.")) (|endSubProgram| (((|Symbol|)) "\\spad{endSubProgram()} asserts that we are no longer processing the current subprogram.")) (|currentSubProgram| (((|Symbol|)) "\\spad{currentSubProgram()} returns the name of the current subprogram being processed")) (|newSubProgram| (((|Void|) (|Symbol|)) "\\spad{newSubProgram(f)} asserts that from now on type declarations are part of subprogram \\spad{f}.")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) "\\spad{declare!(u,{}t,{}asp)} declares the parameter \\spad{u} to have type \\spad{t} in \\spad{asp}.") (((|FortranType|) (|Symbol|) (|FortranType|)) "\\spad{declare!(u,{}t)} declares the parameter \\spad{u} to have type \\spad{t} in the current level of the symbol table.") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,{}t,{}asp,{}tab)} declares the parameters \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table \\spad{tab}.") (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,{}t,{}asp,{}tab)} declares the parameter \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table \\spad{tab}.")) (|clearTheSymbolTable| (((|Void|) (|Symbol|)) "\\spad{clearTheSymbolTable(x)} removes the symbol \\spad{x} from the table") (((|Void|)) "\\spad{clearTheSymbolTable()} clears the current symbol table.")) (|showTheSymbolTable| (($) "\\spad{showTheSymbolTable()} returns the current symbol table."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-6 -4569)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-454))) (-12 (|HasCategory| (-974) (QUOTE (-138))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasAttribute| |#1| (QUOTE -4569))) 
+(-1168) 
+((|constructor| (NIL "Creates and manipulates one global symbol table for FORTRAN code generation, containing details of types, dimensions, and argument lists.")) (|symbolTableOf| (((|SymbolTable|) (|Symbol|) $) "\\spad{symbolTableOf(f,tab)} returns the symbol table of \\spad{f}")) (|argumentListOf| (((|List| (|Symbol|)) (|Symbol|) $) "\\spad{argumentListOf(f,tab)} returns the argument list of \\spad{f}")) (|returnTypeOf| (((|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) (|Symbol|) $) "\\spad{returnTypeOf(f,tab)} returns the type of the object returned by \\spad{f}")) (|empty| (($) "\\spad{empty()} creates a new, empty symbol table.")) (|printTypes| (((|Void|) (|Symbol|)) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|printHeader| (((|Void|)) "\\spad{printHeader()} produces the FORTRAN header for the current subprogram in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|)) "\\spad{printHeader(f)} produces the FORTRAN header for subprogram \\spad{f} in the global symbol table on the current FORTRAN output stream.") (((|Void|) (|Symbol|) $) "\\spad{printHeader(f,tab)} produces the FORTRAN header for subprogram \\spad{f} in symbol table \\spad{tab} on the current FORTRAN output stream.")) (|returnType!| (((|Void|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(t)} declares that the return type of he current subprogram in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) "\\spad{returnType!(f,t)} declares that the return type of subprogram \\spad{f} in the global symbol table is \\spad{t.}") (((|Void|) (|Symbol|) (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void")) $) "\\spad{returnType!(f,t,tab)} declares that the return type of subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{t.}")) (|argumentList!| (((|Void|) (|List| (|Symbol|))) "\\spad{argumentList!(l)} declares that the argument list for the current subprogram in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|))) "\\spad{argumentList!(f,l)} declares that the argument list for subprogram \\spad{f} in the global symbol table is \\spad{l.}") (((|Void|) (|Symbol|) (|List| (|Symbol|)) $) "\\spad{argumentList!(f,l,tab)} declares that the argument list for subprogram \\spad{f} in symbol table \\spad{tab} is \\spad{l.}")) (|endSubProgram| (((|Symbol|)) "\\spad{endSubProgram()} asserts that we are no longer processing the current subprogram.")) (|currentSubProgram| (((|Symbol|)) "\\spad{currentSubProgram()} returns the name of the current subprogram being processed")) (|newSubProgram| (((|Void|) (|Symbol|)) "\\spad{newSubProgram(f)} asserts that from now on type declarations are part of subprogram \\spad{f.}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|)) "\\spad{declare!(u,t,asp)} declares the parameter \\spad{u} to have type \\spad{t} in asp.") (((|FortranType|) (|Symbol|) (|FortranType|)) "\\spad{declare!(u,t)} declares the parameter \\spad{u} to have type \\spad{t} in the current level of the symbol table.") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameters \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.") (((|FortranType|) (|Symbol|) (|FortranType|) (|Symbol|) $) "\\spad{declare!(u,t,asp,tab)} declares the parameter \\spad{u} of subprogram \\spad{asp} to have type \\spad{t} in symbol table tab.")) (|clearTheSymbolTable| (((|Void|) (|Symbol|)) "\\spad{clearTheSymbolTable(x)} removes the symbol \\spad{x} from the table") (((|Void|)) "\\spad{clearTheSymbolTable()} clears the current symbol table.")) (|showTheSymbolTable| (($) "\\spad{showTheSymbolTable()} returns the current symbol table."))) 
 NIL 
 NIL 
-(-1167) 
-((|constructor| (NIL "Create and manipulate a symbol table for generated FORTRAN code")) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) "\\spad{symbolTable(l)} creates a symbol table from the elements of \\spad{l}.")) (|printTypes| (((|Void|) $) "\\spad{printTypes(tab)} produces FORTRAN type declarations from \\spad{tab},{} on the current FORTRAN output stream")) (|newTypeLists| (((|SExpression|) $) "\\spad{newTypeLists(x)} is not documented")) (|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) "\\spad{typeLists(tab)} returns a list of lists of types of objects in \\spad{tab}")) (|externalList| (((|List| (|Symbol|)) $) "\\spad{externalList(tab)} returns a list of all the external symbols in \\spad{tab}")) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) "\\spad{typeList(t,{}tab)} returns a list of all the objects of type \\spad{t} in \\spad{tab}")) (|parametersOf| (((|List| (|Symbol|)) $) "\\spad{parametersOf(tab)} returns a list of all the symbols declared in \\spad{tab}")) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) "\\spad{fortranTypeOf(u,{}tab)} returns the type of \\spad{u} in \\spad{tab}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) $) "\\spad{declare!(u,{}t,{}tab)} creates a new entry in \\spad{tab},{} declaring \\spad{u} to be of type \\spad{t}") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) "\\spad{declare!(l,{}t,{}tab)} creates new entrys in \\spad{tab},{} declaring each of \\spad{l} to be of type \\spad{t}")) (|empty| (($) "\\spad{empty()} returns a new,{} empty symbol table")) (|coerce| (((|Table| (|Symbol|) (|FortranType|)) $) "\\spad{coerce(x)} returns a table view of \\spad{x}"))) 
+(-1169) 
+((|constructor| (NIL "Create and manipulate a symbol table for generated FORTRAN code")) (|symbolTable| (($ (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) "\\spad{symbolTable(l)} creates a symbol table from the elements of \\spad{l.}")) (|printTypes| (((|Void|) $) "\\spad{printTypes(tab)} produces FORTRAN type declarations from tab, on the current FORTRAN output stream")) (|newTypeLists| (((|SExpression|) $) "\\spad{newTypeLists(x)} is not documented")) (|typeLists| (((|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) $) "\\spad{typeLists(tab)} returns a list of lists of types of objects in \\spad{tab}")) (|externalList| (((|List| (|Symbol|)) $) "\\spad{externalList(tab)} returns a list of all the external symbols in \\spad{tab}")) (|typeList| (((|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))) (|FortranScalarType|) $) "\\spad{typeList(t,tab)} returns a list of all the objects of type \\spad{t} in \\spad{tab}")) (|parametersOf| (((|List| (|Symbol|)) $) "\\spad{parametersOf(tab)} returns a list of all the symbols declared in \\spad{tab}")) (|fortranTypeOf| (((|FortranType|) (|Symbol|) $) "\\spad{fortranTypeOf(u,tab)} returns the type of \\spad{u} in \\spad{tab}")) (|declare!| (((|FortranType|) (|Symbol|) (|FortranType|) $) "\\spad{declare!(u,t,tab)} creates a new entry in tab, declaring \\spad{u} to be of type \\spad{t}") (((|FortranType|) (|List| (|Symbol|)) (|FortranType|) $) "\\spad{declare!(l,t,tab)} creates new entrys in tab, declaring each of \\spad{l} to be of type \\spad{t}")) (|empty| (($) "\\spad{empty()} returns a new, empty symbol table")) (|coerce| (((|Table| (|Symbol|) (|FortranType|)) $) "\\spad{coerce(x)} returns a table view of \\spad{x}"))) 
 NIL 
 NIL 
-(-1168 R) 
-((|constructor| (NIL "Symbolic solver for systems of rational functions with coefficients in an integral domain \\spad{R}. The systems are solved in the field of rational functions over \\spad{R}. Solutions are exact of the form variable = value when the value is a member of the coefficient domain \\spad{R}. Otherwise the solutions are implicitly expressed as roots of univariate polynomial equations over \\spad{R}. Care is taken to guarantee that the denominators of the input equations do not vanish on the solution sets. The arguments to solve can either be given as equations or as rational functions interpreted as equal to zero. The user can specify an explicit list of symbols to be solved for,{} treating all other symbols appearing as parameters or omit the list of symbols in which case the system tries to solve with respect to all symbols appearing in the input.")) (|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{triangularSystems(lf,{}lv)} solves the system of equations defined by \\spad{lf} with respect to the list of symbols \\spad{lv}; the system of equations is obtaining by equating to zero the list of rational functions \\spad{lf}. The output is a list of solutions where each solution is expressed as a \"reduced\" triangular system of polynomials.")) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} with respect to the unique variable appearing in \\spad{eq}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) "\\spad{solve(p)} finds the solution of a rational function \\spad{p} = 0 with respect to the unique variable appearing in \\spad{p}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{solve(eq,{}v)} finds the solutions of the equation \\spad{eq} with respect to the variable \\spad{v}.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{solve(p,{}v)} solves the equation \\spad{p=0},{} where \\spad{p} is a rational function with respect to the variable \\spad{v}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{solve(le)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to all symbols appearing in \\spad{le}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(lp)} finds the solutions of the list \\spad{lp} of rational functions with respect to all symbols appearing in \\spad{lp}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{solve(le,{}lv)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to the list of symbols \\spad{lv}.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{solve(lp,{}lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv}."))) 
+(-1170 R) 
+((|constructor| (NIL "Symbolic solver for systems of rational functions with coefficients in an integral domain \\spad{R.} The systems are solved in the field of rational functions over \\spad{R.} Solutions are exact of the form variable = value when the value is a member of the coefficient domain \\spad{R.} Otherwise the solutions are implicitly expressed as roots of univariate polynomial equations over \\spad{R.} Care is taken to guarantee that the denominators of the input equations do not vanish on the solution sets. The arguments to solve can either be given as equations or as rational functions interpreted as equal to zero. The user can specify an explicit list of symbols to be solved for, treating all other symbols appearing as parameters or omit the list of symbols in which case the system tries to solve with respect to all symbols appearing in the input.")) (|triangularSystems| (((|List| (|List| (|Polynomial| |#1|))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{triangularSystems(lf,lv)} solves the system of equations defined by \\spad{lf} with respect to the list of symbols \\spad{lv;} the system of equations is obtaining by equating to zero the list of rational functions \\spad{lf.} The output is a list of solutions where each solution is expressed as a \"reduced\" triangular system of polynomials.")) (|solve| (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(eq)} finds the solutions of the equation \\spad{eq} with respect to the unique variable appearing in eq.") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|))) "\\spad{solve(p)} finds the solution of a rational function \\spad{p} = 0 with respect to the unique variable appearing in \\spad{p.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Equation| (|Fraction| (|Polynomial| |#1|))) (|Symbol|)) "\\spad{solve(eq,v)} finds the solutions of the equation \\spad{eq} with respect to the variable \\spad{v.}") (((|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|Fraction| (|Polynomial| |#1|)) (|Symbol|)) "\\spad{solve(p,v)} solves the equation p=0, where \\spad{p} is a rational function with respect to the variable \\spad{v.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) "\\spad{solve(le)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to all symbols appearing in le.") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|)))) "\\spad{solve(lp)} finds the solutions of the list \\spad{lp} of rational functions with respect to all symbols appearing in \\spad{lp.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Equation| (|Fraction| (|Polynomial| |#1|)))) (|List| (|Symbol|))) "\\spad{solve(le,lv)} finds the solutions of the list \\spad{le} of equations of rational functions with respect to the list of symbols \\spad{lv.}") (((|List| (|List| (|Equation| (|Fraction| (|Polynomial| |#1|))))) (|List| (|Fraction| (|Polynomial| |#1|))) (|List| (|Symbol|))) "\\spad{solve(lp,lv)} finds the solutions of the list \\spad{lp} of rational functions with respect to the list of symbols \\spad{lv.}"))) 
 NIL 
 NIL 
-(-1169 S) 
-((|constructor| (NIL "TableauBumpers implements the Schenstead-Knuth correspondence between sequences and pairs of Young tableaux. The 2 Young tableaux are represented as a single tableau with pairs as components.")) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) "\\spad{mr(t)} is an auxiliary function which finds the position of the maximum element of a tableau \\spad{t} which is in the lowest row,{} producing a record of results")) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) "\\spad{maxrow(a,{}b,{}c,{}d,{}e)} is an auxiliary function for \\spad{mr}")) (|inverse| (((|List| |#1|) (|List| |#1|)) "\\spad{inverse(ls)} forms the inverse of a sequence \\spad{ls}")) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) "\\spad{slex(ls)} sorts the argument sequence \\spad{ls},{} then zips (see map) the original argument sequence with the sorted result to a list of pairs")) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{lex(ls)} sorts a list of pairs to lexicographic order")) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) "\\spad{tab(ls)} creates a tableau from \\spad{ls} by first creating a list of pairs using slex,{} then creating a tableau using \\spad{tab1}.")) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) "\\spad{tab1(lp)} creates a tableau from a list of pairs \\spad{lp}")) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) "\\spad{bat(ls)} unbumps a tableau \\spad{ls}")) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{bat1(llp)} unbumps a tableau \\spad{llp}. Operation \\spad{bat1} is the inverse of \\spad{tab1}.")) (|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{untab(lp,{}llp)} is an auxiliary function which unbumps a tableau \\spad{llp},{} using \\spad{lp} to accumulate pairs")) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab1(pr,{}t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spadfun{<},{} returning a new tableau")) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab(cf,{}pr,{}t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spad{cf},{} returning a new tableau")) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{bumprow(cf,{}pr,{}r)} is an auxiliary function which bumps a row \\spad{r} with a pair \\spad{pr} using comparison function \\spad{cf},{} and returns a record"))) 
+(-1171 S) 
+((|constructor| (NIL "TableauBumpers implements the Schenstead-Knuth correspondence between sequences and pairs of Young tableaux. The 2 Young tableaux are represented as a single tableau with pairs as components.")) (|mr| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| (|List| (|List| |#1|)))) "\\spad{mr(t)} is an auxiliary function which finds the position of the maximum element of a tableau \\spad{t} which is in the lowest row, producing a record of results")) (|maxrow| (((|Record| (|:| |f1| (|List| |#1|)) (|:| |f2| (|List| (|List| (|List| |#1|)))) (|:| |f3| (|List| (|List| |#1|))) (|:| |f4| (|List| (|List| (|List| |#1|))))) (|List| |#1|) (|List| (|List| (|List| |#1|))) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|))) (|List| (|List| (|List| |#1|)))) "\\spad{maxrow(a,b,c,d,e)} is an auxiliary function for \\spad{mr}")) (|inverse| (((|List| |#1|) (|List| |#1|)) "\\spad{inverse(ls)} forms the inverse of a sequence \\spad{ls}")) (|slex| (((|List| (|List| |#1|)) (|List| |#1|)) "\\spad{slex(ls)} sorts the argument sequence \\spad{ls,} then zips (see map) the original argument sequence with the sorted result to a list of pairs")) (|lex| (((|List| (|List| |#1|)) (|List| (|List| |#1|))) "\\spad{lex(ls)} sorts a list of pairs to lexicographic order")) (|tab| (((|Tableau| (|List| |#1|)) (|List| |#1|)) "\\spad{tab(ls)} creates a tableau from \\spad{ls} by first creating a list of pairs using slex, then creating a tableau using tab1.")) (|tab1| (((|List| (|List| (|List| |#1|))) (|List| (|List| |#1|))) "\\spad{tab1(lp)} creates a tableau from a list of pairs \\spad{lp}")) (|bat| (((|List| (|List| |#1|)) (|Tableau| (|List| |#1|))) "\\spad{bat(ls)} unbumps a tableau \\spad{ls}")) (|bat1| (((|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{bat1(llp)} unbumps a tableau llp. Operation \\spad{bat1} is the inverse of tab1.")) (|untab| (((|List| (|List| |#1|)) (|List| (|List| |#1|)) (|List| (|List| (|List| |#1|)))) "\\spad{untab(lp,llp)} is an auxiliary function which unbumps a tableau llp, using \\spad{lp} to accumulate pairs")) (|bumptab1| (((|List| (|List| (|List| |#1|))) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab1(pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spadfun{<}, returning a new tableau")) (|bumptab| (((|List| (|List| (|List| |#1|))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| (|List| |#1|)))) "\\spad{bumptab(cf,pr,t)} bumps a tableau \\spad{t} with a pair \\spad{pr} using comparison function \\spad{cf,} returning a new tableau")) (|bumprow| (((|Record| (|:| |fs| (|Boolean|)) (|:| |sd| (|List| |#1|)) (|:| |td| (|List| (|List| |#1|)))) (|Mapping| (|Boolean|) |#1| |#1|) (|List| |#1|) (|List| (|List| |#1|))) "\\spad{bumprow(cf,pr,r)} is an auxiliary function which bumps a row \\spad{r} with a pair \\spad{pr} using comparison function \\spad{cf,} and returns a record"))) 
 NIL 
 NIL 
-(-1170 S) 
-((|constructor| (NIL "The tableau domain is for printing Young tableaux,{} and coercions to and from List List \\spad{S} where \\spad{S} is a set.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(t)} converts a tableau \\spad{t} to an output form.")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists t} converts a tableau \\spad{t} to a list of lists.")) (|tableau| (($ (|List| (|List| |#1|))) "\\spad{tableau(ll)} converts a list of lists \\spad{ll} to a tableau."))) 
+(-1172 S) 
+((|constructor| (NIL "The tableau domain is for printing Young tableaux, and coercions to and from List List \\spad{S} where \\spad{S} is a set.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(t)} converts a tableau \\spad{t} to an output form.")) (|listOfLists| (((|List| (|List| |#1|)) $) "\\spad{listOfLists \\spad{t}} converts a tableau \\spad{t} to a list of lists.")) (|tableau| (($ (|List| (|List| |#1|))) "\\spad{tableau(ll)} converts a list of lists \\spad{ll} to a tableau."))) 
 NIL 
 NIL 
-(-1171 |Key| |Entry|) 
+(-1173 |Key| |Entry|) 
 ((|constructor| (NIL "This is the general purpose table type. The keys are hashed to look up the entries. This creates a \\spadtype{HashTable} if equal for the Key domain is consistent with Lisp EQUAL otherwise an \\spadtype{AssociationList}"))) 
-((-4535 . T) (-4536 . T)) 
-((|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (-12 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -2335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3782) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#2| (QUOTE (-1091))) (-2232 (|HasCategory| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (QUOTE (-1091))) (|HasCategory| |#2| (QUOTE (-1091)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1091))))) 
-(-1172 R) 
-((|constructor| (NIL "Expands tangents of sums and scalar products.")) (|tanNa| ((|#1| |#1| (|Integer|)) "\\spad{tanNa(a,{} n)} returns \\spad{f(a)} such that if \\spad{a = tan(u)} then \\spad{f(a) = tan(n * u)}.")) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) "\\spad{tanAn(a,{} n)} returns \\spad{P(x)} such that if \\spad{a = tan(u)} then \\spad{P(tan(u/n)) = 0}.")) (|tanSum| ((|#1| (|List| |#1|)) "\\spad{tanSum([a1,{}...,{}an])} returns \\spad{f(a1,{}...,{}an)} such that if \\spad{\\spad{ai} = tan(\\spad{ui})} then \\spad{f(a1,{}...,{}an) = tan(u1 + ... + un)}."))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (-12 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (LIST (QUOTE -304) (LIST (QUOTE -2) (LIST (QUOTE |:|) (QUOTE -3335) (|devaluate| |#1|)) (LIST (QUOTE |:|) (QUOTE -3175) (|devaluate| |#2|))))) (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#2| (QUOTE (-1093))) (-1929 (|HasCategory| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (QUOTE (-1093))) (|HasCategory| |#2| (QUOTE (-1093)))) (-12 (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|))) (|HasCategory| |#2| (QUOTE (-1093))))) 
+(-1174 R) 
+((|constructor| (NIL "Expands tangents of sums and scalar products.")) (|tanNa| ((|#1| |#1| (|Integer|)) "\\spad{tanNa(a, \\spad{n)}} returns \\spad{f(a)} such that if \\spad{a = tan(u)} then \\spad{f(a) = tan(n * u)}.")) (|tanAn| (((|SparseUnivariatePolynomial| |#1|) |#1| (|PositiveInteger|)) "\\spad{tanAn(a, \\spad{n)}} returns \\spad{P(x)} such that if \\spad{a = tan(u)} then \\spad{P(tan(u/n)) = 0}.")) (|tanSum| ((|#1| (|List| |#1|)) "\\spad{tanSum([a1,...,an])} returns \\spad{f(a1,...,an)} such that if \\spad{ai = tan(ui)} then \\spad{f(a1,...,an) = \\spad{tan(u1} + \\spad{...} + un)}."))) 
 NIL 
 NIL 
-(-1173 S |Key| |Entry|) 
-((|constructor| (NIL "A table aggregate is a model of a table,{} \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,{}t1,{}t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements \\spad{fn}(\\spad{x},{}\\spad{y}) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,{}y,{}...,{}z])} creates a table consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\indented{1}{table()\\$\\spad{T} creates an empty table of type \\spad{T}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,{}k,{}e)} (also written \\axiom{\\spad{t}.\\spad{k} \\spad{:=} \\spad{e}}) is equivalent to \\axiom{(insert([\\spad{k},{}\\spad{e}],{}\\spad{t}); \\spad{e})}."))) 
+(-1175 S |Key| |Entry|) 
+((|constructor| (NIL "A table aggregate is a model of a table, \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#3| |#3| |#3|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#2|) (|:| |entry| |#3|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\indented{1}{table()$T creates an empty table of type \\spad{T.}} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#3| $ |#2| |#3|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
 NIL 
 NIL 
-(-1174 |Key| |Entry|) 
-((|constructor| (NIL "A table aggregate is a model of a table,{} \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,{}t1,{}t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements \\spad{fn}(\\spad{x},{}\\spad{y}) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,{}y,{}...,{}z])} creates a table consisting of entries \\axiom{\\spad{x},{}\\spad{y},{}...,{}\\spad{z}}.") (($) "\\indented{1}{table()\\$\\spad{T} creates an empty table of type \\spad{T}.} \\blankline \\spad{E} Data:=Record(age:Integer,{}gender:String) \\spad{E} a1:AssociationList(String,{}Data):=table() \\spad{E} \\spad{a1}.\"tim\":=[55,{}\"male\"]\\$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,{}k,{}e)} (also written \\axiom{\\spad{t}.\\spad{k} \\spad{:=} \\spad{e}}) is equivalent to \\axiom{(insert([\\spad{k},{}\\spad{e}],{}\\spad{t}); \\spad{e})}."))) 
-((-4536 . T) (-2982 . T)) 
+(-1176 |Key| |Entry|) 
+((|constructor| (NIL "A table aggregate is a model of a table, \\spadignore{i.e.} a discrete many-to-one mapping from keys to entries.")) (|map| (($ (|Mapping| |#2| |#2| |#2|) $ $) "\\spad{map(fn,t1,t2)} creates a new table \\spad{t} from given tables \\spad{t1} and \\spad{t2} with elements fn(x,y) where \\spad{x} and \\spad{y} are corresponding elements from \\spad{t1} and \\spad{t2} respectively.")) (|table| (($ (|List| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)))) "\\spad{table([x,y,...,z])} creates a table consisting of entries \\axiom{x,y,...,z}.") (($) "\\indented{1}{table()$T creates an empty table of type \\spad{T.}} \\blankline \\spad{E} Data:=Record(age:Integer,gender:String) \\spad{E} a1:AssociationList(String,Data):=table() \\spad{E} a1.\"tim\":=[55,\"male\"]$Data")) (|setelt| ((|#2| $ |#1| |#2|) "\\spad{setelt(t,k,e)} (also written \\axiom{t.k \\spad{:=} e}) is equivalent to \\axiom{(insert([k,e],t); e)}."))) 
+((-4572 . T) (-4317 . T)) 
 NIL 
-(-1175 |Key| |Entry|) 
-((|constructor| (NIL "\\axiom{TabulatedComputationPackage(Key ,{}Entry)} provides some modest support for dealing with operations with type \\axiom{Key \\spad{->} Entry}. The result of such operations can be stored and retrieved with this package by using a hash-table. The user does not need to worry about the management of this hash-table. However,{} onnly one hash-table is built by calling \\axiom{TabulatedComputationPackage(Key ,{}Entry)}.")) (|insert!| (((|Void|) |#1| |#2|) "\\axiom{insert!(\\spad{x},{}\\spad{y})} stores the item whose key is \\axiom{\\spad{x}} and whose entry is \\axiom{\\spad{y}}.")) (|extractIfCan| (((|Union| |#2| "failed") |#1|) "\\axiom{extractIfCan(\\spad{x})} searches the item whose key is \\axiom{\\spad{x}}.")) (|makingStats?| (((|Boolean|)) "\\axiom{makingStats?()} returns \\spad{true} iff the statisitics process is running.")) (|printingInfo?| (((|Boolean|)) "\\axiom{printingInfo?()} returns \\spad{true} iff messages are printed when manipulating items from the hash-table.")) (|usingTable?| (((|Boolean|)) "\\axiom{usingTable?()} returns \\spad{true} iff the hash-table is used")) (|clearTable!| (((|Void|)) "\\axiom{clearTable!()} clears the hash-table and assumes that it will no longer be used.")) (|printStats!| (((|Void|)) "\\axiom{printStats!()} prints the statistics.")) (|startStats!| (((|Void|) (|String|)) "\\axiom{startStats!(\\spad{x})} initializes the statisitics process and sets the comments to display when statistics are printed")) (|printInfo!| (((|Void|) (|String|) (|String|)) "\\axiom{printInfo!(\\spad{x},{}\\spad{y})} initializes the mesages to be printed when manipulating items from the hash-table. If a key is retrieved then \\axiom{\\spad{x}} is displayed. If an item is stored then \\axiom{\\spad{y}} is displayed.")) (|initTable!| (((|Void|)) "\\axiom{initTable!()} initializes the hash-table."))) 
+(-1177 |Key| |Entry|) 
+((|constructor| (NIL "\\axiom{TabulatedComputationPackage(Key ,Entry)} provides some modest support for dealing with operations with type \\axiom{Key \\spad{->} Entry}. The result of such operations can be stored and retrieved with this package by using a hash-table. The user does not need to worry about the management of this hash-table. However, onnly one hash-table is built by calling \\axiom{TabulatedComputationPackage(Key ,Entry)}.")) (|insert!| (((|Void|) |#1| |#2|) "\\axiom{insert!(x,y)} stores the item whose key is \\axiom{x} and whose entry is \\axiom{y}.")) (|extractIfCan| (((|Union| |#2| "failed") |#1|) "\\axiom{extractIfCan(x)} searches the item whose key is \\axiom{x}.")) (|makingStats?| (((|Boolean|)) "\\axiom{makingStats?()} returns \\spad{true} iff the statisitics process is running.")) (|printingInfo?| (((|Boolean|)) "\\axiom{printingInfo?()} returns \\spad{true} iff messages are printed when manipulating items from the hash-table.")) (|usingTable?| (((|Boolean|)) "\\axiom{usingTable?()} returns \\spad{true} iff the hash-table is used")) (|clearTable!| (((|Void|)) "\\axiom{clearTable!()} clears the hash-table and assumes that it will no longer be used.")) (|printStats!| (((|Void|)) "\\axiom{printStats!()} prints the statistics.")) (|startStats!| (((|Void|) (|String|)) "\\axiom{startStats!(x)} initializes the statisitics process and sets the comments to display when statistics are printed")) (|printInfo!| (((|Void|) (|String|) (|String|)) "\\axiom{printInfo!(x,y)} initializes the mesages to be printed when manipulating items from the hash-table. If a key is retrieved then \\axiom{x} is displayed. If an item is stored then \\axiom{y} is displayed.")) (|initTable!| (((|Void|)) "\\axiom{initTable!()} initializes the hash-table."))) 
 NIL 
 NIL 
-(-1176) 
-((|constructor| (NIL "This package provides functions for template manipulation")) (|stripCommentsAndBlanks| (((|String|) (|String|)) "\\spad{stripCommentsAndBlanks(s)} treats \\spad{s} as a piece of AXIOM input,{} and removes comments,{} and leading and trailing blanks.")) (|interpretString| (((|Any|) (|String|)) "\\spad{interpretString(s)} treats a string as a piece of AXIOM input,{} by parsing and interpreting it."))) 
+(-1178) 
+((|constructor| (NIL "This package provides functions for template manipulation")) (|stripCommentsAndBlanks| (((|String|) (|String|)) "\\spad{stripCommentsAndBlanks(s)} treats \\spad{s} as a piece of AXIOM input, and removes comments, and leading and trailing blanks.")) (|interpretString| (((|Any|) (|String|)) "\\spad{interpretString(s)} treats a string as a piece of AXIOM input, by parsing and interpreting it."))) 
 NIL 
 NIL 
-(-1177 S) 
+(-1179 S) 
 ((|constructor| (NIL "\\spadtype{TexFormat1} provides a utility coercion for changing to TeX format anything that has a coercion to the standard output format.")) (|coerce| (((|TexFormat|) |#1|) "\\spad{coerce(s)} provides a direct coercion from a domain \\spad{S} to TeX format. This allows the user to skip the step of first manually coercing the object to standard output format before it is coerced to TeX format."))) 
 NIL 
 NIL 
-(-1178) 
-((|constructor| (NIL "\\spadtype{TexFormat} provides a coercion from \\spadtype{OutputForm} to \\TeX{} format. The particular dialect of \\TeX{} used is \\LaTeX{}. The basic object consists of three parts: a prologue,{} a tex part and an epilogue. The functions \\spadfun{prologue},{} \\spadfun{tex} and \\spadfun{epilogue} extract these parts,{} respectively. The main guts of the expression go into the tex part. The other parts can be set (\\spadfun{setPrologue!},{} \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example,{} the prologue and epilogue might simply contain \\spad{``}\\verb+\\spad{\\[}+\\spad{''} and \\spad{``}\\verb+\\spad{\\]}+\\spad{''},{} respectively,{} so that the TeX section will be printed in LaTeX display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,{}strings)} sets the prologue section of a TeX form \\spad{t} to \\spad{strings}.")) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setTex!(t,{}strings)} sets the TeX section of a TeX form \\spad{t} to \\spad{strings}.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,{}strings)} sets the epilogue section of a TeX form \\spad{t} to \\spad{strings}.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a TeX form \\spad{t}.")) (|new| (($) "\\spad{new()} create a new,{} empty object. Use \\spadfun{setPrologue!},{} \\spadfun{setTex!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|tex| (((|List| (|String|)) $) "\\spad{tex(t)} extracts the TeX section of a TeX form \\spad{t}.")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a TeX form \\spad{t}.")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,{}width)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{\\spad{width}}.")) (|convert| (($ (|OutputForm|) (|Integer|) (|OutputForm|)) "\\spad{convert(o,{}step,{}type)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number and \\spad{type}. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.") (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,{}step)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to TeX format."))) 
+(-1180) 
+((|constructor| (NIL "\\spadtype{TexFormat} provides a coercion from \\spadtype{OutputForm} to \\TeX{} format. The particular dialect of \\TeX{} used is \\LaTeX{}. The basic object consists of three parts: a prologue, a tex part and an epilogue. The functions \\spadfun{prologue}, \\spadfun{tex} and \\spadfun{epilogue} extract these parts, respectively. The main guts of the expression go into the tex part. The other parts can be set (\\spadfun{setPrologue!}, \\spadfun{setEpilogue!}) so that contain the appropriate tags for printing. For example, the prologue and epilogue might simply contain ``\\verb+\\[+'' and ``\\verb+\\]+'', respectively, so that the TeX section will be printed in LaTeX display math mode.")) (|setPrologue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setPrologue!(t,strings)} sets the prologue section of a TeX form \\spad{t} to strings.")) (|setTex!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setTex!(t,strings)} sets the TeX section of a TeX form \\spad{t} to strings.")) (|setEpilogue!| (((|List| (|String|)) $ (|List| (|String|))) "\\spad{setEpilogue!(t,strings)} sets the epilogue section of a TeX form \\spad{t} to strings.")) (|prologue| (((|List| (|String|)) $) "\\spad{prologue(t)} extracts the prologue section of a TeX form \\spad{t.}")) (|new| (($) "\\spad{new()} create a new, empty object. Use \\spadfun{setPrologue!}, \\spadfun{setTex!} and \\spadfun{setEpilogue!} to set the various components of this object.")) (|tex| (((|List| (|String|)) $) "\\spad{tex(t)} extracts the TeX section of a TeX form \\spad{t.}")) (|epilogue| (((|List| (|String|)) $) "\\spad{epilogue(t)} extracts the epilogue section of a TeX form \\spad{t.}")) (|display| (((|Void|) $) "\\spad{display(t)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to the value set by the system command \\spadsyscom{set output length}.") (((|Void|) $ (|Integer|)) "\\spad{display(t,width)} outputs the TeX formatted code \\spad{t} so that each line has length less than or equal to \\spadvar{width}.")) (|convert| (($ (|OutputForm|) (|Integer|) (|OutputForm|)) "\\spad{convert(o,step,type)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number and type. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.") (($ (|OutputForm|) (|Integer|)) "\\spad{convert(o,step)} changes \\spad{o} in standard output format to TeX format and also adds the given \\spad{step} number. This is useful if you want to create equations with given numbers or have the equation numbers correspond to the interpreter \\spad{step} numbers.")) (|coerce| (($ (|OutputForm|)) "\\spad{coerce(o)} changes \\spad{o} in the standard output format to TeX format."))) 
 NIL 
 NIL 
-(-1179) 
-((|constructor| (NIL "This domain provides an implementation of text files. Text is stored in these files using the native character set of the computer.")) (|endOfFile?| (((|Boolean|) $) "\\spad{endOfFile?(f)} tests whether the file \\spad{f} is positioned after the end of all text. If the file is open for output,{} then this test is always \\spad{true}.")) (|readIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readIfCan!(f)} returns a string of the contents of a line from file \\spad{f},{} if possible. If \\spad{f} is not readable or if it is positioned at the end of file,{} then \\spad{\"failed\"} is returned.")) (|readLineIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readLineIfCan!(f)} returns a string of the contents of a line from file \\spad{f},{} if possible. If \\spad{f} is not readable or if it is positioned at the end of file,{} then \\spad{\"failed\"} is returned.")) (|readLine!| (((|String|) $) "\\spad{readLine!(f)} returns a string of the contents of a line from the file \\spad{f}.")) (|writeLine!| (((|String|) $) "\\spad{writeLine!(f)} finishes the current line in the file \\spad{f}. An empty string is returned. The call \\spad{writeLine!(f)} is equivalent to \\spad{writeLine!(f,{}\"\")}.") (((|String|) $ (|String|)) "\\spad{writeLine!(f,{}s)} writes the contents of the string \\spad{s} and finishes the current line in the file \\spad{f}. The value of \\spad{s} is returned."))) 
+(-1181) 
+((|constructor| (NIL "This domain provides an implementation of text files. Text is stored in these files using the native character set of the computer.")) (|endOfFile?| (((|Boolean|) $) "\\spad{endOfFile?(f)} tests whether the file \\spad{f} is positioned after the end of all text. If the file is open for output, then this test is always true.")) (|readIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLineIfCan!| (((|Union| (|String|) "failed") $) "\\spad{readLineIfCan!(f)} returns a string of the contents of a line from file \\spad{f,} if possible. If \\spad{f} is not readable or if it is positioned at the end of file, then \\spad{\"failed\"} is returned.")) (|readLine!| (((|String|) $) "\\spad{readLine!(f)} returns a string of the contents of a line from the file \\spad{f.}")) (|writeLine!| (((|String|) $) "\\spad{writeLine!(f)} finishes the current line in the file \\spad{f.} An empty string is returned. The call \\spad{writeLine!(f)} is equivalent to \\spad{writeLine!(f,\"\")}.") (((|String|) $ (|String|)) "\\spad{writeLine!(f,s)} writes the contents of the string \\spad{s} and finishes the current line in the file \\spad{f.} The value of \\spad{s} is returned."))) 
 NIL 
 NIL 
-(-1180 R) 
+(-1182 R) 
 ((|constructor| (NIL "Tools for the sign finding utilities.")) (|direction| (((|Integer|) (|String|)) "\\spad{direction(s)} \\undocumented")) (|nonQsign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{nonQsign(r)} \\undocumented")) (|sign| (((|Union| (|Integer|) "failed") |#1|) "\\spad{sign(r)} \\undocumented"))) 
 NIL 
 NIL 
-(-1181) 
-((|constructor| (NIL "This package exports a function for making a \\spadtype{ThreeSpace}")) (|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) "\\spad{createThreeSpace()} creates a \\spadtype{ThreeSpace(DoubleFloat)} object capable of holding point,{} curve,{} mesh components and any combination."))) 
+(-1183) 
+((|constructor| (NIL "This package exports a function for making a \\spadtype{ThreeSpace}")) (|createThreeSpace| (((|ThreeSpace| (|DoubleFloat|))) "\\spad{createThreeSpace()} creates a \\spadtype{ThreeSpace(DoubleFloat)} object capable of holding point, curve, mesh components and any combination."))) 
 NIL 
 NIL 
-(-1182 S) 
-((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the constant \\spad{pi}."))) 
+(-1184 S) 
+((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1183) 
-((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{\\spad{pi}()} returns the constant \\spad{pi}."))) 
+(-1185) 
+((|constructor| (NIL "Category for the transcendental elementary functions.")) (|pi| (($) "\\spad{pi()} returns the constant pi."))) 
 NIL 
 NIL 
-(-1184 S) 
-((|constructor| (NIL "\\spadtype{Tree(S)} is a basic domains of tree structures. Each tree is either empty or else is a node consisting of a value and a list of (sub)trees.")) (|cyclicParents| (((|List| $) $) "\\indented{1}{cyclicParents(\\spad{t}) returns a list of cycles that are parents of \\spad{t}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicParents \\spad{t1}")) (|cyclicEqual?| (((|Boolean|) $ $) "\\indented{1}{cyclicEqual?(\\spad{t1},{} \\spad{t2}) tests of two cyclic trees have} \\indented{1}{the same structure.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} t2:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicEqual?(\\spad{t1},{}\\spad{t2})")) (|cyclicEntries| (((|List| $) $) "\\indented{1}{cyclicEntries(\\spad{t}) returns a list of top-level cycles in tree \\spad{t}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicEntries \\spad{t1}")) (|cyclicCopy| (($ $) "\\indented{1}{cyclicCopy(\\spad{l}) makes a copy of a (possibly) cyclic tree \\spad{l}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclicCopy \\spad{t1}")) (|cyclic?| (((|Boolean|) $) "\\indented{1}{cyclic?(\\spad{t}) tests if \\spad{t} is a cyclic tree.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} cyclic? \\spad{t1}")) (|tree| (($ |#1|) "\\indented{1}{tree(\\spad{nd}) creates a tree with value \\spad{nd},{} and no children} \\blankline \\spad{X} tree 6") (($ (|List| |#1|)) "\\indented{1}{tree(\\spad{ls}) creates a tree from a list of elements of \\spad{s}.} \\blankline \\spad{X} tree [1,{}2,{}3,{}4]") (($ |#1| (|List| $)) "\\indented{1}{tree(\\spad{nd},{}\\spad{ls}) creates a tree with value \\spad{nd},{} and children \\spad{ls}.} \\blankline \\spad{X} t1:=tree [1,{}2,{}3,{}4] \\spad{X} tree(5,{}[\\spad{t1}])"))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091))))) 
-(-1185 S) 
-((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x}.")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x}.")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x}.")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x}.")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x}.")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x}."))) 
+(-1186 S) 
+((|constructor| (NIL "\\spadtype{Tree(S)} is a basic domains of tree structures. Each tree is either empty or else is a node consisting of a value and a list of (sub)trees.")) (|cyclicParents| (((|List| $) $) "\\indented{1}{cyclicParents(t) returns a list of cycles that are parents of \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicParents \\spad{t1}")) (|cyclicEqual?| (((|Boolean|) $ $) "\\indented{1}{cyclicEqual?(t1, \\spad{t2)} tests of two cyclic trees have} \\indented{1}{the same structure.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} t2:=tree [1,2,3,4] \\spad{X} cyclicEqual?(t1,t2)")) (|cyclicEntries| (((|List| $) $) "\\indented{1}{cyclicEntries(t) returns a list of top-level cycles in tree \\spad{t.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicEntries \\spad{t1}")) (|cyclicCopy| (($ $) "\\indented{1}{cyclicCopy(l) makes a copy of a (possibly) cyclic tree \\spad{l.}} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclicCopy \\spad{t1}")) (|cyclic?| (((|Boolean|) $) "\\indented{1}{cyclic?(t) tests if \\spad{t} is a cyclic tree.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} cyclic? \\spad{t1}")) (|tree| (($ |#1|) "\\indented{1}{tree(nd) creates a tree with value \\spad{nd,} and no children} \\blankline \\spad{X} tree 6") (($ (|List| |#1|)) "\\indented{1}{tree(ls) creates a tree from a list of elements of \\spad{s.}} \\blankline \\spad{X} tree [1,2,3,4]") (($ |#1| (|List| $)) "\\indented{1}{tree(nd,ls) creates a tree with value \\spad{nd,} and children ls.} \\blankline \\spad{X} t1:=tree [1,2,3,4] \\spad{X} tree(5,[t1])"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093))))) 
+(-1187 S) 
+((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1186) 
-((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x}.")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x}.")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x}.")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x}.")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x}.")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x}."))) 
+(-1188) 
+((|constructor| (NIL "Category for the trigonometric functions.")) (|tan| (($ $) "\\spad{tan(x)} returns the tangent of \\spad{x.}")) (|sin| (($ $) "\\spad{sin(x)} returns the sine of \\spad{x.}")) (|sec| (($ $) "\\spad{sec(x)} returns the secant of \\spad{x.}")) (|csc| (($ $) "\\spad{csc(x)} returns the cosecant of \\spad{x.}")) (|cot| (($ $) "\\spad{cot(x)} returns the cotangent of \\spad{x.}")) (|cos| (($ $) "\\spad{cos(x)} returns the cosine of \\spad{x.}"))) 
 NIL 
 NIL 
-(-1187 R -1564) 
-((|constructor| (NIL "\\spadtype{TrigonometricManipulations} provides transformations from trigonometric functions to complex exponentials and logarithms,{} and back.")) (|complexForm| (((|Complex| |#2|) |#2|) "\\spad{complexForm(f)} returns \\spad{[real f,{} imag f]}.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real f}.")) (|imag| ((|#2| |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| ((|#2| |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f,{} x)} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log,{} exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f,{} x)} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
+(-1189 R -1647) 
+((|constructor| (NIL "\\spadtype{TrigonometricManipulations} provides transformations from trigonometric functions to complex exponentials and logarithms, and back.")) (|complexForm| (((|Complex| |#2|) |#2|) "\\spad{complexForm(f)} returns \\spad{[real \\spad{f,} imag f]}.")) (|real?| (((|Boolean|) |#2|) "\\spad{real?(f)} returns \\spad{true} if \\spad{f = real \\spad{f}.}")) (|imag| ((|#2| |#2|) "\\spad{imag(f)} returns the imaginary part of \\spad{f} where \\spad{f} is a complex function.")) (|real| ((|#2| |#2|) "\\spad{real(f)} returns the real part of \\spad{f} where \\spad{f} is a complex function.")) (|trigs| ((|#2| |#2|) "\\spad{trigs(f)} rewrites all the complex logs and exponentials appearing in \\spad{f} in terms of trigonometric functions.")) (|complexElementary| ((|#2| |#2| (|Symbol|)) "\\spad{complexElementary(f, \\spad{x)}} rewrites the kernels of \\spad{f} involving \\spad{x} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.") ((|#2| |#2|) "\\spad{complexElementary(f)} rewrites \\spad{f} in terms of the 2 fundamental complex transcendental elementary functions: \\spad{log, exp}.")) (|complexNormalize| ((|#2| |#2| (|Symbol|)) "\\spad{complexNormalize(f, \\spad{x)}} rewrites \\spad{f} using the least possible number of complex independent kernels involving \\spad{x}.") ((|#2| |#2|) "\\spad{complexNormalize(f)} rewrites \\spad{f} using the least possible number of complex independent kernels."))) 
 NIL 
 NIL 
-(-1188 R |Row| |Col| M) 
-((|constructor| (NIL "This package provides functions that compute \"fraction-free\" inverses of upper and lower triangular matrices over a integral domain. By \"fraction-free inverses\" we mean the following: given a matrix \\spad{B} with entries in \\spad{R} and an element \\spad{d} of \\spad{R} such that \\spad{d} * inv(\\spad{B}) also has entries in \\spad{R},{} we return \\spad{d} * inv(\\spad{B}). Thus,{} it is not necessary to pass to the quotient field in any of our computations.")) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{LowTriBddDenomInv(B,{}d)} returns \\spad{M},{} where \\spad{B} is a non-singular lower triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = d * inv(B)} has entries in \\spad{R}.")) (|UpTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{UpTriBddDenomInv(B,{}d)} returns \\spad{M},{} where \\spad{B} is a non-singular upper triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = d * inv(B)} has entries in \\spad{R}."))) 
+(-1190 R |Row| |Col| M) 
+((|constructor| (NIL "This package provides functions that compute \"fraction-free\" inverses of upper and lower triangular matrices over a integral domain. By \"fraction-free inverses\" we mean the following: given a matrix \\spad{B} with entries in \\spad{R} and an element \\spad{d} of \\spad{R} such that \\spad{d} * inv(B) also has entries in \\spad{R,} we return \\spad{d} * inv(B). Thus, it is not necessary to pass to the quotient field in any of our computations.")) (|LowTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{LowTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular lower triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}")) (|UpTriBddDenomInv| ((|#4| |#4| |#1|) "\\spad{UpTriBddDenomInv(B,d)} returns \\spad{M,} where \\spad{B} is a non-singular upper triangular matrix and \\spad{d} is an element of \\spad{R} such that \\spad{M = \\spad{d} * inv(B)} has entries in \\spad{R.}"))) 
 NIL 
 NIL 
-(-1189 R -1564) 
-((|constructor| (NIL "TranscendentalManipulations provides functions to simplify and expand expressions involving transcendental operators.")) (|expandTrigProducts| ((|#2| |#2|) "\\spad{expandTrigProducts(e)} replaces \\axiom{sin(\\spad{x})*sin(\\spad{y})} by \\spad{(cos(x-y)-cos(x+y))/2},{} \\axiom{cos(\\spad{x})*cos(\\spad{y})} by \\spad{(cos(x-y)+cos(x+y))/2},{} and \\axiom{sin(\\spad{x})*cos(\\spad{y})} by \\spad{(sin(x-y)+sin(x+y))/2}. Note that this operation uses the pattern matcher and so is relatively expensive. To avoid getting into an infinite loop the transformations are applied at most ten times.")) (|removeSinhSq| ((|#2| |#2|) "\\spad{removeSinhSq(f)} converts every \\spad{sinh(u)**2} appearing in \\spad{f} into \\spad{1 - cosh(x)**2},{} and also reduces higher powers of \\spad{sinh(u)} with that formula.")) (|removeCoshSq| ((|#2| |#2|) "\\spad{removeCoshSq(f)} converts every \\spad{cosh(u)**2} appearing in \\spad{f} into \\spad{1 - sinh(x)**2},{} and also reduces higher powers of \\spad{cosh(u)} with that formula.")) (|removeSinSq| ((|#2| |#2|) "\\spad{removeSinSq(f)} converts every \\spad{sin(u)**2} appearing in \\spad{f} into \\spad{1 - cos(x)**2},{} and also reduces higher powers of \\spad{sin(u)} with that formula.")) (|removeCosSq| ((|#2| |#2|) "\\spad{removeCosSq(f)} converts every \\spad{cos(u)**2} appearing in \\spad{f} into \\spad{1 - sin(x)**2},{} and also reduces higher powers of \\spad{cos(u)} with that formula.")) (|coth2tanh| ((|#2| |#2|) "\\spad{coth2tanh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{1/tanh(u)}.")) (|cot2tan| ((|#2| |#2|) "\\spad{cot2tan(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{1/tan(u)}.")) (|tanh2coth| ((|#2| |#2|) "\\spad{tanh2coth(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{1/coth(u)}.")) (|tan2cot| ((|#2| |#2|) "\\spad{tan2cot(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{1/cot(u)}.")) (|tanh2trigh| ((|#2| |#2|) "\\spad{tanh2trigh(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{sinh(u)/cosh(u)}.")) (|tan2trig| ((|#2| |#2|) "\\spad{tan2trig(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{sin(u)/cos(u)}.")) (|sinh2csch| ((|#2| |#2|) "\\spad{sinh2csch(f)} converts every \\spad{sinh(u)} appearing in \\spad{f} into \\spad{1/csch(u)}.")) (|sin2csc| ((|#2| |#2|) "\\spad{sin2csc(f)} converts every \\spad{sin(u)} appearing in \\spad{f} into \\spad{1/csc(u)}.")) (|sech2cosh| ((|#2| |#2|) "\\spad{sech2cosh(f)} converts every \\spad{sech(u)} appearing in \\spad{f} into \\spad{1/cosh(u)}.")) (|sec2cos| ((|#2| |#2|) "\\spad{sec2cos(f)} converts every \\spad{sec(u)} appearing in \\spad{f} into \\spad{1/cos(u)}.")) (|csch2sinh| ((|#2| |#2|) "\\spad{csch2sinh(f)} converts every \\spad{csch(u)} appearing in \\spad{f} into \\spad{1/sinh(u)}.")) (|csc2sin| ((|#2| |#2|) "\\spad{csc2sin(f)} converts every \\spad{csc(u)} appearing in \\spad{f} into \\spad{1/sin(u)}.")) (|coth2trigh| ((|#2| |#2|) "\\spad{coth2trigh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{cosh(u)/sinh(u)}.")) (|cot2trig| ((|#2| |#2|) "\\spad{cot2trig(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{cos(u)/sin(u)}.")) (|cosh2sech| ((|#2| |#2|) "\\spad{cosh2sech(f)} converts every \\spad{cosh(u)} appearing in \\spad{f} into \\spad{1/sech(u)}.")) (|cos2sec| ((|#2| |#2|) "\\spad{cos2sec(f)} converts every \\spad{cos(u)} appearing in \\spad{f} into \\spad{1/sec(u)}.")) (|expandLog| ((|#2| |#2|) "\\spad{expandLog(f)} converts every \\spad{log(a/b)} appearing in \\spad{f} into \\spad{log(a) - log(b)},{} and every \\spad{log(a*b)} into \\spad{log(a) + log(b)}..")) (|expandPower| ((|#2| |#2|) "\\spad{expandPower(f)} converts every power \\spad{(a/b)**c} appearing in \\spad{f} into \\spad{a**c * b**(-c)}.")) (|simplifyLog| ((|#2| |#2|) "\\spad{simplifyLog(f)} converts every \\spad{log(a) - log(b)} appearing in \\spad{f} into \\spad{log(a/b)},{} every \\spad{log(a) + log(b)} into \\spad{log(a*b)} and every \\spad{n*log(a)} into \\spad{log(a^n)}.")) (|simplifyExp| ((|#2| |#2|) "\\spad{simplifyExp(f)} converts every product \\spad{exp(a)*exp(b)} appearing in \\spad{f} into \\spad{exp(a+b)}.")) (|htrigs| ((|#2| |#2|) "\\spad{htrigs(f)} converts all the exponentials in \\spad{f} into hyperbolic sines and cosines.")) (|simplify| ((|#2| |#2|) "\\spad{simplify(f)} performs the following simplifications on \\spad{f:}\\begin{items} \\item 1. rewrites trigs and hyperbolic trigs in terms of \\spad{sin} ,{}\\spad{cos},{} \\spad{sinh},{} \\spad{cosh}. \\item 2. rewrites \\spad{sin**2} and \\spad{sinh**2} in terms of \\spad{cos} and \\spad{cosh},{} \\item 3. rewrites \\spad{exp(a)*exp(b)} as \\spad{exp(a+b)}. \\item 4. rewrites \\spad{(a**(1/n))**m * (a**(1/s))**t} as a single power of a single radical of \\spad{a}. \\end{items}")) (|expand| ((|#2| |#2|) "\\spad{expand(f)} performs the following expansions on \\spad{f:}\\begin{items} \\item 1. logs of products are expanded into sums of logs,{} \\item 2. trigonometric and hyperbolic trigonometric functions of sums are expanded into sums of products of trigonometric and hyperbolic trigonometric functions. \\item 3. formal powers of the form \\spad{(a/b)**c} are expanded into \\spad{a**c * b**(-c)}. \\end{items}"))) 
+(-1191 R -1647) 
+((|constructor| (NIL "TranscendentalManipulations provides functions to simplify and expand expressions involving transcendental operators.")) (|expandTrigProducts| ((|#2| |#2|) "\\spad{expandTrigProducts(e)} replaces \\axiom{sin(x)*sin(y)} by \\spad{(cos(x-y)-cos(x+y))/2}, \\axiom{cos(x)*cos(y)} by \\spad{(cos(x-y)+cos(x+y))/2}, and \\axiom{sin(x)*cos(y)} by \\spad{(sin(x-y)+sin(x+y))/2}. Note that this operation uses the pattern matcher and so is relatively expensive. To avoid getting into an infinite loop the transformations are applied at most ten times.")) (|removeSinhSq| ((|#2| |#2|) "\\spad{removeSinhSq(f)} converts every \\spad{sinh(u)**2} appearing in \\spad{f} into \\spad{1 - cosh(x)**2}, and also reduces higher powers of \\spad{sinh(u)} with that formula.")) (|removeCoshSq| ((|#2| |#2|) "\\spad{removeCoshSq(f)} converts every \\spad{cosh(u)**2} appearing in \\spad{f} into \\spad{1 - sinh(x)**2}, and also reduces higher powers of \\spad{cosh(u)} with that formula.")) (|removeSinSq| ((|#2| |#2|) "\\spad{removeSinSq(f)} converts every \\spad{sin(u)**2} appearing in \\spad{f} into \\spad{1 - cos(x)**2}, and also reduces higher powers of \\spad{sin(u)} with that formula.")) (|removeCosSq| ((|#2| |#2|) "\\spad{removeCosSq(f)} converts every \\spad{cos(u)**2} appearing in \\spad{f} into \\spad{1 - sin(x)**2}, and also reduces higher powers of \\spad{cos(u)} with that formula.")) (|coth2tanh| ((|#2| |#2|) "\\spad{coth2tanh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{1/tanh(u)}.")) (|cot2tan| ((|#2| |#2|) "\\spad{cot2tan(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{1/tan(u)}.")) (|tanh2coth| ((|#2| |#2|) "\\spad{tanh2coth(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{1/coth(u)}.")) (|tan2cot| ((|#2| |#2|) "\\spad{tan2cot(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{1/cot(u)}.")) (|tanh2trigh| ((|#2| |#2|) "\\spad{tanh2trigh(f)} converts every \\spad{tanh(u)} appearing in \\spad{f} into \\spad{sinh(u)/cosh(u)}.")) (|tan2trig| ((|#2| |#2|) "\\spad{tan2trig(f)} converts every \\spad{tan(u)} appearing in \\spad{f} into \\spad{sin(u)/cos(u)}.")) (|sinh2csch| ((|#2| |#2|) "\\spad{sinh2csch(f)} converts every \\spad{sinh(u)} appearing in \\spad{f} into \\spad{1/csch(u)}.")) (|sin2csc| ((|#2| |#2|) "\\spad{sin2csc(f)} converts every \\spad{sin(u)} appearing in \\spad{f} into \\spad{1/csc(u)}.")) (|sech2cosh| ((|#2| |#2|) "\\spad{sech2cosh(f)} converts every \\spad{sech(u)} appearing in \\spad{f} into \\spad{1/cosh(u)}.")) (|sec2cos| ((|#2| |#2|) "\\spad{sec2cos(f)} converts every \\spad{sec(u)} appearing in \\spad{f} into \\spad{1/cos(u)}.")) (|csch2sinh| ((|#2| |#2|) "\\spad{csch2sinh(f)} converts every \\spad{csch(u)} appearing in \\spad{f} into \\spad{1/sinh(u)}.")) (|csc2sin| ((|#2| |#2|) "\\spad{csc2sin(f)} converts every \\spad{csc(u)} appearing in \\spad{f} into \\spad{1/sin(u)}.")) (|coth2trigh| ((|#2| |#2|) "\\spad{coth2trigh(f)} converts every \\spad{coth(u)} appearing in \\spad{f} into \\spad{cosh(u)/sinh(u)}.")) (|cot2trig| ((|#2| |#2|) "\\spad{cot2trig(f)} converts every \\spad{cot(u)} appearing in \\spad{f} into \\spad{cos(u)/sin(u)}.")) (|cosh2sech| ((|#2| |#2|) "\\spad{cosh2sech(f)} converts every \\spad{cosh(u)} appearing in \\spad{f} into \\spad{1/sech(u)}.")) (|cos2sec| ((|#2| |#2|) "\\spad{cos2sec(f)} converts every \\spad{cos(u)} appearing in \\spad{f} into \\spad{1/sec(u)}.")) (|expandLog| ((|#2| |#2|) "\\spad{expandLog(f)} converts every \\spad{log(a/b)} appearing in \\spad{f} into \\spad{log(a) - log(b)}, and every \\spad{log(a*b)} into \\spad{log(a) + log(b)}..")) (|expandPower| ((|#2| |#2|) "\\spad{expandPower(f)} converts every power \\spad{(a/b)**c} appearing in \\spad{f} into \\spad{a**c * b**(-c)}.")) (|simplifyLog| ((|#2| |#2|) "\\spad{simplifyLog(f)} converts every \\spad{log(a) - log(b)} appearing in \\spad{f} into \\spad{log(a/b)}, every \\spad{log(a) + log(b)} into \\spad{log(a*b)} and every \\spad{n*log(a)} into \\spad{log(a^n)}.")) (|simplifyExp| ((|#2| |#2|) "\\spad{simplifyExp(f)} converts every product \\spad{exp(a)*exp(b)} appearing in \\spad{f} into \\spad{exp(a+b)}.")) (|htrigs| ((|#2| |#2|) "\\spad{htrigs(f)} converts all the exponentials in \\spad{f} into hyperbolic sines and cosines.")) (|simplify| ((|#2| |#2|) "\\spad{simplify(f)} performs the following simplifications on f:\\begin{items} \\item 1. rewrites trigs and hyperbolic trigs in terms of \\spad{sin} ,\\spad{cos}, \\spad{sinh}, \\spad{cosh}. \\item 2. rewrites \\spad{sin**2} and \\spad{sinh**2} in terms of \\spad{cos} and \\spad{cosh}, \\item 3. rewrites \\spad{exp(a)*exp(b)} as \\spad{exp(a+b)}. \\item 4. rewrites \\spad{(a**(1/n))**m * (a**(1/s))**t} as a single power of a single radical of \\spad{a}. \\end{items}")) (|expand| ((|#2| |#2|) "\\spad{expand(f)} performs the following expansions on f:\\begin{items} \\item 1. logs of products are expanded into sums of logs, \\item 2. trigonometric and hyperbolic trigonometric functions of sums are expanded into sums of products of trigonometric and hyperbolic trigonometric functions. \\item 3. formal powers of the form \\spad{(a/b)**c} are expanded into \\spad{a**c * b**(-c)}. \\end{items}"))) 
 NIL 
-((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -888) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -882) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -882) (|devaluate| |#1|))))) 
-(-1190 S R E V P) 
-((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{\\spad{R}} be an integral domain and \\axiom{\\spad{V}} a finite ordered set of variables,{} say \\axiom{\\spad{X1} < \\spad{X2} < ... < \\spad{Xn}}. A set \\axiom{\\spad{S}} of polynomials in \\axiom{\\spad{R}[\\spad{X1},{}\\spad{X2},{}...,{}\\spad{Xn}]} is triangular if no elements of \\axiom{\\spad{S}} lies in \\axiom{\\spad{R}},{} and if two distinct elements of \\axiom{\\spad{S}} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to [1] for more details. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a non-constant polynomial \\axiom{\\spad{Q}} if the degree of \\axiom{\\spad{P}} in the main variable of \\axiom{\\spad{Q}} is less than the main degree of \\axiom{\\spad{Q}}. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a triangular set \\axiom{\\spad{T}} if it is reduced \\spad{w}.\\spad{r}.\\spad{t}. every polynomial of \\axiom{\\spad{T}}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(\\spad{ts})} returns \\axiom{size()\\spad{\\$}\\spad{V}} minus \\axiom{\\spad{\\#}\\spad{ts}}.")) (|extend| (($ $ |#5|) "\\axiom{extend(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#5|) "\\axiom{extendIfCan(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#5| "failed") $ |#4|) "\\axiom{select(\\spad{ts},{}\\spad{v})} returns the polynomial of \\axiom{\\spad{ts}} with \\axiom{\\spad{v}} as main variable,{} if any.")) (|algebraic?| (((|Boolean|) |#4| $) "\\axiom{algebraic?(\\spad{v},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ts}}.")) (|algebraicVariables| (((|List| |#4|) $) "\\axiom{algebraicVariables(\\spad{ts})} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{\\spad{ts}}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(\\spad{ts})} returns the polynomials of \\axiom{\\spad{ts}} with smaller main variable than \\axiom{mvar(\\spad{ts})} if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \"failed\"")) (|last| (((|Union| |#5| "failed") $) "\\axiom{last(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with smallest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#5| "failed") $) "\\axiom{first(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with greatest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#5|)))) (|List| |#5|)) "\\axiom{zeroSetSplitIntoTriangularSystems(\\spad{lp})} returns a list of triangular systems \\axiom{[[\\spad{ts1},{}\\spad{qs1}],{}...,{}[\\spad{tsn},{}\\spad{qsn}]]} such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{\\spad{ts}} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#5|)) "\\axiom{zeroSetSplit(\\spad{lp})} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the regular zero sets of the members of \\axiom{\\spad{lts}}.")) (|reduceByQuasiMonic| ((|#5| |#5| $) "\\axiom{reduceByQuasiMonic(\\spad{p},{}\\spad{ts})} returns the same as \\axiom{remainder(\\spad{p},{}collectQuasiMonic(\\spad{ts})).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(\\spad{ts})} returns the subset of \\axiom{\\spad{ts}} consisting of the polynomials with initial in \\axiom{\\spad{R}}.")) (|removeZero| ((|#5| |#5| $) "\\axiom{removeZero(\\spad{p},{}\\spad{ts})} returns \\axiom{0} if \\axiom{\\spad{p}} reduces to \\axiom{0} by pseudo-division \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{ts}} otherwise returns a polynomial \\axiom{\\spad{q}} computed from \\axiom{\\spad{p}} by removing any coefficient in \\axiom{\\spad{p}} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#5| |#5| $) "\\axiom{initiallyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|headReduce| ((|#5| |#5| $) "\\axiom{headReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduce?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|stronglyReduce| ((|#5| |#5| $) "\\axiom{stronglyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{stronglyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{rewriteSetWithReduction(\\spad{lp},{}\\spad{ts},{}redOp,{}redOp?)} returns a list \\axiom{\\spad{lq}} of polynomials such that \\axiom{[reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?) for \\spad{p} in \\spad{lp}]} and \\axiom{\\spad{lp}} have the same zeros inside the regular zero set of \\axiom{\\spad{ts}}. Moreover,{} for every polynomial \\axiom{\\spad{q}} in \\axiom{\\spad{lq}} and every polynomial \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{q},{}\\spad{t})} holds and there exists a polynomial \\axiom{\\spad{p}} in the ideal generated by \\axiom{\\spad{lp}} and a product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|reduce| ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?)} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{redOp?(\\spad{r},{}\\spad{p})} holds for every \\axiom{\\spad{p}} of \\axiom{\\spad{ts}} and there exists some product \\axiom{\\spad{h}} of the initials of the members of \\axiom{\\spad{ts}} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) "\\axiom{autoReduced?(\\spad{ts},{}redOp?)} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{\\spad{p}} of \\axiom{\\spad{ts}}. \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the other elements of \\axiom{\\spad{ts}} with the same main variable.") (((|Boolean|) |#5| $) "\\axiom{initiallyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the elements of \\axiom{\\spad{ts}} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#5| $) "\\axiom{headReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff the head of \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(\\spad{ts})} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#5| $) "\\axiom{stronglyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduced?(\\spad{p},{}\\spad{ts},{}redOp?)} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}.in the sense of the operation \\axiom{redOp?},{} that is if for every \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{p},{}\\spad{t})} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(\\spad{ts})} returns \\spad{true} iff for every axiom{\\spad{p}} in \\axiom{\\spad{ts}} we have \\axiom{normalized?(\\spad{p},{}us)} where \\axiom{us} is \\axiom{collectUnder(\\spad{ts},{}mvar(\\spad{p}))}.") (((|Boolean|) |#5| $) "\\axiom{normalized?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variables of the polynomials of \\axiom{\\spad{ts}}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) "\\axiom{quasiComponent(\\spad{ts})} returns \\axiom{[\\spad{lp},{}\\spad{lq}]} where \\axiom{\\spad{lp}} is the list of the members of \\axiom{\\spad{ts}} and \\axiom{\\spad{lq}}is \\axiom{initials(\\spad{ts})}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{ts})} returns the product of main degrees of the members of \\axiom{\\spad{ts}}.")) (|initials| (((|List| |#5|) $) "\\axiom{initials(\\spad{ts})} returns the list of the non-constant initials of the members of \\axiom{\\spad{ts}}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(\\spad{ps},{}pred?,{}redOp?)} returns the same as \\axiom{basicSet(\\spad{qs},{}redOp?)} where \\axiom{\\spad{qs}} consists of the polynomials of \\axiom{\\spad{ps}} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(\\spad{ps},{}redOp?)} returns \\axiom{[\\spad{bs},{}\\spad{ts}]} where \\axiom{concat(\\spad{bs},{}\\spad{ts})} is \\axiom{\\spad{ps}} and \\axiom{\\spad{bs}} is a basic set in Wu Wen Tsun sense of \\axiom{\\spad{ps}} \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?},{} if no non-zero constant polynomial lie in \\axiom{\\spad{ps}},{} otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(\\spad{ts1},{}\\spad{ts2})} returns \\spad{true} iff \\axiom{\\spad{ts2}} has higher rank than \\axiom{\\spad{ts1}} in Wu Wen Tsun sense."))) 
+((-12 (|HasCategory| |#1| (LIST (QUOTE -610) (LIST (QUOTE -889) (|devaluate| |#1|)))) (|HasCategory| |#1| (LIST (QUOTE -883) (|devaluate| |#1|))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (|devaluate| |#1|)))) (|HasCategory| |#2| (LIST (QUOTE -883) (|devaluate| |#1|))))) 
+(-1192 S R E V P) 
+((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#5|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#5|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#5| "failed") $ |#4|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#4| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#4|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#5| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#5| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#5|)))) (|List| |#5|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#5|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#5| |#5| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#5| |#5| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#5| |#5| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#5| |#5| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#5| |#5| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#5|) (|List| |#5|) $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#5| |#5| $ (|Mapping| |#5| |#5| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#5| (|List| |#5|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#5| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#5| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#5| $ (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#5| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#5|)) (|:| |open| (|List| |#5|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#5|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#5|))) "failed") (|List| |#5|) (|Mapping| (|Boolean|) |#5| |#5|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
 NIL 
 ((|HasCategory| |#4| (QUOTE (-371)))) 
-(-1191 R E V P) 
-((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{\\spad{R}} be an integral domain and \\axiom{\\spad{V}} a finite ordered set of variables,{} say \\axiom{\\spad{X1} < \\spad{X2} < ... < \\spad{Xn}}. A set \\axiom{\\spad{S}} of polynomials in \\axiom{\\spad{R}[\\spad{X1},{}\\spad{X2},{}...,{}\\spad{Xn}]} is triangular if no elements of \\axiom{\\spad{S}} lies in \\axiom{\\spad{R}},{} and if two distinct elements of \\axiom{\\spad{S}} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to [1] for more details. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a non-constant polynomial \\axiom{\\spad{Q}} if the degree of \\axiom{\\spad{P}} in the main variable of \\axiom{\\spad{Q}} is less than the main degree of \\axiom{\\spad{Q}}. A polynomial \\axiom{\\spad{P}} is reduced \\spad{w}.\\spad{r}.\\spad{t} a triangular set \\axiom{\\spad{T}} if it is reduced \\spad{w}.\\spad{r}.\\spad{t}. every polynomial of \\axiom{\\spad{T}}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(\\spad{ts})} returns \\axiom{size()\\spad{\\$}\\spad{V}} minus \\axiom{\\spad{\\#}\\spad{ts}}.")) (|extend| (($ $ |#4|) "\\axiom{extend(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#4|) "\\axiom{extendIfCan(\\spad{ts},{}\\spad{p})} returns a triangular set which encodes the simple extension by \\axiom{\\spad{p}} of the extension of the base field defined by \\axiom{\\spad{ts}},{} according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#4| "failed") $ |#3|) "\\axiom{select(\\spad{ts},{}\\spad{v})} returns the polynomial of \\axiom{\\spad{ts}} with \\axiom{\\spad{v}} as main variable,{} if any.")) (|algebraic?| (((|Boolean|) |#3| $) "\\axiom{algebraic?(\\spad{v},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{v}} is the main variable of some polynomial in \\axiom{\\spad{ts}}.")) (|algebraicVariables| (((|List| |#3|) $) "\\axiom{algebraicVariables(\\spad{ts})} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{\\spad{ts}}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(\\spad{ts})} returns the polynomials of \\axiom{\\spad{ts}} with smaller main variable than \\axiom{mvar(\\spad{ts})} if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \"failed\"")) (|last| (((|Union| |#4| "failed") $) "\\axiom{last(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with smallest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#4| "failed") $) "\\axiom{first(\\spad{ts})} returns the polynomial of \\axiom{\\spad{ts}} with greatest main variable if \\axiom{\\spad{ts}} is not empty,{} otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) "\\axiom{zeroSetSplitIntoTriangularSystems(\\spad{lp})} returns a list of triangular systems \\axiom{[[\\spad{ts1},{}\\spad{qs1}],{}...,{}[\\spad{tsn},{}\\spad{qsn}]]} such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{\\spad{ts}} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#4|)) "\\axiom{zeroSetSplit(\\spad{lp})} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{lp}} is the union of the closures of the regular zero sets of the members of \\axiom{\\spad{lts}}.")) (|reduceByQuasiMonic| ((|#4| |#4| $) "\\axiom{reduceByQuasiMonic(\\spad{p},{}\\spad{ts})} returns the same as \\axiom{remainder(\\spad{p},{}collectQuasiMonic(\\spad{ts})).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(\\spad{ts})} returns the subset of \\axiom{\\spad{ts}} consisting of the polynomials with initial in \\axiom{\\spad{R}}.")) (|removeZero| ((|#4| |#4| $) "\\axiom{removeZero(\\spad{p},{}\\spad{ts})} returns \\axiom{0} if \\axiom{\\spad{p}} reduces to \\axiom{0} by pseudo-division \\spad{w}.\\spad{r}.\\spad{t} \\axiom{\\spad{ts}} otherwise returns a polynomial \\axiom{\\spad{q}} computed from \\axiom{\\spad{p}} by removing any coefficient in \\axiom{\\spad{p}} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#4| |#4| $) "\\axiom{initiallyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{initiallyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|headReduce| ((|#4| |#4| $) "\\axiom{headReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{headReduce?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|stronglyReduce| ((|#4| |#4| $) "\\axiom{stronglyReduce(\\spad{p},{}\\spad{ts})} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{stronglyReduced?(\\spad{r},{}\\spad{ts})} holds and there exists some product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}.")) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{rewriteSetWithReduction(\\spad{lp},{}\\spad{ts},{}redOp,{}redOp?)} returns a list \\axiom{\\spad{lq}} of polynomials such that \\axiom{[reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?) for \\spad{p} in \\spad{lp}]} and \\axiom{\\spad{lp}} have the same zeros inside the regular zero set of \\axiom{\\spad{ts}}. Moreover,{} for every polynomial \\axiom{\\spad{q}} in \\axiom{\\spad{lq}} and every polynomial \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{q},{}\\spad{t})} holds and there exists a polynomial \\axiom{\\spad{p}} in the ideal generated by \\axiom{\\spad{lp}} and a product \\axiom{\\spad{h}} of \\axiom{initials(\\spad{ts})} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|reduce| ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduce(\\spad{p},{}\\spad{ts},{}redOp,{}redOp?)} returns a polynomial \\axiom{\\spad{r}} such that \\axiom{redOp?(\\spad{r},{}\\spad{p})} holds for every \\axiom{\\spad{p}} of \\axiom{\\spad{ts}} and there exists some product \\axiom{\\spad{h}} of the initials of the members of \\axiom{\\spad{ts}} such that \\axiom{\\spad{h*p} - \\spad{r}} lies in the ideal generated by \\axiom{\\spad{ts}}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{\\spad{p}} and \\axiom{\\spad{q}} we have \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) "\\axiom{autoReduced?(\\spad{ts},{}redOp?)} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{\\spad{p}} of \\axiom{\\spad{ts}}. \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the other elements of \\axiom{\\spad{ts}} with the same main variable.") (((|Boolean|) |#4| $) "\\axiom{initiallyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials are reduced \\spad{w}.\\spad{r}.\\spad{t}. to the elements of \\axiom{\\spad{ts}} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#4| $) "\\axiom{headReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff the head of \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(\\spad{ts})} returns \\spad{true} iff every element of \\axiom{\\spad{ts}} is reduced \\spad{w}.\\spad{r}.\\spad{t} to any other element of \\axiom{\\spad{ts}}.") (((|Boolean|) |#4| $) "\\axiom{stronglyReduced?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}. \\axiom{\\spad{ts}}.")) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduced?(\\spad{p},{}\\spad{ts},{}redOp?)} returns \\spad{true} iff \\axiom{\\spad{p}} is reduced \\spad{w}.\\spad{r}.\\spad{t}.in the sense of the operation \\axiom{redOp?},{} that is if for every \\axiom{\\spad{t}} in \\axiom{\\spad{ts}} \\axiom{redOp?(\\spad{p},{}\\spad{t})} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(\\spad{ts})} returns \\spad{true} iff for every axiom{\\spad{p}} in \\axiom{\\spad{ts}} we have \\axiom{normalized?(\\spad{p},{}us)} where \\axiom{us} is \\axiom{collectUnder(\\spad{ts},{}mvar(\\spad{p}))}.") (((|Boolean|) |#4| $) "\\axiom{normalized?(\\spad{p},{}\\spad{ts})} returns \\spad{true} iff \\axiom{\\spad{p}} and all its iterated initials have degree zero \\spad{w}.\\spad{r}.\\spad{t}. the main variables of the polynomials of \\axiom{\\spad{ts}}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) "\\axiom{quasiComponent(\\spad{ts})} returns \\axiom{[\\spad{lp},{}\\spad{lq}]} where \\axiom{\\spad{lp}} is the list of the members of \\axiom{\\spad{ts}} and \\axiom{\\spad{lq}}is \\axiom{initials(\\spad{ts})}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(\\spad{ts})} returns the product of main degrees of the members of \\axiom{\\spad{ts}}.")) (|initials| (((|List| |#4|) $) "\\axiom{initials(\\spad{ts})} returns the list of the non-constant initials of the members of \\axiom{\\spad{ts}}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(\\spad{ps},{}pred?,{}redOp?)} returns the same as \\axiom{basicSet(\\spad{qs},{}redOp?)} where \\axiom{\\spad{qs}} consists of the polynomials of \\axiom{\\spad{ps}} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(\\spad{ps},{}redOp?)} returns \\axiom{[\\spad{bs},{}\\spad{ts}]} where \\axiom{concat(\\spad{bs},{}\\spad{ts})} is \\axiom{\\spad{ps}} and \\axiom{\\spad{bs}} is a basic set in Wu Wen Tsun sense of \\axiom{\\spad{ps}} \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?},{} if no non-zero constant polynomial lie in \\axiom{\\spad{ps}},{} otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(\\spad{ts1},{}\\spad{ts2})} returns \\spad{true} iff \\axiom{\\spad{ts2}} has higher rank than \\axiom{\\spad{ts1}} in Wu Wen Tsun sense."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+(-1193 R E V P) 
+((|constructor| (NIL "The category of triangular sets of multivariate polynomials with coefficients in an integral domain. Let \\axiom{R} be an integral domain and \\axiom{V} a finite ordered set of variables, say \\axiom{X1 < \\spad{X2} < \\spad{...} < Xn}. A set \\axiom{S} of polynomials in \\axiom{R[X1,X2,...,Xn]} is triangular if no elements of \\axiom{S} lies in \\axiom{R}, and if two distinct elements of \\axiom{S} have distinct main variables. Note that the empty set is a triangular set. A triangular set is not necessarily a (lexicographical) Groebner basis and the notion of reduction related to triangular sets is based on the recursive view of polynomials. We recall this notion here and refer to \\spad{[1]} for more details. A polynomial \\axiom{P} is reduced w.r.t a non-constant polynomial \\axiom{Q} if the degree of \\axiom{P} in the main variable of \\axiom{Q} is less than the main degree of \\axiom{Q}. A polynomial \\axiom{P} is reduced w.r.t a triangular set \\axiom{T} if it is reduced w.r.t. every polynomial of \\axiom{T}.")) (|coHeight| (((|NonNegativeInteger|) $) "\\axiom{coHeight(ts)} returns \\axiom{size()\\$V} minus \\axiom{\\#ts}.")) (|extend| (($ $ |#4|) "\\axiom{extend(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current category. If the required properties do not hold an error is returned.")) (|extendIfCan| (((|Union| $ "failed") $ |#4|) "\\axiom{extendIfCan(ts,p)} returns a triangular set which encodes the simple extension by \\axiom{p} of the extension of the base field defined by \\axiom{ts}, according to the properties of triangular sets of the current domain. If the required properties do not hold then \"failed\" is returned. This operation encodes in some sense the properties of the triangular sets of the current category. Is is used to implement the \\axiom{construct} operation to guarantee that every triangular set build from a list of polynomials has the required properties.")) (|select| (((|Union| |#4| "failed") $ |#3|) "\\axiom{select(ts,v)} returns the polynomial of \\axiom{ts} with \\axiom{v} as main variable, if any.")) (|algebraic?| (((|Boolean|) |#3| $) "\\axiom{algebraic?(v,ts)} returns \\spad{true} iff \\axiom{v} is the main variable of some polynomial in \\axiom{ts}.")) (|algebraicVariables| (((|List| |#3|) $) "\\axiom{algebraicVariables(ts)} returns the decreasingly sorted list of the main variables of the polynomials of \\axiom{ts}.")) (|rest| (((|Union| $ "failed") $) "\\axiom{rest(ts)} returns the polynomials of \\axiom{ts} with smaller main variable than \\axiom{mvar(ts)} if \\axiom{ts} is not empty, otherwise returns \"failed\"")) (|last| (((|Union| |#4| "failed") $) "\\axiom{last(ts)} returns the polynomial of \\axiom{ts} with smallest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|first| (((|Union| |#4| "failed") $) "\\axiom{first(ts)} returns the polynomial of \\axiom{ts} with greatest main variable if \\axiom{ts} is not empty, otherwise returns \\axiom{\"failed\"}.")) (|zeroSetSplitIntoTriangularSystems| (((|List| (|Record| (|:| |close| $) (|:| |open| (|List| |#4|)))) (|List| |#4|)) "\\axiom{zeroSetSplitIntoTriangularSystems(lp)} returns a list of triangular systems \\axiom{[[ts1,qs1],...,[tsn,qsn]]} such that the zero set of \\axiom{lp} is the union of the closures of the \\axiom{W_i} where \\axiom{W_i} consists of the zeros of \\axiom{ts} which do not cancel any polynomial in \\axiom{qsi}.")) (|zeroSetSplit| (((|List| $) (|List| |#4|)) "\\axiom{zeroSetSplit(lp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{lp} is the union of the closures of the regular zero sets of the members of \\axiom{lts}.")) (|reduceByQuasiMonic| ((|#4| |#4| $) "\\axiom{reduceByQuasiMonic(p,ts)} returns the same as \\axiom{remainder(p,collectQuasiMonic(ts)).polnum}.")) (|collectQuasiMonic| (($ $) "\\axiom{collectQuasiMonic(ts)} returns the subset of \\axiom{ts} consisting of the polynomials with initial in \\axiom{R}.")) (|removeZero| ((|#4| |#4| $) "\\axiom{removeZero(p,ts)} returns \\axiom{0} if \\axiom{p} reduces to \\axiom{0} by pseudo-division w.r.t \\axiom{ts} otherwise returns a polynomial \\axiom{q} computed from \\axiom{p} by removing any coefficient in \\axiom{p} reducing to \\axiom{0}.")) (|initiallyReduce| ((|#4| |#4| $) "\\axiom{initiallyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{initiallyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|headReduce| ((|#4| |#4| $) "\\axiom{headReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{headReduce?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|stronglyReduce| ((|#4| |#4| $) "\\axiom{stronglyReduce(p,ts)} returns a polynomial \\axiom{r} such that \\axiom{stronglyReduced?(r,ts)} holds and there exists some product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}.")) (|rewriteSetWithReduction| (((|List| |#4|) (|List| |#4|) $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{rewriteSetWithReduction(lp,ts,redOp,redOp?)} returns a list \\axiom{lq} of polynomials such that \\axiom{[reduce(p,ts,redOp,redOp?) for \\spad{p} in lp]} and \\axiom{lp} have the same zeros inside the regular zero set of \\axiom{ts}. Moreover, for every polynomial \\axiom{q} in \\axiom{lq} and every polynomial \\axiom{t} in \\axiom{ts} \\axiom{redOp?(q,t)} holds and there exists a polynomial \\axiom{p} in the ideal generated by \\axiom{lp} and a product \\axiom{h} of \\axiom{initials(ts)} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|reduce| ((|#4| |#4| $ (|Mapping| |#4| |#4| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduce(p,ts,redOp,redOp?)} returns a polynomial \\axiom{r} such that \\axiom{redOp?(r,p)} holds for every \\axiom{p} of \\axiom{ts} and there exists some product \\axiom{h} of the initials of the members of \\axiom{ts} such that \\axiom{h*p - \\spad{r}} lies in the ideal generated by \\axiom{ts}. The operation \\axiom{redOp} must satisfy the following conditions. For every \\axiom{p} and \\axiom{q} we have \\axiom{redOp?(redOp(p,q),q)} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|autoReduced?| (((|Boolean|) $ (|Mapping| (|Boolean|) |#4| (|List| |#4|))) "\\axiom{autoReduced?(ts,redOp?)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to every other in the sense of \\axiom{redOp?}")) (|initiallyReduced?| (((|Boolean|) $) "\\spad{initiallyReduced?(ts)} returns \\spad{true} iff for every element \\axiom{p} of \\axiom{ts}. \\axiom{p} and all its iterated initials are reduced w.r.t. to the other elements of \\axiom{ts} with the same main variable.") (((|Boolean|) |#4| $) "\\axiom{initiallyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials are reduced w.r.t. to the elements of \\axiom{ts} with the same main variable.")) (|headReduced?| (((|Boolean|) $) "\\spad{headReduced?(ts)} returns \\spad{true} iff the head of every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{headReduced?(p,ts)} returns \\spad{true} iff the head of \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|stronglyReduced?| (((|Boolean|) $) "\\axiom{stronglyReduced?(ts)} returns \\spad{true} iff every element of \\axiom{ts} is reduced w.r.t to any other element of \\axiom{ts}.") (((|Boolean|) |#4| $) "\\axiom{stronglyReduced?(p,ts)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t. \\axiom{ts}.")) (|reduced?| (((|Boolean|) |#4| $ (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{reduced?(p,ts,redOp?)} returns \\spad{true} iff \\axiom{p} is reduced w.r.t.in the sense of the operation \\axiom{redOp?}, that is if for every \\axiom{t} in \\axiom{ts} \\axiom{redOp?(p,t)} holds.")) (|normalized?| (((|Boolean|) $) "\\axiom{normalized?(ts)} returns \\spad{true} iff for every axiom{p} in \\axiom{ts} we have \\axiom{normalized?(p,us)} where \\axiom{us} is \\axiom{collectUnder(ts,mvar(p))}.") (((|Boolean|) |#4| $) "\\axiom{normalized?(p,ts)} returns \\spad{true} iff \\axiom{p} and all its iterated initials have degree zero w.r.t. the main variables of the polynomials of \\axiom{ts}")) (|quasiComponent| (((|Record| (|:| |close| (|List| |#4|)) (|:| |open| (|List| |#4|))) $) "\\axiom{quasiComponent(ts)} returns \\axiom{[lp,lq]} where \\axiom{lp} is the list of the members of \\axiom{ts} and \\axiom{lq}is \\axiom{initials(ts)}.")) (|degree| (((|NonNegativeInteger|) $) "\\axiom{degree(ts)} returns the product of main degrees of the members of \\axiom{ts}.")) (|initials| (((|List| |#4|) $) "\\axiom{initials(ts)} returns the list of the non-constant initials of the members of \\axiom{ts}.")) (|basicSet| (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,pred?,redOp?)} returns the same as \\axiom{basicSet(qs,redOp?)} where \\axiom{qs} consists of the polynomials of \\axiom{ps} satisfying property \\axiom{pred?}.") (((|Union| (|Record| (|:| |bas| $) (|:| |top| (|List| |#4|))) "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|)) "\\axiom{basicSet(ps,redOp?)} returns \\axiom{[bs,ts]} where \\axiom{concat(bs,ts)} is \\axiom{ps} and \\axiom{bs} is a basic set in Wu Wen Tsun sense of \\axiom{ps} w.r.t the reduction-test \\axiom{redOp?}, if no non-zero constant polynomial lie in \\axiom{ps}, otherwise \\axiom{\"failed\"} is returned.")) (|infRittWu?| (((|Boolean|) $ $) "\\axiom{infRittWu?(ts1,ts2)} returns \\spad{true} iff \\axiom{ts2} has higher rank than \\axiom{ts1} in Wu Wen Tsun sense."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1192 |Coef|) 
-((|constructor| (NIL "\\spadtype{TaylorSeries} is a general multivariate Taylor series domain over the ring Coef and with variables of type Symbol.")) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) "\\spad{fintegrate(f,{}v,{}c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ (|Symbol|) |#1|) "\\spad{integrate(s,{}v,{}c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(s)} regroups terms of \\spad{s} by total degree \\indented{1}{and forms a series.}") (($ (|Symbol|)) "\\spad{coerce(s)} converts a variable to a Taylor series")) (|coefficient| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{coefficient(s,{} n)} gives the terms of total degree \\spad{n}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1193 |Curve|) 
-((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves. Domain of tubes around 3-dimensional parametric curves.")) (|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) "\\spad{tube(c,{}ll,{}b)} creates a tube of the domain \\spadtype{TubePlot} from a space curve \\spad{c} of the category \\spadtype{PlottableSpaceCurveCategory},{} a list of lists of points (loops) \\spad{ll} and a boolean \\spad{b} which if \\spad{true} indicates a closed tube,{} or if \\spad{false} an open tube.")) (|setClosed| (((|Boolean|) $ (|Boolean|)) "\\spad{setClosed(t,{}b)} declares the given tube plot \\spad{t} to be closed if \\spad{b} is \\spad{true},{} or if \\spad{b} is \\spad{false},{} \\spad{t} is set to be open.")) (|open?| (((|Boolean|) $) "\\spad{open?(t)} tests whether the given tube plot \\spad{t} is open.")) (|closed?| (((|Boolean|) $) "\\spad{closed?(t)} tests whether the given tube plot \\spad{t} is closed.")) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listLoops(t)} returns the list of lists of points,{} or the 'loops',{} of the given tube plot \\spad{t}.")) (|getCurve| ((|#1| $) "\\spad{getCurve(t)} returns the \\spadtype{PlottableSpaceCurveCategory} representing the parametric curve of the given tube plot \\spad{t}."))) 
+(-1194 |Coef|) 
+((|constructor| (NIL "\\spadtype{TaylorSeries} is a general multivariate Taylor series domain over the ring Coef and with variables of type Symbol.")) (|fintegrate| (($ (|Mapping| $) (|Symbol|) |#1|) "\\spad{fintegrate(f,v,c)} is the integral of \\spad{f()} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.} \\indented{1}{The evaluation of \\spad{f()} is delayed.}")) (|integrate| (($ $ (|Symbol|) |#1|) "\\spad{integrate(s,v,c)} is the integral of \\spad{s} with respect \\indented{1}{to \\spad{v} and having \\spad{c} as the constant of integration.}")) (|coerce| (($ (|Polynomial| |#1|)) "\\spad{coerce(s)} regroups terms of \\spad{s} by total degree \\indented{1}{and forms a series.}") (($ (|Symbol|)) "\\spad{coerce(s)} converts a variable to a Taylor series")) (|coefficient| (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{coefficient(s, \\spad{n)}} gives the terms of total degree \\spad{n.}"))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-559))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-366)))) 
+(-1195 |Curve|) 
+((|constructor| (NIL "Package for constructing tubes around 3-dimensional parametric curves. Domain of tubes around 3-dimensional parametric curves.")) (|tube| (($ |#1| (|List| (|List| (|Point| (|DoubleFloat|)))) (|Boolean|)) "\\spad{tube(c,ll,b)} creates a tube of the domain \\spadtype{TubePlot} from a space curve \\spad{c} of the category \\spadtype{PlottableSpaceCurveCategory}, a list of lists of points (loops) \\spad{ll} and a boolean \\spad{b} which if \\spad{true} indicates a closed tube, or if \\spad{false} an open tube.")) (|setClosed| (((|Boolean|) $ (|Boolean|)) "\\spad{setClosed(t,b)} declares the given tube plot \\spad{t} to be closed if \\spad{b} is true, or if \\spad{b} is false, \\spad{t} is set to be open.")) (|open?| (((|Boolean|) $) "\\spad{open?(t)} tests whether the given tube plot \\spad{t} is open.")) (|closed?| (((|Boolean|) $) "\\spad{closed?(t)} tests whether the given tube plot \\spad{t} is closed.")) (|listLoops| (((|List| (|List| (|Point| (|DoubleFloat|)))) $) "\\spad{listLoops(t)} returns the list of lists of points, or the 'loops', of the given tube plot \\spad{t.}")) (|getCurve| ((|#1| $) "\\spad{getCurve(t)} returns the \\spadtype{PlottableSpaceCurveCategory} representing the parametric curve of the given tube plot \\spad{t.}"))) 
 NIL 
 NIL 
-(-1194) 
-((|constructor| (NIL "Tools for constructing tubes around 3-dimensional parametric curves.")) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) "\\spad{loopPoints(p,{}n,{}b,{}r,{}lls)} creates and returns a list of points which form the loop with radius \\spad{r},{} around the center point indicated by the point \\spad{p},{} with the principal normal vector of the space curve at point \\spad{p} given by the point(vector) \\spad{n},{} and the binormal vector given by the point(vector) \\spad{b},{} and a list of lists,{} \\spad{lls},{} which is the \\spadfun{cosSinInfo} of the number of points defining the loop.")) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) "\\spad{cosSinInfo(n)} returns the list of lists of values for \\spad{n},{} in the form \\spad{[[cos(n-1) a,{}sin(n-1) a],{}...,{}[cos 2 a,{}sin 2 a],{}[cos a,{}sin a]]} where \\spad{a = 2 pi/n}. Note that \\spad{n} should be greater than 2.")) (|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{unitVector(p)} creates the unit vector of the point \\spad{p} and returns the result as a point. Note that \\spad{unitVector(p) = p/|p|}.")) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{cross(p,{}q)} computes the cross product of the two points \\spad{p} and \\spad{q} using only the first three coordinates,{} and keeping the color of the first point \\spad{p}. The result is returned as a point.")) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{dot(p,{}q)} computes the dot product of the two points \\spad{p} and \\spad{q} using only the first three coordinates,{} and returns the resulting \\spadtype{DoubleFloat}.")) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p - q} computes and returns a point whose coordinates are the differences of the coordinates of two points \\spad{p} and \\spad{q},{} using the color,{} or fourth coordinate,{} of the first point \\spad{p} as the color also of the point \\spad{q}.")) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p + q} computes and returns a point whose coordinates are the sums of the coordinates of the two points \\spad{p} and \\spad{q},{} using the color,{} or fourth coordinate,{} of the first point \\spad{p} as the color also of the point \\spad{q}.")) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) "\\spad{s * p} returns a point whose coordinates are the scalar multiple of the point \\spad{p} by the scalar \\spad{s},{} preserving the color,{} or fourth coordinate,{} of \\spad{p}.")) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{point(x1,{}x2,{}x3,{}c)} creates and returns a point from the three specified coordinates \\spad{x1},{} \\spad{x2},{} \\spad{x3},{} and also a fourth coordinate,{} \\spad{c},{} which is generally used to specify the color of the point."))) 
+(-1196) 
+((|constructor| (NIL "Tools for constructing tubes around 3-dimensional parametric curves.")) (|loopPoints| (((|List| (|Point| (|DoubleFloat|))) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|List| (|List| (|DoubleFloat|)))) "\\spad{loopPoints(p,n,b,r,lls)} creates and returns a list of points which form the loop with radius \\spad{r,} around the center point indicated by the point \\spad{p,} with the principal normal vector of the space curve at point \\spad{p} given by the point(vector) \\spad{n,} and the binormal vector given by the point(vector) \\spad{b,} and a list of lists, lls, which is the \\spadfun{cosSinInfo} of the number of points defining the loop.")) (|cosSinInfo| (((|List| (|List| (|DoubleFloat|))) (|Integer|)) "\\spad{cosSinInfo(n)} returns the list of lists of values for \\spad{n,} in the form \\spad{[[cos(n-1) a,sin(n-1) a],...,[cos 2 a,sin 2 a],[cos a,sin a]]} where \\spad{a = 2 pi/n}. Note that \\spad{n} should be greater than 2.")) (|unitVector| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{unitVector(p)} creates the unit vector of the point \\spad{p} and returns the result as a point. Note that \\spad{unitVector(p) = p/|p|}.")) (|cross| (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{cross(p,q)} computes the cross product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and keeping the color of the first point \\spad{p.} The result is returned as a point.")) (|dot| (((|DoubleFloat|) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{dot(p,q)} computes the dot product of the two points \\spad{p} and \\spad{q} using only the first three coordinates, and returns the resulting \\spadtype{DoubleFloat}.")) (- (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p - \\spad{q}} computes and returns a point whose coordinates are the differences of the coordinates of two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (+ (((|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|))) "\\spad{p + \\spad{q}} computes and returns a point whose coordinates are the sums of the coordinates of the two points \\spad{p} and \\spad{q}, using the color, or fourth coordinate, of the first point \\spad{p} as the color also of the point \\spad{q}.")) (* (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|Point| (|DoubleFloat|))) "\\spad{s * \\spad{p}} returns a point whose coordinates are the scalar multiple of the point \\spad{p} by the scalar \\spad{s,} preserving the color, or fourth coordinate, of \\spad{p.}")) (|point| (((|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "\\spad{point(x1,x2,x3,c)} creates and returns a point from the three specified coordinates \\spad{x1}, \\spad{x2}, \\spad{x3}, and also a fourth coordinate, \\spad{c,} which is generally used to specify the color of the point."))) 
 NIL 
 NIL 
-(-1195 S) 
-((|constructor| (NIL "This domain is used to interface with the interpreter\\spad{'s} notion of comma-delimited sequences of values.")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{length(\\spad{x}) returns the number of elements in tuple \\spad{x}} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer) \\spad{X} length(\\spad{t2})")) (|select| ((|#1| $ (|NonNegativeInteger|)) "\\indented{1}{select(\\spad{x},{}\\spad{n}) returns the \\spad{n}-th element of tuple \\spad{x}.} \\indented{1}{tuples are 0-based} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer) \\spad{X} select(\\spad{t2},{}3)")) (|coerce| (($ (|PrimitiveArray| |#1|)) "\\indented{1}{coerce(a) makes a tuple from primitive array a} \\blankline \\spad{X} t1:PrimitiveArray(Integer)\\spad{:=} [\\spad{i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(\\spad{t1})\\$Tuple(Integer)"))) 
+(-1197 S) 
+((|constructor| (NIL "This domain is used to interface with the interpreter's notion of comma-delimited sequences of values.")) (|length| (((|NonNegativeInteger|) $) "\\indented{1}{length(x) returns the number of elements in tuple \\spad{x}} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} length(t2)")) (|select| ((|#1| $ (|NonNegativeInteger|)) "\\indented{1}{select(x,n) returns the \\spad{n}-th element of tuple \\spad{x.}} \\indented{1}{tuples are 0-based} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer) \\spad{X} select(t2,3)")) (|coerce| (($ (|PrimitiveArray| |#1|)) "\\indented{1}{coerce(a) makes a tuple from primitive array a} \\blankline \\spad{X} t1:PrimitiveArray(Integer):= \\spad{[i} for \\spad{i} in 1..10] \\spad{X} t2:=coerce(t1)$Tuple(Integer)"))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-1091)))) 
-(-1196 -1564) 
-((|constructor| (NIL "A basic package for the factorization of bivariate polynomials over a finite field. The functions here represent the base step for the multivariate factorizer.")) (|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) "\\spad{twoFactor(p,{}n)} returns the factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}. Also,{} \\spad{p} is assumed primitive and square-free and \\spad{n} is the degree of the inner variable of \\spad{p} (maximum of the degrees of the coefficients of \\spad{p}).")) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalSqFr(p)} returns the square-free factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}.")) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalTwoFactor(p)} returns the factorisation of polynomial \\spad{p},{} a sparse univariate polynomial (sup) over a sup over \\spad{F}."))) 
+((|HasCategory| |#1| (QUOTE (-1093)))) 
+(-1198 -1647) 
+((|constructor| (NIL "A basic package for the factorization of bivariate polynomials over a finite field. The functions here represent the base step for the multivariate factorizer.")) (|twoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|)) (|Integer|)) "\\spad{twoFactor(p,n)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.} Also, \\spad{p} is assumed primitive and square-free and \\spad{n} is the degree of the inner variable of \\spad{p} (maximum of the degrees of the coefficients of \\spad{p).}")) (|generalSqFr| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalSqFr(p)} returns the square-free factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}")) (|generalTwoFactor| (((|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| |#1|))) "\\spad{generalTwoFactor(p)} returns the factorisation of polynomial \\spad{p,} a sparse univariate polynomial (sup) over a sup over \\spad{F.}"))) 
 NIL 
 NIL 
-(-1197) 
+(-1199) 
 ((|constructor| (NIL "The fundamental Type."))) 
-((-2982 . T)) 
-NIL 
-(-1198) 
-((|constructor| (NIL "This is a low-level domain which implements vectors (one dimensional arrays) of unsigned 32-bit numbers. Indexing is 0 based,{} there is no bound checking (unless provided by lower level)."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| (-569) (QUOTE (-1091))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-843))) (-2232 (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| (-569) (QUOTE (-1091)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-843)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1091)))))) 
-(-1199 S) 
-((|constructor| (NIL "Provides functions to force a partial ordering on any set.")) (|more?| (((|Boolean|) |#1| |#1|) "\\spad{more?(a,{} b)} compares a and \\spad{b} in the partial ordering induced by setOrder,{} and uses the ordering on \\spad{S} if a and \\spad{b} are not comparable in the partial ordering.")) (|userOrdered?| (((|Boolean|)) "\\spad{userOrdered?()} tests if the partial ordering induced by setOrder is not empty.")) (|largest| ((|#1| (|List| |#1|)) "\\spad{largest l} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by the ordering on \\spad{S}.") ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{largest(l,{} fn)} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by \\spad{fn}.")) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{less?(a,{} b,{} fn)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder,{} and returns \\spad{fn(a,{} b)} if \\spad{a} and \\spad{b} are not comparable in that ordering.") (((|Union| (|Boolean|) "failed") |#1| |#1|) "\\spad{less?(a,{} b)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder.")) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) "\\spad{getOrder()} returns \\spad{[[b1,{}...,{}bm],{} [a1,{}...,{}an]]} such that the partial ordering on \\spad{S} was given by \\spad{setOrder([b1,{}...,{}bm],{}[a1,{}...,{}an])}.")) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) "\\spad{setOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{b1 < b2 < ... < bm < a1 < a2 < ... < an}.} \\indented{3}{(2)\\space{2}\\spad{bj < c < \\spad{ai}}\\space{2}for \\spad{c} not among the \\spad{ai}\\spad{'s} and \\spad{bj}\\spad{'s}.} \\indented{3}{(3)\\space{2}undefined on \\spad{(c,{}d)} if neither is among the \\spad{ai}\\spad{'s},{}\\spad{bj}\\spad{'s}.}") (((|Void|) (|List| |#1|)) "\\spad{setOrder([a1,{}...,{}an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{a1 < a2 < ... < an}.} \\indented{3}{(2)\\space{2}\\spad{b < \\spad{ai}\\space{3}for i = 1..n} and \\spad{b} not among the \\spad{ai}\\spad{'s}.} \\indented{3}{(3)\\space{2}undefined on \\spad{(b,{} c)} if neither is among the \\spad{ai}\\spad{'s}.}"))) 
+((-4317 . T)) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-843)))) 
 (-1200) 
-((|constructor| (NIL "This packages provides functions to allow the user to select the ordering on the variables and operators for displaying polynomials,{} fractions and expressions. The ordering affects the display only and not the computations.")) (|resetVariableOrder| (((|Void|)) "\\spad{resetVariableOrder()} cancels any previous use of setVariableOrder and returns to the default system ordering.")) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) "\\spad{getVariableOrder()} returns \\spad{[[b1,{}...,{}bm],{} [a1,{}...,{}an]]} such that the ordering on the variables was given by \\spad{setVariableOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])}.")) (|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) "\\spad{setVariableOrder([b1,{}...,{}bm],{} [a1,{}...,{}an])} defines an ordering on the variables given by \\spad{b1 > b2 > ... > bm >} other variables \\spad{> a1 > a2 > ... > an}.") (((|Void|) (|List| (|Symbol|))) "\\spad{setVariableOrder([a1,{}...,{}an])} defines an ordering on the variables given by \\spad{a1 > a2 > ... > an > other variables}."))) 
-NIL 
-NIL 
-(-1201 S) 
-((|constructor| (NIL "A constructive unique factorization domain,{} \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring,{} \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
-NIL 
-NIL 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 16-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U16Matrix()"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-569) (QUOTE (-1093))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-559))) (|HasAttribute| (-569) (QUOTE (-4573 "*"))) (|HasCategory| (-569) (QUOTE (-173))) (|HasCategory| (-569) (QUOTE (-366)))) 
+(-1201) 
+((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U16Vector \\spad{X} fill!(t1,9)"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
 (-1202) 
-((|constructor| (NIL "A constructive unique factorization domain,{} \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring,{} \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
-((-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
-(-1203 |Coef|) 
+((|constructor| (NIL "This is a low-level domain which implements matrices (two dimensional arrays) of 32-bit integers. Indexing is 0 based, there is no bound checking (unless provided by lower level).")) (|qnew| (($ (|Integer|) (|Integer|)) "\\indented{1}{qnew(n, \\spad{m)} creates a new \\spad{n} by \\spad{m} matrix of zeros.} \\blankline \\spad{X} qnew(3,4)$U32Matrix()"))) 
+((-4571 . T) (-4572 . T)) 
+((|HasCategory| (-569) (QUOTE (-1093))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-302))) (|HasCategory| (-569) (QUOTE (-559))) (|HasAttribute| (-569) (QUOTE (-4573 "*"))) (|HasCategory| (-569) (QUOTE (-173))) (|HasCategory| (-569) (QUOTE (-366)))) 
+(-1203) 
+((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U32Vector \\spad{X} fill!(t1,9)"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
+(-1204) 
+((|constructor| (NIL "\\indented{2}{fill!(x, \\spad{s)} modifies a vector \\spad{x} so every element has value \\spad{s}} \\blankline \\spad{X} t1:=new(10,7)$U8Vector \\spad{X} fill!(t1,9)"))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| (-569) (QUOTE (-1093))) (|HasCategory| (-569) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| (-569) (QUOTE (-844))) (-1929 (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| (-569) (QUOTE (-1093)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-844)))) (-12 (|HasCategory| (-569) (LIST (QUOTE -304) (QUOTE (-569)))) (|HasCategory| (-569) (QUOTE (-1093)))))) 
+(-1205 S) 
+((|constructor| (NIL "Provides functions to force a partial ordering on any set.")) (|more?| (((|Boolean|) |#1| |#1|) "\\spad{more?(a, \\spad{b)}} compares a and \\spad{b} in the partial ordering induced by setOrder, and uses the ordering on \\spad{S} if a and \\spad{b} are not comparable in the partial ordering.")) (|userOrdered?| (((|Boolean|)) "\\spad{userOrdered?()} tests if the partial ordering induced by setOrder is not empty.")) (|largest| ((|#1| (|List| |#1|)) "\\spad{largest \\spad{l}} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by the ordering on \\spad{S.}") ((|#1| (|List| |#1|) (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{largest(l, fn)} returns the largest element of \\spad{l} where the partial ordering induced by setOrder is completed into a total one by \\spad{fn.}")) (|less?| (((|Boolean|) |#1| |#1| (|Mapping| (|Boolean|) |#1| |#1|)) "\\spad{less?(a, \\spad{b,} fn)} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder, and returns \\spad{fn(a, \\spad{b)}} if \\spad{a} and \\spad{b} are not comparable in that ordering.") (((|Union| (|Boolean|) "failed") |#1| |#1|) "\\spad{less?(a, \\spad{b)}} compares \\spad{a} and \\spad{b} in the partial ordering induced by setOrder.")) (|getOrder| (((|Record| (|:| |low| (|List| |#1|)) (|:| |high| (|List| |#1|)))) "\\spad{getOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the partial ordering on \\spad{S} was given by \\spad{setOrder([b1,...,bm],[a1,...,an])}.")) (|setOrder| (((|Void|) (|List| |#1|) (|List| |#1|)) "\\spad{setOrder([b1,...,bm], [a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{b1 < \\spad{b2} < \\spad{...} < \\spad{bm} < \\spad{a1} < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{bj < \\spad{c} < ai}\\space{2}for \\spad{c} not among the ai's and bj's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(c,d)} if neither is among the ai's,bj's.}") (((|Void|) (|List| |#1|)) "\\spad{setOrder([a1,...,an])} defines a partial ordering on \\spad{S} given \\spad{by:} \\indented{3}{(1)\\space{2}\\spad{a1 < \\spad{a2} < \\spad{...} < an}.} \\indented{3}{(2)\\space{2}\\spad{b < ai\\space{3}for \\spad{i} = 1..n} and \\spad{b} not among the ai's.} \\indented{3}{(3)\\space{2}undefined on \\spad{(b, \\spad{c)}} if neither is among the ai's.}"))) 
+NIL 
+((|HasCategory| |#1| (QUOTE (-844)))) 
+(-1206) 
+((|constructor| (NIL "This packages provides functions to allow the user to select the ordering on the variables and operators for displaying polynomials, fractions and expressions. The ordering affects the display only and not the computations.")) (|resetVariableOrder| (((|Void|)) "\\spad{resetVariableOrder()} cancels any previous use of setVariableOrder and returns to the default system ordering.")) (|getVariableOrder| (((|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) "\\spad{getVariableOrder()} returns \\spad{[[b1,...,bm], [a1,...,an]]} such that the ordering on the variables was given by \\spad{setVariableOrder([b1,...,bm], [a1,...,an])}.")) (|setVariableOrder| (((|Void|) (|List| (|Symbol|)) (|List| (|Symbol|))) "\\spad{setVariableOrder([b1,...,bm], [a1,...,an])} defines an ordering on the variables given by \\spad{b1 > \\spad{b2} > \\spad{...} > \\spad{bm} \\spad{>}} other variables \\spad{> \\spad{a1} > \\spad{a2} > \\spad{...} > an}.") (((|Void|) (|List| (|Symbol|))) "\\spad{setVariableOrder([a1,...,an])} defines an ordering on the variables given by \\spad{a1 > \\spad{a2} > \\spad{...} > an > other variables}."))) 
+NIL 
+NIL 
+(-1207 S) 
+((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
+NIL 
+NIL 
+(-1208) 
+((|constructor| (NIL "A constructive unique factorization domain, \\spadignore{i.e.} where we can constructively factor members into a product of a finite number of irreducible elements.")) (|factor| (((|Factored| $) $) "\\spad{factor(x)} returns the factorization of \\spad{x} into irreducibles.")) (|squareFreePart| (($ $) "\\spad{squareFreePart(x)} returns a product of prime factors of \\spad{x} each taken with multiplicity one.")) (|squareFree| (((|Factored| $) $) "\\spad{squareFree(x)} returns the square-free factorization of \\spad{x} \\spadignore{i.e.} such that the factors are pairwise relatively prime and each has multiple prime factors.")) (|prime?| (((|Boolean|) $) "\\spad{prime?(x)} tests if \\spad{x} can never be written as the product of two non-units of the ring, \\spadignore{i.e.} \\spad{x} is an irreducible element."))) 
+((-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-1209 |Coef|) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1204 |Coef|) 
+(-1210 |Coef|) 
 ((|constructor| (NIL "This domain has no description"))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1205 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
-((|constructor| (NIL "Mapping package for univariate Laurent series This package allows one to apply a function to the coefficients of a univariate Laurent series.")) (|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of the Laurent series \\spad{g(x)}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1211 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+((|constructor| (NIL "Mapping package for univariate Laurent series This package allows one to apply a function to the coefficients of a univariate Laurent series.")) (|map| (((|UnivariateLaurentSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariateLaurentSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Laurent series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1206 |Coef|) 
-((|constructor| (NIL "\\spadtype{UnivariateLaurentSeriesCategory} is the category of Laurent series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) "\\spad{rationalFunction(f,{}k1,{}k2)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) "\\spad{rationalFunction(f,{}k)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{<=} \\spad{k}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = n0..infinity,{}a[n] * x**n)) = sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Puiseux series are represented by a Laurent series and an exponent.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1212 |Coef|) 
+((|constructor| (NIL "\\spadtype{UnivariateLaurentSeriesCategory} is the category of Laurent series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by integers.")) (|rationalFunction| (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|) (|Integer|)) "\\spad{rationalFunction(f,k1,k2)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Fraction| (|Polynomial| |#1|)) $ (|Integer|)) "\\spad{rationalFunction(f,k)} returns a rational function consisting of the sum of all terms of \\spad{f} of degree \\spad{<=} \\spad{k.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = n0..infinity,a[n] * x**n)) = sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Puiseux series are represented by a Laurent series and an exponent.")) (|series| (($ (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1207 S |Coef| UTS) 
-((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#3| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series,{} if possible. If this is not possible,{} \"failed\" is returned.")) (|taylor| ((|#3| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f}(\\spad{x}) to a Taylor series,{} if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#3| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)},{} where \\spad{f = x**n * g(x)} is represented by \\spad{[n,{}g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#3|) "\\spad{laurent(n,{}f(x))} returns \\spad{x**n * f(x)}."))) 
+(-1213 S |Coef| UTS) 
+((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#3| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#3| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#3| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#3|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-366)))) 
-(-1208 |Coef| UTS) 
-((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#2| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series,{} if possible. If this is not possible,{} \"failed\" is returned.")) (|taylor| ((|#2| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f}(\\spad{x}) to a Taylor series,{} if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,{}f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by (1) an exponent and (2) a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient,{} the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#2| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)},{} where \\spad{f = x**n * g(x)} is represented by \\spad{[n,{}g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#2|) "\\spad{laurent(n,{}f(x))} returns \\spad{x**n * f(x)}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-2982 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1214 |Coef| UTS) 
+((|constructor| (NIL "This is a category of univariate Laurent series constructed from univariate Taylor series. A Laurent series is represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}.")) (|taylorIfCan| (((|Union| |#2| "failed") $) "\\spad{taylorIfCan(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. If this is not possible, \"failed\" is returned.")) (|taylor| ((|#2| $) "\\spad{taylor(f(x))} converts the Laurent series \\spad{f(x)} to a Taylor series, if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Taylor series \\spad{f(x)} to a Laurent series.")) (|removeZeroes| (($ (|Integer|) $) "\\spad{removeZeroes(n,f(x))} removes up to \\spad{n} leading zeroes from the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable.") (($ $) "\\spad{removeZeroes(f(x))} removes leading zeroes from the representation of the Laurent series \\spad{f(x)}. A Laurent series is represented by \\spad{(1)} an exponent and \\spad{(2)} a Taylor series which may have leading zero coefficients. When the Taylor series has a leading zero coefficient, the 'leading zero' is removed from the Laurent series as follows: the series is rewritten by increasing the exponent by 1 and dividing the Taylor series by its variable. Note that \\spad{removeZeroes(f)} removes all leading zeroes from \\spad{f}")) (|taylorRep| ((|#2| $) "\\spad{taylorRep(f(x))} returns \\spad{g(x)}, where \\spad{f = x**n * g(x)} is represented by \\spad{[n,g(x)]}.")) (|degree| (((|Integer|) $) "\\spad{degree(f(x))} returns the degree of the lowest order term of \\spad{f(x)}, which may have zero as a coefficient.")) (|laurent| (($ (|Integer|) |#2|) "\\spad{laurent(n,f(x))} returns \\spad{x**n * f(x)}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4317 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1209 |Coef| UTS) 
-((|constructor| (NIL "This package enables one to construct a univariate Laurent series domain from a univariate Taylor series domain. Univariate Laurent series are represented by a pair \\spad{[n,{}f(x)]},{} where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-151))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-151))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-226)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1022)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843)))) (-2232 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843))))) (|HasCategory| |#2| (QUOTE (-905))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-149))) (-2232 (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1163)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-1163))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-816)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1022)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149)))))) 
-(-1210 |Coef| |var| |cen|) 
-((|constructor| (NIL "Dense Laurent series in one variable \\spadtype{UnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{UnivariateLaurentSeries(Integer,{}x,{}3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
-(((-4537 "*") -2232 (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-816))) (|has| |#1| (-173)) (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-905)))) (-4528 -2232 (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-816))) (|has| |#1| (-559)) (-2206 (|has| |#1| (-366)) (|has| (-1238 |#1| |#2| |#3|) (-905)))) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1163)) (LIST (QUOTE -1238) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-1163)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-816))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1022))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-1137))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|)))))) (-2232 (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-905))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1238 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
-(-1211 ZP) 
-((|constructor| (NIL "Package for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" (HENSEL) the factorization over a finite field.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(m,{}flag)} returns the factorization of \\spad{m},{} FinalFact is a Record \\spad{s}.\\spad{t}. FinalFact.contp=content \\spad{m},{} FinalFact.factors=List of irreducible factors of \\spad{m} with exponent ,{} if \\spad{flag} =true the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(m)} returns the factorization of \\spad{m} square free polynomial")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(m)} returns the factorization of \\spad{m}"))) 
+(-1215 |Coef| UTS) 
+((|constructor| (NIL "This package enables one to construct a univariate Laurent series domain from a univariate Taylor series domain. Univariate Laurent series are represented by a pair \\spad{[n,f(x)]}, where \\spad{n} is an arbitrary integer and \\spad{f(x)} is a Taylor series. This pair represents the Laurent series \\spad{x**n * f(x)}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-151))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-151))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-226)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1023)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844)))) (-1929 (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844))))) (|HasCategory| |#2| (QUOTE (-906))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-551)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-302)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-149))) (-1929 (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -282) (|devaluate| |#2|) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -304) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -524) (QUOTE (-1165)) (|devaluate| |#2|)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-1165))))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-817)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1023)))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#1| (QUOTE (-149))) (-12 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-149)))))) 
+(-1216 |Coef| |var| |cen|) 
+((|constructor| (NIL "Dense Laurent series in one variable \\spadtype{UnivariateLaurentSeries} is a domain representing Laurent series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{UnivariateLaurentSeries(Integer,x,3)} represents Laurent series in \\spad{(x - 3)} with integer coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Laurent series."))) 
+(((-4573 "*") -1929 (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-817))) (|has| |#1| (-173)) (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-906)))) (-4564 -1929 (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-817))) (|has| |#1| (-559)) (-3993 (|has| |#1| (-366)) (|has| (-1244 |#1| |#2| |#3|) (-906)))) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| (-569) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-151))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-151)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-226))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-569)) (|devaluate| |#1|))))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-551))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-302))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-149))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-173)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -282) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -304) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -524) (QUOTE (-1165)) (LIST (QUOTE -1244) (|devaluate| |#1|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-1165)))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-817))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1023))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-1139))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|)))))) (-1929 (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-906))) (|HasCategory| |#1| (QUOTE (-366)))) (-12 (|HasCategory| (-1244 |#1| |#2| |#3|) (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-366)))) (|HasCategory| |#1| (QUOTE (-149))))) 
+(-1217 ZP) 
+((|constructor| (NIL "Package for the factorization of univariate polynomials with integer coefficients. The factorization is done by \"lifting\" (HENSEL) the factorization over a finite field.")) (|henselFact| (((|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| |#1|) (|:| |pow| (|Integer|)))))) |#1| (|Boolean|)) "\\spad{henselFact(m,flag)} returns the factorization of \\spad{m,} FinalFact is a Record s.t. FinalFact.contp=content \\spad{m,} FinalFact.factors=List of irreducible factors of \\spad{m} with exponent ,{} if \\spad{flag} =true the polynomial is assumed square free.")) (|factorSquareFree| (((|Factored| |#1|) |#1|) "\\spad{factorSquareFree(m)} returns the factorization of \\spad{m} square free polynomial")) (|factor| (((|Factored| |#1|) |#1|) "\\spad{factor(m)} returns the factorization of \\spad{m}"))) 
 NIL 
 NIL 
-(-1212 R S) 
-((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,{}s)} expands the segment \\spad{s},{} applying \\spad{f} to each value.") (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,{}seg)} returns the new segment obtained by applying \\spad{f} to the endpoints of \\spad{seg}."))) 
+(-1218 R S) 
+((|constructor| (NIL "This package provides operations for mapping functions onto segments.")) (|map| (((|Stream| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,s)} expands the segment \\spad{s,} applying \\spad{f} to each value.") (((|UniversalSegment| |#2|) (|Mapping| |#2| |#1|) (|UniversalSegment| |#1|)) "\\spad{map(f,seg)} returns the new segment obtained by applying \\spad{f} to the endpoints of seg."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-841)))) 
-(-1213 S) 
-((|constructor| (NIL "This domain provides segments which may be half open. That is,{} ranges of the form \\spad{a..} or \\spad{a..b}.")) (|hasHi| (((|Boolean|) $) "\\spad{hasHi(s)} tests whether the segment \\spad{s} has an upper bound.")) (|coerce| (($ (|Segment| |#1|)) "\\spad{coerce(x)} allows \\spadtype{Segment} values to be used as \\%.")) (|segment| (($ |#1|) "\\spad{segment(l)} is an alternate way to construct the segment \\spad{l..}.")) (SEGMENT (($ |#1|) "\\spad{l..} produces a half open segment,{} that is,{} one with no upper bound."))) 
+((|HasCategory| |#1| (QUOTE (-842)))) 
+(-1219 S) 
+((|constructor| (NIL "This domain provides segments which may be half open. That is, ranges of the form \\spad{a..} or \\spad{a..b}.")) (|hasHi| (((|Boolean|) $) "\\spad{hasHi(s)} tests whether the segment \\spad{s} has an upper bound.")) (|coerce| (($ (|Segment| |#1|)) "\\spad{coerce(x)} allows \\spadtype{Segment} values to be used as \\spad{%.}")) (|segment| (($ |#1|) "\\spad{segment(l)} is an alternate way to construct the segment \\spad{l..}.")) (SEGMENT (($ |#1|) "\\spad{l..} produces a half open segment, that is, one with no upper bound."))) 
 NIL 
-((|HasCategory| |#1| (QUOTE (-841))) (|HasCategory| |#1| (QUOTE (-1091)))) 
-(-1214 |x| R |y| S) 
-((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from \\spadtype{UnivariatePolynomial}(\\spad{x},{}\\spad{R}) to \\spadtype{UnivariatePolynomial}(\\spad{y},{}\\spad{S}). Note that the mapping is assumed to send zero to zero,{} since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) "\\spad{map(func,{} poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
+((|HasCategory| |#1| (QUOTE (-842))) (|HasCategory| |#1| (QUOTE (-1093)))) 
+(-1220 |x| R |y| S) 
+((|constructor| (NIL "This package lifts a mapping from coefficient rings \\spad{R} to \\spad{S} to a mapping from \\spadtype{UnivariatePolynomial}(x,R) to \\spadtype{UnivariatePolynomial}(y,S). Note that the mapping is assumed to send zero to zero, since it will only be applied to the non-zero coefficients of the polynomial.")) (|map| (((|UnivariatePolynomial| |#3| |#4|) (|Mapping| |#4| |#2|) (|UnivariatePolynomial| |#1| |#2|)) "\\spad{map(func, poly)} creates a new polynomial by applying \\spad{func} to every non-zero coefficient of the polynomial poly."))) 
 NIL 
 NIL 
-(-1215 R Q UP) 
-((|constructor| (NIL "UnivariatePolynomialCommonDenominator provides functions to compute the common denominator of the coefficients of univariate polynomials over the quotient field of a \\spad{gcd} domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator(q)} returns \\spad{[p,{} d]} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the coefficients of \\spad{q}.")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the coefficients of \\spad{q}.")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the coefficients of \\spad{q}."))) 
+(-1221 R Q UP) 
+((|constructor| (NIL "UnivariatePolynomialCommonDenominator provides functions to compute the common denominator of the coefficients of univariate polynomials over the quotient field of a \\spad{gcd} domain.")) (|splitDenominator| (((|Record| (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) "\\spad{splitDenominator(q)} returns \\spad{[p, \\spad{d]}} such that \\spad{q = p/d} and \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|clearDenominator| ((|#3| |#3|) "\\spad{clearDenominator(q)} returns \\spad{p} such that \\spad{q = p/d} where \\spad{d} is a common denominator for the coefficients of \\spad{q.}")) (|commonDenominator| ((|#1| |#3|) "\\spad{commonDenominator(q)} returns a common denominator \\spad{d} for the coefficients of \\spad{q.}"))) 
 NIL 
 NIL 
-(-1216 R UP) 
-((|constructor| (NIL "UnivariatePolynomialDecompositionPackage implements functional decomposition of univariate polynomial with coefficients in an \\spad{IntegralDomain} of \\spad{CharacteristicZero}.")) (|monicCompleteDecompose| (((|List| |#2|) |#2|) "\\spad{monicCompleteDecompose(f)} returns a list of factors of \\spad{f} for the functional decomposition ([ \\spad{f1},{} ...,{} \\spad{fn} ] means \\spad{f} = \\spad{f1} \\spad{o} ... \\spad{o} \\spad{fn}).")) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) "\\spad{monicDecomposeIfCan(f)} returns a functional decomposition of the monic polynomial \\spad{f} of \"failed\" if it has not found any.")) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) "\\spad{leftFactorIfCan(f,{}h)} returns the left factor (\\spad{g} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of the functional decomposition of the polynomial \\spad{f} with given \\spad{h} or \\spad{\"failed\"} if \\spad{g} does not exist.")) (|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) "\\spad{rightFactorIfCan(f,{}d,{}c)} returns a candidate to be the right factor (\\spad{h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of degree \\spad{d} with leading coefficient \\spad{c} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate.")) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) "\\spad{monicRightFactorIfCan(f,{}d)} returns a candidate to be the monic right factor (\\spad{h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h}) of degree \\spad{d} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate."))) 
+(-1222 R UP) 
+((|constructor| (NIL "UnivariatePolynomialDecompositionPackage implements functional decomposition of univariate polynomial with coefficients in an \\spad{IntegralDomain} of \\spad{CharacteristicZero}.")) (|monicCompleteDecompose| (((|List| |#2|) |#2|) "\\spad{monicCompleteDecompose(f)} returns a list of factors of \\spad{f} for the functional decomposition \\spad{([} \\spad{f1,} ..., \\spad{fn} ] means \\spad{f} = \\spad{f1} \\spad{o} \\spad{...} \\spad{o} fn).")) (|monicDecomposeIfCan| (((|Union| (|Record| (|:| |left| |#2|) (|:| |right| |#2|)) "failed") |#2|) "\\spad{monicDecomposeIfCan(f)} returns a functional decomposition of the monic polynomial \\spad{f} of \"failed\" if it has not found any.")) (|leftFactorIfCan| (((|Union| |#2| "failed") |#2| |#2|) "\\spad{leftFactorIfCan(f,h)} returns the left factor \\spad{(g} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of the functional decomposition of the polynomial \\spad{f} with given \\spad{h} or \\spad{\"failed\"} if \\spad{g} does not exist.")) (|rightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|) |#1|) "\\spad{rightFactorIfCan(f,d,c)} returns a candidate to be the right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} with leading coefficient \\spad{c} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate.")) (|monicRightFactorIfCan| (((|Union| |#2| "failed") |#2| (|NonNegativeInteger|)) "\\spad{monicRightFactorIfCan(f,d)} returns a candidate to be the monic right factor \\spad{(h} in \\spad{f} = \\spad{g} \\spad{o} \\spad{h)} of degree \\spad{d} of a functional decomposition of the polynomial \\spad{f} or \\spad{\"failed\"} if no such candidate."))) 
 NIL 
 NIL 
-(-1217 R UP) 
-((|constructor| (NIL "UnivariatePolynomialDivisionPackage provides a division for non monic univarite polynomials with coefficients in an \\spad{IntegralDomain}.")) (|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) "\\spad{divideIfCan(f,{}g)} returns quotient and remainder of the division of \\spad{f} by \\spad{g} or \"failed\" if it has not succeeded."))) 
+(-1223 R UP) 
+((|constructor| (NIL "UnivariatePolynomialDivisionPackage provides a division for non monic univarite polynomials with coefficients in an \\spad{IntegralDomain}.")) (|divideIfCan| (((|Union| (|Record| (|:| |quotient| |#2|) (|:| |remainder| |#2|)) "failed") |#2| |#2|) "\\spad{divideIfCan(f,g)} returns quotient and remainder of the division of \\spad{f} by \\spad{g} or \"failed\" if it has not succeeded."))) 
 NIL 
 NIL 
-(-1218 R U) 
-((|constructor| (NIL "This package implements Karatsuba\\spad{'s} trick for multiplying (large) univariate polynomials. It could be improved with a version doing the work on place and also with a special case for squares. We've done this in Basicmath,{} but we believe that this out of the scope of AXIOM.")) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{karatsuba(a,{}b,{}l,{}k)} returns \\spad{a*b} by applying Karatsuba\\spad{'s} trick provided that both \\spad{a} and \\spad{b} have at least \\spad{l} terms and \\spad{k > 0} holds and by calling \\spad{noKaratsuba} otherwise. The other multiplications are performed by recursive calls with the same third argument and \\spad{k-1} as fourth argument.")) (|karatsubaOnce| ((|#2| |#2| |#2|) "\\spad{karatsuba(a,{}b)} returns \\spad{a*b} by applying Karatsuba\\spad{'s} trick once. The other multiplications are performed by calling \\spad{*} from \\spad{U}.")) (|noKaratsuba| ((|#2| |#2| |#2|) "\\spad{noKaratsuba(a,{}b)} returns \\spad{a*b} without using Karatsuba\\spad{'s} trick at all."))) 
+(-1224 R U) 
+((|constructor| (NIL "This package implements Karatsuba's trick for multiplying (large) univariate polynomials. It could be improved with a version doing the work on place and also with a special case for squares. We've done this in Basicmath, but we believe that this out of the scope of AXIOM.")) (|karatsuba| ((|#2| |#2| |#2| (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{karatsuba(a,b,l,k)} returns \\spad{a*b} by applying Karatsuba's trick provided that both \\spad{a} and \\spad{b} have at least \\spad{l} terms and \\spad{k > 0} holds and by calling \\spad{noKaratsuba} otherwise. The other multiplications are performed by recursive calls with the same third argument and \\spad{k-1} as fourth argument.")) (|karatsubaOnce| ((|#2| |#2| |#2|) "\\spad{karatsuba(a,b)} returns \\spad{a*b} by applying Karatsuba's trick once. The other multiplications are performed by calling \\spad{*} from \\spad{U}.")) (|noKaratsuba| ((|#2| |#2| |#2|) "\\spad{noKaratsuba(a,b)} returns \\spad{a*b} without using Karatsuba's trick at all."))) 
 NIL 
 NIL 
-(-1219 |x| R) 
-((|constructor| (NIL "This domain represents univariate polynomials in some symbol over arbitrary (not necessarily commutative) coefficient rings. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field,{} then this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,{}e,{}r,{}p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
-(((-4537 "*") |has| |#2| (-173)) (-4528 |has| |#2| (-559)) (-4531 |has| |#2| (-366)) (-4533 |has| |#2| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-905))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-382))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -882) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -882) (QUOTE (-569))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-382)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -888) (QUOTE (-569)))))) (-12 (|HasCategory| (-1076) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-843))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1137))) (|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (-2232 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4533)) (|HasCategory| |#2| (QUOTE (-454))) (-2232 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-905)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (-2232 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-905)))) (|HasCategory| |#2| (QUOTE (-149))))) 
-(-1220 R PR S PS) 
-((|constructor| (NIL "Mapping from polynomials over \\spad{R} to polynomials over \\spad{S} given a map from \\spad{R} to \\spad{S} assumed to send zero to zero.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f,{} p)} takes a function \\spad{f} from \\spad{R} to \\spad{S},{} and applies it to each (non-zero) coefficient of a polynomial \\spad{p} over \\spad{R},{} getting a new polynomial over \\spad{S}. Note that since the map is not applied to zero elements,{} it may map zero to zero."))) 
+(-1225 |x| R) 
+((|constructor| (NIL "This domain represents univariate polynomials in some symbol over arbitrary (not necessarily commutative) coefficient rings. The representation is sparse in the sense that only non-zero terms are represented. Note that if the coefficient ring is a field, then this domain forms a euclidean domain.")) (|fmecg| (($ $ (|NonNegativeInteger|) |#2| $) "\\spad{fmecg(p1,e,r,p2)} finds \\spad{x} : \\spad{p1} - \\spad{r} * x**e * \\spad{p2}")) (|coerce| (($ (|Variable| |#1|)) "\\spad{coerce(x)} converts the variable \\spad{x} to a univariate polynomial."))) 
+(((-4573 "*") |has| |#2| (-173)) (-4564 |has| |#2| (-559)) (-4567 |has| |#2| (-366)) (-4569 |has| |#2| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-906))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-559)))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-382)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-382))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -883) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -883) (QUOTE (-569))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-382)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -610) (LIST (QUOTE -889) (QUOTE (-569)))))) (-12 (|HasCategory| (-1077) (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#2| (LIST (QUOTE -610) (QUOTE (-542))))) (|HasCategory| |#2| (QUOTE (-844))) (|HasCategory| |#2| (LIST (QUOTE -631) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-151))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-1139))) (|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (-1929 (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| |#2| (QUOTE (-226))) (|HasAttribute| |#2| (QUOTE -4569)) (|HasCategory| |#2| (QUOTE (-454))) (-1929 (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-906)))) (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (-1929 (-12 (|HasCategory| $ (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-906)))) (|HasCategory| |#2| (QUOTE (-149))))) 
+(-1226 R PR S PS) 
+((|constructor| (NIL "Mapping from polynomials over \\spad{R} to polynomials over \\spad{S} given a map from \\spad{R} to \\spad{S} assumed to send zero to zero.")) (|map| ((|#4| (|Mapping| |#3| |#1|) |#2|) "\\spad{map(f, \\spad{p)}} takes a function \\spad{f} from \\spad{R} to \\spad{S,} and applies it to each (non-zero) coefficient of a polynomial \\spad{p} over \\spad{R,} getting a new polynomial over \\spad{S.} Note that since the map is not applied to zero elements, it may map zero to zero."))) 
 NIL 
 NIL 
-(-1221 S R) 
-((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R}. No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(\\spad{b})")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p,{} q)} returns \\spad{[a,{} b]} such that polynomial \\spad{p = a b} and \\spad{a} is relatively prime to \\spad{q}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,{}q)} returns \\spad{[c,{} q,{} r]},{} when \\spad{p' := p*lc(q)**(deg p - deg q + 1) = c * p} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,{}q)} returns \\spad{r},{} the quotient when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f,{} q)} returns \\spad{h} if \\spad{f} = \\spad{h}(\\spad{q}),{} and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p,{} q)} returns \\spad{h} if \\spad{p = h(q)},{} and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,{}q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p,{} q)} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#2| (|Fraction| $) |#2|) "\\spad{elt(a,{}r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r}.") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,{}b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b}.")) (|resultant| ((|#2| $ $) "\\spad{resultant(p,{}q)} returns the resultant of the polynomials \\spad{p} and \\spad{q}.")) (|discriminant| ((|#2| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p}.")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) $) "\\spad{differentiate(p,{} d,{} x')} extends the \\spad{R}-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x'},{} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,{}q)} = \\spad{r},{} for polynomials \\spad{p} and \\spad{q},{} returns the remainder when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,{}n)} returns \\spad{p * monomial(1,{}n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,{}n)} returns \\spad{monicDivide(p,{}monomial(1,{}n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,{}n)} returns the same as \\spad{monicDivide(p,{}monomial(1,{}n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,{}q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q},{} returning the pair \\spad{[quotient,{} remainder]}. Error: if \\spad{q} isn\\spad{'t} monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,{}n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n},{} or \"failed\" if some exponent is not exactly divisible by \\spad{n}.")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,{}n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n}.")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p,{} n)} returns \\spad{[a0,{}...,{}a(n-1)]} where \\spad{p = a0 + a1*x + ... + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
+(-1227 S R) 
+((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#2|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#2| (|Fraction| $) |#2|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#2| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#2| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#2| |#2|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#2|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#2|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#2|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p, \\spad{n)}} returns \\spad{[a0,...,a(n-1)]} where \\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1137)))) 
-(-1222 R) 
-((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R}. No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(\\spad{b})")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p,{} q)} returns \\spad{[a,{} b]} such that polynomial \\spad{p = a b} and \\spad{a} is relatively prime to \\spad{q}.")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,{}q)} returns \\spad{[c,{} q,{} r]},{} when \\spad{p' := p*lc(q)**(deg p - deg q + 1) = c * p} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,{}q)} returns \\spad{r},{} the quotient when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f,{} q)} returns \\spad{h} if \\spad{f} = \\spad{h}(\\spad{q}),{} and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p,{} q)} returns \\spad{h} if \\spad{p = h(q)},{} and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,{}q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p,{} q)} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#1| (|Fraction| $) |#1|) "\\spad{elt(a,{}r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r}.") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,{}b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b}.")) (|resultant| ((|#1| $ $) "\\spad{resultant(p,{}q)} returns the resultant of the polynomials \\spad{p} and \\spad{q}.")) (|discriminant| ((|#1| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p}.")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) $) "\\spad{differentiate(p,{} d,{} x')} extends the \\spad{R}-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x'},{} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,{}q)} = \\spad{r},{} for polynomials \\spad{p} and \\spad{q},{} returns the remainder when \\spad{p' := p*lc(q)**(deg p - deg q + 1)} is pseudo right-divided by \\spad{q},{} \\spadignore{i.e.} \\spad{p' = s q + r}.")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,{}n)} returns \\spad{p * monomial(1,{}n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,{}n)} returns \\spad{monicDivide(p,{}monomial(1,{}n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,{}n)} returns the same as \\spad{monicDivide(p,{}monomial(1,{}n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,{}q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q},{} returning the pair \\spad{[quotient,{} remainder]}. Error: if \\spad{q} isn\\spad{'t} monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,{}n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n},{} or \"failed\" if some exponent is not exactly divisible by \\spad{n}.")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,{}n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n}.")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p,{} n)} returns \\spad{[a0,{}...,{}a(n-1)]} where \\spad{p = a0 + a1*x + ... + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4531 |has| |#1| (-366)) (-4533 |has| |#1| (-6 -4533)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366))) (|HasCategory| |#2| (QUOTE (-454))) (|HasCategory| |#2| (QUOTE (-559))) (|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (QUOTE (-1139)))) 
+(-1228 R) 
+((|constructor| (NIL "The category of univariate polynomials over a ring \\spad{R.} No particular model is assumed - implementations can be either sparse or dense.")) (|integrate| (($ $) "\\spad{integrate(p)} integrates the univariate polynomial \\spad{p} with respect to its distinguished variable.")) (|additiveValuation| ((|attribute|) "euclideanSize(a*b) = euclideanSize(a) + euclideanSize(b)")) (|separate| (((|Record| (|:| |primePart| $) (|:| |commonPart| $)) $ $) "\\spad{separate(p, \\spad{q)}} returns \\spad{[a, \\spad{b]}} such that polynomial \\spad{p = a \\spad{b}} and \\spad{a} is relatively prime to \\spad{q.}")) (|pseudoDivide| (((|Record| (|:| |coef| |#1|) (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{pseudoDivide(p,q)} returns \\spad{[c, \\spad{q,} r]}, when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1) = \\spad{c} * \\spad{p}} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|pseudoQuotient| (($ $ $) "\\spad{pseudoQuotient(p,q)} returns \\spad{r,} the quotient when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|composite| (((|Union| (|Fraction| $) "failed") (|Fraction| $) $) "\\spad{composite(f, \\spad{q)}} returns \\spad{h} if \\spad{f} = h(q), and \"failed\" is no such \\spad{h} exists.") (((|Union| $ "failed") $ $) "\\spad{composite(p, \\spad{q)}} returns \\spad{h} if \\spad{p = h(q)}, and \"failed\" no such \\spad{h} exists.")) (|subResultantGcd| (($ $ $) "\\spad{subResultantGcd(p,q)} computes the \\spad{gcd} of the polynomials \\spad{p} and \\spad{q} using the SubResultant \\spad{GCD} algorithm.")) (|order| (((|NonNegativeInteger|) $ $) "\\spad{order(p, \\spad{q)}} returns the largest \\spad{n} such that \\spad{q**n} divides polynomial \\spad{p} \\spadignore{i.e.} the order of \\spad{p(x)} at \\spad{q(x)=0}.")) (|elt| ((|#1| (|Fraction| $) |#1|) "\\spad{elt(a,r)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by the constant \\spad{r.}") (((|Fraction| $) (|Fraction| $) (|Fraction| $)) "\\spad{elt(a,b)} evaluates the fraction of univariate polynomials \\spad{a} with the distinguished variable replaced by \\spad{b.}")) (|resultant| ((|#1| $ $) "\\spad{resultant(p,q)} returns the resultant of the polynomials \\spad{p} and \\spad{q.}")) (|discriminant| ((|#1| $) "\\spad{discriminant(p)} returns the discriminant of the polynomial \\spad{p.}")) (|differentiate| (($ $ (|Mapping| |#1| |#1|) $) "\\spad{differentiate(p, \\spad{d,} x')} extends the R-derivation \\spad{d} to an extension \\spad{D} in \\spad{R[x]} where \\spad{Dx} is given by \\spad{x',} and returns \\spad{Dp}.")) (|pseudoRemainder| (($ $ $) "\\spad{pseudoRemainder(p,q)} = \\spad{r,} for polynomials \\spad{p} and \\spad{q,} returns the remainder when \\spad{p' \\spad{:=} p*lc(q)**(deg \\spad{p} - deg \\spad{q} + 1)} is pseudo right-divided by \\spad{q,} \\spadignore{i.e.} \\spad{p' = \\spad{s} \\spad{q} + \\spad{r}.}")) (|shiftLeft| (($ $ (|NonNegativeInteger|)) "\\spad{shiftLeft(p,n)} returns \\spad{p * monomial(1,n)}")) (|shiftRight| (($ $ (|NonNegativeInteger|)) "\\spad{shiftRight(p,n)} returns \\spad{monicDivide(p,monomial(1,n)).quotient}")) (|karatsubaDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ (|NonNegativeInteger|)) "\\spad{karatsubaDivide(p,n)} returns the same as \\spad{monicDivide(p,monomial(1,n))}")) (|monicDivide| (((|Record| (|:| |quotient| $) (|:| |remainder| $)) $ $) "\\spad{monicDivide(p,q)} divide the polynomial \\spad{p} by the monic polynomial \\spad{q,} returning the pair \\spad{[quotient, remainder]}. Error: if \\spad{q} isn't monic.")) (|divideExponents| (((|Union| $ "failed") $ (|NonNegativeInteger|)) "\\spad{divideExponents(p,n)} returns a new polynomial resulting from dividing all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n,} or \"failed\" if some exponent is not exactly divisible by \\spad{n.}")) (|multiplyExponents| (($ $ (|NonNegativeInteger|)) "\\spad{multiplyExponents(p,n)} returns a new polynomial resulting from multiplying all exponents of the polynomial \\spad{p} by the non negative integer \\spad{n.}")) (|unmakeSUP| (($ (|SparseUnivariatePolynomial| |#1|)) "\\spad{unmakeSUP(sup)} converts \\spad{sup} of type \\spadtype{SparseUnivariatePolynomial(R)} to be a member of the given type. Note that converse of makeSUP.")) (|makeSUP| (((|SparseUnivariatePolynomial| |#1|) $) "\\spad{makeSUP(p)} converts the polynomial \\spad{p} to be of type SparseUnivariatePolynomial over the same coefficients.")) (|vectorise| (((|Vector| |#1|) $ (|NonNegativeInteger|)) "\\spad{vectorise(p, \\spad{n)}} returns \\spad{[a0,...,a(n-1)]} where \\spad{p = \\spad{a0} + a1*x + \\spad{...} + a(n-1)*x**(n-1)} + higher order terms. The degree of polynomial \\spad{p} can be different from \\spad{n-1}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4567 |has| |#1| (-366)) (-4569 |has| |#1| (-6 -4569)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
-(-1223 S |Coef| |Expon|) 
-((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#2|) $ |#2|) "\\spad{eval(f,{}a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#3|) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#2| $ |#3|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#3| |#3|) "\\spad{truncate(f,{}k1,{}k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (($ $ |#3|) "\\spad{truncate(f,{}k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| ((|#3| $ |#3|) "\\spad{order(f,{}n) = min(m,{}n)},{} where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f}.") ((|#3| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f}. This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,{}n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n}.")) (|center| ((|#2| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f}.")) (|elt| ((|#2| $ |#3|) "\\spad{elt(f(x),{}r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#3|) (|:| |c| |#2|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms,{} where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
+(-1229 S |Coef| |Expon|) 
+((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#2|) $ |#2|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#3|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#2| $ |#3|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#3| |#3|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#3|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#3| $ |#3|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#3| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#2| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#2| $ |#3|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#3|) (|:| |c| |#2|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1103))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -2185) (LIST (|devaluate| |#2|) (QUOTE (-1163)))))) 
-(-1224 |Coef| |Expon|) 
-((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#1|) $ |#1|) "\\spad{eval(f,{}a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#2|) "\\spad{extend(f,{}n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#1| $ |#2|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#2| |#2|) "\\spad{truncate(f,{}k1,{}k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (($ $ |#2|) "\\spad{truncate(f,{}k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|order| ((|#2| $ |#2|) "\\spad{order(f,{}n) = min(m,{}n)},{} where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f}.") ((|#2| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f}. This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,{}n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n}.")) (|center| ((|#1| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f}.")) (|elt| ((|#1| $ |#2|) "\\spad{elt(f(x),{}r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms,{} where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#2| (LIST (QUOTE *) (LIST (|devaluate| |#2|) (|devaluate| |#3|) (|devaluate| |#2|)))) (|HasCategory| |#3| (QUOTE (-1105))) (|HasSignature| |#2| (LIST (QUOTE **) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (|devaluate| |#3|)))) (|HasSignature| |#2| (LIST (QUOTE -3956) (LIST (|devaluate| |#2|) (QUOTE (-1165)))))) 
+(-1230 |Coef| |Expon|) 
+((|constructor| (NIL "\\spadtype{UnivariatePowerSeriesCategory} is the most general univariate power series category with exponents in an ordered abelian monoid. Note that this category exports a substitution function if it is possible to multiply exponents. Also note that this category exports a derivative operation if it is possible to multiply coefficients by exponents.")) (|eval| (((|Stream| |#1|) $ |#1|) "\\spad{eval(f,a)} evaluates a power series at a value in the ground ring by returning a stream of partial sums.")) (|extend| (($ $ |#2|) "\\spad{extend(f,n)} causes all terms of \\spad{f} of degree \\spad{<=} \\spad{n} to be computed.")) (|approximate| ((|#1| $ |#2|) "\\spad{approximate(f)} returns a truncated power series with the series variable viewed as an element of the coefficient domain.")) (|truncate| (($ $ |#2| |#2|) "\\spad{truncate(f,k1,k2)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (($ $ |#2|) "\\spad{truncate(f,k)} returns a (finite) power series consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|order| ((|#2| $ |#2|) "\\spad{order(f,n) = min(m,n)}, where \\spad{m} is the degree of the lowest order non-zero term in \\spad{f.}") ((|#2| $) "\\spad{order(f)} is the degree of the lowest order non-zero term in \\spad{f.} This will result in an infinite loop if \\spad{f} has no non-zero terms.")) (|multiplyExponents| (($ $ (|PositiveInteger|)) "\\spad{multiplyExponents(f,n)} multiplies all exponents of the power series \\spad{f} by the positive integer \\spad{n.}")) (|center| ((|#1| $) "\\spad{center(f)} returns the point about which the series \\spad{f} is expanded.")) (|variable| (((|Symbol|) $) "\\spad{variable(f)} returns the (unique) power series variable of the power series \\spad{f.}")) (|elt| ((|#1| $ |#2|) "\\spad{elt(f(x),r)} returns the coefficient of the term of degree \\spad{r} in \\spad{f(x)}. This is the same as the function \\spadfun{coefficient}.")) (|terms| (((|Stream| (|Record| (|:| |k| |#2|) (|:| |c| |#1|))) $) "\\spad{terms(f(x))} returns a stream of non-zero terms, where a a term is an exponent-coefficient pair. The terms in the stream are ordered by increasing order of exponents."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1225 RC P) 
-((|constructor| (NIL "This package provides for square-free decomposition of univariate polynomials over arbitrary rings,{} \\spadignore{i.e.} a partial factorization such that each factor is a product of irreducibles with multiplicity one and the factors are pairwise relatively prime. If the ring has characteristic zero,{} the result is guaranteed to satisfy this condition. If the ring is an infinite ring of finite characteristic,{} then it may not be possible to decide when polynomials contain factors which are \\spad{p}th powers. In this case,{} the flag associated with that polynomial is set to \"nil\" (meaning that that polynomials are not guaranteed to be square-free).")) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) "\\spad{BumInSepFFE(f)} is a local function,{} exported only because it has multiple conditional definitions.")) (|squareFreePart| ((|#2| |#2|) "\\spad{squareFreePart(p)} returns a polynomial which has the same irreducible factors as the univariate polynomial \\spad{p},{} but each factor has multiplicity one.")) (|squareFree| (((|Factored| |#2|) |#2|) "\\spad{squareFree(p)} computes the square-free factorization of the univariate polynomial \\spad{p}. Each factor has no repeated roots,{} and the factors are pairwise relatively prime.")) (|gcd| (($ $ $) "\\spad{gcd(p,{}q)} computes the greatest-common-divisor of \\spad{p} and \\spad{q}."))) 
+(-1231 RC P) 
+((|constructor| (NIL "This package provides for square-free decomposition of univariate polynomials over arbitrary rings, \\spadignore{i.e.} a partial factorization such that each factor is a product of irreducibles with multiplicity one and the factors are pairwise relatively prime. If the ring has characteristic zero, the result is guaranteed to satisfy this condition. If the ring is an infinite ring of finite characteristic, then it may not be possible to decide when polynomials contain factors which are \\spad{p}th powers. In this case, the flag associated with that polynomial is set to \"nil\" (meaning that that polynomials are not guaranteed to be square-free).")) (|BumInSepFFE| (((|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|))) (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (|Integer|)))) "\\spad{BumInSepFFE(f)} is a local function, exported only because it has multiple conditional definitions.")) (|squareFreePart| ((|#2| |#2|) "\\spad{squareFreePart(p)} returns a polynomial which has the same irreducible factors as the univariate polynomial \\spad{p,} but each factor has multiplicity one.")) (|squareFree| (((|Factored| |#2|) |#2|) "\\spad{squareFree(p)} computes the square-free factorization of the univariate polynomial \\spad{p.} Each factor has no repeated roots, and the factors are pairwise relatively prime.")) (|gcd| (($ $ $) "\\spad{gcd(p,q)} computes the greatest-common-divisor of \\spad{p} and \\spad{q.}"))) 
 NIL 
 NIL 
-(-1226 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
-((|constructor| (NIL "Mapping package for univariate Puiseux series. This package allows one to apply a function to the coefficients of a univariate Puiseux series.")) (|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of the Puiseux series \\spad{g(x)}."))) 
+(-1232 |Coef1| |Coef2| |var1| |var2| |cen1| |cen2|) 
+((|constructor| (NIL "Mapping package for univariate Puiseux series. This package allows one to apply a function to the coefficients of a univariate Puiseux series.")) (|map| (((|UnivariatePuiseuxSeries| |#2| |#4| |#6|) (|Mapping| |#2| |#1|) (|UnivariatePuiseuxSeries| |#1| |#3| |#5|)) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of the Puiseux series \\spad{g(x)}."))) 
 NIL 
 NIL 
-(-1227 |Coef|) 
-((|constructor| (NIL "\\spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}var)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{var}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by rational numbers.")) (|multiplyExponents| (($ $ (|Fraction| (|Integer|))) "\\spad{multiplyExponents(f,{}r)} multiplies all exponents of the power series \\spad{f} by the positive rational number \\spad{r}.")) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) "\\spad{series(n,{}st)} creates a series from a common denomiator and a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents and \\spad{n} should be a common denominator for the exponents in the stream of terms."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1233 |Coef|) 
+((|constructor| (NIL "\\spadtype{UnivariatePuiseuxSeriesCategory} is the category of Puiseux series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),var)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{var}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 1. We may integrate a series when we can divide coefficients by rational numbers.")) (|multiplyExponents| (($ $ (|Fraction| (|Integer|))) "\\spad{multiplyExponents(f,r)} multiplies all exponents of the power series \\spad{f} by the positive rational number \\spad{r.}")) (|series| (($ (|NonNegativeInteger|) (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#1|)))) "\\spad{series(n,st)} creates a series from a common denomiator and a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents and \\spad{n} should be a common denominator for the exponents in the stream of terms."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1228 S |Coef| ULS) 
-((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#3| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible,{} \"failed\" is returned.")) (|laurent| ((|#3| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurentRep| ((|#3| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,{}g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#3|) "\\spad{puiseux(r,{}f(x))} returns \\spad{f(x^r)}."))) 
+(-1234 S |Coef| ULS) 
+((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#3| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#3| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#3|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#3| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#3|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
 NIL 
 NIL 
-(-1229 |Coef| ULS) 
-((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#2| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible,{} \"failed\" is returned.")) (|laurent| ((|#2| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)},{} which may have zero as a coefficient.")) (|laurentRep| ((|#2| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,{}g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) "\\spad{puiseux(r,{}f(x))} returns \\spad{f(x^r)}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1235 |Coef| ULS) 
+((|constructor| (NIL "This is a category of univariate Puiseux series constructed from univariate Laurent series. A Puiseux series is represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}.")) (|laurentIfCan| (((|Union| |#2| "failed") $) "\\spad{laurentIfCan(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. If this is not possible, \"failed\" is returned.")) (|laurent| ((|#2| $) "\\spad{laurent(f(x))} converts the Puiseux series \\spad{f(x)} to a Laurent series if possible. Error: if this is not possible.")) (|coerce| (($ |#2|) "\\spad{coerce(f(x))} converts the Laurent series \\spad{f(x)} to a Puiseux series.")) (|degree| (((|Fraction| (|Integer|)) $) "\\spad{degree(f(x))} returns the degree of the leading term of the Puiseux series \\spad{f(x)}, which may have zero as a coefficient.")) (|laurentRep| ((|#2| $) "\\spad{laurentRep(f(x))} returns \\spad{g(x)} where the Puiseux series \\spad{f(x) = g(x^r)} is represented by \\spad{[r,g(x)]}.")) (|rationalPower| (((|Fraction| (|Integer|)) $) "\\spad{rationalPower(f(x))} returns \\spad{r} where the Puiseux series \\spad{f(x) = g(x^r)}.")) (|puiseux| (($ (|Fraction| (|Integer|)) |#2|) "\\spad{puiseux(r,f(x))} returns \\spad{f(x^r)}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1230 |Coef| ULS) 
-((|constructor| (NIL "This package enables one to construct a univariate Puiseux series domain from a univariate Laurent series domain. Univariate Puiseux series are represented by a pair \\spad{[r,{}f(x)]},{} where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1231 |Coef| |var| |cen|) 
-((|constructor| (NIL "Dense Puiseux series in one variable \\spadtype{UnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spad{UnivariatePuiseuxSeries(Integer,{}x,{}3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4533 |has| |#1| (-366)) (-4527 |has| |#1| (-366)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1103))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-2232 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1232 R FE |var| |cen|) 
-((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent functions with essential singularities. Objects in this domain are sums,{} where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series. Thus,{} the elements of this domain are sums of expressions of the form \\spad{g(x) * exp(f(x))},{} where \\spad{g}(\\spad{x}) is a univariate Puiseux series and \\spad{f}(\\spad{x}) is a univariate Puiseux series with no terms of non-negative degree.")) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) "\\spad{dominantTerm(f(var))} returns the term that dominates the limiting behavior of \\spad{f(var)} as \\spad{var -> cen+} together with a \\spadtype{String} which briefly describes that behavior. The value of the \\spadtype{String} will be \\spad{\"zero\"} (resp. \\spad{\"infinity\"}) if the term tends to zero (resp. infinity) exponentially and will \\spad{\"series\"} if the term is a Puiseux series.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var -> cen+,{}f(var))}."))) 
-(((-4537 "*") |has| (-1231 |#2| |#3| |#4|) (-173)) (-4528 |has| (-1231 |#2| |#3| |#4|) (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-173))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (QUOTE (-569)))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-366))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-454))) (-2232 (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (LIST (QUOTE -1038) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| (-1231 |#2| |#3| |#4|) (QUOTE (-559)))) 
-(-1233 A S) 
-((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models,{} though not precisely,{} a linked list possibly with a single cycle. A node with one children models a non-empty list,{} with the \\spadfun{value} of the list designating the head,{} or \\spadfun{first},{} of the list,{} and the child designating the tail,{} or \\spadfun{rest},{} of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates,{} they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,{}n)} splits \\spad{u} into two aggregates: \\axiom{\\spad{v} = rest(\\spad{u},{}\\spad{n})} and \\axiom{\\spad{w} = first(\\spad{u},{}\\spad{n})},{} returning \\axiom{\\spad{v}}. Note that afterwards \\axiom{rest(\\spad{u},{}\\spad{n})} returns \\axiom{empty()}.")) (|setlast!| ((|#2| $ |#2|) "\\spad{setlast!(u,{}x)} destructively changes the last element of \\spad{u} to \\spad{x}.")) (|setrest!| (($ $ $) "\\spad{setrest!(u,{}v)} destructively changes the rest of \\spad{u} to \\spad{v}.")) (|setelt| ((|#2| $ "last" |#2|) "\\spad{setelt(u,{}\"last\",{}x)} (also written: \\axiom{\\spad{u}.last \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setlast!(\\spad{u},{}\\spad{v})}.") (($ $ "rest" $) "\\spad{setelt(u,{}\"rest\",{}v)} (also written: \\axiom{\\spad{u}.rest \\spad{:=} \\spad{v}}) is equivalent to \\axiom{setrest!(\\spad{u},{}\\spad{v})}.") ((|#2| $ "first" |#2|) "\\spad{setelt(u,{}\"first\",{}x)} (also written: \\axiom{\\spad{u}.first \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setfirst!(\\spad{u},{}\\spad{x})}.")) (|setfirst!| ((|#2| $ |#2|) "\\spad{setfirst!(u,{}x)} destructively changes the first element of a to \\spad{x}.")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry,{} or nil if none exists. For example,{} if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} is the cyclic list where \\spad{v} is the head of the cycle,{} \\axiom{cycleSplit!(\\spad{w})} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to \\spad{u},{} and returning \\spad{v}.")) (|concat!| (($ $ |#2|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}. Note that \\axiom{concat!(a,{}\\spad{x}) = setlast!(a,{}[\\spad{x}])}.") (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates \\spad{v} to the end of \\spad{u}. Note that \\axiom{concat!(\\spad{u},{}\\spad{v}) = setlast_!(\\spad{u},{}\\spad{v})}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle,{} or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate \\spad{u},{} or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate \\spad{u},{} or \\axiom{empty()} if none exists.")) (|third| ((|#2| $) "\\spad{third(u)} returns the third element of \\spad{u}. Note that \\axiom{third(\\spad{u}) = first(rest(rest(\\spad{u})))}.")) (|second| ((|#2| $) "\\spad{second(u)} returns the second element of \\spad{u}. Note that \\axiom{second(\\spad{u}) = first(rest(\\spad{u}))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of \\spad{u}. Note that if \\spad{u} is \\axiom{shallowlyMutable},{} \\axiom{setrest(tail(\\spad{u}),{}\\spad{v}) = concat(\\spad{u},{}\\spad{v})}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,{}n)} returns a copy of the last \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) nodes of \\spad{u}. Note that \\axiom{last(\\spad{u},{}\\spad{n})} is a list of \\spad{n} elements.") ((|#2| $) "\\spad{last(u)} resturn the last element of \\spad{u}. Note that for lists,{} \\axiom{last(\\spad{u})=u . (maxIndex \\spad{u})=u . (\\# \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,{}n)} returns the \\axiom{\\spad{n}}th (\\spad{n} \\spad{>=} 0) node of \\spad{u}. Note that \\axiom{rest(\\spad{u},{}0) = \\spad{u}}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently,{} the next node of \\spad{u}).")) (|elt| ((|#2| $ "last") "\\spad{elt(u,{}\"last\")} (also written: \\axiom{\\spad{u} . last}) is equivalent to last \\spad{u}.") (($ $ "rest") "\\spad{elt(\\%,{}\"rest\")} (also written: \\axiom{\\spad{u}.rest}) is equivalent to \\axiom{rest \\spad{u}}.") ((|#2| $ "first") "\\spad{elt(u,{}\"first\")} (also written: \\axiom{\\spad{u} . first}) is equivalent to first \\spad{u}.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,{}n)} returns a copy of the first \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) elements of \\spad{u}.") ((|#2| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently,{} the value at the current node).")) (|concat| (($ |#2| $) "\\spad{concat(x,{}u)} returns aggregate consisting of \\spad{x} followed by the elements of \\spad{u}. Note that if \\axiom{\\spad{v} = concat(\\spad{x},{}\\spad{u})} then \\axiom{\\spad{x} = first \\spad{v}} and \\axiom{\\spad{u} = rest \\spad{v}}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that \\axiom{\\spad{v} = rest(\\spad{w},{}\\#a)}."))) 
+(-1236 |Coef| ULS) 
+((|constructor| (NIL "This package enables one to construct a univariate Puiseux series domain from a univariate Laurent series domain. Univariate Puiseux series are represented by a pair \\spad{[r,f(x)]}, where \\spad{r} is a positive rational number and \\spad{f(x)} is a Laurent series. This pair represents the Puiseux series \\spad{f(x^r)}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1237 |Coef| |var| |cen|) 
+((|constructor| (NIL "Dense Puiseux series in one variable \\spadtype{UnivariatePuiseuxSeries} is a domain representing Puiseux series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spad{UnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} returns the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a Puiseux series."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4569 |has| |#1| (-366)) (-4563 |has| |#1| (-366)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569))) (|devaluate| |#1|))))) (|HasCategory| (-410 (-569)) (QUOTE (-1105))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (-1929 (|HasCategory| |#1| (QUOTE (-366))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1238 R FE |var| |cen|) 
+((|constructor| (NIL "UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to represent functions with essential singularities. Objects in this domain are sums, where each term in the sum is a univariate Puiseux series times the exponential of a univariate Puiseux series. Thus, the elements of this domain are sums of expressions of the form \\spad{g(x) * exp(f(x))}, where g(x) is a univariate Puiseux series and f(x) is a univariate Puiseux series with no terms of non-negative degree.")) (|dominantTerm| (((|Union| (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| |#2| |#3| |#4|)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| |#2|)))))) (|:| |%type| (|String|))) "failed") $) "\\spad{dominantTerm(f(var))} returns the term that dominates the limiting behavior of \\spad{f(var)} as \\spad{var \\spad{->} cen+} together with a \\spadtype{String} which briefly describes that behavior. The value of the \\spadtype{String} will be \\spad{\"zero\"} (resp. \\spad{\"infinity\"}) if the term tends to zero (resp. infinity) exponentially and will \\spad{\"series\"} if the term is a Puiseux series.")) (|limitPlus| (((|Union| (|OrderedCompletion| |#2|) "failed") $) "\\spad{limitPlus(f(var))} returns \\spad{limit(var \\spad{->} cen+,f(var))}."))) 
+(((-4573 "*") |has| (-1237 |#2| |#3| |#4|) (-173)) (-4564 |has| (-1237 |#2| |#3| |#4|) (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-149))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-151))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-173))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (QUOTE (-569)))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-366))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-454))) (-1929 (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (LIST (QUOTE -1039) (LIST (QUOTE -410) (QUOTE (-569)))))) (|HasCategory| (-1237 |#2| |#3| |#4|) (QUOTE (-559)))) 
+(-1239 A S) 
+((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#2| $ |#2|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#2| $ "last" |#2|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#2| $ "first" |#2|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#2| $ |#2|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#2|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#2| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#2| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#2| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#2| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#2| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#2| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#2| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
 NIL 
-((|HasAttribute| |#1| (QUOTE -4536))) 
-(-1234 S) 
-((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models,{} though not precisely,{} a linked list possibly with a single cycle. A node with one children models a non-empty list,{} with the \\spadfun{value} of the list designating the head,{} or \\spadfun{first},{} of the list,{} and the child designating the tail,{} or \\spadfun{rest},{} of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates,{} they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,{}n)} splits \\spad{u} into two aggregates: \\axiom{\\spad{v} = rest(\\spad{u},{}\\spad{n})} and \\axiom{\\spad{w} = first(\\spad{u},{}\\spad{n})},{} returning \\axiom{\\spad{v}}. Note that afterwards \\axiom{rest(\\spad{u},{}\\spad{n})} returns \\axiom{empty()}.")) (|setlast!| ((|#1| $ |#1|) "\\spad{setlast!(u,{}x)} destructively changes the last element of \\spad{u} to \\spad{x}.")) (|setrest!| (($ $ $) "\\spad{setrest!(u,{}v)} destructively changes the rest of \\spad{u} to \\spad{v}.")) (|setelt| ((|#1| $ "last" |#1|) "\\spad{setelt(u,{}\"last\",{}x)} (also written: \\axiom{\\spad{u}.last \\spad{:=} \\spad{b}}) is equivalent to \\axiom{setlast!(\\spad{u},{}\\spad{v})}.") (($ $ "rest" $) "\\spad{setelt(u,{}\"rest\",{}v)} (also written: \\axiom{\\spad{u}.rest \\spad{:=} \\spad{v}}) is equivalent to \\axiom{setrest!(\\spad{u},{}\\spad{v})}.") ((|#1| $ "first" |#1|) "\\spad{setelt(u,{}\"first\",{}x)} (also written: \\axiom{\\spad{u}.first \\spad{:=} \\spad{x}}) is equivalent to \\axiom{setfirst!(\\spad{u},{}\\spad{x})}.")) (|setfirst!| ((|#1| $ |#1|) "\\spad{setfirst!(u,{}x)} destructively changes the first element of a to \\spad{x}.")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry,{} or nil if none exists. For example,{} if \\axiom{\\spad{w} = concat(\\spad{u},{}\\spad{v})} is the cyclic list where \\spad{v} is the head of the cycle,{} \\axiom{cycleSplit!(\\spad{w})} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to \\spad{u},{} and returning \\spad{v}.")) (|concat!| (($ $ |#1|) "\\spad{concat!(u,{}x)} destructively adds element \\spad{x} to the end of \\spad{u}. Note that \\axiom{concat!(a,{}\\spad{x}) = setlast!(a,{}[\\spad{x}])}.") (($ $ $) "\\spad{concat!(u,{}v)} destructively concatenates \\spad{v} to the end of \\spad{u}. Note that \\axiom{concat!(\\spad{u},{}\\spad{v}) = setlast_!(\\spad{u},{}\\spad{v})}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle,{} or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate \\spad{u},{} or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate \\spad{u},{} or \\axiom{empty()} if none exists.")) (|third| ((|#1| $) "\\spad{third(u)} returns the third element of \\spad{u}. Note that \\axiom{third(\\spad{u}) = first(rest(rest(\\spad{u})))}.")) (|second| ((|#1| $) "\\spad{second(u)} returns the second element of \\spad{u}. Note that \\axiom{second(\\spad{u}) = first(rest(\\spad{u}))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of \\spad{u}. Note that if \\spad{u} is \\axiom{shallowlyMutable},{} \\axiom{setrest(tail(\\spad{u}),{}\\spad{v}) = concat(\\spad{u},{}\\spad{v})}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,{}n)} returns a copy of the last \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) nodes of \\spad{u}. Note that \\axiom{last(\\spad{u},{}\\spad{n})} is a list of \\spad{n} elements.") ((|#1| $) "\\spad{last(u)} resturn the last element of \\spad{u}. Note that for lists,{} \\axiom{last(\\spad{u})=u . (maxIndex \\spad{u})=u . (\\# \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,{}n)} returns the \\axiom{\\spad{n}}th (\\spad{n} \\spad{>=} 0) node of \\spad{u}. Note that \\axiom{rest(\\spad{u},{}0) = \\spad{u}}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently,{} the next node of \\spad{u}).")) (|elt| ((|#1| $ "last") "\\spad{elt(u,{}\"last\")} (also written: \\axiom{\\spad{u} . last}) is equivalent to last \\spad{u}.") (($ $ "rest") "\\spad{elt(\\%,{}\"rest\")} (also written: \\axiom{\\spad{u}.rest}) is equivalent to \\axiom{rest \\spad{u}}.") ((|#1| $ "first") "\\spad{elt(u,{}\"first\")} (also written: \\axiom{\\spad{u} . first}) is equivalent to first \\spad{u}.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,{}n)} returns a copy of the first \\spad{n} (\\axiom{\\spad{n} \\spad{>=} 0}) elements of \\spad{u}.") ((|#1| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently,{} the value at the current node).")) (|concat| (($ |#1| $) "\\spad{concat(x,{}u)} returns aggregate consisting of \\spad{x} followed by the elements of \\spad{u}. Note that if \\axiom{\\spad{v} = concat(\\spad{x},{}\\spad{u})} then \\axiom{\\spad{x} = first \\spad{v}} and \\axiom{\\spad{u} = rest \\spad{v}}.") (($ $ $) "\\spad{concat(u,{}v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v}. Note that \\axiom{\\spad{v} = rest(\\spad{w},{}\\#a)}."))) 
-((-2982 . T)) 
+((|HasAttribute| |#1| (QUOTE -4572))) 
+(-1240 S) 
+((|constructor| (NIL "A unary-recursive aggregate is a one where nodes may have either 0 or 1 children. This aggregate models, though not precisely, a linked list possibly with a single cycle. A node with one children models a non-empty list, with the \\spadfun{value} of the list designating the head, or \\spadfun{first}, of the list, and the child designating the tail, or \\spadfun{rest}, of the list. A node with no child then designates the empty list. Since these aggregates are recursive aggregates, they may be cyclic.")) (|split!| (($ $ (|Integer|)) "\\spad{split!(u,n)} splits \\spad{u} into two aggregates: \\axiom{v = rest(u,n)} and \\axiom{w = first(u,n)}, returning \\axiom{v}. Note that afterwards \\axiom{rest(u,n)} returns \\axiom{empty()}.")) (|setlast!| ((|#1| $ |#1|) "\\spad{setlast!(u,x)} destructively changes the last element of \\spad{u} to \\spad{x.}")) (|setrest!| (($ $ $) "\\spad{setrest!(u,v)} destructively changes the rest of \\spad{u} to \\spad{v.}")) (|setelt| ((|#1| $ "last" |#1|) "\\spad{setelt(u,\"last\",x)} (also written: \\axiom{u.last \\spad{:=} \\spad{b})} is equivalent to \\axiom{setlast!(u,v)}.") (($ $ "rest" $) "\\spad{setelt(u,\"rest\",v)} (also written: \\axiom{u.rest \\spad{:=} \\spad{v})} is equivalent to \\axiom{setrest!(u,v)}.") ((|#1| $ "first" |#1|) "\\spad{setelt(u,\"first\",x)} (also written: \\axiom{u.first \\spad{:=} \\spad{x})} is equivalent to \\axiom{setfirst!(u,x)}.")) (|setfirst!| ((|#1| $ |#1|) "\\spad{setfirst!(u,x)} destructively changes the first element of a to \\spad{x.}")) (|cycleSplit!| (($ $) "\\spad{cycleSplit!(u)} splits the aggregate by dropping off the cycle. The value returned is the cycle entry, or nil if none exists. For example, if \\axiom{w = concat(u,v)} is the cyclic list where \\spad{v} is the head of the cycle, \\axiom{cycleSplit!(w)} will drop \\spad{v} off \\spad{w} thus destructively changing \\spad{w} to u, and returning \\spad{v.}")) (|concat!| (($ $ |#1|) "\\spad{concat!(u,x)} destructively adds element \\spad{x} to the end of u. Note that \\axiom{concat!(a,x) = setlast!(a,[x])}.") (($ $ $) "\\spad{concat!(u,v)} destructively concatenates \\spad{v} to the end of u. Note that \\axiom{concat!(u,v) = setlast_!(u,v)}.")) (|cycleTail| (($ $) "\\spad{cycleTail(u)} returns the last node in the cycle, or empty if none exists.")) (|cycleLength| (((|NonNegativeInteger|) $) "\\spad{cycleLength(u)} returns the length of a top-level cycle contained in aggregate u, or 0 is \\spad{u} has no such cycle.")) (|cycleEntry| (($ $) "\\spad{cycleEntry(u)} returns the head of a top-level cycle contained in aggregate u, or \\axiom{empty()} if none exists.")) (|third| ((|#1| $) "\\spad{third(u)} returns the third element of u. Note that \\axiom{third(u) = first(rest(rest(u)))}.")) (|second| ((|#1| $) "\\spad{second(u)} returns the second element of u. Note that \\axiom{second(u) = first(rest(u))}.")) (|tail| (($ $) "\\spad{tail(u)} returns the last node of u. Note that if \\spad{u} is \\axiom{shallowlyMutable}, \\axiom{setrest(tail(u),v) = concat(u,v)}.")) (|last| (($ $ (|NonNegativeInteger|)) "\\spad{last(u,n)} returns a copy of the last \\spad{n} (\\axiom{n \\spad{>=} 0}) nodes of u. Note that \\axiom{last(u,n)} is a list of \\spad{n} elements.") ((|#1| $) "\\spad{last(u)} resturn the last element of u. Note that for lists, \\axiom{last(u)=u . (maxIndex u)=u . \\spad{(#} \\spad{u} - 1)}.")) (|rest| (($ $ (|NonNegativeInteger|)) "\\spad{rest(u,n)} returns the \\axiom{n}th \\spad{(n} \\spad{>=} 0) node of u. Note that \\axiom{rest(u,0) = u}.") (($ $) "\\spad{rest(u)} returns an aggregate consisting of all but the first element of \\spad{u} (equivalently, the next node of u).")) (|elt| ((|#1| $ "last") "\\spad{elt(u,\"last\")} (also written: \\axiom{u . last}) is equivalent to last u.") (($ $ "rest") "\\spad{elt(\\%,\"rest\")} (also written: \\axiom{u.rest}) is equivalent to \\axiom{rest u}.") ((|#1| $ "first") "\\spad{elt(u,\"first\")} (also written: \\axiom{u . first}) is equivalent to first u.")) (|first| (($ $ (|NonNegativeInteger|)) "\\spad{first(u,n)} returns a copy of the first \\spad{n} (\\axiom{n \\spad{>=} 0}) elements of u.") ((|#1| $) "\\spad{first(u)} returns the first element of \\spad{u} (equivalently, the value at the current node).")) (|concat| (($ |#1| $) "\\spad{concat(x,u)} returns aggregate consisting of \\spad{x} followed by the elements of u. Note that if \\axiom{v = concat(x,u)} then \\axiom{x = first \\spad{v}} and \\axiom{u = rest \\spad{v}.}") (($ $ $) "\\spad{concat(u,v)} returns an aggregate \\spad{w} consisting of the elements of \\spad{u} followed by the elements of \\spad{v.} Note that \\axiom{v = rest(w,\\#a)}."))) 
+((-4317 . T)) 
 NIL 
-(-1235 |Coef1| |Coef2| UTS1 UTS2) 
-((|constructor| (NIL "Mapping package for univariate Taylor series. This package allows one to apply a function to the coefficients of a univariate Taylor series.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(f,{}g(x))} applies the map \\spad{f} to the coefficients of \\indented{1}{the Taylor series \\spad{g(x)}.}"))) 
+(-1241 |Coef1| |Coef2| UTS1 UTS2) 
+((|constructor| (NIL "Mapping package for univariate Taylor series. This package allows one to apply a function to the coefficients of a univariate Taylor series.")) (|map| ((|#4| (|Mapping| |#2| |#1|) |#3|) "\\spad{map(f,g(x))} applies the map \\spad{f} to the coefficients of \\indented{1}{the Taylor series \\spad{g(x)}.}"))) 
 NIL 
 NIL 
-(-1236 S |Coef|) 
-((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#2|) "\\spad{f(x) ** a} computes a power of a power series. When the coefficient ring is a field,{} we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#2|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#2|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|multiplyCoefficients| (($ (|Mapping| |#2| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = 0..infinity,{}a[n] * x**n))} returns \\spad{sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...} Thus,{} this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#2|) $) "\\spad{coefficients(a0 + a1 x + a2 x**2 + ...)} returns a stream of coefficients: \\spad{[a0,{}a1,{}a2,{}...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#2|)) "\\spad{series([a0,{}a1,{}a2,{}...])} is the Taylor series \\spad{a0 + a1 x + a2 x**2 + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#2|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
+(-1242 S |Coef|) 
+((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#2|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#2|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#2|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#2| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#2|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#2|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#2|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
 NIL 
-((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-960))) (|HasCategory| |#2| (QUOTE (-1183))) (|HasSignature| |#2| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -2565) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1163))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) 
-(-1237 |Coef|) 
-((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),{}y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#1|) "\\spad{f(x) ** a} computes a power of a power series. When the coefficient ring is a field,{} we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k1,{}k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 <= d <= k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,{}k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,{}sum(n = 0..infinity,{}a[n] * x**n))} returns \\spad{sum(n = 0..infinity,{}f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + a1 x + a2 x**2 + ...)} returns \\spad{a1 + a2 x + a3 x**2 + ...} Thus,{} this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(a0 + a1 x + a2 x**2 + ...)} returns a stream of coefficients: \\spad{[a0,{}a1,{}a2,{}...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#1|)) "\\spad{series([a0,{}a1,{}a2,{}...])} is the Taylor series \\spad{a0 + a1 x + a2 x**2 + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms,{} where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
+((|HasCategory| |#2| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#2| (QUOTE (-961))) (|HasCategory| |#2| (QUOTE (-1185))) (|HasSignature| |#2| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#2|)))) (|HasSignature| |#2| (LIST (QUOTE -1324) (LIST (|devaluate| |#2|) (|devaluate| |#2|) (QUOTE (-1165))))) (|HasCategory| |#2| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#2| (QUOTE (-366)))) 
+(-1243 |Coef|) 
+((|constructor| (NIL "\\spadtype{UnivariateTaylorSeriesCategory} is the category of Taylor series in one variable.")) (|integrate| (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $ (|Symbol|)) "\\spad{integrate(f(x),y)} returns an anti-derivative of the power series \\spad{f(x)} with respect to the variable \\spad{y}.") (($ $) "\\spad{integrate(f(x))} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (** (($ $ |#1|) "\\spad{f(x) \\spad{**} a} computes a power of a power series. When the coefficient ring is a field, we may raise a series to an exponent from the coefficient ring provided that the constant coefficient of the series is 1.")) (|polynomial| (((|Polynomial| |#1|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{polynomial(f,k1,k2)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{d} with \\spad{k1 \\spad{<=} \\spad{d} \\spad{<=} k2}.") (((|Polynomial| |#1|) $ (|NonNegativeInteger|)) "\\spad{polynomial(f,k)} returns a polynomial consisting of the sum of all terms of \\spad{f} of degree \\spad{<= \\spad{k}.}")) (|multiplyCoefficients| (($ (|Mapping| |#1| (|Integer|)) $) "\\spad{multiplyCoefficients(f,sum(n = 0..infinity,a[n] * x**n))} returns \\spad{sum(n = 0..infinity,f(n) * a[n] * x**n)}. This function is used when Laurent series are represented by a Taylor series and an order.")) (|quoByVar| (($ $) "\\spad{quoByVar(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns \\spad{a1 + \\spad{a2} \\spad{x} + \\spad{a3} \\spad{x**2} + ...} Thus, this function substracts the constant term and divides by the series variable. This function is used when Laurent series are represented by a Taylor series and an order.")) (|coefficients| (((|Stream| |#1|) $) "\\spad{coefficients(a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...)} returns a stream of coefficients: \\spad{[a0,a1,a2,...]}. The entries of the stream may be zero.")) (|series| (($ (|Stream| |#1|)) "\\spad{series([a0,a1,a2,...])} is the Taylor series \\spad{a0 + \\spad{a1} \\spad{x} + \\spad{a2} \\spad{x**2} + ...}.") (($ (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| |#1|)))) "\\spad{series(st)} creates a series from a stream of non-zero terms, where a term is an exponent-coefficient pair. The terms in the stream should be ordered by increasing order of exponents."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1238 |Coef| |var| |cen|) 
-((|constructor| (NIL "Dense Taylor series in one variable \\spadtype{UnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring,{} the power series variable,{} and the center of the power series expansion. For example,{} \\spadtype{UnivariateTaylorSeries}(Integer,{}\\spad{x},{}3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,{}b,{}f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,{}b,{}f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)},{} and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = x}. Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x^a) + f(x^(a + d)) + \\indented{1}{f(x^(a + 2 d)) + ... }. \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n))) = exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n = 1..infinity,{}f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1239 |Coef| UTS) 
-((|constructor| (NIL "Taylor series solutions of explicit ODE\\spad{'s}. This package provides Taylor series solutions to regular linear or non-linear ordinary differential equations of arbitrary order.")) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) "\\spad{mpsode(r,{}f)} solves the system of differential equations \\spad{dy[i]/dx =f[i] [x,{}y[1],{}y[2],{}...,{}y[n]]},{} \\spad{y[i](a) = r[i]} for \\spad{i} in 1..\\spad{n}.")) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) "\\spad{ode(f,{}cl)} is the solution to \\spad{y<n>=f(y,{}y',{}..,{}y<n-1>)} such that \\spad{y<i>(a) = cl.i} for \\spad{i} in 1..\\spad{n}.")) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) "\\spad{ode2(f,{}c0,{}c1)} is the solution to \\spad{y'' = f(y,{}y')} such that \\spad{y(a) = c0} and \\spad{y'(a) = c1}.")) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) "\\spad{ode1(f,{}c)} is the solution to \\spad{y' = f(y)} such that \\spad{y(a) = c}.")) (|fixedPointExquo| ((|#2| |#2| |#2|) "\\spad{fixedPointExquo(f,{}g)} computes the exact quotient of \\spad{f} and \\spad{g} using a fixed point computation.")) (|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) "\\spad{stFuncN(f)} is a local function xported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) "\\spad{stFunc2(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) "\\spad{stFunc1(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user."))) 
+(-1244 |Coef| |var| |cen|) 
+((|constructor| (NIL "Dense Taylor series in one variable \\spadtype{UnivariateTaylorSeries} is a domain representing Taylor series in one variable with coefficients in an arbitrary ring. The parameters of the type specify the coefficient ring, the power series variable, and the center of the power series expansion. For example, \\spadtype{UnivariateTaylorSeries}(Integer,x,3) represents Taylor series in \\spad{(x - 3)} with \\spadtype{Integer} coefficients.")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n))) = exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1245 |Coef| UTS) 
+((|constructor| (NIL "Taylor series solutions of explicit ODE's. This package provides Taylor series solutions to regular linear or non-linear ordinary differential equations of arbitrary order.")) (|mpsode| (((|List| |#2|) (|List| |#1|) (|List| (|Mapping| |#2| (|List| |#2|)))) "\\spad{mpsode(r,f)} solves the system of differential equations \\spad{dy[i]/dx =f[i] [x,y[1],y[2],...,y[n]]}, \\spad{y[i](a) = r[i]} for \\spad{i} in 1..n.")) (|ode| ((|#2| (|Mapping| |#2| (|List| |#2|)) (|List| |#1|)) "\\spad{ode(f,cl)} is the solution to \\spad{y<n>=f(y,y',..,y<n-1>)} such that \\spad{y<i>(a) = cl.i} for \\spad{i} in 1..n.")) (|ode2| ((|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#1|) "\\spad{ode2(f,c0,c1)} is the solution to \\spad{y'' = f(y,y')} such that \\spad{y(a) = \\spad{c0}} and \\spad{y'(a) = c1}.")) (|ode1| ((|#2| (|Mapping| |#2| |#2|) |#1|) "\\spad{ode1(f,c)} is the solution to \\spad{y' = f(y)} such that \\spad{y(a) = \\spad{c}.}")) (|fixedPointExquo| ((|#2| |#2| |#2|) "\\spad{fixedPointExquo(f,g)} computes the exact quotient of \\spad{f} and \\spad{g} using a fixed point computation.")) (|stFuncN| (((|Mapping| (|Stream| |#1|) (|List| (|Stream| |#1|))) (|Mapping| |#2| (|List| |#2|))) "\\spad{stFuncN(f)} is a local function xported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc2| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2| |#2|)) "\\spad{stFunc2(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user.")) (|stFunc1| (((|Mapping| (|Stream| |#1|) (|Stream| |#1|)) (|Mapping| |#2| |#2|)) "\\spad{stFunc1(f)} is a local function exported due to compiler problem. This function is of no interest to the top-level user."))) 
 NIL 
 NIL 
-(-1240 -1564 UP L UTS) 
-((|constructor| (NIL "\\spad{RUTSodetools} provides tools to interface with the series ODE solver when presented with linear ODEs.")) (RF2UTS ((|#4| (|Fraction| |#2|)) "\\spad{RF2UTS(f)} converts \\spad{f} to a Taylor series.")) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) "\\spad{LODO2FUN(op)} returns the function to pass to the series ODE solver in order to solve \\spad{op y = 0}.")) (UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) "\\spad{UTS2UP(s,{} n)} converts the first \\spad{n} terms of \\spad{s} to a univariate polynomial.")) (UP2UTS ((|#4| |#2|) "\\spad{UP2UTS(p)} converts \\spad{p} to a Taylor series."))) 
+(-1246 -1647 UP L UTS) 
+((|constructor| (NIL "\\spad{RUTSodetools} provides tools to interface with the series ODE solver when presented with linear ODEs.")) (RF2UTS ((|#4| (|Fraction| |#2|)) "\\spad{RF2UTS(f)} converts \\spad{f} to a Taylor series.")) (LODO2FUN (((|Mapping| |#4| (|List| |#4|)) |#3|) "\\spad{LODO2FUN(op)} returns the function to pass to the series ODE solver in order to solve \\spad{op \\spad{y} = 0}.")) (UTS2UP ((|#2| |#4| (|NonNegativeInteger|)) "\\spad{UTS2UP(s, \\spad{n)}} converts the first \\spad{n} terms of \\spad{s} to a univariate polynomial.")) (UP2UTS ((|#4| |#2|) "\\spad{UP2UTS(p)} converts \\spad{p} to a Taylor series."))) 
 NIL 
 ((|HasCategory| |#1| (QUOTE (-559)))) 
-(-1241 -1564 UTSF UTSSUPF) 
+(-1247 -1647 UTSF UTSSUPF) 
 ((|constructor| (NIL "This package has no description"))) 
 NIL 
 NIL 
-(-1242 |Coef| |var|) 
-((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),{}x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,{}b,{}f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,{}b,{}f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)},{} and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = x}. Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),{}a,{}d)} returns \\spad{f(x^a) + f(x^(a + d)) + \\indented{1}{f(x^(a + 2 d)) + ... }. \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n)))=exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n=1..infinity,{}f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1,{} then} \\indented{1}{\\spad{product(n = 1..infinity,{}f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),{}x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,{}k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
-(((-4537 "*") |has| |#1| (-173)) (-4528 |has| |#1| (-559)) (-4529 . T) (-4530 . T) (-4532 . T)) 
-((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-2232 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -896) (QUOTE (-1163)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-764)) (|devaluate| |#1|))))) (|HasCategory| (-764) (QUOTE (-1103))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-764))))) (|HasSignature| |#1| (LIST (QUOTE -2185) (LIST (|devaluate| |#1|) (QUOTE (-1163)))))) (|HasCategory| |#1| (QUOTE (-366))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-960))) (|HasCategory| |#1| (QUOTE (-1183)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -2565) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1163))))) (|HasSignature| |#1| (LIST (QUOTE -1773) (LIST (LIST (QUOTE -635) (QUOTE (-1163))) (|devaluate| |#1|))))))) 
-(-1243 |sym|) 
+(-1248 |Coef| |var|) 
+((|constructor| (NIL "Part of the Package for Algebraic Function Fields in one variable PAFF")) (|integrate| (($ $ (|Variable| |#2|)) "\\spad{integrate(f(x),x)} returns an anti-derivative of the power series \\spad{f(x)} with constant coefficient 0. We may integrate a series when we can divide coefficients by integers.")) (|invmultisect| (($ (|Integer|) (|Integer|) $) "\\spad{invmultisect(a,b,f(x))} substitutes \\spad{x^((a+b)*n)} \\indented{1}{for \\spad{x^n} and multiples by \\spad{x^b}.}")) (|multisect| (($ (|Integer|) (|Integer|) $) "\\spad{multisect(a,b,f(x))} selects the coefficients of \\indented{1}{\\spad{x^((a+b)*n+a)}, and changes this monomial to \\spad{x^n}.}")) (|revert| (($ $) "\\spad{revert(f(x))} returns a Taylor series \\spad{g(x)} such that \\spad{f(g(x)) = g(f(x)) = \\spad{x}.} Series \\spad{f(x)} should have constant coefficient 0 and 1st order coefficient 1.")) (|generalLambert| (($ $ (|Integer|) (|Integer|)) "\\spad{generalLambert(f(x),a,d)} returns \\spad{f(x^a) + f(x^(a + \\spad{d))} + \\indented{1}{f(x^(a + 2 \\spad{d))} + \\spad{...} \\spad{}.} \\spad{f(x)} should have zero constant} \\indented{1}{coefficient and \\spad{a} and \\spad{d} should be positive.}")) (|evenlambert| (($ $) "\\spad{evenlambert(f(x))} returns \\spad{f(x^2) + f(x^4) + f(x^6) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n)))=exp(log(evenlambert(f(x))))}.}")) (|oddlambert| (($ $) "\\spad{oddlambert(f(x))} returns \\spad{f(x) + f(x^3) + f(x^5) + ...}. \\indented{1}{\\spad{f(x)} should have a zero constant coefficient.} \\indented{1}{This function is used for computing infinite products.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n=1..infinity,f(x^(2*n-1)))=exp(log(oddlambert(f(x))))}.}")) (|lambert| (($ $) "\\spad{lambert(f(x))} returns \\spad{f(x) + f(x^2) + f(x^3) + ...}. \\indented{1}{This function is used for computing infinite products.} \\indented{1}{\\spad{f(x)} should have zero constant coefficient.} \\indented{1}{If \\spad{f(x)} is a Taylor series with constant term 1, then} \\indented{1}{\\spad{product(n = 1..infinity,f(x^n)) = exp(log(lambert(f(x))))}.}")) (|lagrange| (($ $) "\\spad{lagrange(g(x))} produces the Taylor series for \\spad{f(x)} \\indented{1}{where \\spad{f(x)} is implicitly defined as \\spad{f(x) = x*g(f(x))}.}")) (|differentiate| (($ $ (|Variable| |#2|)) "\\spad{differentiate(f(x),x)} computes the derivative of \\spad{f(x)} with respect to \\spad{x}.")) (|univariatePolynomial| (((|UnivariatePolynomial| |#2| |#1|) $ (|NonNegativeInteger|)) "\\spad{univariatePolynomial(f,k)} returns a univariate polynomial \\indented{1}{consisting of the sum of all terms of \\spad{f} of degree \\spad{<= k}.}")) (|coerce| (($ (|Variable| |#2|)) "\\spad{coerce(var)} converts the series variable \\spad{var} into a \\indented{1}{Taylor series.}") (($ (|UnivariatePolynomial| |#2| |#1|)) "\\spad{coerce(p)} converts a univariate polynomial \\spad{p} in the variable \\spad{var} to a univariate Taylor series in \\spad{var}."))) 
+(((-4573 "*") |has| |#1| (-173)) (-4564 |has| |#1| (-559)) (-4565 . T) (-4566 . T) (-4568 . T)) 
+((|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#1| (QUOTE (-173))) (-1929 (|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-559)))) (|HasCategory| |#1| (QUOTE (-149))) (|HasCategory| |#1| (QUOTE (-151))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -897) (QUOTE (-1165)))) (|HasSignature| |#1| (LIST (QUOTE *) (LIST (|devaluate| |#1|) (QUOTE (-765)) (|devaluate| |#1|))))) (|HasCategory| (-765) (QUOTE (-1105))) (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (-12 (|HasSignature| |#1| (LIST (QUOTE **) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-765))))) (|HasSignature| |#1| (LIST (QUOTE -3956) (LIST (|devaluate| |#1|) (QUOTE (-1165)))))) (|HasCategory| |#1| (QUOTE (-366))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -29) (QUOTE (-569)))) (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasCategory| |#1| (QUOTE (-961))) (|HasCategory| |#1| (QUOTE (-1185)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -43) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasSignature| |#1| (LIST (QUOTE -1324) (LIST (|devaluate| |#1|) (|devaluate| |#1|) (QUOTE (-1165))))) (|HasSignature| |#1| (LIST (QUOTE -3195) (LIST (LIST (QUOTE -635) (QUOTE (-1165))) (|devaluate| |#1|))))))) 
+(-1249 |sym|) 
 ((|constructor| (NIL "This domain implements variables")) (|variable| (((|Symbol|)) "\\spad{variable()} returns the symbol")) (|coerce| (((|Symbol|) $) "\\spad{coerce(x)} returns the symbol"))) 
 NIL 
 NIL 
-(-1244 S R) 
-((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects,{} \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(\\spad{u},{}\\spad{v}) constructs the cross product of \\spad{u} and \\spad{v}. Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,{}v)} constructs the matrix whose (\\spad{i},{}\\spad{j})\\spad{'}th element is \\spad{u}(\\spad{i})\\spad{*v}(\\spad{j}).")) (|dot| ((|#2| $ $) "\\spad{dot(x,{}y)} computes the inner product of the two vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * r} multiplies each component of the vector \\spad{y} by the element \\spad{r}.") (($ |#2| $) "\\spad{r * y} multiplies the element \\spad{r} times each component of the vector \\spad{y}.") (($ (|Integer|) $) "\\spad{n * y} multiplies each component of the vector \\spad{y} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x - y} returns the component-wise difference of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x}.")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n}.")) (+ (($ $ $) "\\spad{x + y} returns the component-wise sum of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
+(-1250 S R) 
+((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#2| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the length")) (|length| ((|#2| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(u,v) constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#2|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#2| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#2|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#2| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
 NIL 
-((|HasCategory| |#2| (QUOTE (-1003))) (|HasCategory| |#2| (QUOTE (-1048))) (|HasCategory| |#2| (QUOTE (-717))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
-(-1245 R) 
-((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects,{} \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(\\spad{v},{}\\spad{v})),{} \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(\\spad{u},{}\\spad{v}) constructs the cross product of \\spad{u} and \\spad{v}. Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,{}v)} constructs the matrix whose (\\spad{i},{}\\spad{j})\\spad{'}th element is \\spad{u}(\\spad{i})\\spad{*v}(\\spad{j}).")) (|dot| ((|#1| $ $) "\\spad{dot(x,{}y)} computes the inner product of the two vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * r} multiplies each component of the vector \\spad{y} by the element \\spad{r}.") (($ |#1| $) "\\spad{r * y} multiplies the element \\spad{r} times each component of the vector \\spad{y}.") (($ (|Integer|) $) "\\spad{n * y} multiplies each component of the vector \\spad{y} by the integer \\spad{n}.")) (- (($ $ $) "\\spad{x - y} returns the component-wise difference of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x}.")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n}.")) (+ (($ $ $) "\\spad{x + y} returns the component-wise sum of the vectors \\spad{x} and \\spad{y}. Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
-((-4536 . T) (-4535 . T) (-2982 . T)) 
+((|HasCategory| |#2| (QUOTE (-1004))) (|HasCategory| |#2| (QUOTE (-1049))) (|HasCategory| |#2| (QUOTE (-718))) (|HasCategory| |#2| (QUOTE (-21))) (|HasCategory| |#2| (QUOTE (-23))) (|HasCategory| |#2| (QUOTE (-25)))) 
+(-1251 R) 
+((|constructor| (NIL "\\spadtype{VectorCategory} represents the type of vector like objects, \\spadignore{i.e.} finite sequences indexed by some finite segment of the integers. The operations available on vectors depend on the structure of the underlying components. Many operations from the component domain are defined for vectors componentwise. It can by assumed that extraction or updating components can be done in constant time.")) (|magnitude| ((|#1| $) "\\spad{magnitude(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the length")) (|length| ((|#1| $) "\\spad{length(v)} computes the sqrt(dot(v,v)), \\spadignore{i.e.} the magnitude")) (|cross| (($ $ $) "vectorProduct(u,v) constructs the cross product of \\spad{u} and \\spad{v.} Error: if \\spad{u} and \\spad{v} are not of length 3.")) (|outerProduct| (((|Matrix| |#1|) $ $) "\\spad{outerProduct(u,v)} constructs the matrix whose (i,j)'th element is u(i)*v(j).")) (|dot| ((|#1| $ $) "\\spad{dot(x,y)} computes the inner product of the two vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.")) (* (($ $ |#1|) "\\spad{y * \\spad{r}} multiplies each component of the vector \\spad{y} by the element \\spad{r.}") (($ |#1| $) "\\spad{r * \\spad{y}} multiplies the element \\spad{r} times each component of the vector \\spad{y.}") (($ (|Integer|) $) "\\spad{n * \\spad{y}} multiplies each component of the vector \\spad{y} by the integer \\spad{n.}")) (- (($ $ $) "\\spad{x - \\spad{y}} returns the component-wise difference of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length.") (($ $) "\\spad{-x} negates all components of the vector \\spad{x.}")) (|zero| (($ (|NonNegativeInteger|)) "\\spad{zero(n)} creates a zero vector of length \\spad{n.}")) (+ (($ $ $) "\\spad{x + \\spad{y}} returns the component-wise sum of the vectors \\spad{x} and \\spad{y.} Error: if \\spad{x} and \\spad{y} are not of the same length."))) 
+((-4572 . T) (-4571 . T) (-4317 . T)) 
 NIL 
-(-1246 A B) 
-((|constructor| (NIL "This package provides operations which all take as arguments vectors of elements of some type \\spad{A} and functions from \\spad{A} to another of type \\spad{B}. The operations all iterate over their vector argument and either return a value of type \\spad{B} or a vector over \\spad{B}.")) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values or \\spad{\"failed\"}.") (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) "\\spad{map(f,{} v)} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{reduce(func,{}vec,{}ident)} combines the elements in \\spad{vec} using the binary function \\spad{func}. Argument \\spad{ident} is returned if \\spad{vec} is empty.")) (|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{scan(func,{}vec,{}ident)} creates a new vector whose elements are the result of applying reduce to the binary function \\spad{func},{} increasing initial subsequences of the vector \\spad{vec},{} and the element \\spad{ident}."))) 
+(-1252 A B) 
+((|constructor| (NIL "This package provides operations which all take as arguments vectors of elements of some type \\spad{A} and functions from \\spad{A} to another of type \\spad{B.} The operations all iterate over their vector argument and either return a value of type \\spad{B} or a vector over \\spad{B.}")) (|map| (((|Union| (|Vector| |#2|) "failed") (|Mapping| (|Union| |#2| "failed") |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values or \\spad{\"failed\"}.") (((|Vector| |#2|) (|Mapping| |#2| |#1|) (|Vector| |#1|)) "\\spad{map(f, \\spad{v)}} applies the function \\spad{f} to every element of the vector \\spad{v} producing a new vector containing the values.")) (|reduce| ((|#2| (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{reduce(func,vec,ident)} combines the elements in \\spad{vec} using the binary function func. Argument \\spad{ident} is returned if \\spad{vec} is empty.")) (|scan| (((|Vector| |#2|) (|Mapping| |#2| |#1| |#2|) (|Vector| |#1|) |#2|) "\\spad{scan(func,vec,ident)} creates a new vector whose elements are the result of applying reduce to the binary function func, increasing initial subsequences of the vector vec, and the element ident."))) 
 NIL 
 NIL 
-(-1247 R) 
+(-1253 R) 
 ((|constructor| (NIL "This type represents vector like objects with varying lengths and indexed by a finite segment of integers starting at 1.")) (|vector| (($ (|List| |#1|)) "\\spad{vector(l)} converts the list \\spad{l} to a vector."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#1| (QUOTE (-1091))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-843))) (-2232 (|HasCategory| |#1| (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-1091)))) (|HasCategory| (-569) (QUOTE (-843))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-717))) (|HasCategory| |#1| (QUOTE (-1048))) (-12 (|HasCategory| |#1| (QUOTE (-1003))) (|HasCategory| |#1| (QUOTE (-1048)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))) (-2232 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-843)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1091)))))) 
-(-1248) 
-((|constructor| (NIL "TwoDimensionalViewport creates viewports to display graphs.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} returns the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport} as output of the domain \\spadtype{OutputForm}.")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} back to their initial settings.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,{}s,{}lf)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v} and the optional file types indicated by the list \\spad{lf}.") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,{}s,{}f)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v} and an optional file type \\spad{f}.") (((|String|) $ (|String|)) "\\spad{write(v,{}s)} takes the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data files for \\spad{v}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,{}w,{}h)} displays the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with a width of \\spad{w} and a height of \\spad{h},{} keeping the upper left-hand corner position unchanged.")) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{update(v,{}gr,{}n)} drops the graph \\spad{gr} in slot \\spad{n} of viewport \\spad{v}. The graph \\spad{gr} must have been transmitted already and acquired an integer key.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,{}x,{}y)} displays the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x},{} \\spad{y}.")) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{show(v,{}n,{}s)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the graph if \\spad{s} is \"off\".")) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{translate(v,{}n,{}dx,{}dy)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} translated by \\spad{dx} in the \\spad{x}-coordinate direction from the center of the viewport,{} and by \\spad{dy} in the \\spad{y}-coordinate direction from the center. Setting \\spad{dx} and \\spad{dy} to \\spad{0} places the center of the graph at the center of the viewport.")) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{scale(v,{}n,{}sx,{}sy)} displays the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} scaled by the factor \\spad{sx} in the \\spad{x}-coordinate direction and by the factor \\spad{sy} in the \\spad{y}-coordinate direction.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,{}x,{}y,{}width,{}height)} sets the position of the upper left-hand corner of the two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} to the window coordinate \\spad{x},{} \\spad{y},{} and sets the dimensions of the window to that of \\spad{width},{} \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport2D} is executed again for \\spad{v}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} and terminates the corresponding process ID.")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,{}s)} displays the control panel of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or hides the control panel if \\spad{s} is \"off\".")) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{connect(v,{}n,{}s)} displays the lines connecting the graph points in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the lines if \\spad{s} is \"off\".")) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{region(v,{}n,{}s)} displays the bounding box of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the bounding box if \\spad{s} is \"off\".")) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{points(v,{}n,{}s)} displays the points of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the points if \\spad{s} is \"off\".")) (|units| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{units(v,{}n,{}c)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the units color set to the given palette color \\spad{c}.") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{units(v,{}n,{}s)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the units if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{axes(v,{}n,{}c)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} with the axes color set to the given palette color \\spad{c}.") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{axes(v,{}n,{}s)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the axes if \\spad{s} is \"off\".")) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) "\\spad{getGraph(v,{}n)} returns the graph which is of the domain \\spadtype{GraphImage} which is located in graph field \\spad{n} of the given two-dimensional viewport,{} \\spad{v},{} which is of the domain \\spadtype{TwoDimensionalViewport}.")) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{putGraph(v,{}\\spad{gi},{}n)} sets the graph field indicated by \\spad{n},{} of the indicated two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport},{} to be the graph,{} \\spad{\\spad{gi}} of domain \\spadtype{GraphImage}. The contents of viewport,{} \\spad{v},{} will contain \\spad{\\spad{gi}} when the function \\spadfun{makeViewport2D} is called to create the an updated viewport \\spad{v}.")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,{}s)} changes the title which is shown in the two-dimensional viewport window,{} \\spad{v} of domain \\spadtype{TwoDimensionalViewport}.")) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) "\\spad{graphs(v)} returns a vector,{} or list,{} which is a union of all the graphs,{} of the domain \\spadtype{GraphImage},{} which are allocated for the two-dimensional viewport,{} \\spad{v},{} of domain \\spadtype{TwoDimensionalViewport}. Those graphs which have no data are labeled \"undefined\",{} otherwise their contents are shown.")) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) "\\spad{graphStates(v)} returns and shows a listing of a record containing the current state of the characteristics of each of the ten graph records in the given two-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) "\\spad{graphState(v,{}num,{}sX,{}sY,{}dX,{}dY,{}pts,{}lns,{}box,{}axes,{}axesC,{}un,{}unC,{}cP)} sets the state of the characteristics for the graph indicated by \\spad{num} in the given two-dimensional viewport \\spad{v},{} of domain \\spadtype{TwoDimensionalViewport},{} to the values given as parameters. The scaling of the graph in the \\spad{x} and \\spad{y} component directions is set to be \\spad{sX} and \\spad{sY}; the window translation in the \\spad{x} and \\spad{y} component directions is set to be \\spad{dX} and \\spad{dY}; The graph points,{} lines,{} bounding \\spad{box},{} \\spad{axes},{} or units will be shown in the viewport if their given parameters \\spad{pts},{} \\spad{lns},{} \\spad{box},{} \\spad{axes} or \\spad{un} are set to be \\spad{1},{} but will not be shown if they are set to \\spad{0}. The color of the \\spad{axes} and the color of the units are indicated by the palette colors \\spad{axesC} and \\spad{unC} respectively. To display the control panel when the viewport window is displayed,{} set \\spad{cP} to \\spad{1},{} otherwise set it to \\spad{0}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,{}lopt)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and returns \\spad{v} with it\\spad{'s} draw options modified to be those which are indicated in the given list,{} \\spad{lopt} of domain \\spadtype{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and returns a list containing the draw options from the domain \\spadtype{DrawOption} for \\spad{v}.")) (|makeViewport2D| (($ (|GraphImage|) (|List| (|DrawOption|))) "\\spad{makeViewport2D(\\spad{gi},{}lopt)} creates and displays a viewport window of the domain \\spadtype{TwoDimensionalViewport} whose graph field is assigned to be the given graph,{} \\spad{\\spad{gi}},{} of domain \\spadtype{GraphImage},{} and whose options field is set to be the list of options,{} \\spad{lopt} of domain \\spadtype{DrawOption}.") (($ $) "\\spad{makeViewport2D(v)} takes the given two-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{TwoDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v}.")) (|viewport2D| (($) "\\spad{viewport2D()} returns an undefined two-dimensional viewport of the domain \\spadtype{TwoDimensionalViewport} whose contents are empty.")) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) "\\spad{getPickedPoints(x)} returns a list of small floats for the points the user interactively picked on the viewport for full integration into the system,{} some design issues need to be addressed: \\spadignore{e.g.} how to go through the GraphImage interface,{} how to default to graphs,{} etc."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#1| (QUOTE (-1093))) (|HasCategory| |#1| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#1| (QUOTE (-844))) (-1929 (|HasCategory| |#1| (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-1093)))) (|HasCategory| (-569) (QUOTE (-844))) (|HasCategory| |#1| (QUOTE (-25))) (|HasCategory| |#1| (QUOTE (-23))) (|HasCategory| |#1| (QUOTE (-21))) (|HasCategory| |#1| (QUOTE (-718))) (|HasCategory| |#1| (QUOTE (-1049))) (-12 (|HasCategory| |#1| (QUOTE (-1004))) (|HasCategory| |#1| (QUOTE (-1049)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))) (-1929 (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-844)))) (-12 (|HasCategory| |#1| (LIST (QUOTE -304) (|devaluate| |#1|))) (|HasCategory| |#1| (QUOTE (-1093)))))) 
+(-1254) 
+((|constructor| (NIL "TwoDimensionalViewport creates viewports to display graphs.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} returns the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport} as output of the domain \\spadtype{OutputForm}.")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, back to their initial settings.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data files for \\spad{v.}")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|update| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{update(v,gr,n)} drops the graph \\spad{gr} in slot \\spad{n} of viewport \\spad{v}. The graph \\spad{gr} must have been transmitted already and acquired an integer key.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|show| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{show(v,n,s)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the graph if \\spad{s} is \"off\".")) (|translate| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{translate(v,n,dx,dy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, translated by \\spad{dx} in the x-coordinate direction from the center of the viewport, and by \\spad{dy} in the y-coordinate direction from the center. Setting \\spad{dx} and \\spad{dy} to \\spad{0} places the center of the graph at the center of the viewport.")) (|scale| (((|Void|) $ (|PositiveInteger|) (|Float|) (|Float|)) "\\spad{scale(v,n,sx,sy)} displays the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, scaled by the factor \\spad{sx} in the x-coordinate direction and by the factor \\spad{sy} in the y-coordinate direction.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport2D} is executed again for \\spad{v.}")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, and terminates the corresponding process ID.")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|connect| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{connect(v,n,s)} displays the lines connecting the graph points in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the lines if \\spad{s} is \"off\".")) (|region| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{region(v,n,s)} displays the bounding box of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the bounding box if \\spad{s} is \"off\".")) (|points| (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{points(v,n,s)} displays the points of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the points if \\spad{s} is \"off\".")) (|units| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{units(v,n,c)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the units color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{units(v,n,s)} displays the units of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the units if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|PositiveInteger|) (|Palette|)) "\\spad{axes(v,n,c)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, with the axes color set to the given palette color \\spad{c.}") (((|Void|) $ (|PositiveInteger|) (|String|)) "\\spad{axes(v,n,s)} displays the axes of the graph in field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|getGraph| (((|GraphImage|) $ (|PositiveInteger|)) "\\spad{getGraph(v,n)} returns the graph which is of the domain \\spadtype{GraphImage} which is located in graph field \\spad{n} of the given two-dimensional viewport, \\spad{v,} which is of the domain \\spadtype{TwoDimensionalViewport}.")) (|putGraph| (((|Void|) $ (|GraphImage|) (|PositiveInteger|)) "\\spad{putGraph(v,gi,n)} sets the graph field indicated by \\spad{n,} of the indicated two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}, to be the graph, \\spad{gi} of domain \\spadtype{GraphImage}. The contents of viewport, \\spad{v,} will contain \\spad{gi} when the function \\spadfun{makeViewport2D} is called to create the an updated viewport \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the two-dimensional viewport window, \\spad{v} of domain \\spadtype{TwoDimensionalViewport}.")) (|graphs| (((|Vector| (|Union| (|GraphImage|) "undefined")) $) "\\spad{graphs(v)} returns a vector, or list, which is a union of all the graphs, of the domain \\spadtype{GraphImage}, which are allocated for the two-dimensional viewport, \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}. Those graphs which have no data are labeled \"undefined\", otherwise their contents are shown.")) (|graphStates| (((|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|)))) $) "\\spad{graphStates(v)} returns and shows a listing of a record containing the current state of the characteristics of each of the ten graph records in the given two-dimensional viewport, \\spad{v,} which is of domain \\spadtype{TwoDimensionalViewport}.")) (|graphState| (((|Void|) $ (|PositiveInteger|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|Integer|) (|Integer|) (|Integer|) (|Integer|) (|Palette|) (|Integer|) (|Palette|) (|Integer|)) "\\spad{graphState(v,num,sX,sY,dX,dY,pts,lns,box,axes,axesC,un,unC,cP)} sets the state of the characteristics for the graph indicated by \\spad{num} in the given two-dimensional viewport \\spad{v,} of domain \\spadtype{TwoDimensionalViewport}, to the values given as parameters. The scaling of the graph in the \\spad{x} and \\spad{y} component directions is set to be \\spad{sX} and \\spad{sY}; the window translation in the \\spad{x} and \\spad{y} component directions is set to be \\spad{dX} and \\spad{dY}; The graph points, lines, bounding box, axes, or units will be shown in the viewport if their given parameters \\spad{pts}, \\spad{lns}, \\spad{box}, \\spad{axes} or \\spad{un} are set to be \\spad{1}, but will not be shown if they are set to \\spad{0}. The color of the \\spad{axes} and the color of the units are indicated by the palette colors \\spad{axesC} and \\spad{unC} respectively. To display the control panel when the viewport window is displayed, set \\spad{cP} to \\spad{1}, otherwise set it to \\spad{0}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns \\spad{v} with it's draw options modified to be those which are indicated in the given list, \\spad{lopt} of domain \\spadtype{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and returns a list containing the draw options from the domain \\spadtype{DrawOption} for \\spad{v.}")) (|makeViewport2D| (($ (|GraphImage|) (|List| (|DrawOption|))) "\\spad{makeViewport2D(gi,lopt)} creates and displays a viewport window of the domain \\spadtype{TwoDimensionalViewport} whose graph field is assigned to be the given graph, \\spad{gi}, of domain \\spadtype{GraphImage}, and whose options field is set to be the list of options, \\spad{lopt} of domain \\spadtype{DrawOption}.") (($ $) "\\spad{makeViewport2D(v)} takes the given two-dimensional viewport, \\spad{v,} of the domain \\spadtype{TwoDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport2D| (($) "\\spad{viewport2D()} returns an undefined two-dimensional viewport of the domain \\spadtype{TwoDimensionalViewport} whose contents are empty.")) (|getPickedPoints| (((|List| (|Point| (|DoubleFloat|))) $) "\\spad{getPickedPoints(x)} returns a list of small floats for the points the user interactively picked on the viewport for full integration into the system, some design issues need to be addressed: \\spadignore{e.g.} how to go through the GraphImage interface, how to default to graphs, etc."))) 
 NIL 
 NIL 
-(-1249) 
-((|constructor| (NIL "ThreeDimensionalViewport creates viewports to display graphs")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and terminates the corresponding process ID.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,{}s,{}lf)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v} and the optional file types indicated by the list \\spad{lf}.") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,{}s,{}f)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v} and an optional file type \\spad{f}.") (((|String|) $ (|String|)) "\\spad{write(v,{}s)} takes the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} and creates a directory indicated by \\spad{s},{} which contains the graph data file for \\spad{v}.")) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) "\\spad{colorDef(v,{}c1,{}c2)} sets the range of colors along the colormap so that the lower end of the colormap is defined by \\spad{c1} and the top end of the colormap is defined by \\spad{c2},{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} back to their initial settings.")) (|intensity| (((|Void|) $ (|Float|)) "\\spad{intensity(v,{}i)} sets the intensity of the light source to \\spad{i},{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{lighting(v,{}x,{}y,{}z)} sets the position of the light source to the coordinates \\spad{x},{} \\spad{y},{} and \\spad{z} and displays the graph for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|clipSurface| (((|Void|) $ (|String|)) "\\spad{clipSurface(v,{}s)} displays the graph with the specified clipping region removed if \\spad{s} is \"on\",{} or displays the graph without clipping implemented if \\spad{s} is \"off\",{} for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|showClipRegion| (((|Void|) $ (|String|)) "\\spad{showClipRegion(v,{}s)} displays the clipping region of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the region if \\spad{s} is \"off\".")) (|showRegion| (((|Void|) $ (|String|)) "\\spad{showRegion(v,{}s)} displays the bounding box of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the box if \\spad{s} is \"off\".")) (|hitherPlane| (((|Void|) $ (|Float|)) "\\spad{hitherPlane(v,{}h)} sets the hither clipping plane of the graph to \\spad{h},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|eyeDistance| (((|Void|) $ (|Float|)) "\\spad{eyeDistance(v,{}d)} sets the distance of the observer from the center of the graph to \\spad{d},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|perspective| (((|Void|) $ (|String|)) "\\spad{perspective(v,{}s)} displays the graph in perspective if \\spad{s} is \"on\",{} or does not display perspective if \\spad{s} is \"off\" for the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|translate| (((|Void|) $ (|Float|) (|Float|)) "\\spad{translate(v,{}dx,{}dy)} sets the horizontal viewport offset to \\spad{dx} and the vertical viewport offset to \\spad{dy},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|zoom| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{zoom(v,{}sx,{}sy,{}sz)} sets the graph scaling factors for the \\spad{x}-coordinate axis to \\spad{sx},{} the \\spad{y}-coordinate axis to \\spad{sy} and the \\spad{z}-coordinate axis to \\spad{sz} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.") (((|Void|) $ (|Float|)) "\\spad{zoom(v,{}s)} sets the graph scaling factor to \\spad{s},{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|rotate| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{rotate(v,{}th,{}phi)} rotates the graph to the longitudinal view angle \\spad{th} degrees and the latitudinal view angle \\spad{phi} degrees for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new rotation position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{rotate(v,{}th,{}phi)} rotates the graph to the longitudinal view angle \\spad{th} radians and the latitudinal view angle \\spad{phi} radians for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|drawStyle| (((|Void|) $ (|String|)) "\\spad{drawStyle(v,{}s)} displays the surface for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport} in the style of drawing indicated by \\spad{s}. If \\spad{s} is not a valid drawing style the style is wireframe by default. Possible styles are \\spad{\"shade\"},{} \\spad{\"solid\"} or \\spad{\"opaque\"},{} \\spad{\"smooth\"},{} and \\spad{\"wireMesh\"}.")) (|outlineRender| (((|Void|) $ (|String|)) "\\spad{outlineRender(v,{}s)} displays the polygon outline showing either triangularized surface or a quadrilateral surface outline depending on the whether the \\spadfun{diagonals} function has been set,{} for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the polygon outline if \\spad{s} is \"off\".")) (|diagonals| (((|Void|) $ (|String|)) "\\spad{diagonals(v,{}s)} displays the diagonals of the polygon outline showing a triangularized surface instead of a quadrilateral surface outline,{} for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the diagonals if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|String|)) "\\spad{axes(v,{}s)} displays the axes of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or does not display the axes if \\spad{s} is \"off\".")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,{}s)} displays the control panel of the given three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} if \\spad{s} is \"on\",{} or hides the control panel if \\spad{s} is \"off\".")) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}rotx,{}roty,{}rotz)} sets the rotation about the \\spad{x}-axis to be \\spad{rotx} radians,{} sets the rotation about the \\spad{y}-axis to be \\spad{roty} radians,{} and sets the rotation about the \\spad{z}-axis to be \\spad{rotz} radians,{} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and displays \\spad{v} with the new view position.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi)} sets the longitudinal view angle to \\spad{th} radians and the latitudinal view angle to \\spad{phi} radians for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi,{}s,{}dx,{}dy)} sets the longitudinal view angle to \\spad{th} degrees,{} the latitudinal view angle to \\spad{phi} degrees,{} the scale factor to \\spad{s},{} the horizontal viewport offset to \\spad{dx},{} and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.") (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(v,{}viewpt)} sets the viewpoint for the viewport. The viewport record consists of the latitudal and longitudal angles,{} the zoom factor,{} the \\spad{x},{}\\spad{y} and \\spad{z} scales,{} and the \\spad{x} and \\spad{y} displacements.") (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) "\\spad{viewpoint(v)} returns the current viewpoint setting of the given viewport,{} \\spad{v}. This function is useful in the situation where the user has created a viewport,{} proceeded to interact with it via the control panel and desires to save the values of the viewpoint as the default settings for another viewport to be created using the system.") (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,{}th,{}phi,{}s,{}dx,{}dy)} sets the longitudinal view angle to \\spad{th} radians,{} the latitudinal view angle to \\spad{phi} radians,{} the scale factor to \\spad{s},{} the horizontal viewport offset to \\spad{dx},{} and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,{}x,{}y,{}width,{}height)} sets the position of the upper left-hand corner of the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} to the window coordinate \\spad{x},{} \\spad{y},{} and sets the dimensions of the window to that of \\spad{width},{} \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v}.")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,{}s)} changes the title which is shown in the three-dimensional viewport window,{} \\spad{v} of domain \\spadtype{ThreeDimensionalViewport}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,{}w,{}h)} displays the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} with a width of \\spad{w} and a height of \\spad{h},{} keeping the upper left-hand corner position unchanged.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,{}x,{}y)} displays the three-dimensional viewport,{} \\spad{v},{} which is of domain \\spadtype{ThreeDimensionalViewport},{} with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x},{} \\spad{y}.")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,{}lopt)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and sets the draw options being used by \\spad{v} to those indicated in the list,{} \\spad{lopt},{} which is a list of options from the domain \\spad{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport} and returns a list of all the draw options from the domain \\spad{DrawOption} which are being used by \\spad{v}.")) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) "\\spad{modifyPointData(v,{}ind,{}pt)} takes the viewport,{} \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} and places the data point,{} \\spad{pt} into the list of points database of \\spad{v} at the index location given by \\spad{ind}.")) (|subspace| (($ $ (|ThreeSpace| (|DoubleFloat|))) "\\spad{subspace(v,{}sp)} places the contents of the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} in the subspace \\spad{sp},{} which is of the domain \\spad{ThreeSpace}.") (((|ThreeSpace| (|DoubleFloat|)) $) "\\spad{subspace(v)} returns the contents of the viewport \\spad{v},{} which is of the domain \\spadtype{ThreeDimensionalViewport},{} as a subspace of the domain \\spad{ThreeSpace}.")) (|makeViewport3D| (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{makeViewport3D(sp,{}lopt)} takes the given space,{} \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp},{} and whose draw options are indicated by the list \\spad{lopt},{} which is a list of options from the domain \\spad{DrawOption}.") (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) "\\spad{makeViewport3D(sp,{}s)} takes the given space,{} \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp},{} and whose title is given by \\spad{s}.") (($ $) "\\spad{makeViewport3D(v)} takes the given three-dimensional viewport,{} \\spad{v},{} of the domain \\spadtype{ThreeDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v}.")) (|viewport3D| (($) "\\spad{viewport3D()} returns an undefined three-dimensional viewport of the domain \\spadtype{ThreeDimensionalViewport} whose contents are empty.")) (|viewDeltaYDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaYDefault(dy)} sets the current default vertical offset from the center of the viewport window to be \\spad{dy} and returns \\spad{dy}.") (((|Float|)) "\\spad{viewDeltaYDefault()} returns the current default vertical offset from the center of the viewport window.")) (|viewDeltaXDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaXDefault(dx)} sets the current default horizontal offset from the center of the viewport window to be \\spad{dx} and returns \\spad{dx}.") (((|Float|)) "\\spad{viewDeltaXDefault()} returns the current default horizontal offset from the center of the viewport window.")) (|viewZoomDefault| (((|Float|) (|Float|)) "\\spad{viewZoomDefault(s)} sets the current default graph scaling value to \\spad{s} and returns \\spad{s}.") (((|Float|)) "\\spad{viewZoomDefault()} returns the current default graph scaling value.")) (|viewPhiDefault| (((|Float|) (|Float|)) "\\spad{viewPhiDefault(p)} sets the current default latitudinal view angle in radians to the value \\spad{p} and returns \\spad{p}.") (((|Float|)) "\\spad{viewPhiDefault()} returns the current default latitudinal view angle in radians.")) (|viewThetaDefault| (((|Float|) (|Float|)) "\\spad{viewThetaDefault(t)} sets the current default longitudinal view angle in radians to the value \\spad{t} and returns \\spad{t}.") (((|Float|)) "\\spad{viewThetaDefault()} returns the current default longitudinal view angle in radians."))) 
+(-1255) 
+((|constructor| (NIL "ThreeDimensionalViewport creates viewports to display graphs")) (|key| (((|Integer|) $) "\\spad{key(v)} returns the process ID number of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|close| (((|Void|) $) "\\spad{close(v)} closes the viewport window of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and terminates the corresponding process ID.")) (|write| (((|String|) $ (|String|) (|List| (|String|))) "\\spad{write(v,s,lf)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and the optional file types indicated by the list \\spad{lf.}") (((|String|) $ (|String|) (|String|)) "\\spad{write(v,s,f)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v} and an optional file type \\spad{f.}") (((|String|) $ (|String|)) "\\spad{write(v,s)} takes the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, and creates a directory indicated by \\spad{s,} which contains the graph data file for \\spad{v.}")) (|colorDef| (((|Void|) $ (|Color|) (|Color|)) "\\spad{colorDef(v,c1,c2)} sets the range of colors along the colormap so that the lower end of the colormap is defined by \\spad{c1} and the top end of the colormap is defined by \\spad{c2}, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|reset| (((|Void|) $) "\\spad{reset(v)} sets the current state of the graph characteristics of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, back to their initial settings.")) (|intensity| (((|Void|) $ (|Float|)) "\\spad{intensity(v,i)} sets the intensity of the light source to i, for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|lighting| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{lighting(v,x,y,z)} sets the position of the light source to the coordinates \\spad{x,} \\spad{y,} and \\spad{z} and displays the graph for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|clipSurface| (((|Void|) $ (|String|)) "\\spad{clipSurface(v,s)} displays the graph with the specified clipping region removed if \\spad{s} is \"on\", or displays the graph without clipping implemented if \\spad{s} is \"off\", for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|showClipRegion| (((|Void|) $ (|String|)) "\\spad{showClipRegion(v,s)} displays the clipping region of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the region if \\spad{s} is \"off\".")) (|showRegion| (((|Void|) $ (|String|)) "\\spad{showRegion(v,s)} displays the bounding box of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the box if \\spad{s} is \"off\".")) (|hitherPlane| (((|Void|) $ (|Float|)) "\\spad{hitherPlane(v,h)} sets the hither clipping plane of the graph to \\spad{h,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|eyeDistance| (((|Void|) $ (|Float|)) "\\spad{eyeDistance(v,d)} sets the distance of the observer from the center of the graph to \\spad{d,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|perspective| (((|Void|) $ (|String|)) "\\spad{perspective(v,s)} displays the graph in perspective if \\spad{s} is \"on\", or does not display perspective if \\spad{s} is \"off\" for the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}.")) (|translate| (((|Void|) $ (|Float|) (|Float|)) "\\spad{translate(v,dx,dy)} sets the horizontal viewport offset to \\spad{dx} and the vertical viewport offset to \\spad{dy}, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|zoom| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{zoom(v,sx,sy,sz)} sets the graph scaling factors for the x-coordinate axis to \\spad{sx}, the y-coordinate axis to \\spad{sy} and the z-coordinate axis to \\spad{sz} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.") (((|Void|) $ (|Float|)) "\\spad{zoom(v,s)} sets the graph scaling factor to \\spad{s,} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|rotate| (((|Void|) $ (|Integer|) (|Integer|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} degrees and the latitudinal view angle \\spad{phi} degrees for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new rotation position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Float|) (|Float|)) "\\spad{rotate(v,th,phi)} rotates the graph to the longitudinal view angle \\spad{th} radians and the latitudinal view angle \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}.")) (|drawStyle| (((|Void|) $ (|String|)) "\\spad{drawStyle(v,s)} displays the surface for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport} in the style of drawing indicated by \\spad{s.} If \\spad{s} is not a valid drawing style the style is wireframe by default. Possible styles are \\spad{\"shade\"}, \\spad{\"solid\"} or \\spad{\"opaque\"}, \\spad{\"smooth\"}, and \\spad{\"wireMesh\"}.")) (|outlineRender| (((|Void|) $ (|String|)) "\\spad{outlineRender(v,s)} displays the polygon outline showing either triangularized surface or a quadrilateral surface outline depending on the whether the \\spadfun{diagonals} function has been set, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the polygon outline if \\spad{s} is \"off\".")) (|diagonals| (((|Void|) $ (|String|)) "\\spad{diagonals(v,s)} displays the diagonals of the polygon outline showing a triangularized surface instead of a quadrilateral surface outline, for the given three-dimensional viewport \\spad{v} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the diagonals if \\spad{s} is \"off\".")) (|axes| (((|Void|) $ (|String|)) "\\spad{axes(v,s)} displays the axes of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or does not display the axes if \\spad{s} is \"off\".")) (|controlPanel| (((|Void|) $ (|String|)) "\\spad{controlPanel(v,s)} displays the control panel of the given three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, if \\spad{s} is \"on\", or hides the control panel if \\spad{s} is \"off\".")) (|viewpoint| (((|Void|) $ (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,rotx,roty,rotz)} sets the rotation about the x-axis to be \\spad{rotx} radians, sets the rotation about the y-axis to be \\spad{roty} radians, and sets the rotation about the z-axis to be \\spad{rotz} radians, for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and displays \\spad{v} with the new view position.") (((|Void|) $ (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi)} sets the longitudinal view angle to \\spad{th} radians and the latitudinal view angle to \\spad{phi} radians for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Integer|) (|Integer|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} degrees, the latitudinal view angle to \\spad{phi} degrees, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}") (((|Void|) $ (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) "\\spad{viewpoint(v,viewpt)} sets the viewpoint for the viewport. The viewport record consists of the latitudal and longitudal angles, the zoom factor, the x,y and \\spad{z} scales, and the \\spad{x} and \\spad{y} displacements.") (((|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|))) $) "\\spad{viewpoint(v)} returns the current viewpoint setting of the given viewport, \\spad{v.} This function is useful in the situation where the user has created a viewport, proceeded to interact with it via the control panel and desires to save the values of the viewpoint as the default settings for another viewport to be created using the system.") (((|Void|) $ (|Float|) (|Float|) (|Float|) (|Float|) (|Float|)) "\\spad{viewpoint(v,th,phi,s,dx,dy)} sets the longitudinal view angle to \\spad{th} radians, the latitudinal view angle to \\spad{phi} radians, the scale factor to \\spad{s}, the horizontal viewport offset to \\spad{dx}, and the vertical viewport offset to \\spad{dy} for the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}. The new viewpoint position is not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|dimensions| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|) (|PositiveInteger|) (|PositiveInteger|)) "\\spad{dimensions(v,x,y,width,height)} sets the position of the upper left-hand corner of the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, to the window coordinate \\spad{x,} \\spad{y,} and sets the dimensions of the window to that of \\spad{width}, \\spad{height}. The new dimensions are not displayed until the function \\spadfun{makeViewport3D} is executed again for \\spad{v.}")) (|title| (((|Void|) $ (|String|)) "\\spad{title(v,s)} changes the title which is shown in the three-dimensional viewport window, \\spad{v} of domain \\spadtype{ThreeDimensionalViewport}.")) (|resize| (((|Void|) $ (|PositiveInteger|) (|PositiveInteger|)) "\\spad{resize(v,w,h)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with a width of \\spad{w} and a height of \\spad{h,} keeping the upper left-hand corner position unchanged.")) (|move| (((|Void|) $ (|NonNegativeInteger|) (|NonNegativeInteger|)) "\\spad{move(v,x,y)} displays the three-dimensional viewport, \\spad{v,} which is of domain \\spadtype{ThreeDimensionalViewport}, with the upper left-hand corner of the viewport window at the screen coordinate position \\spad{x,} \\spad{y.}")) (|options| (($ $ (|List| (|DrawOption|))) "\\spad{options(v,lopt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and sets the draw options being used by \\spad{v} to those indicated in the list, \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (((|List| (|DrawOption|)) $) "\\spad{options(v)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport} and returns a list of all the draw options from the domain \\spad{DrawOption} which are being used by \\spad{v.}")) (|modifyPointData| (((|Void|) $ (|NonNegativeInteger|) (|Point| (|DoubleFloat|))) "\\spad{modifyPointData(v,ind,pt)} takes the viewport, \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, and places the data point, \\spad{pt} into the list of points database of \\spad{v} at the index location given by \\spad{ind}.")) (|subspace| (($ $ (|ThreeSpace| (|DoubleFloat|))) "\\spad{subspace(v,sp)} places the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, in the subspace \\spad{sp}, which is of the domain \\spad{ThreeSpace}.") (((|ThreeSpace| (|DoubleFloat|)) $) "\\spad{subspace(v)} returns the contents of the viewport \\spad{v,} which is of the domain \\spadtype{ThreeDimensionalViewport}, as a subspace of the domain \\spad{ThreeSpace}.")) (|makeViewport3D| (($ (|ThreeSpace| (|DoubleFloat|)) (|List| (|DrawOption|))) "\\spad{makeViewport3D(sp,lopt)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose draw options are indicated by the list \\spad{lopt}, which is a list of options from the domain \\spad{DrawOption}.") (($ (|ThreeSpace| (|DoubleFloat|)) (|String|)) "\\spad{makeViewport3D(sp,s)} takes the given space, \\spad{sp} which is of the domain \\spadtype{ThreeSpace} and displays a viewport window on the screen which contains the contents of \\spad{sp}, and whose title is given by \\spad{s.}") (($ $) "\\spad{makeViewport3D(v)} takes the given three-dimensional viewport, \\spad{v,} of the domain \\spadtype{ThreeDimensionalViewport} and displays a viewport window on the screen which contains the contents of \\spad{v.}")) (|viewport3D| (($) "\\spad{viewport3D()} returns an undefined three-dimensional viewport of the domain \\spadtype{ThreeDimensionalViewport} whose contents are empty.")) (|viewDeltaYDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaYDefault(dy)} sets the current default vertical offset from the center of the viewport window to be \\spad{dy} and returns \\spad{dy}.") (((|Float|)) "\\spad{viewDeltaYDefault()} returns the current default vertical offset from the center of the viewport window.")) (|viewDeltaXDefault| (((|Float|) (|Float|)) "\\spad{viewDeltaXDefault(dx)} sets the current default horizontal offset from the center of the viewport window to be \\spad{dx} and returns \\spad{dx}.") (((|Float|)) "\\spad{viewDeltaXDefault()} returns the current default horizontal offset from the center of the viewport window.")) (|viewZoomDefault| (((|Float|) (|Float|)) "\\spad{viewZoomDefault(s)} sets the current default graph scaling value to \\spad{s} and returns \\spad{s.}") (((|Float|)) "\\spad{viewZoomDefault()} returns the current default graph scaling value.")) (|viewPhiDefault| (((|Float|) (|Float|)) "\\spad{viewPhiDefault(p)} sets the current default latitudinal view angle in radians to the value \\spad{p} and returns \\spad{p.}") (((|Float|)) "\\spad{viewPhiDefault()} returns the current default latitudinal view angle in radians.")) (|viewThetaDefault| (((|Float|) (|Float|)) "\\spad{viewThetaDefault(t)} sets the current default longitudinal view angle in radians to the value \\spad{t} and returns \\spad{t.}") (((|Float|)) "\\spad{viewThetaDefault()} returns the current default longitudinal view angle in radians."))) 
 NIL 
 NIL 
-(-1250) 
-((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r}.")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to \\spad{i}.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} \\spad{x=0}..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing,{} such as BITMAP,{} POSTSCRIPT,{} etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l}; a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,{}h])} sets the default viewport width to \\spad{w} and height to \\spad{h}.") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,{}y])} sets the default \\spad{X} and \\spad{Y} position of a viewport window unless overriden explicityly,{} newly created viewports will have th \\spad{X} and \\spad{Y} coordinates \\spad{x},{} \\spad{y}.") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{X} and \\spad{Y} position of a viewport window unless overriden explicityly,{} newly created viewports will have this \\spad{X} and \\spad{Y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to \\spad{i}.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p}.") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
+(-1256) 
+((|constructor| (NIL "ViewportDefaultsPackage describes default and user definable values for graphics")) (|tubeRadiusDefault| (((|DoubleFloat|)) "\\spad{tubeRadiusDefault()} returns the radius used for a 3D tube plot.") (((|DoubleFloat|) (|Float|)) "\\spad{tubeRadiusDefault(r)} sets the default radius for a 3D tube plot to \\spad{r.}")) (|tubePointsDefault| (((|PositiveInteger|)) "\\spad{tubePointsDefault()} returns the number of points to be used when creating the circle to be used in creating a 3D tube plot.") (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{tubePointsDefault(i)} sets the number of points to use when creating the circle to be used in creating a 3D tube plot to i.")) (|var2StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var2StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var2StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|var1StepsDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{var1StepsDefault(i)} sets the number of steps to take when creating a 3D mesh in the direction of the first defined free variable to \\spad{i} (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).") (((|PositiveInteger|)) "\\spad{var1StepsDefault()} is the current setting for the number of steps to take when creating a 3D mesh in the direction of the first defined free variable (a free variable is considered defined when its range is specified (\\spadignore{e.g.} x=0..10)).")) (|viewWriteAvailable| (((|List| (|String|))) "\\spad{viewWriteAvailable()} returns a list of available methods for writing, such as BITMAP, POSTSCRIPT, etc.")) (|viewWriteDefault| (((|List| (|String|)) (|List| (|String|))) "\\spad{viewWriteDefault(l)} sets the default list of things to write in a viewport data file to the strings in \\spad{l;} a viewalone file is always genereated.") (((|List| (|String|))) "\\spad{viewWriteDefault()} returns the list of things to write in a viewport data file; a viewalone file is always generated.")) (|viewDefaults| (((|Void|)) "\\spad{viewDefaults()} resets all the default graphics settings.")) (|viewSizeDefault| (((|List| (|PositiveInteger|)) (|List| (|PositiveInteger|))) "\\spad{viewSizeDefault([w,h])} sets the default viewport width to \\spad{w} and height to \\spad{h.}") (((|List| (|PositiveInteger|))) "\\spad{viewSizeDefault()} returns the default viewport width and height.")) (|viewPosDefault| (((|List| (|NonNegativeInteger|)) (|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault([x,y])} sets the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have th \\spad{X} and \\spad{Y} coordinates \\spad{x,} \\spad{y.}") (((|List| (|NonNegativeInteger|))) "\\spad{viewPosDefault()} returns the default \\spad{x} and \\spad{y} position of a viewport window unless overriden explicityly, newly created viewports will have this \\spad{X} and \\spad{Y} coordinate.")) (|pointSizeDefault| (((|PositiveInteger|) (|PositiveInteger|)) "\\spad{pointSizeDefault(i)} sets the default size of the points in a 2D viewport to i.") (((|PositiveInteger|)) "\\spad{pointSizeDefault()} returns the default size of the points in a 2D viewport.")) (|unitsColorDefault| (((|Palette|) (|Palette|)) "\\spad{unitsColorDefault(p)} sets the default color of the unit ticks in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{unitsColorDefault()} returns the default color of the unit ticks in a 2D viewport.")) (|axesColorDefault| (((|Palette|) (|Palette|)) "\\spad{axesColorDefault(p)} sets the default color of the axes in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{axesColorDefault()} returns the default color of the axes in a 2D viewport.")) (|lineColorDefault| (((|Palette|) (|Palette|)) "\\spad{lineColorDefault(p)} sets the default color of lines connecting points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{lineColorDefault()} returns the default color of lines connecting points in a 2D viewport.")) (|pointColorDefault| (((|Palette|) (|Palette|)) "\\spad{pointColorDefault(p)} sets the default color of points in a 2D viewport to the palette \\spad{p.}") (((|Palette|)) "\\spad{pointColorDefault()} returns the default color of points in a 2D viewport."))) 
 NIL 
 NIL 
-(-1251) 
-((|constructor| (NIL "ViewportPackage provides functions for creating GraphImages and TwoDimensionalViewports from lists of lists of points.")) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) "\\spad{coerce(\\spad{gi})} converts the indicated \\spadtype{GraphImage},{} \\spad{gi},{} into the \\spadtype{TwoDimensionalViewport} form.")) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],{}[p1],{}...,{}[pn]],{}[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}.") (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],{}[p1],{}...,{}[pn]],{}ptColor,{}lineColor,{}ptSize,{}[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}. The point color is specified by \\spad{ptColor},{} the line color is specified by \\spad{lineColor},{} and the point size is specified by \\spad{ptSize}.")) (|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]],{}[options])} creates a \\spadtype{GraphImage} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]])} creates a \\spadtype{GraphImage} from the list of lists of points indicated by \\spad{p0} through \\spad{pn}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],{}[p1],{}...,{}[pn]],{}ptColor,{}lineColor,{}ptSize,{}[options])} creates a \\spadtype{GraphImage} from the list of lists of points,{} \\spad{p0} throught \\spad{pn},{} using the options specified in the list \\spad{options}. The graph point color is specified by \\spad{ptColor},{} the graph line color is specified by \\spad{lineColor},{} and the size of the points is specified by \\spad{ptSize}."))) 
+(-1257) 
+((|constructor| (NIL "ViewportPackage provides functions for creating GraphImages and TwoDimensionalViewports from lists of lists of points.")) (|coerce| (((|TwoDimensionalViewport|) (|GraphImage|)) "\\spad{coerce(gi)} converts the indicated \\spadtype{GraphImage}, gi, into the \\spadtype{TwoDimensionalViewport} form.")) (|drawCurves| (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|TwoDimensionalViewport|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{drawCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{TwoDimensionalViewport} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The point color is specified by \\spad{ptColor}, the line color is specified by \\spad{lineColor}, and the point size is specified by \\spad{ptSize}.")) (|graphCurves| (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}.") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|))))) "\\spad{graphCurves([[p0],[p1],...,[pn]])} creates a \\spadtype{GraphImage} from the list of lists of points indicated by \\spad{p0} through \\spad{pn.}") (((|GraphImage|) (|List| (|List| (|Point| (|DoubleFloat|)))) (|Palette|) (|Palette|) (|PositiveInteger|) (|List| (|DrawOption|))) "\\spad{graphCurves([[p0],[p1],...,[pn]],ptColor,lineColor,ptSize,[options])} creates a \\spadtype{GraphImage} from the list of lists of points, \\spad{p0} throught \\spad{pn,} using the options specified in the list \\spad{options}. The graph point color is specified by \\spad{ptColor}, the graph line color is specified by \\spad{lineColor}, and the size of the points is specified by \\spad{ptSize}."))) 
 NIL 
 NIL 
-(-1252) 
-((|constructor| (NIL "This type is used when no value is needed,{} \\spadignore{e.g.} in the \\spad{then} part of a one armed \\spad{if}. All values can be coerced to type Void. Once a value has been coerced to Void,{} it cannot be recovered.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} coerces void object to outputForm.")) (|void| (($) "\\spad{void()} produces a void object."))) 
+(-1258) 
+((|constructor| (NIL "This type is used when no value is needed, \\spadignore{e.g.} in the \\spad{then} part of a one armed \\spad{if}. All values can be coerced to type Void. Once a value has been coerced to Void, it cannot be recovered.")) (|coerce| (((|OutputForm|) $) "\\spad{coerce(v)} coerces void object to outputForm.")) (|void| (($) "\\spad{void()} produces a void object."))) 
 NIL 
 NIL 
-(-1253 A S) 
-((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#2|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y}."))) 
+(-1259 A S) 
+((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#2|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
 NIL 
 NIL 
-(-1254 S) 
-((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#1|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y}."))) 
-((-4530 . T) (-4529 . T)) 
+(-1260 S) 
+((|constructor| (NIL "Vector Spaces (not necessarily finite dimensional) over a field.")) (|dimension| (((|CardinalNumber|)) "\\spad{dimension()} returns the dimensionality of the vector space.")) (/ (($ $ |#1|) "\\spad{x/y} divides the vector \\spad{x} by the scalar \\spad{y.}"))) 
+((-4566 . T) (-4565 . T)) 
 NIL 
-(-1255 R) 
-((|constructor| (NIL "This package implements the Weierstrass preparation theorem \\spad{f} or multivariate power series. weierstrass(\\spad{v},{}\\spad{p}) where \\spad{v} is a variable,{} and \\spad{p} is a TaylorSeries(\\spad{R}) in which the terms of lowest degree \\spad{s} must include c*v**s where \\spad{c} is a constant,{}\\spad{s>0},{} is a list of TaylorSeries coefficients A[\\spad{i}] of the equivalent polynomial A = A[0] + A[1]\\spad{*v} + A[2]\\spad{*v**2} + ... + A[\\spad{s}-1]*v**(\\spad{s}-1) + v**s such that p=A*B ,{} \\spad{B} being a TaylorSeries of minimum degree 0")) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) "\\spad{qqq(n,{}s,{}st)} is used internally.")) (|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) "\\spad{weierstrass(v,{}ts)} where \\spad{v} is a variable and \\spad{ts} is \\indented{1}{a TaylorSeries,{} impements the Weierstrass Preparation} \\indented{1}{Theorem. The result is a list of TaylorSeries that} \\indented{1}{are the coefficients of the equivalent series.}")) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) "\\spad{clikeUniv(v)} is used internally.")) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) "\\spad{sts2stst(v,{}s)} is used internally.")) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{cfirst n} is used internally.")) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{crest n} is used internally."))) 
+(-1261 R) 
+((|constructor| (NIL "This package implements the Weierstrass preparation theorem \\spad{f} or multivariate power series. weierstrass(v,p) where \\spad{v} is a variable, and \\spad{p} is a TaylorSeries(R) in which the terms of lowest degree \\spad{s} must include c*v**s where \\spad{c} is a constant,s>0, is a list of TaylorSeries coefficients A[i] of the equivalent polynomial A = A[0] + A[1]*v + \\spad{A[2]*v**2} + \\spad{...} + A[s-1]*v**(s-1) + v**s such that p=A*B ,{} \\spad{B} being a TaylorSeries of minimum degree 0")) (|qqq| (((|Mapping| (|Stream| (|TaylorSeries| |#1|)) (|Stream| (|TaylorSeries| |#1|))) (|NonNegativeInteger|) (|TaylorSeries| |#1|) (|Stream| (|TaylorSeries| |#1|))) "\\spad{qqq(n,s,st)} is used internally.")) (|weierstrass| (((|List| (|TaylorSeries| |#1|)) (|Symbol|) (|TaylorSeries| |#1|)) "\\spad{weierstrass(v,ts)} where \\spad{v} is a variable and \\spad{ts} is \\indented{1}{a TaylorSeries, impements the Weierstrass Preparation} \\indented{1}{Theorem. The result is a list of TaylorSeries that} \\indented{1}{are the coefficients of the equivalent series.}")) (|clikeUniv| (((|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| |#1|)) (|Polynomial| |#1|)) (|Symbol|)) "\\spad{clikeUniv(v)} is used internally.")) (|sts2stst| (((|Stream| (|Stream| (|Polynomial| |#1|))) (|Symbol|) (|Stream| (|Polynomial| |#1|))) "\\spad{sts2stst(v,s)} is used internally.")) (|cfirst| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{cfirst \\spad{n}} is used internally.")) (|crest| (((|Mapping| (|Stream| (|Polynomial| |#1|)) (|Stream| (|Polynomial| |#1|))) (|NonNegativeInteger|)) "\\spad{crest \\spad{n}} is used internally."))) 
 NIL 
 NIL 
-(-1256 K R UP -1564) 
-((|constructor| (NIL "In this package \\spad{K} is a finite field,{} \\spad{R} is a ring of univariate polynomials over \\spad{K},{} and \\spad{F} is a framed algebra over \\spad{R}. The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the local integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,{}basisDen,{}basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F},{} where \\spad{F} is a framed algebra with \\spad{R}-module basis \\spad{w1,{}w2,{}...,{}wn}. If \\spad{basis} is the matrix \\spad{(aij,{} i = 1..n,{} j = 1..n)},{} then the \\spad{i}th element of the integral basis is \\spad{\\spad{vi} = (1/basisDen) * sum(aij * wj,{} j = 1..n)},{} \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly,{} the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{\\spad{wi}} with respect to the basis \\spad{v1,{}...,{}vn}: if \\spad{basisInv} is the matrix \\spad{(bij,{} i = 1..n,{} j = 1..n)},{} then \\spad{\\spad{wi} = sum(bij * vj,{} j = 1..n)}."))) 
+(-1262 K R UP -1647) 
+((|constructor| (NIL "In this package \\spad{K} is a finite field, \\spad{R} is a ring of univariate polynomials over \\spad{K,} and \\spad{F} is a framed algebra over \\spad{R.} The package provides a function to compute the integral closure of \\spad{R} in the quotient field of \\spad{F} as well as a function to compute a \"local integral basis\" at a specific prime.")) (|localIntegralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|))) |#2|) "\\spad{integralBasis(p)} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the local integral closure of \\spad{R} at the prime \\spad{p} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the local integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}.")) (|integralBasis| (((|Record| (|:| |basis| (|Matrix| |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (|Matrix| |#2|)))) "\\spad{integralBasis()} returns a record \\spad{[basis,basisDen,basisInv]} containing information regarding the integral closure of \\spad{R} in the quotient field of \\spad{F,} where \\spad{F} is a framed algebra with R-module basis \\spad{w1,w2,...,wn}. If \\spad{basis} is the matrix \\spad{(aij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then the \\spad{i}th element of the integral basis is \\spad{vi = (1/basisDen) * sum(aij * \\spad{wj,} \\spad{j} = 1..n)}, \\spadignore{i.e.} the \\spad{i}th row of \\spad{basis} contains the coordinates of the \\spad{i}th basis vector. Similarly, the \\spad{i}th row of the matrix \\spad{basisInv} contains the coordinates of \\spad{wi} with respect to the basis \\spad{v1,...,vn}: if \\spad{basisInv} is the matrix \\spad{(bij, \\spad{i} = 1..n, \\spad{j} = 1..n)}, then \\spad{wi = sum(bij * \\spad{vj,} \\spad{j} = 1..n)}."))) 
 NIL 
 NIL 
-(-1257 R |VarSet| E P |vl| |wl| |wtlevel|) 
-((|constructor| (NIL "This domain represents truncated weighted polynomials over a general (not necessarily commutative) polynomial type. The variables must be specified,{} as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero,{} and if \\spad{R} is a Field)")) (|coerce| (($ |#4|) "\\spad{coerce(p)} coerces \\spad{p} into Weighted form,{} applying weights and ignoring terms") ((|#4| $) "convert back into a \\spad{\"P\"},{} ignoring weights"))) 
-((-4530 |has| |#1| (-173)) (-4529 |has| |#1| (-173)) (-4532 . T)) 
+(-1263 R |VarSet| E P |vl| |wl| |wtlevel|) 
+((|constructor| (NIL "This domain represents truncated weighted polynomials over a general (not necessarily commutative) polynomial type. The variables must be specified, as must the weights. The representation is sparse in the sense that only non-zero terms are represented.")) (|changeWeightLevel| (((|Void|) (|NonNegativeInteger|)) "\\spad{changeWeightLevel(n)} changes the weight level to the new value given: \\spad{NB:} previously calculated terms are not affected")) (/ (((|Union| $ "failed") $ $) "\\spad{x/y} division (only works if minimum weight of divisor is zero, and if \\spad{R} is a Field)")) (|coerce| (($ |#4|) "\\spad{coerce(p)} coerces \\spad{p} into Weighted form, applying weights and ignoring terms") ((|#4| $) "convert back into a \"P\", ignoring weights"))) 
+((-4566 |has| |#1| (-173)) (-4565 |has| |#1| (-173)) (-4568 . T)) 
 ((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366)))) 
-(-1258 R E V P) 
-((|constructor| (NIL "A domain constructor of the category \\axiomType{GeneralTriangularSet}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. The construct operation does not check the previous requirement. Triangular sets are stored as sorted lists \\spad{w}.\\spad{r}.\\spad{t}. the main variables of their members. Furthermore,{} this domain exports operations dealing with the characteristic set method of Wu Wen Tsun and some optimizations mainly proposed by Dong Ming Wang.")) (|characteristicSerie| (((|List| $) (|List| |#4|)) "\\axiom{characteristicSerie(\\spad{ps})} returns the same as \\axiom{characteristicSerie(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSerie(\\spad{ps},{}redOp?,{}redOp)} returns a list \\axiom{\\spad{lts}} of triangular sets such that the zero set of \\axiom{\\spad{ps}} is the union of the regular zero sets of the members of \\axiom{\\spad{lts}}. This is made by the Ritt and Wu Wen Tsun process applying the operation \\axiom{characteristicSet(\\spad{ps},{}redOp?,{}redOp)} to compute characteristic sets in Wu Wen Tsun sense.")) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{characteristicSet(\\spad{ps})} returns the same as \\axiom{characteristicSet(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSet(\\spad{ps},{}redOp?,{}redOp)} returns a non-contradictory characteristic set of \\axiom{\\spad{ps}} in Wu Wen Tsun sense \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?} (using \\axiom{redOp} to reduce polynomials \\spad{w}.\\spad{r}.\\spad{t} a \\axiom{redOp?} basic set),{} if no non-zero constant polynomial appear during those reductions,{} else \\axiom{\"failed\"} is returned. The operations \\axiom{redOp} and \\axiom{redOp?} must satisfy the following conditions: \\axiom{redOp?(redOp(\\spad{p},{}\\spad{q}),{}\\spad{q})} holds for every polynomials \\axiom{\\spad{p},{}\\spad{q}} and there exists an integer \\axiom{\\spad{e}} and a polynomial \\axiom{\\spad{f}} such that we have \\axiom{init(\\spad{q})^e*p = \\spad{f*q} + redOp(\\spad{p},{}\\spad{q})}.")) (|medialSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{medial(\\spad{ps})} returns the same as \\axiom{medialSet(\\spad{ps},{}initiallyReduced?,{}initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{medialSet(\\spad{ps},{}redOp?,{}redOp)} returns \\axiom{\\spad{bs}} a basic set (in Wu Wen Tsun sense \\spad{w}.\\spad{r}.\\spad{t} the reduction-test \\axiom{redOp?}) of some set generating the same ideal as \\axiom{\\spad{ps}} (with rank not higher than any basic set of \\axiom{\\spad{ps}}),{} if no non-zero constant polynomials appear during the computatioms,{} else \\axiom{\"failed\"} is returned. In the former case,{} \\axiom{\\spad{bs}} has to be understood as a candidate for being a characteristic set of \\axiom{\\spad{ps}}. In the original algorithm,{} \\axiom{\\spad{bs}} is simply a basic set of \\axiom{\\spad{ps}}."))) 
-((-4536 . T) (-4535 . T)) 
-((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1091))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1091)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
-(-1259 R) 
+(-1264 R E V P) 
+((|constructor| (NIL "A domain constructor of the category \\axiomType{GeneralTriangularSet}. The only requirement for a list of polynomials to be a member of such a domain is the following: no polynomial is constant and two distinct polynomials have distinct main variables. Such a triangular set may not be auto-reduced or consistent. The construct operation does not check the previous requirement. Triangular sets are stored as sorted lists w.r.t. the main variables of their members. Furthermore, this domain exports operations dealing with the characteristic set method of Wu Wen Tsun and some optimizations mainly proposed by Dong Ming Wang.")) (|characteristicSerie| (((|List| $) (|List| |#4|)) "\\axiom{characteristicSerie(ps)} returns the same as \\axiom{characteristicSerie(ps,initiallyReduced?,initiallyReduce)}.") (((|List| $) (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSerie(ps,redOp?,redOp)} returns a list \\axiom{lts} of triangular sets such that the zero set of \\axiom{ps} is the union of the regular zero sets of the members of \\axiom{lts}. This is made by the Ritt and Wu Wen Tsun process applying the operation \\axiom{characteristicSet(ps,redOp?,redOp)} to compute characteristic sets in Wu Wen Tsun sense.")) (|characteristicSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{characteristicSet(ps)} returns the same as \\axiom{characteristicSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{characteristicSet(ps,redOp?,redOp)} returns a non-contradictory characteristic set of \\axiom{ps} in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?} (using \\axiom{redOp} to reduce polynomials w.r.t a \\axiom{redOp?} basic set), if no non-zero constant polynomial appear during those reductions, else \\axiom{\"failed\"} is returned. The operations \\axiom{redOp} and \\axiom{redOp?} must satisfy the following conditions: \\axiom{redOp?(redOp(p,q),q)} holds for every polynomials \\axiom{p,q} and there exists an integer \\axiom{e} and a polynomial \\axiom{f} such that we have \\axiom{init(q)^e*p = \\spad{f*q} + redOp(p,q)}.")) (|medialSet| (((|Union| $ "failed") (|List| |#4|)) "\\axiom{medial(ps)} returns the same as \\axiom{medialSet(ps,initiallyReduced?,initiallyReduce)}.") (((|Union| $ "failed") (|List| |#4|) (|Mapping| (|Boolean|) |#4| |#4|) (|Mapping| |#4| |#4| |#4|)) "\\axiom{medialSet(ps,redOp?,redOp)} returns \\axiom{bs} a basic set (in Wu Wen Tsun sense w.r.t the reduction-test \\axiom{redOp?}) of some set generating the same ideal as \\axiom{ps} (with rank not higher than any basic set of \\axiom{ps}), if no non-zero constant polynomials appear during the computatioms, else \\axiom{\"failed\"} is returned. In the former case, \\axiom{bs} has to be understood as a candidate for being a characteristic set of \\axiom{ps}. In the original algorithm, \\axiom{bs} is simply a basic set of \\axiom{ps}."))) 
+((-4572 . T) (-4571 . T)) 
+((|HasCategory| |#4| (LIST (QUOTE -610) (QUOTE (-542)))) (|HasCategory| |#4| (QUOTE (-1093))) (-12 (|HasCategory| |#4| (LIST (QUOTE -304) (|devaluate| |#4|))) (|HasCategory| |#4| (QUOTE (-1093)))) (|HasCategory| |#1| (QUOTE (-559))) (|HasCategory| |#3| (QUOTE (-371)))) 
+(-1265 R) 
 ((|constructor| (NIL "This is the category of algebras over non-commutative rings. It is used by constructors of non-commutative algebras such as XPolynomialRing and XFreeAlgebra")) (|coerce| (($ |#1|) "\\spad{coerce(r)} equals \\spad{r*1}."))) 
-((-4529 . T) (-4530 . T) (-4532 . T)) 
+((-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
-(-1260 |vl| R) 
-((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables do not commute. The coefficient ring may be non-commutative too. However,{} coefficients and variables commute."))) 
-((-4532 . T) (-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4528))) 
-(-1261 R |VarSet| XPOLY) 
-((|constructor| (NIL "This package provides computations of logarithms and exponentials for polynomials in non-commutative variables.")) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) "\\axiom{Hausdorff(a,{}\\spad{b},{}\\spad{n})} returns log(exp(a)*exp(\\spad{b})) truncated at order \\axiom{\\spad{n}}.")) (|log| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{log(\\spad{p},{} \\spad{n})} returns the logarithm of \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}.")) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{exp(\\spad{p},{} \\spad{n})} returns the exponential of \\axiom{\\spad{p}} truncated at order \\axiom{\\spad{n}}."))) 
+(-1266 |vl| R) 
+((|constructor| (NIL "This type supports distributed multivariate polynomials whose variables do not commute. The coefficient ring may be non-commutative too. However, coefficients and variables commute."))) 
+((-4568 . T) (-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4564))) 
+(-1267 R |VarSet| XPOLY) 
+((|constructor| (NIL "This package provides computations of logarithms and exponentials for polynomials in non-commutative variables.")) (|Hausdorff| ((|#3| |#3| |#3| (|NonNegativeInteger|)) "\\axiom{Hausdorff(a,b,n)} returns log(exp(a)*exp(b)) truncated at order \\axiom{n}.")) (|log| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{log(p, \\spad{n)}} returns the logarithm of \\axiom{p} truncated at order \\axiom{n}.")) (|exp| ((|#3| |#3| (|NonNegativeInteger|)) "\\axiom{exp(p, \\spad{n)}} returns the exponential of \\axiom{p} truncated at order \\axiom{n}."))) 
 NIL 
 NIL 
-(-1262 |vl| R) 
-((|constructor| (NIL "This category specifies opeations for polynomials and formal series with non-commutative variables.")) (|varList| (((|List| |#1|) $) "\\spad{varList(x)} returns the list of variables which appear in \\spad{x}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,{}x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|sh| (($ $ (|NonNegativeInteger|)) "\\spad{sh(x,{}n)} returns the shuffle power of \\spad{x} to the \\spad{n}.") (($ $ $) "\\spad{sh(x,{}y)} returns the shuffle-product of \\spad{x} by \\spad{y}. This multiplication is associative and commutative.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(x)} is zero")) (|constant| ((|#2| $) "\\spad{constant(x)} returns the constant term of \\spad{x}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(x)} returns \\spad{true} if \\spad{x} is constant.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} returns \\spad{v}.")) (|mirror| (($ $) "\\spad{mirror(x)} returns \\spad{Sum(r_i mirror(w_i))} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} is a monomial")) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) "\\spad{monom(w,{}r)} returns the product of the word \\spad{w} by the coefficient \\spad{r}.")) (|rquo| (($ $ $) "\\spad{rquo(x,{}y)} returns the right simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{rquo(x,{}w)} returns the right simplification of \\spad{x} by \\spad{w}.") (($ $ |#1|) "\\spad{rquo(x,{}v)} returns the right simplification of \\spad{x} by the variable \\spad{v}.")) (|lquo| (($ $ $) "\\spad{lquo(x,{}y)} returns the left simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{lquo(x,{}w)} returns the left simplification of \\spad{x} by the word \\spad{w}.") (($ $ |#1|) "\\spad{lquo(x,{}v)} returns the left simplification of \\spad{x} by the variable \\spad{v}.")) (|coef| ((|#2| $ $) "\\spad{coef(x,{}y)} returns scalar product of \\spad{x} by \\spad{y},{} the set of words being regarded as an orthogonal basis.") ((|#2| $ (|OrderedFreeMonoid| |#1|)) "\\spad{coef(x,{}w)} returns the coefficient of the word \\spad{w} in \\spad{x}.")) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) "\\spad{mindegTerm(x)} returns the term whose word is \\spad{mindeg(x)}.")) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{mindeg(x)} returns the little word which appears in \\spad{x}. Error if \\spad{x=0}.")) (* (($ $ |#2|) "\\spad{x * r} returns the product of \\spad{x} by \\spad{r}. Usefull if \\spad{R} is a non-commutative Ring.") (($ |#1| $) "\\spad{v * x} returns the product of a variable \\spad{x} by \\spad{x}."))) 
-((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
+(-1268 |vl| R) 
+((|constructor| (NIL "This category specifies opeations for polynomials and formal series with non-commutative variables.")) (|varList| (((|List| |#1|) $) "\\spad{varList(x)} returns the list of variables which appear in \\spad{x}.")) (|map| (($ (|Mapping| |#2| |#2|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|sh| (($ $ (|NonNegativeInteger|)) "\\spad{sh(x,n)} returns the shuffle power of \\spad{x} to the \\spad{n}.") (($ $ $) "\\spad{sh(x,y)} returns the shuffle-product of \\spad{x} by \\spad{y}. This multiplication is associative and commutative.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(x)} is zero")) (|constant| ((|#2| $) "\\spad{constant(x)} returns the constant term of \\spad{x}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(x)} returns \\spad{true} if \\spad{x} is constant.")) (|coerce| (($ |#1|) "\\spad{coerce(v)} returns \\spad{v}.")) (|mirror| (($ $) "\\spad{mirror(x)} returns \\spad{Sum(r_i mirror(w_i))} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|monomial?| (((|Boolean|) $) "\\spad{monomial?(x)} returns \\spad{true} if \\spad{x} is a monomial")) (|monom| (($ (|OrderedFreeMonoid| |#1|) |#2|) "\\spad{monom(w,r)} returns the product of the word \\spad{w} by the coefficient \\spad{r}.")) (|rquo| (($ $ $) "\\spad{rquo(x,y)} returns the right simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{rquo(x,w)} returns the right simplification of \\spad{x} by \\spad{w}.") (($ $ |#1|) "\\spad{rquo(x,v)} returns the right simplification of \\spad{x} by the variable \\spad{v}.")) (|lquo| (($ $ $) "\\spad{lquo(x,y)} returns the left simplification of \\spad{x} by \\spad{y}.") (($ $ (|OrderedFreeMonoid| |#1|)) "\\spad{lquo(x,w)} returns the left simplification of \\spad{x} by the word \\spad{w}.") (($ $ |#1|) "\\spad{lquo(x,v)} returns the left simplification of \\spad{x} by the variable \\spad{v}.")) (|coef| ((|#2| $ $) "\\spad{coef(x,y)} returns scalar product of \\spad{x} by \\spad{y}, the set of words being regarded as an orthogonal basis.") ((|#2| $ (|OrderedFreeMonoid| |#1|)) "\\spad{coef(x,w)} returns the coefficient of the word \\spad{w} in \\spad{x}.")) (|mindegTerm| (((|Record| (|:| |k| (|OrderedFreeMonoid| |#1|)) (|:| |c| |#2|)) $) "\\spad{mindegTerm(x)} returns the term whose word is \\spad{mindeg(x)}.")) (|mindeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{mindeg(x)} returns the little word which appears in \\spad{x}. Error if \\spad{x=0}.")) (* (($ $ |#2|) "\\spad{x * \\spad{r}} returns the product of \\spad{x} by \\spad{r}. Usefull if \\spad{R} is a non-commutative Ring.") (($ |#1| $) "\\spad{v * \\spad{x}} returns the product of a variable \\spad{x} by \\spad{x}."))) 
+((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
 NIL 
-(-1263 S -1564) 
-((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,{}s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()\\$\\spad{F}.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a ** q} where \\spad{q} is the \\spad{size()\\$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension,{} 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic,{} and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F},{} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F}.")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F}.")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F}."))) 
+(-1269 S -1647) 
+((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
 NIL 
 ((|HasCategory| |#2| (QUOTE (-371))) (|HasCategory| |#2| (QUOTE (-149))) (|HasCategory| |#2| (QUOTE (-151)))) 
-(-1264 -1564) 
-((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,{}s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()\\$\\spad{F}.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a ** q} where \\spad{q} is the \\spad{size()\\$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension,{} 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic,{} and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F},{} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F}.")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F}.")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F}."))) 
-((-4527 . T) (-4533 . T) (-4528 . T) ((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
-NIL 
-(-1265 |VarSet| R) 
-((|constructor| (NIL "This domain constructor implements polynomials in non-commutative variables written in the Poincare-Birkhoff-Witt basis from the Lyndon basis. These polynomials can be used to compute Baker-Campbell-Hausdorff relations.")) (|log| (($ $ (|NonNegativeInteger|)) "\\axiom{log(\\spad{p},{}\\spad{n})} returns the logarithm of \\axiom{\\spad{p}} (truncated up to order \\axiom{\\spad{n}}).")) (|exp| (($ $ (|NonNegativeInteger|)) "\\axiom{exp(\\spad{p},{}\\spad{n})} returns the exponential of \\axiom{\\spad{p}} (truncated up to order \\axiom{\\spad{n}}).")) (|product| (($ $ $ (|NonNegativeInteger|)) "\\axiom{product(a,{}\\spad{b},{}\\spad{n})} returns \\axiom{a*b} (truncated up to order \\axiom{\\spad{n}}).")) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) "\\axiom{LiePolyIfCan(\\spad{p})} return \\axiom{\\spad{p}} if \\axiom{\\spad{p}} is a Lie polynomial.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}} as a distributed polynomial.") (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{coerce(\\spad{p})} returns \\axiom{\\spad{p}}."))) 
-((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -708) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasAttribute| |#2| (QUOTE -4528))) 
-(-1266 |vl| R) 
-((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with vaiables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,{}n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
-((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-NIL 
-(-1267 R) 
-((|constructor| (NIL "This type supports multivariate polynomials whose set of variables is \\spadtype{Symbol}. The representation is recursive. The coefficient ring may be non-commutative and the variables do not commute. However,{} coefficients and variables commute."))) 
-((-4528 |has| |#1| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasAttribute| |#1| (QUOTE -4528))) 
-(-1268 R E) 
-((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring),{} and words belonging to an arbitrary \\spadtype{OrderedMonoid}. This type is used,{} for instance,{} by the \\spadtype{XDistributedPolynomial} domain constructor where the Monoid is free.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (/ (($ $ |#1|) "\\spad{p/r} returns \\spad{p*(1/r)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,{}x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(p)} is zero.")) (|constant| ((|#1| $) "\\spad{constant(p)} return the constant term of \\spad{p}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests whether the polynomial \\spad{p} belongs to the coefficient ring.")) (|coef| ((|#1| $ |#2|) "\\spad{coef(p,{}e)} extracts the coefficient of the monomial \\spad{e}. Returns zero if \\spad{e} is not present.")) (|reductum| (($ $) "\\spad{reductum(p)} returns \\spad{p} minus its leading term. An error is produced if \\spad{p} is zero.")) (|mindeg| ((|#2| $) "\\spad{mindeg(p)} returns the smallest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|maxdeg| ((|#2| $) "\\spad{maxdeg(p)} returns the greatest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|coerce| (($ |#2|) "\\spad{coerce(e)} returns \\spad{1*e}")) (|#| (((|NonNegativeInteger|) $) "\\spad{\\# p} returns the number of terms in \\spad{p}.")) (* (($ $ |#1|) "\\spad{p*r} returns the product of \\spad{p} by \\spad{r}."))) 
-((-4532 . T) (-4533 |has| |#1| (-6 -4533)) (-4528 |has| |#1| (-6 -4528)) (-4530 . T) (-4529 . T)) 
-((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasAttribute| |#1| (QUOTE -4532)) (|HasAttribute| |#1| (QUOTE -4533)) (|HasAttribute| |#1| (QUOTE -4528))) 
-(-1269 |VarSet| R) 
+(-1270 -1647) 
+((|constructor| (NIL "ExtensionField \\spad{F} is the category of fields which extend the field \\spad{F}")) (|Frobenius| (($ $ (|NonNegativeInteger|)) "\\spad{Frobenius(a,s)} returns \\spad{a**(q**s)} where \\spad{q} is the size()$F.") (($ $) "\\spad{Frobenius(a)} returns \\spad{a \\spad{**} \\spad{q}} where \\spad{q} is the \\spad{size()$F}.")) (|transcendenceDegree| (((|NonNegativeInteger|)) "\\spad{transcendenceDegree()} returns the transcendence degree of the field extension, 0 if the extension is algebraic.")) (|extensionDegree| (((|OnePointCompletion| (|PositiveInteger|))) "\\spad{extensionDegree()} returns the degree of the field extension if the extension is algebraic, and \\spad{infinity} if it is not.")) (|degree| (((|OnePointCompletion| (|PositiveInteger|)) $) "\\spad{degree(a)} returns the degree of minimal polynomial of an element \\spad{a} if \\spad{a} is algebraic with respect to the ground field \\spad{F,} and \\spad{infinity} otherwise.")) (|inGroundField?| (((|Boolean|) $) "\\spad{inGroundField?(a)} tests whether an element \\spad{a} is already in the ground field \\spad{F.}")) (|transcendent?| (((|Boolean|) $) "\\spad{transcendent?(a)} tests whether an element \\spad{a} is transcendent with respect to the ground field \\spad{F.}")) (|algebraic?| (((|Boolean|) $) "\\spad{algebraic?(a)} tests whether an element \\spad{a} is algebraic with respect to the ground field \\spad{F.}"))) 
+((-4563 . T) (-4569 . T) (-4564 . T) ((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
+NIL 
+(-1271 |VarSet| R) 
+((|constructor| (NIL "This domain constructor implements polynomials in non-commutative variables written in the Poincare-Birkhoff-Witt basis from the Lyndon basis. These polynomials can be used to compute Baker-Campbell-Hausdorff relations.")) (|log| (($ $ (|NonNegativeInteger|)) "\\axiom{log(p,n)} returns the logarithm of \\axiom{p} (truncated up to order \\axiom{n}).")) (|exp| (($ $ (|NonNegativeInteger|)) "\\axiom{exp(p,n)} returns the exponential of \\axiom{p} (truncated up to order \\axiom{n}).")) (|product| (($ $ $ (|NonNegativeInteger|)) "\\axiom{product(a,b,n)} returns \\axiom{a*b} (truncated up to order \\axiom{n}).")) (|LiePolyIfCan| (((|Union| (|LiePolynomial| |#1| |#2|) "failed") $) "\\axiom{LiePolyIfCan(p)} return \\axiom{p} if \\axiom{p} is a Lie polynomial.")) (|coerce| (((|XRecursivePolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a recursive polynomial.") (((|XDistributedPolynomial| |#1| |#2|) $) "\\axiom{coerce(p)} returns \\axiom{p} as a distributed polynomial.") (($ (|LiePolynomial| |#1| |#2|)) "\\axiom{coerce(p)} returns \\axiom{p}."))) 
+((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasCategory| |#2| (LIST (QUOTE -709) (LIST (QUOTE -410) (QUOTE (-569))))) (|HasAttribute| |#2| (QUOTE -4564))) 
+(-1272 |vl| R) 
+((|constructor| (NIL "The Category of polynomial rings with non-commutative variables. The coefficient ring may be non-commutative too. However coefficients commute with vaiables.")) (|trunc| (($ $ (|NonNegativeInteger|)) "\\spad{trunc(p,n)} returns the polynomial \\spad{p} truncated at order \\spad{n}.")) (|degree| (((|NonNegativeInteger|) $) "\\spad{degree(p)} returns the degree of \\spad{p}. \\indented{1}{Note that the degree of a word is its length.}")) (|maxdeg| (((|OrderedFreeMonoid| |#1|) $) "\\spad{maxdeg(p)} returns the greatest leading word in the support of \\spad{p}."))) 
+((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+NIL 
+(-1273 R) 
+((|constructor| (NIL "This type supports multivariate polynomials whose set of variables is \\spadtype{Symbol}. The representation is recursive. The coefficient ring may be non-commutative and the variables do not commute. However, coefficients and variables commute."))) 
+((-4564 |has| |#1| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasAttribute| |#1| (QUOTE -4564))) 
+(-1274 R E) 
+((|constructor| (NIL "This domain represents generalized polynomials with coefficients (from a not necessarily commutative ring), and words belonging to an arbitrary \\spadtype{OrderedMonoid}. This type is used, for instance, by the \\spadtype{XDistributedPolynomial} domain constructor where the Monoid is free.")) (|canonicalUnitNormal| ((|attribute|) "canonicalUnitNormal guarantees that the function unitCanonical returns the same representative for all associates of any particular element.")) (/ (($ $ |#1|) "\\spad{p/r} returns \\spad{p*(1/r)}.")) (|map| (($ (|Mapping| |#1| |#1|) $) "\\spad{map(fn,x)} returns \\spad{Sum(fn(r_i) w_i)} if \\spad{x} writes \\spad{Sum(r_i w_i)}.")) (|quasiRegular| (($ $) "\\spad{quasiRegular(x)} return \\spad{x} minus its constant term.")) (|quasiRegular?| (((|Boolean|) $) "\\spad{quasiRegular?(x)} return \\spad{true} if \\spad{constant(p)} is zero.")) (|constant| ((|#1| $) "\\spad{constant(p)} return the constant term of \\spad{p}.")) (|constant?| (((|Boolean|) $) "\\spad{constant?(p)} tests whether the polynomial \\spad{p} belongs to the coefficient ring.")) (|coef| ((|#1| $ |#2|) "\\spad{coef(p,e)} extracts the coefficient of the monomial \\spad{e}. Returns zero if \\spad{e} is not present.")) (|reductum| (($ $) "\\spad{reductum(p)} returns \\spad{p} minus its leading term. An error is produced if \\spad{p} is zero.")) (|mindeg| ((|#2| $) "\\spad{mindeg(p)} returns the smallest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|maxdeg| ((|#2| $) "\\spad{maxdeg(p)} returns the greatest word occurring in the polynomial \\spad{p} with a non-zero coefficient. An error is produced if \\spad{p} is zero.")) (|coerce| (($ |#2|) "\\spad{coerce(e)} returns \\spad{1*e}")) (|#| (((|NonNegativeInteger|) $) "\\spad{# \\spad{p}} returns the number of terms in \\spad{p}.")) (* (($ $ |#1|) "\\spad{p*r} returns the product of \\spad{p} by \\spad{r}."))) 
+((-4568 . T) (-4569 |has| |#1| (-6 -4569)) (-4564 |has| |#1| (-6 -4564)) (-4566 . T) (-4565 . T)) 
+((|HasCategory| |#1| (QUOTE (-173))) (|HasCategory| |#1| (QUOTE (-366))) (|HasAttribute| |#1| (QUOTE -4568)) (|HasAttribute| |#1| (QUOTE -4569)) (|HasAttribute| |#1| (QUOTE -4564))) 
+(-1275 |VarSet| R) 
 ((|constructor| (NIL "This type supports multivariate polynomials whose variables do not commute. The representation is recursive. The coefficient ring may be non-commutative. Coefficients and variables commute.")) (|RemainderList| (((|List| (|Record| (|:| |k| |#1|) (|:| |c| $))) $) "\\spad{RemainderList(p)} returns the regular part of \\spad{p} as a list of terms.")) (|unexpand| (($ (|XDistributedPolynomial| |#1| |#2|)) "\\spad{unexpand(p)} returns \\spad{p} in recursive form.")) (|expand| (((|XDistributedPolynomial| |#1| |#2|) $) "\\spad{expand(p)} returns \\spad{p} in distributed form."))) 
-((-4528 |has| |#2| (-6 -4528)) (-4530 . T) (-4529 . T) (-4532 . T)) 
-((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4528))) 
-(-1270 A) 
-((|constructor| (NIL "This package implements fixed-point computations on streams.")) (Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) "\\spad{Y(g,{}n)} computes a fixed point of the function \\spad{g},{} where \\spad{g} takes a list of \\spad{n} streams and returns a list of \\spad{n} streams.") (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) "\\spad{Y(f)} computes a fixed point of the function \\spad{f}."))) 
+((-4564 |has| |#2| (-6 -4564)) (-4566 . T) (-4565 . T) (-4568 . T)) 
+((|HasCategory| |#2| (QUOTE (-173))) (|HasAttribute| |#2| (QUOTE -4564))) 
+(-1276 A) 
+((|constructor| (NIL "This package implements fixed-point computations on streams.")) (Y (((|List| (|Stream| |#1|)) (|Mapping| (|List| (|Stream| |#1|)) (|List| (|Stream| |#1|))) (|Integer|)) "\\spad{Y(g,n)} computes a fixed point of the function \\spad{g,} where \\spad{g} takes a list of \\spad{n} streams and returns a list of \\spad{n} streams.") (((|Stream| |#1|) (|Mapping| (|Stream| |#1|) (|Stream| |#1|))) "\\spad{Y(f)} computes a fixed point of the function \\spad{f.}"))) 
 NIL 
 NIL 
-(-1271 R |ls| |ls2|) 
-((|constructor| (NIL "A package for computing symbolically the complex and real roots of zero-dimensional algebraic systems over the integer or rational numbers. Complex roots are given by means of univariate representations of irreducible regular chains. Real roots are given by means of tuples of coordinates lying in the \\spadtype{RealClosure} of the coefficient ring. This constructor takes three arguments. The first one \\spad{R} is the coefficient ring. The second one \\spad{ls} is the list of variables involved in the systems to solve. The third one must be \\spad{concat(ls,{}s)} where \\spad{s} is an additional symbol used for the univariate representations. WARNING. The third argument is not checked. All operations are based on triangular decompositions. The default is to compute these decompositions directly from the input system by using the \\spadtype{RegularChain} domain constructor. The lexTriangular algorithm can also be used for computing these decompositions (see \\spadtype{LexTriangularPackage} package constructor). For that purpose,{} the operations univariateSolve,{} realSolve and positiveSolve admit an optional argument.")) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) "\\spad{convert(st)} returns the members of \\spad{st}.") (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{convert(u)} converts \\spad{u}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) "\\spad{convert(q)} converts \\spad{q}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) "\\spad{convert(p)} converts \\spad{p}.") (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "\\spad{convert(q)} converts \\spad{q}.")) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) "\\spad{squareFree(ts)} returns the square-free factorization of \\spad{ts}. Moreover,{} each factor is a Lazard triangular set and the decomposition is a Kalkbrener split of \\spad{ts},{} which is enough here for the matter of solving zero-dimensional algebraic systems. WARNING. \\spad{ts} is not checked to be zero-dimensional.")) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,{}false,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,{}info?,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{positiveSolve(lp,{}info?,{}lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are (real) strictly positive. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{positiveSolve(lp,{}info?,{}lextri?)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{positiveSolve(ts)} returns the points of the regular set of \\spad{ts} with (real) strictly positive coordinates.")) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{realSolve(lp)} returns the same as \\spad{realSolve(ts,{}false,{}false,{}false)}") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{realSolve(ts,{}info?)} returns the same as \\spad{realSolve(ts,{}info?,{}false,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,{}info?,{}check?)} returns the same as \\spad{realSolve(ts,{}info?,{}check?,{}false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,{}info?,{}check?,{}lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are all real. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{realSolve(ts,{}info?,{}check?,{}lextri?)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{realSolve(ts)} returns the set of the points in the regular zero set of \\spad{ts} whose coordinates are all real. WARNING. For each set of coordinates given by \\spad{realSolve(ts)} the ordering of the indeterminates is reversed \\spad{w}.\\spad{r}.\\spad{t}. \\spad{ls}.")) (|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{univariateSolve(lp)} returns the same as \\spad{univariateSolve(lp,{}false,{}false,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?)} returns the same as \\spad{univariateSolve(lp,{}info?,{}false,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?,{}check?)} returns the same as \\spad{univariateSolve(lp,{}info?,{}check?,{}false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,{}info?,{}check?,{}lextri?)} returns a univariate representation of the variety associated with \\spad{lp}. Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during the decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. See rur from RationalUnivariateRepresentationPackage(\\spad{lp},{}\\spad{true}). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) "\\spad{univariateSolve(ts)} returns a univariate representation of \\spad{ts}. See rur from RationalUnivariateRepresentationPackage(\\spad{lp},{}\\spad{true}).")) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) "\\spad{triangSolve(lp)} returns the same as \\spad{triangSolve(lp,{}false,{}false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{triangSolve(lp,{}info?)} returns the same as \\spad{triangSolve(lp,{}false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{triangSolve(lp,{}info?,{}lextri?)} decomposes the variety associated with \\axiom{\\spad{lp}} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{\\spad{lp}} needs to generate a zero-dimensional ideal. If \\axiom{\\spad{lp}} is not zero-dimensional then the result is only a decomposition of its zero-set in the sense of the closure (\\spad{w}.\\spad{r}.\\spad{t}. Zarisky topology). Moreover,{} if \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSetCategory(\\spad{lp},{}\\spad{true},{}\\spad{info?}). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(\\spad{lp},{}\\spad{false})). Otherwise,{} the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain"))) 
+(-1277 R |ls| |ls2|) 
+((|constructor| (NIL "A package for computing symbolically the complex and real roots of zero-dimensional algebraic systems over the integer or rational numbers. Complex roots are given by means of univariate representations of irreducible regular chains. Real roots are given by means of tuples of coordinates lying in the \\spadtype{RealClosure} of the coefficient ring. This constructor takes three arguments. The first one \\spad{R} is the coefficient ring. The second one \\spad{ls} is the list of variables involved in the systems to solve. The third one must be \\spad{concat(ls,s)} where \\spad{s} is an additional symbol used for the univariate representations. WARNING. The third argument is not checked. All operations are based on triangular decompositions. The default is to compute these decompositions directly from the input system by using the \\spadtype{RegularChain} domain constructor. The lexTriangular algorithm can also be used for computing these decompositions (see \\spadtype{LexTriangularPackage} package constructor). For that purpose, the operations univariateSolve, realSolve and positiveSolve admit an optional argument.")) (|convert| (((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) "\\spad{convert(st)} returns the members of \\spad{st}.") (((|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| |#1|))) (|SparseUnivariatePolynomial| |#1|)) "\\spad{convert(u)} converts \\spad{u}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|))) "\\spad{convert(q)} converts \\spad{q}.") (((|Polynomial| (|RealClosure| (|Fraction| |#1|))) (|Polynomial| |#1|)) "\\spad{convert(p)} converts \\spad{p}.") (((|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|))) "\\spad{convert(q)} converts \\spad{q}.")) (|squareFree| (((|List| (|SquareFreeRegularTriangularSet| |#1| (|IndexedExponents| (|OrderedVariableList| |#3|)) (|OrderedVariableList| |#3|) (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#3|)))) (|RegularChain| |#1| |#2|)) "\\spad{squareFree(ts)} returns the square-free factorization of \\spad{ts}. Moreover, each factor is a Lazard triangular set and the decomposition is a Kalkbrener split of \\spad{ts}, which is enough here for the matter of solving zero-dimensional algebraic systems. WARNING. \\spad{ts} is not checked to be zero-dimensional.")) (|positiveSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{positiveSolve(lp)} returns the same as \\spad{positiveSolve(lp,info?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{positiveSolve(lp,info?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are (real) strictly positive. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{positiveSolve(lp,info?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{positiveSolve(ts)} returns the points of the regular set of \\spad{ts} with (real) strictly positive coordinates.")) (|realSolve| (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|))) "\\spad{realSolve(lp)} returns the same as \\spad{realSolve(ts,false,false,false)}") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{realSolve(ts,info?)} returns the same as \\spad{realSolve(ts,info?,false,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?)} returns the same as \\spad{realSolve(ts,info?,check?,false)}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{realSolve(ts,info?,check?,lextri?)} returns the set of the points in the variety associated with \\spad{lp} whose coordinates are all real. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from \\spadtype{RegularChain}. WARNING. For each set of coordinates given by \\spad{realSolve(ts,info?,check?,lextri?)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.") (((|List| (|List| (|RealClosure| (|Fraction| |#1|)))) (|RegularChain| |#1| |#2|)) "\\spad{realSolve(ts)} returns the set of the points in the regular zero set of \\spad{ts} whose coordinates are all real. WARNING. For each set of coordinates given by \\spad{realSolve(ts)} the ordering of the indeterminates is reversed w.r.t. \\spad{ls}.")) (|univariateSolve| (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|))) "\\spad{univariateSolve(lp)} returns the same as \\spad{univariateSolve(lp,false,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{univariateSolve(lp,info?)} returns the same as \\spad{univariateSolve(lp,info?,false,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?)} returns the same as \\spad{univariateSolve(lp,info?,check?,false)}.") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|) (|Boolean|)) "\\spad{univariateSolve(lp,info?,check?,lextri?)} returns a univariate representation of the variety associated with \\spad{lp}. Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the decomposition into regular chains. If \\spad{check?} is \\spad{true} then the result is checked. See rur from RationalUnivariateRepresentationPackage(lp,true). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain") (((|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| |#1|)) (|:| |coordinates| (|List| (|Polynomial| |#1|))))) (|RegularChain| |#1| |#2|)) "\\spad{univariateSolve(ts)} returns a univariate representation of \\spad{ts}. See rur from RationalUnivariateRepresentationPackage(lp,true).")) (|triangSolve| (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|))) "\\spad{triangSolve(lp)} returns the same as \\spad{triangSolve(lp,false,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|)) "\\spad{triangSolve(lp,info?)} returns the same as \\spad{triangSolve(lp,false)}") (((|List| (|RegularChain| |#1| |#2|)) (|List| (|Polynomial| |#1|)) (|Boolean|) (|Boolean|)) "\\spad{triangSolve(lp,info?,lextri?)} decomposes the variety associated with \\axiom{lp} into regular chains. Thus a point belongs to this variety iff it is a regular zero of a regular set in in the output. Note that \\axiom{lp} needs to generate a zero-dimensional ideal. If \\axiom{lp} is not zero-dimensional then the result is only a decomposition of its zero-set in the sense of the closure (w.r.t. Zarisky topology). Moreover, if \\spad{info?} is \\spad{true} then some information is displayed during the computations. See zeroSetSplit from RegularTriangularSetCategory(lp,true,info?). If \\spad{lextri?} is \\spad{true} then the lexTriangular algorithm is called from the \\spadtype{LexTriangularPackage} constructor (see zeroSetSplit from LexTriangularPackage(lp,false)). Otherwise, the triangular decomposition is computed directly from the input system by using the zeroSetSplit from RegularChain"))) 
 NIL 
 NIL 
-(-1272 R) 
-((|constructor| (NIL "Test for linear dependence over the integers.")) (|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) "\\spad{solveLinearlyOverQ([v1,{}...,{}vn],{} u)} returns \\spad{[c1,{}...,{}cn]} such that \\spad{c1*v1 + ... + cn*vn = u},{} \"failed\" if no such rational numbers \\spad{ci}\\spad{'s} exist.")) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) "\\spad{linearlyDependenceOverZ([v1,{}...,{}vn])} returns \\spad{[c1,{}...,{}cn]} if \\spad{c1*v1 + ... + cn*vn = 0} and not all the \\spad{ci}\\spad{'s} are 0,{} \"failed\" if the \\spad{vi}\\spad{'s} are linearly independent over the integers.")) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) "\\spad{linearlyDependentOverZ?([v1,{}...,{}vn])} returns \\spad{true} if the \\spad{vi}\\spad{'s} are linearly dependent over the integers,{} \\spad{false} otherwise."))) 
+(-1278 R) 
+((|constructor| (NIL "Test for linear dependence over the integers.")) (|solveLinearlyOverQ| (((|Union| (|Vector| (|Fraction| (|Integer|))) "failed") (|Vector| |#1|) |#1|) "\\spad{solveLinearlyOverQ([v1,...,vn], u)} returns \\spad{[c1,...,cn]} such that \\spad{c1*v1 + \\spad{...} + cn*vn = u}, \"failed\" if no such rational numbers ci's exist.")) (|linearDependenceOverZ| (((|Union| (|Vector| (|Integer|)) "failed") (|Vector| |#1|)) "\\spad{linearlyDependenceOverZ([v1,...,vn])} returns \\spad{[c1,...,cn]} if \\spad{c1*v1 + \\spad{...} + cn*vn = 0} and not all the ci's are 0, \"failed\" if the vi's are linearly independent over the integers.")) (|linearlyDependentOverZ?| (((|Boolean|) (|Vector| |#1|)) "\\spad{linearlyDependentOverZ?([v1,...,vn])} returns \\spad{true} if the vi's are linearly dependent over the integers, \\spad{false} otherwise."))) 
 NIL 
 NIL 
-(-1273 |p|) 
-((|constructor| (NIL "IntegerMod(\\spad{n}) creates the ring of integers reduced modulo the integer \\spad{n}."))) 
-(((-4537 "*") . T) (-4529 . T) (-4530 . T) (-4532 . T)) 
+(-1279 |p|) 
+((|constructor| (NIL "IntegerMod(n) creates the ring of integers reduced modulo the integer \\spad{n.}"))) 
+(((-4573 "*") . T) (-4565 . T) (-4566 . T) (-4568 . T)) 
 NIL 
 NIL 
 NIL 
@@ -5044,4 +5068,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((-1278 NIL 2472049 2472054 2472059 2472064) (-3 NIL 2472029 2472034 2472039 2472044) (-2 NIL 2472009 2472014 2472019 2472024) (-1 NIL 2471989 2471994 2471999 2472004) (0 NIL 2471969 2471974 2471979 2471984) (-1273 "bookvol10.3.pamphlet" 2471778 2471791 2471907 2471964) (-1272 "bookvol10.4.pamphlet" 2470822 2470833 2471768 2471773) (-1271 "bookvol10.4.pamphlet" 2461062 2461084 2470812 2470817) (-1270 "bookvol10.4.pamphlet" 2460555 2460566 2461052 2461057) (-1269 "bookvol10.3.pamphlet" 2459790 2459810 2460411 2460480) (-1268 "bookvol10.3.pamphlet" 2457519 2457532 2459508 2459607) (-1267 "bookvol10.3.pamphlet" 2457089 2457100 2457375 2457444) (-1266 "bookvol10.2.pamphlet" 2456406 2456422 2457015 2457084) (-1265 "bookvol10.3.pamphlet" 2454903 2454923 2456186 2456255) (-1264 "bookvol10.2.pamphlet" 2453363 2453378 2454805 2454898) (-1263 NIL 2451803 2451820 2453247 2453252) (-1262 "bookvol10.2.pamphlet" 2448828 2448844 2451729 2451798) (-1261 "bookvol10.4.pamphlet" 2448139 2448165 2448818 2448823) (-1260 "bookvol10.3.pamphlet" 2447768 2447784 2447995 2448064) (-1259 "bookvol10.2.pamphlet" 2447467 2447478 2447724 2447763) (-1258 "bookvol10.3.pamphlet" 2443741 2443758 2447169 2447196) (-1257 "bookvol10.3.pamphlet" 2442755 2442799 2443599 2443666) (-1256 "bookvol10.4.pamphlet" 2440318 2440340 2442745 2442750) (-1255 "bookvol10.4.pamphlet" 2438524 2438535 2440308 2440313) (-1254 "bookvol10.2.pamphlet" 2438197 2438208 2438492 2438519) (-1253 NIL 2437890 2437903 2438187 2438192) (-1252 "bookvol10.3.pamphlet" 2437480 2437489 2437880 2437885) (-1251 "bookvol10.4.pamphlet" 2435102 2435111 2437470 2437475) (-1250 "bookvol10.4.pamphlet" 2430299 2430308 2435092 2435097) (-1249 "bookvol10.3.pamphlet" 2414053 2414062 2430289 2430294) (-1248 "bookvol10.3.pamphlet" 2401790 2401799 2414043 2414048) (-1247 "bookvol10.3.pamphlet" 2400687 2400698 2400938 2400965) (-1246 "bookvol10.4.pamphlet" 2399329 2399342 2400677 2400682) (-1245 "bookvol10.2.pamphlet" 2397217 2397228 2399285 2399324) (-1244 NIL 2394924 2394937 2396994 2396999) (-1243 "bookvol10.3.pamphlet" 2394704 2394719 2394914 2394919) (-1242 "bookvol10.3.pamphlet" 2389888 2389910 2393171 2393268) (-1241 "bookvol10.4.pamphlet" 2389791 2389819 2389878 2389883) (-1240 "bookvol10.4.pamphlet" 2389099 2389123 2389747 2389752) (-1239 "bookvol10.4.pamphlet" 2387251 2387271 2389089 2389094) (-1238 "bookvol10.3.pamphlet" 2382040 2382068 2385718 2385815) (-1237 "bookvol10.2.pamphlet" 2379491 2379507 2381938 2382035) (-1236 NIL 2376586 2376604 2379035 2379040) (-1235 "bookvol10.4.pamphlet" 2376209 2376244 2376576 2376581) (-1234 "bookvol10.2.pamphlet" 2370807 2370818 2376189 2376204) (-1233 NIL 2365379 2365392 2370763 2370768) (-1232 "bookvol10.3.pamphlet" 2363022 2363048 2364460 2364593) (-1231 "bookvol10.3.pamphlet" 2360157 2360185 2361154 2361303) (-1230 "bookvol10.3.pamphlet" 2357914 2357934 2358289 2358438) (-1229 "bookvol10.2.pamphlet" 2356372 2356392 2357760 2357909) (-1228 NIL 2354972 2354994 2356362 2356367) (-1227 "bookvol10.2.pamphlet" 2353553 2353569 2354818 2354967) (-1226 "bookvol10.4.pamphlet" 2353094 2353147 2353543 2353548) (-1225 "bookvol10.4.pamphlet" 2351506 2351520 2353084 2353089) (-1224 "bookvol10.2.pamphlet" 2349086 2349110 2351404 2351501) (-1223 NIL 2346372 2346398 2348692 2348697) (-1222 "bookvol10.2.pamphlet" 2341346 2341357 2346214 2346367) (-1221 NIL 2336212 2336225 2341082 2341087) (-1220 "bookvol10.4.pamphlet" 2335677 2335696 2336202 2336207) (-1219 "bookvol10.3.pamphlet" 2332628 2332643 2333227 2333380) (-1218 "bookvol10.4.pamphlet" 2331518 2331531 2332618 2332623) (-1217 "bookvol10.4.pamphlet" 2331081 2331095 2331508 2331513) (-1216 "bookvol10.4.pamphlet" 2329318 2329332 2331071 2331076) (-1215 "bookvol10.4.pamphlet" 2328525 2328541 2329308 2329313) (-1214 "bookvol10.4.pamphlet" 2327887 2327908 2328515 2328520) (-1213 "bookvol10.3.pamphlet" 2327240 2327251 2327806 2327811) (-1212 "bookvol10.4.pamphlet" 2326733 2326746 2327196 2327201) (-1211 "bookvol10.4.pamphlet" 2325834 2325846 2326723 2326728) (-1210 "bookvol10.3.pamphlet" 2316494 2316522 2317479 2317908) (-1209 "bookvol10.3.pamphlet" 2310531 2310551 2310903 2311052) (-1208 "bookvol10.2.pamphlet" 2308124 2308144 2310351 2310526) (-1207 NIL 2305851 2305873 2308080 2308085) (-1206 "bookvol10.2.pamphlet" 2304067 2304083 2305697 2305846) (-1205 "bookvol10.4.pamphlet" 2303609 2303662 2304057 2304062) (-1204 "bookvol10.3.pamphlet" 2302002 2302018 2302076 2302173) (-1203 "bookvol10.4.pamphlet" 2301917 2301933 2301992 2301997) (-1202 "bookvol10.2.pamphlet" 2300982 2300991 2301843 2301912) (-1201 NIL 2300109 2300120 2300972 2300977) (-1200 "bookvol10.4.pamphlet" 2298956 2298965 2300099 2300104) (-1199 "bookvol10.4.pamphlet" 2296442 2296453 2298912 2298917) (-1198 "bookvol10.3.pamphlet" 2295651 2295660 2295876 2295903) (-1197 "bookvol10.2.pamphlet" 2295573 2295582 2295631 2295646) (-1196 "bookvol10.4.pamphlet" 2294223 2294238 2295563 2295568) (-1195 "bookvol10.3.pamphlet" 2293126 2293137 2294178 2294183) (-1194 "bookvol10.4.pamphlet" 2289960 2289969 2293116 2293121) (-1193 "bookvol10.3.pamphlet" 2288616 2288633 2289950 2289955) (-1192 "bookvol10.3.pamphlet" 2287205 2287221 2288181 2288278) (-1191 "bookvol10.2.pamphlet" 2274515 2274532 2287161 2287200) (-1190 NIL 2261823 2261842 2274471 2274476) (-1189 "bookvol10.4.pamphlet" 2256189 2256206 2261529 2261534) (-1188 "bookvol10.4.pamphlet" 2255148 2255173 2256179 2256184) (-1187 "bookvol10.4.pamphlet" 2253665 2253682 2255138 2255143) (-1186 "bookvol10.2.pamphlet" 2253177 2253186 2253655 2253660) (-1185 NIL 2252687 2252698 2253167 2253172) (-1184 "bookvol10.3.pamphlet" 2250736 2250747 2252517 2252544) (-1183 "bookvol10.2.pamphlet" 2250567 2250576 2250726 2250731) (-1182 NIL 2250396 2250407 2250557 2250562) (-1181 "bookvol10.4.pamphlet" 2250070 2250079 2250386 2250391) (-1180 "bookvol10.4.pamphlet" 2249733 2249744 2250060 2250065) (-1179 "bookvol10.3.pamphlet" 2248290 2248299 2249723 2249728) (-1178 "bookvol10.3.pamphlet" 2245307 2245316 2248280 2248285) (-1177 "bookvol10.4.pamphlet" 2244863 2244874 2245297 2245302) (-1176 "bookvol10.4.pamphlet" 2244418 2244427 2244853 2244858) (-1175 "bookvol10.4.pamphlet" 2242511 2242534 2244408 2244413) (-1174 "bookvol10.2.pamphlet" 2241358 2241381 2242479 2242506) (-1173 NIL 2240225 2240250 2241348 2241353) (-1172 "bookvol10.4.pamphlet" 2239601 2239612 2240215 2240220) (-1171 "bookvol10.3.pamphlet" 2238574 2238597 2238844 2238871) (-1170 "bookvol10.3.pamphlet" 2238070 2238081 2238564 2238569) (-1169 "bookvol10.4.pamphlet" 2234922 2234933 2238060 2238065) (-1168 "bookvol10.4.pamphlet" 2231515 2231526 2234912 2234917) (-1167 "bookvol10.3.pamphlet" 2229568 2229577 2231505 2231510) (-1166 "bookvol10.3.pamphlet" 2225553 2225562 2229558 2229563) (-1165 "bookvol10.3.pamphlet" 2224560 2224571 2224642 2224769) (-1164 "bookvol10.4.pamphlet" 2224035 2224046 2224550 2224555) (-1163 "bookvol10.3.pamphlet" 2221363 2221372 2224025 2224030) (-1162 "bookvol10.3.pamphlet" 2218119 2218128 2221353 2221358) (-1161 "bookvol10.3.pamphlet" 2215126 2215154 2216586 2216683) (-1160 "bookvol10.3.pamphlet" 2212248 2212276 2213258 2213407) (-1159 "bookvol10.3.pamphlet" 2208931 2208942 2209798 2209951) (-1158 "bookvol10.4.pamphlet" 2208051 2208069 2208921 2208926) (-1157 "bookvol10.3.pamphlet" 2205495 2205506 2205564 2205717) (-1156 "bookvol10.4.pamphlet" 2204885 2204898 2205485 2205490) (-1155 "bookvol10.4.pamphlet" 2203363 2203374 2204875 2204880) (-1154 "bookvol10.4.pamphlet" 2202989 2203006 2203353 2203358) (-1153 "bookvol10.3.pamphlet" 2193636 2193664 2194634 2195063) (-1152 "bookvol10.3.pamphlet" 2193316 2193331 2193626 2193631) (-1151 "bookvol10.3.pamphlet" 2185287 2185302 2193306 2193311) (-1150 "bookvol10.4.pamphlet" 2184459 2184473 2185243 2185248) (-1149 "bookvol10.4.pamphlet" 2180558 2180574 2184449 2184454) (-1148 "bookvol10.4.pamphlet" 2177026 2177042 2180548 2180553) (-1147 "bookvol10.4.pamphlet" 2169426 2169437 2176907 2176912) (-1146 "bookvol10.3.pamphlet" 2168505 2168522 2168654 2168681) (-1145 "bookvol10.3.pamphlet" 2167888 2167897 2167986 2168013) (-1144 "bookvol10.2.pamphlet" 2167664 2167673 2167844 2167883) (-1143 "bookvol10.3.pamphlet" 2162612 2162623 2167412 2167427) (-1142 "bookvol10.4.pamphlet" 2161823 2161838 2162602 2162607) (-1141 "bookvol10.4.pamphlet" 2160032 2160045 2161813 2161818) (-1140 "bookvol10.4.pamphlet" 2159456 2159467 2160022 2160027) (-1139 "bookvol10.4.pamphlet" 2159175 2159186 2159446 2159451) (-1138 "bookvol10.4.pamphlet" 2158081 2158097 2159165 2159170) (-1137 "bookvol10.2.pamphlet" 2157287 2157296 2158071 2158076) (-1136 "bookvol10.3.pamphlet" 2156375 2156403 2156542 2156557) (-1135 "bookvol10.2.pamphlet" 2155432 2155443 2156355 2156370) (-1134 NIL 2154497 2154510 2155422 2155427) (-1133 "bookvol10.3.pamphlet" 2150122 2150133 2154327 2154354) (-1132 "bookvol10.3.pamphlet" 2148165 2148182 2149824 2149851) (-1131 "bookvol10.4.pamphlet" 2146892 2146912 2148155 2148160) (-1130 "bookvol10.2.pamphlet" 2141935 2141944 2146848 2146887) (-1129 NIL 2137010 2137021 2141925 2141930) (-1128 "bookvol10.3.pamphlet" 2134690 2134708 2135598 2135685) (-1127 "bookvol10.3.pamphlet" 2129557 2129570 2134441 2134468) (-1126 "bookvol10.3.pamphlet" 2126097 2126110 2129547 2129552) (-1125 "bookvol10.2.pamphlet" 2124874 2124883 2126087 2126092) (-1124 "bookvol10.4.pamphlet" 2123439 2123448 2124864 2124869) (-1123 "bookvol10.2.pamphlet" 2107266 2107277 2123429 2123434) (-1122 "bookvol10.3.pamphlet" 2107042 2107053 2107256 2107261) (-1121 "bookvol10.4.pamphlet" 2106587 2106600 2106998 2107003) (-1120 "bookvol10.4.pamphlet" 2104180 2104191 2106577 2106582) (-1119 "bookvol10.4.pamphlet" 2102745 2102756 2104170 2104175) (-1118 "bookvol10.4.pamphlet" 2096172 2096183 2102735 2102740) (-1117 "bookvol10.4.pamphlet" 2094592 2094610 2096162 2096167) (-1116 "bookvol10.2.pamphlet" 2094359 2094376 2094548 2094587) (-1115 "bookvol10.3.pamphlet" 2092475 2092501 2093924 2094021) (-1114 "bookvol10.3.pamphlet" 2089929 2089949 2090304 2090431) (-1113 "bookvol10.4.pamphlet" 2088772 2088797 2089919 2089924) (-1112 "bookvol10.2.pamphlet" 2086870 2086900 2088704 2088767) (-1111 NIL 2084912 2084944 2086748 2086753) (-1110 "bookvol10.2.pamphlet" 2083350 2083361 2084868 2084907) (-1109 "bookvol10.3.pamphlet" 2081715 2081724 2083216 2083345) (-1108 "bookvol10.4.pamphlet" 2081458 2081467 2081705 2081710) (-1107 "bookvol10.4.pamphlet" 2080566 2080577 2081448 2081453) (-1106 "bookvol10.4.pamphlet" 2079835 2079852 2080556 2080561) (-1105 "bookvol10.4.pamphlet" 2077705 2077720 2079791 2079796) (-1104 "bookvol10.3.pamphlet" 2069418 2069445 2069920 2070051) (-1103 "bookvol10.2.pamphlet" 2068653 2068662 2069408 2069413) (-1102 NIL 2067886 2067897 2068643 2068648) (-1101 "bookvol10.4.pamphlet" 2060912 2060921 2067876 2067881) (-1100 "bookvol10.2.pamphlet" 2060391 2060408 2060868 2060907) (-1099 "bookvol10.4.pamphlet" 2060090 2060110 2060381 2060386) (-1098 "bookvol10.4.pamphlet" 2055415 2055435 2060080 2060085) (-1097 "bookvol10.3.pamphlet" 2054850 2054864 2055405 2055410) (-1096 "bookvol10.3.pamphlet" 2054693 2054733 2054840 2054845) (-1095 "bookvol10.3.pamphlet" 2054585 2054594 2054683 2054688) (-1094 "bookvol10.2.pamphlet" 2051674 2051714 2054575 2054580) (-1093 "bookvol10.3.pamphlet" 2049984 2049995 2051151 2051190) (-1092 "bookvol10.3.pamphlet" 2048402 2048419 2049974 2049979) (-1091 "bookvol10.2.pamphlet" 2047884 2047893 2048392 2048397) (-1090 NIL 2047364 2047375 2047874 2047879) (-1089 "bookvol10.2.pamphlet" 2047253 2047262 2047354 2047359) (-1088 "bookvol10.2.pamphlet" 2043741 2043752 2047221 2047248) (-1087 NIL 2040249 2040262 2043731 2043736) (-1086 "bookvol10.2.pamphlet" 2039361 2039374 2040229 2040244) (-1085 "bookvol10.3.pamphlet" 2039174 2039185 2039280 2039285) (-1084 "bookvol10.2.pamphlet" 2037980 2037991 2039154 2039169) (-1083 "bookvol10.3.pamphlet" 2037052 2037063 2037935 2037940) (-1082 "bookvol10.4.pamphlet" 2036748 2036761 2037042 2037047) (-1081 "bookvol10.4.pamphlet" 2036173 2036186 2036704 2036709) (-1080 "bookvol10.3.pamphlet" 2035449 2035460 2036163 2036168) (-1079 "bookvol10.3.pamphlet" 2032851 2032862 2033130 2033257) (-1078 "bookvol10.4.pamphlet" 2030930 2030941 2032841 2032846) (-1077 "bookvol10.4.pamphlet" 2029811 2029822 2030920 2030925) (-1076 "bookvol10.3.pamphlet" 2029683 2029692 2029801 2029806) (-1075 "bookvol10.4.pamphlet" 2029396 2029416 2029673 2029678) (-1074 "bookvol10.3.pamphlet" 2027517 2027533 2028182 2028317) (-1073 "bookvol10.4.pamphlet" 2027218 2027238 2027507 2027512) (-1072 "bookvol10.4.pamphlet" 2024904 2024920 2027208 2027213) (-1071 "bookvol10.3.pamphlet" 2024306 2024330 2024894 2024899) (-1070 "bookvol10.3.pamphlet" 2022418 2022442 2024296 2024301) (-1069 "bookvol10.3.pamphlet" 2022270 2022283 2022408 2022413) (-1068 "bookvol10.4.pamphlet" 2019338 2019358 2022260 2022265) (-1067 "bookvol10.2.pamphlet" 2009798 2009815 2019294 2019333) (-1066 NIL 2000290 2000309 2009788 2009793) (-1065 "bookvol10.4.pamphlet" 1998924 1998944 2000280 2000285) (-1064 "bookvol10.2.pamphlet" 1997308 1997338 1998914 1998919) (-1063 NIL 1995690 1995722 1997298 1997303) (-1062 "bookvol10.2.pamphlet" 1975006 1975021 1995558 1995685) (-1061 NIL 1954036 1954053 1974590 1974595) (-1060 "bookvol10.3.pamphlet" 1950481 1950490 1953265 1953292) (-1059 "bookvol10.3.pamphlet" 1949728 1949737 1950347 1950476) (-1058 NIL 1948808 1948840 1949718 1949723) (-1057 "bookvol10.2.pamphlet" 1947711 1947720 1948710 1948803) (-1056 NIL 1946700 1946711 1947701 1947706) (-1055 "bookvol10.2.pamphlet" 1946222 1946231 1946690 1946695) (-1054 "bookvol10.2.pamphlet" 1945699 1945710 1946212 1946217) (-1053 "bookvol10.4.pamphlet" 1945107 1945164 1945689 1945694) (-1052 "bookvol10.3.pamphlet" 1943842 1943861 1944330 1944369) (-1051 "bookvol10.2.pamphlet" 1939359 1939390 1943786 1943837) (-1050 NIL 1934778 1934811 1939207 1939212) (-1049 "bookvol10.4.pamphlet" 1934666 1934686 1934768 1934773) (-1048 "bookvol10.2.pamphlet" 1934019 1934028 1934646 1934661) (-1047 NIL 1933380 1933391 1934009 1934014) (-1046 "bookvol10.4.pamphlet" 1932274 1932283 1933370 1933375) (-1045 "bookvol10.3.pamphlet" 1930939 1930955 1931834 1931861) (-1044 "bookvol10.4.pamphlet" 1928981 1928992 1930929 1930934) (-1043 "bookvol10.4.pamphlet" 1926595 1926606 1928971 1928976) (-1042 "bookvol10.4.pamphlet" 1926057 1926068 1926585 1926590) (-1041 "bookvol10.4.pamphlet" 1925792 1925804 1926047 1926052) (-1040 "bookvol10.4.pamphlet" 1924780 1924789 1925782 1925787) (-1039 "bookvol10.4.pamphlet" 1924197 1924210 1924770 1924775) (-1038 "bookvol10.2.pamphlet" 1923546 1923557 1924187 1924192) (-1037 NIL 1922893 1922906 1923536 1923541) (-1036 "bookvol10.3.pamphlet" 1921535 1921544 1922122 1922149) (-1035 "bookvol10.3.pamphlet" 1920882 1920929 1921473 1921530) (-1034 "bookvol10.4.pamphlet" 1920206 1920217 1920872 1920877) (-1033 "bookvol10.4.pamphlet" 1919935 1919946 1920196 1920201) (-1032 "bookvol10.4.pamphlet" 1917487 1917496 1919925 1919930) (-1031 "bookvol10.4.pamphlet" 1917192 1917203 1917477 1917482) (-1030 "bookvol10.4.pamphlet" 1906634 1906645 1917034 1917039) (-1029 "bookvol10.4.pamphlet" 1900610 1900621 1906584 1906589) (-1028 "bookvol10.3.pamphlet" 1898701 1898718 1900312 1900339) (-1027 "bookvol10.3.pamphlet" 1898045 1898056 1898656 1898661) (-1026 "bookvol10.4.pamphlet" 1897221 1897238 1898035 1898040) (-1025 "bookvol10.4.pamphlet" 1895518 1895535 1897176 1897181) (-1024 "bookvol10.3.pamphlet" 1894301 1894321 1895005 1895098) (-1023 "bookvol10.4.pamphlet" 1892756 1892765 1894291 1894296) (-1022 "bookvol10.2.pamphlet" 1892628 1892637 1892746 1892751) (-1021 "bookvol10.4.pamphlet" 1889925 1889940 1892618 1892623) (-1020 "bookvol10.4.pamphlet" 1886768 1886783 1889915 1889920) (-1019 "bookvol10.4.pamphlet" 1886513 1886538 1886758 1886763) (-1018 "bookvol10.4.pamphlet" 1886076 1886087 1886503 1886508) (-1017 "bookvol10.4.pamphlet" 1884976 1884994 1886066 1886071) (-1016 "bookvol10.4.pamphlet" 1883181 1883199 1884966 1884971) (-1015 "bookvol10.4.pamphlet" 1882406 1882423 1883171 1883176) (-1014 "bookvol10.4.pamphlet" 1881556 1881573 1882396 1882401) (-1013 "bookvol10.2.pamphlet" 1878739 1878748 1881458 1881551) (-1012 NIL 1876008 1876019 1878729 1878734) (-1011 "bookvol10.2.pamphlet" 1873917 1873928 1875988 1876003) (-1010 NIL 1871763 1871776 1873836 1873841) (-1009 "bookvol10.4.pamphlet" 1871180 1871191 1871753 1871758) (-1008 "bookvol10.4.pamphlet" 1870364 1870376 1871170 1871175) (-1007 "bookvol10.4.pamphlet" 1869721 1869730 1870354 1870359) (-1006 "bookvol10.4.pamphlet" 1869475 1869484 1869711 1869716) (-1005 "bookvol10.3.pamphlet" 1866260 1866274 1867942 1868035) (-1004 "bookvol10.3.pamphlet" 1864673 1864710 1864792 1864948) (-1003 "bookvol10.2.pamphlet" 1864266 1864275 1864663 1864668) (-1002 NIL 1863857 1863868 1864256 1864261) (-1001 "bookvol10.3.pamphlet" 1859246 1859257 1863687 1863714) (-1000 "bookvol10.3.pamphlet" 1857872 1857883 1858170 1858235) (-999 "bookvol10.4.pamphlet" 1857195 1857213 1857862 1857867) (-998 "bookvol10.2.pamphlet" 1855356 1855366 1857125 1857190) (-997 NIL 1853268 1853280 1855039 1855044) (-996 "bookvol10.2.pamphlet" 1852074 1852084 1853224 1853263) (-995 "bookvol10.3.pamphlet" 1851537 1851551 1852064 1852069) (-994 "bookvol10.2.pamphlet" 1850228 1850238 1851427 1851532) (-993 NIL 1848522 1848534 1849723 1849728) (-992 "bookvol10.4.pamphlet" 1848213 1848229 1848512 1848517) (-991 "bookvol10.3.pamphlet" 1847770 1847778 1848203 1848208) (-990 "bookvol10.4.pamphlet" 1843172 1843191 1847760 1847765) (-989 "bookvol10.3.pamphlet" 1839247 1839279 1843086 1843091) (-988 "bookvol10.4.pamphlet" 1837243 1837261 1839237 1839242) (-987 "bookvol10.4.pamphlet" 1834553 1834574 1837233 1837238) (-986 "bookvol10.4.pamphlet" 1833880 1833899 1834543 1834548) (-985 "bookvol10.2.pamphlet" 1830006 1830016 1833870 1833875) (-984 "bookvol10.4.pamphlet" 1827090 1827100 1829996 1830001) (-983 "bookvol10.4.pamphlet" 1826907 1826921 1827080 1827085) (-982 "bookvol10.2.pamphlet" 1825989 1825999 1826863 1826902) (-981 "bookvol10.4.pamphlet" 1825296 1825320 1825979 1825984) (-980 "bookvol10.4.pamphlet" 1824154 1824164 1825286 1825291) (-979 "bookvol10.4.pamphlet" 1809555 1809571 1824032 1824037) (-978 "bookvol10.2.pamphlet" 1803448 1803471 1809523 1809550) (-977 NIL 1797327 1797352 1803404 1803409) (-976 "bookvol10.2.pamphlet" 1796310 1796318 1797317 1797322) (-975 "bookvol10.2.pamphlet" 1795073 1795102 1796208 1796305) (-974 NIL 1793926 1793957 1795063 1795068) (-973 "bookvol10.3.pamphlet" 1792741 1792749 1793916 1793921) (-972 "bookvol10.2.pamphlet" 1790074 1790084 1792731 1792736) (-971 "bookvol10.4.pamphlet" 1780219 1780236 1790030 1790035) (-970 "bookvol10.2.pamphlet" 1779638 1779648 1780175 1780214) (-969 "bookvol10.3.pamphlet" 1779520 1779536 1779628 1779633) (-968 "bookvol10.3.pamphlet" 1779408 1779418 1779510 1779515) (-967 "bookvol10.3.pamphlet" 1779296 1779306 1779398 1779403) (-966 "bookvol10.3.pamphlet" 1776697 1776709 1777262 1777317) (-965 "bookvol10.3.pamphlet" 1775083 1775095 1775788 1775915) (-964 "bookvol10.4.pamphlet" 1774287 1774326 1775073 1775078) (-963 "bookvol10.4.pamphlet" 1774039 1774047 1774277 1774282) (-962 "bookvol10.4.pamphlet" 1772282 1772292 1774029 1774034) (-961 "bookvol10.4.pamphlet" 1770255 1770269 1772272 1772277) (-960 "bookvol10.2.pamphlet" 1769878 1769886 1770245 1770250) (-959 "bookvol10.3.pamphlet" 1769121 1769131 1769284 1769311) (-958 "bookvol10.4.pamphlet" 1767013 1767025 1769111 1769116) (-957 "bookvol10.4.pamphlet" 1766385 1766397 1767003 1767008) (-956 "bookvol10.2.pamphlet" 1765522 1765530 1766375 1766380) (-955 "bookvol10.4.pamphlet" 1764294 1764316 1765478 1765483) (-954 "bookvol10.3.pamphlet" 1761606 1761616 1762108 1762235) (-953 "bookvol10.4.pamphlet" 1760867 1760890 1761596 1761601) (-952 "bookvol10.4.pamphlet" 1758931 1758953 1760857 1760862) (-951 "bookvol10.2.pamphlet" 1752333 1752354 1758799 1758926) (-950 NIL 1745037 1745060 1751505 1751510) (-949 "bookvol10.4.pamphlet" 1744485 1744499 1745027 1745032) (-948 "bookvol10.4.pamphlet" 1744095 1744107 1744475 1744480) (-947 "bookvol10.4.pamphlet" 1743036 1743065 1744051 1744056) (-946 "bookvol10.4.pamphlet" 1741784 1741799 1743026 1743031) (-945 "bookvol10.3.pamphlet" 1740845 1740855 1740932 1740959) (-944 "bookvol10.4.pamphlet" 1737485 1737493 1740835 1740840) (-943 "bookvol10.4.pamphlet" 1736242 1736256 1737475 1737480) (-942 "bookvol10.4.pamphlet" 1735787 1735797 1736232 1736237) (-941 "bookvol10.4.pamphlet" 1735374 1735388 1735777 1735782) (-940 "bookvol10.4.pamphlet" 1734900 1734914 1735364 1735369) (-939 "bookvol10.4.pamphlet" 1734401 1734423 1734890 1734895) (-938 "bookvol10.4.pamphlet" 1733471 1733489 1734333 1734338) (-937 "bookvol10.4.pamphlet" 1733052 1733066 1733461 1733466) (-936 "bookvol10.4.pamphlet" 1732619 1732631 1733042 1733047) (-935 "bookvol10.4.pamphlet" 1732195 1732205 1732609 1732614) (-934 "bookvol10.4.pamphlet" 1731768 1731786 1732185 1732190) (-933 "bookvol10.4.pamphlet" 1731050 1731064 1731758 1731763) (-932 "bookvol10.4.pamphlet" 1730119 1730127 1731040 1731045) (-931 "bookvol10.4.pamphlet" 1729145 1729161 1730109 1730114) (-930 "bookvol10.4.pamphlet" 1728043 1728081 1729135 1729140) (-929 "bookvol10.4.pamphlet" 1727823 1727831 1728033 1728038) (-928 "bookvol10.3.pamphlet" 1722495 1722503 1727813 1727818) (-927 "bookvol10.3.pamphlet" 1718897 1718905 1722485 1722490) (-926 "bookvol10.4.pamphlet" 1718030 1718040 1718887 1718892) (-925 "bookvol10.4.pamphlet" 1703987 1704014 1718020 1718025) (-924 "bookvol10.3.pamphlet" 1703894 1703908 1703977 1703982) (-923 "bookvol10.3.pamphlet" 1703805 1703815 1703884 1703889) (-922 "bookvol10.3.pamphlet" 1703716 1703726 1703795 1703800) (-921 "bookvol10.2.pamphlet" 1702744 1702758 1703706 1703711) (-920 "bookvol10.4.pamphlet" 1702360 1702379 1702734 1702739) (-919 "bookvol10.4.pamphlet" 1702142 1702158 1702350 1702355) (-918 "bookvol10.3.pamphlet" 1701764 1701772 1702116 1702137) (-917 "bookvol10.2.pamphlet" 1700720 1700728 1701690 1701759) (-916 "bookvol10.4.pamphlet" 1700449 1700459 1700710 1700715) (-915 "bookvol10.4.pamphlet" 1699061 1699075 1700439 1700444) (-914 "bookvol10.4.pamphlet" 1690427 1690435 1699051 1699056) (-913 "bookvol10.4.pamphlet" 1688977 1688994 1690417 1690422) (-912 "bookvol10.4.pamphlet" 1687992 1688002 1688967 1688972) (-911 "bookvol10.3.pamphlet" 1683360 1683370 1687894 1687987) (-910 "bookvol10.4.pamphlet" 1682715 1682731 1683350 1683355) (-909 "bookvol10.4.pamphlet" 1680750 1680779 1682705 1682710) (-908 "bookvol10.4.pamphlet" 1680120 1680138 1680740 1680745) (-907 "bookvol10.4.pamphlet" 1679539 1679566 1680110 1680115) (-906 "bookvol10.3.pamphlet" 1679206 1679218 1679344 1679437) (-905 "bookvol10.2.pamphlet" 1676872 1676880 1679132 1679201) (-904 NIL 1674566 1674576 1676828 1676833) (-903 "bookvol10.4.pamphlet" 1672451 1672463 1674556 1674561) (-902 "bookvol10.4.pamphlet" 1670051 1670074 1672441 1672446) (-901 "bookvol10.3.pamphlet" 1665037 1665047 1669881 1669896) (-900 "bookvol10.3.pamphlet" 1659727 1659737 1665027 1665032) (-899 "bookvol10.2.pamphlet" 1658280 1658290 1659707 1659722) (-898 "bookvol10.4.pamphlet" 1656943 1656957 1658270 1658275) (-897 "bookvol10.3.pamphlet" 1656213 1656223 1656795 1656800) (-896 "bookvol10.2.pamphlet" 1654507 1654517 1656193 1656208) (-895 NIL 1652809 1652821 1654497 1654502) (-894 "bookvol10.3.pamphlet" 1650914 1650922 1652799 1652804) (-893 "bookvol10.4.pamphlet" 1644706 1644714 1650904 1650909) (-892 "bookvol10.4.pamphlet" 1644006 1644023 1644696 1644701) (-891 "bookvol10.2.pamphlet" 1642150 1642158 1643996 1644001) (-890 "bookvol10.4.pamphlet" 1641839 1641852 1642140 1642145) (-889 "bookvol10.3.pamphlet" 1640481 1640498 1641829 1641834) (-888 "bookvol10.3.pamphlet" 1634912 1634922 1640471 1640476) (-887 "bookvol10.4.pamphlet" 1634649 1634661 1634902 1634907) (-886 "bookvol10.4.pamphlet" 1632939 1632955 1634639 1634644) (-885 "bookvol10.3.pamphlet" 1630478 1630490 1632929 1632934) (-884 "bookvol10.4.pamphlet" 1630132 1630146 1630468 1630473) (-883 "bookvol10.4.pamphlet" 1628289 1628320 1629840 1629845) (-882 "bookvol10.2.pamphlet" 1627714 1627724 1628279 1628284) (-881 "bookvol10.3.pamphlet" 1626798 1626812 1627704 1627709) (-880 "bookvol10.2.pamphlet" 1626562 1626572 1626788 1626793) (-879 "bookvol10.4.pamphlet" 1623924 1623932 1626552 1626557) (-878 "bookvol10.3.pamphlet" 1623352 1623380 1623914 1623919) (-877 "bookvol10.4.pamphlet" 1623143 1623159 1623342 1623347) (-876 "bookvol10.3.pamphlet" 1622571 1622599 1623133 1623138) (-875 "bookvol10.4.pamphlet" 1622356 1622372 1622561 1622566) (-874 "bookvol10.3.pamphlet" 1621814 1621842 1622346 1622351) (-873 "bookvol10.4.pamphlet" 1621599 1621615 1621804 1621809) (-872 "bookvol10.4.pamphlet" 1620390 1620439 1621589 1621594) (-871 "bookvol10.4.pamphlet" 1619802 1619810 1620380 1620385) (-870 "bookvol10.3.pamphlet" 1618772 1618780 1619792 1619797) (-869 "bookvol10.4.pamphlet" 1613155 1613178 1618728 1618733) (-868 "bookvol10.4.pamphlet" 1606974 1606997 1613104 1613109) (-867 "bookvol10.3.pamphlet" 1604304 1604322 1605479 1605572) (-866 "bookvol10.3.pamphlet" 1602319 1602331 1602540 1602633) (-865 "bookvol10.3.pamphlet" 1602014 1602026 1602245 1602314) (-864 "bookvol10.2.pamphlet" 1600570 1600582 1601940 1602009) (-863 "bookvol10.4.pamphlet" 1599499 1599518 1600560 1600565) (-862 "bookvol10.4.pamphlet" 1598480 1598496 1599489 1599494) (-861 "bookvol10.3.pamphlet" 1597081 1597089 1598151 1598244) (-860 "bookvol10.2.pamphlet" 1595831 1595839 1596983 1597076) (-859 "bookvol10.2.pamphlet" 1593894 1593902 1595733 1595826) (-858 "bookvol10.3.pamphlet" 1592619 1592629 1593690 1593783) (-857 "bookvol10.2.pamphlet" 1591372 1591380 1592521 1592614) (-856 "bookvol10.3.pamphlet" 1589677 1589697 1590762 1590855) (-855 "bookvol10.2.pamphlet" 1588419 1588427 1589579 1589672) (-854 "bookvol10.3.pamphlet" 1587403 1587433 1588277 1588344) (-853 "bookvol10.3.pamphlet" 1587184 1587207 1587393 1587398) (-852 "bookvol10.4.pamphlet" 1586268 1586276 1587174 1587179) (-851 "bookvol10.3.pamphlet" 1575682 1575690 1586258 1586263) (-850 "bookvol10.3.pamphlet" 1575271 1575279 1575672 1575677) (-849 "bookvol10.4.pamphlet" 1573732 1573742 1575188 1575193) (-848 "bookvol10.3.pamphlet" 1573090 1573118 1573412 1573451) (-847 "bookvol10.3.pamphlet" 1572389 1572413 1572770 1572809) (-846 "bookvol10.4.pamphlet" 1570223 1570235 1572309 1572314) (-845 "bookvol10.2.pamphlet" 1564369 1564379 1570179 1570218) (-844 NIL 1558405 1558417 1564217 1564222) (-843 "bookvol10.2.pamphlet" 1557571 1557579 1558395 1558400) (-842 NIL 1556735 1556745 1557561 1557566) (-841 "bookvol10.2.pamphlet" 1556069 1556077 1556715 1556730) (-840 NIL 1555411 1555421 1556059 1556064) (-839 "bookvol10.2.pamphlet" 1555165 1555173 1555401 1555406) (-838 "bookvol10.4.pamphlet" 1554306 1554322 1555155 1555160) (-837 "bookvol10.2.pamphlet" 1554240 1554248 1554296 1554301) (-836 "bookvol10.3.pamphlet" 1552726 1552736 1553787 1553816) (-835 "bookvol10.4.pamphlet" 1552066 1552078 1552716 1552721) (-834 "bookvol10.3.pamphlet" 1549750 1549758 1552056 1552061) (-833 "bookvol10.4.pamphlet" 1541934 1541942 1549740 1549745) (-832 "bookvol10.2.pamphlet" 1539400 1539408 1541924 1541929) (-831 "bookvol10.4.pamphlet" 1538949 1538957 1539390 1539395) (-830 "bookvol10.3.pamphlet" 1538691 1538701 1538771 1538838) (-829 "bookvol10.3.pamphlet" 1537465 1537475 1538238 1538267) (-828 "bookvol10.4.pamphlet" 1536938 1536950 1537455 1537460) (-827 "bookvol10.4.pamphlet" 1535940 1535948 1536928 1536933) (-826 "bookvol10.2.pamphlet" 1535716 1535726 1535884 1535935) (-825 "bookvol10.4.pamphlet" 1534328 1534336 1535706 1535711) (-824 "bookvol10.2.pamphlet" 1533293 1533301 1534318 1534323) (-823 "bookvol10.3.pamphlet" 1532718 1532730 1533179 1533218) (-822 "bookvol10.4.pamphlet" 1532552 1532562 1532708 1532713) (-821 "bookvol10.3.pamphlet" 1532095 1532103 1532542 1532547) (-820 "bookvol10.3.pamphlet" 1531129 1531137 1532085 1532090) (-819 "bookvol10.3.pamphlet" 1530473 1530481 1531119 1531124) (-818 "bookvol10.3.pamphlet" 1524762 1524770 1530463 1530468) (-817 "bookvol10.3.pamphlet" 1524171 1524179 1524752 1524757) (-816 "bookvol10.2.pamphlet" 1523946 1523954 1524097 1524166) (-815 "bookvol10.3.pamphlet" 1517317 1517327 1523936 1523941) (-814 "bookvol10.3.pamphlet" 1516578 1516588 1517307 1517312) (-813 "bookvol10.3.pamphlet" 1516026 1516052 1516390 1516539) (-812 "bookvol10.3.pamphlet" 1513384 1513394 1513712 1513839) (-811 "bookvol10.3.pamphlet" 1505241 1505261 1505599 1505730) (-810 "bookvol10.4.pamphlet" 1503820 1503839 1505231 1505236) (-809 "bookvol10.4.pamphlet" 1501470 1501487 1503810 1503815) (-808 "bookvol10.4.pamphlet" 1497413 1497430 1501427 1501432) (-807 "bookvol10.4.pamphlet" 1496800 1496824 1497403 1497408) (-806 "bookvol10.4.pamphlet" 1494366 1494383 1496790 1496795) (-805 "bookvol10.4.pamphlet" 1491257 1491279 1494356 1494361) (-804 "bookvol10.3.pamphlet" 1489843 1489851 1491247 1491252) (-803 "bookvol10.4.pamphlet" 1487147 1487169 1489833 1489838) (-802 "bookvol10.4.pamphlet" 1486523 1486547 1487137 1487142) (-801 "bookvol10.4.pamphlet" 1472885 1472893 1486513 1486518) (-800 "bookvol10.4.pamphlet" 1472316 1472332 1472875 1472880) (-799 "bookvol10.3.pamphlet" 1469711 1469719 1472306 1472311) (-798 "bookvol10.4.pamphlet" 1465078 1465094 1469701 1469706) (-797 "bookvol10.4.pamphlet" 1464597 1464615 1465068 1465073) (-796 "bookvol10.2.pamphlet" 1462982 1462990 1464587 1464592) (-795 "bookvol10.3.pamphlet" 1461114 1461124 1461832 1461871) (-794 "bookvol10.4.pamphlet" 1460750 1460771 1461104 1461109) (-793 "bookvol10.2.pamphlet" 1458524 1458534 1460706 1460745) (-792 NIL 1456023 1456035 1458207 1458212) (-791 "bookvol10.2.pamphlet" 1455871 1455879 1456013 1456018) (-790 "bookvol10.2.pamphlet" 1455619 1455627 1455861 1455866) (-789 "bookvol10.2.pamphlet" 1454911 1454919 1455609 1455614) (-788 "bookvol10.2.pamphlet" 1454772 1454780 1454901 1454906) (-787 "bookvol10.2.pamphlet" 1454634 1454642 1454762 1454767) (-786 "bookvol10.4.pamphlet" 1454357 1454373 1454624 1454629) (-785 "bookvol10.4.pamphlet" 1442674 1442682 1454347 1454352) (-784 "bookvol10.4.pamphlet" 1433433 1433441 1442664 1442669) (-783 "bookvol10.2.pamphlet" 1430772 1430780 1433423 1433428) (-782 "bookvol10.4.pamphlet" 1429612 1429620 1430762 1430767) (-781 "bookvol10.4.pamphlet" 1421684 1421694 1429417 1429422) (-780 "bookvol10.2.pamphlet" 1420981 1420997 1421640 1421679) (-779 "bookvol10.4.pamphlet" 1420526 1420536 1420898 1420903) (-778 "bookvol10.3.pamphlet" 1413515 1413525 1418076 1418229) (-777 "bookvol10.4.pamphlet" 1412907 1412919 1413505 1413510) (-776 "bookvol10.3.pamphlet" 1409102 1409121 1409410 1409537) (-775 "bookvol10.3.pamphlet" 1407626 1407636 1407703 1407796) (-774 "bookvol10.4.pamphlet" 1405998 1406012 1407616 1407621) (-773 "bookvol10.4.pamphlet" 1405890 1405919 1405988 1405993) (-772 "bookvol10.4.pamphlet" 1405136 1405156 1405880 1405885) (-771 "bookvol10.3.pamphlet" 1405024 1405038 1405116 1405131) (-770 "bookvol10.4.pamphlet" 1404618 1404657 1405014 1405019) (-769 "bookvol10.4.pamphlet" 1403152 1403171 1404608 1404613) (-768 "bookvol10.4.pamphlet" 1402840 1402866 1403142 1403147) (-767 "bookvol10.3.pamphlet" 1402581 1402589 1402830 1402835) (-766 "bookvol10.4.pamphlet" 1402257 1402267 1402571 1402576) (-765 "bookvol10.4.pamphlet" 1401726 1401742 1402247 1402252) (-764 "bookvol10.3.pamphlet" 1400616 1400624 1401700 1401721) (-763 "bookvol10.4.pamphlet" 1399238 1399248 1400606 1400611) (-762 "bookvol10.3.pamphlet" 1396836 1396844 1399228 1399233) (-761 "bookvol10.4.pamphlet" 1394296 1394313 1396826 1396831) (-760 "bookvol10.4.pamphlet" 1393549 1393563 1394286 1394291) (-759 "bookvol10.4.pamphlet" 1391661 1391677 1393539 1393544) (-758 "bookvol10.4.pamphlet" 1391318 1391332 1391651 1391656) (-757 "bookvol10.4.pamphlet" 1389478 1389492 1391308 1391313) (-756 "bookvol10.2.pamphlet" 1389074 1389082 1389468 1389473) (-755 NIL 1388668 1388678 1389064 1389069) (-754 "bookvol10.2.pamphlet" 1387954 1387962 1388658 1388663) (-753 NIL 1387238 1387248 1387944 1387949) (-752 "bookvol10.4.pamphlet" 1386311 1386319 1387228 1387233) (-751 "bookvol10.4.pamphlet" 1375877 1375885 1386301 1386306) (-750 "bookvol10.4.pamphlet" 1374313 1374321 1375867 1375872) (-749 "bookvol10.4.pamphlet" 1368487 1368495 1374303 1374308) (-748 "bookvol10.4.pamphlet" 1362231 1362239 1368477 1368482) (-747 "bookvol10.4.pamphlet" 1357853 1357861 1362221 1362226) (-746 "bookvol10.4.pamphlet" 1351227 1351235 1357843 1357848) (-745 "bookvol10.4.pamphlet" 1341622 1341630 1351217 1351222) (-744 "bookvol10.4.pamphlet" 1337549 1337557 1341612 1341617) (-743 "bookvol10.4.pamphlet" 1335424 1335432 1337539 1337544) (-742 "bookvol10.4.pamphlet" 1327870 1327878 1335414 1335419) (-741 "bookvol10.4.pamphlet" 1322026 1322034 1327860 1327865) (-740 "bookvol10.4.pamphlet" 1317856 1317864 1322016 1322021) (-739 "bookvol10.4.pamphlet" 1316368 1316376 1317846 1317851) (-738 "bookvol10.4.pamphlet" 1315666 1315674 1316358 1316363) (-737 "bookvol10.2.pamphlet" 1315172 1315182 1315634 1315661) (-736 NIL 1314698 1314710 1315162 1315167) (-735 "bookvol10.3.pamphlet" 1311919 1311933 1312248 1312401) (-734 "bookvol10.3.pamphlet" 1310038 1310052 1310110 1310330) (-733 "bookvol10.4.pamphlet" 1307022 1307039 1310028 1310033) (-732 "bookvol10.4.pamphlet" 1306420 1306437 1307012 1307017) (-731 "bookvol10.2.pamphlet" 1304454 1304475 1306318 1306415) (-730 "bookvol10.4.pamphlet" 1304111 1304121 1304444 1304449) (-729 "bookvol10.4.pamphlet" 1303551 1303559 1304101 1304106) (-728 "bookvol10.3.pamphlet" 1301556 1301566 1303313 1303352) (-727 "bookvol10.2.pamphlet" 1301389 1301399 1301512 1301551) (-726 "bookvol10.3.pamphlet" 1298342 1298354 1301097 1301164) (-725 "bookvol10.4.pamphlet" 1297902 1297916 1298332 1298337) (-724 "bookvol10.4.pamphlet" 1297463 1297480 1297892 1297897) (-723 "bookvol10.4.pamphlet" 1295508 1295527 1297453 1297458) (-722 "bookvol10.3.pamphlet" 1292958 1292973 1293302 1293429) (-721 "bookvol10.4.pamphlet" 1292237 1292256 1292948 1292953) (-720 "bookvol10.4.pamphlet" 1292045 1292088 1292227 1292232) (-719 "bookvol10.4.pamphlet" 1291789 1291825 1292035 1292040) (-718 "bookvol10.4.pamphlet" 1290124 1290141 1291779 1291784) (-717 "bookvol10.2.pamphlet" 1288988 1288996 1290114 1290119) (-716 NIL 1287850 1287860 1288978 1288983) (-715 "bookvol10.2.pamphlet" 1286596 1286609 1287710 1287845) (-714 NIL 1285364 1285379 1286480 1286485) (-713 "bookvol10.2.pamphlet" 1283370 1283378 1285354 1285359) (-712 NIL 1281374 1281384 1283360 1283365) (-711 "bookvol10.2.pamphlet" 1280518 1280526 1281364 1281369) (-710 NIL 1279660 1279670 1280508 1280513) (-709 "bookvol10.3.pamphlet" 1278339 1278353 1279640 1279655) (-708 "bookvol10.2.pamphlet" 1278020 1278030 1278307 1278334) (-707 NIL 1277721 1277733 1278010 1278015) (-706 "bookvol10.3.pamphlet" 1277034 1277073 1277701 1277716) (-705 "bookvol10.3.pamphlet" 1275676 1275688 1276856 1276923) (-704 "bookvol10.3.pamphlet" 1275187 1275205 1275666 1275671) (-703 "bookvol10.3.pamphlet" 1271847 1271863 1272665 1272818) (-702 "bookvol10.3.pamphlet" 1271208 1271247 1271749 1271842) (-701 "bookvol10.3.pamphlet" 1269995 1270003 1271198 1271203) (-700 "bookvol10.4.pamphlet" 1269735 1269769 1269985 1269990) (-699 "bookvol10.2.pamphlet" 1268177 1268187 1269691 1269730) (-698 "bookvol10.4.pamphlet" 1266749 1266766 1268167 1268172) (-697 "bookvol10.4.pamphlet" 1266219 1266237 1266739 1266744) (-696 "bookvol10.4.pamphlet" 1265805 1265818 1266209 1266214) (-695 "bookvol10.4.pamphlet" 1265120 1265130 1265795 1265800) (-694 "bookvol10.4.pamphlet" 1264013 1264023 1265110 1265115) (-693 "bookvol10.3.pamphlet" 1263789 1263799 1264003 1264008) (-692 "bookvol10.4.pamphlet" 1263250 1263268 1263779 1263784) (-691 "bookvol10.3.pamphlet" 1262689 1262697 1263152 1263245) (-690 "bookvol10.4.pamphlet" 1261328 1261338 1262679 1262684) (-689 "bookvol10.3.pamphlet" 1259772 1259780 1261218 1261323) (-688 "bookvol10.4.pamphlet" 1259172 1259194 1259762 1259767) (-687 "bookvol10.4.pamphlet" 1257034 1257042 1259162 1259167) (-686 "bookvol10.4.pamphlet" 1255275 1255285 1257024 1257029) (-685 "bookvol10.2.pamphlet" 1254550 1254560 1255243 1255270) (-684 "bookvol10.3.pamphlet" 1250523 1250531 1251137 1251338) (-683 "bookvol10.4.pamphlet" 1249731 1249743 1250513 1250518) (-682 "bookvol10.4.pamphlet" 1246839 1246865 1249721 1249726) (-681 "bookvol10.4.pamphlet" 1244115 1244125 1246829 1246834) (-680 "bookvol10.3.pamphlet" 1243006 1243016 1243490 1243517) (-679 "bookvol10.4.pamphlet" 1240332 1240356 1242890 1242895) (-678 "bookvol10.2.pamphlet" 1225543 1225565 1240288 1240327) (-677 NIL 1210602 1210626 1225349 1225354) (-676 "bookvol10.4.pamphlet" 1209870 1209918 1210592 1210597) (-675 "bookvol10.4.pamphlet" 1208590 1208602 1209860 1209865) (-674 "bookvol10.4.pamphlet" 1207489 1207503 1208580 1208585) (-673 "bookvol10.4.pamphlet" 1206823 1206835 1207479 1207484) (-672 "bookvol10.4.pamphlet" 1205641 1205651 1206813 1206818) (-671 "bookvol10.4.pamphlet" 1205449 1205463 1205631 1205636) (-670 "bookvol10.4.pamphlet" 1205214 1205226 1205439 1205444) (-669 "bookvol10.4.pamphlet" 1204844 1204854 1205204 1205209) (-668 "bookvol10.3.pamphlet" 1202788 1202805 1204834 1204839) (-667 "bookvol10.3.pamphlet" 1200707 1200717 1202389 1202394) (-666 "bookvol10.2.pamphlet" 1196163 1196173 1200687 1200702) (-665 NIL 1191627 1191639 1196153 1196158) (-664 "bookvol10.3.pamphlet" 1188433 1188450 1191617 1191622) (-663 "bookvol10.3.pamphlet" 1186691 1186705 1187113 1187164) (-662 "bookvol10.4.pamphlet" 1186224 1186241 1186681 1186686) (-661 "bookvol10.4.pamphlet" 1185064 1185092 1186214 1186219) (-660 "bookvol10.4.pamphlet" 1182868 1182882 1185054 1185059) (-659 "bookvol10.2.pamphlet" 1182525 1182535 1182824 1182863) (-658 NIL 1182214 1182226 1182515 1182520) (-657 "bookvol10.3.pamphlet" 1181228 1181247 1182070 1182139) (-656 "bookvol10.4.pamphlet" 1180485 1180495 1181218 1181223) (-655 "bookvol10.4.pamphlet" 1178930 1178979 1180475 1180480) (-654 "bookvol10.4.pamphlet" 1177569 1177579 1178920 1178925) (-653 "bookvol10.3.pamphlet" 1176970 1176984 1177503 1177530) (-652 "bookvol10.2.pamphlet" 1176572 1176580 1176960 1176965) (-651 NIL 1176172 1176182 1176562 1176567) (-650 "bookvol10.4.pamphlet" 1175090 1175102 1176162 1176167) (-649 "bookvol10.3.pamphlet" 1174477 1174493 1174770 1174809) (-648 "bookvol10.4.pamphlet" 1173521 1173538 1174434 1174439) (-647 "bookvol10.2.pamphlet" 1172138 1172148 1173477 1173516) (-646 NIL 1170753 1170765 1172094 1172099) (-645 "bookvol10.3.pamphlet" 1170029 1170041 1170433 1170472) (-644 "bookvol10.3.pamphlet" 1169432 1169442 1169709 1169748) (-643 "bookvol10.4.pamphlet" 1168204 1168222 1169422 1169427) (-642 "bookvol10.2.pamphlet" 1166579 1166589 1168106 1168199) (-641 "bookvol10.2.pamphlet" 1162327 1162337 1166559 1166574) (-640 NIL 1158049 1158061 1162283 1162288) (-639 "bookvol10.3.pamphlet" 1154785 1154802 1158039 1158044) (-638 "bookvol10.2.pamphlet" 1154268 1154278 1154775 1154780) (-637 "bookvol10.3.pamphlet" 1153368 1153378 1154042 1154069) (-636 "bookvol10.4.pamphlet" 1152799 1152813 1153358 1153363) (-635 "bookvol10.3.pamphlet" 1150740 1150750 1152169 1152196) (-634 "bookvol10.4.pamphlet" 1150031 1150045 1150730 1150735) (-633 "bookvol10.4.pamphlet" 1148671 1148683 1150021 1150026) (-632 "bookvol10.4.pamphlet" 1145544 1145556 1148661 1148666) (-631 "bookvol10.2.pamphlet" 1144976 1144986 1145524 1145539) (-630 "bookvol10.4.pamphlet" 1143753 1143765 1144888 1144893) (-629 "bookvol10.4.pamphlet" 1141667 1141677 1143743 1143748) (-628 "bookvol10.4.pamphlet" 1140550 1140563 1141657 1141662) (-627 "bookvol10.3.pamphlet" 1138564 1138576 1139840 1139985) (-626 "bookvol10.2.pamphlet" 1138089 1138099 1138490 1138559) (-625 NIL 1137642 1137654 1138045 1138050) (-624 "bookvol10.3.pamphlet" 1136175 1136183 1136883 1136898) (-623 "bookvol10.4.pamphlet" 1133543 1133562 1136165 1136170) (-622 "bookvol10.4.pamphlet" 1132286 1132302 1133533 1133538) (-621 "bookvol10.2.pamphlet" 1130993 1131001 1132276 1132281) (-620 "bookvol10.4.pamphlet" 1126645 1126660 1130983 1130988) (-619 "bookvol10.3.pamphlet" 1124708 1124735 1126625 1126640) (-618 "bookvol10.4.pamphlet" 1123092 1123109 1124698 1124703) (-617 "bookvol10.4.pamphlet" 1122150 1122172 1123082 1123087) (-616 "bookvol10.3.pamphlet" 1120922 1120935 1121743 1121812) (-615 "bookvol10.4.pamphlet" 1120495 1120511 1120912 1120917) (-614 "bookvol10.3.pamphlet" 1119935 1119949 1120417 1120456) (-613 "bookvol10.2.pamphlet" 1119711 1119721 1119915 1119930) (-612 NIL 1119495 1119507 1119701 1119706) (-611 "bookvol10.4.pamphlet" 1118208 1118225 1119485 1119490) (-610 "bookvol10.2.pamphlet" 1117930 1117940 1118198 1118203) (-609 "bookvol10.2.pamphlet" 1117667 1117677 1117920 1117925) (-608 "bookvol10.3.pamphlet" 1116202 1116212 1117451 1117456) (-607 "bookvol10.4.pamphlet" 1115905 1115917 1116192 1116197) (-606 "bookvol10.2.pamphlet" 1114996 1115018 1115873 1115900) (-605 NIL 1114107 1114131 1114986 1114991) (-604 "bookvol10.3.pamphlet" 1112729 1112745 1113454 1113481) (-603 "bookvol10.3.pamphlet" 1110706 1110718 1112019 1112164) (-602 "bookvol10.2.pamphlet" 1108788 1108812 1110686 1110701) (-601 NIL 1106735 1106761 1108635 1108640) (-600 "bookvol10.3.pamphlet" 1105743 1105758 1105883 1105910) (-599 "bookvol10.3.pamphlet" 1104903 1104913 1105733 1105738) (-598 "bookvol10.4.pamphlet" 1103714 1103733 1104893 1104898) (-597 "bookvol10.4.pamphlet" 1103208 1103222 1103704 1103709) (-596 "bookvol10.4.pamphlet" 1102938 1102950 1103198 1103203) (-595 "bookvol10.3.pamphlet" 1100730 1100745 1102774 1102899) (-594 "bookvol10.3.pamphlet" 1093156 1093171 1099704 1099801) (-593 "bookvol10.4.pamphlet" 1092639 1092655 1093146 1093151) (-592 "bookvol10.3.pamphlet" 1091869 1091882 1092035 1092062) (-591 "bookvol10.4.pamphlet" 1090949 1090968 1091859 1091864) (-590 "bookvol10.4.pamphlet" 1088913 1088921 1090939 1090944) (-589 "bookvol10.4.pamphlet" 1087436 1087446 1088869 1088874) (-588 "bookvol10.4.pamphlet" 1087037 1087048 1087426 1087431) (-587 "bookvol10.4.pamphlet" 1085383 1085393 1087027 1087032) (-586 "bookvol10.3.pamphlet" 1083128 1083142 1085238 1085265) (-585 "bookvol10.4.pamphlet" 1082264 1082280 1083118 1083123) (-584 "bookvol10.4.pamphlet" 1081405 1081421 1082254 1082259) (-583 "bookvol10.4.pamphlet" 1081165 1081173 1081395 1081400) (-582 "bookvol10.3.pamphlet" 1080858 1080870 1080970 1081063) (-581 "bookvol10.3.pamphlet" 1080619 1080645 1080784 1080853) (-580 "bookvol10.4.pamphlet" 1080228 1080244 1080609 1080614) (-579 "bookvol10.4.pamphlet" 1073474 1073491 1080218 1080223) (-578 "bookvol10.4.pamphlet" 1071333 1071349 1073048 1073053) (-577 "bookvol10.4.pamphlet" 1070639 1070647 1071323 1071328) (-576 "bookvol10.3.pamphlet" 1070415 1070425 1070553 1070634) (-575 "bookvol10.4.pamphlet" 1068779 1068793 1070405 1070410) (-574 "bookvol10.4.pamphlet" 1068268 1068278 1068769 1068774) (-573 "bookvol10.4.pamphlet" 1066913 1066930 1068258 1068263) (-572 "bookvol10.4.pamphlet" 1065276 1065292 1066556 1066561) (-571 "bookvol10.4.pamphlet" 1063003 1063021 1065208 1065213) (-570 "bookvol10.4.pamphlet" 1053110 1053118 1062993 1062998) (-569 "bookvol10.3.pamphlet" 1052471 1052479 1052964 1053105) (-568 "bookvol10.4.pamphlet" 1051737 1051754 1052461 1052466) (-567 "bookvol10.4.pamphlet" 1051402 1051426 1051727 1051732) (-566 "bookvol10.4.pamphlet" 1047803 1047811 1051392 1051397) (-565 "bookvol10.4.pamphlet" 1041183 1041201 1047735 1047740) (-564 "bookvol10.3.pamphlet" 1035181 1035189 1041173 1041178) (-563 "bookvol10.4.pamphlet" 1034281 1034338 1035171 1035176) (-562 "bookvol10.4.pamphlet" 1033355 1033365 1034271 1034276) (-561 "bookvol10.4.pamphlet" 1033223 1033247 1033345 1033350) (-560 "bookvol10.4.pamphlet" 1031537 1031553 1033213 1033218) (-559 "bookvol10.2.pamphlet" 1030161 1030169 1031463 1031532) (-558 NIL 1028847 1028857 1030151 1030156) (-557 "bookvol10.4.pamphlet" 1027977 1028064 1028837 1028842) (-556 "bookvol10.2.pamphlet" 1026440 1026450 1027891 1027972) (-555 "bookvol10.4.pamphlet" 1025943 1025951 1026430 1026435) (-554 "bookvol10.4.pamphlet" 1025125 1025152 1025933 1025938) (-553 "bookvol10.4.pamphlet" 1024617 1024633 1025115 1025120) (-552 "bookvol10.3.pamphlet" 1023697 1023728 1023860 1023887) (-551 "bookvol10.2.pamphlet" 1021093 1021101 1023599 1023692) (-550 NIL 1018575 1018585 1021083 1021088) (-549 "bookvol10.4.pamphlet" 1018009 1018022 1018565 1018570) (-548 "bookvol10.4.pamphlet" 1017075 1017094 1017999 1018004) (-547 "bookvol10.4.pamphlet" 1016133 1016157 1017065 1017070) (-546 "bookvol10.4.pamphlet" 1015119 1015136 1016123 1016128) (-545 "bookvol10.4.pamphlet" 1014266 1014296 1015109 1015114) (-544 "bookvol10.4.pamphlet" 1012551 1012573 1014256 1014261) (-543 "bookvol10.4.pamphlet" 1011601 1011620 1012541 1012546) (-542 "bookvol10.3.pamphlet" 1008645 1008653 1011591 1011596) (-541 "bookvol10.4.pamphlet" 1008270 1008280 1008635 1008640) (-540 "bookvol10.4.pamphlet" 1007858 1007866 1008260 1008265) (-539 "bookvol10.3.pamphlet" 1007239 1007302 1007848 1007853) (-538 "bookvol10.3.pamphlet" 1006645 1006668 1007229 1007234) (-537 "bookvol10.2.pamphlet" 1005268 1005331 1006635 1006640) (-536 "bookvol10.4.pamphlet" 1003800 1003822 1005258 1005263) (-535 "bookvol10.3.pamphlet" 1003706 1003723 1003790 1003795) (-534 "bookvol10.4.pamphlet" 1003127 1003137 1003696 1003701) (-533 "bookvol10.4.pamphlet" 998893 998904 1003117 1003122) (-532 "bookvol10.3.pamphlet" 998025 998051 998537 998564) (-531 "bookvol10.4.pamphlet" 997115 997159 997981 997986) (-530 "bookvol10.4.pamphlet" 995720 995744 997071 997076) (-529 "bookvol10.3.pamphlet" 994599 994614 995126 995153) (-528 "bookvol10.3.pamphlet" 994324 994362 994429 994456) (-527 "bookvol10.3.pamphlet" 993734 993750 994005 994098) (-526 "bookvol10.3.pamphlet" 990805 990820 993140 993167) (-525 "bookvol10.3.pamphlet" 990643 990660 990761 990766) (-524 "bookvol10.2.pamphlet" 990032 990044 990633 990638) (-523 NIL 989419 989433 990022 990027) (-522 "bookvol10.3.pamphlet" 989232 989244 989409 989414) (-521 "bookvol10.3.pamphlet" 989003 989015 989222 989227) (-520 "bookvol10.3.pamphlet" 988738 988750 988993 988998) (-519 "bookvol10.2.pamphlet" 987672 987684 988728 988733) (-518 "bookvol10.3.pamphlet" 987432 987444 987662 987667) (-517 "bookvol10.3.pamphlet" 987194 987206 987422 987427) (-516 "bookvol10.4.pamphlet" 984446 984464 987184 987189) (-515 "bookvol10.3.pamphlet" 979380 979419 984381 984386) (-514 "bookvol10.3.pamphlet" 978801 978824 979370 979375) (-513 "bookvol10.4.pamphlet" 977952 977968 978791 978796) (-512 "bookvol10.3.pamphlet" 977175 977183 977942 977947) (-511 "bookvol10.4.pamphlet" 975798 975815 977165 977170) (-510 "bookvol10.3.pamphlet" 975076 975089 975492 975519) (-509 "bookvol10.4.pamphlet" 971951 971970 975066 975071) (-508 "bookvol10.4.pamphlet" 970839 970854 971941 971946) (-507 "bookvol10.3.pamphlet" 970570 970596 970669 970696) (-506 "bookvol10.3.pamphlet" 969883 969898 969976 970003) (-505 "bookvol10.3.pamphlet" 968096 968104 969699 969792) (-504 "bookvol10.4.pamphlet" 967651 967684 968086 968091) (-503 "bookvol10.2.pamphlet" 967075 967083 967641 967646) (-502 NIL 966497 966507 967065 967070) (-501 "bookvol10.3.pamphlet" 965297 965305 966487 966492) (-500 "bookvol10.2.pamphlet" 962547 962557 965277 965292) (-499 NIL 959638 959650 962370 962375) (-498 "bookvol10.3.pamphlet" 957507 957515 958105 958198) (-497 "bookvol10.4.pamphlet" 956361 956372 957497 957502) (-496 "bookvol10.3.pamphlet" 955951 955975 956351 956356) (-495 "bookvol10.3.pamphlet" 951674 951684 955781 955808) (-494 "bookvol10.3.pamphlet" 943527 943543 943889 944020) (-493 "bookvol10.3.pamphlet" 940718 940733 941321 941448) (-492 "bookvol10.4.pamphlet" 939258 939266 940708 940713) (-491 "bookvol10.3.pamphlet" 938290 938321 938501 938528) (-490 "bookvol10.3.pamphlet" 937875 937883 938192 938285) (-489 "bookvol10.4.pamphlet" 923752 923764 937865 937870) (-488 "bookvol10.4.pamphlet" 923497 923505 923597 923602) (-487 "bookvol10.4.pamphlet" 907570 907606 923367 923372) (-486 "bookvol10.4.pamphlet" 907331 907339 907429 907434) (-485 "bookvol10.4.pamphlet" 907152 907166 907265 907270) (-484 "bookvol10.4.pamphlet" 907029 907043 907142 907147) (-483 "bookvol10.4.pamphlet" 906862 906870 906962 906967) (-482 "bookvol10.3.pamphlet" 906054 906070 906564 906591) (-481 "bookvol10.3.pamphlet" 905135 905170 905309 905324) (-480 "bookvol10.3.pamphlet" 902302 902329 903267 903416) (-479 "bookvol10.2.pamphlet" 901268 901276 902282 902297) (-478 NIL 900242 900252 901258 901263) (-477 "bookvol10.4.pamphlet" 898825 898846 900232 900237) (-476 "bookvol10.2.pamphlet" 897403 897415 898815 898820) (-475 NIL 895979 895993 897393 897398) (-474 "bookvol10.3.pamphlet" 888584 888592 895969 895974) (-473 "bookvol10.4.pamphlet" 886963 886971 888574 888579) (-472 "bookvol10.4.pamphlet" 885406 885414 886953 886958) (-471 "bookvol10.2.pamphlet" 884460 884472 885396 885401) (-470 NIL 883512 883526 884450 884455) (-469 "bookvol10.3.pamphlet" 883022 883045 883250 883277) (-468 "bookvol10.4.pamphlet" 877712 877799 882978 882983) (-467 "bookvol10.4.pamphlet" 876973 876991 877702 877707) (-466 "bookvol10.3.pamphlet" 871561 871569 876963 876968) (-465 "bookvol10.3.pamphlet" 867916 867924 871551 871556) (-464 "bookvol10.3.pamphlet" 867023 867050 867884 867911) (-463 "bookvol10.4.pamphlet" 866133 866147 867013 867018) (-462 "bookvol10.4.pamphlet" 862234 862247 866123 866128) (-461 "bookvol10.4.pamphlet" 861838 861848 862224 862229) (-460 "bookvol10.4.pamphlet" 861422 861439 861828 861833) (-459 "bookvol10.4.pamphlet" 860889 860908 861412 861417) (-458 "bookvol10.4.pamphlet" 858879 858892 860879 860884) (-457 "bookvol10.4.pamphlet" 857136 857144 858869 858874) (-456 "bookvol10.3.pamphlet" 854169 854186 854930 855057) (-455 "bookvol10.3.pamphlet" 848064 848091 853963 854030) (-454 "bookvol10.2.pamphlet" 846992 847000 847990 848059) (-453 NIL 845982 845992 846982 846987) (-452 "bookvol10.4.pamphlet" 839763 839801 845938 845943) (-451 "bookvol10.4.pamphlet" 835861 835899 839753 839758) (-450 "bookvol10.4.pamphlet" 830927 830965 835851 835856) (-449 "bookvol10.4.pamphlet" 827182 827220 830917 830922) (-448 "bookvol10.4.pamphlet" 826479 826487 827172 827177) (-447 "bookvol10.4.pamphlet" 824801 824811 826435 826440) (-446 "bookvol10.4.pamphlet" 823260 823273 824791 824796) (-445 "bookvol10.4.pamphlet" 821425 821444 823250 823255) (-444 "bookvol10.4.pamphlet" 811691 811702 821415 821420) (-443 "bookvol10.2.pamphlet" 808704 808712 811671 811686) (-442 "bookvol10.2.pamphlet" 807746 807754 808684 808699) (-441 "bookvol10.3.pamphlet" 807595 807607 807736 807741) (-440 NIL 805807 805815 807585 807590) (-439 "bookvol10.3.pamphlet" 804970 804978 805797 805802) (-438 "bookvol10.4.pamphlet" 804012 804031 804906 804911) (-437 "bookvol10.3.pamphlet" 802098 802106 804002 804007) (-436 "bookvol10.4.pamphlet" 801520 801536 802088 802093) (-435 "bookvol10.4.pamphlet" 800328 800344 801477 801482) (-434 "bookvol10.4.pamphlet" 797600 797616 800318 800323) (-433 "bookvol10.2.pamphlet" 791634 791644 797363 797595) (-432 NIL 785458 785470 791189 791194) (-431 "bookvol10.4.pamphlet" 785080 785096 785448 785453) (-430 "bookvol10.3.pamphlet" 784388 784400 784900 784999) (-429 "bookvol10.4.pamphlet" 783662 783678 784378 784383) (-428 "bookvol10.2.pamphlet" 782763 782773 783606 783657) (-427 NIL 781838 781850 782683 782688) (-426 "bookvol10.4.pamphlet" 780525 780541 781828 781833) (-425 "bookvol10.4.pamphlet" 774914 774948 780515 780520) (-424 "bookvol10.4.pamphlet" 774524 774540 774904 774909) (-423 "bookvol10.4.pamphlet" 773647 773670 774514 774519) (-422 "bookvol10.4.pamphlet" 772589 772599 773637 773642) (-421 "bookvol10.3.pamphlet" 764013 764023 771613 771682) (-420 "bookvol10.2.pamphlet" 759092 759102 763955 764008) (-419 NIL 754183 754195 759048 759053) (-418 "bookvol10.4.pamphlet" 753629 753647 754173 754178) (-417 "bookvol10.3.pamphlet" 753023 753053 753560 753565) (-416 "bookvol10.3.pamphlet" 752218 752239 753003 753018) (-415 "bookvol10.4.pamphlet" 751954 751986 752208 752213) (-414 "bookvol10.2.pamphlet" 751618 751628 751944 751949) (-413 NIL 751148 751160 751476 751481) (-412 "bookvol10.2.pamphlet" 749476 749489 751104 751143) (-411 NIL 747836 747851 749466 749471) (-410 "bookvol10.3.pamphlet" 744935 744945 745338 745511) (-409 "bookvol10.4.pamphlet" 744538 744550 744925 744930) (-408 "bookvol10.4.pamphlet" 743872 743884 744528 744533) (-407 "bookvol10.2.pamphlet" 740842 740850 743762 743867) (-406 NIL 737840 737850 740762 740767) (-405 "bookvol10.2.pamphlet" 736884 736892 737742 737835) (-404 NIL 736014 736024 736874 736879) (-403 "bookvol10.2.pamphlet" 735766 735776 735994 736009) (-402 "bookvol10.3.pamphlet" 734542 734559 735756 735761) (-401 NIL 733027 733076 734532 734537) (-400 "bookvol10.4.pamphlet" 731956 731964 733017 733022) (-399 "bookvol10.2.pamphlet" 729116 729124 731936 731951) (-398 "bookvol10.2.pamphlet" 728790 728798 729096 729111) (-397 "bookvol10.3.pamphlet" 726128 726136 728780 728785) (-396 "bookvol10.4.pamphlet" 725607 725617 726118 726123) (-395 "bookvol10.4.pamphlet" 725388 725412 725597 725602) (-394 "bookvol10.4.pamphlet" 724589 724597 725378 725383) (-393 "bookvol10.3.pamphlet" 724011 724033 724557 724584) (-392 "bookvol10.2.pamphlet" 722339 722347 724001 724006) (-391 "bookvol10.3.pamphlet" 722231 722239 722329 722334) (-390 "bookvol10.2.pamphlet" 722029 722037 722157 722226) (-389 "bookvol10.3.pamphlet" 719084 719094 721985 721990) (-388 "bookvol10.3.pamphlet" 718779 718791 719018 719045) (-387 "bookvol10.2.pamphlet" 715799 715807 718759 718774) (-386 "bookvol10.2.pamphlet" 714841 714849 715779 715794) (-385 "bookvol10.2.pamphlet" 712545 712563 714809 714836) (-384 "bookvol10.3.pamphlet" 712005 712017 712479 712506) (-383 "bookvol10.4.pamphlet" 709741 709755 711995 712000) (-382 "bookvol10.3.pamphlet" 703162 703170 709607 709736) (-381 "bookvol10.4.pamphlet" 700594 700608 703152 703157) (-380 "bookvol10.2.pamphlet" 700306 700316 700574 700589) (-379 NIL 699972 699984 700242 700247) (-378 "bookvol10.4.pamphlet" 699222 699234 699962 699967) (-377 "bookvol10.2.pamphlet" 696927 696946 699148 699217) (-376 "bookvol10.2.pamphlet" 693925 693935 696895 696922) (-375 NIL 690836 690848 693808 693813) (-374 "bookvol10.4.pamphlet" 689505 689521 690826 690831) (-373 "bookvol10.2.pamphlet" 687538 687551 689461 689500) (-372 NIL 685497 685512 687422 687427) (-371 "bookvol10.2.pamphlet" 684649 684657 685487 685492) (-370 "bookvol10.2.pamphlet" 673578 673588 684591 684644) (-369 NIL 662519 662531 673534 673539) (-368 "bookvol10.3.pamphlet" 662102 662112 662509 662514) (-367 "bookvol10.2.pamphlet" 660531 660548 662092 662097) (-366 "bookvol10.2.pamphlet" 659849 659857 660433 660526) (-365 NIL 659253 659263 659839 659844) (-364 "bookvol10.3.pamphlet" 657862 657872 659233 659248) (-363 "bookvol10.4.pamphlet" 656677 656692 657852 657857) (-362 "bookvol10.3.pamphlet" 656096 656111 656393 656486) (-361 "bookvol10.4.pamphlet" 655961 655978 656086 656091) (-360 "bookvol10.4.pamphlet" 655450 655471 655951 655956) (-359 "bookvol10.4.pamphlet" 646729 646740 655440 655445) (-358 "bookvol10.4.pamphlet" 645775 645792 646719 646724) (-357 "bookvol10.3.pamphlet" 645261 645281 645491 645584) (-356 "bookvol10.3.pamphlet" 644709 644725 644942 645035) (-355 "bookvol10.3.pamphlet" 643227 643247 644425 644518) (-354 "bookvol10.3.pamphlet" 641737 641754 642943 643036) (-353 "bookvol10.3.pamphlet" 640248 640269 641418 641511) (-352 "bookvol10.4.pamphlet" 637610 637629 640238 640243) (-351 "bookvol10.2.pamphlet" 635184 635192 637512 637605) (-350 NIL 632844 632854 635174 635179) (-349 "bookvol10.4.pamphlet" 631589 631606 632834 632839) (-348 "bookvol10.4.pamphlet" 629004 629015 631579 631584) (-347 "bookvol10.4.pamphlet" 622212 622228 628994 628999) (-346 "bookvol10.4.pamphlet" 620827 620846 622202 622207) (-345 "bookvol10.4.pamphlet" 620236 620253 620817 620822) (-344 "bookvol10.3.pamphlet" 619089 619109 619952 620045) (-343 "bookvol10.3.pamphlet" 617984 618004 618805 618898) (-342 "bookvol10.3.pamphlet" 616783 616804 617665 617758) (-341 "bookvol10.2.pamphlet" 605414 605436 616622 616778) (-340 NIL 594124 594148 605334 605339) (-339 "bookvol10.4.pamphlet" 593869 593909 594114 594119) (-338 "bookvol10.3.pamphlet" 586499 586545 593625 593664) (-337 "bookvol10.2.pamphlet" 586205 586215 586489 586494) (-336 NIL 585696 585708 585982 585987) (-335 "bookvol10.3.pamphlet" 585129 585153 585686 585691) (-334 "bookvol10.2.pamphlet" 583171 583195 585119 585124) (-333 NIL 581211 581237 583161 583166) (-332 "bookvol10.4.pamphlet" 580955 580995 581201 581206) (-331 "bookvol10.4.pamphlet" 579476 579484 580945 580950) (-330 "bookvol10.3.pamphlet" 579005 579015 579466 579471) (-329 NIL 568830 568838 578995 579000) (-328 "bookvol10.2.pamphlet" 561703 561717 568732 568825) (-327 NIL 554628 554644 561659 561664) (-326 "bookvol10.3.pamphlet" 553042 553052 554034 554061) (-325 "bookvol10.2.pamphlet" 551162 551174 552940 553037) (-324 NIL 549266 549280 551046 551051) (-323 "bookvol10.4.pamphlet" 548816 548838 549256 549261) (-322 "bookvol10.3.pamphlet" 548466 548476 548770 548775) (-321 "bookvol10.2.pamphlet" 546657 546669 548456 548461) (-320 "bookvol10.3.pamphlet" 546263 546273 546553 546580) (-319 "bookvol10.4.pamphlet" 544459 544476 546253 546258) (-318 "bookvol10.4.pamphlet" 544341 544351 544449 544454) (-317 "bookvol10.4.pamphlet" 543517 543527 544331 544336) (-316 "bookvol10.4.pamphlet" 543399 543409 543507 543512) (-315 "bookvol10.3.pamphlet" 540232 540255 541531 541680) (-314 "bookvol10.4.pamphlet" 537596 537604 540222 540227) (-313 "bookvol10.4.pamphlet" 537498 537527 537586 537591) (-312 "bookvol10.4.pamphlet" 534306 534322 537488 537493) (-311 "bookvol10.3.pamphlet" 529555 529565 530295 530702) (-310 "bookvol10.4.pamphlet" 525615 525628 529545 529550) (-309 "bookvol10.4.pamphlet" 525375 525387 525605 525610) (-308 "bookvol10.3.pamphlet" 522313 522338 522947 523040) (-307 "bookvol10.4.pamphlet" 522166 522174 522303 522308) (-306 "bookvol10.3.pamphlet" 521833 521841 522156 522161) (-305 "bookvol10.4.pamphlet" 521323 521337 521823 521828) (-304 "bookvol10.2.pamphlet" 520887 520897 521313 521318) (-303 NIL 520449 520461 520877 520882) (-302 "bookvol10.2.pamphlet" 517983 517991 520375 520444) (-301 NIL 515579 515589 517973 517978) (-300 "bookvol10.4.pamphlet" 507419 507427 515569 515574) (-299 "bookvol10.4.pamphlet" 507004 507018 507409 507414) (-298 "bookvol10.4.pamphlet" 506681 506692 506994 506999) (-297 "bookvol10.2.pamphlet" 499228 499236 506671 506676) (-296 NIL 491681 491691 499126 499131) (-295 "bookvol10.4.pamphlet" 488454 488462 491671 491676) (-294 "bookvol10.4.pamphlet" 488195 488207 488444 488449) (-293 "bookvol10.4.pamphlet" 487690 487706 488185 488190) (-292 "bookvol10.4.pamphlet" 487256 487272 487680 487685) (-291 "bookvol10.4.pamphlet" 484630 484638 487246 487251) (-290 "bookvol10.3.pamphlet" 483664 483686 483873 483900) (-289 "bookvol10.3.pamphlet" 478522 478532 481337 481449) (-288 "bookvol10.4.pamphlet" 478238 478250 478512 478517) (-287 "bookvol10.4.pamphlet" 474552 474562 478228 478233) (-286 "bookvol10.2.pamphlet" 474094 474102 474496 474547) (-285 "bookvol10.3.pamphlet" 473274 473315 474020 474089) (-284 "bookvol10.2.pamphlet" 471528 471547 473264 473269) (-283 NIL 469746 469767 471484 471489) (-282 "bookvol10.2.pamphlet" 469210 469228 469736 469741) (-281 "bookvol10.4.pamphlet" 468589 468608 469200 469205) (-280 "bookvol10.2.pamphlet" 468278 468286 468579 468584) (-279 NIL 467965 467975 468268 468273) (-278 "bookvol10.2.pamphlet" 465669 465679 467933 467960) (-277 NIL 463322 463334 465588 465593) (-276 "bookvol10.4.pamphlet" 460113 460143 463278 463283) (-275 "bookvol10.4.pamphlet" 456964 456987 460069 460074) (-274 "bookvol10.4.pamphlet" 454919 454935 456954 456959) (-273 "bookvol10.4.pamphlet" 449685 449701 454909 454914) (-272 "bookvol10.3.pamphlet" 447961 447969 449675 449680) (-271 "bookvol10.3.pamphlet" 447497 447505 447951 447956) (-270 "bookvol10.3.pamphlet" 447074 447082 447487 447492) (-269 "bookvol10.3.pamphlet" 446654 446662 447064 447069) (-268 "bookvol10.3.pamphlet" 446190 446198 446644 446649) (-267 "bookvol10.3.pamphlet" 445726 445734 446180 446185) (-266 "bookvol10.3.pamphlet" 445262 445270 445716 445721) (-265 "bookvol10.3.pamphlet" 444798 444806 445252 445257) (-264 "bookvol10.4.pamphlet" 440414 440422 444788 444793) (-263 "bookvol10.2.pamphlet" 437095 437105 440404 440409) (-262 NIL 433774 433786 437085 437090) (-261 "bookvol10.4.pamphlet" 430754 430841 433764 433769) (-260 "bookvol10.3.pamphlet" 429924 429934 430584 430611) (-259 "bookvol10.2.pamphlet" 429512 429522 429880 429919) (-258 "bookvol10.3.pamphlet" 426955 426969 427248 427375) (-257 "bookvol10.3.pamphlet" 420900 420908 426945 426950) (-256 "bookvol10.4.pamphlet" 420561 420571 420890 420895) (-255 "bookvol10.4.pamphlet" 415386 415394 420551 420556) (-254 "bookvol10.4.pamphlet" 413541 413549 415376 415381) (-253 "bookvol10.4.pamphlet" 406141 406154 413531 413536) (-252 "bookvol10.4.pamphlet" 405394 405404 406131 406136) (-251 "bookvol10.4.pamphlet" 402749 402757 405384 405389) (-250 "bookvol10.4.pamphlet" 402286 402301 402739 402744) (-249 "bookvol10.4.pamphlet" 391458 391466 402276 402281) (-248 "bookvol10.2.pamphlet" 389610 389620 391414 391453) (-247 "bookvol10.2.pamphlet" 384951 384967 389478 389605) (-246 NIL 380378 380396 384907 384912) (-245 "bookvol10.3.pamphlet" 373737 373753 373875 374176) (-244 "bookvol10.3.pamphlet" 367109 367127 367234 367535) (-243 "bookvol10.3.pamphlet" 364346 364361 364903 365030) (-242 "bookvol10.4.pamphlet" 363690 363700 364336 364341) (-241 "bookvol10.3.pamphlet" 362325 362335 363096 363123) (-240 "bookvol10.2.pamphlet" 360718 360728 362305 362320) (-239 "bookvol10.2.pamphlet" 360165 360173 360662 360713) (-238 NIL 359656 359666 360155 360160) (-237 "bookvol10.3.pamphlet" 359509 359519 359588 359615) (-236 "bookvol10.2.pamphlet" 358268 358278 359477 359504) (-235 "bookvol10.4.pamphlet" 356448 356456 358258 358263) (-234 "bookvol10.3.pamphlet" 355740 355755 356284 356409) (-233 "bookvol10.3.pamphlet" 347330 347346 347955 348086) (-232 "bookvol10.4.pamphlet" 346153 346171 347320 347325) (-231 "bookvol10.2.pamphlet" 345315 345331 346005 346148) (-230 NIL 344218 344236 344910 344915) (-229 "bookvol10.4.pamphlet" 343021 343029 344208 344213) (-228 "bookvol10.2.pamphlet" 341993 342003 342989 343016) (-227 NIL 340951 340963 341949 341954) (-226 "bookvol10.2.pamphlet" 340064 340072 340931 340946) (-225 NIL 339185 339195 340054 340059) (-224 "bookvol10.2.pamphlet" 338344 338354 339165 339180) (-223 NIL 337420 337432 338243 338248) (-222 "bookvol10.2.pamphlet" 337038 337048 337388 337415) (-221 NIL 336676 336688 337028 337033) (-220 "bookvol10.3.pamphlet" 334884 334894 336320 336347) (-219 "bookvol10.3.pamphlet" 333612 333620 334008 334035) (-218 "bookvol10.4.pamphlet" 324556 324564 333602 333607) (-217 "bookvol10.3.pamphlet" 323759 323767 324188 324215) (-216 "bookvol10.3.pamphlet" 320036 320044 323649 323754) (-215 "bookvol10.4.pamphlet" 318245 318261 320026 320031) (-214 "bookvol10.3.pamphlet" 316155 316187 318225 318240) (-213 "bookvol10.3.pamphlet" 309829 309839 315985 316012) (-212 "bookvol10.4.pamphlet" 309442 309456 309819 309824) (-211 "bookvol10.4.pamphlet" 306923 306933 309432 309437) (-210 "bookvol10.4.pamphlet" 305419 305435 306913 306918) (-209 "bookvol10.3.pamphlet" 303300 303308 303886 303979) (-208 "bookvol10.4.pamphlet" 301151 301168 303290 303295) (-207 "bookvol10.4.pamphlet" 300749 300773 301141 301146) (-206 "bookvol10.3.pamphlet" 299336 299346 300739 300744) (-205 "bookvol10.3.pamphlet" 299164 299172 299326 299331) (-204 "bookvol10.3.pamphlet" 298984 298992 299154 299159) (-203 "bookvol10.4.pamphlet" 297923 297931 298974 298979) (-202 "bookvol10.3.pamphlet" 297385 297393 297913 297918) (-201 "bookvol10.3.pamphlet" 296863 296871 297375 297380) (-200 "bookvol10.3.pamphlet" 296353 296361 296853 296858) (-199 "bookvol10.3.pamphlet" 295843 295851 296343 296348) (-198 "bookvol10.4.pamphlet" 290685 290693 295833 295838) (-197 "bookvol10.4.pamphlet" 289004 289012 290675 290680) (-196 "bookvol10.3.pamphlet" 288981 288989 288994 288999) (-195 "bookvol10.3.pamphlet" 288503 288511 288971 288976) (-194 "bookvol10.3.pamphlet" 288025 288033 288493 288498) (-193 "bookvol10.3.pamphlet" 287493 287501 288015 288020) (-192 "bookvol10.3.pamphlet" 286978 286986 287483 287488) (-191 "bookvol10.3.pamphlet" 286402 286410 286968 286973) (-190 "bookvol10.3.pamphlet" 285896 285904 286392 286397) (-189 "bookvol10.3.pamphlet" 285406 285414 285886 285891) (-188 "bookvol10.3.pamphlet" 284946 284954 285396 285401) (-187 "bookvol10.3.pamphlet" 284472 284480 284936 284941) (-186 "bookvol10.3.pamphlet" 283995 284003 284462 284467) (-185 "bookvol10.4.pamphlet" 280054 280062 283985 283990) (-184 "bookvol10.4.pamphlet" 279558 279566 280044 280049) (-183 "bookvol10.4.pamphlet" 276375 276383 279548 279553) (-182 "bookvol10.4.pamphlet" 275790 275800 276365 276370) (-181 "bookvol10.4.pamphlet" 274280 274296 275780 275785) (-180 "bookvol10.4.pamphlet" 272949 272962 274270 274275) (-179 "bookvol10.4.pamphlet" 266776 266789 272939 272944) (-178 "bookvol10.4.pamphlet" 265815 265825 266766 266771) (-177 "bookvol10.4.pamphlet" 265315 265330 265740 265745) (-176 "bookvol10.4.pamphlet" 265020 265039 265305 265310) (-175 "bookvol10.4.pamphlet" 259913 259923 265010 265015) (-174 "bookvol10.3.pamphlet" 255648 255658 259815 259908) (-173 "bookvol10.2.pamphlet" 255323 255331 255586 255643) (-172 "bookvol10.3.pamphlet" 254819 254827 255313 255318) (-171 "bookvol10.4.pamphlet" 254586 254601 254809 254814) (-170 "bookvol10.3.pamphlet" 248610 248620 248853 249114) (-169 "bookvol10.4.pamphlet" 248323 248335 248600 248605) (-168 "bookvol10.4.pamphlet" 248119 248133 248313 248318) (-167 "bookvol10.2.pamphlet" 246175 246185 247841 248114) (-166 NIL 243935 243947 245603 245608) (-165 "bookvol10.4.pamphlet" 243681 243699 243925 243930) (-164 "bookvol10.4.pamphlet" 243214 243222 243671 243676) (-163 "bookvol10.3.pamphlet" 243021 243029 243204 243209) (-162 "bookvol10.2.pamphlet" 241926 241934 243011 243016) (-161 "bookvol10.4.pamphlet" 240424 240434 241916 241921) (-160 "bookvol10.4.pamphlet" 237684 237700 240414 240419) (-159 "bookvol10.3.pamphlet" 236521 236529 237674 237679) (-158 "bookvol10.4.pamphlet" 235853 235870 236511 236516) (-157 "bookvol10.4.pamphlet" 231917 231925 235843 235848) (-156 "bookvol10.3.pamphlet" 230570 230586 231873 231912) (-155 "bookvol10.2.pamphlet" 226841 226851 230550 230565) (-154 NIL 222993 223005 226704 226709) (-153 "bookvol10.4.pamphlet" 222318 222331 222983 222988) (-152 "bookvol10.4.pamphlet" 220396 220418 222308 222313) (-151 "bookvol10.2.pamphlet" 220311 220319 220376 220391) (-150 "bookvol10.4.pamphlet" 219819 219829 220301 220306) (-149 "bookvol10.2.pamphlet" 219572 219580 219799 219814) (-148 "bookvol10.3.pamphlet" 215072 215080 219562 219567) (-147 "bookvol10.2.pamphlet" 214253 214261 215062 215067) (-146 "bookvol10.3.pamphlet" 212490 212498 213191 213218) (-145 "bookvol10.3.pamphlet" 211608 211616 212046 212073) (-144 "bookvol10.4.pamphlet" 210766 210780 211598 211603) (-143 "bookvol10.3.pamphlet" 209129 209137 210235 210274) (-142 "bookvol10.3.pamphlet" 198786 198810 209119 209124) (-141 "bookvol10.4.pamphlet" 198172 198199 198776 198781) (-140 "bookvol10.3.pamphlet" 194508 194516 198146 198167) (-139 "bookvol10.2.pamphlet" 194130 194138 194498 194503) (-138 "bookvol10.2.pamphlet" 193641 193649 194120 194125) (-137 "bookvol10.3.pamphlet" 192659 192669 193471 193498) (-136 "bookvol10.3.pamphlet" 191853 191863 192489 192516) (-135 "bookvol10.2.pamphlet" 191217 191227 191809 191848) (-134 NIL 190613 190625 191207 191212) (-133 "bookvol10.2.pamphlet" 189678 189686 190569 190608) (-132 NIL 188775 188785 189668 189673) (-131 "bookvol10.3.pamphlet" 187295 187305 188605 188632) (-130 "Makefile.pamphlet" 184947 184955 187285 187290) (-129 "bookvol10.4.pamphlet" 183710 183721 184937 184942) (-128 "bookvol10.2.pamphlet" 182624 182634 183690 183705) (-127 NIL 181512 181524 182580 182585) (-126 "bookvol10.3.pamphlet" 179493 179505 179748 179841) (-125 "bookvol10.3.pamphlet" 179157 179169 179419 179488) (-124 "bookvol10.4.pamphlet" 178813 178830 179147 179152) (-123 "bookvol10.3.pamphlet" 174205 174213 178803 178808) (-122 "bookvol10.4.pamphlet" 171583 171593 174161 174166) (-121 "bookvol10.3.pamphlet" 170477 170485 171573 171578) (-120 "bookvol10.2.pamphlet" 170135 170147 170445 170472) (-119 "bookvol10.4.pamphlet" 168341 168377 170125 170130) (-118 "bookvol10.3.pamphlet" 168231 168239 168306 168336) (-117 "bookvol10.2.pamphlet" 168208 168216 168221 168226) (-116 "bookvol10.3.pamphlet" 168100 168108 168175 168203) (-115 "bookvol10.5.pamphlet" 165464 165472 168090 168095) (-114 "bookvol10.3.pamphlet" 164941 164949 165158 165185) (-113 "bookvol10.3.pamphlet" 164284 164292 164931 164936) (-112 "bookvol10.3.pamphlet" 162124 162132 162751 162844) (-111 "bookvol10.2.pamphlet" 161309 161319 162092 162119) (-110 NIL 160514 160526 161299 161304) (-109 "bookvol10.3.pamphlet" 159935 159943 160494 160509) (-108 "bookvol10.4.pamphlet" 159069 159096 159885 159890) (-107 "bookvol10.4.pamphlet" 156390 156400 159059 159064) (-106 "bookvol10.3.pamphlet" 151452 151462 156220 156247) (-105 "bookvol10.2.pamphlet" 151124 151132 151442 151447) (-104 NIL 150794 150804 151114 151119) (-103 "bookvol10.4.pamphlet" 150233 150246 150784 150789) (-102 "bookvol10.4.pamphlet" 150093 150101 150223 150228) (-101 "bookvol10.3.pamphlet" 149539 149549 150073 150088) (-100 "bookvol10.2.pamphlet" 146136 146144 149279 149534) (-99 "bookvol10.3.pamphlet" 142171 142178 146116 146131) (-98 "bookvol10.2.pamphlet" 141641 141648 142161 142166) (-97 NIL 141109 141118 141631 141636) (-96 "bookvol10.3.pamphlet" 136401 136410 140939 140966) (-95 "bookvol10.4.pamphlet" 135201 135212 136357 136362) (-94 "bookvol10.3.pamphlet" 134272 134285 135191 135196) (-93 "bookvol10.3.pamphlet" 132761 132774 134262 134267) (-92 "bookvol10.3.pamphlet" 131881 131894 132751 132756) (-91 "bookvol10.3.pamphlet" 130849 130862 131871 131876) (-90 "bookvol10.3.pamphlet" 130224 130237 130839 130844) (-89 "bookvol10.3.pamphlet" 129429 129442 130214 130219) (-88 "bookvol10.3.pamphlet" 128082 128095 129419 129424) (-87 "bookvol10.3.pamphlet" 127173 127186 128072 128077) (-86 "bookvol10.3.pamphlet" 125295 125308 127163 127168) (-85 "bookvol10.3.pamphlet" 123012 123025 125285 125290) (-84 "bookvol10.3.pamphlet" 119204 119217 123002 123007) (-83 "bookvol10.3.pamphlet" 118345 118358 119194 119199) (-82 "bookvol10.3.pamphlet" 116982 116995 118335 118340) (-81 "bookvol10.3.pamphlet" 114334 114373 116972 116977) (-80 "bookvol10.3.pamphlet" 112008 112047 114324 114329) (-79 "bookvol10.3.pamphlet" 110645 110658 111998 112003) (-78 "bookvol10.3.pamphlet" 109384 109397 110635 110640) (-77 "bookvol10.3.pamphlet" 108898 108911 109374 109379) (-76 "bookvol10.3.pamphlet" 107694 107707 108888 108893) (-75 "bookvol10.3.pamphlet" 105698 105711 107684 107689) (-74 "bookvol10.3.pamphlet" 105008 105021 105688 105693) (-73 "bookvol10.3.pamphlet" 92049 92062 104998 105003) (-72 "bookvol10.3.pamphlet" 90155 90168 92039 92044) (-71 "bookvol10.3.pamphlet" 88878 88891 90145 90150) (-70 "bookvol10.3.pamphlet" 87729 87742 88868 88873) (-69 "bookvol10.3.pamphlet" 87043 87056 87719 87724) (-68 "bookvol10.3.pamphlet" 77536 77549 87033 87038) (-67 "bookvol10.3.pamphlet" 76838 76851 77526 77531) (-66 "bookvol10.3.pamphlet" 75953 75966 76828 76833) (-65 "bookvol10.3.pamphlet" 75551 75560 75783 75810) (-64 "bookvol10.3.pamphlet" 74439 74448 74957 74984) (-63 "bookvol10.4.pamphlet" 72262 72273 74429 74434) (-62 "bookvol10.2.pamphlet" 64788 64809 72218 72257) (-61 NIL 57346 57369 64778 64783) (-60 "bookvol10.4.pamphlet" 56590 56612 57336 57341) (-59 "bookvol10.4.pamphlet" 56205 56218 56580 56585) (-58 "bookvol10.4.pamphlet" 55592 55599 56195 56200) (-57 "bookvol10.3.pamphlet" 53934 53941 55582 55587) (-56 "bookvol10.4.pamphlet" 53005 53014 53924 53929) (-55 "bookvol10.3.pamphlet" 51444 51460 52985 53000) (-54 "bookvol10.3.pamphlet" 51357 51364 51434 51439) (-53 "bookvol10.3.pamphlet" 49658 49665 51173 51266) (-52 "bookvol10.2.pamphlet" 47837 47848 49556 49653) (-51 NIL 45853 45866 47574 47579) (-50 "bookvol10.3.pamphlet" 43897 43918 44247 44274) (-49 "bookvol10.3.pamphlet" 43020 43046 43769 43822) (-48 "bookvol10.4.pamphlet" 38807 38818 42976 42981) (-47 "bookvol10.4.pamphlet" 37996 38010 38797 38802) (-46 "bookvol10.4.pamphlet" 35416 35431 37793 37798) (-45 "bookvol10.3.pamphlet" 33730 33757 33948 34104) (-44 "bookvol10.4.pamphlet" 32843 32853 33720 33725) (-43 "bookvol10.2.pamphlet" 32295 32304 32799 32838) (-42 NIL 31779 31790 32285 32290) (-41 "bookvol10.2.pamphlet" 31277 31298 31735 31774) (-40 "bookvol10.2.pamphlet" 30658 30665 31267 31272) (-39 "bookvol10.2.pamphlet" 28939 28946 30638 30653) (-38 NIL 27194 27203 28895 28900) (-37 "bookvol10.2.pamphlet" 24922 24931 27184 27189) (-36 "bookvol10.4.pamphlet" 23347 23362 24857 24862) (-35 "bookvol10.3.pamphlet" 23190 23205 23337 23342) (-34 "bookvol10.3.pamphlet" 23039 23048 23180 23185) (-33 "bookvol10.3.pamphlet" 22888 22897 23029 23034) (-32 "bookvol10.4.pamphlet" 22771 22809 22878 22883) (-31 "bookvol10.4.pamphlet" 22304 22342 22761 22766) (-30 "bookvol10.3.pamphlet" 20372 20379 22294 22299) (-29 "bookvol10.2.pamphlet" 18103 18112 20262 20367) (-28 NIL 15932 15943 18093 18098) (-27 "bookvol10.2.pamphlet" 10604 10611 15834 15927) (-26 NIL 5362 5371 10594 10599) (-25 "bookvol10.2.pamphlet" 4706 4713 5352 5357) (-24 NIL 4048 4057 4696 4701) (-23 "bookvol10.2.pamphlet" 3399 3406 4038 4043) (-22 NIL 2748 2757 3389 3394) (-21 "bookvol10.2.pamphlet" 2236 2243 2738 2743) (-20 NIL 1722 1731 2226 2231) (-19 "bookvol10.2.pamphlet" 860 869 1678 1717) (-18 NIL 30 41 850 855)) 
\ No newline at end of file
+((-1284 NIL 2385189 2385194 2385199 2385204) (-3 NIL 2385169 2385174 2385179 2385184) (-2 NIL 2385149 2385154 2385159 2385164) (-1 NIL 2385129 2385134 2385139 2385144) (0 NIL 2385109 2385114 2385119 2385124) (-1279 "bookvol10.3.pamphlet" 2384926 2384939 2385047 2385104) (-1278 "bookvol10.4.pamphlet" 2384046 2384057 2384916 2384921) (-1277 "bookvol10.4.pamphlet" 2374662 2374684 2384036 2384041) (-1276 "bookvol10.4.pamphlet" 2374159 2374170 2374652 2374657) (-1275 "bookvol10.3.pamphlet" 2373394 2373414 2374015 2374084) (-1274 "bookvol10.3.pamphlet" 2371127 2371140 2373112 2373211) (-1273 "bookvol10.3.pamphlet" 2370699 2370710 2370983 2371052) (-1272 "bookvol10.2.pamphlet" 2370018 2370034 2370625 2370694) (-1271 "bookvol10.3.pamphlet" 2368683 2368703 2369798 2369867) (-1270 "bookvol10.2.pamphlet" 2367147 2367162 2368585 2368678) (-1269 NIL 2365591 2365608 2367031 2367036) (-1268 "bookvol10.2.pamphlet" 2362626 2362642 2365517 2365586) (-1267 "bookvol10.4.pamphlet" 2362025 2362051 2362616 2362621) (-1266 "bookvol10.3.pamphlet" 2361656 2361672 2361881 2361950) (-1265 "bookvol10.2.pamphlet" 2361355 2361366 2361612 2361651) (-1264 "bookvol10.3.pamphlet" 2358023 2358040 2361057 2361084) (-1263 "bookvol10.3.pamphlet" 2357053 2357097 2357881 2357948) (-1262 "bookvol10.4.pamphlet" 2354628 2354650 2357043 2357048) (-1261 "bookvol10.4.pamphlet" 2352892 2352903 2354618 2354623) (-1260 "bookvol10.2.pamphlet" 2352565 2352576 2352860 2352887) (-1259 NIL 2352258 2352271 2352555 2352560) (-1258 "bookvol10.3.pamphlet" 2351852 2351861 2352248 2352253) (-1257 "bookvol10.4.pamphlet" 2349568 2349577 2351842 2351847) (-1256 "bookvol10.4.pamphlet" 2344829 2344838 2349558 2349563) (-1255 "bookvol10.3.pamphlet" 2329045 2329054 2344819 2344824) (-1254 "bookvol10.3.pamphlet" 2317236 2317245 2329035 2329040) (-1253 "bookvol10.3.pamphlet" 2316133 2316144 2316384 2316411) (-1252 "bookvol10.4.pamphlet" 2314807 2314820 2316123 2316128) (-1251 "bookvol10.2.pamphlet" 2312777 2312788 2314763 2314802) (-1250 NIL 2310566 2310579 2312554 2312559) (-1249 "bookvol10.3.pamphlet" 2310346 2310361 2310556 2310561) (-1248 "bookvol10.3.pamphlet" 2305522 2305544 2308813 2308910) (-1247 "bookvol10.4.pamphlet" 2305425 2305453 2305512 2305517) (-1246 "bookvol10.4.pamphlet" 2304719 2304743 2305381 2305386) (-1245 "bookvol10.4.pamphlet" 2302909 2302929 2304709 2304714) (-1244 "bookvol10.3.pamphlet" 2297708 2297736 2301376 2301473) (-1243 "bookvol10.2.pamphlet" 2295025 2295041 2297606 2297703) (-1242 NIL 2291986 2292004 2294569 2294574) (-1241 "bookvol10.4.pamphlet" 2291611 2291646 2291976 2291981) (-1240 "bookvol10.2.pamphlet" 2286895 2286906 2291591 2291606) (-1239 NIL 2282153 2282166 2286851 2286856) (-1238 "bookvol10.3.pamphlet" 2279820 2279846 2281234 2281367) (-1237 "bookvol10.3.pamphlet" 2276967 2276995 2277952 2278101) (-1236 "bookvol10.3.pamphlet" 2274728 2274748 2275099 2275248) (-1235 "bookvol10.2.pamphlet" 2273198 2273218 2274574 2274723) (-1234 NIL 2271810 2271832 2273188 2273193) (-1233 "bookvol10.2.pamphlet" 2270401 2270417 2271656 2271805) (-1232 "bookvol10.4.pamphlet" 2269944 2269997 2270391 2270396) (-1231 "bookvol10.4.pamphlet" 2268372 2268386 2269934 2269939) (-1230 "bookvol10.2.pamphlet" 2265942 2265966 2268270 2268367) (-1229 NIL 2263218 2263244 2265548 2265553) (-1228 "bookvol10.2.pamphlet" 2258070 2258081 2263060 2263213) (-1227 NIL 2252814 2252827 2257806 2257811) (-1226 "bookvol10.4.pamphlet" 2252279 2252298 2252804 2252809) (-1225 "bookvol10.3.pamphlet" 2249238 2249253 2249829 2249982) (-1224 "bookvol10.4.pamphlet" 2248172 2248185 2249228 2249233) (-1223 "bookvol10.4.pamphlet" 2247737 2247751 2248162 2248167) (-1222 "bookvol10.4.pamphlet" 2245978 2245992 2247727 2247732) (-1221 "bookvol10.4.pamphlet" 2245179 2245195 2245968 2245973) (-1220 "bookvol10.4.pamphlet" 2244581 2244602 2245169 2245174) (-1219 "bookvol10.3.pamphlet" 2243934 2243945 2244500 2244505) (-1218 "bookvol10.4.pamphlet" 2243441 2243454 2243890 2243895) (-1217 "bookvol10.4.pamphlet" 2242564 2242576 2243431 2243436) (-1216 "bookvol10.3.pamphlet" 2233236 2233264 2234209 2234638) (-1215 "bookvol10.3.pamphlet" 2227277 2227297 2227645 2227794) (-1214 "bookvol10.2.pamphlet" 2224870 2224890 2227097 2227272) (-1213 NIL 2222597 2222619 2224826 2224831) (-1212 "bookvol10.2.pamphlet" 2220807 2220823 2222443 2222592) (-1211 "bookvol10.4.pamphlet" 2220351 2220404 2220797 2220802) (-1210 "bookvol10.3.pamphlet" 2218744 2218760 2218818 2218915) (-1209 "bookvol10.4.pamphlet" 2218659 2218675 2218734 2218739) (-1208 "bookvol10.2.pamphlet" 2217728 2217737 2218585 2218654) (-1207 NIL 2216859 2216870 2217718 2217723) (-1206 "bookvol10.4.pamphlet" 2215670 2215679 2216849 2216854) (-1205 "bookvol10.4.pamphlet" 2213196 2213207 2215626 2215631) (-1204 "bookvol10.3.pamphlet" 2212427 2212436 2212630 2212657) (-1203 "bookvol10.3.pamphlet" 2211657 2211666 2211861 2211888) (-1202 "bookvol10.3.pamphlet" 2210900 2210909 2211289 2211316) (-1201 "bookvol10.3.pamphlet" 2210130 2210139 2210334 2210361) (-1200 "bookvol10.3.pamphlet" 2209373 2209382 2209762 2209789) (-1199 "bookvol10.2.pamphlet" 2209295 2209304 2209353 2209368) (-1198 "bookvol10.4.pamphlet" 2207955 2207970 2209285 2209290) (-1197 "bookvol10.3.pamphlet" 2206964 2206975 2207910 2207915) (-1196 "bookvol10.4.pamphlet" 2203858 2203867 2206954 2206959) (-1195 "bookvol10.3.pamphlet" 2202548 2202565 2203848 2203853) (-1194 "bookvol10.3.pamphlet" 2201139 2201155 2202113 2202210) (-1193 "bookvol10.2.pamphlet" 2190695 2190712 2201095 2201134) (-1192 NIL 2180249 2180268 2190651 2190656) (-1191 "bookvol10.4.pamphlet" 2174705 2174722 2179955 2179960) (-1190 "bookvol10.4.pamphlet" 2173676 2173701 2174695 2174700) (-1189 "bookvol10.4.pamphlet" 2172173 2172190 2173666 2173671) (-1188 "bookvol10.2.pamphlet" 2171685 2171694 2172163 2172168) (-1187 NIL 2171195 2171206 2171675 2171680) (-1186 "bookvol10.3.pamphlet" 2169408 2169419 2171025 2171052) (-1185 "bookvol10.2.pamphlet" 2169255 2169264 2169398 2169403) (-1184 NIL 2169100 2169111 2169245 2169250) (-1183 "bookvol10.4.pamphlet" 2168778 2168787 2169090 2169095) (-1182 "bookvol10.4.pamphlet" 2168441 2168452 2168768 2168773) (-1181 "bookvol10.3.pamphlet" 2167020 2167029 2168431 2168436) (-1180 "bookvol10.3.pamphlet" 2164157 2164166 2167010 2167015) (-1179 "bookvol10.4.pamphlet" 2163713 2163724 2164147 2164152) (-1178 "bookvol10.4.pamphlet" 2163274 2163283 2163703 2163708) (-1177 "bookvol10.4.pamphlet" 2161465 2161488 2163264 2163269) (-1176 "bookvol10.2.pamphlet" 2160470 2160493 2161433 2161460) (-1175 NIL 2159495 2159520 2160460 2160465) (-1174 "bookvol10.4.pamphlet" 2158871 2158882 2159485 2159490) (-1173 "bookvol10.3.pamphlet" 2157844 2157867 2158114 2158141) (-1172 "bookvol10.3.pamphlet" 2157334 2157345 2157834 2157839) (-1171 "bookvol10.4.pamphlet" 2154252 2154263 2157324 2157329) (-1170 "bookvol10.4.pamphlet" 2150883 2150894 2154242 2154247) (-1169 "bookvol10.3.pamphlet" 2148980 2148989 2150873 2150878) (-1168 "bookvol10.3.pamphlet" 2145045 2145054 2148970 2148975) (-1167 "bookvol10.3.pamphlet" 2144052 2144063 2144134 2144261) (-1166 "bookvol10.4.pamphlet" 2143473 2143484 2144042 2144047) (-1165 "bookvol10.3.pamphlet" 2140935 2140944 2143463 2143468) (-1164 "bookvol10.3.pamphlet" 2137681 2137690 2140925 2140930) (-1163 "bookvol10.3.pamphlet" 2134712 2134740 2136148 2136245) (-1162 "bookvol10.3.pamphlet" 2131846 2131874 2132844 2132993) (-1161 "bookvol10.3.pamphlet" 2128541 2128552 2129396 2129549) (-1160 "bookvol10.4.pamphlet" 2127661 2127679 2128531 2128536) (-1159 "bookvol10.3.pamphlet" 2125105 2125116 2125174 2125327) (-1158 "bookvol10.4.pamphlet" 2124499 2124512 2125095 2125100) (-1157 "bookvol10.4.pamphlet" 2123101 2123112 2124489 2124494) (-1156 "bookvol10.4.pamphlet" 2122779 2122796 2123091 2123096) (-1155 "bookvol10.3.pamphlet" 2113438 2113466 2114424 2114853) (-1154 "bookvol10.3.pamphlet" 2113120 2113135 2113428 2113433) (-1153 "bookvol10.3.pamphlet" 2105475 2105490 2113110 2113115) (-1152 "bookvol10.4.pamphlet" 2104647 2104661 2105431 2105436) (-1151 "bookvol10.4.pamphlet" 2100748 2100764 2104637 2104642) (-1150 "bookvol10.4.pamphlet" 2097218 2097234 2100738 2100743) (-1149 "bookvol10.4.pamphlet" 2089790 2089801 2097099 2097104) (-1148 "bookvol10.3.pamphlet" 2088869 2088886 2089018 2089045) (-1147 "bookvol10.3.pamphlet" 2088252 2088261 2088350 2088377) (-1146 "bookvol10.2.pamphlet" 2088028 2088037 2088208 2088247) (-1145 "bookvol10.3.pamphlet" 2083616 2083627 2087776 2087791) (-1144 "bookvol10.4.pamphlet" 2082957 2082972 2083606 2083611) (-1143 "bookvol10.4.pamphlet" 2081530 2081543 2082947 2082952) (-1142 "bookvol10.4.pamphlet" 2081038 2081049 2081520 2081525) (-1141 "bookvol10.4.pamphlet" 2080779 2080790 2081028 2081033) (-1140 "bookvol10.4.pamphlet" 2079715 2079731 2080769 2080774) (-1139 "bookvol10.2.pamphlet" 2078941 2078950 2079705 2079710) (-1138 "bookvol10.3.pamphlet" 2078031 2078059 2078196 2078211) (-1137 "bookvol10.2.pamphlet" 2077130 2077141 2078011 2078026) (-1136 NIL 2076237 2076250 2077120 2077125) (-1135 "bookvol10.3.pamphlet" 2072274 2072285 2076067 2076094) (-1134 "bookvol10.3.pamphlet" 2070521 2070538 2071976 2072003) (-1133 "bookvol10.4.pamphlet" 2069288 2069308 2070511 2070516) (-1132 "bookvol10.2.pamphlet" 2064625 2064634 2069244 2069283) (-1131 NIL 2059994 2060005 2064615 2064620) (-1130 "bookvol10.3.pamphlet" 2057676 2057694 2058582 2058669) (-1129 "bookvol10.3.pamphlet" 2053183 2053196 2057427 2057454) (-1128 "bookvol10.3.pamphlet" 2050231 2050244 2053173 2053178) (-1127 "bookvol10.2.pamphlet" 2049042 2049051 2050221 2050226) (-1126 "bookvol10.4.pamphlet" 2047611 2047620 2049032 2049037) (-1125 "bookvol10.2.pamphlet" 2032018 2032029 2047601 2047606) (-1124 "bookvol10.3.pamphlet" 2031800 2031811 2032008 2032013) (-1123 "bookvol10.4.pamphlet" 2031349 2031362 2031756 2031761) (-1122 "bookvol10.4.pamphlet" 2028944 2028955 2031339 2031344) (-1121 "bookvol10.4.pamphlet" 2027533 2027544 2028934 2028939) (-1120 "bookvol10.4.pamphlet" 2021570 2021581 2027523 2027528) (-1119 "bookvol10.4.pamphlet" 2020034 2020052 2021560 2021565) (-1118 "bookvol10.2.pamphlet" 2019805 2019822 2019990 2020029) (-1117 "bookvol10.3.pamphlet" 2017959 2017985 2019370 2019467) (-1116 "bookvol10.3.pamphlet" 2015415 2015435 2015788 2015915) (-1115 "bookvol10.4.pamphlet" 2014252 2014277 2015405 2015410) (-1114 "bookvol10.2.pamphlet" 2012360 2012390 2014184 2014247) (-1113 NIL 2010412 2010444 2012238 2012243) (-1112 "bookvol10.2.pamphlet" 2008976 2008987 2010368 2010407) (-1111 "bookvol10.3.pamphlet" 2007339 2007348 2008842 2008971) (-1110 "bookvol10.4.pamphlet" 2007082 2007091 2007329 2007334) (-1109 "bookvol10.4.pamphlet" 2006172 2006183 2007072 2007077) (-1108 "bookvol10.4.pamphlet" 2005431 2005448 2006162 2006167) (-1107 "bookvol10.4.pamphlet" 2003395 2003410 2005387 2005392) (-1106 "bookvol10.3.pamphlet" 1995108 1995135 1995610 1995741) (-1105 "bookvol10.2.pamphlet" 1994361 1994370 1995098 1995103) (-1104 NIL 1993612 1993623 1994351 1994356) (-1103 "bookvol10.4.pamphlet" 1987124 1987133 1993602 1993607) (-1102 "bookvol10.2.pamphlet" 1986687 1986704 1987080 1987119) (-1101 "bookvol10.4.pamphlet" 1986386 1986406 1986677 1986682) (-1100 "bookvol10.4.pamphlet" 1982303 1982323 1986376 1986381) (-1099 "bookvol10.3.pamphlet" 1981764 1981778 1982293 1982298) (-1098 "bookvol10.3.pamphlet" 1981607 1981647 1981754 1981759) (-1097 "bookvol10.3.pamphlet" 1981499 1981508 1981597 1981602) (-1096 "bookvol10.2.pamphlet" 1978750 1978790 1981489 1981494) (-1095 "bookvol10.3.pamphlet" 1977114 1977125 1978227 1978266) (-1094 "bookvol10.3.pamphlet" 1975594 1975611 1977104 1977109) (-1093 "bookvol10.2.pamphlet" 1975084 1975093 1975584 1975589) (-1092 NIL 1974572 1974583 1975074 1975079) (-1091 "bookvol10.2.pamphlet" 1974463 1974472 1974562 1974567) (-1090 "bookvol10.2.pamphlet" 1971353 1971364 1974431 1974458) (-1089 NIL 1968263 1968276 1971343 1971348) (-1088 "bookvol10.2.pamphlet" 1967325 1967338 1968243 1968258) (-1087 "bookvol10.3.pamphlet" 1967138 1967149 1967244 1967249) (-1086 "bookvol10.2.pamphlet" 1965926 1965937 1967118 1967133) (-1085 "bookvol10.3.pamphlet" 1965012 1965023 1965881 1965886) (-1084 "bookvol10.4.pamphlet" 1964718 1964731 1965002 1965007) (-1083 "bookvol10.4.pamphlet" 1964137 1964150 1964674 1964679) (-1082 "bookvol10.3.pamphlet" 1963435 1963446 1964127 1964132) (-1081 "bookvol10.3.pamphlet" 1960839 1960850 1961116 1961243) (-1080 "bookvol10.3.pamphlet" 1957310 1957321 1960807 1960834) (-1079 "bookvol10.4.pamphlet" 1955413 1955424 1957300 1957305) (-1078 "bookvol10.4.pamphlet" 1954262 1954273 1955403 1955408) (-1077 "bookvol10.3.pamphlet" 1954134 1954143 1954252 1954257) (-1076 "bookvol10.4.pamphlet" 1953847 1953867 1954124 1954129) (-1075 "bookvol10.3.pamphlet" 1951976 1951992 1952633 1952768) (-1074 "bookvol10.4.pamphlet" 1951677 1951697 1951966 1951971) (-1073 "bookvol10.4.pamphlet" 1949413 1949429 1951667 1951672) (-1072 "bookvol10.3.pamphlet" 1948845 1948869 1949403 1949408) (-1071 "bookvol10.3.pamphlet" 1947027 1947051 1948835 1948840) (-1070 "bookvol10.3.pamphlet" 1946879 1946892 1947017 1947022) (-1069 "bookvol10.4.pamphlet" 1944249 1944269 1946869 1946874) (-1068 "bookvol10.2.pamphlet" 1935087 1935104 1944205 1944244) (-1067 NIL 1925957 1925976 1935077 1935082) (-1066 "bookvol10.4.pamphlet" 1924711 1924731 1925947 1925952) (-1065 "bookvol10.2.pamphlet" 1923125 1923155 1924701 1924706) (-1064 NIL 1921537 1921569 1923115 1923120) (-1063 "bookvol10.2.pamphlet" 1904431 1904446 1921405 1921532) (-1062 NIL 1887039 1887056 1904015 1904020) (-1061 "bookvol10.3.pamphlet" 1883524 1883533 1886268 1886295) (-1060 "bookvol10.3.pamphlet" 1882771 1882780 1883390 1883519) (-1059 NIL 1881905 1881937 1882761 1882766) (-1058 "bookvol10.2.pamphlet" 1880728 1880737 1881807 1881900) (-1057 NIL 1879637 1879648 1880718 1880723) (-1056 "bookvol10.2.pamphlet" 1879157 1879166 1879627 1879632) (-1055 "bookvol10.2.pamphlet" 1878666 1878677 1879147 1879152) (-1054 "bookvol10.4.pamphlet" 1878094 1878151 1878656 1878661) (-1053 "bookvol10.3.pamphlet" 1876829 1876848 1877317 1877356) (-1052 "bookvol10.2.pamphlet" 1872424 1872455 1876773 1876824) (-1051 NIL 1867921 1867954 1872272 1872277) (-1050 "bookvol10.4.pamphlet" 1867809 1867829 1867911 1867916) (-1049 "bookvol10.2.pamphlet" 1867168 1867177 1867789 1867804) (-1048 NIL 1866535 1866546 1867158 1867163) (-1047 "bookvol10.4.pamphlet" 1865563 1865572 1866525 1866530) (-1046 "bookvol10.3.pamphlet" 1864242 1864258 1865123 1865150) (-1045 "bookvol10.4.pamphlet" 1862292 1862303 1864232 1864237) (-1044 "bookvol10.4.pamphlet" 1859948 1859959 1862282 1862287) (-1043 "bookvol10.4.pamphlet" 1859410 1859421 1859938 1859943) (-1042 "bookvol10.4.pamphlet" 1859145 1859157 1859400 1859405) (-1041 "bookvol10.4.pamphlet" 1858141 1858150 1859135 1859140) (-1040 "bookvol10.4.pamphlet" 1857560 1857573 1858131 1858136) (-1039 "bookvol10.2.pamphlet" 1856903 1856914 1857550 1857555) (-1038 NIL 1856244 1856257 1856893 1856898) (-1037 "bookvol10.3.pamphlet" 1854888 1854897 1855473 1855500) (-1036 "bookvol10.3.pamphlet" 1854235 1854282 1854826 1854883) (-1035 "bookvol10.4.pamphlet" 1853561 1853572 1854225 1854230) (-1034 "bookvol10.4.pamphlet" 1853292 1853303 1853551 1853556) (-1033 "bookvol10.4.pamphlet" 1850848 1850857 1853282 1853287) (-1032 "bookvol10.4.pamphlet" 1850547 1850558 1850838 1850843) (-1031 "bookvol10.4.pamphlet" 1840567 1840578 1850389 1850394) (-1030 "bookvol10.4.pamphlet" 1834955 1834966 1840517 1840522) (-1029 "bookvol10.3.pamphlet" 1833250 1833267 1834657 1834684) (-1028 "bookvol10.3.pamphlet" 1832600 1832611 1833205 1833210) (-1027 "bookvol10.4.pamphlet" 1831730 1831747 1832590 1832595) (-1026 "bookvol10.4.pamphlet" 1830137 1830154 1831685 1831690) (-1025 "bookvol10.3.pamphlet" 1828970 1828990 1829624 1829717) (-1024 "bookvol10.4.pamphlet" 1827543 1827552 1828960 1828965) (-1023 "bookvol10.2.pamphlet" 1827417 1827426 1827533 1827538) (-1022 "bookvol10.4.pamphlet" 1824768 1824783 1827407 1827412) (-1021 "bookvol10.4.pamphlet" 1821677 1821692 1824758 1824763) (-1020 "bookvol10.4.pamphlet" 1821426 1821451 1821667 1821672) (-1019 "bookvol10.4.pamphlet" 1820993 1821004 1821416 1821421) (-1018 "bookvol10.4.pamphlet" 1819847 1819865 1820983 1820988) (-1017 "bookvol10.4.pamphlet" 1817812 1817830 1819837 1819842) (-1016 "bookvol10.4.pamphlet" 1817053 1817070 1817802 1817807) (-1015 "bookvol10.4.pamphlet" 1816109 1816126 1817043 1817048) (-1014 "bookvol10.2.pamphlet" 1813500 1813509 1816011 1816104) (-1013 NIL 1810977 1810988 1813490 1813495) (-1012 "bookvol10.2.pamphlet" 1808950 1808961 1810957 1810972) (-1011 NIL 1806860 1806873 1808869 1808874) (-1010 "bookvol10.4.pamphlet" 1806281 1806292 1806850 1806855) (-1009 "bookvol10.4.pamphlet" 1805465 1805477 1806271 1806276) (-1008 "bookvol10.4.pamphlet" 1804822 1804831 1805455 1805460) (-1007 "bookvol10.4.pamphlet" 1804578 1804587 1804812 1804817) (-1006 "bookvol10.3.pamphlet" 1801393 1801407 1803045 1803138) (-1005 "bookvol10.3.pamphlet" 1799822 1799859 1799925 1800081) (-1004 "bookvol10.2.pamphlet" 1799401 1799410 1799812 1799817) (-1003 NIL 1798978 1798989 1799391 1799396) (-1002 "bookvol10.3.pamphlet" 1794795 1794806 1798808 1798835) (-1001 "bookvol10.3.pamphlet" 1793425 1793436 1793719 1793784) (-1000 "bookvol10.4.pamphlet" 1792829 1792848 1793415 1793420) (-999 "bookvol10.2.pamphlet" 1791036 1791046 1792759 1792824) (-998 NIL 1788994 1789006 1790719 1790724) (-997 "bookvol10.2.pamphlet" 1787808 1787818 1788950 1788989) (-996 "bookvol10.3.pamphlet" 1787277 1787291 1787798 1787803) (-995 "bookvol10.2.pamphlet" 1785972 1785982 1787167 1787272) (-994 NIL 1784270 1784282 1785467 1785472) (-993 "bookvol10.4.pamphlet" 1783971 1783987 1784260 1784265) (-992 "bookvol10.3.pamphlet" 1783546 1783554 1783961 1783966) (-991 "bookvol10.4.pamphlet" 1779530 1779549 1783536 1783541) (-990 "bookvol10.3.pamphlet" 1775703 1775735 1779444 1779449) (-989 "bookvol10.4.pamphlet" 1773715 1773733 1775693 1775698) (-988 "bookvol10.4.pamphlet" 1771043 1771064 1773705 1773710) (-987 "bookvol10.4.pamphlet" 1770380 1770399 1771033 1771038) (-986 "bookvol10.2.pamphlet" 1766778 1766788 1770370 1770375) (-985 "bookvol10.4.pamphlet" 1763904 1763914 1766768 1766773) (-984 "bookvol10.4.pamphlet" 1763723 1763737 1763894 1763899) (-983 "bookvol10.2.pamphlet" 1762815 1762825 1763679 1763718) (-982 "bookvol10.4.pamphlet" 1762126 1762150 1762805 1762810) (-981 "bookvol10.4.pamphlet" 1760996 1761006 1762116 1762121) (-980 "bookvol10.4.pamphlet" 1748505 1748521 1760874 1760879) (-979 "bookvol10.2.pamphlet" 1743360 1743383 1748473 1748500) (-978 NIL 1738201 1738226 1743316 1743321) (-977 "bookvol10.2.pamphlet" 1737226 1737234 1738191 1738196) (-976 "bookvol10.2.pamphlet" 1735989 1736018 1737124 1737221) (-975 NIL 1734842 1734873 1735979 1735984) (-974 "bookvol10.3.pamphlet" 1733645 1733653 1734832 1734837) (-973 "bookvol10.2.pamphlet" 1731140 1731150 1733635 1733640) (-972 "bookvol10.4.pamphlet" 1722809 1722826 1731096 1731101) (-971 "bookvol10.2.pamphlet" 1722232 1722242 1722765 1722804) (-970 "bookvol10.3.pamphlet" 1722116 1722132 1722222 1722227) (-969 "bookvol10.3.pamphlet" 1722006 1722016 1722106 1722111) (-968 "bookvol10.3.pamphlet" 1721896 1721906 1721996 1722001) (-967 "bookvol10.3.pamphlet" 1719335 1719347 1719862 1719917) (-966 "bookvol10.3.pamphlet" 1717733 1717745 1718426 1718553) (-965 "bookvol10.4.pamphlet" 1716987 1717026 1717723 1717728) (-964 "bookvol10.4.pamphlet" 1716739 1716747 1716977 1716982) (-963 "bookvol10.4.pamphlet" 1714972 1714982 1716729 1716734) (-962 "bookvol10.4.pamphlet" 1713059 1713073 1714962 1714967) (-961 "bookvol10.2.pamphlet" 1712670 1712678 1713049 1713054) (-960 "bookvol10.3.pamphlet" 1711923 1711933 1712076 1712103) (-959 "bookvol10.4.pamphlet" 1710029 1710041 1711913 1711918) (-958 "bookvol10.4.pamphlet" 1709395 1709407 1710019 1710024) (-957 "bookvol10.2.pamphlet" 1708570 1708578 1709385 1709390) (-956 "bookvol10.4.pamphlet" 1707314 1707336 1708526 1708531) (-955 "bookvol10.3.pamphlet" 1704632 1704642 1705128 1705255) (-954 "bookvol10.4.pamphlet" 1703921 1703944 1704622 1704627) (-953 "bookvol10.4.pamphlet" 1701931 1701953 1703911 1703916) (-952 "bookvol10.2.pamphlet" 1695361 1695382 1701799 1701926) (-951 NIL 1688093 1688116 1694533 1694538) (-950 "bookvol10.4.pamphlet" 1687539 1687553 1688083 1688088) (-949 "bookvol10.4.pamphlet" 1687145 1687157 1687529 1687534) (-948 "bookvol10.4.pamphlet" 1686186 1686215 1687101 1687106) (-947 "bookvol10.4.pamphlet" 1684934 1684949 1686176 1686181) (-946 "bookvol10.3.pamphlet" 1683995 1684005 1684082 1684109) (-945 "bookvol10.4.pamphlet" 1680667 1680675 1683985 1683990) (-944 "bookvol10.4.pamphlet" 1679488 1679502 1680657 1680662) (-943 "bookvol10.4.pamphlet" 1679045 1679055 1679478 1679483) (-942 "bookvol10.4.pamphlet" 1678644 1678658 1679035 1679040) (-941 "bookvol10.4.pamphlet" 1678164 1678178 1678634 1678639) (-940 "bookvol10.4.pamphlet" 1677659 1677681 1678154 1678159) (-939 "bookvol10.4.pamphlet" 1676739 1676757 1677591 1677596) (-938 "bookvol10.4.pamphlet" 1676324 1676338 1676729 1676734) (-937 "bookvol10.4.pamphlet" 1675903 1675915 1676314 1676319) (-936 "bookvol10.4.pamphlet" 1675483 1675493 1675893 1675898) (-935 "bookvol10.4.pamphlet" 1675068 1675086 1675473 1675478) (-934 "bookvol10.4.pamphlet" 1674378 1674392 1675058 1675063) (-933 "bookvol10.4.pamphlet" 1673445 1673453 1674368 1674373) (-932 "bookvol10.4.pamphlet" 1672469 1672485 1673435 1673440) (-931 "bookvol10.4.pamphlet" 1671367 1671405 1672459 1672464) (-930 "bookvol10.4.pamphlet" 1671147 1671155 1671357 1671362) (-929 "bookvol10.3.pamphlet" 1665999 1666007 1671137 1671142) (-928 "bookvol10.3.pamphlet" 1662613 1662621 1665989 1665994) (-927 "bookvol10.4.pamphlet" 1661764 1661774 1662603 1662608) (-926 "bookvol10.4.pamphlet" 1647877 1647904 1661754 1661759) (-925 "bookvol10.3.pamphlet" 1647784 1647798 1647867 1647872) (-924 "bookvol10.3.pamphlet" 1647695 1647705 1647774 1647779) (-923 "bookvol10.3.pamphlet" 1647606 1647616 1647685 1647690) (-922 "bookvol10.2.pamphlet" 1646648 1646662 1647596 1647601) (-921 "bookvol10.4.pamphlet" 1646270 1646289 1646638 1646643) (-920 "bookvol10.4.pamphlet" 1646054 1646070 1646260 1646265) (-919 "bookvol10.3.pamphlet" 1645678 1645686 1646028 1646049) (-918 "bookvol10.2.pamphlet" 1644658 1644666 1645604 1645673) (-917 "bookvol10.4.pamphlet" 1644403 1644413 1644648 1644653) (-916 "bookvol10.4.pamphlet" 1643021 1643035 1644393 1644398) (-915 "bookvol10.4.pamphlet" 1634979 1634987 1643011 1643016) (-914 "bookvol10.4.pamphlet" 1633553 1633570 1634969 1634974) (-913 "bookvol10.4.pamphlet" 1632604 1632614 1633543 1633548) (-912 "bookvol10.3.pamphlet" 1628174 1628184 1632506 1632599) (-911 "bookvol10.4.pamphlet" 1627521 1627537 1628164 1628169) (-910 "bookvol10.4.pamphlet" 1625662 1625691 1627511 1627516) (-909 "bookvol10.4.pamphlet" 1625032 1625050 1625652 1625657) (-908 "bookvol10.4.pamphlet" 1624453 1624480 1625022 1625027) (-907 "bookvol10.3.pamphlet" 1624128 1624140 1624258 1624351) (-906 "bookvol10.2.pamphlet" 1621836 1621844 1624054 1624123) (-905 NIL 1619572 1619582 1621792 1621797) (-904 "bookvol10.4.pamphlet" 1617479 1617491 1619562 1619567) (-903 "bookvol10.4.pamphlet" 1615139 1615162 1617469 1617474) (-902 "bookvol10.3.pamphlet" 1610461 1610471 1614969 1614984) (-901 "bookvol10.3.pamphlet" 1605221 1605231 1610451 1610456) (-900 "bookvol10.2.pamphlet" 1603854 1603864 1605201 1605216) (-899 "bookvol10.4.pamphlet" 1602613 1602627 1603844 1603849) (-898 "bookvol10.3.pamphlet" 1601957 1601967 1602465 1602470) (-897 "bookvol10.2.pamphlet" 1600303 1600313 1601937 1601952) (-896 NIL 1598657 1598669 1600293 1600298) (-895 "bookvol10.3.pamphlet" 1596836 1596844 1598647 1598652) (-894 "bookvol10.4.pamphlet" 1590912 1590920 1596826 1596831) (-893 "bookvol10.4.pamphlet" 1590264 1590281 1590902 1590907) (-892 "bookvol10.2.pamphlet" 1588414 1588422 1590254 1590259) (-891 "bookvol10.4.pamphlet" 1588149 1588162 1588404 1588409) (-890 "bookvol10.3.pamphlet" 1586791 1586808 1588139 1588144) (-889 "bookvol10.3.pamphlet" 1581076 1581086 1586781 1586786) (-888 "bookvol10.4.pamphlet" 1580807 1580819 1581066 1581071) (-887 "bookvol10.4.pamphlet" 1579105 1579121 1580797 1580802) (-886 "bookvol10.3.pamphlet" 1576766 1576778 1579095 1579100) (-885 "bookvol10.4.pamphlet" 1576478 1576492 1576756 1576761) (-884 "bookvol10.4.pamphlet" 1574699 1574730 1576186 1576191) (-883 "bookvol10.2.pamphlet" 1574138 1574148 1574689 1574694) (-882 "bookvol10.3.pamphlet" 1573248 1573262 1574128 1574133) (-881 "bookvol10.2.pamphlet" 1573012 1573022 1573238 1573243) (-880 "bookvol10.4.pamphlet" 1570530 1570538 1573002 1573007) (-879 "bookvol10.3.pamphlet" 1569988 1570016 1570520 1570525) (-878 "bookvol10.4.pamphlet" 1569781 1569797 1569978 1569983) (-877 "bookvol10.3.pamphlet" 1569239 1569267 1569771 1569776) (-876 "bookvol10.4.pamphlet" 1569026 1569042 1569229 1569234) (-875 "bookvol10.3.pamphlet" 1568496 1568524 1569016 1569021) (-874 "bookvol10.4.pamphlet" 1568283 1568299 1568486 1568491) (-873 "bookvol10.4.pamphlet" 1567106 1567155 1568273 1568278) (-872 "bookvol10.4.pamphlet" 1566520 1566528 1567096 1567101) (-871 "bookvol10.3.pamphlet" 1565528 1565536 1566510 1566515) (-870 "bookvol10.4.pamphlet" 1559975 1559998 1565484 1565489) (-869 "bookvol10.4.pamphlet" 1553856 1553879 1559924 1559929) (-868 "bookvol10.3.pamphlet" 1551232 1551250 1552361 1552454) (-867 "bookvol10.3.pamphlet" 1549295 1549307 1549468 1549561) (-866 "bookvol10.3.pamphlet" 1549040 1549052 1549221 1549290) (-865 "bookvol10.2.pamphlet" 1547586 1547598 1548966 1549035) (-864 "bookvol10.4.pamphlet" 1546531 1546550 1547576 1547581) (-863 "bookvol10.4.pamphlet" 1545536 1545552 1546521 1546526) (-862 "bookvol10.3.pamphlet" 1544371 1544379 1545207 1545300) (-861 "bookvol10.2.pamphlet" 1543355 1543363 1544273 1544366) (-860 "bookvol10.2.pamphlet" 1541654 1541662 1543257 1543350) (-859 "bookvol10.3.pamphlet" 1540613 1540623 1541450 1541543) (-858 "bookvol10.2.pamphlet" 1539600 1539608 1540515 1540608) (-857 "bookvol10.3.pamphlet" 1538139 1538159 1538990 1539083) (-856 "bookvol10.2.pamphlet" 1537115 1537123 1538041 1538134) (-855 "bookvol10.3.pamphlet" 1536123 1536153 1536973 1537040) (-854 "bookvol10.3.pamphlet" 1535904 1535927 1536113 1536118) (-853 "bookvol10.4.pamphlet" 1535030 1535038 1535894 1535899) (-852 "bookvol10.3.pamphlet" 1524444 1524452 1535020 1535025) (-851 "bookvol10.3.pamphlet" 1524049 1524057 1524434 1524439) (-850 "bookvol10.4.pamphlet" 1522506 1522516 1523966 1523971) (-849 "bookvol10.3.pamphlet" 1521856 1521884 1522186 1522225) (-848 "bookvol10.3.pamphlet" 1521141 1521165 1521536 1521575) (-847 "bookvol10.4.pamphlet" 1518901 1518913 1521061 1521066) (-846 "bookvol10.2.pamphlet" 1512913 1512923 1518857 1518896) (-845 NIL 1506815 1506827 1512761 1512766) (-844 "bookvol10.2.pamphlet" 1505945 1505953 1506805 1506810) (-843 NIL 1505073 1505083 1505935 1505940) (-842 "bookvol10.2.pamphlet" 1504407 1504415 1505053 1505068) (-841 NIL 1503749 1503759 1504397 1504402) (-840 "bookvol10.2.pamphlet" 1503473 1503481 1503739 1503744) (-839 "bookvol10.4.pamphlet" 1502620 1502636 1503463 1503468) (-838 "bookvol10.2.pamphlet" 1502554 1502562 1502610 1502615) (-837 "bookvol10.3.pamphlet" 1501046 1501056 1502101 1502130) (-836 "bookvol10.4.pamphlet" 1500398 1500410 1501036 1501041) (-835 "bookvol10.3.pamphlet" 1498164 1498172 1500388 1500393) (-834 "bookvol10.4.pamphlet" 1490616 1490624 1498154 1498159) (-833 "bookvol10.2.pamphlet" 1488094 1488102 1490606 1490611) (-832 "bookvol10.4.pamphlet" 1487649 1487657 1488084 1488089) (-831 "bookvol10.3.pamphlet" 1487391 1487401 1487471 1487538) (-830 "bookvol10.3.pamphlet" 1486167 1486177 1486938 1486967) (-829 "bookvol10.4.pamphlet" 1485658 1485670 1486157 1486162) (-828 "bookvol10.4.pamphlet" 1484708 1484716 1485648 1485653) (-827 "bookvol10.2.pamphlet" 1484492 1484502 1484652 1484703) (-826 "bookvol10.4.pamphlet" 1483168 1483176 1484482 1484487) (-825 "bookvol10.2.pamphlet" 1482243 1482251 1483158 1483163) (-824 "bookvol10.3.pamphlet" 1481660 1481672 1482129 1482168) (-823 "bookvol10.4.pamphlet" 1481494 1481504 1481650 1481655) (-822 "bookvol10.3.pamphlet" 1481047 1481055 1481484 1481489) (-821 "bookvol10.3.pamphlet" 1480099 1480107 1481037 1481042) (-820 "bookvol10.3.pamphlet" 1479445 1479453 1480089 1480094) (-819 "bookvol10.3.pamphlet" 1474188 1474196 1479435 1479440) (-818 "bookvol10.3.pamphlet" 1473605 1473613 1474178 1474183) (-817 "bookvol10.2.pamphlet" 1473382 1473390 1473531 1473600) (-816 "bookvol10.3.pamphlet" 1467009 1467019 1473372 1473377) (-815 "bookvol10.3.pamphlet" 1466292 1466302 1466999 1467004) (-814 "bookvol10.3.pamphlet" 1465740 1465766 1466104 1466253) (-813 "bookvol10.3.pamphlet" 1463100 1463110 1463426 1463553) (-812 "bookvol10.3.pamphlet" 1454957 1454977 1455315 1455446) (-811 "bookvol10.4.pamphlet" 1453482 1453501 1454947 1454952) (-810 "bookvol10.4.pamphlet" 1450942 1450959 1453472 1453477) (-809 "bookvol10.4.pamphlet" 1446871 1446888 1450899 1450904) (-808 "bookvol10.4.pamphlet" 1446232 1446256 1446861 1446866) (-807 "bookvol10.4.pamphlet" 1443676 1443693 1446222 1446227) (-806 "bookvol10.4.pamphlet" 1440691 1440713 1443666 1443671) (-805 "bookvol10.3.pamphlet" 1439347 1439355 1440681 1440686) (-804 "bookvol10.4.pamphlet" 1436605 1436627 1439337 1439342) (-803 "bookvol10.4.pamphlet" 1435971 1435995 1436595 1436600) (-802 "bookvol10.4.pamphlet" 1423715 1423723 1435961 1435966) (-801 "bookvol10.4.pamphlet" 1423134 1423150 1423705 1423710) (-800 "bookvol10.3.pamphlet" 1420537 1420545 1423124 1423129) (-799 "bookvol10.4.pamphlet" 1415854 1415870 1420527 1420532) (-798 "bookvol10.4.pamphlet" 1415363 1415381 1415844 1415849) (-797 "bookvol10.2.pamphlet" 1413754 1413762 1415353 1415358) (-796 "bookvol10.3.pamphlet" 1411922 1411932 1412604 1412643) (-795 "bookvol10.4.pamphlet" 1411568 1411589 1411912 1411917) (-794 "bookvol10.2.pamphlet" 1409516 1409526 1411524 1411563) (-793 NIL 1407189 1407201 1409199 1409204) (-792 "bookvol10.2.pamphlet" 1407039 1407047 1407179 1407184) (-791 "bookvol10.2.pamphlet" 1406805 1406813 1407029 1407034) (-790 "bookvol10.2.pamphlet" 1406159 1406167 1406795 1406800) (-789 "bookvol10.2.pamphlet" 1406022 1406030 1406149 1406154) (-788 "bookvol10.2.pamphlet" 1405886 1405894 1406012 1406017) (-787 "bookvol10.4.pamphlet" 1405613 1405629 1405876 1405881) (-786 "bookvol10.4.pamphlet" 1394342 1394350 1405603 1405608) (-785 "bookvol10.4.pamphlet" 1385909 1385917 1394332 1394337) (-784 "bookvol10.2.pamphlet" 1383264 1383272 1385899 1385904) (-783 "bookvol10.4.pamphlet" 1382106 1382114 1383254 1383259) (-782 "bookvol10.4.pamphlet" 1374264 1374274 1381911 1381916) (-781 "bookvol10.2.pamphlet" 1373671 1373687 1374220 1374259) (-780 "bookvol10.4.pamphlet" 1373222 1373232 1373588 1373593) (-779 "bookvol10.3.pamphlet" 1367123 1367133 1370772 1370925) (-778 "bookvol10.4.pamphlet" 1366519 1366531 1367113 1367118) (-777 "bookvol10.3.pamphlet" 1362730 1362749 1363022 1363149) (-776 "bookvol10.3.pamphlet" 1361254 1361264 1361331 1361424) (-775 "bookvol10.4.pamphlet" 1359644 1359658 1361244 1361249) (-774 "bookvol10.4.pamphlet" 1359536 1359565 1359634 1359639) (-773 "bookvol10.4.pamphlet" 1358784 1358804 1359526 1359531) (-772 "bookvol10.3.pamphlet" 1358672 1358686 1358764 1358779) (-771 "bookvol10.4.pamphlet" 1358266 1358305 1358662 1358667) (-770 "bookvol10.4.pamphlet" 1357114 1357133 1358256 1358261) (-769 "bookvol10.4.pamphlet" 1356796 1356822 1357104 1357109) (-768 "bookvol10.3.pamphlet" 1356537 1356545 1356786 1356791) (-767 "bookvol10.4.pamphlet" 1356213 1356223 1356527 1356532) (-766 "bookvol10.4.pamphlet" 1355670 1355686 1356203 1356208) (-765 "bookvol10.3.pamphlet" 1354560 1354568 1355644 1355665) (-764 "bookvol10.4.pamphlet" 1353186 1353196 1354550 1354555) (-763 "bookvol10.3.pamphlet" 1350874 1350882 1353176 1353181) (-762 "bookvol10.4.pamphlet" 1348342 1348359 1350864 1350869) (-761 "bookvol10.4.pamphlet" 1347661 1347675 1348332 1348337) (-760 "bookvol10.4.pamphlet" 1345801 1345817 1347651 1347656) (-759 "bookvol10.4.pamphlet" 1345458 1345472 1345791 1345796) (-758 "bookvol10.4.pamphlet" 1343636 1343650 1345448 1345453) (-757 "bookvol10.2.pamphlet" 1343234 1343242 1343626 1343631) (-756 NIL 1342830 1342840 1343224 1343229) (-755 "bookvol10.2.pamphlet" 1342208 1342216 1342820 1342825) (-754 NIL 1341584 1341594 1342198 1342203) (-753 "bookvol10.4.pamphlet" 1340661 1340669 1341574 1341579) (-752 "bookvol10.4.pamphlet" 1331103 1331111 1340651 1340656) (-751 "bookvol10.4.pamphlet" 1329603 1329611 1331093 1331098) (-750 "bookvol10.4.pamphlet" 1324067 1324075 1329593 1329598) (-749 "bookvol10.4.pamphlet" 1318223 1318231 1324057 1324062) (-748 "bookvol10.4.pamphlet" 1314033 1314041 1318213 1318218) (-747 "bookvol10.4.pamphlet" 1307827 1307835 1314023 1314028) (-746 "bookvol10.4.pamphlet" 1298584 1298592 1307817 1307822) (-745 "bookvol10.4.pamphlet" 1294675 1294683 1298574 1298579) (-744 "bookvol10.4.pamphlet" 1292714 1292722 1294665 1294670) (-743 "bookvol10.4.pamphlet" 1285520 1285528 1292704 1292709) (-742 "bookvol10.4.pamphlet" 1280064 1280072 1285510 1285515) (-741 "bookvol10.4.pamphlet" 1275996 1276004 1280054 1280059) (-740 "bookvol10.4.pamphlet" 1274542 1274550 1275986 1275991) (-739 "bookvol10.4.pamphlet" 1273872 1273880 1274532 1274537) (-738 "bookvol10.2.pamphlet" 1273424 1273434 1273840 1273867) (-737 NIL 1272996 1273008 1273414 1273419) (-736 "bookvol10.3.pamphlet" 1270223 1270237 1270546 1270699) (-735 "bookvol10.3.pamphlet" 1268342 1268356 1268414 1268634) (-734 "bookvol10.4.pamphlet" 1265310 1265327 1268332 1268337) (-733 "bookvol10.4.pamphlet" 1264708 1264725 1265300 1265305) (-732 "bookvol10.2.pamphlet" 1262738 1262759 1264606 1264703) (-731 "bookvol10.4.pamphlet" 1262397 1262407 1262728 1262733) (-730 "bookvol10.4.pamphlet" 1261849 1261857 1262387 1262392) (-729 "bookvol10.3.pamphlet" 1259912 1259922 1261611 1261650) (-728 "bookvol10.2.pamphlet" 1259745 1259755 1259868 1259907) (-727 "bookvol10.3.pamphlet" 1256780 1256792 1259453 1259520) (-726 "bookvol10.4.pamphlet" 1256342 1256356 1256770 1256775) (-725 "bookvol10.4.pamphlet" 1255903 1255920 1256332 1256337) (-724 "bookvol10.4.pamphlet" 1253976 1253995 1255893 1255898) (-723 "bookvol10.3.pamphlet" 1251428 1251443 1251770 1251897) (-722 "bookvol10.4.pamphlet" 1250707 1250726 1251418 1251423) (-721 "bookvol10.4.pamphlet" 1250517 1250560 1250697 1250702) (-720 "bookvol10.4.pamphlet" 1250265 1250301 1250507 1250512) (-719 "bookvol10.4.pamphlet" 1248636 1248653 1250255 1250260) (-718 "bookvol10.2.pamphlet" 1247538 1247546 1248626 1248631) (-717 NIL 1246438 1246448 1247528 1247533) (-716 "bookvol10.2.pamphlet" 1245166 1245179 1246298 1246433) (-715 NIL 1243916 1243931 1245050 1245055) (-714 "bookvol10.2.pamphlet" 1242050 1242058 1243906 1243911) (-713 NIL 1240182 1240192 1242040 1242045) (-712 "bookvol10.2.pamphlet" 1239342 1239350 1240172 1240177) (-711 NIL 1238500 1238510 1239332 1239337) (-710 "bookvol10.3.pamphlet" 1237157 1237171 1238480 1238495) (-709 "bookvol10.2.pamphlet" 1236870 1236880 1237125 1237152) (-708 NIL 1236603 1236615 1236860 1236865) (-707 "bookvol10.3.pamphlet" 1235922 1235961 1236583 1236598) (-706 "bookvol10.3.pamphlet" 1234542 1234554 1235744 1235811) (-705 "bookvol10.3.pamphlet" 1234055 1234073 1234532 1234537) (-704 "bookvol10.3.pamphlet" 1230715 1230731 1231533 1231686) (-703 "bookvol10.3.pamphlet" 1230082 1230121 1230617 1230710) (-702 "bookvol10.3.pamphlet" 1228887 1228895 1230072 1230077) (-701 "bookvol10.4.pamphlet" 1228621 1228655 1228877 1228882) (-700 "bookvol10.2.pamphlet" 1227039 1227049 1228577 1228616) (-699 "bookvol10.4.pamphlet" 1225655 1225672 1227029 1227034) (-698 "bookvol10.4.pamphlet" 1225095 1225113 1225645 1225650) (-697 "bookvol10.4.pamphlet" 1224687 1224700 1225085 1225090) (-696 "bookvol10.4.pamphlet" 1223972 1223982 1224677 1224682) (-695 "bookvol10.4.pamphlet" 1222815 1222825 1223962 1223967) (-694 "bookvol10.3.pamphlet" 1222593 1222603 1222805 1222810) (-693 "bookvol10.4.pamphlet" 1222032 1222050 1222583 1222588) (-692 "bookvol10.3.pamphlet" 1221471 1221479 1221934 1222027) (-691 "bookvol10.4.pamphlet" 1220110 1220120 1221461 1221466) (-690 "bookvol10.3.pamphlet" 1218558 1218566 1220000 1220105) (-689 "bookvol10.4.pamphlet" 1217958 1217980 1218548 1218553) (-688 "bookvol10.4.pamphlet" 1215870 1215878 1217948 1217953) (-687 "bookvol10.4.pamphlet" 1214123 1214133 1215860 1215865) (-686 "bookvol10.2.pamphlet" 1213404 1213414 1214091 1214118) (-685 "bookvol10.3.pamphlet" 1209377 1209385 1209991 1210192) (-684 "bookvol10.4.pamphlet" 1208579 1208591 1209367 1209372) (-683 "bookvol10.4.pamphlet" 1205839 1205865 1208569 1208574) (-682 "bookvol10.4.pamphlet" 1203119 1203129 1205829 1205834) (-681 "bookvol10.3.pamphlet" 1202012 1202022 1202494 1202521) (-680 "bookvol10.4.pamphlet" 1199420 1199444 1201896 1201901) (-679 "bookvol10.2.pamphlet" 1184852 1184874 1199376 1199415) (-678 NIL 1170132 1170156 1184658 1184663) (-677 "bookvol10.4.pamphlet" 1169414 1169462 1170122 1170127) (-676 "bookvol10.4.pamphlet" 1168208 1168220 1169404 1169409) (-675 "bookvol10.4.pamphlet" 1167083 1167097 1168198 1168203) (-674 "bookvol10.4.pamphlet" 1166389 1166401 1167073 1167078) (-673 "bookvol10.4.pamphlet" 1165201 1165211 1166379 1166384) (-672 "bookvol10.4.pamphlet" 1165013 1165027 1165191 1165196) (-671 "bookvol10.4.pamphlet" 1164782 1164794 1165003 1165008) (-670 "bookvol10.4.pamphlet" 1164418 1164428 1164772 1164777) (-669 "bookvol10.3.pamphlet" 1162702 1162719 1164408 1164413) (-668 "bookvol10.2.pamphlet" 1160558 1160573 1162692 1162697) (-667 "bookvol10.3.pamphlet" 1158543 1158553 1160159 1160164) (-666 "bookvol10.2.pamphlet" 1154299 1154309 1158523 1158538) (-665 NIL 1150063 1150075 1154289 1154294) (-664 "bookvol10.3.pamphlet" 1147301 1147318 1150053 1150058) (-663 "bookvol10.3.pamphlet" 1145599 1145613 1145981 1146032) (-662 "bookvol10.4.pamphlet" 1145142 1145159 1145589 1145594) (-661 "bookvol10.4.pamphlet" 1143944 1143972 1145132 1145137) (-660 "bookvol10.4.pamphlet" 1141706 1141720 1143934 1143939) (-659 "bookvol10.2.pamphlet" 1141363 1141373 1141662 1141701) (-658 NIL 1141052 1141064 1141353 1141358) (-657 "bookvol10.3.pamphlet" 1140200 1140219 1140908 1140977) (-656 "bookvol10.4.pamphlet" 1139461 1139471 1140190 1140195) (-655 "bookvol10.4.pamphlet" 1137936 1137985 1139451 1139456) (-654 "bookvol10.4.pamphlet" 1136609 1136619 1137926 1137931) (-653 "bookvol10.3.pamphlet" 1136006 1136020 1136543 1136570) (-652 "bookvol10.2.pamphlet" 1135606 1135614 1135996 1136001) (-651 NIL 1135204 1135214 1135596 1135601) (-650 "bookvol10.4.pamphlet" 1134134 1134146 1135194 1135199) (-649 "bookvol10.3.pamphlet" 1133505 1133521 1133814 1133853) (-648 "bookvol10.4.pamphlet" 1132553 1132570 1133462 1133467) (-647 "bookvol10.2.pamphlet" 1131202 1131212 1132509 1132548) (-646 NIL 1129849 1129861 1131158 1131163) (-645 "bookvol10.3.pamphlet" 1129109 1129121 1129529 1129568) (-644 "bookvol10.3.pamphlet" 1128496 1128506 1128789 1128828) (-643 "bookvol10.4.pamphlet" 1127222 1127240 1128486 1128491) (-642 "bookvol10.2.pamphlet" 1125645 1125655 1127124 1127217) (-641 "bookvol10.2.pamphlet" 1122121 1122131 1125625 1125640) (-640 NIL 1118571 1118583 1122077 1122082) (-639 "bookvol10.3.pamphlet" 1115183 1115200 1118561 1118566) (-638 "bookvol10.2.pamphlet" 1114698 1114708 1115173 1115178) (-637 "bookvol10.3.pamphlet" 1113820 1113830 1114472 1114499) (-636 "bookvol10.4.pamphlet" 1113271 1113285 1113810 1113815) (-635 "bookvol10.3.pamphlet" 1111234 1111244 1112641 1112668) (-634 "bookvol10.4.pamphlet" 1110549 1110563 1111224 1111229) (-633 "bookvol10.4.pamphlet" 1109229 1109241 1110539 1110544) (-632 "bookvol10.4.pamphlet" 1106092 1106104 1109219 1109224) (-631 "bookvol10.2.pamphlet" 1105470 1105480 1106072 1106087) (-630 "bookvol10.4.pamphlet" 1104343 1104355 1105382 1105387) (-629 "bookvol10.4.pamphlet" 1102301 1102311 1104333 1104338) (-628 "bookvol10.4.pamphlet" 1101176 1101189 1102291 1102296) (-627 "bookvol10.3.pamphlet" 1099206 1099218 1100466 1100611) (-626 "bookvol10.2.pamphlet" 1098791 1098801 1099132 1099201) (-625 NIL 1098404 1098416 1098747 1098752) (-624 "bookvol10.3.pamphlet" 1096939 1096947 1097645 1097660) (-623 "bookvol10.4.pamphlet" 1094317 1094336 1096929 1096934) (-622 "bookvol10.4.pamphlet" 1093096 1093112 1094307 1094312) (-621 "bookvol10.2.pamphlet" 1091911 1091919 1093086 1093091) (-620 "bookvol10.4.pamphlet" 1087743 1087758 1091901 1091906) (-619 "bookvol10.3.pamphlet" 1085978 1086005 1087723 1087738) (-618 "bookvol10.4.pamphlet" 1084408 1084425 1085968 1085973) (-617 "bookvol10.4.pamphlet" 1083518 1083540 1084398 1084403) (-616 "bookvol10.3.pamphlet" 1082294 1082307 1083111 1083180) (-615 "bookvol10.4.pamphlet" 1081839 1081855 1082284 1082289) (-614 "bookvol10.3.pamphlet" 1081249 1081263 1081761 1081800) (-613 "bookvol10.2.pamphlet" 1081025 1081035 1081229 1081244) (-612 NIL 1080809 1080821 1081015 1081020) (-611 "bookvol10.4.pamphlet" 1079490 1079507 1080799 1080804) (-610 "bookvol10.2.pamphlet" 1079214 1079224 1079480 1079485) (-609 "bookvol10.2.pamphlet" 1078951 1078961 1079204 1079209) (-608 "bookvol10.3.pamphlet" 1077512 1077522 1078735 1078740) (-607 "bookvol10.4.pamphlet" 1077215 1077227 1077502 1077507) (-606 "bookvol10.2.pamphlet" 1076354 1076376 1077183 1077210) (-605 NIL 1075513 1075537 1076344 1076349) (-604 "bookvol10.3.pamphlet" 1074151 1074167 1074860 1074887) (-603 "bookvol10.3.pamphlet" 1072160 1072172 1073441 1073586) (-602 "bookvol10.2.pamphlet" 1070404 1070428 1072140 1072155) (-601 NIL 1068513 1068539 1070251 1070256) (-600 "bookvol10.3.pamphlet" 1067521 1067536 1067661 1067688) (-599 "bookvol10.3.pamphlet" 1066641 1066651 1067511 1067516) (-598 "bookvol10.4.pamphlet" 1065404 1065423 1066631 1066636) (-597 "bookvol10.4.pamphlet" 1064910 1064924 1065394 1065399) (-596 "bookvol10.4.pamphlet" 1064654 1064666 1064900 1064905) (-595 "bookvol10.3.pamphlet" 1062462 1062477 1064490 1064615) (-594 "bookvol10.3.pamphlet" 1054850 1054865 1061436 1061533) (-593 "bookvol10.4.pamphlet" 1054317 1054333 1054840 1054845) (-592 "bookvol10.3.pamphlet" 1053547 1053560 1053713 1053740) (-591 "bookvol10.4.pamphlet" 1052631 1052650 1053537 1053542) (-590 "bookvol10.4.pamphlet" 1050699 1050707 1052621 1052626) (-589 "bookvol10.4.pamphlet" 1049246 1049256 1050655 1050660) (-588 "bookvol10.4.pamphlet" 1048847 1048858 1049236 1049241) (-587 "bookvol10.4.pamphlet" 1047163 1047173 1048837 1048842) (-586 "bookvol10.3.pamphlet" 1044886 1044900 1047018 1047045) (-585 "bookvol10.4.pamphlet" 1044030 1044046 1044876 1044881) (-584 "bookvol10.4.pamphlet" 1043207 1043223 1044020 1044025) (-583 "bookvol10.4.pamphlet" 1042983 1042991 1043197 1043202) (-582 "bookvol10.3.pamphlet" 1042684 1042696 1042788 1042881) (-581 "bookvol10.3.pamphlet" 1042455 1042481 1042610 1042679) (-580 "bookvol10.4.pamphlet" 1042052 1042068 1042445 1042450) (-579 "bookvol10.4.pamphlet" 1035074 1035091 1042042 1042047) (-578 "bookvol10.4.pamphlet" 1032939 1032955 1034648 1034653) (-577 "bookvol10.4.pamphlet" 1032259 1032267 1032929 1032934) (-576 "bookvol10.3.pamphlet" 1032035 1032045 1032173 1032254) (-575 "bookvol10.4.pamphlet" 1030399 1030413 1032025 1032030) (-574 "bookvol10.4.pamphlet" 1029892 1029902 1030389 1030394) (-573 "bookvol10.4.pamphlet" 1028561 1028578 1029882 1029887) (-572 "bookvol10.4.pamphlet" 1026874 1026890 1028204 1028209) (-571 "bookvol10.4.pamphlet" 1024531 1024549 1026806 1026811) (-570 "bookvol10.4.pamphlet" 1015056 1015064 1024521 1024526) (-569 "bookvol10.3.pamphlet" 1014417 1014425 1014910 1015051) (-568 "bookvol10.4.pamphlet" 1013683 1013700 1014407 1014412) (-567 "bookvol10.4.pamphlet" 1013328 1013352 1013673 1013678) (-566 "bookvol10.4.pamphlet" 1009707 1009715 1013318 1013323) (-565 "bookvol10.4.pamphlet" 1002865 1002883 1009639 1009644) (-564 "bookvol10.3.pamphlet" 996863 996871 1002855 1002860) (-563 "bookvol10.4.pamphlet" 996015 996072 996853 996858) (-562 "bookvol10.4.pamphlet" 995101 995111 996005 996010) (-561 "bookvol10.4.pamphlet" 994969 994993 995091 995096) (-560 "bookvol10.4.pamphlet" 993327 993343 994959 994964) (-559 "bookvol10.2.pamphlet" 991979 991987 993253 993322) (-558 NIL 990693 990703 991969 991974) (-557 "bookvol10.4.pamphlet" 989839 989926 990683 990688) (-556 "bookvol10.2.pamphlet" 988460 988470 989753 989834) (-555 "bookvol10.4.pamphlet" 987991 987999 988450 988455) (-554 "bookvol10.4.pamphlet" 987149 987176 987981 987986) (-553 "bookvol10.4.pamphlet" 986625 986641 987139 987144) (-552 "bookvol10.3.pamphlet" 985705 985736 985868 985895) (-551 "bookvol10.2.pamphlet" 983039 983047 985607 985700) (-550 NIL 980459 980469 983029 983034) (-549 "bookvol10.4.pamphlet" 979907 979920 980449 980454) (-548 "bookvol10.4.pamphlet" 979003 979022 979897 979902) (-547 "bookvol10.4.pamphlet" 978091 978115 978993 978998) (-546 "bookvol10.4.pamphlet" 977097 977114 978081 978086) (-545 "bookvol10.4.pamphlet" 976254 976284 977087 977092) (-544 "bookvol10.4.pamphlet" 974599 974621 976244 976249) (-543 "bookvol10.4.pamphlet" 973679 973698 974589 974594) (-542 "bookvol10.3.pamphlet" 970600 970608 973669 973674) (-541 "bookvol10.4.pamphlet" 970245 970255 970590 970595) (-540 "bookvol10.4.pamphlet" 969833 969841 970235 970240) (-539 "bookvol10.3.pamphlet" 969250 969313 969823 969828) (-538 "bookvol10.3.pamphlet" 968692 968715 969240 969245) (-537 "bookvol10.2.pamphlet" 967345 967408 968682 968687) (-536 "bookvol10.4.pamphlet" 965889 965911 967335 967340) (-535 "bookvol10.3.pamphlet" 965795 965812 965879 965884) (-534 "bookvol10.4.pamphlet" 965212 965222 965785 965790) (-533 "bookvol10.4.pamphlet" 961106 961117 965202 965207) (-532 "bookvol10.3.pamphlet" 960238 960264 960750 960777) (-531 "bookvol10.4.pamphlet" 959330 959374 960194 960199) (-530 "bookvol10.4.pamphlet" 957943 957967 959286 959291) (-529 "bookvol10.3.pamphlet" 956830 956845 957349 957376) (-528 "bookvol10.3.pamphlet" 956555 956593 956660 956687) (-527 "bookvol10.3.pamphlet" 955985 956001 956236 956329) (-526 "bookvol10.3.pamphlet" 953218 953233 955391 955418) (-525 "bookvol10.3.pamphlet" 953056 953073 953174 953179) (-524 "bookvol10.2.pamphlet" 952453 952465 953046 953051) (-523 NIL 951848 951862 952443 952448) (-522 "bookvol10.3.pamphlet" 951661 951673 951838 951843) (-521 "bookvol10.3.pamphlet" 951434 951446 951651 951656) (-520 "bookvol10.3.pamphlet" 951169 951181 951424 951429) (-519 "bookvol10.2.pamphlet" 950107 950119 951159 951164) (-518 "bookvol10.3.pamphlet" 949867 949879 950097 950102) (-517 "bookvol10.3.pamphlet" 949629 949641 949857 949862) (-516 "bookvol10.4.pamphlet" 946901 946919 949619 949624) (-515 "bookvol10.3.pamphlet" 941981 942020 946836 946841) (-514 "bookvol10.3.pamphlet" 941438 941461 941971 941976) (-513 "bookvol10.4.pamphlet" 940671 940687 941428 941433) (-512 "bookvol10.3.pamphlet" 939954 939962 940661 940666) (-511 "bookvol10.4.pamphlet" 938597 938614 939944 939949) (-510 "bookvol10.3.pamphlet" 937879 937892 938291 938318) (-509 "bookvol10.4.pamphlet" 934806 934825 937869 937874) (-508 "bookvol10.4.pamphlet" 933716 933731 934796 934801) (-507 "bookvol10.3.pamphlet" 933447 933473 933546 933573) (-506 "bookvol10.3.pamphlet" 932760 932775 932853 932880) (-505 "bookvol10.3.pamphlet" 930983 930991 932576 932669) (-504 "bookvol10.4.pamphlet" 930540 930573 930973 930978) (-503 "bookvol10.2.pamphlet" 929964 929972 930530 930535) (-502 NIL 929386 929396 929954 929959) (-501 "bookvol10.3.pamphlet" 928238 928246 929376 929381) (-500 "bookvol10.2.pamphlet" 926032 926042 928218 928233) (-499 NIL 923667 923679 925855 925860) (-498 "bookvol10.3.pamphlet" 921536 921544 922134 922227) (-497 "bookvol10.4.pamphlet" 920488 920499 921526 921531) (-496 "bookvol10.3.pamphlet" 920120 920144 920478 920483) (-495 "bookvol10.3.pamphlet" 916257 916267 919950 919977) (-494 "bookvol10.3.pamphlet" 908112 908128 908472 908603) (-493 "bookvol10.3.pamphlet" 905307 905322 905906 906033) (-492 "bookvol10.4.pamphlet" 903903 903911 905297 905302) (-491 "bookvol10.3.pamphlet" 902937 902968 903146 903173) (-490 "bookvol10.3.pamphlet" 902548 902556 902839 902932) (-489 "bookvol10.4.pamphlet" 888645 888657 902538 902543) (-488 "bookvol10.4.pamphlet" 888390 888398 888490 888495) (-487 "bookvol10.4.pamphlet" 872687 872723 888260 888265) (-486 "bookvol10.4.pamphlet" 872448 872456 872546 872551) (-485 "bookvol10.4.pamphlet" 872269 872283 872382 872387) (-484 "bookvol10.4.pamphlet" 872146 872160 872259 872264) (-483 "bookvol10.4.pamphlet" 871979 871987 872079 872084) (-482 "bookvol10.3.pamphlet" 871195 871211 871681 871708) (-481 "bookvol10.3.pamphlet" 870278 870313 870450 870465) (-480 "bookvol10.3.pamphlet" 867451 867478 868410 868559) (-479 "bookvol10.2.pamphlet" 866415 866423 867431 867446) (-478 NIL 865387 865397 866405 866410) (-477 "bookvol10.4.pamphlet" 863978 863999 865377 865382) (-476 "bookvol10.2.pamphlet" 862616 862628 863968 863973) (-475 NIL 861252 861266 862606 862611) (-474 "bookvol10.3.pamphlet" 854291 854299 861242 861247) (-473 "bookvol10.4.pamphlet" 852686 852694 854281 854286) (-472 "bookvol10.4.pamphlet" 851227 851235 852676 852681) (-471 "bookvol10.2.pamphlet" 850363 850375 851217 851222) (-470 NIL 849497 849511 850353 850358) (-469 "bookvol10.3.pamphlet" 849023 849046 849235 849262) (-468 "bookvol10.4.pamphlet" 843797 843884 848979 848984) (-467 "bookvol10.4.pamphlet" 843066 843084 843787 843792) (-466 "bookvol10.3.pamphlet" 837359 837367 843056 843061) (-465 "bookvol10.3.pamphlet" 833774 833782 837349 837354) (-464 "bookvol10.3.pamphlet" 832891 832918 833742 833769) (-463 "bookvol10.4.pamphlet" 832063 832077 832881 832886) (-462 "bookvol10.4.pamphlet" 827876 827889 832053 832058) (-461 "bookvol10.4.pamphlet" 827480 827490 827866 827871) (-460 "bookvol10.4.pamphlet" 827066 827083 827470 827475) (-459 "bookvol10.4.pamphlet" 826533 826552 827056 827061) (-458 "bookvol10.4.pamphlet" 824583 824596 826523 826528) (-457 "bookvol10.4.pamphlet" 823048 823056 824573 824578) (-456 "bookvol10.3.pamphlet" 820089 820106 820842 820969) (-455 "bookvol10.3.pamphlet" 814060 814087 819883 819950) (-454 "bookvol10.2.pamphlet" 813014 813022 813986 814055) (-453 NIL 812030 812040 813004 813009) (-452 "bookvol10.4.pamphlet" 807577 807615 811986 811991) (-451 "bookvol10.4.pamphlet" 803675 803713 807567 807572) (-450 "bookvol10.4.pamphlet" 799133 799171 803665 803670) (-449 "bookvol10.4.pamphlet" 795786 795824 799123 799128) (-448 "bookvol10.4.pamphlet" 795109 795117 795776 795781) (-447 "bookvol10.4.pamphlet" 793435 793445 795065 795070) (-446 "bookvol10.4.pamphlet" 791902 791915 793425 793430) (-445 "bookvol10.4.pamphlet" 790107 790126 791892 791897) (-444 "bookvol10.4.pamphlet" 780545 780556 790097 790102) (-443 "bookvol10.2.pamphlet" 777488 777496 780525 780540) (-442 "bookvol10.2.pamphlet" 776532 776540 777468 777483) (-441 "bookvol10.3.pamphlet" 776381 776393 776522 776527) (-440 NIL 774613 774621 776371 776376) (-439 "bookvol10.3.pamphlet" 773784 773792 774603 774608) (-438 "bookvol10.4.pamphlet" 772830 772849 773720 773725) (-437 "bookvol10.3.pamphlet" 770974 770982 772820 772825) (-436 "bookvol10.4.pamphlet" 770398 770414 770964 770969) (-435 "bookvol10.4.pamphlet" 769258 769274 770355 770360) (-434 "bookvol10.4.pamphlet" 766552 766568 769248 769253) (-433 "bookvol10.2.pamphlet" 760492 760502 766315 766547) (-432 NIL 754222 754234 760047 760052) (-431 "bookvol10.4.pamphlet" 753838 753854 754212 754217) (-430 "bookvol10.3.pamphlet" 753166 753178 753658 753757) (-429 "bookvol10.4.pamphlet" 752430 752446 753156 753161) (-428 "bookvol10.2.pamphlet" 751597 751607 752374 752425) (-427 NIL 750738 750750 751517 751522) (-426 "bookvol10.4.pamphlet" 749481 749497 750728 750733) (-425 "bookvol10.4.pamphlet" 743972 744006 749471 749476) (-424 "bookvol10.4.pamphlet" 743584 743600 743962 743967) (-423 "bookvol10.4.pamphlet" 742747 742770 743574 743579) (-422 "bookvol10.4.pamphlet" 741747 741757 742737 742742) (-421 "bookvol10.3.pamphlet" 733723 733733 740771 740840) (-420 "bookvol10.2.pamphlet" 728906 728916 733665 733718) (-419 NIL 724101 724113 728862 728867) (-418 "bookvol10.4.pamphlet" 723549 723567 724091 724096) (-417 "bookvol10.3.pamphlet" 722959 722989 723480 723485) (-416 "bookvol10.3.pamphlet" 722192 722213 722939 722954) (-415 "bookvol10.4.pamphlet" 721930 721962 722182 722187) (-414 "bookvol10.2.pamphlet" 721604 721614 721920 721925) (-413 NIL 721144 721156 721462 721467) (-412 "bookvol10.2.pamphlet" 719550 719563 721100 721139) (-411 NIL 717988 718003 719540 719545) (-410 "bookvol10.3.pamphlet" 715105 715115 715490 715663) (-409 "bookvol10.4.pamphlet" 714718 714730 715095 715100) (-408 "bookvol10.4.pamphlet" 714076 714088 714708 714713) (-407 "bookvol10.2.pamphlet" 711018 711026 713966 714071) (-406 NIL 707988 707998 710938 710943) (-405 "bookvol10.2.pamphlet" 707042 707050 707890 707983) (-404 NIL 706182 706192 707032 707037) (-403 "bookvol10.2.pamphlet" 705934 705944 706162 706177) (-402 "bookvol10.3.pamphlet" 704684 704701 705924 705929) (-401 NIL 703169 703218 704674 704679) (-400 "bookvol10.4.pamphlet" 702118 702126 703159 703164) (-399 "bookvol10.2.pamphlet" 699208 699216 702098 702113) (-398 "bookvol10.2.pamphlet" 698898 698906 699188 699203) (-397 "bookvol10.3.pamphlet" 696292 696300 698888 698893) (-396 "bookvol10.4.pamphlet" 695771 695781 696282 696287) (-395 "bookvol10.4.pamphlet" 695552 695576 695761 695766) (-394 "bookvol10.4.pamphlet" 694753 694761 695542 695547) (-393 "bookvol10.3.pamphlet" 694175 694197 694721 694748) (-392 "bookvol10.2.pamphlet" 692519 692527 694165 694170) (-391 "bookvol10.3.pamphlet" 692411 692419 692509 692514) (-390 "bookvol10.2.pamphlet" 692209 692217 692337 692406) (-389 "bookvol10.3.pamphlet" 689016 689026 692165 692170) (-388 "bookvol10.3.pamphlet" 688719 688731 688950 688977) (-387 "bookvol10.2.pamphlet" 685669 685677 688699 688714) (-386 "bookvol10.2.pamphlet" 684713 684721 685649 685664) (-385 "bookvol10.2.pamphlet" 682407 682425 684681 684708) (-384 "bookvol10.3.pamphlet" 681869 681881 682341 682368) (-383 "bookvol10.4.pamphlet" 679677 679691 681859 681864) (-382 "bookvol10.3.pamphlet" 672968 672976 679543 679672) (-381 "bookvol10.4.pamphlet" 670434 670448 672958 672963) (-380 "bookvol10.2.pamphlet" 670136 670146 670414 670429) (-379 NIL 669792 669804 670072 670077) (-378 "bookvol10.4.pamphlet" 669048 669060 669782 669787) (-377 "bookvol10.2.pamphlet" 667115 667134 668974 669043) (-376 "bookvol10.2.pamphlet" 664321 664331 667083 667110) (-375 NIL 661440 661452 664204 664209) (-374 "bookvol10.4.pamphlet" 660161 660177 661430 661435) (-373 "bookvol10.2.pamphlet" 658282 658295 660117 660156) (-372 NIL 656329 656344 658166 658171) (-371 "bookvol10.2.pamphlet" 655481 655489 656319 656324) (-370 "bookvol10.2.pamphlet" 644790 644800 655423 655476) (-369 NIL 634111 634123 644746 644751) (-368 "bookvol10.3.pamphlet" 633698 633708 634101 634106) (-367 "bookvol10.2.pamphlet" 632145 632162 633688 633693) (-366 "bookvol10.2.pamphlet" 631483 631491 632047 632140) (-365 NIL 630907 630917 631473 631478) (-364 "bookvol10.3.pamphlet" 629484 629494 630887 630902) (-363 "bookvol10.4.pamphlet" 628391 628406 629474 629479) (-362 "bookvol10.3.pamphlet" 627820 627835 628107 628200) (-361 "bookvol10.4.pamphlet" 627693 627710 627810 627815) (-360 "bookvol10.4.pamphlet" 627196 627217 627683 627688) (-359 "bookvol10.4.pamphlet" 618595 618606 627186 627191) (-358 "bookvol10.4.pamphlet" 617677 617694 618585 618590) (-357 "bookvol10.3.pamphlet" 617173 617193 617393 617486) (-356 "bookvol10.3.pamphlet" 616641 616657 616854 616947) (-355 "bookvol10.3.pamphlet" 615191 615211 616357 616450) (-354 "bookvol10.3.pamphlet" 613727 613744 614907 615000) (-353 "bookvol10.3.pamphlet" 612268 612289 613408 613501) (-352 "bookvol10.4.pamphlet" 609638 609657 612258 612263) (-351 "bookvol10.2.pamphlet" 607236 607244 609540 609633) (-350 NIL 604920 604930 607226 607231) (-349 "bookvol10.4.pamphlet" 603713 603730 604910 604915) (-348 "bookvol10.4.pamphlet" 601188 601199 603703 603708) (-347 "bookvol10.4.pamphlet" 595310 595326 601178 601183) (-346 "bookvol10.4.pamphlet" 593985 594004 595300 595305) (-345 "bookvol10.4.pamphlet" 593404 593421 593975 593980) (-344 "bookvol10.3.pamphlet" 592285 592305 593120 593213) (-343 "bookvol10.3.pamphlet" 591200 591220 592001 592094) (-342 "bookvol10.3.pamphlet" 590027 590048 590881 590974) (-341 "bookvol10.2.pamphlet" 579194 579216 589866 590022) (-340 NIL 568440 568464 579114 579119) (-339 "bookvol10.4.pamphlet" 568179 568219 568430 568435) (-338 "bookvol10.3.pamphlet" 560855 560901 567935 567974) (-337 "bookvol10.2.pamphlet" 560565 560575 560845 560850) (-336 NIL 560060 560072 560342 560347) (-335 "bookvol10.3.pamphlet" 559511 559535 560050 560055) (-334 "bookvol10.2.pamphlet" 557523 557547 559501 559506) (-333 NIL 555533 555559 557513 557518) (-332 "bookvol10.4.pamphlet" 555279 555319 555523 555528) (-331 "bookvol10.4.pamphlet" 553840 553848 555269 555274) (-330 "bookvol10.3.pamphlet" 553371 553381 553830 553835) (-329 NIL 543336 543344 553361 553366) (-328 "bookvol10.2.pamphlet" 536569 536583 543238 543331) (-327 NIL 529854 529870 536525 536530) (-326 "bookvol10.3.pamphlet" 528282 528292 529260 529287) (-325 "bookvol10.2.pamphlet" 526424 526436 528180 528277) (-324 NIL 524550 524564 526308 526313) (-323 "bookvol10.4.pamphlet" 524124 524146 524540 524545) (-322 "bookvol10.3.pamphlet" 523826 523836 524078 524083) (-321 "bookvol10.2.pamphlet" 522009 522021 523816 523821) (-320 "bookvol10.3.pamphlet" 521667 521677 521905 521932) (-319 "bookvol10.4.pamphlet" 519879 519896 521657 521662) (-318 "bookvol10.4.pamphlet" 519761 519771 519869 519874) (-317 "bookvol10.4.pamphlet" 518955 518965 519751 519756) (-316 "bookvol10.4.pamphlet" 518837 518847 518945 518950) (-315 "bookvol10.3.pamphlet" 515674 515697 516969 517118) (-314 "bookvol10.4.pamphlet" 513142 513150 515664 515669) (-313 "bookvol10.4.pamphlet" 513044 513073 513132 513137) (-312 "bookvol10.4.pamphlet" 509788 509804 513034 513039) (-311 "bookvol10.3.pamphlet" 505055 505065 505777 506184) (-310 "bookvol10.4.pamphlet" 501145 501158 505045 505050) (-309 "bookvol10.4.pamphlet" 500915 500927 501135 501140) (-308 "bookvol10.3.pamphlet" 497849 497874 498487 498580) (-307 "bookvol10.4.pamphlet" 497702 497710 497839 497844) (-306 "bookvol10.3.pamphlet" 497373 497381 497692 497697) (-305 "bookvol10.4.pamphlet" 496867 496881 497363 497368) (-304 "bookvol10.2.pamphlet" 496431 496441 496857 496862) (-303 NIL 495993 496005 496421 496426) (-302 "bookvol10.2.pamphlet" 493565 493573 495919 495988) (-301 NIL 491199 491209 493555 493560) (-300 "bookvol10.4.pamphlet" 483057 483065 491189 491194) (-299 "bookvol10.4.pamphlet" 482652 482666 483047 483052) (-298 "bookvol10.4.pamphlet" 482337 482348 482642 482647) (-297 "bookvol10.2.pamphlet" 475284 475292 482327 482332) (-296 NIL 468137 468147 475182 475187) (-295 "bookvol10.4.pamphlet" 464946 464954 468127 468132) (-294 "bookvol10.4.pamphlet" 464687 464699 464936 464941) (-293 "bookvol10.4.pamphlet" 464194 464210 464677 464682) (-292 "bookvol10.4.pamphlet" 463752 463768 464184 464189) (-291 "bookvol10.4.pamphlet" 461228 461236 463742 463747) (-290 "bookvol10.3.pamphlet" 460262 460284 460471 460498) (-289 "bookvol10.3.pamphlet" 455188 455198 457935 458047) (-288 "bookvol10.4.pamphlet" 454906 454918 455178 455183) (-287 "bookvol10.4.pamphlet" 451260 451270 454896 454901) (-286 "bookvol10.2.pamphlet" 450804 450812 451204 451255) (-285 "bookvol10.3.pamphlet" 450000 450041 450730 450799) (-284 "bookvol10.2.pamphlet" 448448 448467 449990 449995) (-283 NIL 446860 446881 448404 448409) (-282 "bookvol10.2.pamphlet" 446362 446380 446850 446855) (-281 "bookvol10.4.pamphlet" 445751 445770 446352 446357) (-280 "bookvol10.2.pamphlet" 445448 445456 445741 445746) (-279 NIL 445143 445153 445438 445443) (-278 "bookvol10.2.pamphlet" 443059 443069 445111 445138) (-277 NIL 440924 440936 442978 442983) (-276 "bookvol10.4.pamphlet" 437699 437729 440880 440885) (-275 "bookvol10.4.pamphlet" 434534 434557 437655 437660) (-274 "bookvol10.4.pamphlet" 432531 432547 434524 434529) (-273 "bookvol10.4.pamphlet" 427307 427323 432521 432526) (-272 "bookvol10.3.pamphlet" 425621 425629 427297 427302) (-271 "bookvol10.3.pamphlet" 425159 425167 425611 425616) (-270 "bookvol10.3.pamphlet" 424738 424746 425149 425154) (-269 "bookvol10.3.pamphlet" 424320 424328 424728 424733) (-268 "bookvol10.3.pamphlet" 423858 423866 424310 424315) (-267 "bookvol10.3.pamphlet" 423396 423404 423848 423853) (-266 "bookvol10.3.pamphlet" 422934 422942 423386 423391) (-265 "bookvol10.3.pamphlet" 422472 422480 422924 422929) (-264 "bookvol10.4.pamphlet" 418214 418222 422462 422467) (-263 "bookvol10.2.pamphlet" 414963 414973 418204 418209) (-262 NIL 411710 411722 414953 414958) (-261 "bookvol10.4.pamphlet" 408780 408867 411700 411705) (-260 "bookvol10.3.pamphlet" 407986 407996 408610 408637) (-259 "bookvol10.2.pamphlet" 407580 407590 407942 407981) (-258 "bookvol10.3.pamphlet" 405023 405037 405316 405443) (-257 "bookvol10.3.pamphlet" 398786 398794 405013 405018) (-256 "bookvol10.4.pamphlet" 398457 398467 398776 398781) (-255 "bookvol10.4.pamphlet" 393416 393424 398447 398452) (-254 "bookvol10.4.pamphlet" 391657 391665 393406 393411) (-253 "bookvol10.4.pamphlet" 384565 384578 391647 391652) (-252 "bookvol10.4.pamphlet" 383828 383838 384555 384560) (-251 "bookvol10.4.pamphlet" 381253 381261 383818 383823) (-250 "bookvol10.4.pamphlet" 380800 380815 381243 381248) (-249 "bookvol10.4.pamphlet" 370240 370248 380790 380795) (-248 "bookvol10.2.pamphlet" 368450 368460 370196 370235) (-247 "bookvol10.2.pamphlet" 363847 363863 368318 368445) (-246 NIL 359330 359348 363803 363808) (-245 "bookvol10.3.pamphlet" 352705 352721 352827 353128) (-244 "bookvol10.3.pamphlet" 346077 346095 346202 346503) (-243 "bookvol10.3.pamphlet" 343318 343333 343871 343998) (-242 "bookvol10.4.pamphlet" 342658 342668 343308 343313) (-241 "bookvol10.3.pamphlet" 341373 341383 342064 342091) (-240 "bookvol10.2.pamphlet" 339820 339830 341353 341368) (-239 "bookvol10.2.pamphlet" 339261 339269 339764 339815) (-238 NIL 338746 338756 339251 339256) (-237 "bookvol10.3.pamphlet" 338599 338609 338678 338705) (-236 "bookvol10.2.pamphlet" 337364 337374 338567 338594) (-235 "bookvol10.4.pamphlet" 335578 335586 337354 337359) (-234 "bookvol10.3.pamphlet" 334858 334873 335414 335539) (-233 "bookvol10.3.pamphlet" 326448 326464 327073 327204) (-232 "bookvol10.4.pamphlet" 325309 325327 326438 326443) (-231 "bookvol10.2.pamphlet" 324473 324489 325161 325304) (-230 NIL 323378 323396 324068 324073) (-229 "bookvol10.4.pamphlet" 322223 322231 323368 323373) (-228 "bookvol10.2.pamphlet" 321303 321313 322191 322218) (-227 NIL 320369 320381 321259 321264) (-226 "bookvol10.2.pamphlet" 319490 319498 320349 320364) (-225 NIL 318619 318629 319480 319485) (-224 "bookvol10.2.pamphlet" 317770 317780 318599 318614) (-223 NIL 316838 316850 317669 317674) (-222 "bookvol10.2.pamphlet" 316458 316468 316806 316833) (-221 NIL 316098 316110 316448 316453) (-220 "bookvol10.3.pamphlet" 314380 314390 315742 315769) (-219 "bookvol10.3.pamphlet" 313118 313126 313504 313531) (-218 "bookvol10.4.pamphlet" 304312 304320 313108 313113) (-217 "bookvol10.3.pamphlet" 303529 303537 303944 303971) (-216 "bookvol10.3.pamphlet" 299806 299814 303419 303524) (-215 "bookvol10.4.pamphlet" 298041 298057 299796 299801) (-214 "bookvol10.3.pamphlet" 295999 296031 298021 298036) (-213 "bookvol10.3.pamphlet" 290189 290199 295829 295856) (-212 "bookvol10.4.pamphlet" 289804 289818 290179 290184) (-211 "bookvol10.4.pamphlet" 287269 287279 289794 289799) (-210 "bookvol10.4.pamphlet" 285749 285765 287259 287264) (-209 "bookvol10.3.pamphlet" 283630 283638 284216 284309) (-208 "bookvol10.4.pamphlet" 281507 281524 283620 283625) (-207 "bookvol10.4.pamphlet" 281115 281139 281497 281502) (-206 "bookvol10.3.pamphlet" 279768 279778 281105 281110) (-205 "bookvol10.3.pamphlet" 279596 279604 279758 279763) (-204 "bookvol10.3.pamphlet" 279416 279424 279586 279591) (-203 "bookvol10.4.pamphlet" 278361 278369 279406 279411) (-202 "bookvol10.3.pamphlet" 277825 277833 278351 278356) (-201 "bookvol10.3.pamphlet" 277305 277313 277815 277820) (-200 "bookvol10.3.pamphlet" 276797 276805 277295 277300) (-199 "bookvol10.3.pamphlet" 276289 276297 276787 276792) (-198 "bookvol10.4.pamphlet" 271219 271227 276279 276284) (-197 "bookvol10.4.pamphlet" 269542 269550 271209 271214) (-196 "bookvol10.3.pamphlet" 269519 269527 269532 269537) (-195 "bookvol10.3.pamphlet" 269043 269051 269509 269514) (-194 "bookvol10.3.pamphlet" 268567 268575 269033 269038) (-193 "bookvol10.3.pamphlet" 268037 268045 268557 268562) (-192 "bookvol10.3.pamphlet" 267532 267540 268027 268032) (-191 "bookvol10.3.pamphlet" 267014 267022 267522 267527) (-190 "bookvol10.3.pamphlet" 266510 266518 267004 267009) (-189 "bookvol10.3.pamphlet" 266022 266030 266500 266505) (-188 "bookvol10.3.pamphlet" 265564 265572 266012 266017) (-187 "bookvol10.3.pamphlet" 265094 265102 265554 265559) (-186 "bookvol10.3.pamphlet" 264619 264627 265084 265089) (-185 "bookvol10.4.pamphlet" 260726 260734 264609 264614) (-184 "bookvol10.4.pamphlet" 260230 260238 260716 260721) (-183 "bookvol10.4.pamphlet" 257041 257049 260220 260225) (-182 "bookvol10.4.pamphlet" 256426 256436 257031 257036) (-181 "bookvol10.4.pamphlet" 254894 254910 256416 256421) (-180 "bookvol10.4.pamphlet" 253683 253696 254884 254889) (-179 "bookvol10.4.pamphlet" 247698 247711 253673 253678) (-178 "bookvol10.4.pamphlet" 246855 246865 247688 247693) (-177 "bookvol10.4.pamphlet" 246367 246382 246780 246785) (-176 "bookvol10.4.pamphlet" 246072 246091 246357 246362) (-175 "bookvol10.4.pamphlet" 241087 241097 246062 246067) (-174 "bookvol10.3.pamphlet" 237088 237098 240989 241082) (-173 "bookvol10.2.pamphlet" 236767 236775 237026 237083) (-172 "bookvol10.3.pamphlet" 236267 236275 236757 236762) (-171 "bookvol10.4.pamphlet" 236034 236049 236257 236262) (-170 "bookvol10.3.pamphlet" 230052 230062 230301 230562) (-169 "bookvol10.4.pamphlet" 229775 229787 230042 230047) (-168 "bookvol10.4.pamphlet" 229571 229585 229765 229770) (-167 "bookvol10.2.pamphlet" 227677 227687 229293 229566) (-166 NIL 225487 225499 227105 227110) (-165 "bookvol10.4.pamphlet" 225261 225279 225477 225482) (-164 "bookvol10.4.pamphlet" 224800 224808 225251 225256) (-163 "bookvol10.3.pamphlet" 224609 224617 224790 224795) (-162 "bookvol10.2.pamphlet" 223644 223652 224599 224604) (-161 "bookvol10.4.pamphlet" 222136 222146 223634 223639) (-160 "bookvol10.4.pamphlet" 219586 219602 222126 222131) (-159 "bookvol10.3.pamphlet" 218417 218425 219576 219581) (-158 "bookvol10.4.pamphlet" 217751 217768 218407 218412) (-157 "bookvol10.4.pamphlet" 213871 213879 217741 217746) (-156 "bookvol10.3.pamphlet" 212586 212602 213827 213866) (-155 "bookvol10.2.pamphlet" 209477 209487 212566 212581) (-154 NIL 206249 206261 209340 209345) (-153 "bookvol10.4.pamphlet" 205588 205601 206239 206244) (-152 "bookvol10.4.pamphlet" 203558 203580 205578 205583) (-151 "bookvol10.2.pamphlet" 203473 203481 203538 203553) (-150 "bookvol10.4.pamphlet" 202987 202997 203463 203468) (-149 "bookvol10.2.pamphlet" 202740 202748 202967 202982) (-148 "bookvol10.3.pamphlet" 198746 198754 202730 202735) (-147 "bookvol10.2.pamphlet" 197919 197927 198736 198741) (-146 "bookvol10.3.pamphlet" 196226 196234 196857 196884) (-145 "bookvol10.3.pamphlet" 195358 195366 195782 195809) (-144 "bookvol10.4.pamphlet" 194598 194612 195348 195353) (-143 "bookvol10.3.pamphlet" 193009 193017 194067 194106) (-142 "bookvol10.3.pamphlet" 184188 184212 192999 193004) (-141 "bookvol10.4.pamphlet" 183578 183605 184178 184183) (-140 "bookvol10.3.pamphlet" 179916 179924 183552 183573) (-139 "bookvol10.2.pamphlet" 179532 179540 179906 179911) (-138 "bookvol10.2.pamphlet" 179025 179033 179522 179527) (-137 "bookvol10.3.pamphlet" 178117 178127 178855 178882) (-136 "bookvol10.3.pamphlet" 177359 177369 177947 177974) (-135 "bookvol10.2.pamphlet" 176733 176743 177315 177354) (-134 NIL 176139 176151 176723 176728) (-133 "bookvol10.2.pamphlet" 175242 175250 176095 176134) (-132 NIL 174377 174387 175232 175237) (-131 "bookvol10.3.pamphlet" 173035 173045 174207 174234) (-130 "Makefile.pamphlet" 170925 170933 173025 173030) (-129 "bookvol10.4.pamphlet" 169698 169709 170915 170920) (-128 "bookvol10.2.pamphlet" 168658 168668 169678 169693) (-127 NIL 167592 167604 168614 168619) (-126 "bookvol10.3.pamphlet" 165637 165649 165828 165921) (-125 "bookvol10.3.pamphlet" 165365 165377 165563 165632) (-124 "bookvol10.4.pamphlet" 165023 165040 165355 165360) (-123 "bookvol10.3.pamphlet" 160555 160563 165013 165018) (-122 "bookvol10.4.pamphlet" 158041 158051 160511 160516) (-121 "bookvol10.3.pamphlet" 156911 156919 158031 158036) (-120 "bookvol10.2.pamphlet" 156553 156565 156879 156906) (-119 "bookvol10.4.pamphlet" 154831 154867 156543 156548) (-118 "bookvol10.3.pamphlet" 154721 154729 154796 154826) (-117 "bookvol10.2.pamphlet" 154698 154706 154711 154716) (-116 "bookvol10.3.pamphlet" 154590 154598 154665 154693) (-115 "bookvol10.5.pamphlet" 142249 142257 154580 154585) (-114 "bookvol10.3.pamphlet" 141728 141736 141943 141970) (-113 "bookvol10.3.pamphlet" 141085 141093 141718 141723) (-112 "bookvol10.3.pamphlet" 138933 138941 139552 139645) (-111 "bookvol10.2.pamphlet" 138178 138188 138901 138928) (-110 NIL 137443 137455 138168 138173) (-109 "bookvol10.3.pamphlet" 136864 136872 137423 137438) (-108 "bookvol10.4.pamphlet" 136004 136031 136814 136819) (-107 "bookvol10.4.pamphlet" 133867 133877 135994 135999) (-106 "bookvol10.3.pamphlet" 129499 129509 133697 133724) (-105 "bookvol10.2.pamphlet" 129171 129179 129489 129494) (-104 NIL 128841 128851 129161 129166) (-103 "bookvol10.4.pamphlet" 128260 128273 128831 128836) (-102 "bookvol10.4.pamphlet" 128120 128128 128250 128255) (-101 "bookvol10.3.pamphlet" 127564 127574 128100 128115) (-100 "bookvol10.2.pamphlet" 124113 124121 127304 127559) (-99 "bookvol10.3.pamphlet" 120238 120245 124093 124108) (-98 "bookvol10.2.pamphlet" 119708 119715 120228 120233) (-97 NIL 119176 119185 119698 119703) (-96 "bookvol10.3.pamphlet" 114880 114889 119006 119033) (-95 "bookvol10.4.pamphlet" 113670 113681 114836 114841) (-94 "bookvol10.3.pamphlet" 112827 112840 113660 113665) (-93 "bookvol10.3.pamphlet" 111770 111783 112817 112822) (-92 "bookvol10.3.pamphlet" 111102 111115 111760 111765) (-91 "bookvol10.3.pamphlet" 110300 110313 111092 111097) (-90 "bookvol10.3.pamphlet" 109779 109792 110290 110295) (-89 "bookvol10.3.pamphlet" 109152 109165 109769 109774) (-88 "bookvol10.3.pamphlet" 108179 108192 109142 109147) (-87 "bookvol10.3.pamphlet" 107442 107455 108169 108174) (-86 "bookvol10.3.pamphlet" 106122 106135 107432 107437) (-85 "bookvol10.3.pamphlet" 104559 104572 106112 106117) (-84 "bookvol10.3.pamphlet" 102215 102228 104549 104554) (-83 "bookvol10.3.pamphlet" 101504 101517 102205 102210) (-82 "bookvol10.3.pamphlet" 100493 100506 101494 101499) (-81 "bookvol10.3.pamphlet" 98769 98808 100483 100488) (-80 "bookvol10.3.pamphlet" 97271 97310 98759 98764) (-79 "bookvol10.3.pamphlet" 96256 96269 97261 97266) (-78 "bookvol10.3.pamphlet" 95507 95520 96246 96251) (-77 "bookvol10.3.pamphlet" 95093 95106 95497 95502) (-76 "bookvol10.3.pamphlet" 94207 94220 95083 95088) (-75 "bookvol10.3.pamphlet" 92939 92952 94197 94202) (-74 "bookvol10.3.pamphlet" 92423 92436 92929 92934) (-73 "bookvol10.3.pamphlet" 82854 82867 92413 92418) (-72 "bookvol10.3.pamphlet" 81710 81723 82844 82849) (-71 "bookvol10.3.pamphlet" 80793 80806 81700 81705) (-70 "bookvol10.3.pamphlet" 79966 79979 80783 80788) (-69 "bookvol10.3.pamphlet" 79346 79359 79956 79961) (-68 "bookvol10.3.pamphlet" 73425 73438 79336 79341) (-67 "bookvol10.3.pamphlet" 72843 72856 73415 73420) (-66 "bookvol10.3.pamphlet" 72124 72137 72833 72838) (-65 "bookvol10.3.pamphlet" 71730 71739 71954 71981) (-64 "bookvol10.3.pamphlet" 70646 70655 71136 71163) (-63 "bookvol10.4.pamphlet" 68683 68694 70636 70641) (-62 "bookvol10.2.pamphlet" 61959 61980 68639 68678) (-61 NIL 55267 55290 61949 61954) (-60 "bookvol10.4.pamphlet" 54583 54605 55257 55262) (-59 "bookvol10.4.pamphlet" 54186 54199 54573 54578) (-58 "bookvol10.4.pamphlet" 53340 53347 54176 54181) (-57 "bookvol10.3.pamphlet" 51688 51695 53330 53335) (-56 "bookvol10.4.pamphlet" 50765 50774 51678 51683) (-55 "bookvol10.3.pamphlet" 49222 49238 50745 50760) (-54 "bookvol10.3.pamphlet" 49135 49142 49212 49217) (-53 "bookvol10.3.pamphlet" 47446 47453 48951 49044) (-52 "bookvol10.2.pamphlet" 45657 45668 47344 47441) (-51 NIL 43705 43718 45394 45399) (-50 "bookvol10.3.pamphlet" 41751 41772 42099 42126) (-49 "bookvol10.3.pamphlet" 40858 40884 41623 41676) (-48 "bookvol10.4.pamphlet" 36823 36834 40814 40819) (-47 "bookvol10.4.pamphlet" 36032 36046 36813 36818) (-46 "bookvol10.4.pamphlet" 33506 33521 35829 35834) (-45 "bookvol10.3.pamphlet" 31838 31865 32038 32194) (-44 "bookvol10.4.pamphlet" 30963 30973 31828 31833) (-43 "bookvol10.2.pamphlet" 30463 30472 30919 30958) (-42 NIL 29995 30006 30453 30458) (-41 "bookvol10.2.pamphlet" 29497 29518 29951 29990) (-40 "bookvol10.2.pamphlet" 28878 28885 29487 29492) (-39 "bookvol10.2.pamphlet" 27241 27248 28858 28873) (-38 NIL 25578 25587 27197 27202) (-37 "bookvol10.2.pamphlet" 23466 23475 25568 25573) (-36 "bookvol10.4.pamphlet" 21865 21880 23401 23406) (-35 "bookvol10.3.pamphlet" 21708 21723 21855 21860) (-34 "bookvol10.3.pamphlet" 21557 21566 21698 21703) (-33 "bookvol10.3.pamphlet" 21406 21415 21547 21552) (-32 "bookvol10.4.pamphlet" 21289 21327 21396 21401) (-31 "bookvol10.4.pamphlet" 20872 20910 21279 21284) (-30 "bookvol10.3.pamphlet" 19160 19167 20862 20867) (-29 "bookvol10.2.pamphlet" 17039 17048 19050 19155) (-28 NIL 15016 15027 17029 17034) (-27 "bookvol10.2.pamphlet" 10086 10093 14918 15011) (-26 NIL 5242 5251 10076 10081) (-25 "bookvol10.2.pamphlet" 4600 4607 5232 5237) (-24 NIL 3956 3965 4590 4595) (-23 "bookvol10.2.pamphlet" 3325 3332 3946 3951) (-22 NIL 2692 2701 3315 3320) (-21 "bookvol10.2.pamphlet" 2198 2205 2682 2687) (-20 NIL 1702 1711 2188 2193) (-19 "bookvol10.2.pamphlet" 850 859 1658 1697) (-18 NIL 30 41 840 845)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index 72c12c3..13858e4 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,18 +1,18 @@
 
-(156028 . 3524719210)        
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(156760 . 3570849597)        
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (((|#2| |#2|) . T)) 
 ((((-569)) . T)) 
-((($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
 ((($) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#2|) . T)) 
-((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-(|has| |#1| (-905)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+(|has| |#1| (-906)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-569) (-170 (-216))) . T)) 
 ((((-569) (-216)) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
@@ -21,156 +21,156 @@
 ((($) . T)) 
 (((|#2| |#2|) . T)) 
 ((((-148)) . T)) 
-((((-542)) . T) (((-1145)) . T) (((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
-(((|#1|) . T)) 
-((((-216)) . T) (((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
-(-2232 (|has| |#1| (-816)) (|has| |#1| (-843))) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-841)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-542)) . T) (((-1147)) . T) (((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
+(((|#1|) . T)) 
+((((-216)) . T) (((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) . T)) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
+(-1929 (|has| |#1| (-817)) (|has| |#1| (-844))) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-842)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1| |#2| |#3|) . T)) 
 (((|#4|) . T)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
-((((-851)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
+((((-852)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) . T) ((|#2|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(((|#2| (-494 (-4168 |#1|) (-764))) . T)) 
-(((|#1| (-535 (-1163))) . T)) 
-((((-865 |#1|) (-865 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(|has| |#1| (-1183)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(((|#2| (-494 (-2946 |#1|) (-765))) . T)) 
+(((|#1| (-535 (-1165))) . T)) 
+((((-866 |#1|) (-866 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(|has| |#1| (-1185)) 
 (|has| |#4| (-371)) 
 (|has| |#3| (-371)) 
 (((|#1|) . T)) 
-((((-865 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-866 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-559)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 ((($) . T)) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
 ((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
 ((((-170 (-216)) (-146) (-146)) . T)) 
 ((((-216) (-219) (-219)) . T)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-170 (-216))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-216)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
 (((|#1|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
 ((($ $) . T)) 
 (((|#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
 ((($) . T)) 
 (|has| |#1| (-371)) 
 (((|#1|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
 (((|#1| |#1|) . T)) 
 (|has| |#1| (-559)) 
-(((|#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) (((-1163) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1163) |#2|)))) 
+(((|#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) (((-1165) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1165) |#2|)))) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(|has| |#1| (-1091)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(|has| |#1| (-1091)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(|has| |#1| (-841)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(|has| |#1| (-1093)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(|has| |#1| (-1093)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(|has| |#1| (-842)) 
 ((($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
-(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
+(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (|has| |#2| (-366)) 
-(|has| |#1| (-1091)) 
-(|has| |#1| (-1091)) 
-(((|#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) . T)) 
+(|has| |#1| (-1093)) 
+(|has| |#1| (-1093)) 
+(((|#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
-((((-906 |#1|)) . T)) 
+((((-907 |#1|)) . T)) 
 (((|#1| (-535 |#2|)) . T)) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
-(((|#1| (-764)) . T)) 
-(|has| |#2| (-789)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(|has| |#2| (-841)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
+(((|#1| (-765)) . T)) 
+(|has| |#2| (-790)) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(|has| |#2| (-842)) 
 (((|#1|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1145) |#1|) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-1147) |#1|) . T)) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) . T)) 
-(((|#3| (-764)) . T)) 
+(((|#3| (-765)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(|has| |#1| (-1091)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(|has| |#1| (-1093)) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
-((((-1163) |#2|) |has| |#2| (-524 (-1163) |#2|)) ((|#2| |#2|) |has| |#2| (-304 |#2|))) 
+((((-1165) |#2|) |has| |#2| (-524 (-1165) |#2|)) ((|#2| |#2|) |has| |#2| (-304 |#2|))) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
 (((|#1|) . T) (($) . T)) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
-((((-689) (-1159 (-689))) . T)) 
+((((-690) (-1161 (-690))) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
@@ -181,297 +181,299 @@
 ((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-1145) |#1|) . T)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-1147) |#1|) . T)) 
 (((|#3| |#3|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-311 |#1|)) . T)) 
+(((|#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#1|) . T)) 
-((((-170 (-216))) |has| |#1| (-1022)) (((-170 (-382))) |has| |#1| (-1022)) (((-542)) |has| |#1| (-610 (-542))) (((-1159 |#1|)) . T) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382))))) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-170 (-216))) |has| |#1| (-1023)) (((-170 (-382))) |has| |#1| (-1023)) (((-542)) |has| |#1| (-610 (-542))) (((-1161 |#1|)) . T) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382))))) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
 (|has| |#2| (-559)) 
 (|has| |#1| (-366)) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-((((-858 |#1|) (-775 (-858 |#1|))) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-859 |#1|) (-776 (-859 |#1|))) . T)) 
 (((|#1| |#1|) |has| |#1| (-173)) (($ $) |has| |#1| (-173))) 
-(-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) 
-(-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) 
+(-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
-(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-((((-851)) . T)) 
+(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-1163)) |has| |#2| (-896 (-1163))) (((-1076)) . T)) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+((((-1165)) |has| |#2| (-897 (-1165))) (((-1077)) . T)) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(((|#1|) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#1|) . T)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
-((((-689)) . T)) 
+((((-690)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))) 
+(-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))) 
 (((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
 ((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(((|#4| |#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048))) (($ $) |has| |#4| (-173))) 
-(((|#3| |#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($ $) |has| |#3| (-173))) 
+(((|#4| |#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049))) (($ $) |has| |#4| (-173))) 
+(((|#3| |#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($ $) |has| |#3| (-173))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
-((((-851)) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
+((((-852)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-851)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
-((((-851)) . T)) 
-(((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048))) (($) |has| |#4| (-173))) 
-(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($) |has| |#3| (-173))) 
-((((-851)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-1076)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+((((-852)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
+((((-852)) . T)) 
+(((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049))) (($) |has| |#4| (-173))) 
+(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($) |has| |#3| (-173))) 
+((((-852)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-1077)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
 ((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
 ((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-905)) 
-((((-1145) (-57)) . T)) 
+(|has| |#2| (-906)) 
+((((-1147) (-57)) . T)) 
 ((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
-((((-542)) . T) (((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+((((-542)) . T) (((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
 (((|#1|) |has| |#1| (-173))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-843)) 
+((((-852)) . T)) 
+(|has| |#1| (-844)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-(((|#2| (-764)) . T)) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+(((|#2| (-765)) . T)) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (|has| |#1| (-226)) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1| (-535 (-814 (-1163)))) . T)) 
-(((|#1| (-973)) . T)) 
-((((-865 |#1|) $) |has| (-865 |#1|) (-282 (-865 |#1|) (-865 |#1|)))) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#1| (-535 (-815 (-1165)))) . T)) 
+(((|#1| (-974)) . T)) 
+((((-866 |#1|) $) |has| (-866 |#1|) (-282 (-866 |#1|) (-866 |#1|)))) 
 ((((-569) |#4|) . T)) 
 ((((-569) |#3|) . T)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(|has| |#1| (-1137)) 
-(((|#1| (-764) (-1076)) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
-(|has| (-1232 |#1| |#2| |#3| |#4|) (-149)) 
-(|has| (-1232 |#1| |#2| |#3| |#4|) (-151)) 
+(|has| |#1| (-1139)) 
+(((|#1| (-765) (-1077)) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+(|has| (-1238 |#1| |#2| |#3| |#4|) (-149)) 
+(|has| (-1238 |#1| |#2| |#3| |#4|) (-151)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (((|#1|) |has| |#1| (-173))) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
-(|has| |#1| (-1091)) 
-((((-1145) |#1|) . T)) 
+((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
+(|has| |#1| (-1093)) 
+((((-1147) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
 (|has| |#2| (-371)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((($) . T) ((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1048))) 
-((((-851)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#2|) |has| |#2| (-1049))) 
+((((-852)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (((|#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
 ((((-569) |#1|) . T)) 
-((((-851)) . T)) 
-((((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382))))) (((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382))))) (((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((($) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((($) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(|has| (-1231 |#2| |#3| |#4|) (-151)) 
-(|has| (-1231 |#2| |#3| |#4|) (-149)) 
-(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(|has| (-1237 |#2| |#3| |#4|) (-151)) 
+(|has| (-1237 |#2| |#3| |#4|) (-149)) 
+(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
 (((|#1|) . T)) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
 (((|#1|) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
-((((-851)) |has| |#1| (-1091))) 
-(-2232 (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+((((-852)) |has| |#1| (-1093))) 
+(-1929 (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-906 |#1|)) . T)) 
+((((-907 |#1|)) . T)) 
 ((((-410 |#2|) |#3|) . T)) 
 (|has| |#1| (-15 * (|#1| (-569) |#1|))) 
 ((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-843)) 
+(|has| |#1| (-844)) 
 (((|#1|) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
+(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
 (|has| |#1| (-366)) 
-(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
+(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
 ((((-569)) . T)) 
 (|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
-((((-1128 |#2| (-410 (-954 |#1|)))) . T) (((-410 (-954 |#1|))) . T)) 
+(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
+((((-1130 |#2| (-410 (-955 |#1|)))) . T) (((-410 (-955 |#1|))) . T)) 
 ((($) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
 (((|#1|) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#2|) . T)) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+((((-569)) . T)) 
 (((|#1|) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
-((((-1163)) -12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
-(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((((-1165)) -12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
+(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
 ((($ $) |has| |#1| (-559))) 
-((((-689) (-1159 (-689))) . T)) 
-((((-851)) . T)) 
-((((-851)) . T) (((-1247 |#4|)) . T)) 
-((((-851)) . T) (((-1247 |#3|)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((((-690) (-1161 (-690))) . T)) 
+((((-852)) . T)) 
+((((-852)) . T) (((-1253 |#4|)) . T)) 
+((((-852)) . T) (((-1253 |#3|)) . T)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
 ((($) |has| |#1| (-559))) 
-((((-851)) . T)) 
-((($) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1048))) 
-(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-1091)) 
-(((|#2| (-815 |#1|)) . T)) 
+((((-852)) . T)) 
+((($) . T)) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
+(((|#3|) |has| |#3| (-1049))) 
+(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-1093)) 
+(((|#2| (-816 |#1|)) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-366)) 
 ((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
-((((-1076) |#2|) . T) (((-1076) $) . T) (($ $) . T)) 
-((((-906 |#1|)) . T)) 
+((((-1077) |#2|) . T) (((-1077) $) . T) (($ $) . T)) 
+((((-907 |#1|)) . T)) 
 ((((-148)) . T)) 
 ((((-148)) . T)) 
-(((|#3|) |has| |#3| (-1091)) (((-569)) -12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (((-410 (-569))) -12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(((|#3|) |has| |#3| (-1093)) (((-569)) -12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (((-410 (-569))) -12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
-((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#2| (-816)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-841)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
+((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#2| (-817)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-842)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
 (((|#1| |#2|) . T)) 
-((((-1163)) -12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) 
-((((-1145) |#1|) . T)) 
+((((-1165)) -12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) 
+((((-1147) |#1|) . T)) 
 (((|#1| |#2| |#3| (-535 |#3|)) . T)) 
-((((-918) |#1|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-919) |#1|) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-371)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-((((-851)) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((((-852)) . T)) 
 (((|#2|) . T)) 
-((((-851)) . T)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
-((((-1163) (-865 |#1|)) |has| (-865 |#1|) (-524 (-1163) (-865 |#1|))) (((-865 |#1|) (-865 |#1|)) |has| (-865 |#1|) (-304 (-865 |#1|)))) 
+((((-852)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
+((((-1165) (-866 |#1|)) |has| (-866 |#1|) (-524 (-1165) (-866 |#1|))) (((-866 |#1|) (-866 |#1|)) |has| (-866 |#1|) (-304 (-866 |#1|)))) 
 (((|#1|) . T)) 
 ((((-569) |#4|) . T)) 
 ((((-569) |#3|) . T)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
@@ -483,101 +485,103 @@
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) |has| |#1| (-559))) 
 ((((-569) |#4|) . T)) 
 ((((-569) |#3|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
-((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
+((((-311 |#1|) (-311 |#1|)) . T)) 
 ((($) . T)) 
-((($ $) . T) (((-1163) $) . T) (((-1163) |#1|) . T)) 
+((($ $) . T) (((-1165) $) . T) (((-1165) |#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
+((((-311 |#1|)) . T)) 
+(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
 ((((-148)) . T)) 
+((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
 (((|#1|) . T)) 
 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
-((((-851)) . T)) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
+((((-852)) . T)) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-1091)) 
+((((-852)) . T)) 
+(|has| |#1| (-1093)) 
 (|has| $ (-151)) 
-((((-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) . T)) 
+((((-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) . T)) 
 ((((-569) |#1|) . T)) 
-((($) -2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((($) -1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
 (|has| |#1| (-366)) 
-(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
+(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) 
 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
 (|has| |#1| (-366)) 
-(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
-(((|#1|) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-((((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(((|#2| (-535 (-853 |#1|))) . T)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
+(((|#1|) . T)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(((|#2| (-535 (-854 |#1|))) . T)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-582 |#1|)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-1183)) 
-(|has| |#1| (-1183)) 
+(|has| |#1| (-1185)) 
+(|has| |#1| (-1185)) 
 (((|#1|) . T) (($) . T)) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 (((|#4|) . T)) 
 (((|#3|) . T)) 
-((((-865 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1183)) 
-(|has| |#1| (-1183)) 
-((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
+((((-866 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-1185)) 
+(|has| |#1| (-1185)) 
+((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2| |#3| |#4| |#5|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2|) |has| |#2| (-1048))) 
-(|has| |#1| (-1091)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2|) |has| |#2| (-1049))) 
+(|has| |#1| (-1093)) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
 (|has| |#1| (-173)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
-(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) . T)) 
+(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((((-851)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-852)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 ((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
 ((($ $) . T) ((|#2| $) . T) ((|#2| |#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
-((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 ((($) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#2|) |has| |#1| (-366))) 
 (((|#1|) . T)) 
-(|has| |#2| (-905)) 
-(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
+(|has| |#2| (-906)) 
+(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
 ((((-569) |#1|) . T)) 
 (((|#1| (-410 (-569))) . T)) 
 ((((-410 |#2|) |#3|) . T)) 
@@ -589,202 +593,207 @@
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(((|#2| |#3| (-853 |#1|)) . T)) 
-((((-1163)) |has| |#2| (-896 (-1163)))) 
+(((|#2| |#3| (-854 |#1|)) . T)) 
+((((-1165)) |has| |#2| (-897 (-1165)))) 
 (((|#1|) . T)) 
 (((|#1| (-535 |#2|) |#2|) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
 ((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
-(((|#1| (-535 (-1080 (-1163))) (-1080 (-1163))) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(((|#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
-(|has| |#2| (-789)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(((|#1| (-535 (-1082 (-1165))) (-1082 (-1165))) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-852)) . T)) 
+(((|#1|) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
+(|has| |#2| (-790)) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
-(|has| |#2| (-841)) 
+(|has| |#2| (-842)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-889 |#1|)) . T) (((-815 |#1|)) . T)) 
-((((-815 (-1163))) . T)) 
+((((-890 |#1|)) . T) (((-816 |#1|)) . T)) 
+((((-816 (-1165))) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-635 (-569))) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (|has| |#1| (-226)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((($ $) . T)) 
-((((-1238 |#1| |#2| |#3|) $) -12 (|has| (-1238 |#1| |#2| |#3|) (-282 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
+((((-1244 |#1| |#2| |#3|) $) -12 (|has| (-1244 |#1| |#2| |#3|) (-282 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-173)) 
-((((-1126 |#1| |#2|)) |has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-1128 |#1| |#2|)) |has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
+((((-852)) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#3|) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+((((-569) (-1201) (-1201)) . T)) 
 (((|#2|) . T)) 
-((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
+((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 ((((-569)) . T)) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-569) (-148)) . T)) 
-((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 (((|#2|) |has| |#1| (-366))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((($) . T) (((-410 (-569))) . T) ((|#1|) |has| |#1| (-173))) 
 ((($) . T) (((-410 (-569))) . T)) 
-(((|#1| (-535 (-1163)) (-1163)) . T)) 
+(((|#1| (-535 (-1165)) (-1165)) . T)) 
 (((|#1|) . T) (($) . T)) 
 (|has| |#4| (-173)) 
 (|has| |#3| (-173)) 
-((((-410 (-954 |#1|)) (-410 (-954 |#1|))) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(|has| |#1| (-1091)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(|has| |#1| (-1091)) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-410 (-955 |#1|)) (-410 (-955 |#1|))) . T)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(|has| |#1| (-1093)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(|has| |#1| (-1093)) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-((((-861)) . T) (((-410 (-569))) . T)) 
+((((-862)) . T) (((-410 (-569))) . T)) 
 ((((-410 (-569))) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-954 |#1|))) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-955 |#1|))) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-((((-851)) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1048)) (((-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-852)) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1049)) (((-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048)) SEQ) 
-(|has| |#3| (-789)) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-(|has| |#3| (-841)) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
-(((|#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#1| (-1143 |#1|)) |has| |#1| (-841))) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049)) SEQ) 
+(|has| |#3| (-790)) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+(|has| |#3| (-842)) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#2|) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+(((|#2|) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#1| (-1145 |#1|)) |has| |#1| (-842))) 
 ((((-569) |#2|) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) |has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-1137))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(|has| |#1| (-1091)) 
-(((|#2|) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
-(((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)))) 
-(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-((((-851)) . T)) 
-(((|#1|) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
-((($ $) . T) (((-1163) $) |has| |#1| (-226)) (((-1163) |#1|) |has| |#1| (-226)) (((-814 (-1163)) |#1|) . T) (((-814 (-1163)) $) . T)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-1139))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(|has| |#1| (-1093)) 
+(((|#2|) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
+(((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)))) 
+(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+((((-852)) . T)) 
+(((|#1|) . T)) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
+((($ $) . T) (((-1165) $) |has| |#1| (-226)) (((-1165) |#1|) |has| |#1| (-226)) (((-815 (-1165)) |#1|) . T) (((-815 (-1165)) $) . T)) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
 ((((-569) |#2|) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((($) -2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) ((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048)))) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((($) -1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) ((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049)))) 
 ((((-569) |#1|) . T)) 
 (|has| (-410 |#2|) (-151)) 
 (|has| (-410 |#2|) (-149)) 
 (((|#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
+((((-569)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#2| (-1137)) 
+(|has| |#2| (-1139)) 
 (|has| |#1| (-559)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (((|#1|) . T)) 
-((((-391) (-1145)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-391) (-1147)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (|has| |#1| (-559)) 
 ((((-125 |#1|)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 (((|#2|) . T)) 
-((((-851)) . T)) 
-(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
-((((-815 |#1|)) . T)) 
+((((-852)) . T)) 
+(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
+((((-816 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((((-1163) (-57)) . T)) 
+((((-1165) (-57)) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-559)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#2|) |has| |#2| (-304 |#2|))) 
 ((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-1159 |#1|)) . T)) 
+(((|#1| (-1161 |#1|)) . T)) 
 (|has| $ (-151)) 
 (((|#2|) . T)) 
 ((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((($) . T) (((-569)) . T) (((-410 (-569))) . T)) 
 (|has| |#2| (-371)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
@@ -792,101 +801,102 @@
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 ((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1161 |#1| |#2| |#3|) $) -12 (|has| (-1161 |#1| |#2| |#3|) (-282 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-1163 |#1| |#2| |#3|) $) -12 (|has| (-1163 |#1| |#2| |#3|) (-282 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))) (($ $) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 ((($ $) . T)) 
 ((($ $) . T)) 
-((((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1163) (-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1165) (-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-569) (-1203) (-1203)) . T)) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
 ((((-569) (-148)) . T)) 
 ((((-148)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-843)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(|has| |#1| (-844)) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 ((((-121)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-121)) . T)) 
 (((|#1|) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-216)) |has| |#1| (-1022)) (((-382)) |has| |#1| (-1022))) 
-((((-851)) . T)) 
-(|has| |#1| (-816)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(|has| |#1| (-843)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+((((-542)) |has| |#1| (-610 (-542))) (((-216)) |has| |#1| (-1023)) (((-382)) |has| |#1| (-1023))) 
+((((-852)) . T)) 
+(|has| |#1| (-817)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(|has| |#1| (-844)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-905)) 
-(((|#1|) . T)) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+(|has| |#1| (-906)) 
+(((|#1|) . T)) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
 ((((-569) (-148)) . T)) 
 ((($) . T)) 
-(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-(((|#2| (-764)) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-1091)) 
-(((|#1| (-973)) . T)) 
+(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+(((|#2| (-765)) . T)) 
+((((-852)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#1| (-974)) . T)) 
 (((|#1| |#1|) . T)) 
 (|has| (-410 (-569)) (-149)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
 (|has| (-410 (-569)) (-149)) 
 (((|#1| (-569)) . T)) 
 ((($) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048)) SEQ) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049)) SEQ) 
 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) 
 (((|#1|) . T)) 
-(|has| |#2| (-789)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(|has| |#2| (-790)) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
 (((|#1| |#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(|has| |#2| (-841)) 
-(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
-(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
-(-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(|has| |#2| (-842)) 
+(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
+(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
+(-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) 
 (((|#1| |#2|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-351)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
-(|has| |#1| (-824)) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
-(|has| |#1| (-1091)) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
+(|has| |#1| (-825)) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-1093)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
 ((($) |has| |#1| (-559))) 
-(((|#4|) |has| |#4| (-1091))) 
-(((|#3|) |has| |#3| (-1091))) 
+(((|#4|) |has| |#4| (-1093))) 
+(((|#3|) |has| |#3| (-1093))) 
 (|has| |#3| (-371)) 
-(((|#1|) . T) (((-851)) . T)) 
+(((|#1|) . T) (((-852)) . T)) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+((((-852)) . T)) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
@@ -895,73 +905,74 @@
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
-((($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
 ((((-148)) . T)) 
 (((|#1|) . T)) 
 ((((-148)) . T)) 
-((($) -2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) ((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048)))) 
+((($) -1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) ((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049)))) 
 ((((-148)) . T)) 
 (((|#1| |#2| |#3|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 (|has| $ (-151)) 
 (|has| $ (-151)) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
+((((-569)) . T)) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
 ((($ $) |has| |#1| (-282 $ $)) ((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
 (((|#1| (-410 (-569))) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-569)) . T)) 
-((((-1163)) . T)) 
+((((-1165)) . T)) 
 (|has| |#1| (-559)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
 (((|#2|) . T) (($) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(|has| |#4| (-841)) 
-(((|#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) . T)) 
-(|has| |#3| (-841)) 
+(|has| |#4| (-842)) 
+(((|#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) . T)) 
+(|has| |#3| (-842)) 
 (((|#1| (-535 |#3|) |#3|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
 ((((-410 (-569)) (-410 (-569))) |has| |#2| (-366)) (($ $) . T)) 
-((((-865 |#1|)) . T)) 
+((((-866 |#1|)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-149)) 
 ((((-410 (-569))) |has| |#2| (-366)) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-351)) (|has| |#1| (-371))) 
-((((-1128 |#2| |#1|)) . T) ((|#1|) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-351)) (|has| |#1| (-371))) 
+((((-1130 |#2| |#1|)) . T) ((|#1|) . T)) 
 (((|#1|) . T)) 
 (|has| |#2| (-173)) 
 (((|#1| |#2|) . T)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-((((-851)) . T)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T) (($) . T)) 
 (((|#1|) . T) (($) . T)) 
-((((-689)) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-690)) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (|has| |#1| (-559)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
@@ -969,325 +980,326 @@
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-1163) (-57)) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-1165) (-57)) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (((|#1| (-569)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-410 (-569))) . T)) 
 (((|#3|) . T) (((-608 $)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 ((($ $) . T) ((|#2| $) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1163) (-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))) (((-1165) (-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#1|) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
-((((-851)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 (((|#3| |#3|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
-((((-1163) (-57)) . T)) 
+((((-1165) (-57)) . T)) 
 (((|#3|) . T)) 
-((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
-(|has| |#1| (-824)) 
-(|has| |#1| (-1091)) 
-(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
-((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
-((((-764)) . T)) 
+((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
+(|has| |#1| (-825)) 
+((((-311 |#1|)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
+((((-765)) . T)) 
 ((((-569)) . T)) 
 (|has| |#1| (-559)) 
-((((-851)) . T)) 
-(((|#1| (-410 (-569)) (-1076)) . T)) 
+((((-852)) . T)) 
+(((|#1| (-410 (-569)) (-1077)) . T)) 
 (|has| |#1| (-149)) 
 (((|#1|) . T)) 
 (|has| |#1| (-559)) 
 ((((-569)) . T)) 
 ((((-125 |#1|)) . T)) 
-(((|#1| (-569) (-1076)) . T)) 
+(((|#1| (-569) (-1077)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
 (|has| |#1| (-151)) 
-((((-888 (-569))) . T) (((-888 (-382))) . T) (((-542)) . T) (((-1163)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+((((-889 (-569))) . T) (((-889 (-382))) . T) (((-542)) . T) (((-1165)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 ((($) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-865 |#1|)) . T)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
-((((-851)) . T)) 
-(-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) 
-(|has| |#2| (-1137)) 
-((((-57)) . T) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-866 |#1|)) . T)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
+((((-852)) . T)) 
+(-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) 
+(|has| |#2| (-1139)) 
+((((-57)) . T) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
 (|has| |#2| (-559)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-(((|#1| (-569) (-1076)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| (-410 (-569)) (-1076)) . T)) 
-((($) -2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+(((|#1| (-569) (-1077)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| (-410 (-569)) (-1077)) . T)) 
+((($) -1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
 ((((-569) |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (|has| |#2| (-371)) 
 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))) 
-((((-851)) . T)) 
-((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+((((-852)) . T)) 
+((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (((|#1|) . T)) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-351)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (|has| |#1| (-559)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
 ((((-569)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 ((($) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-865 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-851)) . T)) 
+((((-866 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-852)) . T)) 
 (|has| (-410 (-569)) (-149)) 
 (|has| (-410 (-569)) (-149)) 
-(((|#3| |#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($ $) |has| |#3| (-173))) 
-(|has| |#1| (-1022)) 
-((((-851)) . T)) 
-(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048))) (($) |has| |#3| (-173))) 
+(((|#3| |#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($ $) |has| |#3| (-173))) 
+(|has| |#1| (-1023)) 
+((((-852)) . T)) 
+(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049))) (($) |has| |#3| (-173))) 
 ((((-569) (-121)) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
-((((-1163) $) |has| |#1| (-524 (-1163) $)) (($ $) |has| |#1| (-304 $)) ((|#1| |#1|) |has| |#1| (-304 |#1|)) (((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|))) 
+((((-1165) $) |has| |#1| (-524 (-1165) $)) (($ $) |has| |#1| (-304 $)) ((|#1| |#1|) |has| |#1| (-304 |#1|)) (((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|))) 
 (|has| |#2| (-559)) 
-((((-1163)) |has| |#1| (-896 (-1163)))) 
-(-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351))) 
-((((-391) (-1109)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165)))) 
+(-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351))) 
+((((-391) (-1111)) . T)) 
 (((|#1| |#4|) . T)) 
 (((|#1| |#3|) . T)) 
 ((((-391) |#1|) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-906 |#1|)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-907 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
 (((|#1| |#1|) . T)) 
-((((-865 |#1|)) |has| (-865 |#1|) (-304 (-865 |#1|)))) 
-(|has| |#1| (-1183)) 
+((((-866 |#1|)) |has| (-866 |#1|) (-304 (-866 |#1|)))) 
+(|has| |#1| (-1185)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
 (((|#1|) . T)) 
-(-12 (|has| |#1| (-789)) (|has| |#2| (-789))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-12 (|has| |#1| (-790)) (|has| |#2| (-790))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#2|) . T) (($) . T)) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(|has| |#1| (-1183)) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(|has| |#1| (-1185)) 
 ((((-569) (-569)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(((|#4|) |has| |#4| (-1048))) 
-(((|#3|) |has| |#3| (-1048))) 
+(((|#4|) |has| |#4| (-1049))) 
+(((|#3|) |has| |#3| (-1049))) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (|has| |#1| (-366)) 
 ((((-569)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
-((($ $) . T) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
-((((-851)) . T)) 
+((($ $) . T) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1| |#1|) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 ((((-542)) |has| |#3| (-610 (-542)))) 
-((((-680 |#3|)) . T) (((-851)) . T)) 
+((((-681 |#3|)) . T) (((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
 ((((-569) |#3|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
 ((($) . T)) 
 ((((-410 $) (-410 $)) |has| |#2| (-559)) (($ $) . T) ((|#2| |#2|) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
-(((|#2|) |has| |#2| (-1091))) 
-((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
-(|has| |#2| (-843)) 
-(|has| |#1| (-843)) 
-(|has| |#1| (-843)) 
-((($) . T)) 
-((((-1145) (-57)) . T)) 
-(|has| |#1| (-843)) 
-((((-851)) . T)) 
+(((|#2|) |has| |#2| (-1093))) 
+((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
+(|has| |#2| (-844)) 
+(|has| |#1| (-844)) 
+(|has| |#1| (-844)) 
+((($) . T)) 
+((((-1147) (-57)) . T)) 
+(|has| |#1| (-844)) 
+((((-852)) . T)) 
 ((((-569)) |has| (-410 |#2|) (-631 (-569))) (((-410 |#2|)) . T)) 
 ((((-569) (-148)) . T)) 
-((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-851)) . T)) 
-((((-906 |#1|)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-907 |#1|)) . T)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
-(|has| |#1| (-841)) 
+(|has| |#1| (-842)) 
 (|has| |#1| (-366)) 
-(|has| |#1| (-841)) 
+(|has| |#1| (-842)) 
 (((|#1|) . T) (($) . T)) 
-(|has| |#1| (-841)) 
-((((-1163)) |has| |#1| (-896 (-1163)))) 
-((((-858 |#1|)) . T)) 
-(((|#1| (-1163)) . T)) 
-(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+(|has| |#1| (-842)) 
+((((-1165)) |has| |#1| (-897 (-1165)))) 
+((((-859 |#1|)) . T)) 
+(((|#1| (-1165)) . T)) 
+(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
 ((($ $) . T)) 
-(|has| |#1| (-1091)) 
-(((|#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) . T)) 
-((((-410 (-954 |#1|))) . T)) 
+(|has| |#1| (-1093)) 
+(((|#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) . T)) 
+((((-410 (-955 |#1|))) . T)) 
 ((((-542)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((($) . T)) 
 (((|#2|) . T) (($) . T)) 
-((((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#1| |#2|) . T)) 
+((((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#3|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905)))) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906)))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
-((((-851)) . T)) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(|has| |#2| (-841)) 
-(-12 (|has| |#2| (-226)) (|has| |#2| (-1048))) 
+((((-542)) |has| |#1| (-610 (-542))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
+((((-852)) . T)) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(|has| |#2| (-842)) 
+(-12 (|has| |#2| (-226)) (|has| |#2| (-1049))) 
 (|has| |#1| (-559)) 
-(|has| |#1| (-1137)) 
-((((-1145) |#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-((((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
-((((-410 (-569))) |has| |#1| (-1038 (-569))) (((-569)) |has| |#1| (-1038 (-569))) (((-1163)) |has| |#1| (-1038 (-1163))) ((|#1|) . T)) 
+(|has| |#1| (-1139)) 
+((((-1147) |#1|) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-1039 (-569))) (((-569)) |has| |#1| (-1039 (-569))) (((-1165)) |has| |#1| (-1039 (-1165))) ((|#1|) . T)) 
 ((((-569) |#2|) . T)) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
-((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-635 |#4|)) . T) (((-851)) . T)) 
+((((-635 |#4|)) . T) (((-852)) . T)) 
 ((((-542)) |has| |#4| (-610 (-542)))) 
 ((((-542)) |has| |#4| (-610 (-542)))) 
-((((-851)) . T) (((-635 |#4|)) . T)) 
-((($) |has| |#1| (-841))) 
+((((-852)) . T) (((-635 |#4|)) . T)) 
+((($) |has| |#1| (-842))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-173))) 
-((((-635 |#4|)) . T) (((-851)) . T)) 
+((((-635 |#4|)) . T) (((-852)) . T)) 
 ((((-542)) |has| |#4| (-610 (-542)))) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-((((-1163)) |has| (-410 |#2|) (-896 (-1163)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-1165)) |has| (-410 |#2|) (-897 (-1165)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 ((($) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-((((-851)) -2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) (((-1247 |#3|)) . T)) 
+((((-852)) -1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) (((-1253 |#3|)) . T)) 
 ((((-569) |#2|) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(((|#2| |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($ $) |has| |#2| (-173))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((|#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-1145) (-1163) (-569) (-216) (-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(((|#2| |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($ $) |has| |#2| (-173))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((|#2|) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-1147) (-1165) (-569) (-216) (-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(|has| |#1| (-43 (-410 (-569)))) 
+(|has| |#1| (-43 (-410 (-569)))) 
+((((-852)) . T)) 
 ((((-569) (-121)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-121)) . T)) 
 ((((-121)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-121)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) |has| |#1| (-1091))) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1048))) (($) |has| |#2| (-173))) 
+((((-852)) |has| |#1| (-1093))) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-1049))) (($) |has| |#2| (-173))) 
 (|has| $ (-151)) 
 ((((-410 |#2|)) . T)) 
-((((-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1038 (-569))) (((-410 |#2|)) . T)) 
+((((-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1039 (-569))) (((-410 |#2|)) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#4|) |has| |#4| (-173))) 
 (|has| |#2| (-149)) 
@@ -1295,20 +1307,20 @@
 (((|#3|) |has| |#3| (-173))) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (|has| |#2| (-226)) 
-((((-1163) (-57)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-1165) (-57)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1| |#1|) . T)) 
-((((-1163)) |has| |#2| (-896 (-1163)))) 
+((((-1165)) |has| |#2| (-897 (-1165)))) 
 ((((-569) (-121)) . T)) 
 (|has| |#1| (-559)) 
 (((|#2|) . T)) 
@@ -1323,54 +1335,54 @@
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-1000 |#1|)) . T) ((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-1001 |#1|)) . T) ((|#1|) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 ((((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T) (($) . T)) 
-(((|#1| (-1159 |#1|)) . T)) 
+(((|#1| (-1161 |#1|)) . T)) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#3|) . T) (($) . T)) 
-(|has| |#1| (-843)) 
+(|has| |#1| (-844)) 
 (((|#2|) . T)) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 ((((-569) |#2|) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#2|) . T)) 
 ((((-569) |#3|) . T)) 
 (((|#2|) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
-(|has| |#1| (-1091)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+((((-852)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (((|#2| |#2|) . T)) 
 (((|#2|) . T)) 
 (|has| |#2| (-366)) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
 (((|#2|) . T)) 
-((((-1076) |#2|) . T) (((-1076) $) . T) (($ $) . T)) 
-((((-1145) (-57)) . T)) 
+((((-1077) |#2|) . T) (((-1077) $) . T) (($ $) . T)) 
+((((-1147) (-57)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 ((((-569) |#3|) . T)) 
 ((((-569) (-148)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-148)) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-905)) 
+((((-852)) . T)) 
+(|has| |#1| (-906)) 
 ((((-121)) . T)) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
@@ -1381,98 +1393,98 @@
 (|has| |#1| (-559)) 
 (|has| |#1| (-151)) 
 ((($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1|) . T)) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(((|#1| (-775 |#1|)) . T)) 
-((((-851)) . T)) 
+(((|#1| (-776 |#1|)) . T)) 
+((((-852)) . T)) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-1145) (-57)) . T)) 
+((((-1147) (-57)) . T)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1| |#2|) . T)) 
 ((((-569) (-148)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-843)) 
-(((|#2| (-764) (-1076)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) ((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-844)) 
+(((|#2| (-765) (-1077)) . T)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(|has| |#1| (-787)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(|has| |#1| (-788)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
 (((|#1| |#2|) . T)) 
-(-2232 (|has| |#1| (-151)) (-12 (|has| |#1| (-366)) (|has| |#2| (-151)))) 
-(-2232 (|has| |#1| (-149)) (-12 (|has| |#1| (-366)) (|has| |#2| (-149)))) 
+(-1929 (|has| |#1| (-151)) (-12 (|has| |#1| (-366)) (|has| |#2| (-151)))) 
+(-1929 (|has| |#1| (-149)) (-12 (|has| |#1| (-366)) (|has| |#2| (-149)))) 
 (((|#4|) . T)) 
 (|has| |#1| (-149)) 
-((((-1145) |#1|) . T)) 
+((((-1147) |#1|) . T)) 
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#3|) . T)) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(((|#1|) . T)) 
-((((-851)) |has| |#1| (-1091))) 
-((((-851)) |has| |#1| (-1091)) (((-959 |#1|)) . T)) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(((|#1|) . T)) 
+((((-852)) |has| |#1| (-1093))) 
+((((-852)) |has| |#1| (-1093)) (((-960 |#1|)) . T)) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (|has| |#2| (-366)) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#2|) |has| |#2| (-1048))) 
-((((-1145) |#1|) . T)) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
-(((|#2| (-889 |#1|)) . T)) 
+(((|#2|) |has| |#2| (-1049))) 
+((((-1147) |#1|) . T)) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
+(((|#2| (-890 |#1|)) . T)) 
 ((($) . T)) 
-((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-391) (-1145)) . T)) 
+((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-391) (-1147)) . T)) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) -2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) (((-1247 |#2|)) . T)) 
-((((-57)) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+((((-852)) -1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) (((-1253 |#2|)) . T)) 
+((((-57)) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-852)) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
 ((((-148)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
 (|has| |#1| (-479)) 
-(-2232 (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
 (|has| |#1| (-366)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
 ((($) |has| |#1| (-559))) 
 (|has| |#2| (-559)) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
-((((-851)) . T)) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
+((((-852)) . T)) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1238 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1244 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1| |#2|) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163)))) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-1091)) 
-(((|#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165)))) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) . T)) 
 ((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
-(((|#1| (-535 (-1163)) (-1163)) . T)) 
+(((|#1| (-535 (-1165)) (-1165)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#3|) . T)) 
 (((|#3|) . T)) 
 (((|#1| |#1|) . T)) 
@@ -1486,65 +1498,65 @@
 (|has| |#1| (-151)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) . T) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(((|#1|) . T) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-1163) (-57)) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-1165) (-57)) . T)) 
 ((($ $) . T)) 
 (((|#1| (-569)) . T)) 
-((((-906 |#1|)) . T)) 
-(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048))) (($) -2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)))) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-(|has| |#1| (-843)) 
-(|has| |#1| (-843)) 
+((((-907 |#1|)) . T)) 
+(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049))) (($) -1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)))) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+(|has| |#1| (-844)) 
+(|has| |#1| (-844)) 
 ((((-569) |#2|) . T)) 
 ((((-569)) . T)) 
-((((-1238 |#1| |#2| |#3|)) -12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
-(|has| |#1| (-843)) 
-((((-680 |#2|)) . T) (((-851)) . T)) 
+((((-1244 |#1| |#2| |#3|)) -12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+(|has| |#1| (-844)) 
+((((-681 |#2|)) . T) (((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-410 (-954 |#1|))) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+((((-410 (-955 |#1|))) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-(|has| |#2| (-843)) 
-(|has| |#1| (-843)) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+(|has| |#2| (-844)) 
+(|has| |#1| (-844)) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 ((((-569) |#2|) . T)) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
 (|has| |#1| (-351)) 
-(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+(((|#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
 ((($) . T) (((-410 (-569))) . T)) 
 ((((-569) (-121)) . T)) 
-(|has| |#1| (-816)) 
-(|has| |#1| (-816)) 
+(|has| |#1| (-817)) 
+(|has| |#1| (-817)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
+(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-841)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-842)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1|) . T)) 
@@ -1554,13 +1566,13 @@
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-535 |#2|) |#2|) . T)) 
-((((-851)) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
+((((-852)) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
 ((((-148)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
 (((|#1|) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
@@ -1570,64 +1582,64 @@
 (((|#1|) . T)) 
 (((|#2|) |has| |#1| (-366))) 
 (((|#2|) . T)) 
-(((|#1| (-1159 |#1|)) . T)) 
-((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
+(((|#1| (-1161 |#1|)) . T)) 
+((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) . T)) 
 (((|#2|) . T)) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((($) |has| |#1| (-841))) 
-(|has| |#1| (-905)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((($) |has| |#1| (-842))) 
+(|has| |#1| (-906)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
 (((|#1|) . T) (($) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
-(|has| |#1| (-843)) 
+(((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)))) 
+(|has| |#1| (-844)) 
 (|has| |#1| (-559)) 
 ((((-582 |#1|)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(-2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-816))) (-12 (|has| |#1| (-366)) (|has| |#2| (-843)))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-906 |#1|)) . T)) 
+(-1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-817))) (-12 (|has| |#1| (-366)) (|has| |#2| (-844)))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-907 |#1|)) . T)) 
 (((|#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) . T)) 
 (((|#1| |#4| |#5|) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#1| (-765)) . T)) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1161 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
-(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-1163 |#1| |#2| |#3|)) |has| |#1| (-366)) ((|#1|) |has| |#1| (-173))) 
+(((|#1|) |has| |#1| (-173)) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559)))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((((-664 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 ((((-542)) . T)) 
-((((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#2|) . T)) 
-(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
-(|has| |#1| (-1183)) 
-(|has| |#1| (-1183)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
-(|has| |#1| (-1183)) 
-(|has| |#1| (-1183)) 
+((((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#2|) . T)) 
+(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-1185)) 
+(|has| |#1| (-1185)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
+(|has| |#1| (-1185)) 
+(|has| |#1| (-1185)) 
 (((|#3| |#3|) . T)) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 ((($) . T) (((-410 (-569))) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
@@ -1636,39 +1648,39 @@
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-1145) (-57)) . T)) 
-(|has| |#1| (-1091)) 
-(-2232 (|has| |#2| (-816)) (|has| |#2| (-843))) 
+((((-1147) (-57)) . T)) 
+(|has| |#1| (-1093)) 
+(-1929 (|has| |#2| (-817)) (|has| |#2| (-844))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((($) . T)) 
-((((-1161 |#1| |#2| |#3|)) -12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-((($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
-(|has| |#2| (-905)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((($) . T)) 
+((((-1163 |#1| |#2| |#3|)) -12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+((($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
+(|has| |#2| (-906)) 
 (|has| |#1| (-366)) 
-(((|#2|) |has| |#2| (-1091))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#2|) |has| |#2| (-1093))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((($) . T) ((|#2|) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
-((((-542)) . T) (((-410 (-1159 (-569)))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-382)) . T) (((-216)) . T) (((-851)) . T)) 
-(|has| |#1| (-905)) 
-(|has| |#1| (-905)) 
-(|has| |#1| (-905)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-(((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-(|has| (-170 (-216)) (-843)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
+((((-542)) . T) (((-410 (-1161 (-569)))) . T) (((-216)) . T) (((-382)) . T)) 
+((((-382)) . T) (((-216)) . T) (((-852)) . T)) 
+(|has| |#1| (-906)) 
+(|has| |#1| (-906)) 
+(|has| |#1| (-906)) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+(((|#1|) . T)) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(|has| (-170 (-216)) (-844)) 
 ((($ $) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (|has| |#1| (-366)) 
 ((($ $) . T)) 
 ((((-569) (-121)) . T)) 
@@ -1676,7 +1688,7 @@
 (|has| |#2| (-559)) 
 (((|#1|) . T)) 
 ((((-121)) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) 
 ((((-569)) . T)) 
 (((|#1| (-569)) . T)) 
 ((($) . T)) 
@@ -1685,147 +1697,147 @@
 (((|#1|) . T)) 
 ((((-569)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1163)) |has| |#1| (-1048))) 
+((((-1165)) |has| |#1| (-1049))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
-(((|#1| (-764)) . T)) 
+((((-852)) . T)) 
+(((|#1| (-765)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-569)) . T)) 
-(((|#1| (-1238 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-1244 |#1| |#2| |#3|)) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-410 (-569))) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-851)) . T)) 
-(((|#1| (-1210 |#1| |#2| |#3|)) . T)) 
-(|has| |#1| (-1091)) 
-(((|#1| (-764)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-852)) . T)) 
+(((|#1| (-1216 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#1| (-765)) . T)) 
 (((|#1|) . T)) 
-((((-1145) |#1|) . T)) 
+((((-1147) |#1|) . T)) 
 ((($) . T)) 
 (|has| |#2| (-151)) 
 (|has| |#2| (-149)) 
-(((|#1| (-535 (-814 (-1163))) (-814 (-1163))) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
-(((|#1|) |has| |#1| (-1048))) 
+(((|#1| (-535 (-815 (-1165))) (-815 (-1165))) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) |has| |#1| (-1049))) 
 ((((-569) (-121)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (|has| |#2| (-173)) 
 ((((-569)) . T)) 
-(|has| |#2| (-841)) 
+(|has| |#2| (-842)) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-351))) 
 (|has| |#1| (-151)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#3|) . T)) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-((((-851)) . T)) 
-((((-1231 |#2| |#3| |#4|)) . T) (((-1232 |#1| |#2| |#3| |#4|)) . T)) 
-((((-851)) . T)) 
-((((-53)) -12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (((-608 $)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) -2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))) (((-410 (-954 |#1|))) |has| |#1| (-559)) (((-954 |#1|)) |has| |#1| (-1048)) (((-1163)) . T)) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-852)) . T)) 
+((((-1237 |#2| |#3| |#4|)) . T) (((-1238 |#1| |#2| |#3| |#4|)) . T)) 
+((((-852)) . T)) 
+((((-53)) -12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (((-608 $)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) -1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))) (((-410 (-955 |#1|))) |has| |#1| (-559)) (((-955 |#1|)) |has| |#1| (-1049)) (((-1165)) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-764)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+(((|#1| (-765)) . T)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
-((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
+((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
 (((|#1|) . T)) 
 (|has| |#1| (-559)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-852)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (((|#1|) |has| |#1| (-173))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
 (((|#1|) . T)) 
-(((|#3|) |has| |#3| (-1091))) 
-(((|#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
-((((-1231 |#2| |#3| |#4|)) . T)) 
+(((|#3|) |has| |#3| (-1093))) 
+(((|#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-366)))) 
+((((-1237 |#2| |#3| |#4|)) . T)) 
 ((((-121)) . T)) 
-(|has| |#1| (-816)) 
-(|has| |#1| (-816)) 
-(((|#1| (-569) (-1076)) . T)) 
+(|has| |#1| (-817)) 
+(|has| |#1| (-817)) 
+(((|#1| (-569) (-1077)) . T)) 
 ((($) |has| |#1| (-304 $)) ((|#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#1| (-841)) 
-(|has| |#1| (-841)) 
-(((|#1| (-764) (-1076)) . T)) 
-(-2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-1163)) . T)) 
-(((|#1| (-569) (-1076)) . T)) 
-(((|#1| (-410 (-569)) (-1076)) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
-(|has| |#1| (-843)) 
-((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(|has| |#1| (-842)) 
+(|has| |#1| (-842)) 
+(((|#1| (-765) (-1077)) . T)) 
+(-1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-1165)) . T)) 
+(((|#1| (-569) (-1077)) . T)) 
+(((|#1| (-410 (-569)) (-1077)) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
+(|has| |#1| (-844)) 
+((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
 (((|#2|) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(|has| |#1| (-1091)) 
-((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
+(|has| |#1| (-1093)) 
+((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 ((((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((|#2|) |has| |#1| (-366))) 
-(((|#2|) |has| |#2| (-1048))) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(((|#2|) |has| |#2| (-1049))) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
-((((-851)) . T)) 
-(|has| |#3| (-841)) 
-((((-851)) . T)) 
-((((-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048)))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+((((-852)) . T)) 
+(|has| |#3| (-842)) 
+((((-852)) . T)) 
+((((-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049)))) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-569)) . T)) 
-((((-735 |#1| |#2|)) . T) (((-608 $)) . T) ((|#2|) . T) (((-569)) . T) (((-410 (-569))) -2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))) (((-410 (-954 |#2|))) |has| |#2| (-559)) (((-954 |#2|)) |has| |#2| (-1048)) (((-1163)) . T)) 
-(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1048)))) 
+((((-736 |#1| |#2|)) . T) (((-608 $)) . T) ((|#2|) . T) (((-569)) . T) (((-410 (-569))) -1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))) (((-410 (-955 |#2|))) |has| |#2| (-559)) (((-955 |#2|)) |has| |#2| (-1049)) (((-1165)) . T)) 
+(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-1049)))) 
 (((|#2|) |has| |#2| (-366))) 
-((((-569)) |has| |#2| (-882 (-569))) (((-382)) |has| |#2| (-882 (-382)))) 
+((((-569)) |has| |#2| (-883 (-569))) (((-382)) |has| |#2| (-883 (-382)))) 
 (((|#2|) . T)) 
-(|has| |#1| (-843)) 
+(|has| |#1| (-844)) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
 (((|#2|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(((|#1| (-764)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(((|#1| (-765)) . T)) 
 (((|#2|) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-905))) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-906))) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 ((((-569)) . T) (($) . T) (((-410 (-569))) . T)) 
 (|has| |#1| (-226)) 
 (((|#1|) . T)) 
 (((|#1| (-569)) . T)) 
-(|has| |#1| (-841)) 
-(((|#1| (-1161 |#1| |#2| |#3|)) . T)) 
+(|has| |#1| (-842)) 
+(((|#1| (-1163 |#1| |#2| |#3|)) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| (-410 (-569))) . T)) 
-(((|#1| (-1153 |#1| |#2| |#3|)) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#1| (-1155 |#1| |#2| |#3|)) . T)) 
+(((|#1| (-765)) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
@@ -1839,45 +1851,45 @@
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| (-410 |#2|) (-226)) 
-(|has| |#1| (-905)) 
-(((|#2|) |has| |#2| (-1048))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(|has| |#1| (-906)) 
+(((|#2|) |has| |#2| (-1049))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 (|has| |#1| (-366)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1| |#1|) . T)) 
-((((-865 |#1|)) . T)) 
-((((-851)) . T)) 
+((((-866 |#1|)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(((|#2|) |has| |#2| (-1091))) 
-(|has| |#2| (-843)) 
+(((|#2|) |has| |#2| (-1093))) 
+(|has| |#2| (-844)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-366)) 
 ((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((($) . T)) 
-(|has| |#1| (-843)) 
-((((-851)) . T)) 
+(|has| |#1| (-844)) 
+((((-852)) . T)) 
 (((|#1| (-535 |#2|) |#2|) . T)) 
-(((|#1| (-569) (-1076)) . T)) 
-((((-906 |#1|)) . T)) 
-((((-851)) . T)) 
+(((|#1| (-569) (-1077)) . T)) 
+((((-907 |#1|)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(((|#1| (-410 (-569)) (-1076)) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
+(((|#1| (-410 (-569)) (-1077)) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
 ((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-(((|#1|) . T) (((-569)) -2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))) (((-410 (-569))) . T)) 
+(((|#1|) . T) (((-569)) -1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))) (((-410 (-569))) . T)) 
 (((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
@@ -1885,68 +1897,70 @@
 (((|#1|) . T)) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (|has| |#2| (-226)) 
-(((|#2| (-535 (-853 |#1|)) (-853 |#1|)) . T)) 
-((($) -2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-((((-851)) . T)) 
+(((|#2| (-535 (-854 |#1|)) (-854 |#1|)) . T)) 
+((($) -1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
+((((-852)) . T)) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#3|) . T)) 
-((((-851)) . T)) 
-(|has| |#2| (-1137)) 
+((((-852)) . T)) 
+(|has| |#2| (-1139)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-689)) . T)) 
-((((-689)) . T)) 
+((((-690)) . T)) 
+((((-690)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
-(|has| |#2| (-841)) 
-((((-121)) |has| |#1| (-1091)) (((-851)) -2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091)))) 
+(|has| |#2| (-842)) 
+((((-121)) |has| |#1| (-1093)) (((-852)) -1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093)))) 
 (((|#1|) . T) (($) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#1|) . T)) 
-((((-689)) . T) (((-410 (-569))) . T) (((-569)) . T)) 
+((((-690)) . T) (((-410 (-569))) . T) (((-569)) . T)) 
 (((|#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 ((((-382)) . T)) 
-((((-689)) . T)) 
+((((-690)) . T)) 
 ((((-410 (-569))) |has| |#2| (-366)) (($) |has| |#2| (-366))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-410 (-954 |#1|))) . T)) 
+((((-410 (-955 |#1|))) . T)) 
 (((|#2| |#2|) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((($) . T)) 
 (((|#2|) . T)) 
-(|has| |#2| (-843)) 
-(((|#3|) |has| |#3| (-1048))) 
-(|has| |#2| (-905)) 
-(|has| |#1| (-905)) 
+(|has| |#2| (-844)) 
+(((|#3|) |has| |#3| (-1049))) 
+(|has| |#2| (-906)) 
+(|has| |#1| (-906)) 
 (|has| |#1| (-366)) 
-(|has| |#1| (-843)) 
-((((-1163)) |has| |#2| (-896 (-1163)))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(|has| |#1| (-844)) 
+((((-569)) . T)) 
+((((-569)) . T)) 
+((((-1165)) |has| |#2| (-897 (-1165)))) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (|has| |#1| (-479)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-366)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1048)) (|has| |#1| (-1103))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-479)) (|has| |#1| (-559)) (|has| |#1| (-1049)) (|has| |#1| (-1105))) 
 ((((-125 |#1|)) . T)) 
 ((((-125 |#1|)) . T)) 
 ((((-148)) . T)) 
 (|has| |#1| (-351)) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
 ((($) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(((|#2|) . T) (((-851)) . T)) 
-(((|#2|) . T) (((-851)) . T)) 
+(((|#2|) . T) (((-852)) . T)) 
+(((|#2|) . T) (((-852)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
@@ -1959,126 +1973,126 @@
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-843)) 
+(|has| |#1| (-844)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) ((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) ((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#3|) . T)) 
 ((((-125 |#1|)) . T)) 
 (|has| |#1| (-371)) 
-(|has| |#1| (-843)) 
-(((|#2|) . T) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
+(|has| |#1| (-844)) 
+(((|#2|) . T) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
 ((((-125 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
-((((-851)) . T)) 
-((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382)))) (((-382)) |has| |#1| (-1022)) (((-216)) |has| |#1| (-1022))) 
+((((-852)) . T)) 
+((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382)))) (((-382)) |has| |#1| (-1023)) (((-216)) |has| |#1| (-1023))) 
 (((|#1|) |has| |#1| (-366))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 ((($ $) . T) (((-608 $) $) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((($) . T) (((-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T)) 
-((($) -2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((($) . T) (((-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T)) 
+((($) -1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 ((((-382)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
-((((-635 (-776 |#1| (-853 |#2|)))) . T) (((-851)) . T)) 
-((((-542)) |has| (-776 |#1| (-853 |#2|)) (-610 (-542)))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-635 (-777 |#1| (-854 |#2|)))) . T) (((-852)) . T)) 
+((((-542)) |has| (-777 |#1| (-854 |#2|)) (-610 (-542)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-382)) . T)) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
-(|has| |#1| (-843)) 
-(|has| |#1| (-843)) 
-((((-851)) |has| |#1| (-1091))) 
+(|has| |#1| (-844)) 
+(|has| |#1| (-844)) 
+((((-852)) |has| |#1| (-1093))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-(|has| |#1| (-1091)) 
-((((-851)) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(|has| |#1| (-1093)) 
+((((-852)) . T)) 
+(((|#1| (-765)) . T)) 
 ((((-410 (-569))) . T) (((-569)) . T) (((-608 $)) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 ((((-569)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-((((-1231 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569)))) (($) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+((((-1237 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569)))) (($) . T)) 
 ((((-569)) . T)) 
 (|has| |#2| (-479)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-366)) 
-(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
-(-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
+(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
+(-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-226)) 
 (|has| |#1| (-366)) 
 (((|#3|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-151)) 
 ((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
 (((|#2|) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#1| |#2|) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
 (((|#3|) |has| |#3| (-173))) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
 ((((-569)) . T)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
 ((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#3|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569)) (-410 (-569))) |has| |#1| (-366))) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569)) (-410 (-569))) |has| |#1| (-366))) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 ((($) . T)) 
 ((($) . T) ((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559))) 
 ((((-569) |#1|) . T)) 
-((((-1163)) |has| (-410 |#2|) (-896 (-1163)))) 
-(((|#1|) . T) (($) -2232 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569))) |has| |#1| (-366))) 
+((((-1165)) |has| (-410 |#2|) (-897 (-1165)))) 
+(((|#1|) . T) (($) -1929 (|has| |#1| (-286)) (|has| |#1| (-366))) (((-410 (-569))) |has| |#1| (-366))) 
 ((((-542)) |has| |#2| (-610 (-542)))) 
-((((-680 |#2|)) . T) (((-851)) . T)) 
-(((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-((((-865 |#1|)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#2|) |has| |#2| (-1048))) 
+((((-681 |#2|)) . T) (((-852)) . T)) 
+(((|#1|) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+((((-866 |#1|)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#2|) |has| |#2| (-1049))) 
 ((((-569)) . T)) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
 ((((-410 |#2|)) . T)) 
 (((|#1|) . T)) 
-(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) 
+(((|#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) 
 ((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
@@ -2086,18 +2100,18 @@
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-1202))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-1208))) 
 ((($) . T)) 
-((((-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1038 (-569))) (((-410 |#2|)) . T)) 
+((((-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) (((-569)) |has| (-410 |#2|) (-1039 (-569))) (((-410 |#2|)) . T)) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
-(((|#1| (-764)) . T)) 
-(|has| |#1| (-843)) 
+(((|#1| (-765)) . T)) 
+(|has| |#1| (-844)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
 ((((-569)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(|has| |#1| (-841)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(|has| |#1| (-842)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
@@ -2121,97 +2135,100 @@
 (((|#2|) . T)) 
 (((|#1| |#2|) . T)) 
 ((((-148)) . T)) 
-((((-776 |#1| (-853 |#2|))) . T)) 
-((((-851)) |has| |#1| (-1091))) 
-(|has| |#1| (-1183)) 
+((((-777 |#1| (-854 |#2|))) . T)) 
+((((-852)) |has| |#1| (-1093))) 
+(|has| |#1| (-1185)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-717)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048)) (|has| |#3| (-1091))) 
-((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|))) 
+(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-371)) (|has| |#3| (-718)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049)) (|has| |#3| (-1093))) 
+((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|))) 
 (((|#2|) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-906 |#1|)) . T)) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-907 |#1|)) . T)) 
 ((($) . T)) 
-((((-410 (-954 |#1|))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-410 (-955 |#1|))) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#4| (-610 (-542)))) 
-((((-851)) . T) (((-635 |#4|)) . T)) 
-(|has| |#1| (-841)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-(|has| |#1| (-1091)) 
+((((-852)) . T) (((-635 |#4|)) . T)) 
+(|has| |#1| (-842)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) |has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) |has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) 
 (((|#2|) . T)) 
 (|has| |#1| (-366)) 
-(|has| |#1| (-843)) 
+((((-569) (-569)) . T)) 
+(|has| |#1| (-844)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) |has| |#1| (-173))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
-(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
-(-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
+(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-151)) (|has| |#1| (-366))) (|has| |#1| (-151))) 
+(-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((((-851)) |has| |#1| (-1091))) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(|has| |#1| (-841)) 
+((((-852)) |has| |#1| (-1093))) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(|has| |#1| (-842)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-1091)) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T) (((-569)) . T)) 
 (|has| |#2| (-149)) 
 (|has| |#2| (-151)) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(((|#2| (-764) (-1076)) . T)) 
-(|has| |#1| (-1091)) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(((|#2| (-765) (-1077)) . T)) 
+(|has| |#1| (-1093)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#2|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#3|) |has| |#3| (-366))) 
 ((((-410 |#2|)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(((|#1|) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(((|#1|) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)))) 
 ((((-311 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-366))) 
 (((|#2|) . T)) 
-((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) |has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|))))) 
-((((-853 |#1|)) . T)) 
+((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) |has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|))))) 
+((((-854 |#1|)) . T)) 
 (((|#2|) |has| |#2| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#2|) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-1080 (-1163))) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-1082 (-1165))) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(((|#4|) |has| |#4| (-1048)) (((-569)) -12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048)))) 
-(((|#3|) |has| |#3| (-1048)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) 
+(((|#4|) |has| |#4| (-1049)) (((-569)) -12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049)))) 
+(((|#3|) |has| |#3| (-1049)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 ((($ $) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093))) 
 (|has| |#1| (-559)) 
 (((|#2|) . T)) 
+((((-852)) . T)) 
+((((-542)) . T)) 
 ((((-569)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 ((((-582 |#1|)) . T)) 
 ((($) . T)) 
 (((|#1| (-64 |#1|) (-64 |#1|)) . T)) 
@@ -2219,38 +2236,38 @@
 (((|#1|) . T)) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(((|#2|) |has| |#2| (-6 (-4537 "*")))) 
+((((-852)) . T)) 
+(((|#2|) |has| |#2| (-6 (-4573 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
 ((($) . T) (((-125 |#1|)) . T) (((-410 (-569))) . T)) 
-((((-1114 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-((((-1159 |#1|)) . T) (((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-((((-1114 |#1| (-1163))) . T) (((-1080 (-1163))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-1163)) . T)) 
-(|has| |#1| (-1091)) 
+((((-1116 |#1| |#2|)) . T) ((|#2|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+((((-1161 |#1|)) . T) (((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+((((-1116 |#1| (-1165))) . T) (((-1082 (-1165))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-1165)) . T)) 
+(|has| |#1| (-1093)) 
 ((($) . T)) 
-(|has| |#1| (-1091)) 
-((((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))) (((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) 
+(|has| |#1| (-1093)) 
+((((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))) (((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) 
 (((|#1| |#2|) . T)) 
-((((-1163) |#1|) . T)) 
+((((-1165) |#1|) . T)) 
 (((|#4|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T)) 
-((((-1163) (-57)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-717)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048)) (|has| |#2| (-1091))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T)) 
+((((-1165) (-57)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-371)) (|has| |#2| (-718)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049)) (|has| |#2| (-1093))) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
+((((-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 (((|#1| |#1|) |has| |#1| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#1| (-559)) (($ $) |has| |#1| (-559))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-905)) 
+(|has| |#1| (-906)) 
 (((|#1| $) |has| |#1| (-282 |#1| |#1|))) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-559)) (($) |has| |#1| (-559))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-149)) 
@@ -2259,178 +2276,185 @@
 (|has| |#1| (-149)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#3|) |has| |#3| (-366))) 
-(|has| |#1| (-15 * (|#1| (-764) |#1|))) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-((((-1163)) . T)) 
+(|has| |#1| (-15 * (|#1| (-765) |#1|))) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+((((-1165)) . T)) 
 (((|#1|) . T)) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-905))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-906))) 
 (((|#2| |#3|) . T)) 
 ((((-569) (-569)) . T)) 
 (((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-764)) . T)) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(((|#1| (-535 (-1080 (-1163)))) . T)) 
-(((|#1|) |has| |#1| (-173))) 
+(((|#1| (-765)) . T)) 
+((((-569) (-569)) . T)) 
+(((|#1| (-535 (-1082 (-1165)))) . T)) 
+((((-569)) . T)) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
-(|has| |#2| (-905)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-((((-851)) . T)) 
-((($ $) . T) (((-1231 |#2| |#3| |#4|) (-1231 |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
-((((-906 |#1|)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
+(|has| |#2| (-906)) 
+(((|#1|) |has| |#1| (-173))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+((((-852)) . T)) 
+((($ $) . T) (((-1237 |#2| |#3| |#4|) (-1237 |#2| |#3| |#4|)) . T) (((-410 (-569)) (-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+((((-907 |#1|)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
 ((($) . T) (((-410 (-569))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351)) (|has| |#1| (-559))) 
 (|has| |#1| (-366)) 
-((($) . T) (((-1231 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+((($) . T) (((-1237 |#2| |#3| |#4|)) . T) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
 (((|#1| |#2|) . T)) 
 (|has| |#2| (-559)) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-(-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-2232 (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048))) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049))) 
 ((((-569)) |has| |#1| (-631 (-569))) ((|#1|) . T)) 
+((((-569) (-569)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-121)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
+(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
 (|has| |#2| (-366)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#1| (-843)) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-844)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-1091)) 
+((((-852)) . T)) 
+(|has| |#1| (-1093)) 
 (((|#4|) . T)) 
 (((|#4|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
 (((|#2| |#2|) |has| |#2| (-173)) (((-410 (-569)) (-410 (-569))) |has| |#2| (-559)) (($ $) . T)) 
-(|has| |#2| (-816)) 
+(|has| |#2| (-817)) 
 (((|#4|) . T)) 
 ((($) . T)) 
 (((|#2|) |has| |#2| (-173)) (((-410 (-569))) |has| |#2| (-559)) (($) . T)) 
-((((-851)) . T)) 
-(((|#1| (-535 (-1163))) . T)) 
+((((-852)) . T)) 
+(((|#1| (-535 (-1165))) . T)) 
 ((($ $) . T)) 
 ((($) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
-(((|#2|) -2232 (|has| |#2| (-6 (-4537 "*"))) (|has| |#2| (-173)))) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(|has| |#2| (-843)) 
-(|has| |#2| (-905)) 
-(|has| |#1| (-905)) 
+((((-852)) . T)) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
+(((|#2|) -1929 (|has| |#2| (-6 (-4573 "*"))) (|has| |#2| (-173)))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-569) (-1201) (-1201)) . T)) 
+(|has| |#2| (-844)) 
+(|has| |#2| (-906)) 
+((((-569)) . T)) 
+(|has| |#1| (-906)) 
 (((|#2|) |has| |#2| (-173))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
 (((|#1|) . T)) 
-((((-861)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
+((((-862)) . T) (((-569)) . T) (((-410 (-569))) . T)) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1| (-410 (-569))) . T)) 
 (((|#1|) . T)) 
 ((((-542)) . T)) 
-(-2232 (|has| |#1| (-286)) (|has| |#1| (-366))) 
+(-1929 (|has| |#1| (-286)) (|has| |#1| (-366))) 
 ((((-148)) . T)) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-841)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(|has| |#1| (-842)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1| |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#2| |#2|) . T) ((|#1| |#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) |has| |#1| (-610 (-542))) (((-888 (-569))) |has| |#1| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#1| (-610 (-888 (-382))))) 
-((((-1163) (-57)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) |has| |#1| (-610 (-542))) (((-889 (-569))) |has| |#1| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#1| (-610 (-889 (-382))))) 
+((((-1165) (-57)) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-635 (-148))) . T) (((-1145)) . T)) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
-((((-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
-(|has| |#1| (-843)) 
-((((-851)) . T)) 
+((((-635 (-148))) . T) (((-1147)) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+((((-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((|#1| |#1|) |has| |#1| (-304 |#1|))) 
+(|has| |#1| (-844)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#2|) |has| |#2| (-366))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#4| (-610 (-542)))) 
-((((-851)) . T) (((-635 |#4|)) . T)) 
-(((|#2|) . T)) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-(-2232 (|has| |#4| (-173)) (|has| |#4| (-717)) (|has| |#4| (-841)) (|has| |#4| (-1048))) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-717)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-((((-1163) (-57)) . T)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-852)) . T) (((-635 |#4|)) . T)) 
+(((|#2|) . T)) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+(-1929 (|has| |#4| (-173)) (|has| |#4| (-718)) (|has| |#4| (-842)) (|has| |#4| (-1049))) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-718)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-1165) (-57)) . T)) 
+((((-569)) . T)) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-569) (-569)) . T)) 
 (((|#1|) . T)) 
+((((-569)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-(|has| |#1| (-905)) 
-(|has| |#1| (-905)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(|has| |#1| (-906)) 
+(|has| |#1| (-906)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
 ((((-569)) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-569)) . T)) 
 ((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(((|#1| (-410 (-569)) (-1076)) . T)) 
-(|has| |#1| (-1091)) 
+(((|#1| (-410 (-569)) (-1077)) . T)) 
+(|has| |#1| (-1093)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(|has| |#1| (-816)) 
-((((-851)) |has| |#1| (-1091))) 
-((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(|has| |#1| (-817)) 
+((((-852)) |has| |#1| (-1093))) 
+((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 ((((-410 |#2|)) . T)) 
 ((((-569) (-569)) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-841)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) . T)) 
+(|has| |#1| (-842)) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (((-569) (-569)) . T) (($ $) . T)) 
-((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
 (|has| |#1| (-173)) 
-(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
 (|has| |#2| (-151)) 
 (|has| |#2| (-149)) 
 (((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
@@ -2438,49 +2462,50 @@
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
 (((|#2|) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
-((((-57)) . T) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
+((((-57)) . T) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 (|has| |#1| (-351)) 
 ((((-569)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382))))) 
-((((-1232 |#1| |#2| |#3| |#4|) $) |has| (-1232 |#1| |#2| |#3| |#4|) (-282 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382))))) 
+((((-1238 |#1| |#2| |#3| |#4|) $) |has| (-1238 |#1| |#2| |#3| |#4|) (-282 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)))) 
 (|has| |#1| (-366)) 
-((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-410 (-569)) (-410 (-569))) . T) (((-689) (-689)) . T) (($ $) . T)) 
+((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-410 (-569)) (-410 (-569))) . T) (((-690) (-690)) . T) (($ $) . T)) 
 ((((-311 |#1|)) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
-(((|#1|) -2232 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
-(((|#1|) -2232 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
+(((|#1|) -1929 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
+(((|#1|) -1929 (|has| |#2| (-370 |#1|)) (|has| |#2| (-420 |#1|)))) 
 (((|#2|) . T)) 
-((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#3| |#3|) . T)) 
+((((-569) (-1203) (-1203)) . T)) 
 ((((-569)) . T)) 
 (|has| |#2| (-226)) 
-((((-853 |#1|)) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163))) ((|#3|) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-1022))) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-851)) . T)) 
-(((|#1| (-764)) . T)) 
+((((-854 |#1|)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165))) ((|#3|) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-1023))) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-852)) . T)) 
+(((|#1| (-765)) . T)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 ((((-410 (-569))) . T) (($) . T) (((-410 |#1|)) . T) ((|#1|) . T)) 
 ((((-569)) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#3|) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
 (((|#1| |#2|) . T)) 
 ((($) . T)) 
@@ -2489,13 +2514,13 @@
 ((($ $) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T) (($) . T)) 
-(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-125 |#1|) (-125 |#1|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
-((((-1114 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((|#2|) . T)) 
+((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
+((((-1116 |#1| |#2|)) . T) ((|#3|) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
@@ -2503,7 +2528,7 @@
 ((((-664 |#1|)) . T)) 
 ((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
 ((((-125 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) (((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382))))) 
+((((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) (((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382))))) 
 (((|#2|) . T) ((|#6|) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) (($) . T)) 
 ((((-148)) . T)) 
@@ -2511,54 +2536,54 @@
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T)) 
-(|has| |#2| (-905)) 
-(|has| |#1| (-905)) 
-(|has| |#1| (-905)) 
+(|has| |#2| (-906)) 
+(|has| |#1| (-906)) 
+(|has| |#1| (-906)) 
 (((|#4|) . T)) 
-(|has| |#2| (-1022)) 
+(|has| |#2| (-1023)) 
 ((($) . T)) 
-(|has| |#1| (-905)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#1| (-906)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-569)) . T)) 
 ((($) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T) (($) . T)) 
 ((($) . T)) 
 (|has| |#1| (-366)) 
-((((-906 |#1|)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-907 |#1|)) . T)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-(-2232 (|has| |#1| (-371)) (|has| |#1| (-843))) 
+(-1929 (|has| |#1| (-371)) (|has| |#1| (-844))) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-852)) . T)) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
 ((((-410 |#2|) |#3|) . T)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) 
 ((($) . T) (((-410 (-569))) . T)) 
-((((-764) |#1|) . T)) 
-(((|#2| (-233 (-4168 |#1|) (-764))) . T)) 
+((((-765) |#1|) . T)) 
+(((|#2| (-233 (-2946 |#1|) (-765))) . T)) 
 (((|#1| (-535 |#3|)) . T)) 
 ((((-410 (-569))) . T)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
-(|has| |#1| (-905)) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
+(|has| |#1| (-906)) 
 (|has| |#2| (-366)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#1|) . T)) 
 ((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 ((((-382)) . T) (((-569)) . T)) 
 ((((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((($ $) . T)) 
 ((($ $) . T)) 
 (((|#1| |#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-559)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((($) . T)) 
@@ -2566,13 +2591,13 @@
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-12 (|has| |#1| (-551)) (|has| |#1| (-824))) 
-((((-851)) . T)) 
-((((-1163)) -2232 (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) (-12 (|has| |#1| (-366)) (|has| |#2| (-896 (-1163)))))) 
+(-12 (|has| |#1| (-551)) (|has| |#1| (-825))) 
+((((-852)) . T)) 
+((((-1165)) -1929 (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) (-12 (|has| |#1| (-366)) (|has| |#2| (-897 (-1165)))))) 
 (|has| |#1| (-366)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
 (|has| |#1| (-366)) 
 (((|#1|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
@@ -2581,59 +2606,60 @@
 (((|#1|) . T)) 
 (((|#2|) |has| |#1| (-366))) 
 (((|#2|) |has| |#1| (-366))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
-(((|#2|) . T) (((-1163)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-1163)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) (((-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569))))) 
+(((|#2|) . T) (((-1165)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-1165)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) (((-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569))))) 
 (((|#2|) . T)) 
-((((-1163) (-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|))) (((-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) 
+((((-1165) (-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|))) (((-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) 
 ((((-608 $) $) . T) (($ $) . T)) 
-((((-170 (-216))) . T) (((-170 (-382))) . T) (((-1159 (-689))) . T) (((-888 (-382))) . T)) 
-((((-851)) . T)) 
+((((-170 (-216))) . T) (((-170 (-382))) . T) (((-1161 (-690))) . T) (((-889 (-382))) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
 (|has| (-410 |#2|) (-226)) 
 (((|#1| (-410 (-569))) . T)) 
 ((($ $) . T)) 
 (((|#1| (-569)) . T)) 
-((((-1163)) |has| |#2| (-896 (-1163)))) 
+((((-1165)) |has| |#2| (-897 (-1165)))) 
 ((($) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (|has| |#1| (-559)) 
 (((|#2|) |has| |#1| (-366))) 
-((((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-382)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-569))))) 
+((((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-382)))) (((-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-569))))) 
 (|has| |#1| (-366)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
-(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
 (((|#3|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-843)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-569) (-569)) . T)) 
+(|has| |#2| (-844)) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
-((((-1145) |#1|) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+((((-1147) |#1|) . T)) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-371))) 
 (|has| |#1| (-151)) 
 ((((-582 |#1|)) . T)) 
 ((($) . T)) 
@@ -2641,89 +2667,91 @@
 (|has| |#1| (-559)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-861)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-862)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-351))) 
 (|has| |#1| (-151)) 
 ((((-410 |#2|) (-410 |#2|)) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-410 (-569))) |has| |#2| (-1038 (-569))) (((-569)) |has| |#2| (-1038 (-569))) (((-1163)) |has| |#2| (-1038 (-1163))) ((|#2|) . T)) 
-((((-851)) . T)) 
+((((-410 (-569))) |has| |#2| (-1039 (-569))) (((-569)) |has| |#2| (-1039 (-569))) (((-1165)) |has| |#2| (-1039 (-1165))) ((|#2|) . T)) 
+((((-852)) . T)) 
 ((($) . T)) 
-((((-1126 |#1| |#2|)) . T)) 
+((((-1128 |#1| |#2|)) . T)) 
 (((|#1| (-569)) . T)) 
 (((|#1| (-410 (-569))) . T)) 
-((((-569)) |has| |#2| (-882 (-569))) (((-382)) |has| |#2| (-882 (-382)))) 
+((((-569)) |has| |#2| (-883 (-569))) (((-382)) |has| |#2| (-883 (-382)))) 
 (((|#2|) . T)) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((((-121)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
 (((|#2|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-1163) (-57)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-1165) (-57)) . T)) 
 ((((-410 |#2|)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1091)) 
-(|has| |#1| (-787)) 
-(|has| |#1| (-787)) 
-((((-851)) . T)) 
+(|has| |#1| (-1093)) 
+(|has| |#1| (-788)) 
+(|has| |#1| (-788)) 
+((((-852)) . T)) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-123)) . T) ((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-216)) . T) (((-382)) . T) (((-888 (-382))) . T)) 
-((((-851)) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-216)) . T) (((-382)) . T) (((-889 (-382))) . T)) 
+((((-852)) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-608 $) $) . T) (($ $) . T)) 
 (((|#2|) . T)) 
-((((-851)) . T)) 
-((((-906 |#1|) (-906 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-852)) . T)) 
+((((-907 |#1|) (-907 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
 (((|#1|) . T)) 
-((((-906 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-907 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
 (|has| |#1| (-366)) 
 (((|#2|) . T)) 
 ((((-569)) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
 ((((-569)) . T)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
 ((((-170 (-382))) . T) (((-216)) . T) (((-382)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-1145)) . T) (((-542)) . T) (((-569)) . T) (((-888 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-1147)) . T) (((-542)) . T) (((-569)) . T) (((-889 (-569))) . T) (((-382)) . T) (((-216)) . T)) 
+((((-852)) . T)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-149)) 
-((($) . T) (((-1231 |#2| |#3| |#4|)) |has| (-1231 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+((($) . T) (((-1237 |#2| |#3| |#4|)) |has| (-1237 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
-((((-851)) |has| |#1| (-1091))) 
-((((-851)) |has| |#1| (-1091))) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-717)) (|has| |#1| (-896 (-1163))) (|has| |#1| (-1048)) (|has| |#1| (-1103)) (|has| |#1| (-1091))) 
-(|has| |#1| (-1137)) 
+((((-852)) . T)) 
+((((-542)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
+((((-852)) |has| |#1| (-1093))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-25)) (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-479)) (|has| |#1| (-718)) (|has| |#1| (-897 (-1165))) (|has| |#1| (-1049)) (|has| |#1| (-1105)) (|has| |#1| (-1093))) 
+(|has| |#1| (-1139)) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-569) |#1|) . T)) 
 ((((-125 |#1|) $) |has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|)))) 
 (((|#1|) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-858 |#1|)) . T)) 
+((((-859 |#1|)) . T)) 
 ((((-123)) . T) ((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
 ((((-569) |#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1163) |#1|) . T)) 
+((((-1165) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-569)) . T) (((-410 (-569))) . T)) 
@@ -2731,359 +2759,363 @@
 (((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 (|has| |#1| (-559)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 ((((-382)) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-559)) 
-(|has| |#1| (-1091)) 
-((((-776 |#1| (-853 |#2|))) |has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|))))) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(|has| |#1| (-1093)) 
+((((-777 |#1| (-854 |#2|))) |has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|))))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
 (((|#2| |#3|) . T)) 
-(|has| |#2| (-905)) 
+(|has| |#2| (-906)) 
 (((|#1|) . T)) 
 (((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#1| (-765)) . T)) 
 (|has| |#1| (-226)) 
-(((|#1| (-535 (-1080 (-1163)))) . T)) 
+(((|#1| (-535 (-1082 (-1165)))) . T)) 
+((((-569) (-569)) . T)) 
+((((-569)) . T)) 
 (|has| |#2| (-366)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) . T)) 
 (((|#1|) . T)) 
-((((-861)) . T) (((-410 (-569))) . T)) 
+((((-862)) . T) (((-410 (-569))) . T)) 
 ((((-410 (-569))) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
 ((($ $) . T) (((-608 $) $) . T)) 
 (((|#1|) . T)) 
 ((((-569)) . T)) 
 (((|#3|) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1048))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-302)) (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-149)) (|has| |#1| (-151)) (|has| |#1| (-173)) (|has| |#1| (-559)) (|has| |#1| (-1049))) 
 ((((-569)) |has| |#2| (-631 (-569))) ((|#2|) . T)) 
 ((((-582 |#1|) (-582 |#1|)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-569) (-569)) . T)) 
 (((|#1|) |has| |#1| (-173))) 
-(((|#1| (-1247 |#1|) (-1247 |#1|)) . T)) 
+(((|#1| (-1253 |#1|) (-1253 |#1|)) . T)) 
 ((((-582 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
-(((|#2|) |has| |#2| (-6 (-4537 "*")))) 
+(((|#2|) |has| |#2| (-6 (-4573 "*")))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-289 |#3|)) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 (((|#2| |#2|) . T) ((|#6| |#6|) . T)) 
 ((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 (((|#2|) . T) ((|#6|) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) . T)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#2| (-905)) 
-(|has| |#1| (-905)) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-852)) . T)) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#2| (-906)) 
+(|has| |#1| (-906)) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-569) (-569)) . T)) 
 (((|#1|) . T)) 
-((((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) . T)) 
+((((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 ((((-569)) . T)) 
 (((|#1|) . T)) 
-((((-1163)) . T) ((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) 
+((((-1165)) . T) ((|#1|) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) 
 ((((-410 (-569)) (-410 (-569))) . T)) 
 ((((-410 (-569))) . T)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+((((-569)) . T)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 ((((-542)) . T)) 
-((((-851)) . T)) 
-((((-1163)) |has| |#2| (-896 (-1163))) (((-1076)) . T)) 
-((((-1231 |#2| |#3| |#4|)) . T)) 
-((((-906 |#1|)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+((((-852)) . T)) 
+((((-1165)) |has| |#2| (-897 (-1165))) (((-1077)) . T)) 
+((((-1237 |#2| |#3| |#4|)) . T)) 
+((((-907 |#1|)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((($) . T) (((-410 (-569))) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
-(|has| |#1| (-1202)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
+(|has| |#1| (-1208)) 
 (((|#2|) . T)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163)))) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+((((-1165)) |has| |#1| (-897 (-1165)))) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
 ((($) . T) (((-410 (-569))) . T) ((|#1|) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
-(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
-((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
+(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
+((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-559)))) 
 (|has| |#1| (-559)) 
 (((|#1|) |has| |#1| (-366))) 
 ((((-569)) . T)) 
-(|has| |#1| (-787)) 
-(|has| |#1| (-787)) 
-((((-1163) (-125 |#1|)) |has| (-125 |#1|) (-524 (-1163) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
-(((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
-((((-1076)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1038 (-569))) (((-410 (-569))) |has| |#2| (-1038 (-410 (-569))))) 
+(|has| |#1| (-788)) 
+(|has| |#1| (-788)) 
+((((-1165) (-125 |#1|)) |has| (-125 |#1|) (-524 (-1165) (-125 |#1|))) (((-125 |#1|) (-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
+(((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
+((((-1077)) . T) ((|#2|) . T) (((-569)) |has| |#2| (-1039 (-569))) (((-410 (-569))) |has| |#2| (-1039 (-410 (-569))))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-569) (-764)) . T) ((|#3| (-764)) . T)) 
-((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
+((((-569) (-765)) . T) ((|#3| (-765)) . T)) 
+((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
 (((|#1|) . T)) 
-(((|#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) . T)) 
+(((|#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) . T)) 
 (((|#2|) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
 (((|#1| |#2|) . T)) 
-(|has| |#2| (-816)) 
-(|has| |#2| (-816)) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-(((|#1|) . T) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-569)) |has| |#1| (-882 (-569))) (((-382)) |has| |#1| (-882 (-382)))) 
-(((|#1|) . T)) 
-((((-865 |#1|)) . T)) 
-((((-865 |#1|)) . T)) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-905))) 
-((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+(|has| |#2| (-817)) 
+(|has| |#2| (-817)) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) (($) . T) ((|#1|) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+(((|#1|) . T) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) . T)) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-569)) |has| |#1| (-883 (-569))) (((-382)) |has| |#1| (-883 (-382)))) 
+(((|#1|) . T)) 
+((((-866 |#1|)) . T)) 
+((((-866 |#1|)) . T)) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-906))) 
+((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
 (|has| |#1| (-366)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-853 |#1|)) . T)) 
+((((-854 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(((|#2| (-764)) . T)) 
-((((-1163)) . T)) 
-((((-865 |#1|)) . T)) 
-(-2232 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-((((-851)) . T)) 
+(((|#2| (-765)) . T)) 
+((((-1165)) . T)) 
+((((-866 |#1|)) . T)) 
+(-1929 (|has| |#3| (-25)) (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-789)) (|has| |#2| (-841))) 
-(-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))) 
-((((-865 |#1|)) . T)) 
+(-1929 (|has| |#2| (-790)) (|has| |#2| (-842))) 
+(-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))) 
+((((-866 |#1|)) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 ((($ $) . T) (((-608 $) $) . T)) 
-((((-861) (-861)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
+((((-862) (-862)) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 ((($) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#2|) . T)) 
 ((((-569)) . T)) 
-((((-851)) . T)) 
-((((-861)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-852)) . T)) 
+((((-862)) . T) (($) . T) (((-410 (-569))) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T) (((-410 (-569))) |has| |#1| (-366))) 
 ((($) . T) ((|#2|) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-1091)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-(((|#1|) . T)) 
-((((-851)) . T)) 
-(|has| |#2| (-905)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#3|) |has| |#3| (-1048)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) 
-((((-1114 |#1| |#2|)) . T) (((-954 |#1|)) |has| |#2| (-610 (-1163))) (((-851)) . T)) 
-((((-954 |#1|)) |has| |#2| (-610 (-1163))) (((-1145)) -12 (|has| |#1| (-1038 (-569))) (|has| |#2| (-610 (-1163)))) (((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) 
-((((-1159 |#1|)) . T) (((-851)) . T)) 
-((((-851)) . T)) 
-((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+(|has| |#1| (-1093)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+(((|#1|) . T)) 
+((((-852)) . T)) 
+(|has| |#2| (-906)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#3|) |has| |#3| (-1049)) (((-569)) -12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) 
+((((-1116 |#1| |#2|)) . T) (((-955 |#1|)) |has| |#2| (-610 (-1165))) (((-852)) . T)) 
+((((-955 |#1|)) |has| |#2| (-610 (-1165))) (((-1147)) -12 (|has| |#1| (-1039 (-569))) (|has| |#2| (-610 (-1165)))) (((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) 
+((((-1161 |#1|)) . T) (((-852)) . T)) 
+((((-852)) . T)) 
+((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
 ((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T) (((-1163)) . T)) 
-((((-851)) . T)) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T) (((-1165)) . T)) 
+((((-852)) . T)) 
 ((((-569)) . T)) 
 ((($) . T)) 
-((((-382)) |has| |#1| (-882 (-382))) (((-569)) |has| |#1| (-882 (-569)))) 
+((((-382)) |has| |#1| (-883 (-382))) (((-569)) |has| |#1| (-883 (-569)))) 
 ((((-569)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-852)) . T)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 ((((-569)) . T) (((-410 (-569))) . T)) 
 (((|#1|) |has| |#1| (-304 |#1|))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-382)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 ((((-410 |#2|) |#3|) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1091)) 
-(((|#2| (-494 (-4168 |#1|) (-764))) . T)) 
+(|has| |#1| (-1093)) 
+(((|#2| (-494 (-2946 |#1|) (-765))) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#2| |#2|) . T)) 
-(((|#1| (-535 (-1163))) . T)) 
+(((|#1| (-535 (-1165))) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 ((((-569)) . T)) 
 (((|#2|) . T)) 
 (((|#2|) . T)) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-1076)) . T)) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-1077)) . T)) 
 (((|#1|) . T) (((-569)) |has| |#1| (-631 (-569)))) 
 (|has| |#1| (-559)) 
 (((|#1|) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
 ((($) . T)) 
 ((($) . T)) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 (((|#1|) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-851)) . T)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-852)) . T)) 
 ((((-148)) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1137)) 
-(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
+(|has| |#1| (-1139)) 
+(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-410 $) (-410 $)) |has| |#1| (-559)) (($ $) . T) ((|#1| |#1|) . T)) 
-(((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-((((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-569)) |has| |#1| (-1038 (-569))) ((|#1|) . T) ((|#2|) . T)) 
-((((-1076)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569))))) 
-((((-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382)))) (((-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569))))) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+(((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+((((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-569)) |has| |#1| (-1039 (-569))) ((|#1|) . T) ((|#2|) . T)) 
+((((-1077)) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569))))) 
+((((-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382)))) (((-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569))))) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#1| |#1|) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
 ((($) . T)) 
-((((-689)) . T)) 
-((((-776 |#1| (-853 |#2|))) . T)) 
+((((-690)) . T)) 
+((((-777 |#1| (-854 |#2|))) . T)) 
 ((($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-(|has| |#1| (-1091)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
+(|has| |#1| (-1093)) 
 (|has| |#2| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 ((((-569)) . T)) 
-((((-1163)) -12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) 
-((((-1163)) -12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) 
-(-2232 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-1165)) -12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) 
+((((-1165)) -12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) 
+(-1929 (|has| |#2| (-366)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
 (|has| |#1| (-226)) 
 (((|#1| (-535 |#3|)) . T)) 
-(((|#2| (-233 (-4168 |#1|) (-764))) . T)) 
+(((|#2| (-233 (-2946 |#1|) (-765))) . T)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
 (|has| |#1| (-371)) 
-(|has| |#2| (-905)) 
+(|has| |#2| (-906)) 
 (((|#1|) . T) (($) . T)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#1| (-535 |#2|)) . T)) 
-(((|#1| (-764)) . T)) 
-(-2232 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(((|#1| (-765)) . T)) 
+(-1929 (|has| |#2| (-25)) (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) 
-((((-851)) . T)) 
-(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
+((((-852)) . T)) 
+(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
 (|has| |#1| (-559)) 
-(-2232 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
+(-1929 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
 (((|#1|) |has| |#1| (-173))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#4|) |has| |#4| (-1048))) 
-(((|#3|) |has| |#3| (-1048))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
-(-12 (|has| |#1| (-366)) (|has| |#2| (-816))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#4|) |has| |#4| (-1049))) 
+(((|#3|) |has| |#3| (-1049))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
+(-12 (|has| |#1| (-366)) (|has| |#2| (-817))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
 ((((-410 |#2|)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T)) 
-(((|#4|) |has| |#4| (-1091)) (((-569)) -12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091))) (((-410 (-569))) -12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091)))) 
-(((|#3|) |has| |#3| (-1091)) (((-569)) -12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (((-410 (-569))) -12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) 
+(((|#4|) |has| |#4| (-1093)) (((-569)) -12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093))) (((-410 (-569))) -12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093)))) 
+(((|#3|) |has| |#3| (-1093)) (((-569)) -12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (((-410 (-569))) -12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) 
 (|has| |#2| (-366)) 
-(((|#2|) |has| |#2| (-1048)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) 
+(((|#2|) |has| |#2| (-1049)) (((-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) 
 (((|#1|) . T)) 
 (|has| |#2| (-366)) 
-((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569)) (-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2| |#2|) . T) (($ $) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#1| |#1|) . T) (($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (((|#2| |#2|) . T)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T) (($) -1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#2|) . T)) 
 (((|#1|) . T)) 
 ((($) . T)) 
-((((-851)) |has| |#1| (-1091))) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-(|has| |#2| (-816)) 
-(|has| |#2| (-816)) 
+(|has| |#2| (-817)) 
+(|has| |#2| (-817)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
@@ -3091,254 +3123,255 @@
 (|has| |#1| (-15 * (|#1| (-569) |#1|))) 
 (((|#1|) |has| |#2| (-420 |#1|))) 
 (((|#1|) |has| |#2| (-420 |#1|))) 
-((((-906 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-907 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) |has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+((((-852)) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) |has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 ((((-569) |#1|) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-569) |#1|) . T)) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-((((-1163)) |has| |#1| (-896 (-1163))) (((-814 (-1163))) . T)) 
-(-2232 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-789)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
-((((-815 |#1|)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+((((-1165)) |has| |#1| (-897 (-1165))) (((-815 (-1165))) . T)) 
+(-1929 (|has| |#3| (-138)) (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-790)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
+((((-816 |#1|)) . T)) 
 (((|#1| |#2|) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-717)) (|has| |#3| (-841)) (|has| |#3| (-1048))) 
+((((-852)) . T)) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-718)) (|has| |#3| (-842)) (|has| |#3| (-1049))) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-851)) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
+((((-852)) . T)) 
+((((-1238 |#1| |#2| |#3| |#4|)) . T) (($) . T) (((-410 (-569))) . T)) 
 (((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559)) (((-410 (-569))) |has| |#1| (-559))) 
 (((|#2|) . T) (((-569)) |has| |#2| (-631 (-569)))) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (-12 (|has| |#1| (-366)) (|has| |#2| (-226)))) 
+(-1929 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (-12 (|has| |#1| (-366)) (|has| |#2| (-226)))) 
 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) 
 (|has| |#1| (-366)) 
 (((|#1|) . T)) 
-((((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
+((((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1| |#1|) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-311 |#1|)) . T)) 
 ((((-410 (-569)) (-410 (-569))) . T) (($ $) . T) ((|#1| |#1|) . T)) 
 (((|#1| |#1|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
-((((-689) (-1159 (-689))) . T)) 
-((((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
+((((-690) (-1161 (-690))) . T)) 
+((((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) ((|#1|) . T)) 
 ((((-410 (-569))) . T) (($) . T) ((|#1|) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (($) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-(|has| |#1| (-841)) 
-((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
-((((-1114 |#1| (-1163))) . T) (((-814 (-1163))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1038 (-569))) (((-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) (((-1163)) . T)) 
+(|has| |#1| (-842)) 
+((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
+((((-1116 |#1| (-1165))) . T) (((-815 (-1165))) . T) ((|#1|) . T) (((-569)) |has| |#1| (-1039 (-569))) (((-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) (((-1165)) . T)) 
 ((($) . T)) 
 (((|#2| |#1|) . T) ((|#2| $) . T) (($ $) . T)) 
-((((-1076) |#1|) . T) (((-1076) $) . T) (($ $) . T)) 
-((($ $) . T) (((-1163) $) |has| |#1| (-226)) (((-1163) |#1|) |has| |#1| (-226)) (((-1080 (-1163)) |#1|) . T) (((-1080 (-1163)) $) . T)) 
+((((-1077) |#1|) . T) (((-1077) $) . T) (($ $) . T)) 
+((($ $) . T) (((-1165) $) |has| |#1| (-226)) (((-1165) |#1|) |has| |#1| (-226)) (((-1082 (-1165)) |#1|) . T) (((-1082 (-1165)) $) . T)) 
 ((($) . T) ((|#2|) . T)) 
 ((($) . T) ((|#2|) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569))))) 
-(|has| |#2| (-905)) 
-((($) . T) (((-1231 |#2| |#3| |#4|)) |has| (-1231 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
+(|has| |#2| (-906)) 
+((($) . T) (((-1237 |#2| |#3| |#4|)) |has| (-1237 |#2| |#3| |#4|) (-173)) (((-410 (-569))) |has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) 
 ((((-569) |#1|) . T)) 
-((((-1232 |#1| |#2| |#3| |#4|)) |has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) 
+((((-1238 |#1| |#2| |#3| |#4|)) |has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) 
 ((($) . T)) 
 (((|#1|) . T)) 
-((($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2| |#2|) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
-(((|#1| |#1|) . T) (($ $) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2| |#2|) |has| |#1| (-366)) ((|#1| |#1|) . T)) 
+(((|#1| |#1|) . T) (($ $) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
 (((|#2|) . T)) 
 (|has| |#2| (-226)) 
 (|has| $ (-151)) 
-((((-851)) . T)) 
-((($) . T) (((-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
-((((-851)) . T)) 
-(|has| |#1| (-841)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-852)) . T)) 
+((($) . T) (((-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-351))) ((|#1|) . T)) 
+((((-852)) . T)) 
+(|has| |#1| (-842)) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) 
 ((((-410 |#2|) |#3|) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 (((|#2| (-664 |#1|)) . T)) 
-(-12 (|has| |#1| (-302)) (|has| |#1| (-905))) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(-12 (|has| |#1| (-302)) (|has| |#1| (-906))) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (((|#4|) . T)) 
 (|has| |#1| (-559)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
-((($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) ((|#1|) . T)) 
-((((-1163)) -2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) 
-(((|#1|) . T) (($) -2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
+((($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366))) ((|#2|) |has| |#1| (-366)) ((|#1|) . T)) 
+((((-1165)) -1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) 
+(((|#1|) . T) (($) -1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-559))) (((-410 (-569))) -1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-366)))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
 ((($) |has| |#1| (-559)) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) 
+(((|#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) 
 ((((-569) |#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
 (((|#1|) . T)) 
-(((|#1| (-535 (-814 (-1163)))) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(((|#1| (-535 (-815 (-1165)))) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((($) . T) (((-865 |#1|)) . T) (((-410 (-569))) . T)) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((($) . T) (((-866 |#1|)) . T) (((-410 (-569))) . T)) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
 (|has| |#1| (-559)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 ((((-410 |#2|)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) |has| |#1| (-1091))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) |has| |#1| (-1093))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) . T)) 
 (((|#2|) |has| |#2| (-173)) (($) . T) (((-410 (-569))) |has| |#2| (-559))) 
 (((|#2| |#2|) . T) (((-410 (-569)) (-410 (-569))) . T) (($ $) . T)) 
 ((((-569)) . T)) 
 (((|#2|) . T) (((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-852)) . T)) 
 ((((-582 |#1|)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-851)) . T)) 
-((($ $) . T) (((-1163) $) . T)) 
-((((-1238 |#1| |#2| |#3|)) . T)) 
-((((-1238 |#1| |#2| |#3|)) . T) (((-1210 |#1| |#2| |#3|)) . T)) 
-(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) (((-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((($ $) . T) (((-1165) $) . T)) 
+((((-1244 |#1| |#2| |#3|)) . T)) 
+((((-1244 |#1| |#2| |#3|)) . T) (((-1216 |#1| |#2| |#3|)) . T)) 
+(((|#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) (((-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) (((-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) . T)) 
-((((-851)) . T)) 
-((((-1238 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1163)) . T) (((-851)) . T)) 
+((((-852)) . T)) 
+((((-1244 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1165)) . T) (((-852)) . T)) 
 (|has| |#1| (-366)) 
-((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905)))) 
+((((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) |has| |#2| (-173)) (($) -1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906)))) 
 (((|#2|) . T) ((|#6|) . T)) 
 ((($) . T) (((-410 (-569))) |has| |#2| (-43 (-410 (-569)))) ((|#2|) . T)) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-((((-1095)) . T)) 
-((((-851)) . T)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((((-1097)) . T)) 
+((((-852)) . T)) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
 ((($) . T)) 
-((($) -2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(|has| |#2| (-905)) 
-(|has| |#1| (-905)) 
+((($) -1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+(|has| |#2| (-906)) 
+(|has| |#1| (-906)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
 ((((-569)) . T)) 
-((((-689)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-690)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) |has| |#1| (-173))) 
 ((($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#1| (-569)) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+((((-852)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
 (|has| |#1| (-366)) 
 (|has| |#1| (-366)) 
-(-2232 (|has| |#1| (-173)) (|has| |#1| (-559))) 
-(((|#1| (-764)) . T)) 
+(-1929 (|has| |#1| (-173)) (|has| |#1| (-559))) 
+(((|#1| (-765)) . T)) 
 (((|#1| (-569)) . T)) 
 (((|#1| (-410 (-569))) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#1| (-765)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 ((((-410 (-569))) . T)) 
 (((|#1| (-535 |#2|) |#2|) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-569) |#1|) . T)) 
-(|has| |#1| (-1091)) 
+(|has| |#1| (-1093)) 
 ((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-888 (-382))) . T) (((-888 (-569))) . T) (((-1163)) . T) (((-542)) . T)) 
+((((-889 (-382))) . T) (((-889 (-569))) . T) (((-1165)) . T) (((-542)) . T)) 
 (((|#1|) . T)) 
-((((-851)) . T)) 
-(-2232 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-789)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-(-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) 
+((((-852)) . T)) 
+(-1929 (|has| |#2| (-138)) (|has| |#2| (-173)) (|has| |#2| (-366)) (|has| |#2| (-790)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+(-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
-(-2232 (|has| |#2| (-173)) (|has| |#2| (-717)) (|has| |#2| (-841)) (|has| |#2| (-1048))) 
-((((-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) 
-(-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) 
+(-1929 (|has| |#2| (-173)) (|has| |#2| (-718)) (|has| |#2| (-842)) (|has| |#2| (-1049))) 
+((((-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) 
+(-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) 
+((((-569)) . T)) 
 (|has| |#1| (-149)) 
 (|has| |#1| (-151)) 
 (|has| |#1| (-366)) 
 (((|#1| |#2|) . T)) 
 (((|#1| |#2|) . T)) 
 (|has| |#1| (-226)) 
-((((-851)) . T)) 
-(((|#1| (-764) (-1076)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+(((|#1| (-765) (-1077)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-569) |#1|) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-569) |#1|) . T)) 
 ((((-569) |#1|) . T)) 
 ((((-125 |#1|)) . T)) 
 ((((-569) (-170 (-216))) . T)) 
 ((((-569) (-216)) . T)) 
-(((|#2|) |has| |#2| (-1048))) 
+(((|#2|) |has| |#2| (-1049))) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#2|) . T)) 
 ((((-569)) . T)) 
 ((((-569)) . T)) 
 ((((-410 (-569))) . T) (((-569)) . T)) 
-((((-1145) (-1163) (-569) (-216) (-851)) . T)) 
+((((-1147) (-1165) (-569) (-216) (-852)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1| |#2|) . T)) 
 ((((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) |has| |#1| (-173)) (($) |has| |#1| (-559))) 
-(-2232 (|has| |#1| (-351)) (|has| |#1| (-371))) 
+(-1929 (|has| |#1| (-351)) (|has| |#1| (-371))) 
 (((|#1| |#2|) . T)) 
 (((|#1|) . T)) 
 ((($) . T) ((|#1|) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
 ((($) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((|#1|) . T)) 
 ((($) . T) ((|#1|) . T) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
-(((|#2|) |has| |#2| (-1091)) (((-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (((-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) 
+(((|#2|) |has| |#2| (-1093)) (((-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (((-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) 
 ((((-542)) |has| |#1| (-610 (-542)))) 
-((((-851)) -2232 (|has| |#1| (-843)) (|has| |#1| (-1091)))) 
+((((-852)) -1929 (|has| |#1| (-844)) (|has| |#1| (-1093)))) 
 ((($) . T) (((-410 (-569))) . T)) 
-(|has| |#1| (-905)) 
-(|has| |#1| (-905)) 
-((((-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) (((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) (((-888 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-382))))) (((-888 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-569))))) (((-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542))))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+(|has| |#1| (-906)) 
+(|has| |#1| (-906)) 
+((((-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) (((-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) (((-889 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-382))))) (((-889 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-569))))) (((-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542))))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#2| |#2|) . T)) 
 (((|#1| |#1|) |has| |#1| (-173))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-559))) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-559))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
 (((|#2|) . T)) 
-(-2232 (|has| |#1| (-21)) (|has| |#1| (-841))) 
+(-1929 (|has| |#1| (-21)) (|has| |#1| (-842))) 
 (((|#1|) |has| |#1| (-173))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
@@ -3349,26 +3382,26 @@
 (|has| |#1| (-366)) 
 ((($ $) . T) (((-410 (-569)) (-410 (-569))) . T)) 
 (|has| (-410 |#2|) (-149)) 
-((((-689)) . T)) 
+((((-690)) . T)) 
 (((|#1|) . T) (((-410 (-569))) . T) (((-569)) . T) (($) . T)) 
 ((((-569) (-569)) . T)) 
 ((($) . T) (((-410 (-569))) . T)) 
-(-2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048)) SEQ) 
-(-2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048)) SEQ) 
-(|has| |#4| (-789)) 
-(-2232 (|has| |#4| (-789)) (|has| |#4| (-841))) 
-(|has| |#4| (-841)) 
-(|has| |#3| (-789)) 
-(-2232 (|has| |#3| (-789)) (|has| |#3| (-841))) 
-(|has| |#3| (-841)) 
-((((-569)) . T)) 
-(((|#2|) . T)) 
-((((-1163)) -2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) 
+(-1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049)) SEQ) 
+(-1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049)) SEQ) 
+(|has| |#4| (-790)) 
+(-1929 (|has| |#4| (-790)) (|has| |#4| (-842))) 
+(|has| |#4| (-842)) 
+(|has| |#3| (-790)) 
+(-1929 (|has| |#3| (-790)) (|has| |#3| (-842))) 
+(|has| |#3| (-842)) 
+((((-569)) . T)) 
+(((|#2|) . T)) 
+((((-1165)) -1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) 
 (((|#1|) |has| |#1| (-173)) (($) . T)) 
-((((-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) 
+((((-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) 
 (((|#1| |#1|) . T) (($ $) . T)) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 (|has| |#2| (-366)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
@@ -3377,110 +3410,110 @@
 (((|#1|) . T) (($) . T)) 
 (((|#1|) . T)) 
 ((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-853 |#1|)) . T)) 
+((((-854 |#1|)) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
-((((-1126 |#1| |#2|)) . T)) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1128 |#1| |#2|)) . T)) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 ((($) . T)) 
-(|has| |#1| (-1022)) 
-(((|#2|) . T) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((((-851)) . T)) 
-((((-542)) |has| |#2| (-610 (-542))) (((-888 (-569))) |has| |#2| (-610 (-888 (-569)))) (((-888 (-382))) |has| |#2| (-610 (-888 (-382)))) (((-382)) |has| |#2| (-1022)) (((-216)) |has| |#2| (-1022))) 
-((((-1163) (-57)) . T)) 
+(|has| |#1| (-1023)) 
+(((|#2|) . T) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((((-852)) . T)) 
+((((-542)) |has| |#2| (-610 (-542))) (((-889 (-569))) |has| |#2| (-610 (-889 (-569)))) (((-889 (-382))) |has| |#2| (-610 (-889 (-382)))) (((-382)) |has| |#2| (-1023)) (((-216)) |has| |#2| (-1023))) 
+((((-1165) (-57)) . T)) 
 (|has| |#1| (-43 (-410 (-569)))) 
 (|has| |#1| (-43 (-410 (-569)))) 
-((((-861)) . T) (((-410 (-569))) . T) (($) . T)) 
+((((-862)) . T) (((-410 (-569))) . T) (($) . T)) 
 ((((-410 (-569))) . T) (($) . T)) 
 (((|#2|) . T)) 
 ((($ $) . T)) 
-((((-410 (-569))) . T) (((-689)) . T) (($) . T)) 
+((((-410 (-569))) . T) (((-690)) . T) (($) . T)) 
 ((((-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T) (($ $) . T)) 
-((((-1161 |#1| |#2| |#3|)) . T)) 
-((((-1161 |#1| |#2| |#3|)) . T) (((-1153 |#1| |#2| |#3|)) . T)) 
-((((-851)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-1163 |#1| |#2| |#3|)) . T)) 
+((((-1163 |#1| |#2| |#3|)) . T) (((-1155 |#1| |#2| |#3|)) . T)) 
+((((-852)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
 ((((-569) |#1|) . T)) 
-((((-1161 |#1| |#2| |#3|)) |has| |#1| (-366))) 
+((((-1163 |#1| |#2| |#3|)) |has| |#1| (-366))) 
 (((|#1| |#2| |#3| |#4|) . T)) 
 (((|#1|) . T)) 
 (((|#2|) . T)) 
 (|has| |#2| (-366)) 
-(((|#3|) . T) ((|#2|) . T) (($) -2232 (|has| |#4| (-173)) (|has| |#4| (-841)) (|has| |#4| (-1048))) ((|#4|) -2232 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1048)))) 
-(((|#2|) . T) (($) -2232 (|has| |#3| (-173)) (|has| |#3| (-841)) (|has| |#3| (-1048))) ((|#3|) -2232 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1048)))) 
+(((|#3|) . T) ((|#2|) . T) (($) -1929 (|has| |#4| (-173)) (|has| |#4| (-842)) (|has| |#4| (-1049))) ((|#4|) -1929 (|has| |#4| (-173)) (|has| |#4| (-366)) (|has| |#4| (-1049)))) 
+(((|#2|) . T) (($) -1929 (|has| |#3| (-173)) (|has| |#3| (-842)) (|has| |#3| (-1049))) ((|#3|) -1929 (|has| |#3| (-173)) (|has| |#3| (-366)) (|has| |#3| (-1049)))) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (|has| |#1| (-366)) 
 ((((-125 |#1|)) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
-((((-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) (((-569)) |has| |#2| (-1038 (-569))) ((|#2|) . T) (((-853 |#1|)) . T)) 
+((((-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) (((-569)) |has| |#2| (-1039 (-569))) ((|#2|) . T) (((-854 |#1|)) . T)) 
 ((((-542)) |has| (-170 (-216)) (-610 (-542)))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 ((((-542)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1|) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+((((-852)) |has| |#1| (-1093))) 
 ((((-569) |#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#1|) . T)) 
 (((|#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) (($ $) . T)) 
 ((($ $) . T)) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-905))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
-((((-851)) . T)) 
-((((-851)) . T)) 
-((((-851)) . T)) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-906))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
+((((-852)) . T)) 
+((((-852)) . T)) 
+((((-852)) . T)) 
 (((|#1| (-535 |#2|)) . T)) 
-((((-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) . T)) 
+((((-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) . T)) 
 (((|#1| (-569)) . T)) 
 (((|#1| (-410 (-569))) . T)) 
-(((|#1| (-764)) . T)) 
-(((|#1| (-764)) . T)) 
+(((|#1| (-765)) . T)) 
+(((|#1| (-765)) . T)) 
 (((|#1|) . T)) 
 ((((-125 |#1|)) . T) (($) . T) (((-410 (-569))) . T)) 
-(-2232 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-905))) 
-(-2232 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) 
+(-1929 (|has| |#2| (-454)) (|has| |#2| (-559)) (|has| |#2| (-906))) 
+(-1929 (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) 
 ((($) . T)) 
-(((|#2| (-535 (-853 |#1|))) . T)) 
+(((|#2| (-535 (-854 |#1|))) . T)) 
 ((((-2 (|:| |k| (-569)) (|:| |c| |#1|))) . T)) 
 ((((-569) |#1|) . T)) 
 (((|#2|) . T)) 
-(((|#2| (-764)) . T)) 
-((((-851)) |has| |#1| (-1091))) 
+(((|#2| (-765)) . T)) 
+((((-852)) |has| |#1| (-1093))) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
-((((-1145) |#1|) . T)) 
+((((-1147) |#1|) . T)) 
 ((((-410 |#2|)) . T)) 
-((((-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
+((((-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
 (|has| |#1| (-559)) 
 (|has| |#1| (-559)) 
-((($) -2232 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-905))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
+((($) -1929 (|has| |#1| (-366)) (|has| |#1| (-454)) (|has| |#1| (-559)) (|has| |#1| (-906))) ((|#1|) |has| |#1| (-173)) (((-410 (-569))) |has| |#1| (-43 (-410 (-569))))) 
 ((((-569)) . T)) 
 ((($) . T) ((|#2|) . T)) 
 (((|#1|) . T)) 
 (((|#1| |#2|) . T)) 
 (((|#2| $) |has| |#2| (-282 |#2| |#2|))) 
-(((|#1| (-635 |#1|)) |has| |#1| (-841))) 
-(-2232 (|has| |#1| (-226)) (|has| |#1| (-351))) 
-(-2232 (|has| |#1| (-366)) (|has| |#1| (-351))) 
-(|has| |#1| (-1091)) 
+(((|#1| (-635 |#1|)) |has| |#1| (-842))) 
+(-1929 (|has| |#1| (-226)) (|has| |#1| (-351))) 
+(-1929 (|has| |#1| (-366)) (|has| |#1| (-351))) 
+(|has| |#1| (-1093)) 
 (((|#1|) . T)) 
-(|has| |#1| (-1137)) 
+(|has| |#1| (-1139)) 
 ((((-410 (-569))) . T) (($) . T)) 
-((((-1000 |#1|)) . T) ((|#1|) . T) (((-569)) -2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569)))) (((-410 (-569))) -2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-((((-1163)) |has| |#1| (-896 (-1163)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
-(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) 
+((((-1001 |#1|)) . T) ((|#1|) . T) (((-569)) -1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569)))) (((-410 (-569))) -1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+((((-1165)) |has| |#1| (-897 (-1165)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
+(((|#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) 
 ((((-569) (-170 (-216))) . T)) 
 ((((-569) (-216)) . T)) 
 (((|#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) . T)) 
@@ -3488,11 +3521,11 @@
 ((((-170 (-216))) . T)) 
 ((((-216)) . T)) 
 (((|#1| |#2| |#3| |#4|) . T)) 
-((((-1126 |#1| |#2|) (-1126 |#1| |#2|)) |has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|)))) 
-(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 
+((((-1128 |#1| |#2|) (-1128 |#1| |#2|)) |has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|)))) 
+(((|#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 
 ((((-125 |#1|)) |has| (-125 |#1|) (-304 (-125 |#1|)))) 
-(-2232 (|has| |#1| (-843)) (|has| |#1| (-1091))) 
+(-1929 (|has| |#1| (-844)) (|has| |#1| (-1093))) 
 ((($ $) . T)) 
-((($ $) . T) (((-853 |#1|) $) . T) (((-853 |#1|) |#2|) . T)) 
+((($ $) . T) (((-854 |#1|) $) . T) (((-854 |#1|) |#2|) . T)) 
 ((($ $) . T) ((|#2| $) |has| |#1| (-226)) ((|#2| |#1|) |has| |#1| (-226)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((-653 . -1091) T) ((-258 . -524) 155919) ((-243 . -524) 155857) ((-576 . -120) 155842) ((-535 . -23) T) ((-241 . -1091) 155792) ((-126 . -304) 155736) ((-491 . -524) 155496) ((-684 . -105) T) ((-1127 . -524) 155404) ((-393 . -138) T) ((-1258 . -978) 155373) ((-219 . -19) 155355) ((-146 . -19) 155330) ((-600 . -500) 155314) ((-815 . -839) T) ((-614 . -138) T) ((-532 . -62) 155264) ((-219 . -602) 155239) ((-146 . -602) 155207) ((-64 . -524) 155140) ((-528 . -524) 155073) ((-421 . -896) 155032) ((-170 . -1048) T) ((-526 . -524) 154965) ((-507 . -524) 154898) ((-506 . -524) 154831) ((-795 . -1038) 154611) ((-689 . -43) 154576) ((-342 . -351) T) ((-1157 . -1137) 154554) ((-1085 . -1084) 154538) ((-1085 . -1091) 154516) ((-170 . -239) 154467) ((-170 . -226) 154418) ((-1085 . -1086) 154376) ((-867 . -282) 154334) ((-216 . -791) T) ((-216 . -788) T) ((-684 . -280) NIL) ((-1136 . -1174) 154313) ((-410 . -994) 154297) ((-969 . -105) T) ((-691 . -21) T) ((-691 . -25) T) ((-1260 . -638) 154271) ((-1198 . -155) 154253) ((-1157 . -43) 154082) ((-311 . -162) 154061) ((-311 . -147) 154040) ((-1136 . -111) 153990) ((-140 . -25) T) ((-45 . -224) 153967) ((-125 . -21) T) ((-125 . -25) T) ((-604 . -284) 153943) ((-481 . -284) 153922) ((-1219 . -1048) T) ((-848 . -1048) T) ((-795 . -337) 153906) ((-126 . -1137) NIL) ((-96 . -609) 153873) ((-490 . -138) T) ((-592 . -1197) T) ((-1219 . -325) 153850) ((-576 . -1048) T) ((-1219 . -226) T) ((-653 . -708) 153834) ((-959 . -284) 153811) ((-775 . -500) 153763) ((-65 . -39) T) ((-1059 . -791) T) ((-1059 . -788) T) ((-812 . -717) T) ((-722 . -52) 153728) ((-616 . -43) 153715) ((-357 . -286) T) ((-354 . -286) T) ((-343 . -286) T) ((-258 . -286) 153646) ((-243 . -286) 153577) ((-1024 . -105) T) ((-416 . -717) T) ((-126 . -43) 153522) ((-416 . -479) T) ((-356 . -105) T) ((-1192 . -1055) T) ((-702 . -1055) T) ((-1242 . -1237) 153506) ((-1242 . -1224) 153483) ((-1161 . -52) 153460) ((-1160 . -52) 153430) ((-1153 . -52) 153407) ((-1036 . -155) 153353) ((-906 . -286) T) ((-1115 . -52) 153325) ((-684 . -304) NIL) ((-525 . -609) 153307) ((-520 . -609) 153289) ((-518 . -609) 153271) ((-326 . -1091) 153221) ((-116 . -105) T) ((-703 . -454) 153152) ((-53 . -105) T) ((-1230 . -282) 153137) ((-1209 . -282) 153057) ((-635 . -659) 153041) ((-635 . -641) 153025) ((-338 . -21) T) ((-338 . -25) T) ((-45 . -351) NIL) ((-861 . -1091) T) ((-174 . -21) T) ((-174 . -25) T) ((-856 . -1091) T) ((-635 . -376) 153009) ((-600 . -282) 152986) ((-391 . -105) T) ((-1109 . -147) T) ((-136 . -609) 152953) ((-870 . -1091) T) ((-649 . -414) 152937) ((-705 . -609) 152919) ((-1260 . -717) T) ((-219 . -609) 152901) ((-219 . -610) 152883) ((-163 . -609) 152865) ((-159 . -609) 152847) ((-146 . -609) 152829) ((-146 . -610) 152781) ((-1093 . -39) T) ((-116 . -117) T) ((-866 . -791) NIL) ((-866 . -788) NIL) ((-850 . -843) T) ((-722 . -882) NIL) ((-1269 . -138) T) ((-384 . -138) T) ((-900 . -105) T) ((-722 . -1038) 152657) ((-535 . -138) T) ((-1079 . -414) 152641) ((-1001 . -500) 152625) ((-126 . -403) 152602) ((-1153 . -1197) 152581) ((-778 . -414) 152565) ((-776 . -414) 152549) ((-945 . -39) T) ((-684 . -1137) NIL) ((-245 . -638) 152384) ((-244 . -638) 152206) ((-813 . -917) 152185) ((-456 . -414) 152169) ((-600 . -19) 152153) ((-1132 . -1191) 152122) ((-1153 . -882) NIL) ((-1153 . -880) 152074) ((-600 . -602) 152051) ((-1184 . -609) 152018) ((-1162 . -609) 152000) ((-67 . -398) T) ((-1160 . -1038) 151935) ((-1153 . -1038) 151901) ((-775 . -282) 151834) ((-684 . -43) 151784) ((-480 . -282) 151769) ((-722 . -380) 151753) ((-861 . -708) 151718) ((-649 . -1055) T) ((-856 . -708) 151668) ((-1230 . -1003) 151634) ((-1209 . -1003) 151600) ((-1060 . -1174) 151575) ((-867 . -610) 151376) ((-867 . -609) 151358) ((-1171 . -500) 151295) ((-421 . -1022) 151273) ((-53 . -304) 151260) ((-1060 . -111) 151206) ((-491 . -500) 151143) ((-529 . -1197) T) ((-1127 . -500) 151114) ((-1153 . -337) 151066) ((-1153 . -380) 151018) ((-440 . -105) T) ((-1079 . -1055) T) ((-245 . -39) T) ((-244 . -39) T) ((-775 . -1234) 150970) ((-778 . -1055) T) ((-776 . -1055) T) ((-722 . -896) 150947) ((-456 . -1055) T) ((-775 . -602) 150892) ((-64 . -500) 150876) ((-1035 . -1054) 150850) ((-924 . -1091) T) ((-528 . -500) 150834) ((-526 . -500) 150818) ((-507 . -500) 150802) ((-506 . -500) 150786) ((-735 . -917) 150765) ((-241 . -524) 150698) ((-1035 . -120) 150665) ((-1161 . -896) 150578) ((-234 . -638) 150538) ((-663 . -1103) T) ((-1160 . -896) 150444) ((-1153 . -896) 150277) ((-1115 . -896) 150261) ((-356 . -1137) T) ((-320 . -1054) 150243) ((-245 . -787) 150222) ((-245 . -790) 150173) ((-245 . -789) 150152) ((-244 . -787) 150131) ((-244 . -790) 150082) ((-244 . -789) 150061) ((-55 . -1055) T) ((-245 . -717) 149987) ((-244 . -717) 149913) ((-1192 . -1091) T) ((-663 . -23) T) ((-582 . -1055) T) ((-527 . -1055) T) ((-382 . -1054) 149878) ((-320 . -120) 149853) ((-78 . -386) T) ((-78 . -398) T) ((-1024 . -43) 149790) ((-684 . -403) 149772) ((-101 . -105) T) ((-702 . -1091) T) ((-1004 . -149) 149744) ((-382 . -120) 149693) ((-315 . -1202) 149672) ((-480 . -1003) 149638) ((-356 . -43) 149603) ((-45 . -373) 149575) ((-1004 . -151) 149547) ((-137 . -135) 149531) ((-131 . -135) 149515) ((-830 . -1054) 149485) ((-829 . -21) 149437) ((-823 . -1054) 149421) ((-829 . -25) 149373) ((-315 . -559) 149324) ((-569 . -824) T) ((-233 . -1197) T) ((-861 . -173) T) ((-856 . -173) T) ((-830 . -120) 149289) ((-823 . -120) 149268) ((-1230 . -609) 149250) ((-1209 . -609) 149232) ((-1209 . -610) 148903) ((-1159 . -905) 148882) ((-1114 . -905) 148861) ((-53 . -43) 148826) ((-1267 . -1103) T) ((-600 . -609) 148765) ((-600 . -610) 148726) ((-1265 . -1103) T) ((-233 . -1038) 148553) ((-1159 . -638) 148478) ((-1114 . -638) 148403) ((-709 . -609) 148385) ((-847 . -638) 148359) ((-1267 . -23) T) ((-1265 . -23) T) ((-1157 . -224) 148343) ((-1035 . -1048) T) ((-1171 . -282) 148322) ((-170 . -371) 148273) ((-1005 . -1197) T) ((-49 . -23) T) ((-1273 . -105) T) ((-1192 . -708) 148170) ((-491 . -282) 148149) ((-586 . -1091) T) ((-1178 . -1091) T) ((-1132 . -1100) 148118) ((-1095 . -1094) 148070) ((-393 . -21) T) ((-393 . -25) T) ((-156 . -1103) T) ((-1005 . -1038) 148030) ((-1005 . -880) 148012) ((-1005 . -882) 147994) ((-734 . -105) T) ((-234 . -717) T) ((-616 . -224) 147978) ((-614 . -21) T) ((-285 . -559) T) ((-614 . -25) T) ((-702 . -708) 147943) ((-382 . -1048) T) ((-233 . -380) 147912) ((-219 . -284) 147887) ((-146 . -284) 147855) ((-214 . -1055) T) ((-126 . -224) 147832) ((-64 . -282) 147809) ((-156 . -23) T) ((-526 . -282) 147786) ((-326 . -524) 147719) ((-506 . -282) 147696) ((-382 . -239) T) ((-382 . -226) T) ((-858 . -609) 147678) ((-830 . -1048) T) ((-823 . -1048) T) ((-775 . -609) 147660) ((-775 . -610) NIL) ((-703 . -951) 147629) ((-691 . -843) T) ((-480 . -609) 147611) ((-823 . -226) 147590) ((-140 . -843) T) ((-649 . -1091) T) ((-1171 . -602) 147569) ((-552 . -1174) 147548) ((-335 . -1091) T) ((-315 . -366) 147527) ((-410 . -151) 147506) ((-410 . -149) 147485) ((-237 . -1091) T) ((-966 . -1103) 147384) ((-233 . -896) 147316) ((-811 . -1103) 147226) ((-645 . -845) 147210) ((-491 . -602) 147189) ((-552 . -111) 147139) ((-1005 . -380) 147121) ((-1005 . -337) 147103) ((-99 . -1091) T) ((-966 . -23) 146914) ((-490 . -21) T) ((-490 . -25) T) ((-811 . -23) 146784) ((-1163 . -609) 146766) ((-64 . -19) 146750) ((-1163 . -610) 146672) ((-1159 . -717) T) ((-1114 . -717) T) ((-526 . -19) 146656) ((-506 . -19) 146640) ((-64 . -602) 146617) ((-1079 . -1091) T) ((-897 . -105) 146595) ((-847 . -717) T) ((-778 . -1091) T) ((-526 . -602) 146572) ((-506 . -602) 146549) ((-776 . -1091) T) ((-776 . -1062) 146516) ((-464 . -1091) T) ((-456 . -1091) T) ((-1242 . -105) T) ((-586 . -708) 146491) ((-260 . -105) 146469) ((-639 . -1091) T) ((-1242 . -280) 146435) ((-1238 . -52) 146412) ((-1232 . -105) T) ((-1231 . -52) 146382) ((-1005 . -896) NIL) ((-1210 . -52) 146359) ((-619 . -1103) T) ((-663 . -138) T) ((-1204 . -52) 146336) ((-1192 . -173) 146287) ((-1160 . -302) 146266) ((-1153 . -302) 146245) ((-1074 . -1202) 146196) ((-272 . -1091) T) ((-90 . -443) T) ((-90 . -398) T) ((-1074 . -559) 146147) ((-771 . -609) 146129) ((-55 . -1091) T) ((-702 . -173) T) ((-594 . -52) 146106) ((-216 . -638) 146071) ((-582 . -1091) T) ((-538 . -1091) T) ((-527 . -1091) T) ((-362 . -1202) T) ((-355 . -1202) T) ((-344 . -1202) T) ((-498 . -816) T) ((-498 . -917) T) ((-315 . -1103) T) ((-112 . -1202) T) ((-734 . -304) 146058) ((-338 . -843) T) ((-209 . -917) T) ((-209 . -816) T) ((-705 . -1054) 146028) ((-362 . -559) T) ((-355 . -559) T) ((-344 . -559) T) ((-112 . -559) T) ((-1153 . -1022) NIL) ((-649 . -708) 145998) ((-861 . -286) T) ((-856 . -286) T) ((-315 . -23) T) ((-72 . -1197) T) ((-1001 . -609) 145965) ((-684 . -224) 145947) ((-237 . -708) 145929) ((-705 . -120) 145894) ((-635 . -39) T) ((-241 . -500) 145878) ((-1093 . -1088) 145862) ((-172 . -1091) T) ((-954 . -905) 145841) ((-493 . -905) 145820) ((-1269 . -21) T) ((-1269 . -25) T) ((-1267 . -138) T) ((-1265 . -138) T) ((-1079 . -708) 145669) ((-1059 . -638) 145656) ((-954 . -638) 145581) ((-778 . -708) 145410) ((-542 . -609) 145392) ((-542 . -610) 145373) ((-776 . -708) 145222) ((-1258 . -105) T) ((-1071 . -105) T) ((-384 . -25) T) ((-384 . -21) T) ((-493 . -638) 145147) ((-464 . -708) 145118) ((-456 . -708) 144967) ((-989 . -105) T) ((-728 . -105) T) ((-1273 . -1137) T) ((-535 . -25) T) ((-1210 . -1197) 144946) ((-1243 . -609) 144912) ((-1210 . -882) NIL) ((-1210 . -880) 144864) ((-143 . -105) T) ((-49 . -138) T) ((-1171 . -610) NIL) ((-1171 . -609) 144846) ((-1128 . -1112) 144791) ((-342 . -1055) T) ((-657 . -609) 144773) ((-285 . -1103) T) ((-357 . -609) 144755) ((-354 . -609) 144737) ((-343 . -609) 144719) ((-258 . -610) 144467) ((-258 . -609) 144449) ((-243 . -609) 144431) ((-243 . -610) 144292) ((-1045 . -1191) 144221) ((-897 . -304) 144159) ((-1231 . -1038) 144094) ((-1210 . -1038) 144060) ((-1192 . -524) 144027) ((-1127 . -609) 144009) ((-815 . -717) T) ((-582 . -708) 143974) ((-600 . -284) 143951) ((-527 . -708) 143896) ((-491 . -610) NIL) ((-491 . -609) 143878) ((-311 . -105) T) ((-260 . -304) 143816) ((-308 . -105) T) ((-285 . -23) T) ((-156 . -138) T) ((-968 . -609) 143798) ((-906 . -609) 143780) ((-389 . -717) T) ((-867 . -1054) 143732) ((-906 . -610) 143714) ((-867 . -120) 143645) ((-734 . -43) 143569) ((-142 . -105) T) ((-123 . -105) T) ((-703 . -1222) 143553) ((-705 . -1048) T) ((-684 . -351) NIL) ((-528 . -609) 143520) ((-382 . -791) T) ((-214 . -1091) T) ((-382 . -788) T) ((-216 . -790) T) ((-216 . -787) T) ((-64 . -610) 143481) ((-64 . -609) 143420) ((-216 . -717) T) ((-526 . -610) 143381) ((-526 . -609) 143320) ((-507 . -609) 143287) ((-506 . -610) 143248) ((-506 . -609) 143187) ((-1074 . -366) 143138) ((-45 . -414) 143115) ((-82 . -1197) T) ((-118 . -105) T) ((-967 . -972) 143099) ((-866 . -905) NIL) ((-362 . -328) 143083) ((-362 . -366) T) ((-355 . -328) 143067) ((-355 . -366) T) ((-344 . -328) 143051) ((-344 . -366) T) ((-311 . -280) 143030) ((-112 . -366) T) ((-75 . -1197) T) ((-1210 . -337) 142982) ((-866 . -638) 142927) ((-1210 . -380) 142879) ((-966 . -138) 142734) ((-811 . -138) 142604) ((-959 . -641) 142588) ((-1079 . -173) 142499) ((-1059 . -790) T) ((-959 . -376) 142483) ((-1059 . -787) T) ((-118 . -117) T) ((-775 . -284) 142428) ((-778 . -173) 142319) ((-776 . -173) 142230) ((-812 . -52) 142192) ((-1059 . -717) T) ((-326 . -500) 142176) ((-954 . -717) T) ((-456 . -173) 142087) ((-241 . -282) 142064) ((-493 . -717) T) ((-1258 . -304) 142002) ((-1242 . -43) 141899) ((-1238 . -896) 141812) ((-1231 . -896) 141718) ((-1230 . -1054) 141553) ((-1210 . -896) 141386) ((-1209 . -1054) 141194) ((-1204 . -896) 141107) ((-1198 . -105) T) ((-1192 . -286) 141086) ((-1132 . -155) 141070) ((-1069 . -105) T) ((-928 . -956) T) ((-728 . -304) 141008) ((-80 . -1197) T) ((-170 . -905) 140961) ((-34 . -105) T) ((-657 . -385) 140933) ((-30 . -956) T) ((-1 . -609) 140915) ((-1109 . -105) T) ((-1074 . -23) T) ((-55 . -613) 140899) ((-1074 . -1103) T) ((-1004 . -412) 140871) ((-594 . -896) 140784) ((-441 . -105) T) ((-143 . -304) NIL) ((-867 . -1048) T) ((-829 . -843) 140763) ((-86 . -1197) T) ((-702 . -286) T) ((-45 . -1055) T) ((-582 . -173) T) ((-527 . -173) T) ((-521 . -609) 140745) ((-170 . -638) 140655) ((-517 . -609) 140637) ((-353 . -151) 140619) ((-353 . -149) T) ((-362 . -1103) T) ((-355 . -1103) T) ((-344 . -1103) T) ((-1005 . -302) T) ((-911 . -302) T) ((-867 . -239) T) ((-112 . -1103) T) ((-867 . -226) 140598) ((-734 . -403) 140582) ((-1230 . -120) 140396) ((-1209 . -120) 140178) ((-241 . -1234) 140162) ((-569 . -841) T) ((-362 . -23) T) ((-356 . -351) T) ((-311 . -304) 140149) ((-308 . -304) 140045) ((-355 . -23) T) ((-315 . -138) T) ((-344 . -23) T) ((-1005 . -1022) T) ((-112 . -23) T) ((-241 . -602) 140022) ((-1232 . -43) 139879) ((-1219 . -905) 139858) ((-121 . -1091) T) ((-1036 . -105) T) ((-1219 . -638) 139783) ((-866 . -790) NIL) ((-848 . -638) 139757) ((-866 . -787) NIL) ((-812 . -882) NIL) ((-866 . -717) T) ((-1079 . -524) 139620) ((-778 . -524) 139566) ((-776 . -524) 139518) ((-576 . -638) 139505) ((-812 . -1038) 139333) ((-456 . -524) 139271) ((-391 . -392) T) ((-65 . -1197) T) ((-614 . -843) 139250) ((-510 . -652) T) ((-1132 . -978) 139219) ((-858 . -1054) 139171) ((-775 . -1054) 139123) ((-1004 . -454) T) ((-689 . -841) T) ((-520 . -788) T) ((-480 . -1054) 138958) ((-342 . -1091) T) ((-308 . -1137) NIL) ((-285 . -138) T) ((-397 . -1091) T) ((-865 . -1055) T) ((-684 . -373) 138925) ((-858 . -120) 138856) ((-775 . -120) 138787) ((-214 . -613) 138764) ((-326 . -282) 138741) ((-1198 . -304) NIL) ((-480 . -120) 138555) ((-1230 . -1048) T) ((-1209 . -1048) T) ((-812 . -380) 138539) ((-170 . -717) T) ((-645 . -105) T) ((-1230 . -239) 138518) ((-1230 . -226) 138470) ((-1209 . -226) 138375) ((-1209 . -239) 138354) ((-1004 . -405) NIL) ((-663 . -631) 138302) ((-311 . -43) 138212) ((-308 . -43) 138141) ((-74 . -609) 138123) ((-315 . -503) 138089) ((-1171 . -284) 138068) ((-1104 . -1103) 137978) ((-88 . -1197) T) ((-66 . -609) 137960) ((-491 . -284) 137939) ((-1260 . -1038) 137916) ((-1151 . -1091) T) ((-1104 . -23) 137786) ((-812 . -896) 137722) ((-1219 . -717) T) ((-1093 . -1197) T) ((-1079 . -286) 137653) ((-889 . -105) T) ((-778 . -286) 137564) ((-326 . -19) 137548) ((-64 . -284) 137525) ((-776 . -286) 137456) ((-848 . -717) T) ((-126 . -841) NIL) ((-526 . -284) 137433) ((-326 . -602) 137410) ((-506 . -284) 137387) ((-456 . -286) 137318) ((-1036 . -304) 137169) ((-576 . -717) T) ((-653 . -609) 137151) ((-241 . -610) 137112) ((-241 . -609) 137051) ((-1133 . -39) T) ((-945 . -1197) T) ((-342 . -708) 136996) ((-858 . -1048) T) ((-775 . -1048) T) ((-663 . -25) T) ((-663 . -21) T) ((-1109 . -1137) T) ((-480 . -1048) T) ((-627 . -420) 136961) ((-603 . -420) 136926) ((-923 . -1091) T) ((-858 . -226) T) ((-858 . -239) T) ((-775 . -226) 136885) ((-775 . -239) T) ((-582 . -286) T) ((-527 . -286) T) ((-1231 . -302) 136864) ((-480 . -226) 136816) ((-480 . -239) 136795) ((-1210 . -302) 136774) ((-1074 . -138) T) ((-867 . -791) 136753) ((-148 . -105) T) ((-45 . -1091) T) ((-867 . -788) 136732) ((-635 . -1011) 136716) ((-581 . -1055) T) ((-569 . -1055) T) ((-505 . -1055) T) ((-410 . -454) T) ((-362 . -138) T) ((-311 . -403) 136700) ((-308 . -403) 136661) ((-355 . -138) T) ((-344 . -138) T) ((-1210 . -1022) NIL) ((-1085 . -609) 136628) ((-112 . -138) T) ((-1109 . -43) 136615) ((-918 . -1091) T) ((-764 . -1091) T) ((-664 . -1091) T) ((-691 . -151) T) ((-1157 . -414) 136599) ((-125 . -151) T) ((-1267 . -21) T) ((-1267 . -25) T) ((-1265 . -21) T) ((-1265 . -25) T) ((-657 . -1054) 136583) ((-535 . -843) T) ((-510 . -843) T) ((-357 . -1054) 136535) ((-354 . -1054) 136487) ((-343 . -1054) 136439) ((-245 . -1197) T) ((-244 . -1197) T) ((-258 . -1054) 136282) ((-243 . -1054) 136125) ((-657 . -120) 136104) ((-357 . -120) 136035) ((-354 . -120) 135966) ((-343 . -120) 135897) ((-258 . -120) 135719) ((-243 . -120) 135541) ((-813 . -1202) 135520) ((-616 . -414) 135504) ((-49 . -21) T) ((-49 . -25) T) ((-811 . -631) 135410) ((-813 . -559) 135389) ((-245 . -1038) 135216) ((-244 . -1038) 135043) ((-136 . -128) 135027) ((-906 . -1054) 134992) ((-689 . -1055) T) ((-703 . -105) T) ((-219 . -641) 134974) ((-146 . -641) 134949) ((-342 . -173) T) ((-219 . -376) 134931) ((-146 . -376) 134906) ((-156 . -21) T) ((-156 . -25) T) ((-93 . -609) 134888) ((-906 . -120) 134837) ((-45 . -708) 134782) ((-865 . -1091) T) ((-326 . -610) 134743) ((-326 . -609) 134682) ((-1209 . -788) 134635) ((-1157 . -1055) T) ((-1209 . -791) 134588) ((-245 . -380) 134557) ((-244 . -380) 134526) ((-861 . -609) 134508) ((-856 . -609) 134490) ((-645 . -43) 134460) ((-604 . -39) T) ((-494 . -1103) 134370) ((-481 . -39) T) ((-1104 . -138) 134240) ((-1165 . -559) 134219) ((-966 . -25) 134030) ((-870 . -609) 134012) ((-966 . -21) 133967) ((-811 . -21) 133877) ((-811 . -25) 133728) ((-1159 . -52) 133705) ((-616 . -1055) T) ((-1114 . -52) 133677) ((-465 . -1091) T) ((-357 . -1048) T) ((-354 . -1048) T) ((-494 . -23) 133547) ((-343 . -1048) T) ((-258 . -1048) T) ((-243 . -1048) T) ((-1035 . -638) 133521) ((-126 . -1055) T) ((-959 . -39) T) ((-735 . -1202) 133500) ((-357 . -226) 133479) ((-357 . -239) T) ((-354 . -226) 133458) ((-354 . -239) T) ((-343 . -226) 133437) ((-243 . -325) 133394) ((-343 . -239) T) ((-258 . -325) 133366) ((-258 . -226) 133345) ((-1143 . -155) 133329) ((-735 . -559) 133240) ((-245 . -896) 133172) ((-244 . -896) 133104) ((-1076 . -843) T) ((-1213 . -1197) T) ((-417 . -1103) T) ((-1052 . -23) T) ((-906 . -1048) T) ((-320 . -638) 133086) ((-1024 . -841) T) ((-1192 . -1003) 133052) ((-1160 . -917) 133031) ((-1153 . -917) 133010) ((-906 . -239) T) ((-813 . -366) 132989) ((-388 . -23) T) ((-137 . -1091) 132967) ((-131 . -1091) 132945) ((-906 . -226) T) ((-1153 . -816) NIL) ((-382 . -638) 132910) ((-865 . -708) 132897) ((-1045 . -155) 132862) ((-45 . -173) T) ((-684 . -414) 132844) ((-703 . -304) 132831) ((-830 . -638) 132791) ((-823 . -638) 132765) ((-315 . -25) T) ((-315 . -21) T) ((-649 . -282) 132744) ((-581 . -1091) T) ((-569 . -1091) T) ((-505 . -1091) T) ((-241 . -284) 132721) ((-308 . -224) 132682) ((-1159 . -882) NIL) ((-1114 . -882) 132541) ((-1159 . -1038) 132421) ((-1114 . -1038) 132304) ((-847 . -1038) 132200) ((-778 . -282) 132127) ((-924 . -609) 132109) ((-813 . -1103) T) ((-1035 . -717) T) ((-600 . -641) 132093) ((-1045 . -978) 132022) ((-1000 . -105) T) ((-813 . -23) T) ((-703 . -1137) 132000) ((-684 . -1055) T) ((-600 . -376) 131984) ((-353 . -454) T) ((-342 . -286) T) ((-1248 . -1091) T) ((-466 . -105) T) ((-402 . -105) T) ((-285 . -21) T) ((-285 . -25) T) ((-364 . -717) T) ((-701 . -1091) T) ((-689 . -1091) T) ((-364 . -479) T) ((-1192 . -609) 131966) ((-1159 . -380) 131950) ((-1114 . -380) 131934) ((-1024 . -414) 131896) ((-143 . -222) 131878) ((-382 . -790) T) ((-382 . -787) T) ((-865 . -173) T) ((-382 . -717) T) ((-702 . -609) 131860) ((-703 . -43) 131689) ((-1247 . -1245) 131673) ((-353 . -405) T) ((-1247 . -1091) 131623) ((-581 . -708) 131610) ((-569 . -708) 131597) ((-505 . -708) 131562) ((-858 . -1264) 131546) ((-311 . -621) 131525) ((-830 . -717) T) ((-823 . -717) T) ((-1157 . -1091) T) ((-635 . -1197) T) ((-1074 . -631) 131473) ((-1159 . -896) 131416) ((-1114 . -896) 131400) ((-653 . -1054) 131384) ((-112 . -631) 131366) ((-494 . -138) 131236) ((-775 . -641) 131188) ((-1165 . -1103) T) ((-858 . -371) T) ((-954 . -52) 131157) ((-735 . -1103) T) ((-616 . -1091) T) ((-653 . -120) 131136) ((-326 . -284) 131113) ((-493 . -52) 131070) ((-1165 . -23) T) ((-130 . -1091) T) ((-126 . -1091) T) ((-106 . -105) 131048) ((-735 . -23) T) ((-1257 . -1103) T) ((-1052 . -138) T) ((-1024 . -1055) T) ((-815 . -1038) 131032) ((-1004 . -715) 131004) ((-1257 . -23) T) ((-689 . -708) 130969) ((-586 . -609) 130951) ((-389 . -1038) 130935) ((-356 . -1055) T) ((-388 . -138) T) ((-322 . -1038) 130919) ((-216 . -882) 130901) ((-1005 . -917) T) ((-96 . -39) T) ((-1005 . -816) T) ((-911 . -917) T) ((-498 . -1202) T) ((-1178 . -609) 130883) ((-1096 . -1091) T) ((-209 . -1202) T) ((-1000 . -304) 130848) ((-216 . -1038) 130808) ((-45 . -286) T) ((-1074 . -21) T) ((-1074 . -25) T) ((-1109 . -824) T) ((-498 . -559) T) ((-362 . -25) T) ((-209 . -559) T) ((-362 . -21) T) ((-355 . -25) T) ((-355 . -21) T) ((-705 . -638) 130768) ((-344 . -25) T) ((-344 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1055) T) ((-1157 . -708) 130597) ((-581 . -173) T) ((-569 . -173) T) ((-505 . -173) T) ((-649 . -609) 130579) ((-728 . -727) 130563) ((-335 . -609) 130545) ((-237 . -609) 130527) ((-73 . -386) T) ((-73 . -398) T) ((-1093 . -111) 130511) ((-1059 . -882) 130493) ((-954 . -882) 130418) ((-644 . -1103) T) ((-616 . -708) 130405) ((-493 . -882) NIL) ((-1132 . -105) T) ((-1059 . -1038) 130387) ((-99 . -609) 130369) ((-490 . -151) T) ((-954 . -1038) 130249) ((-126 . -708) 130194) ((-644 . -23) T) ((-493 . -1038) 130070) ((-1079 . -610) NIL) ((-1079 . -609) 130052) ((-778 . -610) NIL) ((-778 . -609) 130013) ((-776 . -610) 129647) ((-776 . -609) 129561) ((-1104 . -631) 129467) ((-464 . -609) 129449) ((-456 . -609) 129431) ((-456 . -610) 129292) ((-1036 . -222) 129238) ((-136 . -39) T) ((-813 . -138) T) ((-867 . -905) 129217) ((-639 . -609) 129199) ((-357 . -1264) 129183) ((-354 . -1264) 129167) ((-343 . -1264) 129151) ((-137 . -524) 129084) ((-131 . -524) 129017) ((-521 . -788) T) ((-521 . -791) T) ((-520 . -790) T) ((-106 . -304) 128955) ((-213 . -105) 128933) ((-219 . -39) T) ((-146 . -39) T) ((-684 . -1091) T) ((-689 . -173) T) ((-867 . -638) 128885) ((-1000 . -43) 128833) ((-70 . -387) T) ((-272 . -609) 128815) ((-70 . -398) T) ((-954 . -380) 128799) ((-865 . -286) T) ((-55 . -609) 128781) ((-861 . -1054) 128746) ((-856 . -1054) 128696) ((-582 . -609) 128678) ((-582 . -610) 128660) ((-493 . -380) 128644) ((-538 . -609) 128626) ((-527 . -609) 128608) ((-906 . -1264) 128595) ((-866 . -1197) T) ((-861 . -120) 128544) ((-691 . -454) T) ((-856 . -120) 128471) ((-505 . -524) 128437) ((-498 . -366) T) ((-357 . -371) 128416) ((-354 . -371) 128395) ((-343 . -371) 128374) ((-209 . -366) T) ((-705 . -717) T) ((-125 . -454) T) ((-1157 . -173) 128265) ((-1268 . -1259) 128249) ((-866 . -880) 128226) ((-866 . -882) NIL) ((-966 . -843) 128125) ((-811 . -843) 128076) ((-645 . -647) 128060) ((-1184 . -39) T) ((-172 . -609) 128042) ((-1104 . -21) 127952) ((-1104 . -25) 127803) ((-969 . -1091) T) ((-866 . -1038) 127780) ((-954 . -896) 127761) ((-1219 . -52) 127738) ((-906 . -371) T) ((-64 . -641) 127722) ((-526 . -641) 127706) ((-493 . -896) 127683) ((-76 . -443) T) ((-76 . -398) T) ((-506 . -641) 127667) ((-64 . -376) 127651) ((-616 . -173) T) ((-526 . -376) 127635) ((-506 . -376) 127619) ((-823 . -699) 127603) ((-1159 . -302) 127582) ((-1165 . -138) T) ((-126 . -173) T) ((-735 . -138) T) ((-1132 . -304) 127520) ((-170 . -1197) T) ((-627 . -737) 127504) ((-603 . -737) 127488) ((-1257 . -138) T) ((-1231 . -917) 127467) ((-1210 . -917) 127446) ((-1210 . -816) NIL) ((-684 . -708) 127396) ((-1209 . -905) 127349) ((-1024 . -1091) T) ((-866 . -380) 127326) ((-866 . -337) 127303) ((-901 . -1103) T) ((-170 . -880) 127287) ((-170 . -882) 127212) ((-1247 . -524) 127145) ((-498 . -1103) T) ((-356 . -1091) T) ((-209 . -1103) T) ((-81 . -443) T) ((-81 . -398) T) ((-1230 . -638) 127042) ((-170 . -1038) 126938) ((-315 . -843) T) ((-861 . -1048) T) ((-856 . -1048) T) ((-1209 . -638) 126808) ((-867 . -790) 126787) ((-867 . -787) 126766) ((-1269 . -1262) 126745) ((-867 . -717) T) ((-498 . -23) T) ((-214 . -609) 126727) ((-174 . -454) T) ((-213 . -304) 126665) ((-91 . -443) T) ((-91 . -398) T) ((-861 . -239) T) ((-209 . -23) T) ((-856 . -239) T) ((-734 . -414) 126649) ((-514 . -537) 126524) ((-581 . -286) T) ((-569 . -286) T) ((-668 . -1038) 126508) ((-505 . -286) T) ((-1157 . -524) 126454) ((-142 . -476) 126409) ((-116 . -1091) T) ((-53 . -1091) T) ((-703 . -224) 126393) ((-866 . -896) NIL) ((-1219 . -882) NIL) ((-885 . -105) T) ((-881 . -105) T) ((-391 . -1091) T) ((-170 . -380) 126377) ((-170 . -337) 126361) ((-1219 . -1038) 126241) ((-848 . -1038) 126137) ((-1128 . -105) T) ((-644 . -138) T) ((-126 . -524) 126000) ((-653 . -788) 125979) ((-653 . -791) 125958) ((-576 . -1038) 125940) ((-289 . -1254) 125910) ((-854 . -105) T) ((-965 . -559) 125889) ((-1192 . -1054) 125772) ((-494 . -631) 125678) ((-900 . -1091) T) ((-1024 . -708) 125615) ((-702 . -1054) 125580) ((-858 . -638) 125532) ((-775 . -638) 125484) ((-600 . -39) T) ((-1133 . -1197) T) ((-1192 . -120) 125346) ((-480 . -638) 125243) ((-356 . -708) 125188) ((-170 . -896) 125147) ((-689 . -286) T) ((-734 . -1055) T) ((-684 . -173) T) ((-702 . -120) 125096) ((-1273 . -1055) T) ((-1219 . -380) 125080) ((-421 . -1202) 125058) ((-308 . -841) NIL) ((-421 . -559) T) ((-216 . -302) T) ((-1209 . -787) 125011) ((-1209 . -790) 124964) ((-33 . -1089) T) ((-1230 . -717) T) ((-1209 . -717) T) ((-53 . -708) 124929) ((-1157 . -286) 124840) ((-216 . -1022) T) ((-353 . -1254) 124817) ((-1232 . -414) 124783) ((-709 . -717) T) ((-1219 . -896) 124726) ((-121 . -609) 124708) ((-121 . -610) 124690) ((-709 . -479) T) ((-494 . -21) 124600) ((-137 . -500) 124584) ((-131 . -500) 124568) ((-494 . -25) 124419) ((-616 . -286) T) ((-775 . -39) T) ((-586 . -1054) 124394) ((-440 . -1091) T) ((-1059 . -302) T) ((-126 . -286) T) ((-1095 . -105) T) ((-1004 . -105) T) ((-586 . -120) 124355) ((-1242 . -1055) T) ((-1128 . -304) 124293) ((-1192 . -1048) T) ((-1059 . -1022) T) ((-71 . -1197) T) ((-1052 . -25) T) ((-1052 . -21) T) ((-702 . -1048) T) ((-388 . -21) T) ((-388 . -25) T) ((-684 . -524) NIL) ((-1024 . -173) T) ((-702 . -239) T) ((-1059 . -551) T) ((-858 . -717) T) ((-775 . -717) T) ((-512 . -105) T) ((-356 . -173) T) ((-342 . -609) 124275) ((-397 . -609) 124257) ((-480 . -717) T) ((-1109 . -841) T) ((-888 . -1038) 124225) ((-112 . -843) T) ((-649 . -1054) 124209) ((-498 . -138) T) ((-1232 . -1055) T) ((-209 . -138) T) ((-237 . -1054) 124191) ((-1143 . -105) 124169) ((-101 . -1091) T) ((-241 . -659) 124153) ((-241 . -641) 124137) ((-649 . -120) 124116) ((-311 . -414) 124100) ((-241 . -376) 124084) ((-1146 . -228) 124031) ((-1000 . -224) 124015) ((-237 . -120) 123990) ((-79 . -1197) T) ((-53 . -173) T) ((-691 . -390) T) ((-691 . -147) T) ((-1268 . -105) T) ((-1079 . -1054) 123833) ((-258 . -905) 123812) ((-243 . -905) 123791) ((-778 . -1054) 123614) ((-776 . -1054) 123457) ((-604 . -1197) T) ((-1151 . -609) 123439) ((-1079 . -120) 123261) ((-1045 . -105) T) ((-481 . -1197) T) ((-464 . -1054) 123232) ((-456 . -1054) 123075) ((-657 . -638) 123059) ((-866 . -302) T) ((-778 . -120) 122861) ((-776 . -120) 122683) ((-357 . -638) 122635) ((-354 . -638) 122587) ((-343 . -638) 122539) ((-258 . -638) 122464) ((-243 . -638) 122389) ((-1145 . -843) T) ((-464 . -120) 122350) ((-456 . -120) 122172) ((-1080 . -1038) 122156) ((-1070 . -1038) 122133) ((-1001 . -39) T) ((-959 . -1197) T) ((-136 . -1011) 122117) ((-965 . -1103) T) ((-866 . -1022) NIL) ((-726 . -1103) T) ((-706 . -1103) T) ((-1247 . -500) 122101) ((-1128 . -43) 122061) ((-965 . -23) T) ((-906 . -638) 122026) ((-836 . -105) T) ((-813 . -21) T) ((-813 . -25) T) ((-726 . -23) T) ((-706 . -23) T) ((-114 . -652) T) ((-771 . -717) T) ((-582 . -1054) 121991) ((-527 . -1054) 121936) ((-220 . -62) 121894) ((-455 . -23) T) ((-410 . -105) T) ((-257 . -105) T) ((-771 . -479) T) ((-967 . -105) T) ((-684 . -286) T) ((-854 . -43) 121864) ((-582 . -120) 121813) ((-527 . -120) 121730) ((-735 . -631) 121678) ((-421 . -1103) T) ((-311 . -1055) 121568) ((-308 . -1055) T) ((-923 . -609) 121550) ((-734 . -1091) T) ((-649 . -1048) T) ((-1273 . -1091) T) ((-170 . -302) 121481) ((-421 . -23) T) ((-45 . -609) 121463) ((-45 . -610) 121447) ((-112 . -994) 121429) ((-125 . -864) 121413) ((-53 . -524) 121379) ((-1184 . -1011) 121363) ((-1171 . -39) T) ((-918 . -609) 121345) ((-1104 . -843) 121296) ((-764 . -609) 121278) ((-664 . -609) 121260) ((-1143 . -304) 121198) ((-1083 . -1197) T) ((-491 . -39) T) ((-1079 . -1048) T) ((-490 . -454) T) ((-861 . -1264) 121173) ((-856 . -1264) 121133) ((-1127 . -39) T) ((-778 . -1048) T) ((-776 . -1048) T) ((-637 . -228) 121117) ((-624 . -228) 121063) ((-1219 . -302) 121042) ((-1079 . -325) 121003) ((-456 . -1048) T) ((-1165 . -21) T) ((-1079 . -226) 120982) ((-778 . -325) 120959) ((-778 . -226) T) ((-776 . -325) 120931) ((-326 . -641) 120915) ((-722 . -1202) 120894) ((-1165 . -25) T) ((-64 . -39) T) ((-528 . -39) T) ((-526 . -39) T) ((-456 . -325) 120873) ((-326 . -376) 120857) ((-507 . -39) T) ((-506 . -39) T) ((-1004 . -1137) NIL) ((-627 . -105) T) ((-603 . -105) T) ((-722 . -559) 120788) ((-357 . -717) T) ((-354 . -717) T) ((-343 . -717) T) ((-258 . -717) T) ((-243 . -717) T) ((-735 . -25) T) ((-735 . -21) T) ((-1045 . -304) 120696) ((-1257 . -21) T) ((-1257 . -25) T) ((-897 . -1091) 120674) ((-55 . -1048) T) ((-1242 . -1091) T) ((-1161 . -559) 120653) ((-1160 . -1202) 120632) ((-1160 . -559) 120583) ((-1153 . -1202) 120562) ((-582 . -1048) T) ((-527 . -1048) T) ((-514 . -105) T) ((-1024 . -286) T) ((-364 . -1038) 120546) ((-320 . -1038) 120530) ((-260 . -1091) 120508) ((-382 . -882) 120490) ((-1153 . -559) 120441) ((-1115 . -559) 120420) ((-1004 . -43) 120365) ((-795 . -1103) T) ((-906 . -717) T) ((-582 . -239) T) ((-582 . -226) T) ((-527 . -226) T) ((-527 . -239) T) ((-734 . -708) 120289) ((-356 . -286) T) ((-637 . -685) 120273) ((-382 . -1038) 120233) ((-260 . -259) 120217) ((-1109 . -1055) T) ((-106 . -135) 120201) ((-795 . -23) T) ((-1267 . -1262) 120177) ((-1265 . -1262) 120156) ((-1247 . -282) 120133) ((-410 . -304) 120098) ((-1232 . -1091) T) ((-1157 . -282) 120025) ((-865 . -609) 120007) ((-830 . -1038) 119976) ((-196 . -783) T) ((-195 . -783) T) ((-34 . -37) 119953) ((-194 . -783) T) ((-193 . -783) T) ((-192 . -783) T) ((-191 . -783) T) ((-190 . -783) T) ((-189 . -783) T) ((-188 . -783) T) ((-187 . -783) T) ((-505 . -1003) T) ((-271 . -832) T) ((-270 . -832) T) ((-269 . -832) T) ((-268 . -832) T) ((-53 . -286) T) ((-267 . -832) T) ((-266 . -832) T) ((-265 . -832) T) ((-186 . -783) T) ((-608 . -843) T) ((-645 . -414) 119937) ((-114 . -843) T) ((-644 . -21) T) ((-644 . -25) T) ((-465 . -609) 119919) ((-1268 . -43) 119889) ((-1247 . -19) 119873) ((-126 . -282) 119803) ((-217 . -105) T) ((-145 . -105) T) ((-1247 . -602) 119780) ((-1258 . -1091) T) ((-1242 . -708) 119677) ((-1071 . -1091) T) ((-989 . -1091) T) ((-965 . -138) T) ((-728 . -1091) T) ((-726 . -138) T) ((-706 . -138) T) ((-521 . -789) T) ((-410 . -1137) 119655) ((-455 . -138) T) ((-521 . -790) T) ((-214 . -1048) T) ((-289 . -105) 119437) ((-143 . -1091) T) ((-689 . -1003) T) ((-96 . -1197) T) ((-137 . -609) 119404) ((-131 . -609) 119371) ((-734 . -173) T) ((-1273 . -173) T) ((-1160 . -366) 119350) ((-1153 . -366) 119329) ((-311 . -1091) T) ((-421 . -138) T) ((-308 . -1091) T) ((-410 . -43) 119281) ((-1122 . -105) T) ((-1232 . -708) 119138) ((-645 . -1055) T) ((-315 . -149) 119117) ((-315 . -151) 119096) ((-142 . -1091) T) ((-123 . -1091) T) ((-850 . -105) T) ((-581 . -609) 119078) ((-569 . -610) 118977) ((-569 . -609) 118959) ((-505 . -609) 118941) ((-505 . -610) 118886) ((-496 . -23) T) ((-494 . -843) 118837) ((-118 . -1091) T) ((-498 . -631) 118819) ((-775 . -1011) 118771) ((-209 . -631) 118753) ((-216 . -407) T) ((-653 . -638) 118737) ((-1159 . -917) 118716) ((-722 . -1103) T) ((-353 . -105) T) ((-814 . -843) T) ((-722 . -23) T) ((-342 . -1054) 118661) ((-1145 . -1144) T) ((-1133 . -111) 118645) ((-1242 . -173) 118596) ((-1161 . -1103) T) ((-1160 . -1103) T) ((-1153 . -1103) T) ((-1115 . -1103) T) ((-525 . -1038) 118580) ((-342 . -120) 118497) ((-217 . -304) NIL) ((-145 . -304) NIL) ((-1005 . -1202) T) ((-136 . -1197) T) ((-911 . -1202) T) ((-1248 . -609) 118479) ((-1198 . -1091) T) ((-684 . -282) NIL) ((-1161 . -23) T) ((-1160 . -23) T) ((-1153 . -23) T) ((-1128 . -224) 118463) ((-1115 . -23) T) ((-1069 . -1091) T) ((-1005 . -559) T) ((-911 . -559) T) ((-795 . -138) T) ((-219 . -1197) T) ((-146 . -1197) T) ((-734 . -524) 118429) ((-701 . -609) 118411) ((-34 . -1091) T) ((-311 . -708) 118321) ((-308 . -708) 118250) ((-689 . -609) 118232) ((-689 . -610) 118177) ((-410 . -403) 118161) ((-441 . -1091) T) ((-498 . -25) T) ((-498 . -21) T) ((-1109 . -1091) T) ((-209 . -25) T) ((-209 . -21) T) ((-703 . -414) 118145) ((-705 . -1038) 118114) ((-1247 . -609) 118053) ((-1247 . -610) 118014) ((-1232 . -173) T) ((-241 . -39) T) ((-1157 . -610) NIL) ((-1157 . -609) 117996) ((-927 . -976) T) ((-1184 . -1197) T) ((-653 . -787) 117975) ((-653 . -790) 117954) ((-401 . -398) T) ((-532 . -105) 117932) ((-1036 . -1091) T) ((-213 . -996) 117916) ((-515 . -105) T) ((-616 . -609) 117898) ((-50 . -843) NIL) ((-616 . -610) 117875) ((-1036 . -606) 117850) ((-897 . -524) 117783) ((-342 . -1048) T) ((-130 . -609) 117765) ((-126 . -610) NIL) ((-126 . -609) 117747) ((-867 . -1197) T) ((-663 . -420) 117731) ((-663 . -1112) 117676) ((-260 . -524) 117609) ((-510 . -155) 117591) ((-342 . -226) T) ((-342 . -239) T) ((-45 . -1054) 117536) ((-867 . -880) 117520) ((-867 . -882) 117445) ((-703 . -1055) T) ((-684 . -1003) NIL) ((-1230 . -52) 117415) ((-1209 . -52) 117392) ((-1127 . -1011) 117363) ((-1109 . -708) 117350) ((-1096 . -609) 117332) ((-867 . -1038) 117196) ((-216 . -917) T) ((-45 . -120) 117113) ((-734 . -286) T) ((-1074 . -151) 117092) ((-1074 . -149) 117043) ((-1005 . -366) T) ((-861 . -638) 117008) ((-856 . -638) 116958) ((-315 . -1186) 116924) ((-382 . -302) T) ((-315 . -1183) 116890) ((-311 . -173) 116869) ((-308 . -173) T) ((-1004 . -224) 116846) ((-911 . -366) T) ((-582 . -1264) 116833) ((-527 . -1264) 116810) ((-362 . -151) 116789) ((-362 . -149) 116740) ((-355 . -151) 116719) ((-355 . -149) 116670) ((-604 . -1174) 116646) ((-344 . -151) 116625) ((-344 . -149) 116576) ((-315 . -40) 116542) ((-481 . -1174) 116521) ((0 . |EnumerationCategory|) T) ((-315 . -98) 116487) ((-382 . -1022) T) ((-112 . -151) T) ((-112 . -149) NIL) ((-50 . -228) 116437) ((-645 . -1091) T) ((-604 . -111) 116384) ((-496 . -138) T) ((-481 . -111) 116334) ((-233 . -1103) 116244) ((-867 . -380) 116228) ((-867 . -337) 116212) ((-233 . -23) 116082) ((-1059 . -917) T) ((-1059 . -816) T) ((-582 . -371) T) ((-527 . -371) T) ((-735 . -843) 116061) ((-353 . -1137) T) ((-326 . -39) T) ((-49 . -420) 116045) ((-393 . -737) 116029) ((-1258 . -524) 115962) ((-722 . -138) T) ((-1242 . -286) 115941) ((-1238 . -559) 115920) ((-1231 . -1202) 115899) ((-1231 . -559) 115850) ((-1210 . -1202) 115829) ((-1210 . -559) 115780) ((-728 . -524) 115713) ((-1209 . -1197) 115692) ((-1209 . -882) 115565) ((-889 . -1091) T) ((-148 . -837) T) ((-1209 . -880) 115535) ((-1204 . -559) 115514) ((-1161 . -138) T) ((-532 . -304) 115452) ((-1160 . -138) T) ((-143 . -524) NIL) ((-1153 . -138) T) ((-1115 . -138) T) ((-1024 . -1003) T) ((-1005 . -23) T) ((-353 . -43) 115417) ((-1005 . -1103) T) ((-911 . -1103) T) ((-87 . -609) 115399) ((-45 . -1048) T) ((-865 . -1054) 115386) ((-867 . -896) 115345) ((-775 . -52) 115322) ((-691 . -105) T) ((-1004 . -351) NIL) ((-600 . -1197) T) ((-973 . -23) T) ((-911 . -23) T) ((-865 . -120) 115307) ((-430 . -1103) T) ((-480 . -52) 115277) ((-140 . -105) T) ((-45 . -226) 115249) ((-45 . -239) T) ((-125 . -105) T) ((-595 . -559) 115228) ((-594 . -559) 115207) ((-684 . -609) 115189) ((-684 . -610) 115097) ((-311 . -524) 115063) ((-308 . -524) 114814) ((-1230 . -1038) 114798) ((-1209 . -1038) 114584) ((-1000 . -414) 114568) ((-430 . -23) T) ((-1109 . -173) T) ((-861 . -717) T) ((-856 . -717) T) ((-1232 . -286) T) ((-645 . -708) 114538) ((-148 . -1091) T) ((-53 . -1003) T) ((-410 . -224) 114522) ((-290 . -228) 114472) ((-866 . -917) T) ((-866 . -816) NIL) ((-969 . -609) 114454) ((-853 . -843) T) ((-1209 . -337) 114424) ((-1209 . -380) 114394) ((-213 . -1110) 114378) ((-775 . -1197) T) ((-1247 . -284) 114355) ((-501 . -105) T) ((-1192 . -638) 114280) ((-965 . -21) T) ((-965 . -25) T) ((-726 . -21) T) ((-726 . -25) T) ((-706 . -21) T) ((-706 . -25) T) ((-702 . -638) 114245) ((-455 . -21) T) ((-455 . -25) T) ((-338 . -105) T) ((-174 . -105) T) ((-1000 . -1055) T) ((-865 . -1048) T) ((-858 . -1038) 114229) ((-767 . -105) T) ((-1198 . -524) NIL) ((-1231 . -366) 114208) ((-1230 . -896) 114114) ((-1210 . -366) 114093) ((-1209 . -896) 113944) ((-1024 . -609) 113926) ((-410 . -824) 113879) ((-1161 . -503) 113845) ((-170 . -917) 113776) ((-1160 . -503) 113742) ((-1153 . -503) 113708) ((-703 . -1091) T) ((-1115 . -503) 113674) ((-581 . -1054) 113661) ((-569 . -1054) 113648) ((-505 . -1054) 113613) ((-311 . -286) 113592) ((-308 . -286) T) ((-356 . -609) 113574) ((-421 . -25) T) ((-421 . -21) T) ((-101 . -282) 113553) ((-581 . -120) 113538) ((-569 . -120) 113523) ((-505 . -120) 113472) ((-1163 . -882) 113439) ((-35 . -105) T) ((-897 . -500) 113423) ((-116 . -609) 113405) ((-53 . -609) 113387) ((-53 . -610) 113332) ((-260 . -500) 113316) ((-233 . -138) 113186) ((-1219 . -917) 113165) ((-812 . -1202) 113144) ((-1036 . -524) 112952) ((-391 . -609) 112934) ((-812 . -559) 112865) ((-586 . -638) 112840) ((-258 . -52) 112812) ((-243 . -52) 112769) ((-535 . -519) 112746) ((-1001 . -1197) T) ((-1238 . -23) T) ((-689 . -1054) 112711) ((-775 . -896) 112624) ((-1238 . -1103) T) ((-1231 . -1103) T) ((-1210 . -1103) T) ((-1204 . -1103) T) ((-1004 . -373) 112596) ((-121 . -371) T) ((-480 . -896) 112502) ((-1231 . -23) T) ((-1210 . -23) T) ((-900 . -609) 112484) ((-96 . -111) 112468) ((-1192 . -717) T) ((-901 . -843) 112419) ((-691 . -1137) T) ((-689 . -120) 112368) ((-1204 . -23) T) ((-595 . -1103) T) ((-594 . -1103) T) ((-703 . -708) 112197) ((-702 . -717) T) ((-1109 . -286) T) ((-1005 . -138) T) ((-498 . -843) T) ((-973 . -138) T) ((-911 . -138) T) ((-795 . -25) T) ((-209 . -843) T) ((-795 . -21) T) ((-581 . -1048) T) ((-569 . -1048) T) ((-505 . -1048) T) ((-595 . -23) T) ((-342 . -1264) 112174) ((-315 . -454) 112153) ((-338 . -304) 112140) ((-594 . -23) T) ((-430 . -138) T) ((-649 . -638) 112114) ((-1157 . -1054) 111937) ((-241 . -1011) 111921) ((-867 . -302) T) ((-1269 . -1259) 111905) ((-764 . -788) T) ((-764 . -791) T) ((-691 . -43) 111892) ((-237 . -638) 111874) ((-569 . -226) T) ((-505 . -239) T) ((-505 . -226) T) ((-1157 . -120) 111676) ((-1136 . -228) 111626) ((-1079 . -905) 111605) ((-125 . -43) 111592) ((-202 . -796) T) ((-201 . -796) T) ((-200 . -796) T) ((-199 . -796) T) ((-867 . -1022) 111570) ((-1258 . -500) 111554) ((-778 . -905) 111533) ((-776 . -905) 111512) ((-1171 . -1197) T) ((-456 . -905) 111491) ((-728 . -500) 111475) ((-1079 . -638) 111400) ((-778 . -638) 111325) ((-616 . -1054) 111312) ((-491 . -1197) T) ((-342 . -371) T) ((-143 . -500) 111294) ((-776 . -638) 111219) ((-1127 . -1197) T) ((-464 . -638) 111190) ((-258 . -882) 111049) ((-243 . -882) NIL) ((-126 . -1054) 110994) ((-456 . -638) 110919) ((-657 . -1038) 110896) ((-616 . -120) 110881) ((-357 . -1038) 110865) ((-354 . -1038) 110849) ((-343 . -1038) 110833) ((-258 . -1038) 110677) ((-243 . -1038) 110553) ((-126 . -120) 110470) ((-64 . -1197) T) ((-528 . -1197) T) ((-526 . -1197) T) ((-507 . -1197) T) ((-506 . -1197) T) ((-440 . -609) 110452) ((-437 . -609) 110434) ((-3 . -105) T) ((-1028 . -1191) 110403) ((-829 . -105) T) ((-680 . -62) 110361) ((-689 . -1048) T) ((-55 . -638) 110335) ((-285 . -454) T) ((-482 . -1191) 110304) ((-1242 . -282) 110289) ((0 . -105) T) ((-582 . -638) 110254) ((-527 . -638) 110199) ((-54 . -105) T) ((-906 . -1038) 110186) ((-689 . -239) T) ((-1074 . -412) 110165) ((-722 . -631) 110113) ((-1000 . -1091) T) ((-703 . -173) 110004) ((-498 . -994) 109986) ((-466 . -1091) T) ((-258 . -380) 109970) ((-243 . -380) 109954) ((-402 . -1091) T) ((-1157 . -1048) T) ((-338 . -43) 109938) ((-1027 . -105) 109916) ((-209 . -994) 109898) ((-174 . -43) 109830) ((-1230 . -302) 109809) ((-1209 . -302) 109788) ((-1157 . -325) 109765) ((-649 . -717) T) ((-1157 . -226) T) ((-101 . -609) 109747) ((-1153 . -631) 109699) ((-496 . -25) T) ((-496 . -21) T) ((-1209 . -1022) 109651) ((-616 . -1048) T) ((-382 . -407) T) ((-393 . -105) T) ((-258 . -896) 109597) ((-243 . -896) 109574) ((-126 . -1048) T) ((-812 . -1103) T) ((-1079 . -717) T) ((-616 . -226) 109553) ((-614 . -105) T) ((-1198 . -500) 109535) ((-778 . -717) T) ((-776 . -717) T) ((-416 . -1103) T) ((-126 . -239) T) ((-45 . -371) NIL) ((-126 . -226) NIL) ((-456 . -717) T) ((-812 . -23) T) ((-722 . -25) T) ((-722 . -21) T) ((-693 . -843) T) ((-1071 . -282) 109514) ((-83 . -399) T) ((-83 . -398) T) ((-1242 . -1003) 109480) ((-684 . -1054) 109430) ((-1238 . -138) T) ((-1231 . -138) T) ((-1210 . -138) T) ((-1204 . -138) T) ((-1161 . -25) T) ((-1128 . -414) 109414) ((-627 . -370) 109346) ((-603 . -370) 109278) ((-1143 . -1135) 109262) ((-106 . -1091) 109240) ((-1161 . -21) T) ((-1160 . -21) T) ((-1160 . -25) T) ((-1000 . -708) 109188) ((-214 . -638) 109155) ((-684 . -120) 109082) ((-55 . -717) T) ((-1153 . -21) T) ((-353 . -351) T) ((-1153 . -25) T) ((-1074 . -454) 109033) ((-1115 . -21) T) ((-703 . -524) 108979) ((-582 . -717) T) ((-527 . -717) T) ((-858 . -302) T) ((-1115 . -25) T) ((-775 . -302) T) ((-595 . -138) T) ((-594 . -138) T) ((-362 . -454) T) ((-355 . -454) T) ((-344 . -454) T) ((-480 . -302) 108958) ((-308 . -282) 108824) ((-112 . -454) T) ((-84 . -443) T) ((-84 . -398) T) ((-490 . -105) T) ((-734 . -610) 108685) ((-734 . -609) 108667) ((-1273 . -609) 108649) ((-1273 . -610) 108631) ((-1074 . -405) 108610) ((-1036 . -500) 108542) ((-569 . -791) T) ((-569 . -788) T) ((-1060 . -228) 108488) ((-362 . -405) 108439) ((-355 . -405) 108390) ((-344 . -405) 108341) ((-1260 . -1103) T) ((-1260 . -23) T) ((-1249 . -105) T) ((-1128 . -1055) T) ((-663 . -737) 108325) ((-1165 . -149) 108304) ((-1165 . -151) 108283) ((-1132 . -1091) T) ((-1132 . -1067) 108252) ((-74 . -1197) T) ((-1024 . -1054) 108189) ((-854 . -1055) T) ((-735 . -149) 108168) ((-735 . -151) 108147) ((-233 . -631) 108053) ((-684 . -1048) T) ((-234 . -559) 108032) ((-356 . -1054) 107977) ((-66 . -1197) T) ((-1024 . -120) 107886) ((-897 . -609) 107853) ((-684 . -239) T) ((-684 . -226) NIL) ((-836 . -841) 107832) ((-689 . -791) T) ((-689 . -788) T) ((-1242 . -609) 107814) ((-1198 . -282) 107789) ((-1004 . -414) 107766) ((-356 . -120) 107683) ((-260 . -609) 107650) ((-382 . -917) T) ((-410 . -841) 107629) ((-703 . -286) 107540) ((-214 . -717) T) ((-1238 . -503) 107506) ((-1231 . -503) 107472) ((-1210 . -503) 107438) ((-1204 . -503) 107404) ((-311 . -1003) 107383) ((-213 . -1091) 107361) ((-315 . -975) 107323) ((-109 . -105) T) ((-53 . -1054) 107288) ((-1269 . -105) T) ((-384 . -105) T) ((-53 . -120) 107237) ((-1005 . -631) 107219) ((-1232 . -609) 107201) ((-535 . -105) T) ((-510 . -105) T) ((-1122 . -1123) 107185) ((-156 . -1254) 107169) ((-241 . -1197) T) ((-1198 . -19) 107151) ((-775 . -666) 107103) ((-1159 . -1202) 107082) ((-1114 . -1202) 107061) ((-233 . -21) 106971) ((-233 . -25) 106822) ((-137 . -128) 106806) ((-131 . -128) 106790) ((-49 . -737) 106774) ((-1198 . -602) 106749) ((-1159 . -559) 106660) ((-1114 . -559) 106591) ((-1036 . -282) 106566) ((-812 . -138) T) ((-126 . -791) NIL) ((-126 . -788) NIL) ((-357 . -302) T) ((-354 . -302) T) ((-343 . -302) T) ((-1085 . -1197) T) ((-245 . -1103) 106476) ((-244 . -1103) 106386) ((-1024 . -1048) T) ((-1004 . -1055) T) ((-342 . -638) 106331) ((-614 . -43) 106315) ((-1258 . -609) 106277) ((-1258 . -610) 106238) ((-1071 . -609) 106220) ((-1024 . -239) T) ((-356 . -1048) T) ((-811 . -1254) 106190) ((-245 . -23) T) ((-244 . -23) T) ((-989 . -609) 106172) ((-728 . -610) 106133) ((-728 . -609) 106115) ((-795 . -843) 106094) ((-1000 . -524) 106006) ((-356 . -226) T) ((-356 . -239) T) ((-1146 . -155) 105953) ((-1005 . -25) T) ((-143 . -609) 105935) ((-143 . -610) 105894) ((-906 . -302) T) ((-1005 . -21) T) ((-973 . -25) T) ((-911 . -21) T) ((-911 . -25) T) ((-430 . -21) T) ((-430 . -25) T) ((-836 . -414) 105878) ((-53 . -1048) T) ((-1267 . -1259) 105862) ((-1265 . -1259) 105846) ((-1036 . -602) 105821) ((-311 . -610) 105682) ((-311 . -609) 105664) ((-308 . -610) NIL) ((-308 . -609) 105646) ((-53 . -239) T) ((-53 . -226) T) ((-645 . -282) 105607) ((-552 . -228) 105557) ((-142 . -609) 105539) ((-123 . -609) 105521) ((-490 . -43) 105486) ((-1269 . -1266) 105465) ((-1260 . -138) T) ((-1268 . -1055) T) ((-1076 . -105) T) ((-118 . -609) 105447) ((-93 . -1197) T) ((-510 . -304) NIL) ((-1001 . -111) 105431) ((-885 . -1091) T) ((-881 . -1091) T) ((-1247 . -641) 105415) ((-1247 . -376) 105399) ((-326 . -1197) T) ((-592 . -843) T) ((-234 . -1103) T) ((-1128 . -1091) T) ((-1128 . -1051) 105339) ((-106 . -524) 105272) ((-928 . -609) 105254) ((-234 . -23) T) ((-342 . -717) T) ((-30 . -609) 105236) ((-854 . -1091) T) ((-836 . -1055) 105215) ((-45 . -638) 105160) ((-216 . -1202) T) ((-410 . -1055) T) ((-1145 . -155) 105142) ((-1000 . -286) 105093) ((-216 . -559) T) ((-1198 . -610) 105075) ((-315 . -1227) 105059) ((-315 . -1224) 105029) ((-1198 . -609) 105011) ((-1171 . -1174) 104990) ((-1069 . -609) 104972) ((-34 . -609) 104954) ((-861 . -1038) 104914) ((-856 . -1038) 104859) ((-637 . -155) 104843) ((-624 . -155) 104789) ((-1171 . -111) 104739) ((-491 . -1174) 104718) ((-498 . -151) T) ((-498 . -149) NIL) ((-1109 . -610) 104633) ((-441 . -609) 104615) ((-209 . -151) T) ((-209 . -149) NIL) ((-1109 . -609) 104597) ((-57 . -105) T) ((-1210 . -631) 104549) ((-491 . -111) 104499) ((-995 . -23) T) ((-1269 . -43) 104469) ((-1159 . -1103) T) ((-1114 . -1103) T) ((-1059 . -1202) T) ((-847 . -1103) T) ((-954 . -1202) 104448) ((-493 . -1202) 104427) ((-722 . -843) 104406) ((-1059 . -559) T) ((-954 . -559) 104337) ((-1159 . -23) T) ((-1114 . -23) T) ((-847 . -23) T) ((-493 . -559) 104268) ((-1128 . -708) 104200) ((-1132 . -524) 104133) ((-1036 . -610) NIL) ((-1036 . -609) 104115) ((-854 . -708) 104085) ((-1273 . -1054) 104072) ((-1273 . -120) 104057) ((-1192 . -52) 104026) ((-245 . -138) T) ((-244 . -138) T) ((-1095 . -1091) T) ((-1004 . -1091) T) ((-67 . -609) 104008) ((-1153 . -843) NIL) ((-1024 . -788) T) ((-1024 . -791) T) ((-1238 . -25) T) ((-734 . -1054) 103932) ((-1238 . -21) T) ((-1231 . -21) T) ((-865 . -638) 103919) ((-1231 . -25) T) ((-1210 . -21) T) ((-1210 . -25) T) ((-1204 . -25) T) ((-1204 . -21) T) ((-1028 . -155) 103903) ((-867 . -816) 103882) ((-867 . -917) T) ((-734 . -120) 103785) ((-703 . -282) 103712) ((-595 . -21) T) ((-595 . -25) T) ((-594 . -21) T) ((-45 . -717) T) ((-213 . -524) 103645) ((-594 . -25) T) ((-482 . -155) 103629) ((-469 . -155) 103613) ((-918 . -717) T) ((-764 . -789) T) ((-764 . -790) T) ((-512 . -1091) T) ((-764 . -717) T) ((-216 . -366) T) ((-1143 . -1091) 103591) ((-866 . -1202) T) ((-645 . -609) 103573) ((-866 . -559) T) ((-684 . -371) NIL) ((-362 . -1254) 103557) ((-663 . -105) T) ((-355 . -1254) 103541) ((-344 . -1254) 103525) ((-1268 . -1091) T) ((-529 . -843) 103504) ((-1242 . -1054) 103387) ((-813 . -454) 103366) ((-1045 . -1091) T) ((-1045 . -1067) 103295) ((-1028 . -978) 103264) ((-815 . -1103) T) ((-1004 . -708) 103209) ((-1242 . -120) 103071) ((-234 . -138) T) ((-389 . -1103) T) ((-482 . -978) 103040) ((-469 . -978) 103009) ((-922 . -1089) T) ((-114 . -155) 102991) ((-78 . -609) 102973) ((-889 . -609) 102955) ((-1074 . -715) 102934) ((-734 . -1048) T) ((-1273 . -1048) T) ((-812 . -631) 102882) ((-289 . -1055) 102824) ((-170 . -1202) 102729) ((-216 . -1103) T) ((-322 . -23) T) ((-1153 . -994) 102681) ((-836 . -1091) T) ((-734 . -239) 102660) ((-1115 . -731) 102639) ((-1232 . -1054) 102528) ((-1230 . -917) 102507) ((-865 . -717) T) ((-170 . -559) 102418) ((-1209 . -917) 102397) ((-581 . -638) 102384) ((-410 . -1091) T) ((-569 . -638) 102371) ((-257 . -1091) T) ((-505 . -638) 102336) ((-216 . -23) T) ((-1209 . -816) 102289) ((-967 . -1091) T) ((-1267 . -105) T) ((-356 . -1264) 102266) ((-1265 . -105) T) ((-1232 . -120) 102116) ((-148 . -609) 102098) ((-995 . -138) T) ((-49 . -105) T) ((-233 . -843) 102049) ((-1219 . -1202) 102028) ((-106 . -500) 102012) ((-1268 . -708) 101982) ((-1079 . -52) 101943) ((-1059 . -1103) T) ((-954 . -1103) T) ((-137 . -39) T) ((-131 . -39) T) ((-1219 . -559) 101854) ((-778 . -52) 101831) ((-776 . -52) 101803) ((-1198 . -284) 101778) ((-1159 . -138) T) ((-356 . -371) T) ((-493 . -1103) T) ((-1114 . -138) T) ((-1059 . -23) T) ((-456 . -52) 101757) ((-866 . -366) T) ((-847 . -138) T) ((-156 . -105) T) ((-735 . -454) 101688) ((-954 . -23) T) ((-576 . -559) T) ((-812 . -25) T) ((-812 . -21) T) ((-1128 . -524) 101621) ((-586 . -1038) 101605) ((-493 . -23) T) ((-353 . -1055) T) ((-1242 . -1048) T) ((-1192 . -896) 101586) ((-663 . -304) 101524) ((-1242 . -226) 101483) ((-1104 . -1254) 101453) ((-689 . -638) 101418) ((-1005 . -843) T) ((-1004 . -173) T) ((-965 . -149) 101397) ((-627 . -1091) T) ((-603 . -1091) T) ((-965 . -151) 101376) ((-858 . -917) T) ((-726 . -151) 101355) ((-726 . -149) 101334) ((-973 . -843) T) ((-775 . -917) T) ((-480 . -917) 101313) ((-311 . -1054) 101223) ((-308 . -1054) 101152) ((-1000 . -282) 101110) ((-1157 . -905) 101089) ((-410 . -708) 101041) ((-691 . -841) T) ((-539 . -1089) T) ((-514 . -1091) T) ((-1232 . -1048) T) ((-311 . -120) 100930) ((-308 . -120) 100815) ((-1232 . -325) 100759) ((-1157 . -638) 100684) ((-966 . -105) T) ((-811 . -105) 100474) ((-703 . -610) NIL) ((-703 . -609) 100456) ((-1036 . -284) 100431) ((-649 . -1038) 100327) ((-861 . -302) T) ((-581 . -717) T) ((-569 . -790) T) ((-569 . -787) T) ((-170 . -366) 100278) ((-569 . -717) T) ((-505 . -717) T) ((-237 . -1038) 100262) ((-856 . -302) T) ((-1132 . -500) 100246) ((-1079 . -882) NIL) ((-866 . -1103) T) ((-126 . -905) NIL) ((-1267 . -1266) 100222) ((-1265 . -1266) 100201) ((-778 . -882) NIL) ((-776 . -882) 100060) ((-1260 . -25) T) ((-1260 . -21) T) ((-1195 . -105) 100038) ((-1097 . -398) T) ((-616 . -638) 100025) ((-456 . -882) NIL) ((-667 . -105) 100003) ((-1079 . -1038) 99830) ((-866 . -23) T) ((-778 . -1038) 99689) ((-776 . -1038) 99546) ((-126 . -638) 99491) ((-456 . -1038) 99367) ((-639 . -1038) 99351) ((-619 . -105) T) ((-213 . -500) 99335) ((-1247 . -39) T) ((-627 . -708) 99319) ((-603 . -708) 99303) ((-663 . -43) 99263) ((-315 . -105) T) ((-217 . -1091) T) ((-145 . -1091) T) ((-90 . -609) 99245) ((-55 . -1038) 99229) ((-1109 . -1054) 99216) ((-1079 . -380) 99200) ((-778 . -380) 99184) ((-65 . -62) 99146) ((-689 . -790) T) ((-689 . -787) T) ((-582 . -1038) 99133) ((-527 . -1038) 99110) ((-689 . -717) T) ((-322 . -138) T) ((-311 . -1048) 99000) ((-308 . -1048) T) ((-170 . -1103) T) ((-776 . -380) 98984) ((-50 . -155) 98934) ((-1005 . -994) 98916) ((-456 . -380) 98900) ((-410 . -173) T) ((-311 . -239) 98879) ((-308 . -239) T) ((-308 . -226) NIL) ((-289 . -1091) 98661) ((-216 . -138) T) ((-1109 . -120) 98646) ((-170 . -23) T) ((-795 . -151) 98625) ((-795 . -149) 98604) ((-245 . -631) 98510) ((-244 . -631) 98416) ((-315 . -280) 98382) ((-1157 . -717) T) ((-1143 . -524) 98315) ((-1122 . -1091) T) ((-216 . -1057) T) ((-811 . -304) 98253) ((-1079 . -896) 98188) ((-778 . -896) 98131) ((-776 . -896) 98115) ((-1267 . -43) 98085) ((-1265 . -43) 98055) ((-1219 . -1103) T) ((-848 . -1103) T) ((-456 . -896) 98032) ((-850 . -1091) T) ((-1219 . -23) T) ((-576 . -1103) T) ((-848 . -23) T) ((-616 . -717) T) ((-357 . -917) T) ((-354 . -917) T) ((-285 . -105) T) ((-343 . -917) T) ((-1059 . -138) T) ((-954 . -138) T) ((-126 . -790) NIL) ((-126 . -787) NIL) ((-126 . -717) T) ((-684 . -905) NIL) ((-1045 . -524) 97916) ((-493 . -138) T) ((-576 . -23) T) ((-667 . -304) 97854) ((-627 . -754) T) ((-603 . -754) T) ((-1210 . -843) NIL) ((-1004 . -286) T) ((-245 . -21) T) ((-684 . -638) 97804) ((-353 . -1091) T) ((-245 . -25) T) ((-244 . -21) T) ((-244 . -25) T) ((-156 . -43) 97788) ((-2 . -105) T) ((-906 . -917) T) ((-494 . -1254) 97758) ((-214 . -1038) 97735) ((-1109 . -1048) T) ((-702 . -302) T) ((-289 . -708) 97677) ((-691 . -1055) T) ((-498 . -454) T) ((-410 . -524) 97589) ((-209 . -454) T) ((-1109 . -226) T) ((-290 . -155) 97539) ((-1000 . -610) 97500) ((-1000 . -609) 97482) ((-991 . -609) 97464) ((-125 . -1055) T) ((-645 . -1054) 97448) ((-216 . -503) T) ((-466 . -609) 97430) ((-402 . -609) 97412) ((-402 . -610) 97389) ((-1052 . -1254) 97359) ((-645 . -120) 97338) ((-1128 . -500) 97322) ((-811 . -43) 97292) ((-68 . -443) T) ((-68 . -398) T) ((-1146 . -105) T) ((-866 . -138) T) ((-495 . -105) 97270) ((-1273 . -371) T) ((-735 . -951) 97239) ((-1074 . -105) T) ((-1058 . -105) T) ((-353 . -708) 97184) ((-722 . -151) 97163) ((-722 . -149) 97142) ((-1024 . -638) 97079) ((-532 . -1091) 97057) ((-362 . -105) T) ((-355 . -105) T) ((-344 . -105) T) ((-234 . -21) T) ((-234 . -25) T) ((-112 . -105) T) ((-515 . -1091) T) ((-356 . -638) 97002) ((-1159 . -631) 96950) ((-1114 . -631) 96898) ((-388 . -519) 96877) ((-829 . -841) 96856) ((-382 . -1202) T) ((-684 . -717) T) ((-338 . -1055) T) ((-1210 . -994) 96808) ((-174 . -1055) T) ((-106 . -609) 96775) ((-1161 . -149) 96754) ((-1161 . -151) 96733) ((-382 . -559) T) ((-1160 . -151) 96712) ((-1160 . -149) 96691) ((-1153 . -149) 96598) ((-410 . -286) T) ((-1153 . -151) 96505) ((-1115 . -151) 96484) ((-1115 . -149) 96463) ((-315 . -43) 96304) ((-170 . -138) T) ((-308 . -791) NIL) ((-308 . -788) NIL) ((-645 . -1048) T) ((-53 . -638) 96269) ((-995 . -21) T) ((-137 . -1011) 96253) ((-131 . -1011) 96237) ((-995 . -25) T) ((-897 . -128) 96221) ((-1145 . -105) T) ((-812 . -843) 96200) ((-1219 . -138) T) ((-1159 . -25) T) ((-1159 . -21) T) ((-848 . -138) T) ((-1114 . -25) T) ((-1114 . -21) T) ((-847 . -25) T) ((-847 . -21) T) ((-778 . -302) 96179) ((-35 . -37) 96163) ((-1146 . -304) 95958) ((-1143 . -500) 95942) ((-637 . -105) 95920) ((-624 . -105) T) ((-1136 . -155) 95870) ((-576 . -138) T) ((-614 . -841) 95849) ((-1132 . -609) 95811) ((-1132 . -610) 95772) ((-1024 . -787) T) ((-1024 . -790) T) ((-1024 . -717) T) ((-495 . -304) 95710) ((-455 . -420) 95680) ((-353 . -173) T) ((-217 . -524) NIL) ((-145 . -524) NIL) ((-285 . -43) 95667) ((-271 . -105) T) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-342 . -1038) 95644) ((-205 . -105) T) ((-204 . -105) T) ((-202 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-196 . -105) T) ((-195 . -105) T) ((-703 . -1054) 95467) ((-194 . -105) T) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-356 . -717) T) ((-703 . -120) 95269) ((-663 . -224) 95253) ((-582 . -302) T) ((-527 . -302) T) ((-289 . -524) 95202) ((-112 . -304) NIL) ((-77 . -398) T) ((-1104 . -105) 94992) ((-829 . -414) 94976) ((-1109 . -791) T) ((-1109 . -788) T) ((-691 . -1091) T) ((-382 . -366) T) ((-170 . -503) 94954) ((-213 . -609) 94921) ((-140 . -1091) T) ((-125 . -1091) T) ((-53 . -717) T) ((-1045 . -500) 94886) ((-143 . -428) 94868) ((-143 . -371) T) ((-1028 . -105) T) ((-522 . -519) 94847) ((-482 . -105) T) ((-469 . -105) T) ((-1035 . -1103) T) ((-735 . -1222) 94831) ((-1161 . -40) 94797) ((-1161 . -98) 94763) ((-1161 . -1186) 94729) ((-1161 . -1183) 94695) ((-1160 . -1183) 94661) ((-1145 . -304) NIL) ((-94 . -399) T) ((-94 . -398) T) ((-1074 . -1137) 94640) ((-1160 . -1186) 94606) ((-1160 . -98) 94572) ((-1035 . -23) T) ((-1160 . -40) 94538) ((-576 . -503) T) ((-1153 . -1183) 94504) ((-1153 . -1186) 94470) ((-1153 . -98) 94436) ((-1153 . -40) 94402) ((-364 . -1103) T) ((-362 . -1137) 94381) ((-355 . -1137) 94360) ((-344 . -1137) 94339) ((-1115 . -40) 94305) ((-1115 . -98) 94271) ((-1115 . -1186) 94237) ((-112 . -1137) T) ((-1115 . -1183) 94203) ((-829 . -1055) 94182) ((-637 . -304) 94120) ((-624 . -304) 93971) ((-1074 . -43) 93839) ((-703 . -1048) T) ((-1059 . -631) 93821) ((-1005 . -151) T) ((-954 . -631) 93769) ((-501 . -1091) T) ((-1005 . -149) NIL) ((-382 . -1103) T) ((-322 . -25) T) ((-320 . -23) T) ((-945 . -843) 93748) ((-703 . -325) 93725) ((-493 . -631) 93673) ((-45 . -1038) 93548) ((-691 . -708) 93535) ((-703 . -226) T) ((-338 . -1091) T) ((-174 . -1091) T) ((-330 . -843) T) ((-421 . -454) 93485) ((-382 . -23) T) ((-362 . -43) 93450) ((-355 . -43) 93415) ((-344 . -43) 93380) ((-85 . -443) T) ((-85 . -398) T) ((-216 . -25) T) ((-216 . -21) T) ((-830 . -1103) T) ((-112 . -43) 93330) ((-823 . -1103) T) ((-767 . -1091) T) ((-125 . -708) 93317) ((-664 . -1038) 93301) ((-608 . -105) T) ((-830 . -23) T) ((-823 . -23) T) ((-1143 . -282) 93278) ((-1104 . -304) 93216) ((-1093 . -228) 93200) ((-69 . -399) T) ((-69 . -398) T) ((-114 . -105) T) ((-45 . -380) 93177) ((-35 . -1091) T) ((-1198 . -641) 93159) ((-644 . -845) 93143) ((-1198 . -376) 93125) ((-1059 . -21) T) ((-1059 . -25) T) ((-811 . -224) 93094) ((-954 . -25) T) ((-954 . -21) T) ((-614 . -1055) T) ((-493 . -25) T) ((-493 . -21) T) ((-1028 . -304) 93032) ((-885 . -609) 93014) ((-881 . -609) 92996) ((-245 . -843) 92947) ((-244 . -843) 92898) ((-532 . -524) 92831) ((-866 . -631) 92808) ((-482 . -304) 92746) ((-469 . -304) 92684) ((-353 . -286) T) ((-1143 . -1234) 92668) ((-1128 . -609) 92630) ((-1128 . -610) 92591) ((-1126 . -105) T) ((-1000 . -1054) 92487) ((-45 . -896) 92439) ((-1143 . -602) 92416) ((-734 . -638) 92340) ((-1273 . -638) 92327) ((-1060 . -155) 92273) ((-867 . -1202) T) ((-1000 . -120) 92148) ((-338 . -708) 92132) ((-854 . -609) 92114) ((-174 . -708) 92046) ((-410 . -282) 92004) ((-867 . -559) T) ((-112 . -403) 91986) ((-89 . -387) T) ((-89 . -398) T) ((-861 . -917) T) ((-856 . -917) T) ((-691 . -173) T) ((-101 . -717) T) ((-494 . -105) 91776) ((-101 . -479) T) ((-125 . -173) T) ((-1104 . -43) 91746) ((-170 . -631) 91694) ((-217 . -500) 91676) ((-145 . -500) 91651) ((-1052 . -105) T) ((-866 . -25) T) ((-811 . -231) 91630) ((-866 . -21) T) ((-814 . -105) T) ((-417 . -105) T) ((-388 . -105) T) ((-114 . -304) NIL) ((-220 . -105) 91608) ((-137 . -1197) T) ((-131 . -1197) T) ((-1035 . -138) T) ((-663 . -370) 91592) ((-1242 . -638) 91517) ((-1273 . -717) T) ((-1238 . -149) 91496) ((-1000 . -1048) T) ((-1238 . -151) 91475) ((-1219 . -631) 91423) ((-1231 . -151) 91402) ((-1095 . -609) 91384) ((-1004 . -609) 91366) ((-525 . -23) T) ((-520 . -23) T) ((-342 . -302) T) ((-518 . -23) T) ((-320 . -138) T) ((-3 . -1091) T) ((-1004 . -610) 91350) ((-1000 . -239) 91329) ((-1000 . -226) 91308) ((-1231 . -149) 91287) ((-1230 . -1202) 91266) ((-829 . -1091) T) ((-1210 . -149) 91173) ((-1210 . -151) 91080) ((-1209 . -1202) 91059) ((-1204 . -149) 91038) ((-1204 . -151) 91017) ((-734 . -479) 90996) ((-734 . -717) T) ((-382 . -138) T) ((-569 . -882) 90978) ((0 . -1091) T) ((-174 . -173) T) ((-170 . -21) T) ((-170 . -25) T) ((-54 . -1091) T) ((-1232 . -638) 90867) ((-1230 . -559) 90818) ((-705 . -1103) T) ((-1209 . -559) 90769) ((-569 . -1038) 90751) ((-594 . -151) 90730) ((-594 . -149) 90709) ((-505 . -1038) 90652) ((-92 . -387) T) ((-92 . -398) T) ((-867 . -366) T) ((-1157 . -52) 90629) ((-830 . -138) T) ((-823 . -138) T) ((-705 . -23) T) ((-512 . -609) 90611) ((-1269 . -1055) T) ((-382 . -1057) T) ((-1027 . -1091) 90589) ((-897 . -39) T) ((-494 . -304) 90527) ((-1143 . -610) 90488) ((-1143 . -609) 90455) ((-260 . -39) T) ((-1159 . -843) 90434) ((-50 . -105) T) ((-1114 . -843) 90413) ((-813 . -105) T) ((-1219 . -25) T) ((-1219 . -21) T) ((-848 . -25) T) ((-49 . -370) 90397) ((-848 . -21) T) ((-722 . -454) 90348) ((-1268 . -609) 90330) ((-576 . -25) T) ((-576 . -21) T) ((-393 . -1091) T) ((-1052 . -304) 90268) ((-614 . -1091) T) ((-689 . -882) 90250) ((-1247 . -1197) T) ((-220 . -304) 90188) ((-148 . -371) T) ((-1045 . -610) 90130) ((-1045 . -609) 90073) ((-858 . -1202) T) ((-308 . -905) NIL) ((-775 . -1202) T) ((-1242 . -717) T) ((-689 . -1038) 90018) ((-702 . -917) T) ((-480 . -1202) 89997) ((-1160 . -454) 89976) ((-1153 . -454) 89955) ((-858 . -559) T) ((-329 . -105) T) ((-775 . -559) T) ((-867 . -1103) T) ((-311 . -638) 89776) ((-308 . -638) 89705) ((-480 . -559) 89656) ((-338 . -524) 89622) ((-552 . -155) 89572) ((-45 . -302) T) ((-1157 . -882) NIL) ((-836 . -609) 89554) ((-691 . -286) T) ((-867 . -23) T) ((-382 . -503) T) ((-1074 . -224) 89524) ((-522 . -105) T) ((-410 . -610) 89325) ((-410 . -609) 89307) ((-257 . -609) 89289) ((-125 . -286) T) ((-1157 . -1038) 89169) ((-967 . -609) 89151) ((-1232 . -717) T) ((-1230 . -366) 89130) ((-1209 . -366) 89109) ((-1258 . -39) T) ((-126 . -1197) T) ((-112 . -224) 89091) ((-1165 . -105) T) ((-490 . -1091) T) ((-532 . -500) 89075) ((-735 . -105) T) ((-728 . -39) T) ((-494 . -43) 89045) ((-143 . -39) T) ((-126 . -880) 89022) ((-126 . -882) NIL) ((-616 . -1038) 88905) ((-635 . -843) 88884) ((-1257 . -105) T) ((-290 . -105) T) ((-703 . -371) 88863) ((-126 . -1038) 88840) ((-393 . -708) 88824) ((-1157 . -380) 88808) ((-614 . -708) 88792) ((-50 . -304) 88596) ((-812 . -149) 88575) ((-812 . -151) 88554) ((-1268 . -385) 88533) ((-815 . -843) T) ((-1249 . -1091) T) ((-1238 . -40) 88499) ((-1238 . -98) 88465) ((-1238 . -1186) 88431) ((-1146 . -222) 88378) ((-1238 . -1183) 88344) ((-389 . -843) 88323) ((-1231 . -1183) 88289) ((-1231 . -1186) 88255) ((-1231 . -98) 88221) ((-217 . -678) 88189) ((-145 . -678) 88150) ((-1231 . -40) 88116) ((-1230 . -1103) T) ((-1210 . -1183) 88082) ((-525 . -138) T) ((-1210 . -1186) 88048) ((-1204 . -1186) 88014) ((-1204 . -1183) 87980) ((-1210 . -98) 87946) ((-1210 . -40) 87912) ((-627 . -609) 87881) ((-603 . -609) 87850) ((-33 . -105) T) ((-216 . -843) T) ((-1209 . -1103) T) ((-1204 . -40) 87816) ((-1204 . -98) 87782) ((-1109 . -638) 87769) ((-1157 . -896) 87712) ((-1074 . -351) 87691) ((-592 . -155) 87673) ((-865 . -302) T) ((-126 . -380) 87650) ((-126 . -337) 87627) ((-174 . -286) T) ((-858 . -366) T) ((-775 . -366) T) ((-308 . -790) NIL) ((-308 . -787) NIL) ((-311 . -717) 87476) ((-308 . -717) T) ((-514 . -609) 87458) ((-480 . -366) 87437) ((-362 . -351) 87416) ((-355 . -351) 87395) ((-344 . -351) 87374) ((-311 . -479) 87353) ((-1230 . -23) T) ((-1209 . -23) T) ((-709 . -1103) T) ((-705 . -138) T) ((-644 . -105) T) ((-490 . -708) 87318) ((-50 . -278) 87268) ((-109 . -1091) T) ((-73 . -609) 87250) ((-853 . -105) T) ((-616 . -896) 87209) ((-1269 . -1091) T) ((-384 . -1091) T) ((-1198 . -39) T) ((-87 . -1197) T) ((-1059 . -843) T) ((-954 . -843) 87188) ((-126 . -896) NIL) ((-778 . -917) 87167) ((-704 . -843) T) ((-535 . -1091) T) ((-510 . -1091) T) ((-357 . -1202) T) ((-354 . -1202) T) ((-343 . -1202) T) ((-258 . -1202) 87146) ((-243 . -1202) 87125) ((-1104 . -224) 87094) ((-493 . -843) 87073) ((-1145 . -824) T) ((-1128 . -1054) 87057) ((-393 . -754) T) ((-735 . -304) 87044) ((-684 . -1197) T) ((-357 . -559) T) ((-354 . -559) T) ((-343 . -559) T) ((-258 . -559) 86975) ((-243 . -559) 86906) ((-1128 . -120) 86885) ((-455 . -737) 86855) ((-854 . -1054) 86825) ((-813 . -43) 86762) ((-684 . -880) 86744) ((-684 . -882) 86726) ((-290 . -304) 86530) ((-906 . -1202) T) ((-858 . -1103) T) ((-854 . -120) 86495) ((-663 . -414) 86479) ((-775 . -1103) T) ((-684 . -1038) 86424) ((-1143 . -284) 86401) ((-1005 . -454) T) ((-906 . -559) T) ((-582 . -917) T) ((-480 . -1103) T) ((-527 . -917) T) ((-911 . -454) T) ((-217 . -609) 86383) ((-145 . -609) 86365) ((-70 . -609) 86347) ((-858 . -23) T) ((-624 . -222) 86293) ((-775 . -23) T) ((-480 . -23) T) ((-1109 . -790) T) ((-867 . -138) T) ((-1109 . -787) T) ((-1260 . -1262) 86272) ((-1109 . -717) T) ((-645 . -638) 86246) ((-289 . -609) 85987) ((-1036 . -39) T) ((-811 . -841) 85966) ((-581 . -302) T) ((-569 . -302) T) ((-505 . -302) T) ((-1269 . -708) 85936) ((-684 . -380) 85918) ((-684 . -337) 85900) ((-490 . -173) T) ((-384 . -708) 85870) ((-735 . -1137) 85848) ((-866 . -843) NIL) ((-569 . -1022) T) ((-505 . -1022) T) ((-1122 . -609) 85830) ((-1104 . -231) 85809) ((-206 . -105) T) ((-1136 . -105) T) ((-76 . -609) 85791) ((-1128 . -1048) T) ((-1165 . -43) 85688) ((-850 . -609) 85670) ((-569 . -551) T) ((-735 . -43) 85499) ((-663 . -1055) T) ((-722 . -951) 85452) ((-1128 . -226) 85431) ((-1076 . -1091) T) ((-1035 . -25) T) ((-1035 . -21) T) ((-1004 . -1054) 85376) ((-901 . -105) T) ((-854 . -1048) T) ((-771 . -1103) T) ((-684 . -896) NIL) ((-357 . -328) 85360) ((-357 . -366) T) ((-354 . -328) 85344) ((-354 . -366) T) ((-343 . -328) 85328) ((-343 . -366) T) ((-498 . -105) T) ((-1257 . -43) 85298) ((-532 . -678) 85248) ((-209 . -105) T) ((-1024 . -1038) 85128) ((-1004 . -120) 85045) ((-1161 . -975) 85014) ((-1160 . -975) 84976) ((-529 . -155) 84960) ((-1074 . -373) 84939) ((-353 . -609) 84921) ((-320 . -21) T) ((-356 . -1038) 84898) ((-320 . -25) T) ((-1153 . -975) 84867) ((-1115 . -975) 84834) ((-81 . -609) 84816) ((-689 . -302) T) ((-170 . -843) 84795) ((-906 . -366) T) ((-382 . -25) T) ((-382 . -21) T) ((-906 . -328) 84782) ((-91 . -609) 84764) ((-689 . -1022) T) ((-668 . -843) T) ((-1230 . -138) T) ((-1209 . -138) T) ((-897 . -1011) 84748) ((-830 . -21) T) ((-53 . -1038) 84691) ((-830 . -25) T) ((-823 . -25) T) ((-823 . -21) T) ((-1267 . -1055) T) ((-1265 . -1055) T) ((-645 . -717) T) ((-1157 . -302) 84670) ((-260 . -1011) 84654) ((-1268 . -1054) 84638) ((-1219 . -843) 84617) ((-811 . -414) 84586) ((-106 . -128) 84570) ((-57 . -1091) T) ((-927 . -609) 84552) ((-866 . -994) 84529) ((-819 . -105) T) ((-1268 . -120) 84508) ((-644 . -43) 84478) ((-576 . -843) T) ((-357 . -1103) T) ((-354 . -1103) T) ((-343 . -1103) T) ((-258 . -1103) T) ((-243 . -1103) T) ((-616 . -302) 84457) ((-1136 . -304) 84261) ((-657 . -23) T) ((-494 . -224) 84230) ((-156 . -1055) T) ((-357 . -23) T) ((-354 . -23) T) ((-343 . -23) T) ((-126 . -302) T) ((-258 . -23) T) ((-243 . -23) T) ((-1004 . -1048) T) ((-703 . -905) 84209) ((-1004 . -226) 84181) ((-1004 . -239) T) ((-126 . -1022) NIL) ((-906 . -1103) T) ((-1231 . -454) 84160) ((-1210 . -454) 84139) ((-532 . -609) 84106) ((-703 . -638) 84031) ((-410 . -1054) 83983) ((-858 . -138) T) ((-515 . -609) 83965) ((-906 . -23) T) ((-775 . -138) T) ((-498 . -304) NIL) ((-480 . -138) T) ((-209 . -304) NIL) ((-410 . -120) 83896) ((-811 . -1055) 83826) ((-728 . -1088) 83810) ((-1230 . -503) 83776) ((-1209 . -503) 83742) ((-143 . -1088) 83724) ((-490 . -286) T) ((-1268 . -1048) T) ((-1060 . -105) T) ((-510 . -524) NIL) ((-693 . -105) T) ((-494 . -231) 83703) ((-1159 . -149) 83682) ((-1159 . -151) 83661) ((-1114 . -151) 83640) ((-1114 . -149) 83619) ((-627 . -1054) 83603) ((-603 . -1054) 83587) ((-663 . -1091) T) ((-663 . -1051) 83527) ((-1161 . -1237) 83511) ((-1161 . -1224) 83488) ((-498 . -1137) T) ((-1160 . -1229) 83449) ((-1160 . -1224) 83419) ((-1160 . -1227) 83403) ((-209 . -1137) T) ((-342 . -917) T) ((-814 . -263) 83387) ((-627 . -120) 83366) ((-603 . -120) 83345) ((-1153 . -1208) 83306) ((-836 . -1048) 83285) ((-1153 . -1224) 83262) ((-525 . -25) T) ((-505 . -297) T) ((-521 . -23) T) ((-520 . -25) T) ((-518 . -25) T) ((-517 . -23) T) ((-1153 . -1206) 83246) ((-410 . -1048) T) ((-315 . -1055) T) ((-684 . -302) T) ((-112 . -841) T) ((-410 . -239) T) ((-410 . -226) 83225) ((-703 . -717) T) ((-498 . -43) 83175) ((-209 . -43) 83125) ((-480 . -503) 83091) ((-1145 . -1130) T) ((-1092 . -105) T) ((-691 . -609) 83073) ((-691 . -610) 82988) ((-705 . -21) T) ((-705 . -25) T) ((-140 . -609) 82970) ((-125 . -609) 82952) ((-159 . -25) T) ((-1267 . -1091) T) ((-867 . -631) 82900) ((-1265 . -1091) T) ((-965 . -105) T) ((-726 . -105) T) ((-706 . -105) T) ((-455 . -105) T) ((-812 . -454) 82851) ((-49 . -1091) T) ((-1080 . -843) T) ((-657 . -138) T) ((-1060 . -304) 82702) ((-663 . -708) 82686) ((-285 . -1055) T) ((-357 . -138) T) ((-354 . -138) T) ((-343 . -138) T) ((-258 . -138) T) ((-243 . -138) T) ((-734 . -1197) T) ((-421 . -105) T) ((-1242 . -52) 82663) ((-156 . -1091) T) ((-50 . -222) 82613) ((-735 . -224) 82597) ((-1000 . -638) 82535) ((-959 . -843) 82514) ((-734 . -880) 82498) ((-734 . -882) 82423) ((-233 . -1254) 82393) ((-1024 . -302) T) ((-289 . -1054) 82314) ((-906 . -138) T) ((-45 . -917) T) ((-734 . -1038) 82036) ((-498 . -403) 82018) ((-501 . -609) 82000) ((-356 . -302) T) ((-209 . -403) 81982) ((-1074 . -414) 81966) ((-289 . -120) 81882) ((-861 . -1202) T) ((-856 . -1202) T) ((-867 . -25) T) ((-867 . -21) T) ((-861 . -559) T) ((-856 . -559) T) ((-338 . -609) 81864) ((-1232 . -52) 81808) ((-216 . -151) T) ((-174 . -609) 81790) ((-1104 . -841) 81769) ((-767 . -609) 81751) ((-604 . -228) 81698) ((-481 . -228) 81648) ((-1267 . -708) 81618) ((-53 . -302) T) ((-1265 . -708) 81588) ((-966 . -1091) T) ((-811 . -1091) 81378) ((-306 . -105) T) ((-897 . -1197) T) ((-734 . -380) 81347) ((-53 . -1022) T) ((-1209 . -631) 81255) ((-680 . -105) 81233) ((-49 . -708) 81217) ((-552 . -105) T) ((-72 . -386) T) ((-260 . -1197) T) ((-72 . -398) T) ((-35 . -609) 81199) ((-653 . -23) T) ((-663 . -754) T) ((-1195 . -1091) 81177) ((-353 . -1054) 81122) ((-667 . -1091) 81100) ((-1059 . -151) T) ((-954 . -151) 81079) ((-954 . -149) 81058) ((-795 . -105) T) ((-156 . -708) 81042) ((-493 . -151) 81021) ((-493 . -149) 81000) ((-353 . -120) 80917) ((-1074 . -1055) T) ((-320 . -843) 80896) ((-968 . -1089) T) ((-1238 . -975) 80865) ((-1231 . -975) 80827) ((-1210 . -975) 80796) ((-619 . -1091) T) ((-734 . -896) 80777) ((-521 . -138) T) ((-517 . -138) T) ((-290 . -222) 80727) ((-362 . -1055) T) ((-355 . -1055) T) ((-344 . -1055) T) ((-289 . -1048) 80669) ((-1204 . -975) 80638) ((-382 . -843) T) ((-112 . -1055) T) ((-1000 . -717) T) ((-865 . -917) T) ((-836 . -791) 80617) ((-836 . -788) 80596) ((-421 . -304) 80535) ((-474 . -105) T) ((-594 . -975) 80504) ((-315 . -1091) T) ((-410 . -791) 80483) ((-410 . -788) 80462) ((-510 . -500) 80444) ((-1232 . -1038) 80410) ((-1230 . -21) T) ((-1230 . -25) T) ((-1209 . -21) T) ((-1209 . -25) T) ((-811 . -708) 80352) ((-861 . -366) T) ((-856 . -366) T) ((-689 . -407) T) ((-1258 . -1197) T) ((-1104 . -414) 80321) ((-1004 . -371) NIL) ((-106 . -39) T) ((-728 . -1197) T) ((-49 . -754) T) ((-592 . -105) T) ((-82 . -399) T) ((-82 . -398) T) ((-644 . -647) 80305) ((-143 . -1197) T) ((-866 . -151) T) ((-866 . -149) NIL) ((-1242 . -896) 80218) ((-353 . -1048) T) ((-75 . -386) T) ((-75 . -398) T) ((-1152 . -105) T) ((-663 . -524) 80151) ((-680 . -304) 80089) ((-965 . -43) 79986) ((-726 . -43) 79956) ((-552 . -304) 79760) ((-311 . -1197) T) ((-353 . -226) T) ((-353 . -239) T) ((-308 . -1197) T) ((-285 . -1091) T) ((-1167 . -609) 79742) ((-702 . -1202) T) ((-1143 . -641) 79726) ((-1192 . -559) 79705) ((-858 . -25) T) ((-858 . -21) T) ((-702 . -559) T) ((-311 . -880) 79689) ((-311 . -882) 79614) ((-308 . -880) 79575) ((-308 . -882) NIL) ((-795 . -304) 79540) ((-775 . -25) T) ((-315 . -708) 79381) ((-775 . -21) T) ((-322 . -321) 79358) ((-496 . -105) T) ((-480 . -25) T) ((-480 . -21) T) ((-421 . -43) 79332) ((-311 . -1038) 78995) ((-216 . -1183) T) ((-216 . -1186) T) ((-3 . -609) 78977) ((-308 . -1038) 78907) ((-861 . -1103) T) ((-2 . -1091) T) ((-2 . |RecordCategory|) T) ((-856 . -1103) T) ((-829 . -609) 78889) ((-1104 . -1055) 78819) ((-581 . -917) T) ((-569 . -816) T) ((-569 . -917) T) ((-505 . -917) T) ((-142 . -1038) 78803) ((-216 . -98) T) ((-80 . -443) T) ((-80 . -398) T) ((0 . -609) 78785) ((-170 . -151) 78764) ((-170 . -149) 78715) ((-216 . -40) T) ((-54 . -609) 78697) ((-861 . -23) T) ((-490 . -1055) T) ((-856 . -23) T) ((-498 . -224) 78679) ((-495 . -970) 78663) ((-494 . -841) 78642) ((-209 . -224) 78624) ((-86 . -443) T) ((-86 . -398) T) ((-1132 . -39) T) ((-811 . -173) 78603) ((-722 . -105) T) ((-1027 . -609) 78570) ((-510 . -282) 78545) ((-311 . -380) 78514) ((-308 . -380) 78475) ((-308 . -337) 78436) ((-812 . -951) 78383) ((-653 . -138) T) ((-1219 . -149) 78362) ((-1219 . -151) 78341) ((-1198 . -1197) T) ((-1161 . -105) T) ((-1160 . -105) T) ((-1153 . -105) T) ((-1146 . -1091) T) ((-1115 . -105) T) ((-213 . -39) T) ((-285 . -708) 78328) ((-1146 . -606) 78304) ((-592 . -304) NIL) ((-1238 . -1237) 78288) ((-1238 . -1224) 78265) ((-495 . -1091) 78243) ((-1231 . -1229) 78204) ((-393 . -609) 78186) ((-520 . -843) T) ((-1136 . -222) 78136) ((-1231 . -1224) 78106) ((-1231 . -1227) 78090) ((-1210 . -1208) 78051) ((-1210 . -1224) 78028) ((-1210 . -1206) 78012) ((-1204 . -1237) 77996) ((-1204 . -1224) 77973) ((-614 . -609) 77955) ((-1161 . -280) 77921) ((-689 . -917) T) ((-1160 . -280) 77887) ((-1153 . -280) 77853) ((-1115 . -280) 77819) ((-1074 . -1091) T) ((-1058 . -1091) T) ((-53 . -297) T) ((-311 . -896) 77785) ((-308 . -896) NIL) ((-1058 . -1064) 77764) ((-1109 . -882) 77746) ((-795 . -43) 77730) ((-258 . -631) 77678) ((-243 . -631) 77626) ((-691 . -1054) 77613) ((-594 . -1224) 77590) ((-1109 . -1038) 77572) ((-315 . -173) 77503) ((-362 . -1091) T) ((-355 . -1091) T) ((-344 . -1091) T) ((-510 . -19) 77485) ((-1093 . -155) 77469) ((-734 . -302) 77448) ((-112 . -1091) T) ((-125 . -1054) 77435) ((-702 . -366) T) ((-510 . -602) 77410) ((-691 . -120) 77395) ((-439 . -105) T) ((-1157 . -917) 77374) ((-50 . -1135) 77324) ((-125 . -120) 77309) ((-219 . -843) T) ((-146 . -843) 77279) ((-627 . -711) T) ((-603 . -711) T) ((-811 . -524) 77212) ((-1036 . -1197) T) ((-945 . -155) 77196) ((-529 . -105) 77146) ((-1079 . -1202) 77125) ((-778 . -1202) 77104) ((-776 . -1202) 77083) ((-67 . -1197) T) ((-490 . -609) 77035) ((-490 . -610) 76957) ((-1159 . -454) 76888) ((-1145 . -1091) T) ((-1128 . -638) 76862) ((-1079 . -559) 76793) ((-494 . -414) 76762) ((-616 . -917) 76741) ((-456 . -1202) 76720) ((-1114 . -454) 76671) ((-778 . -559) 76582) ((-401 . -609) 76564) ((-776 . -559) 76495) ((-667 . -524) 76428) ((-722 . -304) 76415) ((-657 . -25) T) ((-657 . -21) T) ((-456 . -559) 76346) ((-126 . -917) T) ((-126 . -816) NIL) ((-357 . -25) T) ((-357 . -21) T) ((-354 . -25) T) ((-354 . -21) T) ((-343 . -25) T) ((-343 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-88 . -387) T) ((-88 . -398) T) ((-243 . -25) T) ((-243 . -21) T) ((-1249 . -609) 76328) ((-1192 . -1103) T) ((-1192 . -23) T) ((-1153 . -304) 76213) ((-1115 . -304) 76200) ((-1074 . -708) 76068) ((-854 . -638) 76028) ((-945 . -982) 76012) ((-906 . -21) T) ((-285 . -173) T) ((-906 . -25) T) ((-867 . -843) 75963) ((-861 . -138) T) ((-702 . -1103) T) ((-702 . -23) T) ((-637 . -1091) 75941) ((-624 . -606) 75916) ((-624 . -1091) T) ((-582 . -1202) T) ((-527 . -1202) T) ((-582 . -559) T) ((-527 . -559) T) ((-362 . -708) 75868) ((-355 . -708) 75820) ((-344 . -708) 75772) ((-338 . -1054) 75756) ((-174 . -120) 75655) ((-174 . -1054) 75587) ((-112 . -708) 75537) ((-338 . -120) 75516) ((-271 . -1091) T) ((-270 . -1091) T) ((-269 . -1091) T) ((-268 . -1091) T) ((-691 . -1048) T) ((-267 . -1091) T) ((-266 . -1091) T) ((-265 . -1091) T) ((-205 . -1091) T) ((-204 . -1091) T) ((-202 . -1091) T) ((-170 . -1186) 75494) ((-170 . -1183) 75472) ((-201 . -1091) T) ((-200 . -1091) T) ((-125 . -1048) T) ((-199 . -1091) T) ((-196 . -1091) T) ((-691 . -226) T) ((-195 . -1091) T) ((-194 . -1091) T) ((-193 . -1091) T) ((-192 . -1091) T) ((-191 . -1091) T) ((-190 . -1091) T) ((-189 . -1091) T) ((-188 . -1091) T) ((-187 . -1091) T) ((-186 . -1091) T) ((-233 . -105) 75262) ((-170 . -40) 75240) ((-170 . -98) 75218) ((-856 . -138) T) ((-645 . -1038) 75114) ((-494 . -1055) 75044) ((-1104 . -1091) 74834) ((-1128 . -39) T) ((-663 . -500) 74818) ((-78 . -1197) T) ((-109 . -609) 74800) ((-1269 . -609) 74782) ((-384 . -609) 74764) ((-576 . -1186) T) ((-576 . -1183) T) ((-722 . -43) 74613) ((-535 . -609) 74595) ((-529 . -304) 74533) ((-510 . -609) 74515) ((-510 . -610) 74497) ((-1153 . -1137) NIL) ((-1028 . -1067) 74466) ((-1028 . -1091) T) ((-1005 . -105) T) ((-973 . -105) T) ((-911 . -105) T) ((-889 . -1038) 74443) ((-1128 . -717) T) ((-1004 . -638) 74388) ((-482 . -1091) T) ((-469 . -1091) T) ((-586 . -23) T) ((-576 . -40) T) ((-576 . -98) T) ((-430 . -105) T) ((-1060 . -222) 74334) ((-1161 . -43) 74231) ((-854 . -717) T) ((-684 . -917) T) ((-521 . -25) T) ((-517 . -21) T) ((-517 . -25) T) ((-1160 . -43) 74072) ((-338 . -1048) T) ((-1153 . -43) 73868) ((-1074 . -173) T) ((-174 . -1048) T) ((-1115 . -43) 73765) ((-703 . -52) 73742) ((-362 . -173) T) ((-355 . -173) T) ((-528 . -62) 73716) ((-507 . -62) 73666) ((-353 . -1264) 73643) ((-216 . -454) T) ((-315 . -286) 73594) ((-344 . -173) T) ((-174 . -239) T) ((-1209 . -843) 73493) ((-112 . -173) T) ((-867 . -994) 73477) ((-649 . -1103) T) ((-582 . -366) T) ((-582 . -328) 73464) ((-527 . -328) 73441) ((-527 . -366) T) ((-311 . -302) 73420) ((-308 . -302) T) ((-600 . -843) 73399) ((-1104 . -708) 73341) ((-529 . -278) 73325) ((-649 . -23) T) ((-421 . -224) 73309) ((-308 . -1022) NIL) ((-335 . -23) T) ((-237 . -23) T) ((-106 . -1011) 73293) ((-50 . -41) 73272) ((-608 . -1091) T) ((-353 . -371) T) ((-505 . -27) T) ((-233 . -304) 73210) ((-1079 . -1103) T) ((-1268 . -638) 73184) ((-778 . -1103) T) ((-776 . -1103) T) ((-456 . -1103) T) ((-1059 . -454) T) ((-954 . -454) 73135) ((-114 . -1091) T) ((-1079 . -23) T) ((-813 . -1055) T) ((-778 . -23) T) ((-776 . -23) T) ((-493 . -454) 73086) ((-1146 . -524) 72834) ((-384 . -385) 72813) ((-1165 . -414) 72797) ((-464 . -23) T) ((-456 . -23) T) ((-735 . -414) 72781) ((-734 . -297) T) ((-495 . -524) 72714) ((-285 . -286) T) ((-1076 . -609) 72696) ((-410 . -905) 72675) ((-55 . -1103) T) ((-1024 . -917) T) ((-1004 . -717) T) ((-703 . -882) NIL) ((-582 . -1103) T) ((-527 . -1103) T) ((-836 . -638) 72648) ((-1192 . -138) T) ((-1153 . -403) 72600) ((-1005 . -304) NIL) ((-811 . -500) 72584) ((-356 . -917) T) ((-1143 . -39) T) ((-410 . -638) 72536) ((-55 . -23) T) ((-702 . -138) T) ((-703 . -1038) 72416) ((-582 . -23) T) ((-112 . -524) NIL) ((-527 . -23) T) ((-170 . -412) 72387) ((-216 . -1125) T) ((-1126 . -1091) T) ((-1260 . -1259) 72371) ((-691 . -791) T) ((-691 . -788) T) ((-382 . -151) T) ((-1109 . -302) T) ((-1209 . -994) 72341) ((-53 . -917) T) ((-667 . -500) 72325) ((-245 . -1254) 72295) ((-244 . -1254) 72265) ((-1163 . -843) T) ((-1104 . -173) 72244) ((-1109 . -1022) T) ((-1045 . -39) T) ((-830 . -151) 72223) ((-830 . -149) 72202) ((-728 . -111) 72186) ((-608 . -139) T) ((-494 . -1091) 71976) ((-1165 . -1055) T) ((-866 . -454) T) ((-90 . -1197) T) ((-233 . -43) 71946) ((-143 . -111) 71928) ((-924 . -1089) T) ((-703 . -380) 71912) ((-735 . -1055) T) ((-1109 . -551) T) ((-393 . -1054) 71896) ((-1268 . -717) T) ((-1159 . -951) 71865) ((-57 . -609) 71847) ((-1114 . -951) 71814) ((-644 . -414) 71798) ((-1257 . -1055) T) ((-1238 . -105) T) ((-614 . -1054) 71782) ((-653 . -25) T) ((-653 . -21) T) ((-1145 . -524) NIL) ((-1231 . -105) T) ((-1210 . -105) T) ((-393 . -120) 71761) ((-213 . -248) 71745) ((-1204 . -105) T) ((-1052 . -1091) T) ((-1005 . -1137) T) ((-1052 . -1051) 71685) ((-814 . -1091) T) ((-342 . -1202) T) ((-627 . -638) 71669) ((-614 . -120) 71648) ((-603 . -638) 71632) ((-595 . -105) T) ((-586 . -138) T) ((-594 . -105) T) ((-417 . -1091) T) ((-388 . -1091) T) ((-220 . -1091) 71610) ((-637 . -524) 71543) ((-624 . -524) 71351) ((-829 . -1048) 71330) ((-635 . -155) 71314) ((-342 . -559) T) ((-703 . -896) 71257) ((-552 . -222) 71207) ((-1238 . -280) 71173) ((-1231 . -280) 71139) ((-1074 . -286) 71090) ((-498 . -841) T) ((-214 . -1103) T) ((-1210 . -280) 71056) ((-1204 . -280) 71022) ((-1005 . -43) 70972) ((-209 . -841) T) ((-1192 . -503) 70938) ((-911 . -43) 70890) ((-836 . -790) 70869) ((-836 . -787) 70848) ((-836 . -717) 70827) ((-362 . -286) T) ((-355 . -286) T) ((-344 . -286) T) ((-170 . -454) 70758) ((-430 . -43) 70742) ((-112 . -286) T) ((-214 . -23) T) ((-410 . -790) 70721) ((-410 . -787) 70700) ((-410 . -717) T) ((-510 . -284) 70675) ((-490 . -1054) 70640) ((-649 . -138) T) ((-1104 . -524) 70573) ((-335 . -138) T) ((-170 . -405) 70552) ((-237 . -138) T) ((-494 . -708) 70494) ((-811 . -282) 70471) ((-490 . -120) 70420) ((-33 . -37) 70404) ((-644 . -1055) T) ((-1219 . -454) 70335) ((-1079 . -138) T) ((-258 . -843) 70314) ((-243 . -843) 70293) ((-778 . -138) T) ((-776 . -138) T) ((-576 . -454) T) ((-1052 . -708) 70235) ((-614 . -1048) T) ((-1028 . -524) 70168) ((-464 . -138) T) ((-456 . -138) T) ((-50 . -1091) T) ((-388 . -708) 70138) ((-813 . -1091) T) ((-482 . -524) 70071) ((-469 . -524) 70004) ((-455 . -370) 69974) ((-50 . -606) 69953) ((-311 . -297) T) ((-663 . -609) 69915) ((-64 . -843) 69894) ((-1210 . -304) 69779) ((-1005 . -403) 69761) ((-811 . -602) 69738) ((-526 . -843) 69717) ((-506 . -843) 69696) ((-45 . -1202) T) ((-1000 . -1038) 69592) ((-55 . -138) T) ((-582 . -138) T) ((-527 . -138) T) ((-289 . -638) 69452) ((-342 . -328) 69429) ((-342 . -366) T) ((-320 . -321) 69406) ((-315 . -282) 69391) ((-45 . -559) T) ((-382 . -1183) T) ((-382 . -1186) T) ((-1036 . -1174) 69366) ((-1171 . -228) 69316) ((-1153 . -224) 69268) ((-1036 . -111) 69214) ((-329 . -1091) T) ((-382 . -98) T) ((-382 . -40) T) ((-861 . -21) T) ((-861 . -25) T) ((-856 . -25) T) ((-490 . -1048) T) ((-539 . -537) 69158) ((-856 . -21) T) ((-491 . -228) 69108) ((-1146 . -500) 69042) ((-1269 . -1054) 69026) ((-384 . -1054) 69010) ((-490 . -239) T) ((-812 . -105) T) ((-705 . -151) 68989) ((-705 . -149) 68968) ((-495 . -500) 68952) ((-1269 . -120) 68931) ((-496 . -334) 68900) ((-1000 . -380) 68884) ((-522 . -1091) T) ((-494 . -173) 68863) ((-1000 . -337) 68847) ((-416 . -105) T) ((-384 . -120) 68826) ((-276 . -985) 68810) ((-275 . -985) 68794) ((-217 . -39) T) ((-145 . -39) T) ((-1267 . -609) 68776) ((-1265 . -609) 68758) ((-114 . -524) NIL) ((-1159 . -1222) 68742) ((-847 . -845) 68726) ((-1165 . -1091) T) ((-106 . -1197) T) ((-954 . -951) 68687) ((-735 . -1091) T) ((-813 . -708) 68624) ((-1210 . -1137) NIL) ((-493 . -951) 68569) ((-1059 . -147) T) ((-65 . -105) 68547) ((-49 . -609) 68529) ((-83 . -609) 68511) ((-353 . -638) 68456) ((-1257 . -1091) T) ((-521 . -843) T) ((-342 . -1103) T) ((-290 . -1091) T) ((-1000 . -896) 68415) ((-290 . -606) 68394) ((-1238 . -43) 68291) ((-1231 . -43) 68132) ((-538 . -1089) T) ((-1210 . -43) 67928) ((-498 . -1055) T) ((-1204 . -43) 67825) ((-209 . -1055) T) ((-342 . -23) T) ((-156 . -609) 67807) ((-829 . -791) 67786) ((-829 . -788) 67765) ((-734 . -917) 67744) ((-595 . -43) 67717) ((-594 . -43) 67614) ((-865 . -559) T) ((-214 . -138) T) ((-315 . -1003) 67580) ((-84 . -609) 67562) ((-703 . -302) 67541) ((-289 . -717) 67443) ((-820 . -105) T) ((-853 . -837) T) ((-289 . -479) 67422) ((-1260 . -105) T) ((-45 . -366) T) ((-867 . -151) 67401) ((-33 . -1091) T) ((-867 . -149) 67380) ((-1145 . -500) 67362) ((-1269 . -1048) T) ((-494 . -524) 67295) ((-1132 . -1197) T) ((-966 . -609) 67277) ((-637 . -500) 67261) ((-624 . -500) 67193) ((-811 . -609) 66951) ((-53 . -27) T) ((-1165 . -708) 66848) ((-644 . -1091) T) ((-439 . -367) 66822) ((-735 . -708) 66651) ((-1093 . -105) T) ((-812 . -304) 66638) ((-853 . -1091) T) ((-1265 . -385) 66610) ((-1052 . -524) 66543) ((-1146 . -282) 66519) ((-233 . -224) 66488) ((-1257 . -708) 66458) ((-813 . -173) 66437) ((-220 . -524) 66370) ((-614 . -791) 66349) ((-614 . -788) 66328) ((-1195 . -609) 66275) ((-213 . -1197) T) ((-667 . -609) 66242) ((-1143 . -1011) 66226) ((-353 . -717) T) ((-945 . -105) 66176) ((-1210 . -403) 66128) ((-1104 . -500) 66112) ((-65 . -304) 66050) ((-330 . -105) T) ((-1192 . -21) T) ((-1192 . -25) T) ((-45 . -1103) T) ((-702 . -21) T) ((-619 . -609) 66032) ((-525 . -321) 66011) ((-702 . -25) T) ((-112 . -282) NIL) ((-918 . -1103) T) ((-45 . -23) T) ((-764 . -1103) T) ((-569 . -1202) T) ((-505 . -1202) T) ((-315 . -609) 65993) ((-1005 . -224) 65975) ((-170 . -167) 65959) ((-581 . -559) T) ((-569 . -559) T) ((-505 . -559) T) ((-764 . -23) T) ((-1230 . -151) 65938) ((-1146 . -602) 65914) ((-1230 . -149) 65893) ((-1028 . -500) 65877) ((-1209 . -149) 65802) ((-1209 . -151) 65727) ((-1260 . -1266) 65706) ((-482 . -500) 65690) ((-469 . -500) 65674) ((-532 . -39) T) ((-644 . -708) 65644) ((-653 . -843) 65623) ((-1165 . -173) 65574) ((-368 . -105) T) ((-233 . -231) 65553) ((-245 . -105) T) ((-244 . -105) T) ((-1219 . -951) 65522) ((-113 . -105) T) ((-241 . -843) 65501) ((-812 . -43) 65350) ((-735 . -173) 65241) ((-50 . -524) 65001) ((-1145 . -282) 64976) ((-206 . -1091) T) ((-1136 . -1091) T) ((-922 . -105) T) ((-1136 . -606) 64955) ((-586 . -25) T) ((-586 . -21) T) ((-1093 . -304) 64893) ((-965 . -414) 64877) ((-689 . -1202) T) ((-624 . -282) 64852) ((-1079 . -631) 64800) ((-778 . -631) 64748) ((-776 . -631) 64696) ((-342 . -138) T) ((-285 . -609) 64678) ((-922 . -921) 64650) ((-689 . -559) T) ((-901 . -1091) T) ((-865 . -1103) T) ((-456 . -631) 64598) ((-901 . -899) 64582) ((-858 . -857) T) ((-858 . -859) T) ((-945 . -304) 64520) ((-382 . -454) T) ((-865 . -23) T) ((-498 . -1091) T) ((-858 . -149) T) ((-691 . -638) 64507) ((-858 . -151) 64486) ((-209 . -1091) T) ((-311 . -917) 64465) ((-308 . -917) T) ((-308 . -816) NIL) ((-393 . -711) T) ((-775 . -149) 64444) ((-775 . -151) 64423) ((-125 . -638) 64410) ((-480 . -149) 64389) ((-421 . -414) 64373) ((-480 . -151) 64352) ((-114 . -500) 64334) ((-1157 . -1202) 64313) ((-2 . -609) 64295) ((-1145 . -19) 64277) ((-1157 . -559) 64188) ((-1145 . -602) 64163) ((-649 . -21) T) ((-649 . -25) T) ((-592 . -1130) T) ((-1104 . -282) 64140) ((-335 . -25) T) ((-335 . -21) T) ((-237 . -25) T) ((-237 . -21) T) ((-505 . -366) T) ((-1260 . -43) 64110) ((-1128 . -1197) T) ((-624 . -602) 64085) ((-1079 . -25) T) ((-1079 . -21) T) ((-965 . -1055) T) ((-735 . -524) 64031) ((-535 . -788) T) ((-535 . -791) T) ((-126 . -1202) T) ((-234 . -105) T) ((-616 . -559) T) ((-778 . -25) T) ((-778 . -21) T) ((-776 . -21) T) ((-776 . -25) T) ((-726 . -1055) T) ((-706 . -1055) T) ((-663 . -1054) 64015) ((-464 . -25) T) ((-126 . -559) T) ((-464 . -21) T) ((-456 . -25) T) ((-456 . -21) T) ((-1128 . -1038) 63911) ((-813 . -286) 63890) ((-734 . -433) 63874) ((-819 . -1091) T) ((-663 . -120) 63853) ((-290 . -524) 63613) ((-1267 . -1054) 63597) ((-1265 . -1054) 63581) ((-1230 . -1183) 63547) ((-245 . -304) 63485) ((-244 . -304) 63423) ((-1213 . -105) 63401) ((-1146 . -610) NIL) ((-1146 . -609) 63383) ((-1230 . -1186) 63349) ((-1210 . -224) 63301) ((-1209 . -1183) 63267) ((-1209 . -1186) 63233) ((-1128 . -380) 63217) ((-1109 . -816) T) ((-1109 . -917) T) ((-1104 . -602) 63194) ((-1074 . -610) 63178) ((-539 . -105) T) ((-495 . -609) 63145) ((-811 . -284) 63122) ((-604 . -155) 63069) ((-421 . -1055) T) ((-498 . -708) 63019) ((-494 . -500) 63003) ((-326 . -843) 62982) ((-338 . -638) 62956) ((-55 . -21) T) ((-55 . -25) T) ((-209 . -708) 62906) ((-170 . -715) 62877) ((-174 . -638) 62809) ((-582 . -21) T) ((-582 . -25) T) ((-527 . -25) T) ((-527 . -21) T) ((-481 . -155) 62759) ((-1074 . -609) 62741) ((-1058 . -609) 62723) ((-995 . -105) T) ((-851 . -105) T) ((-795 . -414) 62686) ((-45 . -138) T) ((-689 . -366) T) ((-205 . -891) T) ((-691 . -790) T) ((-691 . -787) T) ((-581 . -1103) T) ((-569 . -1103) T) ((-505 . -1103) T) ((-691 . -717) T) ((-362 . -609) 62668) ((-355 . -609) 62650) ((-344 . -609) 62632) ((-71 . -399) T) ((-71 . -398) T) ((-112 . -610) 62562) ((-112 . -609) 62544) ((-204 . -891) T) ((-959 . -155) 62528) ((-1230 . -98) 62494) ((-764 . -138) T) ((-140 . -717) T) ((-125 . -717) T) ((-1230 . -40) 62460) ((-1052 . -500) 62444) ((-581 . -23) T) ((-569 . -23) T) ((-505 . -23) T) ((-1209 . -98) 62410) ((-1209 . -40) 62376) ((-1159 . -105) T) ((-1114 . -105) T) ((-847 . -105) T) ((-220 . -500) 62360) ((-1267 . -120) 62339) ((-1265 . -120) 62318) ((-49 . -1054) 62302) ((-1219 . -1222) 62286) ((-848 . -845) 62270) ((-1165 . -286) 62249) ((-114 . -282) 62224) ((-1128 . -896) 62183) ((-49 . -120) 62162) ((-735 . -286) 62073) ((-663 . -1048) T) ((-1153 . -841) NIL) ((-1145 . -610) NIL) ((-1145 . -609) 62055) ((-1060 . -606) 62030) ((-1060 . -1091) T) ((-79 . -443) T) ((-79 . -398) T) ((-663 . -226) 62009) ((-156 . -1054) 61993) ((-576 . -556) 61977) ((-357 . -151) 61956) ((-357 . -149) 61907) ((-354 . -151) 61886) ((-693 . -1091) T) ((-354 . -149) 61837) ((-343 . -151) 61816) ((-343 . -149) 61767) ((-258 . -149) 61746) ((-258 . -151) 61725) ((-245 . -43) 61695) ((-243 . -151) 61674) ((-126 . -366) T) ((-243 . -149) 61653) ((-244 . -43) 61623) ((-156 . -120) 61602) ((-1004 . -1038) 61477) ((-923 . -1089) T) ((-684 . -1202) T) ((-795 . -1055) T) ((-689 . -1103) T) ((-1267 . -1048) T) ((-1265 . -1048) T) ((-1157 . -1103) T) ((-1143 . -1197) T) ((-1004 . -380) 61454) ((-906 . -149) T) ((-906 . -151) 61436) ((-865 . -138) T) ((-811 . -1054) 61333) ((-684 . -559) T) ((-689 . -23) T) ((-637 . -609) 61300) ((-637 . -610) 61261) ((-624 . -610) NIL) ((-624 . -609) 61243) ((-498 . -173) T) ((-214 . -21) T) ((-214 . -25) T) ((-209 . -173) T) ((-480 . -1186) 61209) ((-480 . -1183) 61175) ((-271 . -609) 61157) ((-270 . -609) 61139) ((-269 . -609) 61121) ((-268 . -609) 61103) ((-267 . -609) 61085) ((-510 . -641) 61067) ((-266 . -609) 61049) ((-338 . -717) T) ((-265 . -609) 61031) ((-114 . -19) 61013) ((-174 . -717) T) ((-510 . -376) 60995) ((-205 . -609) 60977) ((-529 . -1135) 60961) ((-510 . -133) T) ((-114 . -602) 60936) ((-204 . -609) 60918) ((-480 . -40) 60884) ((-480 . -98) 60850) ((-202 . -609) 60832) ((-201 . -609) 60814) ((-200 . -609) 60796) ((-199 . -609) 60778) ((-196 . -609) 60760) ((-195 . -609) 60742) ((-194 . -609) 60724) ((-193 . -609) 60706) ((-192 . -609) 60688) ((-191 . -609) 60670) ((-190 . -609) 60652) ((-542 . -1094) 60604) ((-189 . -609) 60586) ((-188 . -609) 60568) ((-50 . -500) 60505) ((-187 . -609) 60487) ((-186 . -609) 60469) ((-1157 . -23) T) ((-811 . -120) 60359) ((-635 . -105) 60309) ((-494 . -282) 60286) ((-1104 . -609) 60044) ((-1092 . -1091) T) ((-1045 . -1197) T) ((-616 . -1103) T) ((-1268 . -1038) 60028) ((-1159 . -304) 60015) ((-1114 . -304) 60002) ((-126 . -1103) T) ((-815 . -105) T) ((-616 . -23) T) ((-1136 . -524) 59762) ((-389 . -105) T) ((-322 . -105) T) ((-1004 . -896) 59714) ((-965 . -1091) T) ((-156 . -1048) T) ((-126 . -23) T) ((-722 . -414) 59698) ((-726 . -1091) T) ((-706 . -1091) T) ((-693 . -139) T) ((-455 . -1091) T) ((-311 . -433) 59682) ((-410 . -1197) T) ((-1028 . -610) 59643) ((-1028 . -609) 59605) ((-1024 . -1202) T) ((-216 . -105) T) ((-234 . -43) 59551) ((-812 . -224) 59535) ((-1024 . -559) T) ((-829 . -638) 59508) ((-356 . -1202) T) ((-482 . -609) 59470) ((-482 . -610) 59431) ((-469 . -610) 59392) ((-469 . -609) 59354) ((-410 . -880) 59338) ((-315 . -1054) 59173) ((-410 . -882) 59098) ((-836 . -1038) 58994) ((-498 . -524) NIL) ((-494 . -602) 58971) ((-356 . -559) T) ((-209 . -524) NIL) ((-867 . -454) T) ((-421 . -1091) T) ((-410 . -1038) 58835) ((-315 . -120) 58649) ((-684 . -366) T) ((-216 . -280) T) ((-53 . -1202) T) ((-811 . -1048) 58579) ((-581 . -138) T) ((-569 . -138) T) ((-505 . -138) T) ((-53 . -559) T) ((-1146 . -284) 58555) ((-1159 . -1137) 58533) ((-311 . -27) 58512) ((-1059 . -105) T) ((-811 . -226) 58464) ((-233 . -841) 58443) ((-954 . -105) T) ((-704 . -105) T) ((-290 . -500) 58380) ((-493 . -105) T) ((-722 . -1055) T) ((-608 . -609) 58362) ((-608 . -610) 58223) ((-410 . -380) 58207) ((-410 . -337) 58191) ((-1159 . -43) 58020) ((-1114 . -43) 57869) ((-847 . -43) 57839) ((-393 . -638) 57823) ((-635 . -304) 57761) ((-965 . -708) 57658) ((-726 . -708) 57628) ((-213 . -111) 57612) ((-50 . -282) 57537) ((-614 . -638) 57511) ((-306 . -1091) T) ((-285 . -1054) 57498) ((-114 . -609) 57480) ((-114 . -610) 57462) ((-455 . -708) 57432) ((-812 . -247) 57371) ((-680 . -1091) 57349) ((-552 . -1091) T) ((-1161 . -1055) T) ((-1160 . -1055) T) ((-285 . -120) 57334) ((-1153 . -1055) T) ((-1115 . -1055) T) ((-552 . -606) 57313) ((-1005 . -841) T) ((-220 . -678) 57271) ((-684 . -1103) T) ((-1192 . -731) 57247) ((-968 . -972) 57224) ((-315 . -1048) T) ((-342 . -25) T) ((-342 . -21) T) ((-410 . -896) 57183) ((-73 . -1197) T) ((-829 . -790) 57162) ((-421 . -708) 57136) ((-795 . -1091) T) ((-829 . -787) 57115) ((-689 . -138) T) ((-703 . -917) 57094) ((-684 . -23) T) ((-498 . -286) T) ((-829 . -717) 57073) ((-315 . -226) 57025) ((-315 . -239) 57004) ((-209 . -286) T) ((-1024 . -366) T) ((-1230 . -454) 56983) ((-1209 . -454) 56962) ((-356 . -328) 56939) ((-356 . -366) T) ((-1126 . -609) 56921) ((-50 . -1234) 56871) ((-866 . -105) T) ((-635 . -278) 56855) ((-689 . -1057) T) ((-490 . -638) 56820) ((-474 . -1091) T) ((-50 . -602) 56745) ((-1145 . -284) 56720) ((-1157 . -138) T) ((-45 . -631) 56654) ((-53 . -366) T) ((-1097 . -609) 56636) ((-1079 . -843) 56615) ((-624 . -284) 56590) ((-954 . -304) 56577) ((-778 . -843) 56556) ((-776 . -843) 56535) ((-456 . -843) 56514) ((-494 . -609) 56272) ((-233 . -414) 56241) ((-217 . -1197) T) ((-145 . -1197) T) ((-219 . -155) 56223) ((-146 . -155) 56198) ((-70 . -1197) T) ((-735 . -282) 56125) ((-616 . -138) T) ((-493 . -304) 56112) ((-1060 . -524) 55920) ((-285 . -1048) T) ((-126 . -138) T) ((-455 . -754) T) ((-965 . -173) 55871) ((-1152 . -1091) T) ((-1104 . -284) 55848) ((-1074 . -1054) 55758) ((-614 . -790) 55737) ((-592 . -1091) T) ((-614 . -787) 55716) ((-614 . -717) T) ((-290 . -282) 55695) ((-289 . -1197) T) ((-1052 . -609) 55657) ((-1052 . -610) 55618) ((-1024 . -1103) T) ((-170 . -105) T) ((-272 . -843) T) ((-1093 . -222) 55602) ((-814 . -609) 55584) ((-1074 . -120) 55473) ((-1004 . -302) T) ((-858 . -454) T) ((-795 . -708) 55457) ((-362 . -1054) 55409) ((-356 . -1103) T) ((-355 . -1054) 55361) ((-417 . -609) 55343) ((-388 . -609) 55325) ((-344 . -1054) 55277) ((-220 . -609) 55244) ((-1024 . -23) T) ((-775 . -454) T) ((-112 . -1054) 55194) ((-894 . -105) T) ((-834 . -105) T) ((-804 . -105) T) ((-762 . -105) T) ((-668 . -105) T) ((-480 . -454) 55173) ((-421 . -173) T) ((-362 . -120) 55104) ((-355 . -120) 55035) ((-344 . -120) 54966) ((-245 . -224) 54935) ((-244 . -224) 54904) ((-356 . -23) T) ((-76 . -1197) T) ((-216 . -43) 54869) ((-112 . -120) 54796) ((-45 . -25) T) ((-45 . -21) T) ((-663 . -711) T) ((-170 . -280) 54774) ((-858 . -405) T) ((-53 . -1103) T) ((-918 . -25) T) ((-764 . -25) T) ((-1136 . -500) 54711) ((-496 . -1091) T) ((-1269 . -638) 54685) ((-1219 . -105) T) ((-848 . -105) T) ((-233 . -1055) 54615) ((-1059 . -1137) T) ((-966 . -788) 54568) ((-384 . -638) 54552) ((-53 . -23) T) ((-966 . -791) 54505) ((-811 . -791) 54456) ((-811 . -788) 54407) ((-290 . -602) 54386) ((-490 . -717) T) ((-1157 . -503) 54364) ((-576 . -105) T) ((-866 . -304) 54308) ((-644 . -282) 54287) ((-121 . -652) T) ((-81 . -1197) T) ((-1059 . -43) 54274) ((-657 . -377) 54253) ((-954 . -43) 54102) ((-722 . -1091) T) ((-493 . -43) 53951) ((-91 . -1197) T) ((-576 . -280) T) ((-1210 . -841) NIL) ((-1161 . -1091) T) ((-1160 . -1091) T) ((-1153 . -1091) T) ((-353 . -1038) 53928) ((-1074 . -1048) T) ((-1005 . -1055) T) ((-50 . -609) 53910) ((-50 . -610) NIL) ((-911 . -1055) T) ((-813 . -609) 53892) ((-1133 . -105) 53870) ((-1074 . -239) 53821) ((-430 . -1055) T) ((-362 . -1048) T) ((-355 . -1048) T) ((-368 . -367) 53798) ((-344 . -1048) T) ((-245 . -231) 53777) ((-244 . -231) 53756) ((-113 . -367) 53730) ((-1074 . -226) 53655) ((-1115 . -1091) T) ((-289 . -896) 53614) ((-112 . -1048) T) ((-734 . -1202) 53593) ((-684 . -138) T) ((-421 . -524) 53435) ((-362 . -226) 53414) ((-362 . -239) T) ((-49 . -711) T) ((-355 . -226) 53393) ((-355 . -239) T) ((-344 . -226) 53372) ((-344 . -239) T) ((-734 . -559) T) ((-170 . -304) 53337) ((-112 . -239) T) ((-112 . -226) T) ((-315 . -788) T) ((-865 . -21) T) ((-865 . -25) T) ((-410 . -302) T) ((-510 . -39) T) ((-114 . -284) 53312) ((-1104 . -1054) 53209) ((-866 . -1137) NIL) ((-861 . -860) T) ((-861 . -859) T) ((-856 . -855) T) ((-856 . -859) T) ((-856 . -860) T) ((-329 . -609) 53191) ((-410 . -1022) 53169) ((-1104 . -120) 53059) ((-861 . -149) 53029) ((-861 . -151) T) ((-856 . -151) T) ((-856 . -149) 52999) ((-439 . -1091) T) ((-1269 . -717) T) ((-68 . -609) 52981) ((-866 . -43) 52926) ((-532 . -1197) T) ((-600 . -155) 52910) ((-522 . -609) 52892) ((-1219 . -304) 52879) ((-722 . -708) 52728) ((-535 . -789) T) ((-535 . -790) T) ((-569 . -631) 52710) ((-505 . -631) 52670) ((-357 . -454) T) ((-354 . -454) T) ((-343 . -454) T) ((-258 . -454) 52621) ((-529 . -1091) 52571) ((-243 . -454) 52522) ((-1136 . -282) 52501) ((-1165 . -609) 52483) ((-680 . -524) 52416) ((-965 . -286) 52395) ((-552 . -524) 52155) ((-735 . -610) NIL) ((-735 . -609) 52137) ((-1257 . -609) 52119) ((-1159 . -224) 52103) ((-170 . -1137) 52082) ((-1242 . -559) 52061) ((-1161 . -708) 51958) ((-1160 . -708) 51799) ((-888 . -105) T) ((-1153 . -708) 51595) ((-1115 . -708) 51492) ((-1143 . -666) 51476) ((-357 . -405) 51427) ((-354 . -405) 51378) ((-343 . -405) 51329) ((-1024 . -138) T) ((-795 . -524) 51241) ((-290 . -610) NIL) ((-290 . -609) 51223) ((-906 . -454) T) ((-966 . -371) 51176) ((-811 . -371) 51155) ((-520 . -519) 51134) ((-518 . -519) 51113) ((-498 . -282) NIL) ((-494 . -284) 51090) ((-421 . -286) T) ((-356 . -138) T) ((-209 . -282) NIL) ((-684 . -503) NIL) ((-101 . -1103) T) ((-170 . -43) 50918) ((-1232 . -559) T) ((-1230 . -975) 50880) ((-1133 . -304) 50818) ((-1209 . -975) 50787) ((-906 . -405) T) ((-1104 . -1048) 50717) ((-1136 . -602) 50696) ((-734 . -366) 50675) ((-775 . -155) 50627) ((-121 . -843) T) ((-1060 . -500) 50559) ((-581 . -21) T) ((-581 . -25) T) ((-569 . -21) T) ((-569 . -25) T) ((-505 . -25) T) ((-505 . -21) T) ((-1219 . -1137) 50537) ((-1104 . -226) 50489) ((-53 . -138) T) ((-33 . -609) 50471) ((-969 . -1089) T) ((-1179 . -105) T) ((-233 . -1091) 50261) ((-866 . -403) 50238) ((-1080 . -105) T) ((-1070 . -105) T) ((-604 . -105) T) ((-481 . -105) T) ((-1219 . -43) 50067) ((-848 . -43) 50037) ((-1157 . -631) 49985) ((-722 . -173) 49896) ((-644 . -609) 49878) ((-576 . -43) 49865) ((-959 . -105) 49815) ((-853 . -609) 49797) ((-853 . -610) 49719) ((-592 . -524) NIL) ((-1238 . -1055) T) ((-1231 . -1055) T) ((-1210 . -1055) T) ((-1204 . -1055) T) ((-1273 . -1103) T) ((-1192 . -151) 49698) ((-1161 . -173) 49649) ((-595 . -1055) T) ((-594 . -1055) T) ((-1160 . -173) 49580) ((-1153 . -173) 49511) ((-1115 . -173) 49462) ((-1005 . -1091) T) ((-973 . -1091) T) ((-911 . -1091) T) ((-795 . -793) 49446) ((-775 . -642) 49430) ((-775 . -975) 49399) ((-734 . -1103) T) ((-689 . -25) T) ((-689 . -21) T) ((-126 . -631) 49376) ((-691 . -882) 49358) ((-430 . -1091) T) ((-311 . -1202) 49337) ((-308 . -1202) T) ((-170 . -403) 49321) ((-1192 . -149) 49300) ((-480 . -975) 49262) ((-77 . -609) 49244) ((-734 . -23) T) ((-112 . -791) T) ((-112 . -788) T) ((-311 . -559) 49223) ((-691 . -1038) 49205) ((-308 . -559) T) ((-1273 . -23) T) ((-140 . -1038) 49187) ((-494 . -1054) 49084) ((-50 . -284) 49009) ((-1157 . -25) T) ((-1157 . -21) T) ((-233 . -708) 48951) ((-494 . -120) 48841) ((-1083 . -105) 48819) ((-1035 . -105) T) ((-635 . -824) 48798) ((-722 . -524) 48736) ((-1052 . -1054) 48720) ((-616 . -21) T) ((-616 . -25) T) ((-1060 . -282) 48695) ((-364 . -105) T) ((-320 . -105) T) ((-663 . -638) 48669) ((-388 . -1054) 48653) ((-1052 . -120) 48632) ((-812 . -414) 48616) ((-126 . -25) T) ((-94 . -609) 48598) ((-126 . -21) T) ((-604 . -304) 48393) ((-481 . -304) 48197) ((-1242 . -1103) T) ((-1136 . -610) NIL) ((-388 . -120) 48176) ((-382 . -105) T) ((-206 . -609) 48158) ((-1136 . -609) 48140) ((-1005 . -708) 48090) ((-1153 . -524) 47824) ((-911 . -708) 47776) ((-1115 . -524) 47746) ((-353 . -302) T) ((-1242 . -23) T) ((-1171 . -155) 47696) ((-959 . -304) 47634) ((-830 . -105) T) ((-430 . -708) 47618) ((-216 . -824) T) ((-823 . -105) T) ((-821 . -105) T) ((-491 . -155) 47568) ((-1230 . -1229) 47547) ((-1109 . -1202) T) ((-338 . -1038) 47514) ((-1230 . -1224) 47484) ((-1230 . -1227) 47468) ((-1209 . -1208) 47447) ((-85 . -609) 47429) ((-901 . -609) 47411) ((-1209 . -1224) 47388) ((-1109 . -559) T) ((-918 . -843) T) ((-764 . -843) T) ((-498 . -610) 47318) ((-498 . -609) 47300) ((-382 . -280) T) ((-664 . -843) T) ((-1209 . -1206) 47284) ((-1232 . -1103) T) ((-209 . -610) 47214) ((-209 . -609) 47196) ((-1060 . -602) 47171) ((-64 . -155) 47155) ((-526 . -155) 47139) ((-506 . -155) 47123) ((-362 . -1264) 47107) ((-355 . -1264) 47091) ((-344 . -1264) 47075) ((-311 . -366) 47054) ((-308 . -366) T) ((-494 . -1048) 46984) ((-684 . -631) 46966) ((-1267 . -638) 46940) ((-1265 . -638) 46914) ((-1232 . -23) T) ((-680 . -500) 46898) ((-69 . -609) 46880) ((-1104 . -791) 46831) ((-1104 . -788) 46782) ((-552 . -500) 46719) ((-663 . -39) T) ((-494 . -226) 46671) ((-290 . -284) 46650) ((-233 . -173) 46629) ((-858 . -1254) 46613) ((-812 . -1055) T) ((-49 . -638) 46571) ((-1074 . -371) 46522) ((-722 . -286) 46453) ((-529 . -524) 46386) ((-813 . -1054) 46337) ((-1079 . -149) 46316) ((-362 . -371) 46295) ((-355 . -371) 46274) ((-344 . -371) 46253) ((-1079 . -151) 46232) ((-866 . -224) 46209) ((-813 . -120) 46144) ((-778 . -149) 46123) ((-778 . -151) 46102) ((-258 . -951) 46069) ((-245 . -841) 46048) ((-243 . -951) 45993) ((-244 . -841) 45972) ((-776 . -149) 45951) ((-776 . -151) 45930) ((-156 . -638) 45904) ((-456 . -151) 45883) ((-456 . -149) 45862) ((-663 . -717) T) ((-819 . -609) 45844) ((-1238 . -1091) T) ((-1231 . -1091) T) ((-1210 . -1091) T) ((-1204 . -1091) T) ((-1192 . -1186) 45810) ((-1192 . -1183) 45776) ((-1161 . -286) 45755) ((-1160 . -286) 45706) ((-1153 . -286) 45657) ((-1115 . -286) 45636) ((-338 . -896) 45617) ((-1005 . -173) T) ((-911 . -173) T) ((-775 . -1224) 45594) ((-595 . -1091) T) ((-594 . -1091) T) ((-684 . -21) T) ((-684 . -25) T) ((-480 . -1227) 45578) ((-480 . -1224) 45548) ((-421 . -282) 45476) ((-311 . -1103) 45325) ((-308 . -1103) T) ((-1192 . -40) 45291) ((-1192 . -98) 45257) ((-89 . -609) 45239) ((-96 . -105) 45217) ((-1273 . -138) T) ((-734 . -138) T) ((-582 . -149) T) ((-582 . -151) 45199) ((-527 . -151) 45181) ((-527 . -149) T) ((-311 . -23) 45033) ((-45 . -341) 45007) ((-308 . -23) T) ((-1145 . -641) 44989) ((-811 . -638) 44837) ((-1260 . -1055) T) ((-1145 . -376) 44819) ((-170 . -224) 44803) ((-592 . -500) 44785) ((-233 . -524) 44718) ((-1267 . -717) T) ((-1265 . -717) T) ((-1165 . -1054) 44601) ((-735 . -1054) 44424) ((-1165 . -120) 44286) ((-813 . -1048) T) ((-735 . -120) 44088) ((-525 . -105) T) ((-53 . -631) 44048) ((-520 . -105) T) ((-518 . -105) T) ((-1257 . -1054) 44018) ((-1035 . -43) 44002) ((-813 . -226) T) ((-813 . -239) 43981) ((-552 . -282) 43960) ((-1257 . -120) 43925) ((-1219 . -224) 43909) ((-1238 . -708) 43806) ((-1231 . -708) 43647) ((-1060 . -610) NIL) ((-1060 . -609) 43629) ((-1210 . -708) 43425) ((-1204 . -708) 43322) ((-1004 . -917) T) ((-693 . -609) 43291) ((-156 . -717) T) ((-1242 . -138) T) ((-1104 . -371) 43270) ((-1005 . -524) NIL) ((-245 . -414) 43239) ((-244 . -414) 43208) ((-1024 . -25) T) ((-1024 . -21) T) ((-595 . -708) 43181) ((-594 . -708) 43078) ((-795 . -282) 43036) ((-136 . -105) 43014) ((-829 . -1038) 42910) ((-170 . -824) 42889) ((-315 . -638) 42786) ((-811 . -39) T) ((-705 . -105) T) ((-1109 . -1103) T) ((-1027 . -1197) T) ((-382 . -43) 42751) ((-356 . -25) T) ((-356 . -21) T) ((-219 . -105) T) ((-163 . -105) T) ((-159 . -105) T) ((-146 . -105) T) ((-357 . -1254) 42735) ((-354 . -1254) 42719) ((-343 . -1254) 42703) ((-861 . -454) T) ((-170 . -351) 42682) ((-569 . -843) T) ((-505 . -843) T) ((-856 . -454) T) ((-1109 . -23) T) ((-92 . -609) 42664) ((-691 . -302) T) ((-830 . -43) 42634) ((-823 . -43) 42604) ((-1232 . -138) T) ((-1136 . -284) 42583) ((-966 . -717) 42482) ((-966 . -789) 42435) ((-966 . -790) 42388) ((-811 . -787) 42367) ((-125 . -302) T) ((-96 . -304) 42305) ((-667 . -39) T) ((-552 . -602) 42284) ((-53 . -25) T) ((-53 . -21) T) ((-811 . -790) 42235) ((-811 . -789) 42214) ((-691 . -1022) T) ((-644 . -1054) 42198) ((-966 . -479) 42151) ((-811 . -717) 42077) ((-906 . -1254) 42064) ((-237 . -321) 42041) ((-861 . -405) 42011) ((-494 . -791) 41962) ((-494 . -788) 41913) ((-856 . -405) 41883) ((-1165 . -1048) T) ((-735 . -1048) T) ((-644 . -120) 41862) ((-1165 . -325) 41839) ((-1184 . -105) 41817) ((-1092 . -609) 41799) ((-691 . -551) T) ((-735 . -325) 41776) ((-812 . -1091) T) ((-735 . -226) T) ((-1257 . -1048) T) ((-416 . -1091) T) ((-245 . -1055) 41706) ((-244 . -1055) 41636) ((-285 . -638) 41623) ((-592 . -282) 41598) ((-680 . -678) 41556) ((-1238 . -173) 41507) ((-965 . -609) 41489) ((-867 . -105) T) ((-726 . -609) 41471) ((-706 . -609) 41453) ((-1231 . -173) 41384) ((-1210 . -173) 41315) ((-1204 . -173) 41266) ((-689 . -843) T) ((-1005 . -286) T) ((-455 . -609) 41248) ((-619 . -717) T) ((-65 . -1091) 41226) ((-241 . -155) 41210) ((-911 . -286) T) ((-1024 . -1013) T) ((-619 . -479) T) ((-703 . -1202) 41189) ((-1242 . -503) 41155) ((-595 . -173) 41134) ((-594 . -173) 41085) ((-1247 . -843) 41064) ((-703 . -559) 40975) ((-410 . -917) T) ((-410 . -816) 40954) ((-315 . -790) T) ((-315 . -717) T) ((-421 . -609) 40936) ((-421 . -610) 40837) ((-635 . -1135) 40821) ((-114 . -641) 40803) ((-136 . -304) 40741) ((-114 . -376) 40723) ((-174 . -302) T) ((-401 . -1197) T) ((-311 . -138) 40594) ((-308 . -138) T) ((-74 . -398) T) ((-114 . -133) T) ((-1157 . -843) 40573) ((-529 . -500) 40557) ((-645 . -1103) T) ((-592 . -19) 40539) ((-219 . -304) NIL) ((-66 . -443) T) ((-146 . -304) NIL) ((-66 . -398) T) ((-820 . -1091) T) ((-592 . -602) 40514) ((-490 . -1038) 40474) ((-644 . -1048) T) ((-645 . -23) T) ((-1260 . -1091) T) ((-812 . -708) 40323) ((-130 . -843) T) ((-126 . -843) NIL) ((-1159 . -414) 40307) ((-1114 . -414) 40291) ((-847 . -414) 40275) ((-234 . -1055) T) ((-1230 . -105) T) ((-1210 . -524) 40009) ((-1184 . -304) 39947) ((-306 . -609) 39929) ((-1209 . -105) T) ((-1093 . -1091) T) ((-1161 . -282) 39914) ((-1160 . -282) 39899) ((-285 . -717) T) ((-112 . -905) NIL) ((-680 . -609) 39866) ((-680 . -610) 39827) ((-1074 . -638) 39737) ((-599 . -609) 39719) ((-552 . -610) NIL) ((-552 . -609) 39701) ((-1153 . -282) 39549) ((-498 . -1054) 39499) ((-702 . -454) T) ((-521 . -519) 39478) ((-517 . -519) 39457) ((-209 . -1054) 39407) ((-362 . -638) 39359) ((-355 . -638) 39311) ((-216 . -841) T) ((-344 . -638) 39263) ((-600 . -105) 39213) ((-494 . -371) 39192) ((-112 . -638) 39142) ((-498 . -120) 39069) ((-233 . -500) 39053) ((-342 . -151) 39035) ((-342 . -149) T) ((-170 . -373) 39006) ((-945 . -1245) 38990) ((-209 . -120) 38917) ((-867 . -304) 38882) ((-945 . -1091) 38832) ((-795 . -610) 38793) ((-795 . -609) 38775) ((-709 . -105) T) ((-330 . -1091) T) ((-1109 . -138) T) ((-705 . -43) 38745) ((-311 . -503) 38724) ((-510 . -1197) T) ((-1230 . -280) 38690) ((-1209 . -280) 38656) ((-326 . -155) 38640) ((-1060 . -284) 38615) ((-1260 . -708) 38585) ((-1146 . -39) T) ((-1269 . -1038) 38562) ((-734 . -631) 38468) ((-474 . -609) 38450) ((-495 . -39) T) ((-384 . -1038) 38434) ((-1159 . -1055) T) ((-1114 . -1055) T) ((-847 . -1055) T) ((-1059 . -841) T) ((-812 . -173) 38345) ((-529 . -282) 38322) ((-126 . -994) 38299) ((-858 . -105) T) ((-775 . -105) T) ((-1238 . -286) 38278) ((-1231 . -286) 38229) ((-1179 . -367) 38203) ((-1080 . -263) 38187) ((-480 . -105) T) ((-368 . -1091) T) ((-245 . -1091) T) ((-244 . -1091) T) ((-1210 . -286) 38138) ((-113 . -1091) T) ((-1204 . -286) 38117) ((-867 . -1137) 38095) ((-1161 . -1003) 38061) ((-604 . -367) 38001) ((-1160 . -1003) 37967) ((-604 . -222) 37914) ((-592 . -609) 37896) ((-592 . -610) NIL) ((-684 . -843) T) ((-481 . -222) 37846) ((-498 . -1048) T) ((-1153 . -1003) 37812) ((-93 . -442) T) ((-93 . -398) T) ((-209 . -1048) T) ((-1115 . -1003) 37778) ((-34 . -1089) T) ((-922 . -1091) T) ((-1074 . -717) T) ((-703 . -1103) T) ((-595 . -286) 37757) ((-594 . -286) 37736) ((-498 . -239) T) ((-498 . -226) T) ((-1152 . -609) 37718) ((-867 . -43) 37670) ((-209 . -239) T) ((-209 . -226) T) ((-734 . -25) T) ((-734 . -21) T) ((-362 . -717) T) ((-355 . -717) T) ((-344 . -717) T) ((-112 . -790) T) ((-112 . -787) T) ((-529 . -1234) 37654) ((-112 . -717) T) ((-703 . -23) T) ((-1273 . -25) T) ((-480 . -280) 37620) ((-1273 . -21) T) ((-1209 . -304) 37559) ((-1163 . -105) T) ((-45 . -149) 37531) ((-45 . -151) 37503) ((-529 . -602) 37480) ((-1104 . -638) 37328) ((-600 . -304) 37266) ((-50 . -641) 37216) ((-50 . -659) 37166) ((-50 . -376) 37116) ((-1145 . -39) T) ((-866 . -841) NIL) ((-645 . -138) T) ((-496 . -609) 37098) ((-233 . -282) 37075) ((-637 . -39) T) ((-624 . -39) T) ((-1079 . -454) 37026) ((-812 . -524) 36891) ((-778 . -454) 36822) ((-776 . -454) 36773) ((-771 . -105) T) ((-456 . -454) 36724) ((-954 . -414) 36708) ((-722 . -609) 36690) ((-245 . -708) 36632) ((-244 . -708) 36574) ((-722 . -610) 36435) ((-493 . -414) 36419) ((-338 . -297) T) ((-234 . -1091) T) ((-353 . -917) T) ((-1001 . -105) 36397) ((-1024 . -843) T) ((-65 . -524) 36330) ((-1242 . -25) T) ((-1242 . -21) T) ((-1209 . -1137) 36282) ((-1005 . -282) NIL) ((-216 . -1055) T) ((-382 . -824) T) ((-1104 . -39) T) ((-775 . -304) 36151) ((-582 . -454) T) ((-527 . -454) T) ((-1213 . -1084) 36135) ((-1213 . -1091) 36113) ((-233 . -602) 36090) ((-1213 . -1086) 36047) ((-1161 . -609) 36029) ((-1160 . -609) 36011) ((-1153 . -609) 35993) ((-1153 . -610) NIL) ((-1115 . -609) 35975) ((-867 . -403) 35959) ((-539 . -1091) T) ((-542 . -105) T) ((-1230 . -43) 35800) ((-1209 . -43) 35614) ((-865 . -151) T) ((-582 . -405) T) ((-53 . -843) T) ((-527 . -405) T) ((-1232 . -21) T) ((-1232 . -25) T) ((-1104 . -787) 35593) ((-1104 . -790) 35544) ((-1104 . -789) 35523) ((-995 . -1091) T) ((-1028 . -39) T) ((-851 . -1091) T) ((-1243 . -105) T) ((-1104 . -717) 35449) ((-657 . -105) T) ((-552 . -284) 35428) ((-1171 . -105) T) ((-482 . -39) T) ((-469 . -39) T) ((-357 . -105) T) ((-354 . -105) T) ((-343 . -105) T) ((-258 . -105) T) ((-243 . -105) T) ((-490 . -302) T) ((-1059 . -1055) T) ((-954 . -1055) T) ((-311 . -631) 35334) ((-308 . -631) 35295) ((-493 . -1055) T) ((-491 . -105) T) ((-439 . -609) 35277) ((-1159 . -1091) T) ((-1114 . -1091) T) ((-847 . -1091) T) ((-1127 . -105) T) ((-812 . -286) 35208) ((-965 . -1054) 35091) ((-490 . -1022) T) ((-726 . -1054) 35061) ((-1133 . -1110) 35045) ((-1093 . -524) 34978) ((-968 . -105) T) ((-455 . -1054) 34948) ((-965 . -120) 34810) ((-861 . -1254) 34785) ((-856 . -1254) 34745) ((-906 . -105) T) ((-858 . -1137) T) ((-726 . -120) 34710) ((-234 . -708) 34656) ((-64 . -105) 34606) ((-529 . -610) 34567) ((-529 . -609) 34506) ((-528 . -105) 34484) ((-526 . -105) 34434) ((-507 . -105) 34412) ((-506 . -105) 34362) ((-455 . -120) 34313) ((-245 . -173) 34292) ((-244 . -173) 34271) ((-421 . -1054) 34245) ((-1192 . -975) 34206) ((-1000 . -1103) T) ((-858 . -43) 34171) ((-775 . -43) 34109) ((-945 . -524) 34042) ((-498 . -791) T) ((-480 . -43) 33883) ((-421 . -120) 33850) ((-498 . -788) T) ((-1001 . -304) 33788) ((-209 . -791) T) ((-209 . -788) T) ((-1000 . -23) T) ((-703 . -138) T) ((-1209 . -403) 33758) ((-311 . -25) 33610) ((-170 . -414) 33594) ((-311 . -21) 33465) ((-308 . -25) T) ((-308 . -21) T) ((-853 . -371) T) ((-114 . -39) T) ((-494 . -638) 33313) ((-866 . -1055) T) ((-592 . -284) 33288) ((-581 . -151) T) ((-569 . -151) T) ((-505 . -151) T) ((-1159 . -708) 33117) ((-1114 . -708) 32966) ((-1109 . -631) 32948) ((-847 . -708) 32918) ((-663 . -1197) T) ((-1 . -105) T) ((-233 . -609) 32676) ((-1219 . -414) 32660) ((-1171 . -304) 32464) ((-965 . -1048) T) ((-726 . -1048) T) ((-706 . -1048) T) ((-635 . -1091) 32414) ((-1052 . -638) 32398) ((-848 . -414) 32382) ((-521 . -105) T) ((-517 . -105) T) ((-243 . -304) 32369) ((-258 . -304) 32356) ((-965 . -325) 32335) ((-388 . -638) 32319) ((-491 . -304) 32123) ((-245 . -524) 32056) ((-663 . -1038) 31952) ((-244 . -524) 31885) ((-1127 . -304) 31811) ((-234 . -173) 31790) ((-815 . -1091) T) ((-795 . -1054) 31774) ((-1238 . -282) 31759) ((-1231 . -282) 31744) ((-1210 . -282) 31592) ((-1204 . -282) 31577) ((-389 . -1091) T) ((-322 . -1091) T) ((-421 . -1048) T) ((-170 . -1055) T) ((-64 . -304) 31515) ((-795 . -120) 31494) ((-594 . -282) 31479) ((-528 . -304) 31417) ((-526 . -304) 31355) ((-507 . -304) 31293) ((-506 . -304) 31231) ((-421 . -226) 31210) ((-494 . -39) T) ((-1005 . -610) 31140) ((-216 . -1091) T) ((-1005 . -609) 31122) ((-973 . -609) 31104) ((-973 . -610) 31079) ((-911 . -609) 31061) ((-689 . -151) T) ((-691 . -917) T) ((-691 . -816) T) ((-430 . -609) 31043) ((-1109 . -21) T) ((-1109 . -25) T) ((-663 . -380) 31027) ((-125 . -917) T) ((-867 . -224) 31011) ((-83 . -1197) T) ((-136 . -135) 30995) ((-1052 . -39) T) ((-1267 . -1038) 30969) ((-1265 . -1038) 30926) ((-1219 . -1055) T) ((-1157 . -149) 30905) ((-1157 . -151) 30884) ((-848 . -1055) T) ((-494 . -787) 30863) ((-357 . -1137) 30842) ((-354 . -1137) 30821) ((-343 . -1137) 30800) ((-494 . -790) 30751) ((-494 . -789) 30730) ((-220 . -39) T) ((-494 . -717) 30656) ((-65 . -500) 30640) ((-576 . -1055) T) ((-1159 . -173) 30531) ((-1114 . -173) 30442) ((-1059 . -1091) T) ((-1079 . -951) 30387) ((-954 . -1091) T) ((-813 . -638) 30338) ((-778 . -951) 30307) ((-704 . -1091) T) ((-776 . -951) 30274) ((-526 . -278) 30258) ((-663 . -896) 30217) ((-493 . -1091) T) ((-456 . -951) 30184) ((-84 . -1197) T) ((-357 . -43) 30149) ((-354 . -43) 30114) ((-343 . -43) 30079) ((-258 . -43) 29928) ((-243 . -43) 29777) ((-906 . -1137) T) ((-616 . -151) 29756) ((-616 . -149) 29735) ((-126 . -151) T) ((-126 . -149) NIL) ((-417 . -717) T) ((-795 . -1048) T) ((-342 . -454) T) ((-1238 . -1003) 29701) ((-1231 . -1003) 29667) ((-1210 . -1003) 29633) ((-1204 . -1003) 29599) ((-906 . -43) 29564) ((-216 . -708) 29529) ((-734 . -843) T) ((-45 . -412) 29501) ((-315 . -52) 29471) ((-1000 . -138) T) ((-811 . -1197) T) ((-174 . -917) T) ((-342 . -405) T) ((-529 . -284) 29448) ((-50 . -39) T) ((-811 . -1038) 29275) ((-735 . -905) 29254) ((-653 . -105) T) ((-645 . -21) T) ((-645 . -25) T) ((-1093 . -500) 29238) ((-1209 . -224) 29208) ((-667 . -1197) T) ((-241 . -105) 29158) ((-866 . -1091) T) ((-1165 . -638) 29083) ((-1059 . -708) 29070) ((-722 . -1054) 28913) ((-1159 . -524) 28859) ((-954 . -708) 28708) ((-1114 . -524) 28660) ((-735 . -638) 28585) ((-493 . -708) 28434) ((-72 . -609) 28416) ((-722 . -120) 28238) ((-945 . -500) 28222) ((-1257 . -638) 28182) ((-1161 . -1054) 28065) ((-813 . -717) T) ((-1160 . -1054) 27900) ((-1153 . -1054) 27690) ((-234 . -286) 27669) ((-1115 . -1054) 27552) ((-1004 . -1202) T) ((-1085 . -105) 27530) ((-811 . -380) 27499) ((-1004 . -559) T) ((-1161 . -120) 27361) ((-1160 . -120) 27175) ((-1153 . -120) 26921) ((-1115 . -120) 26783) ((-1096 . -1094) 26747) ((-382 . -841) T) ((-1238 . -609) 26729) ((-1231 . -609) 26711) ((-1210 . -609) 26693) ((-1210 . -610) NIL) ((-1204 . -609) 26675) ((-233 . -284) 26652) ((-45 . -454) T) ((-216 . -173) T) ((-170 . -1091) T) ((-684 . -151) T) ((-684 . -149) NIL) ((-595 . -609) 26634) ((-594 . -609) 26616) ((-894 . -1091) T) ((-834 . -1091) T) ((-804 . -1091) T) ((-762 . -1091) T) ((-649 . -845) 26600) ((-668 . -1091) T) ((-811 . -896) 26532) ((-1157 . -1183) 26510) ((-1157 . -1186) 26488) ((-45 . -405) NIL) ((-1109 . -652) T) ((-866 . -708) 26433) ((-245 . -500) 26417) ((-244 . -500) 26401) ((-703 . -631) 26349) ((-644 . -638) 26323) ((-290 . -39) T) ((-1157 . -98) 26301) ((-1157 . -40) 26279) ((-722 . -1048) T) ((-582 . -1254) 26266) ((-527 . -1254) 26243) ((-1219 . -1091) T) ((-1159 . -286) 26154) ((-1114 . -286) 26085) ((-1059 . -173) T) ((-848 . -1091) T) ((-954 . -173) 25996) ((-778 . -1222) 25980) ((-635 . -524) 25913) ((-82 . -609) 25895) ((-722 . -325) 25860) ((-1165 . -717) T) ((-576 . -1091) T) ((-493 . -173) 25771) ((-735 . -717) T) ((-241 . -304) 25709) ((-1128 . -1103) T) ((-75 . -609) 25691) ((-1257 . -717) T) ((-1161 . -1048) T) ((-1160 . -1048) T) ((-326 . -105) 25641) ((-1153 . -1048) T) ((-1128 . -23) T) ((-1115 . -1048) T) ((-96 . -1110) 25625) ((-854 . -1103) T) ((-1161 . -226) 25584) ((-1160 . -239) 25563) ((-1160 . -226) 25515) ((-1153 . -226) 25402) ((-1153 . -239) 25381) ((-315 . -896) 25287) ((-861 . -105) T) ((-856 . -105) T) ((-854 . -23) T) ((-170 . -708) 25115) ((-1092 . -371) T) ((-410 . -1202) T) ((-1024 . -151) T) ((-1004 . -366) T) ((-945 . -282) 25092) ((-865 . -454) T) ((-858 . -351) T) ((-311 . -843) T) ((-308 . -843) NIL) ((-870 . -105) T) ((-538 . -537) 24946) ((-703 . -25) T) ((-410 . -559) T) ((-703 . -21) T) ((-356 . -151) 24928) ((-356 . -149) T) ((-1133 . -1091) 24906) ((-455 . -711) T) ((-80 . -609) 24888) ((-123 . -843) T) ((-241 . -278) 24872) ((-233 . -1054) 24769) ((-86 . -609) 24751) ((-726 . -371) 24704) ((-1163 . -824) T) ((-728 . -228) 24688) ((-1146 . -1197) T) ((-143 . -228) 24670) ((-233 . -120) 24560) ((-1219 . -708) 24389) ((-53 . -151) T) ((-866 . -173) T) ((-848 . -708) 24359) ((-495 . -1197) T) ((-954 . -524) 24305) ((-644 . -717) T) ((-576 . -708) 24292) ((-1035 . -1055) T) ((-493 . -524) 24230) ((-945 . -19) 24214) ((-945 . -602) 24191) ((-812 . -610) NIL) ((-812 . -609) 24173) ((-1005 . -1054) 24123) ((-416 . -609) 24105) ((-245 . -282) 24082) ((-244 . -282) 24059) ((-498 . -905) NIL) ((-311 . -29) 24029) ((-112 . -1197) T) ((-1004 . -1103) T) ((-209 . -905) NIL) ((-911 . -1054) 23981) ((-1198 . -843) T) ((-1074 . -1038) 23877) ((-1005 . -120) 23804) ((-728 . -685) 23788) ((-258 . -224) 23772) ((-430 . -1054) 23756) ((-382 . -1055) T) ((-1004 . -23) T) ((-911 . -120) 23687) ((-684 . -1186) NIL) ((-498 . -638) 23637) ((-112 . -880) 23619) ((-112 . -882) 23601) ((-684 . -1183) NIL) ((-209 . -638) 23551) ((-362 . -1038) 23535) ((-355 . -1038) 23519) ((-326 . -304) 23457) ((-344 . -1038) 23441) ((-216 . -286) T) ((-430 . -120) 23420) ((-65 . -609) 23387) ((-170 . -173) T) ((-1109 . -843) T) ((-112 . -1038) 23347) ((-888 . -1091) T) ((-830 . -1055) T) ((-823 . -1055) T) ((-684 . -40) NIL) ((-684 . -98) NIL) ((-308 . -994) 23308) ((-581 . -454) T) ((-569 . -454) T) ((-505 . -454) T) ((-410 . -366) T) ((-233 . -1048) 23238) ((-1136 . -39) T) ((-924 . -105) T) ((-490 . -917) T) ((-1000 . -631) 23186) ((-245 . -602) 23163) ((-244 . -602) 23140) ((-1074 . -380) 23124) ((-866 . -524) 22987) ((-233 . -226) 22939) ((-1145 . -1197) T) ((-820 . -609) 22921) ((-969 . -972) 22905) ((-1268 . -1103) T) ((-1260 . -609) 22887) ((-1219 . -173) 22778) ((-112 . -380) 22760) ((-112 . -337) 22742) ((-1059 . -286) T) ((-954 . -286) 22673) ((-795 . -371) 22652) ((-924 . -921) 22631) ((-637 . -1197) T) ((-624 . -1197) T) ((-493 . -286) 22562) ((-576 . -173) T) ((-326 . -278) 22546) ((-1268 . -23) T) ((-1192 . -105) T) ((-1179 . -1091) T) ((-1080 . -1091) T) ((-1070 . -1091) T) ((-88 . -609) 22528) ((-702 . -105) T) ((-357 . -351) 22507) ((-604 . -1091) T) ((-354 . -351) 22486) ((-343 . -351) 22465) ((-1171 . -222) 22415) ((-481 . -1091) T) ((-234 . -282) 22392) ((-258 . -247) 22354) ((-1128 . -138) T) ((-604 . -606) 22330) ((-1074 . -896) 22263) ((-1005 . -1048) T) ((-911 . -1048) T) ((-481 . -606) 22242) ((-1153 . -788) NIL) ((-1153 . -791) NIL) ((-1093 . -610) 22203) ((-491 . -222) 22153) ((-1093 . -609) 22135) ((-1005 . -239) T) ((-1005 . -226) T) ((-430 . -1048) T) ((-959 . -1091) 22085) ((-911 . -239) T) ((-854 . -138) T) ((-689 . -454) T) ((-836 . -1103) 22064) ((-112 . -896) NIL) ((-1192 . -280) 22030) ((-867 . -841) 22009) ((-1104 . -1197) T) ((-901 . -717) T) ((-170 . -524) 21921) ((-1000 . -25) T) ((-901 . -479) T) ((-410 . -1103) T) ((-498 . -790) T) ((-498 . -787) T) ((-906 . -351) T) ((-498 . -717) T) ((-209 . -790) T) ((-209 . -787) T) ((-1000 . -21) T) ((-209 . -717) T) ((-836 . -23) 21873) ((-315 . -302) 21852) ((-1036 . -228) 21798) ((-410 . -23) T) ((-945 . -610) 21759) ((-945 . -609) 21698) ((-635 . -500) 21682) ((-50 . -1011) 21632) ((-861 . -43) 21597) ((-856 . -43) 21562) ((-1157 . -454) 21493) ((-330 . -609) 21475) ((-1104 . -1038) 21302) ((-592 . -641) 21284) ((-592 . -376) 21266) ((-342 . -1254) 21243) ((-1028 . -1197) T) ((-866 . -286) T) ((-1219 . -524) 21189) ((-482 . -1197) T) ((-469 . -1197) T) ((-586 . -105) T) ((-1159 . -282) 21116) ((-616 . -454) 21095) ((-1001 . -996) 21079) ((-1260 . -385) 21051) ((-126 . -454) T) ((-1178 . -105) T) ((-1083 . -1091) 21029) ((-1035 . -1091) T) ((-889 . -843) T) ((-1238 . -1054) 20912) ((-353 . -1202) T) ((-1231 . -1054) 20747) ((-1104 . -380) 20716) ((-1210 . -1054) 20506) ((-1204 . -1054) 20389) ((-1238 . -120) 20251) ((-1231 . -120) 20065) ((-1210 . -120) 19811) ((-1204 . -120) 19673) ((-1192 . -304) 19660) ((-353 . -559) T) ((-368 . -609) 19642) ((-285 . -302) T) ((-595 . -1054) 19615) ((-594 . -1054) 19498) ((-364 . -1091) T) ((-320 . -1091) T) ((-245 . -609) 19459) ((-244 . -609) 19420) ((-1004 . -138) T) ((-113 . -609) 19402) ((-627 . -23) T) ((-684 . -412) 19369) ((-603 . -23) T) ((-649 . -105) T) ((-595 . -120) 19340) ((-594 . -120) 19202) ((-382 . -1091) T) ((-335 . -105) T) ((-170 . -286) 19113) ((-237 . -105) T) ((-1209 . -841) 19066) ((-922 . -609) 19048) ((-705 . -1055) T) ((-1133 . -524) 18981) ((-1104 . -896) 18913) ((-830 . -1091) T) ((-823 . -1091) T) ((-821 . -1091) T) ((-99 . -105) T) ((-148 . -843) T) ((-734 . -151) 18892) ((-734 . -149) 18871) ((-608 . -880) 18855) ((-114 . -1197) T) ((-1079 . -105) T) ((-1060 . -39) T) ((-778 . -105) T) ((-776 . -105) T) ((-464 . -105) T) ((-456 . -105) T) ((-233 . -791) 18806) ((-233 . -788) 18757) ((-775 . -1135) 18709) ((-639 . -105) T) ((-1219 . -286) 18620) ((-657 . -626) 18604) ((-635 . -282) 18581) ((-1035 . -708) 18565) ((-576 . -286) T) ((-965 . -638) 18490) ((-1268 . -138) T) ((-726 . -638) 18450) ((-706 . -638) 18437) ((-272 . -105) T) ((-455 . -638) 18367) ((-55 . -105) T) ((-582 . -105) T) ((-538 . -105) T) ((-527 . -105) T) ((-1238 . -1048) T) ((-1231 . -1048) T) ((-1210 . -1048) T) ((-1204 . -1048) T) ((-1238 . -226) 18326) ((-1231 . -239) 18305) ((-320 . -708) 18287) ((-1231 . -226) 18239) ((-1210 . -226) 18126) ((-1210 . -239) 18105) ((-1204 . -226) 18064) ((-1192 . -43) 17961) ((-1005 . -791) T) ((-595 . -1048) T) ((-594 . -1048) T) ((-1005 . -788) T) ((-973 . -791) T) ((-973 . -788) T) ((-234 . -609) 17943) ((-867 . -1055) T) ((-865 . -864) 17927) ((-684 . -454) T) ((-382 . -708) 17892) ((-421 . -638) 17866) ((-703 . -843) 17845) ((-702 . -43) 17810) ((-594 . -226) 17769) ((-45 . -715) 17741) ((-353 . -328) 17718) ((-353 . -366) T) ((-1242 . -149) 17697) ((-1242 . -151) 17676) ((-1074 . -302) 17627) ((-289 . -1103) 17508) ((-1097 . -1197) T) ((-172 . -105) T) ((-1213 . -609) 17475) ((-836 . -138) 17427) ((-635 . -1234) 17411) ((-830 . -708) 17381) ((-823 . -708) 17351) ((-494 . -1197) T) ((-362 . -302) T) ((-355 . -302) T) ((-344 . -302) T) ((-635 . -602) 17328) ((-410 . -138) T) ((-529 . -659) 17312) ((-112 . -302) T) ((-289 . -23) 17195) ((-529 . -641) 17179) ((-684 . -405) NIL) ((-529 . -376) 17163) ((-539 . -609) 17145) ((-96 . -1091) 17123) ((-112 . -1022) T) ((-569 . -147) T) ((-1247 . -155) 17107) ((-494 . -1038) 16934) ((-1232 . -149) 16895) ((-1232 . -151) 16856) ((-1052 . -1197) T) ((-995 . -609) 16838) ((-851 . -609) 16820) ((-812 . -1054) 16663) ((-1079 . -304) 16650) ((-220 . -1197) T) ((-778 . -304) 16637) ((-776 . -304) 16624) ((-812 . -120) 16446) ((-456 . -304) 16433) ((-1159 . -610) NIL) ((-1159 . -609) 16415) ((-1114 . -609) 16397) ((-1114 . -610) 16145) ((-1035 . -173) T) ((-847 . -609) 16127) ((-945 . -284) 16104) ((-604 . -524) 15852) ((-814 . -1038) 15836) ((-481 . -524) 15596) ((-965 . -717) T) ((-726 . -717) T) ((-706 . -717) T) ((-353 . -1103) T) ((-1166 . -609) 15578) ((-214 . -105) T) ((-494 . -380) 15547) ((-525 . -1091) T) ((-520 . -1091) T) ((-518 . -1091) T) ((-795 . -638) 15521) ((-1024 . -454) T) ((-959 . -524) 15454) ((-353 . -23) T) ((-627 . -138) T) ((-603 . -138) T) ((-356 . -454) T) ((-233 . -371) 15433) ((-382 . -173) T) ((-1230 . -1055) T) ((-1209 . -1055) T) ((-216 . -1003) T) ((-967 . -1089) T) ((-689 . -390) T) ((-421 . -717) T) ((-691 . -1202) T) ((-1128 . -631) 15381) ((-1260 . -1054) 15365) ((-581 . -864) 15349) ((-1146 . -1174) 15325) ((-705 . -1091) T) ((-691 . -559) T) ((-136 . -1091) 15303) ((-494 . -896) 15235) ((-219 . -1245) 15217) ((-219 . -1091) T) ((-146 . -1245) 15192) ((-163 . -1091) T) ((-649 . -43) 15162) ((-356 . -405) T) ((-311 . -151) 15141) ((-311 . -149) 15120) ((-125 . -559) T) ((-308 . -151) 15076) ((-308 . -149) 15032) ((-53 . -454) T) ((-159 . -1091) T) ((-146 . -1091) T) ((-1146 . -111) 14979) ((-1157 . -951) 14948) ((-778 . -1137) 14926) ((-680 . -39) T) ((-1260 . -120) 14905) ((-552 . -39) T) ((-495 . -111) 14889) ((-245 . -284) 14866) ((-244 . -284) 14843) ((-866 . -282) 14773) ((-50 . -1197) T) ((-812 . -1048) T) ((-1165 . -52) 14750) ((-812 . -325) 14712) ((-1079 . -43) 14561) ((-812 . -226) 14540) ((-778 . -43) 14369) ((-776 . -43) 14218) ((-735 . -52) 14195) ((-456 . -43) 14044) ((-635 . -610) 14005) ((-635 . -609) 13944) ((-582 . -1137) T) ((-527 . -1137) T) ((-1133 . -500) 13928) ((-1184 . -1091) 13906) ((-1128 . -25) T) ((-1128 . -21) T) ((-858 . -1055) T) ((-775 . -1055) T) ((-1242 . -1186) 13872) ((-1242 . -1183) 13838) ((-480 . -1055) T) ((-1210 . -788) NIL) ((-1210 . -791) NIL) ((-1000 . -843) 13817) ((-815 . -609) 13799) ((-854 . -21) T) ((-854 . -25) T) ((-795 . -717) T) ((-514 . -1089) T) ((-174 . -1202) T) ((-582 . -43) 13764) ((-527 . -43) 13729) ((-389 . -609) 13711) ((-322 . -609) 13693) ((-170 . -282) 13651) ((-1242 . -40) 13617) ((-1242 . -98) 13583) ((-68 . -1197) T) ((-121 . -105) T) ((-867 . -1091) T) ((-174 . -559) T) ((-705 . -708) 13553) ((-289 . -138) 13436) ((-216 . -609) 13418) ((-216 . -610) 13348) ((-1004 . -631) 13282) ((-1260 . -1048) T) ((-1109 . -151) T) ((-624 . -1174) 13257) ((-722 . -905) 13236) ((-592 . -39) T) ((-637 . -111) 13220) ((-624 . -111) 13166) ((-735 . -882) NIL) ((-1219 . -282) 13093) ((-722 . -638) 13018) ((-290 . -1197) T) ((-1165 . -1038) 12914) ((-735 . -1038) 12794) ((-1153 . -905) NIL) ((-1059 . -610) 12709) ((-1059 . -609) 12691) ((-342 . -105) T) ((-245 . -1054) 12588) ((-244 . -1054) 12485) ((-397 . -105) T) ((-954 . -609) 12467) ((-954 . -610) 12328) ((-704 . -609) 12310) ((-1258 . -1191) 12279) ((-493 . -609) 12261) ((-493 . -610) 12122) ((-258 . -414) 12106) ((-243 . -414) 12090) ((-245 . -120) 11980) ((-244 . -120) 11870) ((-1161 . -638) 11795) ((-1160 . -638) 11692) ((-1153 . -638) 11544) ((-1115 . -638) 11469) ((-353 . -138) T) ((-87 . -443) T) ((-87 . -398) T) ((-1004 . -25) T) ((-1004 . -21) T) ((-867 . -708) 11421) ((-382 . -286) T) ((-170 . -1003) 11372) ((-735 . -380) 11356) ((-684 . -390) T) ((-1000 . -998) 11340) ((-691 . -1103) T) ((-684 . -167) 11322) ((-1230 . -1091) T) ((-1209 . -1091) T) ((-311 . -1183) 11301) ((-311 . -1186) 11280) ((-1151 . -105) T) ((-311 . -960) 11259) ((-140 . -1103) T) ((-125 . -1103) T) ((-600 . -1245) 11243) ((-691 . -23) T) ((-600 . -1091) 11193) ((-96 . -524) 11126) ((-174 . -366) T) ((-1157 . -1222) 11110) ((-311 . -98) 11089) ((-311 . -40) 11068) ((-604 . -500) 11002) ((-140 . -23) T) ((-125 . -23) T) ((-709 . -1091) T) ((-481 . -500) 10939) ((-410 . -631) 10887) ((-644 . -1038) 10783) ((-735 . -896) 10726) ((-959 . -500) 10710) ((-357 . -1055) T) ((-354 . -1055) T) ((-343 . -1055) T) ((-258 . -1055) T) ((-243 . -1055) T) ((-866 . -610) NIL) ((-866 . -609) 10692) ((-1268 . -21) T) ((-576 . -1003) T) ((-722 . -717) T) ((-1268 . -25) T) ((-245 . -1048) 10622) ((-244 . -1048) 10552) ((-234 . -1054) 10498) ((-77 . -1197) T) ((-923 . -105) T) ((-245 . -226) 10450) ((-244 . -226) 10402) ((-234 . -120) 10341) ((-45 . -105) T) ((-906 . -1055) T) ((-1161 . -717) T) ((-1160 . -717) T) ((-1153 . -717) T) ((-1153 . -787) NIL) ((-1153 . -790) NIL) ((-1115 . -717) T) ((-923 . -921) 10299) ((-858 . -1091) T) ((-918 . -105) T) ((-775 . -1091) T) ((-764 . -105) T) ((-664 . -105) T) ((-480 . -1091) T) ((-338 . -1103) T) ((-1230 . -708) 10140) ((-174 . -1103) T) ((-315 . -917) 10119) ((-734 . -454) 10098) ((-867 . -173) T) ((-1209 . -708) 9912) ((-836 . -21) 9864) ((-836 . -25) 9816) ((-241 . -1135) 9800) ((-136 . -524) 9733) ((-410 . -25) T) ((-410 . -21) T) ((-338 . -23) T) ((-170 . -609) 9715) ((-170 . -610) 9481) ((-174 . -23) T) ((-635 . -284) 9458) ((-219 . -524) NIL) ((-146 . -524) NIL) ((-529 . -39) T) ((-894 . -609) 9440) ((-94 . -1197) T) ((-834 . -609) 9422) ((-804 . -609) 9404) ((-762 . -609) 9386) ((-668 . -609) 9368) ((-233 . -638) 9216) ((-1163 . -1091) T) ((-1159 . -1054) 9039) ((-1136 . -1197) T) ((-1114 . -1054) 8882) ((-847 . -1054) 8866) ((-1159 . -120) 8668) ((-1114 . -120) 8490) ((-847 . -120) 8469) ((-1219 . -610) NIL) ((-1219 . -609) 8451) ((-342 . -1137) T) ((-848 . -609) 8433) ((-1070 . -282) 8412) ((-234 . -1048) T) ((-85 . -1197) T) ((-1005 . -905) NIL) ((-604 . -282) 8388) ((-1184 . -524) 8321) ((-498 . -1197) T) ((-576 . -609) 8303) ((-481 . -282) 8282) ((-1079 . -224) 8266) ((-1005 . -638) 8216) ((-209 . -1197) T) ((-959 . -282) 8193) ((-911 . -638) 8145) ((-285 . -917) T) ((-813 . -302) 8124) ((-865 . -105) T) ((-778 . -224) 8108) ((-771 . -1091) T) ((-858 . -708) 8060) ((-775 . -708) 7998) ((-627 . -21) T) ((-627 . -25) T) ((-603 . -21) T) ((-342 . -43) 7963) ((-684 . -715) 7930) ((-498 . -880) 7912) ((-498 . -882) 7894) ((-480 . -708) 7735) ((-209 . -880) 7717) ((-69 . -1197) T) ((-209 . -882) 7699) ((-603 . -25) T) ((-430 . -638) 7673) ((-498 . -1038) 7633) ((-867 . -524) 7545) ((-209 . -1038) 7505) ((-233 . -39) T) ((-1001 . -1091) 7483) ((-1230 . -173) 7414) ((-1209 . -173) 7345) ((-703 . -149) 7324) ((-703 . -151) 7303) ((-691 . -138) T) ((-142 . -471) 7280) ((-465 . -105) T) ((-649 . -647) 7264) ((-1133 . -609) 7231) ((-125 . -138) T) ((-490 . -1202) T) ((-604 . -602) 7207) ((-481 . -602) 7186) ((-335 . -334) 7155) ((-542 . -1091) T) ((-1159 . -1048) T) ((-490 . -559) T) ((-237 . -236) 7139) ((-1114 . -1048) T) ((-847 . -1048) T) ((-233 . -787) 7118) ((-233 . -790) 7069) ((-233 . -789) 7048) ((-1159 . -325) 7025) ((-233 . -717) 6951) ((-959 . -19) 6935) ((-498 . -380) 6917) ((-498 . -337) 6899) ((-1114 . -325) 6871) ((-356 . -1254) 6848) ((-209 . -380) 6830) ((-209 . -337) 6812) ((-959 . -602) 6789) ((-1159 . -226) T) ((-657 . -1091) T) ((-1243 . -1091) T) ((-1171 . -1091) T) ((-1079 . -247) 6726) ((-357 . -1091) T) ((-354 . -1091) T) ((-343 . -1091) T) ((-258 . -1091) T) ((-243 . -1091) T) ((-89 . -1197) T) ((-137 . -105) 6704) ((-131 . -105) 6682) ((-735 . -302) 6661) ((-1171 . -606) 6640) ((-491 . -1091) T) ((-1127 . -1091) T) ((-491 . -606) 6619) ((-245 . -791) 6570) ((-245 . -788) 6521) ((-244 . -791) 6472) ((-45 . -1137) NIL) ((-244 . -788) 6423) ((-1074 . -917) 6374) ((-1005 . -790) T) ((-1005 . -787) T) ((-1005 . -717) T) ((-973 . -790) T) ((-968 . -1091) T) ((-911 . -717) T) ((-906 . -1091) T) ((-867 . -286) T) ((-96 . -500) 6358) ((-498 . -896) NIL) ((-858 . -173) T) ((-216 . -1054) 6323) ((-829 . -1103) 6302) ((-209 . -896) NIL) ((-775 . -173) T) ((-64 . -1091) 6252) ((-528 . -1091) 6230) ((-526 . -1091) 6180) ((-507 . -1091) 6158) ((-506 . -1091) 6108) ((-581 . -105) T) ((-569 . -105) T) ((-505 . -105) T) ((-480 . -173) 6039) ((-362 . -917) T) ((-355 . -917) T) ((-344 . -917) T) ((-216 . -120) 5988) ((-829 . -23) 5940) ((-430 . -717) T) ((-112 . -917) T) ((-45 . -43) 5885) ((-112 . -816) T) ((-582 . -351) T) ((-527 . -351) T) ((-1209 . -524) 5745) ((-311 . -454) 5724) ((-308 . -454) T) ((-830 . -282) 5703) ((-338 . -138) T) ((-174 . -138) T) ((-289 . -25) 5567) ((-289 . -21) 5450) ((-50 . -1174) 5429) ((-71 . -609) 5411) ((-888 . -609) 5393) ((-600 . -524) 5326) ((-50 . -111) 5276) ((-1093 . -428) 5260) ((-1093 . -371) 5239) ((-1060 . -1197) T) ((-1059 . -1054) 5226) ((-954 . -1054) 5069) ((-493 . -1054) 4912) ((-657 . -708) 4896) ((-1059 . -120) 4881) ((-954 . -120) 4703) ((-490 . -366) T) ((-357 . -708) 4655) ((-354 . -708) 4607) ((-343 . -708) 4559) ((-258 . -708) 4408) ((-243 . -708) 4257) ((-1248 . -105) T) ((-1247 . -105) 4207) ((-945 . -641) 4191) ((-1238 . -638) 4116) ((-493 . -120) 3938) ((-1231 . -638) 3835) ((-1210 . -638) 3687) ((-1210 . -905) NIL) ((-945 . -376) 3671) ((-1204 . -638) 3596) ((-79 . -609) 3578) ((-965 . -52) 3557) ((-614 . -1103) T) ((-1 . -1091) T) ((-701 . -105) T) ((-689 . -105) T) ((-1179 . -609) 3539) ((-1080 . -609) 3521) ((-1070 . -609) 3503) ((-906 . -708) 3468) ((-136 . -500) 3452) ((-775 . -524) 3284) ((-614 . -23) T) ((-393 . -23) T) ((-604 . -609) 3266) ((-92 . -1197) T) ((-604 . -610) NIL) ((-481 . -610) NIL) ((-481 . -609) 3248) ((-353 . -25) T) ((-353 . -21) T) ((-219 . -500) 3230) ((-137 . -304) 3168) ((-521 . -1091) T) ((-517 . -1091) T) ((-146 . -500) 3143) ((-131 . -304) 3081) ((-595 . -638) 3068) ((-217 . -62) 3036) ((-145 . -62) 2997) ((-216 . -1048) T) ((-594 . -638) 2922) ((-382 . -1003) T) ((-216 . -239) T) ((-216 . -226) T) ((-1157 . -105) T) ((-959 . -610) 2883) ((-959 . -609) 2822) ((-865 . -43) 2809) ((-1230 . -286) 2760) ((-1209 . -286) 2711) ((-1109 . -454) T) ((-512 . -843) T) ((-311 . -1125) 2690) ((-1000 . -151) 2669) ((-1000 . -149) 2648) ((-734 . -162) T) ((-734 . -147) T) ((-505 . -304) 2635) ((-290 . -1174) 2614) ((-490 . -1103) T) ((-866 . -1054) 2559) ((-616 . -105) T) ((-1184 . -500) 2543) ((-245 . -371) 2522) ((-244 . -371) 2501) ((-1157 . -280) 2479) ((-1059 . -1048) T) ((-290 . -111) 2429) ((-130 . -105) T) ((-126 . -105) T) ((-35 . -1089) T) ((-954 . -1048) T) ((-866 . -120) 2346) ((-490 . -23) T) ((-493 . -1048) T) ((-1059 . -226) T) ((-954 . -325) 2315) ((-493 . -325) 2272) ((-357 . -173) T) ((-354 . -173) T) ((-343 . -173) T) ((-258 . -173) 2183) ((-243 . -173) 2094) ((-965 . -1038) 1990) ((-726 . -1038) 1961) ((-1096 . -105) T) ((-1083 . -609) 1928) ((-1035 . -609) 1910) ((-1242 . -975) 1879) ((-1238 . -717) T) ((-1231 . -717) T) ((-1210 . -717) T) ((-1210 . -787) NIL) ((-1210 . -790) NIL) ((-858 . -286) T) ((-170 . -1054) 1789) ((-906 . -173) T) ((-775 . -286) T) ((-1204 . -717) T) ((-1258 . -155) 1773) ((-1004 . -341) 1747) ((-1001 . -524) 1680) ((-836 . -843) 1659) ((-569 . -1137) T) ((-480 . -286) 1610) ((-595 . -717) T) ((-364 . -609) 1592) ((-320 . -609) 1574) ((-421 . -1038) 1470) ((-594 . -717) T) ((-410 . -843) 1421) ((-170 . -120) 1310) ((-861 . -1055) T) ((-856 . -1055) T) ((-829 . -138) 1262) ((-728 . -155) 1246) ((-1247 . -304) 1184) ((-498 . -302) T) ((-382 . -609) 1151) ((-529 . -1011) 1135) ((-382 . -610) 1049) ((-209 . -302) T) ((-143 . -155) 1031) ((-705 . -282) 1010) ((-1157 . -304) 997) ((-498 . -1022) T) ((-581 . -43) 984) ((-569 . -43) 971) ((-505 . -43) 936) ((-219 . -282) 911) ((-146 . -282) 879) ((-209 . -1022) T) ((-866 . -1048) T) ((-830 . -609) 861) ((-823 . -609) 843) ((-821 . -609) 825) ((-812 . -905) 804) ((-1269 . -1103) T) ((-1219 . -1054) 627) ((-848 . -1054) 611) ((-866 . -239) T) ((-866 . -226) NIL) ((-680 . -1197) T) ((-1269 . -23) T) ((-812 . -638) 536) ((-552 . -1197) T) ((-421 . -337) 520) ((-576 . -1054) 507) ((-1219 . -120) 309) ((-691 . -631) 291) ((-848 . -120) 270) ((-384 . -23) T) ((-1171 . -524) 30)) 
\ No newline at end of file
+(((-653 . -1093) T) ((-258 . -524) 156651) ((-243 . -524) 156589) ((-576 . -120) 156574) ((-535 . -23) T) ((-241 . -1093) 156524) ((-126 . -304) 156468) ((-491 . -524) 156228) ((-685 . -105) T) ((-1129 . -524) 156136) ((-393 . -138) T) ((-1264 . -979) 156105) ((-219 . -19) 156087) ((-146 . -19) 156062) ((-600 . -500) 156046) ((-816 . -840) T) ((-614 . -138) T) ((-532 . -62) 155996) ((-219 . -602) 155971) ((-146 . -602) 155939) ((-64 . -524) 155872) ((-528 . -524) 155805) ((-421 . -897) 155764) ((-170 . -1049) T) ((-526 . -524) 155697) ((-507 . -524) 155630) ((-506 . -524) 155563) ((-796 . -1039) 155343) ((-690 . -43) 155308) ((-342 . -351) T) ((-1159 . -1139) 155286) ((-1087 . -1086) 155270) ((-1087 . -1093) 155248) ((-170 . -239) 155199) ((-170 . -226) 155150) ((-1087 . -1088) 155108) ((-868 . -282) 155066) ((-216 . -792) T) ((-216 . -789) T) ((-685 . -280) NIL) ((-1138 . -1176) 155045) ((-410 . -995) 155029) ((-970 . -105) T) ((-692 . -21) T) ((-692 . -25) T) ((-1266 . -638) 155003) ((-1203 . -155) 154985) ((-1202 . -1199) T) ((-1159 . -43) 154814) ((-311 . -162) 154793) ((-311 . -147) 154772) ((-1138 . -111) 154722) ((-140 . -25) T) ((-45 . -224) 154699) ((-125 . -21) T) ((-125 . -25) T) ((-604 . -284) 154675) ((-481 . -284) 154654) ((-1225 . -1049) T) ((-849 . -1049) T) ((-796 . -337) 154638) ((-126 . -1139) NIL) ((-96 . -609) 154605) ((-490 . -138) T) ((-592 . -1199) T) ((-1225 . -325) 154582) ((-576 . -1049) T) ((-1225 . -226) T) ((-653 . -709) 154566) ((-960 . -284) 154543) ((-776 . -500) 154495) ((-65 . -39) T) ((-1060 . -792) T) ((-1060 . -789) T) ((-813 . -718) T) ((-723 . -52) 154460) ((-616 . -43) 154447) ((-357 . -286) T) ((-354 . -286) T) ((-343 . -286) T) ((-258 . -286) 154378) ((-243 . -286) 154309) ((-1025 . -105) T) ((-416 . -718) T) ((-126 . -43) 154254) ((-416 . -479) T) ((-356 . -105) T) ((-1194 . -1056) T) ((-703 . -1056) T) ((-1248 . -1243) 154238) ((-1248 . -1230) 154215) ((-1163 . -52) 154192) ((-1162 . -52) 154162) ((-1155 . -52) 154139) ((-1037 . -155) 154085) ((-907 . -286) T) ((-1117 . -52) 154057) ((-685 . -304) NIL) ((-525 . -609) 154039) ((-520 . -609) 154021) ((-518 . -609) 154003) ((-326 . -1093) 153953) ((-116 . -105) T) ((-704 . -454) 153884) ((-53 . -105) T) ((-1236 . -282) 153869) ((-1215 . -282) 153789) ((-635 . -659) 153773) ((-635 . -641) 153757) ((-338 . -21) T) ((-338 . -25) T) ((-45 . -351) NIL) ((-862 . -1093) T) ((-174 . -21) T) ((-174 . -25) T) ((-857 . -1093) T) ((-635 . -376) 153741) ((-600 . -282) 153718) ((-391 . -105) T) ((-1111 . -147) T) ((-136 . -609) 153685) ((-871 . -1093) T) ((-649 . -414) 153669) ((-706 . -609) 153651) ((-1266 . -718) T) ((-219 . -609) 153633) ((-219 . -610) 153615) ((-163 . -609) 153597) ((-159 . -609) 153579) ((-146 . -609) 153561) ((-146 . -610) 153513) ((-1095 . -39) T) ((-116 . -117) T) ((-867 . -792) NIL) ((-867 . -789) NIL) ((-851 . -844) T) ((-723 . -883) NIL) ((-1275 . -138) T) ((-384 . -138) T) ((-901 . -105) T) ((-723 . -1039) 153389) ((-535 . -138) T) ((-1081 . -414) 153373) ((-1002 . -500) 153357) ((-126 . -403) 153334) ((-1155 . -1199) 153313) ((-779 . -414) 153297) ((-777 . -414) 153281) ((-946 . -39) T) ((-685 . -1139) NIL) ((-245 . -638) 153116) ((-244 . -638) 152938) ((-814 . -918) 152917) ((-456 . -414) 152901) ((-600 . -19) 152885) ((-1134 . -1193) 152854) ((-1155 . -883) NIL) ((-1155 . -881) 152806) ((-600 . -602) 152783) ((-1186 . -609) 152750) ((-1164 . -609) 152732) ((-67 . -398) T) ((-1162 . -1039) 152667) ((-1155 . -1039) 152633) ((-776 . -282) 152566) ((-685 . -43) 152516) ((-480 . -282) 152501) ((-723 . -380) 152485) ((-862 . -709) 152450) ((-649 . -1056) T) ((-857 . -709) 152400) ((-1236 . -1004) 152366) ((-1215 . -1004) 152332) ((-1061 . -1176) 152307) ((-868 . -610) 152108) ((-868 . -609) 152090) ((-1173 . -500) 152027) ((-421 . -1023) 152005) ((-53 . -304) 151992) ((-1061 . -111) 151938) ((-491 . -500) 151875) ((-529 . -1199) T) ((-1129 . -500) 151846) ((-1155 . -337) 151798) ((-1155 . -380) 151750) ((-440 . -105) T) ((-1081 . -1056) T) ((-245 . -39) T) ((-244 . -39) T) ((-776 . -1240) 151702) ((-779 . -1056) T) ((-777 . -1056) T) ((-723 . -897) 151679) ((-456 . -1056) T) ((-776 . -602) 151624) ((-64 . -500) 151608) ((-1036 . -1055) 151582) ((-925 . -1093) T) ((-528 . -500) 151566) ((-526 . -500) 151550) ((-507 . -500) 151534) ((-506 . -500) 151518) ((-736 . -918) 151497) ((-241 . -524) 151430) ((-1036 . -120) 151397) ((-1163 . -897) 151310) ((-234 . -638) 151270) ((-663 . -1105) T) ((-1162 . -897) 151176) ((-1155 . -897) 151009) ((-1117 . -897) 150993) ((-356 . -1139) T) ((-320 . -1055) 150975) ((-245 . -788) 150954) ((-245 . -791) 150905) ((-245 . -790) 150884) ((-244 . -788) 150863) ((-244 . -791) 150814) ((-244 . -790) 150793) ((-55 . -1056) T) ((-245 . -718) 150719) ((-244 . -718) 150645) ((-1194 . -1093) T) ((-663 . -23) T) ((-582 . -1056) T) ((-527 . -1056) T) ((-382 . -1055) 150610) ((-320 . -120) 150585) ((-78 . -386) T) ((-78 . -398) T) ((-1025 . -43) 150522) ((-685 . -403) 150504) ((-101 . -105) T) ((-703 . -1093) T) ((-1005 . -149) 150476) ((-382 . -120) 150425) ((-315 . -1208) 150404) ((-480 . -1004) 150370) ((-356 . -43) 150335) ((-45 . -373) 150307) ((-1005 . -151) 150279) ((-137 . -135) 150263) ((-131 . -135) 150247) ((-831 . -1055) 150217) ((-830 . -21) 150169) ((-824 . -1055) 150153) ((-830 . -25) 150105) ((-315 . -559) 150056) ((-569 . -825) T) ((-233 . -1199) T) ((-862 . -173) T) ((-857 . -173) T) ((-831 . -120) 150021) ((-824 . -120) 150000) ((-1236 . -609) 149982) ((-1215 . -609) 149964) ((-1215 . -610) 149635) ((-1161 . -906) 149614) ((-1116 . -906) 149593) ((-53 . -43) 149558) ((-1273 . -1105) T) ((-600 . -609) 149497) ((-600 . -610) 149458) ((-1271 . -1105) T) ((-233 . -1039) 149285) ((-1161 . -638) 149210) ((-1116 . -638) 149135) ((-710 . -609) 149117) ((-848 . -638) 149091) ((-1273 . -23) T) ((-1271 . -23) T) ((-1159 . -224) 149075) ((-1036 . -1049) T) ((-1173 . -282) 149054) ((-170 . -371) 149005) ((-1006 . -1199) T) ((-49 . -23) T) ((-1279 . -105) T) ((-1194 . -709) 148902) ((-491 . -282) 148881) ((-586 . -1093) T) ((-1180 . -1093) T) ((-1134 . -1102) 148850) ((-1097 . -1096) 148802) ((-393 . -21) T) ((-393 . -25) T) ((-156 . -1105) T) ((-1006 . -1039) 148762) ((-1006 . -881) 148744) ((-1006 . -883) 148726) ((-735 . -105) T) ((-234 . -718) T) ((-616 . -224) 148710) ((-614 . -21) T) ((-285 . -559) T) ((-614 . -25) T) ((-703 . -709) 148675) ((-382 . -1049) T) ((-233 . -380) 148644) ((-219 . -284) 148619) ((-146 . -284) 148587) ((-214 . -1056) T) ((-126 . -224) 148564) ((-64 . -282) 148541) ((-156 . -23) T) ((-526 . -282) 148518) ((-326 . -524) 148451) ((-506 . -282) 148428) ((-382 . -239) T) ((-382 . -226) T) ((-859 . -609) 148410) ((-831 . -1049) T) ((-824 . -1049) T) ((-776 . -609) 148392) ((-776 . -610) NIL) ((-704 . -952) 148361) ((-692 . -844) T) ((-480 . -609) 148343) ((-824 . -226) 148322) ((-140 . -844) T) ((-1200 . -1199) T) ((-649 . -1093) T) ((-1173 . -602) 148301) ((-552 . -1176) 148280) ((-335 . -1093) T) ((-315 . -366) 148259) ((-410 . -151) 148238) ((-410 . -149) 148217) ((-1201 . -155) 148199) ((-237 . -1093) T) ((-967 . -1105) 148098) ((-233 . -897) 148030) ((-812 . -1105) 147940) ((-645 . -846) 147924) ((-491 . -602) 147903) ((-552 . -111) 147853) ((-1006 . -380) 147835) ((-1006 . -337) 147817) ((-99 . -1093) T) ((-967 . -23) 147628) ((-490 . -21) T) ((-490 . -25) T) ((-812 . -23) 147498) ((-1165 . -609) 147480) ((-64 . -19) 147464) ((-1165 . -610) 147386) ((-1161 . -718) T) ((-1116 . -718) T) ((-526 . -19) 147370) ((-506 . -19) 147354) ((-64 . -602) 147331) ((-1081 . -1093) T) ((-898 . -105) 147309) ((-848 . -718) T) ((-779 . -1093) T) ((-526 . -602) 147286) ((-506 . -602) 147263) ((-777 . -1093) T) ((-777 . -1063) 147230) ((-464 . -1093) T) ((-456 . -1093) T) ((-1248 . -105) T) ((-586 . -709) 147205) ((-260 . -105) 147183) ((-639 . -1093) T) ((-1248 . -280) 147149) ((-1244 . -52) 147126) ((-1238 . -105) T) ((-1237 . -52) 147096) ((-1006 . -897) NIL) ((-1216 . -52) 147073) ((-619 . -1105) T) ((-663 . -138) T) ((-1210 . -52) 147050) ((-1194 . -173) 147001) ((-1162 . -302) 146980) ((-1155 . -302) 146959) ((-1075 . -1208) 146910) ((-272 . -1093) T) ((-90 . -443) T) ((-90 . -398) T) ((-1075 . -559) 146861) ((-772 . -609) 146843) ((-55 . -1093) T) ((-703 . -173) T) ((-594 . -52) 146820) ((-216 . -638) 146785) ((-582 . -1093) T) ((-538 . -1093) T) ((-527 . -1093) T) ((-362 . -1208) T) ((-355 . -1208) T) ((-344 . -1208) T) ((-498 . -817) T) ((-498 . -918) T) ((-315 . -1105) T) ((-112 . -1208) T) ((-735 . -304) 146772) ((-338 . -844) T) ((-209 . -918) T) ((-209 . -817) T) ((-706 . -1055) 146742) ((-362 . -559) T) ((-355 . -559) T) ((-344 . -559) T) ((-112 . -559) T) ((-1155 . -1023) NIL) ((-649 . -709) 146712) ((-862 . -286) T) ((-857 . -286) T) ((-315 . -23) T) ((-72 . -1199) T) ((-1002 . -609) 146679) ((-685 . -224) 146661) ((-237 . -709) 146643) ((-706 . -120) 146608) ((-635 . -39) T) ((-241 . -500) 146592) ((-1095 . -1090) 146576) ((-172 . -1093) T) ((-955 . -906) 146555) ((-493 . -906) 146534) ((-1275 . -21) T) ((-1275 . -25) T) ((-1273 . -138) T) ((-1271 . -138) T) ((-1081 . -709) 146383) ((-1060 . -638) 146370) ((-955 . -638) 146295) ((-779 . -709) 146124) ((-542 . -609) 146106) ((-542 . -610) 146087) ((-777 . -709) 145936) ((-1264 . -105) T) ((-1072 . -105) T) ((-384 . -25) T) ((-384 . -21) T) ((-493 . -638) 145861) ((-464 . -709) 145832) ((-456 . -709) 145681) ((-990 . -105) T) ((-729 . -105) T) ((-1279 . -1139) T) ((-535 . -25) T) ((-1216 . -1199) 145660) ((-1249 . -609) 145626) ((-1216 . -883) NIL) ((-1216 . -881) 145578) ((-143 . -105) T) ((-49 . -138) T) ((-1173 . -610) NIL) ((-1173 . -609) 145560) ((-1130 . -1114) 145505) ((-342 . -1056) T) ((-657 . -609) 145487) ((-285 . -1105) T) ((-357 . -609) 145469) ((-354 . -609) 145451) ((-343 . -609) 145433) ((-258 . -610) 145181) ((-258 . -609) 145163) ((-243 . -609) 145145) ((-243 . -610) 145006) ((-1046 . -1193) 144935) ((-898 . -304) 144873) ((-1237 . -1039) 144808) ((-1216 . -1039) 144774) ((-1194 . -524) 144741) ((-1129 . -609) 144723) ((-816 . -718) T) ((-582 . -709) 144688) ((-600 . -284) 144665) ((-527 . -709) 144610) ((-491 . -610) NIL) ((-491 . -609) 144592) ((-311 . -105) T) ((-260 . -304) 144530) ((-308 . -105) T) ((-285 . -23) T) ((-156 . -138) T) ((-969 . -609) 144512) ((-907 . -609) 144494) ((-389 . -718) T) ((-868 . -1055) 144446) ((-907 . -610) 144428) ((-868 . -120) 144359) ((-735 . -43) 144283) ((-142 . -105) T) ((-123 . -105) T) ((-704 . -1228) 144267) ((-706 . -1049) T) ((-685 . -351) NIL) ((-528 . -609) 144234) ((-382 . -792) T) ((-214 . -1093) T) ((-382 . -789) T) ((-216 . -791) T) ((-216 . -788) T) ((-64 . -610) 144195) ((-64 . -609) 144134) ((-216 . -718) T) ((-526 . -610) 144095) ((-526 . -609) 144034) ((-507 . -609) 144001) ((-506 . -610) 143962) ((-506 . -609) 143901) ((-1075 . -366) 143852) ((-45 . -414) 143829) ((-82 . -1199) T) ((-118 . -105) T) ((-968 . -973) 143813) ((-867 . -906) NIL) ((-362 . -328) 143797) ((-362 . -366) T) ((-355 . -328) 143781) ((-355 . -366) T) ((-344 . -328) 143765) ((-344 . -366) T) ((-311 . -280) 143744) ((-112 . -366) T) ((-75 . -1199) T) ((-1216 . -337) 143696) ((-867 . -638) 143641) ((-1216 . -380) 143593) ((-967 . -138) 143448) ((-812 . -138) 143318) ((-960 . -641) 143302) ((-1081 . -173) 143213) ((-1060 . -791) T) ((-960 . -376) 143197) ((-1060 . -788) T) ((-118 . -117) T) ((-776 . -284) 143142) ((-779 . -173) 143033) ((-777 . -173) 142944) ((-813 . -52) 142906) ((-1060 . -718) T) ((-326 . -500) 142890) ((-955 . -718) T) ((-456 . -173) 142801) ((-241 . -282) 142778) ((-493 . -718) T) ((-1264 . -304) 142716) ((-1248 . -43) 142613) ((-1244 . -897) 142526) ((-1237 . -897) 142432) ((-1236 . -1055) 142267) ((-1216 . -897) 142100) ((-1215 . -1055) 141908) ((-1210 . -897) 141821) ((-1203 . -105) T) ((-1194 . -286) 141800) ((-1134 . -155) 141784) ((-1070 . -105) T) ((-929 . -957) T) ((-729 . -304) 141722) ((-80 . -1199) T) ((-170 . -906) 141675) ((-34 . -105) T) ((-657 . -385) 141647) ((-30 . -957) T) ((-1 . -609) 141629) ((-1111 . -105) T) ((-1075 . -23) T) ((-55 . -613) 141613) ((-1075 . -1105) T) ((-1005 . -412) 141585) ((-594 . -897) 141498) ((-441 . -105) T) ((-143 . -304) NIL) ((-868 . -1049) T) ((-830 . -844) 141477) ((-86 . -1199) T) ((-703 . -286) T) ((-45 . -1056) T) ((-582 . -173) T) ((-527 . -173) T) ((-521 . -609) 141459) ((-170 . -638) 141369) ((-517 . -609) 141351) ((-353 . -151) 141333) ((-353 . -149) T) ((-362 . -1105) T) ((-355 . -1105) T) ((-344 . -1105) T) ((-1006 . -302) T) ((-912 . -302) T) ((-868 . -239) T) ((-112 . -1105) T) ((-868 . -226) 141312) ((-735 . -403) 141296) ((-1236 . -120) 141110) ((-1215 . -120) 140892) ((-241 . -1240) 140876) ((-569 . -842) T) ((-362 . -23) T) ((-356 . -351) T) ((-311 . -304) 140863) ((-308 . -304) 140759) ((-355 . -23) T) ((-315 . -138) T) ((-344 . -23) T) ((-1006 . -1023) T) ((-112 . -23) T) ((-241 . -602) 140736) ((-1238 . -43) 140593) ((-1225 . -906) 140572) ((-121 . -1093) T) ((-1037 . -105) T) ((-1225 . -638) 140497) ((-867 . -791) NIL) ((-849 . -638) 140471) ((-867 . -788) NIL) ((-813 . -883) NIL) ((-867 . -718) T) ((-1081 . -524) 140334) ((-779 . -524) 140280) ((-777 . -524) 140232) ((-576 . -638) 140219) ((-813 . -1039) 140047) ((-456 . -524) 139985) ((-391 . -392) T) ((-65 . -1199) T) ((-614 . -844) 139964) ((-510 . -652) T) ((-1134 . -979) 139933) ((-859 . -1055) 139885) ((-776 . -1055) 139837) ((-1005 . -454) T) ((-690 . -842) T) ((-520 . -789) T) ((-480 . -1055) 139672) ((-342 . -1093) T) ((-308 . -1139) NIL) ((-285 . -138) T) ((-397 . -1093) T) ((-866 . -1056) T) ((-685 . -373) 139639) ((-859 . -120) 139570) ((-776 . -120) 139501) ((-214 . -613) 139478) ((-326 . -282) 139455) ((-1203 . -304) NIL) ((-480 . -120) 139269) ((-1236 . -1049) T) ((-1215 . -1049) T) ((-813 . -380) 139253) ((-170 . -718) T) ((-645 . -105) T) ((-1236 . -239) 139232) ((-1236 . -226) 139184) ((-1215 . -226) 139089) ((-1215 . -239) 139068) ((-1005 . -405) NIL) ((-663 . -631) 139016) ((-311 . -43) 138926) ((-308 . -43) 138855) ((-74 . -609) 138837) ((-315 . -503) 138803) ((-1173 . -284) 138782) ((-1106 . -1105) 138692) ((-88 . -1199) T) ((-66 . -609) 138674) ((-491 . -284) 138653) ((-1266 . -1039) 138630) ((-1153 . -1093) T) ((-1106 . -23) 138500) ((-813 . -897) 138436) ((-1225 . -718) T) ((-1095 . -1199) T) ((-1081 . -286) 138367) ((-890 . -105) T) ((-779 . -286) 138278) ((-326 . -19) 138262) ((-64 . -284) 138239) ((-777 . -286) 138170) ((-849 . -718) T) ((-126 . -842) NIL) ((-526 . -284) 138147) ((-326 . -602) 138124) ((-506 . -284) 138101) ((-456 . -286) 138032) ((-1037 . -304) 137883) ((-576 . -718) T) ((-653 . -609) 137865) ((-241 . -610) 137826) ((-241 . -609) 137765) ((-1135 . -39) T) ((-946 . -1199) T) ((-342 . -709) 137710) ((-859 . -1049) T) ((-776 . -1049) T) ((-663 . -25) T) ((-663 . -21) T) ((-1111 . -1139) T) ((-480 . -1049) T) ((-627 . -420) 137675) ((-603 . -420) 137640) ((-924 . -1093) T) ((-859 . -226) T) ((-859 . -239) T) ((-776 . -226) 137599) ((-776 . -239) T) ((-582 . -286) T) ((-527 . -286) T) ((-1237 . -302) 137578) ((-480 . -226) 137530) ((-480 . -239) 137509) ((-1216 . -302) 137488) ((-1075 . -138) T) ((-868 . -792) 137467) ((-148 . -105) T) ((-45 . -1093) T) ((-868 . -789) 137446) ((-635 . -1012) 137430) ((-581 . -1056) T) ((-569 . -1056) T) ((-505 . -1056) T) ((-410 . -454) T) ((-362 . -138) T) ((-311 . -403) 137414) ((-308 . -403) 137375) ((-355 . -138) T) ((-344 . -138) T) ((-1216 . -1023) NIL) ((-1087 . -609) 137342) ((-112 . -138) T) ((-1111 . -43) 137329) ((-919 . -1093) T) ((-765 . -1093) T) ((-664 . -1093) T) ((-692 . -151) T) ((-1159 . -414) 137313) ((-125 . -151) T) ((-1273 . -21) T) ((-1273 . -25) T) ((-1271 . -21) T) ((-1271 . -25) T) ((-657 . -1055) 137297) ((-535 . -844) T) ((-510 . -844) T) ((-357 . -1055) 137249) ((-354 . -1055) 137201) ((-343 . -1055) 137153) ((-245 . -1199) T) ((-244 . -1199) T) ((-258 . -1055) 136996) ((-243 . -1055) 136839) ((-657 . -120) 136818) ((-357 . -120) 136749) ((-354 . -120) 136680) ((-343 . -120) 136611) ((-258 . -120) 136433) ((-243 . -120) 136255) ((-814 . -1208) 136234) ((-616 . -414) 136218) ((-49 . -21) T) ((-49 . -25) T) ((-812 . -631) 136124) ((-814 . -559) 136103) ((-245 . -1039) 135930) ((-244 . -1039) 135757) ((-136 . -128) 135741) ((-907 . -1055) 135706) ((-690 . -1056) T) ((-704 . -105) T) ((-219 . -641) 135688) ((-146 . -641) 135663) ((-342 . -173) T) ((-219 . -376) 135645) ((-146 . -376) 135620) ((-156 . -21) T) ((-156 . -25) T) ((-93 . -609) 135602) ((-907 . -120) 135551) ((-45 . -709) 135496) ((-866 . -1093) T) ((-326 . -610) 135457) ((-326 . -609) 135396) ((-1215 . -789) 135349) ((-1159 . -1056) T) ((-1215 . -792) 135302) ((-245 . -380) 135271) ((-244 . -380) 135240) ((-862 . -609) 135222) ((-857 . -609) 135204) ((-645 . -43) 135174) ((-604 . -39) T) ((-494 . -1105) 135084) ((-481 . -39) T) ((-1106 . -138) 134954) ((-1167 . -559) 134933) ((-967 . -25) 134744) ((-871 . -609) 134726) ((-967 . -21) 134681) ((-812 . -21) 134591) ((-812 . -25) 134442) ((-1161 . -52) 134419) ((-616 . -1056) T) ((-1116 . -52) 134391) ((-465 . -1093) T) ((-357 . -1049) T) ((-354 . -1049) T) ((-494 . -23) 134261) ((-343 . -1049) T) ((-258 . -1049) T) ((-243 . -1049) T) ((-1036 . -638) 134235) ((-126 . -1056) T) ((-960 . -39) T) ((-736 . -1208) 134214) ((-357 . -226) 134193) ((-357 . -239) T) ((-354 . -226) 134172) ((-354 . -239) T) ((-343 . -226) 134151) ((-243 . -325) 134108) ((-343 . -239) T) ((-258 . -325) 134080) ((-258 . -226) 134059) ((-1145 . -155) 134043) ((-736 . -559) 133954) ((-245 . -897) 133886) ((-244 . -897) 133818) ((-1077 . -844) T) ((-1219 . -1199) T) ((-417 . -1105) T) ((-1201 . -105) T) ((-1053 . -23) T) ((-907 . -1049) T) ((-320 . -638) 133800) ((-1025 . -842) T) ((-1194 . -1004) 133766) ((-1162 . -918) 133745) ((-1155 . -918) 133724) ((-907 . -239) T) ((-814 . -366) 133703) ((-388 . -23) T) ((-137 . -1093) 133681) ((-131 . -1093) 133659) ((-907 . -226) T) ((-1155 . -817) NIL) ((-382 . -638) 133624) ((-866 . -709) 133611) ((-1204 . -1093) T) ((-1046 . -155) 133576) ((-45 . -173) T) ((-685 . -414) 133558) ((-704 . -304) 133545) ((-831 . -638) 133505) ((-824 . -638) 133479) ((-315 . -25) T) ((-315 . -21) T) ((-649 . -282) 133458) ((-581 . -1093) T) ((-569 . -1093) T) ((-505 . -1093) T) ((-241 . -284) 133435) ((-308 . -224) 133396) ((-1161 . -883) NIL) ((-1116 . -883) 133255) ((-1161 . -1039) 133135) ((-1116 . -1039) 133018) ((-848 . -1039) 132914) ((-779 . -282) 132841) ((-925 . -609) 132823) ((-814 . -1105) T) ((-1036 . -718) T) ((-600 . -641) 132807) ((-1046 . -979) 132736) ((-1001 . -105) T) ((-814 . -23) T) ((-704 . -1139) 132714) ((-685 . -1056) T) ((-600 . -376) 132698) ((-353 . -454) T) ((-342 . -286) T) ((-1254 . -1093) T) ((-466 . -105) T) ((-402 . -105) T) ((-285 . -21) T) ((-285 . -25) T) ((-364 . -718) T) ((-702 . -1093) T) ((-690 . -1093) T) ((-364 . -479) T) ((-1201 . -304) NIL) ((-1194 . -609) 132680) ((-1161 . -380) 132664) ((-1116 . -380) 132648) ((-1025 . -414) 132610) ((-143 . -222) 132592) ((-382 . -791) T) ((-382 . -788) T) ((-866 . -173) T) ((-382 . -718) T) ((-703 . -609) 132574) ((-704 . -43) 132403) ((-1253 . -1251) 132387) ((-353 . -405) T) ((-1253 . -1093) 132337) ((-581 . -709) 132324) ((-569 . -709) 132311) ((-505 . -709) 132276) ((-859 . -1270) 132260) ((-311 . -621) 132239) ((-831 . -718) T) ((-824 . -718) T) ((-1159 . -1093) T) ((-635 . -1199) T) ((-1075 . -631) 132187) ((-1161 . -897) 132130) ((-1116 . -897) 132114) ((-653 . -1055) 132098) ((-112 . -631) 132080) ((-494 . -138) 131950) ((-776 . -641) 131902) ((-1167 . -1105) T) ((-859 . -371) T) ((-955 . -52) 131871) ((-736 . -1105) T) ((-616 . -1093) T) ((-653 . -120) 131850) ((-326 . -284) 131827) ((-493 . -52) 131784) ((-1167 . -23) T) ((-130 . -1093) T) ((-126 . -1093) T) ((-106 . -105) 131762) ((-736 . -23) T) ((-1263 . -1105) T) ((-1053 . -138) T) ((-1025 . -1056) T) ((-816 . -1039) 131746) ((-1005 . -716) 131718) ((-1263 . -23) T) ((-690 . -709) 131683) ((-586 . -609) 131665) ((-389 . -1039) 131649) ((-356 . -1056) T) ((-388 . -138) T) ((-322 . -1039) 131633) ((-216 . -883) 131615) ((-1006 . -918) T) ((-96 . -39) T) ((-1006 . -817) T) ((-912 . -918) T) ((-498 . -1208) T) ((-1180 . -609) 131597) ((-1098 . -1093) T) ((-209 . -1208) T) ((-1001 . -304) 131562) ((-216 . -1039) 131522) ((-45 . -286) T) ((-1075 . -21) T) ((-1075 . -25) T) ((-1111 . -825) T) ((-498 . -559) T) ((-362 . -25) T) ((-209 . -559) T) ((-362 . -21) T) ((-355 . -25) T) ((-355 . -21) T) ((-706 . -638) 131482) ((-344 . -25) T) ((-344 . -21) T) ((-112 . -25) T) ((-112 . -21) T) ((-53 . -1056) T) ((-1159 . -709) 131311) ((-581 . -173) T) ((-569 . -173) T) ((-505 . -173) T) ((-649 . -609) 131293) ((-729 . -728) 131277) ((-335 . -609) 131259) ((-237 . -609) 131241) ((-73 . -386) T) ((-73 . -398) T) ((-1095 . -111) 131225) ((-1060 . -883) 131207) ((-955 . -883) 131132) ((-644 . -1105) T) ((-616 . -709) 131119) ((-493 . -883) NIL) ((-1134 . -105) T) ((-1060 . -1039) 131101) ((-99 . -609) 131083) ((-490 . -151) T) ((-955 . -1039) 130963) ((-126 . -709) 130908) ((-644 . -23) T) ((-493 . -1039) 130784) ((-1081 . -610) NIL) ((-1081 . -609) 130766) ((-779 . -610) NIL) ((-779 . -609) 130727) ((-777 . -610) 130361) ((-777 . -609) 130275) ((-1106 . -631) 130181) ((-464 . -609) 130163) ((-456 . -609) 130145) ((-456 . -610) 130006) ((-1037 . -222) 129952) ((-136 . -39) T) ((-814 . -138) T) ((-868 . -906) 129931) ((-639 . -609) 129913) ((-357 . -1270) 129897) ((-354 . -1270) 129881) ((-343 . -1270) 129865) ((-137 . -524) 129798) ((-131 . -524) 129731) ((-521 . -789) T) ((-521 . -792) T) ((-520 . -791) T) ((-106 . -304) 129669) ((-213 . -105) 129647) ((-219 . -39) T) ((-146 . -39) T) ((-685 . -1093) T) ((-690 . -173) T) ((-1204 . -524) NIL) ((-868 . -638) 129599) ((-1001 . -43) 129547) ((-70 . -387) T) ((-272 . -609) 129529) ((-70 . -398) T) ((-955 . -380) 129513) ((-866 . -286) T) ((-55 . -609) 129495) ((-862 . -1055) 129460) ((-857 . -1055) 129410) ((-582 . -609) 129392) ((-582 . -610) 129374) ((-493 . -380) 129358) ((-538 . -609) 129340) ((-527 . -609) 129322) ((-907 . -1270) 129309) ((-867 . -1199) T) ((-862 . -120) 129258) ((-692 . -454) T) ((-857 . -120) 129185) ((-505 . -524) 129151) ((-498 . -366) T) ((-357 . -371) 129130) ((-354 . -371) 129109) ((-343 . -371) 129088) ((-209 . -366) T) ((-706 . -718) T) ((-125 . -454) T) ((-1159 . -173) 128979) ((-1274 . -1265) 128963) ((-867 . -881) 128940) ((-867 . -883) NIL) ((-967 . -844) 128839) ((-812 . -844) 128790) ((-645 . -647) 128774) ((-1186 . -39) T) ((-172 . -609) 128756) ((-1106 . -21) 128666) ((-1106 . -25) 128517) ((-970 . -1093) T) ((-867 . -1039) 128494) ((-955 . -897) 128475) ((-1225 . -52) 128452) ((-907 . -371) T) ((-64 . -641) 128436) ((-526 . -641) 128420) ((-493 . -897) 128397) ((-76 . -443) T) ((-76 . -398) T) ((-506 . -641) 128381) ((-64 . -376) 128365) ((-616 . -173) T) ((-526 . -376) 128349) ((-506 . -376) 128333) ((-824 . -700) 128317) ((-1161 . -302) 128296) ((-1167 . -138) T) ((-126 . -173) T) ((-736 . -138) T) ((-1134 . -304) 128234) ((-170 . -1199) T) ((-627 . -738) 128218) ((-603 . -738) 128202) ((-1263 . -138) T) ((-1237 . -918) 128181) ((-1216 . -918) 128160) ((-1216 . -817) NIL) ((-685 . -709) 128110) ((-1215 . -906) 128063) ((-1025 . -1093) T) ((-867 . -380) 128040) ((-867 . -337) 128017) ((-902 . -1105) T) ((-170 . -881) 128001) ((-170 . -883) 127926) ((-1253 . -524) 127859) ((-498 . -1105) T) ((-356 . -1093) T) ((-209 . -1105) T) ((-81 . -443) T) ((-81 . -398) T) ((-1236 . -638) 127756) ((-170 . -1039) 127652) ((-315 . -844) T) ((-862 . -1049) T) ((-857 . -1049) T) ((-1215 . -638) 127522) ((-868 . -791) 127501) ((-868 . -788) 127480) ((-1275 . -1268) 127459) ((-868 . -718) T) ((-498 . -23) T) ((-214 . -609) 127441) ((-174 . -454) T) ((-213 . -304) 127379) ((-91 . -443) T) ((-91 . -398) T) ((-862 . -239) T) ((-209 . -23) T) ((-857 . -239) T) ((-735 . -414) 127363) ((-514 . -537) 127238) ((-581 . -286) T) ((-569 . -286) T) ((-669 . -1039) 127222) ((-505 . -286) T) ((-1159 . -524) 127168) ((-142 . -476) 127123) ((-116 . -1093) T) ((-53 . -1093) T) ((-704 . -224) 127107) ((-867 . -897) NIL) ((-1225 . -883) NIL) ((-886 . -105) T) ((-882 . -105) T) ((-391 . -1093) T) ((-170 . -380) 127091) ((-170 . -337) 127075) ((-1225 . -1039) 126955) ((-849 . -1039) 126851) ((-1130 . -105) T) ((-644 . -138) T) ((-126 . -524) 126714) ((-653 . -789) 126693) ((-653 . -792) 126672) ((-576 . -1039) 126654) ((-289 . -1260) 126624) ((-855 . -105) T) ((-966 . -559) 126603) ((-1194 . -1055) 126486) ((-494 . -631) 126392) ((-901 . -1093) T) ((-1025 . -709) 126329) ((-703 . -1055) 126294) ((-859 . -638) 126246) ((-776 . -638) 126198) ((-600 . -39) T) ((-1135 . -1199) T) ((-1194 . -120) 126060) ((-480 . -638) 125957) ((-356 . -709) 125902) ((-170 . -897) 125861) ((-690 . -286) T) ((-735 . -1056) T) ((-685 . -173) T) ((-703 . -120) 125810) ((-1279 . -1056) T) ((-1225 . -380) 125794) ((-421 . -1208) 125772) ((-308 . -842) NIL) ((-421 . -559) T) ((-216 . -302) T) ((-1215 . -788) 125725) ((-1215 . -791) 125678) ((-33 . -1091) T) ((-1236 . -718) T) ((-1215 . -718) T) ((-53 . -709) 125643) ((-1159 . -286) 125554) ((-216 . -1023) T) ((-353 . -1260) 125531) ((-1238 . -414) 125497) ((-710 . -718) T) ((-1225 . -897) 125440) ((-121 . -609) 125422) ((-121 . -610) 125404) ((-710 . -479) T) ((-494 . -21) 125314) ((-137 . -500) 125298) ((-131 . -500) 125282) ((-494 . -25) 125133) ((-616 . -286) T) ((-776 . -39) T) ((-1204 . -500) 125115) ((-586 . -1055) 125090) ((-440 . -1093) T) ((-1060 . -302) T) ((-126 . -286) T) ((-1097 . -105) T) ((-1005 . -105) T) ((-586 . -120) 125051) ((-1248 . -1056) T) ((-1130 . -304) 124989) ((-1194 . -1049) T) ((-1060 . -1023) T) ((-71 . -1199) T) ((-1053 . -25) T) ((-1053 . -21) T) ((-703 . -1049) T) ((-388 . -21) T) ((-388 . -25) T) ((-685 . -524) NIL) ((-1025 . -173) T) ((-703 . -239) T) ((-1060 . -551) T) ((-859 . -718) T) ((-776 . -718) T) ((-512 . -105) T) ((-356 . -173) T) ((-342 . -609) 124971) ((-397 . -609) 124953) ((-480 . -718) T) ((-1111 . -842) T) ((-889 . -1039) 124921) ((-112 . -844) T) ((-649 . -1055) 124905) ((-498 . -138) T) ((-1238 . -1056) T) ((-209 . -138) T) ((-237 . -1055) 124887) ((-1145 . -105) 124865) ((-101 . -1093) T) ((-241 . -659) 124849) ((-241 . -641) 124833) ((-649 . -120) 124812) ((-311 . -414) 124796) ((-241 . -376) 124780) ((-1148 . -228) 124727) ((-1001 . -224) 124711) ((-237 . -120) 124686) ((-79 . -1199) T) ((-53 . -173) T) ((-692 . -390) T) ((-692 . -147) T) ((-1274 . -105) T) ((-1081 . -1055) 124529) ((-258 . -906) 124508) ((-243 . -906) 124487) ((-779 . -1055) 124310) ((-777 . -1055) 124153) ((-604 . -1199) T) ((-1153 . -609) 124135) ((-1081 . -120) 123957) ((-1046 . -105) T) ((-481 . -1199) T) ((-464 . -1055) 123928) ((-456 . -1055) 123771) ((-657 . -638) 123755) ((-867 . -302) T) ((-779 . -120) 123557) ((-777 . -120) 123379) ((-357 . -638) 123331) ((-354 . -638) 123283) ((-343 . -638) 123235) ((-258 . -638) 123160) ((-243 . -638) 123085) ((-1147 . -844) T) ((-464 . -120) 123046) ((-456 . -120) 122868) ((-1082 . -1039) 122852) ((-1071 . -1039) 122829) ((-1002 . -39) T) ((-960 . -1199) T) ((-136 . -1012) 122813) ((-966 . -1105) T) ((-867 . -1023) NIL) ((-727 . -1105) T) ((-707 . -1105) T) ((-1253 . -500) 122797) ((-1130 . -43) 122757) ((-966 . -23) T) ((-907 . -638) 122722) ((-837 . -105) T) ((-814 . -21) T) ((-814 . -25) T) ((-727 . -23) T) ((-707 . -23) T) ((-114 . -652) T) ((-772 . -718) T) ((-582 . -1055) 122687) ((-527 . -1055) 122632) ((-220 . -62) 122590) ((-455 . -23) T) ((-410 . -105) T) ((-257 . -105) T) ((-772 . -479) T) ((-968 . -105) T) ((-685 . -286) T) ((-855 . -43) 122560) ((-1204 . -282) 122535) ((-582 . -120) 122484) ((-527 . -120) 122401) ((-736 . -631) 122349) ((-421 . -1105) T) ((-311 . -1056) 122239) ((-308 . -1056) T) ((-924 . -609) 122221) ((-735 . -1093) T) ((-649 . -1049) T) ((-1279 . -1093) T) ((-170 . -302) 122152) ((-421 . -23) T) ((-45 . -609) 122134) ((-45 . -610) 122118) ((-112 . -995) 122100) ((-125 . -865) 122084) ((-53 . -524) 122050) ((-1186 . -1012) 122034) ((-1173 . -39) T) ((-919 . -609) 122016) ((-1106 . -844) 121967) ((-765 . -609) 121949) ((-664 . -609) 121931) ((-1145 . -304) 121869) ((-1085 . -1199) T) ((-491 . -39) T) ((-1081 . -1049) T) ((-490 . -454) T) ((-862 . -1270) 121844) ((-857 . -1270) 121804) ((-1129 . -39) T) ((-779 . -1049) T) ((-777 . -1049) T) ((-637 . -228) 121788) ((-624 . -228) 121734) ((-1225 . -302) 121713) ((-1204 . -19) 121695) ((-1204 . -602) 121670) ((-1081 . -325) 121631) ((-456 . -1049) T) ((-1167 . -21) T) ((-1081 . -226) 121610) ((-779 . -325) 121587) ((-779 . -226) T) ((-777 . -325) 121559) ((-326 . -641) 121543) ((-723 . -1208) 121522) ((-1167 . -25) T) ((-64 . -39) T) ((-528 . -39) T) ((-526 . -39) T) ((-456 . -325) 121501) ((-326 . -376) 121485) ((-507 . -39) T) ((-506 . -39) T) ((-1005 . -1139) NIL) ((-627 . -105) T) ((-603 . -105) T) ((-723 . -559) 121416) ((-357 . -718) T) ((-354 . -718) T) ((-343 . -718) T) ((-258 . -718) T) ((-243 . -718) T) ((-736 . -25) T) ((-736 . -21) T) ((-1046 . -304) 121324) ((-1263 . -21) T) ((-1263 . -25) T) ((-898 . -1093) 121302) ((-55 . -1049) T) ((-1248 . -1093) T) ((-1163 . -559) 121281) ((-1162 . -1208) 121260) ((-1162 . -559) 121211) ((-1155 . -1208) 121190) ((-582 . -1049) T) ((-527 . -1049) T) ((-514 . -105) T) ((-1025 . -286) T) ((-364 . -1039) 121174) ((-320 . -1039) 121158) ((-260 . -1093) 121136) ((-382 . -883) 121118) ((-1155 . -559) 121069) ((-1117 . -559) 121048) ((-1005 . -43) 120993) ((-796 . -1105) T) ((-907 . -718) T) ((-582 . -239) T) ((-582 . -226) T) ((-527 . -226) T) ((-527 . -239) T) ((-735 . -709) 120917) ((-356 . -286) T) ((-637 . -686) 120901) ((-382 . -1039) 120861) ((-260 . -259) 120845) ((-1111 . -1056) T) ((-106 . -135) 120829) ((-796 . -23) T) ((-1273 . -1268) 120805) ((-1271 . -1268) 120784) ((-1253 . -282) 120761) ((-410 . -304) 120726) ((-1238 . -1093) T) ((-1159 . -282) 120653) ((-866 . -609) 120635) ((-831 . -1039) 120604) ((-196 . -784) T) ((-195 . -784) T) ((-34 . -37) 120581) ((-194 . -784) T) ((-193 . -784) T) ((-192 . -784) T) ((-191 . -784) T) ((-190 . -784) T) ((-189 . -784) T) ((-188 . -784) T) ((-187 . -784) T) ((-505 . -1004) T) ((-271 . -833) T) ((-270 . -833) T) ((-269 . -833) T) ((-268 . -833) T) ((-53 . -286) T) ((-267 . -833) T) ((-266 . -833) T) ((-265 . -833) T) ((-186 . -784) T) ((-608 . -844) T) ((-645 . -414) 120565) ((-114 . -844) T) ((-644 . -21) T) ((-644 . -25) T) ((-465 . -609) 120547) ((-1274 . -43) 120517) ((-1253 . -19) 120501) ((-126 . -282) 120431) ((-217 . -105) T) ((-145 . -105) T) ((-1253 . -602) 120408) ((-1264 . -1093) T) ((-1248 . -709) 120305) ((-1072 . -1093) T) ((-990 . -1093) T) ((-966 . -138) T) ((-729 . -1093) T) ((-727 . -138) T) ((-707 . -138) T) ((-521 . -790) T) ((-410 . -1139) 120283) ((-455 . -138) T) ((-521 . -791) T) ((-214 . -1049) T) ((-289 . -105) 120065) ((-143 . -1093) T) ((-690 . -1004) T) ((-96 . -1199) T) ((-137 . -609) 120032) ((-131 . -609) 119999) ((-735 . -173) T) ((-1279 . -173) T) ((-1204 . -610) 119981) ((-1204 . -609) 119963) ((-1162 . -366) 119942) ((-1155 . -366) 119921) ((-311 . -1093) T) ((-421 . -138) T) ((-308 . -1093) T) ((-410 . -43) 119873) ((-1124 . -105) T) ((-1238 . -709) 119730) ((-645 . -1056) T) ((-315 . -149) 119709) ((-315 . -151) 119688) ((-142 . -1093) T) ((-123 . -1093) T) ((-851 . -105) T) ((-581 . -609) 119670) ((-569 . -610) 119569) ((-569 . -609) 119551) ((-505 . -609) 119533) ((-505 . -610) 119478) ((-496 . -23) T) ((-494 . -844) 119429) ((-118 . -1093) T) ((-498 . -631) 119411) ((-776 . -1012) 119363) ((-209 . -631) 119345) ((-216 . -407) T) ((-653 . -638) 119329) ((-1161 . -918) 119308) ((-723 . -1105) T) ((-353 . -105) T) ((-815 . -844) T) ((-723 . -23) T) ((-342 . -1055) 119253) ((-1147 . -1146) T) ((-1135 . -111) 119237) ((-1248 . -173) 119188) ((-1163 . -1105) T) ((-1162 . -1105) T) ((-1155 . -1105) T) ((-1117 . -1105) T) ((-525 . -1039) 119172) ((-342 . -120) 119089) ((-217 . -304) NIL) ((-145 . -304) NIL) ((-1006 . -1208) T) ((-136 . -1199) T) ((-912 . -1208) T) ((-1254 . -609) 119071) ((-1203 . -1093) T) ((-685 . -282) NIL) ((-1163 . -23) T) ((-1162 . -23) T) ((-1155 . -23) T) ((-1130 . -224) 119055) ((-1117 . -23) T) ((-1070 . -1093) T) ((-1006 . -559) T) ((-912 . -559) T) ((-796 . -138) T) ((-219 . -1199) T) ((-146 . -1199) T) ((-735 . -524) 119021) ((-702 . -609) 119003) ((-34 . -1093) T) ((-311 . -709) 118913) ((-308 . -709) 118842) ((-690 . -609) 118824) ((-690 . -610) 118769) ((-410 . -403) 118753) ((-441 . -1093) T) ((-498 . -25) T) ((-498 . -21) T) ((-1111 . -1093) T) ((-209 . -25) T) ((-209 . -21) T) ((-704 . -414) 118737) ((-706 . -1039) 118706) ((-1253 . -609) 118645) ((-1253 . -610) 118606) ((-1238 . -173) T) ((-241 . -39) T) ((-1159 . -610) NIL) ((-1159 . -609) 118588) ((-928 . -977) T) ((-1186 . -1199) T) ((-653 . -788) 118567) ((-653 . -791) 118546) ((-401 . -398) T) ((-532 . -105) 118524) ((-1037 . -1093) T) ((-213 . -997) 118508) ((-515 . -105) T) ((-616 . -609) 118490) ((-50 . -844) NIL) ((-616 . -610) 118467) ((-1037 . -606) 118442) ((-898 . -524) 118375) ((-342 . -1049) T) ((-130 . -609) 118357) ((-126 . -610) NIL) ((-126 . -609) 118339) ((-868 . -1199) T) ((-663 . -420) 118323) ((-663 . -1114) 118268) ((-260 . -524) 118201) ((-510 . -155) 118183) ((-342 . -226) T) ((-342 . -239) T) ((-45 . -1055) 118128) ((-868 . -881) 118112) ((-868 . -883) 118037) ((-704 . -1056) T) ((-685 . -1004) NIL) ((-1236 . -52) 118007) ((-1215 . -52) 117984) ((-1129 . -1012) 117955) ((-1111 . -709) 117942) ((-1098 . -609) 117924) ((-868 . -1039) 117788) ((-216 . -918) T) ((-45 . -120) 117705) ((-735 . -286) T) ((-1075 . -151) 117684) ((-1075 . -149) 117635) ((-1006 . -366) T) ((-862 . -638) 117600) ((-857 . -638) 117550) ((-315 . -1188) 117516) ((-382 . -302) T) ((-315 . -1185) 117482) ((-311 . -173) 117461) ((-308 . -173) T) ((-1005 . -224) 117438) ((-912 . -366) T) ((-582 . -1270) 117425) ((-527 . -1270) 117402) ((-362 . -151) 117381) ((-362 . -149) 117332) ((-355 . -151) 117311) ((-355 . -149) 117262) ((-604 . -1176) 117238) ((-344 . -151) 117217) ((-344 . -149) 117168) ((-315 . -40) 117134) ((-481 . -1176) 117113) ((0 . |EnumerationCategory|) T) ((-315 . -98) 117079) ((-382 . -1023) T) ((-112 . -151) T) ((-112 . -149) NIL) ((-50 . -228) 117029) ((-645 . -1093) T) ((-604 . -111) 116976) ((-496 . -138) T) ((-481 . -111) 116926) ((-233 . -1105) 116836) ((-1080 . -1105) T) ((-868 . -380) 116820) ((-868 . -337) 116804) ((-233 . -23) 116674) ((-1060 . -918) T) ((-1060 . -817) T) ((-582 . -371) T) ((-527 . -371) T) ((-736 . -844) 116653) ((-1204 . -284) 116628) ((-353 . -1139) T) ((-326 . -39) T) ((-49 . -420) 116612) ((-1080 . -23) T) ((-393 . -738) 116596) ((-1264 . -524) 116529) ((-723 . -138) T) ((-1248 . -286) 116508) ((-1244 . -559) 116487) ((-1237 . -1208) 116466) ((-1237 . -559) 116417) ((-1216 . -1208) 116396) ((-1216 . -559) 116347) ((-729 . -524) 116280) ((-1215 . -1199) 116259) ((-1215 . -883) 116132) ((-890 . -1093) T) ((-148 . -838) T) ((-1215 . -881) 116102) ((-1210 . -559) 116081) ((-1163 . -138) T) ((-532 . -304) 116019) ((-1162 . -138) T) ((-143 . -524) NIL) ((-1155 . -138) T) ((-1117 . -138) T) ((-1025 . -1004) T) ((-1006 . -23) T) ((-353 . -43) 115984) ((-1006 . -1105) T) ((-912 . -1105) T) ((-87 . -609) 115966) ((-45 . -1049) T) ((-866 . -1055) 115953) ((-868 . -897) 115912) ((-776 . -52) 115889) ((-692 . -105) T) ((-1005 . -351) NIL) ((-600 . -1199) T) ((-974 . -23) T) ((-912 . -23) T) ((-866 . -120) 115874) ((-430 . -1105) T) ((-480 . -52) 115844) ((-140 . -105) T) ((-45 . -226) 115816) ((-45 . -239) T) ((-125 . -105) T) ((-595 . -559) 115795) ((-594 . -559) 115774) ((-685 . -609) 115756) ((-685 . -610) 115664) ((-311 . -524) 115630) ((-308 . -524) 115381) ((-1236 . -1039) 115365) ((-1215 . -1039) 115151) ((-1001 . -414) 115135) ((-430 . -23) T) ((-1111 . -173) T) ((-862 . -718) T) ((-857 . -718) T) ((-1238 . -286) T) ((-645 . -709) 115105) ((-148 . -1093) T) ((-53 . -1004) T) ((-410 . -224) 115089) ((-290 . -228) 115039) ((-867 . -918) T) ((-867 . -817) NIL) ((-970 . -609) 115021) ((-854 . -844) T) ((-1215 . -337) 114991) ((-1215 . -380) 114961) ((-213 . -1112) 114945) ((-776 . -1199) T) ((-1253 . -284) 114922) ((-501 . -105) T) ((-1194 . -638) 114847) ((-966 . -21) T) ((-966 . -25) T) ((-727 . -21) T) ((-727 . -25) T) ((-707 . -21) T) ((-707 . -25) T) ((-703 . -638) 114812) ((-455 . -21) T) ((-455 . -25) T) ((-338 . -105) T) ((-174 . -105) T) ((-1001 . -1056) T) ((-866 . -1049) T) ((-859 . -1039) 114796) ((-768 . -105) T) ((-1203 . -524) NIL) ((-1237 . -366) 114775) ((-1236 . -897) 114681) ((-1216 . -366) 114660) ((-1215 . -897) 114511) ((-1025 . -609) 114493) ((-410 . -825) 114446) ((-1163 . -503) 114412) ((-170 . -918) 114343) ((-1162 . -503) 114309) ((-1155 . -503) 114275) ((-704 . -1093) T) ((-1117 . -503) 114241) ((-581 . -1055) 114228) ((-569 . -1055) 114215) ((-505 . -1055) 114180) ((-311 . -286) 114159) ((-308 . -286) T) ((-356 . -609) 114141) ((-421 . -25) T) ((-421 . -21) T) ((-101 . -282) 114120) ((-581 . -120) 114105) ((-569 . -120) 114090) ((-505 . -120) 114039) ((-1165 . -883) 114006) ((-35 . -105) T) ((-898 . -500) 113990) ((-116 . -609) 113972) ((-53 . -609) 113954) ((-53 . -610) 113899) ((-260 . -500) 113883) ((-233 . -138) 113753) ((-1225 . -918) 113732) ((-813 . -1208) 113711) ((-1037 . -524) 113519) ((-1080 . -138) T) ((-391 . -609) 113501) ((-813 . -559) 113432) ((-586 . -638) 113407) ((-258 . -52) 113379) ((-243 . -52) 113336) ((-535 . -519) 113313) ((-1002 . -1199) T) ((-1244 . -23) T) ((-1244 . -1105) T) ((-690 . -1055) 113278) ((-776 . -897) 113191) ((-1237 . -1105) T) ((-1237 . -23) T) ((-1216 . -1105) T) ((-1210 . -1105) T) ((-1005 . -373) 113163) ((-121 . -371) T) ((-480 . -897) 113069) ((-1216 . -23) T) ((-1210 . -23) T) ((-901 . -609) 113051) ((-96 . -111) 113035) ((-1194 . -718) T) ((-902 . -844) 112986) ((-692 . -1139) T) ((-690 . -120) 112935) ((-1201 . -1093) T) ((-595 . -1105) T) ((-594 . -1105) T) ((-704 . -709) 112764) ((-703 . -718) T) ((-1111 . -286) T) ((-1006 . -138) T) ((-498 . -844) T) ((-974 . -138) T) ((-912 . -138) T) ((-796 . -25) T) ((-209 . -844) T) ((-796 . -21) T) ((-581 . -1049) T) ((-569 . -1049) T) ((-505 . -1049) T) ((-595 . -23) T) ((-342 . -1270) 112741) ((-315 . -454) 112720) ((-338 . -304) 112707) ((-594 . -23) T) ((-430 . -138) T) ((-649 . -638) 112681) ((-1159 . -1055) 112504) ((-241 . -1012) 112488) ((-868 . -302) T) ((-1275 . -1265) 112472) ((-765 . -789) T) ((-765 . -792) T) ((-692 . -43) 112459) ((-237 . -638) 112441) ((-569 . -226) T) ((-505 . -239) T) ((-505 . -226) T) ((-1159 . -120) 112243) ((-1138 . -228) 112193) ((-1081 . -906) 112172) ((-125 . -43) 112159) ((-202 . -797) T) ((-201 . -797) T) ((-200 . -797) T) ((-199 . -797) T) ((-868 . -1023) 112137) ((-1264 . -500) 112121) ((-779 . -906) 112100) ((-777 . -906) 112079) ((-1173 . -1199) T) ((-456 . -906) 112058) ((-729 . -500) 112042) ((-1081 . -638) 111967) ((-779 . -638) 111892) ((-616 . -1055) 111879) ((-491 . -1199) T) ((-342 . -371) T) ((-143 . -500) 111861) ((-777 . -638) 111786) ((-1129 . -1199) T) ((-464 . -638) 111757) ((-258 . -883) 111616) ((-243 . -883) NIL) ((-126 . -1055) 111561) ((-456 . -638) 111486) ((-657 . -1039) 111463) ((-616 . -120) 111448) ((-357 . -1039) 111432) ((-354 . -1039) 111416) ((-343 . -1039) 111400) ((-258 . -1039) 111244) ((-243 . -1039) 111120) ((-126 . -120) 111037) ((-64 . -1199) T) ((-528 . -1199) T) ((-526 . -1199) T) ((-507 . -1199) T) ((-506 . -1199) T) ((-440 . -609) 111019) ((-437 . -609) 111001) ((-3 . -105) T) ((-1029 . -1193) 110970) ((-830 . -105) T) ((-681 . -62) 110928) ((-690 . -1049) T) ((-55 . -638) 110902) ((-285 . -454) T) ((-482 . -1193) 110871) ((-1248 . -282) 110856) ((0 . -105) T) ((-582 . -638) 110821) ((-527 . -638) 110766) ((-54 . -105) T) ((-907 . -1039) 110753) ((-690 . -239) T) ((-1075 . -412) 110732) ((-723 . -631) 110680) ((-1001 . -1093) T) ((-704 . -173) 110571) ((-498 . -995) 110553) ((-466 . -1093) T) ((-258 . -380) 110537) ((-243 . -380) 110521) ((-402 . -1093) T) ((-1159 . -1049) T) ((-338 . -43) 110505) ((-1028 . -105) 110483) ((-209 . -995) 110465) ((-174 . -43) 110397) ((-1236 . -302) 110376) ((-1215 . -302) 110355) ((-1159 . -325) 110332) ((-649 . -718) T) ((-1159 . -226) T) ((-101 . -609) 110314) ((-1155 . -631) 110266) ((-496 . -25) T) ((-496 . -21) T) ((-1215 . -1023) 110218) ((-616 . -1049) T) ((-382 . -407) T) ((-393 . -105) T) ((-258 . -897) 110164) ((-243 . -897) 110141) ((-126 . -1049) T) ((-813 . -1105) T) ((-1081 . -718) T) ((-616 . -226) 110120) ((-614 . -105) T) ((-1203 . -500) 110102) ((-779 . -718) T) ((-777 . -718) T) ((-1202 . -62) 110068) ((-416 . -1105) T) ((-126 . -239) T) ((-45 . -371) NIL) ((-126 . -226) NIL) ((-456 . -718) T) ((-813 . -23) T) ((-723 . -25) T) ((-723 . -21) T) ((-694 . -844) T) ((-1072 . -282) 110047) ((-83 . -399) T) ((-83 . -398) T) ((-1248 . -1004) 110013) ((-685 . -1055) 109963) ((-1244 . -138) T) ((-1237 . -138) T) ((-1216 . -138) T) ((-1210 . -138) T) ((-1163 . -25) T) ((-1130 . -414) 109947) ((-627 . -370) 109879) ((-603 . -370) 109811) ((-1145 . -1137) 109795) ((-106 . -1093) 109773) ((-1163 . -21) T) ((-1162 . -21) T) ((-1162 . -25) T) ((-1001 . -709) 109721) ((-214 . -638) 109688) ((-685 . -120) 109615) ((-55 . -718) T) ((-1155 . -21) T) ((-353 . -351) T) ((-1155 . -25) T) ((-1075 . -454) 109566) ((-1117 . -21) T) ((-704 . -524) 109512) ((-582 . -718) T) ((-527 . -718) T) ((-859 . -302) T) ((-1117 . -25) T) ((-776 . -302) T) ((-595 . -138) T) ((-594 . -138) T) ((-362 . -454) T) ((-355 . -454) T) ((-344 . -454) T) ((-480 . -302) 109491) ((-308 . -282) 109357) ((-112 . -454) T) ((-84 . -443) T) ((-84 . -398) T) ((-490 . -105) T) ((-735 . -610) 109218) ((-735 . -609) 109200) ((-1279 . -609) 109182) ((-1279 . -610) 109164) ((-1075 . -405) 109143) ((-1037 . -500) 109075) ((-569 . -792) T) ((-569 . -789) T) ((-1061 . -228) 109021) ((-362 . -405) 108972) ((-355 . -405) 108923) ((-344 . -405) 108874) ((-1266 . -1105) T) ((-1266 . -23) T) ((-1255 . -105) T) ((-1130 . -1056) T) ((-663 . -738) 108858) ((-1167 . -149) 108837) ((-1167 . -151) 108816) ((-1134 . -1093) T) ((-1134 . -1068) 108785) ((-74 . -1199) T) ((-1025 . -1055) 108722) ((-855 . -1056) T) ((-736 . -149) 108701) ((-736 . -151) 108680) ((-233 . -631) 108586) ((-685 . -1049) T) ((-234 . -559) 108565) ((-356 . -1055) 108510) ((-66 . -1199) T) ((-1025 . -120) 108419) ((-898 . -609) 108386) ((-685 . -239) T) ((-685 . -226) NIL) ((-1201 . -524) NIL) ((-837 . -842) 108365) ((-690 . -792) T) ((-690 . -789) T) ((-1248 . -609) 108347) ((-1203 . -282) 108322) ((-1005 . -414) 108299) ((-356 . -120) 108216) ((-260 . -609) 108183) ((-382 . -918) T) ((-410 . -842) 108162) ((-704 . -286) 108073) ((-214 . -718) T) ((-1244 . -503) 108039) ((-1237 . -503) 108005) ((-1216 . -503) 107971) ((-1210 . -503) 107937) ((-311 . -1004) 107916) ((-213 . -1093) 107894) ((-315 . -976) 107856) ((-109 . -105) T) ((-53 . -1055) 107821) ((-1275 . -105) T) ((-384 . -105) T) ((-53 . -120) 107770) ((-1006 . -631) 107752) ((-1238 . -609) 107734) ((-535 . -105) T) ((-510 . -105) T) ((-1124 . -1125) 107718) ((-156 . -1260) 107702) ((-241 . -1199) T) ((-1203 . -19) 107684) ((-776 . -666) 107636) ((-1161 . -1208) 107615) ((-1116 . -1208) 107594) ((-233 . -21) 107504) ((-233 . -25) 107355) ((-137 . -128) 107339) ((-131 . -128) 107323) ((-1204 . -641) 107305) ((-49 . -738) 107289) ((-1203 . -602) 107264) ((-1161 . -559) 107175) ((-1116 . -559) 107106) ((-1204 . -376) 107088) ((-1037 . -282) 107063) ((-1080 . -25) T) ((-1080 . -21) T) ((-813 . -138) T) ((-126 . -792) NIL) ((-126 . -789) NIL) ((-357 . -302) T) ((-354 . -302) T) ((-343 . -302) T) ((-1087 . -1199) T) ((-245 . -1105) 106973) ((-244 . -1105) 106883) ((-1025 . -1049) T) ((-1005 . -1056) T) ((-342 . -638) 106828) ((-614 . -43) 106812) ((-1264 . -609) 106774) ((-1264 . -610) 106735) ((-1072 . -609) 106717) ((-1025 . -239) T) ((-356 . -1049) T) ((-812 . -1260) 106687) ((-245 . -23) T) ((-244 . -23) T) ((-990 . -609) 106669) ((-729 . -610) 106630) ((-729 . -609) 106612) ((-796 . -844) 106591) ((-1001 . -524) 106503) ((-356 . -226) T) ((-356 . -239) T) ((-1148 . -155) 106450) ((-1006 . -25) T) ((-143 . -609) 106432) ((-143 . -610) 106391) ((-907 . -302) T) ((-1006 . -21) T) ((-974 . -25) T) ((-912 . -21) T) ((-912 . -25) T) ((-430 . -21) T) ((-430 . -25) T) ((-837 . -414) 106375) ((-53 . -1049) T) ((-1273 . -1265) 106359) ((-1271 . -1265) 106343) ((-1037 . -602) 106318) ((-311 . -610) 106179) ((-311 . -609) 106161) ((-308 . -610) NIL) ((-308 . -609) 106143) ((-53 . -239) T) ((-53 . -226) T) ((-645 . -282) 106104) ((-552 . -228) 106054) ((-142 . -609) 106036) ((-123 . -609) 106018) ((-490 . -43) 105983) ((-1275 . -1272) 105962) ((-1266 . -138) T) ((-1274 . -1056) T) ((-1077 . -105) T) ((-118 . -609) 105944) ((-93 . -1199) T) ((-510 . -304) NIL) ((-1002 . -111) 105928) ((-886 . -1093) T) ((-882 . -1093) T) ((-1253 . -641) 105912) ((-1253 . -376) 105896) ((-326 . -1199) T) ((-592 . -844) T) ((-234 . -1105) T) ((-1130 . -1093) T) ((-1130 . -1052) 105836) ((-106 . -524) 105769) ((-929 . -609) 105751) ((-234 . -23) T) ((-342 . -718) T) ((-30 . -609) 105733) ((-855 . -1093) T) ((-837 . -1056) 105712) ((-45 . -638) 105657) ((-216 . -1208) T) ((-410 . -1056) T) ((-1147 . -155) 105639) ((-1001 . -286) 105590) ((-216 . -559) T) ((-1203 . -610) 105572) ((-315 . -1233) 105556) ((-315 . -1230) 105526) ((-1203 . -609) 105508) ((-1173 . -1176) 105487) ((-1070 . -609) 105469) ((-34 . -609) 105451) ((-862 . -1039) 105411) ((-857 . -1039) 105356) ((-637 . -155) 105340) ((-624 . -155) 105286) ((-1173 . -111) 105236) ((-491 . -1176) 105215) ((-498 . -151) T) ((-498 . -149) NIL) ((-1111 . -610) 105130) ((-441 . -609) 105112) ((-209 . -151) T) ((-209 . -149) NIL) ((-1111 . -609) 105094) ((-57 . -105) T) ((-1216 . -631) 105046) ((-491 . -111) 104996) ((-996 . -23) T) ((-1275 . -43) 104966) ((-1161 . -1105) T) ((-1116 . -1105) T) ((-1060 . -1208) T) ((-848 . -1105) T) ((-955 . -1208) 104945) ((-1201 . -500) 104927) ((-493 . -1208) 104906) ((-723 . -844) 104885) ((-1060 . -559) T) ((-1200 . -62) 104851) ((-955 . -559) 104782) ((-1161 . -23) T) ((-1116 . -23) T) ((-848 . -23) T) ((-493 . -559) 104713) ((-1130 . -709) 104645) ((-1134 . -524) 104578) ((-1037 . -610) NIL) ((-1037 . -609) 104560) ((-855 . -709) 104530) ((-1279 . -1055) 104517) ((-1279 . -120) 104502) ((-1194 . -52) 104471) ((-245 . -138) T) ((-244 . -138) T) ((-1097 . -1093) T) ((-1005 . -1093) T) ((-67 . -609) 104453) ((-1155 . -844) NIL) ((-1025 . -789) T) ((-1025 . -792) T) ((-1244 . -25) T) ((-735 . -1055) 104377) ((-1244 . -21) T) ((-1237 . -21) T) ((-866 . -638) 104364) ((-1237 . -25) T) ((-1216 . -21) T) ((-1216 . -25) T) ((-1210 . -25) T) ((-1210 . -21) T) ((-1029 . -155) 104348) ((-868 . -817) 104327) ((-868 . -918) T) ((-735 . -120) 104230) ((-704 . -282) 104157) ((-595 . -21) T) ((-595 . -25) T) ((-594 . -21) T) ((-45 . -718) T) ((-213 . -524) 104090) ((-594 . -25) T) ((-482 . -155) 104074) ((-469 . -155) 104058) ((-919 . -718) T) ((-765 . -790) T) ((-765 . -791) T) ((-512 . -1093) T) ((-765 . -718) T) ((-216 . -366) T) ((-1145 . -1093) 104036) ((-867 . -1208) T) ((-645 . -609) 104018) ((-867 . -559) T) ((-685 . -371) NIL) ((-362 . -1260) 104002) ((-663 . -105) T) ((-355 . -1260) 103986) ((-344 . -1260) 103970) ((-1274 . -1093) T) ((-529 . -844) 103949) ((-1248 . -1055) 103832) ((-814 . -454) 103811) ((-1046 . -1093) T) ((-1046 . -1068) 103740) ((-1029 . -979) 103709) ((-816 . -1105) T) ((-1005 . -709) 103654) ((-1248 . -120) 103516) ((-234 . -138) T) ((-389 . -1105) T) ((-482 . -979) 103485) ((-469 . -979) 103454) ((-923 . -1091) T) ((-114 . -155) 103436) ((-78 . -609) 103418) ((-890 . -609) 103400) ((-1075 . -716) 103379) ((-735 . -1049) T) ((-1279 . -1049) T) ((-1201 . -282) 103354) ((-813 . -631) 103302) ((-289 . -1056) 103244) ((-170 . -1208) 103149) ((-216 . -1105) T) ((-322 . -23) T) ((-1155 . -995) 103101) ((-837 . -1093) T) ((-735 . -239) 103080) ((-1117 . -732) 103059) ((-1238 . -1055) 102948) ((-1236 . -918) 102927) ((-866 . -718) T) ((-170 . -559) 102838) ((-1215 . -918) 102817) ((-581 . -638) 102804) ((-410 . -1093) T) ((-569 . -638) 102791) ((-257 . -1093) T) ((-505 . -638) 102756) ((-216 . -23) T) ((-1215 . -817) 102709) ((-968 . -1093) T) ((-1273 . -105) T) ((-356 . -1270) 102686) ((-1271 . -105) T) ((-1238 . -120) 102536) ((-148 . -609) 102518) ((-996 . -138) T) ((-49 . -105) T) ((-233 . -844) 102469) ((-1274 . -709) 102439) ((-1225 . -1208) 102418) ((-106 . -500) 102402) ((-1225 . -559) 102313) ((-1201 . -19) 102295) ((-1081 . -52) 102256) ((-1060 . -1105) T) ((-955 . -1105) T) ((-137 . -39) T) ((-131 . -39) T) ((-1204 . -39) T) ((-1203 . -284) 102231) ((-779 . -52) 102208) ((-777 . -52) 102180) ((-1201 . -602) 102155) ((-1161 . -138) T) ((-356 . -371) T) ((-493 . -1105) T) ((-1116 . -138) T) ((-1060 . -23) T) ((-456 . -52) 102134) ((-867 . -366) T) ((-848 . -138) T) ((-156 . -105) T) ((-736 . -454) 102065) ((-955 . -23) T) ((-576 . -559) T) ((-813 . -25) T) ((-813 . -21) T) ((-1130 . -524) 101998) ((-586 . -1039) 101982) ((-493 . -23) T) ((-353 . -1056) T) ((-1248 . -1049) T) ((-1194 . -897) 101963) ((-663 . -304) 101901) ((-1248 . -226) 101860) ((-1106 . -1260) 101830) ((-690 . -638) 101795) ((-1006 . -844) T) ((-1005 . -173) T) ((-966 . -149) 101774) ((-627 . -1093) T) ((-603 . -1093) T) ((-966 . -151) 101753) ((-859 . -918) T) ((-727 . -151) 101732) ((-727 . -149) 101711) ((-974 . -844) T) ((-776 . -918) T) ((-480 . -918) 101690) ((-311 . -1055) 101600) ((-308 . -1055) 101529) ((-1001 . -282) 101487) ((-1159 . -906) 101466) ((-410 . -709) 101418) ((-692 . -842) T) ((-539 . -1091) T) ((-514 . -1093) T) ((-1238 . -1049) T) ((-311 . -120) 101307) ((-308 . -120) 101192) ((-1238 . -325) 101136) ((-1159 . -638) 101061) ((-967 . -105) T) ((-812 . -105) 100851) ((-704 . -610) NIL) ((-704 . -609) 100833) ((-1037 . -284) 100808) ((-649 . -1039) 100704) ((-862 . -302) T) ((-581 . -718) T) ((-569 . -791) T) ((-569 . -788) T) ((-170 . -366) 100655) ((-569 . -718) T) ((-505 . -718) T) ((-237 . -1039) 100639) ((-857 . -302) T) ((-1134 . -500) 100623) ((-1081 . -883) NIL) ((-867 . -1105) T) ((-126 . -906) NIL) ((-1273 . -1272) 100599) ((-1271 . -1272) 100578) ((-779 . -883) NIL) ((-777 . -883) 100437) ((-1266 . -25) T) ((-1266 . -21) T) ((-1197 . -105) 100415) ((-1099 . -398) T) ((-616 . -638) 100402) ((-456 . -883) NIL) ((-667 . -105) 100380) ((-1081 . -1039) 100207) ((-867 . -23) T) ((-779 . -1039) 100066) ((-777 . -1039) 99923) ((-126 . -638) 99868) ((-456 . -1039) 99744) ((-639 . -1039) 99728) ((-619 . -105) T) ((-213 . -500) 99712) ((-1253 . -39) T) ((-627 . -709) 99696) ((-603 . -709) 99680) ((-663 . -43) 99640) ((-315 . -105) T) ((-217 . -1093) T) ((-145 . -1093) T) ((-90 . -609) 99622) ((-55 . -1039) 99606) ((-1111 . -1055) 99593) ((-1081 . -380) 99577) ((-779 . -380) 99561) ((-65 . -62) 99523) ((-690 . -791) T) ((-690 . -788) T) ((-582 . -1039) 99510) ((-527 . -1039) 99487) ((-690 . -718) T) ((-322 . -138) T) ((-311 . -1049) 99377) ((-308 . -1049) T) ((-170 . -1105) T) ((-777 . -380) 99361) ((-50 . -155) 99311) ((-1006 . -995) 99293) ((-1201 . -610) 99275) ((-1201 . -609) 99257) ((-456 . -380) 99241) ((-410 . -173) T) ((-311 . -239) 99220) ((-308 . -239) T) ((-308 . -226) NIL) ((-289 . -1093) 99002) ((-216 . -138) T) ((-1111 . -120) 98987) ((-170 . -23) T) ((-796 . -151) 98966) ((-796 . -149) 98945) ((-245 . -631) 98851) ((-244 . -631) 98757) ((-315 . -280) 98723) ((-1159 . -718) T) ((-1145 . -524) 98656) ((-1124 . -1093) T) ((-216 . -1058) T) ((-812 . -304) 98594) ((-1081 . -897) 98529) ((-779 . -897) 98472) ((-777 . -897) 98456) ((-1273 . -43) 98426) ((-1271 . -43) 98396) ((-1225 . -1105) T) ((-849 . -1105) T) ((-456 . -897) 98373) ((-851 . -1093) T) ((-1225 . -23) T) ((-576 . -1105) T) ((-849 . -23) T) ((-616 . -718) T) ((-357 . -918) T) ((-354 . -918) T) ((-285 . -105) T) ((-343 . -918) T) ((-1060 . -138) T) ((-955 . -138) T) ((-126 . -791) NIL) ((-126 . -788) NIL) ((-126 . -718) T) ((-685 . -906) NIL) ((-1046 . -524) 98257) ((-493 . -138) T) ((-576 . -23) T) ((-667 . -304) 98195) ((-627 . -755) T) ((-603 . -755) T) ((-1216 . -844) NIL) ((-1005 . -286) T) ((-245 . -21) T) ((-685 . -638) 98145) ((-353 . -1093) T) ((-245 . -25) T) ((-244 . -21) T) ((-244 . -25) T) ((-156 . -43) 98129) ((-2 . -105) T) ((-907 . -918) T) ((-494 . -1260) 98099) ((-214 . -1039) 98076) ((-1111 . -1049) T) ((-703 . -302) T) ((-289 . -709) 98018) ((-692 . -1056) T) ((-498 . -454) T) ((-410 . -524) 97930) ((-209 . -454) T) ((-1111 . -226) T) ((-290 . -155) 97880) ((-1001 . -610) 97841) ((-1001 . -609) 97823) ((-992 . -609) 97805) ((-125 . -1056) T) ((-645 . -1055) 97789) ((-216 . -503) T) ((-466 . -609) 97771) ((-402 . -609) 97753) ((-402 . -610) 97730) ((-1053 . -1260) 97700) ((-645 . -120) 97679) ((-1130 . -500) 97663) ((-812 . -43) 97633) ((-68 . -443) T) ((-68 . -398) T) ((-1148 . -105) T) ((-867 . -138) T) ((-495 . -105) 97611) ((-1279 . -371) T) ((-736 . -952) 97580) ((-1075 . -105) T) ((-1059 . -105) T) ((-353 . -709) 97525) ((-723 . -151) 97504) ((-723 . -149) 97483) ((-1025 . -638) 97420) ((-532 . -1093) 97398) ((-362 . -105) T) ((-355 . -105) T) ((-344 . -105) T) ((-234 . -21) T) ((-234 . -25) T) ((-112 . -105) T) ((-515 . -1093) T) ((-356 . -638) 97343) ((-1161 . -631) 97291) ((-1116 . -631) 97239) ((-388 . -519) 97218) ((-830 . -842) 97197) ((-382 . -1208) T) ((-685 . -718) T) ((-338 . -1056) T) ((-1216 . -995) 97149) ((-174 . -1056) T) ((-106 . -609) 97116) ((-1163 . -149) 97095) ((-1163 . -151) 97074) ((-382 . -559) T) ((-1162 . -151) 97053) ((-1162 . -149) 97032) ((-1155 . -149) 96939) ((-410 . -286) T) ((-1155 . -151) 96846) ((-1117 . -151) 96825) ((-1117 . -149) 96804) ((-315 . -43) 96645) ((-170 . -138) T) ((-308 . -792) NIL) ((-308 . -789) NIL) ((-645 . -1049) T) ((-53 . -638) 96610) ((-996 . -21) T) ((-137 . -1012) 96594) ((-131 . -1012) 96578) ((-996 . -25) T) ((-898 . -128) 96562) ((-1147 . -105) T) ((-813 . -844) 96541) ((-1225 . -138) T) ((-1201 . -284) 96516) ((-1161 . -25) T) ((-1161 . -21) T) ((-849 . -138) T) ((-1116 . -25) T) ((-1116 . -21) T) ((-848 . -25) T) ((-848 . -21) T) ((-779 . -302) 96495) ((-35 . -37) 96479) ((-1148 . -304) 96274) ((-1145 . -500) 96258) ((-637 . -105) 96236) ((-624 . -105) T) ((-1138 . -155) 96186) ((-576 . -138) T) ((-614 . -842) 96165) ((-1134 . -609) 96127) ((-1134 . -610) 96088) ((-1025 . -788) T) ((-1025 . -791) T) ((-1025 . -718) T) ((-495 . -304) 96026) ((-455 . -420) 95996) ((-353 . -173) T) ((-217 . -524) NIL) ((-145 . -524) NIL) ((-285 . -43) 95983) ((-271 . -105) T) ((-270 . -105) T) ((-269 . -105) T) ((-268 . -105) T) ((-267 . -105) T) ((-266 . -105) T) ((-265 . -105) T) ((-342 . -1039) 95960) ((-205 . -105) T) ((-204 . -105) T) ((-202 . -105) T) ((-201 . -105) T) ((-200 . -105) T) ((-199 . -105) T) ((-196 . -105) T) ((-195 . -105) T) ((-704 . -1055) 95783) ((-194 . -105) T) ((-193 . -105) T) ((-192 . -105) T) ((-191 . -105) T) ((-190 . -105) T) ((-189 . -105) T) ((-188 . -105) T) ((-187 . -105) T) ((-186 . -105) T) ((-356 . -718) T) ((-704 . -120) 95585) ((-663 . -224) 95569) ((-582 . -302) T) ((-527 . -302) T) ((-289 . -524) 95518) ((-112 . -304) NIL) ((-77 . -398) T) ((-1106 . -105) 95308) ((-830 . -414) 95292) ((-1111 . -792) T) ((-1111 . -789) T) ((-692 . -1093) T) ((-382 . -366) T) ((-170 . -503) 95270) ((-213 . -609) 95237) ((-140 . -1093) T) ((-125 . -1093) T) ((-53 . -718) T) ((-1046 . -500) 95202) ((-143 . -428) 95184) ((-143 . -371) T) ((-1029 . -105) T) ((-522 . -519) 95163) ((-482 . -105) T) ((-469 . -105) T) ((-1036 . -1105) T) ((-736 . -1228) 95147) ((-1163 . -40) 95113) ((-1163 . -98) 95079) ((-1163 . -1188) 95045) ((-1163 . -1185) 95011) ((-1162 . -1185) 94977) ((-1147 . -304) NIL) ((-94 . -399) T) ((-94 . -398) T) ((-1075 . -1139) 94956) ((-1162 . -1188) 94922) ((-1162 . -98) 94888) ((-1036 . -23) T) ((-1162 . -40) 94854) ((-576 . -503) T) ((-1155 . -1185) 94820) ((-1155 . -1188) 94786) ((-1155 . -98) 94752) ((-1155 . -40) 94718) ((-364 . -1105) T) ((-362 . -1139) 94697) ((-355 . -1139) 94676) ((-344 . -1139) 94655) ((-1117 . -40) 94621) ((-1117 . -98) 94587) ((-1117 . -1188) 94553) ((-112 . -1139) T) ((-1117 . -1185) 94519) ((-830 . -1056) 94498) ((-637 . -304) 94436) ((-624 . -304) 94287) ((-1075 . -43) 94155) ((-704 . -1049) T) ((-1060 . -631) 94137) ((-1006 . -151) T) ((-955 . -631) 94085) ((-501 . -1093) T) ((-1006 . -149) NIL) ((-382 . -1105) T) ((-322 . -25) T) ((-320 . -23) T) ((-946 . -844) 94064) ((-704 . -325) 94041) ((-493 . -631) 93989) ((-45 . -1039) 93864) ((-692 . -709) 93851) ((-704 . -226) T) ((-338 . -1093) T) ((-174 . -1093) T) ((-330 . -844) T) ((-421 . -454) 93801) ((-382 . -23) T) ((-362 . -43) 93766) ((-355 . -43) 93731) ((-344 . -43) 93696) ((-85 . -443) T) ((-85 . -398) T) ((-216 . -25) T) ((-216 . -21) T) ((-831 . -1105) T) ((-112 . -43) 93646) ((-824 . -1105) T) ((-768 . -1093) T) ((-125 . -709) 93633) ((-664 . -1039) 93617) ((-608 . -105) T) ((-831 . -23) T) ((-824 . -23) T) ((-1145 . -282) 93594) ((-1106 . -304) 93532) ((-1095 . -228) 93516) ((-69 . -399) T) ((-69 . -398) T) ((-114 . -105) T) ((-45 . -380) 93493) ((-35 . -1093) T) ((-1203 . -641) 93475) ((-644 . -846) 93459) ((-1203 . -376) 93441) ((-1060 . -21) T) ((-1060 . -25) T) ((-812 . -224) 93410) ((-955 . -25) T) ((-955 . -21) T) ((-614 . -1056) T) ((-493 . -25) T) ((-493 . -21) T) ((-1029 . -304) 93348) ((-886 . -609) 93330) ((-882 . -609) 93312) ((-245 . -844) 93263) ((-244 . -844) 93214) ((-532 . -524) 93147) ((-867 . -631) 93124) ((-482 . -304) 93062) ((-469 . -304) 93000) ((-353 . -286) T) ((-1145 . -1240) 92984) ((-1130 . -609) 92946) ((-1130 . -610) 92907) ((-1128 . -105) T) ((-1001 . -1055) 92803) ((-45 . -897) 92755) ((-1145 . -602) 92732) ((-735 . -638) 92656) ((-1279 . -638) 92643) ((-1061 . -155) 92589) ((-868 . -1208) T) ((-1001 . -120) 92464) ((-338 . -709) 92448) ((-855 . -609) 92430) ((-174 . -709) 92362) ((-410 . -282) 92320) ((-868 . -559) T) ((-112 . -403) 92302) ((-89 . -387) T) ((-89 . -398) T) ((-862 . -918) T) ((-857 . -918) T) ((-692 . -173) T) ((-101 . -718) T) ((-494 . -105) 92092) ((-101 . -479) T) ((-125 . -173) T) ((-1106 . -43) 92062) ((-170 . -631) 92010) ((-217 . -500) 91992) ((-145 . -500) 91967) ((-1053 . -105) T) ((-867 . -25) T) ((-812 . -231) 91946) ((-867 . -21) T) ((-815 . -105) T) ((-417 . -105) T) ((-388 . -105) T) ((-114 . -304) NIL) ((-220 . -105) 91924) ((-137 . -1199) T) ((-131 . -1199) T) ((-1204 . -1199) T) ((-1036 . -138) T) ((-663 . -370) 91908) ((-1248 . -638) 91833) ((-1279 . -718) T) ((-1244 . -149) 91812) ((-1001 . -1049) T) ((-1244 . -151) 91791) ((-1225 . -631) 91739) ((-1237 . -151) 91718) ((-1097 . -609) 91700) ((-1005 . -609) 91682) ((-525 . -23) T) ((-520 . -23) T) ((-342 . -302) T) ((-518 . -23) T) ((-320 . -138) T) ((-3 . -1093) T) ((-1005 . -610) 91666) ((-1001 . -239) 91645) ((-1001 . -226) 91624) ((-1237 . -149) 91603) ((-1236 . -1208) 91582) ((-830 . -1093) T) ((-1216 . -149) 91489) ((-1216 . -151) 91396) ((-1215 . -1208) 91375) ((-1210 . -149) 91354) ((-1210 . -151) 91333) ((-735 . -479) 91312) ((-735 . -718) T) ((-382 . -138) T) ((-569 . -883) 91294) ((0 . -1093) T) ((-174 . -173) T) ((-170 . -21) T) ((-170 . -25) T) ((-54 . -1093) T) ((-1238 . -638) 91183) ((-1236 . -559) 91134) ((-706 . -1105) T) ((-1215 . -559) 91085) ((-569 . -1039) 91067) ((-594 . -151) 91046) ((-594 . -149) 91025) ((-505 . -1039) 90968) ((-92 . -387) T) ((-92 . -398) T) ((-868 . -366) T) ((-1159 . -52) 90945) ((-831 . -138) T) ((-824 . -138) T) ((-706 . -23) T) ((-512 . -609) 90927) ((-1275 . -1056) T) ((-382 . -1058) T) ((-1028 . -1093) 90905) ((-898 . -39) T) ((-494 . -304) 90843) ((-1145 . -610) 90804) ((-1145 . -609) 90771) ((-260 . -39) T) ((-1161 . -844) 90750) ((-50 . -105) T) ((-1116 . -844) 90729) ((-814 . -105) T) ((-1225 . -25) T) ((-1225 . -21) T) ((-849 . -25) T) ((-49 . -370) 90713) ((-849 . -21) T) ((-723 . -454) 90664) ((-1274 . -609) 90646) ((-576 . -25) T) ((-576 . -21) T) ((-393 . -1093) T) ((-1053 . -304) 90584) ((-614 . -1093) T) ((-690 . -883) 90566) ((-1253 . -1199) T) ((-220 . -304) 90504) ((-148 . -371) T) ((-1046 . -610) 90446) ((-1046 . -609) 90389) ((-859 . -1208) T) ((-308 . -906) NIL) ((-776 . -1208) T) ((-1248 . -718) T) ((-690 . -1039) 90334) ((-703 . -918) T) ((-480 . -1208) 90313) ((-1162 . -454) 90292) ((-1155 . -454) 90271) ((-859 . -559) T) ((-329 . -105) T) ((-776 . -559) T) ((-868 . -1105) T) ((-311 . -638) 90092) ((-308 . -638) 90021) ((-480 . -559) 89972) ((-338 . -524) 89938) ((-552 . -155) 89888) ((-45 . -302) T) ((-1159 . -883) NIL) ((-837 . -609) 89870) ((-692 . -286) T) ((-868 . -23) T) ((-382 . -503) T) ((-1075 . -224) 89840) ((-522 . -105) T) ((-410 . -610) 89641) ((-410 . -609) 89623) ((-257 . -609) 89605) ((-125 . -286) T) ((-1159 . -1039) 89485) ((-968 . -609) 89467) ((-1238 . -718) T) ((-1236 . -366) 89446) ((-1215 . -366) 89425) ((-1264 . -39) T) ((-126 . -1199) T) ((-112 . -224) 89407) ((-1167 . -105) T) ((-490 . -1093) T) ((-532 . -500) 89391) ((-736 . -105) T) ((-729 . -39) T) ((-494 . -43) 89361) ((-143 . -39) T) ((-126 . -881) 89338) ((-126 . -883) NIL) ((-616 . -1039) 89221) ((-635 . -844) 89200) ((-1263 . -105) T) ((-290 . -105) T) ((-704 . -371) 89179) ((-126 . -1039) 89156) ((-393 . -709) 89140) ((-1159 . -380) 89124) ((-614 . -709) 89108) ((-50 . -304) 88912) ((-813 . -149) 88891) ((-813 . -151) 88870) ((-1274 . -385) 88849) ((-816 . -844) T) ((-1255 . -1093) T) ((-1244 . -40) 88815) ((-1244 . -98) 88781) ((-1244 . -1188) 88747) ((-1148 . -222) 88694) ((-1244 . -1185) 88660) ((-389 . -844) 88639) ((-1237 . -1185) 88605) ((-1237 . -1188) 88571) ((-1237 . -98) 88537) ((-217 . -679) 88505) ((-145 . -679) 88466) ((-1237 . -40) 88432) ((-1236 . -1105) T) ((-1216 . -1185) 88398) ((-525 . -138) T) ((-1216 . -1188) 88364) ((-1210 . -1188) 88330) ((-1210 . -1185) 88296) ((-1216 . -98) 88262) ((-1216 . -40) 88228) ((-627 . -609) 88197) ((-603 . -609) 88166) ((-33 . -105) T) ((-216 . -844) T) ((-1215 . -1105) T) ((-1210 . -40) 88132) ((-1210 . -98) 88098) ((-1111 . -638) 88085) ((-1159 . -897) 88028) ((-1075 . -351) 88007) ((-592 . -155) 87989) ((-866 . -302) T) ((-126 . -380) 87966) ((-126 . -337) 87943) ((-174 . -286) T) ((-859 . -366) T) ((-776 . -366) T) ((-308 . -791) NIL) ((-308 . -788) NIL) ((-311 . -718) 87792) ((-308 . -718) T) ((-514 . -609) 87774) ((-480 . -366) 87753) ((-362 . -351) 87732) ((-355 . -351) 87711) ((-344 . -351) 87690) ((-311 . -479) 87669) ((-1236 . -23) T) ((-1215 . -23) T) ((-710 . -1105) T) ((-706 . -138) T) ((-644 . -105) T) ((-490 . -709) 87634) ((-50 . -278) 87584) ((-109 . -1093) T) ((-73 . -609) 87566) ((-854 . -105) T) ((-616 . -897) 87525) ((-1275 . -1093) T) ((-384 . -1093) T) ((-1203 . -39) T) ((-1201 . -641) 87507) ((-1201 . -376) 87489) ((-87 . -1199) T) ((-1060 . -844) T) ((-955 . -844) 87468) ((-126 . -897) NIL) ((-779 . -918) 87447) ((-705 . -844) T) ((-535 . -1093) T) ((-510 . -1093) T) ((-357 . -1208) T) ((-354 . -1208) T) ((-343 . -1208) T) ((-258 . -1208) 87426) ((-243 . -1208) 87405) ((-1106 . -224) 87374) ((-493 . -844) 87353) ((-1147 . -825) T) ((-1130 . -1055) 87337) ((-393 . -755) T) ((-736 . -304) 87324) ((-685 . -1199) T) ((-357 . -559) T) ((-354 . -559) T) ((-343 . -559) T) ((-258 . -559) 87255) ((-243 . -559) 87186) ((-1130 . -120) 87165) ((-455 . -738) 87135) ((-855 . -1055) 87105) ((-814 . -43) 87042) ((-685 . -881) 87024) ((-685 . -883) 87006) ((-290 . -304) 86810) ((-907 . -1208) T) ((-859 . -1105) T) ((-855 . -120) 86775) ((-663 . -414) 86759) ((-776 . -1105) T) ((-685 . -1039) 86704) ((-1145 . -284) 86681) ((-1006 . -454) T) ((-907 . -559) T) ((-582 . -918) T) ((-480 . -1105) T) ((-527 . -918) T) ((-912 . -454) T) ((-217 . -609) 86663) ((-145 . -609) 86645) ((-70 . -609) 86627) ((-859 . -23) T) ((-624 . -222) 86573) ((-776 . -23) T) ((-480 . -23) T) ((-1111 . -791) T) ((-868 . -138) T) ((-1111 . -788) T) ((-1266 . -1268) 86552) ((-1111 . -718) T) ((-645 . -638) 86526) ((-289 . -609) 86267) ((-1037 . -39) T) ((-812 . -842) 86246) ((-581 . -302) T) ((-569 . -302) T) ((-505 . -302) T) ((-1275 . -709) 86216) ((-685 . -380) 86198) ((-685 . -337) 86180) ((-490 . -173) T) ((-384 . -709) 86150) ((-736 . -1139) 86128) ((-867 . -844) NIL) ((-569 . -1023) T) ((-505 . -1023) T) ((-1124 . -609) 86110) ((-1106 . -231) 86089) ((-206 . -105) T) ((-1138 . -105) T) ((-76 . -609) 86071) ((-1130 . -1049) T) ((-1167 . -43) 85968) ((-851 . -609) 85950) ((-569 . -551) T) ((-736 . -43) 85779) ((-663 . -1056) T) ((-723 . -952) 85732) ((-1130 . -226) 85711) ((-1077 . -1093) T) ((-1036 . -25) T) ((-1036 . -21) T) ((-1005 . -1055) 85656) ((-902 . -105) T) ((-855 . -1049) T) ((-772 . -1105) T) ((-685 . -897) NIL) ((-357 . -328) 85640) ((-357 . -366) T) ((-354 . -328) 85624) ((-354 . -366) T) ((-343 . -328) 85608) ((-343 . -366) T) ((-498 . -105) T) ((-1263 . -43) 85578) ((-532 . -679) 85528) ((-209 . -105) T) ((-1025 . -1039) 85408) ((-1005 . -120) 85325) ((-1163 . -976) 85294) ((-1162 . -976) 85256) ((-529 . -155) 85240) ((-1075 . -373) 85219) ((-353 . -609) 85201) ((-320 . -21) T) ((-356 . -1039) 85178) ((-320 . -25) T) ((-1155 . -976) 85147) ((-1117 . -976) 85114) ((-81 . -609) 85096) ((-690 . -302) T) ((-170 . -844) 85075) ((-907 . -366) T) ((-382 . -25) T) ((-382 . -21) T) ((-907 . -328) 85062) ((-91 . -609) 85044) ((-690 . -1023) T) ((-669 . -844) T) ((-1236 . -138) T) ((-1215 . -138) T) ((-898 . -1012) 85028) ((-831 . -21) T) ((-53 . -1039) 84971) ((-831 . -25) T) ((-824 . -25) T) ((-824 . -21) T) ((-1273 . -1056) T) ((-1271 . -1056) T) ((-645 . -718) T) ((-1159 . -302) 84950) ((-260 . -1012) 84934) ((-1274 . -1055) 84918) ((-1225 . -844) 84897) ((-812 . -414) 84866) ((-106 . -128) 84850) ((-57 . -1093) T) ((-928 . -609) 84832) ((-867 . -995) 84809) ((-820 . -105) T) ((-1274 . -120) 84788) ((-644 . -43) 84758) ((-576 . -844) T) ((-357 . -1105) T) ((-354 . -1105) T) ((-343 . -1105) T) ((-258 . -1105) T) ((-243 . -1105) T) ((-616 . -302) 84737) ((-1138 . -304) 84541) ((-657 . -23) T) ((-494 . -224) 84510) ((-156 . -1056) T) ((-357 . -23) T) ((-354 . -23) T) ((-343 . -23) T) ((-126 . -302) T) ((-258 . -23) T) ((-243 . -23) T) ((-1005 . -1049) T) ((-704 . -906) 84489) ((-1005 . -226) 84461) ((-1005 . -239) T) ((-126 . -1023) NIL) ((-907 . -1105) T) ((-1237 . -454) 84440) ((-1216 . -454) 84419) ((-532 . -609) 84386) ((-704 . -638) 84311) ((-410 . -1055) 84263) ((-859 . -138) T) ((-515 . -609) 84245) ((-907 . -23) T) ((-776 . -138) T) ((-498 . -304) NIL) ((-480 . -138) T) ((-209 . -304) NIL) ((-410 . -120) 84176) ((-812 . -1056) 84106) ((-729 . -1090) 84090) ((-1236 . -503) 84056) ((-1215 . -503) 84022) ((-143 . -1090) 84004) ((-490 . -286) T) ((-1274 . -1049) T) ((-1061 . -105) T) ((-510 . -524) NIL) ((-694 . -105) T) ((-494 . -231) 83983) ((-1161 . -149) 83962) ((-1161 . -151) 83941) ((-1116 . -151) 83920) ((-1116 . -149) 83899) ((-627 . -1055) 83883) ((-603 . -1055) 83867) ((-663 . -1093) T) ((-663 . -1052) 83807) ((-1163 . -1243) 83791) ((-1163 . -1230) 83768) ((-498 . -1139) T) ((-1162 . -1235) 83729) ((-1162 . -1230) 83699) ((-1162 . -1233) 83683) ((-209 . -1139) T) ((-342 . -918) T) ((-815 . -263) 83667) ((-627 . -120) 83646) ((-603 . -120) 83625) ((-1155 . -1214) 83586) ((-837 . -1049) 83565) ((-1155 . -1230) 83542) ((-525 . -25) T) ((-505 . -297) T) ((-521 . -23) T) ((-520 . -25) T) ((-518 . -25) T) ((-517 . -23) T) ((-1155 . -1212) 83526) ((-410 . -1049) T) ((-315 . -1056) T) ((-685 . -302) T) ((-112 . -842) T) ((-410 . -239) T) ((-410 . -226) 83505) ((-704 . -718) T) ((-498 . -43) 83455) ((-209 . -43) 83405) ((-480 . -503) 83371) ((-1147 . -1132) T) ((-1094 . -105) T) ((-692 . -609) 83353) ((-692 . -610) 83268) ((-706 . -21) T) ((-706 . -25) T) ((-140 . -609) 83250) ((-125 . -609) 83232) ((-159 . -25) T) ((-1273 . -1093) T) ((-868 . -631) 83180) ((-1271 . -1093) T) ((-966 . -105) T) ((-727 . -105) T) ((-707 . -105) T) ((-455 . -105) T) ((-1201 . -39) T) ((-813 . -454) 83131) ((-49 . -1093) T) ((-1082 . -844) T) ((-657 . -138) T) ((-1061 . -304) 82982) ((-663 . -709) 82966) ((-285 . -1056) T) ((-357 . -138) T) ((-354 . -138) T) ((-343 . -138) T) ((-258 . -138) T) ((-243 . -138) T) ((-735 . -1199) T) ((-421 . -105) T) ((-1248 . -52) 82943) ((-156 . -1093) T) ((-50 . -222) 82893) ((-736 . -224) 82877) ((-1001 . -638) 82815) ((-960 . -844) 82794) ((-735 . -881) 82778) ((-735 . -883) 82703) ((-233 . -1260) 82673) ((-1025 . -302) T) ((-289 . -1055) 82594) ((-907 . -138) T) ((-45 . -918) T) ((-735 . -1039) 82316) ((-498 . -403) 82298) ((-501 . -609) 82280) ((-356 . -302) T) ((-209 . -403) 82262) ((-1075 . -414) 82246) ((-289 . -120) 82162) ((-862 . -1208) T) ((-857 . -1208) T) ((-868 . -25) T) ((-868 . -21) T) ((-862 . -559) T) ((-857 . -559) T) ((-338 . -609) 82144) ((-1238 . -52) 82088) ((-216 . -151) T) ((-174 . -609) 82070) ((-1106 . -842) 82049) ((-768 . -609) 82031) ((-604 . -228) 81978) ((-481 . -228) 81928) ((-1273 . -709) 81898) ((-53 . -302) T) ((-1271 . -709) 81868) ((-967 . -1093) T) ((-812 . -1093) 81658) ((-306 . -105) T) ((-898 . -1199) T) ((-735 . -380) 81627) ((-53 . -1023) T) ((-1215 . -631) 81535) ((-681 . -105) 81513) ((-49 . -709) 81497) ((-552 . -105) T) ((-72 . -386) T) ((-260 . -1199) T) ((-72 . -398) T) ((-35 . -609) 81479) ((-653 . -23) T) ((-663 . -755) T) ((-1197 . -1093) 81457) ((-353 . -1055) 81402) ((-667 . -1093) 81380) ((-1060 . -151) T) ((-955 . -151) 81359) ((-955 . -149) 81338) ((-796 . -105) T) ((-156 . -709) 81322) ((-493 . -151) 81301) ((-493 . -149) 81280) ((-353 . -120) 81197) ((-1075 . -1056) T) ((-320 . -844) 81176) ((-969 . -1091) T) ((-1244 . -976) 81145) ((-1237 . -976) 81107) ((-1216 . -976) 81076) ((-619 . -1093) T) ((-735 . -897) 81057) ((-521 . -138) T) ((-517 . -138) T) ((-290 . -222) 81007) ((-362 . -1056) T) ((-355 . -1056) T) ((-344 . -1056) T) ((-289 . -1049) 80949) ((-1210 . -976) 80918) ((-382 . -844) T) ((-112 . -1056) T) ((-1001 . -718) T) ((-866 . -918) T) ((-837 . -792) 80897) ((-837 . -789) 80876) ((-421 . -304) 80815) ((-474 . -105) T) ((-594 . -976) 80784) ((-315 . -1093) T) ((-410 . -792) 80763) ((-410 . -789) 80742) ((-510 . -500) 80724) ((-1238 . -1039) 80690) ((-1236 . -21) T) ((-1236 . -25) T) ((-1215 . -21) T) ((-1215 . -25) T) ((-812 . -709) 80632) ((-1202 . -105) T) ((-862 . -366) T) ((-857 . -366) T) ((-690 . -407) T) ((-1264 . -1199) T) ((-1106 . -414) 80601) ((-1005 . -371) NIL) ((-106 . -39) T) ((-729 . -1199) T) ((-49 . -755) T) ((-592 . -105) T) ((-82 . -399) T) ((-82 . -398) T) ((-644 . -647) 80585) ((-143 . -1199) T) ((-867 . -151) T) ((-867 . -149) NIL) ((-1248 . -897) 80498) ((-353 . -1049) T) ((-75 . -386) T) ((-75 . -398) T) ((-1154 . -105) T) ((-663 . -524) 80431) ((-681 . -304) 80369) ((-966 . -43) 80266) ((-727 . -43) 80236) ((-552 . -304) 80040) ((-311 . -1199) T) ((-353 . -226) T) ((-353 . -239) T) ((-308 . -1199) T) ((-285 . -1093) T) ((-1169 . -609) 80022) ((-703 . -1208) T) ((-1145 . -641) 80006) ((-1194 . -559) 79985) ((-859 . -25) T) ((-859 . -21) T) ((-703 . -559) T) ((-311 . -881) 79969) ((-311 . -883) 79894) ((-308 . -881) 79855) ((-308 . -883) NIL) ((-796 . -304) 79820) ((-776 . -25) T) ((-315 . -709) 79661) ((-776 . -21) T) ((-322 . -321) 79638) ((-496 . -105) T) ((-480 . -25) T) ((-480 . -21) T) ((-421 . -43) 79612) ((-311 . -1039) 79275) ((-216 . -1185) T) ((-216 . -1188) T) ((-3 . -609) 79257) ((-308 . -1039) 79187) ((-862 . -1105) T) ((-2 . -1093) T) ((-2 . |RecordCategory|) T) ((-857 . -1105) T) ((-830 . -609) 79169) ((-1106 . -1056) 79099) ((-581 . -918) T) ((-569 . -817) T) ((-569 . -918) T) ((-505 . -918) T) ((-142 . -1039) 79083) ((-216 . -98) T) ((-80 . -443) T) ((-80 . -398) T) ((0 . -609) 79065) ((-170 . -151) 79044) ((-170 . -149) 78995) ((-216 . -40) T) ((-54 . -609) 78977) ((-862 . -23) T) ((-490 . -1056) T) ((-857 . -23) T) ((-498 . -224) 78959) ((-495 . -971) 78943) ((-494 . -842) 78922) ((-209 . -224) 78904) ((-86 . -443) T) ((-86 . -398) T) ((-1134 . -39) T) ((-812 . -173) 78883) ((-723 . -105) T) ((-1028 . -609) 78850) ((-510 . -282) 78825) ((-311 . -380) 78794) ((-308 . -380) 78755) ((-308 . -337) 78716) ((-1202 . -304) NIL) ((-813 . -952) 78663) ((-653 . -138) T) ((-1225 . -149) 78642) ((-1225 . -151) 78621) ((-1203 . -1199) T) ((-1163 . -105) T) ((-1162 . -105) T) ((-1155 . -105) T) ((-1148 . -1093) T) ((-1117 . -105) T) ((-213 . -39) T) ((-285 . -709) 78608) ((-1148 . -606) 78584) ((-592 . -304) NIL) ((-1244 . -1243) 78568) ((-1244 . -1230) 78545) ((-495 . -1093) 78523) ((-1237 . -1235) 78484) ((-393 . -609) 78466) ((-520 . -844) T) ((-1138 . -222) 78416) ((-1237 . -1230) 78386) ((-1237 . -1233) 78370) ((-1216 . -1214) 78331) ((-1216 . -1230) 78308) ((-1216 . -1212) 78292) ((-1210 . -1243) 78276) ((-1210 . -1230) 78253) ((-614 . -609) 78235) ((-1163 . -280) 78201) ((-690 . -918) T) ((-1162 . -280) 78167) ((-1155 . -280) 78133) ((-1117 . -280) 78099) ((-1075 . -1093) T) ((-1059 . -1093) T) ((-53 . -297) T) ((-311 . -897) 78065) ((-308 . -897) NIL) ((-1059 . -1065) 78044) ((-1111 . -883) 78026) ((-796 . -43) 78010) ((-258 . -631) 77958) ((-243 . -631) 77906) ((-692 . -1055) 77893) ((-594 . -1230) 77870) ((-1111 . -1039) 77852) ((-315 . -173) 77783) ((-362 . -1093) T) ((-355 . -1093) T) ((-344 . -1093) T) ((-510 . -19) 77765) ((-1095 . -155) 77749) ((-735 . -302) 77728) ((-112 . -1093) T) ((-125 . -1055) 77715) ((-703 . -366) T) ((-510 . -602) 77690) ((-692 . -120) 77675) ((-439 . -105) T) ((-1159 . -918) 77654) ((-50 . -1137) 77604) ((-125 . -120) 77589) ((-219 . -844) T) ((-146 . -844) 77559) ((-627 . -712) T) ((-603 . -712) T) ((-812 . -524) 77492) ((-1037 . -1199) T) ((-946 . -155) 77476) ((-529 . -105) 77426) ((-1081 . -1208) 77405) ((-779 . -1208) 77384) ((-777 . -1208) 77363) ((-67 . -1199) T) ((-490 . -609) 77315) ((-490 . -610) 77237) ((-1161 . -454) 77168) ((-1147 . -1093) T) ((-1130 . -638) 77142) ((-1081 . -559) 77073) ((-494 . -414) 77042) ((-616 . -918) 77021) ((-456 . -1208) 77000) ((-1116 . -454) 76951) ((-779 . -559) 76862) ((-401 . -609) 76844) ((-777 . -559) 76775) ((-667 . -524) 76708) ((-723 . -304) 76695) ((-657 . -25) T) ((-657 . -21) T) ((-456 . -559) 76626) ((-126 . -918) T) ((-126 . -817) NIL) ((-357 . -25) T) ((-357 . -21) T) ((-354 . -25) T) ((-354 . -21) T) ((-343 . -25) T) ((-343 . -21) T) ((-258 . -25) T) ((-258 . -21) T) ((-88 . -387) T) ((-88 . -398) T) ((-243 . -25) T) ((-243 . -21) T) ((-1255 . -609) 76608) ((-1194 . -1105) T) ((-1194 . -23) T) ((-1155 . -304) 76493) ((-1117 . -304) 76480) ((-1075 . -709) 76348) ((-855 . -638) 76308) ((-946 . -983) 76292) ((-907 . -21) T) ((-285 . -173) T) ((-907 . -25) T) ((-868 . -844) 76243) ((-862 . -138) T) ((-703 . -1105) T) ((-703 . -23) T) ((-637 . -1093) 76221) ((-624 . -606) 76196) ((-624 . -1093) T) ((-582 . -1208) T) ((-527 . -1208) T) ((-582 . -559) T) ((-527 . -559) T) ((-362 . -709) 76148) ((-355 . -709) 76100) ((-344 . -709) 76052) ((-338 . -1055) 76036) ((-174 . -120) 75935) ((-174 . -1055) 75867) ((-112 . -709) 75817) ((-338 . -120) 75796) ((-271 . -1093) T) ((-270 . -1093) T) ((-269 . -1093) T) ((-268 . -1093) T) ((-692 . -1049) T) ((-267 . -1093) T) ((-266 . -1093) T) ((-265 . -1093) T) ((-205 . -1093) T) ((-204 . -1093) T) ((-202 . -1093) T) ((-170 . -1188) 75774) ((-170 . -1185) 75752) ((-201 . -1093) T) ((-200 . -1093) T) ((-125 . -1049) T) ((-199 . -1093) T) ((-196 . -1093) T) ((-692 . -226) T) ((-195 . -1093) T) ((-194 . -1093) T) ((-193 . -1093) T) ((-192 . -1093) T) ((-191 . -1093) T) ((-190 . -1093) T) ((-189 . -1093) T) ((-188 . -1093) T) ((-187 . -1093) T) ((-186 . -1093) T) ((-233 . -105) 75542) ((-170 . -40) 75520) ((-170 . -98) 75498) ((-857 . -138) T) ((-645 . -1039) 75394) ((-494 . -1056) 75324) ((-1130 . -39) T) ((-1106 . -1093) 75114) ((-1080 . -105) T) ((-663 . -500) 75098) ((-78 . -1199) T) ((-109 . -609) 75080) ((-1275 . -609) 75062) ((-384 . -609) 75044) ((-576 . -1188) T) ((-576 . -1185) T) ((-723 . -43) 74893) ((-535 . -609) 74875) ((-529 . -304) 74813) ((-510 . -609) 74795) ((-510 . -610) 74777) ((-1155 . -1139) NIL) ((-1029 . -1068) 74746) ((-1029 . -1093) T) ((-1006 . -105) T) ((-974 . -105) T) ((-912 . -105) T) ((-890 . -1039) 74723) ((-1130 . -718) T) ((-1005 . -638) 74668) ((-482 . -1093) T) ((-469 . -1093) T) ((-586 . -23) T) ((-576 . -40) T) ((-576 . -98) T) ((-430 . -105) T) ((-1061 . -222) 74614) ((-1163 . -43) 74511) ((-855 . -718) T) ((-685 . -918) T) ((-521 . -25) T) ((-517 . -21) T) ((-517 . -25) T) ((-1162 . -43) 74352) ((-338 . -1049) T) ((-1155 . -43) 74148) ((-1075 . -173) T) ((-174 . -1049) T) ((-1117 . -43) 74045) ((-704 . -52) 74022) ((-362 . -173) T) ((-355 . -173) T) ((-528 . -62) 73996) ((-507 . -62) 73946) ((-353 . -1270) 73923) ((-216 . -454) T) ((-315 . -286) 73874) ((-344 . -173) T) ((-174 . -239) T) ((-1215 . -844) 73773) ((-112 . -173) T) ((-868 . -995) 73757) ((-649 . -1105) T) ((-582 . -366) T) ((-582 . -328) 73744) ((-527 . -328) 73721) ((-527 . -366) T) ((-311 . -302) 73700) ((-308 . -302) T) ((-600 . -844) 73679) ((-1106 . -709) 73621) ((-529 . -278) 73605) ((-649 . -23) T) ((-421 . -224) 73589) ((-1200 . -105) T) ((-308 . -1023) NIL) ((-335 . -23) T) ((-237 . -23) T) ((-106 . -1012) 73573) ((-50 . -41) 73552) ((-608 . -1093) T) ((-353 . -371) T) ((-505 . -27) T) ((-233 . -304) 73490) ((-1081 . -1105) T) ((-1274 . -638) 73464) ((-779 . -1105) T) ((-777 . -1105) T) ((-456 . -1105) T) ((-1060 . -454) T) ((-955 . -454) 73415) ((-114 . -1093) T) ((-1081 . -23) T) ((-814 . -1056) T) ((-779 . -23) T) ((-777 . -23) T) ((-493 . -454) 73366) ((-1148 . -524) 73114) ((-384 . -385) 73093) ((-1167 . -414) 73077) ((-464 . -23) T) ((-456 . -23) T) ((-736 . -414) 73061) ((-735 . -297) T) ((-495 . -524) 72994) ((-285 . -286) T) ((-1077 . -609) 72976) ((-410 . -906) 72955) ((-55 . -1105) T) ((-1025 . -918) T) ((-1005 . -718) T) ((-704 . -883) NIL) ((-582 . -1105) T) ((-527 . -1105) T) ((-837 . -638) 72928) ((-1194 . -138) T) ((-1155 . -403) 72880) ((-1006 . -304) NIL) ((-812 . -500) 72864) ((-356 . -918) T) ((-1145 . -39) T) ((-410 . -638) 72816) ((-55 . -23) T) ((-703 . -138) T) ((-704 . -1039) 72696) ((-582 . -23) T) ((-112 . -524) NIL) ((-527 . -23) T) ((-170 . -412) 72667) ((-216 . -1127) T) ((-1128 . -1093) T) ((-1266 . -1265) 72651) ((-692 . -792) T) ((-692 . -789) T) ((-382 . -151) T) ((-1111 . -302) T) ((-1215 . -995) 72621) ((-53 . -918) T) ((-667 . -500) 72605) ((-245 . -1260) 72575) ((-244 . -1260) 72545) ((-1165 . -844) T) ((-1106 . -173) 72524) ((-1111 . -1023) T) ((-1046 . -39) T) ((-831 . -151) 72503) ((-831 . -149) 72482) ((-729 . -111) 72466) ((-608 . -139) T) ((-494 . -1093) 72256) ((-1167 . -1056) T) ((-867 . -454) T) ((-90 . -1199) T) ((-233 . -43) 72226) ((-143 . -111) 72208) ((-925 . -1091) T) ((-704 . -380) 72192) ((-736 . -1056) T) ((-1111 . -551) T) ((-1200 . -304) NIL) ((-393 . -1055) 72176) ((-1274 . -718) T) ((-1263 . -1056) T) ((-1161 . -952) 72145) ((-57 . -609) 72127) ((-1116 . -952) 72094) ((-644 . -414) 72078) ((-1244 . -105) T) ((-1237 . -105) T) ((-614 . -1055) 72062) ((-653 . -25) T) ((-653 . -21) T) ((-1147 . -524) NIL) ((-1216 . -105) T) ((-1201 . -1199) T) ((-393 . -120) 72041) ((-213 . -248) 72025) ((-1210 . -105) T) ((-1053 . -1093) T) ((-1006 . -1139) T) ((-1053 . -1052) 71965) ((-815 . -1093) T) ((-342 . -1208) T) ((-627 . -638) 71949) ((-614 . -120) 71928) ((-603 . -638) 71912) ((-595 . -105) T) ((-586 . -138) T) ((-594 . -105) T) ((-417 . -1093) T) ((-388 . -1093) T) ((-220 . -1093) 71890) ((-637 . -524) 71823) ((-624 . -524) 71631) ((-830 . -1049) 71610) ((-635 . -155) 71594) ((-342 . -559) T) ((-704 . -897) 71537) ((-552 . -222) 71487) ((-1244 . -280) 71453) ((-1237 . -280) 71419) ((-1075 . -286) 71370) ((-498 . -842) T) ((-214 . -1105) T) ((-1216 . -280) 71336) ((-1210 . -280) 71302) ((-1006 . -43) 71252) ((-209 . -842) T) ((-1194 . -503) 71218) ((-912 . -43) 71170) ((-837 . -791) 71149) ((-837 . -788) 71128) ((-837 . -718) 71107) ((-362 . -286) T) ((-355 . -286) T) ((-344 . -286) T) ((-170 . -454) 71038) ((-430 . -43) 71022) ((-112 . -286) T) ((-214 . -23) T) ((-410 . -791) 71001) ((-410 . -788) 70980) ((-410 . -718) T) ((-510 . -284) 70955) ((-490 . -1055) 70920) ((-649 . -138) T) ((-1106 . -524) 70853) ((-335 . -138) T) ((-170 . -405) 70832) ((-237 . -138) T) ((-494 . -709) 70774) ((-812 . -282) 70751) ((-490 . -120) 70700) ((-33 . -37) 70684) ((-644 . -1056) T) ((-1225 . -454) 70615) ((-1081 . -138) T) ((-258 . -844) 70594) ((-243 . -844) 70573) ((-779 . -138) T) ((-777 . -138) T) ((-576 . -454) T) ((-1053 . -709) 70515) ((-614 . -1049) T) ((-1029 . -524) 70448) ((-464 . -138) T) ((-456 . -138) T) ((-50 . -1093) T) ((-388 . -709) 70418) ((-814 . -1093) T) ((-482 . -524) 70351) ((-469 . -524) 70284) ((-455 . -370) 70254) ((-50 . -606) 70233) ((-311 . -297) T) ((-663 . -609) 70195) ((-64 . -844) 70174) ((-1216 . -304) 70059) ((-1006 . -403) 70041) ((-812 . -602) 70018) ((-526 . -844) 69997) ((-506 . -844) 69976) ((-45 . -1208) T) ((-1001 . -1039) 69872) ((-55 . -138) T) ((-582 . -138) T) ((-527 . -138) T) ((-289 . -638) 69732) ((-342 . -328) 69709) ((-342 . -366) T) ((-320 . -321) 69686) ((-315 . -282) 69671) ((-45 . -559) T) ((-382 . -1185) T) ((-382 . -1188) T) ((-1037 . -1176) 69646) ((-1173 . -228) 69596) ((-1155 . -224) 69548) ((-1037 . -111) 69494) ((-329 . -1093) T) ((-382 . -98) T) ((-382 . -40) T) ((-862 . -21) T) ((-862 . -25) T) ((-857 . -25) T) ((-490 . -1049) T) ((-539 . -537) 69438) ((-857 . -21) T) ((-491 . -228) 69388) ((-1148 . -500) 69322) ((-1275 . -1055) 69306) ((-384 . -1055) 69290) ((-490 . -239) T) ((-813 . -105) T) ((-706 . -151) 69269) ((-706 . -149) 69248) ((-495 . -500) 69232) ((-1275 . -120) 69211) ((-496 . -334) 69180) ((-1001 . -380) 69164) ((-522 . -1093) T) ((-494 . -173) 69143) ((-1001 . -337) 69127) ((-416 . -105) T) ((-384 . -120) 69106) ((-276 . -986) 69090) ((-275 . -986) 69074) ((-217 . -39) T) ((-145 . -39) T) ((-1273 . -609) 69056) ((-1271 . -609) 69038) ((-114 . -524) NIL) ((-1161 . -1228) 69022) ((-848 . -846) 69006) ((-1167 . -1093) T) ((-106 . -1199) T) ((-955 . -952) 68967) ((-736 . -1093) T) ((-814 . -709) 68904) ((-1216 . -1139) NIL) ((-493 . -952) 68849) ((-1060 . -147) T) ((-65 . -105) 68827) ((-49 . -609) 68809) ((-83 . -609) 68791) ((-353 . -638) 68736) ((-1263 . -1093) T) ((-521 . -844) T) ((-342 . -1105) T) ((-290 . -1093) T) ((-1001 . -897) 68695) ((-290 . -606) 68674) ((-1244 . -43) 68571) ((-1237 . -43) 68412) ((-538 . -1091) T) ((-1216 . -43) 68208) ((-498 . -1056) T) ((-1210 . -43) 68105) ((-209 . -1056) T) ((-342 . -23) T) ((-156 . -609) 68087) ((-830 . -792) 68066) ((-830 . -789) 68045) ((-735 . -918) 68024) ((-595 . -43) 67997) ((-594 . -43) 67894) ((-866 . -559) T) ((-214 . -138) T) ((-315 . -1004) 67860) ((-84 . -609) 67842) ((-704 . -302) 67821) ((-289 . -718) 67723) ((-821 . -105) T) ((-854 . -838) T) ((-289 . -479) 67702) ((-1266 . -105) T) ((-45 . -366) T) ((-868 . -151) 67681) ((-33 . -1093) T) ((-868 . -149) 67660) ((-1147 . -500) 67642) ((-1275 . -1049) T) ((-494 . -524) 67575) ((-1134 . -1199) T) ((-967 . -609) 67557) ((-637 . -500) 67541) ((-624 . -500) 67473) ((-812 . -609) 67231) ((-53 . -27) T) ((-1167 . -709) 67128) ((-644 . -1093) T) ((-439 . -367) 67102) ((-736 . -709) 66931) ((-1095 . -105) T) ((-813 . -304) 66918) ((-854 . -1093) T) ((-1271 . -385) 66890) ((-1053 . -524) 66823) ((-1148 . -282) 66799) ((-233 . -224) 66768) ((-1263 . -709) 66738) ((-814 . -173) 66717) ((-220 . -524) 66650) ((-614 . -792) 66629) ((-614 . -789) 66608) ((-1197 . -609) 66555) ((-213 . -1199) T) ((-667 . -609) 66522) ((-1145 . -1012) 66506) ((-353 . -718) T) ((-946 . -105) 66456) ((-1216 . -403) 66408) ((-1106 . -500) 66392) ((-65 . -304) 66330) ((-330 . -105) T) ((-1194 . -21) T) ((-1194 . -25) T) ((-45 . -1105) T) ((-703 . -21) T) ((-619 . -609) 66312) ((-525 . -321) 66291) ((-703 . -25) T) ((-112 . -282) NIL) ((-919 . -1105) T) ((-45 . -23) T) ((-765 . -1105) T) ((-569 . -1208) T) ((-505 . -1208) T) ((-315 . -609) 66273) ((-1006 . -224) 66255) ((-170 . -167) 66239) ((-581 . -559) T) ((-569 . -559) T) ((-505 . -559) T) ((-765 . -23) T) ((-1236 . -151) 66218) ((-1148 . -602) 66194) ((-1236 . -149) 66173) ((-1029 . -500) 66157) ((-1215 . -149) 66082) ((-1215 . -151) 66007) ((-1266 . -1272) 65986) ((-482 . -500) 65970) ((-469 . -500) 65954) ((-532 . -39) T) ((-644 . -709) 65924) ((-653 . -844) 65903) ((-1167 . -173) 65854) ((-368 . -105) T) ((-233 . -231) 65833) ((-245 . -105) T) ((-244 . -105) T) ((-1225 . -952) 65802) ((-113 . -105) T) ((-241 . -844) 65781) ((-813 . -43) 65630) ((-736 . -173) 65521) ((-50 . -524) 65281) ((-1147 . -282) 65256) ((-206 . -1093) T) ((-1138 . -1093) T) ((-923 . -105) T) ((-1138 . -606) 65235) ((-586 . -25) T) ((-586 . -21) T) ((-1095 . -304) 65173) ((-966 . -414) 65157) ((-690 . -1208) T) ((-624 . -282) 65132) ((-1081 . -631) 65080) ((-779 . -631) 65028) ((-777 . -631) 64976) ((-342 . -138) T) ((-285 . -609) 64958) ((-923 . -922) 64930) ((-690 . -559) T) ((-902 . -1093) T) ((-866 . -1105) T) ((-456 . -631) 64878) ((-902 . -900) 64862) ((-859 . -858) T) ((-859 . -860) T) ((-946 . -304) 64800) ((-382 . -454) T) ((-866 . -23) T) ((-498 . -1093) T) ((-859 . -149) T) ((-692 . -638) 64787) ((-859 . -151) 64766) ((-209 . -1093) T) ((-311 . -918) 64745) ((-308 . -918) T) ((-308 . -817) NIL) ((-393 . -712) T) ((-776 . -149) 64724) ((-776 . -151) 64703) ((-125 . -638) 64690) ((-480 . -149) 64669) ((-421 . -414) 64653) ((-480 . -151) 64632) ((-114 . -500) 64614) ((-1159 . -1208) 64593) ((-2 . -609) 64575) ((-1147 . -19) 64557) ((-1159 . -559) 64468) ((-1147 . -602) 64443) ((-649 . -21) T) ((-649 . -25) T) ((-592 . -1132) T) ((-1106 . -282) 64420) ((-335 . -25) T) ((-335 . -21) T) ((-237 . -25) T) ((-237 . -21) T) ((-505 . -366) T) ((-1266 . -43) 64390) ((-1130 . -1199) T) ((-624 . -602) 64365) ((-1081 . -25) T) ((-1081 . -21) T) ((-966 . -1056) T) ((-736 . -524) 64311) ((-535 . -789) T) ((-535 . -792) T) ((-126 . -1208) T) ((-234 . -105) T) ((-616 . -559) T) ((-779 . -25) T) ((-779 . -21) T) ((-777 . -21) T) ((-777 . -25) T) ((-727 . -1056) T) ((-707 . -1056) T) ((-663 . -1055) 64295) ((-464 . -25) T) ((-126 . -559) T) ((-464 . -21) T) ((-456 . -25) T) ((-456 . -21) T) ((-1130 . -1039) 64191) ((-814 . -286) 64170) ((-735 . -433) 64154) ((-820 . -1093) T) ((-663 . -120) 64133) ((-290 . -524) 63893) ((-1273 . -1055) 63877) ((-1271 . -1055) 63861) ((-1236 . -1185) 63827) ((-245 . -304) 63765) ((-244 . -304) 63703) ((-1219 . -105) 63681) ((-1148 . -610) NIL) ((-1148 . -609) 63663) ((-1236 . -1188) 63629) ((-1216 . -224) 63581) ((-1215 . -1185) 63547) ((-1215 . -1188) 63513) ((-1130 . -380) 63497) ((-1111 . -817) T) ((-1111 . -918) T) ((-1106 . -602) 63474) ((-1075 . -610) 63458) ((-539 . -105) T) ((-495 . -609) 63425) ((-812 . -284) 63402) ((-604 . -155) 63349) ((-421 . -1056) T) ((-498 . -709) 63299) ((-494 . -500) 63283) ((-326 . -844) 63262) ((-338 . -638) 63236) ((-55 . -21) T) ((-55 . -25) T) ((-209 . -709) 63186) ((-170 . -716) 63157) ((-174 . -638) 63089) ((-582 . -21) T) ((-582 . -25) T) ((-527 . -25) T) ((-527 . -21) T) ((-481 . -155) 63039) ((-1075 . -609) 63021) ((-1059 . -609) 63003) ((-996 . -105) T) ((-852 . -105) T) ((-796 . -414) 62966) ((-45 . -138) T) ((-690 . -366) T) ((-205 . -892) T) ((-692 . -791) T) ((-692 . -788) T) ((-581 . -1105) T) ((-569 . -1105) T) ((-505 . -1105) T) ((-692 . -718) T) ((-362 . -609) 62948) ((-355 . -609) 62930) ((-344 . -609) 62912) ((-71 . -399) T) ((-71 . -398) T) ((-112 . -610) 62842) ((-112 . -609) 62824) ((-204 . -892) T) ((-960 . -155) 62808) ((-1236 . -98) 62774) ((-765 . -138) T) ((-140 . -718) T) ((-125 . -718) T) ((-1236 . -40) 62740) ((-1053 . -500) 62724) ((-581 . -23) T) ((-569 . -23) T) ((-505 . -23) T) ((-1215 . -98) 62690) ((-1215 . -40) 62656) ((-1161 . -105) T) ((-1116 . -105) T) ((-848 . -105) T) ((-220 . -500) 62640) ((-1273 . -120) 62619) ((-1271 . -120) 62598) ((-49 . -1055) 62582) ((-1225 . -1228) 62566) ((-849 . -846) 62550) ((-1167 . -286) 62529) ((-114 . -282) 62504) ((-1130 . -897) 62463) ((-49 . -120) 62442) ((-736 . -286) 62353) ((-663 . -1049) T) ((-1155 . -842) NIL) ((-1147 . -610) NIL) ((-1147 . -609) 62335) ((-1061 . -606) 62310) ((-1061 . -1093) T) ((-79 . -443) T) ((-79 . -398) T) ((-663 . -226) 62289) ((-156 . -1055) 62273) ((-576 . -556) 62257) ((-357 . -151) 62236) ((-357 . -149) 62187) ((-354 . -151) 62166) ((-694 . -1093) T) ((-354 . -149) 62117) ((-343 . -151) 62096) ((-343 . -149) 62047) ((-258 . -149) 62026) ((-258 . -151) 62005) ((-245 . -43) 61975) ((-243 . -151) 61954) ((-126 . -366) T) ((-243 . -149) 61933) ((-244 . -43) 61903) ((-156 . -120) 61882) ((-1005 . -1039) 61757) ((-924 . -1091) T) ((-685 . -1208) T) ((-796 . -1056) T) ((-690 . -1105) T) ((-1273 . -1049) T) ((-1271 . -1049) T) ((-1159 . -1105) T) ((-1145 . -1199) T) ((-1005 . -380) 61734) ((-907 . -149) T) ((-907 . -151) 61716) ((-866 . -138) T) ((-812 . -1055) 61613) ((-685 . -559) T) ((-690 . -23) T) ((-637 . -609) 61580) ((-637 . -610) 61541) ((-624 . -610) NIL) ((-624 . -609) 61523) ((-498 . -173) T) ((-214 . -21) T) ((-214 . -25) T) ((-209 . -173) T) ((-480 . -1188) 61489) ((-480 . -1185) 61455) ((-271 . -609) 61437) ((-270 . -609) 61419) ((-269 . -609) 61401) ((-268 . -609) 61383) ((-267 . -609) 61365) ((-510 . -641) 61347) ((-266 . -609) 61329) ((-338 . -718) T) ((-265 . -609) 61311) ((-114 . -19) 61293) ((-174 . -718) T) ((-510 . -376) 61275) ((-205 . -609) 61257) ((-529 . -1137) 61241) ((-510 . -133) T) ((-114 . -602) 61216) ((-204 . -609) 61198) ((-480 . -40) 61164) ((-480 . -98) 61130) ((-202 . -609) 61112) ((-201 . -609) 61094) ((-200 . -609) 61076) ((-199 . -609) 61058) ((-196 . -609) 61040) ((-195 . -609) 61022) ((-194 . -609) 61004) ((-193 . -609) 60986) ((-192 . -609) 60968) ((-191 . -609) 60950) ((-190 . -609) 60932) ((-542 . -1096) 60884) ((-189 . -609) 60866) ((-188 . -609) 60848) ((-50 . -500) 60785) ((-187 . -609) 60767) ((-186 . -609) 60749) ((-1159 . -23) T) ((-812 . -120) 60639) ((-635 . -105) 60589) ((-494 . -282) 60566) ((-1106 . -609) 60324) ((-1094 . -1093) T) ((-1046 . -1199) T) ((-616 . -1105) T) ((-1274 . -1039) 60308) ((-1161 . -304) 60295) ((-1116 . -304) 60282) ((-126 . -1105) T) ((-816 . -105) T) ((-616 . -23) T) ((-1138 . -524) 60042) ((-389 . -105) T) ((-322 . -105) T) ((-1005 . -897) 59994) ((-966 . -1093) T) ((-156 . -1049) T) ((-126 . -23) T) ((-723 . -414) 59978) ((-727 . -1093) T) ((-707 . -1093) T) ((-694 . -139) T) ((-455 . -1093) T) ((-311 . -433) 59962) ((-410 . -1199) T) ((-1029 . -610) 59923) ((-1029 . -609) 59885) ((-1025 . -1208) T) ((-216 . -105) T) ((-234 . -43) 59831) ((-813 . -224) 59815) ((-1025 . -559) T) ((-830 . -638) 59788) ((-356 . -1208) T) ((-482 . -609) 59750) ((-482 . -610) 59711) ((-469 . -610) 59672) ((-469 . -609) 59634) ((-410 . -881) 59618) ((-315 . -1055) 59453) ((-410 . -883) 59378) ((-837 . -1039) 59274) ((-498 . -524) NIL) ((-494 . -602) 59251) ((-356 . -559) T) ((-209 . -524) NIL) ((-868 . -454) T) ((-421 . -1093) T) ((-410 . -1039) 59115) ((-315 . -120) 58929) ((-685 . -366) T) ((-216 . -280) T) ((-53 . -1208) T) ((-812 . -1049) 58859) ((-581 . -138) T) ((-569 . -138) T) ((-505 . -138) T) ((-53 . -559) T) ((-1148 . -284) 58835) ((-1161 . -1139) 58813) ((-311 . -27) 58792) ((-1060 . -105) T) ((-812 . -226) 58744) ((-233 . -842) 58723) ((-955 . -105) T) ((-705 . -105) T) ((-290 . -500) 58660) ((-493 . -105) T) ((-723 . -1056) T) ((-608 . -609) 58642) ((-608 . -610) 58503) ((-410 . -380) 58487) ((-410 . -337) 58471) ((-1161 . -43) 58300) ((-1116 . -43) 58149) ((-848 . -43) 58119) ((-393 . -638) 58103) ((-635 . -304) 58041) ((-966 . -709) 57938) ((-727 . -709) 57908) ((-213 . -111) 57892) ((-50 . -282) 57817) ((-614 . -638) 57791) ((-306 . -1093) T) ((-285 . -1055) 57778) ((-114 . -609) 57760) ((-114 . -610) 57742) ((-455 . -709) 57712) ((-813 . -247) 57651) ((-681 . -1093) 57629) ((-552 . -1093) T) ((-1163 . -1056) T) ((-1162 . -1056) T) ((-285 . -120) 57614) ((-1155 . -1056) T) ((-1117 . -1056) T) ((-552 . -606) 57593) ((-1006 . -842) T) ((-220 . -679) 57551) ((-685 . -1105) T) ((-1194 . -732) 57527) ((-969 . -973) 57504) ((-315 . -1049) T) ((-342 . -25) T) ((-342 . -21) T) ((-410 . -897) 57463) ((-73 . -1199) T) ((-830 . -791) 57442) ((-421 . -709) 57416) ((-796 . -1093) T) ((-830 . -788) 57395) ((-690 . -138) T) ((-704 . -918) 57374) ((-685 . -23) T) ((-498 . -286) T) ((-830 . -718) 57353) ((-315 . -226) 57305) ((-315 . -239) 57284) ((-209 . -286) T) ((-1025 . -366) T) ((-1236 . -454) 57263) ((-1215 . -454) 57242) ((-356 . -328) 57219) ((-356 . -366) T) ((-1128 . -609) 57201) ((-50 . -1240) 57151) ((-867 . -105) T) ((-635 . -278) 57135) ((-690 . -1058) T) ((-490 . -638) 57100) ((-474 . -1093) T) ((-50 . -602) 57025) ((-1147 . -284) 57000) ((-1159 . -138) T) ((-45 . -631) 56934) ((-53 . -366) T) ((-1099 . -609) 56916) ((-1081 . -844) 56895) ((-624 . -284) 56870) ((-1202 . -1093) T) ((-955 . -304) 56857) ((-779 . -844) 56836) ((-777 . -844) 56815) ((-456 . -844) 56794) ((-494 . -609) 56552) ((-233 . -414) 56521) ((-217 . -1199) T) ((-145 . -1199) T) ((-219 . -155) 56503) ((-146 . -155) 56478) ((-70 . -1199) T) ((-736 . -282) 56405) ((-616 . -138) T) ((-493 . -304) 56392) ((-1061 . -524) 56200) ((-285 . -1049) T) ((-126 . -138) T) ((-455 . -755) T) ((-966 . -173) 56151) ((-1154 . -1093) T) ((-1106 . -284) 56128) ((-1075 . -1055) 56038) ((-614 . -791) 56017) ((-592 . -1093) T) ((-614 . -788) 55996) ((-614 . -718) T) ((-290 . -282) 55975) ((-289 . -1199) T) ((-1053 . -609) 55937) ((-1053 . -610) 55898) ((-1025 . -1105) T) ((-170 . -105) T) ((-272 . -844) T) ((-1095 . -222) 55882) ((-815 . -609) 55864) ((-1075 . -120) 55753) ((-1005 . -302) T) ((-859 . -454) T) ((-796 . -709) 55737) ((-362 . -1055) 55689) ((-356 . -1105) T) ((-355 . -1055) 55641) ((-417 . -609) 55623) ((-388 . -609) 55605) ((-344 . -1055) 55557) ((-220 . -609) 55524) ((-1025 . -23) T) ((-776 . -454) T) ((-112 . -1055) 55474) ((-895 . -105) T) ((-835 . -105) T) ((-805 . -105) T) ((-763 . -105) T) ((-669 . -105) T) ((-480 . -454) 55453) ((-421 . -173) T) ((-362 . -120) 55384) ((-355 . -120) 55315) ((-344 . -120) 55246) ((-245 . -224) 55215) ((-244 . -224) 55184) ((-356 . -23) T) ((-76 . -1199) T) ((-216 . -43) 55149) ((-112 . -120) 55076) ((-45 . -25) T) ((-45 . -21) T) ((-663 . -712) T) ((-170 . -280) 55054) ((-859 . -405) T) ((-53 . -1105) T) ((-919 . -25) T) ((-765 . -25) T) ((-1138 . -500) 54991) ((-496 . -1093) T) ((-1275 . -638) 54965) ((-1225 . -105) T) ((-849 . -105) T) ((-233 . -1056) 54895) ((-1060 . -1139) T) ((-967 . -789) 54848) ((-384 . -638) 54832) ((-53 . -23) T) ((-967 . -792) 54785) ((-812 . -792) 54736) ((-812 . -789) 54687) ((-290 . -602) 54666) ((-490 . -718) T) ((-1159 . -503) 54644) ((-576 . -105) T) ((-1080 . -1056) T) ((-867 . -304) 54588) ((-644 . -282) 54567) ((-121 . -652) T) ((-81 . -1199) T) ((-1060 . -43) 54554) ((-657 . -377) 54533) ((-955 . -43) 54382) ((-723 . -1093) T) ((-493 . -43) 54231) ((-91 . -1199) T) ((-576 . -280) T) ((-1216 . -842) NIL) ((-1163 . -1093) T) ((-1162 . -1093) T) ((-1155 . -1093) T) ((-353 . -1039) 54208) ((-1075 . -1049) T) ((-1006 . -1056) T) ((-50 . -609) 54190) ((-50 . -610) NIL) ((-912 . -1056) T) ((-814 . -609) 54172) ((-1135 . -105) 54150) ((-1075 . -239) 54101) ((-430 . -1056) T) ((-362 . -1049) T) ((-355 . -1049) T) ((-368 . -367) 54078) ((-344 . -1049) T) ((-245 . -231) 54057) ((-244 . -231) 54036) ((-113 . -367) 54010) ((-1075 . -226) 53935) ((-1117 . -1093) T) ((-289 . -897) 53894) ((-112 . -1049) T) ((-735 . -1208) 53873) ((-685 . -138) T) ((-421 . -524) 53715) ((-362 . -226) 53694) ((-362 . -239) T) ((-49 . -712) T) ((-355 . -226) 53673) ((-355 . -239) T) ((-344 . -226) 53652) ((-344 . -239) T) ((-735 . -559) T) ((-170 . -304) 53617) ((-112 . -239) T) ((-112 . -226) T) ((-315 . -789) T) ((-866 . -21) T) ((-866 . -25) T) ((-410 . -302) T) ((-510 . -39) T) ((-114 . -284) 53592) ((-1106 . -1055) 53489) ((-867 . -1139) NIL) ((-862 . -861) T) ((-862 . -860) T) ((-857 . -856) T) ((-857 . -860) T) ((-857 . -861) T) ((-329 . -609) 53471) ((-410 . -1023) 53449) ((-1106 . -120) 53339) ((-862 . -149) 53309) ((-862 . -151) T) ((-857 . -151) T) ((-857 . -149) 53279) ((-439 . -1093) T) ((-1275 . -718) T) ((-68 . -609) 53261) ((-867 . -43) 53206) ((-532 . -1199) T) ((-600 . -155) 53190) ((-522 . -609) 53172) ((-1225 . -304) 53159) ((-723 . -709) 53008) ((-535 . -790) T) ((-535 . -791) T) ((-569 . -631) 52990) ((-505 . -631) 52950) ((-357 . -454) T) ((-354 . -454) T) ((-343 . -454) T) ((-258 . -454) 52901) ((-529 . -1093) 52851) ((-243 . -454) 52802) ((-1138 . -282) 52781) ((-1167 . -609) 52763) ((-681 . -524) 52696) ((-966 . -286) 52675) ((-552 . -524) 52435) ((-736 . -610) NIL) ((-736 . -609) 52417) ((-1263 . -609) 52399) ((-1161 . -224) 52383) ((-170 . -1139) 52362) ((-1248 . -559) 52341) ((-1163 . -709) 52238) ((-1162 . -709) 52079) ((-889 . -105) T) ((-1155 . -709) 51875) ((-1117 . -709) 51772) ((-1145 . -666) 51756) ((-357 . -405) 51707) ((-354 . -405) 51658) ((-343 . -405) 51609) ((-1025 . -138) T) ((-796 . -524) 51521) ((-290 . -610) NIL) ((-290 . -609) 51503) ((-907 . -454) T) ((-967 . -371) 51456) ((-812 . -371) 51435) ((-520 . -519) 51414) ((-518 . -519) 51393) ((-498 . -282) NIL) ((-494 . -284) 51370) ((-421 . -286) T) ((-356 . -138) T) ((-209 . -282) NIL) ((-685 . -503) NIL) ((-101 . -1105) T) ((-170 . -43) 51198) ((-1238 . -559) T) ((-1236 . -976) 51160) ((-1135 . -304) 51098) ((-1215 . -976) 51067) ((-907 . -405) T) ((-1106 . -1049) 50997) ((-1138 . -602) 50976) ((-735 . -366) 50955) ((-776 . -155) 50907) ((-121 . -844) T) ((-1061 . -500) 50839) ((-581 . -21) T) ((-581 . -25) T) ((-569 . -21) T) ((-569 . -25) T) ((-505 . -25) T) ((-505 . -21) T) ((-1225 . -1139) 50817) ((-1106 . -226) 50769) ((-53 . -138) T) ((-33 . -609) 50751) ((-970 . -1091) T) ((-1181 . -105) T) ((-233 . -1093) 50541) ((-867 . -403) 50518) ((-1082 . -105) T) ((-1071 . -105) T) ((-1202 . -524) NIL) ((-604 . -105) T) ((-481 . -105) T) ((-1225 . -43) 50347) ((-1080 . -1093) T) ((-849 . -43) 50317) ((-1159 . -631) 50265) ((-723 . -173) 50176) ((-644 . -609) 50158) ((-576 . -43) 50145) ((-960 . -105) 50095) ((-854 . -609) 50077) ((-854 . -610) 49999) ((-592 . -524) NIL) ((-1244 . -1056) T) ((-1237 . -1056) T) ((-1216 . -1056) T) ((-1210 . -1056) T) ((-1279 . -1105) T) ((-1194 . -151) 49978) ((-1163 . -173) 49929) ((-595 . -1056) T) ((-594 . -1056) T) ((-1162 . -173) 49860) ((-1155 . -173) 49791) ((-1117 . -173) 49742) ((-1006 . -1093) T) ((-974 . -1093) T) ((-912 . -1093) T) ((-796 . -794) 49726) ((-776 . -642) 49710) ((-776 . -976) 49679) ((-735 . -1105) T) ((-690 . -25) T) ((-690 . -21) T) ((-126 . -631) 49656) ((-692 . -883) 49638) ((-430 . -1093) T) ((-311 . -1208) 49617) ((-308 . -1208) T) ((-170 . -403) 49601) ((-1194 . -149) 49580) ((-480 . -976) 49542) ((-77 . -609) 49524) ((-735 . -23) T) ((-112 . -792) T) ((-112 . -789) T) ((-311 . -559) 49503) ((-692 . -1039) 49485) ((-308 . -559) T) ((-1279 . -23) T) ((-140 . -1039) 49467) ((-494 . -1055) 49364) ((-50 . -284) 49289) ((-1159 . -25) T) ((-1159 . -21) T) ((-233 . -709) 49231) ((-494 . -120) 49121) ((-1085 . -105) 49099) ((-1036 . -105) T) ((-1080 . -709) 49076) ((-635 . -825) 49055) ((-1200 . -1093) T) ((-723 . -524) 48993) ((-1053 . -1055) 48977) ((-616 . -21) T) ((-616 . -25) T) ((-1061 . -282) 48952) ((-364 . -105) T) ((-320 . -105) T) ((-663 . -638) 48926) ((-388 . -1055) 48910) ((-1053 . -120) 48889) ((-813 . -414) 48873) ((-126 . -25) T) ((-94 . -609) 48855) ((-126 . -21) T) ((-604 . -304) 48650) ((-481 . -304) 48454) ((-1248 . -1105) T) ((-1138 . -610) NIL) ((-388 . -120) 48433) ((-382 . -105) T) ((-206 . -609) 48415) ((-1138 . -609) 48397) ((-1006 . -709) 48347) ((-1155 . -524) 48081) ((-912 . -709) 48033) ((-1117 . -524) 48003) ((-353 . -302) T) ((-1248 . -23) T) ((-1173 . -155) 47953) ((-960 . -304) 47891) ((-831 . -105) T) ((-430 . -709) 47875) ((-216 . -825) T) ((-824 . -105) T) ((-822 . -105) T) ((-491 . -155) 47825) ((-1236 . -1235) 47804) ((-1111 . -1208) T) ((-338 . -1039) 47771) ((-1236 . -1230) 47741) ((-1236 . -1233) 47725) ((-1215 . -1214) 47704) ((-85 . -609) 47686) ((-902 . -609) 47668) ((-1215 . -1230) 47645) ((-1111 . -559) T) ((-919 . -844) T) ((-765 . -844) T) ((-498 . -610) 47575) ((-498 . -609) 47557) ((-382 . -280) T) ((-664 . -844) T) ((-1215 . -1212) 47541) ((-1238 . -1105) T) ((-209 . -610) 47471) ((-209 . -609) 47453) ((-1061 . -602) 47428) ((-64 . -155) 47412) ((-526 . -155) 47396) ((-506 . -155) 47380) ((-362 . -1270) 47364) ((-355 . -1270) 47348) ((-344 . -1270) 47332) ((-311 . -366) 47311) ((-308 . -366) T) ((-494 . -1049) 47241) ((-685 . -631) 47223) ((-1273 . -638) 47197) ((-1271 . -638) 47171) ((-1238 . -23) T) ((-681 . -500) 47155) ((-69 . -609) 47137) ((-1106 . -792) 47088) ((-1106 . -789) 47039) ((-552 . -500) 46976) ((-663 . -39) T) ((-494 . -226) 46928) ((-290 . -284) 46907) ((-233 . -173) 46886) ((-859 . -1260) 46870) ((-813 . -1056) T) ((-49 . -638) 46828) ((-1075 . -371) 46779) ((-723 . -286) 46710) ((-529 . -524) 46643) ((-814 . -1055) 46594) ((-1081 . -149) 46573) ((-362 . -371) 46552) ((-355 . -371) 46531) ((-344 . -371) 46510) ((-1081 . -151) 46489) ((-867 . -224) 46466) ((-814 . -120) 46401) ((-779 . -149) 46380) ((-779 . -151) 46359) ((-258 . -952) 46326) ((-245 . -842) 46305) ((-243 . -952) 46250) ((-244 . -842) 46229) ((-777 . -149) 46208) ((-777 . -151) 46187) ((-156 . -638) 46161) ((-456 . -151) 46140) ((-456 . -149) 46119) ((-663 . -718) T) ((-820 . -609) 46101) ((-1244 . -1093) T) ((-1237 . -1093) T) ((-1216 . -1093) T) ((-1210 . -1093) T) ((-1194 . -1188) 46067) ((-1194 . -1185) 46033) ((-1163 . -286) 46012) ((-1162 . -286) 45963) ((-1155 . -286) 45914) ((-1117 . -286) 45893) ((-338 . -897) 45874) ((-1006 . -173) T) ((-912 . -173) T) ((-776 . -1230) 45851) ((-595 . -1093) T) ((-594 . -1093) T) ((-685 . -21) T) ((-685 . -25) T) ((-480 . -1233) 45835) ((-480 . -1230) 45805) ((-421 . -282) 45733) ((-311 . -1105) 45582) ((-308 . -1105) T) ((-1194 . -40) 45548) ((-1194 . -98) 45514) ((-89 . -609) 45496) ((-96 . -105) 45474) ((-1279 . -138) T) ((-1202 . -500) 45456) ((-735 . -138) T) ((-582 . -149) T) ((-582 . -151) 45438) ((-527 . -151) 45420) ((-527 . -149) T) ((-311 . -23) 45272) ((-45 . -341) 45246) ((-308 . -23) T) ((-1147 . -641) 45228) ((-812 . -638) 45076) ((-1266 . -1056) T) ((-1147 . -376) 45058) ((-170 . -224) 45042) ((-592 . -500) 45024) ((-233 . -524) 44957) ((-1273 . -718) T) ((-1271 . -718) T) ((-1167 . -1055) 44840) ((-736 . -1055) 44663) ((-1167 . -120) 44525) ((-814 . -1049) T) ((-736 . -120) 44327) ((-525 . -105) T) ((-53 . -631) 44287) ((-520 . -105) T) ((-518 . -105) T) ((-1263 . -1055) 44257) ((-1036 . -43) 44241) ((-814 . -226) T) ((-814 . -239) 44220) ((-552 . -282) 44199) ((-1263 . -120) 44164) ((-1225 . -224) 44148) ((-1244 . -709) 44045) ((-1237 . -709) 43886) ((-1061 . -610) NIL) ((-1061 . -609) 43868) ((-1216 . -709) 43664) ((-1210 . -709) 43561) ((-1005 . -918) T) ((-694 . -609) 43530) ((-156 . -718) T) ((-1248 . -138) T) ((-1204 . -844) T) ((-1106 . -371) 43509) ((-1006 . -524) NIL) ((-245 . -414) 43478) ((-244 . -414) 43447) ((-1025 . -25) T) ((-1025 . -21) T) ((-595 . -709) 43420) ((-594 . -709) 43317) ((-796 . -282) 43275) ((-136 . -105) 43253) ((-830 . -1039) 43149) ((-170 . -825) 43128) ((-315 . -638) 43025) ((-812 . -39) T) ((-706 . -105) T) ((-1111 . -1105) T) ((-1028 . -1199) T) ((-382 . -43) 42990) ((-356 . -25) T) ((-356 . -21) T) ((-219 . -105) T) ((-163 . -105) T) ((-159 . -105) T) ((-146 . -105) T) ((-357 . -1260) 42974) ((-354 . -1260) 42958) ((-343 . -1260) 42942) ((-862 . -454) T) ((-170 . -351) 42921) ((-569 . -844) T) ((-505 . -844) T) ((-857 . -454) T) ((-1111 . -23) T) ((-92 . -609) 42903) ((-692 . -302) T) ((-831 . -43) 42873) ((-824 . -43) 42843) ((-1238 . -138) T) ((-1138 . -284) 42822) ((-967 . -718) 42721) ((-967 . -790) 42674) ((-967 . -791) 42627) ((-812 . -788) 42606) ((-125 . -302) T) ((-96 . -304) 42544) ((-667 . -39) T) ((-552 . -602) 42523) ((-53 . -25) T) ((-53 . -21) T) ((-812 . -791) 42474) ((-812 . -790) 42453) ((-692 . -1023) T) ((-644 . -1055) 42437) ((-967 . -479) 42390) ((-812 . -718) 42316) ((-907 . -1260) 42303) ((-237 . -321) 42280) ((-862 . -405) 42250) ((-494 . -792) 42201) ((-494 . -789) 42152) ((-857 . -405) 42122) ((-1167 . -1049) T) ((-1200 . -524) NIL) ((-736 . -1049) T) ((-644 . -120) 42101) ((-1167 . -325) 42078) ((-1186 . -105) 42056) ((-1094 . -609) 42038) ((-692 . -551) T) ((-736 . -325) 42015) ((-813 . -1093) T) ((-736 . -226) T) ((-1263 . -1049) T) ((-416 . -1093) T) ((-245 . -1056) 41945) ((-244 . -1056) 41875) ((-285 . -638) 41862) ((-592 . -282) 41837) ((-681 . -679) 41795) ((-1244 . -173) 41746) ((-966 . -609) 41728) ((-868 . -105) T) ((-727 . -609) 41710) ((-707 . -609) 41692) ((-1237 . -173) 41623) ((-1216 . -173) 41554) ((-1210 . -173) 41505) ((-690 . -844) T) ((-1006 . -286) T) ((-455 . -609) 41487) ((-619 . -718) T) ((-65 . -1093) 41465) ((-241 . -155) 41449) ((-912 . -286) T) ((-1025 . -1014) T) ((-619 . -479) T) ((-704 . -1208) 41428) ((-1248 . -503) 41394) ((-595 . -173) 41373) ((-594 . -173) 41324) ((-1253 . -844) 41303) ((-704 . -559) 41214) ((-410 . -918) T) ((-410 . -817) 41193) ((-315 . -791) T) ((-315 . -718) T) ((-421 . -609) 41175) ((-421 . -610) 41076) ((-635 . -1137) 41060) ((-114 . -641) 41042) ((-136 . -304) 40980) ((-114 . -376) 40962) ((-174 . -302) T) ((-401 . -1199) T) ((-311 . -138) 40833) ((-308 . -138) T) ((-74 . -398) T) ((-114 . -133) T) ((-1159 . -844) 40812) ((-529 . -500) 40796) ((-645 . -1105) T) ((-592 . -19) 40778) ((-219 . -304) NIL) ((-66 . -443) T) ((-146 . -304) NIL) ((-66 . -398) T) ((-821 . -1093) T) ((-592 . -602) 40753) ((-490 . -1039) 40713) ((-644 . -1049) T) ((-645 . -23) T) ((-1266 . -1093) T) ((-813 . -709) 40562) ((-1202 . -679) 40528) ((-130 . -844) T) ((-126 . -844) NIL) ((-1161 . -414) 40512) ((-1116 . -414) 40496) ((-848 . -414) 40480) ((-234 . -1056) T) ((-1236 . -105) T) ((-1216 . -524) 40214) ((-1186 . -304) 40152) ((-306 . -609) 40134) ((-1215 . -105) T) ((-1095 . -1093) T) ((-1163 . -282) 40119) ((-1162 . -282) 40104) ((-285 . -718) T) ((-112 . -906) NIL) ((-681 . -609) 40071) ((-681 . -610) 40032) ((-1075 . -638) 39942) ((-599 . -609) 39924) ((-552 . -610) NIL) ((-552 . -609) 39906) ((-1155 . -282) 39754) ((-498 . -1055) 39704) ((-703 . -454) T) ((-521 . -519) 39683) ((-517 . -519) 39662) ((-209 . -1055) 39612) ((-362 . -638) 39564) ((-355 . -638) 39516) ((-216 . -842) T) ((-344 . -638) 39468) ((-600 . -105) 39418) ((-494 . -371) 39397) ((-112 . -638) 39347) ((-498 . -120) 39274) ((-233 . -500) 39258) ((-342 . -151) 39240) ((-342 . -149) T) ((-170 . -373) 39211) ((-946 . -1251) 39195) ((-209 . -120) 39122) ((-868 . -304) 39087) ((-946 . -1093) 39037) ((-796 . -610) 38998) ((-796 . -609) 38980) ((-710 . -105) T) ((-330 . -1093) T) ((-1111 . -138) T) ((-706 . -43) 38950) ((-311 . -503) 38929) ((-510 . -1199) T) ((-1236 . -280) 38895) ((-1215 . -280) 38861) ((-326 . -155) 38845) ((-1061 . -284) 38820) ((-1266 . -709) 38790) ((-1148 . -39) T) ((-1275 . -1039) 38767) ((-735 . -631) 38673) ((-474 . -609) 38655) ((-495 . -39) T) ((-384 . -1039) 38639) ((-1161 . -1056) T) ((-1116 . -1056) T) ((-848 . -1056) T) ((-1060 . -842) T) ((-813 . -173) 38550) ((-529 . -282) 38527) ((-1202 . -609) 38509) ((-126 . -995) 38486) ((-859 . -105) T) ((-776 . -105) T) ((-1244 . -286) 38465) ((-1237 . -286) 38416) ((-1181 . -367) 38390) ((-1082 . -263) 38374) ((-480 . -105) T) ((-368 . -1093) T) ((-245 . -1093) T) ((-244 . -1093) T) ((-1216 . -286) 38325) ((-113 . -1093) T) ((-1210 . -286) 38304) ((-868 . -1139) 38282) ((-1163 . -1004) 38248) ((-604 . -367) 38188) ((-1162 . -1004) 38154) ((-604 . -222) 38101) ((-592 . -609) 38083) ((-592 . -610) NIL) ((-685 . -844) T) ((-481 . -222) 38033) ((-498 . -1049) T) ((-1155 . -1004) 37999) ((-93 . -442) T) ((-93 . -398) T) ((-209 . -1049) T) ((-1117 . -1004) 37965) ((-34 . -1091) T) ((-923 . -1093) T) ((-1279 . -25) T) ((-1075 . -718) T) ((-704 . -1105) T) ((-595 . -286) 37944) ((-594 . -286) 37923) ((-498 . -239) T) ((-498 . -226) T) ((-1154 . -609) 37905) ((-868 . -43) 37857) ((-209 . -239) T) ((-209 . -226) T) ((-735 . -25) T) ((-735 . -21) T) ((-362 . -718) T) ((-355 . -718) T) ((-344 . -718) T) ((-112 . -791) T) ((-112 . -788) T) ((-529 . -1240) 37841) ((-112 . -718) T) ((-704 . -23) T) ((-1200 . -500) 37823) ((-480 . -280) 37789) ((-1279 . -21) T) ((-1215 . -304) 37728) ((-1165 . -105) T) ((-45 . -149) 37700) ((-45 . -151) 37672) ((-529 . -602) 37649) ((-1106 . -638) 37497) ((-600 . -304) 37435) ((-50 . -641) 37385) ((-50 . -659) 37335) ((-50 . -376) 37285) ((-1147 . -39) T) ((-867 . -842) NIL) ((-645 . -138) T) ((-496 . -609) 37267) ((-233 . -282) 37244) ((-637 . -39) T) ((-624 . -39) T) ((-1081 . -454) 37195) ((-813 . -524) 37060) ((-779 . -454) 36991) ((-777 . -454) 36942) ((-772 . -105) T) ((-456 . -454) 36893) ((-955 . -414) 36877) ((-723 . -609) 36859) ((-245 . -709) 36801) ((-244 . -709) 36743) ((-723 . -610) 36604) ((-493 . -414) 36588) ((-338 . -297) T) ((-234 . -1093) T) ((-353 . -918) T) ((-1002 . -105) 36566) ((-1025 . -844) T) ((-65 . -524) 36499) ((-1248 . -25) T) ((-1248 . -21) T) ((-1215 . -1139) 36451) ((-1006 . -282) NIL) ((-216 . -1056) T) ((-382 . -825) T) ((-1106 . -39) T) ((-776 . -304) 36320) ((-582 . -454) T) ((-527 . -454) T) ((-1219 . -1086) 36304) ((-1219 . -1093) 36282) ((-233 . -602) 36259) ((-1219 . -1088) 36216) ((-1163 . -609) 36198) ((-1162 . -609) 36180) ((-1155 . -609) 36162) ((-1155 . -610) NIL) ((-1117 . -609) 36144) ((-868 . -403) 36128) ((-539 . -1093) T) ((-542 . -105) T) ((-1236 . -43) 35969) ((-1215 . -43) 35783) ((-866 . -151) T) ((-582 . -405) T) ((-53 . -844) T) ((-527 . -405) T) ((-1238 . -21) T) ((-1238 . -25) T) ((-1106 . -788) 35762) ((-1106 . -791) 35713) ((-1106 . -790) 35692) ((-996 . -1093) T) ((-1029 . -39) T) ((-852 . -1093) T) ((-1249 . -105) T) ((-1106 . -718) 35618) ((-657 . -105) T) ((-552 . -284) 35597) ((-1173 . -105) T) ((-482 . -39) T) ((-469 . -39) T) ((-357 . -105) T) ((-354 . -105) T) ((-343 . -105) T) ((-258 . -105) T) ((-243 . -105) T) ((-490 . -302) T) ((-1060 . -1056) T) ((-955 . -1056) T) ((-311 . -631) 35503) ((-308 . -631) 35464) ((-493 . -1056) T) ((-491 . -105) T) ((-439 . -609) 35446) ((-1161 . -1093) T) ((-1116 . -1093) T) ((-848 . -1093) T) ((-1129 . -105) T) ((-813 . -286) 35377) ((-966 . -1055) 35260) ((-490 . -1023) T) ((-727 . -1055) 35230) ((-1135 . -1112) 35214) ((-1095 . -524) 35147) ((-969 . -105) T) ((-455 . -1055) 35117) ((-966 . -120) 34979) ((-862 . -1260) 34954) ((-857 . -1260) 34914) ((-907 . -105) T) ((-859 . -1139) T) ((-727 . -120) 34879) ((-234 . -709) 34825) ((-64 . -105) 34775) ((-529 . -610) 34736) ((-529 . -609) 34675) ((-528 . -105) 34653) ((-526 . -105) 34603) ((-507 . -105) 34581) ((-506 . -105) 34531) ((-455 . -120) 34482) ((-245 . -173) 34461) ((-244 . -173) 34440) ((-421 . -1055) 34414) ((-1194 . -976) 34375) ((-1001 . -1105) T) ((-859 . -43) 34340) ((-776 . -43) 34278) ((-946 . -524) 34211) ((-498 . -792) T) ((-480 . -43) 34052) ((-421 . -120) 34019) ((-498 . -789) T) ((-1002 . -304) 33957) ((-209 . -792) T) ((-209 . -789) T) ((-1001 . -23) T) ((-704 . -138) T) ((-1215 . -403) 33927) ((-311 . -25) 33779) ((-170 . -414) 33763) ((-311 . -21) 33634) ((-308 . -25) T) ((-308 . -21) T) ((-854 . -371) T) ((-114 . -39) T) ((-494 . -638) 33482) ((-867 . -1056) T) ((-592 . -284) 33457) ((-581 . -151) T) ((-569 . -151) T) ((-505 . -151) T) ((-1161 . -709) 33286) ((-1116 . -709) 33135) ((-1111 . -631) 33117) ((-848 . -709) 33087) ((-663 . -1199) T) ((-1 . -105) T) ((-233 . -609) 32845) ((-1225 . -414) 32829) ((-1200 . -679) 32795) ((-1173 . -304) 32599) ((-966 . -1049) T) ((-727 . -1049) T) ((-707 . -1049) T) ((-635 . -1093) 32549) ((-1053 . -638) 32533) ((-849 . -414) 32517) ((-521 . -105) T) ((-517 . -105) T) ((-243 . -304) 32504) ((-258 . -304) 32491) ((-1080 . -609) 32473) ((-966 . -325) 32452) ((-388 . -638) 32436) ((-491 . -304) 32240) ((-245 . -524) 32173) ((-663 . -1039) 32069) ((-244 . -524) 32002) ((-1129 . -304) 31928) ((-234 . -173) 31907) ((-816 . -1093) T) ((-796 . -1055) 31891) ((-1244 . -282) 31876) ((-1237 . -282) 31861) ((-1216 . -282) 31709) ((-1210 . -282) 31694) ((-389 . -1093) T) ((-322 . -1093) T) ((-421 . -1049) T) ((-170 . -1056) T) ((-64 . -304) 31632) ((-796 . -120) 31611) ((-594 . -282) 31596) ((-528 . -304) 31534) ((-526 . -304) 31472) ((-507 . -304) 31410) ((-506 . -304) 31348) ((-421 . -226) 31327) ((-494 . -39) T) ((-1006 . -610) 31257) ((-216 . -1093) T) ((-1006 . -609) 31239) ((-974 . -609) 31221) ((-974 . -610) 31196) ((-912 . -609) 31178) ((-690 . -151) T) ((-692 . -918) T) ((-692 . -817) T) ((-430 . -609) 31160) ((-1111 . -21) T) ((-1111 . -25) T) ((-663 . -380) 31144) ((-125 . -918) T) ((-868 . -224) 31128) ((-83 . -1199) T) ((-136 . -135) 31112) ((-1053 . -39) T) ((-1273 . -1039) 31086) ((-1271 . -1039) 31043) ((-1225 . -1056) T) ((-1159 . -149) 31022) ((-1159 . -151) 31001) ((-849 . -1056) T) ((-494 . -788) 30980) ((-357 . -1139) 30959) ((-354 . -1139) 30938) ((-343 . -1139) 30917) ((-494 . -791) 30868) ((-494 . -790) 30847) ((-220 . -39) T) ((-494 . -718) 30773) ((-65 . -500) 30757) ((-576 . -1056) T) ((-1200 . -609) 30739) ((-1161 . -173) 30630) ((-1116 . -173) 30541) ((-1060 . -1093) T) ((-1081 . -952) 30486) ((-955 . -1093) T) ((-814 . -638) 30437) ((-779 . -952) 30406) ((-705 . -1093) T) ((-777 . -952) 30373) ((-526 . -278) 30357) ((-663 . -897) 30316) ((-493 . -1093) T) ((-456 . -952) 30283) ((-84 . -1199) T) ((-357 . -43) 30248) ((-354 . -43) 30213) ((-343 . -43) 30178) ((-258 . -43) 30027) ((-243 . -43) 29876) ((-907 . -1139) T) ((-616 . -151) 29855) ((-616 . -149) 29834) ((-126 . -151) T) ((-126 . -149) NIL) ((-417 . -718) T) ((-796 . -1049) T) ((-342 . -454) T) ((-1244 . -1004) 29800) ((-1237 . -1004) 29766) ((-1216 . -1004) 29732) ((-1210 . -1004) 29698) ((-907 . -43) 29663) ((-216 . -709) 29628) ((-735 . -844) T) ((-45 . -412) 29600) ((-315 . -52) 29570) ((-1001 . -138) T) ((-812 . -1199) T) ((-174 . -918) T) ((-342 . -405) T) ((-529 . -284) 29547) ((-50 . -39) T) ((-812 . -1039) 29374) ((-736 . -906) 29353) ((-653 . -105) T) ((-645 . -21) T) ((-645 . -25) T) ((-1095 . -500) 29337) ((-1215 . -224) 29307) ((-667 . -1199) T) ((-241 . -105) 29257) ((-867 . -1093) T) ((-1167 . -638) 29182) ((-1060 . -709) 29169) ((-723 . -1055) 29012) ((-1161 . -524) 28958) ((-955 . -709) 28807) ((-1116 . -524) 28759) ((-736 . -638) 28684) ((-493 . -709) 28533) ((-72 . -609) 28515) ((-723 . -120) 28337) ((-946 . -500) 28321) ((-1263 . -638) 28281) ((-1163 . -1055) 28164) ((-814 . -718) T) ((-1162 . -1055) 27999) ((-1155 . -1055) 27789) ((-234 . -286) 27768) ((-1117 . -1055) 27651) ((-1005 . -1208) T) ((-1087 . -105) 27629) ((-812 . -380) 27598) ((-1005 . -559) T) ((-1163 . -120) 27460) ((-1162 . -120) 27274) ((-1155 . -120) 27020) ((-1117 . -120) 26882) ((-1098 . -1096) 26846) ((-382 . -842) T) ((-1244 . -609) 26828) ((-1237 . -609) 26810) ((-1216 . -609) 26792) ((-1216 . -610) NIL) ((-1210 . -609) 26774) ((-233 . -284) 26751) ((-45 . -454) T) ((-216 . -173) T) ((-170 . -1093) T) ((-685 . -151) T) ((-685 . -149) NIL) ((-595 . -609) 26733) ((-594 . -609) 26715) ((-895 . -1093) T) ((-835 . -1093) T) ((-805 . -1093) T) ((-763 . -1093) T) ((-649 . -846) 26699) ((-669 . -1093) T) ((-812 . -897) 26631) ((-1159 . -1185) 26609) ((-1159 . -1188) 26587) ((-45 . -405) NIL) ((-1111 . -652) T) ((-867 . -709) 26532) ((-245 . -500) 26516) ((-244 . -500) 26500) ((-704 . -631) 26448) ((-644 . -638) 26422) ((-290 . -39) T) ((-1159 . -98) 26400) ((-1159 . -40) 26378) ((-723 . -1049) T) ((-582 . -1260) 26365) ((-527 . -1260) 26342) ((-1225 . -1093) T) ((-1161 . -286) 26253) ((-1116 . -286) 26184) ((-1060 . -173) T) ((-849 . -1093) T) ((-955 . -173) 26095) ((-779 . -1228) 26079) ((-635 . -524) 26012) ((-82 . -609) 25994) ((-723 . -325) 25959) ((-1167 . -718) T) ((-576 . -1093) T) ((-493 . -173) 25870) ((-736 . -718) T) ((-241 . -304) 25808) ((-1130 . -1105) T) ((-75 . -609) 25790) ((-1263 . -718) T) ((-1163 . -1049) T) ((-1162 . -1049) T) ((-326 . -105) 25740) ((-1155 . -1049) T) ((-1130 . -23) T) ((-1117 . -1049) T) ((-96 . -1112) 25724) ((-855 . -1105) T) ((-1163 . -226) 25683) ((-1162 . -239) 25662) ((-1162 . -226) 25614) ((-1155 . -226) 25501) ((-1155 . -239) 25480) ((-315 . -897) 25386) ((-862 . -105) T) ((-857 . -105) T) ((-855 . -23) T) ((-170 . -709) 25214) ((-1094 . -371) T) ((-410 . -1208) T) ((-1025 . -151) T) ((-1005 . -366) T) ((-946 . -282) 25191) ((-866 . -454) T) ((-859 . -351) T) ((-311 . -844) T) ((-308 . -844) NIL) ((-871 . -105) T) ((-538 . -537) 25045) ((-704 . -25) T) ((-410 . -559) T) ((-704 . -21) T) ((-356 . -151) 25027) ((-356 . -149) T) ((-1135 . -1093) 25005) ((-455 . -712) T) ((-80 . -609) 24987) ((-123 . -844) T) ((-241 . -278) 24971) ((-233 . -1055) 24868) ((-86 . -609) 24850) ((-727 . -371) 24803) ((-1165 . -825) T) ((-729 . -228) 24787) ((-1225 . -709) 24616) ((-1148 . -1199) T) ((-143 . -228) 24598) ((-233 . -120) 24488) ((-1080 . -1055) 24465) ((-53 . -151) T) ((-867 . -173) T) ((-849 . -709) 24435) ((-495 . -1199) T) ((-955 . -524) 24381) ((-644 . -718) T) ((-576 . -709) 24368) ((-1080 . -120) 24333) ((-1036 . -1056) T) ((-493 . -524) 24271) ((-946 . -19) 24255) ((-946 . -602) 24232) ((-813 . -610) NIL) ((-813 . -609) 24214) ((-1006 . -1055) 24164) ((-416 . -609) 24146) ((-245 . -282) 24123) ((-244 . -282) 24100) ((-498 . -906) NIL) ((-311 . -29) 24070) ((-112 . -1199) T) ((-1005 . -1105) T) ((-209 . -906) NIL) ((-912 . -1055) 24022) ((-1203 . -844) T) ((-1075 . -1039) 23918) ((-1006 . -120) 23845) ((-729 . -686) 23829) ((-258 . -224) 23813) ((-430 . -1055) 23797) ((-382 . -1056) T) ((-1005 . -23) T) ((-912 . -120) 23728) ((-685 . -1188) NIL) ((-498 . -638) 23678) ((-112 . -881) 23660) ((-112 . -883) 23642) ((-685 . -1185) NIL) ((-209 . -638) 23592) ((-362 . -1039) 23576) ((-355 . -1039) 23560) ((-326 . -304) 23498) ((-344 . -1039) 23482) ((-216 . -286) T) ((-430 . -120) 23461) ((-65 . -609) 23428) ((-170 . -173) T) ((-1111 . -844) T) ((-112 . -1039) 23388) ((-889 . -1093) T) ((-831 . -1056) T) ((-824 . -1056) T) ((-685 . -40) NIL) ((-685 . -98) NIL) ((-308 . -995) 23349) ((-581 . -454) T) ((-569 . -454) T) ((-505 . -454) T) ((-410 . -366) T) ((-233 . -1049) 23279) ((-1138 . -39) T) ((-925 . -105) T) ((-490 . -918) T) ((-1001 . -631) 23227) ((-245 . -602) 23204) ((-244 . -602) 23181) ((-1075 . -380) 23165) ((-867 . -524) 23028) ((-233 . -226) 22980) ((-1147 . -1199) T) ((-821 . -609) 22962) ((-970 . -973) 22946) ((-1274 . -1105) T) ((-1266 . -609) 22928) ((-1225 . -173) 22819) ((-112 . -380) 22801) ((-112 . -337) 22783) ((-1060 . -286) T) ((-955 . -286) 22714) ((-796 . -371) 22693) ((-925 . -922) 22672) ((-637 . -1199) T) ((-624 . -1199) T) ((-493 . -286) 22603) ((-576 . -173) T) ((-326 . -278) 22587) ((-1274 . -23) T) ((-1194 . -105) T) ((-1181 . -1093) T) ((-1082 . -1093) T) ((-1071 . -1093) T) ((-88 . -609) 22569) ((-703 . -105) T) ((-357 . -351) 22548) ((-604 . -1093) T) ((-354 . -351) 22527) ((-343 . -351) 22506) ((-1173 . -222) 22456) ((-481 . -1093) T) ((-234 . -282) 22433) ((-258 . -247) 22395) ((-1130 . -138) T) ((-604 . -606) 22371) ((-1075 . -897) 22304) ((-1006 . -1049) T) ((-912 . -1049) T) ((-481 . -606) 22283) ((-1155 . -789) NIL) ((-1155 . -792) NIL) ((-1095 . -610) 22244) ((-491 . -222) 22194) ((-1095 . -609) 22176) ((-1006 . -239) T) ((-1006 . -226) T) ((-430 . -1049) T) ((-960 . -1093) 22126) ((-912 . -239) T) ((-855 . -138) T) ((-690 . -454) T) ((-837 . -1105) 22105) ((-112 . -897) NIL) ((-1194 . -280) 22071) ((-868 . -842) 22050) ((-1106 . -1199) T) ((-902 . -718) T) ((-170 . -524) 21962) ((-1001 . -25) T) ((-902 . -479) T) ((-410 . -1105) T) ((-498 . -791) T) ((-498 . -788) T) ((-907 . -351) T) ((-498 . -718) T) ((-209 . -791) T) ((-209 . -788) T) ((-1001 . -21) T) ((-209 . -718) T) ((-837 . -23) 21914) ((-315 . -302) 21893) ((-1037 . -228) 21839) ((-410 . -23) T) ((-946 . -610) 21800) ((-946 . -609) 21739) ((-635 . -500) 21723) ((-50 . -1012) 21673) ((-862 . -43) 21638) ((-857 . -43) 21603) ((-1159 . -454) 21534) ((-330 . -609) 21516) ((-1106 . -1039) 21343) ((-592 . -641) 21325) ((-592 . -376) 21307) ((-342 . -1260) 21284) ((-1029 . -1199) T) ((-867 . -286) T) ((-1225 . -524) 21230) ((-482 . -1199) T) ((-469 . -1199) T) ((-586 . -105) T) ((-1161 . -282) 21157) ((-616 . -454) 21136) ((-1002 . -997) 21120) ((-1266 . -385) 21092) ((-126 . -454) T) ((-1180 . -105) T) ((-1085 . -1093) 21070) ((-1036 . -1093) T) ((-890 . -844) T) ((-1244 . -1055) 20953) ((-353 . -1208) T) ((-1237 . -1055) 20788) ((-1106 . -380) 20757) ((-1216 . -1055) 20547) ((-1210 . -1055) 20430) ((-1244 . -120) 20292) ((-1237 . -120) 20106) ((-1216 . -120) 19852) ((-1210 . -120) 19714) ((-1194 . -304) 19701) ((-353 . -559) T) ((-368 . -609) 19683) ((-285 . -302) T) ((-595 . -1055) 19656) ((-594 . -1055) 19539) ((-364 . -1093) T) ((-320 . -1093) T) ((-245 . -609) 19500) ((-244 . -609) 19461) ((-1005 . -138) T) ((-113 . -609) 19443) ((-627 . -23) T) ((-685 . -412) 19410) ((-603 . -23) T) ((-649 . -105) T) ((-595 . -120) 19381) ((-594 . -120) 19243) ((-382 . -1093) T) ((-335 . -105) T) ((-170 . -286) 19154) ((-237 . -105) T) ((-1215 . -842) 19107) ((-923 . -609) 19089) ((-706 . -1056) T) ((-1135 . -524) 19022) ((-1106 . -897) 18954) ((-831 . -1093) T) ((-824 . -1093) T) ((-822 . -1093) T) ((-99 . -105) T) ((-148 . -844) T) ((-735 . -151) 18933) ((-735 . -149) 18912) ((-608 . -881) 18896) ((-1204 . -155) 18878) ((-114 . -1199) T) ((-1081 . -105) T) ((-1061 . -39) T) ((-779 . -105) T) ((-777 . -105) T) ((-464 . -105) T) ((-456 . -105) T) ((-233 . -792) 18829) ((-233 . -789) 18780) ((-776 . -1137) 18732) ((-639 . -105) T) ((-1225 . -286) 18643) ((-657 . -626) 18627) ((-635 . -282) 18604) ((-1036 . -709) 18588) ((-576 . -286) T) ((-966 . -638) 18513) ((-1274 . -138) T) ((-727 . -638) 18473) ((-707 . -638) 18460) ((-272 . -105) T) ((-455 . -638) 18390) ((-55 . -105) T) ((-582 . -105) T) ((-538 . -105) T) ((-527 . -105) T) ((-1244 . -1049) T) ((-1237 . -1049) T) ((-1216 . -1049) T) ((-1210 . -1049) T) ((-1244 . -226) 18349) ((-1237 . -239) 18328) ((-320 . -709) 18310) ((-1237 . -226) 18262) ((-1216 . -226) 18149) ((-1216 . -239) 18128) ((-1210 . -226) 18087) ((-1194 . -43) 17984) ((-1006 . -792) T) ((-595 . -1049) T) ((-594 . -1049) T) ((-1006 . -789) T) ((-974 . -792) T) ((-974 . -789) T) ((-234 . -609) 17966) ((-868 . -1056) T) ((-866 . -865) 17950) ((-685 . -454) T) ((-382 . -709) 17915) ((-421 . -638) 17889) ((-704 . -844) 17868) ((-703 . -43) 17833) ((-594 . -226) 17792) ((-45 . -716) 17764) ((-353 . -328) 17741) ((-353 . -366) T) ((-1248 . -149) 17720) ((-1248 . -151) 17699) ((-1075 . -302) 17650) ((-289 . -1105) 17531) ((-1099 . -1199) T) ((-172 . -105) T) ((-1219 . -609) 17498) ((-837 . -138) 17450) ((-635 . -1240) 17434) ((-831 . -709) 17404) ((-824 . -709) 17374) ((-494 . -1199) T) ((-362 . -302) T) ((-355 . -302) T) ((-344 . -302) T) ((-635 . -602) 17351) ((-410 . -138) T) ((-529 . -659) 17335) ((-112 . -302) T) ((-289 . -23) 17218) ((-529 . -641) 17202) ((-685 . -405) NIL) ((-529 . -376) 17186) ((-539 . -609) 17168) ((-96 . -1093) 17146) ((-112 . -1023) T) ((-569 . -147) T) ((-1253 . -155) 17130) ((-494 . -1039) 16957) ((-1238 . -149) 16918) ((-1238 . -151) 16879) ((-1053 . -1199) T) ((-996 . -609) 16861) ((-852 . -609) 16843) ((-813 . -1055) 16686) ((-1081 . -304) 16673) ((-220 . -1199) T) ((-779 . -304) 16660) ((-777 . -304) 16647) ((-813 . -120) 16469) ((-456 . -304) 16456) ((-1161 . -610) NIL) ((-1161 . -609) 16438) ((-1116 . -609) 16420) ((-1116 . -610) 16168) ((-1036 . -173) T) ((-848 . -609) 16150) ((-946 . -284) 16127) ((-604 . -524) 15875) ((-815 . -1039) 15859) ((-481 . -524) 15619) ((-966 . -718) T) ((-727 . -718) T) ((-707 . -718) T) ((-353 . -1105) T) ((-1168 . -609) 15601) ((-214 . -105) T) ((-494 . -380) 15570) ((-525 . -1093) T) ((-520 . -1093) T) ((-518 . -1093) T) ((-796 . -638) 15544) ((-1025 . -454) T) ((-960 . -524) 15477) ((-353 . -23) T) ((-1201 . -844) T) ((-627 . -138) T) ((-603 . -138) T) ((-356 . -454) T) ((-233 . -371) 15456) ((-382 . -173) T) ((-1236 . -1056) T) ((-1215 . -1056) T) ((-216 . -1004) T) ((-968 . -1091) T) ((-690 . -390) T) ((-421 . -718) T) ((-692 . -1208) T) ((-1130 . -631) 15404) ((-1266 . -1055) 15388) ((-581 . -865) 15372) ((-1148 . -1176) 15348) ((-706 . -1093) T) ((-692 . -559) T) ((-136 . -1093) 15326) ((-494 . -897) 15258) ((-219 . -1251) 15240) ((-219 . -1093) T) ((-146 . -1251) 15215) ((-163 . -1093) T) ((-649 . -43) 15185) ((-356 . -405) T) ((-311 . -151) 15164) ((-311 . -149) 15143) ((-125 . -559) T) ((-308 . -151) 15099) ((-308 . -149) 15055) ((-53 . -454) T) ((-159 . -1093) T) ((-146 . -1093) T) ((-1148 . -111) 15002) ((-1159 . -952) 14971) ((-779 . -1139) 14949) ((-681 . -39) T) ((-1266 . -120) 14928) ((-552 . -39) T) ((-495 . -111) 14912) ((-245 . -284) 14889) ((-244 . -284) 14866) ((-867 . -282) 14796) ((-50 . -1199) T) ((-813 . -1049) T) ((-1167 . -52) 14773) ((-813 . -325) 14735) ((-1081 . -43) 14584) ((-813 . -226) 14563) ((-779 . -43) 14392) ((-777 . -43) 14241) ((-736 . -52) 14218) ((-456 . -43) 14067) ((-635 . -610) 14028) ((-635 . -609) 13967) ((-582 . -1139) T) ((-527 . -1139) T) ((-1135 . -500) 13951) ((-1186 . -1093) 13929) ((-1130 . -25) T) ((-1130 . -21) T) ((-859 . -1056) T) ((-776 . -1056) T) ((-1248 . -1188) 13895) ((-1248 . -1185) 13861) ((-480 . -1056) T) ((-1216 . -789) NIL) ((-1216 . -792) NIL) ((-1001 . -844) 13840) ((-816 . -609) 13822) ((-855 . -21) T) ((-855 . -25) T) ((-796 . -718) T) ((-514 . -1091) T) ((-174 . -1208) T) ((-582 . -43) 13787) ((-527 . -43) 13752) ((-389 . -609) 13734) ((-322 . -609) 13716) ((-170 . -282) 13674) ((-1248 . -40) 13640) ((-1248 . -98) 13606) ((-68 . -1199) T) ((-121 . -105) T) ((-868 . -1093) T) ((-174 . -559) T) ((-706 . -709) 13576) ((-289 . -138) 13459) ((-216 . -609) 13441) ((-216 . -610) 13371) ((-1202 . -39) T) ((-1005 . -631) 13305) ((-1266 . -1049) T) ((-1111 . -151) T) ((-624 . -1176) 13280) ((-723 . -906) 13259) ((-592 . -39) T) ((-637 . -111) 13243) ((-624 . -111) 13189) ((-736 . -883) NIL) ((-1225 . -282) 13116) ((-723 . -638) 13041) ((-290 . -1199) T) ((-1167 . -1039) 12937) ((-736 . -1039) 12817) ((-1155 . -906) NIL) ((-1060 . -610) 12732) ((-1060 . -609) 12714) ((-342 . -105) T) ((-245 . -1055) 12611) ((-244 . -1055) 12508) ((-397 . -105) T) ((-955 . -609) 12490) ((-955 . -610) 12351) ((-705 . -609) 12333) ((-1264 . -1193) 12302) ((-493 . -609) 12284) ((-493 . -610) 12145) ((-258 . -414) 12129) ((-243 . -414) 12113) ((-245 . -120) 12003) ((-244 . -120) 11893) ((-1163 . -638) 11818) ((-1162 . -638) 11715) ((-1155 . -638) 11567) ((-1117 . -638) 11492) ((-353 . -138) T) ((-87 . -443) T) ((-87 . -398) T) ((-1005 . -25) T) ((-1005 . -21) T) ((-868 . -709) 11444) ((-382 . -286) T) ((-170 . -1004) 11395) ((-736 . -380) 11379) ((-685 . -390) T) ((-1001 . -999) 11363) ((-692 . -1105) T) ((-685 . -167) 11345) ((-1236 . -1093) T) ((-1215 . -1093) T) ((-311 . -1185) 11324) ((-311 . -1188) 11303) ((-1153 . -105) T) ((-311 . -961) 11282) ((-140 . -1105) T) ((-125 . -1105) T) ((-600 . -1251) 11266) ((-692 . -23) T) ((-600 . -1093) 11216) ((-96 . -524) 11149) ((-174 . -366) T) ((-1159 . -1228) 11133) ((-311 . -98) 11112) ((-311 . -40) 11091) ((-604 . -500) 11025) ((-140 . -23) T) ((-125 . -23) T) ((-710 . -1093) T) ((-481 . -500) 10962) ((-410 . -631) 10910) ((-644 . -1039) 10806) ((-736 . -897) 10749) ((-960 . -500) 10733) ((-357 . -1056) T) ((-354 . -1056) T) ((-343 . -1056) T) ((-258 . -1056) T) ((-243 . -1056) T) ((-867 . -610) NIL) ((-867 . -609) 10715) ((-1274 . -21) T) ((-576 . -1004) T) ((-723 . -718) T) ((-1274 . -25) T) ((-245 . -1049) 10645) ((-244 . -1049) 10575) ((-234 . -1055) 10521) ((-77 . -1199) T) ((-924 . -105) T) ((-245 . -226) 10473) ((-244 . -226) 10425) ((-234 . -120) 10364) ((-45 . -105) T) ((-907 . -1056) T) ((-1163 . -718) T) ((-1162 . -718) T) ((-1155 . -718) T) ((-1155 . -788) NIL) ((-1155 . -791) NIL) ((-1117 . -718) T) ((-924 . -922) 10322) ((-859 . -1093) T) ((-919 . -105) T) ((-776 . -1093) T) ((-765 . -105) T) ((-664 . -105) T) ((-480 . -1093) T) ((-338 . -1105) T) ((-1236 . -709) 10163) ((-174 . -1105) T) ((-315 . -918) 10142) ((-735 . -454) 10121) ((-868 . -173) T) ((-1215 . -709) 9935) ((-837 . -21) 9887) ((-837 . -25) 9839) ((-241 . -1137) 9823) ((-136 . -524) 9756) ((-410 . -25) T) ((-410 . -21) T) ((-338 . -23) T) ((-170 . -609) 9738) ((-170 . -610) 9504) ((-174 . -23) T) ((-635 . -284) 9481) ((-219 . -524) NIL) ((-146 . -524) NIL) ((-529 . -39) T) ((-895 . -609) 9463) ((-94 . -1199) T) ((-835 . -609) 9445) ((-805 . -609) 9427) ((-763 . -609) 9409) ((-669 . -609) 9391) ((-233 . -638) 9239) ((-1165 . -1093) T) ((-1161 . -1055) 9062) ((-1138 . -1199) T) ((-1116 . -1055) 8905) ((-848 . -1055) 8889) ((-1080 . -638) 8866) ((-1161 . -120) 8668) ((-1116 . -120) 8490) ((-848 . -120) 8469) ((-1225 . -610) NIL) ((-1225 . -609) 8451) ((-342 . -1139) T) ((-849 . -609) 8433) ((-1071 . -282) 8412) ((-234 . -1049) T) ((-85 . -1199) T) ((-1006 . -906) NIL) ((-604 . -282) 8388) ((-1186 . -524) 8321) ((-498 . -1199) T) ((-576 . -609) 8303) ((-481 . -282) 8282) ((-1081 . -224) 8266) ((-1006 . -638) 8216) ((-209 . -1199) T) ((-960 . -282) 8193) ((-912 . -638) 8145) ((-285 . -918) T) ((-814 . -302) 8124) ((-866 . -105) T) ((-779 . -224) 8108) ((-772 . -1093) T) ((-859 . -709) 8060) ((-776 . -709) 7998) ((-627 . -21) T) ((-627 . -25) T) ((-603 . -21) T) ((-342 . -43) 7963) ((-685 . -716) 7930) ((-498 . -881) 7912) ((-498 . -883) 7894) ((-480 . -709) 7735) ((-209 . -881) 7717) ((-69 . -1199) T) ((-209 . -883) 7699) ((-603 . -25) T) ((-430 . -638) 7673) ((-498 . -1039) 7633) ((-868 . -524) 7545) ((-209 . -1039) 7505) ((-233 . -39) T) ((-1002 . -1093) 7483) ((-1236 . -173) 7414) ((-1215 . -173) 7345) ((-704 . -149) 7324) ((-704 . -151) 7303) ((-692 . -138) T) ((-142 . -471) 7280) ((-465 . -105) T) ((-649 . -647) 7264) ((-1135 . -609) 7231) ((-125 . -138) T) ((-490 . -1208) T) ((-604 . -602) 7207) ((-481 . -602) 7186) ((-335 . -334) 7155) ((-542 . -1093) T) ((-1161 . -1049) T) ((-490 . -559) T) ((-237 . -236) 7139) ((-1116 . -1049) T) ((-848 . -1049) T) ((-233 . -788) 7118) ((-233 . -791) 7069) ((-233 . -790) 7048) ((-1161 . -325) 7025) ((-233 . -718) 6951) ((-960 . -19) 6935) ((-498 . -380) 6917) ((-498 . -337) 6899) ((-1116 . -325) 6871) ((-356 . -1260) 6848) ((-209 . -380) 6830) ((-209 . -337) 6812) ((-960 . -602) 6789) ((-1161 . -226) T) ((-657 . -1093) T) ((-1249 . -1093) T) ((-1173 . -1093) T) ((-1081 . -247) 6726) ((-357 . -1093) T) ((-354 . -1093) T) ((-343 . -1093) T) ((-258 . -1093) T) ((-243 . -1093) T) ((-89 . -1199) T) ((-137 . -105) 6704) ((-131 . -105) 6682) ((-736 . -302) 6661) ((-1173 . -606) 6640) ((-491 . -1093) T) ((-1204 . -105) T) ((-1129 . -1093) T) ((-491 . -606) 6619) ((-245 . -792) 6570) ((-245 . -789) 6521) ((-244 . -792) 6472) ((-45 . -1139) NIL) ((-244 . -789) 6423) ((-1075 . -918) 6374) ((-1006 . -791) T) ((-1006 . -788) T) ((-1006 . -718) T) ((-974 . -791) T) ((-969 . -1093) T) ((-912 . -718) T) ((-907 . -1093) T) ((-868 . -286) T) ((-96 . -500) 6358) ((-498 . -897) NIL) ((-859 . -173) T) ((-216 . -1055) 6323) ((-830 . -1105) 6302) ((-209 . -897) NIL) ((-776 . -173) T) ((-64 . -1093) 6252) ((-528 . -1093) 6230) ((-526 . -1093) 6180) ((-507 . -1093) 6158) ((-506 . -1093) 6108) ((-581 . -105) T) ((-569 . -105) T) ((-505 . -105) T) ((-480 . -173) 6039) ((-362 . -918) T) ((-355 . -918) T) ((-344 . -918) T) ((-216 . -120) 5988) ((-830 . -23) 5940) ((-430 . -718) T) ((-112 . -918) T) ((-45 . -43) 5885) ((-112 . -817) T) ((-582 . -351) T) ((-527 . -351) T) ((-1215 . -524) 5745) ((-311 . -454) 5724) ((-308 . -454) T) ((-1200 . -39) T) ((-831 . -282) 5703) ((-338 . -138) T) ((-174 . -138) T) ((-289 . -25) 5567) ((-289 . -21) 5450) ((-50 . -1176) 5429) ((-71 . -609) 5411) ((-889 . -609) 5393) ((-600 . -524) 5326) ((-50 . -111) 5276) ((-1095 . -428) 5260) ((-1095 . -371) 5239) ((-1061 . -1199) T) ((-1060 . -1055) 5226) ((-955 . -1055) 5069) ((-493 . -1055) 4912) ((-657 . -709) 4896) ((-1060 . -120) 4881) ((-955 . -120) 4703) ((-490 . -366) T) ((-357 . -709) 4655) ((-354 . -709) 4607) ((-343 . -709) 4559) ((-258 . -709) 4408) ((-243 . -709) 4257) ((-1254 . -105) T) ((-1253 . -105) 4207) ((-946 . -641) 4191) ((-1244 . -638) 4116) ((-493 . -120) 3938) ((-1237 . -638) 3835) ((-1216 . -638) 3687) ((-1216 . -906) NIL) ((-946 . -376) 3671) ((-1210 . -638) 3596) ((-79 . -609) 3578) ((-966 . -52) 3557) ((-614 . -1105) T) ((-1 . -1093) T) ((-702 . -105) T) ((-690 . -105) T) ((-1181 . -609) 3539) ((-1082 . -609) 3521) ((-1071 . -609) 3503) ((-907 . -709) 3468) ((-136 . -500) 3452) ((-776 . -524) 3284) ((-614 . -23) T) ((-393 . -23) T) ((-604 . -609) 3266) ((-92 . -1199) T) ((-604 . -610) NIL) ((-481 . -610) NIL) ((-481 . -609) 3248) ((-353 . -25) T) ((-353 . -21) T) ((-219 . -500) 3230) ((-137 . -304) 3168) ((-521 . -1093) T) ((-517 . -1093) T) ((-146 . -500) 3143) ((-131 . -304) 3081) ((-595 . -638) 3068) ((-217 . -62) 3036) ((-145 . -62) 2997) ((-216 . -1049) T) ((-594 . -638) 2922) ((-1204 . -304) NIL) ((-382 . -1004) T) ((-216 . -239) T) ((-216 . -226) T) ((-1159 . -105) T) ((-960 . -610) 2883) ((-960 . -609) 2822) ((-866 . -43) 2809) ((-1236 . -286) 2760) ((-1215 . -286) 2711) ((-1111 . -454) T) ((-512 . -844) T) ((-311 . -1127) 2690) ((-1001 . -151) 2669) ((-1001 . -149) 2648) ((-735 . -162) T) ((-735 . -147) T) ((-505 . -304) 2635) ((-290 . -1176) 2614) ((-490 . -1105) T) ((-867 . -1055) 2559) ((-616 . -105) T) ((-1186 . -500) 2543) ((-245 . -371) 2522) ((-244 . -371) 2501) ((-1159 . -280) 2479) ((-1060 . -1049) T) ((-290 . -111) 2429) ((-130 . -105) T) ((-126 . -105) T) ((-35 . -1091) T) ((-955 . -1049) T) ((-867 . -120) 2346) ((-490 . -23) T) ((-493 . -1049) T) ((-1060 . -226) T) ((-955 . -325) 2315) ((-493 . -325) 2272) ((-357 . -173) T) ((-354 . -173) T) ((-343 . -173) T) ((-258 . -173) 2183) ((-243 . -173) 2094) ((-966 . -1039) 1990) ((-727 . -1039) 1961) ((-1098 . -105) T) ((-1085 . -609) 1928) ((-1036 . -609) 1910) ((-1248 . -976) 1879) ((-1244 . -718) T) ((-1237 . -718) T) ((-1216 . -718) T) ((-1216 . -788) NIL) ((-1216 . -791) NIL) ((-859 . -286) T) ((-170 . -1055) 1789) ((-907 . -173) T) ((-776 . -286) T) ((-1210 . -718) T) ((-1264 . -155) 1773) ((-1005 . -341) 1747) ((-1002 . -524) 1680) ((-837 . -844) 1659) ((-569 . -1139) T) ((-480 . -286) 1610) ((-595 . -718) T) ((-364 . -609) 1592) ((-320 . -609) 1574) ((-421 . -1039) 1470) ((-594 . -718) T) ((-410 . -844) 1421) ((-170 . -120) 1310) ((-862 . -1056) T) ((-857 . -1056) T) ((-830 . -138) 1262) ((-729 . -155) 1246) ((-1253 . -304) 1184) ((-498 . -302) T) ((-382 . -609) 1151) ((-529 . -1012) 1135) ((-382 . -610) 1049) ((-209 . -302) T) ((-143 . -155) 1031) ((-706 . -282) 1010) ((-1159 . -304) 997) ((-498 . -1023) T) ((-581 . -43) 984) ((-569 . -43) 971) ((-505 . -43) 936) ((-219 . -282) 911) ((-146 . -282) 879) ((-209 . -1023) T) ((-867 . -1049) T) ((-831 . -609) 861) ((-824 . -609) 843) ((-822 . -609) 825) ((-813 . -906) 804) ((-1275 . -1105) T) ((-1225 . -1055) 627) ((-849 . -1055) 611) ((-867 . -239) T) ((-867 . -226) NIL) ((-681 . -1199) T) ((-1275 . -23) T) ((-813 . -638) 536) ((-552 . -1199) T) ((-421 . -337) 520) ((-576 . -1055) 507) ((-1225 . -120) 309) ((-692 . -631) 291) ((-849 . -120) 270) ((-384 . -23) T) ((-1173 . -524) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/compress.daase b/src/share/algebra/compress.daase
index fc7b523..d0b55f1 100644
--- a/src/share/algebra/compress.daase
+++ b/src/share/algebra/compress.daase
@@ -1,3 +1,3 @@
 
-(30 . 3524719203)            
-(4538 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U32Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |LowTriBddDenomInv| |pmComplexintegrate| |rightTrim| |width| |pToHdmp| |simplifyExp| |maxIndex| |tab| |firstDenom| |orbit| |logpart| |e01sff| |discreteLog| |uncouplingMatrices| |functionIsOscillatory| |semiIndiceSubResultantEuclidean| |perfectNthPower?| |empty| |compdegd| |null?| |ef2edf| |primextintfrac| |repeating?| |reverse!| |continuedFraction| |multiset| |primeFactor| |affineAlgSet| |obj| |expintegrate| |back| |input| |solveInField| |OMgetError| |sh| |test| |exponentialOrder| |ParCondList| |interpolateForms| |title| |selectIntegrationRoutines| |rules| |rank| |rewriteIdealWithHeadRemainder| |node| |flexible?| |LazardQuotient2| |Is| |routines| |constantLeft| |maxPoints| |setAttributeButtonStep| |write!| |minGbasis| |quotientByP| |newSubProgram| |se2rfi| |setelt!| |numerators| |asecIfCan| |exprHasWeightCosWXorSinWX| |primitivePart| |rightLcm| |numberOfCycles| |iiacosh| |dn| |complexEigenvectors| |fractionPart| |symmetricGroup| |slex| |newtonPolySlope| |setsubMatrix!| |ffactor| |solve1| |mathieu23| |complexForm| |call| |heapSort| |invmultisect| |Hausdorff| |exprex| |karatsuba| |evalIfCan| |bezoutDiscriminant| |bipolarCylindrical| |sbt| |complexSolve| |singularPoints| |binary| |genusTree| |parametric?| |lieAlgebra?| |cothIfCan| |posExpnPart| |frobenius| |getButtonValue| E1 |rightScalarTimes!| |trace| |toScale| |laurentIfCan| |HenselLift| |quasiMonic?| |OMreadStr| |associator| |uniform| |sech2cosh| |reorder| |hdmpToP| |complexElementary| |powmod| |lowerCase!| |squareTop| |deepestInitial| |invertIfCan| |digamma| |jacobian| |safety| |tanAn| |curve?| |definingEquations| |printTypes| |basisOfCentroid| |extractClosed| |terms| |exteriorDifferential| |transcendentalDecompose| |affineRationalPoints| |one?| |argument| |processTemplate| |df2fi| |tracePowMod| |OMputObject| |characteristicSet| |conjugate| |OMgetSymbol| |deleteRoutine!| |elRow2!| |satisfy?| |Ei1| |groebgen| |semiSubResultantGcdEuclidean1| |sumOfSquares| |graphStates| |dcopy| |bivariatePolynomials| |rightFactorIfCan| |presub| |removeSuperfluousCases| |iiasin| |primintfldpoly| |setleaves!| |lazyPrem| |baseRDE| |solid?| |shiftRight| |returnTypeOf| |applyTransform| |quadTransform| |computeCycleEntry| |linears| |resultantReduitEuclidean| |rational| |lex| |minset| |dmpToP| |cRationalPower| |powerSum| |taylorQuoByVar| |extension| |tanh2trigh| |Ei5| |freeOf?| |inBetweenExcpDiv| |OMbindTCP| |RemainderList| |primaryDecomp| |kroneckerDelta| |radix| |DiffAction| |universe| |SturmHabichtSequence| |intermediateResultsIF| |logGamma| |safeCeiling| |tanhIfCan| |hclf| |kovacic| |eval| |axServer| |localAbs| |showRegion| |cyclic?| |curve| |leadingCoefficientRicDE| |base| |numberOfFactors| |rangePascalTriangle| |swap| |coerceP| |removeConstantTerm| |coord| |OMreadFile| |matrix| |factorial| |Beta| |name| |UP2ifCan| |pointValue| |ocf2ocdf| |normalElement| |sin?| |lyndonIfCan| |eigenvector| |computeInt| |true| |sPol| |moebius| |sup| |homogeneous| |toseSquareFreePart| |subTriSet?| |eq| |infinite?| |argumentList!| |showTheRoutinesTable| |cylindrical| |OMcloseConn| |symbol?| |semiResultantEuclidean1| |nextSublist| |differentialVariables| |opeval| |fortranDouble| |randnum| |principal?| |squareFreeLexTriangular| |returns| |generalizedInverse| |iisinh| |car| |replaceVarByOne| |pr2dmp| |unparse| |belong?| |cdr| |viewpoint| |mkAnswer| |mainMonomial| |HermiteIntegrate| |sizeMultiplication| |rightUnit| |infinity| |blankSeparate| |elt| |fractRagits| |factorByRecursion| |qroot| |max| |equation| |redPo| |showFortranOutputStack| |scaleRoots| |OMputEndBVar| |map| |leftTrace| |failed| |scripted?| |tan2cot| |sinIfCan| |complexIntegrate| |prod| |logIfCan| |tubePointsDefault| |mantissa| |reduceLODE| |One| |subSet| |minordet| |getlo| |irreducible?| |ZetaFunction| |OMopenString| |lastNonNul| F |factorAndSplit| |ipow| |newLine| |factorPolynomial| |symbNameV| |expandLog| |ddFact| |lazyEvaluate| |cardinality| |scalarMatrix| |characteristicSerie| |double| |slash| |prime| |permanent| |curveColor| |maxColIndex| |tensorMap| |modTree| |leftDiscriminant| |unitNormal| |lazyPseudoDivide| |clearFortranOutputStack| |leftUnit| |lhs| |rur| |monomialIntegrate| |product| |solveLinearPolynomialEquation| |solveid| |refine| |aromberg| |antiCommutative?| |key?| |mapExpon| |updatD| |empty?| |moreAlgebraic?| |choosemon| |dimensionsOf| |mesh| |weakBiRank| |numberOfComponents| |OMgetFloat| |condition| |setsymbName!| |bsolve| |type| |complexEigenvalues| |rangeIsFinite| |arity| |abs| |startPolynomial| |qelt| |Lazard2| |rightRecip| |splitLinear| |spherical| |janko2| |biRank| |gcdcofact| |permutationGroup| |localIntegralBasis| |rightPower| |setcurve!| |outlineRender| |contractSolve| |suchThat| |setStatus!| |monicModulo| |restorePrecision| |cyclotomicFactorization| |mainVariable| |error| |factorCantorZassenhaus| |factors| |csch2sinh| |explicitEntries?| |doubleFloatFormat| |weights| |genericRightTrace| |pop!| |retractIfCan| |coordinates| |prefixRagits| |Ei3| |endOfFile?| |currentSubProgram| |coefficient| |reseed| |ScanFloatIgnoreSpacesIfCan| |iidigamma| |even?| |purelyTranscendental?| |prepareDecompose| |csubst| |LiePoly| |semiLastSubResultantEuclidean| |trapezoidalo| |checkForZero| |bumptab1| |birth| |pomopo!| = |second| |oddintegers| |machineFraction| |numericIfCan| |linSolve| |rootProduct| |isList| |totalDifferential| |clearTheFTable| < ~ |approximants| |unitNormalize| |build| |Ci| > |dcabs1| |distance| |rCoord| <= |rischDE| |setleft!| |size?| |theCurve| >= |withPredicates| |isQuotient| |reducedSystem| |gcdcofactprim| |factorGroebnerBasis| |makeYoungTableau| |finiteSeries2LinSysWOVectorise| |critBonD| |basicSet| |setImagSteps| |variableName| |cPower| |cache| + |infieldIntegrate| |rightQuotient| |shufflein| - |generalizedContinuumHypothesisAssumed| |intChoose| |enumerate| / |generic?| |OMgetEndBind| |multiplicative?| |datalist| |mkIntegral| |factorSquareFreePolynomial| |lagrange| |rightTrace| |iipow| |stack| |LyndonWordsList| |atan| |maxPoints3D| |rarrow| |complexNumeric| |acot| |precision| |commonDenominator| |finiteBound| |kernels| |asec| |harmonic| |relationsIdeal| |univariate| |acsc| |int| |mapCoef| |factor| |sinh| |previousTower| |semiDiscriminantEuclidean| |real| |cosh| |constant?| |corrPoly| |imag| |union| |tanh| |fortranCompilerName| |directProduct| |coth| |iiasinh| |limitedIntegrate| |destruct| |sech| |unravel| |commutativeEquality| |monomial| |csch| |row| |directory| |multiEuclidean| |multivariate| |lift| |asinh| |initParLocLeaves| |reduceRow| |variables| |reduce| |acosh| |fixedDivisor| |kernel| |iiacos| |atanh| |raisePolynomial| |negative?| |acoth| |removeZeroes| |taylor| |asech| |hue| |determinant| |laurent| |ratPoly| |imagk| |puiseux| |rightRegularRepresentation| |LyndonWordsList1| |any| |inv| |relerror| |quadraticNorm| |ground?| |whileLoop| |setMinPoints3D| |ground| |integralBasisAtInfinity| |bracket| |leadingMonomial| |library| |isMult| |stFuncN| |append| |generator| |nrows| |leftRemainder| |radicalSolve| |function| |reducedQPowers| |prinshINFO| |prem| |sincos| |rationalPoints| |cAcoth| |prevPrime| |degreePartition| |unaryFunction| |prolateSpheroidal| |enterInCache| |wronskianMatrix| |OMgetString| |lazyGintegrate| |KrullNumber| |polygon?| |remainder| |formula| |segment| |mainVariables| |fullInfClsPt| |curryRight| |external?| |RittWuCompare| |pade| |clearDenominator| |level| |physicalLength!| |zerosOf| |OMputEndBind| |desingTree| |makeCos| |critB| |round| |lo| |Not| |palglimint0| |plenaryPower| |incr| |map!| |getStream| |iiBesselK| |extract!| |pointPlot| |hi| |listOfTerms| |removeConjugate| |void| |OMsetEncoding| |isAbsolutelyIrreducible?| |outputFloating| |normalDenom| |maxRowIndex| |frst| |setlast!| |right| |resultantnaif| |setTex!| |zeroMatrix| |modularGcdPrimitive| |isExpt| |Or| |genericRightTraceForm| |subQuasiComponent?| |OMgetAttr| |maxSubst| |setlocalPoint!| |putGraph| |createLowComplexityTable| |laurentRep| |pseudoDivide| |oneDimensionalArray| |maxMixedDegree| |numFunEvals3D| |OMgetInteger| |revert| |removeSuperfluousQuasiComponents| |irreducibleFactor| |checkExtraValues| |complexLimit| |shuffle| |errorInfo| |basisOfRightNucloid| |Somos| |negAndPosEdge| |generalizedEigenvector| |log2| |printStatement| |listYoungTableaus| |lprop| |coerceImages| |chebyshevU| |length| |Frobenius| |iisqrt2| |mapUp!| |subMatrix| |hasPredicate?| |scripts| |extendIfCan| |generalPosition| |linearMatrix| |listexp| |defineProperty| |makeVariable| |OMsupportsSymbol?| |trunc| |constantOpIfCan| |probablyZeroDim?| |generate| |tableau| |palgextint0| |polCase| |stop| |alternating| |incrementBy| |bitCoef| |odd?| |rule| |laplace| |diffHP| |lowerCase?| |selectFiniteRoutines| |nary?| |schema| |expand| |OMwrite| |subPolSet?| |hypergeometric0F1| |apply| |elementary| |listRepresentation| |filterWhile| |iiacoth| |indicialEquation| |exprToGenUPS| |localUnquote| |getZechTable| |associatedSystem| |filterUntil| |argscript| |iteratedInitials| |ruleset| |extractIfCan| |removeCosSq| |brace| |graeffe| |associates?| |select| |cons| |vconcat| |rightFactorCandidate| |maxdeg| |extractIndex| |iiperm| |cAsec| |var1StepsDefault| |copy| |linearlyDependentOverZ?| |completeEchelonBasis| |more?| |makeSin| |distinguishedCommonRootsOf| |trigs| |arrayStack| |parametrize| |cCot| |symmetricDifference| |outputForm| |ref| |approxNthRoot| |primPartElseUnitCanonical| |baseRDEsys| |FormatArabic| |surface| |sdf2lst| |high| |characteristic| |translateToOrigin| |normalizedAssociate| |makeRecord| |divideIfCan| |viewZoomDefault| |useNagFunctions| |convergents| |constDsolve| |integerDecode| |dihedral| |OMopenFile| |permutationRepresentation| |squareFreePart| |list| |less?| |noncommutativeJordanAlgebra?| |displayAsGF| |pointSizeDefault| |lyndon?| |genericLeftNorm| |reindex| |completeSmith| |normal01| |partialFraction| |cubicBezier| |extractTop!| |alphabetic?| |setTopPredicate| |rootKerSimp| |symbolTableOf| |denomRicDE| |removeRedundantFactorsInPols| |rootPoly| |controlPanel| |iicosh| |generic| |useEisensteinCriterion| |sum| |getMultiplicationTable| |transcendenceDegree| |triangularSystems| |removeDuplicates| |constantRight| |cubic| |viewPhiDefault| |setref| |toroidal| |prologue| |combineFeatureCompatibility| |setRealSteps| |acotIfCan| |constant| |aQuadratic| |reduceByQuasiMonic| |rest| |failed?| |effective?| |dot| |singRicDE| |taylorRep| |reverse| |viewport3D| |desingTreeAtPoint| |insertBottom!| |iicsc| |redmat| |lSpaceBasis| |LyndonBasis| |setDifference| |stronglyReduced?| |option?| |guessExpRat| |setIntersection| |quadratic| |any?| |divideExponents| |tValues| |hcrf| UP2UTS |maxTower| |sylvesterSequence| |cup| |singularitiesOf| |origin| |dioSolve| |appendPoint| |genericRightDiscriminant| |allRootsOf| |gramschmidt| |setUnion| |search| |lookup| |matrixConcat3D| |size| |monomials| |discriminant| |polynomial| |lllp| |qnew| |divOfPole| |leftExtendedGcd| |commutative?| |substitute| |weierstrass| |setLabelValue| |say| |ReduceOrder| |gbasis| |cyclicCopy| |maxDegree| |tubeRadius| |badValues| |getMeasure| |debug| |OMgetApp| |graphs| |doubleRank| |sqfrFactor| |constantOperator| |exactQuotient!| |factorUsingMusser| |interpretString| |Yun| |bivariate?| |basisOfNucleus| |extendedIntegrate| |totalLex| |ptree| |genericRightNorm| |dimensionOfIrreducibleRepresentation| |setSingularPoints| |rquo| |outputFixed| |basisOfLeftNucloid| |palgint0| |rspace| |basisOfInterpolateFormsForFact| |simpsono| |pureLex| |associatorDependence| |conditionP| |makeop| |explicitlyEmpty?| |prepareSubResAlgo| |linearBezier| |createMultiplicationMatrix| |log10| |construct| |PollardSmallFactor| |someBasis| |cartesian| |idealiser| |typeList| |setParam!| |denominators| |clearTheIFTable| |fullDesTree| |subCase?| |nextColeman| FG2F |lexico| |decomposeFunc| |adaptive3D?| |cycleElt| |cn| |reciprocalPolynomial| |localParamV| |iilog| |iomode| |fffg| |setDegree!| |particularSolution| |iifact| |critMTonD1| |realRoots| |affineAlgSetLocal| |ravel| |lfintegrate| |parse| |axesColorDefault| |binaryFunction| |rischNormalize| |lexTriangular| |degreeSubResultantEuclidean| |palgLODE0| |outputGeneral| |besselJ| |keys| |iibinom| |iidsum| |divergence| |optpair| |classNumber| |coerce| |factorSquareFree| |meshFun2Var| |foundPlaces| |sec2cos| |groebSolve| |primes| |label| |figureUnits| |objects| |set| |nullary| |Ei4| |rightZero| |viewWriteDefault| |tryFunctionalDecomposition?| |vark| |reducedContinuedFraction| |repeatUntilLoop| |bandedHessian| |nilFactor| |and| |comment| |mirror| |adjunctionDivisor| |halfExtendedResultant2| |OMserve| |extendedEuclidean| |partialNumerators| |edf2ef| |float| |fixedPoints| |upperCase| |lazyIrreducibleFactors| |rdregime| |iiBesselJ| |testModulus| |getRef| |id| NOT |makeSUP| |acscIfCan| |declare| |OMreceive| |permutations| |rootSplit| |nthCoef| OR |iflist2Result| |integer| |monic?| |dAndcExp| |newReduc| |symmetricProduct| AND |lists| |returnType!| |limit| |goto| |lazyPseudoQuotient| |curveColorPalette| |rightMinimalPolynomial| |value| |nthExpon| RF2UTS |concat| |squareMatrix| |expr| |invertible?| |iiasech| |listAllMono| |antisymmetric?| |string| |linearDependence| |internal?| |child| |integral| |coth2tanh| |bernoulliB| |acschIfCan| |operator| |selectPDERoutines| |properties| |leadingIndex| |maxDerivative| |pdf2df| |quadratic?| |coefChoose| |hasoln| |setScreenResolution3D| |rationalPoint?| |totolex| |internalIntegrate0| |torsionIfCan| |minimumExponent| |lazyPremWithDefault| |table| |sn| |xor| |tubePlot| |phiCoord| |normalForm| |nonLinearPart| |geometric| |genericPosition| |linearlyDependent?| |op| |quasiAlgebraicSet| |thetaCoord| |regime| |linGenPos| |swapColumns!| |ode| |externalList| |functionIsFracPolynomial?| |redPol| * |cot2trig| |numberOfImproperPartitions| |ranges| |getOrder| |setClipValue| |trueEqual| |xCoord| |commaSeparate| |iisin| |doubleResultant| |monomialIntPoly| |cAtanh| |lfextendedint| |qShiftAction| |setStatus| |identification| |cTanh| |createPrimitiveElement| |functionName| |iCompose| |evalRec| |iiBeta| |copy!| |sturmSequence| |reduceBasisAtInfinity| |subtractIfCan| |graphCurves| |goppaCode| |An| |newton| |palgint| |pfaffian| |message| |key| |stoseInternalLastSubResultant| |paren| |replaceDiffs| |overbar| |moduloP| |stirling2| |lazyResidueClass| |indicialEquations| |placesAbove| |shanksDiscLogAlgorithm| |intersectionDivisor| |inverseLaplace| |identitySquareMatrix| |conditions| |removeRedundantFactors| |fibonacci| |alphanumeric| |debug3D| |sncndn| |rightCharacteristicPolynomial| |exponent| |imagJ| |subset?| |mainKernel| |mergeFactors| |gderiv| |zeroDimensional?| |localPointV| |primlimintfrac| |splitConstant| |polarCoordinates| |computePowers| |acothIfCan| |dimension| |df2st| |startTable!| |plus| |conical| Y |hconcat| |rischDEsys| |leftAlternative?| |duplicates?| |squareFreePolynomial| |OMencodingUnknown| |permutation| |numberOfPrimitivePoly| |cCoth| |minPol| |delta| |irreducibleFactors| |real?| |numberOfHues| |identity| |exp1| |removeIrreducibleRedundantFactors| |symbol| |algebraicDecompose| |quoByVar| |excpDivV| |affinePoint| |maxLevel| |roughBase?| |shiftLeft| |wordInGenerators| |fullOutput| |bat| |positive?| |Si| |supp| |one| |fortranLinkerArgs| |asimpson| |hasTopPredicate?| |internalLastSubResultant| |placesOfDegree| |unexpand| |quote| |generalizedEigenvectors| |leftCharacteristicPolynomial| |diagonals| |pointColorDefault| |zero| |shiftHP| |dmpToHdmp| |monicDivide| |makeViewport2D| |block| |completeHermite| |setAdaptive3D| |definingInequation| ^ |retract| |setLegalFortranSourceExtensions| |acsch| |partition| |previous| |gcdprim| LODO2FUN |OMlistSymbols| |exp| |postfix| |scanOneDimSubspaces| |headRemainder| |limitedint| |setPosition| |iExquo| |monicLeftDivide| |createThreeSpace| |pi| |squareFree| |child?| |crushedSet| |fortranTypeOf| |basisOfLeftNucleus| |setRow!| |nextIrreduciblePoly| |normalizeIfCan| |sqrt| |diagonalMatrix| |magnitude| |minrank| |halfExtendedSubResultantGcd1| |exprToXXP| F2EXPRR |reduction| |chineseRemainder| |sumOfKthPowerDivisors| |updateStatus!| |nextsubResultant2| |polyred| |f04axf| |algint| |li| |lazyPquo| |pack!| |algebraicOf| |viewWriteAvailable| |viewport2D| |minus!| |f04atf| |erf| |normal| |interpolate| |OMgetAtp| |selectfirst| |invertibleSet| |uniform01| |eulerE| |f04asf| |linearAssociatedOrder| |safeFloor| |evaluateInverse| |subspace| |addPointLast| |modularFactor| |degree| |zeroOf| |balancedBinaryTree| |setprevious!| |weight| |LagrangeInterpolation| |pToDmp| |separate| |internalDecompose| |f04arf| |find| |mapUnivariate| |innerEigenvectors| |dilog| |rem| |printInfo!| |infieldint| |inrootof| |elRow1!| |wordsForStrongGenerators| |selectMultiDimensionalRoutines| |sin| |algebraicSort| |initials| |rationalPlaces| |bernoulli| |f04adf| |associatedEquations| |compiledFunction| |normalize| |cos| |cyclePartition| |quo| |stiffnessAndStabilityFactor| |setexcpDiv!| |stiffnessAndStabilityOfODEIF| |leadingBasisTerm| |cAcsch| |tan| |fortranReal| |e01sbf| |headReduce| |numberOfComputedEntries| |iicot| |indexName| |ideal| |cot| |mainMonomials| |/\\| |mightHaveRoots| |rightMult| |innerSolve1| |palgextint| |exponential| |sec| |\\/| |squareFreeFactors| |string?| |listOfLists| |continue| |euclideanGroebner| |randomR| |csc| |makeUnit| |expandTrigProducts| |algebraicSet| |order| |chartV| |OMgetType| |asin| |findTerm| |drawCurves| |fixedPointExquo| |integrate| |dictionary| |nextPrimitiveNormalPoly| ~= |acos| |quotedOperators| |stoseInvertible?| |colorDef| |setFoundZeroes| |f07fef| |localize| |nthr| |makeprod| |extensionDegree| |untab| |f07fdf| |normalDeriv| |mainValue| |nsqfree| |diagonal?| |listLoops| |f07aef| |setright!| |null| |leftMult| |showTheIFTable| |aCubic| |mdeg| |f07adf| |fortranLiteral| |root| |semiResultantEuclideannaif| |asinhIfCan| |jacobiIdentity?| |ord| |redpps| |simpson| |medialSet| |interReduce| |s17dlf| |recolor| GF2FG |rightAlternative?| |guessBinRat| |divide| |s17dhf| |radical| |ceiling| |realEigenvectors| |resultantEuclidean| |jacobi| |s17dgf| |En| |makeResult| |goodnessOfFit| |tableForDiscreteLogarithm| |f02xef| |euclideanSize| |represents| |complex?| |OMputAtp| |height| |f02wef| |changeNameToObjf| |pushucoef| |collect| |countRealRoots| |f02fjf| |basisOfRightAnnihilator| |fortranInteger| |stoseInvertibleSet| |subs1stVar| |f02bjf| |update| |qPot| |addPoint2| |leftFactor| |ramified?| |f02bbf| |factorSqFree| |cycleTail| |multiplicity| |screenResolution3D| |f02axf| |repSq| |createGenericMatrix| |evenInfiniteProduct| |intersect| |f02awf| |ScanFloatIgnoreSpaces| |f02akf| |B1solve| |nthRootIfCan| |mapExponents| |new| |ratDsolve| |integralDerivationMatrix| |positiveSolve| |rootsOf| |f02ajf| |lcm| |areEquivalent?| |moebiusMu| |trim| |affineSingularPoints| |f02agf| |expint| |listConjugateBases| |infRittWu?| |polyRicDE| |iiatan| |eyeDistance| |PDESolve| |showArrayValues| |f02aff| |generalizedContinuumHypothesisAssumed?| |rootNormalize| |setMinPoints| |iiacsc| |f02aef| |symmetricSquare| |algintegrate| |sumOfDivisors| |graphState| |f02adf| |internalIntegrate| |entries| |power!| |f02abf| |incrementKthElement| |explicitlyFinite?| |karatsubaOnce| |concat!| |f02aaf| |pushdown| |rightOne| |showAllElements| |Musser| |measure| |validExponential| |inGroundField?| |position!| |listBranches| |iprint| |setnext!| |ignore?| |selectPolynomials| |polar| |space| |gcd| |cCosh| |roughSubIdeal?| |bumprow| |tubePoints| |branchPoint?| |prindINFO| |cSech| |integralLastSubResultant| |backOldPos| |mapSolve| |false| |qsetelt!| |generators| |rowEchLocal| |orbits| |hasSolution?| |standardBasisOfCyclicSubmodule| |numberOfIrreduciblePoly| |rowEchWoZeroLines| |numberOfVariables| |selectAndPolynomials| LT |stopTable!| |bfEntry| |numFunEvals| |makeEq| |excepCoord| |characteristicPolynomial| |maxPower| |interval| |definingPolynomial| |makeMulti| |numberRatPlacesExtDeg| |perfectNthRoot| |semiDegreeSubResultantEuclidean| |sinh2csch| |primeFrobenius| |triangulate| |columnSpace| |chebyshevT| |retractToGrn| |infinityNorm| |initializeGroupForWordProblem| |makeSeries| |countRealRootsMultiple| |mainVariable?| |inc| |triangSolve| |qShiftC| |primintegrate| |iroot| |sub| |getExplanations| |calcRanges| |rootSimp| |minimalPolynomial| |extractProperty| |newElement| |subst| |coerceS| |mathieu24| |latex| |pole?| |iicsch| |shiftRoots| |cycleSplit!| |domainOf| |deepestTail| |stoseLastSubResultant| |groebnerIdeal| |subresultantSequence| |messagePrint| |oddlambert| |f2st| |Aleph| |setmult!| |stopMusserTrials| |numberOfChildren| |bag| |rootPower| |minPoints| |lazy?| |nextNormalPoly| |zoom| |vertConcat| |rightRankPolynomial| |algSplitSimple| |sumSquares| |dimensions| |integerIfCan| |fractionFreeGauss!| |ncols| |maxrow| |branchPointAtInfinity?| |computeBasis| |mkPrim| |cCsc| |rightRemainder| |factorset| |chvar| |groebner| |OMParseError?| |cond| |rightGcd| |dequeue!| |sample| |generalSqFr| |tryFunctionalDecomposition| |directSum| |leaves| |changeName| |rationalApproximation| |cCos| |e02bcf| |replaceVarByZero| |rightNorm| |setchart!| |euler| |e02bbf| |epilogue| |depth| |changeVar| |musserTrials| |critM| |tan2trig| |e02baf| |equality| |createLowComplexityNormalBasis| |gnuDraw| |indiceSubResultant| |e02akf| |count| |sechIfCan| |isPower| |sin2csc| |lighting| |e02ajf| LE |transpose| |merge!| |digits| |readLine!| |e04ycf| |acoshIfCan| |asinIfCan| |outputMeasure| |toseLastSubResultant| |e04ucf| |pointLists| |univcase| |integralMatrix| |green| |e04naf| |noLinearFactor?| |lowerCase| |lastSubResultantElseSplit| |approxSqrt| |e04mbf| |declare!| |introduce!| |OMputError| |deepExpand| |oddInfiniteProduct| |parent| |e04jaf| |getSmgl| |charpol| |OMsend| |patternMatch| |resetBadValues| |e04gcf| |copyIto| |divisors| |colorFunction| |viewThetaDefault| GT |e04fdf| |copyBSD| |point| |translate| |over| |inverseColeman| |e04dgf| |systemCommand| |convertIfCan| |lowerPolynomial| |decrease| |topPredicate| |f01ref| |testDim| |daxpy| |delay| |f01rdf| |quatern| |rightTraceMatrix| |homogeneous?| |f01rcf| |super| |OMclose| |tRange| |f01qef| |divOfZero| |cyclotomic| |certainlySubVariety?| |f01qdf| |ScanRoman| |nextNormalPrimitivePoly| |fixedPoint| |f01qcf| |evenlambert| |increasePrecision| |tanh2coth| |f01mcf| |partialDenominators| |interpret| |laguerre| |sparsityIF| |f01maf| |cot2tan| |quasiMonicPolynomials| |front| |f01bsf| |oblateSpheroidal| |ricDsolve| |paraboloidal| |f01brf| |exquo| |floor| |tree| |finiteSeries2Vector| |div| |create| |palgLODE| |readIfCan!| |pquo| |parabolic| |minimalForm| ^= |seriesToOutputForm| |guess| |definingField| |reset| |cscIfCan| |primitivePart!| |firstNumer| |write| GE |rowEch| |compactFraction| |superHeight| |save| |genusTreeNeg| |gcdPrimitive| |exponential1| |stoseInvertible?sqfreg| |bits| |secIfCan| |queue| |leftTrim| |ran| |ode2| |sylvesterMatrix| |mesh?| |cAcsc| |common| |contract| |setValue!| |nil| |closeComponent| |leadingExponent| |laguerreL| |coerceListOfPairs| |legendreP| |print| |rewriteIdealWithQuasiMonicGenerators| |assoc| |leftTraceMatrix| |generalInterpolation| |qinterval| |approximate| |rightExtendedGcd| |aQuartic| |complex| |fortranCharacter| |enterPointData| |leftRank| |integerBound| |OMputEndAtp| |open?| |sizePascalTriangle| |initiallyReduce| |removeRoughlyRedundantFactorsInPols| |lazyIntegrate| |trivialIdeal?| |extractSplittingLeaf| |delete| |intensity| |modifyPointData| |bright| |setrest!| |lintgcd| |components| |padicFraction| |viewDeltaYDefault| |halfExtendedSubResultantGcd2| |output| |var2StepsDefault| D |rationalPower| |perfectSquare?| |symFunc| |OMputSymbol| |selectOptimizationRoutines| |localParam| |leftLcm| |reopen!| |exprToUPS| |ratpart| |removeSquaresIfCan| |sorted?| |lfinfieldint| |shift| |tanIfCan| |univariatePolynomialsGcds| |projectivePoint| |component| |inRadical?| |toseInvertibleSet| |scan| |d| |e02dff| |psolve| |points| |nodeOf?| |numberOfPlacesOfDegree| |basisOfCommutingElements| |flagFactor| |useSingleFactorBound?| |changeBase| |e02def| |wreath| |iiasec| |expextendedint| |expintfldpoly| |e02ddf| |shrinkable| |listOfMonoms| |mapmult| |e02dcf| |stripCommentsAndBlanks| |escape| |e02daf| |makeViewport3D| |rationalFunction| |meatAxe| |setpoint!| |elColumn2!| |e02bef| |subNode?| |numberOfValuesNeeded| |localReal?| |sort!| |guessAlg| |symbolIfCan| |e02bdf| |zRange| |degreeSubResultant| |nthFactor| |minusInfinity| |cfirst| |createNormalPoly| |e| |mindegTerm| |quasiRegular?| |multiplyExponents| |plusInfinity| |isPlus| |modulus| |hasHi| |generalInfiniteProduct| |coefOfFirstNonZeroTerm| |iitanh| |univariatePolynomials| |ellipticCylindrical| |supDimElseRittWu?| |factorOfDegree| |rk4| |realEigenvalues| |rational?| |imagK| |getGoodPrime| |subResultantChain| |compose| |possiblyInfinite?| |inconsistent?| |normalise| |writeLine!| |swap!| |sort| |char| F2FG |mindeg| |flexibleArray| |list?| |finiteBasis| |next| |linearDependenceOverZ| |sturmVariationsOf| |ramifiedAtInfinity?| |lflimitedint| |mapdiv| |fullOut| |minColIndex| |partitions| |bumptab| |bottom!| |weighted| |selectsecond| |shellSort| |suffix?| |d01gbf| |truncate| |eq?| |split!| |idealiserMatrix| |froot| |measure2Result| |fortranLiteralLine| |pointDominateBy| |abelianGroup| |d01gaf| |mr| |actualExtensionV| |resetAttributeButtons| |polyRingToBlUpRing| |hdmpToDmp| |d01fcf| |preprocess| |insertTop!| |lBasis| |d01bbf| |status| |subHeight| |stFunc2| |setfirst!| |rroot| |palgRDE0| |eigenMatrix| |leviCivitaSymbol| |createIrreduciblePoly| |conjugates| |tablePow| |d01asf| |viewPosDefault| |integers| |exists?| |move| |insert!| |infLex?| |fill!| |constantIfCan| |cAcot| |expenseOfEvaluationIF| |showTheFTable| |rename| |maxint| |d02raf| |identityMatrix| |zeroSquareMatrix| |omError| |euclideanNormalForm| |d02kef| |monicDecomposeIfCan| |primitiveElement| EQ |mpsode| |resize| |setlocalParam!| |mainContent| |increment| |semiResultantEuclidean2| |lexGroebner| |d02gbf| |OMsupportsCD?| |palgintegrate| |OMunhandledSymbol| |setClosed| |submod| |lifting1| |perspective| |solveRetract| |d02gaf| |chiSquare1| |charClass| |nullary?| |summation| |leftFactorIfCan| |sts2stst| |systemSizeIF| |d02ejf| |DiffC| |seriesSolve| |eisensteinIrreducible?| |fullParamInit| |univariate?| |OMputVariable| |factor1| |d02cjf| |printCode| |mergeDifference| |radicalRoots| |subscriptedVariables| |prefix?| |iipolygamma| |outputArgs| |open| |d02bhf| |credPol| |wholeRagits| |copies| |generalLambert| |rootRadius| |multV| |nextsousResultant2| |d02bbf| |transcendent?| |upperCase!| |localParamOfSimplePt| |inverseIntegralMatrixAtInfinity| |getGraph| |distdfact| |Ei2| |linearPolynomials| |e02ahf| |mainSquareFreePart| |functionIsContinuousAtEndPoints| |deref| |qfactor| |usingTable?| |substring?| |reduced?| |limitPlus| |resetVariableOrder| |palginfieldint| |OMputAttr| |selectODEIVPRoutines| |viewDefaults| |clipPointsDefault| |multinomial| |hyperelliptic| |mapMatrixIfCan| |rootOfIrreduciblePoly| |reduceRowOnList| |OMgetBind| |internalInfRittWu?| |comparison| |duplicates| |leftPower| |foundZeroes| |changeThreshhold| |top| |viewDeltaXDefault| |pushup| |rotate| |allDegrees| |upperCase?| |stirling1| |leftRankPolynomial| |d03faf| |stosePrepareSubResAlgo| |makeGraphImage| |setProperties| |LiePolyIfCan| |merge| |d03eef| |difference| |min| |imagj| |countable?| |traceMatrix| |socf2socdf| |diag| |groebner?| |content| |SturmHabichtMultiple| |d03edf| |addiag| |printingInfo?| |numberOfNormalPoly| |fintegrate| |midpoint| |subResultantGcd| |pile| |rowEchelonLocal| |push!| |ksec| |monomRDEsys| |knownInfBasis| |tanQ| |critpOrder| |options| |rightDiscriminant| |unprotectedRemoveRedundantFactors| |elliptic?| |OMgetEndAtp| |denomLODE| |autoReduced?| |droot| |connect| |degreeOfMinimalForm| |regularRepresentation| |representationType| |startTableGcd!| |basisOfRightNucleus| |totalfract| |subResultantsChain| |expIfCan| |lfextlimint| |chiSquare| |cAcos| |seed| |cAsin| |jordanAdmissible?| |removeFirstZeroes| |iiabs| |tube| |clip| |genusNeg| |series| |selectOrPolynomials| |multiEuclideanTree| |fTable| |desingTreeWoFullParam| |tensorProduct| |besselK| |evaluate| |virtualDegree| |var2Steps| |semiResultantReduitEuclidean| |primitive?| |patternMatchTimes| |explimitedint| |trapezoidal| |expt| |cycles| |hash| UTS2UP |degOneCoef| |zCoord| |normal?| |nthFlag| |var1Steps| |besselY| |binaryTree| |Zero| |deriv| |leftZero| |guessRat| |rotatex| |clikeUniv| |showScalarValues| |iiBesselI| |startStats!| |cAcosh| |jordanAlgebra?| |lambert| |polynomialZeros| |coefficients| |unitCanonical| |removeDuplicates!| |clearTheSymbolTable| |xn| |clipBoolean| |bitLength| |copyInto!| |algDsolve| |tubeRadiusDefault| |presuper| |conditionsForIdempotents| |symmetricRemainder| |minPoints3D| |dasum| |simplifyLog| |scalarTypeOf| |safetyMargin| |leftScalarTimes!| |c05nbf| |leftGcd| |direction| |repeating| |llprop| |c05adf| |halfExtendedResultant1| |interpolateFormsForFact| |initiallyReduced?| |genericLeftTrace| |quoted?| |csc2sin| |pointData| |makeFloatFunction| |c06gsf| |ridHack1| |t| |chainSubResultants| |column| |parabolicCylindrical| |df2ef| |divideIfCan!| |c06gqf| |largest| |diagonal| |fixPredicate| |getDomains| |recip| |polygamma| |monicRightDivide| |operators| |f2df| |number?| |c06gcf| |coHeight| |pointColor| |meshPar1Var| |moduleSum| |drawComplex| |c06gbf| |addBadValue| |torsion?| |setColumn!| |OMread| |curryLeft| |cSinh| |or| |rightRank| |balancedFactorisation| |curveV| |c06fuf| |GospersMethod| |alternatingGroup| |hexDigit| |quotVecSpaceBasis| |nextSubsetGray| |c06frf| |generalTwoFactor| |elements| |collectUnder| |physicalLength| |separateFactors| |OMgetBVar| |makeSketch| |factorSFBRlcUnit| |imagE| |c06fqf| |createHN| |outputList| |parts| |unrankImproperPartitions0| |c06fpf| |shade| |lazyVariations| |complexNumericIfCan| |separateDegrees| |mat| |numericalIntegration| |meshPar2Var| |c06ekf| |setEpilogue!| |OMReadError?| |outputAsTex| |checkOptions| |tanNa| |leaf?| |ScanArabic| |binaryTournament| |setScreenResolution| |mainForm| |c06ecf| |realSolve| |resultant| |transCoord| |xRange| |saturate| |derivationCoordinates| |c06ebf| |extend| |resultantEuclideannaif| |findCycle| |algebraicVariables| |nonQsign| |primlimitedint| |initTable!| |c06eaf| |extendedResultant| |constantCoefficientRicDE| |pointColorPalette| |sayLength| |rk4qc| |s17def| |modifyPoint| |optional?| |strongGenerators| |resultantReduit| |neglist| |dominantTerm| |cyclicSubmodule| |s17dcf| |SturmHabichtCoefficients| |stopTableInvSet!| |monomial?| |setCondition!| |smith| |leastAffineMultiple| |bitTruth| |has?| |style| |factorsOfCyclicGroupSize| |s17akf| |roughEqualIdeals?| |index?| |variable| |setButtonValue| |match?| |ratDenom| |deleteProperty!| |pmintegrate| |s17ajf| |pointInIdeal?| |bringDown| |mathieu11| |leftOne| |basisOfLeftAnnihilator| |cAsinh| |s17ahf| |mainCoefficients| |float?| |rootOf| |leftExactQuotient| |fullDisplay| |partialQuotients| |createNormalElement| |relativeApprox| |s17agf| |minIndex| |ptFunc| |suppOfPole| |overlap| |stepBlowUp| |setFieldInfo| |basisOfInterpolateForms| |s17aff| |region| |createPrimitivePoly| |factorFraction| |compBound| |square?| |property| |edf2efi| |composites| |atrapezoidal| |s17aef| |optimize| |atoms| |integralBasis| |light| |fillPascalTriangle| |lfunc| |getShiftRec| |movedPoints| |s17adf| |itsALeaf!| |close| |OMlistCDs| |bezoutResultant| |expenseOfEvaluation| |varselect| |branchIfCan| |s17acf| |closedCurve?| |iiatanh| |nextPrimitivePoly| |graphImage| |rotatey| |extractBottom!| |dequeue| |s15aef| |antisymmetricTensors| |units| |getPickedPoints| |rightDivide| |complement| |iicos| |forLoop| |topFortranOutputStack| |s15adf| |makingStats?| |orderIfNegative| |pseudoQuotient| |zeroVector| |pascalTriangle| |insert| |display| |s14baf| |purelyAlgebraic?| |reverseLex| |reduceLineOverLine| |expPot| |writeObj| |multiplyCoefficients| |singleFactorBound| |whatInfinity| |triangular?| |s14abf| |besselI| |makeFR| |rk4a| |OMgetEndBVar| |realElementary| |code| |retractable?| |mix| |s14aaf| |integral?| |inf| |sign| |hermiteH| |eigenvectors| |setPredicates| |lquo| |s13adf| |blowUp| |nullSpace| |linear?| |cCsch| |skewSFunction| |s13acf| |startTableInvSet!| |toseInvertible?| |chartCoord| |rename!| |rk4f| |nextPrime| |cSec| |s13aaf| |radicalEigenvalues| |complete| |member?| |loopPoints| |unvectorise| |primextendedint| |suppOfZero| |symmetricPower| |logical?| |s01eaf| |badNum| |filterUpTo| |absolutelyIrreducible?| |axes| |entry?| |algebraic?| |s21bdf| |firstUncouplingMatrix| |unrankImproperPartitions1| |indiceSubResultantEuclidean| |perfectSqrt| |ldf2lst| |brillhartTrials| |singularAtInfinity?| |reshape| |univariatePolynomial| |s21bcf| |rightExactQuotient| |removeRoughlyRedundantFactorsInContents| |monomRDE| |crest| |Ei6| |taylorIfCan| |atom?| |s21bbf| |readLineIfCan!| |rewriteSetWithReduction| |nullity| |OMputEndApp| |linearAssociatedLog| |pol| |factorsOfDegree| |s21baf| |linearPart| |parametersOf| |viewSizeDefault| |lastNonNull| |constantKernel| |setOfMinN| |unmakeSUP| |s20adf| |octon| |numberOfDivisors| |hermite| |fortranCarriageReturn| |getCode| |transform| |lyndon| |companionBlocks| |e02agf| |setCurve| |script| |packageCall| |solveLinearPolynomialEquationByRecursion| |optAttributes| |s20acf| |adjoint| |setchildren!| |prime?| |position| |OMmakeConn| |OMconnectTCP| |invertibleElseSplit?| |SFunction| |quickSort| |hMonic| |d01aqf| |ramifMult| |OMputBind| |setOrder| |double?| |s19adf| |yRange| |possiblyNewVariety?| |color| |patternVariable| |clearTable!| |setErrorBound| |completeEval| |digit| |clipWithRanges| |complexZeros| |integer?| |d01apf| |twist| |numeric| |exprHasAlgebraicWeight| |setsubmult!| |df2mf| |option| |inHallBasis?| |airyBi| |s19acf| |wholePart| |solveLinearPolynomialEquationByFractions| |changeWeightLevel| |create3Space| |radPoly| |d01anf| |mainDefiningPolynomial| |acosIfCan| |middle| |ode1| |fortran| |rotatez| |OMencodingXML| |bombieriNorm| |rootBound| |bandedJacobian| |d01amf| SEGMENT |dark| |listAllMonoExp| |rightUnits| |entry| |writable?| |signAround| |d01alf| |addPoint| |selectSumOfSquaresRoutines| |And| |ParCond| |slope| |splitSquarefree| |mapDown!| |bipolar| |s19abf| |hspace| |lp| |power| |vedf2vef| |createPrimitiveNormalPoly| |symbolTable| |radicalOfLeftTraceForm| |showTypeInOutput| |morphism| |integralMatrixAtInfinity| |d01akf| |stoseInvertible?reg| |complexRoots| |curry| |pushFortranOutputStack| |simpleBounds?| |Nul| |s19aaf| |zero?| |Gamma| |fracPart| |powers| |convert| |filename| |nor| |numberOfOperations| |drawToScale| |d01ajf| |overset?| |popFortranOutputStack| |flatten| |OMputEndObject| |palglimint| |top!| |consnewpol| |s18def| |orthonormalBasis| |midpoints| |left| |roughBasicSet| |stoseInvertibleSetreg| |outputAsFortran| |inverseIntegralMatrix| |s18dcf| |zeroSetSplitIntoTriangularSystems| |subs2ndVar| |multiple| |intcompBasis| |integralCoordinates| |newtonPolygon| |s18aff| |nextItem| |subResultantGcdEuclidean| |doubleDisc| |optional| |printHeader| |leftMinimalPolynomial| |coercePreimagesImages| |trigs2explogs| |laplacian| |s18aef| |exponents| |irreducibleRepresentation| |quadraticBezier| |lambda| |adaptive| |in?| |s18adf| |OMconnOutDevice| |not| |solveLinear| |maxShift| |createNormalPrimitivePoly| |divisorAtDesingTree| |s18acf| |numberPlacesDegExtDeg| |FormatRoman| |specialTrigs| |insertRoot!| |f04qaf| |homogenize| |cosSinInfo| |fmecg| |integralRepresents| |zag| |applyQuote| |f04mcf| |pdct| |semicolonSeparate| |cAtan| |leadingSupport| |fprindINFO| |f04mbf| |numberOfFractionalTerms| |inspect| |linkToFortran| |setvalue!| |critT| |factorUsingYun| |f04maf| |stFunc1| |trailingCoefficient| |internalAugment| |radicalEigenvectors| |differentiate| |squareFreePrim| |f04jgf| |shiftInfoRec| |purelyAlgebraicLeadingMonomial?| |cross| |addMatch| |f04faf| |quartic| |coleman| |radicalSimplify| |fullPartialFraction| |heap| |basisOfMiddleNucleus| |rst| |varList| |module| |vector| |mapUnivariateIfCan| |infClsPt?| |powerAssociative?| |predicates| |nthFractionalTerm| |antiAssociative?| |sequences| |iiGamma| |dflist| |leftUnits| |tex| |genericLeftDiscriminant| |rotate!| |basis| |removeSinhSq| |OMUnknownSymbol?| |totalGroebner| |sizeLess?| |readable?| |argumentListOf| |monicRightFactorIfCan| |cSin| |initializeParamOfPlaces| |leadingIdeal| |fortranLogical| |btwFact| |Lazard| |iisec| |digit?| |character?| |critMonD1| |leadingTerm| |wholeRadix| |genus| |trace2PowMod| |henselFact| |charthRoot| |red| |distinguishedRootsOf| |cap| |removeSinSq| |additive?| |cos2sec| |iiAiryBi| |makeTerm| |cAsech| |matrixDimensions| |pointToPlace| |conjug| |sinhcosh| |bezoutMatrix| |prefix| |complexNormalize| |setAdaptive| |result| |blue| |OMputString| |subMultV| |head| |stopTableGcd!| |normalized?| |insertionSort!| |times!| |rubiksGroup| |roman| |stronglyReduce| |guessRec| |hessian| |supersub| |qqq| |printInfo| |lastSubResultant| |bat1| |mathieu12| |useSingleFactorBound| |minRowIndex| |mkcomm| |wordInStrongGenerators| |gethi| |quadraticForm| |LyndonCoordinates| |index| |adaptive?| |initial| |newTypeLists| |minimumDegree| |tower| |reducedDiscriminant| |elliptic| |shallowCopy| |leftRegularRepresentation| |normFactors| |getBadValues| |OMgetObject| |totalDegree| |leadingCoefficient| |iitan| |prinb| |primitiveMonomials| |yCoord| |matrixGcd| |solveLinearlyOverQ| |OMputInteger| |reductum| |pseudoRemainder| |finiteSeries2LinSys| |eigenvalues| |SturmHabicht| |reducedForm| |pair?| |setEmpty!| |problemPoints| |is?| |center| |positiveRemainder| |nodes| |antiCommutator| |palgRDE| |cycleLength| |rowEchelon| |singular?| |quasiComponent| |elem?| |leftQuotient| |doubleComplex?| |box| |init| |innerint| |guessHP| |cosIfCan| |firstExponent| |realZeros| |hex| |multMonom| |cExp| |numerator| |extDegree| |dmp2rfi| |linear| |genericRightMinimalPolynomial| |zeroDimPrimary?| |bfKeys| |normInvertible?| |algebraicCoefficients?| |flush| |yCoordinates| |isOp| |structuralConstants| |enqueue!| |iiBesselY| |userOrdered?| |zeroDimPrime?| |OMUnknownCD?| |polygon| |traverse| |replaceKthElement| |low| |expressIdealMember| |fglmIfCan| |setTower!| |clipSurface| |maxrank| |radicalEigenvector| |minPoly| |OMputEndAttr| |distribute| |OMputBVar| |close!| |setPrologue!| |binomThmExpt| |isTimes| |indicialEquationAtInfinity| |solid| |times| |composite| |OMencodingBinary| |iiexp| |youngGroup| |pattern| |comp| |mathieu22| |myDegree| |att2Result| |Ei| |mapGen| |fortranComplex| |listVariable| |insertMatch| |coth2trigh| |zeta| |cycle| |ShiftAction| |padecf| |bubbleSort!| |UnVectorise| |tab1| |highCommonTerms| |children| |diophantineSystem| |numer| |iiacot| |drawComplexVectorField| |iter| |factorList| |denom| |subresultantVector| |OMgetEndError| |deepCopy| |idealSimplify| |cyclic| |draw| |aspFilename| |finite?| |rectangularMatrix| |mulmod| |makeObject| |subsInVar| |guessPade| |stoseIntegralLastSubResultant| |innerSolve| |explogs2trigs| |OMgetEndAttr| |UpTriBddDenomInv| |coef| |ShiftC| |cyclotomicDecomposition| |setMaxPoints3D| |symmetric?| |monom| |useEisensteinCriterion?| |setFoundPlacesToEmpty| |derivative| |replace| |goodPoint| |biringToPolyRing| |pushdterm| |updatF| |read!| |setPoly| |vspace| |decompose| |OMputFloat| |imagi| |polyRDE| |removeCoshSq| |roughUnitIdeal?| |leader| |internalZeroSetSplit| |nextLatticePermutation| |indices| |powern| |#| |extendedint| |rdHack1| BY |polyPart| |multisect| |implies| |discriminantEuclidean| |modularGcd| |every?| |univariateSolve| |guessADE| |completeHensel| |checkRur| |basisOfCenter| |quasiRegular| |multiServ| |dec| |cyclicParents| |exprHasLogarithmicWeights| |hitherPlane| |clearCache| |po| |infiniteProduct| |checkPrecision| |coordinate| |divisorCascade| |iFTable| |cycleRagits| |pastel| |fractRadix| |divisor| |leftNorm| |collectUpper| |plus!| |pushuconst| |recoverAfterFail| |typeLists| |rewriteSetByReducingWithParticularGenerators| |getVariableOrder| |collectQuasiMonic| |pointV| |nextPartition| |OMputApp| |nlde| |last| |denominator| |notelem| |select!| |factorSquareFreeByRecursion| |swapRows!| |factorials| |associative?| |endSubProgram| |monicCompleteDecompose| |stoseInvertibleSetsqfreg| |subscript| |outputSpacing| |legendre| |alternative?| |randomLC| |applyRules| |resetNew| |polyRing2UPUP| |allPairsAmong| |Vectorise| |dfRange| |range| |fortranDoubleComplex| |lepol| |setFormula!| |lieAdmissible?| |getOp| |iisech| |unitsColorDefault| |infix| |numberOfMonomials| |pow| |summary| |extractPoint| |binomial| |simplifyPower| |quotValuation| |show| |multiple?| |fi2df| |coshIfCan| |tanintegrate| |LPolynomial| |makeCrit| |createRandomElement| |members| |e02aef| |complementaryBasis| |encode| |lineColorDefault| |anfactor| |scale| |showAll?| |cotIfCan| |quotient| |c02agf| |leastMonomial| |binarySearchTree| |iidprod| |OMencodingSGML| |c02aff| |stoseSquareFreePart| |unit| |cLog| |setVariableOrder| |e02adf| |unary?| |guessPRec| |showAttributes| |anticoord| |ldf2vmf| |c05pbf| |leftDivide| |bivariateSLPEBR| |getCurve| |exptMod| |alphabetic| |compile| |splitNodeOf!| |commutator| |getMatch| |credits| |normalizeAtInfinity| |noKaratsuba| |superscript| |atanIfCan| |kmax| |mainCharacterization| |separant| |htrigs| |e01sef| |drawStyle| |BumInSepFFE| |predicate| |norm| |e01saf| |headReduced?| |point?| |hadamard| |aLinear| |infix?| |e01daf| |generalCoefficient| |bit?| |rewriteIdealWithRemainder| |screenResolution| |e01bhf| |contains?| |numberOfComposites| |evalADE| |numericalOptimization| |tanSum| |e01bgf| |random| |clipParametric| |groebnerFactorize| |ODESolve| |cschIfCan| |principalIdeal| |e01bff| |central?| |element?| |gcdPolynomial| |getMultiplicationMatrix| |rombergo| |e01bef| |edf2df| |rowEchWoZeroLinesWOVectorise| |changeMeasure| |cycleEntry| |nthRoot| |e01baf| |alphanumeric?| |remove| |selectNonFiniteRoutines| |node?| |cyclicGroup| |singularPointsWithRestriction| |e02zaf| |first| |unit?| |wrregime| |mainPrimitivePart| |mvar| |variationOfParameters| |e02gaf| |third| |npcoef| |findOrderOfDivisor| |closedCurve| |cyclicEntries| |printStats!| |hexDigit?| |nonSingularModel| |genericLeftTraceForm| |guessHolo| |removeRoughlyRedundantFactorsInPol| |mapBivariate| |mask| |normalizedDivide| |expandPower| |imagI| |closed?| |showTheSymbolTable| |genericLeftMinimalPolynomial| |arg1| |cosh2sech| |LazardQuotient| |unitVector| |normDeriv2| |assign| |fresnelS| |arg2| |rhs| |plotPolar| |atanhIfCan| |errorKind| |dim| |iiacsch| |internalSubQuasiComponent?| |padicallyExpand| |airyAi| |setMaxPoints| |diagonalProduct| |nthExponent| |assert| |coerceL| |rationalIfCan| |twoFactor| |lazyPseudoRemainder| |outerProduct| |yellow| |iicoth| |removeZero| |root?| |recur| |upDateBranches| |vectorise| |decimal| |sortConstraints| |getDatabase| |constantToUnaryFunction| |overlabel| |prinpolINFO| |firstSubsetGray| |doublyTransitive?| |dom| |linearAssociatedExp| |splitDenominator| |addmod| |intPatternMatch| |sqfree| |zeroSetSplit| |fresnelC| |maximumExponent| |lifting| |asechIfCan| |findCoef| |decreasePrecision| |primPartElseUnitCanonical!| |generateIrredPoly| |solve| |match| |showClipRegion| |plot| |leftRecip| |exQuo| |blowUpWithExcpDiv| |extendedSubResultantGcd| |minimize| |horizConcat| |showIntensityFunctions| |setProperty| |romberg| |accuracyIF| |addMatchRestricted| |log| |karatsubaDivide| ** |symmetricTensors| |remove!| |augment| |const| |objectOf| |removeRedundantFactorsInContents| |tail| |computeCycleLength| |internalSubPolSet?| |pleskenSplit| |putColorInfo| |createMultiplicationTable| |zeroDim?| |invmod| |sinhIfCan| |complexExpand| |setelt| |integralAtInfinity?| |OMgetEndObject| |edf2fi| |BasicMethod| |cyclicEqual?| |subNodeOf?| |monomial2series| |diff| |OMgetVariable| |schwerpunkt| |inverse| |nand| |supRittWu?| |iisqrt3| |boundOfCauchy| |OMconnInDevice| |pdf2ef| |createZechTable| |getEq| |operation| |simplify| |iiAiryAi| |OMputEndError| |split| |distFact| |gradient| |increase| |beauzamyBound| |poisson| |semiSubResultantGcdEuclidean2| |OMgetEndApp| |exactQuotient| |shallowExpand| |lllip| |dihedralGroup| |isobaric?| |check| |lastSubResultantEuclidean| |cTan| |leastPower| |eulerPhi| |outputAsScript| |imaginary| |brillhartIrreducible?| |delete!| |inR?| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
+(30 . 3570849590)            
+(4574 |Enumeration| |Mapping| |Record| |Union| |ofCategory| |isDomain| ATTRIBUTE |package| |domain| |category| CATEGORY |nobranch| AND |Join| |ofType| SIGNATURE "failed" "algebra" |OneDimensionalArrayAggregate&| |OneDimensionalArrayAggregate| |AbelianGroup&| |AbelianGroup| |AbelianMonoid&| |AbelianMonoid| |AbelianSemiGroup&| |AbelianSemiGroup| |AlgebraicallyClosedField&| |AlgebraicallyClosedField| |AlgebraicallyClosedFunctionSpace&| |AlgebraicallyClosedFunctionSpace| |PlaneAlgebraicCurvePlot| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraicFunction| |AffineSpaceCategory| |Aggregate&| |Aggregate| |ArcHyperbolicFunctionCategory| |AssociationListAggregate| |Algebra&| |Algebra| |AlgFactor| |AlgebraicFunctionField| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraPackage| |AlgebraGivenByStructuralConstants| |AssociationList| |AbelianMonoidRing&| |AbelianMonoidRing| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |AnyFunctions1| |Any| |ApplicationProgramInterface| |ApplyUnivariateSkewPolynomial| |ApplyRules| |TwoDimensionalArrayCategory&| |TwoDimensionalArrayCategory| |OneDimensionalArrayFunctions2| |OneDimensionalArray| |TwoDimensionalArray| |Asp10| |Asp12| |Asp19| |Asp1| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp41| |Asp42| |Asp49| |Asp4| |Asp50| |Asp55| |Asp6| |Asp73| |Asp74| |Asp77| |Asp78| |Asp7| |Asp80| |Asp8| |Asp9| |AssociatedEquations| |ArrayStack| |ArcTrigonometricFunctionCategory&| |ArcTrigonometricFunctionCategory| |AttributeButtons| |AttributeRegistry| |Automorphism| |AxiomServer| |BalancedFactorisation| |BasicType&| |BasicType| |BalancedBinaryTree| |Bezier| |BezoutMatrix| |BasicFunctions| |BagAggregate&| |BagAggregate| |BinaryExpansion| |BinaryFile| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpMethodCategory| |BlowUpWithQuadTrans| |BlowUpPackage| |BiModule| |Boolean| |BasicOperatorFunctions1| |BasicOperator| |BoundIntegerRoots| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryRecursiveAggregate&| |BinaryRecursiveAggregate| |BrillhartTests| |BasicStochasticDifferential| |BinarySearchTree| |BitAggregate&| |BitAggregate| |BinaryTreeCategory&| |BinaryTreeCategory| |BinaryTournament| |BinaryTree| |CancellationAbelianMonoid| |CachableSet| |CardinalNumber| |CartesianTensorFunctions2| |CartesianTensor| |CharacterClass| |CommonDenominator| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |CombinatorialFunctionCategory| |Character| |CharacteristicNonZero| |CharacteristicPolynomialPackage| |CharacteristicZero| |ChangeOfVariable| |ComplexIntegerSolveLinearPolynomialEquation| |Collection&| |Collection| |CliffordAlgebra| |TwoDimensionalPlotClipping| |ComplexRootPackage| |Color| |CombinatorialFunction| |IntegerCombinatoricFunctions| |CombinatorialOpsCategory| |Commutator| |CommonOperators| |CommuteUnivariatePolynomialCategory| |ComplexCategory&| |ComplexCategory| |ComplexFactorization| |ComplexFunctions2| |Complex| |ComplexPattern| |SubSpaceComponentProperty| |CommutativeRing| |ContinuedFraction| |CoordinateSystems| |CharacteristicPolynomialInMonogenicalAlgebra| |ComplexPatternMatch| |CRApackage| |ComplexRootFindingPackage| |CyclicStreamTools| |ComplexTrigonometricManipulations| |CoerceVectorMatrixPackage| |CycleIndicators| |CyclotomicPolynomialPackage| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d01TransformFunctionType| |d01WeightsPackage| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |Database| |DoubleResultantPackage| |DistinctDegreeFactorize| |DecimalExpansion| |ElementaryFunctionDefiniteIntegration| |RationalFunctionDefiniteIntegration| |DegreeReductionPackage| |Dequeue| |DeRhamComplex| |DefiniteIntegrationTools| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DenavitHartenbergMatrix| |Dictionary&| |Dictionary| |DifferentialExtension&| |DifferentialExtension| |DifferentialRing&| |DifferentialRing| |DictionaryOperations&| |DictionaryOperations| |DiophantineSolutionPackage| |DirectProductCategory&| |DirectProductCategory| |DirectProductFunctions2| |DirectProduct| |DirichletRing| |DisplayPackage| |DivisorCategory| |Divisor| |DivisionRing&| |DivisionRing| |DoublyLinkedAggregate| |DataList| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DifferentialPolynomialCategory&| |DifferentialPolynomialCategory| |DequeueAggregate| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |DrawComplex| |DrawNumericHack| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForPoints| |DrawOptionFunctions0| |DrawOptionFunctions1| |DrawOption| |DifferentialSparseMultivariatePolynomial| |DesingTreeCategory| |DesingTree| |DesingTreePackage| |DifferentialVariableCategory&| |DifferentialVariableCategory| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType| |ExtAlgBasis| |ElementaryFunction| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ExtensibleLinearAggregate&| |ExtensibleLinearAggregate| |ElementaryFunctionCategory&| |ElementaryFunctionCategory| |EllipticFunctionsUnivariateTaylorSeries| |Eltable| |EltableAggregate&| |EltableAggregate| |EuclideanModularRing| |EntireRing| |EigenPackage| |EquationFunctions2| |Equation| |EqTable| |ErrorFunctions| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpertSystemContinuityPackage1| |ExpertSystemContinuityPackage| |ExpressionSpace&| |ExpressionSpace| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExpertSystemToolsPackage| |EuclideanDomain&| |EuclideanDomain| |Evalable&| |Evalable| |EvaluateCycleIndicators| |Exit| |Export3D| |ExponentialExpansion| |ExpressionFunctions2| |ExpressionToUnivariatePowerSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionSolve| |ExpressionTubePlot| |ExponentialOfUnivariatePuiseuxSeries| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactoredFunctions| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FactoringUtilities| |FreeAbelianGroup| |FreeAbelianMonoidCategory| |FreeAbelianMonoid| |FiniteAbelianMonoidRingFunctions2| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRing| |FlexibleArray| |FiniteAlgebraicExtensionField&| |FiniteAlgebraicExtensionField| |FortranCode| |FourierComponent| |FortranCodePackage1| |FiniteDivisorFunctions2| |FiniteDivisorCategory&| |FiniteDivisorCategory| |FiniteDivisor| |FullyEvalableOver&| |FullyEvalableOver| |FortranExpression| |FunctionFieldCategoryFunctions2| |FunctionFieldCategory&| |FunctionFieldCategory| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldCyclicGroupExtension| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FractionFreeFastGaussianFractions| |FractionFreeFastGaussian| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldCategory&| |FiniteFieldCategory| |FunctionFieldIntegralBasis| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldNormalBasisExtension| |FiniteField| |FiniteFieldExtensionByPolynomial| |FiniteFieldPolynomialPackage2| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteFieldExtension| |FGLMIfCanPackage| |FreeGroup| |Field&| |Field| |FileCategory| |File| |FiniteRankNonAssociativeAlgebra&| |FiniteRankNonAssociativeAlgebra| |Finite| |FiniteRankAlgebra&| |FiniteRankAlgebra| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregate&| |FiniteLinearAggregate| |FreeLieAlgebra| |FiniteLinearAggregateSort| |FullyLinearlyExplicitRingOver&| |FullyLinearlyExplicitRingOver| |FloatingComplexPackage| |Float| |FloatingRealPackage| |FreeModule1| |FreeModuleCat| |FortranMatrixCategory| |FortranMatrixFunctionCategory| |FreeModule| |FreeMonoid| |FortranMachineTypeCategory| |FileName| |FileNameCategory| |FreeNilpotentLie| |FortranOutputStackPackage| |FindOrderFinite| |ScriptFormulaFormat1| |ScriptFormulaFormat| |FortranProgramCategory| |FortranFunctionCategory| |FortranPackage| |FortranProgram| |FullPartialFractionExpansion| |FullyPatternMatchable| |FieldOfPrimeCharacteristic&| |FieldOfPrimeCharacteristic| |FloatingPointSystem&| |FloatingPointSystem| |FactoredFunctions2| |FractionFunctions2| |Fraction| |FramedAlgebra&| |FramedAlgebra| |FullyRetractableTo&| |FullyRetractableTo| |FractionalIdealFunctions2| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebraFunctions2| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebra| |Factored| |FactoredFunctionUtilities| |FunctionSpaceToExponentialExpansion| |FunctionSpaceFunctions2| |FunctionSpaceToUnivariatePowerSeries| |FiniteSetAggregateFunctions2| |FiniteSetAggregate&| |FiniteSetAggregate| |FunctionSpaceComplexIntegration| |FourierSeries| |FunctionSpaceIntegration| |FunctionSpace&| |FunctionSpace| |FunctionalSpecialFunction| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FortranScalarType| |FunctionSpaceUnivariatePolynomialFactor| |FortranTemplate| |FortranType| |FunctionCalled| |FortranVectorCategory| |FortranVectorFunctionCategory| |GaloisGroupFactorizer| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |EuclideanGroebnerBasisPackage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GcdDomain&| |GcdDomain| |GenericNonAssociativeAlgebra| |GeneralDistributedMultivariatePolynomial| |GnuDraw| |GenExEuclid| |GeneralizedMultivariateFactorize| |GeneralPolynomialGcdPackage| |GenUFactorize| |GenerateUnivariatePowerSeries| |GeneralHenselPackage| |GeneralModulePolynomial| |GuessOptionFunctions0| |GuessOption| |GosperSummationMethod| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GradedAlgebra&| |GradedAlgebra| |GrayCode| |GraphicsDefaults| |GraphImage| |GradedModule&| |GradedModule| |GroebnerSolve| |Group&| |Group| |GeneralUnivariatePowerSeries| |GeneralSparseTable| |GeneralTriangularSet| |GuessAlgebraicNumber| |GuessFiniteFunctions| |GuessFinite| |GuessInteger| |Guess| |GuessPolynomial| |GuessUnivariatePolynomial| |Pi| |HashTable| |HallBasis| |HomogeneousDistributedMultivariatePolynomial| |HomogeneousDirectProduct| |Heap| |HyperellipticFiniteDivisor| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousAggregate| |HTMLFormat| |HyperbolicFunctionCategory&| |HyperbolicFunctionCategory| |InnerAlgFactor| |InnerAlgebraicNumber| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |ChineseRemainderToolsForIntegralBases| |IntegralBasisTools| |IndexedBits| |IntegralBasisPolynomialTools| |IndexCard| |InnerCommonDenominator| |InfClsPt| |PolynomialIdeals| |IdealDecompositionPackage| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedDirectProductObject| |InnerEvalable&| |InnerEvalable| |InnerFreeAbelianMonoid| |IndexedFlexibleArray| |InnerFiniteField| |InnerIndexedTwoDimensionalArray| |IndexedList| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |IndexedMatrix| |InnerNormalBasisFieldFunctions| |IncrementingMaps| |IndexedExponents| |InnerNumericEigenPackage| |InfinitlyClosePointCategory| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InfinitlyClosePoint| |Infinity| |InputFormFunctions1| |InputForm| |InfiniteProductCharacteristicZero| |InnerNumericFloatSolvePackage| |InnerModularGcd| |InnerMultFact| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerPolySign| |IntegerNumberSystem&| |IntegerNumberSystem| |InnerTable| |AlgebraicIntegration| |AlgebraicIntegrate| |IntegerBits| |IntervalCategory| |IntersectionDivisorPackage| |IntegralDomain&| |IntegralDomain| |ElementaryIntegration| |InterfaceGroebnerPackage| |IntegerFactorizationPackage| |InterpolateFormsPackage| |IntegrationFunctionsTable| |GenusZeroIntegration| |IntegerNumberTheoryFunctions| |AlgebraicHermiteIntegration| |TranscendentalHermiteIntegration| |Integer| |AnnaNumericalIntegrationPackage| |PureAlgebraicIntegration| |PatternMatchIntegration| |RationalIntegration| |IntegerRetractions| |RationalFunctionIntegration| |Interval| |IntegerSolveLinearPolynomialEquation| |IntegrationTools| |TranscendentalIntegration| |InverseLaplaceTransform| |InnerPAdicInteger| |InnerPrimeField| |InternalPrintPackage| |IntegrationResultToFunction| |IntegrationResultFunctions2| |IntegrationResult| |IntegerRoots| |IrredPolyOverFiniteField| |IntegrationResultRFToFunction| |IrrRepSymNatPackage| |InternalRationalUnivariateRepresentationPackage| |IndexedString| |InnerPolySum| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerTrigonometricManipulations| |InfiniteTuple| |IndexedVector| |IndexedAggregate&| |IndexedAggregate| |AssociatedJordanAlgebra| |KeyedAccessFile| |KeyedDictionary&| |KeyedDictionary| |KernelFunctions2| |Kernel| |CoercibleTo| |ConvertibleTo| |Kovacic| |LeftAlgebra&| |LeftAlgebra| |LocalAlgebra| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LexTriangularPackage| |LiouvillianFunctionCategory| |LiouvillianFunction| |LinGroebnerPackage| |Library| |LieAlgebra&| |LieAlgebra| |AssociatedLieAlgebra| |PowerSeriesLimitPackage| |RationalFunctionLimitPackage| |LinearDependence| |LinearlyExplicitRingOver| |ListToMap| |ListFunctions2| |ListFunctions3| |List| |LinearSystemFromPowerSeriesPackage| |ListMultiDictionary| |LeftModule| |ListMonoidOps| |LinearAggregate&| |LinearAggregate| |LocalPowerSeriesCategory| |ElementaryFunctionLODESolver| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |Logic&| |Logic| |Localize| |LinesOpPack| |LocalParametrizationOfSimplePointPackage| |LinearPolynomialEquationByFractions| |LiePolynomial| |ListAggregate&| |ListAggregate| |LinearSystemMatrixPackage1| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LieSquareMatrix| |LyndonWord| |LazyStreamAggregate&| |LazyStreamAggregate| |ThreeDimensionalMatrix| |ModularAlgebraicGcdOperations| |Magma| |MappingPackageInternalHacks1| |MappingPackageInternalHacks2| |MappingPackageInternalHacks3| |MappingPackage1| |MappingPackage2| |MappingPackage3| |MappingPackage4| |MatrixCategoryFunctions2| |MatrixCategory&| |MatrixCategory| |MatrixLinearAlgebraFunctions| |Matrix| |StorageEfficientMatrixOperations| |MultiVariableCalculusFunctions| |MatrixCommonDenominator| |MachineComplex| |MultiDictionary| |ModularDistinctDegreeFactorizer| |MeshCreationRoutinesForThreeDimensions| |MultFiniteFactorize| |MachineFloat| |ModularHermitianRowReduction| |MachineInteger| |MakeBinaryCompiledFunction| |MakeCachableSet| |MakeFloatCompiledFunction| |MakeFunction| |MakeRecord| |MakeUnaryCompiledFunction| |MultivariateLifting| |MonogenicLinearOperator| |MultipleMap| |MathMLFormat| |ModularField| |ModMonic| |ModuleMonomial| |ModuleOperator| |ModularRing| |Module&| |Module| |MoebiusTransform| |Monad&| |Monad| |MonadWithUnit&| |MonadWithUnit| |MonogenicAlgebra&| |MonogenicAlgebra| |Monoid&| |Monoid| |MonomialExtensionTools| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MultivariatePolynomial| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MonoidRingFunctions2| |MonoidRing| |MultisetAggregate| |Multiset| |MoreSystemCommands| |MergeThing| |MultivariateTaylorSeriesCategory| |MultivariateFactorize| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NonAssociativeAlgebra&| |NonAssociativeAlgebra| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagIntegrationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagInterpolationPackage| |NagFittingPackage| |NagOptimisationPackage| |NagMatrixOperationsPackage| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagLapack| |NagSpecialFunctionsPackage| |NAGLinkSupportPackage| |NonAssociativeRng&| |NonAssociativeRng| |NonAssociativeRing&| |NonAssociativeRing| |NumericComplexEigenPackage| |NumericContinuedFraction| |NonCommutativeOperatorDivision| |NewtonInterpolation| |NumberFieldIntegralBasis| |NumericalIntegrationProblem| |NonLinearSolvePackage| |NonNegativeInteger| |NonLinearFirstOrderODESolver| |NoneFunctions1| |None| |NormInMonogenicAlgebra| |NormalizationPackage| |NormRetractPackage| |NottinghamGroup| |NPCoef| |NewtonPolygon| |NumericRealEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewSparseUnivariatePolynomial| |NumberTheoreticPolynomialFunctions| |NormalizedTriangularSetCategory| |Numeric| |NumberFormats| |NumericalIntegrationCategory| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |NumericTubePlot| |OrderedAbelianGroup| |OrderedAbelianMonoid| |OrderedAbelianMonoidSup| |OrderedAbelianSemiGroup| |OrderedCancellationAbelianMonoid| |OctonionCategory&| |OctonionCategory| |OctonionCategoryFunctions2| |Octonion| |OrdinaryDifferentialEquationsSolverCategory| |ConstantLODE| |ElementaryFunctionODESolver| |ODEIntensityFunctionsTable| |ODEIntegration| |AnnaOrdinaryDifferentialEquationPackage| |PureAlgebraicLODE| |PrimitiveRatDE| |NumericalODEProblem| |PrimitiveRatRicDE| |RationalLODE| |ReduceLODE| |RationalRicDE| |SystemODESolver| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrderlyDifferentialVariable| |OrderedFreeMonoid| |OrderedIntegralDomain| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathErrorKind| |OpenMathError| |ExpressionToOpenMath| |OppositeMonogenicLinearOperator| |OpenMath| |OpenMathPackage| |OrderedMultisetAggregate| |OpenMathServerPackage| |OnePointCompletionFunctions2| |OnePointCompletion| |Operator| |OperationsQuery| |NumericalOptimizationCategory| |AnnaNumericalOptimizationPackage| |NumericalOptimizationProblem| |OrderedCompletionFunctions2| |OrderedCompletion| |OrderedFinite| |OrderingFunctions| |OrderedMonoid| |OrderedRing&| |OrderedRing| |OrderedSet&| |OrderedSet| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategoryOps| |SparseUnivariateSkewPolynomial| |UnivariateSkewPolynomial| |OrthogonalPolynomialFunctions| |OrdSetInts| |OutputForm| |OutputPackage| |OrderedVariableList| |OrdinaryWeightedPolynomials| |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteFieldCategory| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfPerfectFieldCategory| |PseudoAlgebraicClosureOfRationalNumberCategory| |PseudoAlgebraicClosureOfRationalNumber| |PadeApproximants| |PadeApproximantPackage| |PAdicIntegerCategory| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForAlgebraicFunctionField| |Palette| |PolynomialAN2Expression| |ParametrizationPackage| |ParametricPlaneCurveFunctions2| |ParametricPlaneCurve| |ParametricSpaceCurveFunctions2| |ParametricSpaceCurve| |ParametricSurfaceFunctions2| |ParametricSurface| |PartitionsAndPermutations| |Patternable| |PatternMatchListResult| |PatternMatchable| |PatternMatch| |PatternMatchResultFunctions2| |PatternMatchResult| |PatternFunctions1| |PatternFunctions2| |Pattern| |PoincareBirkhoffWittLyndonBasis| |PolynomialComposition| |PartialDifferentialEquationsSolverCategory| |PolynomialDecomposition| |AnnaPartialDifferentialEquationPackage| |NumericalPDEProblem| |PartialDifferentialRing&| |PartialDifferentialRing| |PendantTree| |Permanent| |PermutationCategory| |PermutationGroup| |Permutation| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialFactorizationExplicit| |PrimeField| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PackageForPoly| |PointsOfFiniteOrderTools| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |PermutationGroupExamples| |PolyGroebner| |PiCoercions| |PrincipalIdealDomain| |PositiveInteger| |PolynomialInterpolationAlgorithms| |PolynomialInterpolation| |PlacesCategory| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |ParametricLinearEquations| |PlotFunctions1| |Plot3D| |Plot| |PlotTools| |PolynomialPackageForCurve| |FunctionSpaceAssertions| |PatternMatchAssertions| |PatternMatchPushDown| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchPolynomialCategory| |FunctionSpaceAttachPredicates| |AttachPredicates| |PatternMatchQuotientFieldCategory| |PatternMatchSymbol| |PatternMatchTools| |PolynomialNumberTheoryFunctions| |Point| |PolToPol| |RealPolynomialUtilitiesPackage| |PolynomialFunctions2| |PolynomialToUnivariatePolynomial| |PolynomialCategory&| |PolynomialCategory| |PolynomialCategoryQuotientFunctions| |PolynomialCategoryLifting| |Polynomial| |PolynomialRoots| |PlottablePlaneCurveCategory| |PrecomputedAssociatedEquations| |PrimitiveArrayFunctions2| |PrimitiveArray| |PrimitiveFunctionCategory| |PrimitiveElement| |IntegerPrimesPackage| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PolynomialRing| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PriorityQueueAggregate| |PseudoRemainderSequence| |ProjectiveSpaceCategory| |Partition| |PowerSeriesCategory&| |PowerSeriesCategory| |PlottableSpaceCurveCategory| |PolynomialSetCategory&| |PolynomialSetCategory| |PolynomialSetUtilitiesPackage| |PseudoLinearNormalForm| |PolynomialSquareFree| |PointCategory| |PointFunctions2| |PointPackage| |PartialTranscendentalFunctions| |PushVariables| |PAdicWildFunctionFieldIntegralBasis| |QuasiAlgebraicSet2| |QuasiAlgebraicSet| |QuasiComponentPackage| |QueryEquation| |QuotientFieldCategoryFunctions2| |QuotientFieldCategory&| |QuotientFieldCategory| |QuadraticForm| |QueueAggregate| |QuaternionCategory&| |QuaternionCategory| |QuaternionCategoryFunctions2| |Quaternion| |Queue| |RadicalCategory&| |RadicalCategory| |RadicalFunctionField| |RadixExpansion| |RadixUtilities| |RandomNumberSource| |RationalFactorize| |RationalRetractions| |RecursiveAggregate&| |RecursiveAggregate| |RealClosedField&| |RealClosedField| |ElementaryRischDE| |ElementaryRischDESystem| |TranscendentalRischDE| |TranscendentalRischDESystem| |RandomDistributions| |ReducedDivisor| |RealZeroPackage| |RealZeroPackageQ| |RealConstant| |RealSolvePackage| |RealClosure| |RecurrenceOperator| |ReductionOfOrder| |Reference| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |RepeatedDoubling| |RadicalEigenPackage| |RepeatedSquaring| |ResolveLatticeCompletion| |ResidueRing| |Result| |RetractableTo&| |RetractableTo| |RetractSolvePackage| |RandomFloatDistributions| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunction| |RootsFindingPackage| |RegularChain| |RandomIntegerDistributions| |Ring&| |Ring| |RationalInterpolation| |RectangularMatrixCategory&| |RectangularMatrixCategory| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |RightModule| |Rng| |RealNumberSystem&| |RealNumberSystem| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RecursivePolynomialCategory&| |RecursivePolynomialCategory| |RealRootCharacterizationCategory&| |RealRootCharacterizationCategory| |RegularSetDecompositionPackage| |RegularTriangularSetCategory&| |RegularTriangularSetCategory| |RegularTriangularSetGcdPackage| |RuleCalled| |RewriteRule| |Ruleset| |RationalUnivariateRepresentationPackage| |SimpleAlgebraicExtensionAlgFactor| |SimpleAlgebraicExtension| |SAERationalFunctionAlgFactor| |SingletonAsOrderedSet| |SortedCache| |StructuralConstantsPackage| |StochasticDifferential| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |SegmentFunctions2| |SegmentBindingFunctions2| |SegmentBinding| |SegmentCategory| |Segment| |SegmentExpansionCategory| |SetAggregate&| |SetAggregate| |SetCategoryWithDegree| |SetCategory&| |SetCategory| |SetOfMIntegersInOneToN| |Set| |SExpressionCategory| |SExpression| |SExpressionOf| |SimpleFortranProgram| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage| |SquareFreeRegularTriangularSetCategory| |SymmetricGroupCombinatoricFunctions| |SemiGroup&| |SemiGroup| |SplitHomogeneousDirectProduct| |SturmHabichtPackage| |ElementaryFunctionSign| |RationalFunctionSign| |SimplifyAlgebraicNumberConvertPackage| |SingleInteger| |StackAggregate| |SquareMatrixCategory&| |SquareMatrixCategory| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |PolynomialSolveByFormulas| |RadicalSolvePackage| |TransSolvePackageService| |TransSolvePackage| |SortPackage| |ThreeSpace| |ThreeSpaceCategory| |SpecialOutputPackage| |SpecialFunctionCategory| |SplittingNode| |SplittingTree| |SquareMatrix| |StringAggregate&| |StringAggregate| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |Stack| |StreamAggregate&| |StreamAggregate| |SparseTable| |StepThrough| |StreamInfiniteProduct| |StreamTensor| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Stream| |StringCategory| |String| |StringTable| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctionsNonCommutative| |StreamTranscendentalFunctions| |SubResultantPackage| |SubSpace| |SuchThat| |SparseUnivariateLaurentSeries| |FunctionSpaceSum| |RationalFunctionSum| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePolynomialExpressions| |SupFractionFactorizer| |SparseUnivariatePolynomial| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Switch| |Symbol| |SymmetricFunctions| |SymmetricPolynomial| |TheSymbolTable| |SymbolTable| |SystemSolvePackage| |TableauxBumpers| |Tableau| |Table| |TangentExpansions| |TableAggregate&| |TableAggregate| |TabulatedComputationPackage| |TemplateUtilities| |TexFormat1| |TexFormat| |TextFile| |ToolsForSign| |TopLevelThreeSpace| |TranscendentalFunctionCategory&| |TranscendentalFunctionCategory| |Tree| |TrigonometricFunctionCategory&| |TrigonometricFunctionCategory| |TrigonometricManipulations| |TriangularMatrixOperations| |TranscendentalManipulations| |TriangularSetCategory&| |TriangularSetCategory| |TaylorSeries| |TubePlot| |TubePlotTools| |Tuple| |TwoFactorize| |Type| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |UniqueFactorizationDomain&| |UniqueFactorizationDomain| |UnivariateFormalPowerSeriesFunctions| |UnivariateFormalPowerSeries| |UnivariateLaurentSeriesFunctions2| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeries| |UnivariateFactorize| |UniversalSegmentFunctions2| |UniversalSegment| |UnivariatePolynomialFunctions2| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomial| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategory| |UnivariatePowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnaryRecursiveAggregate&| |UnaryRecursiveAggregate| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeries| |UnivariateTaylorSeriesODESolver| |UTSodetools| |TaylorSolve| |UnivariateTaylorSeriesCZero| |Variable| |VectorCategory&| |VectorCategory| |VectorFunctions2| |Vector| |TwoDimensionalViewport| |ThreeDimensionalViewport| |ViewDefaultsPackage| |ViewportPackage| |Void| |VectorSpace&| |VectorSpace| |WeierstrassPreparation| |WildFunctionFieldIntegralBasis| |WeightedPolynomials| |WuWenTsunTriangularSet| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |ExtensionField&| |ExtensionField| |XPBWPolynomial| |XPolynomialsCat| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ParadoxicalCombinatorsForStreams| |ZeroDimensionalSolvePackage| |IntegerLinearDependence| |IntegerMod| |Enumeration| |Mapping| |Record| |Union| |Category| |symbol?| |virtualDegree| |brillhartIrreducible?| |partition| |besselJ| |totalDegree| |tableau| |possiblyInfinite?| |divOfZero| |\\/| |directSum| |var2Steps| |fixedPointExquo| |complexZeros| |stepBlowUp| |OMReadError?| |maxIndex| |generalLambert| |coerceL| |select!| |OMgetEndAttr| |powmod| |critT| |whileLoop| |leftUnit| ~= |semiResultantEuclidean1| |taylorRep| |delete!| |previous| |acschIfCan| |keys| |validExponential| |palgextint0| |inconsistent?| |cyclotomic| |retract| |leaves| |iitan| |integrate| |integer?| = |setFieldInfo| |lowerCase!| |rootRadius| |rationalIfCan| |factorSquareFreeByRecursion| |iicsch| |index| |tab| |factorUsingYun| |setMinPoints3D| < |lhs| |monicRightDivide| |viewport3D| |inR?| |gcdprim| > |operator| |solid| |inGroundField?| |polCase| |normalise| <= |certainlySubVariety?| |SturmHabichtSequence| |semiResultantReduitEuclidean| |dictionary| |twist| >= |basisOfInterpolateForms| |makeop| |prinb| |multV| |twoFactor| |swapRows!| |shiftRoots| |position!| |stFunc1| |integralBasisAtInfinity| |rur| |operators| |implies| |stop| LODO2FUN + |selectPDERoutines| |times| |createGenericMatrix| |nextPrimitiveNormalPoly| |writeLine!| - |ScanRoman| |intermediateResultsIF| |ksec| |nextsousResultant2| |numeric| / |region| |explicitlyEmpty?| |bezoutMatrix| |trailingCoefficient| |lazyPseudoRemainder| |factorials| |cycleSplit!| |fractionPart| |alternating| |bracket| |monomialIntegrate| |f2df| |less?| |quotedOperators| |OMlistSymbols| |leadingIndex| |composite| |evenInfiniteProduct| |transcendent?| |swap!| |nextNormalPrimitivePoly| |logGamma| |monomRDEsys| |exprHasAlgebraicWeight| |createPrimitivePoly| |prepareSubResAlgo| |prefix| |setlocalPoint!| |yellow| |associative?| |domainOf| |knownInfBasis| |elRow1!| |isMult| |number?| |product| |symmetricGroup| |condition| |monicDecomposeIfCan| |init| |postfix| |type| |maxDerivative| |OMencodingBinary| |noncommutativeJordanAlgebra?| |subs2ndVar| F2FG |fixedPoint| |safeCeiling| |intersect| |edf2fi| |setsubmult!| |exquo| |factorFraction| |linearBezier| |complexNormalize| |BasicMethod| |iicoth| |div| |endSubProgram| |deepestTail| |tanQ| |putGraph| |solveLinearPolynomialEquation| |coHeight| |slex| |wordsForStrongGenerators| |lagrange| ^= |pdf2df| |iiexp| |displayAsGF| |primitiveElement| |numberOfHues| |evenlambert| |tanhIfCan| |ScanFloatIgnoreSpaces| |intcompBasis| |stripCommentsAndBlanks| |createMultiplicationMatrix| |compBound| |createLowComplexityTable| |setAdaptive| |lastNonNull| |height| |monicCompleteDecompose| |stoseLastSubResultant| |newtonPolySlope| |selectMultiDimensionalRoutines| |mvar| |solveid| |pointColor| |pointSizeDefault| |mpsode| |rightTrace| |quadratic?| |youngGroup| |B1solve| |integralCoordinates| |identity| |eval| |increasePrecision| |hclf| |critpOrder| |cyclicEqual?| |escape| |f02awf| |square?| |log10| |result| |laurentRep| |constantKernel| |f02akf| |operation| |stoseInvertibleSetsqfreg| |groebnerIdeal| |blue| |algebraicSort| |variationOfParameters| |f02ajf| |refine| |meshPar1Var| |setsubMatrix!| |resize| |iipow| |f02agf| |coefChoose| |pattern| |lyndon?| |newtonPolygon| |exp1| |tanh2coth| |kovacic| |nthRootIfCan| |subNodeOf?| |makeViewport3D| |f02aff| |edf2efi| |PollardSmallFactor| |options| |setlocalParam!| |setOfMinN| |f02aef| |subscript| |subresultantSequence| |ffactor| |pseudoDivide| |npcoef| |f02adf| |aromberg| |moduleSum| |genericLeftNorm| |initials| |stack| |f02abf| |hasoln| |mathieu22| |mapExponents| |nextItem| |removeIrreducibleRedundantFactors| |f02aaf| |partialDenominators| |axServer| |rightDiscriminant| |monomial2series| |rationalFunction| |measure| |composites| |someBasis| |OMputString| |oneDimensionalArray| |unmakeSUP| |outputSpacing| |messagePrint| |solve1| |rationalPlaces| |findOrderOfDivisor| |antiCommutative?| |drawComplex| |reindex| |mainContent| |LyndonWordsList| |setScreenResolution3D| |myDegree| |ratDsolve| |subResultantGcdEuclidean| |algebraicDecompose| |laguerre| |localAbs| |unprotectedRemoveRedundantFactors| |diff| |meatAxe| |atrapezoidal| |cartesian| |subMultV| |maxMixedDegree| |octon| |legendre| |oddlambert| |mathieu23| |bernoulli| |closedCurve| |sparsityIF| |addBadValue| |completeSmith| |increment| |maxPoints3D| |key?| |att2Result| |integralDerivationMatrix| |doubleDisc| |quoByVar| |rationalPoint?| |showRegion| |elliptic?| |OMgetVariable| |setpoint!| |atoms| |idealiser| |head| |numFunEvals3D| |numberOfDivisors| |alternative?| |f2st| |complexForm| |associatedEquations| |cyclicEntries| |mapExpon| |normal01| |torsion?| |rem| |semiResultantEuclidean2| |rarrow| |totolex| |Ei| |positiveSolve| |printHeader| |excpDivV| |setColumn!| |schwerpunkt| |cot2tan| |OMgetEndAtp| |quo| |declare!| |elColumn2!| |integralBasis| |cyclic?| |stopTableGcd!| |OMgetInteger| |hermite| |heapSort| |randomLC| |typeList| |/\\| |compiledFunction| |printStats!| |internalIntegrate0| |Aleph| |partialFraction| |lexGroebner| |commonDenominator| |rootsOf| |updatD| F |mapGen| |affinePoint| |leftMinimalPolynomial| |label| |quasiMonicPolynomials| |curve| |denomLODE| |inverse| |subNode?| |lcm| |light| |setParam!| |normalized?| |revert| |fortranCarriageReturn| |applyRules| |setmult!| |invmultisect| |normalize| |hexDigit?| |empty?| |OMread| |cubicBezier| |OMsupportsCD?| |finiteBound| |torsionIfCan| |fortranComplex| |areEquivalent?| |coercePreimagesImages| |maxLevel| |front| |leadingCoefficientRicDE| |autoReduced?| |nand| |numberOfValuesNeeded| |e02bcf| |fillPascalTriangle| |denominators| |insertionSort!| |removeSuperfluousQuasiComponents| |getCode| |e02bbf| |resetNew| |stopMusserTrials| |droot| |cyclePartition| |nonSingularModel| |e02baf| |oblateSpheroidal| |curryLeft| |Hausdorff| |palgintegrate| |harmonic| |e02akf| |status| |moreAlgebraic?| |listVariable| |extractTop!| |trigs2explogs| |roughBase?| |e02ajf| |minimumExponent| |base| |moebiusMu| |supRittWu?| |localReal?| |e04ycf| |lfunc| |clearTheIFTable| |times!| |irreducibleFactor| |transform| |e04ucf| |polyRing2UPUP| |numberOfChildren| |exprex| |stiffnessAndStabilityFactor| |genericLeftTraceForm| |e04naf| |choosemon| |cSinh| |alphabetic?| |OMunhandledSymbol| |relationsIdeal| |e04mbf| |insertMatch| |lazyPremWithDefault| |trim| |center| |laplacian| |shiftLeft| |e04jaf| |ricDsolve| |numberOfFactors| |connect| |iisqrt3| |sort!| |e04gcf| |getShiftRec| |fullDesTree| |rubiksGroup| |checkExtraValues| |lyndon| |e04fdf| |allPairsAmong| |bag| |karatsuba| |setexcpDiv!| |guessHolo| |e04dgf| |systemCommand| |paraboloidal| |rightRank| |setTopPredicate| |setClosed| |int| |f01ref| |dimensionsOf| |coth2trigh| |affineSingularPoints| |exponents| |wordInGenerators| |f01rdf| ~ |apply| |sn| |rangePascalTriangle| |degreeOfMinimalForm| |boundOfCauchy| |guessAlg| |f01rcf| |Vectorise| |subCase?| |roman| |complexLimit| |companionBlocks| |f01qef| |brace| |movedPoints| |rootPower| |evalIfCan| |stiffnessAndStabilityOfODEIF| |removeRoughlyRedundantFactorsInPol| |f01qdf| |cons| |mesh| |balancedFactorisation| |rootKerSimp| |submod| |mapCoef| |f01qcf| |copy| |xor| |zeta| |expint| |irreducibleRepresentation| |fullOutput| |f01mcf| |swap| |floor| |regularRepresentation| |search| |OMconnInDevice| |symbolIfCan| |f01maf| |nextColeman| |itsALeaf!| |stronglyReduce| |first| |shuffle| |setCurve| |f01bsf| |bezoutDiscriminant| |dfRange| |minPoints| |third| |leadingBasisTerm| |mapBivariate| |f01brf| |weakBiRank| |curveV| |symbolTableOf| |lifting1| |previousTower| |list| |tubePlot| |cycle| |listConjugateBases| |quadraticBezier| |bat| |tree| |coerceP| |representationType| |pdf2ef| |zRange| |OMlistCDs| FG2F |guessRec| |errorInfo| |packageCall| |range| |lazy?| |bipolarCylindrical| |cAcsch| |mask| |numberOfComponents| |GospersMethod| |denomRicDE| |perspective| |semiDiscriminantEuclidean| |removeDuplicates| |phiCoord| |ShiftAction| |infRittWu?| |lambda| |positive?| |rest| |finiteSeries2Vector| |removeConstantTerm| |startTableGcd!| |createZechTable| |degreeSubResultant| LE |reverse| |bezoutResultant| |lexico| |hessian| |basisOfRightNucloid| |solveLinearPolynomialEquationByRecursion| |nextNormalPoly| |setDifference| |fortranDoubleComplex| |leftTrim| |basisOfRightNucleus| |fortranReal| |normalizedDivide| |setIntersection| |OMgetFloat| |alternatingGroup| |sbt| |solveRetract| |optAttributes| |normalForm| |padecf| |removeRedundantFactorsInPols| |adaptive| |constant?| |setUnion| |create| |coord| |polyRicDE| |getEq| |Si| |expenseOfEvaluation| |Somos| |decomposeFunc| |supersub| |print| |nthFactor| |lepol| |zoom| |complexSolve| |headReduce| |repack1| |hash| |setsymbName!| |hexDigit| |rootPoly| |chiSquare1| |expandPower| |supp| |nonLinearPart| |bubbleSort!| |iiatan| |in?| NOT |palgLODE| |corrPoly| |OMreadFile| |totalfract| |simplify| OR |varselect| |pseudoRem| |adaptive3D?| |qqq| |negAndPosEdge| AND |setFormula!| |declare| |numberOfComputedEntries| |vertConcat| |singularPoints| |top| |cfirst| |quotVecSpaceBasis| |controlPanel| |bright| |charClass| |adjoint| |variable| |UnVectorise| |eyeDistance| |OMconnOutDevice| |imagI| |karatsubaDivide| |factorial| |iiAiryAi| |subResultantsChain| |output| |createNormalPoly| |lastNonNul| |cycleElt| |lastSubResultant| |generalizedEigenvector| |fortranCompilerName| |dAndcExp| |rightRankPolynomial| |binary| |iicot| |fortranLinkerArgs| |resetBadValues| |nextSubsetGray| |iicosh| |nullary?| |packModulus| |setButtonValue| |tab1| |PDESolve| |solveLinear| |setchildren!| |symmetricTensors| |closed?| |expIfCan| |OMputEndError| * |factorAndSplit| |direction| |generator| |bat1| |log2| |iiasinh| |newReduc| |numberOfComposites| |genusTree| |indexName| |asimpson| |copyIto| |quadTransform| |generic| |summation| |mindegTerm| |ratDenom| GE |sqfrFactor| |showArrayValues| |maxShift| |prime?| |remove!| |infinityNorm| |lfextlimint| |split| |showTheSymbolTable| |ipow| |repeating| |mathieu12| |printStatement| |limitedIntegrate| |symmetricProduct| |evalADE| |ideal| |hasTopPredicate?| |assoc| |divisors| |computeCycleEntry| |makeGraphImage| |leftFactorIfCan| |quasiRegular?| |deleteProperty!| |constantOperator| |coordinate| |createNormalPrimitivePoly| |OMmakeConn| |newLine| |initializeGroupForWordProblem| |node| |distFact| |genericLeftMinimalPolynomial| |infinity| |lists| |llprop| |tableForDiscreteLogarithm| |lo| |listYoungTableaus| |unravel| |colorFunction| |numericalOptimization| |symmetricDifference| |incr| |mainMonomials| |packExps| |pmintegrate| |linears| |setProperties| |hi| |sts2stst| |internalLastSubResultant| |cycleRagits| |exactQuotient!| |divisorCascade| |multiplyExponents| |factorPolynomial| |makeSeries| |euclideanSize| |setfirst!| |OMconnectTCP| |interpret| |returnType!| |halfExtendedResultant1| |flexible?| |zeroDimPrime?| |cosh2sech| |viewThetaDefault| |resultantReduitEuclidean| |LiePolyIfCan| |plenaryPower| |commutativeEquality| |factorUsingMusser| |pointInIdeal?| |delete| |outputForm| |invertibleSet| |placesOfDegree| |pastel| |countRealRootsMultiple| |iFTable| |rroot| |isPlus| |symbNameV| |interpolateFormsForFact| |LazardQuotient2| |map!| |invertibleElseSplit?| |limit| |OMUnknownCD?| |ref| |uniform01| |copyBSD| |rational| |represents| |palgRDE0| |factorGroebnerBasis| |bringDown| |interpretString| |merge| |stoseInvertible?reg| |computePowers| |getStream| |fractRadix| |mainVariable?| |Is| |generate| |projectivePoint| |goto| |incrementBy| |level| |initiallyReduced?| |approxNthRoot| |eulerE| |brillhartTrials| |complex?| |expandLog| |polygon| |expand| |eigenMatrix| |cschIfCan| |divisor| |Yun| |complexRoots| |difference| |filterWhile| |makeYoungTableau| |linearAssociatedOrder| |point| |lex| |leadingTerm| |filterUntil| |acothIfCan| |iiBesselK| |mathieu11| |genericLeftTrace| |routines| |select| |component| |d02cjf| |ddFact| |inc| |primPartElseUnitCanonical| |leviCivitaSymbol| |singularAtInfinity?| |d02bhf| |lazyPseudoQuotient| |replaceKthElement| |OMputAtp| |curry| |principalIdeal| |d02bbf| |over| |minset| |min| |safeFloor| |zaxpy| |e02ahf| |property| |leftOne| |finiteSeries2LinSysWOVectorise| |bivariate?| |wholeRadix| |extract!| |substring?| |char| |createIrreduciblePoly| |leftNorm| |triangSolve| |constantLeft| |makeRecord| |dimension| |units| |lazyEvaluate| |quoted?| |baseRDEsys| |simpleBounds?| |inRadical?| |curveColorPalette| |low| |changeNameToObjf| |pointPlot| |univariatePolynomial| |d03faf| |inverseColeman| |basisOfNucleus| |imagj| |evaluateInverse| |central?| |d03eef| |basisOfLeftAnnihilator| |izamax| |dmpToP| |genus| |conjugates| |next| |d03edf| |code| |collectUpper| |qShiftC| |FormatArabic| |Nul| |critBonD| |df2st| |cardinality| |csc2sin| |maxPoints| |listOfTerms| |suffix?| |rightMinimalPolynomial| |expressIdealMember| |pushucoef| |subspace| |toseInvertibleSet| |convertIfCan| |extendedIntegrate| |countable?| |tablePow| |rightExactQuotient| |cAsinh| |cRationalPower| |trace2PowMod| |zero?| |element?| |plus!| |primintegrate| |setAttributeButtonStep| |removeConjugate| |isamax| |scalarMatrix| |pointData| |surface| |addPointLast| |basicSet| |nthExpon| |fglmIfCan| |collect| |viewPosDefault| |startTable!| |double| |lowerPolynomial| |iroot| |traceMatrix| |Gamma| |scan| |mainCoefficients| |powerSum| |henselFact| |modularFactor| |removeRoughlyRedundantFactorsInContents| |pushuconst| |totalLex| |write!| |OMsetEncoding| |gcdPolynomial| |characteristicSerie| |makeFloatFunction| |sdf2lst| |integers| |idamax| RF2UTS |setTower!| |countRealRoots| |fracPart| |setImagSteps| |decrease| |socf2socdf| |genericRightNorm| |plus| |augment| |prefix?| |c05nbf| |float?| |taylorQuoByVar| |charthRoot| |isAbsolutelyIrreducible?| |psolve| |c05adf| |recoverAfterFail| |sub| |minGbasis| |degree| |monomRDE| |c06gsf| |slash| |ridHack1| |high| |exists?| |getMultiplicationMatrix| |c06gqf| |basisOfRightAnnihilator| |squareMatrix| |clipSurface| |dom| |powers| |icamax| |c06gcf| |topPredicate| |extension| |diag| |const| |variableName| |c06gbf| |rootOf| |dimensionOfIrreducibleRepresentation| |red| |zeroOf| |conical| |c06fuf| |typeLists| |getExplanations| |quotientByP| |outputFloating| |points| |c06frf| |prime| |chainSubResultants| |characteristic| |move| |crest| |c06fqf| |invertible?| |maxrank| |fortranInteger| |nor| |rombergo| |c06fpf| |testDim| |tanh2trigh| |groebner?| |objectOf| |dznrm2| |c06ekf| |leftExactQuotient| |setSingularPoints| |distinguishedRootsOf| |balancedBinaryTree| |cPower| |c06ecf| |rewriteSetByReducingWithParticularGenerators| |calcRanges| |newSubProgram| |normalDenom| |hconcat| |c06ebf| |permanent| |column| |translateToOrigin| |insert!| |nodeOf?| |c06eaf| |iiasech| |radicalEigenvector| |stoseInvertibleSet| |numberOfOperations| |Ei6| |s17def| |daxpy| |Ei5| |edf2df| |content| |removeRedundantFactorsInContents| |option| |s17dcf| |fullDisplay| |rquo| |cap| |setprevious!| |dzasum| |s17akf| |getVariableOrder| |rootSimp| |normalizedAssociate| |maxRowIndex| |infieldIntegrate| |s17ajf| |parabolicCylindrical| |curveColor| |se2rfi| |rischDEsys| |infLex?| |And| |s17ahf| |listAllMono| |minPoly| |subs1stVar| |drawToScale| |numberOfPlacesOfDegree| |s17agf| |df2ef| |delay| |tail| |SturmHabichtMultiple| LT |taylorIfCan| |s17aff| |partialQuotients| |freeOf?| |removeSinSq| |weight| |rowEchWoZeroLinesWOVectorise| |s17aef| |outputFixed| |collectQuasiMonic| |Zero| |qPot| |frst| |basisOfCommutingElements| |s17adf| |close| |optimize| |maxColIndex| |minimalPolynomial| |setelt!| |fill!| |dswap| |s17acf| |cache| |antisymmetric?| |OMputEndAttr| |divideIfCan| |overset?| |rightQuotient| |s15aef| |quatern| |basisOfLeftNucloid| |addiag| |computeCycleLength| |leftAlternative?| |s15adf| |createNormalElement| |inBetweenExcpDiv| |additive?| |constantIfCan| |atom?| |s14baf| |numerators| |pointV| |divideIfCan!| |display| |LagrangeInterpolation| |changeMeasure| |s14abf| |new| |tensorMap| |extractProperty| |viewZoomDefault| |setlast!| |dscal| |s14aaf| |linearDependence| |distribute| |addPoint2| |internalSubPolSet?| |flagFactor| |s13adf| |rightTraceMatrix| |OMbindTCP| |printingInfo?| |OMputEndObject| |shufflein| |s13acf| |relativeApprox| |palgint0| |cos2sec| |pToDmp| |duplicates?| |s13aaf| |precision| |or| |nextPartition| |newElement| |asecIfCan| |resultantnaif| |readLineIfCan!| |s01eaf| |modTree| |largest| |useNagFunctions| |cAcot| |cycleEntry| |s21bdf| |internal?| |OMputBVar| |leftFactor| |palglimint| |drotg| |s21bcf| |homogeneous?| |RemainderList| |numberOfNormalPoly| |pleskenSplit| |generalizedContinuumHypothesisAssumed| |s21bbf| |minIndex| |rspace| |iiAiryBi| |expenseOfEvaluationIF| |squareFreePolynomial| |s21baf| |elt| |OMputApp| |subst| |exprHasWeightCosWXorSinWX| |separate| |useSingleFactorBound?| |s20adf| |leftDiscriminant| |setelt| |translate| |diagonal| |convergents| |setTex!| |rewriteSetWithReduction| |e02agf| |top!| |child| |close!| |ramified?| |nthRoot| |match?| |s20acf| |directory| |super| |primaryDecomp| |fintegrate| |putColorInfo| |drot| |d01aqf| |ptFunc| |basisOfInterpolateFormsForFact| |makeTerm| |zeroMatrix| |intChoose| |s19adf| |nlde| |coerceS| |primitivePart| |internalDecompose| |OMencodingUnknown| |d01apf| |false| |unitNormal| |shift| |fixPredicate| |constDsolve| |showTheFTable| |changeBase| |s19acf| |factorSqFree| |integral| |setPrologue!| |consnewpol| |normal| |nullity| |d01anf| |any| |OMclose| |getDomains| |midpoint| |createMultiplicationTable| |alphanumeric?| |d01amf| |suppOfPole| |kroneckerDelta| |cAsech| |find| |dnrm2| |d01alf| |denominator| |simpsono| |integerDecode| |modularGcdPrimitive| |enumerate| |s19abf| |permutation| |lazyPseudoDivide| |mathieu24| |rightLcm| |rename| |insert| |d01akf| |wreath| |coth2tanh| |binomThmExpt| |cycleTail| |orthonormalBasis| GT |s19aaf| |tRange| |radix| |subResultantGcd| |zeroDim?| |OMputEndApp| |d01ajf| |overlap| |pureLex| |matrixDimensions| |isExpt| |selectNonFiniteRoutines| |s18def| |notelem| |latex| |dihedral| |mapUnivariate| |ddot| |s18dcf| |clearFortranOutputStack| |recip| |numberOfCycles| |maxint| |generic?| |s18aff| |bernoulliB| |isTimes| |multiplicity| |midpoints| |numberOfPrimitivePoly| |s18aef| |DiffAction| |pile| |invmod| |iiasec| |s18adf| |split!| |associatorDependence| |genericRightTraceForm| |pointToPlace| |reshape| |linearAssociatedLog| |s18acf| |rightUnits| |indicialEquationAtInfinity| |iiacosh| |innerEigenvectors| |node?| |f04qaf| |fresnelC| |pole?| |OMopenFile| |identityMatrix| |OMgetEndBind| |f04mcf| |factorByRecursion| |input| |polygamma| |screenResolution3D| |roughBasicSet| |cCoth| |f04mbf| F2EXPRR |test| |cond| |universe| |rowEchelonLocal| |sinhIfCan| |expextendedint| |f04maf| |idealiserMatrix| |conditionP| |conjug| |subQuasiComponent?| |pol| |f04jgf| |void| |writable?| |dn| |printInfo!| |cyclicGroup| |f04faf| |maximumExponent| |paren| |size| |depth| |permutationRepresentation| |zeroSquareMatrix| |multiplicative?| |f04axf| |substitute| |qroot| |linear?| |repSq| |stoseInvertibleSetreg| |minPol| |f04atf| |reduction| |commutator| |initial| |count| |push!| |complexExpand| |expintfldpoly| |f04asf| |froot| |OMgetSymbol| |sinhcosh| |OMgetAttr| |factorsOfDegree| |signAround| |replaceDiffs| |infieldint| |complexEigenvectors| SEGMENT |singularPointsWithRestriction| |f04arf| |lifting| |initiallyReduce| |squareFreePart| |omError| |datalist| |max| |cCsch| |inverseIntegralMatrix| |delta| |f04adf| |length| |chineseRemainder| |getMatch| |digits| |integralAtInfinity?| |shrinkable| |scripts| |measure2Result| |deleteRoutine!| |pointColorPalette| |rules| |maxSubst| |linearPart| |addPoint| |overbar| |nextLatticePermutation| |inrootof| |unit?| |digit?| |asechIfCan| |removeRoughlyRedundantFactorsInPols| |compdegd| |euclideanNormalForm| |mkIntegral| |continue| |redPo| |skewSFunction| |mirror| |zeroSetSplitIntoTriangularSystems| |irreducibleFactors| |sumOfKthPowerDivisors| |normalizeAtInfinity| |readLine!| |OMgetEndObject| |listOfMonoms| |sayLength| |fortranLiteralLine| |elRow2!| |value| |parametersOf| |f07fef| |selectSumOfSquaresRoutines| |moduloP| |indices| |appendPoint| |wrregime| |f07fdf| |findCoef| |lazyIntegrate| |null?| |orbits| |factorSquareFreePolynomial| |f07aef| |properties| |showFortranOutputStack| |startTableInvSet!| |adjunctionDivisor| |startStats!| |real?| |f07adf| |pointDominateBy| |noKaratsuba| |acoshIfCan| |elem?| |mapmult| |rk4qc| |ParCond| |satisfy?| |lift| |genericRightDiscriminant| |stirling2| |viewSizeDefault| |s17dlf| |decreasePrecision| |cAcosh| |reduce| |powern| |failed| |mainPrimitivePart| |s17dhf| |name| |scaleRoots| |trivialIdeal?| |ef2edf| |hasSolution?| |s17dgf| |extendedEuclidean| |toseInvertible?| |halfExtendedResultant2| |leftQuotient| |semiLastSubResultantEuclidean| |f02xef| |abelianGroup| |superscript| |asinIfCan| |allRootsOf| |recolor| |f02wef| |slope| |Ei1| |modifyPoint| |standardBasisOfCyclicSubmodule| |duplicates| |f02fjf| |chartCoord| |primPartElseUnitCanonical!| |expr| |extendedint| |jordanAlgebra?| |removeSinhSq| |f02bjf| |update| |OMputEndBVar| |extractSplittingLeaf| |primextintfrac| |doubleComplex?| |trapezoidalo| |f02bbf| |partialNumerators| |atanIfCan| |OMserve| |gramschmidt| GF2FG |f02axf| |mr| |groebgen| |outputMeasure| |numberOfIrreduciblePoly| |leftPower| |printInfo| |splitSquarefree| |polynomial| |optional?| |lambert| |OMUnknownSymbol?| |generateIrredPoly| |intensity| |rdHack1| |box| |checkForZero| |leftTrace| |op| |rename!| |repeating?| |lookup| |foundZeroes| |edf2ef| |kmax| Y |toseLastSubResultant| |rowEchWoZeroLines| |totalGroebner| |actualExtensionV| |semiSubResultantGcdEuclidean1| |strongGenerators| |polynomialZeros| |bumptab1| |mapDown!| |lllp| |polyPart| |innerint| |lazyResidueClass| |solve| |modifyPointData| |graeffe| |matrixConcat3D| |changeThreshhold| |scripted?| |rk4f| |reverse!| |numberOfVariables| |sizeLess?| |pointLists| |fixedPoints| |mainCharacterization| |arg1| |coefficients| |birth| |resetAttributeButtons| |sumOfSquares| |arg2| |resultantReduit| |guessHP| |indicialEquations| |bipolar| |qnew| |multisect| |monomials| |readable?| |match| |setrest!| |associates?| |selectAndPolynomials| |viewDeltaXDefault| |tan2cot| |nextPrime| |continuedFraction| |unitCanonical| |pomopo!| |upperCase| |separant| |univcase| |cosIfCan| |placesAbove| |polyRingToBlUpRing| |neglist| |graphStates| |discriminant| |matrix| |pushup| |divOfPole| |hspace| |sort| |discriminantEuclidean| |stopTable!| |argumentListOf| |leader| |showClipRegion| |lintgcd| |multiset| |removeDuplicates!| |oddintegers| EQ |shanksDiscLogAlgorithm| |sinIfCan| |cSec| |vconcat| |firstExponent| |#| |lazyIrreducibleFactors| |htrigs| |integralMatrix| |bfEntry| |rotate| |hdmpToDmp| |dcopy| |dominantTerm| |clearTheSymbolTable| |monicRightFactorIfCan| |lp| |leftExtendedGcd| |modularGcd| |realZeros| |machineFraction| |plot| |components| |primeFactor| |lazyGintegrate| |intersectionDivisor| |complexIntegrate| |radicalEigenvalues| |rightFactorCandidate| |numFunEvals| |allDegrees| |rdregime| |drawStyle| |green| |xn| |cSin| |hex| |power| |bivariatePolynomials| |cyclicSubmodule| |numericIfCan| |traverse| |leftRecip| |commutative?| |every?| |KrullNumber| |inverseLaplace| |prod| |padicFraction| |affineAlgSet| |makeEq| |upperCase?| |iiBesselJ| |complete| |maxdeg| |clipBoolean| |initializeParamOfPlaces| |lastSubResultantElseSplit| |BumInSepFFE| |noLinearFactor?| |multMonom| |linSolve| |retractIfCan| |vedf2vef| |rightFactorIfCan| |SturmHabichtCoefficients| |polygon?| |identitySquareMatrix| |excepCoord| |exQuo| |weierstrass| |univariateSolve| |leadingIdeal| |comp| |logIfCan| |member?| |obj| |bitLength| |rootProduct| |testModulus| |predicate| |extractIndex| |cExp| |conditions| |approxSqrt| |presub| |lowerCase| |remainder| |viewDeltaYDefault| |createPrimitiveNormalPoly| |setLabelValue| |stopTableInvSet!| |characteristicPolynomial| |fortranLogical| |blowUpWithExcpDiv| |definingPolynomial| |guessADE| |copyInto!| |isList| |tubePointsDefault| |loopPoints| |expintegrate| |numerator| |removeRedundantFactors| |getRef| |norm| |iiperm| |formula| |halfExtendedSubResultantGcd2| |introduce!| |removeSuperfluousCases| |monomial?| |maxPower| |btwFact| |suchThat| |radicalOfLeftTraceForm| |ReduceOrder| |completeHensel| |algDsolve| |totalDifferential| |extendedSubResultantGcd| |makeMulti| |back| |extDegree| |fibonacci| |mantissa| |unvectorise| |cAsec| |mainVariables| |var2StepsDefault| |makeSUP| |headReduced?| |rightAlternative?| |interval| |Lazard| |OMputError| |iiasin| |setCondition!| |tubeRadiusDefault| |clearTheFTable| |showTypeInOutput| |gbasis| |checkRur| |dmp2rfi| |alphanumeric| |say| |minimize| |numberRatPlacesExtDeg| |solveInField| |fullInfClsPt| |rationalPower| |reduceLODE| |debug| |primextendedint| |var1StepsDefault| |presuper| |iisec| |acscIfCan| |point?| |guessBinRat| |linear| |approximants| |deepExpand| |primintfldpoly| |smith| |curryRight| |debug3D| |magnitude| |morphism| |cyclicCopy| |basisOfCenter| |updateStatus!| |perfectSquare?| |shellSort| |complexNumeric| |horizConcat| |perfectNthRoot| |OMgetError| |functionNames| |character?| |kernels| |bandedJacobian| |subSet| |construct| |suppOfZero| |linearlyDependentOverZ?| |conditionsForIdempotents| |unitNormalize| |intPatternMatch| |checkPrecision| |OMreceive| |univariate| |clearCache| |hadamard| |divide| |genericRightMinimalPolynomial| |sncndn| |minrank| |factor| |oddInfiniteProduct| |setleaves!| |leastAffineMultiple| |external?| |symFunc| |integralMatrixAtInfinity| |truncate| |real| |maxDegree| |left| |quasiRegular| |nextsubResultant2| |critMonD1| |displayKind| |dark| |imag| |showIntensityFunctions| |semiDegreeSubResultantEuclidean| |sh| |multiple| |build| |directProduct| |sqfree| |symmetricRemainder| |minordet| |symmetricPower| |completeEchelonBasis| |optional| |rightCharacteristicPolynomial| |zeroDimPrimary?| |blankSeparate| |destruct| |permutations| |aLinear| |radical| |entry| |OMputSymbol| |bitTruth| |halfExtendedSubResultantGcd1| |monomial| |parent| |lazyPrem| |not| |RittWuCompare| |Ci| |multiServ| |eq?| |multivariate| |setProperty| |tubeRadius| |exponent| |polyred| |symbolTable| |getlo| |listAllMonoExp| |variables| |exponentialOrder| |sinh2csch| |pushFortranOutputStack| |minPoints3D| |selectOptimizationRoutines| |rootSplit| |zeroSetSplit| |bfKeys| |filename| |logical?| |more?| |applyQuote| |badNum| |dcabs1| |has?| |fractRagits| |getSmgl| |comment| |generalCoefficient| |ceiling| |pade| |popFortranOutputStack| |e01sbf| |factorsOfCyclicGroupSize| |exprToXXP| |taylor| |float| |baseRDE| |algint| |outputAsFortran| |imagJ| |id| |laurent| |romberg| |badValues| |dec| |dasum| |localParam| |summary| |irreducible?| |puiseux| |integer| |primeFrobenius| |ParCondList| |normInvertible?| |filterUpTo| |show| |inv| |nthCoef| |bit?| |makeSin| |clearDenominator| |distance| |ground?| |charpol| |solid?| |realEigenvectors| |lazyPquo| |subset?| |e02aef| |ground| |string| |roughEqualIdeals?| |getMeasure| |style| |simplifyLog| |leftLcm| |leadingMonomial| |accuracyIF| |triangulate| |cyclicParents| |algebraicCoefficients?| |absolutelyIrreducible?| |c02agf| |leadingCoefficient| |iflist2Result| |safetyMargin| |resultantEuclidean| |physicalLength!| |rCoord| |c02aff| |mainKernel| |ZetaFunction| |rewriteIdealWithRemainder| |interpolateForms| |pack!| |tex| |e02adf| |reopen!| |OMsend| |shiftRight| |distinguishedCommonRootsOf| |scalarTypeOf| |differentiate| |c05pbf| |showAttributes| |index?| |OMgetApp| |exprHasLogarithmicWeights| |flush| |axes| |One| |zerosOf| |addMatchRestricted| |columnSpace| |title| |last| |rischDE| |credits| |mergeFactors| |compile| |OMopenString| |leftScalarTimes!| |trigs| |algebraicOf| |vector| |monic?| |screenResolution| |jacobi| |yCoordinates| |exprToUPS| |e01sef| |patternMatch| |returnTypeOf| |stirling1| |OMputEndBind| |entry?| |e01saf| |setleft!| |graphs| |hitherPlane| |viewWriteAvailable| |infix?| |e01daf| |chebyshevT| |selectIntegrationRoutines| |preprocess| |gderiv| |e01bhf| |key| |leftGcd| |arrayStack| |isOp| |ratpart| |e01bgf| |random| |contains?| |En| |desingTree| |algebraic?| |e01bff| |doubleRank| |leftRankPolynomial| |viewport2D| |size?| |e01bef| |applyTransform| |po| |insertTop!| |zeroDimensional?| |e01baf| |retractToGrn| |rank| |structuralConstants| |removeSquaresIfCan| |e02zaf| |parametrize| |makeCos| |firstUncouplingMatrix| |e02gaf| |reduceLineOverLine| |primitiveMonomials| |makeResult| |minus!| |theCurve| |e02dff| |anfactor| |reductum| |stosePrepareSubResAlgo| |lBasis| |localPointV| |e02def| |cyclotomicFactorization| |symbol| |infiniteProduct| |enqueue!| |sorted?| |e02ddf| |cAtanh| |rewriteIdealWithHeadRemainder| |critB| |unrankImproperPartitions1| |e02dcf| |mesh?| |one| |cCot| |Not| |interpolate| |tanSum| |e02daf| |expPot| |zero| |goodnessOfFit| |subHeight| |withPredicates| |e02bef| |scale| ^ |iiBesselY| |primlimintfrac| |e02bdf| |mainVariable| |exp| |outputAsTex| |outerProduct| |round| |lfinfieldint| |minusInfinity| |lfextendedint| |pi| |UpTriBddDenomInv| |right| |OMgetAtp| |indiceSubResultantEuclidean| |plusInfinity| |cAcsc| |sqrt| |nextSublist| |Or| |stFunc2| |clipParametric| |writeObj| |iibinom| |userOrdered?| |splitConstant| |changeName| |showAll?| |li| |palglimint0| |reducedSystem| |factorCantorZassenhaus| |checkOptions| |erf| |selectfirst| |perfectSqrt| |qShiftAction| |ShiftC| |tanIfCan| |common| |differentialVariables| |firstDenom| |groebnerFactorize| |iidsum| |multiplyCoefficients| |dilog| |squareTop| |gcdcofactprim| |rationalApproximation| |cotIfCan| |sin| |desingTreeAtPoint| |polarCoordinates| |d01gbf| |factors| |cos| |tanNa| |primitive?| |univariatePolynomialsGcds| |d01gaf| |cyclotomicDecomposition| |setStatus| |tan| |yCoord| |rule| |ldf2lst| |d01fcf| |contract| |cot| |opeval| |insertBottom!| |ODESolve| |d01bbf| |singleFactorBound| |divergence| |sec| |orbit| |d01asf| |quotient| |cCos| |csc| |deepestInitial| |internalAugment| |ruleset| |csch2sinh| |asin| |leaf?| |matrixGcd| |bitCoef| |rightTrim| |d02raf| |identification| |acos| |setMaxPoints3D| |listBranches| |stoseInvertible?| |d02kef| |fortranDouble| |remove| |setValue!| |atan| |patternMatchTimes| |upperCase!| |d02gbf| |whatInfinity| |acot| |optpair| |iicsc| |radicalEigenvectors| |d02gaf| |numer| |leastMonomial| |asec| |replaceVarByZero| |logpart| |odd?| |d02ejf| |explicitEntries?| |ScanArabic| |denom| |acsc| |invertIfCan| |colorDef| |cTanh| |kernel| |sinh| |symmetric?| |explimitedint| |localParamOfSimplePt| |stFuncN| |binaryTournament| |draw| |closeComponent| |cosh| |iprint| |squareFreePrim| |scanOneDimSubspaces| |makeObject| |triangular?| |tanh| |randnum| |solveLinearlyOverQ| |laplace| |mindeg| |binarySearchTree| |coef| |coth| |classNumber| |setnext!| |setFoundZeroes| |df2mf| |doubleFloatFormat| |rightNorm| |monom| |sech| |e01sff| |inverseIntegralMatrixAtInfinity| |removeZero| |createPrimitiveElement| |useEisensteinCriterion?| |csch| |digamma| |shiftInfoRec| |nrows| |principal?| |leadingExponent| |diffHP| |asinh| |redmat| |headRemainder| |constant| |factorSquareFree| |union| |besselI| |acosh| |trapezoidal| |localize| |flexibleArray| |iidprod| |setchart!| |atanh| |getGraph| |OMputInteger| |trace| |inHallBasis?| |weights| |setScreenResolution| |acoth| |ignore?| |purelyAlgebraicLeadingMonomial?| |root?| |iCompose| |log| |setFoundPlacesToEmpty| |asech| |discreteLog| |lowerCase?| |leftRemainder| |call| |laguerreL| |squareFreeLexTriangular| |jacobian| |nthr| |limitedint| |makeFR| |meshFun2Var| |lSpaceBasis| |distdfact| |list?| |OMencodingSGML| |euler| |expt| |cross| |airyBi| |genericRightTrace| |mainForm| |pseudoRemainder| |selectFiniteRoutines| |recur| |evalRec| |derivative| |uncouplingMatrices| |makeprod| |radicalSolve| |coerceListOfPairs| |returns| |safety| |Ei2| |setPosition| |finiteBasis| |rk4a| |foundPlaces| |LyndonBasis| |addMatch| |ptree| |stoseSquareFreePart| |epilogue| |selectPolynomials| |nary?| |wholePart| |iiBeta| |realSolve| |cycles| |extensionDegree| |upDateBranches| |append| |pop!| |replace| |finiteSeries2LinSys| |linearPolynomials| |reducedQPowers| |polar| |legendreP| |generalizedInverse| |function| |quartic| |iExquo| |OMgetEndBVar| |sec2cos| |functionIsOscillatory| |schema| |linearDependenceOverZ| |unit| |changeVar| |option?| |untab| |solveLinearPolynomialEquationByFractions| |coordinates| |resultant| |tanAn| |mainSquareFreePart| |vectorise| |copy!| |goodPoint| |stronglyReduced?| |coleman| |prinshINFO| |rewriteIdealWithQuasiMonicGenerators| |transCoord| |eigenvalues| |OMwrite| |monicLeftDivide| |realElementary| |iisinh| UTS2UP |normalDeriv| |sturmVariationsOf| |cLog| |groebSolve| |semiIndiceSubResultantEuclidean| |functionIsContinuousAtEndPoints| |changeWeightLevel| |prefixRagits| |musserTrials| |curve?| |radicalSimplify| |decimal| |sturmSequence| |biringToPolyRing| |space| |subPolSet?| |prem| |leftTraceMatrix| |replaceVarByOne| |degOneCoef| |mainValue| |createThreeSpace| D |retractable?| |primes| |SturmHabicht| |deref| |ramifiedAtInfinity?| |setVariableOrder| |critM| |definingEquations| |fullPartialFraction| |create3Space| |Ei3| |xRange| |guessExpRat| |getAncestors| |sortConstraints| |reduceBasisAtInfinity| |pushdterm| |cCosh| |hypergeometric0F1| |radPoly| |generalInterpolation| |pr2dmp| |zCoord| |nsqfree| |sincos| |mix| |figureUnits| |reducedForm| |qfactor| |squareFree| |unary?| |tan2trig| |printTypes| |heap| |lflimitedint| |subtractIfCan| |saturate| |quadratic| |elementary| |uncorrelated?| |assert| |endOfFile?| |updatF| |roughSubIdeal?| |diagonal?| |getDatabase| |integral?| |unparse| |normal?| |usingTable?| |mainDefiningPolynomial| |qinterval| |objects| |pair?| |basisOfMiddleNucleus| |rationalPoints| |guessPRec| |equality| |basisOfCentroid| |listRepresentation| |child?| |currentSubProgram| |derivationCoordinates| |any?| |listLoops| |mapdiv| |graphCurves| |read!| |bumprow| |reduced?| |statusIto| |createLowComplexityNormalBasis| |rightExtendedGcd| |reset| |nthFlag| |rst| |constantToUnaryFunction| |inf| |belong?| |write| |setEmpty!| |iiacoth| |fullOut| |save| |anticoord| |nullary| |extractClosed| |setright!| |cAcoth| |coefficient| |extend| |divideExponents| |limitPlus| |crushedSet| |goppaCode| |setPoly| |tubePoints| |varList| |acosIfCan| |aQuartic| |Ei4| |var1Steps| |indicialEquation| |listSD| |sign| |viewpoint| |problemPoints| |leftMult| |overlabel| |ldf2vmf| |gnuDraw| |terms| |resetVariableOrder| |middle| |fortranCharacter| |resultantEuclideannaif| |tValues| |module| |prevPrime| |reseed| |vspace| |branchPoint?| |exprToGenUPS| |fortranTypeOf| |An| |mkAnswer| |besselY| |showTheIFTable| |minColIndex| |rightZero| |leftDivide| |null| |is?| |palginfieldint| |drift| |hermiteH| |indiceSubResultant| |exteriorDifferential| |mapUnivariateIfCan| |prinpolINFO| |eigenvectors| |car| |findCycle| |hcrf| |localUnquote| |basisOfLeftNucleus| |ScanFloatIgnoreSpacesIfCan| |cdr| |decompose| |prindINFO| |infClsPt?| |degreePartition| |newton| |mainMonomial| |binaryTree| |aCubic| |copyQuadVar| |enterPointData| |viewWriteDefault| |positiveRemainder| |OMputAttr| |partitions| |bivariateSLPEBR| |sechIfCan| |transcendentalDecompose| |getZechTable| |ode1| BY |leftRank| |algebraicVariables| UP2UTS |selectODEIVPRoutines| |firstSubsetGray| |iidigamma| |OMputFloat| |cSech| |mdeg| |setRow!| |palgint| |HermiteIntegrate| |deriv| |powerAssociative?| |unaryFunction| |error| |setPredicates| |tryFunctionalDecomposition?| |nodes| |associatedSystem| |rotatez| |getCurve| |isPower| |affineRationalPoints| |fortranLiteral| |bumptab| |integerBound| |nonQsign| |leftZero| |viewDefaults| |copyDrift| |even?| |imagi| |maxTower| |predicates| |doublyTransitive?| |pfaffian| |sizeMultiplication| |integralLastSubResultant| |argscript| |prolateSpheroidal| |exptMod| |vark| |antiCommutator| |root| |bottom!| |lquo| |sin2csc| |guessRat| |clipPointsDefault| |nextIrreduciblePoly| |message| |primlimitedint| |one?| |nthFractionalTerm| |OMencodingXML| |OMputEndAtp| |polyRDE| |sylvesterSequence| |iteratedInitials| |alterQuadVar!| |blowUp| |rightUnit| |backOldPos| |semiResultantEuclideannaif| |linearAssociatedExp| |alphabetic| |reducedContinuedFraction| |palgRDE| |multinomial| |bombieriNorm| |antiAssociative?| |characteristicSet| |lighting| |argument| |coerce| |normalizeIfCan| |cup| |stoseInternalLastSubResultant| |initTable!| |isQuotient| |extractIfCan| |enterInCache| |gcd| |open?| |removeCoshSq| |mapSolve| |asinhIfCan| |weighted| |nullSpace| |repeatUntilLoop| |rotatex| |hyperelliptic| |alterDrift!| |splitNodeOf!| |transpose| |cycleLength| |sequences| |splitDenominator| |conjugate| |extendedResultant| |qsetelt!| |jacobiIdentity?| |wronskianMatrix| |processTemplate| |sizePascalTriangle| |roughUnitIdeal?| |position| |removeCosSq| |diagonalMatrix| |singularitiesOf| |perfectNthPower?| |and| |iiGamma| |selectsecond| |bsolve| |bandedHessian| |clikeUniv| |mapMatrixIfCan| |rootBound| |geometric| |merge!| |rowEchelon| |ord| |addmod| |readIfCan!| |constantCoefficientRicDE| |origin| |rootOfIrreduciblePoly| |OMgetString| |branchIfCan| |internalZeroSetSplit| |df2fi| |dflist| |lieAdmissible?| |empty| |singular?| |purelyTranscendental?| |complexEigenvalues| |nilFactor| |generators| |redpps| |genericPosition| |second| |showScalarValues| |reduceRowOnList| |pquo| |Beta| |tracePowMod| |leftUnits| |closedCurve?| |cn| |dioSolve| |prepareDecompose| |convert| |getOp| |algSplitSimple| |flatten| |rowEchLocal| |simpson| |rangeIsFinite| |generalTwoFactor| |iiBesselI| |OMgetBind| |linearlyDependent?| |highCommonTerms| |quasiComponent| |genericLeftDiscriminant| |parabolic| |UP2ifCan| |OMputObject| |csubst| |iiatanh| |reciprocalPolynomial| |medialSet| |iisech| |sumSquares| |parametric?| |internalInfRittWu?| |arity| |elements| |useEisensteinCriterion| |rotate!| |quasiAlgebraicSet| |children| |generalizedContinuumHypothesisAssumed?| |LiePoly| |minimalForm| |pointValue| |chiSquare| |interReduce| |nextPrimitivePoly| |localParamV| |useSingleFactorBound| |comparison| |unitsColorDefault| |dimensions| |lieAlgebra?| |basis| |abs| |collectUnder| |getMultiplicationTable| |thetaCoord| |diophantineSystem| |rootNormalize| |divisorAtDesingTree| |iilog| |seriesToOutputForm| |cAcos| |library| |gradient| |graphImage| |ocf2ocdf| |minRowIndex| |lprop| |infix| |iiacot| |cothIfCan| |mightHaveRoots| |startPolynomial| |integerIfCan| |transcendenceDegree| |systemSizeIF| |regime| |physicalLength| |setMinPoints| |numberPlacesDegExtDeg| |guess| |normalElement| |seed| |increase| |rotatey| ** |iomode| |mkcomm| |coerceImages| |LazardQuotient| |numberOfMonomials| |fractionFreeGauss!| |posExpnPart| |rightMult| |SFunction| |DiffC| |qelt| |separateFactors| |triangularSystems| |segment| |row| |linGenPos| |drawComplexVectorField| |iiacsc| |FormatRoman| |unexpand| |definingField| |sin?| |cAsin| |beauzamyBound| |modulus| |extractBottom!| |fffg| |wordInStrongGenerators| |chebyshevU| |canonicalIfCan| |pow| |ncols| |frobenius| |innerSolve1| |unitVector| |Lazard2| |OMgetBVar| |constantRight| |seriesSolve| |multiEuclidean| |swapColumns!| |iter| |symmetricSquare| |specialTrigs| |quickSort| |cscIfCan| |makeSketch| |jordanAdmissible?| |poisson| |quote| |dequeue| |lyndonIfCan| |gethi| |Frobenius| |hasHi| |extractPoint| |setDegree!| |getButtonValue| |palgextint| |MPtoMPT| |rightRecip| |maxrow| |cubic| |eisensteinIrreducible?| |normDeriv2| |insertRoot!| |ode| |factorList| |algintegrate| |equation| |initParLocLeaves| |eigenvector| |primitivePart!| |removeFirstZeroes| |map| |semiSubResultantGcdEuclidean2| |generalizedEigenvectors| |antisymmetricTensors| |particularSolution| |quadraticForm| |iisqrt2| |generalInfiniteProduct| |binomial| |branchPointAtInfinity?| E1 |exponential| |hMonic| |splitLinear| |factorSFBRlcUnit| |viewPhiDefault| |fullParamInit| |assign| |externalList| |subresultantVector| |sumOfDivisors| |homogenize| |reduceRow| |firstNumer| |iifact| |iiabs| |OMgetEndApp| |leftCharacteristicPolynomial| |getPickedPoints| |computeInt| |LyndonCoordinates| |mapUp!| |coefOfFirstNonZeroTerm| |simplifyPower| |computeBasis| |rightScalarTimes!| |squareFreeFactors| |ramifMult| |spherical| |imagE| |setref| |univariate?| |fresnelS| |functionIsFracPolynomial?| |OMgetEndError| |graphState| |cosSinInfo| |fixedDivisor| |rowEch| |sPol| |tube| |exactQuotient| |diagonals| |rightDivide| |critMTonD1| |adaptive?| |subMatrix| |iitanh| |quotValuation| |mkPrim| |toScale| |string?| |OMputBind| |janko2| |createHN| |toroidal| |OMputVariable| |rhs| |redPol| |deepCopy| |internalIntegrate| |fmecg| |iiacos| |compactFraction| |realRoots| |clip| |shallowExpand| |pointColorDefault| |complement| |moebius| |newTypeLists| |listOfLists| |univariatePolynomials| |multiple?| |cCsc| |laurentIfCan| |hasPredicate?| |setOrder| |biRank| |outputList| |prologue| |factor1| |plotPolar| |cot2trig| |idealSimplify| |entries| |integralRepresents| |raisePolynomial| |sum| |superHeight| |sup| |genusNeg| |lllip| |shiftHP| |iicos| |affineAlgSetLocal| |minimumDegree| |euclideanGroebner| |ellipticCylindrical| |fi2df| |rightRemainder| |HenselLift| |extendIfCan| |double?| |gcdcofact| |parts| |combineFeatureCompatibility| |printCode| |atanhIfCan| |numberOfImproperPartitions| |cyclic| |power!| |zag| |negative?| |genusTreeNeg| |homogeneous| |series| |dihedralGroup| |dmpToHdmp| |nil| |forLoop| |lfintegrate| |tower| |generalPosition| |supDimElseRittWu?| |coshIfCan| |factorset| |quasiMonic?| |randomR| |yRange| |permutationGroup| |unrankImproperPartitions0| |setRealSteps| |mergeDifference| |errorKind| |script| |approximate| |ranges| |aspFilename| |incrementKthElement| |pdct| |removeZeroes| |complex| |gcdPrimitive| |toseSquareFreePart| |selectOrPolynomials| |isobaric?| |monicDivide| |topFortranOutputStack| |parse| |reducedDiscriminant| |linearMatrix| |factorOfDegree| |tanintegrate| |chvar| |OMreadStr| |makeUnit| |possiblyNewVariety?| |localIntegralBasis| |shade| |acotIfCan| |radicalRoots| |dim| |getOrder| |finite?| |explicitlyFinite?| |semicolonSeparate| |hue| |fortran| |exponential1| |subTriSet?| |multiEuclideanTree| |check| |makeViewport2D| |makingStats?| |axesColorDefault| |elliptic| |listexp| |rk4| |LPolynomial| |groebner| |associator| |expandTrigProducts| |color| |rightPower| |lazyVariations| |aQuadratic| |subscriptedVariables| |iiacsch| |setClipValue| |rectangularMatrix| |karatsubaOnce| |cAtan| |block| |stoseInvertible?sqfreg| |binaryFunction| |fTable| |lastSubResultantEuclidean| |determinant| |ravel| |orderIfNegative| |eq| |shallowCopy| |defineProperty| |realEigenvalues| |makeCrit| |table| |OMParseError?| |LowTriBddDenomInv| |algebraicSet| |patternVariable| |setcurve!| |complexNumericIfCan| |uniform| |iipolygamma| |internalSubQuasiComponent?| |set| |trueEqual| |mulmod| |reduceByQuasiMonic| |leadingSupport| |ratPoly| |bits| |rischNormalize| |concat!| |cTan| |completeHermite| |pseudoQuotient| |infinite?| |desingTreeWoFullParam| |makeVariable| |rational?| |createRandomElement| |rightGcd| |leftRegularRepresentation| |order| |clearTable!| |separateDegrees| |outlineRender| |functionName| |pmComplexintegrate| |outputArgs| |padicallyExpand| |xCoord| |subsInVar| |sech2cosh| |fprindINFO| |imagk| |secIfCan| |argumentList!| |failed?| |leastPower| |setAdaptive3D| |zeroVector| |lexTriangular| |pushdown| |OMsupportsSymbol?| |imagK| |concat| |members| |dequeue!| |tensorProduct| |chartV| |setErrorBound| |contractSolve| |mat| |normFactors| |open| |airyAi| |commaSeparate| |guessPade| |width| |numberOfFractionalTerms| |rightRegularRepresentation| |queue| |showTheRoutinesTable| |reorder| |eulerPhi| |definingInequation| |pascalTriangle| |degreeSubResultantEuclidean| |effective?| |trunc| |getGoodPrime| |complementaryBasis| |sample| |rightOne| |OMgetType| |completeEval| |encode| |numericalIntegration| |besselK| |credPol| |setMaxPoints| |d| |setStatus!| |stoseIntegralLastSubResultant| |getBadValues| |inspect| |LyndonWordsList1| |iisin| |cylindrical| |hdmpToP| |outputAsScript| |setLegalFortranSourceExtensions| |ran| |palgLODE0| |pToHdmp| |constantOpIfCan| |subResultantChain| |purelyAlgebraic?| |generalSqFr| |dot| |findTerm| |digit| |doubleResultant| |meshPar2Var| |showAllElements| |wholeRagits| |diagonalProduct| |monicModulo| |innerSolve| |evaluate| |linkToFortran| |relerror| |ode2| |outputGeneral| |OMgetObject| |imaginary| |acsch| |reverseLex| |OMcloseConn| |simplifyExp| |probablyZeroDim?| |compose| |e| |lineColorDefault| |tryFunctionalDecomposition| |complexElementary| |drawCurves| |clipWithRanges| |sylvesterMatrix| |singRicDE| |setEpilogue!| |t| |copies| |nthExponent| |restorePrecision| |explogs2trigs| |Musser| |setvalue!| |quadraticNorm| |true| |monomialIntPoly| |nil| |infinite| |arbitraryExponent| |approximate| |complex| |shallowMutable| |canonical| |noetherian| |central| |partiallyOrderedSet| |arbitraryPrecision| |canonicalsClosed| |noZeroDivisors| |rightUnitary| |leftUnitary| |additiveValuation| |unitsKnown| |canonicalUnitNormal| |multiplicativeValuation| |finiteAggregate| |shallowlyMutable| |commutative|) 
\ No newline at end of file
diff --git a/src/share/algebra/dependents.daase/dependents.daase/index.kaf b/src/share/algebra/dependents.daase/dependents.daase/index.kaf
index e935ec4..00a5c4a 100644
--- a/src/share/algebra/dependents.daase/dependents.daase/index.kaf
+++ b/src/share/algebra/dependents.daase/dependents.daase/index.kaf
@@ -1,4 +1,4 @@
-76844               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
+77192               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
 (|AbelianMonoid&| |CardinalNumber| |EuclideanModularRing| |GradedAlgebra| |GradedAlgebra&| |GradedModule| |GradedModule&| |IndexedDirectProductAbelianMonoid| |ListMonoidOps| |ModularField| |ModularRing| |RecurrenceOperator|)
 (|AbelianMonoidRing&| |FractionFreeFastGaussian|)
 (|AbelianSemiGroup&| |Color| |IncrementingMaps| |PositiveInteger|)
@@ -57,7 +57,7 @@
 (|CRApackage| |ComplexFactorization| |ConstantLODE| |ContinuedFraction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |FractionalIdeal| |FractionalIdealFunctions2| |FramedModule| |FunctionFieldIntegralBasis| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GenExEuclid| |GenUFactorize| |GeneralHenselPackage| |GroebnerFactorizationPackage| |InnerModularGcd| |InnerMultFact| |IntegralBasisTools| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |LaplaceTransform| |LeadingCoefDetermination| |MPolyCatPolyFactorizer| |MRationalFactorize| |ModularHermitianRowReduction| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |NPCoef| |NonLinearFirstOrderODESolver| |ODEIntegration| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PolynomialGcdPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionFactorizer| |RationalUnivariateRepresentationPackage| |SmithNormalForm| |TransSolvePackage| |ZeroDimensionalSolvePackage|)
 (|Evalable&|)
 (|UnivariatePuiseuxSeriesWithExponentialSingularity|)
-(|DeRhamComplex|)
+(|DeRhamComplex| |StochasticDifferential|)
 (|AlgebraicManipulations| |AlgebraicNumber| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |FortranExpression| |InnerAlgebraicNumber|)
 (|ExtensibleLinearAggregate&| |FlexibleArray| |IndexedFlexibleArray|)
 (|ExtensionField&| |PseudoAlgebraicClosureOfFiniteField|)
@@ -112,9 +112,9 @@
 (|InnerEvalable&|)
 (|InnerFiniteField|)
 (|Boolean| |DoubleFloat| |ExpressionSolve| |ExpressionSpaceODESolver| |Float| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |OrderedVariableList| |Pi| |PlotFunctions1| |RecurrenceOperator| |Symbol| |TopLevelDrawFunctions|)
-(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
+(|AlgebraicIntegrate| |AlgebraicNumber| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |BrillhartTests| |CartesianTensor| |CartesianTensorFunctions2| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |DecimalExpansion| |DefiniteIntegrationTools| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FourierSeries| |FreeAbelianGroup| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessFinite| |GuessFiniteFunctions| |HeuGcd| |HexadecimalExpansion| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InputForm| |IntegerLinearDependence| |IntegerMod| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LieExponentials| |LinearOrdinaryDifferentialOperatorFactorizer| |MachineFloat| |ModularDistinctDegreeFactorizer| |MyExpression| |NeitherSparseOrDensePowerSeries| |NonLinearFirstOrderODESolver| |NumberFieldIntegralBasis| |ODEIntegration| |OrderedVariableList| |PAdicInteger| |PAdicIntegerCategory| |PAdicRational| |PAdicRationalConstructor| |Partition| |PatternMatchIntegration| |Pi| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadixExpansion| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |SAERationalFunctionAlgFactor| |SExpression| |SimpleAlgebraicExtensionAlgFactor| |SortPackage| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |Symbol| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFactorize| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeriesODESolver| |XExponentialPackage|)
 (|ComplexIntegerSolveLinearPolynomialEquation| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberSystem&| |IntegerPrimesPackage| |IntegerRoots| |MachineInteger| |PatternMatchIntegerNumberSystem| |RomanNumeral| |SingleInteger|)
-(|AlgebraPackage| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |AssociatedEquations| |CombinatorialFunction| |CommonDenominator| |ComplexTrigonometricManipulations| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ExpressionSolve| |ExpressionSpaceODESolver| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GosperSummationMethod| |Guess| |InfiniteProductCharacteristicZero| |InnerCommonDenominator| |InnerMatrixQuotientFieldFunctions| |InnerPolySum| |InnerTrigonometricManipulations| |IntegralDomain&| |LaurentPolynomial| |LinearDependence| |LinearSystemPolynomialPackage| |LiouvillianFunction| |MPolyCatRationalFunctionFactorizer| |MatrixCommonDenominator| |MultipleMap| |MyExpression| |NewtonInterpolation| |NonLinearSolvePackage| |PatternMatchFunctionSpace| |PatternMatchQuotientFieldCategory| |PiCoercions| |PointsOfFiniteOrder| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PrecomputedAssociatedEquations| |PseudoRemainderSequence| |QuotientFieldCategory| |QuotientFieldCategory&| |QuotientFieldCategoryFunctions2| |RationalFunction| |RationalFunctionIntegration| |RationalFunctionSum| |RecurrenceOperator| |RetractSolvePackage| |StreamInfiniteProduct| |SubResultantPackage| |SystemSolvePackage| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackageService| |TriangularMatrixOperations| |TriangularSetCategory| |TriangularSetCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WuWenTsunTriangularSet|)
+(|AlgebraPackage| |AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |AssociatedEquations| |CombinatorialFunction| |CommonDenominator| |ComplexTrigonometricManipulations| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ExpressionSolve| |ExpressionSpaceODESolver| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GosperSummationMethod| |Guess| |InfiniteProductCharacteristicZero| |InnerCommonDenominator| |InnerMatrixQuotientFieldFunctions| |InnerPolySum| |InnerTrigonometricManipulations| |IntegralDomain&| |LaurentPolynomial| |LinearDependence| |LinearSystemPolynomialPackage| |LiouvillianFunction| |MPolyCatRationalFunctionFactorizer| |MatrixCommonDenominator| |MultipleMap| |MyExpression| |NewtonInterpolation| |NonLinearSolvePackage| |PatternMatchFunctionSpace| |PatternMatchQuotientFieldCategory| |PiCoercions| |PointsOfFiniteOrder| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PrecomputedAssociatedEquations| |PseudoRemainderSequence| |QuotientFieldCategory| |QuotientFieldCategory&| |QuotientFieldCategoryFunctions2| |RationalFunction| |RationalFunctionIntegration| |RationalFunctionSum| |RecurrenceOperator| |RetractSolvePackage| |StochasticDifferential| |StreamInfiniteProduct| |SubResultantPackage| |SystemSolvePackage| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackageService| |TriangularMatrixOperations| |TriangularSetCategory| |TriangularSetCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WuWenTsunTriangularSet|)
 (|Interval|)
 (|PatternMatchFunctionSpace| |PatternMatchKernel|)
 (|KeyedDictionary&|)
@@ -132,8 +132,8 @@
 (|LiePolynomial| |PoincareBirkhoffWittLyndonBasis|)
 (|MachineComplex|)
 (|AlgebraGivenByStructuralConstants| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |RectangularMatrix| |SquareMatrix|)
-(|BezoutMatrix| |ComplexDoubleFloatMatrix| |DenavitHartenbergMatrix| |DoubleFloatMatrix| |IndexedMatrix| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |SmithNormalForm| |TriangularMatrixOperations|)
-(|FreeAbelianGroup| |GeneralModulePolynomial| |IntegrationResult| |LieExponentials| |Localize| |Module&| |XExponentialPackage|)
+(|BezoutMatrix| |ComplexDoubleFloatMatrix| |DenavitHartenbergMatrix| |DoubleFloatMatrix| |IndexedMatrix| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |LinearSystemMatrixPackage| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |SmithNormalForm| |TriangularMatrixOperations| |U16Matrix| |U32Matrix|)
+(|FreeAbelianGroup| |GeneralModulePolynomial| |IntegrationResult| |LieExponentials| |Localize| |Module&| |StochasticDifferential| |XExponentialPackage|)
 (|Monad&|)
 (|MonadWithUnit&|)
 (|CharacteristicPolynomialInMonogenicalAlgebra| |InfiniteProductFiniteField| |InnerAlgFactor| |MonogenicAlgebra&| |NormInMonogenicAlgebra| |PAdicWildFunctionFieldIntegralBasis| |ReduceLODE| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtension| |SimpleAlgebraicExtensionAlgFactor|)
@@ -153,7 +153,7 @@
 (|e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Octonion| |OctonionCategory&| |OctonionCategoryFunctions2|)
 (|TwoDimensionalArray|)
-(|FlexibleArray| |IndexedFlexibleArray| |IndexedOneDimensionalArray| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |PrimitiveArray|)
+(|FlexibleArray| |IndexedFlexibleArray| |IndexedOneDimensionalArray| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |PrimitiveArray| |U16Vector| |U32Vector| |U8Vector|)
 (|DoubleFloat| |ExpressionToOpenMath| |Float| |Integer| |SingleInteger| |Symbol|)
 (|AbelianMonoidRing| |AbelianMonoidRing&| |ExponentialOfUnivariatePuiseuxSeries| |FiniteAbelianMonoidRing| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |IndexedDirectProductOrderedAbelianMonoid| |OrderingFunctions| |PolynomialRing| |PowerSeriesCategory| |PowerSeriesCategory&| |UnivariatePowerSeriesCategory| |UnivariatePowerSeriesCategory&|)
 (|AlgebraicMultFact| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |EuclideanGroebnerBasisPackage| |FactoringUtilities| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |HomogeneousDirectProduct| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LinearSystemPolynomialPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |NPCoef| |NonNegativeInteger| |NormalizationPackage| |NormalizedTriangularSetCategory| |OrderedDirectProduct| |ParametricLinearEquations| |PatternMatchPolynomialCategory| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |SplitHomogeneousDirectProduct| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |SupFractionFactorizer| |TriangularSetCategory| |TriangularSetCategory&| |WeightedPolynomials| |WuWenTsunTriangularSet|)
@@ -163,7 +163,7 @@
 (|SturmHabichtPackage|)
 (|OrderedFreeMonoid| |XPolynomialRing|)
 (|ComplexRootFindingPackage| |ComplexRootPackage| |ExpertSystemToolsPackage1| |FloatingComplexPackage| |FloatingRealPackage| |FunctionSpaceToUnivariatePowerSeries| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderedRing&| |RealClosure| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |RightOpenIntervalRootCharacterization| |SegmentExpansionCategory| |ZeroDimensionalSolvePackage|)
-(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
+(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BasicStochasticDifferential| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |DesingTreePackage| |DistributedMultivariatePolynomial| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |HomogeneousDistributedMultivariatePolynomial| |InfinitlyClosePoint| |InfinitlyClosePointCategory| |InterpolateFormsPackage| |IntersectionDivisorPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |ParametrizationPackage| |ProjectiveAlgebraicSetPackage| |RegularChain|)
 (|OrderlyDifferentialPolynomial|)
 (|d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType|)
@@ -219,7 +219,7 @@
 (|LazardSetSolvingPackage| |NormalizationPackage| |QuasiComponentPackage| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage|)
 (|AlgebraicIntegrate| |AlgebraicNumber| |AntiSymm| |BoundIntegerRoots| |CardinalNumber| |ComplexTrigonometricManipulations| |ConstantLODE| |DeRhamComplex| |DefiniteIntegrationTools| |DifferentialSparseMultivariatePolynomial| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FortranExpression| |FractionalIdeal| |FractionalIdealFunctions2| |FreeGroup| |FreeMonoid| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LinearOrdinaryDifferentialOperatorFactorizer| |ListMonoidOps| |LyndonWord| |MachineFloat| |Magma| |ModuleOperator| |MonoidRing| |MyExpression| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |Operator| |OrderedFreeMonoid| |OrderlyDifferentialPolynomial| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchTools| |Pi| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RecurrenceOperator| |RetractSolvePackage| |RetractableTo&| |RewriteRule| |SequentialDifferentialPolynomial| |SparseUnivariatePuiseuxSeries| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
 (|AbelianMonoidRing| |AbelianMonoidRing&| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |Automorphism| |Bezier| |BezoutMatrix| |BiModule| |CliffordAlgebra| |CommuteUnivariatePolynomialCategory| |DeRhamComplex| |DegreeReductionPackage| |DifferentialExtension| |DifferentialExtension&| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |ExpertSystemToolsPackage2| |ExpressionToOpenMath| |FactoringUtilities| |FiniteAbelianMonoidRing| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FreeModule| |FreeModule1| |FreeModuleCat| |FullyLinearlyExplicitRingOver| |FullyLinearlyExplicitRingOver&| |FunctionSpaceFunctions2| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralUnivariatePowerSeries| |HomogeneousDistributedMultivariatePolynomial| |IndexedMatrix| |InnerPolySign| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |IntegralBasisPolynomialTools| |LeftAlgebra| |LeftAlgebra&| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorCategory&| |LinearlyExplicitRingOver| |MPolyCatFunctions2| |MPolyCatFunctions3| |MappingPackage4| |Matrix| |MatrixCategory| |MatrixCategory&| |MatrixCategoryFunctions2| |ModMonic| |ModularRing| |ModuleOperator| |MonogenicLinearOperator| |MonoidRing| |MonoidRingFunctions2| |MultivariatePolynomial| |MultivariateTaylorSeriesCategory| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewtonPolygon| |Operator| |OppositeMonogenicLinearOperator| |OrderlyDifferentialPolynomial| |OrdinaryWeightedPolynomials| |PackageForPoly| |PatternMatchPolynomialCategory| |PatternMatchTools| |Permanent| |Point| |PointCategory| |PointFunctions2| |PointPackage| |PolToPol| |Polynomial| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialFunctions2| |PolynomialRing| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialToUnivariatePolynomial| |PowerSeriesCategory| |PowerSeriesCategory&| |PushVariables| |RectangularMatrix| |RectangularMatrixCategory| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RepresentationPackage1| |RepresentationPackage2| |RewriteRule| |Ring&| |Ruleset| |SequentialDifferentialPolynomial| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SquareMatrix| |SquareMatrixCategory| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StreamTaylorSeriesOperations| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TaylorSeries| |ThreeSpace| |ThreeSpaceCategory| |ToolsForSign| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialFunctions2| |UnivariatePolynomialMultiplicationPackage| |UnivariatePowerSeriesCategory| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesFunctions2| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |WeightedPolynomials| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPolynomial| |XPolynomialRing| |XPolynomialsCat| |XRecursivePolynomial|)
-(|LeftModule| |RightModule|)
+(|LeftModule| |RightModule| |StochasticDifferential|)
 (|InputForm|)
 (|InputForm| |SExpression| |SExpressionOf|)
 (|Segment| |UniversalSegment|)
@@ -253,7 +253,9 @@
 (|GeneralTriangularSet| |TriangularSetCategory&| |WuWenTsunTriangularSet|)
 (|TrigonometricFunctionCategory&|)
 (|IndexedTwoDimensionalArray| |InnerIndexedTwoDimensionalArray| |TwoDimensionalArray| |TwoDimensionalArrayCategory&|)
-(|AnyFunctions1| |AttachPredicates| |BagAggregate| |BagAggregate&| |BinaryRecursiveAggregate| |BinaryRecursiveAggregate&| |CoercibleTo| |Collection| |Collection&| |ConvertibleTo| |CyclicStreamTools| |DequeueAggregate| |DirectProduct| |DirectProductCategory| |DirectProductCategory&| |DirectProductFunctions2| |DoublyLinkedAggregate| |DrawOptionFunctions1| |Eltable| |EltableAggregate| |EltableAggregate&| |Equation| |EquationFunctions2| |ExpressionSpaceFunctions1| |ExtensibleLinearAggregate| |ExtensibleLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FlexibleArray| |FullyPatternMatchable| |FullyRetractableTo| |FullyRetractableTo&| |FunctionSpaceAttachPredicates| |HomogeneousAggregate| |HomogeneousAggregate&| |IndexedAggregate| |IndexedAggregate&| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerEvalable| |InnerEvalable&| |InnerIndexedTwoDimensionalArray| |InputFormFunctions1| |LazyStreamAggregate| |LazyStreamAggregate&| |LinearAggregate| |LinearAggregate&| |List| |ListAggregate| |ListAggregate&| |ListFunctions2| |ListFunctions3| |ListToMap| |MakeBinaryCompiledFunction| |MakeRecord| |MakeUnaryCompiledFunction| |NoneFunctions1| |OneDimensionalArray| |OneDimensionalArrayAggregate| |OneDimensionalArrayAggregate&| |OneDimensionalArrayFunctions2| |ParadoxicalCombinatorsForStreams| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PatternFunctions1| |Patternable| |PrimitiveArray| |PrimitiveArrayFunctions2| |QueueAggregate| |RecursiveAggregate| |RecursiveAggregate&| |Reference| |ResolveLatticeCompletion| |RetractableTo| |RetractableTo&| |Segment| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentFunctions2| |SortPackage| |StackAggregate| |Stream| |StreamAggregate| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&| |UnaryRecursiveAggregate| |UnaryRecursiveAggregate&| |UniversalSegment| |UniversalSegmentFunctions2| |Vector| |VectorCategory| |VectorCategory&| |VectorFunctions2|)
+(|AnyFunctions1| |AttachPredicates| |BagAggregate| |BagAggregate&| |BinaryRecursiveAggregate| |BinaryRecursiveAggregate&| |CoercibleTo| |Collection| |Collection&| |ConvertibleTo| |CyclicStreamTools| |DequeueAggregate| |DirectProduct| |DirectProductCategory| |DirectProductCategory&| |DirectProductFunctions2| |DoublyLinkedAggregate| |DrawOptionFunctions1| |Eltable| |EltableAggregate| |EltableAggregate&| |Equation| |EquationFunctions2| |ExpressionSpaceFunctions1| |ExtensibleLinearAggregate| |ExtensibleLinearAggregate&| |FiniteLinearAggregate| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FlexibleArray| |FullyPatternMatchable| |FullyRetractableTo| |FullyRetractableTo&| |FunctionSpaceAttachPredicates| |HomogeneousAggregate| |HomogeneousAggregate&| |IndexedAggregate| |IndexedAggregate&| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerEvalable| |InnerEvalable&| |InnerIndexedTwoDimensionalArray| |InputFormFunctions1| |LazyStreamAggregate| |LazyStreamAggregate&| |LinearAggregate| |LinearAggregate&| |List| |ListAggregate| |ListAggregate&| |ListFunctions2| |ListFunctions3| |ListToMap| |MakeBinaryCompiledFunction| |MakeRecord| |MakeUnaryCompiledFunction| |ModularAlgebraicGcdOperations| |NoneFunctions1| |OneDimensionalArray| |OneDimensionalArrayAggregate| |OneDimensionalArrayAggregate&| |OneDimensionalArrayFunctions2| |ParadoxicalCombinatorsForStreams| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |PatternFunctions1| |Patternable| |PrimitiveArray| |PrimitiveArrayFunctions2| |QueueAggregate| |RecursiveAggregate| |RecursiveAggregate&| |Reference| |ResolveLatticeCompletion| |RetractableTo| |RetractableTo&| |Segment| |SegmentBinding| |SegmentBindingFunctions2| |SegmentCategory| |SegmentFunctions2| |SortPackage| |StackAggregate| |Stream| |StreamAggregate| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTensor| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory| |TwoDimensionalArrayCategory&| |UnaryRecursiveAggregate| |UnaryRecursiveAggregate&| |UniversalSegment| |UniversalSegmentFunctions2| |Vector| |VectorCategory| |VectorCategory&| |VectorFunctions2|)
+(|U16Matrix|)
+(|U32Matrix|)
 (|UnaryRecursiveAggregate&|)
 (|ChangeOfVariable| |FunctionFieldCategory| |FunctionFieldCategory&| |FunctionFieldCategoryFunctions2| |RadicalFunctionField| |UniqueFactorizationDomain&|)
 (|UnivariatePuiseuxSeries|)
@@ -273,4 +275,4 @@
 (|CliffordAlgebra| |VectorSpace&|)
 (|XPolynomialRing|)
 (|XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
-(("XPolynomialsCat" 0 76741) ("XAlgebra" 0 76721) ("VectorSpace" 0 76686) ("VectorCategory" 0 76594) ("Vector" 0 76406) ("UnivariateTaylorSeriesCategory" 0 75812) ("UnivariateTaylorSeries" 0 75758) ("UnivariateSkewPolynomialCategory" 0 75590) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 75565) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75377) ("UnivariatePuiseuxSeriesCategory" 0 75305) ("UnivariatePuiseuxSeries" 0 75228) ("UnivariatePowerSeriesCategory" 0 75119) ("UnivariatePolynomialCategory" 0 72086) ("UnivariateLaurentSeriesConstructorCategory" 0 71898) ("UnivariateLaurentSeriesCategory" 0 71723) ("UnivariateLaurentSeries" 0 71695) ("UniqueFactorizationDomain" 0 71539) ("UnaryRecursiveAggregate" 0 71510) ("Type" 0 69147) ("TwoDimensionalArrayCategory" 0 69029) ("TrigonometricFunctionCategory" 0 68994) ("TriangularSetCategory" 0 68919) ("TranscendentalFunctionCategory" 0 67765) ("ThreeSpaceCategory" 0 67750) ("TableAggregate" 0 67585) ("SymbolTable" 0 67566) ("Symbol" 0 65141) ("StringCategory" 0 65130) ("StringAggregate" 0 65093) ("String" 0 64947) ("StreamAggregate" 0 64899) ("StepThrough" 0 64884) ("StackAggregate" 0 64861) ("SquareMatrixCategory" 0 64774) ("SquareMatrix" 0 64705) ("SquareFreeRegularTriangularSetCategory" 0 64551) ("SplittingNode" 0 64533) ("SpecialFunctionCategory" 0 64491) ("SparseUnivariateTaylorSeries" 0 64425) ("SparseUnivariatePolynomialExpressions" 0 64391) ("SparseUnivariatePolynomial" 0 64225) ("SparseUnivariateLaurentSeries" 0 64191) ("SparseMultivariatePolynomial" 0 64045) ("SingleInteger" 0 63984) ("SetCategoryWithDegree" 0 63972) ("SetCategory" 0 60873) ("SetAggregate" 0 60855) ("SequentialDifferentialVariable" 0 60818) ("SemiGroup" 0 60803) ("SegmentCategory" 0 60772) ("SExpressionCategory" 0 60728) ("SExpression" 0 60714) ("Rng" 0 60685) ("Ring" 0 56198) ("RetractableTo" 0 53895) ("RegularTriangularSetCategory" 0 53607) ("RecursivePolynomialCategory" 0 52792) ("RecursiveAggregate" 0 52745) ("RectangularMatrixCategory" 0 52656) ("RealRootCharacterizationCategory" 0 52578) ("RealNumberSystem" 0 52556) ("RealConstant" 0 52464) ("RealClosedField" 0 52429) ("RadicalCategory" 0 52311) ("QuotientFieldCategory" 0 51828) ("QueueAggregate" 0 51818) ("QuaternionCategory" 0 51750) ("Quaternion" 0 51737) ("QuadraticForm" 0 51717) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51616) ("PseudoAlgebraicClosureOfRationalNumber" 0 51565) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51525) ("PseudoAlgebraicClosureOfFiniteField" 0 51304) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51187) ("ProjectiveSpaceCategory" 0 50709) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 50646) ("ProjectivePlane" 0 50633) ("PriorityQueueAggregate" 0 50624) ("PrimitiveFunctionCategory" 0 50386) ("PrimitiveArray" 0 50376) ("PrimeField" 0 50310) ("PowerSeriesCategory" 0 50285) ("PositiveInteger" 0 49815) ("PolynomialSetCategory" 0 49765) ("PolynomialFactorizationExplicit" 0 49576) ("PolynomialCategory" 0 48019) ("Polynomial" 0 47852) ("PointCategory" 0 47842) ("PoincareBirkhoffWittLyndonBasis" 0 47823) ("PlottableSpaceCurveCategory" 0 47783) ("PlottablePlaneCurveCategory" 0 47748) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 47685) ("PlacesCategory" 0 47382) ("Places" 0 47369) ("PermutationCategory" 0 47353) ("Patternable" 0 47342) ("PatternMatchable" 0 47088) ("Pattern" 0 46848) ("Partition" 0 46824) ("PartialTranscendentalFunctions" 0 46693) ("PartialDifferentialRing" 0 46540) ("PartialDifferentialEquationsSolverCategory" 0 46504) ("PAdicIntegerCategory" 0 46417) ("PAdicInteger" 0 46399) ("OutputForm" 0 46259) ("OrdinaryDifferentialEquationsSolverCategory" 0 46189) ("OrderlyDifferentialVariable" 0 46155) ("OrderedVariableList" 0 45606) ("OrderedSet" 0 40494) ("OrderedRing" 0 40018) ("OrderedMonoid" 0 39978) ("OrderedIntegralDomain" 0 39954) ("OrderedFreeMonoid" 0 39927) ("OrderedFinite" 0 39891) ("OrderedCancellationAbelianMonoid" 0 39877) ("OrderedAbelianMonoidSup" 0 37864) ("OrderedAbelianMonoid" 0 37503) ("OpenMath" 0 37421) ("OneDimensionalArrayAggregate" 0 37280) ("OneDimensionalArray" 0 37256) ("OctonionCategory" 0 37194) ("NumericalOptimizationCategory" 0 37073) ("NumericalIntegrationCategory" 0 36874) ("NonNegativeInteger" 0 35466) ("NonAssociativeRng" 0 35443) ("NonAssociativeRing" 0 35419) ("NonAssociativeAlgebra" 0 35324) ("NewSparseMultivariatePolynomial" 0 35307) ("NeitherSparseOrDensePowerSeries" 0 35176) ("MyUnivariatePolynomial" 0 35159) ("MultivariateTaylorSeriesCategory" 0 35109) ("MultisetAggregate" 0 35096) ("MultiDictionary" 0 35072) ("Monoid" 0 34868) ("MonogenicLinearOperator" 0 34799) ("MonogenicAlgebra" 0 34514) ("MonadWithUnit" 0 34495) ("Monad" 0 34484) ("Module" 0 34356) ("MatrixCategory" 0 34018) ("Matrix" 0 33896) ("MachineFloat" 0 33877) ("LyndonWord" 0 33825) ("Logic" 0 33788) ("LocalPowerSeriesCategory" 0 33454) ("ListAggregate" 0 33350) ("List" 0 32096) ("LinearlyExplicitRingOver" 0 31089) ("LinearOrdinaryDifferentialOperatorCategory" 0 30674) ("LinearAggregate" 0 30653) ("LieAlgebra" 0 30637) ("LeftModule" 0 30431) ("LeftAlgebra" 0 30387) ("LazyStreamAggregate" 0 30299) ("KeyedDictionary" 0 30278) ("Kernel" 0 30227) ("IntervalCategory" 0 30214) ("IntegralDomain" 0 28076) ("IntegerNumberSystem" 0 27814) ("Integer" 0 24782) ("InputForm" 0 24505) ("InnerPrimeField" 0 24484) ("InnerEvalable" 0 24465) ("InfinitlyClosePointCategory" 0 24278) ("IndexedVector" 0 24260) ("IndexedOneDimensionalArray" 0 24229) ("IndexedExponents" 0 23966) ("IndexedDirectProductCategory" 0 23743) ("IndexedAggregate" 0 23707) ("HyperbolicFunctionCategory" 0 23675) ("HomogeneousDirectProduct" 0 23626) ("HomogeneousAggregate" 0 23575) ("Group" 0 23464) ("GradedModule" 0 23428) ("GradedAlgebra" 0 23391) ("GcdDomain" 0 21905) ("FunctionSpace" 0 20672) ("FunctionFieldCategory" 0 20260) ("FullyRetractableTo" 0 20139) ("FullyLinearlyExplicitRingOver" 0 20104) ("FullyEvalableOver" 0 20070) ("FreeModuleCat" 0 19978) ("FreeLieAlgebra" 0 19960) ("FreeAbelianMonoidCategory" 0 19894) ("FramedNonAssociativeAlgebra" 0 19719) ("FramedAlgebra" 0 19529) ("Fraction" 0 18150) ("FortranVectorFunctionCategory" 0 18054) ("FortranVectorCategory" 0 18045) ("FortranScalarType" 0 18026) ("FortranProgramCategory" 0 17960) ("FortranMatrixFunctionCategory" 0 17926) ("FortranMatrixCategory" 0 17892) ("FortranMachineTypeCategory" 0 17821) ("FortranFunctionCategory" 0 17782) ("FloatingPointSystem" 0 17627) ("Float" 0 17505) ("FiniteSetAggregate" 0 17427) ("FiniteRankNonAssociativeAlgebra" 0 17390) ("FiniteRankAlgebra" 0 17367) ("FiniteLinearAggregate" 0 16850) ("FiniteFieldCategory" 0 15714) ("FiniteDivisorCategory" 0 15642) ("FiniteAlgebraicExtensionField" 0 15227) ("FiniteAbelianMonoidRing" 0 14958) ("Finite" 0 14789) ("FileNameCategory" 0 14776) ("FileName" 0 14707) ("FileCategory" 0 14638) ("FieldOfPrimeCharacteristic" 0 14574) ("Field" 0 11485) ("ExtensionField" 0 11427) ("ExtensibleLinearAggregate" 0 11357) ("ExpressionSpace" 0 11194) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
+(("XPolynomialsCat" 0 77089) ("XAlgebra" 0 77069) ("VectorSpace" 0 77034) ("VectorCategory" 0 76942) ("Vector" 0 76754) ("UnivariateTaylorSeriesCategory" 0 76160) ("UnivariateTaylorSeries" 0 76106) ("UnivariateSkewPolynomialCategory" 0 75938) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 75913) ("UnivariatePuiseuxSeriesConstructorCategory" 0 75725) ("UnivariatePuiseuxSeriesCategory" 0 75653) ("UnivariatePuiseuxSeries" 0 75576) ("UnivariatePowerSeriesCategory" 0 75467) ("UnivariatePolynomialCategory" 0 72434) ("UnivariateLaurentSeriesConstructorCategory" 0 72246) ("UnivariateLaurentSeriesCategory" 0 72071) ("UnivariateLaurentSeries" 0 72043) ("UniqueFactorizationDomain" 0 71887) ("UnaryRecursiveAggregate" 0 71858) ("U32Vector" 0 71844) ("U16Vector" 0 71830) ("Type" 0 69420) ("TwoDimensionalArrayCategory" 0 69302) ("TrigonometricFunctionCategory" 0 69267) ("TriangularSetCategory" 0 69192) ("TranscendentalFunctionCategory" 0 68038) ("ThreeSpaceCategory" 0 68023) ("TableAggregate" 0 67858) ("SymbolTable" 0 67839) ("Symbol" 0 65414) ("StringCategory" 0 65403) ("StringAggregate" 0 65366) ("String" 0 65220) ("StreamAggregate" 0 65172) ("StepThrough" 0 65157) ("StackAggregate" 0 65134) ("SquareMatrixCategory" 0 65047) ("SquareMatrix" 0 64978) ("SquareFreeRegularTriangularSetCategory" 0 64824) ("SplittingNode" 0 64806) ("SpecialFunctionCategory" 0 64764) ("SparseUnivariateTaylorSeries" 0 64698) ("SparseUnivariatePolynomialExpressions" 0 64664) ("SparseUnivariatePolynomial" 0 64498) ("SparseUnivariateLaurentSeries" 0 64464) ("SparseMultivariatePolynomial" 0 64318) ("SingleInteger" 0 64257) ("SetCategoryWithDegree" 0 64245) ("SetCategory" 0 61146) ("SetAggregate" 0 61128) ("SequentialDifferentialVariable" 0 61091) ("SemiGroup" 0 61076) ("SegmentCategory" 0 61045) ("SExpressionCategory" 0 61001) ("SExpression" 0 60987) ("Rng" 0 60933) ("Ring" 0 56446) ("RetractableTo" 0 54143) ("RegularTriangularSetCategory" 0 53855) ("RecursivePolynomialCategory" 0 53040) ("RecursiveAggregate" 0 52993) ("RectangularMatrixCategory" 0 52904) ("RealRootCharacterizationCategory" 0 52826) ("RealNumberSystem" 0 52804) ("RealConstant" 0 52712) ("RealClosedField" 0 52677) ("RadicalCategory" 0 52559) ("QuotientFieldCategory" 0 52076) ("QueueAggregate" 0 52066) ("QuaternionCategory" 0 51998) ("Quaternion" 0 51985) ("QuadraticForm" 0 51965) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 51864) ("PseudoAlgebraicClosureOfRationalNumber" 0 51813) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51773) ("PseudoAlgebraicClosureOfFiniteField" 0 51552) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51435) ("ProjectiveSpaceCategory" 0 50957) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 50894) ("ProjectivePlane" 0 50881) ("PriorityQueueAggregate" 0 50872) ("PrimitiveFunctionCategory" 0 50634) ("PrimitiveArray" 0 50624) ("PrimeField" 0 50558) ("PowerSeriesCategory" 0 50533) ("PositiveInteger" 0 50063) ("PolynomialSetCategory" 0 50013) ("PolynomialFactorizationExplicit" 0 49824) ("PolynomialCategory" 0 48267) ("Polynomial" 0 48100) ("PointCategory" 0 48090) ("PoincareBirkhoffWittLyndonBasis" 0 48071) ("PlottableSpaceCurveCategory" 0 48031) ("PlottablePlaneCurveCategory" 0 47996) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 47933) ("PlacesCategory" 0 47630) ("Places" 0 47617) ("PermutationCategory" 0 47601) ("Patternable" 0 47590) ("PatternMatchable" 0 47336) ("Pattern" 0 47096) ("Partition" 0 47072) ("PartialTranscendentalFunctions" 0 46941) ("PartialDifferentialRing" 0 46788) ("PartialDifferentialEquationsSolverCategory" 0 46752) ("PAdicIntegerCategory" 0 46665) ("PAdicInteger" 0 46647) ("OutputForm" 0 46507) ("OrdinaryDifferentialEquationsSolverCategory" 0 46437) ("OrderlyDifferentialVariable" 0 46403) ("OrderedVariableList" 0 45854) ("OrderedSet" 0 40687) ("OrderedRing" 0 40211) ("OrderedMonoid" 0 40171) ("OrderedIntegralDomain" 0 40147) ("OrderedFreeMonoid" 0 40120) ("OrderedFinite" 0 40084) ("OrderedCancellationAbelianMonoid" 0 40070) ("OrderedAbelianMonoidSup" 0 38057) ("OrderedAbelianMonoid" 0 37696) ("OpenMath" 0 37614) ("OneDimensionalArrayAggregate" 0 37438) ("OneDimensionalArray" 0 37414) ("OctonionCategory" 0 37352) ("NumericalOptimizationCategory" 0 37231) ("NumericalIntegrationCategory" 0 37032) ("NonNegativeInteger" 0 35624) ("NonAssociativeRng" 0 35601) ("NonAssociativeRing" 0 35577) ("NonAssociativeAlgebra" 0 35482) ("NewSparseMultivariatePolynomial" 0 35465) ("NeitherSparseOrDensePowerSeries" 0 35334) ("MyUnivariatePolynomial" 0 35317) ("MultivariateTaylorSeriesCategory" 0 35267) ("MultisetAggregate" 0 35254) ("MultiDictionary" 0 35230) ("Monoid" 0 35026) ("MonogenicLinearOperator" 0 34957) ("MonogenicAlgebra" 0 34672) ("MonadWithUnit" 0 34653) ("Monad" 0 34642) ("Module" 0 34489) ("MatrixCategory" 0 34127) ("Matrix" 0 34005) ("MachineFloat" 0 33986) ("LyndonWord" 0 33934) ("Logic" 0 33897) ("LocalPowerSeriesCategory" 0 33563) ("ListAggregate" 0 33459) ("List" 0 32205) ("LinearlyExplicitRingOver" 0 31198) ("LinearOrdinaryDifferentialOperatorCategory" 0 30783) ("LinearAggregate" 0 30762) ("LieAlgebra" 0 30746) ("LeftModule" 0 30540) ("LeftAlgebra" 0 30496) ("LazyStreamAggregate" 0 30408) ("KeyedDictionary" 0 30387) ("Kernel" 0 30336) ("IntervalCategory" 0 30323) ("IntegralDomain" 0 28160) ("IntegerNumberSystem" 0 27898) ("Integer" 0 24807) ("InputForm" 0 24530) ("InnerPrimeField" 0 24509) ("InnerEvalable" 0 24490) ("InfinitlyClosePointCategory" 0 24303) ("IndexedVector" 0 24285) ("IndexedOneDimensionalArray" 0 24254) ("IndexedExponents" 0 23991) ("IndexedDirectProductCategory" 0 23768) ("IndexedAggregate" 0 23732) ("HyperbolicFunctionCategory" 0 23700) ("HomogeneousDirectProduct" 0 23651) ("HomogeneousAggregate" 0 23600) ("Group" 0 23489) ("GradedModule" 0 23453) ("GradedAlgebra" 0 23416) ("GcdDomain" 0 21930) ("FunctionSpace" 0 20697) ("FunctionFieldCategory" 0 20285) ("FullyRetractableTo" 0 20164) ("FullyLinearlyExplicitRingOver" 0 20129) ("FullyEvalableOver" 0 20095) ("FreeModuleCat" 0 20003) ("FreeLieAlgebra" 0 19985) ("FreeAbelianMonoidCategory" 0 19919) ("FramedNonAssociativeAlgebra" 0 19744) ("FramedAlgebra" 0 19554) ("Fraction" 0 18175) ("FortranVectorFunctionCategory" 0 18079) ("FortranVectorCategory" 0 18070) ("FortranScalarType" 0 18051) ("FortranProgramCategory" 0 17985) ("FortranMatrixFunctionCategory" 0 17951) ("FortranMatrixCategory" 0 17917) ("FortranMachineTypeCategory" 0 17846) ("FortranFunctionCategory" 0 17807) ("FloatingPointSystem" 0 17652) ("Float" 0 17530) ("FiniteSetAggregate" 0 17452) ("FiniteRankNonAssociativeAlgebra" 0 17415) ("FiniteRankAlgebra" 0 17392) ("FiniteLinearAggregate" 0 16875) ("FiniteFieldCategory" 0 15739) ("FiniteDivisorCategory" 0 15667) ("FiniteAlgebraicExtensionField" 0 15252) ("FiniteAbelianMonoidRing" 0 14983) ("Finite" 0 14814) ("FileNameCategory" 0 14801) ("FileName" 0 14732) ("FileCategory" 0 14663) ("FieldOfPrimeCharacteristic" 0 14599) ("Field" 0 11510) ("ExtensionField" 0 11452) ("ExtensibleLinearAggregate" 0 11382) ("ExpressionSpace" 0 11219) ("Expression" 0 11176) ("ExponentialOfUnivariatePuiseuxSeries" 0 11122) ("Evalable" 0 11108) ("EuclideanDomain" 0 9950) ("Equation" 0 9934) ("EltableAggregate" 0 9912) ("Eltable" 0 9789) ("ElementaryFunctionCategory" 0 9721) ("DoubleFloatVector" 0 9699) ("DoubleFloat" 0 9531) ("DivisorCategory" 0 9350) ("Divisor" 0 9276) ("DivisionRing" 0 9258) ("DistributedMultivariatePolynomial" 0 9184) ("DirectProductCategory" 0 8366) ("DirectProduct" 0 8175) ("DifferentialVariableCategory" 0 7968) ("DifferentialRing" 0 7780) ("DifferentialPolynomialCategory" 0 7634) ("DifferentialExtension" 0 7576) ("DictionaryOperations" 0 7550) ("Dictionary" 0 7534) ("DesingTreeCategory" 0 7428) ("DequeueAggregate" 0 7416) ("ConvertibleTo" 0 6595) ("ComplexDoubleFloatVector" 0 6566) ("ComplexCategory" 0 6433) ("Complex" 0 6194) ("CommutativeRing" 0 4843) ("CombinatorialOpsCategory" 0 4778) ("Collection" 0 4762) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index e6eeb8a..e959951 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5240 +1,5264 @@
 
-(3588534 . 3524719225)       
-((-3034 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-3076 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-1213 (-569)) |#2|) 34)) (-1302 (($ $) 58)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-3727 (((-569) (-1 (-121) |#2|) $) 22) (((-569) |#2| $) NIL) (((-569) |#2| $ (-569)) 70)) (-3470 (((-635 |#2|) $) 13)) (-3288 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-1853 (($ (-1 |#2| |#2|) $) 29)) (-1544 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-3614 (($ |#2| $ (-569)) NIL) (($ $ $ (-569)) 49)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-4177 (((-121) (-1 (-121) |#2|) $) 21)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL) (($ $ (-1213 (-569))) 48)) (-3010 (($ $ (-569)) 55) (($ $ (-1213 (-569))) 54)) (-2846 (((-764) (-1 (-121) |#2|) $) 26) (((-764) |#2| $) NIL)) (-3389 (($ $ $ (-569)) 51)) (-1971 (($ $) 50)) (-2139 (($ (-635 |#2|)) 52)) (-2250 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-635 $)) 61)) (-2185 (((-851) $) 69)) (-2066 (((-121) (-1 (-121) |#2|) $) 20)) (-1668 (((-121) $ $) 64)) (-1678 (((-121) $ $) 72))) 
-(((-18 |#1| |#2|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1302 (|#1| |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -3034 ((-121) |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) (-19 |#2|) (-1197)) (T -18)) 
-NIL 
-(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1302 (|#1| |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -3034 ((-121) |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-19 |#1|) (-1278) (-1197)) (T -19)) 
-NIL 
-(-13 (-376 |t#1|) (-10 -7 (-6 -4536))) 
-(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
-((-2327 (((-3 $ "failed") $ $) 12)) (-1711 (($ $) NIL) (($ $ $) 9)) (* (($ (-918) $) NIL) (($ (-764) $) 16) (($ (-569) $) 21))) 
-(((-20 |#1|) (-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2327 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-21)) (T -20)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2327 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19))) 
-(((-21) (-1278)) (T -21)) 
-((-1711 (*1 *1 *1) (-4 *1 (-21))) (-1711 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569))))) 
-(-13 (-138) (-10 -8 (-15 -1711 ($ $)) (-15 -1711 ($ $ $)) (-15 * ($ (-569) $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-3813 (((-121) $) 10)) (-2820 (($) 15)) (* (($ (-918) $) 14) (($ (-764) $) 18))) 
-(((-22 |#1|) (-10 -8 (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 * (|#1| (-918) |#1|))) (-23)) (T -22)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14))) 
-(((-23) (-1278)) (T -23)) 
-((-3369 (*1 *1) (-4 *1 (-23))) (-2820 (*1 *1) (-4 *1 (-23))) (-3813 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-764))))) 
-(-13 (-25) (-10 -8 (-15 (-3369) ($) -2043) (-15 -2820 ($) -2043) (-15 -3813 ((-121) $)) (-15 * ($ (-764) $)))) 
-(((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((* (($ (-918) $) 10))) 
-(((-24 |#1|) (-10 -8 (-15 * (|#1| (-918) |#1|))) (-25)) (T -24)) 
-NIL 
-(-10 -8 (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12))) 
-(((-25) (-1278)) (T -25)) 
-((-1707 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-918))))) 
-(-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ (-918) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-1842 (((-635 $) (-954 $)) 29) (((-635 $) (-1159 $)) 16) (((-635 $) (-1159 $) (-1163)) 20)) (-2493 (($ (-954 $)) 27) (($ (-1159 $)) 11) (($ (-1159 $) (-1163)) 54)) (-2663 (((-635 $) (-954 $)) 30) (((-635 $) (-1159 $)) 18) (((-635 $) (-1159 $) (-1163)) 19)) (-3550 (($ (-954 $)) 28) (($ (-1159 $)) 13) (($ (-1159 $) (-1163)) NIL))) 
-(((-26 |#1|) (-10 -8 (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) (-27)) (T -26)) 
-NIL 
-(-10 -8 (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-1842 (((-635 $) (-954 $)) 76) (((-635 $) (-1159 $)) 75) (((-635 $) (-1159 $) (-1163)) 74)) (-2493 (($ (-954 $)) 79) (($ (-1159 $)) 78) (($ (-1159 $) (-1163)) 77)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 88)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2663 (((-635 $) (-954 $)) 82) (((-635 $) (-1159 $)) 81) (((-635 $) (-1159 $) (-1163)) 80)) (-3550 (($ (-954 $)) 85) (($ (-1159 $)) 84) (($ (-1159 $) (-1163)) 83)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-27) (-1278)) (T -27)) 
-((-3550 (*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) (-3550 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) (-3550 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) (-2663 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2663 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2663 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2493 (*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) (-2493 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) (-2493 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) (-1842 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1842 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1842 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1))))) 
-(-13 (-366) (-1003) (-10 -8 (-15 -3550 ($ (-954 $))) (-15 -3550 ($ (-1159 $))) (-15 -3550 ($ (-1159 $) (-1163))) (-15 -2663 ((-635 $) (-954 $))) (-15 -2663 ((-635 $) (-1159 $))) (-15 -2663 ((-635 $) (-1159 $) (-1163))) (-15 -2493 ($ (-954 $))) (-15 -2493 ($ (-1159 $))) (-15 -2493 ($ (-1159 $) (-1163))) (-15 -1842 ((-635 $) (-954 $))) (-15 -1842 ((-635 $) (-1159 $))) (-15 -1842 ((-635 $) (-1159 $) (-1163))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1003) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-1842 (((-635 $) (-954 $)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 $) (-1163)) 50) (((-635 $) $) 19) (((-635 $) $ (-1163)) 41)) (-2493 (($ (-954 $)) NIL) (($ (-1159 $)) NIL) (($ (-1159 $) (-1163)) 52) (($ $) 17) (($ $ (-1163)) 37)) (-2663 (((-635 $) (-954 $)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 $) (-1163)) 48) (((-635 $) $) 15) (((-635 $) $ (-1163)) 43)) (-3550 (($ (-954 $)) NIL) (($ (-1159 $)) NIL) (($ (-1159 $) (-1163)) NIL) (($ $) 12) (($ $ (-1163)) 39))) 
-(((-28 |#1| |#2|) (-10 -8 (-15 -1842 ((-635 |#1|) |#1| (-1163))) (-15 -2493 (|#1| |#1| (-1163))) (-15 -1842 ((-635 |#1|) |#1|)) (-15 -2493 (|#1| |#1|)) (-15 -2663 ((-635 |#1|) |#1| (-1163))) (-15 -3550 (|#1| |#1| (-1163))) (-15 -2663 ((-635 |#1|) |#1|)) (-15 -3550 (|#1| |#1|)) (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) (-29 |#2|) (-13 (-843) (-559))) (T -28)) 
-NIL 
-(-10 -8 (-15 -1842 ((-635 |#1|) |#1| (-1163))) (-15 -2493 (|#1| |#1| (-1163))) (-15 -1842 ((-635 |#1|) |#1|)) (-15 -2493 (|#1| |#1|)) (-15 -2663 ((-635 |#1|) |#1| (-1163))) (-15 -3550 (|#1| |#1| (-1163))) (-15 -2663 ((-635 |#1|) |#1|)) (-15 -3550 (|#1| |#1|)) (-15 -1842 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -1842 ((-635 |#1|) (-1159 |#1|))) (-15 -1842 ((-635 |#1|) (-954 |#1|))) (-15 -2493 (|#1| (-1159 |#1|) (-1163))) (-15 -2493 (|#1| (-1159 |#1|))) (-15 -2493 (|#1| (-954 |#1|))) (-15 -2663 ((-635 |#1|) (-1159 |#1|) (-1163))) (-15 -2663 ((-635 |#1|) (-1159 |#1|))) (-15 -2663 ((-635 |#1|) (-954 |#1|))) (-15 -3550 (|#1| (-1159 |#1|) (-1163))) (-15 -3550 (|#1| (-1159 |#1|))) (-15 -3550 (|#1| (-954 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-1842 (((-635 $) (-954 $)) 76) (((-635 $) (-1159 $)) 75) (((-635 $) (-1159 $) (-1163)) 74) (((-635 $) $) 120) (((-635 $) $ (-1163)) 118)) (-2493 (($ (-954 $)) 79) (($ (-1159 $)) 78) (($ (-1159 $) (-1163)) 77) (($ $) 121) (($ $ (-1163)) 119)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1163)) $) 195)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 227 (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-4003 (((-635 (-608 $)) $) 158)) (-2327 (((-3 $ "failed") $ $) 18)) (-2773 (($ $ (-635 (-608 $)) (-635 $)) 148) (($ $ (-635 (-289 $))) 147) (($ $ (-289 $)) 146)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 88)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2663 (((-635 $) (-954 $)) 82) (((-635 $) (-1159 $)) 81) (((-635 $) (-1159 $) (-1163)) 80) (((-635 $) $) 124) (((-635 $) $ (-1163)) 122)) (-3550 (($ (-954 $)) 85) (($ (-1159 $)) 84) (($ (-1159 $) (-1163)) 83) (($ $) 125) (($ $ (-1163)) 123)) (-1647 (((-3 (-954 |#1|) "failed") $) 245 (|has| |#1| (-1048))) (((-3 (-410 (-954 |#1|)) "failed") $) 229 (|has| |#1| (-559))) (((-3 |#1| "failed") $) 191) (((-3 (-569) "failed") $) 189 (|has| |#1| (-1038 (-569)))) (((-3 (-1163) "failed") $) 182) (((-3 (-608 $) "failed") $) 133) (((-3 (-410 (-569)) "failed") $) 117 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-954 |#1|) $) 246 (|has| |#1| (-1048))) (((-410 (-954 |#1|)) $) 230 (|has| |#1| (-559))) ((|#1| $) 192) (((-569) $) 188 (|has| |#1| (-1038 (-569)))) (((-1163) $) 183) (((-608 $) $) 134) (((-410 (-569)) $) 116 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) 53)) (-1696 (((-680 |#1|) (-680 $)) 235 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 234 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 115 (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (((-680 (-569)) (-680 $)) 114 (-2232 (-2206 (|has| |#1| (-1048)) (|has| |#1| (-631 (-569)))) (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 187 (|has| |#1| (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 186 (|has| |#1| (-882 (-569))))) (-2337 (($ (-635 $)) 152) (($ $) 151)) (-3431 (((-635 (-123)) $) 159)) (-2265 (((-123) (-123)) 160)) (-1407 (((-121) $) 30)) (-1931 (((-121) $) 180 (|has| $ (-1038 (-569))))) (-4052 (($ $) 212 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 211 (|has| |#1| (-1048)))) (-4344 (($ $ (-569)) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-4080 (((-1159 $) (-608 $)) 177 (|has| $ (-1048)))) (-3291 (($ $ $) 131)) (-1538 (($ $ $) 130)) (-1544 (($ (-1 $ $) (-608 $)) 166)) (-2359 (((-3 (-608 $) "failed") $) 156)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 157)) (-1777 (($ (-123) (-635 $)) 165) (($ (-123) $) 164)) (-4087 (((-3 (-635 $) "failed") $) 206 (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 215 (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 208 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 209 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 214 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 213 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 207 (|has| |#1| (-1103)))) (-4029 (((-121) $ (-1163)) 163) (((-121) $ (-123)) 162)) (-1795 (($ $) 68)) (-2626 (((-764) $) 155)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 193)) (-1801 ((|#1| $) 194)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1452 (((-121) $ (-1163)) 168) (((-121) $ $) 167)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1657 (((-121) $) 179 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-1163) (-764) (-1 $ $)) 219 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) 218 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 217 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 216 (|has| |#1| (-1048))) (($ $ (-635 (-123)) (-635 $) (-1163)) 205 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 204 (|has| |#1| (-610 (-542)))) (($ $) 203 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) 202 (|has| |#1| (-610 (-542)))) (($ $ (-1163)) 201 (|has| |#1| (-610 (-542)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-635 $))) 175) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 174) (($ $ (-635 (-123)) (-635 (-1 $ $))) 173) (($ $ (-1163) (-1 $ $)) 172) (($ $ (-1163) (-1 $ (-635 $))) 171) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 170) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 169) (($ $ (-635 $) (-635 $)) 140) (($ $ $ $) 139) (($ $ (-289 $)) 138) (($ $ (-635 (-289 $))) 137) (($ $ (-635 (-608 $)) (-635 $)) 136) (($ $ (-608 $) $) 135)) (-2622 (((-764) $) 56)) (-1534 (($ (-123) (-635 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-4082 (($ $ $) 154) (($ $) 153)) (-3899 (($ $ (-1163)) 243 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 242 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 241 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) 240 (|has| |#1| (-1048)))) (-4214 (($ $) 222 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 221 (|has| |#1| (-559)))) (-2745 (($ $) 178 (|has| $ (-1048)))) (-3817 (((-542) $) 249 (|has| |#1| (-610 (-542)))) (($ (-421 $)) 220 (|has| |#1| (-559))) (((-888 (-382)) $) 185 (|has| |#1| (-610 (-888 (-382))))) (((-888 (-569)) $) 184 (|has| |#1| (-610 (-888 (-569)))))) (-1414 (($ $ $) 248 (|has| |#1| (-479)))) (-4293 (($ $ $) 247 (|has| |#1| (-479)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-954 |#1|)) 244 (|has| |#1| (-1048))) (($ (-410 (-954 |#1|))) 228 (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) 226 (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) 225 (|has| |#1| (-559))) (($ (-410 |#1|)) 224 (|has| |#1| (-559))) (($ (-1114 |#1| (-608 $))) 210 (|has| |#1| (-1048))) (($ |#1|) 190) (($ (-1163)) 181) (($ (-608 $)) 132)) (-3953 (((-3 $ "failed") $) 233 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4042 (($ (-635 $)) 150) (($ $) 149)) (-1524 (((-121) (-123)) 161)) (-1961 (((-121) $ $) 38)) (-3880 (($ (-1163) (-635 $)) 200) (($ (-1163) $ $ $ $) 199) (($ (-1163) $ $ $) 198) (($ (-1163) $ $) 197) (($ (-1163) $) 196)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1163)) 239 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 238 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 237 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) 236 (|has| |#1| (-1048)))) (-1693 (((-121) $ $) 128)) (-1684 (((-121) $ $) 127)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 129)) (-1678 (((-121) $ $) 126)) (-1715 (($ $ $) 62) (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 223 (|has| |#1| (-559)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-173))) (($ |#1| $) 231 (|has| |#1| (-173))))) 
-(((-29 |#1|) (-1278) (-13 (-843) (-559))) (T -29)) 
-((-3550 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) (-2663 (*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-3550 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) (-2663 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) (-2493 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) (-1842 (*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2493 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) (-1842 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4))))) 
-(-13 (-27) (-433 |t#1|) (-10 -8 (-15 -3550 ($ $)) (-15 -2663 ((-635 $) $)) (-15 -3550 ($ $ (-1163))) (-15 -2663 ((-635 $) $ (-1163))) (-15 -2493 ($ $)) (-15 -1842 ((-635 $) $)) (-15 -2493 ($ $ (-1163))) (-15 -1842 ((-635 $) $ (-1163))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-239) . T) ((-286) . T) ((-302) . T) ((-304 $) . T) ((-297) . T) ((-366) . T) ((-380 |#1|) |has| |#1| (-1048)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-433 |#1|) . T) ((-454) . T) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) ((-631 |#1|) |has| |#1| (-1048)) ((-708 (-410 (-569))) . T) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-896 (-1163)) |has| |#1| (-1048)) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-917) . T) ((-1003) . T) ((-1038 (-410 (-569))) -2232 (|has| |#1| (-1038 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) ((-1038 (-410 (-954 |#1|))) |has| |#1| (-559)) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-608 $)) . T) ((-1038 (-954 |#1|)) |has| |#1| (-1048)) ((-1038 (-1163)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) |has| |#1| (-173)) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1197) . T) ((-1202) . T)) 
-((-3740 (((-1085 (-216)) $) NIL)) (-3495 (((-1085 (-216)) $) NIL)) (-1595 (($ $ (-216)) 122)) (-3464 (($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569)))) 84)) (-2707 (((-635 (-635 (-945 (-216)))) $) 134)) (-2185 (((-851) $) 146))) 
-(((-30) (-13 (-956) (-10 -8 (-15 -3464 ($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569))))) (-15 -1595 ($ $ (-216)))))) (T -30)) 
-((-3464 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-954 (-569))) (-5 *3 (-1163)) (-5 *4 (-1085 (-410 (-569)))) (-5 *1 (-30)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30))))) 
-(-13 (-956) (-10 -8 (-15 -3464 ($ (-954 (-569)) (-1163) (-1163) (-1085 (-410 (-569))) (-1085 (-410 (-569))))) (-15 -1595 ($ $ (-216))))) 
-((-2669 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 38)) (-1406 (((-635 |#5|) |#3| (-918)) 33)) (-1306 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 40))) 
-(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1406 ((-635 |#5|) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -31)) 
-((-1406 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-1306 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
-(-10 -7 (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1406 ((-635 |#5|) |#3| (-918)))) 
-((-4231 (((-1159 (-1159 |#1|)) |#3|) 35)) (-4232 (((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|)))) 54)) (-2669 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|))) 56) (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 57)) (-1406 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)) 51)) (-2167 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|)))) 70)) (-1306 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 50))) 
-(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|)))) (-15 -2167 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|))))) (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -4231 ((-1159 (-1159 |#1|)) |#3|)) (-15 -4232 ((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|))))) (-15 -1406 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -32)) 
-((-1406 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-4232 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-1159 (-1159 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-4231 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-1306 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) (-2167 (*1 *2 *3) (-12 (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-2669 (*1 *2 *3) (-12 (-5 *3 (-1159 (-1159 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4)))) (-2669 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
-(-10 -7 (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -2669 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1159 (-1159 |#1|)))) (-15 -2167 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1159 (-1159 |#1|))))) (-15 -1306 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -4231 ((-1159 (-1159 |#1|)) |#3|)) (-15 -4232 ((-635 (-635 (-1159 (-1159 |#1|)))) (-635 (-1159 (-1159 |#1|))))) (-15 -1406 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-918)))) 
-((-2568 (((-121) $ $) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-1488 (((-635 |#1|) $) NIL)) (-2075 (($) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 ((|#1| $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-2396 (($ (-635 |#1|)) NIL)) (-1668 (((-121) $ $) NIL))) 
+(3614967 . 3570849610)       
+((-3382 (((-121) (-1 (-121) |#2| |#2|) $) 62) (((-121) $) NIL)) (-1744 (($ (-1 (-121) |#2| |#2|) $) 17) (($ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-1219 (-569)) |#2|) 34)) (-2887 (($ $) 58)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (-1 |#2| |#2| |#2|) $) 37)) (-3988 (((-569) (-1 (-121) |#2|) $) 22) (((-569) |#2| $) NIL) (((-569) |#2| $ (-569)) 70)) (-4303 (((-635 |#2|) $) 13)) (-2102 (($ (-1 (-121) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (-2089 (($ (-1 |#2| |#2|) $) 29)) (-4188 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 44)) (-2583 (($ |#2| $ (-569)) NIL) (($ $ $ (-569)) 49)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 24)) (-2985 (((-121) (-1 (-121) |#2|) $) 21)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL) (($ $ (-1219 (-569))) 48)) (-2077 (($ $ (-569)) 55) (($ $ (-1219 (-569))) 54)) (-2691 (((-765) (-1 (-121) |#2|) $) 26) (((-765) |#2| $) NIL)) (-3038 (($ $ $ (-569)) 51)) (-1799 (($ $) 50)) (-3124 (($ (-635 |#2|)) 52)) (-4456 (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (-635 $)) 61)) (-3956 (((-852) $) 69)) (-3776 (((-121) (-1 (-121) |#2|) $) 20)) (-1326 (((-121) $ $) 64)) (-1337 (((-121) $ $) 72))) 
+(((-18 |#1| |#2|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2887 (|#1| |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -3382 ((-121) |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) (-19 |#2|) (-1199)) (T -18)) 
+NIL 
+(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2887 (|#1| |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -3382 ((-121) |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-19 |#1|) (-1284) (-1199)) (T -19)) 
+NIL 
+(-13 (-376 |t#1|) (-10 -7 (-6 -4572))) 
+(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
+((-3748 (((-3 $ "failed") $ $) 12)) (-1377 (($ $) NIL) (($ $ $) 9)) (* (($ (-919) $) NIL) (($ (-765) $) 16) (($ (-569) $) 21))) 
+(((-20 |#1|) (-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3748 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-21)) (T -20)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3748 ((-3 |#1| "failed") |#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19))) 
+(((-21) (-1284)) (T -21)) 
+((-1377 (*1 *1 *1) (-4 *1 (-21))) (-1377 (*1 *1 *1 *1) (-4 *1 (-21))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569))))) 
+(-13 (-138) (-10 -8 (-15 -1377 ($ $)) (-15 -1377 ($ $ $)) (-15 * ($ (-569) $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2225 (((-121) $) 10)) (-4483 (($) 15)) (* (($ (-919) $) 14) (($ (-765) $) 18))) 
+(((-22 |#1|) (-10 -8 (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 * (|#1| (-919) |#1|))) (-23)) (T -22)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14))) 
+(((-23) (-1284)) (T -23)) 
+((-2407 (*1 *1) (-4 *1 (-23))) (-4483 (*1 *1) (-4 *1 (-23))) (-2225 (*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-765))))) 
+(-13 (-25) (-10 -8 (-15 (-2407) ($) -3575) (-15 -4483 ($) -3575) (-15 -2225 ((-121) $)) (-15 * ($ (-765) $)))) 
+(((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((* (($ (-919) $) 10))) 
+(((-24 |#1|) (-10 -8 (-15 * (|#1| (-919) |#1|))) (-25)) (T -24)) 
+NIL 
+(-10 -8 (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12))) 
+(((-25) (-1284)) (T -25)) 
+((-1371 (*1 *1 *1 *1) (-4 *1 (-25))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-919))))) 
+(-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ (-919) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-3298 (((-635 $) (-955 $)) 29) (((-635 $) (-1161 $)) 16) (((-635 $) (-1161 $) (-1165)) 20)) (-2309 (($ (-955 $)) 27) (($ (-1161 $)) 11) (($ (-1161 $) (-1165)) 54)) (-1645 (((-635 $) (-955 $)) 30) (((-635 $) (-1161 $)) 18) (((-635 $) (-1161 $) (-1165)) 19)) (-2306 (($ (-955 $)) 28) (($ (-1161 $)) 13) (($ (-1161 $) (-1165)) NIL))) 
+(((-26 |#1|) (-10 -8 (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) (-27)) (T -26)) 
+NIL 
+(-10 -8 (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-3298 (((-635 $) (-955 $)) 76) (((-635 $) (-1161 $)) 75) (((-635 $) (-1161 $) (-1165)) 74)) (-2309 (($ (-955 $)) 79) (($ (-1161 $)) 78) (($ (-1161 $) (-1165)) 77)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 88)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1645 (((-635 $) (-955 $)) 82) (((-635 $) (-1161 $)) 81) (((-635 $) (-1161 $) (-1165)) 80)) (-2306 (($ (-955 $)) 85) (($ (-1161 $)) 84) (($ (-1161 $) (-1165)) 83)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-27) (-1284)) (T -27)) 
+((-2306 (*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) (-2306 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) (-2306 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) (-1645 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1645 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-1645 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) (-2309 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) (-3298 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1))))) 
+(-13 (-366) (-1004) (-10 -8 (-15 -2306 ($ (-955 $))) (-15 -2306 ($ (-1161 $))) (-15 -2306 ($ (-1161 $) (-1165))) (-15 -1645 ((-635 $) (-955 $))) (-15 -1645 ((-635 $) (-1161 $))) (-15 -1645 ((-635 $) (-1161 $) (-1165))) (-15 -2309 ($ (-955 $))) (-15 -2309 ($ (-1161 $))) (-15 -2309 ($ (-1161 $) (-1165))) (-15 -3298 ((-635 $) (-955 $))) (-15 -3298 ((-635 $) (-1161 $))) (-15 -3298 ((-635 $) (-1161 $) (-1165))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1004) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-3298 (((-635 $) (-955 $)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 $) (-1165)) 50) (((-635 $) $) 19) (((-635 $) $ (-1165)) 41)) (-2309 (($ (-955 $)) NIL) (($ (-1161 $)) NIL) (($ (-1161 $) (-1165)) 52) (($ $) 17) (($ $ (-1165)) 37)) (-1645 (((-635 $) (-955 $)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 $) (-1165)) 48) (((-635 $) $) 15) (((-635 $) $ (-1165)) 43)) (-2306 (($ (-955 $)) NIL) (($ (-1161 $)) NIL) (($ (-1161 $) (-1165)) NIL) (($ $) 12) (($ $ (-1165)) 39))) 
+(((-28 |#1| |#2|) (-10 -8 (-15 -3298 ((-635 |#1|) |#1| (-1165))) (-15 -2309 (|#1| |#1| (-1165))) (-15 -3298 ((-635 |#1|) |#1|)) (-15 -2309 (|#1| |#1|)) (-15 -1645 ((-635 |#1|) |#1| (-1165))) (-15 -2306 (|#1| |#1| (-1165))) (-15 -1645 ((-635 |#1|) |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) (-29 |#2|) (-13 (-844) (-559))) (T -28)) 
+NIL 
+(-10 -8 (-15 -3298 ((-635 |#1|) |#1| (-1165))) (-15 -2309 (|#1| |#1| (-1165))) (-15 -3298 ((-635 |#1|) |#1|)) (-15 -2309 (|#1| |#1|)) (-15 -1645 ((-635 |#1|) |#1| (-1165))) (-15 -2306 (|#1| |#1| (-1165))) (-15 -1645 ((-635 |#1|) |#1|)) (-15 -2306 (|#1| |#1|)) (-15 -3298 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -3298 ((-635 |#1|) (-1161 |#1|))) (-15 -3298 ((-635 |#1|) (-955 |#1|))) (-15 -2309 (|#1| (-1161 |#1|) (-1165))) (-15 -2309 (|#1| (-1161 |#1|))) (-15 -2309 (|#1| (-955 |#1|))) (-15 -1645 ((-635 |#1|) (-1161 |#1|) (-1165))) (-15 -1645 ((-635 |#1|) (-1161 |#1|))) (-15 -1645 ((-635 |#1|) (-955 |#1|))) (-15 -2306 (|#1| (-1161 |#1|) (-1165))) (-15 -2306 (|#1| (-1161 |#1|))) (-15 -2306 (|#1| (-955 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-3298 (((-635 $) (-955 $)) 76) (((-635 $) (-1161 $)) 75) (((-635 $) (-1161 $) (-1165)) 74) (((-635 $) $) 120) (((-635 $) $ (-1165)) 118)) (-2309 (($ (-955 $)) 79) (($ (-1161 $)) 78) (($ (-1161 $) (-1165)) 77) (($ $) 121) (($ $ (-1165)) 119)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1165)) $) 195)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 227 (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-4320 (((-635 (-608 $)) $) 158)) (-3748 (((-3 $ "failed") $ $) 18)) (-2505 (($ $ (-635 (-608 $)) (-635 $)) 148) (($ $ (-635 (-289 $))) 147) (($ $ (-289 $)) 146)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 88)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1645 (((-635 $) (-955 $)) 82) (((-635 $) (-1161 $)) 81) (((-635 $) (-1161 $) (-1165)) 80) (((-635 $) $) 124) (((-635 $) $ (-1165)) 122)) (-2306 (($ (-955 $)) 85) (($ (-1161 $)) 84) (($ (-1161 $) (-1165)) 83) (($ $) 125) (($ $ (-1165)) 123)) (-3003 (((-3 (-955 |#1|) "failed") $) 245 (|has| |#1| (-1049))) (((-3 (-410 (-955 |#1|)) "failed") $) 229 (|has| |#1| (-559))) (((-3 |#1| "failed") $) 191) (((-3 (-569) "failed") $) 189 (|has| |#1| (-1039 (-569)))) (((-3 (-1165) "failed") $) 182) (((-3 (-608 $) "failed") $) 133) (((-3 (-410 (-569)) "failed") $) 117 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-955 |#1|) $) 246 (|has| |#1| (-1049))) (((-410 (-955 |#1|)) $) 230 (|has| |#1| (-559))) ((|#1| $) 192) (((-569) $) 188 (|has| |#1| (-1039 (-569)))) (((-1165) $) 183) (((-608 $) $) 134) (((-410 (-569)) $) 116 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) 53)) (-3435 (((-681 |#1|) (-681 $)) 235 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 234 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 115 (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (((-681 (-569)) (-681 $)) 114 (-1929 (-3993 (|has| |#1| (-1049)) (|has| |#1| (-631 (-569)))) (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 187 (|has| |#1| (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 186 (|has| |#1| (-883 (-569))))) (-2674 (($ (-635 $)) 152) (($ $) 151)) (-1367 (((-635 (-123)) $) 159)) (-1344 (((-123) (-123)) 160)) (-3934 (((-121) $) 30)) (-3520 (((-121) $) 180 (|has| $ (-1039 (-569))))) (-3043 (($ $) 212 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 211 (|has| |#1| (-1049)))) (-2522 (($ $ (-569)) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2387 (((-1161 $) (-608 $)) 177 (|has| $ (-1049)))) (-2157 (($ $ $) 131)) (-2713 (($ $ $) 130)) (-4188 (($ (-1 $ $) (-608 $)) 166)) (-3277 (((-3 (-608 $) "failed") $) 156)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 157)) (-3529 (($ (-123) (-635 $)) 165) (($ (-123) $) 164)) (-2617 (((-3 (-635 $) "failed") $) 206 (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 215 (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 208 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 209 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 214 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 213 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 207 (|has| |#1| (-1105)))) (-3845 (((-121) $ (-1165)) 163) (((-121) $ (-123)) 162)) (-3243 (($ $) 68)) (-1468 (((-765) $) 155)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 193)) (-3256 ((|#1| $) 194)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2400 (((-121) $ (-1165)) 168) (((-121) $ $) 167)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3912 (((-121) $) 179 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-1165) (-765) (-1 $ $)) 219 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) 218 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 217 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 216 (|has| |#1| (-1049))) (($ $ (-635 (-123)) (-635 $) (-1165)) 205 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 204 (|has| |#1| (-610 (-542)))) (($ $) 203 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) 202 (|has| |#1| (-610 (-542)))) (($ $ (-1165)) 201 (|has| |#1| (-610 (-542)))) (($ $ (-123) (-1 $ $)) 176) (($ $ (-123) (-1 $ (-635 $))) 175) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 174) (($ $ (-635 (-123)) (-635 (-1 $ $))) 173) (($ $ (-1165) (-1 $ $)) 172) (($ $ (-1165) (-1 $ (-635 $))) 171) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 170) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 169) (($ $ (-635 $) (-635 $)) 140) (($ $ $ $) 139) (($ $ (-289 $)) 138) (($ $ (-635 (-289 $))) 137) (($ $ (-635 (-608 $)) (-635 $)) 136) (($ $ (-608 $) $) 135)) (-2061 (((-765) $) 56)) (-2503 (($ (-123) (-635 $)) 145) (($ (-123) $ $ $ $) 144) (($ (-123) $ $ $) 143) (($ (-123) $ $) 142) (($ (-123) $) 141)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2454 (($ $ $) 154) (($ $) 153)) (-3289 (($ $ (-1165)) 243 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 242 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 241 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) 240 (|has| |#1| (-1049)))) (-2572 (($ $) 222 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 221 (|has| |#1| (-559)))) (-3036 (($ $) 178 (|has| $ (-1049)))) (-4035 (((-542) $) 249 (|has| |#1| (-610 (-542)))) (($ (-421 $)) 220 (|has| |#1| (-559))) (((-889 (-382)) $) 185 (|has| |#1| (-610 (-889 (-382))))) (((-889 (-569)) $) 184 (|has| |#1| (-610 (-889 (-569)))))) (-3980 (($ $ $) 248 (|has| |#1| (-479)))) (-2689 (($ $ $) 247 (|has| |#1| (-479)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-955 |#1|)) 244 (|has| |#1| (-1049))) (($ (-410 (-955 |#1|))) 228 (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) 226 (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) 225 (|has| |#1| (-559))) (($ (-410 |#1|)) 224 (|has| |#1| (-559))) (($ (-1116 |#1| (-608 $))) 210 (|has| |#1| (-1049))) (($ |#1|) 190) (($ (-1165)) 181) (($ (-608 $)) 132)) (-2277 (((-3 $ "failed") $) 233 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2856 (($ (-635 $)) 150) (($ $) 149)) (-3791 (((-121) (-123)) 161)) (-2909 (((-121) $ $) 38)) (-3207 (($ (-1165) (-635 $)) 200) (($ (-1165) $ $ $ $) 199) (($ (-1165) $ $ $) 198) (($ (-1165) $ $) 197) (($ (-1165) $) 196)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1165)) 239 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 238 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 237 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) 236 (|has| |#1| (-1049)))) (-1355 (((-121) $ $) 128)) (-1343 (((-121) $ $) 127)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 129)) (-1337 (((-121) $ $) 126)) (-1383 (($ $ $) 62) (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 223 (|has| |#1| (-559)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 86)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 232 (|has| |#1| (-173))) (($ |#1| $) 231 (|has| |#1| (-173))))) 
+(((-29 |#1|) (-1284) (-13 (-844) (-559))) (T -29)) 
+((-2306 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) (-1645 (*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2306 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) (-1645 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) (-2309 (*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) (-3298 (*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) (-2309 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) (-3298 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4))))) 
+(-13 (-27) (-433 |t#1|) (-10 -8 (-15 -2306 ($ $)) (-15 -1645 ((-635 $) $)) (-15 -2306 ($ $ (-1165))) (-15 -1645 ((-635 $) $ (-1165))) (-15 -2309 ($ $)) (-15 -3298 ((-635 $) $)) (-15 -2309 ($ $ (-1165))) (-15 -3298 ((-635 $) $ (-1165))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-27) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-239) . T) ((-286) . T) ((-302) . T) ((-304 $) . T) ((-297) . T) ((-366) . T) ((-380 |#1|) |has| |#1| (-1049)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-433 |#1|) . T) ((-454) . T) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) ((-631 |#1|) |has| |#1| (-1049)) ((-709 (-410 (-569))) . T) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-897 (-1165)) |has| |#1| (-1049)) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-918) . T) ((-1004) . T) ((-1039 (-410 (-569))) -1929 (|has| |#1| (-1039 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) ((-1039 (-410 (-955 |#1|))) |has| |#1| (-559)) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-608 $)) . T) ((-1039 (-955 |#1|)) |has| |#1| (-1049)) ((-1039 (-1165)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) |has| |#1| (-173)) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1199) . T) ((-1208) . T)) 
+((-4327 (((-1087 (-216)) $) NIL)) (-3724 (((-1087 (-216)) $) NIL)) (-1504 (($ $ (-216)) 122)) (-4160 (($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569)))) 84)) (-3499 (((-635 (-635 (-946 (-216)))) $) 134)) (-3956 (((-852) $) 146))) 
+(((-30) (-13 (-957) (-10 -8 (-15 -4160 ($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569))))) (-15 -1504 ($ $ (-216)))))) (T -30)) 
+((-4160 (*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-955 (-569))) (-5 *3 (-1165)) (-5 *4 (-1087 (-410 (-569)))) (-5 *1 (-30)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30))))) 
+(-13 (-957) (-10 -8 (-15 -4160 ($ (-955 (-569)) (-1165) (-1165) (-1087 (-410 (-569))) (-1087 (-410 (-569))))) (-15 -1504 ($ $ (-216))))) 
+((-1767 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 38)) (-3904 (((-635 |#5|) |#3| (-919)) 33)) (-2990 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 40))) 
+(((-31 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -3904 ((-635 |#5|) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -31)) 
+((-3904 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-1767 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2990 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
+(-10 -7 (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -3904 ((-635 |#5|) |#3| (-919)))) 
+((-1721 (((-1161 (-1161 |#1|)) |#3|) 35)) (-1752 (((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|)))) 54)) (-1767 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|))) 56) (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|) 57)) (-3904 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)) 51)) (-4293 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|)))) 70)) (-2990 (((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|)) 50))) 
+(((-32 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|)))) (-15 -4293 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|))))) (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1721 ((-1161 (-1161 |#1|)) |#3|)) (-15 -1752 ((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|))))) (-15 -3904 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -32)) 
+((-3904 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-1752 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-1161 (-1161 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1721 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2990 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) (-4293 (*1 *2 *3) (-12 (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1767 (*1 *2 *3) (-12 (-5 *3 (-1161 (-1161 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4)))) (-1767 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
+(-10 -7 (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3|)) (-15 -1767 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-1161 (-1161 |#1|)))) (-15 -4293 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 (-1161 (-1161 |#1|))))) (-15 -2990 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) (-635 |#3|))) (-15 -1721 ((-1161 (-1161 |#1|)) |#3|)) (-15 -1752 ((-635 (-635 (-1161 (-1161 |#1|)))) (-635 (-1161 (-1161 |#1|))))) (-15 -3904 ((-3 (-635 |#5|) "failed" "Infinite" (-569)) |#3| (-919)))) 
+((-1310 (((-121) $ $) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-4069 (((-635 |#1|) $) NIL)) (-4008 (($) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 ((|#1| $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1649 (($ (-635 |#1|)) NIL)) (-1326 (((-121) $ $) NIL))) 
 (((-33 |#1|) (-37 |#1|) (-366)) (T -33)) 
 NIL 
 (-37 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-4469 (((-858 |#1|) $ (-569) (-858 |#1|)) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-1488 (((-635 (-858 |#1|)) $) NIL)) (-2075 (($) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 (-858 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 (((-858 |#1|) $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 (-858 |#1|)) $) NIL) (($ (-635 (-858 |#1|))) NIL)) (-2396 (($ (-635 (-858 |#1|))) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-34 |#1|) (-37 (-858 |#1|)) (-351)) (T -34)) 
+((-1310 (((-121) $ $) NIL)) (-2511 (((-859 |#1|) $ (-569) (-859 |#1|)) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-4069 (((-635 (-859 |#1|)) $) NIL)) (-4008 (($) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 (-859 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 (((-859 |#1|) $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 (-859 |#1|)) $) NIL) (($ (-635 (-859 |#1|))) NIL)) (-1649 (($ (-635 (-859 |#1|))) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-34 |#1|) (-37 (-859 |#1|)) (-351)) (T -34)) 
 NIL 
-(-37 (-858 |#1|)) 
-((-2568 (((-121) $ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) 39) (((-635 $) (-635 $)) 40)) (-3103 (((-121) $ (-764)) 36) (((-121) $) 38)) (-1488 (((-635 |#2|) $) 31)) (-2075 (($) 12)) (-1288 (((-635 $) $) 48) (((-635 $) $ (-764)) 45)) (-2005 (((-635 |#2|) $) 30)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-569)) NIL)) (-2492 (((-918) $) 20)) (-2955 ((|#2| $) 26)) (-1414 (($ $ (-764)) 33) (($ $) 47)) (-2185 (((-851) $) 23) (((-635 |#2|) $) 28) (($ (-635 |#2|)) 51)) (-2396 (($ (-635 |#2|)) 29)) (-1668 (((-121) $ $) 35))) 
-(((-35 |#1| |#2|) (-37 |#2|) (-764) (-366)) (T -35)) 
+(-37 (-859 |#1|)) 
+((-1310 (((-121) $ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) 39) (((-635 $) (-635 $)) 40)) (-4429 (((-121) $ (-765)) 36) (((-121) $) 38)) (-4069 (((-635 |#2|) $) 31)) (-4008 (($) 12)) (-3481 (((-635 $) $) 48) (((-635 $) $ (-765)) 45)) (-1832 (((-635 |#2|) $) 30)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-569)) NIL)) (-2284 (((-919) $) 20)) (-4134 ((|#2| $) 26)) (-3980 (($ $ (-765)) 33) (($ $) 47)) (-3956 (((-852) $) 23) (((-635 |#2|) $) 28) (($ (-635 |#2|)) 51)) (-1649 (($ (-635 |#2|)) 29)) (-1326 (((-121) $ $) 35))) 
+(((-35 |#1| |#2|) (-37 |#2|) (-765) (-366)) (T -35)) 
 NIL 
 (-37 |#2|) 
-((-3550 ((|#2| (-1159 |#2|) (-1163)) 42)) (-2265 (((-123) (-123)) 54)) (-4080 (((-1159 |#2|) (-608 |#2|)) 129 (|has| |#1| (-1038 (-569))))) (-2765 ((|#2| |#1| (-569)) 108 (|has| |#1| (-1038 (-569))))) (-2509 ((|#2| (-1159 |#2|) |#2|) 30)) (-3322 (((-851) (-635 |#2|)) 84)) (-2745 ((|#2| |#2|) 125 (|has| |#1| (-1038 (-569))))) (-1524 (((-121) (-123)) 18)) (** ((|#2| |#2| (-410 (-569))) 89 (|has| |#1| (-1038 (-569)))))) 
-(((-36 |#1| |#2|) (-10 -7 (-15 -3550 (|#2| (-1159 |#2|) (-1163))) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -2509 (|#2| (-1159 |#2|) |#2|)) (-15 -3322 ((-851) (-635 |#2|))) (IF (|has| |#1| (-1038 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -4080 ((-1159 |#2|) (-608 |#2|))) (-15 -2745 (|#2| |#2|)) (-15 -2765 (|#2| |#1| (-569)))) |noBranch|)) (-13 (-843) (-559)) (-433 |#1|)) (T -36)) 
-((-2765 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1038 *4)) (-4 *3 (-13 (-843) (-559))))) (-2745 (*1 *2 *2) (-12 (-4 *3 (-1038 (-569))) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) (-4080 (*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-1159 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) (-3322 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-851)) (-5 *1 (-36 *4 *5)))) (-2509 (*1 *2 *3 *2) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) (-3550 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-5 *4 (-1163)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-843) (-559)))))) 
-(-10 -7 (-15 -3550 (|#2| (-1159 |#2|) (-1163))) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -2509 (|#2| (-1159 |#2|) |#2|)) (-15 -3322 ((-851) (-635 |#2|))) (IF (|has| |#1| (-1038 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -4080 ((-1159 |#2|) (-608 |#2|))) (-15 -2745 (|#2| |#2|)) (-15 -2765 (|#2| |#1| (-569)))) |noBranch|)) 
-((-2568 (((-121) $ $) 7)) (-4469 ((|#1| $ (-569) |#1|) 14)) (-1860 (((-635 $) (-635 $) (-764)) 20) (((-635 $) (-635 $)) 19)) (-3103 (((-121) $ (-764)) 18) (((-121) $) 17)) (-1488 (((-635 |#1|) $) 13)) (-2075 (($) 29)) (-1288 (((-635 $) $) 24) (((-635 $) $ (-764)) 23)) (-2005 (((-635 |#1|) $) 16)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1534 ((|#1| $ (-569)) 15)) (-2492 (((-918) $) 12)) (-2955 ((|#1| $) 27)) (-1414 (($ $ (-764)) 22) (($ $) 21)) (-2185 (((-851) $) 11) (((-635 |#1|) $) 26) (($ (-635 |#1|)) 25)) (-2396 (($ (-635 |#1|)) 28)) (-1668 (((-121) $ $) 6))) 
-(((-37 |#1|) (-1278) (-366)) (T -37)) 
-((-2075 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2396 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-2955 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-1288 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) (-1414 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1860 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) (-1860 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-3103 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2005 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1488 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(-13 (-1089) (-10 -8 (-15 -2075 ($)) (-15 -2396 ($ (-635 |t#1|))) (-15 -2955 (|t#1| $)) (-15 -2185 ((-635 |t#1|) $)) (-15 -2185 ($ (-635 |t#1|))) (-15 -1288 ((-635 $) $)) (-15 -1288 ((-635 $) $ (-764))) (-15 -1414 ($ $ (-764))) (-15 -1414 ($ $)) (-15 -1860 ((-635 $) (-635 $) (-764))) (-15 -1860 ((-635 $) (-635 $))) (-15 -3103 ((-121) $ (-764))) (-15 -3103 ((-121) $)) (-15 -2005 ((-635 |t#1|) $)) (-15 -1534 (|t#1| $ (-569))) (-15 -4469 (|t#1| $ (-569) |t#1|)) (-15 -1488 ((-635 |t#1|) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
-((-1691 (((-121) $ (-764)) 16)) (-2820 (($) 10)) (-1974 (((-121) $ (-764)) 15)) (-2006 (((-121) $ (-764)) 14)) (-3137 (((-121) $ $) 8)) (-1601 (((-121) $) 13))) 
-(((-38 |#1|) (-10 -8 (-15 -2820 (|#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1601 ((-121) |#1|)) (-15 -3137 ((-121) |#1| |#1|))) (-39)) (T -38)) 
-NIL 
-(-10 -8 (-15 -2820 (|#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1601 ((-121) |#1|)) (-15 -3137 ((-121) |#1| |#1|))) 
-((-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-1974 (((-121) $ (-764)) 9)) (-2006 (((-121) $ (-764)) 10)) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1971 (($ $) 13)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-39) (-1278)) (T -39)) 
-((-3137 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1971 (*1 *1 *1) (-4 *1 (-39))) (-1296 (*1 *1) (-4 *1 (-39))) (-1601 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-2006 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-1974 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-1691 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) (-2820 (*1 *1) (-4 *1 (-39))) (-4168 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-39)) (-5 *2 (-764))))) 
-(-13 (-1197) (-10 -8 (-15 -3137 ((-121) $ $)) (-15 -1971 ($ $)) (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2820 ($) -2043) (IF (|has| $ (-6 -4535)) (-15 -4168 ((-764) $)) |noBranch|))) 
-(((-1197) . T)) 
-((-1779 (($ $) 11)) (-1770 (($ $) 10)) (-1785 (($ $) 9)) (-2430 (($ $) 8)) (-1782 (($ $) 7)) (-1775 (($ $) 6))) 
-(((-40) (-1278)) (T -40)) 
-((-1779 (*1 *1 *1) (-4 *1 (-40))) (-1770 (*1 *1 *1) (-4 *1 (-40))) (-1785 (*1 *1 *1) (-4 *1 (-40))) (-2430 (*1 *1 *1) (-4 *1 (-40))) (-1782 (*1 *1 *1) (-4 *1 (-40))) (-1775 (*1 *1 *1) (-4 *1 (-40)))) 
-(-13 (-10 -8 (-15 -1775 ($ $)) (-15 -1782 ($ $)) (-15 -2430 ($ $)) (-15 -1785 ($ $)) (-15 -1770 ($ $)) (-15 -1779 ($ $)))) 
-((-2568 (((-121) $ $) 18 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2247 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 117)) (-4360 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 140)) (-4459 (($ $) 138)) (-2281 (($) 66) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 65)) (-3112 (((-1252) $ |#1| |#1|) 93 (|has| $ (-6 -4536))) (((-1252) $ (-569) (-569)) 170 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 151 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3076 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 192 (|has| $ (-6 -4536))) (($ $) 191 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-3891 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 126 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 147 (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 149 (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 145 (|has| $ (-6 -4536)))) (-4469 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 181 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-1213 (-569)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 152 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 150 (|has| $ (-6 -4536))) (($ $ "rest" $) 148 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 146 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 125 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 124 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 208)) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 167 (|has| $ (-6 -4535)))) (-1669 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 139)) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-1302 (($ $) 193 (|has| $ (-6 -4536)))) (-2052 (($ $) 203)) (-2046 (($ $ (-764)) 134) (($ $) 132)) (-3384 (($ $) 206 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2033 (($ $) 55 (-2232 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))) (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 212) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 207 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 169 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 166 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 168 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 165 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 164 (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 182 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 82) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 180)) (-3108 (((-121) $) 184)) (-3727 (((-569) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 200) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 199 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 198 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535))) (((-635 |#2|) $) 73 (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 106 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 115)) (-4349 (((-121) $ $) 123 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 161)) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 90 (|has| |#1| (-843))) (((-569) $) 172 (|has| (-569) (-843)))) (-3291 (($ $ $) 190 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-2854 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3288 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535))) (((-635 |#2|) $) 74 (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 107 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 109 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 89 (|has| |#1| (-843))) (((-569) $) 173 (|has| (-569) (-843)))) (-1538 (($ $ $) 189 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 102 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 101)) (-2005 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 217)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 120)) (-3486 (((-121) $) 116)) (-2776 (((-1145) $) 22 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4213 (($ $ (-764)) 137) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 135)) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 211) (($ $ $ (-569)) 210)) (-3614 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 154) (($ $ $ (-569)) 153)) (-4166 (((-635 |#1|) $) 87) (((-635 (-569)) $) 175)) (-3533 (((-121) |#1| $) 86) (((-121) (-569) $) 176)) (-3360 (((-1109) $) 21 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4353 ((|#2| $) 91 (|has| |#1| (-843))) (($ $ (-764)) 131) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 129)) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48) (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 163)) (-3174 (($ $ |#2|) 92 (|has| $ (-6 -4536))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 171 (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-2695 (((-121) $) 183)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 104 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 113 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 112 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 111 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 110 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 174 (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2691 (((-635 |#2|) $) 85) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 177)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 179) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) 178) (($ $ (-1213 (-569))) 157) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first") 130) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value") 118)) (-1686 (((-569) $ $) 121)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-4514 (($ $ (-569)) 214) (($ $ (-1213 (-569))) 213)) (-3010 (($ $ (-569)) 156) (($ $ (-1213 (-569))) 155)) (-1472 (((-121) $) 119)) (-2645 (($ $) 143)) (-2780 (($ $) 144 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 142)) (-4343 (($ $) 141)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) |#2| $) 75 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 108 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 105 (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) 194 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542)))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 162)) (-2697 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 216) (($ $ $) 215)) (-2250 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 160) (($ (-635 $)) 159) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 128) (($ $ $) 127)) (-2185 (((-851) $) 20 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4114 (((-635 $) $) 114)) (-2447 (((-121) $ $) 122 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2990 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") |#1| $) 100)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 103 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 187 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1684 (((-121) $ $) 186 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1668 (((-121) $ $) 19 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-1688 (((-121) $ $) 188 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1678 (((-121) $ $) 185 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-41 |#1| |#2|) (-1278) (-1091) (-1091)) (T -41)) 
-((-2990 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| -2335 *3) (|:| -3782 *4)))))) 
-(-13 (-1174 |t#1| |t#2|) (-659 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))) (-10 -8 (-15 -2990 ((-3 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|)) "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-278 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-376 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 |#2|) . T) ((-602 (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-606 |#1| |#2|) . T) ((-641 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-659 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-843) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)) ((-1011 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-1091) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))) ((-1135 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-1174 |#1| |#2|) . T) ((-1197) . T) ((-1234 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T)) 
-((-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
-(((-42 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-43 |#2|) (-173)) (T -42)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-43 |#1|) (-1278) (-173)) (T -43)) 
-((-2185 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173))))) 
-(-13 (-1048) (-708 |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-4493 (((-421 |#1|) |#1|) 38)) (-1743 (((-421 |#1|) |#1|) 27) (((-421 |#1|) |#1| (-635 (-53))) 30)) (-4419 (((-121) |#1|) 54))) 
-(((-44 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -4493 ((-421 |#1|) |#1|)) (-15 -4419 ((-121) |#1|))) (-1222 (-53))) (T -44)) 
-((-4419 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-4493 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53)))))) 
-(-10 -7 (-15 -1743 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -4493 ((-421 |#1|) |#1|)) (-15 -4419 ((-121) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-3383 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) NIL) (((-680 (-410 |#2|))) NIL)) (-1377 (((-410 |#2|) $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) NIL (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) NIL)) (-4037 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) NIL) (($ (-1247 (-410 |#2|))) 57) (($ (-1247 |#2|) |#2|) 124)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) NIL) (((-680 (-410 |#2|)) (-680 $)) NIL)) (-2326 (((-1247 $) (-1247 $)) NIL)) (-1774 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1818 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) NIL)) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) NIL)) (-2642 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-2524 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-1340 (($ $) NIL)) (-3188 (($) NIL (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) NIL (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) NIL (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) NIL)) (-1607 (((-764)) NIL)) (-4296 (((-1247 $) (-1247 $)) 100)) (-4308 (((-410 |#2|) $) NIL)) (-4367 (((-635 (-954 |#1|)) (-1163)) NIL (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) NIL (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) NIL)) (-3312 (((-1252) (-764)) 78)) (-3243 (((-680 (-410 |#2|))) 51)) (-3837 (((-680 (-410 |#2|))) 44)) (-1795 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 125)) (-3804 (((-680 (-410 |#2|))) 45)) (-2865 (((-680 (-410 |#2|))) 43)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 63)) (-1802 (((-1247 $)) 42)) (-3577 (((-1247 $)) 41)) (-4470 (((-121) $) NIL)) (-3636 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4043 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) NIL)) (-3360 (((-1109) $) NIL)) (-3950 (((-764)) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) NIL (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) NIL)) (-4005 (((-3 |#2| "failed")) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) NIL) (((-410 |#2|)) 39)) (-1291 (((-764) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 50)) (-2319 (($) NIL (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 |#2|)) $) 58) (((-680 (-410 |#2|)) (-1247 $)) 101)) (-3817 (((-1247 (-410 |#2|)) $) NIL) (($ (-1247 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3953 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) NIL)) (-1991 (((-764)) NIL)) (-2808 (((-121)) 37)) (-2719 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-3930 (((-1247 $)) 91)) (-1961 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3670 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-3369 (($) 16 T CONST)) (-1556 (($) 26 T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
-(((-45 |#1| |#2| |#3| |#4|) (-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3312 ((-1252) (-764))))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) |#3|) (T -45)) 
-((-3312 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *2 (-1252)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1222 (-410 *5))) (-14 *7 *6)))) 
-(-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -3312 ((-1252) (-764))))) 
-((-2230 ((|#2| |#2|) 47)) (-2769 ((|#2| |#2|) 116 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-1674 ((|#2| |#2|) 85 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-2794 ((|#2| |#2|) 86 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-2020 ((|#2| (-123) |#2| (-764)) 73 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-843)) (|has| |#1| (-1038 (-569)))))) (-1789 (((-1159 |#2|) |#2|) 44)) (-3537 ((|#2| |#2| (-635 (-608 |#2|))) 17) ((|#2| |#2| (-635 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
-(((-46 |#1| |#2|) (-10 -7 (-15 -2230 (|#2| |#2|)) (-15 -3537 (|#2| |#2|)) (-15 -3537 (|#2| |#2| |#2|)) (-15 -3537 (|#2| |#2| (-635 |#2|))) (-15 -3537 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -1789 ((-1159 |#2|) |#2|)) (IF (|has| |#1| (-843)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1038 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -2794 (|#2| |#2|)) (-15 -1674 (|#2| |#2|)) (-15 -2769 (|#2| |#2|)) (-15 -2020 (|#2| (-123) |#2| (-764)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-559) (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 |#1| (-608 $)) $)) (-15 -4121 ((-1114 |#1| (-608 $)) $)) (-15 -2185 ($ (-1114 |#1| (-608 $))))))) (T -46)) 
-((-2020 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-764)) (-4 *5 (-454)) (-4 *5 (-843)) (-4 *5 (-1038 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *5 (-608 $)) $)) (-15 -4121 ((-1114 *5 (-608 $)) $)) (-15 -2185 ($ (-1114 *5 (-608 $))))))))) (-2769 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-1674 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-2794 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-1789 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1159 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))))) (-3537 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-3537 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-3537 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-3537 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) (-2230 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
-(-10 -7 (-15 -2230 (|#2| |#2|)) (-15 -3537 (|#2| |#2|)) (-15 -3537 (|#2| |#2| |#2|)) (-15 -3537 (|#2| |#2| (-635 |#2|))) (-15 -3537 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -1789 ((-1159 |#2|) |#2|)) (IF (|has| |#1| (-843)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1038 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -2794 (|#2| |#2|)) (-15 -1674 (|#2| |#2|)) (-15 -2769 (|#2| |#2|)) (-15 -2020 (|#2| (-123) |#2| (-764)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-1743 (((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))) 22) (((-421 |#3|) |#3| (-635 (-53))) 18))) 
-(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -1743 ((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))))) (-843) (-789) (-951 (-53) |#2| |#1|)) (T -47)) 
-((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *7 (-951 (-53) *6 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-951 (-53) *6 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -1743 ((-421 (-1159 |#3|)) (-1159 |#3|) (-635 (-53))))) 
-((-1606 (((-764) |#2|) 65)) (-3448 (((-764) |#2|) 68)) (-3801 (((-635 |#2|)) 33)) (-3000 (((-764) |#2|) 67)) (-2108 (((-764) |#2|) 64)) (-1624 (((-764) |#2|) 66)) (-1896 (((-635 (-680 |#1|))) 60)) (-3328 (((-635 |#2|)) 55)) (-2633 (((-635 |#2|) |#2|) 43)) (-2116 (((-635 |#2|)) 57)) (-3912 (((-635 |#2|)) 56)) (-2125 (((-635 (-680 |#1|))) 48)) (-2450 (((-635 |#2|)) 54)) (-3545 (((-635 |#2|) |#2|) 42)) (-3050 (((-635 |#2|)) 50)) (-1401 (((-635 (-680 |#1|))) 61)) (-4182 (((-635 |#2|)) 59)) (-3930 (((-1247 |#2|) (-1247 |#2|)) 83 (|has| |#1| (-302))))) 
-(((-48 |#1| |#2|) (-10 -7 (-15 -3000 ((-764) |#2|)) (-15 -3448 ((-764) |#2|)) (-15 -2108 ((-764) |#2|)) (-15 -1606 ((-764) |#2|)) (-15 -1624 ((-764) |#2|)) (-15 -3050 ((-635 |#2|))) (-15 -3545 ((-635 |#2|) |#2|)) (-15 -2633 ((-635 |#2|) |#2|)) (-15 -2450 ((-635 |#2|))) (-15 -3328 ((-635 |#2|))) (-15 -3912 ((-635 |#2|))) (-15 -2116 ((-635 |#2|))) (-15 -4182 ((-635 |#2|))) (-15 -2125 ((-635 (-680 |#1|)))) (-15 -1896 ((-635 (-680 |#1|)))) (-15 -1401 ((-635 (-680 |#1|)))) (-15 -3801 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -3930 ((-1247 |#2|) (-1247 |#2|))) |noBranch|)) (-559) (-420 |#1|)) (T -48)) 
-((-3930 (*1 *2 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) (-3801 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1401 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1896 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2125 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-4182 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2116 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3912 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3328 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2450 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2633 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3545 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3050 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1624 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1606 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2108 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3448 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3000 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(-10 -7 (-15 -3000 ((-764) |#2|)) (-15 -3448 ((-764) |#2|)) (-15 -2108 ((-764) |#2|)) (-15 -1606 ((-764) |#2|)) (-15 -1624 ((-764) |#2|)) (-15 -3050 ((-635 |#2|))) (-15 -3545 ((-635 |#2|) |#2|)) (-15 -2633 ((-635 |#2|) |#2|)) (-15 -2450 ((-635 |#2|))) (-15 -3328 ((-635 |#2|))) (-15 -3912 ((-635 |#2|))) (-15 -2116 ((-635 |#2|))) (-15 -4182 ((-635 |#2|))) (-15 -2125 ((-635 (-680 |#1|)))) (-15 -1896 ((-635 (-680 |#1|)))) (-15 -1401 ((-635 (-680 |#1|)))) (-15 -3801 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -3930 ((-1247 |#2|) (-1247 |#2|))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) NIL) (((-1247 (-680 |#1|))) 24)) (-2141 (((-1247 $)) 50)) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1723 ((|#1| $) NIL)) (-1792 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-2800 (((-1159 (-954 |#1|))) NIL (|has| |#1| (-366)))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL)) (-2246 (((-1159 |#1|) $) NIL (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-2355 (((-1159 |#1|) $) NIL)) (-2607 (((-121)) 86)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) NIL)) (-3428 (((-3 $ "failed") $) 14 (|has| |#1| (-559)))) (-1321 (((-918)) 51)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) 88)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1545 ((|#1| $) NIL)) (-4007 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-3282 (((-1159 (-954 |#1|))) NIL (|has| |#1| (-366)))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL)) (-3851 (((-1159 |#1|) $) NIL (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-2415 (((-1159 |#1|) $) NIL)) (-2377 (((-121)) 85)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) 92)) (-3337 (((-121)) 91)) (-2598 (((-121)) 93)) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) 87)) (-1534 ((|#1| $ (-569)) 53)) (-1648 (((-1247 |#1|) $ (-1247 $)) 47) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) 28) (((-680 |#1|) (-1247 $)) NIL)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) NIL) (((-635 (-954 |#1|))) NIL)) (-4293 (($ $ $) NIL)) (-2093 (((-121)) 83)) (-2185 (((-851) $) 68) (($ (-1247 |#1|)) 22)) (-3930 (((-1247 $)) 44)) (-2131 (((-635 (-1247 |#1|))) NIL (|has| |#1| (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) 81)) (-1943 (($ (-680 |#1|) $) 18)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) 84)) (-3922 (((-121)) 82)) (-4227 (((-121)) 80)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1128 |#2| |#1|) $) 19))) 
-(((-49 |#1| |#2| |#3| |#4|) (-13 (-420 |#1|) (-638 (-1128 |#2| |#1|)) (-10 -8 (-15 -2185 ($ (-1247 |#1|))))) (-366) (-918) (-635 (-1163)) (-1247 (-680 |#1|))) (T -49)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163)))))) 
-(-13 (-420 |#1|) (-638 (-1128 |#2| |#1|)) (-10 -8 (-15 -2185 ($ (-1247 |#1|))))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2247 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4360 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4459 (($ $) NIL)) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536))) (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3076 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843))))) (-3113 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3891 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 27 (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 29 (|has| $ (-6 -4536)))) (-4469 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-1213 (-569)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value" (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1669 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2082 (((-3 |#2| "failed") |#1| $) 37)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $ (-764)) NIL) (($ $) 24)) (-3384 (($ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) (((-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 18 (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 18 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843))) (((-569) $) 32 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-2854 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-3288 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843))) (((-569) $) 34 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-2005 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) 41 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4213 (($ $ (-764)) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2179 (((-635 |#1|) $) 20)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-3614 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 |#1|) $) NIL) (((-635 (-569)) $) NIL)) (-3533 (((-121) |#1| $) NIL) (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843))) (($ $ (-764)) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 23)) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2691 (((-635 |#2|) $) NIL) (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 17)) (-1601 (((-121) $) 16)) (-1296 (($) 13)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "first") NIL) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-2566 (($) 12) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-4514 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2697 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (($ $ $) NIL)) (-2250 (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 25) (($ $ $) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2990 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") |#1| $) 43)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-1688 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-843)))) (-4168 (((-764) $) 22 (|has| $ (-6 -4535))))) 
-(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1091) (-1091)) (T -50)) 
+((-2306 ((|#2| (-1161 |#2|) (-1165)) 42)) (-1344 (((-123) (-123)) 54)) (-2387 (((-1161 |#2|) (-608 |#2|)) 129 (|has| |#1| (-1039 (-569))))) (-2244 ((|#2| |#1| (-569)) 108 (|has| |#1| (-1039 (-569))))) (-2734 ((|#2| (-1161 |#2|) |#2|) 30)) (-1692 (((-852) (-635 |#2|)) 84)) (-3036 ((|#2| |#2|) 125 (|has| |#1| (-1039 (-569))))) (-3791 (((-121) (-123)) 18)) (** ((|#2| |#2| (-410 (-569))) 89 (|has| |#1| (-1039 (-569)))))) 
+(((-36 |#1| |#2|) (-10 -7 (-15 -2306 (|#2| (-1161 |#2|) (-1165))) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -2734 (|#2| (-1161 |#2|) |#2|)) (-15 -1692 ((-852) (-635 |#2|))) (IF (|has| |#1| (-1039 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -2387 ((-1161 |#2|) (-608 |#2|))) (-15 -3036 (|#2| |#2|)) (-15 -2244 (|#2| |#1| (-569)))) |noBranch|)) (-13 (-844) (-559)) (-433 |#1|)) (T -36)) 
+((-2244 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1039 *4)) (-4 *3 (-13 (-844) (-559))))) (-3036 (*1 *2 *2) (-12 (-4 *3 (-1039 (-569))) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) (-2387 (*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-1161 *5)) (-5 *1 (-36 *4 *5)))) (** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) (-1692 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-852)) (-5 *1 (-36 *4 *5)))) (-2734 (*1 *2 *3 *2) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) (-2306 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-5 *4 (-1165)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-844) (-559)))))) 
+(-10 -7 (-15 -2306 (|#2| (-1161 |#2|) (-1165))) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -2734 (|#2| (-1161 |#2|) |#2|)) (-15 -1692 ((-852) (-635 |#2|))) (IF (|has| |#1| (-1039 (-569))) (PROGN (-15 ** (|#2| |#2| (-410 (-569)))) (-15 -2387 ((-1161 |#2|) (-608 |#2|))) (-15 -3036 (|#2| |#2|)) (-15 -2244 (|#2| |#1| (-569)))) |noBranch|)) 
+((-1310 (((-121) $ $) 7)) (-2511 ((|#1| $ (-569) |#1|) 14)) (-2230 (((-635 $) (-635 $) (-765)) 20) (((-635 $) (-635 $)) 19)) (-4429 (((-121) $ (-765)) 18) (((-121) $) 17)) (-4069 (((-635 |#1|) $) 13)) (-4008 (($) 29)) (-3481 (((-635 $) $) 24) (((-635 $) $ (-765)) 23)) (-1832 (((-635 |#1|) $) 16)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2503 ((|#1| $ (-569)) 15)) (-2284 (((-919) $) 12)) (-4134 ((|#1| $) 27)) (-3980 (($ $ (-765)) 22) (($ $) 21)) (-3956 (((-852) $) 11) (((-635 |#1|) $) 26) (($ (-635 |#1|)) 25)) (-1649 (($ (-635 |#1|)) 28)) (-1326 (((-121) $ $) 6))) 
+(((-37 |#1|) (-1284) (-366)) (T -37)) 
+((-4008 (*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-1649 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-4134 (*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) (-3481 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) (-3980 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2230 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) (-2230 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) (-4429 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1832 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) (-4069 (*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(-13 (-1091) (-10 -8 (-15 -4008 ($)) (-15 -1649 ($ (-635 |t#1|))) (-15 -4134 (|t#1| $)) (-15 -3956 ((-635 |t#1|) $)) (-15 -3956 ($ (-635 |t#1|))) (-15 -3481 ((-635 $) $)) (-15 -3481 ((-635 $) $ (-765))) (-15 -3980 ($ $ (-765))) (-15 -3980 ($ $)) (-15 -2230 ((-635 $) (-635 $) (-765))) (-15 -2230 ((-635 $) (-635 $))) (-15 -4429 ((-121) $ (-765))) (-15 -4429 ((-121) $)) (-15 -1832 ((-635 |t#1|) $)) (-15 -2503 (|t#1| $ (-569))) (-15 -2511 (|t#1| $ (-569) |t#1|)) (-15 -4069 ((-635 |t#1|) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
+((-3350 (((-121) $ (-765)) 16)) (-4483 (($) 10)) (-3206 (((-121) $ (-765)) 15)) (-1396 (((-121) $ (-765)) 14)) (-3186 (((-121) $ $) 8)) (-1668 (((-121) $) 13))) 
+(((-38 |#1|) (-10 -8 (-15 -4483 (|#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1668 ((-121) |#1|)) (-15 -3186 ((-121) |#1| |#1|))) (-39)) (T -38)) 
+NIL 
+(-10 -8 (-15 -4483 (|#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1668 ((-121) |#1|)) (-15 -3186 ((-121) |#1| |#1|))) 
+((-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-3206 (((-121) $ (-765)) 9)) (-1396 (((-121) $ (-765)) 10)) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1799 (($ $) 13)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-39) (-1284)) (T -39)) 
+((-3186 (*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1799 (*1 *1 *1) (-4 *1 (-39))) (-4016 (*1 *1) (-4 *1 (-39))) (-1668 (*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) (-1396 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-3206 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-3350 (*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) (-4483 (*1 *1) (-4 *1 (-39))) (-2946 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-39)) (-5 *2 (-765))))) 
+(-13 (-1199) (-10 -8 (-15 -3186 ((-121) $ $)) (-15 -1799 ($ $)) (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -4483 ($) -3575) (IF (|has| $ (-6 -4571)) (-15 -2946 ((-765) $)) |noBranch|))) 
+(((-1199) . T)) 
+((-3585 (($ $) 11)) (-3572 (($ $) 10)) (-3599 (($ $) 9)) (-4527 (($ $) 8)) (-3592 (($ $) 7)) (-3579 (($ $) 6))) 
+(((-40) (-1284)) (T -40)) 
+((-3585 (*1 *1 *1) (-4 *1 (-40))) (-3572 (*1 *1 *1) (-4 *1 (-40))) (-3599 (*1 *1 *1) (-4 *1 (-40))) (-4527 (*1 *1 *1) (-4 *1 (-40))) (-3592 (*1 *1 *1) (-4 *1 (-40))) (-3579 (*1 *1 *1) (-4 *1 (-40)))) 
+(-13 (-10 -8 (-15 -3579 ($ $)) (-15 -3592 ($ $)) (-15 -4527 ($ $)) (-15 -3599 ($ $)) (-15 -3572 ($ $)) (-15 -3585 ($ $)))) 
+((-1310 (((-121) $ $) 18 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2756 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 117)) (-1823 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 140)) (-2394 (($ $) 138)) (-4404 (($) 66) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 65)) (-1403 (((-1258) $ |#1| |#1|) 93 (|has| $ (-6 -4572))) (((-1258) $ (-569) (-569)) 170 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 151 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 201) (((-121) $) 195 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1744 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 192 (|has| $ (-6 -4572))) (($ $) 191 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 202) (($ $) 196 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-4548 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 126 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 147 (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 149 (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 145 (|has| $ (-6 -4572)))) (-2511 ((|#2| $ |#1| |#2|) 67) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 181 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-1219 (-569)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 152 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 150 (|has| $ (-6 -4572))) (($ $ "rest" $) 148 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 146 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 125 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 124 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 208)) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 167 (|has| $ (-6 -4571)))) (-4024 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 139)) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-2887 (($ $) 193 (|has| $ (-6 -4572)))) (-1871 (($ $) 203)) (-1864 (($ $ (-765)) 134) (($ $) 132)) (-2938 (($ $) 206 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1858 (($ $) 55 (-1929 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))) (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 212) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 207 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 169 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 166 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 168 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 165 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 164 (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 182 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 82) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 180)) (-1292 (((-121) $) 184)) (-3988 (((-569) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 200) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 199 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 198 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571))) (((-635 |#2|) $) 73 (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 106 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 115)) (-2638 (((-121) $ $) 123 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 161)) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 90 (|has| |#1| (-844))) (((-569) $) 172 (|has| (-569) (-844)))) (-2157 (($ $ $) 190 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4002 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 209) (($ $ $) 205 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2102 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 204) (($ $ $) 197 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571))) (((-635 |#2|) $) 74 (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 107 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 109 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 89 (|has| |#1| (-844))) (((-569) $) 173 (|has| (-569) (-844)))) (-2713 (($ $ $) 189 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 102 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) 158) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 101)) (-1832 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 217)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 120)) (-3491 (((-121) $) 116)) (-2605 (((-1147) $) 22 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3302 (($ $ (-765)) 137) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 135)) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 211) (($ $ $ (-569)) 210)) (-2583 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 154) (($ $ $ (-569)) 153)) (-2761 (((-635 |#1|) $) 87) (((-635 (-569)) $) 175)) (-3292 (((-121) |#1| $) 86) (((-121) (-569) $) 176)) (-1912 (((-1111) $) 21 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1816 ((|#2| $) 91 (|has| |#1| (-844))) (($ $ (-765)) 131) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 129)) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48) (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 163)) (-2417 (($ $ |#2|) 92 (|has| $ (-6 -4572))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 171 (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-4363 (((-121) $) 183)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 104 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 113 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 112 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 111 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 110 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 174 (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4283 (((-635 |#2|) $) 85) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 177)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 179) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) 178) (($ $ (-1219 (-569))) 157) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last") 136) (($ $ "rest") 133) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first") 130) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value") 118)) (-3248 (((-569) $ $) 121)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-1313 (($ $ (-569)) 214) (($ $ (-1219 (-569))) 213)) (-2077 (($ $ (-569)) 156) (($ $ (-1219 (-569))) 155)) (-1630 (((-121) $) 119)) (-2588 (($ $) 143)) (-1390 (($ $) 144 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 142)) (-2483 (($ $) 141)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) |#2| $) 75 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 108 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 105 (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) 194 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542)))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 162)) (-4422 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 216) (($ $ $) 215)) (-4456 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 160) (($ (-635 $)) 159) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 128) (($ $ $) 127)) (-3956 (((-852) $) 20 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4065 (((-635 $) $) 114)) (-3773 (((-121) $ $) 122 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-2020 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") |#1| $) 100)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 103 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 187 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1343 (((-121) $ $) 186 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1326 (((-121) $ $) 19 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1349 (((-121) $ $) 188 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1337 (((-121) $ $) 185 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-41 |#1| |#2|) (-1284) (-1093) (-1093)) (T -41)) 
+((-2020 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| -3335 *3) (|:| -3175 *4)))))) 
+(-13 (-1176 |t#1| |t#2|) (-659 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))) (-10 -8 (-15 -2020 ((-3 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|)) "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-278 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-376 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 |#2|) . T) ((-602 (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-606 |#1| |#2|) . T) ((-641 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-659 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-844) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)) ((-1012 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-1093) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))) ((-1137 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-1176 |#1| |#2|) . T) ((-1199) . T) ((-1240 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T)) 
+((-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
+(((-42 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-43 |#2|) (-173)) (T -42)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-43 |#1|) (-1284) (-173)) (T -43)) 
+((-3956 (*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173))))) 
+(-13 (-1049) (-709 |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2009 (((-421 |#1|) |#1|) 38)) (-3139 (((-421 |#1|) |#1|) 27) (((-421 |#1|) |#1| (-635 (-53))) 30)) (-3916 (((-121) |#1|) 54))) 
+(((-44 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2009 ((-421 |#1|) |#1|)) (-15 -3916 ((-121) |#1|))) (-1228 (-53))) (T -44)) 
+((-3916 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-2009 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53)))))) 
+(-10 -7 (-15 -3139 ((-421 |#1|) |#1| (-635 (-53)))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2009 ((-421 |#1|) |#1|)) (-15 -3916 ((-121) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-2915 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) NIL) (((-681 (-410 |#2|))) NIL)) (-3588 (((-410 |#2|) $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) NIL (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) NIL)) (-4017 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) NIL) (($ (-1253 (-410 |#2|))) 57) (($ (-1253 |#2|) |#2|) 124)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) NIL) (((-681 (-410 |#2|)) (-681 $)) NIL)) (-3728 (((-1253 $) (-1253 $)) NIL)) (-2793 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3768 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) NIL)) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) NIL)) (-2521 (((-121) |#1|) NIL) (((-121) |#2|) NIL)) (-1626 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-2540 (($ $) NIL)) (-1456 (($) NIL (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) NIL (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) NIL (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) NIL)) (-1853 (((-765)) NIL)) (-2749 (((-1253 $) (-1253 $)) 100)) (-3046 (((-410 |#2|) $) NIL)) (-1694 (((-635 (-955 |#1|)) (-1165)) NIL (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) NIL (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) NIL)) (-1415 (((-1258) (-765)) 78)) (-3561 (((-681 (-410 |#2|))) 51)) (-2715 (((-681 (-410 |#2|))) 44)) (-3243 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 125)) (-3145 (((-681 (-410 |#2|))) 45)) (-2949 (((-681 (-410 |#2|))) 43)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 122)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 63)) (-1365 (((-1253 $)) 42)) (-1629 (((-1253 $)) 41)) (-2722 (((-121) $) NIL)) (-3759 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1423 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) NIL)) (-1912 (((-1111) $) NIL)) (-2196 (((-765)) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) NIL (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) NIL)) (-4374 (((-3 |#2| "failed")) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) NIL) (((-410 |#2|)) 39)) (-3600 (((-765) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 118) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 50)) (-3563 (($) NIL (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 |#2|)) $) 58) (((-681 (-410 |#2|)) (-1253 $)) 101)) (-4035 (((-1253 (-410 |#2|)) $) NIL) (($ (-1253 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2277 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) NIL)) (-2320 (((-765)) NIL)) (-4197 (((-121)) 37)) (-3834 (((-121) |#1|) 49) (((-121) |#2|) 130)) (-4079 (((-1253 $)) 91)) (-2909 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3268 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-2407 (($) 16 T CONST)) (-3297 (($) 26 T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
+(((-45 |#1| |#2| |#3| |#4|) (-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -1415 ((-1258) (-765))))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) |#3|) (T -45)) 
+((-1415 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *2 (-1258)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1228 (-410 *5))) (-14 *7 *6)))) 
+(-13 (-341 |#1| |#2| |#3|) (-10 -7 (-15 -1415 ((-1258) (-765))))) 
+((-3201 ((|#2| |#2|) 47)) (-2374 ((|#2| |#2|) 116 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-3019 ((|#2| |#2|) 85 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-1787 ((|#2| |#2|) 86 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-1795 ((|#2| (-123) |#2| (-765)) 73 (-12 (|has| |#2| (-433 |#1|)) (|has| |#1| (-454)) (|has| |#1| (-844)) (|has| |#1| (-1039 (-569)))))) (-4419 (((-1161 |#2|) |#2|) 44)) (-2000 ((|#2| |#2| (-635 (-608 |#2|))) 17) ((|#2| |#2| (-635 |#2|)) 19) ((|#2| |#2| |#2|) 20) ((|#2| |#2|) 15))) 
+(((-46 |#1| |#2|) (-10 -7 (-15 -3201 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2000 (|#2| |#2| |#2|)) (-15 -2000 (|#2| |#2| (-635 |#2|))) (-15 -2000 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -4419 ((-1161 |#2|) |#2|)) (IF (|has| |#1| (-844)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1039 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -1787 (|#2| |#2|)) (-15 -3019 (|#2| |#2|)) (-15 -2374 (|#2| |#2|)) (-15 -1795 (|#2| (-123) |#2| (-765)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-559) (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 |#1| (-608 $)) $)) (-15 -3524 ((-1116 |#1| (-608 $)) $)) (-15 -3956 ($ (-1116 |#1| (-608 $))))))) (T -46)) 
+((-1795 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-765)) (-4 *5 (-454)) (-4 *5 (-844)) (-4 *5 (-1039 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *5 (-608 $)) $)) (-15 -3524 ((-1116 *5 (-608 $)) $)) (-15 -3956 ($ (-1116 *5 (-608 $))))))))) (-2374 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-3019 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-1787 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-4419 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1161 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))))) (-2000 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-2000 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) (-2000 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-2000 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) (-3201 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
+(-10 -7 (-15 -3201 (|#2| |#2|)) (-15 -2000 (|#2| |#2|)) (-15 -2000 (|#2| |#2| |#2|)) (-15 -2000 (|#2| |#2| (-635 |#2|))) (-15 -2000 (|#2| |#2| (-635 (-608 |#2|)))) (-15 -4419 ((-1161 |#2|) |#2|)) (IF (|has| |#1| (-844)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-1039 (-569))) (IF (|has| |#2| (-433 |#1|)) (PROGN (-15 -1787 (|#2| |#2|)) (-15 -3019 (|#2| |#2|)) (-15 -2374 (|#2| |#2|)) (-15 -1795 (|#2| (-123) |#2| (-765)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-3139 (((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))) 22) (((-421 |#3|) |#3| (-635 (-53))) 18))) 
+(((-47 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -3139 ((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))))) (-844) (-790) (-952 (-53) |#2| |#1|)) (T -47)) 
+((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *7 (-952 (-53) *6 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-952 (-53) *6 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#3|) |#3| (-635 (-53)))) (-15 -3139 ((-421 (-1161 |#3|)) (-1161 |#3|) (-635 (-53))))) 
+((-1827 (((-765) |#2|) 65)) (-1760 (((-765) |#2|) 68)) (-3056 (((-635 |#2|)) 33)) (-3881 (((-765) |#2|) 67)) (-3347 (((-765) |#2|) 64)) (-4276 (((-765) |#2|) 66)) (-1875 (((-635 (-681 |#1|))) 60)) (-1881 (((-635 |#2|)) 55)) (-2293 (((-635 |#2|) |#2|) 43)) (-2188 (((-635 |#2|)) 57)) (-3767 (((-635 |#2|)) 56)) (-2428 (((-635 (-681 |#1|))) 48)) (-3858 (((-635 |#2|)) 54)) (-2193 (((-635 |#2|) |#2|) 42)) (-2410 (((-635 |#2|)) 50)) (-3771 (((-635 (-681 |#1|))) 61)) (-3111 (((-635 |#2|)) 59)) (-4079 (((-1253 |#2|) (-1253 |#2|)) 83 (|has| |#1| (-302))))) 
+(((-48 |#1| |#2|) (-10 -7 (-15 -3881 ((-765) |#2|)) (-15 -1760 ((-765) |#2|)) (-15 -3347 ((-765) |#2|)) (-15 -1827 ((-765) |#2|)) (-15 -4276 ((-765) |#2|)) (-15 -2410 ((-635 |#2|))) (-15 -2193 ((-635 |#2|) |#2|)) (-15 -2293 ((-635 |#2|) |#2|)) (-15 -3858 ((-635 |#2|))) (-15 -1881 ((-635 |#2|))) (-15 -3767 ((-635 |#2|))) (-15 -2188 ((-635 |#2|))) (-15 -3111 ((-635 |#2|))) (-15 -2428 ((-635 (-681 |#1|)))) (-15 -1875 ((-635 (-681 |#1|)))) (-15 -3771 ((-635 (-681 |#1|)))) (-15 -3056 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -4079 ((-1253 |#2|) (-1253 |#2|))) |noBranch|)) (-559) (-420 |#1|)) (T -48)) 
+((-4079 (*1 *2 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) (-3056 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3771 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1875 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2428 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3111 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2188 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3767 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-1881 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-3858 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-2293 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2193 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-2410 (*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3)))) (-4276 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1827 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3347 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-1760 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4)))) (-3881 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(-10 -7 (-15 -3881 ((-765) |#2|)) (-15 -1760 ((-765) |#2|)) (-15 -3347 ((-765) |#2|)) (-15 -1827 ((-765) |#2|)) (-15 -4276 ((-765) |#2|)) (-15 -2410 ((-635 |#2|))) (-15 -2193 ((-635 |#2|) |#2|)) (-15 -2293 ((-635 |#2|) |#2|)) (-15 -3858 ((-635 |#2|))) (-15 -1881 ((-635 |#2|))) (-15 -3767 ((-635 |#2|))) (-15 -2188 ((-635 |#2|))) (-15 -3111 ((-635 |#2|))) (-15 -2428 ((-635 (-681 |#1|)))) (-15 -1875 ((-635 (-681 |#1|)))) (-15 -3771 ((-635 (-681 |#1|)))) (-15 -3056 ((-635 |#2|))) (IF (|has| |#1| (-302)) (-15 -4079 ((-1253 |#2|) (-1253 |#2|))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) NIL) (((-1253 (-681 |#1|))) 24)) (-1552 (((-1253 $)) 50)) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-1478 ((|#1| $) NIL)) (-4471 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-1965 (((-1161 (-955 |#1|))) NIL (|has| |#1| (-366)))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL)) (-2212 (((-1161 |#1|) $) NIL (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-3168 (((-1161 |#1|) $) NIL)) (-3073 (((-121)) 86)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) NIL)) (-2611 (((-3 $ "failed") $) 14 (|has| |#1| (-559)))) (-3358 (((-919)) 51)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) 88)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) NIL (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-2858 ((|#1| $) NIL)) (-4432 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| |#1| (-559)))) (-3348 (((-1161 (-955 |#1|))) NIL (|has| |#1| (-366)))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL)) (-1650 (((-1161 |#1|) $) NIL (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-4215 (((-1161 |#1|) $) NIL)) (-2431 (((-121)) 85)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) 92)) (-4161 (((-121)) 91)) (-3983 (((-121)) 93)) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) 87)) (-2503 ((|#1| $ (-569)) 53)) (-3672 (((-1253 |#1|) $ (-1253 $)) 47) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) 28) (((-681 |#1|) (-1253 $)) NIL)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) NIL) (((-635 (-955 |#1|))) NIL)) (-2689 (($ $ $) NIL)) (-2984 (((-121)) 83)) (-3956 (((-852) $) 68) (($ (-1253 |#1|)) 22)) (-4079 (((-1253 $)) 44)) (-2628 (((-635 (-1253 |#1|))) NIL (|has| |#1| (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) 81)) (-1772 (($ (-681 |#1|) $) 18)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) 84)) (-3952 (((-121)) 82)) (-1606 (((-121)) 80)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 75) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-1130 |#2| |#1|) $) 19))) 
+(((-49 |#1| |#2| |#3| |#4|) (-13 (-420 |#1|) (-638 (-1130 |#2| |#1|)) (-10 -8 (-15 -3956 ($ (-1253 |#1|))))) (-366) (-919) (-635 (-1165)) (-1253 (-681 |#1|))) (T -49)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165)))))) 
+(-13 (-420 |#1|) (-638 (-1130 |#2| |#1|)) (-10 -8 (-15 -3956 ($ (-1253 |#1|))))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2756 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1823 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2394 (($ $) NIL)) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572))) (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-121) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1744 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844))))) (-2930 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-4548 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 27 (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 29 (|has| $ (-6 -4572)))) (-2511 ((|#2| $ |#1| |#2|) 45) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-1219 (-569)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value" (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-4024 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1809 (((-3 |#2| "failed") |#1| $) 37)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $ (-765)) NIL) (($ $) 24)) (-2938 (($ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 46) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) (((-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 18 (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 18 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844))) (((-569) $) 32 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4002 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2102 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844))) (((-569) $) 34 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ $) NIL) (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-1832 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) 41 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-3302 (($ $ (-765)) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-1316 (((-635 |#1|) $) 20)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2583 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 |#1|) $) NIL) (((-635 (-569)) $) NIL)) (-3292 (((-121) |#1| $) NIL) (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844))) (($ $ (-765)) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 23)) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4283 (((-635 |#2|) $) NIL) (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 17)) (-1668 (((-121) $) 16)) (-4016 (($) 13)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "first") NIL) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1353 (($) 12) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1313 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-4422 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (($ $ $) NIL)) (-4456 (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 25) (($ $ $) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2020 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") |#1| $) 43)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1349 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-844)))) (-2946 (((-765) $) 22 (|has| $ (-6 -4571))))) 
+(((-50 |#1| |#2|) (-41 |#1| |#2|) (-1093) (-1093)) (T -50)) 
 NIL 
 (-41 |#1| |#2|) 
-((-3523 (((-121) $) 12)) (-1544 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-410 (-569)) $) 24) (($ $ (-410 (-569))) NIL))) 
-(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3523 ((-121) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-52 |#2| |#3|) (-1048) (-788)) (T -51)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3523 ((-121) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-52 |#1| |#2|) (-1278) (-1048) (-788)) (T -52)) 
-((-4012 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-1804 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) (-1763 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-366))))) 
-(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (-15 -4012 (|t#1| $)) (-15 -1804 ($ $)) (-15 -2492 (|t#2| $)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -3523 ((-121) $)) (-15 -1763 ($ |t#1| |t#2|)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-6 (-173)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-559)) (-6 (-559)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-6 (-43 (-410 (-569)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-2493 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-3813 (((-121) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-4003 (((-635 (-608 $)) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2663 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-3550 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-410 (-569)))) (|:| |vec| (-1247 (-410 (-569))))) (-680 $) (-1247 $)) NIL) (((-680 (-410 (-569))) (-680 $)) NIL)) (-1774 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) 14)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4116 (((-1114 (-569) (-608 $)) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (((-1159 $) (-1159 $) (-608 $)) NIL) (((-1159 $) (-1159 $) (-635 (-608 $))) NIL) (($ $ (-608 $)) NIL) (($ $ (-635 (-608 $))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2622 (((-764) $) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4121 (((-1114 (-569) (-608 $)) $) NIL)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-170 (-382)) $) NIL)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1114 (-569) (-608 $))) NIL)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 7 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 16)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $ $) 15) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-53) (-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $))))))) (T -53)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-4116 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-4121 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-1774 (*1 *1 *1) (-5 *1 (-53))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53))))) 
-(-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $)))))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) NIL))) 
-(((-54) (-1091)) (T -54)) 
-NIL 
-(-1091) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 60)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3633 (((-121) $) 20)) (-1647 (((-3 |#1| "failed") $) 23)) (-2428 ((|#1| $) 24)) (-4020 (($ $) 27)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4012 ((|#1| $) 21)) (-2528 (($ $) 49)) (-2776 (((-1145) $) NIL)) (-2910 (((-121) $) 28)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) 47)) (-2436 (($ (-635 (-569))) 48)) (-2492 (((-764) $) 29)) (-2185 (((-851) $) 63) (($ (-569)) 44) (($ |#1|) 42)) (-1653 ((|#1| $ $) 19)) (-1991 (((-764)) 46)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
-(((-55 |#1| |#2|) (-13 (-613 |#1|) (-1038 |#1|) (-10 -8 (-15 -4012 (|#1| $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 (|#1| $ $)) (-15 -1809 ($ (-764))) (-15 -2436 ($ (-635 (-569)))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-764) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)))) (-1048) (-635 (-1163))) (T -55)) 
-((-4012 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) (-2528 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) (-1653 (*1 *2 *1 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2436 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2910 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1163)))))) 
-(-13 (-613 |#1|) (-1038 |#1|) (-10 -8 (-15 -4012 (|#1| $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 (|#1| $ $)) (-15 -1809 ($ (-764))) (-15 -2436 ($ (-635 (-569)))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-764) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)))) 
-((-3633 (((-121) (-57)) 13)) (-1647 (((-3 |#1| "failed") (-57)) 21)) (-2428 ((|#1| (-57)) 22)) (-2185 (((-57) |#1|) 18))) 
-(((-56 |#1|) (-10 -7 (-15 -2185 ((-57) |#1|)) (-15 -1647 ((-3 |#1| "failed") (-57))) (-15 -3633 ((-121) (-57))) (-15 -2428 (|#1| (-57)))) (-1197)) (T -56)) 
-((-2428 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) (-3633 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1197)))) (-1647 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1197))))) 
-(-10 -7 (-15 -2185 ((-57) |#1|)) (-15 -1647 ((-3 |#1| "failed") (-57))) (-15 -3633 ((-121) (-57))) (-15 -2428 (|#1| (-57)))) 
-((-2568 (((-121) $ $) NIL)) (-3802 (((-1145) (-121)) 25)) (-4457 (((-851) $) 24)) (-1307 (((-767) $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2781 (((-851) $) 16)) (-4420 (((-1095) $) 14)) (-2185 (((-851) $) 32)) (-1794 (($ (-1095) (-767)) 33)) (-1668 (((-121) $ $) 18))) 
-(((-57) (-13 (-1091) (-10 -8 (-15 -1794 ($ (-1095) (-767))) (-15 -2781 ((-851) $)) (-15 -4457 ((-851) $)) (-15 -4420 ((-1095) $)) (-15 -1307 ((-767) $)) (-15 -3802 ((-1145) (-121)))))) (T -57)) 
-((-1794 (*1 *1 *2 *3) (-12 (-5 *2 (-1095)) (-5 *3 (-767)) (-5 *1 (-57)))) (-2781 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57)))) (-4457 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57)))) (-4420 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-57)))) (-1307 (*1 *2 *1) (-12 (-5 *2 (-767)) (-5 *1 (-57)))) (-3802 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1145)) (-5 *1 (-57))))) 
-(-13 (-1091) (-10 -8 (-15 -1794 ($ (-1095) (-767))) (-15 -2781 ((-851) $)) (-15 -4457 ((-851) $)) (-15 -4420 ((-1095) $)) (-15 -1307 ((-767) $)) (-15 -3802 ((-1145) (-121))))) 
-((-4246 (((-1252)) 19)) (-3427 (((-1093 (-1163)) (-1163)) 15)) (-4295 (((-1252)) 18))) 
-(((-58) (-10 -7 (-15 -3427 ((-1093 (-1163)) (-1163))) (-15 -4295 ((-1252))) (-15 -4246 ((-1252))))) (T -58)) 
-((-4246 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58)))) (-4295 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58)))) (-3427 (*1 *2 *3) (-12 (-5 *2 (-1093 (-1163))) (-5 *1 (-58)) (-5 *3 (-1163))))) 
-(-10 -7 (-15 -3427 ((-1093 (-1163)) (-1163))) (-15 -4295 ((-1252))) (-15 -4246 ((-1252)))) 
-((-1943 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
-(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -1943 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1048) (-638 |#1|) (-845 |#1|)) (T -59)) 
-((-1943 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1048)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-845 *5))))) 
-(-10 -7 (-15 -1943 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
-((-1950 ((|#3| |#3| (-635 (-1163))) 35)) (-4229 ((|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918)) 22) ((|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|) 20))) 
-(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|)) (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918))) (-15 -1950 (|#3| |#3| (-635 (-1163))))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -60)) 
-((-1950 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-4229 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1070 *5 *6 *2))) (-5 *4 (-918)) (-4 *5 (-1091)) (-4 *6 (-13 (-1048) (-882 *5) (-843) (-610 (-888 *5)))) (-4 *2 (-13 (-433 *6) (-882 *5) (-610 (-888 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-4229 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1070 *4 *5 *2))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
-(-10 -7 (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3|)) (-15 -4229 (|#3| (-635 (-1070 |#1| |#2| |#3|)) |#3| (-918))) (-15 -1950 (|#3| |#3| (-635 (-1163))))) 
-((-1691 (((-121) $ (-764)) 23)) (-2451 (($ $ (-569) |#3|) 45)) (-3443 (($ $ (-569) |#4|) 49)) (-1765 ((|#3| $ (-569)) 58)) (-3470 (((-635 |#2|) $) 30)) (-1974 (((-121) $ (-764)) 25)) (-3660 (((-121) |#2| $) 53)) (-1853 (($ (-1 |#2| |#2|) $) 37)) (-1544 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-2006 (((-121) $ (-764)) 24)) (-3174 (($ $ |#2|) 34)) (-4177 (((-121) (-1 (-121) |#2|) $) 19)) (-1534 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) 27)) (-2846 (((-764) (-1 (-121) |#2|) $) 28) (((-764) |#2| $) 55)) (-1971 (($ $) 33)) (-3419 ((|#4| $ (-569)) 61)) (-2185 (((-851) $) 66)) (-2066 (((-121) (-1 (-121) |#2|) $) 18)) (-1668 (((-121) $ $) 52)) (-4168 (((-764) $) 26))) 
-(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3443 (|#1| |#1| (-569) |#4|)) (-15 -2451 (|#1| |#1| (-569) |#3|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -3419 (|#4| |#1| (-569))) (-15 -1765 (|#3| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1971 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1197) (-376 |#2|) (-376 |#2|)) (T -61)) 
-NIL 
-(-10 -8 (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3443 (|#1| |#1| (-569) |#4|)) (-15 -2451 (|#1| |#1| (-569) |#3|)) (-15 -3470 ((-635 |#2|) |#1|)) (-15 -3419 (|#4| |#1| (-569))) (-15 -1765 (|#3| |#1| (-569))) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764))) (-15 -1971 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) (-569) |#1|) 41)) (-2451 (($ $ (-569) |#2|) 39)) (-3443 (($ $ (-569) |#3|) 38)) (-2820 (($) 7 T CONST)) (-1765 ((|#2| $ (-569)) 43)) (-2726 ((|#1| $ (-569) (-569) |#1|) 40)) (-1618 ((|#1| $ (-569) (-569)) 45)) (-3470 (((-635 |#1|) $) 30)) (-1810 (((-764) $) 48)) (-2659 (($ (-764) (-764) |#1|) 54)) (-2806 (((-764) $) 47)) (-1974 (((-121) $ (-764)) 9)) (-3992 (((-569) $) 52)) (-3127 (((-569) $) 50)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 51)) (-1581 (((-569) $) 49)) (-1853 (($ (-1 |#1| |#1|) $) 34)) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) 53)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3419 ((|#3| $ (-569)) 42)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-62 |#1| |#2| |#3|) (-1278) (-1197) (-376 |t#1|) (-376 |t#1|)) (T -62)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2659 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1197)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3174 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1197)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3992 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1866 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3127 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1581 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-1810 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) (-2806 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) (-1618 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-1765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-3419 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-3470 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) (-4469 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-2726 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-2451 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1197)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4)))) (-3443 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1544 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(-13 (-500 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -2659 ($ (-764) (-764) |t#1|)) (-15 -3174 ($ $ |t#1|)) (-15 -3992 ((-569) $)) (-15 -1866 ((-569) $)) (-15 -3127 ((-569) $)) (-15 -1581 ((-569) $)) (-15 -1810 ((-764) $)) (-15 -2806 ((-764) $)) (-15 -1534 (|t#1| $ (-569) (-569))) (-15 -1618 (|t#1| $ (-569) (-569))) (-15 -1534 (|t#1| $ (-569) (-569) |t#1|)) (-15 -1765 (|t#2| $ (-569))) (-15 -3419 (|t#3| $ (-569))) (-15 -3470 ((-635 |t#1|) $)) (-15 -4469 (|t#1| $ (-569) (-569) |t#1|)) (-15 -2726 (|t#1| $ (-569) (-569) |t#1|)) (-15 -2451 ($ $ (-569) |t#2|)) (-15 -3443 ($ $ (-569) |t#3|)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -1853 ($ (-1 |t#1| |t#1|) $)) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-3043 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-1544 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
-(((-63 |#1| |#2|) (-10 -7 (-15 -3043 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1544 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1197) (-1197)) (T -63)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-63 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
-(-10 -7 (-15 -3043 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -1544 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1885 (($ (-635 |#1|)) 13) (($ (-764) |#1|) 14)) (-2659 (($ (-764) |#1|) 9)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 7)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -1885 ($ (-635 |#1|))) (-15 -1885 ($ (-764) |#1|)))) (-1197)) (T -64)) 
-((-1885 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-64 *3)))) (-1885 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-64 *3)) (-4 *3 (-1197))))) 
-(-13 (-19 |#1|) (-10 -8 (-15 -1885 ($ (-635 |#1|))) (-15 -1885 ($ (-764) |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL)) (-2451 (($ $ (-569) (-64 |#1|)) NIL)) (-3443 (($ $ (-569) (-64 |#1|)) NIL)) (-2820 (($) NIL T CONST)) (-1765 (((-64 |#1|) $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 (((-64 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4536))) (-1197)) (T -65)) 
-NIL 
-(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4536))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 69) (((-3 $ "failed") (-1247 (-311 (-569)))) 58) (((-3 $ "failed") (-1247 (-954 (-382)))) 91) (((-3 $ "failed") (-1247 (-954 (-569)))) 80) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 47) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 36)) (-2428 (($ (-1247 (-311 (-382)))) 65) (($ (-1247 (-311 (-569)))) 54) (($ (-1247 (-954 (-382)))) 87) (($ (-1247 (-954 (-569)))) 76) (($ (-1247 (-410 (-954 (-382))))) 43) (($ (-1247 (-410 (-954 (-569))))) 29)) (-3836 (((-1252) $) 118)) (-2185 (((-851) $) 111) (($ (-635 (-329))) 100) (($ (-329)) 94) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 97) (($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) 28))) 
-(((-66 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689))))))) (-1163)) (T -66)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-66 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689))))))) 
-((-3836 (((-1252) $) 48) (((-1252)) 49)) (-2185 (((-851) $) 45))) 
-(((-67 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -67)) 
-((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-67 *3)) (-14 *3 (-1163))))) 
-(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 142) (((-3 $ "failed") (-1247 (-311 (-569)))) 132) (((-3 $ "failed") (-1247 (-954 (-382)))) 163) (((-3 $ "failed") (-1247 (-954 (-569)))) 152) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 121) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 110)) (-2428 (($ (-1247 (-311 (-382)))) 138) (($ (-1247 (-311 (-569)))) 128) (($ (-1247 (-954 (-382)))) 159) (($ (-1247 (-954 (-569)))) 148) (($ (-1247 (-410 (-954 (-382))))) 117) (($ (-1247 (-410 (-954 (-569))))) 103)) (-3836 (((-1252) $) 96)) (-2185 (((-851) $) 90) (($ (-635 (-329))) 28) (($ (-329)) 34) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 31) (($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) 88))) 
-(((-68 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) (-1163)) (T -68)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-68 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 36) (((-3 $ "failed") (-311 (-569))) 41) (((-3 $ "failed") (-954 (-382))) 46) (((-3 $ "failed") (-954 (-569))) 51) (((-3 $ "failed") (-410 (-954 (-382)))) 31) (((-3 $ "failed") (-410 (-954 (-569)))) 26)) (-2428 (($ (-311 (-382))) 34) (($ (-311 (-569))) 39) (($ (-954 (-382))) 44) (($ (-954 (-569))) 49) (($ (-410 (-954 (-382)))) 29) (($ (-410 (-954 (-569)))) 23)) (-3836 (((-1252) $) 73)) (-2185 (((-851) $) 66) (($ (-635 (-329))) 57) (($ (-329)) 63) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 60) (($ (-338 (-2139 (QUOTE X)) (-2139) (-689))) 22))) 
-(((-69 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139) (-689)))))) (-1163)) (T -69)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139) (-689))) (-5 *1 (-69 *3)) (-14 *3 (-1163))))) 
-(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139) (-689)))))) 
-((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 100) (((-3 $ "failed") (-680 (-311 (-569)))) 89) (((-3 $ "failed") (-680 (-954 (-382)))) 122) (((-3 $ "failed") (-680 (-954 (-569)))) 111) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 78) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 67)) (-2428 (($ (-680 (-311 (-382)))) 96) (($ (-680 (-311 (-569)))) 85) (($ (-680 (-954 (-382)))) 118) (($ (-680 (-954 (-569)))) 107) (($ (-680 (-410 (-954 (-382))))) 74) (($ (-680 (-410 (-954 (-569))))) 60)) (-3836 (((-1252) $) 130)) (-2185 (((-851) $) 124) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 30) (($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) 53))) 
-(((-70 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689))))))) (-1163)) (T -70)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) (-5 *1 (-70 *3)) (-14 *3 (-1163))))) 
-(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 54) (((-3 $ "failed") (-311 (-569))) 59) (((-3 $ "failed") (-954 (-382))) 64) (((-3 $ "failed") (-954 (-569))) 69) (((-3 $ "failed") (-410 (-954 (-382)))) 49) (((-3 $ "failed") (-410 (-954 (-569)))) 44)) (-2428 (($ (-311 (-382))) 52) (($ (-311 (-569))) 57) (($ (-954 (-382))) 62) (($ (-954 (-569))) 67) (($ (-410 (-954 (-382)))) 47) (($ (-410 (-954 (-569)))) 41)) (-3836 (((-1252) $) 78)) (-2185 (((-851) $) 72) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 30) (($ (-338 (-2139) (-2139 (QUOTE XC)) (-689))) 38))) 
-(((-71 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE XC)) (-689)))))) (-1163)) (T -71)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE XC)) (-689))) (-5 *1 (-71 *3)) (-14 *3 (-1163))))) 
-(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE XC)) (-689)))))) 
-((-3836 (((-1252) $) 63)) (-2185 (((-851) $) 57) (($ (-680 (-689))) 49) (($ (-635 (-329))) 48) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 53))) 
-(((-72 |#1|) (-386) (-1163)) (T -72)) 
+((-3052 (((-121) $) 12)) (-4188 (($ (-1 |#2| |#2|) $) 21)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ (-410 (-569)) $) 24) (($ $ (-410 (-569))) NIL))) 
+(((-51 |#1| |#2| |#3|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3052 ((-121) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-52 |#2| |#3|) (-1049) (-789)) (T -51)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3052 ((-121) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-52 |#1| |#2|) (-1284) (-1049) (-789)) (T -52)) 
+((-3270 (*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-3263 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) (-3179 (*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-366))))) 
+(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (-15 -3270 (|t#1| $)) (-15 -3263 ($ $)) (-15 -2284 (|t#2| $)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3052 ((-121) $)) (-15 -3179 ($ |t#1| |t#2|)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ |t#2|)) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-6 (-173)) (-6 (-43 |t#1|))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-559)) (-6 (-559)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-6 (-43 (-410 (-569)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2309 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-2225 (((-121) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4320 (((-635 (-608 $)) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1645 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2306 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-410 (-569)))) (|:| |vec| (-1253 (-410 (-569))))) (-681 $) (-1253 $)) NIL) (((-681 (-410 (-569))) (-681 $)) NIL)) (-2793 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) 14)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3515 (((-1116 (-569) (-608 $)) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (((-1161 $) (-1161 $) (-608 $)) NIL) (((-1161 $) (-1161 $) (-635 (-608 $))) NIL) (($ $ (-608 $)) NIL) (($ $ (-635 (-608 $))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2061 (((-765) $) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3524 (((-1116 (-569) (-608 $)) $) NIL)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-170 (-382)) $) NIL)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1116 (-569) (-608 $))) NIL)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 7 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 16)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $ $) 15) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-53) (-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $))))))) (T -53)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-3524 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) (-2793 (*1 *1 *1) (-5 *1 (-53))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53))))) 
+(-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $)))))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) NIL))) 
+(((-54) (-1093)) (T -54)) 
+NIL 
+(-1093) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 60)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3713 (((-121) $) 20)) (-3003 (((-3 |#1| "failed") $) 23)) (-1321 ((|#1| $) 24)) (-3373 (($ $) 27)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3270 ((|#1| $) 21)) (-1824 (($ $) 49)) (-2605 (((-1147) $) NIL)) (-2491 (((-121) $) 28)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) 47)) (-3408 (($ (-635 (-569))) 48)) (-2284 (((-765) $) 29)) (-3956 (((-852) $) 63) (($ (-569)) 44) (($ |#1|) 42)) (-3802 ((|#1| $ $) 19)) (-2320 (((-765)) 46)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 41) (($ |#1| $) 35))) 
+(((-55 |#1| |#2|) (-13 (-613 |#1|) (-1039 |#1|) (-10 -8 (-15 -3270 (|#1| $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 (|#1| $ $)) (-15 -1986 ($ (-765))) (-15 -3408 ($ (-635 (-569)))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-765) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)))) (-1049) (-635 (-1165))) (T -55)) 
+((-3270 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) (-1824 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) (-3802 (*1 *2 *1 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-3408 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-2491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1165)))))) 
+(-13 (-613 |#1|) (-1039 |#1|) (-10 -8 (-15 -3270 (|#1| $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 (|#1| $ $)) (-15 -1986 ($ (-765))) (-15 -3408 ($ (-635 (-569)))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-765) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)))) 
+((-3713 (((-121) (-57)) 13)) (-3003 (((-3 |#1| "failed") (-57)) 21)) (-1321 ((|#1| (-57)) 22)) (-3956 (((-57) |#1|) 18))) 
+(((-56 |#1|) (-10 -7 (-15 -3956 ((-57) |#1|)) (-15 -3003 ((-3 |#1| "failed") (-57))) (-15 -3713 ((-121) (-57))) (-15 -1321 (|#1| (-57)))) (-1199)) (T -56)) 
+((-1321 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) (-3713 (*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1199)))) (-3003 (*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1199))))) 
+(-10 -7 (-15 -3956 ((-57) |#1|)) (-15 -3003 ((-3 |#1| "failed") (-57))) (-15 -3713 ((-121) (-57))) (-15 -1321 (|#1| (-57)))) 
+((-1310 (((-121) $ $) NIL)) (-3081 (((-1147) (-121)) 25)) (-2333 (((-852) $) 24)) (-3017 (((-768) $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1414 (((-852) $) 16)) (-2296 (((-1097) $) 14)) (-3956 (((-852) $) 32)) (-2559 (($ (-1097) (-768)) 33)) (-1326 (((-121) $ $) 18))) 
+(((-57) (-13 (-1093) (-10 -8 (-15 -2559 ($ (-1097) (-768))) (-15 -1414 ((-852) $)) (-15 -2333 ((-852) $)) (-15 -2296 ((-1097) $)) (-15 -3017 ((-768) $)) (-15 -3081 ((-1147) (-121)))))) (T -57)) 
+((-2559 (*1 *1 *2 *3) (-12 (-5 *2 (-1097)) (-5 *3 (-768)) (-5 *1 (-57)))) (-1414 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57)))) (-2333 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57)))) (-2296 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-57)))) (-3017 (*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-57)))) (-3081 (*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1147)) (-5 *1 (-57))))) 
+(-13 (-1093) (-10 -8 (-15 -2559 ($ (-1097) (-768))) (-15 -1414 ((-852) $)) (-15 -2333 ((-852) $)) (-15 -2296 ((-1097) $)) (-15 -3017 ((-768) $)) (-15 -3081 ((-1147) (-121))))) 
+((-3234 (((-1258)) 20)) (-2561 (((-1095 (-1165)) (-1165)) 15)) (-3726 (((-1095 (-1165)) (-1165)) 16)) (-3304 (((-1258)) 19))) 
+(((-58) (-10 -7 (-15 -2561 ((-1095 (-1165)) (-1165))) (-15 -3726 ((-1095 (-1165)) (-1165))) (-15 -3304 ((-1258))) (-15 -3234 ((-1258))))) (T -58)) 
+((-3234 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58)))) (-3304 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58)))) (-3726 (*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165)))) (-2561 (*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
+(-10 -7 (-15 -2561 ((-1095 (-1165)) (-1165))) (-15 -3726 ((-1095 (-1165)) (-1165))) (-15 -3304 ((-1258))) (-15 -3234 ((-1258)))) 
+((-1772 ((|#2| |#3| (-1 |#2| |#2|) |#2|) 16))) 
+(((-59 |#1| |#2| |#3|) (-10 -7 (-15 -1772 (|#2| |#3| (-1 |#2| |#2|) |#2|))) (-1049) (-638 |#1|) (-846 |#1|)) (T -59)) 
+((-1772 (*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1049)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-846 *5))))) 
+(-10 -7 (-15 -1772 (|#2| |#3| (-1 |#2| |#2|) |#2|))) 
+((-3857 ((|#3| |#3| (-635 (-1165))) 35)) (-1663 ((|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919)) 22) ((|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|) 20))) 
+(((-60 |#1| |#2| |#3|) (-10 -7 (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|)) (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919))) (-15 -3857 (|#3| |#3| (-635 (-1165))))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -60)) 
+((-3857 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-1663 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1071 *5 *6 *2))) (-5 *4 (-919)) (-4 *5 (-1093)) (-4 *6 (-13 (-1049) (-883 *5) (-844) (-610 (-889 *5)))) (-4 *2 (-13 (-433 *6) (-883 *5) (-610 (-889 *5)))) (-5 *1 (-60 *5 *6 *2)))) (-1663 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1071 *4 *5 *2))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2))))) 
+(-10 -7 (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3|)) (-15 -1663 (|#3| (-635 (-1071 |#1| |#2| |#3|)) |#3| (-919))) (-15 -3857 (|#3| |#3| (-635 (-1165))))) 
+((-3350 (((-121) $ (-765)) 23)) (-3890 (($ $ (-569) |#3|) 45)) (-1622 (($ $ (-569) |#4|) 49)) (-4128 ((|#3| $ (-569)) 58)) (-4303 (((-635 |#2|) $) 30)) (-3206 (((-121) $ (-765)) 25)) (-3016 (((-121) |#2| $) 53)) (-2089 (($ (-1 |#2| |#2|) $) 37)) (-4188 (($ (-1 |#2| |#2|) $) 36) (($ (-1 |#2| |#2| |#2|) $ $) 39) (($ (-1 |#2| |#2| |#2|) $ $ |#2|) 41)) (-1396 (((-121) $ (-765)) 24)) (-2417 (($ $ |#2|) 34)) (-2985 (((-121) (-1 (-121) |#2|) $) 19)) (-2503 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) 27)) (-2691 (((-765) (-1 (-121) |#2|) $) 28) (((-765) |#2| $) 55)) (-1799 (($ $) 33)) (-2349 ((|#4| $ (-569)) 61)) (-3956 (((-852) $) 66)) (-3776 (((-121) (-1 (-121) |#2|) $) 18)) (-1326 (((-121) $ $) 52)) (-2946 (((-765) $) 26))) 
+(((-61 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1622 (|#1| |#1| (-569) |#4|)) (-15 -3890 (|#1| |#1| (-569) |#3|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2349 (|#4| |#1| (-569))) (-15 -4128 (|#3| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1799 (|#1| |#1|))) (-62 |#2| |#3| |#4|) (-1199) (-376 |#2|) (-376 |#2|)) (T -61)) 
+NIL 
+(-10 -8 (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1| |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1622 (|#1| |#1| (-569) |#4|)) (-15 -3890 (|#1| |#1| (-569) |#3|)) (-15 -4303 ((-635 |#2|) |#1|)) (-15 -2349 (|#4| |#1| (-569))) (-15 -4128 (|#3| |#1| (-569))) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765))) (-15 -1799 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) (-569) |#1|) 41)) (-3890 (($ $ (-569) |#2|) 39)) (-1622 (($ $ (-569) |#3|) 38)) (-4483 (($) 7 T CONST)) (-4128 ((|#2| $ (-569)) 43)) (-3982 ((|#1| $ (-569) (-569) |#1|) 40)) (-4124 ((|#1| $ (-569) (-569)) 45)) (-4303 (((-635 |#1|) $) 30)) (-3568 (((-765) $) 48)) (-2446 (($ (-765) (-765) |#1|) 54)) (-4145 (((-765) $) 47)) (-3206 (((-121) $ (-765)) 9)) (-4094 (((-569) $) 52)) (-3841 (((-569) $) 50)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 51)) (-2414 (((-569) $) 49)) (-2089 (($ (-1 |#1| |#1|) $) 34)) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) 53)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-2349 ((|#3| $ (-569)) 42)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-62 |#1| |#2| |#3|) (-1284) (-1199) (-376 |t#1|) (-376 |t#1|)) (T -62)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2446 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1199)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2417 (*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4094 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-2376 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3841 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-2414 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) (-3568 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) (-4145 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) (-4124 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-4128 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-2349 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) (-4303 (*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) (-2511 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-3982 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) (-3890 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4)))) (-1622 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4188 (*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(-13 (-500 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2446 ($ (-765) (-765) |t#1|)) (-15 -2417 ($ $ |t#1|)) (-15 -4094 ((-569) $)) (-15 -2376 ((-569) $)) (-15 -3841 ((-569) $)) (-15 -2414 ((-569) $)) (-15 -3568 ((-765) $)) (-15 -4145 ((-765) $)) (-15 -2503 (|t#1| $ (-569) (-569))) (-15 -4124 (|t#1| $ (-569) (-569))) (-15 -2503 (|t#1| $ (-569) (-569) |t#1|)) (-15 -4128 (|t#2| $ (-569))) (-15 -2349 (|t#3| $ (-569))) (-15 -4303 ((-635 |t#1|) $)) (-15 -2511 (|t#1| $ (-569) (-569) |t#1|)) (-15 -3982 (|t#1| $ (-569) (-569) |t#1|)) (-15 -3890 ($ $ (-569) |t#2|)) (-15 -1622 ($ $ (-569) |t#3|)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -2089 ($ (-1 |t#1| |t#1|) $)) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $ |t#1|)))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-2247 (((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|) 18)) (-4188 (((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)) 13))) 
+(((-63 |#1| |#2|) (-10 -7 (-15 -2247 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -4188 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) (-1199) (-1199)) (T -63)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-63 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5))))) 
+(-10 -7 (-15 -2247 ((-64 |#2|) (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-64 |#1|) |#2|)) (-15 -4188 ((-64 |#2|) (-1 |#2| |#1|) (-64 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-1554 (($ (-635 |#1|)) 13) (($ (-765) |#1|) 14)) (-2446 (($ (-765) |#1|) 9)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 7)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-64 |#1|) (-13 (-19 |#1|) (-10 -8 (-15 -1554 ($ (-635 |#1|))) (-15 -1554 ($ (-765) |#1|)))) (-1199)) (T -64)) 
+((-1554 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-64 *3)))) (-1554 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-64 *3)) (-4 *3 (-1199))))) 
+(-13 (-19 |#1|) (-10 -8 (-15 -1554 ($ (-635 |#1|))) (-15 -1554 ($ (-765) |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL)) (-3890 (($ $ (-569) (-64 |#1|)) NIL)) (-1622 (($ $ (-569) (-64 |#1|)) NIL)) (-4483 (($) NIL T CONST)) (-4128 (((-64 |#1|) $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 (((-64 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-65 |#1|) (-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4572))) (-1199)) (T -65)) 
+NIL 
+(-13 (-62 |#1| (-64 |#1|) (-64 |#1|)) (-10 -7 (-6 -4572))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 69) (((-3 $ "failed") (-1253 (-311 (-569)))) 58) (((-3 $ "failed") (-1253 (-955 (-382)))) 91) (((-3 $ "failed") (-1253 (-955 (-569)))) 80) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 47) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 36)) (-1321 (($ (-1253 (-311 (-382)))) 65) (($ (-1253 (-311 (-569)))) 54) (($ (-1253 (-955 (-382)))) 87) (($ (-1253 (-955 (-569)))) 76) (($ (-1253 (-410 (-955 (-382))))) 43) (($ (-1253 (-410 (-955 (-569))))) 29)) (-3225 (((-1258) $) 118)) (-3956 (((-852) $) 111) (($ (-635 (-329))) 100) (($ (-329)) 94) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 97) (($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) 28))) 
+(((-66 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690))))))) (-1165)) (T -66)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-66 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690))))))) 
+((-3225 (((-1258) $) 48) (((-1258)) 49)) (-3956 (((-852) $) 45))) 
+(((-67 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -67)) 
+((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-67 *3)) (-14 *3 (-1165))))) 
+(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 142) (((-3 $ "failed") (-1253 (-311 (-569)))) 132) (((-3 $ "failed") (-1253 (-955 (-382)))) 163) (((-3 $ "failed") (-1253 (-955 (-569)))) 152) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 121) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 110)) (-1321 (($ (-1253 (-311 (-382)))) 138) (($ (-1253 (-311 (-569)))) 128) (($ (-1253 (-955 (-382)))) 159) (($ (-1253 (-955 (-569)))) 148) (($ (-1253 (-410 (-955 (-382))))) 117) (($ (-1253 (-410 (-955 (-569))))) 103)) (-3225 (((-1258) $) 96)) (-3956 (((-852) $) 90) (($ (-635 (-329))) 28) (($ (-329)) 34) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 31) (($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) 88))) 
+(((-68 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) (-1165)) (T -68)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-68 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 36) (((-3 $ "failed") (-311 (-569))) 41) (((-3 $ "failed") (-955 (-382))) 46) (((-3 $ "failed") (-955 (-569))) 51) (((-3 $ "failed") (-410 (-955 (-382)))) 31) (((-3 $ "failed") (-410 (-955 (-569)))) 26)) (-1321 (($ (-311 (-382))) 34) (($ (-311 (-569))) 39) (($ (-955 (-382))) 44) (($ (-955 (-569))) 49) (($ (-410 (-955 (-382)))) 29) (($ (-410 (-955 (-569)))) 23)) (-3225 (((-1258) $) 73)) (-3956 (((-852) $) 66) (($ (-635 (-329))) 57) (($ (-329)) 63) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 60) (($ (-338 (-3124 (QUOTE X)) (-3124) (-690))) 22))) 
+(((-69 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124) (-690)))))) (-1165)) (T -69)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124) (-690))) (-5 *1 (-69 *3)) (-14 *3 (-1165))))) 
+(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124) (-690)))))) 
+((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 100) (((-3 $ "failed") (-681 (-311 (-569)))) 89) (((-3 $ "failed") (-681 (-955 (-382)))) 122) (((-3 $ "failed") (-681 (-955 (-569)))) 111) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 78) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 67)) (-1321 (($ (-681 (-311 (-382)))) 96) (($ (-681 (-311 (-569)))) 85) (($ (-681 (-955 (-382)))) 118) (($ (-681 (-955 (-569)))) 107) (($ (-681 (-410 (-955 (-382))))) 74) (($ (-681 (-410 (-955 (-569))))) 60)) (-3225 (((-1258) $) 130)) (-3956 (((-852) $) 124) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 30) (($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) 53))) 
+(((-70 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690))))))) (-1165)) (T -70)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) (-5 *1 (-70 *3)) (-14 *3 (-1165))))) 
+(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 54) (((-3 $ "failed") (-311 (-569))) 59) (((-3 $ "failed") (-955 (-382))) 64) (((-3 $ "failed") (-955 (-569))) 69) (((-3 $ "failed") (-410 (-955 (-382)))) 49) (((-3 $ "failed") (-410 (-955 (-569)))) 44)) (-1321 (($ (-311 (-382))) 52) (($ (-311 (-569))) 57) (($ (-955 (-382))) 62) (($ (-955 (-569))) 67) (($ (-410 (-955 (-382)))) 47) (($ (-410 (-955 (-569)))) 41)) (-3225 (((-1258) $) 78)) (-3956 (((-852) $) 72) (($ (-635 (-329))) 27) (($ (-329)) 33) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 30) (($ (-338 (-3124) (-3124 (QUOTE XC)) (-690))) 38))) 
+(((-71 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE XC)) (-690)))))) (-1165)) (T -71)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE XC)) (-690))) (-5 *1 (-71 *3)) (-14 *3 (-1165))))) 
+(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE XC)) (-690)))))) 
+((-3225 (((-1258) $) 63)) (-3956 (((-852) $) 57) (($ (-681 (-690))) 49) (($ (-635 (-329))) 48) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 53))) 
+(((-72 |#1|) (-386) (-1165)) (T -72)) 
 NIL 
 (-386) 
-((-3836 (((-1252) $) 64)) (-2185 (((-851) $) 58) (($ (-680 (-689))) 50) (($ (-635 (-329))) 49) (($ (-329)) 52) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 55))) 
-(((-73 |#1|) (-386) (-1163)) (T -73)) 
+((-3225 (((-1258) $) 64)) (-3956 (((-852) $) 58) (($ (-681 (-690))) 50) (($ (-635 (-329))) 49) (($ (-329)) 52) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 55))) 
+(((-73 |#1|) (-386) (-1165)) (T -73)) 
 NIL 
 (-386) 
-((-3836 (((-1252) $) NIL) (((-1252)) 32)) (-2185 (((-851) $) NIL))) 
-(((-74 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -74)) 
-((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-74 *3)) (-14 *3 (-1163))))) 
-(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
-((-3836 (((-1252) $) 68)) (-2185 (((-851) $) 62) (($ (-680 (-689))) 53) (($ (-635 (-329))) 56) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 52))) 
-(((-75 |#1|) (-386) (-1163)) (T -75)) 
+((-3225 (((-1258) $) NIL) (((-1258)) 32)) (-3956 (((-852) $) NIL))) 
+(((-74 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -74)) 
+((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-74 *3)) (-14 *3 (-1165))))) 
+(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
+((-3225 (((-1258) $) 68)) (-3956 (((-852) $) 62) (($ (-681 (-690))) 53) (($ (-635 (-329))) 56) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 52))) 
+(((-75 |#1|) (-386) (-1165)) (T -75)) 
 NIL 
 (-386) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 98) (((-3 $ "failed") (-1247 (-311 (-569)))) 87) (((-3 $ "failed") (-1247 (-954 (-382)))) 119) (((-3 $ "failed") (-1247 (-954 (-569)))) 108) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 76) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 65)) (-2428 (($ (-1247 (-311 (-382)))) 94) (($ (-1247 (-311 (-569)))) 83) (($ (-1247 (-954 (-382)))) 115) (($ (-1247 (-954 (-569)))) 104) (($ (-1247 (-410 (-954 (-382))))) 72) (($ (-1247 (-410 (-954 (-569))))) 58)) (-3836 (((-1252) $) 133)) (-2185 (((-851) $) 127) (($ (-635 (-329))) 122) (($ (-329)) 125) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 50) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) 51))) 
-(((-76 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) (-1163)) (T -76)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-76 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) 
-((-3836 (((-1252) $) 32) (((-1252)) 31)) (-2185 (((-851) $) 35))) 
-(((-77 |#1|) (-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) (-1163)) (T -77)) 
-((-3836 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-77 *3)) (-14 *3 (-1163))))) 
-(-13 (-398) (-10 -7 (-15 -3836 ((-1252))))) 
-((-3836 (((-1252) $) 62)) (-2185 (((-851) $) 56) (($ (-680 (-689))) 47) (($ (-635 (-329))) 50) (($ (-329)) 53) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 46))) 
-(((-78 |#1|) (-386) (-1163)) (T -78)) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 98) (((-3 $ "failed") (-1253 (-311 (-569)))) 87) (((-3 $ "failed") (-1253 (-955 (-382)))) 119) (((-3 $ "failed") (-1253 (-955 (-569)))) 108) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 76) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 65)) (-1321 (($ (-1253 (-311 (-382)))) 94) (($ (-1253 (-311 (-569)))) 83) (($ (-1253 (-955 (-382)))) 115) (($ (-1253 (-955 (-569)))) 104) (($ (-1253 (-410 (-955 (-382))))) 72) (($ (-1253 (-410 (-955 (-569))))) 58)) (-3225 (((-1258) $) 133)) (-3956 (((-852) $) 127) (($ (-635 (-329))) 122) (($ (-329)) 125) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 50) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) 51))) 
+(((-76 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) (-1165)) (T -76)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-76 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) 
+((-3225 (((-1258) $) 32) (((-1258)) 31)) (-3956 (((-852) $) 35))) 
+(((-77 |#1|) (-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) (-1165)) (T -77)) 
+((-3225 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-77 *3)) (-14 *3 (-1165))))) 
+(-13 (-398) (-10 -7 (-15 -3225 ((-1258))))) 
+((-3225 (((-1258) $) 62)) (-3956 (((-852) $) 56) (($ (-681 (-690))) 47) (($ (-635 (-329))) 50) (($ (-329)) 53) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 46))) 
+(((-78 |#1|) (-386) (-1165)) (T -78)) 
 NIL 
 (-386) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 119) (((-3 $ "failed") (-1247 (-311 (-569)))) 108) (((-3 $ "failed") (-1247 (-954 (-382)))) 141) (((-3 $ "failed") (-1247 (-954 (-569)))) 130) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 98) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 87)) (-2428 (($ (-1247 (-311 (-382)))) 115) (($ (-1247 (-311 (-569)))) 104) (($ (-1247 (-954 (-382)))) 137) (($ (-1247 (-954 (-569)))) 126) (($ (-1247 (-410 (-954 (-382))))) 94) (($ (-1247 (-410 (-954 (-569))))) 80)) (-3836 (((-1252) $) 73)) (-2185 (((-851) $) 27) (($ (-635 (-329))) 63) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 66) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 60))) 
-(((-79 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -79)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-79 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 125) (((-3 $ "failed") (-1247 (-311 (-569)))) 114) (((-3 $ "failed") (-1247 (-954 (-382)))) 147) (((-3 $ "failed") (-1247 (-954 (-569)))) 136) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 103) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 92)) (-2428 (($ (-1247 (-311 (-382)))) 121) (($ (-1247 (-311 (-569)))) 110) (($ (-1247 (-954 (-382)))) 143) (($ (-1247 (-954 (-569)))) 132) (($ (-1247 (-410 (-954 (-382))))) 99) (($ (-1247 (-410 (-954 (-569))))) 85)) (-3836 (((-1252) $) 78)) (-2185 (((-851) $) 70) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) NIL) (($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) 65))) 
-(((-80 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689))))))) (-1163) (-1163) (-1163)) (T -80)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 129) (((-3 $ "failed") (-1247 (-311 (-569)))) 118) (((-3 $ "failed") (-1247 (-954 (-382)))) 151) (((-3 $ "failed") (-1247 (-954 (-569)))) 140) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 107) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 96)) (-2428 (($ (-1247 (-311 (-382)))) 125) (($ (-1247 (-311 (-569)))) 114) (($ (-1247 (-954 (-382)))) 147) (($ (-1247 (-954 (-569)))) 136) (($ (-1247 (-410 (-954 (-382))))) 103) (($ (-1247 (-410 (-954 (-569))))) 89)) (-3836 (((-1252) $) 82)) (-2185 (((-851) $) 74) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) NIL) (($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) 69))) 
-(((-81 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689))))))) (-1163) (-1163) (-1163)) (T -81)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 77) (((-3 $ "failed") (-311 (-569))) 82) (((-3 $ "failed") (-954 (-382))) 87) (((-3 $ "failed") (-954 (-569))) 92) (((-3 $ "failed") (-410 (-954 (-382)))) 72) (((-3 $ "failed") (-410 (-954 (-569)))) 67)) (-2428 (($ (-311 (-382))) 75) (($ (-311 (-569))) 80) (($ (-954 (-382))) 85) (($ (-954 (-569))) 90) (($ (-410 (-954 (-382)))) 70) (($ (-410 (-954 (-569)))) 64)) (-3836 (((-1252) $) 61)) (-2185 (((-851) $) 49) (($ (-635 (-329))) 45) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 53) (($ (-338 (-2139) (-2139 (QUOTE X)) (-689))) 46))) 
-(((-82 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) (-1163)) (T -82)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-82 *3)) (-14 *3 (-1163))))) 
-(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 41) (((-3 $ "failed") (-311 (-569))) 46) (((-3 $ "failed") (-954 (-382))) 51) (((-3 $ "failed") (-954 (-569))) 56) (((-3 $ "failed") (-410 (-954 (-382)))) 36) (((-3 $ "failed") (-410 (-954 (-569)))) 31)) (-2428 (($ (-311 (-382))) 39) (($ (-311 (-569))) 44) (($ (-954 (-382))) 49) (($ (-954 (-569))) 54) (($ (-410 (-954 (-382)))) 34) (($ (-410 (-954 (-569)))) 28)) (-3836 (((-1252) $) 77)) (-2185 (((-851) $) 71) (($ (-635 (-329))) 62) (($ (-329)) 68) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 65) (($ (-338 (-2139) (-2139 (QUOTE X)) (-689))) 27))) 
-(((-83 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) (-1163)) (T -83)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-83 *3)) (-14 *3 (-1163))))) 
-(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139) (-2139 (QUOTE X)) (-689)))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 84) (((-3 $ "failed") (-1247 (-311 (-569)))) 73) (((-3 $ "failed") (-1247 (-954 (-382)))) 106) (((-3 $ "failed") (-1247 (-954 (-569)))) 95) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 62) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 51)) (-2428 (($ (-1247 (-311 (-382)))) 80) (($ (-1247 (-311 (-569)))) 69) (($ (-1247 (-954 (-382)))) 102) (($ (-1247 (-954 (-569)))) 91) (($ (-1247 (-410 (-954 (-382))))) 58) (($ (-1247 (-410 (-954 (-569))))) 44)) (-3836 (((-1252) $) 122)) (-2185 (((-851) $) 116) (($ (-635 (-329))) 109) (($ (-329)) 36) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 112) (($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) 37))) 
-(((-84 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) (-1163)) (T -84)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-84 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 137) (((-3 $ "failed") (-1247 (-311 (-569)))) 126) (((-3 $ "failed") (-1247 (-954 (-382)))) 158) (((-3 $ "failed") (-1247 (-954 (-569)))) 147) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 116) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 105)) (-2428 (($ (-1247 (-311 (-382)))) 133) (($ (-1247 (-311 (-569)))) 122) (($ (-1247 (-954 (-382)))) 154) (($ (-1247 (-954 (-569)))) 143) (($ (-1247 (-410 (-954 (-382))))) 112) (($ (-1247 (-410 (-954 (-569))))) 98)) (-3836 (((-1252) $) 91)) (-2185 (((-851) $) 85) (($ (-635 (-329))) 76) (($ (-329)) 83) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 81) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 77))) 
-(((-85 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -85)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-85 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 73) (((-3 $ "failed") (-1247 (-311 (-569)))) 62) (((-3 $ "failed") (-1247 (-954 (-382)))) 95) (((-3 $ "failed") (-1247 (-954 (-569)))) 84) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 51) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 40)) (-2428 (($ (-1247 (-311 (-382)))) 69) (($ (-1247 (-311 (-569)))) 58) (($ (-1247 (-954 (-382)))) 91) (($ (-1247 (-954 (-569)))) 80) (($ (-1247 (-410 (-954 (-382))))) 47) (($ (-1247 (-410 (-954 (-569))))) 33)) (-3836 (((-1252) $) 121)) (-2185 (((-851) $) 115) (($ (-635 (-329))) 106) (($ (-329)) 112) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 110) (($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) 32))) 
-(((-86 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) (-1163)) (T -86)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-86 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 90) (((-3 $ "failed") (-1247 (-311 (-569)))) 79) (((-3 $ "failed") (-1247 (-954 (-382)))) 112) (((-3 $ "failed") (-1247 (-954 (-569)))) 101) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 68) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 57)) (-2428 (($ (-1247 (-311 (-382)))) 86) (($ (-1247 (-311 (-569)))) 75) (($ (-1247 (-954 (-382)))) 108) (($ (-1247 (-954 (-569)))) 97) (($ (-1247 (-410 (-954 (-382))))) 64) (($ (-1247 (-410 (-954 (-569))))) 50)) (-3836 (((-1252) $) 43)) (-2185 (((-851) $) 36) (($ (-635 (-329))) 26) (($ (-329)) 29) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 32) (($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) 27))) 
-(((-87 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) (-1163)) (T -87)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-87 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) 
-((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 103) (((-3 $ "failed") (-680 (-311 (-569)))) 92) (((-3 $ "failed") (-680 (-954 (-382)))) 125) (((-3 $ "failed") (-680 (-954 (-569)))) 114) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 82) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 71)) (-2428 (($ (-680 (-311 (-382)))) 99) (($ (-680 (-311 (-569)))) 88) (($ (-680 (-954 (-382)))) 121) (($ (-680 (-954 (-569)))) 110) (($ (-680 (-410 (-954 (-382))))) 78) (($ (-680 (-410 (-954 (-569))))) 64)) (-3836 (((-1252) $) 57)) (-2185 (((-851) $) 43) (($ (-635 (-329))) 50) (($ (-329)) 39) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 47) (($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) 40))) 
-(((-88 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) (-1163)) (T -88)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-88 *3)) (-14 *3 (-1163))))) 
-(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689))))))) 
-((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 103) (((-3 $ "failed") (-680 (-311 (-569)))) 92) (((-3 $ "failed") (-680 (-954 (-382)))) 124) (((-3 $ "failed") (-680 (-954 (-569)))) 113) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 81) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 70)) (-2428 (($ (-680 (-311 (-382)))) 99) (($ (-680 (-311 (-569)))) 88) (($ (-680 (-954 (-382)))) 120) (($ (-680 (-954 (-569)))) 109) (($ (-680 (-410 (-954 (-382))))) 77) (($ (-680 (-410 (-954 (-569))))) 63)) (-3836 (((-1252) $) 56)) (-2185 (((-851) $) 50) (($ (-635 (-329))) 44) (($ (-329)) 47) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 40) (($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) 41))) 
-(((-89 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) (-1163)) (T -89)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-89 *3)) (-14 *3 (-1163))))) 
-(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 99) (((-3 $ "failed") (-1247 (-311 (-569)))) 88) (((-3 $ "failed") (-1247 (-954 (-382)))) 121) (((-3 $ "failed") (-1247 (-954 (-569)))) 110) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 77) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 66)) (-2428 (($ (-1247 (-311 (-382)))) 95) (($ (-1247 (-311 (-569)))) 84) (($ (-1247 (-954 (-382)))) 117) (($ (-1247 (-954 (-569)))) 106) (($ (-1247 (-410 (-954 (-382))))) 73) (($ (-1247 (-410 (-954 (-569))))) 59)) (-3836 (((-1252) $) 45)) (-2185 (((-851) $) 39) (($ (-635 (-329))) 48) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 51) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) 36))) 
-(((-90 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) (-1163)) (T -90)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-90 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689))))))) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 74) (((-3 $ "failed") (-1247 (-311 (-569)))) 63) (((-3 $ "failed") (-1247 (-954 (-382)))) 96) (((-3 $ "failed") (-1247 (-954 (-569)))) 85) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 52) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 41)) (-2428 (($ (-1247 (-311 (-382)))) 70) (($ (-1247 (-311 (-569)))) 59) (($ (-1247 (-954 (-382)))) 92) (($ (-1247 (-954 (-569)))) 81) (($ (-1247 (-410 (-954 (-382))))) 48) (($ (-1247 (-410 (-954 (-569))))) 34)) (-3836 (((-1252) $) 122)) (-2185 (((-851) $) 116) (($ (-635 (-329))) 107) (($ (-329)) 113) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 111) (($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) 33))) 
-(((-91 |#1|) (-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) (-1163)) (T -91)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-91 *3)) (-14 *3 (-1163))))) 
-(-13 (-443) (-10 -8 (-15 -2185 ($ (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))))))) 
-((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 105) (((-3 $ "failed") (-680 (-311 (-569)))) 94) (((-3 $ "failed") (-680 (-954 (-382)))) 127) (((-3 $ "failed") (-680 (-954 (-569)))) 116) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 83) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 72)) (-2428 (($ (-680 (-311 (-382)))) 101) (($ (-680 (-311 (-569)))) 90) (($ (-680 (-954 (-382)))) 123) (($ (-680 (-954 (-569)))) 112) (($ (-680 (-410 (-954 (-382))))) 79) (($ (-680 (-410 (-954 (-569))))) 65)) (-3836 (((-1252) $) 58)) (-2185 (((-851) $) 52) (($ (-635 (-329))) 42) (($ (-329)) 49) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 47) (($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) 43))) 
-(((-92 |#1|) (-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689))))))) (-1163)) (T -92)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-92 *3)) (-14 *3 (-1163))))) 
-(-13 (-387) (-10 -8 (-15 -2185 ($ (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689))))))) 
-((-3836 (((-1252) $) 44)) (-2185 (((-851) $) 38) (($ (-1247 (-689))) 88) (($ (-635 (-329))) 29) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 32))) 
-(((-93 |#1|) (-442) (-1163)) (T -93)) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 119) (((-3 $ "failed") (-1253 (-311 (-569)))) 108) (((-3 $ "failed") (-1253 (-955 (-382)))) 141) (((-3 $ "failed") (-1253 (-955 (-569)))) 130) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 98) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 87)) (-1321 (($ (-1253 (-311 (-382)))) 115) (($ (-1253 (-311 (-569)))) 104) (($ (-1253 (-955 (-382)))) 137) (($ (-1253 (-955 (-569)))) 126) (($ (-1253 (-410 (-955 (-382))))) 94) (($ (-1253 (-410 (-955 (-569))))) 80)) (-3225 (((-1258) $) 73)) (-3956 (((-852) $) 27) (($ (-635 (-329))) 63) (($ (-329)) 59) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 66) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 60))) 
+(((-79 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -79)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-79 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 125) (((-3 $ "failed") (-1253 (-311 (-569)))) 114) (((-3 $ "failed") (-1253 (-955 (-382)))) 147) (((-3 $ "failed") (-1253 (-955 (-569)))) 136) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 103) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 92)) (-1321 (($ (-1253 (-311 (-382)))) 121) (($ (-1253 (-311 (-569)))) 110) (($ (-1253 (-955 (-382)))) 143) (($ (-1253 (-955 (-569)))) 132) (($ (-1253 (-410 (-955 (-382))))) 99) (($ (-1253 (-410 (-955 (-569))))) 85)) (-3225 (((-1258) $) 78)) (-3956 (((-852) $) 70) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) NIL) (($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) 65))) 
+(((-80 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690))))))) (-1165) (-1165) (-1165)) (T -80)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 129) (((-3 $ "failed") (-1253 (-311 (-569)))) 118) (((-3 $ "failed") (-1253 (-955 (-382)))) 151) (((-3 $ "failed") (-1253 (-955 (-569)))) 140) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 107) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 96)) (-1321 (($ (-1253 (-311 (-382)))) 125) (($ (-1253 (-311 (-569)))) 114) (($ (-1253 (-955 (-382)))) 147) (($ (-1253 (-955 (-569)))) 136) (($ (-1253 (-410 (-955 (-382))))) 103) (($ (-1253 (-410 (-955 (-569))))) 89)) (-3225 (((-1258) $) 82)) (-3956 (((-852) $) 74) (($ (-635 (-329))) NIL) (($ (-329)) NIL) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) NIL) (($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) 69))) 
+(((-81 |#1| |#2| |#3|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690))))))) (-1165) (-1165) (-1165)) (T -81)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 77) (((-3 $ "failed") (-311 (-569))) 82) (((-3 $ "failed") (-955 (-382))) 87) (((-3 $ "failed") (-955 (-569))) 92) (((-3 $ "failed") (-410 (-955 (-382)))) 72) (((-3 $ "failed") (-410 (-955 (-569)))) 67)) (-1321 (($ (-311 (-382))) 75) (($ (-311 (-569))) 80) (($ (-955 (-382))) 85) (($ (-955 (-569))) 90) (($ (-410 (-955 (-382)))) 70) (($ (-410 (-955 (-569)))) 64)) (-3225 (((-1258) $) 61)) (-3956 (((-852) $) 49) (($ (-635 (-329))) 45) (($ (-329)) 55) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 53) (($ (-338 (-3124) (-3124 (QUOTE X)) (-690))) 46))) 
+(((-82 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) (-1165)) (T -82)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-82 *3)) (-14 *3 (-1165))))) 
+(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 41) (((-3 $ "failed") (-311 (-569))) 46) (((-3 $ "failed") (-955 (-382))) 51) (((-3 $ "failed") (-955 (-569))) 56) (((-3 $ "failed") (-410 (-955 (-382)))) 36) (((-3 $ "failed") (-410 (-955 (-569)))) 31)) (-1321 (($ (-311 (-382))) 39) (($ (-311 (-569))) 44) (($ (-955 (-382))) 49) (($ (-955 (-569))) 54) (($ (-410 (-955 (-382)))) 34) (($ (-410 (-955 (-569)))) 28)) (-3225 (((-1258) $) 77)) (-3956 (((-852) $) 71) (($ (-635 (-329))) 62) (($ (-329)) 68) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 65) (($ (-338 (-3124) (-3124 (QUOTE X)) (-690))) 27))) 
+(((-83 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) (-1165)) (T -83)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-83 *3)) (-14 *3 (-1165))))) 
+(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124) (-3124 (QUOTE X)) (-690)))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 84) (((-3 $ "failed") (-1253 (-311 (-569)))) 73) (((-3 $ "failed") (-1253 (-955 (-382)))) 106) (((-3 $ "failed") (-1253 (-955 (-569)))) 95) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 62) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 51)) (-1321 (($ (-1253 (-311 (-382)))) 80) (($ (-1253 (-311 (-569)))) 69) (($ (-1253 (-955 (-382)))) 102) (($ (-1253 (-955 (-569)))) 91) (($ (-1253 (-410 (-955 (-382))))) 58) (($ (-1253 (-410 (-955 (-569))))) 44)) (-3225 (((-1258) $) 122)) (-3956 (((-852) $) 116) (($ (-635 (-329))) 109) (($ (-329)) 36) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 112) (($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) 37))) 
+(((-84 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) (-1165)) (T -84)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-84 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 137) (((-3 $ "failed") (-1253 (-311 (-569)))) 126) (((-3 $ "failed") (-1253 (-955 (-382)))) 158) (((-3 $ "failed") (-1253 (-955 (-569)))) 147) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 116) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 105)) (-1321 (($ (-1253 (-311 (-382)))) 133) (($ (-1253 (-311 (-569)))) 122) (($ (-1253 (-955 (-382)))) 154) (($ (-1253 (-955 (-569)))) 143) (($ (-1253 (-410 (-955 (-382))))) 112) (($ (-1253 (-410 (-955 (-569))))) 98)) (-3225 (((-1258) $) 91)) (-3956 (((-852) $) 85) (($ (-635 (-329))) 76) (($ (-329)) 83) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 81) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 77))) 
+(((-85 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -85)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-85 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 73) (((-3 $ "failed") (-1253 (-311 (-569)))) 62) (((-3 $ "failed") (-1253 (-955 (-382)))) 95) (((-3 $ "failed") (-1253 (-955 (-569)))) 84) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 51) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 40)) (-1321 (($ (-1253 (-311 (-382)))) 69) (($ (-1253 (-311 (-569)))) 58) (($ (-1253 (-955 (-382)))) 91) (($ (-1253 (-955 (-569)))) 80) (($ (-1253 (-410 (-955 (-382))))) 47) (($ (-1253 (-410 (-955 (-569))))) 33)) (-3225 (((-1258) $) 121)) (-3956 (((-852) $) 115) (($ (-635 (-329))) 106) (($ (-329)) 112) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 110) (($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) 32))) 
+(((-86 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) (-1165)) (T -86)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-86 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 90) (((-3 $ "failed") (-1253 (-311 (-569)))) 79) (((-3 $ "failed") (-1253 (-955 (-382)))) 112) (((-3 $ "failed") (-1253 (-955 (-569)))) 101) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 68) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 57)) (-1321 (($ (-1253 (-311 (-382)))) 86) (($ (-1253 (-311 (-569)))) 75) (($ (-1253 (-955 (-382)))) 108) (($ (-1253 (-955 (-569)))) 97) (($ (-1253 (-410 (-955 (-382))))) 64) (($ (-1253 (-410 (-955 (-569))))) 50)) (-3225 (((-1258) $) 43)) (-3956 (((-852) $) 36) (($ (-635 (-329))) 26) (($ (-329)) 29) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 32) (($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) 27))) 
+(((-87 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) (-1165)) (T -87)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-87 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) 
+((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 103) (((-3 $ "failed") (-681 (-311 (-569)))) 92) (((-3 $ "failed") (-681 (-955 (-382)))) 125) (((-3 $ "failed") (-681 (-955 (-569)))) 114) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 82) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 71)) (-1321 (($ (-681 (-311 (-382)))) 99) (($ (-681 (-311 (-569)))) 88) (($ (-681 (-955 (-382)))) 121) (($ (-681 (-955 (-569)))) 110) (($ (-681 (-410 (-955 (-382))))) 78) (($ (-681 (-410 (-955 (-569))))) 64)) (-3225 (((-1258) $) 57)) (-3956 (((-852) $) 43) (($ (-635 (-329))) 50) (($ (-329)) 39) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 47) (($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) 40))) 
+(((-88 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) (-1165)) (T -88)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-88 *3)) (-14 *3 (-1165))))) 
+(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690))))))) 
+((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 103) (((-3 $ "failed") (-681 (-311 (-569)))) 92) (((-3 $ "failed") (-681 (-955 (-382)))) 124) (((-3 $ "failed") (-681 (-955 (-569)))) 113) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 81) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 70)) (-1321 (($ (-681 (-311 (-382)))) 99) (($ (-681 (-311 (-569)))) 88) (($ (-681 (-955 (-382)))) 120) (($ (-681 (-955 (-569)))) 109) (($ (-681 (-410 (-955 (-382))))) 77) (($ (-681 (-410 (-955 (-569))))) 63)) (-3225 (((-1258) $) 56)) (-3956 (((-852) $) 50) (($ (-635 (-329))) 44) (($ (-329)) 47) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 40) (($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) 41))) 
+(((-89 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) (-1165)) (T -89)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-89 *3)) (-14 *3 (-1165))))) 
+(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 99) (((-3 $ "failed") (-1253 (-311 (-569)))) 88) (((-3 $ "failed") (-1253 (-955 (-382)))) 121) (((-3 $ "failed") (-1253 (-955 (-569)))) 110) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 77) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 66)) (-1321 (($ (-1253 (-311 (-382)))) 95) (($ (-1253 (-311 (-569)))) 84) (($ (-1253 (-955 (-382)))) 117) (($ (-1253 (-955 (-569)))) 106) (($ (-1253 (-410 (-955 (-382))))) 73) (($ (-1253 (-410 (-955 (-569))))) 59)) (-3225 (((-1258) $) 45)) (-3956 (((-852) $) 39) (($ (-635 (-329))) 48) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 51) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) 36))) 
+(((-90 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) (-1165)) (T -90)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-90 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690))))))) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 74) (((-3 $ "failed") (-1253 (-311 (-569)))) 63) (((-3 $ "failed") (-1253 (-955 (-382)))) 96) (((-3 $ "failed") (-1253 (-955 (-569)))) 85) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 52) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 41)) (-1321 (($ (-1253 (-311 (-382)))) 70) (($ (-1253 (-311 (-569)))) 59) (($ (-1253 (-955 (-382)))) 92) (($ (-1253 (-955 (-569)))) 81) (($ (-1253 (-410 (-955 (-382))))) 48) (($ (-1253 (-410 (-955 (-569))))) 34)) (-3225 (((-1258) $) 122)) (-3956 (((-852) $) 116) (($ (-635 (-329))) 107) (($ (-329)) 113) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 111) (($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) 33))) 
+(((-91 |#1|) (-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) (-1165)) (T -91)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-91 *3)) (-14 *3 (-1165))))) 
+(-13 (-443) (-10 -8 (-15 -3956 ($ (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))))))) 
+((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 105) (((-3 $ "failed") (-681 (-311 (-569)))) 94) (((-3 $ "failed") (-681 (-955 (-382)))) 127) (((-3 $ "failed") (-681 (-955 (-569)))) 116) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 83) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 72)) (-1321 (($ (-681 (-311 (-382)))) 101) (($ (-681 (-311 (-569)))) 90) (($ (-681 (-955 (-382)))) 123) (($ (-681 (-955 (-569)))) 112) (($ (-681 (-410 (-955 (-382))))) 79) (($ (-681 (-410 (-955 (-569))))) 65)) (-3225 (((-1258) $) 58)) (-3956 (((-852) $) 52) (($ (-635 (-329))) 42) (($ (-329)) 49) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 47) (($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) 43))) 
+(((-92 |#1|) (-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690))))))) (-1165)) (T -92)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-92 *3)) (-14 *3 (-1165))))) 
+(-13 (-387) (-10 -8 (-15 -3956 ($ (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690))))))) 
+((-3225 (((-1258) $) 44)) (-3956 (((-852) $) 38) (($ (-1253 (-690))) 88) (($ (-635 (-329))) 29) (($ (-329)) 35) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 32))) 
+(((-93 |#1|) (-442) (-1165)) (T -93)) 
 NIL 
 (-442) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 42) (((-3 $ "failed") (-311 (-569))) 47) (((-3 $ "failed") (-954 (-382))) 52) (((-3 $ "failed") (-954 (-569))) 57) (((-3 $ "failed") (-410 (-954 (-382)))) 37) (((-3 $ "failed") (-410 (-954 (-569)))) 32)) (-2428 (($ (-311 (-382))) 40) (($ (-311 (-569))) 45) (($ (-954 (-382))) 50) (($ (-954 (-569))) 55) (($ (-410 (-954 (-382)))) 35) (($ (-410 (-954 (-569)))) 29)) (-3836 (((-1252) $) 88)) (-2185 (((-851) $) 82) (($ (-635 (-329))) 76) (($ (-329)) 79) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 73) (($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) 28))) 
-(((-94 |#1|) (-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))))) (-1163)) (T -94)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) (-5 *1 (-94 *3)) (-14 *3 (-1163))))) 
-(-13 (-399) (-10 -8 (-15 -2185 ($ (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))))) 
-((-1292 (((-1247 (-680 |#1|)) (-680 |#1|)) 54)) (-1952 (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918)) 44)) (-2519 (((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918)) 62 (|has| |#1| (-366))))) 
-(((-95 |#1| |#2|) (-10 -7 (-15 -1952 ((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918))) (-15 -1292 ((-1247 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-366)) (-15 -2519 ((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918))) |noBranch|)) (-559) (-647 |#1|)) (T -95)) 
-((-2519 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-918))) (|:| -1502 *3) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5)))) (-1292 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-680 *4)) (-4 *5 (-647 *4)))) (-1952 (*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 (-635 (-918)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
-(-10 -7 (-15 -1952 ((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 (-635 (-918))))) |#2| (-918))) (-15 -1292 ((-1247 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-366)) (-15 -2519 ((-2 (|:| |minor| (-635 (-918))) (|:| -1502 |#2|) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 |#2|))) |#2| (-918))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3275 ((|#1| $) 34)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3309 ((|#1| |#1| $) 30)) (-1646 ((|#1| $) 28)) (-3470 (((-635 |#1|) $) 39 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 41)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 45)) (-3172 (($ |#1| $) 31)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 29)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 16)) (-1296 (($) 38)) (-2835 (((-764) $) 26)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 15)) (-2185 (((-851) $) 25 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-1978 (($ (-635 |#1|)) 36)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 13 (|has| |#1| (-1091)))) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
-(((-96 |#1|) (-13 (-1110 |#1|) (-10 -8 (-15 -1978 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -96)) 
-((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-96 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) (-1978 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3))))) 
-(-13 (-1110 |#1|) (-10 -8 (-15 -1978 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
-((-1736 (($ $) 10)) (-1740 (($ $) 12))) 
-(((-97 |#1|) (-10 -8 (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|))) (-98)) (T -97)) 
-NIL 
-(-10 -8 (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|))) 
-((-1727 (($ $) 11)) (-2561 (($ $) 10)) (-1736 (($ $) 9)) (-1740 (($ $) 8)) (-1731 (($ $) 7)) (-2569 (($ $) 6))) 
-(((-98) (-1278)) (T -98)) 
-((-1727 (*1 *1 *1) (-4 *1 (-98))) (-2561 (*1 *1 *1) (-4 *1 (-98))) (-1736 (*1 *1 *1) (-4 *1 (-98))) (-1740 (*1 *1 *1) (-4 *1 (-98))) (-1731 (*1 *1 *1) (-4 *1 (-98))) (-2569 (*1 *1 *1) (-4 *1 (-98)))) 
-(-13 (-10 -8 (-15 -2569 ($ $)) (-15 -1731 ($ $)) (-15 -1740 ($ $)) (-15 -1736 ($ $)) (-15 -2561 ($ $)) (-15 -1727 ($ $)))) 
-((-2568 (((-121) $ $) NIL)) (-3535 (((-382) (-1145) (-382)) 42) (((-382) (-1145) (-1145) (-382)) 41)) (-1330 (((-382) (-382)) 33)) (-3148 (((-1252)) 36)) (-2776 (((-1145) $) NIL)) (-4496 (((-382) (-1145) (-1145)) 46) (((-382) (-1145)) 48)) (-3360 (((-1109) $) NIL)) (-1374 (((-382) (-1145) (-1145)) 47)) (-2901 (((-382) (-1145) (-1145)) 49) (((-382) (-1145)) 50)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-99) (-13 (-1091) (-10 -7 (-15 -4496 ((-382) (-1145) (-1145))) (-15 -4496 ((-382) (-1145))) (-15 -2901 ((-382) (-1145) (-1145))) (-15 -2901 ((-382) (-1145))) (-15 -1374 ((-382) (-1145) (-1145))) (-15 -3148 ((-1252))) (-15 -1330 ((-382) (-382))) (-15 -3535 ((-382) (-1145) (-382))) (-15 -3535 ((-382) (-1145) (-1145) (-382))) (-6 -4535)))) (T -99)) 
-((-4496 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4496 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2901 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2901 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-1374 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) (-3148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-99)))) (-1330 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99)))) (-3535 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99)))) (-3535 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99))))) 
-(-13 (-1091) (-10 -7 (-15 -4496 ((-382) (-1145) (-1145))) (-15 -4496 ((-382) (-1145))) (-15 -2901 ((-382) (-1145) (-1145))) (-15 -2901 ((-382) (-1145))) (-15 -1374 ((-382) (-1145) (-1145))) (-15 -3148 ((-1252))) (-15 -1330 ((-382) (-382))) (-15 -3535 ((-382) (-1145) (-382))) (-15 -3535 ((-382) (-1145) (-1145) (-382))) (-6 -4535))) 
-NIL 
-(((-100) (-1278)) (T -100)) 
-NIL 
-(-13 (-10 -7 (-6 -4535) (-6 (-4537 "*")) (-6 -4536) (-6 -4532) (-6 -4530) (-6 -4529) (-6 -4528) (-6 -4533) (-6 -4527) (-6 -4526) (-6 -4525) (-6 -4524) (-6 -4523) (-6 -4531) (-6 -4534) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4522) (-6 -2994))) 
-((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3803 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-569))) 22)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 14)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ |#1|) 11)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 20)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 8 T CONST)) (-1668 (((-121) $ $) 10)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) 28) (($ $ (-764)) NIL) (($ $ (-569)) 16)) (* (($ $ $) 29))) 
-(((-101 |#1|) (-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3803 ($ (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1| (-569)))))) (-1048)) (T -101)) 
-((-3803 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) (-3803 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) (-3803 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-101 *3))))) 
-(-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3803 ($ (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3803 ($ (-1 |#1| |#1| (-569)))))) 
-((-4184 (((-1252) (-1095)) 20)) (-4414 (((-1145) (-1145) (-1145)) 7)) (-1469 (((-1252) (-569) (-1 (-1252) (-1095))) 14))) 
-(((-102) (-10 -7 (-15 -1469 ((-1252) (-569) (-1 (-1252) (-1095)))) (-15 -4184 ((-1252) (-1095))) (-15 -4414 ((-1145) (-1145) (-1145))))) (T -102)) 
-((-4414 (*1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-102)))) (-4184 (*1 *2 *3) (-12 (-5 *3 (-1095)) (-5 *2 (-1252)) (-5 *1 (-102)))) (-1469 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1252) (-1095))) (-5 *2 (-1252)) (-5 *1 (-102))))) 
-(-10 -7 (-15 -1469 ((-1252) (-569) (-1 (-1252) (-1095)))) (-15 -4184 ((-1252) (-1095))) (-15 -4414 ((-1145) (-1145) (-1145)))) 
-((-3449 (((-421 |#2|) |#2| (-635 |#2|)) 10) (((-421 |#2|) |#2| |#2|) 11))) 
-(((-103 |#1| |#2|) (-10 -7 (-15 -3449 ((-421 |#2|) |#2| |#2|)) (-15 -3449 ((-421 |#2|) |#2| (-635 |#2|)))) (-13 (-454) (-151)) (-1222 |#1|)) (T -103)) 
-((-3449 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3)))) (-3449 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -3449 ((-421 |#2|) |#2| |#2|)) (-15 -3449 ((-421 |#2|) |#2| (-635 |#2|)))) 
-((-2568 (((-121) $ $) 9))) 
-(((-104 |#1|) (-10 -8 (-15 -2568 ((-121) |#1| |#1|))) (-105)) (T -104)) 
-NIL 
-(-10 -8 (-15 -2568 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-1668 (((-121) $ $) 6))) 
-(((-105) (-1278)) (T -105)) 
-((-2568 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1668 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
-(-13 (-10 -8 (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 13 (|has| $ (-6 -4536)))) (-2587 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1690 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1431 (($ $ (-635 |#1|)) 15)) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 11)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 17)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1909 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-3792 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|)) 35)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 10)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 9)) (-1296 (($) 16)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2494 (($ (-764) |#1|) 19)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-106 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2494 ($ (-764) |#1|)) (-15 -1431 ($ $ (-635 |#1|))) (-15 -1909 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1909 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) (-1091)) (T -106)) 
-((-2494 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-106 *3)) (-4 *3 (-1091)))) (-1431 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) (-1909 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1091)))) (-1909 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) (-3792 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2)))) (-3792 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2494 ($ (-764) |#1|)) (-15 -1431 ($ $ (-635 |#1|))) (-15 -1909 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -1909 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -3792 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) 
-((-3858 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 20)) (-2136 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|)) 17)) (-2016 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 21))) 
-(((-107 |#1|) (-10 -7 (-15 -2136 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -3858 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -2016 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-1048)) (T -107)) 
-((-2016 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-3858 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-2136 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(-10 -7 (-15 -2136 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -3858 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -2016 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
-((-2976 ((|#3| |#2| |#2|) 28)) (-3587 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4537 "*"))))) (-3967 ((|#3| |#2| |#2|) 29)) (-1362 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4537 "*")))))) 
-(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2976 (|#3| |#2| |#2|)) (-15 -3967 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4537 "*"))) (PROGN (-15 -3587 (|#1| |#2| |#2|)) (-15 -1362 (|#1| |#2|))) |noBranch|)) (-1048) (-1222 |#1|) (-678 |#1| |#4| |#5|) (-376 |#1|) (-376 |#1|)) (T -108)) 
-((-1362 (*1 *2 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6)))) (-3587 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6)))) (-3967 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-2976 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(-10 -7 (-15 -2976 (|#3| |#2| |#2|)) (-15 -3967 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4537 "*"))) (PROGN (-15 -3587 (|#1| |#2| |#2|)) (-15 -1362 (|#1| |#2|))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4058 (((-635 (-1163))) 32)) (-2738 (((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163)) 35)) (-1668 (((-121) $ $) NIL))) 
-(((-109) (-13 (-1091) (-10 -7 (-15 -4058 ((-635 (-1163)))) (-15 -2738 ((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163))) (-6 -4535)))) (T -109)) 
-((-4058 (*1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-109)))) (-2738 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216))))) (-5 *1 (-109))))) 
-(-13 (-1091) (-10 -7 (-15 -4058 ((-635 (-1163)))) (-15 -2738 ((-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216)))) (-1163))) (-6 -4535))) 
-((-2793 (($ (-635 |#2|)) 11))) 
-(((-110 |#1| |#2|) (-10 -8 (-15 -2793 (|#1| (-635 |#2|)))) (-111 |#2|) (-1197)) (T -110)) 
-NIL 
-(-10 -8 (-15 -2793 (|#1| (-635 |#2|)))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-111 |#1|) (-1278) (-1197)) (T -111)) 
-((-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-111 *3)))) (-1856 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) (-3172 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) (-3889 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197))))) 
-(-13 (-500 |t#1|) (-10 -8 (-6 -4536) (-15 -2793 ($ (-635 |t#1|))) (-15 -1856 (|t#1| $)) (-15 -3172 ($ |t#1| $)) (-15 -3889 (|t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 2) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1367 (($ (-410 (-569))) 8)) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-112) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 2) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -1367 ($ (-410 (-569))))))) (T -112)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 2)) (-5 *1 (-112)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-1367 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112))))) 
-(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 2) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -1367 ($ (-410 (-569)))))) 
-((-2568 (((-121) $ $) NIL)) (-1331 (((-1109) $ (-1109)) 23)) (-3030 (($ $ (-1145)) 17)) (-2948 (((-3 (-1109) "failed") $) 22)) (-4154 (((-1109) $) 20)) (-2706 (((-1109) $ (-1109)) 25)) (-3727 (((-1109) $) 24)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) 16)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-2185 (((-851) $) NIL)) (-4084 (($ $) 18)) (-1668 (((-121) $ $) NIL))) 
-(((-113) (-13 (-367 (-391) (-1109)) (-10 -8 (-15 -2948 ((-3 (-1109) "failed") $)) (-15 -3727 ((-1109) $)) (-15 -2706 ((-1109) $ (-1109)))))) (T -113)) 
-((-2948 (*1 *2 *1) (|partial| -12 (-5 *2 (-1109)) (-5 *1 (-113)))) (-3727 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-113)))) (-2706 (*1 *2 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-113))))) 
-(-13 (-367 (-391) (-1109)) (-10 -8 (-15 -2948 ((-3 (-1109) "failed") $)) (-15 -3727 ((-1109) $)) (-15 -2706 ((-1109) $ (-1109))))) 
-((-2568 (((-121) $ $) NIL)) (-1679 (($ $) NIL)) (-2283 (($ $ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-121) (-843)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-121) $ (-1213 (-569)) (-121)) NIL (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-4347 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2726 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) NIL)) (-3727 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1091))) (((-569) (-121) $) NIL (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) NIL)) (-3470 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3447 (($ $ $) NIL)) (-3864 (($ $) NIL)) (-3819 (($ $ $) NIL)) (-2659 (($ (-764) (-121)) 8)) (-4481 (($ $ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL)) (-3288 (($ $ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4259 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL)) (-1853 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-121) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-3174 (($ $ (-121)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (($ $ (-1213 (-569))) NIL) (((-121) $ (-569)) NIL) (((-121) $ (-569) (-121)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2846 (((-764) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091)))) (((-764) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) NIL)) (-2250 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2185 (((-851) $) NIL)) (-2970 (($ (-764) (-121)) 9)) (-2066 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2206 (($ $ $) NIL)) (-2427 (($ $) NIL)) (-2547 (($ $ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-2540 (($ $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-114) (-13 (-133) (-10 -8 (-15 -2970 ($ (-764) (-121)))))) (T -114)) 
-((-2970 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-121)) (-5 *1 (-114))))) 
-(-13 (-133) (-10 -8 (-15 -2970 ($ (-764) (-121))))) 
-((-1424 (((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109)) 13)) (-1685 (((-216) (-170 (-216))) 8)) (-2905 (((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109)) 12)) (-3396 (((-216) (-1109) (-959 (-216)) (-1109)) 11))) 
-(((-115) (-10 -7 (-15 -1685 ((-216) (-170 (-216)))) (-15 -3396 ((-216) (-1109) (-959 (-216)) (-1109))) (-15 -2905 ((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109))) (-15 -1424 ((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109))))) (T -115)) 
-((-1424 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *1 (-115)))) (-2905 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *4 (-216)) (-5 *1 (-115)))) (-3396 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1109)) (-5 *4 (-959 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-1685 (*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(-10 -7 (-15 -1685 ((-216) (-170 (-216)))) (-15 -3396 ((-216) (-1109) (-959 (-216)) (-1109))) (-15 -2905 ((-959 (-216)) (-1109) (-216) (-959 (-216)) (-1109) (-959 (-216)) (-1109))) (-15 -1424 ((-959 (-216)) (-1109) (-959 (-216)) (-1109) (-959 (-216)) (-1109)))) 
-((-2568 (((-121) $ $) NIL)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3494 (((-569) $) 14)) (-3735 (((-569) $) 15)) (-4250 (((-569) $) 16)) (-2776 (((-1145) $) NIL)) (-3918 (((-121) $) 8)) (-3360 (((-1109) $) NIL)) (-2741 (((-569) $) 12)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-2185 (((-851) $) 19) (($ (-635 (-569))) NIL)) (-3652 (((-569) $) 13)) (-1668 (((-121) $ $) NIL))) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 42) (((-3 $ "failed") (-311 (-569))) 47) (((-3 $ "failed") (-955 (-382))) 52) (((-3 $ "failed") (-955 (-569))) 57) (((-3 $ "failed") (-410 (-955 (-382)))) 37) (((-3 $ "failed") (-410 (-955 (-569)))) 32)) (-1321 (($ (-311 (-382))) 40) (($ (-311 (-569))) 45) (($ (-955 (-382))) 50) (($ (-955 (-569))) 55) (($ (-410 (-955 (-382)))) 35) (($ (-410 (-955 (-569)))) 29)) (-3225 (((-1258) $) 88)) (-3956 (((-852) $) 82) (($ (-635 (-329))) 76) (($ (-329)) 79) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 73) (($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) 28))) 
+(((-94 |#1|) (-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))))) (-1165)) (T -94)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) (-5 *1 (-94 *3)) (-14 *3 (-1165))))) 
+(-13 (-399) (-10 -8 (-15 -3956 ($ (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))))) 
+((-3626 (((-1253 (-681 |#1|)) (-681 |#1|)) 54)) (-3900 (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919)) 44)) (-1609 (((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919)) 62 (|has| |#1| (-366))))) 
+(((-95 |#1| |#2|) (-10 -7 (-15 -3900 ((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919))) (-15 -3626 ((-1253 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-366)) (-15 -1609 ((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919))) |noBranch|)) (-559) (-647 |#1|)) (T -95)) 
+((-1609 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-919))) (|:| -4399 *3) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5)))) (-3626 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-681 *4)) (-4 *5 (-647 *4)))) (-3900 (*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 (-635 (-919)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
+(-10 -7 (-15 -3900 ((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 (-635 (-919))))) |#2| (-919))) (-15 -3626 ((-1253 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-366)) (-15 -1609 ((-2 (|:| |minor| (-635 (-919))) (|:| -4399 |#2|) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 |#2|))) |#2| (-919))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1941 ((|#1| $) 34)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-2692 ((|#1| |#1| $) 30)) (-3651 ((|#1| $) 28)) (-4303 (((-635 |#1|) $) 39 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 43 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 41)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 45)) (-2351 (($ |#1| $) 31)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 29)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 16)) (-4016 (($) 38)) (-2676 (((-765) $) 26)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 15)) (-3956 (((-852) $) 25 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3337 (($ (-635 |#1|)) 36)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 13 (|has| |#1| (-1093)))) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
+(((-96 |#1|) (-13 (-1112 |#1|) (-10 -8 (-15 -3337 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -96)) 
+((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-96 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) (-3337 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3))))) 
+(-13 (-1112 |#1|) (-10 -8 (-15 -3337 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
+((-3517 (($ $) 10)) (-3525 (($ $) 12))) 
+(((-97 |#1|) (-10 -8 (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|))) (-98)) (T -97)) 
+NIL 
+(-10 -8 (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|))) 
+((-3505 (($ $) 11)) (-3490 (($ $) 10)) (-3517 (($ $) 9)) (-3525 (($ $) 8)) (-3510 (($ $) 7)) (-3497 (($ $) 6))) 
+(((-98) (-1284)) (T -98)) 
+((-3505 (*1 *1 *1) (-4 *1 (-98))) (-3490 (*1 *1 *1) (-4 *1 (-98))) (-3517 (*1 *1 *1) (-4 *1 (-98))) (-3525 (*1 *1 *1) (-4 *1 (-98))) (-3510 (*1 *1 *1) (-4 *1 (-98))) (-3497 (*1 *1 *1) (-4 *1 (-98)))) 
+(-13 (-10 -8 (-15 -3497 ($ $)) (-15 -3510 ($ $)) (-15 -3525 ($ $)) (-15 -3517 ($ $)) (-15 -3490 ($ $)) (-15 -3505 ($ $)))) 
+((-1310 (((-121) $ $) NIL)) (-1974 (((-382) (-1147) (-382)) 42) (((-382) (-1147) (-1147) (-382)) 41)) (-2229 (((-382) (-382)) 33)) (-2896 (((-1258)) 36)) (-2605 (((-1147) $) NIL)) (-4111 (((-382) (-1147) (-1147)) 46) (((-382) (-1147)) 48)) (-1912 (((-1111) $) NIL)) (-4171 (((-382) (-1147) (-1147)) 47)) (-2268 (((-382) (-1147) (-1147)) 49) (((-382) (-1147)) 50)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-99) (-13 (-1093) (-10 -7 (-15 -4111 ((-382) (-1147) (-1147))) (-15 -4111 ((-382) (-1147))) (-15 -2268 ((-382) (-1147) (-1147))) (-15 -2268 ((-382) (-1147))) (-15 -4171 ((-382) (-1147) (-1147))) (-15 -2896 ((-1258))) (-15 -2229 ((-382) (-382))) (-15 -1974 ((-382) (-1147) (-382))) (-15 -1974 ((-382) (-1147) (-1147) (-382))) (-6 -4571)))) (T -99)) 
+((-4111 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4111 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2268 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2268 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-4171 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) (-2896 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-99)))) (-2229 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99)))) (-1974 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99)))) (-1974 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99))))) 
+(-13 (-1093) (-10 -7 (-15 -4111 ((-382) (-1147) (-1147))) (-15 -4111 ((-382) (-1147))) (-15 -2268 ((-382) (-1147) (-1147))) (-15 -2268 ((-382) (-1147))) (-15 -4171 ((-382) (-1147) (-1147))) (-15 -2896 ((-1258))) (-15 -2229 ((-382) (-382))) (-15 -1974 ((-382) (-1147) (-382))) (-15 -1974 ((-382) (-1147) (-1147) (-382))) (-6 -4571))) 
+NIL 
+(((-100) (-1284)) (T -100)) 
+NIL 
+(-13 (-10 -7 (-6 -4571) (-6 (-4573 "*")) (-6 -4572) (-6 -4568) (-6 -4566) (-6 -4565) (-6 -4564) (-6 -4569) (-6 -4563) (-6 -4562) (-6 -4561) (-6 -4560) (-6 -4559) (-6 -4567) (-6 -4570) (-6 |NullSquare|) (-6 |JacobiIdentity|) (-6 -4558) (-6 -4334))) 
+((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3109 (($ (-1 |#1| |#1|)) 25) (($ (-1 |#1| |#1|) (-1 |#1| |#1|)) 24) (($ (-1 |#1| |#1| (-569))) 22)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 14)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ |#1|) 11)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 20)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 8 T CONST)) (-1326 (((-121) $ $) 10)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) 28) (($ $ (-765)) NIL) (($ $ (-569)) 16)) (* (($ $ $) 29))) 
+(((-101 |#1|) (-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3109 ($ (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1| (-569)))))) (-1049)) (T -101)) 
+((-3109 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) (-3109 (*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) (-3109 (*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-101 *3))))) 
+(-13 (-479) (-282 |#1| |#1|) (-10 -8 (-15 -3109 ($ (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1|) (-1 |#1| |#1|))) (-15 -3109 ($ (-1 |#1| |#1| (-569)))))) 
+((-3185 (((-1258) (-1097)) 20)) (-3758 (((-1147) (-1147) (-1147)) 7)) (-1546 (((-1258) (-569) (-1 (-1258) (-1097))) 14))) 
+(((-102) (-10 -7 (-15 -1546 ((-1258) (-569) (-1 (-1258) (-1097)))) (-15 -3185 ((-1258) (-1097))) (-15 -3758 ((-1147) (-1147) (-1147))))) (T -102)) 
+((-3758 (*1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-102)))) (-3185 (*1 *2 *3) (-12 (-5 *3 (-1097)) (-5 *2 (-1258)) (-5 *1 (-102)))) (-1546 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1258) (-1097))) (-5 *2 (-1258)) (-5 *1 (-102))))) 
+(-10 -7 (-15 -1546 ((-1258) (-569) (-1 (-1258) (-1097)))) (-15 -3185 ((-1258) (-1097))) (-15 -3758 ((-1147) (-1147) (-1147)))) 
+((-1794 (((-421 |#2|) |#2| (-635 |#2|)) 10) (((-421 |#2|) |#2| |#2|) 11))) 
+(((-103 |#1| |#2|) (-10 -7 (-15 -1794 ((-421 |#2|) |#2| |#2|)) (-15 -1794 ((-421 |#2|) |#2| (-635 |#2|)))) (-13 (-454) (-151)) (-1228 |#1|)) (T -103)) 
+((-1794 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3)))) (-1794 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -1794 ((-421 |#2|) |#2| |#2|)) (-15 -1794 ((-421 |#2|) |#2| (-635 |#2|)))) 
+((-1310 (((-121) $ $) 9))) 
+(((-104 |#1|) (-10 -8 (-15 -1310 ((-121) |#1| |#1|))) (-105)) (T -104)) 
+NIL 
+(-10 -8 (-15 -1310 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-1326 (((-121) $ $) 6))) 
+(((-105) (-1284)) (T -105)) 
+((-1310 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) (-1326 (*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121))))) 
+(-13 (-10 -8 (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 13 (|has| $ (-6 -4572)))) (-3800 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3324 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3141 (($ $ (-635 |#1|)) 15)) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 11)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 17)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4219 ((|#1| $ (-1 |#1| |#1| |#1|)) 25) (($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|)) 30)) (-2875 (($ $ |#1| (-1 |#1| |#1| |#1|)) 31) (($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|)) 35)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 10)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 9)) (-4016 (($) 16)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2339 (($ (-765) |#1|) 19)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-106 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2339 ($ (-765) |#1|)) (-15 -3141 ($ $ (-635 |#1|))) (-15 -4219 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -4219 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) (-1093)) (T -106)) 
+((-2339 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-106 *3)) (-4 *3 (-1093)))) (-3141 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) (-4219 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1093)))) (-4219 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) (-2875 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2)))) (-2875 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2339 ($ (-765) |#1|)) (-15 -3141 ($ $ (-635 |#1|))) (-15 -4219 (|#1| $ (-1 |#1| |#1| |#1|))) (-15 -4219 ($ $ $ (-1 |#1| |#1| |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 |#1| |#1| |#1|))) (-15 -2875 ($ $ |#1| (-1 (-635 |#1|) |#1| |#1| |#1|))))) 
+((-1836 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 20)) (-1438 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|)) 17)) (-1670 (((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)) 21))) 
+(((-107 |#1|) (-10 -7 (-15 -1438 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1836 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1670 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-1049)) (T -107)) 
+((-1670 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-1836 (*1 *2 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4)))) (-1438 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(-10 -7 (-15 -1438 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1836 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|))) (-15 -1670 ((-1 (-635 |#1|) |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
+((-4539 ((|#3| |#2| |#2|) 28)) (-1872 ((|#1| |#2| |#2|) 36 (|has| |#1| (-6 (-4573 "*"))))) (-1386 ((|#3| |#2| |#2|) 29)) (-1820 ((|#1| |#2|) 40 (|has| |#1| (-6 (-4573 "*")))))) 
+(((-108 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4539 (|#3| |#2| |#2|)) (-15 -1386 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4573 "*"))) (PROGN (-15 -1872 (|#1| |#2| |#2|)) (-15 -1820 (|#1| |#2|))) |noBranch|)) (-1049) (-1228 |#1|) (-679 |#1| |#4| |#5|) (-376 |#1|) (-376 |#1|)) (T -108)) 
+((-1820 (*1 *2 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6)))) (-1872 (*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6)))) (-1386 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-4539 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(-10 -7 (-15 -4539 (|#3| |#2| |#2|)) (-15 -1386 (|#3| |#2| |#2|)) (IF (|has| |#1| (-6 (-4573 "*"))) (PROGN (-15 -1872 (|#1| |#2| |#2|)) (-15 -1820 (|#1| |#2|))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3203 (((-635 (-1165))) 32)) (-2950 (((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165)) 35)) (-1326 (((-121) $ $) NIL))) 
+(((-109) (-13 (-1093) (-10 -7 (-15 -3203 ((-635 (-1165)))) (-15 -2950 ((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165))) (-6 -4571)))) (T -109)) 
+((-3203 (*1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-109)))) (-2950 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216))))) (-5 *1 (-109))))) 
+(-13 (-1093) (-10 -7 (-15 -3203 ((-635 (-1165)))) (-15 -2950 ((-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216)))) (-1165))) (-6 -4571))) 
+((-1753 (($ (-635 |#2|)) 11))) 
+(((-110 |#1| |#2|) (-10 -8 (-15 -1753 (|#1| (-635 |#2|)))) (-111 |#2|) (-1199)) (T -110)) 
+NIL 
+(-10 -8 (-15 -1753 (|#1| (-635 |#2|)))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-111 |#1|) (-1284) (-1199)) (T -111)) 
+((-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-111 *3)))) (-2166 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) (-2351 (*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) (-4496 (*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199))))) 
+(-13 (-500 |t#1|) (-10 -8 (-6 -4572) (-15 -1753 ($ (-635 |t#1|))) (-15 -2166 (|t#1| $)) (-15 -2351 ($ |t#1| $)) (-15 -4496 (|t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 2) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-1966 (($ (-410 (-569))) 8)) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-112) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 2) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -1966 ($ (-410 (-569))))))) (T -112)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 2)) (-5 *1 (-112)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) (-1966 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112))))) 
+(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 2) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -1966 ($ (-410 (-569)))))) 
+((-1310 (((-121) $ $) NIL)) (-2255 (((-1111) $ (-1111)) 23)) (-3284 (($ $ (-1147)) 17)) (-4006 (((-3 (-1111) "failed") $) 22)) (-3780 (((-1111) $) 20)) (-1363 (((-1111) $ (-1111)) 25)) (-3988 (((-1111) $) 24)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) 16)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-3956 (((-852) $) NIL)) (-2520 (($ $) 18)) (-1326 (((-121) $ $) NIL))) 
+(((-113) (-13 (-367 (-391) (-1111)) (-10 -8 (-15 -4006 ((-3 (-1111) "failed") $)) (-15 -3988 ((-1111) $)) (-15 -1363 ((-1111) $ (-1111)))))) (T -113)) 
+((-4006 (*1 *2 *1) (|partial| -12 (-5 *2 (-1111)) (-5 *1 (-113)))) (-3988 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-113)))) (-1363 (*1 *2 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-113))))) 
+(-13 (-367 (-391) (-1111)) (-10 -8 (-15 -4006 ((-3 (-1111) "failed") $)) (-15 -3988 ((-1111) $)) (-15 -1363 ((-1111) $ (-1111))))) 
+((-1310 (((-121) $ $) NIL)) (-1771 (($ $) NIL)) (-1800 (($ $ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-121) (-844)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-121) $ (-1219 (-569)) (-121)) NIL (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3503 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3982 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) NIL)) (-3988 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1093))) (((-569) (-121) $) NIL (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) NIL)) (-4303 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-2472 (($ $ $) NIL)) (-3182 (($ $) NIL)) (-2327 (($ $ $) NIL)) (-2446 (($ (-765) (-121)) 8)) (-1681 (($ $ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL)) (-2102 (($ $ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4457 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL)) (-2089 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) NIL) (($ (-1 (-121) (-121)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-121) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2417 (($ $ (-121)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (($ $ (-1219 (-569))) NIL) (((-121) $ (-569)) NIL) (((-121) $ (-569) (-121)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2691 (((-765) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093)))) (((-765) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) NIL)) (-4456 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3956 (((-852) $) NIL)) (-4420 (($ (-765) (-121)) 9)) (-3776 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3993 (($ $ $) NIL)) (-3403 (($ $) NIL)) (-1294 (($ $ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1637 (($ $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-114) (-13 (-133) (-10 -8 (-15 -4420 ($ (-765) (-121)))))) (T -114)) 
+((-4420 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-121)) (-5 *1 (-114))))) 
+(-13 (-133) (-10 -8 (-15 -4420 ($ (-765) (-121))))) 
+((-2159 (((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111)) 33)) (-2194 (((-569) (-1111) (-960 (-170 (-216))) (-1111)) 32)) (-2231 (((-569) (-569) (-960 (-382)) (-569)) 31)) (-2262 (((-569) (-569) (-960 (-216)) (-569)) 29)) (-2298 (((-569) (-569) (-960 (-170 (-382))) (-569)) 28)) (-2334 (((-216) (-1111) (-960 (-170 (-216))) (-1111)) 25)) (-2371 (((-216) (-1111) (-960 (-170 (-216))) (-1111)) 24)) (-2418 (((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 22)) (-2451 (((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111)) 21)) (-2489 (((-960 (-216)) (-216) (-216) (-216) (-216)) 18)) (-2530 (((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216)) 20)) (-2570 (((-216) (-1111) (-960 (-216)) (-1111)) 17)) (-2608 (((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 16)) (-2953 (((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 15)) (-3209 (((-216) (-170 (-216))) 10)) (-2360 (((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111)) 14)) (-3232 (((-216) (-1111) (-960 (-216)) (-1111)) 13))) 
+(((-115) (-10 -7 (-15 -3209 ((-216) (-170 (-216)))) (-15 -3232 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2360 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2953 ((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2608 ((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2570 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2489 ((-960 (-216)) (-216) (-216) (-216) (-216))) (-15 -2530 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216))) (-15 -2451 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111))) (-15 -2418 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2371 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2334 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2298 ((-569) (-569) (-960 (-170 (-382))) (-569))) (-15 -2262 ((-569) (-569) (-960 (-216)) (-569))) (-15 -2231 ((-569) (-569) (-960 (-382)) (-569))) (-15 -2194 ((-569) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2159 ((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111))))) (T -115)) 
+((-2159 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-170 (-216)))) (-5 *3 (-1111)) (-5 *4 (-170 (-216))) (-5 *1 (-115)))) (-2194 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-569)) (-5 *1 (-115)))) (-2231 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-382))) (-5 *1 (-115)))) (-2262 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-216))) (-5 *1 (-115)))) (-2298 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-170 (-382)))) (-5 *1 (-115)))) (-2334 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2371 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2418 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-635 (-960 (-216)))) (-5 *1 (-115)) (-5 *4 (-960 (-216))))) (-2451 (*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115)))) (-2530 (*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1111)) (-5 *5 (-216)) (-5 *2 (-635 (-960 *5))) (-5 *1 (-115)) (-5 *4 (-960 *5)))) (-2489 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-960 (-216))) (-5 *1 (-115)) (-5 *3 (-216)))) (-2570 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2608 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-2953 (*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *1 (-115)))) (-2360 (*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115)))) (-3232 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115)))) (-3209 (*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(-10 -7 (-15 -3209 ((-216) (-170 (-216)))) (-15 -3232 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2360 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2953 ((-960 (-216)) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2608 ((-216) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2570 ((-216) (-1111) (-960 (-216)) (-1111))) (-15 -2489 ((-960 (-216)) (-216) (-216) (-216) (-216))) (-15 -2530 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111) (-216) (-216))) (-15 -2451 ((-960 (-216)) (-1111) (-216) (-960 (-216)) (-1111))) (-15 -2418 ((-635 (-960 (-216))) (-1111) (-960 (-216)) (-1111) (-960 (-216)) (-1111))) (-15 -2371 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2334 ((-216) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2298 ((-569) (-569) (-960 (-170 (-382))) (-569))) (-15 -2262 ((-569) (-569) (-960 (-216)) (-569))) (-15 -2231 ((-569) (-569) (-960 (-382)) (-569))) (-15 -2194 ((-569) (-1111) (-960 (-170 (-216))) (-1111))) (-15 -2159 ((-960 (-170 (-216))) (-1111) (-170 (-216)) (-960 (-170 (-216))) (-1111) (-960 (-170 (-216))) (-1111)))) 
+((-1310 (((-121) $ $) NIL)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) 17)) (-3683 (((-569) $) 14)) (-4225 (((-569) $) 15)) (-4246 (((-569) $) 16)) (-2605 (((-1147) $) NIL)) (-3863 (((-121) $) 8)) (-1912 (((-1111) $) NIL)) (-3009 (((-569) $) 12)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 11)) (-3956 (((-852) $) 19) (($ (-635 (-569))) NIL)) (-2822 (((-569) $) 13)) (-1326 (((-121) $ $) NIL))) 
 (((-116) (-13 (-117) (-10 -7 (-6 |HamburgerNoether|)))) (T -116)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |HamburgerNoether|))) 
-((-2568 (((-121) $ $) 7)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3494 (((-569) $) 17)) (-3735 (((-569) $) 15)) (-4250 (((-569) $) 13)) (-2776 (((-1145) $) 9)) (-3918 (((-121) $) 14)) (-3360 (((-1109) $) 10)) (-2741 (((-569) $) 19)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-2185 (((-851) $) 11) (($ (-635 (-569))) 20)) (-3652 (((-569) $) 18)) (-1668 (((-121) $ $) 6))) 
-(((-117) (-1278)) (T -117)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) (-2741 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3652 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3494 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3468 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-3735 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3918 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-4250 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-1612 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2741 ((-569) $)) (-15 -3652 ((-569) $)) (-15 -3494 ((-569) $)) (-15 -3468 ($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -3735 ((-569) $)) (-15 -3918 ((-121) $)) (-15 -4250 ((-569) $)) (-15 -1612 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1612 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3494 (((-569) $) 14)) (-3735 (((-569) $) 11)) (-4250 (((-569) $) 15)) (-2776 (((-1145) $) NIL)) (-3918 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2741 (((-569) $) 12)) (-3468 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-2185 (((-851) $) 17) (($ (-635 (-569))) 10)) (-3652 (((-569) $) 13)) (-1668 (((-121) $ $) NIL))) 
+((-1310 (((-121) $ $) 7)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) 12)) (-3683 (((-569) $) 17)) (-4225 (((-569) $) 15)) (-4246 (((-569) $) 13)) (-2605 (((-1147) $) 9)) (-3863 (((-121) $) 14)) (-1912 (((-1111) $) 10)) (-3009 (((-569) $) 19)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) 16)) (-3956 (((-852) $) 11) (($ (-635 (-569))) 20)) (-2822 (((-569) $) 18)) (-1326 (((-121) $ $) 6))) 
+(((-117) (-1284)) (T -117)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) (-3009 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-2822 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3683 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-4252 (*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117)))) (-4225 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-3863 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121)))) (-4246 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569)))) (-1425 (*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -3009 ((-569) $)) (-15 -2822 ((-569) $)) (-15 -3683 ((-569) $)) (-15 -4252 ($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -4225 ((-569) $)) (-15 -3863 ((-121) $)) (-15 -4246 ((-569) $)) (-15 -1425 ((-3 "left" "center" "right" "vertical" "horizontal") $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1425 (((-3 "left" "center" "right" "vertical" "horizontal") $) NIL)) (-3683 (((-569) $) 14)) (-4225 (((-569) $) 11)) (-4246 (((-569) $) 15)) (-2605 (((-1147) $) NIL)) (-3863 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3009 (((-569) $) 12)) (-4252 (($ (-569) (-569) (-569) (-569) (-569) (-121) (-3 "left" "center" "right" "vertical" "horizontal")) NIL)) (-3956 (((-852) $) 17) (($ (-635 (-569))) 10)) (-2822 (((-569) $) 13)) (-1326 (((-121) $ $) NIL))) 
 (((-118) (-13 (-117) (-10 -7 (-6 |QuadraticTransform|)))) (T -118)) 
 NIL 
 (-13 (-117) (-10 -7 (-6 |QuadraticTransform|))) 
-((-3561 (((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-1438 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|) 54)) (-3149 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|) 99)) (-1349 (((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) NIL)) (-4151 ((|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|) 105)) (-1437 ((|#3| |#3| |#5|) 107))) 
-(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1437 (|#3| |#3| |#5|)) (-15 -1438 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|)) (-15 -3561 ((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1349 ((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|))) (-15 -3149 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|)) (-15 -4151 (|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|))) (-366) (-635 (-1163)) (-325 |#1| |#4|) (-231 (-4168 |#2|) (-764)) (-117)) (T -119)) 
-((-4151 (*1 *2 *3 *4) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *4 (-117)))) (-3149 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117)))) (-1349 (*1 *2 *3) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117)))) (-3561 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *9 (-231 (-4168 *7) (-764))) (-5 *2 (-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117)))) (-1438 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-5 *3 (-764)) (-14 *6 (-635 (-1163))) (-4 *8 (-231 (-4168 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117)))) (-1437 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
-(-10 -7 (-15 -1437 (|#3| |#3| |#5|)) (-15 -1438 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-764) |#5|)) (-15 -3561 ((-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1349 ((-635 (-635 (-764))) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|))) (-15 -3149 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#3| |#5|)) (-15 -4151 (|#3| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) |#5|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
-(((-120 |#1| |#2|) (-1278) (-1048) (-1048)) (T -120)) 
-NIL 
-(-13 (-638 |t#1|) (-1054 |t#2|) (-10 -7 (-6 -4530) (-6 -4529))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-1054 |#2|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1679 (($ $) 12)) (-2283 (($ $ $) 17)) (-1495 (($) 8 T CONST)) (-1314 (((-121) $) 7)) (-2085 (((-764)) 24)) (-4327 (($) 30)) (-3447 (($ $ $) 15)) (-3864 (($ $) 10)) (-3819 (($ $ $) 18)) (-4481 (($ $ $) 19)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2083 (((-918) $) 29)) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 28)) (-4174 (($ $ $) 21)) (-3360 (((-1109) $) NIL)) (-2725 (($) 9 T CONST)) (-3817 (((-542) $) 36)) (-2185 (((-851) $) 39)) (-2206 (($ $ $) 13)) (-2427 (($ $) 11)) (-2547 (($ $ $) 16)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 22)) (-2540 (($ $ $) 14))) 
-(((-121) (-13 (-843) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -1495 ($) -2043) (-15 -2725 ($) -2043) (-15 -2427 ($ $)) (-15 -3864 ($ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -4174 ($ $ $)) (-15 -1314 ((-121) $))))) (T -121)) 
-((-1495 (*1 *1) (-5 *1 (-121))) (-2725 (*1 *1) (-5 *1 (-121))) (-2427 (*1 *1 *1) (-5 *1 (-121))) (-3864 (*1 *1 *1) (-5 *1 (-121))) (-2206 (*1 *1 *1 *1) (-5 *1 (-121))) (-3447 (*1 *1 *1 *1) (-5 *1 (-121))) (-2283 (*1 *1 *1 *1) (-5 *1 (-121))) (-4481 (*1 *1 *1 *1) (-5 *1 (-121))) (-3819 (*1 *1 *1 *1) (-5 *1 (-121))) (-4174 (*1 *1 *1 *1) (-5 *1 (-121))) (-1314 (*1 *1 *1) (-5 *1 (-121)))) 
-(-13 (-843) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -1495 ($) -2043) (-15 -2725 ($) -2043) (-15 -2427 ($ $)) (-15 -3864 ($ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -4174 ($ $ $)) (-15 -1314 ((-121) $)))) 
-((-3350 (((-3 (-1 |#1| (-635 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-635 |#1|))) 11) (((-3 |#1| "failed") (-123) (-635 |#1|)) 20)) (-4148 (((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-635 (-1 |#1| (-635 |#1|)))) 26)) (-2110 (((-123) |#1|) 53 (|has| |#1| (-843)))) (-1921 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-843))))) 
-(((-122 |#1|) (-10 -7 (-15 -3350 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -3350 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -3350 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3350 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -4148 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -4148 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4148 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-843)) (PROGN (-15 -2110 ((-123) |#1|)) (-15 -1921 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1091)) (T -122)) 
-((-1921 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-122 *2)))) (-2110 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-843)) (-4 *3 (-1091)))) (-4148 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) (-4148 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-4148 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) (-3350 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) (-3350 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1091))))) 
-(-10 -7 (-15 -3350 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -3350 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -3350 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3350 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -4148 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -4148 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4148 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-843)) (PROGN (-15 -2110 ((-123) |#1|)) (-15 -1921 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) 68) (($ $ (-764)) 30)) (-4280 (((-121) $) 32)) (-4446 (($ $ (-1145) (-767)) 26)) (-3286 (($ $ (-50 (-1145) (-767))) 13)) (-3570 (((-3 (-767) "failed") $ (-1145)) 24)) (-2267 (((-50 (-1145) (-767)) $) 12)) (-2265 (($ (-1163)) 15) (($ (-1163) (-764)) 20)) (-3209 (((-121) $) 31)) (-1937 (((-121) $) 33)) (-1486 (((-1163) $) 8)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-4029 (((-121) $ (-1163)) 10)) (-1310 (($ $ (-1 (-542) (-635 (-542)))) 50) (((-3 (-1 (-542) (-635 (-542))) "failed") $) 54)) (-3360 (((-1109) $) NIL)) (-3528 (((-121) $ (-1145)) 29)) (-2841 (($ $ (-1 (-121) $ $)) 35)) (-3615 (((-3 (-1 (-851) (-635 (-851))) "failed") $) 52) (($ $ (-1 (-851) (-635 (-851)))) 41) (($ $ (-1 (-851) (-851))) 43)) (-3538 (($ $ (-1145)) 45)) (-1971 (($ $) 61)) (-3270 (($ $ (-1 (-121) $ $)) 36)) (-2185 (((-851) $) 48)) (-4399 (($ $ (-1145)) 27)) (-1615 (((-3 (-764) "failed") $) 56)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 67)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 72))) 
-(((-123) (-13 (-843) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2267 ((-50 (-1145) (-767)) $)) (-15 -1971 ($ $)) (-15 -2265 ($ (-1163))) (-15 -2265 ($ (-1163) (-764))) (-15 -1615 ((-3 (-764) "failed") $)) (-15 -3209 ((-121) $)) (-15 -4280 ((-121) $)) (-15 -1937 ((-121) $)) (-15 -2496 ((-764) $)) (-15 -2496 ($ $ (-764))) (-15 -2841 ($ $ (-1 (-121) $ $))) (-15 -3270 ($ $ (-1 (-121) $ $))) (-15 -3615 ((-3 (-1 (-851) (-635 (-851))) "failed") $)) (-15 -3615 ($ $ (-1 (-851) (-635 (-851))))) (-15 -3615 ($ $ (-1 (-851) (-851)))) (-15 -1310 ($ $ (-1 (-542) (-635 (-542))))) (-15 -1310 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -4029 ((-121) $ (-1163))) (-15 -3528 ((-121) $ (-1145))) (-15 -4399 ($ $ (-1145))) (-15 -3538 ($ $ (-1145))) (-15 -3570 ((-3 (-767) "failed") $ (-1145))) (-15 -4446 ($ $ (-1145) (-767))) (-15 -3286 ($ $ (-50 (-1145) (-767))))))) (T -123)) 
-((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) (-2267 (*1 *2 *1) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123)))) (-1971 (*1 *1 *1) (-5 *1 (-123))) (-2265 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) (-2265 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *1 (-123)))) (-1615 (*1 *2 *1) (|partial| -12 (-5 *2 (-764)) (-5 *1 (-123)))) (-3209 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-4280 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-1937 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-2496 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) (-2496 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) (-2841 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-3270 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-3615 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) (-3615 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) (-3615 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-851))) (-5 *1 (-123)))) (-1310 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-1310 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3528 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-123)))) (-4399 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) (-3538 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) (-3570 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-767)) (-5 *1 (-123)))) (-4446 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-767)) (-5 *1 (-123)))) (-3286 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
-(-13 (-843) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2267 ((-50 (-1145) (-767)) $)) (-15 -1971 ($ $)) (-15 -2265 ($ (-1163))) (-15 -2265 ($ (-1163) (-764))) (-15 -1615 ((-3 (-764) "failed") $)) (-15 -3209 ((-121) $)) (-15 -4280 ((-121) $)) (-15 -1937 ((-121) $)) (-15 -2496 ((-764) $)) (-15 -2496 ($ $ (-764))) (-15 -2841 ($ $ (-1 (-121) $ $))) (-15 -3270 ($ $ (-1 (-121) $ $))) (-15 -3615 ((-3 (-1 (-851) (-635 (-851))) "failed") $)) (-15 -3615 ($ $ (-1 (-851) (-635 (-851))))) (-15 -3615 ($ $ (-1 (-851) (-851)))) (-15 -1310 ($ $ (-1 (-542) (-635 (-542))))) (-15 -1310 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -4029 ((-121) $ (-1163))) (-15 -3528 ((-121) $ (-1145))) (-15 -4399 ($ $ (-1145))) (-15 -3538 ($ $ (-1145))) (-15 -3570 ((-3 (-767) "failed") $ (-1145))) (-15 -4446 ($ $ (-1145) (-767))) (-15 -3286 ($ $ (-50 (-1145) (-767)))))) 
-((-3001 (((-569) |#2|) 36))) 
-(((-124 |#1| |#2|) (-10 -7 (-15 -3001 ((-569) |#2|))) (-13 (-366) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -124)) 
-((-3001 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1038 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -3001 ((-569) |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1333 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) NIL)) (-2340 (((-569) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-1143 (-569)) $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-125 |#1|) (-864 |#1|) (-569)) (T -125)) 
-NIL 
-(-864 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-125 |#1|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-125 |#1|) (-1038 (-569))))) (-2428 (((-125 |#1|) $) NIL) (((-1163) $) NIL (|has| (-125 |#1|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-125 |#1|) (-1038 (-569)))) (((-569) $) NIL (|has| (-125 |#1|) (-1038 (-569))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-125 |#1|))) (|:| |vec| (-1247 (-125 |#1|)))) (-680 $) (-1247 $)) NIL) (((-680 (-125 |#1|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-125 |#1|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-125 |#1|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-125 |#1|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-125 |#1|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-125 |#1|) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-125 |#1|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-125 |#1|) (-843)))) (-1538 (($ $ $) NIL (|has| (-125 |#1|) (-843)))) (-1544 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-125 |#1|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-125 |#1|) (-302)))) (-2942 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-125 |#1|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-125 |#1|)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-289 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-289 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-1163)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-524 (-1163) (-125 |#1|)))) (($ $ (-1163) (-125 |#1|)) NIL (|has| (-125 |#1|) (-524 (-1163) (-125 |#1|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-764)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-125 |#1|) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-125 |#1|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-125 |#1|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-125 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-125 |#1|) (-1022))) (((-216) $) NIL (|has| (-125 |#1|) (-1022)))) (-1303 (((-174 (-410 (-569))) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-125 |#1|)) NIL) (($ (-1163)) NIL (|has| (-125 |#1|) (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-905))) (|has| (-125 |#1|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) NIL)) (-1616 (($ $) NIL (|has| (-125 |#1|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-125 |#1|) (-896 (-1163)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-764)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-125 |#1|) (-843)))) (-1715 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
-(((-126 |#1|) (-13 (-994 (-125 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569)) (T -126)) 
-((-2994 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-1303 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) (-1783 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
-(-13 (-994 (-125 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
-((-4469 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-4032 (((-635 $) $) 27)) (-4349 (((-121) $ $) 32)) (-3660 (((-121) |#2| $) 36)) (-2824 (((-635 |#2|) $) 22)) (-3486 (((-121) $) 16)) (-1534 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-1472 (((-121) $) 45)) (-2185 (((-851) $) 41)) (-4114 (((-635 $) $) 28)) (-1668 (((-121) $ $) 34)) (-4168 (((-764) $) 43))) 
-(((-127 |#1| |#2|) (-10 -8 (-15 -4469 (|#1| |#1| "right" |#1|)) (-15 -4469 (|#1| |#1| "left" |#1|)) (-15 -1534 (|#1| |#1| "right")) (-15 -1534 (|#1| |#1| "left")) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2824 ((-635 |#2|) |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -4168 ((-764) |#1|))) (-128 |#2|) (-1197)) (T -127)) 
-NIL 
-(-10 -8 (-15 -4469 (|#1| |#1| "right" |#1|)) (-15 -4469 (|#1| |#1| "left" |#1|)) (-15 -1534 (|#1| |#1| "right")) (-15 -1534 (|#1| |#1| "left")) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2824 ((-635 |#2|) |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -3660 ((-121) |#2| |#1|)) (-15 -4168 ((-764) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 49 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 51 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) (($ $ "left" $) 52 (|has| $ (-6 -4536))) (($ $ "right" $) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1869 (($ $) 54)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-3833 (($ $) 56)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-128 |#1|) (-1278) (-1197)) (T -128)) 
-((-3833 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-1869 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-1690 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) (-2587 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
-(-13 (-1011 |t#1|) (-10 -8 (-15 -3833 ($ $)) (-15 -1534 ($ $ "left")) (-15 -1869 ($ $)) (-15 -1534 ($ $ "right")) (IF (|has| $ (-6 -4536)) (PROGN (-15 -4469 ($ $ "left" $)) (-15 -1690 ($ $ $)) (-15 -4469 ($ $ "right" $)) (-15 -2587 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2868 (((-121) |#1|) 24)) (-3680 (((-764) (-764)) 23) (((-764)) 22)) (-4513 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
-(((-129 |#1|) (-10 -7 (-15 -4513 ((-121) |#1|)) (-15 -4513 ((-121) |#1| (-121))) (-15 -3680 ((-764))) (-15 -3680 ((-764) (-764))) (-15 -2868 ((-121) |#1|))) (-1222 (-569))) (T -129)) 
-((-2868 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-3680 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-3680 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-4513 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) (-4513 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
-(-10 -7 (-15 -4513 ((-121) |#1|)) (-15 -4513 ((-121) |#1| (-121))) (-15 -3680 ((-764))) (-15 -3680 ((-764) (-764))) (-15 -2868 ((-121) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-2874 (((-3 $ "failed") (-1163) (-1163)) 31)) (-3360 (((-1109) $) NIL)) (-2880 (((-3 (-1163) "failed") $) 45)) (-3044 (((-3 $ (-569)) (-1163)) 36)) (-2886 (((-1171 (-1163) $)) 42)) (-2892 (((-635 $)) 40)) (-2899 (((-3 $ "failed") (-1163)) 19)) (-3817 (($ (-1163)) 27) (((-1163) $) NIL)) (-2185 (((-851) $) 21)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL))) 
-(((-130) (-13 (-843) (-10 -8 (-6 (-610 (-1163))) (-15 -2899 ((-3 $ "failed") (-1163))) (-15 -3817 ($ (-1163))) (-15 -2874 ((-3 $ "failed") (-1163) (-1163))) (-15 -3044 ((-3 $ (-569)) (-1163))) (-15 -2892 ((-635 $))) (-15 -2886 ((-1171 (-1163) $))) (-15 -2880 ((-3 (-1163) "failed") $))))) (T -130)) 
-((-2899 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-2874 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130)))) (-3044 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130)))) (-2892 (*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130)))) (-2886 (*1 *2) (-12 (-5 *2 (-1171 (-1163) (-130))) (-5 *1 (-130)))) (-2880 (*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
-(-13 (-843) (-10 -8 (-6 (-610 (-1163))) (-15 -2899 ((-3 $ "failed") (-1163))) (-15 -3817 ($ (-1163))) (-15 -2874 ((-3 $ "failed") (-1163) (-1163))) (-15 -3044 ((-3 $ (-569)) (-1163))) (-15 -2892 ((-635 $))) (-15 -2886 ((-1171 (-1163) $))) (-15 -2880 ((-3 (-1163) "failed") $)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 15)) (-4493 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-2587 (($ $ $) 18 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 20 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 17)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 23)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 19)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3873 (($ |#1| $) 24)) (-3172 (($ |#1| $) 10)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 8)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4271 (($ (-635 |#1|)) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-131 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -4271 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)) (-15 -3873 ($ |#1| $)) (-15 -4493 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-843)) (T -131)) 
-((-4271 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-131 *3)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) (-3873 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) (-4493 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-843))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -4271 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)) (-15 -3873 ($ |#1| $)) (-15 -4493 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
-((-1679 (($ $) 14)) (-3864 (($ $) 11)) (-3819 (($ $ $) 24)) (-4481 (($ $ $) 22)) (-2427 (($ $) 12)) (-2547 (($ $ $) 20)) (-2540 (($ $ $) 18))) 
-(((-132 |#1|) (-10 -8 (-15 -3819 (|#1| |#1| |#1|)) (-15 -4481 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1|)) (-15 -3864 (|#1| |#1|)) (-15 -1679 (|#1| |#1|)) (-15 -2540 (|#1| |#1| |#1|)) (-15 -2547 (|#1| |#1| |#1|))) (-133)) (T -132)) 
-NIL 
-(-10 -8 (-15 -3819 (|#1| |#1| |#1|)) (-15 -4481 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1|)) (-15 -3864 (|#1| |#1|)) (-15 -1679 (|#1| |#1|)) (-15 -2540 (|#1| |#1| |#1|)) (-15 -2547 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-1679 (($ $) 103)) (-2283 (($ $ $) 24)) (-3112 (((-1252) $ (-569) (-569)) 66 (|has| $ (-6 -4536)))) (-3034 (((-121) $) 98 (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-3076 (($ $) 102 (-12 (|has| (-121) (-843)) (|has| $ (-6 -4536)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4536)))) (-3113 (($ $) 97 (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-1691 (((-121) $ (-764)) 37)) (-4469 (((-121) $ (-1213 (-569)) (-121)) 88 (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) 54 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4535)))) (-2820 (($) 38 T CONST)) (-1302 (($ $) 100 (|has| $ (-6 -4536)))) (-2052 (($ $) 90)) (-2033 (($ $) 68 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4535))) (($ (-121) $) 69 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-2726 (((-121) $ (-569) (-121)) 53 (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) 55)) (-3727 (((-569) (-121) $ (-569)) 95 (|has| (-121) (-1091))) (((-569) (-121) $) 94 (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) 93)) (-3470 (((-635 (-121)) $) 45 (|has| $ (-6 -4535)))) (-3447 (($ $ $) 25)) (-3864 (($ $) 30)) (-3819 (($ $ $) 27)) (-2659 (($ (-764) (-121)) 77)) (-4481 (($ $ $) 28)) (-1974 (((-121) $ (-764)) 36)) (-3557 (((-569) $) 63 (|has| (-569) (-843)))) (-3291 (($ $ $) 12)) (-3288 (($ $ $) 96 (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-4259 (((-635 (-121)) $) 46 (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 62 (|has| (-569) (-843)))) (-1538 (($ $ $) 13)) (-1853 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-2006 (((-121) $ (-764)) 35)) (-2776 (((-1145) $) 9)) (-3614 (($ $ $ (-569)) 87) (($ (-121) $ (-569)) 86)) (-4166 (((-635 (-569)) $) 60)) (-3533 (((-121) (-569) $) 59)) (-3360 (((-1109) $) 10)) (-4353 (((-121) $) 64 (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-3174 (($ $ (-121)) 65 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) 52 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) 50 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) 49 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) 31)) (-3672 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) 58)) (-1601 (((-121) $) 34)) (-1296 (($) 33)) (-1534 (($ $ (-1213 (-569))) 83) (((-121) $ (-569)) 57) (((-121) $ (-569) (-121)) 56)) (-3010 (($ $ (-1213 (-569))) 85) (($ $ (-569)) 84)) (-2846 (((-764) (-121) $) 47 (-12 (|has| (-121) (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) 99 (|has| $ (-6 -4536)))) (-1971 (($ $) 32)) (-3817 (((-542) $) 67 (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) 76)) (-2250 (($ (-635 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-2185 (((-851) $) 11)) (-2066 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4535)))) (-2206 (($ $ $) 26)) (-2427 (($ $) 29)) (-2547 (($ $ $) 105)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-2540 (($ $ $) 104)) (-4168 (((-764) $) 39 (|has| $ (-6 -4535))))) 
-(((-133) (-1278)) (T -133)) 
-((-3864 (*1 *1 *1) (-4 *1 (-133))) (-2427 (*1 *1 *1) (-4 *1 (-133))) (-4481 (*1 *1 *1 *1) (-4 *1 (-133))) (-3819 (*1 *1 *1 *1) (-4 *1 (-133))) (-2206 (*1 *1 *1 *1) (-4 *1 (-133))) (-3447 (*1 *1 *1 *1) (-4 *1 (-133))) (-2283 (*1 *1 *1 *1) (-4 *1 (-133)))) 
-(-13 (-843) (-652) (-19 (-121)) (-10 -8 (-15 -3864 ($ $)) (-15 -2427 ($ $)) (-15 -4481 ($ $ $)) (-15 -3819 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -2283 ($ $ $)))) 
-(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 (-121)) . T) ((-610 (-542)) |has| (-121) (-610 (-542))) ((-282 (-569) (-121)) . T) ((-284 (-569) (-121)) . T) ((-304 (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))) ((-376 (-121)) . T) ((-500 (-121)) . T) ((-602 (-569) (-121)) . T) ((-524 (-121) (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))) ((-641 (-121)) . T) ((-652) . T) ((-19 (-121)) . T) ((-843) . T) ((-1091) . T) ((-1197) . T)) 
-((-1853 (($ (-1 |#2| |#2|) $) 22)) (-1971 (($ $) 16)) (-4168 (((-764) $) 24))) 
-(((-134 |#1| |#2|) (-10 -8 (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1971 (|#1| |#1|))) (-135 |#2|) (-1091)) (T -134)) 
-NIL 
-(-10 -8 (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1971 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 49 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 51 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) (($ $ "left" $) 52 (|has| $ (-6 -4536))) (($ $ "right" $) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1869 (($ $) 54)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 57)) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-3833 (($ $) 56)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-135 |#1|) (-1278) (-1091)) (T -135)) 
-((-1323 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1091))))) 
-(-13 (-128 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -1323 ($ $ |t#1| $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-128 |#1|) . T) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 15)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 19 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 20 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 18 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 21)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ |#1| $) 10)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 8)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 17)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3488 (($ (-635 |#1|)) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-136 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4536) (-15 -3488 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)))) (-843)) (T -136)) 
-((-3488 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-136 *3)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-843))))) 
-(-13 (-135 |#1|) (-10 -8 (-6 -4536) (-15 -3488 ($ (-635 |#1|))) (-15 -3172 ($ |#1| $)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 24)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 26 (|has| $ (-6 -4536)))) (-2587 (($ $ $) 30 (|has| $ (-6 -4536)))) (-1690 (($ $ $) 28 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 20)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1323 (($ $ |#1| $) 15)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 19)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 21)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 18)) (-1296 (($) 11)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3368 (($ |#1|) 17) (($ $ |#1| $) 16)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 10 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-137 |#1|) (-13 (-135 |#1|) (-10 -8 (-15 -3368 ($ |#1|)) (-15 -3368 ($ $ |#1| $)))) (-1091)) (T -137)) 
-((-3368 (*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091)))) (-3368 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091))))) 
-(-13 (-135 |#1|) (-10 -8 (-15 -3368 ($ |#1|)) (-15 -3368 ($ $ |#1| $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14))) 
-(((-138) (-1278)) (T -138)) 
-((-2327 (*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
-(-13 (-23) (-10 -8 (-15 -2327 ((-3 $ "failed") $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-2441 (((-1252) $ (-764)) 18)) (-3727 (((-764) $) 19)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
-(((-139) (-1278)) (T -139)) 
-((-3727 (*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-764)))) (-2441 (*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-764)) (-5 *2 (-1252))))) 
-(-13 (-843) (-10 -8 (-15 -3727 ((-764) $)) (-15 -2441 ((-1252) $ (-764))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-764) "failed") $) 38)) (-2428 (((-764) $) 36)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) 26)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2680 (((-121)) 39)) (-1712 (((-121) (-121)) 41)) (-4129 (((-121) $) 23)) (-3293 (((-121) $) 35)) (-2185 (((-851) $) 22) (($ (-764)) 14)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 11 T CONST)) (-2789 (($ (-764)) 15)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 24)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 25)) (-1711 (((-3 $ "failed") $ $) 29)) (-1707 (($ $ $) 27)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ $) 34)) (* (($ (-764) $) 32) (($ (-918) $) NIL) (($ $ $) 30))) 
-(((-140) (-13 (-843) (-23) (-717) (-1038 (-764)) (-10 -8 (-6 (-4537 "*")) (-15 -1711 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -2789 ($ (-764))) (-15 -4129 ((-121) $)) (-15 -3293 ((-121) $)) (-15 -2680 ((-121))) (-15 -1712 ((-121) (-121)))))) (T -140)) 
-((-1711 (*1 *1 *1 *1) (|partial| -5 *1 (-140))) (** (*1 *1 *1 *1) (-5 *1 (-140))) (-2789 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-140)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-3293 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2680 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-1712 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(-13 (-843) (-23) (-717) (-1038 (-764)) (-10 -8 (-6 (-4537 "*")) (-15 -1711 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -2789 ($ (-764))) (-15 -4129 ((-121) $)) (-15 -3293 ((-121) $)) (-15 -2680 ((-121))) (-15 -1712 ((-121) (-121))))) 
-((-3682 (((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|)) 14)) (-1544 (((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)) 18))) 
-(((-141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3682 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -1544 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) (-569) (-764) (-173) (-173)) (T -141)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) (-3682 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -3682 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -1544 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) 
-((-2568 (((-121) $ $) NIL)) (-1761 (($ (-635 |#3|)) 38)) (-2853 (($ $) 97) (($ $ (-569) (-569)) 96)) (-2820 (($) 17)) (-1647 (((-3 |#3| "failed") $) 58)) (-2428 ((|#3| $) NIL)) (-2012 (($ $ (-635 (-569))) 98)) (-2168 (((-635 |#3|) $) 34)) (-1321 (((-764) $) 42)) (-1592 (($ $ $) 91)) (-3163 (($) 41)) (-2776 (((-1145) $) NIL)) (-1457 (($) 16)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $) 44) ((|#3| $ (-569)) 45) ((|#3| $ (-569) (-569)) 46) ((|#3| $ (-569) (-569) (-569)) 47) ((|#3| $ (-569) (-569) (-569) (-569)) 48) ((|#3| $ (-635 (-569))) 50)) (-2492 (((-764) $) 43)) (-2980 (($ $ (-569) $ (-569)) 92) (($ $ (-569) (-569)) 94)) (-2185 (((-851) $) 65) (($ |#3|) 66) (($ (-233 |#2| |#3|)) 73) (($ (-1128 |#2| |#3|)) 76) (($ (-635 |#3|)) 51) (($ (-635 $)) 56)) (-3369 (($) 67 T CONST)) (-1556 (($) 68 T CONST)) (-1668 (((-121) $ $) 78)) (-1711 (($ $) 84) (($ $ $) 82)) (-1707 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-569)) 87) (($ (-569) $) 86) (($ $ $) 93))) 
-(((-142 |#1| |#2| |#3|) (-13 (-471 |#3| (-764)) (-476 (-569) (-764)) (-10 -8 (-15 -2185 ($ (-233 |#2| |#3|))) (-15 -2185 ($ (-1128 |#2| |#3|))) (-15 -2185 ($ (-635 |#3|))) (-15 -2185 ($ (-635 $))) (-15 -1321 ((-764) $)) (-15 -1534 (|#3| $)) (-15 -1534 (|#3| $ (-569))) (-15 -1534 (|#3| $ (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-635 (-569)))) (-15 -1592 ($ $ $)) (-15 * ($ $ $)) (-15 -2980 ($ $ (-569) $ (-569))) (-15 -2980 ($ $ (-569) (-569))) (-15 -2853 ($ $)) (-15 -2853 ($ $ (-569) (-569))) (-15 -2012 ($ $ (-635 (-569)))) (-15 -1457 ($)) (-15 -3163 ($)) (-15 -2168 ((-635 |#3|) $)) (-15 -1761 ($ (-635 |#3|))) (-15 -2820 ($)))) (-569) (-764) (-173)) (T -142)) 
-((-1592 (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1128 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) (-1534 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-764)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-764)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2980 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2980 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2853 (*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2853 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) (-2012 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1457 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-3163 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) (-2168 (*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1761 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) (-2820 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
-(-13 (-471 |#3| (-764)) (-476 (-569) (-764)) (-10 -8 (-15 -2185 ($ (-233 |#2| |#3|))) (-15 -2185 ($ (-1128 |#2| |#3|))) (-15 -2185 ($ (-635 |#3|))) (-15 -2185 ($ (-635 $))) (-15 -1321 ((-764) $)) (-15 -1534 (|#3| $)) (-15 -1534 (|#3| $ (-569))) (-15 -1534 (|#3| $ (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -1534 (|#3| $ (-635 (-569)))) (-15 -1592 ($ $ $)) (-15 * ($ $ $)) (-15 -2980 ($ $ (-569) $ (-569))) (-15 -2980 ($ $ (-569) (-569))) (-15 -2853 ($ $)) (-15 -2853 ($ $ (-569) (-569))) (-15 -2012 ($ $ (-635 (-569)))) (-15 -1457 ($)) (-15 -3163 ($)) (-15 -2168 ((-635 |#3|) $)) (-15 -1761 ($ (-635 |#3|))) (-15 -2820 ($)))) 
-((-2568 (((-121) $ $) NIL)) (-2217 (($) 15 T CONST)) (-1460 (($) NIL (|has| (-148) (-371)))) (-1752 (($ $ $) 17) (($ $ (-148)) NIL) (($ (-148) $) NIL)) (-1981 (($ $ $) NIL)) (-2358 (((-121) $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| (-148) (-371)))) (-2195 (($) NIL) (($ (-635 (-148))) NIL)) (-4216 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4454 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (($ (-148) $) 51 (|has| $ (-6 -4535)))) (-4347 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4327 (($) NIL (|has| (-148) (-371)))) (-3470 (((-635 (-148)) $) 60 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3291 (((-148) $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 26 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1538 (((-148) $) NIL (|has| (-148) (-843)))) (-1853 (($ (-1 (-148) (-148)) $) 59 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 55)) (-2869 (($) 16 T CONST)) (-2083 (((-918) $) NIL (|has| (-148) (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 29)) (-3889 (((-148) $) 52)) (-3172 (($ (-148) $) 50)) (-3998 (($ (-918)) NIL (|has| (-148) (-371)))) (-3454 (($) 14 T CONST)) (-3360 (((-1109) $) NIL)) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-1856 (((-148) $) 53)) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 48)) (-3747 (($) 13 T CONST)) (-3290 (($ $ $) 31) (($ $ (-148)) NIL)) (-2566 (($ (-635 (-148))) NIL) (($) NIL)) (-2846 (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-1145) $) 36) (((-542) $) NIL (|has| (-148) (-610 (-542)))) (((-635 (-148)) $) 34)) (-2139 (($ (-635 (-148))) NIL)) (-3604 (($ $) 32 (|has| (-148) (-371)))) (-2185 (((-851) $) 46)) (-3208 (($ (-1145)) 12) (($ (-635 (-148))) 43)) (-1573 (((-764) $) NIL)) (-1959 (($) 49) (($ (-635 (-148))) NIL)) (-2793 (($ (-635 (-148))) NIL)) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2352 (($) 19 T CONST)) (-4290 (($) 18 T CONST)) (-1668 (((-121) $ $) 22)) (-1678 (((-121) $ $) NIL)) (-4168 (((-764) $) 47 (|has| $ (-6 -4535))))) 
-(((-143) (-13 (-1091) (-610 (-1145)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -3208 ($ (-1145))) (-15 -3208 ($ (-635 (-148)))) (-15 -3747 ($) -2043) (-15 -3454 ($) -2043) (-15 -2217 ($) -2043) (-15 -2869 ($) -2043) (-15 -4290 ($) -2043) (-15 -2352 ($) -2043)))) (T -143)) 
-((-3208 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-143)))) (-3208 (*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) (-3747 (*1 *1) (-5 *1 (-143))) (-3454 (*1 *1) (-5 *1 (-143))) (-2217 (*1 *1) (-5 *1 (-143))) (-2869 (*1 *1) (-5 *1 (-143))) (-4290 (*1 *1) (-5 *1 (-143))) (-2352 (*1 *1) (-5 *1 (-143)))) 
-(-13 (-1091) (-610 (-1145)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -3208 ($ (-1145))) (-15 -3208 ($ (-635 (-148)))) (-15 -3747 ($) -2043) (-15 -3454 ($) -2043) (-15 -2217 ($) -2043) (-15 -2869 ($) -2043) (-15 -4290 ($) -2043) (-15 -2352 ($) -2043))) 
-((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-1733 ((|#1| |#3|) 9)) (-1839 ((|#3| |#3|) 15))) 
-(((-144 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-994 |#1|) (-376 |#2|)) (T -144)) 
-((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) (-1839 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4))))) 
-(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-2568 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-146)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-146)) NIL)) (-3443 (($ $ (-569) (-146)) NIL)) (-1574 (($ (-764) (-170 (-216))) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| (-170 (-216)) (-302)))) (-1765 (((-146) $ (-569)) NIL)) (-1321 (((-764) $) NIL (|has| (-170 (-216)) (-559)))) (-2726 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) 16)) (-2090 (($ (-569) (-569)) 18)) (-1618 (((-170 (-216)) $ (-569) (-569)) 15)) (-2333 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-173)))) (-3470 (((-635 (-170 (-216))) $) NIL)) (-3695 (((-764) $) NIL (|has| (-170 (-216)) (-559)))) (-3645 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-559)))) (-1810 (((-764) $) 10)) (-2659 (($ (-764) (-764) (-170 (-216))) 19)) (-2806 (((-764) $) 11)) (-1974 (((-121) $ (-764)) NIL)) (-1558 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4537 "*"))))) (-3992 (((-569) $) 7)) (-3127 (((-569) $) 8)) (-4259 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1866 (((-569) $) 12)) (-1581 (((-569) $) 13)) (-1483 (($ (-635 (-635 (-170 (-216))))) NIL)) (-1853 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL)) (-1544 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $ (-170 (-216))) NIL)) (-2550 (((-635 (-635 (-170 (-216)))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-170 (-216)) (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| (-170 (-216)) (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| (-170 (-216)) (-1091)))) (-3174 (($ $ (-170 (-216))) NIL)) (-2941 (((-3 $ "failed") $ (-170 (-216))) NIL (|has| (-170 (-216)) (-559)))) (-4177 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 17)) (-1534 (((-170 (-216)) $ (-569) (-569)) NIL) (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 (-170 (-216)))) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535))) (((-764) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-302)))) (-3419 (((-146) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| (-170 (-216)) (-1091))) (($ (-146)) NIL)) (-2066 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-1715 (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-170 (-216)) (-366)))) (* (($ $ $) NIL) (($ (-170 (-216)) $) NIL) (($ $ (-170 (-216))) NIL) (($ (-569) $) NIL) (((-146) $ (-146)) NIL) (((-146) (-146) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-145) (-13 (-678 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2090 ($ (-569) (-569)))))) (T -145)) 
-((-2090 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145))))) 
-(-13 (-678 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2090 ($ (-569) (-569))))) 
-((-2568 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-2418 (($ (-764)) NIL (|has| (-170 (-216)) (-23)))) (-3916 (($ (-635 (-170 (-216)))) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (((-121) $) NIL (|has| (-170 (-216)) (-843)))) (-3076 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-170 (-216)) (-843))))) (-3113 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (($ $) NIL (|has| (-170 (-216)) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-170 (-216)) $ (-569) (-170 (-216))) 18 (|has| $ (-6 -4536))) (((-170 (-216)) $ (-1213 (-569)) (-170 (-216))) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-4347 (($ (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091)))) (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091)))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216))) NIL (|has| $ (-6 -4535))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-170 (-216)) $ (-569) (-170 (-216))) 9 (|has| $ (-6 -4536)))) (-2090 (($ (-569)) 14)) (-1618 (((-170 (-216)) $ (-569)) 8)) (-3727 (((-569) (-1 (-121) (-170 (-216))) $) NIL) (((-569) (-170 (-216)) $) NIL (|has| (-170 (-216)) (-1091))) (((-569) (-170 (-216)) $ (-569)) NIL (|has| (-170 (-216)) (-1091)))) (-3470 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 (-170 (-216))) $ $) NIL (|has| (-170 (-216)) (-1048)))) (-2659 (($ (-764) (-170 (-216))) 16)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-3288 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-4259 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-170 (-216)) (-843)))) (-1853 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL)) (-2456 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1003)) (|has| (-170 (-216)) (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1003)) (|has| (-170 (-216)) (-1048))))) (-2776 (((-1145) $) NIL (|has| (-170 (-216)) (-1091)))) (-3614 (($ (-170 (-216)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-170 (-216)) (-1091)))) (-4353 (((-170 (-216)) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-170 (-216)) "failed") (-1 (-121) (-170 (-216))) $) NIL)) (-3174 (($ $ (-170 (-216))) 15 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-2691 (((-635 (-170 (-216))) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 (((-170 (-216)) $ (-569) (-170 (-216))) NIL) (((-170 (-216)) $ (-569)) 17) (($ $ (-1213 (-569))) NIL)) (-2049 (((-170 (-216)) $ $) NIL (|has| (-170 (-216)) (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| (-170 (-216)) (-1048)))) (-2846 (((-764) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535))) (((-764) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-170 (-216)) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-170 (-216)) (-610 (-542))))) (-2139 (($ (-635 (-170 (-216)))) NIL)) (-2250 (($ $ (-170 (-216))) NIL) (($ (-170 (-216)) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-170 (-216)) (-1091)))) (-2066 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-170 (-216)) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-170 (-216)) (-843)))) (-1711 (($ $) NIL (|has| (-170 (-216)) (-21))) (($ $ $) NIL (|has| (-170 (-216)) (-21)))) (-1707 (($ $ $) NIL (|has| (-170 (-216)) (-25)))) (* (($ (-569) $) NIL (|has| (-170 (-216)) (-21))) (($ (-170 (-216)) $) NIL (|has| (-170 (-216)) (-717))) (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-717)))) (-4168 (((-764) $) 11 (|has| $ (-6 -4535))))) 
-(((-146) (-13 (-1245 (-170 (-216))) (-10 -8 (-15 -2090 ($ (-569))) (-15 -3916 ($ (-635 (-170 (-216)))))))) (T -146)) 
-((-2090 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) (-3916 (*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146))))) 
-(-13 (-1245 (-170 (-216))) (-10 -8 (-15 -2090 ($ (-569))) (-15 -3916 ($ (-635 (-170 (-216))))))) 
-((-2381 (($ $ $) 8)) (-1484 (($ $) 7)) (-4248 (($ $ $) 6))) 
-(((-147) (-1278)) (T -147)) 
-((-2381 (*1 *1 *1 *1) (-4 *1 (-147))) (-1484 (*1 *1 *1) (-4 *1 (-147))) (-4248 (*1 *1 *1 *1) (-4 *1 (-147)))) 
-(-13 (-10 -8 (-15 -4248 ($ $ $)) (-15 -1484 ($ $)) (-15 -2381 ($ $ $)))) 
-((-2568 (((-121) $ $) NIL)) (-3280 (((-121) $) 38)) (-2217 (($ $) 50)) (-2713 (($) 25)) (-2085 (((-764)) 16)) (-4327 (($) 24)) (-2413 (($) 26)) (-2599 (((-569) $) 21)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1935 (((-121) $) 40)) (-2869 (($ $) 51)) (-2083 (((-918) $) 22)) (-2776 (((-1145) $) 46)) (-3998 (($ (-918)) 20)) (-4366 (((-121) $) 36)) (-3360 (((-1109) $) NIL)) (-3065 (($) 27)) (-3945 (((-121) $) 34)) (-2185 (((-851) $) 29)) (-3114 (($ (-569)) 18) (($ (-1145)) 49)) (-4346 (((-121) $) 44)) (-2018 (((-121) $) 42)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 13)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 14))) 
-(((-148) (-13 (-837) (-10 -8 (-15 -2599 ((-569) $)) (-15 -3114 ($ (-569))) (-15 -3114 ($ (-1145))) (-15 -2713 ($)) (-15 -2413 ($)) (-15 -3065 ($)) (-15 -2217 ($ $)) (-15 -2869 ($ $)) (-15 -3945 ((-121) $)) (-15 -4366 ((-121) $)) (-15 -2018 ((-121) $)) (-15 -3280 ((-121) $)) (-15 -1935 ((-121) $)) (-15 -4346 ((-121) $))))) (T -148)) 
-((-2599 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-3114 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-3114 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-148)))) (-2713 (*1 *1) (-5 *1 (-148))) (-2413 (*1 *1) (-5 *1 (-148))) (-3065 (*1 *1) (-5 *1 (-148))) (-2217 (*1 *1 *1) (-5 *1 (-148))) (-2869 (*1 *1 *1) (-5 *1 (-148))) (-3945 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-4366 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2018 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3280 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1935 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-4346 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(-13 (-837) (-10 -8 (-15 -2599 ((-569) $)) (-15 -3114 ($ (-569))) (-15 -3114 ($ (-1145))) (-15 -2713 ($)) (-15 -2413 ($)) (-15 -3065 ($)) (-15 -2217 ($ $)) (-15 -2869 ($ $)) (-15 -3945 ((-121) $)) (-15 -4366 ((-121) $)) (-15 -2018 ((-121) $)) (-15 -3280 ((-121) $)) (-15 -1935 ((-121) $)) (-15 -4346 ((-121) $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-3953 (((-3 $ "failed") $) 34)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-149) (-1278)) (T -149)) 
-((-3953 (*1 *1 *1) (|partial| -4 *1 (-149)))) 
-(-13 (-1048) (-10 -8 (-15 -3953 ((-3 $ "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2742 ((|#1| (-680 |#1|) |#1|) 17))) 
-(((-150 |#1|) (-10 -7 (-15 -2742 (|#1| (-680 |#1|) |#1|))) (-173)) (T -150)) 
-((-2742 (*1 *2 *3 *2) (-12 (-5 *3 (-680 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2))))) 
-(-10 -7 (-15 -2742 (|#1| (-680 |#1|) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-151) (-1278)) (T -151)) 
-NIL 
-(-13 (-1048)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2024 (((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764)) 69)) (-3765 (((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|) 51)) (-1720 (((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-4150 ((|#1| |#3| |#3|) 39)) (-1468 ((|#3| |#3| (-410 |#2|) (-410 |#2|)) 19)) (-2814 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|) 48))) 
-(((-152 |#1| |#2| |#3|) (-10 -7 (-15 -1720 ((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3765 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|)) (-15 -2024 ((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764))) (-15 -4150 (|#1| |#3| |#3|)) (-15 -1468 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -2814 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|))) (-1202) (-1222 |#1|) (-1222 (-410 |#2|))) (T -152)) 
-((-2814 (*1 *2 *3 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5))))) (-1468 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1222 *3)))) (-4150 (*1 *2 *3 *3) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-1202)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-2024 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-764)) (-4 *7 (-1222 *3)))) (-3765 (*1 *2 *3) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5))))) (-1720 (*1 *2 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4140 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
-(-10 -7 (-15 -1720 ((-2 (|:| -4140 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3765 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-764))) "failed") |#3|)) (-15 -2024 ((-2 (|:| -2356 (-764)) (|:| -4140 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-764))) (-15 -4150 (|#1| |#3| |#3|)) (-15 -1468 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -2814 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-764))) |#3| |#3|))) 
-((-1593 (((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)) 31))) 
-(((-153 |#1| |#2|) (-10 -7 (-15 -1593 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)))) (-551) (-167 |#1|)) (T -153)) 
-((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5))))) 
-(-10 -7 (-15 -1593 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)))) 
-((-1962 (($ (-1 (-121) |#2|) $) 29)) (-2033 (($ $) 36)) (-4347 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-4177 (((-121) (-1 (-121) |#2|) $) 16)) (-2846 (((-764) (-1 (-121) |#2|) $) 13) (((-764) |#2| $) NIL)) (-2066 (((-121) (-1 (-121) |#2|) $) 15)) (-4168 (((-764) $) 11))) 
-(((-154 |#1| |#2|) (-10 -8 (-15 -2033 (|#1| |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) (-155 |#2|) (-1197)) (T -154)) 
-NIL 
-(-10 -8 (-15 -2033 (|#1| |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-1962 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 38 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535))) (($ |#1| $) 39 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 37 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 46)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-155 |#1|) (-1278) (-1197)) (T -155)) 
-((-2139 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-155 *3)))) (-2502 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-1774 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-1774 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) (-1774 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) (-4347 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-2033 (*1 *1 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091))))) 
-(-13 (-500 |t#1|) (-10 -8 (-15 -2139 ($ (-635 |t#1|))) (-15 -2502 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4535)) (PROGN (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -4347 ($ (-1 (-121) |t#1|) $)) (-15 -1962 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -1774 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -4347 ($ |t#1| $)) (-15 -2033 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 85)) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-635 (-918))) 56)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3086 (($ (-918)) 48)) (-2369 (((-140)) 23)) (-2185 (((-851) $) 68) (($ (-569)) 46) (($ |#2|) 47)) (-1653 ((|#2| $ (-635 (-918))) 58)) (-1991 (((-764)) 20)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 40 T CONST)) (-1556 (($) 44 T CONST)) (-1668 (((-121) $ $) 26)) (-1715 (($ $ |#2|) NIL)) (-1711 (($ $) 34) (($ $ $) 32)) (-1707 (($ $ $) 30)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
-(((-156 |#1| |#2| |#3|) (-13 (-1048) (-43 |#2|) (-1254 |#2|) (-10 -8 (-15 -3086 ($ (-918))) (-15 -1763 ($ |#2| (-635 (-918)))) (-15 -1653 (|#2| $ (-635 (-918)))) (-15 -3428 ((-3 $ "failed") $)))) (-918) (-366) (-995 |#1| |#2|)) (T -156)) 
-((-3428 (*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-918)) (-4 *3 (-366)) (-14 *4 (-995 *2 *3)))) (-3086 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-995 *3 *4)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-4 *2 (-366)) (-14 *5 (-995 *4 *2)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-918))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-14 *5 (-995 *4 *2))))) 
-(-13 (-1048) (-43 |#2|) (-1254 |#2|) (-10 -8 (-15 -3086 ($ (-918))) (-15 -1763 ($ |#2| (-635 (-918)))) (-15 -1653 (|#2| $ (-635 (-918)))) (-15 -3428 ((-3 $ "failed") $)))) 
-((-3748 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216)) 38)) (-4328 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569))) 62) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928)) 63)) (-3341 (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216))))) 66) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216)))) 65) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569))) 57) (((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928)) 58))) 
-(((-157) (-10 -7 (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -3748 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216))))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))))))) (T -157)) 
-((-3341 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 (-216))))))) (-3341 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-945 (-216)))))) (-3748 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 *4)))) (|:| |xValues| (-1085 *4)) (|:| |yValues| (-1085 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 *4)))))) (-4328 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-4328 (*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-3341 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157))))) 
-(-10 -7 (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928))) (-15 -4328 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-928) (-410 (-569)) (-410 (-569)))) (-15 -3748 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216)))) (-216) (-216) (-216) (-216))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-945 (-216))))) (-15 -3341 ((-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216)))) (-635 (-635 (-945 (-216))))))) 
-((-3749 (((-635 (-170 |#2|)) |#1| |#2|) 45))) 
-(((-158 |#1| |#2|) (-10 -7 (-15 -3749 ((-635 (-170 |#2|)) |#1| |#2|))) (-1222 (-170 (-569))) (-13 (-366) (-841))) (T -158)) 
-((-3749 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1222 (-170 (-569)))) (-4 *4 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -3749 ((-635 (-170 |#2|)) |#1| |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-4405 (($) 15)) (-3954 (($) 14)) (-2388 (((-918)) 22)) (-2776 (((-1145) $) NIL)) (-1786 (((-569) $) 19)) (-3360 (((-1109) $) NIL)) (-2866 (($) 16)) (-3742 (($ (-569)) 23)) (-2185 (((-851) $) 29)) (-3972 (($) 17)) (-1668 (((-121) $ $) 13)) (-1707 (($ $ $) 11)) (* (($ (-918) $) 21) (($ (-216) $) 8))) 
-(((-159) (-13 (-25) (-10 -8 (-15 * ($ (-918) $)) (-15 * ($ (-216) $)) (-15 -1707 ($ $ $)) (-15 -3954 ($)) (-15 -4405 ($)) (-15 -2866 ($)) (-15 -3972 ($)) (-15 -1786 ((-569) $)) (-15 -2388 ((-918))) (-15 -3742 ($ (-569)))))) (T -159)) 
-((-1707 (*1 *1 *1 *1) (-5 *1 (-159))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) (-3954 (*1 *1) (-5 *1 (-159))) (-4405 (*1 *1) (-5 *1 (-159))) (-2866 (*1 *1) (-5 *1 (-159))) (-3972 (*1 *1) (-5 *1 (-159))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) (-2388 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) (-3742 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159))))) 
-(-13 (-25) (-10 -8 (-15 * ($ (-918) $)) (-15 * ($ (-216) $)) (-15 -1707 ($ $ $)) (-15 -3954 ($)) (-15 -4405 ($)) (-15 -2866 ($)) (-15 -3972 ($)) (-15 -1786 ((-569) $)) (-15 -2388 ((-918))) (-15 -3742 ($ (-569))))) 
-((-3210 ((|#2| |#2| (-1083 |#2|)) 87) ((|#2| |#2| (-1163)) 67)) (-1592 ((|#2| |#2| (-1083 |#2|)) 86) ((|#2| |#2| (-1163)) 66)) (-2381 ((|#2| |#2| |#2|) 27)) (-2265 (((-123) (-123)) 97)) (-1566 ((|#2| (-635 |#2|)) 116)) (-1724 ((|#2| (-635 |#2|)) 134)) (-1968 ((|#2| (-635 |#2|)) 124)) (-2164 ((|#2| |#2|) 122)) (-2181 ((|#2| (-635 |#2|)) 109)) (-4272 ((|#2| (-635 |#2|)) 110)) (-2180 ((|#2| (-635 |#2|)) 132)) (-4219 ((|#2| |#2| (-1163)) 54) ((|#2| |#2|) 53)) (-1484 ((|#2| |#2|) 23)) (-4248 ((|#2| |#2| |#2|) 26)) (-1524 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
-(((-160 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4248 (|#2| |#2| |#2|)) (-15 -2381 (|#2| |#2| |#2|)) (-15 -1484 (|#2| |#2|)) (-15 -4219 (|#2| |#2|)) (-15 -4219 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1083 |#2|))) (-15 -1592 (|#2| |#2| (-1163))) (-15 -1592 (|#2| |#2| (-1083 |#2|))) (-15 -2164 (|#2| |#2|)) (-15 -2180 (|#2| (-635 |#2|))) (-15 -1968 (|#2| (-635 |#2|))) (-15 -1724 (|#2| (-635 |#2|))) (-15 -2181 (|#2| (-635 |#2|))) (-15 -4272 (|#2| (-635 |#2|))) (-15 -1566 (|#2| (-635 |#2|)))) (-13 (-843) (-559)) (-433 |#1|)) (T -160)) 
-((-1566 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-4272 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2181 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1724 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1968 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2180 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2164 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1592 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) (-1592 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-3210 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) (-3210 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-4219 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-4219 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1484 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2381 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-4248 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4))))) 
-(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4248 (|#2| |#2| |#2|)) (-15 -2381 (|#2| |#2| |#2|)) (-15 -1484 (|#2| |#2|)) (-15 -4219 (|#2| |#2|)) (-15 -4219 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1163))) (-15 -3210 (|#2| |#2| (-1083 |#2|))) (-15 -1592 (|#2| |#2| (-1163))) (-15 -1592 (|#2| |#2| (-1083 |#2|))) (-15 -2164 (|#2| |#2|)) (-15 -2180 (|#2| (-635 |#2|))) (-15 -1968 (|#2| (-635 |#2|))) (-15 -1724 (|#2| (-635 |#2|))) (-15 -2181 (|#2| (-635 |#2|))) (-15 -4272 (|#2| (-635 |#2|))) (-15 -1566 (|#2| (-635 |#2|)))) 
-((-2341 ((|#1| |#1| |#1|) 52)) (-3281 ((|#1| |#1| |#1|) 49)) (-2381 ((|#1| |#1| |#1|) 43)) (-2431 ((|#1| |#1|) 34)) (-3263 ((|#1| |#1| (-635 |#1|)) 42)) (-1484 ((|#1| |#1|) 36)) (-4248 ((|#1| |#1| |#1|) 39))) 
-(((-161 |#1|) (-10 -7 (-15 -4248 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -3263 (|#1| |#1| (-635 |#1|))) (-15 -2431 (|#1| |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -3281 (|#1| |#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|))) (-551)) (T -161)) 
-((-2341 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3281 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2381 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2431 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3263 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2)))) (-1484 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-4248 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(-10 -7 (-15 -4248 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -3263 (|#1| |#1| (-635 |#1|))) (-15 -2431 (|#1| |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -3281 (|#1| |#1| |#1|)) (-15 -2341 (|#1| |#1| |#1|))) 
-((-3210 (($ $ (-1163)) 12) (($ $ (-1083 $)) 11)) (-1592 (($ $ (-1163)) 10) (($ $ (-1083 $)) 9)) (-2381 (($ $ $) 8)) (-4219 (($ $) 14) (($ $ (-1163)) 13)) (-1484 (($ $) 7)) (-4248 (($ $ $) 6))) 
-(((-162) (-1278)) (T -162)) 
-((-4219 (*1 *1 *1) (-4 *1 (-162))) (-4219 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-3210 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-3210 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) (-1592 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) (-1592 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162))))) 
-(-13 (-147) (-10 -8 (-15 -4219 ($ $)) (-15 -4219 ($ $ (-1163))) (-15 -3210 ($ $ (-1163))) (-15 -3210 ($ $ (-1083 $))) (-15 -1592 ($ $ (-1163))) (-15 -1592 ($ $ (-1083 $))))) 
+((-1299 (((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|) 70)) (-1996 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|) 54)) (-2922 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|) 99)) (-1471 (((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) NIL)) (-3703 ((|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|) 105)) (-3352 ((|#3| |#3| |#5|) 107))) 
+(((-119 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3352 (|#3| |#3| |#5|)) (-15 -1996 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|)) (-15 -1299 ((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1471 ((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|))) (-15 -2922 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|)) (-15 -3703 (|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|))) (-366) (-635 (-1165)) (-325 |#1| |#4|) (-231 (-2946 |#2|) (-765)) (-117)) (T -119)) 
+((-3703 (*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *4 (-117)))) (-2922 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117)))) (-1471 (*1 *2 *3) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117)))) (-1299 (*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *9 (-231 (-2946 *7) (-765))) (-5 *2 (-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117)))) (-1996 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-5 *3 (-765)) (-14 *6 (-635 (-1165))) (-4 *8 (-231 (-2946 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117)))) (-3352 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(-10 -7 (-15 -3352 (|#3| |#3| |#5|)) (-15 -1996 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-765) |#5|)) (-15 -1299 ((-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) (|:| |recPoint| (-33 |#1|)) (|:| |recChart| |#5|) (|:| |definingExtension| |#1|))))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) |#5| |#1|)) (-15 -1471 ((-635 (-635 (-765))) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|))) (-15 -2922 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#3| |#5|)) (-15 -3703 (|#3| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) |#5|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#2|) 24))) 
+(((-120 |#1| |#2|) (-1284) (-1049) (-1049)) (T -120)) 
+NIL 
+(-13 (-638 |t#1|) (-1055 |t#2|) (-10 -7 (-6 -4566) (-6 -4565))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-1055 |#2|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1771 (($ $) 12)) (-1800 (($ $ $) 17)) (-4550 (($) 8 T CONST)) (-2654 (((-121) $) 7)) (-2675 (((-765)) 24)) (-3341 (($) 30)) (-2472 (($ $ $) 15)) (-3182 (($ $) 10)) (-2327 (($ $ $) 18)) (-1681 (($ $ $) 19)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2862 (((-919) $) 29)) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 28)) (-1368 (($ $ $) 21)) (-1912 (((-1111) $) NIL)) (-2544 (($) 9 T CONST)) (-4035 (((-542) $) 36)) (-3956 (((-852) $) 39)) (-3993 (($ $ $) 13)) (-3403 (($ $) 11)) (-1294 (($ $ $) 16)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 22)) (-1637 (($ $ $) 14))) 
+(((-121) (-13 (-844) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -4550 ($) -3575) (-15 -2544 ($) -3575) (-15 -3403 ($ $)) (-15 -3182 ($ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -1368 ($ $ $)) (-15 -2654 ((-121) $))))) (T -121)) 
+((-4550 (*1 *1) (-5 *1 (-121))) (-2544 (*1 *1) (-5 *1 (-121))) (-3403 (*1 *1 *1) (-5 *1 (-121))) (-3182 (*1 *1 *1) (-5 *1 (-121))) (-3993 (*1 *1 *1 *1) (-5 *1 (-121))) (-2472 (*1 *1 *1 *1) (-5 *1 (-121))) (-1800 (*1 *1 *1 *1) (-5 *1 (-121))) (-1681 (*1 *1 *1 *1) (-5 *1 (-121))) (-2327 (*1 *1 *1 *1) (-5 *1 (-121))) (-1368 (*1 *1 *1 *1) (-5 *1 (-121))) (-2654 (*1 *1 *1) (-5 *1 (-121)))) 
+(-13 (-844) (-371) (-652) (-610 (-542)) (-10 -8 (-15 -4550 ($) -3575) (-15 -2544 ($) -3575) (-15 -3403 ($ $)) (-15 -3182 ($ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -1368 ($ $ $)) (-15 -2654 ((-121) $)))) 
+((-4520 (((-3 (-1 |#1| (-635 |#1|)) "failed") (-123)) 18) (((-123) (-123) (-1 |#1| |#1|)) 13) (((-123) (-123) (-1 |#1| (-635 |#1|))) 11) (((-3 |#1| "failed") (-123) (-635 |#1|)) 20)) (-3625 (((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123)) 24) (((-123) (-123) (-1 |#1| |#1|)) 30) (((-123) (-123) (-635 (-1 |#1| (-635 |#1|)))) 26)) (-2027 (((-123) |#1|) 53 (|has| |#1| (-844)))) (-4506 (((-3 |#1| "failed") (-123)) 48 (|has| |#1| (-844))))) 
+(((-122 |#1|) (-10 -7 (-15 -4520 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -4520 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -4520 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4520 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -3625 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -3625 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3625 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-844)) (PROGN (-15 -2027 ((-123) |#1|)) (-15 -4506 ((-3 |#1| "failed") (-123)))) |noBranch|)) (-1093)) (T -122)) 
+((-4506 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-122 *2)))) (-2027 (*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-844)) (-4 *3 (-1093)))) (-3625 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) (-3625 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-3625 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) (-4520 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) (-4520 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1093))))) 
+(-10 -7 (-15 -4520 ((-3 |#1| "failed") (-123) (-635 |#1|))) (-15 -4520 ((-123) (-123) (-1 |#1| (-635 |#1|)))) (-15 -4520 ((-123) (-123) (-1 |#1| |#1|))) (-15 -4520 ((-3 (-1 |#1| (-635 |#1|)) "failed") (-123))) (-15 -3625 ((-123) (-123) (-635 (-1 |#1| (-635 |#1|))))) (-15 -3625 ((-123) (-123) (-1 |#1| |#1|))) (-15 -3625 ((-3 (-635 (-1 |#1| (-635 |#1|))) "failed") (-123))) (IF (|has| |#1| (-844)) (PROGN (-15 -2027 ((-123) |#1|)) (-15 -4506 ((-3 |#1| "failed") (-123)))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) 68) (($ $ (-765)) 30)) (-3743 (((-121) $) 32)) (-3188 (($ $ (-1147) (-768)) 26)) (-2051 (($ $ (-50 (-1147) (-768))) 13)) (-2161 (((-3 (-768) "failed") $ (-1147)) 24)) (-2771 (((-50 (-1147) (-768)) $) 12)) (-1344 (($ (-1165)) 15) (($ (-1165) (-765)) 20)) (-1972 (((-121) $) 31)) (-3643 (((-121) $) 33)) (-2798 (((-1165) $) 8)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3845 (((-121) $ (-1165)) 10)) (-2647 (($ $ (-1 (-542) (-635 (-542)))) 50) (((-3 (-1 (-542) (-635 (-542))) "failed") $) 54)) (-1912 (((-1111) $) NIL)) (-3210 (((-121) $ (-1147)) 29)) (-3770 (($ $ (-1 (-121) $ $)) 35)) (-2442 (((-3 (-1 (-852) (-635 (-852))) "failed") $) 52) (($ $ (-1 (-852) (-635 (-852)))) 41) (($ $ (-1 (-852) (-852))) 43)) (-2026 (($ $ (-1147)) 45)) (-1799 (($ $) 61)) (-4075 (($ $ (-1 (-121) $ $)) 36)) (-3956 (((-852) $) 48)) (-3753 (($ $ (-1147)) 27)) (-4060 (((-3 (-765) "failed") $) 56)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 67)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 72))) 
+(((-123) (-13 (-844) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -2771 ((-50 (-1147) (-768)) $)) (-15 -1799 ($ $)) (-15 -1344 ($ (-1165))) (-15 -1344 ($ (-1165) (-765))) (-15 -4060 ((-3 (-765) "failed") $)) (-15 -1972 ((-121) $)) (-15 -3743 ((-121) $)) (-15 -3643 ((-121) $)) (-15 -2402 ((-765) $)) (-15 -2402 ($ $ (-765))) (-15 -3770 ($ $ (-1 (-121) $ $))) (-15 -4075 ($ $ (-1 (-121) $ $))) (-15 -2442 ((-3 (-1 (-852) (-635 (-852))) "failed") $)) (-15 -2442 ($ $ (-1 (-852) (-635 (-852))))) (-15 -2442 ($ $ (-1 (-852) (-852)))) (-15 -2647 ($ $ (-1 (-542) (-635 (-542))))) (-15 -2647 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -3845 ((-121) $ (-1165))) (-15 -3210 ((-121) $ (-1147))) (-15 -3753 ($ $ (-1147))) (-15 -2026 ($ $ (-1147))) (-15 -2161 ((-3 (-768) "failed") $ (-1147))) (-15 -3188 ($ $ (-1147) (-768))) (-15 -2051 ($ $ (-50 (-1147) (-768))))))) (T -123)) 
+((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) (-2771 (*1 *2 *1) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123)))) (-1799 (*1 *1 *1) (-5 *1 (-123))) (-1344 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) (-1344 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *1 (-123)))) (-4060 (*1 *2 *1) (|partial| -12 (-5 *2 (-765)) (-5 *1 (-123)))) (-1972 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3743 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-3643 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123)))) (-2402 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) (-2402 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) (-3770 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-4075 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123)))) (-2442 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) (-2442 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) (-2442 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-852))) (-5 *1 (-123)))) (-2647 (*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-2647 (*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3210 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-123)))) (-3753 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) (-2026 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) (-2161 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-768)) (-5 *1 (-123)))) (-3188 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-768)) (-5 *1 (-123)))) (-2051 (*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
+(-13 (-844) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -2771 ((-50 (-1147) (-768)) $)) (-15 -1799 ($ $)) (-15 -1344 ($ (-1165))) (-15 -1344 ($ (-1165) (-765))) (-15 -4060 ((-3 (-765) "failed") $)) (-15 -1972 ((-121) $)) (-15 -3743 ((-121) $)) (-15 -3643 ((-121) $)) (-15 -2402 ((-765) $)) (-15 -2402 ($ $ (-765))) (-15 -3770 ($ $ (-1 (-121) $ $))) (-15 -4075 ($ $ (-1 (-121) $ $))) (-15 -2442 ((-3 (-1 (-852) (-635 (-852))) "failed") $)) (-15 -2442 ($ $ (-1 (-852) (-635 (-852))))) (-15 -2442 ($ $ (-1 (-852) (-852)))) (-15 -2647 ($ $ (-1 (-542) (-635 (-542))))) (-15 -2647 ((-3 (-1 (-542) (-635 (-542))) "failed") $)) (-15 -3845 ((-121) $ (-1165))) (-15 -3210 ((-121) $ (-1147))) (-15 -3753 ($ $ (-1147))) (-15 -2026 ($ $ (-1147))) (-15 -2161 ((-3 (-768) "failed") $ (-1147))) (-15 -3188 ($ $ (-1147) (-768))) (-15 -2051 ($ $ (-50 (-1147) (-768)))))) 
+((-3907 (((-569) |#2|) 36))) 
+(((-124 |#1| |#2|) (-10 -7 (-15 -3907 ((-569) |#2|))) (-13 (-366) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -124)) 
+((-3907 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1039 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3907 ((-569) |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2314 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) NIL)) (-2760 (((-569) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-1145 (-569)) $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-125 |#1|) (-865 |#1|) (-569)) (T -125)) 
+NIL 
+(-865 |#1|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-125 |#1|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-125 |#1|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-125 |#1|) (-1039 (-569))))) (-1321 (((-125 |#1|) $) NIL) (((-1165) $) NIL (|has| (-125 |#1|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-125 |#1|) (-1039 (-569)))) (((-569) $) NIL (|has| (-125 |#1|) (-1039 (-569))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-125 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-125 |#1|))) (|:| |vec| (-1253 (-125 |#1|)))) (-681 $) (-1253 $)) NIL) (((-681 (-125 |#1|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-125 |#1|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-125 |#1|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-125 |#1|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-125 |#1|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-125 |#1|) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-125 |#1|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-125 |#1|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-125 |#1|) (-844)))) (-2713 (($ $ $) NIL (|has| (-125 |#1|) (-844)))) (-4188 (($ (-1 (-125 |#1|) (-125 |#1|)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-125 |#1|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-125 |#1|) (-302)))) (-1807 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-125 |#1|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-125 |#1|)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-125 |#1|) (-125 |#1|)) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-289 (-125 |#1|))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-289 (-125 |#1|)))) NIL (|has| (-125 |#1|) (-304 (-125 |#1|)))) (($ $ (-635 (-1165)) (-635 (-125 |#1|))) NIL (|has| (-125 |#1|) (-524 (-1165) (-125 |#1|)))) (($ $ (-1165) (-125 |#1|)) NIL (|has| (-125 |#1|) (-524 (-1165) (-125 |#1|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-125 |#1|)) NIL (|has| (-125 |#1|) (-282 (-125 |#1|) (-125 |#1|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-765)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-125 |#1|) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-125 |#1|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-125 |#1|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-125 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-125 |#1|) (-1023))) (((-216) $) NIL (|has| (-125 |#1|) (-1023)))) (-2914 (((-174 (-410 (-569))) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-125 |#1|)) NIL) (($ (-1165)) NIL (|has| (-125 |#1|) (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-125 |#1|) (-906))) (|has| (-125 |#1|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-125 |#1|) $) NIL (|has| (-125 |#1|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) NIL)) (-4080 (($ $) NIL (|has| (-125 |#1|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-125 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-125 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-125 |#1|) (-897 (-1165)))) (($ $ (-1 (-125 |#1|) (-125 |#1|)) (-765)) NIL) (($ $ (-1 (-125 |#1|) (-125 |#1|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-125 |#1|) (-844)))) (-1383 (($ $ $) NIL) (($ (-125 |#1|) (-125 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-125 |#1|) $) NIL) (($ $ (-125 |#1|)) NIL))) 
+(((-126 |#1|) (-13 (-995 (-125 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569)) (T -126)) 
+((-4334 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) (-4339 (*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2)))) 
+(-13 (-995 (-125 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
+((-2511 ((|#2| $ "value" |#2|) NIL) (($ $ "left" $) 48) (($ $ "right" $) 50)) (-3899 (((-635 $) $) 27)) (-2638 (((-121) $ $) 32)) (-3016 (((-121) |#2| $) 36)) (-1322 (((-635 |#2|) $) 22)) (-3491 (((-121) $) 16)) (-2503 ((|#2| $ "value") NIL) (($ $ "left") 10) (($ $ "right") 13)) (-1630 (((-121) $) 45)) (-3956 (((-852) $) 41)) (-4065 (((-635 $) $) 28)) (-1326 (((-121) $ $) 34)) (-2946 (((-765) $) 43))) 
+(((-127 |#1| |#2|) (-10 -8 (-15 -2511 (|#1| |#1| "right" |#1|)) (-15 -2511 (|#1| |#1| "left" |#1|)) (-15 -2503 (|#1| |#1| "right")) (-15 -2503 (|#1| |#1| "left")) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1322 ((-635 |#2|) |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2946 ((-765) |#1|))) (-128 |#2|) (-1199)) (T -127)) 
+NIL 
+(-10 -8 (-15 -2511 (|#1| |#1| "right" |#1|)) (-15 -2511 (|#1| |#1| "left" |#1|)) (-15 -2503 (|#1| |#1| "right")) (-15 -2503 (|#1| |#1| "left")) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1322 ((-635 |#2|) |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2946 ((-765) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 49 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 51 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) (($ $ "left" $) 52 (|has| $ (-6 -4572))) (($ $ "right" $) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3417 (($ $) 54)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-3149 (($ $) 56)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-128 |#1|) (-1284) (-1199)) (T -128)) 
+((-3149 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3417 (*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3324 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) (-3800 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
+(-13 (-1012 |t#1|) (-10 -8 (-15 -3149 ($ $)) (-15 -2503 ($ $ "left")) (-15 -3417 ($ $)) (-15 -2503 ($ $ "right")) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2511 ($ $ "left" $)) (-15 -3324 ($ $ $)) (-15 -2511 ($ $ "right" $)) (-15 -3800 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-3000 (((-121) |#1|) 24)) (-2117 (((-765) (-765)) 23) (((-765)) 22)) (-1287 (((-121) |#1| (-121)) 25) (((-121) |#1|) 26))) 
+(((-129 |#1|) (-10 -7 (-15 -1287 ((-121) |#1|)) (-15 -1287 ((-121) |#1| (-121))) (-15 -2117 ((-765))) (-15 -2117 ((-765) (-765))) (-15 -3000 ((-121) |#1|))) (-1228 (-569))) (T -129)) 
+((-3000 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-2117 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-2117 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-1287 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) (-1287 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
+(-10 -7 (-15 -1287 ((-121) |#1|)) (-15 -1287 ((-121) |#1| (-121))) (-15 -2117 ((-765))) (-15 -2117 ((-765) (-765))) (-15 -3000 ((-121) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3050 (((-3 $ "failed") (-1165) (-1165)) 31)) (-1912 (((-1111) $) NIL)) (-3212 (((-3 (-1165) "failed") $) 45)) (-4492 (((-3 $ (-569)) (-1165)) 36)) (-1995 (((-1173 (-1165) $)) 42)) (-2095 (((-635 $)) 40)) (-2217 (((-3 $ "failed") (-1165)) 19)) (-4035 (($ (-1165)) 27) (((-1165) $) NIL)) (-3956 (((-852) $) 21)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL))) 
+(((-130) (-13 (-844) (-10 -8 (-6 (-610 (-1165))) (-15 -2217 ((-3 $ "failed") (-1165))) (-15 -4035 ($ (-1165))) (-15 -3050 ((-3 $ "failed") (-1165) (-1165))) (-15 -4492 ((-3 $ (-569)) (-1165))) (-15 -2095 ((-635 $))) (-15 -1995 ((-1173 (-1165) $))) (-15 -3212 ((-3 (-1165) "failed") $))))) (T -130)) 
+((-2217 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-3050 (*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130)))) (-4492 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130)))) (-2095 (*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130)))) (-1995 (*1 *2) (-12 (-5 *2 (-1173 (-1165) (-130))) (-5 *1 (-130)))) (-3212 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
+(-13 (-844) (-10 -8 (-6 (-610 (-1165))) (-15 -2217 ((-3 $ "failed") (-1165))) (-15 -4035 ($ (-1165))) (-15 -3050 ((-3 $ "failed") (-1165) (-1165))) (-15 -4492 ((-3 $ (-569)) (-1165))) (-15 -2095 ((-635 $))) (-15 -1995 ((-1173 (-1165) $))) (-15 -3212 ((-3 (-1165) "failed") $)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 15)) (-2009 (((-2 (|:| |less| $) (|:| |greater| $)) |#1| $) 22)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-3800 (($ $ $) 18 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 20 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 17)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 23)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 19)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4179 (($ |#1| $) 24)) (-2351 (($ |#1| $) 10)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 8)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3549 (($ (-635 |#1|)) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-131 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -3549 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)) (-15 -4179 ($ |#1| $)) (-15 -2009 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) (-844)) (T -131)) 
+((-3549 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-131 *3)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) (-4179 (*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) (-2009 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-844))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -3549 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)) (-15 -4179 ($ |#1| $)) (-15 -2009 ((-2 (|:| |less| $) (|:| |greater| $)) |#1| $)))) 
+((-1771 (($ $) 14)) (-3182 (($ $) 11)) (-2327 (($ $ $) 24)) (-1681 (($ $ $) 22)) (-3403 (($ $) 12)) (-1294 (($ $ $) 20)) (-1637 (($ $ $) 18))) 
+(((-132 |#1|) (-10 -8 (-15 -2327 (|#1| |#1| |#1|)) (-15 -1681 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3182 (|#1| |#1|)) (-15 -1771 (|#1| |#1|)) (-15 -1637 (|#1| |#1| |#1|)) (-15 -1294 (|#1| |#1| |#1|))) (-133)) (T -132)) 
+NIL 
+(-10 -8 (-15 -2327 (|#1| |#1| |#1|)) (-15 -1681 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1|)) (-15 -3182 (|#1| |#1|)) (-15 -1771 (|#1| |#1|)) (-15 -1637 (|#1| |#1| |#1|)) (-15 -1294 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-1771 (($ $) 103)) (-1800 (($ $ $) 24)) (-1403 (((-1258) $ (-569) (-569)) 66 (|has| $ (-6 -4572)))) (-3382 (((-121) $) 98 (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) 92)) (-1744 (($ $) 102 (-12 (|has| (-121) (-844)) (|has| $ (-6 -4572)))) (($ (-1 (-121) (-121) (-121)) $) 101 (|has| $ (-6 -4572)))) (-2930 (($ $) 97 (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) 91)) (-3350 (((-121) $ (-765)) 37)) (-2511 (((-121) $ (-1219 (-569)) (-121)) 88 (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) 54 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) 71 (|has| $ (-6 -4571)))) (-4483 (($) 38 T CONST)) (-2887 (($ $) 100 (|has| $ (-6 -4572)))) (-1871 (($ $) 90)) (-1858 (($ $) 68 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) (-121)) $) 72 (|has| $ (-6 -4571))) (($ (-121) $) 69 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) 74 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) 73 (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) 70 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-3982 (((-121) $ (-569) (-121)) 53 (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) 55)) (-3988 (((-569) (-121) $ (-569)) 95 (|has| (-121) (-1093))) (((-569) (-121) $) 94 (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) 93)) (-4303 (((-635 (-121)) $) 45 (|has| $ (-6 -4571)))) (-2472 (($ $ $) 25)) (-3182 (($ $) 30)) (-2327 (($ $ $) 27)) (-2446 (($ (-765) (-121)) 77)) (-1681 (($ $ $) 28)) (-3206 (((-121) $ (-765)) 36)) (-2497 (((-569) $) 63 (|has| (-569) (-844)))) (-2157 (($ $ $) 12)) (-2102 (($ $ $) 96 (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) 89)) (-4457 (((-635 (-121)) $) 46 (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) 48 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 62 (|has| (-569) (-844)))) (-2713 (($ $ $) 13)) (-2089 (($ (-1 (-121) (-121)) $) 41 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) 82) (($ (-1 (-121) (-121)) $) 40)) (-1396 (((-121) $ (-765)) 35)) (-2605 (((-1147) $) 9)) (-2583 (($ $ $ (-569)) 87) (($ (-121) $ (-569)) 86)) (-2761 (((-635 (-569)) $) 60)) (-3292 (((-121) (-569) $) 59)) (-1912 (((-1111) $) 10)) (-1816 (((-121) $) 64 (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) 75)) (-2417 (($ $ (-121)) 65 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) 43 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) 52 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) 51 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) 50 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) 49 (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) 31)) (-3322 (((-121) (-121) $) 61 (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) 58)) (-1668 (((-121) $) 34)) (-4016 (($) 33)) (-2503 (($ $ (-1219 (-569))) 83) (((-121) $ (-569)) 57) (((-121) $ (-569) (-121)) 56)) (-2077 (($ $ (-1219 (-569))) 85) (($ $ (-569)) 84)) (-2691 (((-765) (-121) $) 47 (-12 (|has| (-121) (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) (-121)) $) 44 (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) 99 (|has| $ (-6 -4572)))) (-1799 (($ $) 32)) (-4035 (((-542) $) 67 (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) 76)) (-4456 (($ (-635 $)) 81) (($ $ $) 80) (($ (-121) $) 79) (($ $ (-121)) 78)) (-3956 (((-852) $) 11)) (-3776 (((-121) (-1 (-121) (-121)) $) 42 (|has| $ (-6 -4571)))) (-3993 (($ $ $) 26)) (-3403 (($ $) 29)) (-1294 (($ $ $) 105)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1637 (($ $ $) 104)) (-2946 (((-765) $) 39 (|has| $ (-6 -4571))))) 
+(((-133) (-1284)) (T -133)) 
+((-3182 (*1 *1 *1) (-4 *1 (-133))) (-3403 (*1 *1 *1) (-4 *1 (-133))) (-1681 (*1 *1 *1 *1) (-4 *1 (-133))) (-2327 (*1 *1 *1 *1) (-4 *1 (-133))) (-3993 (*1 *1 *1 *1) (-4 *1 (-133))) (-2472 (*1 *1 *1 *1) (-4 *1 (-133))) (-1800 (*1 *1 *1 *1) (-4 *1 (-133)))) 
+(-13 (-844) (-652) (-19 (-121)) (-10 -8 (-15 -3182 ($ $)) (-15 -3403 ($ $)) (-15 -1681 ($ $ $)) (-15 -2327 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -1800 ($ $ $)))) 
+(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 (-121)) . T) ((-610 (-542)) |has| (-121) (-610 (-542))) ((-282 (-569) (-121)) . T) ((-284 (-569) (-121)) . T) ((-304 (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))) ((-376 (-121)) . T) ((-500 (-121)) . T) ((-602 (-569) (-121)) . T) ((-524 (-121) (-121)) -12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))) ((-641 (-121)) . T) ((-652) . T) ((-19 (-121)) . T) ((-844) . T) ((-1093) . T) ((-1199) . T)) 
+((-2089 (($ (-1 |#2| |#2|) $) 22)) (-1799 (($ $) 16)) (-2946 (((-765) $) 24))) 
+(((-134 |#1| |#2|) (-10 -8 (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -1799 (|#1| |#1|))) (-135 |#2|) (-1093)) (T -134)) 
+NIL 
+(-10 -8 (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -1799 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 49 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 51 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) (($ $ "left" $) 52 (|has| $ (-6 -4572))) (($ $ "right" $) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3417 (($ $) 54)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 57)) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-3149 (($ $) 56)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) (($ $ "left") 55) (($ $ "right") 53)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-135 |#1|) (-1284) (-1093)) (T -135)) 
+((-2033 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1093))))) 
+(-13 (-128 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2033 ($ $ |t#1| $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-128 |#1|) . T) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 15)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 19 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 20 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 18 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 21)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ |#1| $) 10)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 8)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 17)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3535 (($ (-635 |#1|)) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-136 |#1|) (-13 (-135 |#1|) (-10 -8 (-6 -4572) (-15 -3535 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)))) (-844)) (T -136)) 
+((-3535 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-136 *3)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-844))))) 
+(-13 (-135 |#1|) (-10 -8 (-6 -4572) (-15 -3535 ($ (-635 |#1|))) (-15 -2351 ($ |#1| $)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 24)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 26 (|has| $ (-6 -4572)))) (-3800 (($ $ $) 30 (|has| $ (-6 -4572)))) (-3324 (($ $ $) 28 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 20)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2033 (($ $ |#1| $) 15)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 19)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 21)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 18)) (-4016 (($) 11)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3867 (($ |#1|) 17) (($ $ |#1| $) 16)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 10 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-137 |#1|) (-13 (-135 |#1|) (-10 -8 (-15 -3867 ($ |#1|)) (-15 -3867 ($ $ |#1| $)))) (-1093)) (T -137)) 
+((-3867 (*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093)))) (-3867 (*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093))))) 
+(-13 (-135 |#1|) (-10 -8 (-15 -3867 ($ |#1|)) (-15 -3867 ($ $ |#1| $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14))) 
+(((-138) (-1284)) (T -138)) 
+((-3748 (*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
+(-13 (-23) (-10 -8 (-15 -3748 ((-3 $ "failed") $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-3633 (((-1258) $ (-765)) 18)) (-3988 (((-765) $) 19)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
+(((-139) (-1284)) (T -139)) 
+((-3988 (*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-765)))) (-3633 (*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-765)) (-5 *2 (-1258))))) 
+(-13 (-844) (-10 -8 (-15 -3988 ((-765) $)) (-15 -3633 ((-1258) $ (-765))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-765) "failed") $) 38)) (-1321 (((-765) $) 36)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) 26)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4066 (((-121)) 39)) (-2495 (((-121) (-121)) 41)) (-4362 (((-121) $) 23)) (-2219 (((-121) $) 35)) (-3956 (((-852) $) 22) (($ (-765)) 14)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 11 T CONST)) (-1641 (($ (-765)) 15)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 24)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 25)) (-1377 (((-3 $ "failed") $ $) 29)) (-1371 (($ $ $) 27)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ $) 34)) (* (($ (-765) $) 32) (($ (-919) $) NIL) (($ $ $) 30))) 
+(((-140) (-13 (-844) (-23) (-718) (-1039 (-765)) (-10 -8 (-6 (-4573 "*")) (-15 -1377 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1641 ($ (-765))) (-15 -4362 ((-121) $)) (-15 -2219 ((-121) $)) (-15 -4066 ((-121))) (-15 -2495 ((-121) (-121)))))) (T -140)) 
+((-1377 (*1 *1 *1 *1) (|partial| -5 *1 (-140))) (** (*1 *1 *1 *1) (-5 *1 (-140))) (-1641 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-140)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2219 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-4066 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) (-2495 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(-13 (-844) (-23) (-718) (-1039 (-765)) (-10 -8 (-6 (-4573 "*")) (-15 -1377 ((-3 $ "failed") $ $)) (-15 ** ($ $ $)) (-15 -1641 ($ (-765))) (-15 -4362 ((-121) $)) (-15 -2219 ((-121) $)) (-15 -4066 ((-121))) (-15 -2495 ((-121) (-121))))) 
+((-2631 (((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|)) 14)) (-4188 (((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)) 18))) 
+(((-141 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2631 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -4188 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) (-569) (-765) (-173) (-173)) (T -141)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) (-2631 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -2631 ((-142 |#1| |#2| |#4|) (-635 |#4|) (-142 |#1| |#2| |#3|))) (-15 -4188 ((-142 |#1| |#2| |#4|) (-1 |#4| |#3|) (-142 |#1| |#2| |#3|)))) 
+((-1310 (((-121) $ $) NIL)) (-2042 (($ (-635 |#3|)) 38)) (-3976 (($ $) 97) (($ $ (-569) (-569)) 96)) (-4483 (($) 17)) (-3003 (((-3 |#3| "failed") $) 58)) (-1321 ((|#3| $) NIL)) (-1563 (($ $ (-635 (-569))) 98)) (-4397 (((-635 |#3|) $) 34)) (-3358 (((-765) $) 42)) (-1419 (($ $ $) 91)) (-2146 (($) 41)) (-2605 (((-1147) $) NIL)) (-2567 (($) 16)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $) 44) ((|#3| $ (-569)) 45) ((|#3| $ (-569) (-569)) 46) ((|#3| $ (-569) (-569) (-569)) 47) ((|#3| $ (-569) (-569) (-569) (-569)) 48) ((|#3| $ (-635 (-569))) 50)) (-2284 (((-765) $) 43)) (-3472 (($ $ (-569) $ (-569)) 92) (($ $ (-569) (-569)) 94)) (-3956 (((-852) $) 65) (($ |#3|) 66) (($ (-233 |#2| |#3|)) 73) (($ (-1130 |#2| |#3|)) 76) (($ (-635 |#3|)) 51) (($ (-635 $)) 56)) (-2407 (($) 67 T CONST)) (-3297 (($) 68 T CONST)) (-1326 (((-121) $ $) 78)) (-1377 (($ $) 84) (($ $ $) 82)) (-1371 (($ $ $) 80)) (* (($ |#3| $) 89) (($ $ |#3|) 90) (($ $ (-569)) 87) (($ (-569) $) 86) (($ $ $) 93))) 
+(((-142 |#1| |#2| |#3|) (-13 (-471 |#3| (-765)) (-476 (-569) (-765)) (-10 -8 (-15 -3956 ($ (-233 |#2| |#3|))) (-15 -3956 ($ (-1130 |#2| |#3|))) (-15 -3956 ($ (-635 |#3|))) (-15 -3956 ($ (-635 $))) (-15 -3358 ((-765) $)) (-15 -2503 (|#3| $)) (-15 -2503 (|#3| $ (-569))) (-15 -2503 (|#3| $ (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-635 (-569)))) (-15 -1419 ($ $ $)) (-15 * ($ $ $)) (-15 -3472 ($ $ (-569) $ (-569))) (-15 -3472 ($ $ (-569) (-569))) (-15 -3976 ($ $)) (-15 -3976 ($ $ (-569) (-569))) (-15 -1563 ($ $ (-635 (-569)))) (-15 -2567 ($)) (-15 -2146 ($)) (-15 -4397 ((-635 |#3|) $)) (-15 -2042 ($ (-635 |#3|))) (-15 -4483 ($)))) (-569) (-765) (-173)) (T -142)) 
+((-1419 (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1130 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-3358 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) (-2503 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-765)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-765)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3472 (*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-3472 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-3976 (*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-3976 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) (-1563 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-2567 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-2146 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) (-4397 (*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) (-2042 (*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) (-4483 (*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
+(-13 (-471 |#3| (-765)) (-476 (-569) (-765)) (-10 -8 (-15 -3956 ($ (-233 |#2| |#3|))) (-15 -3956 ($ (-1130 |#2| |#3|))) (-15 -3956 ($ (-635 |#3|))) (-15 -3956 ($ (-635 $))) (-15 -3358 ((-765) $)) (-15 -2503 (|#3| $)) (-15 -2503 (|#3| $ (-569))) (-15 -2503 (|#3| $ (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-569) (-569) (-569) (-569))) (-15 -2503 (|#3| $ (-635 (-569)))) (-15 -1419 ($ $ $)) (-15 * ($ $ $)) (-15 -3472 ($ $ (-569) $ (-569))) (-15 -3472 ($ $ (-569) (-569))) (-15 -3976 ($ $)) (-15 -3976 ($ $ (-569) (-569))) (-15 -1563 ($ $ (-635 (-569)))) (-15 -2567 ($)) (-15 -2146 ($)) (-15 -4397 ((-635 |#3|) $)) (-15 -2042 ($ (-635 |#3|))) (-15 -4483 ($)))) 
+((-1310 (((-121) $ $) NIL)) (-2917 (($) 15 T CONST)) (-2656 (($) NIL (|has| (-148) (-371)))) (-3577 (($ $ $) 17) (($ $ (-148)) NIL) (($ (-148) $) NIL)) (-2045 (($ $ $) NIL)) (-3254 (((-121) $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| (-148) (-371)))) (-4414 (($) NIL) (($ (-635 (-148))) NIL)) (-1304 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2006 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (($ (-148) $) 51 (|has| $ (-6 -4571)))) (-3503 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3341 (($) NIL (|has| (-148) (-371)))) (-4303 (((-635 (-148)) $) 60 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2157 (((-148) $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 26 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-2713 (((-148) $) NIL (|has| (-148) (-844)))) (-2089 (($ (-1 (-148) (-148)) $) 59 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 55)) (-3027 (($) 16 T CONST)) (-2862 (((-919) $) NIL (|has| (-148) (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 29)) (-4496 (((-148) $) 52)) (-2351 (($ (-148) $) 50)) (-1333 (($ (-919)) NIL (|has| (-148) (-371)))) (-1914 (($) 14 T CONST)) (-1912 (((-1111) $) NIL)) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2166 (((-148) $) 53)) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 48)) (-4512 (($) 13 T CONST)) (-2127 (($ $ $) 31) (($ $ (-148)) NIL)) (-1353 (($ (-635 (-148))) NIL) (($) NIL)) (-2691 (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-1147) $) 36) (((-542) $) NIL (|has| (-148) (-610 (-542)))) (((-635 (-148)) $) 34)) (-3124 (($ (-635 (-148))) NIL)) (-4266 (($ $) 32 (|has| (-148) (-371)))) (-3956 (((-852) $) 46)) (-1946 (($ (-1147)) 12) (($ (-635 (-148))) 43)) (-2207 (((-765) $) NIL)) (-1785 (($) 49) (($ (-635 (-148))) NIL)) (-1753 (($ (-635 (-148))) NIL)) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3085 (($) 19 T CONST)) (-3947 (($) 18 T CONST)) (-1326 (((-121) $ $) 22)) (-1337 (((-121) $ $) NIL)) (-2946 (((-765) $) 47 (|has| $ (-6 -4571))))) 
+(((-143) (-13 (-1093) (-610 (-1147)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -1946 ($ (-1147))) (-15 -1946 ($ (-635 (-148)))) (-15 -4512 ($) -3575) (-15 -1914 ($) -3575) (-15 -2917 ($) -3575) (-15 -3027 ($) -3575) (-15 -3947 ($) -3575) (-15 -3085 ($) -3575)))) (T -143)) 
+((-1946 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-143)))) (-1946 (*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) (-4512 (*1 *1) (-5 *1 (-143))) (-1914 (*1 *1) (-5 *1 (-143))) (-2917 (*1 *1) (-5 *1 (-143))) (-3027 (*1 *1) (-5 *1 (-143))) (-3947 (*1 *1) (-5 *1 (-143))) (-3085 (*1 *1) (-5 *1 (-143)))) 
+(-13 (-1093) (-610 (-1147)) (-428 (-148)) (-610 (-635 (-148))) (-10 -8 (-15 -1946 ($ (-1147))) (-15 -1946 ($ (-635 (-148)))) (-15 -4512 ($) -3575) (-15 -1914 ($) -3575) (-15 -2917 ($) -3575) (-15 -3027 ($) -3575) (-15 -3947 ($) -3575) (-15 -3085 ($) -3575))) 
+((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 17)) (-1644 ((|#1| |#3|) 9)) (-3247 ((|#3| |#3|) 15))) 
+(((-144 |#1| |#2| |#3|) (-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-995 |#1|) (-376 |#2|)) (T -144)) 
+((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) (-3247 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4))))) 
+(-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-1310 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-146)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-146)) NIL)) (-1622 (($ $ (-569) (-146)) NIL)) (-2232 (($ (-765) (-170 (-216))) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-170 (-216)) (-302)))) (-4128 (((-146) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-170 (-216)) (-559)))) (-3982 (((-170 (-216)) $ (-569) (-569) (-170 (-216))) 16)) (-2903 (($ (-569) (-569)) 18)) (-4124 (((-170 (-216)) $ (-569) (-569)) 15)) (-3917 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-173)))) (-4303 (((-635 (-170 (-216))) $) NIL)) (-2557 (((-765) $) NIL (|has| (-170 (-216)) (-559)))) (-3970 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-170 (-216))) 19)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-170 (-216))))) NIL) (($ (-765) (-765) (-1 (-170 (-216)) (-569) (-569))) NIL)) (-2089 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL)) (-4188 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $ (-170 (-216))) NIL)) (-4269 (((-635 (-635 (-170 (-216)))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-170 (-216)) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-170 (-216)) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-170 (-216)) (-1093)))) (-2417 (($ $ (-170 (-216))) NIL)) (-1436 (((-3 $ "failed") $ (-170 (-216))) NIL (|has| (-170 (-216)) (-559)))) (-2985 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 17)) (-2503 (((-170 (-216)) $ (-569) (-569)) NIL) (((-170 (-216)) $ (-569) (-569) (-170 (-216))) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-170 (-216)))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-170 (-216)) $) NIL (|has| (-170 (-216)) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571))) (((-765) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-146)) $) NIL (|has| (-170 (-216)) (-302)))) (-2349 (((-146) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-170 (-216)) (-1093))) (($ (-146)) NIL)) (-3776 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-1383 (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-170 (-216)) (-366)))) (* (($ $ $) NIL) (($ (-170 (-216)) $) NIL) (($ $ (-170 (-216))) NIL) (($ (-569) $) NIL) (((-146) $ (-146)) NIL) (((-146) (-146) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-145) (-13 (-679 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -145)) 
+((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145))))) 
+(-13 (-679 (-170 (-216)) (-146) (-146)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
+((-1310 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-3397 (($ (-765)) NIL (|has| (-170 (-216)) (-23)))) (-3311 (($ (-635 (-170 (-216)))) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (((-121) $) NIL (|has| (-170 (-216)) (-844)))) (-1744 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-170 (-216)) (-844))))) (-2930 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $) NIL) (($ $) NIL (|has| (-170 (-216)) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-170 (-216)) $ (-569) (-170 (-216))) 18 (|has| $ (-6 -4572))) (((-170 (-216)) $ (-1219 (-569)) (-170 (-216))) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-3503 (($ (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093)))) (($ (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093)))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ (-170 (-216))) NIL (|has| $ (-6 -4571))) (((-170 (-216)) (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-170 (-216)) $ (-569) (-170 (-216))) 9 (|has| $ (-6 -4572)))) (-2903 (($ (-569)) 14)) (-4124 (((-170 (-216)) $ (-569)) 8)) (-3988 (((-569) (-1 (-121) (-170 (-216))) $) NIL) (((-569) (-170 (-216)) $) NIL (|has| (-170 (-216)) (-1093))) (((-569) (-170 (-216)) $ (-569)) NIL (|has| (-170 (-216)) (-1093)))) (-4303 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 (-170 (-216))) $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2446 (($ (-765) (-170 (-216))) 16)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-2102 (($ (-1 (-121) (-170 (-216)) (-170 (-216))) $ $) NIL) (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-4457 (((-635 (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-170 (-216)) (-844)))) (-2089 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-170 (-216)) (-170 (-216))) $) NIL) (($ (-1 (-170 (-216)) (-170 (-216)) (-170 (-216))) $ $) NIL)) (-3108 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1004)) (|has| (-170 (-216)) (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-170 (-216)) $) NIL (-12 (|has| (-170 (-216)) (-1004)) (|has| (-170 (-216)) (-1049))))) (-2605 (((-1147) $) NIL (|has| (-170 (-216)) (-1093)))) (-2583 (($ (-170 (-216)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-170 (-216)) (-1093)))) (-1816 (((-170 (-216)) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-170 (-216)) "failed") (-1 (-121) (-170 (-216))) $) NIL)) (-2417 (($ $ (-170 (-216))) 15 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-170 (-216))))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-289 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-170 (-216)) (-170 (-216))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093)))) (($ $ (-635 (-170 (-216))) (-635 (-170 (-216)))) NIL (-12 (|has| (-170 (-216)) (-304 (-170 (-216)))) (|has| (-170 (-216)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-4283 (((-635 (-170 (-216))) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 (((-170 (-216)) $ (-569) (-170 (-216))) NIL) (((-170 (-216)) $ (-569)) 17) (($ $ (-1219 (-569))) NIL)) (-4510 (((-170 (-216)) $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| (-170 (-216)) (-1049)))) (-2691 (((-765) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571))) (((-765) (-170 (-216)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-170 (-216)) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-170 (-216)) (-610 (-542))))) (-3124 (($ (-635 (-170 (-216)))) NIL)) (-4456 (($ $ (-170 (-216))) NIL) (($ (-170 (-216)) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-170 (-216)) (-1093)))) (-3776 (((-121) (-1 (-121) (-170 (-216))) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-170 (-216)) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-170 (-216)) (-844)))) (-1377 (($ $) NIL (|has| (-170 (-216)) (-21))) (($ $ $) NIL (|has| (-170 (-216)) (-21)))) (-1371 (($ $ $) NIL (|has| (-170 (-216)) (-25)))) (* (($ (-569) $) NIL (|has| (-170 (-216)) (-21))) (($ (-170 (-216)) $) NIL (|has| (-170 (-216)) (-718))) (($ $ (-170 (-216))) NIL (|has| (-170 (-216)) (-718)))) (-2946 (((-765) $) 11 (|has| $ (-6 -4571))))) 
+(((-146) (-13 (-1251 (-170 (-216))) (-10 -8 (-15 -2903 ($ (-569))) (-15 -3311 ($ (-635 (-170 (-216)))))))) (T -146)) 
+((-2903 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) (-3311 (*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146))))) 
+(-13 (-1251 (-170 (-216))) (-10 -8 (-15 -2903 ($ (-569))) (-15 -3311 ($ (-635 (-170 (-216))))))) 
+((-2578 (($ $ $) 8)) (-1954 (($ $) 7)) (-4196 (($ $ $) 6))) 
+(((-147) (-1284)) (T -147)) 
+((-2578 (*1 *1 *1 *1) (-4 *1 (-147))) (-1954 (*1 *1 *1) (-4 *1 (-147))) (-4196 (*1 *1 *1 *1) (-4 *1 (-147)))) 
+(-13 (-10 -8 (-15 -4196 ($ $ $)) (-15 -1954 ($ $)) (-15 -2578 ($ $ $)))) 
+((-1310 (((-121) $ $) NIL)) (-2992 (((-121) $) 38)) (-2917 (($ $) 50)) (-3704 (($) 25)) (-2675 (((-765)) 16)) (-3341 (($) 24)) (-4163 (($) 26)) (-4004 (((-569) $) 21)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3601 (((-121) $) 40)) (-3027 (($ $) 51)) (-2862 (((-919) $) 22)) (-2605 (((-1147) $) 46)) (-1333 (($ (-919)) 20)) (-1667 (((-121) $) 36)) (-1912 (((-1111) $) NIL)) (-1489 (($) 27)) (-2736 (((-121) $) 34)) (-3956 (((-852) $) 29)) (-2168 (($ (-569)) 18) (($ (-1147)) 49)) (-2564 (((-121) $) 44)) (-1729 (((-121) $) 42)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 13)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 14))) 
+(((-148) (-13 (-838) (-10 -8 (-15 -4004 ((-569) $)) (-15 -2168 ($ (-569))) (-15 -2168 ($ (-1147))) (-15 -3704 ($)) (-15 -4163 ($)) (-15 -1489 ($)) (-15 -2917 ($ $)) (-15 -3027 ($ $)) (-15 -2736 ((-121) $)) (-15 -1667 ((-121) $)) (-15 -1729 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -3601 ((-121) $)) (-15 -2564 ((-121) $))))) (T -148)) 
+((-4004 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-2168 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148)))) (-2168 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-148)))) (-3704 (*1 *1) (-5 *1 (-148))) (-4163 (*1 *1) (-5 *1 (-148))) (-1489 (*1 *1) (-5 *1 (-148))) (-2917 (*1 *1 *1) (-5 *1 (-148))) (-3027 (*1 *1 *1) (-5 *1 (-148))) (-2736 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1667 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-1729 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2992 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-3601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148)))) (-2564 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(-13 (-838) (-10 -8 (-15 -4004 ((-569) $)) (-15 -2168 ($ (-569))) (-15 -2168 ($ (-1147))) (-15 -3704 ($)) (-15 -4163 ($)) (-15 -1489 ($)) (-15 -2917 ($ $)) (-15 -3027 ($ $)) (-15 -2736 ((-121) $)) (-15 -1667 ((-121) $)) (-15 -1729 ((-121) $)) (-15 -2992 ((-121) $)) (-15 -3601 ((-121) $)) (-15 -2564 ((-121) $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2277 (((-3 $ "failed") $) 34)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-149) (-1284)) (T -149)) 
+((-2277 (*1 *1 *1) (|partial| -4 *1 (-149)))) 
+(-13 (-1049) (-10 -8 (-15 -2277 ((-3 $ "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3033 ((|#1| (-681 |#1|) |#1|) 17))) 
+(((-150 |#1|) (-10 -7 (-15 -3033 (|#1| (-681 |#1|) |#1|))) (-173)) (T -150)) 
+((-3033 (*1 *2 *3 *2) (-12 (-5 *3 (-681 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2))))) 
+(-10 -7 (-15 -3033 (|#1| (-681 |#1|) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-151) (-1284)) (T -151)) 
+NIL 
+(-13 (-1049)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1915 (((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765)) 69)) (-3732 (((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|) 51)) (-2741 (((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|) 36)) (-3678 ((|#1| |#3| |#3|) 39)) (-1484 ((|#3| |#3| (-410 |#2|) (-410 |#2|)) 19)) (-4352 (((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|) 48))) 
+(((-152 |#1| |#2| |#3|) (-10 -7 (-15 -2741 ((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3732 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|)) (-15 -1915 ((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765))) (-15 -3678 (|#1| |#3| |#3|)) (-15 -1484 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -4352 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|))) (-1208) (-1228 |#1|) (-1228 (-410 |#2|))) (T -152)) 
+((-4352 (*1 *2 *3 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5))))) (-1484 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1228 *3)))) (-3678 (*1 *2 *3 *3) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-1208)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-1915 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-765)) (-4 *7 (-1228 *3)))) (-3732 (*1 *2 *3) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5))))) (-2741 (*1 *2 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3550 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
+(-10 -7 (-15 -2741 ((-2 (|:| -3550 (-410 |#2|)) (|:| |poly| |#3|)) |#3|)) (-15 -3732 ((-3 (-2 (|:| |radicand| (-410 |#2|)) (|:| |deg| (-765))) "failed") |#3|)) (-15 -1915 ((-2 (|:| -3190 (-765)) (|:| -3550 (-410 |#2|)) (|:| |radicand| |#2|)) (-410 |#2|) (-765))) (-15 -3678 (|#1| |#3| |#3|)) (-15 -1484 (|#3| |#3| (-410 |#2|) (-410 |#2|))) (-15 -4352 ((-2 (|:| |func| |#3|) (|:| |poly| |#3|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| |deg| (-765))) |#3| |#3|))) 
+((-1447 (((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)) 31))) 
+(((-153 |#1| |#2|) (-10 -7 (-15 -1447 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)))) (-551) (-167 |#1|)) (T -153)) 
+((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5))))) 
+(-10 -7 (-15 -1447 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)))) 
+((-2140 (($ (-1 (-121) |#2|) $) 29)) (-1858 (($ $) 36)) (-3503 (($ (-1 (-121) |#2|) $) 27) (($ |#2| $) 32)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $) 22) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 24) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 34)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 19)) (-2985 (((-121) (-1 (-121) |#2|) $) 16)) (-2691 (((-765) (-1 (-121) |#2|) $) 13) (((-765) |#2| $) NIL)) (-3776 (((-121) (-1 (-121) |#2|) $) 15)) (-2946 (((-765) $) 11))) 
+(((-154 |#1| |#2|) (-10 -8 (-15 -1858 (|#1| |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) (-155 |#2|) (-1199)) (T -154)) 
+NIL 
+(-10 -8 (-15 -1858 (|#1| |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-2140 (($ (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 38 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571))) (($ |#1| $) 39 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 44 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 43 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 40 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 45)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 37 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 46)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-155 |#1|) (-1284) (-1199)) (T -155)) 
+((-3124 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-155 *3)))) (-2569 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-2793 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-2793 (*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) (-2793 (*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) (-3503 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-1858 (*1 *1 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093))))) 
+(-13 (-500 |t#1|) (-10 -8 (-15 -3124 ($ (-635 |t#1|))) (-15 -2569 ((-3 |t#1| "failed") (-1 (-121) |t#1|) $)) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $)) (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1|)) (-15 -3503 ($ (-1 (-121) |t#1|) $)) (-15 -2140 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2793 (|t#1| (-1 |t#1| |t#1| |t#1|) $ |t#1| |t#1|)) (-15 -3503 ($ |t#1| $)) (-15 -1858 ($ $))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 85)) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-635 (-919))) 56)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4533 (($ (-919)) 48)) (-2174 (((-140)) 23)) (-3956 (((-852) $) 68) (($ (-569)) 46) (($ |#2|) 47)) (-3802 ((|#2| $ (-635 (-919))) 58)) (-2320 (((-765)) 20)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 40 T CONST)) (-3297 (($) 44 T CONST)) (-1326 (((-121) $ $) 26)) (-1383 (($ $ |#2|) NIL)) (-1377 (($ $) 34) (($ $ $) 32)) (-1371 (($ $ $) 30)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 37) (($ $ $) 52) (($ |#2| $) 39) (($ $ |#2|) NIL))) 
+(((-156 |#1| |#2| |#3|) (-13 (-1049) (-43 |#2|) (-1260 |#2|) (-10 -8 (-15 -4533 ($ (-919))) (-15 -3179 ($ |#2| (-635 (-919)))) (-15 -3802 (|#2| $ (-635 (-919)))) (-15 -2611 ((-3 $ "failed") $)))) (-919) (-366) (-996 |#1| |#2|)) (T -156)) 
+((-2611 (*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-919)) (-4 *3 (-366)) (-14 *4 (-996 *2 *3)))) (-4533 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-996 *3 *4)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-4 *2 (-366)) (-14 *5 (-996 *4 *2)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-919))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-14 *5 (-996 *4 *2))))) 
+(-13 (-1049) (-43 |#2|) (-1260 |#2|) (-10 -8 (-15 -4533 ($ (-919))) (-15 -3179 ($ |#2| (-635 (-919)))) (-15 -3802 (|#2| $ (-635 (-919)))) (-15 -2611 ((-3 $ "failed") $)))) 
+((-4538 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216)) 38)) (-3426 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569))) 62) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929)) 63)) (-4263 (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216))))) 66) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216)))) 65) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569))) 57) (((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929)) 58))) 
+(((-157) (-10 -7 (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -4538 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216))))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))))))) (T -157)) 
+((-4263 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 (-216))))))) (-4263 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-946 (-216)))))) (-4538 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 *4)))) (|:| |xValues| (-1087 *4)) (|:| |yValues| (-1087 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 *4)))))) (-3426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-3426 (*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-4263 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) (-4263 (*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157))))) 
+(-10 -7 (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929))) (-15 -3426 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-929) (-410 (-569)) (-410 (-569)))) (-15 -4538 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216)))) (-216) (-216) (-216) (-216))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-946 (-216))))) (-15 -4263 ((-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216)))) (-635 (-635 (-946 (-216))))))) 
+((-1298 (((-635 (-170 |#2|)) |#1| |#2|) 45))) 
+(((-158 |#1| |#2|) (-10 -7 (-15 -1298 ((-635 (-170 |#2|)) |#1| |#2|))) (-1228 (-170 (-569))) (-13 (-366) (-842))) (T -158)) 
+((-1298 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1228 (-170 (-569)))) (-4 *4 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -1298 ((-635 (-170 |#2|)) |#1| |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-1412 (($) 15)) (-2308 (($) 14)) (-1457 (((-919)) 22)) (-2605 (((-1147) $) NIL)) (-4365 (((-569) $) 19)) (-1912 (((-1111) $) NIL)) (-2974 (($) 16)) (-4381 (($ (-569)) 23)) (-3956 (((-852) $) 29)) (-1500 (($) 17)) (-1326 (((-121) $ $) 13)) (-1371 (($ $ $) 11)) (* (($ (-919) $) 21) (($ (-216) $) 8))) 
+(((-159) (-13 (-25) (-10 -8 (-15 * ($ (-919) $)) (-15 * ($ (-216) $)) (-15 -1371 ($ $ $)) (-15 -2308 ($)) (-15 -1412 ($)) (-15 -2974 ($)) (-15 -1500 ($)) (-15 -4365 ((-569) $)) (-15 -1457 ((-919))) (-15 -4381 ($ (-569)))))) (T -159)) 
+((-1371 (*1 *1 *1 *1) (-5 *1 (-159))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) (-2308 (*1 *1) (-5 *1 (-159))) (-1412 (*1 *1) (-5 *1 (-159))) (-2974 (*1 *1) (-5 *1 (-159))) (-1500 (*1 *1) (-5 *1 (-159))) (-4365 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) (-1457 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) (-4381 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159))))) 
+(-13 (-25) (-10 -8 (-15 * ($ (-919) $)) (-15 * ($ (-216) $)) (-15 -1371 ($ $ $)) (-15 -2308 ($)) (-15 -1412 ($)) (-15 -2974 ($)) (-15 -1500 ($)) (-15 -4365 ((-569) $)) (-15 -1457 ((-919))) (-15 -4381 ($ (-569))))) 
+((-1998 ((|#2| |#2| (-1085 |#2|)) 87) ((|#2| |#2| (-1165)) 67)) (-1419 ((|#2| |#2| (-1085 |#2|)) 86) ((|#2| |#2| (-1165)) 66)) (-2578 ((|#2| |#2| |#2|) 27)) (-1344 (((-123) (-123)) 97)) (-2011 ((|#2| (-635 |#2|)) 116)) (-1508 ((|#2| (-635 |#2|)) 134)) (-3047 ((|#2| (-635 |#2|)) 124)) (-4212 ((|#2| |#2|) 122)) (-3448 ((|#2| (-635 |#2|)) 109)) (-3583 ((|#2| (-635 |#2|)) 110)) (-3428 ((|#2| (-635 |#2|)) 132)) (-1389 ((|#2| |#2| (-1165)) 54) ((|#2| |#2|) 53)) (-1954 ((|#2| |#2|) 23)) (-4196 ((|#2| |#2| |#2|) 26)) (-3791 (((-121) (-123)) 47)) (** ((|#2| |#2| |#2|) 38))) 
+(((-160 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4196 (|#2| |#2| |#2|)) (-15 -2578 (|#2| |#2| |#2|)) (-15 -1954 (|#2| |#2|)) (-15 -1389 (|#2| |#2|)) (-15 -1389 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1085 |#2|))) (-15 -1419 (|#2| |#2| (-1165))) (-15 -1419 (|#2| |#2| (-1085 |#2|))) (-15 -4212 (|#2| |#2|)) (-15 -3428 (|#2| (-635 |#2|))) (-15 -3047 (|#2| (-635 |#2|))) (-15 -1508 (|#2| (-635 |#2|))) (-15 -3448 (|#2| (-635 |#2|))) (-15 -3583 (|#2| (-635 |#2|))) (-15 -2011 (|#2| (-635 |#2|)))) (-13 (-844) (-559)) (-433 |#1|)) (T -160)) 
+((-2011 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3583 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3448 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-1508 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3047 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3428 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4212 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1419 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) (-1419 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1998 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) (-1998 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1389 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) (-1389 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1954 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-2578 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-4196 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (** (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4))))) 
+(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 ** (|#2| |#2| |#2|)) (-15 -4196 (|#2| |#2| |#2|)) (-15 -2578 (|#2| |#2| |#2|)) (-15 -1954 (|#2| |#2|)) (-15 -1389 (|#2| |#2|)) (-15 -1389 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1165))) (-15 -1998 (|#2| |#2| (-1085 |#2|))) (-15 -1419 (|#2| |#2| (-1165))) (-15 -1419 (|#2| |#2| (-1085 |#2|))) (-15 -4212 (|#2| |#2|)) (-15 -3428 (|#2| (-635 |#2|))) (-15 -3047 (|#2| (-635 |#2|))) (-15 -1508 (|#2| (-635 |#2|))) (-15 -3448 (|#2| (-635 |#2|))) (-15 -3583 (|#2| (-635 |#2|))) (-15 -2011 (|#2| (-635 |#2|)))) 
+((-2788 ((|#1| |#1| |#1|) 52)) (-3320 ((|#1| |#1| |#1|) 49)) (-2578 ((|#1| |#1| |#1|) 43)) (-1288 ((|#1| |#1|) 34)) (-3950 ((|#1| |#1| (-635 |#1|)) 42)) (-1954 ((|#1| |#1|) 36)) (-4196 ((|#1| |#1| |#1|) 39))) 
+(((-161 |#1|) (-10 -7 (-15 -4196 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -3950 (|#1| |#1| (-635 |#1|))) (-15 -1288 (|#1| |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -3320 (|#1| |#1| |#1|)) (-15 -2788 (|#1| |#1| |#1|))) (-551)) (T -161)) 
+((-2788 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3320 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-2578 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-1288 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-3950 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2)))) (-1954 (*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) (-4196 (*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(-10 -7 (-15 -4196 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -3950 (|#1| |#1| (-635 |#1|))) (-15 -1288 (|#1| |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -3320 (|#1| |#1| |#1|)) (-15 -2788 (|#1| |#1| |#1|))) 
+((-1998 (($ $ (-1165)) 12) (($ $ (-1085 $)) 11)) (-1419 (($ $ (-1165)) 10) (($ $ (-1085 $)) 9)) (-2578 (($ $ $) 8)) (-1389 (($ $) 14) (($ $ (-1165)) 13)) (-1954 (($ $) 7)) (-4196 (($ $ $) 6))) 
+(((-162) (-1284)) (T -162)) 
+((-1389 (*1 *1 *1) (-4 *1 (-162))) (-1389 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1998 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1998 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) (-1419 (*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) (-1419 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162))))) 
+(-13 (-147) (-10 -8 (-15 -1389 ($ $)) (-15 -1389 ($ $ (-1165))) (-15 -1998 ($ $ (-1165))) (-15 -1998 ($ $ (-1085 $))) (-15 -1419 ($ $ (-1165))) (-15 -1419 ($ $ (-1085 $))))) 
 (((-147) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3993 (($ (-569)) 13) (($ $ $) 14)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 17)) (-1668 (((-121) $ $) 9))) 
-(((-163) (-13 (-1091) (-10 -8 (-15 -3993 ($ (-569))) (-15 -3993 ($ $ $))))) (T -163)) 
-((-3993 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163)))) (-3993 (*1 *1 *1 *1) (-5 *1 (-163)))) 
-(-13 (-1091) (-10 -8 (-15 -3993 ($ (-569))) (-15 -3993 ($ $ $)))) 
-((-2265 (((-123) (-1163)) 99))) 
-(((-164) (-10 -7 (-15 -2265 ((-123) (-1163))))) (T -164)) 
-((-2265 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-123)) (-5 *1 (-164))))) 
-(-10 -7 (-15 -2265 ((-123) (-1163)))) 
-((-1478 ((|#3| |#3|) 19))) 
-(((-165 |#1| |#2| |#3|) (-10 -7 (-15 -1478 (|#3| |#3|))) (-1048) (-1222 |#1|) (-1222 |#2|)) (T -165)) 
-((-1478 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-1222 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1222 *4))))) 
-(-10 -7 (-15 -1478 (|#3| |#3|))) 
-((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 215)) (-1377 ((|#2| $) 95)) (-1753 (($ $) 242)) (-2530 (($ $) 236)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 39)) (-1744 (($ $) 240)) (-2513 (($ $) 234)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 137)) (-2506 (($ $ $) 220)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 153) (((-680 |#2|) (-680 $)) 147)) (-1774 (($ (-1159 |#2|)) 118) (((-3 $ "failed") (-410 (-1159 |#2|))) NIL)) (-3428 (((-3 $ "failed") $) 207)) (-4401 (((-3 (-410 (-569)) "failed") $) 197)) (-3103 (((-121) $) 192)) (-1442 (((-410 (-569)) $) 195)) (-1321 (((-918)) 88)) (-2524 (($ $ $) 222)) (-2366 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-2445 (($) 231)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 184) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 189)) (-4308 ((|#2| $) 93)) (-2770 (((-1159 |#2|) $) 120)) (-1544 (($ (-1 |#2| |#2|) $) 101)) (-4450 (($ $) 233)) (-1769 (((-1159 |#2|) $) 119)) (-1795 (($ $) 200)) (-4512 (($) 96)) (-1721 (((-421 (-1159 $)) (-1159 $)) 87)) (-1568 (((-421 (-1159 $)) (-1159 $)) 56)) (-2941 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-2436 (($ $) 232)) (-2622 (((-764) $) 217)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 226)) (-2087 ((|#2| (-1247 $)) NIL) ((|#2|) 90)) (-3899 (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-2745 (((-1159 |#2|)) 113)) (-1748 (($ $) 241)) (-2522 (($ $) 235)) (-1648 (((-1247 |#2|) $ (-1247 $)) 126) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) 109) (((-680 |#2|) (-1247 $)) NIL)) (-3817 (((-1247 |#2|) $) NIL) (($ (-1247 |#2|)) NIL) (((-1159 |#2|) $) NIL) (($ (-1159 |#2|)) NIL) (((-888 (-569)) $) 175) (((-888 (-382)) $) 179) (((-170 (-382)) $) 165) (((-170 (-216)) $) 160) (((-542) $) 171)) (-1414 (($ $) 97)) (-2185 (((-851) $) 136) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-410 (-569))) NIL) (($ $) NIL)) (-2742 (((-1159 |#2|) $) 23)) (-1991 (((-764)) 99)) (-1779 (($ $) 245)) (-1727 (($ $) 239)) (-1770 (($ $) 243)) (-2561 (($ $) 237)) (-1408 ((|#2| $) 230)) (-1775 (($ $) 244)) (-2569 (($ $) 238)) (-1616 (($ $) 155)) (-1668 (((-121) $ $) 103)) (-1678 (((-121) $ $) 191)) (-1711 (($ $) 105) (($ $ $) NIL)) (-1707 (($ $ $) 104)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-410 (-569))) 264) (($ $ $) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
-(((-166 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2185 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-170 (-216)) |#1|)) (-15 -3817 ((-170 (-382)) |#1|)) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -2445 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -2366 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -1408 (|#2| |#1|)) (-15 -1616 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1414 (|#1| |#1|)) (-15 -4512 (|#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -1774 ((-3 |#1| "failed") (-410 (-1159 |#2|)))) (-15 -1769 ((-1159 |#2|) |#1|)) (-15 -3817 (|#1| (-1159 |#2|))) (-15 -1774 (|#1| (-1159 |#2|))) (-15 -2745 ((-1159 |#2|))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2742 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -4308 (|#2| |#1|)) (-15 -1377 (|#2| |#1|)) (-15 -1321 ((-918))) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-167 |#2|) (-173)) (T -166)) 
-((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-1321 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-918)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-2087 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) (-2745 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4))))) 
-(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2185 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-170 (-216)) |#1|)) (-15 -3817 ((-170 (-382)) |#1|)) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -2445 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -2366 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -1408 (|#2| |#1|)) (-15 -1616 (|#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -1414 (|#1| |#1|)) (-15 -4512 (|#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -1774 ((-3 |#1| "failed") (-410 (-1159 |#2|)))) (-15 -1769 ((-1159 |#2|) |#1|)) (-15 -3817 (|#1| (-1159 |#2|))) (-15 -1774 (|#1| (-1159 |#2|))) (-15 -2745 ((-1159 |#2|))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2742 ((-1159 |#2|) |#1|)) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -4308 (|#2| |#1|)) (-15 -1377 (|#2| |#1|)) (-15 -1321 ((-918))) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3383 (($ $) 88 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-4354 (((-121) $) 90 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-1753 (($ $) 212 (|has| |#1| (-1183)))) (-2530 (($ $) 195 (|has| |#1| (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 226 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-2004 (($ $) 107 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2446 (((-421 $) $) 108 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2454 (($ $) 225 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 229 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-3934 (((-121) $ $) 98 (|has| |#1| (-302)))) (-2085 (((-764)) 81 (|has| |#1| (-371)))) (-1744 (($ $) 211 (|has| |#1| (-1183)))) (-2513 (($ $) 196 (|has| |#1| (-1183)))) (-1760 (($ $) 210 (|has| |#1| (-1183)))) (-2546 (($ $) 197 (|has| |#1| (-1183)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-2428 (((-569) $) 164 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 159)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-2506 (($ $ $) 102 (|has| |#1| (-302)))) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 156) (((-680 |#1|) (-680 $)) 155)) (-1774 (($ (-1159 |#1|)) 152) (((-3 $ "failed") (-410 (-1159 |#1|))) 149 (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 237)) (-4401 (((-3 (-410 (-569)) "failed") $) 230 (|has| |#1| (-551)))) (-3103 (((-121) $) 232 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 231 (|has| |#1| (-551)))) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| |#1| (-371)))) (-2524 (($ $ $) 101 (|has| |#1| (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| |#1| (-302)))) (-3188 (($) 143 (|has| |#1| (-351)))) (-3354 (((-121) $) 144 (|has| |#1| (-351)))) (-2751 (($ $ (-764)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-3726 (((-121) $) 109 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2366 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 233 (-12 (|has| |#1| (-1057)) (|has| |#1| (-1183))))) (-2445 (($) 222 (|has| |#1| (-1183)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 245 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 244 (|has| |#1| (-882 (-382))))) (-2558 (((-918) $) 146 (|has| |#1| (-351))) (((-829 (-918)) $) 132 (|has| |#1| (-351)))) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 224 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-4308 ((|#1| $) 49)) (-3846 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-302)))) (-2770 (((-1159 |#1|) $) 42 (|has| |#1| (-366)))) (-3291 (($ $ $) 191 (|has| |#1| (-843)))) (-1538 (($ $ $) 190 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 246)) (-2083 (((-918) $) 83 (|has| |#1| (-371)))) (-4450 (($ $) 219 (|has| |#1| (-1183)))) (-1769 (((-1159 |#1|) $) 150)) (-2665 (($ (-635 $)) 94 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (($ $ $) 93 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 110 (|has| |#1| (-366)))) (-4043 (($) 137 (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| |#1| (-371)))) (-4512 (($) 241)) (-1751 ((|#1| $) 238)) (-3360 (((-1109) $) 10)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-2714 (($ (-635 $)) 92 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (($ $ $) 91 (-2232 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 228 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) 227 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1743 (((-421 $) $) 106 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| |#1| (-302)))) (-2941 (((-3 $ "failed") $ |#1|) 236 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 86 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-302)))) (-2436 (($ $) 220 (|has| |#1| (-1183)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 252 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 251 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 250 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 249 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 248 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 247 (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) 99 (|has| |#1| (-302)))) (-1534 (($ $ |#1|) 253 (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| |#1| (-302)))) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1291 (((-764) $) 145 (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) 133 (|has| |#1| (-351)))) (-3899 (($ $ (-1 |#1| |#1|) (-764)) 117) (($ $ (-1 |#1| |#1|)) 116) (($ $ (-635 (-1163)) (-635 (-764))) 124 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 125 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 126 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 127 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 129 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 131 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-2745 (((-1159 |#1|)) 153)) (-1764 (($ $) 209 (|has| |#1| (-1183)))) (-2554 (($ $) 198 (|has| |#1| (-1183)))) (-2319 (($) 142 (|has| |#1| (-351)))) (-1756 (($ $) 208 (|has| |#1| (-1183)))) (-2538 (($ $) 199 (|has| |#1| (-1183)))) (-1748 (($ $) 207 (|has| |#1| (-1183)))) (-2522 (($ $) 200 (|has| |#1| (-1183)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56) (((-1159 |#1|) $) 165) (($ (-1159 |#1|)) 151) (((-888 (-569)) $) 243 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 242 (|has| |#1| (-610 (-888 (-382))))) (((-170 (-382)) $) 194 (|has| |#1| (-1022))) (((-170 (-216)) $) 193 (|has| |#1| (-1022))) (((-542) $) 192 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 240)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (-2232 (-2206 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (|has| |#1| (-351))))) (-2997 (($ |#1| |#1|) 239)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 80 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) 85 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-3953 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (-2232 (-2206 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))) (|has| |#1| (-149))))) (-2742 (((-1159 |#1|) $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-1779 (($ $) 218 (|has| |#1| (-1183)))) (-1727 (($ $) 206 (|has| |#1| (-1183)))) (-1961 (((-121) $ $) 89 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905)))))) (-1770 (($ $) 217 (|has| |#1| (-1183)))) (-2561 (($ $) 205 (|has| |#1| (-1183)))) (-1785 (($ $) 216 (|has| |#1| (-1183)))) (-1736 (($ $) 204 (|has| |#1| (-1183)))) (-1408 ((|#1| $) 234 (|has| |#1| (-1183)))) (-2430 (($ $) 215 (|has| |#1| (-1183)))) (-1740 (($ $) 203 (|has| |#1| (-1183)))) (-1782 (($ $) 214 (|has| |#1| (-1183)))) (-1731 (($ $) 202 (|has| |#1| (-1183)))) (-1775 (($ $) 213 (|has| |#1| (-1183)))) (-2569 (($ $) 201 (|has| |#1| (-1183)))) (-1616 (($ $) 235 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#1| |#1|) (-764)) 119) (($ $ (-1 |#1| |#1|)) 118) (($ $ (-635 (-1163)) (-635 (-764))) 120 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 121 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 122 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 123 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 128 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 130 (-2232 (-2206 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-2206 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-1693 (((-121) $ $) 188 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 187 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 189 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 186 (|has| |#1| (-843)))) (-1715 (($ $ $) 115 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-410 (-569))) 223 (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183)))) (($ $ $) 221 (|has| |#1| (-1183))) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
-(((-167 |#1|) (-1278) (-173)) (T -167)) 
-((-4308 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4512 (*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2997 (*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1751 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-1616 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-1408 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1183)))) (-2366 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1057)) (-4 *3 (-1183)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
-(-13 (-715 |t#1| (-1159 |t#1|)) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-403 |t#1|) (-880 |t#1|) (-380 |t#1|) (-173) (-10 -8 (-6 -2997) (-15 -4512 ($)) (-15 -1414 ($ $)) (-15 -2997 ($ |t#1| |t#1|)) (-15 -1751 (|t#1| $)) (-15 -1747 (|t#1| $)) (-15 -4308 (|t#1| $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-302)) (-6 (-302)) |noBranch|) (IF (|has| |t#1| (-6 -4534)) (-6 -4534) |noBranch|) (IF (|has| |t#1| (-6 -4531)) (-6 -4531) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1022)) (PROGN (-6 (-610 (-170 (-216)))) (-6 (-610 (-170 (-382))))) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 ($ $)) |noBranch|) (IF (|has| |t#1| (-1183)) (PROGN (-6 (-1183)) (-15 -1408 (|t#1| $)) (IF (|has| |t#1| (-1003)) (-6 (-1003)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -2366 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-905)) (IF (|has| |t#1| (-302)) (-6 (-905)) |noBranch|) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-40) |has| |#1| (-1183)) ((-98) |has| |#1| (-1183)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-170 (-216))) |has| |#1| (-1022)) ((-610 (-170 (-382))) |has| |#1| (-1022)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-610 (-1159 |#1|)) . T) ((-224 |#1|) . T) ((-226) -2232 (|has| |#1| (-351)) (|has| |#1| (-226))) ((-239) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-280) |has| |#1| (-1183)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-302) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -2232 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| (-1159 |#1|)) . T) ((-412 |#1| (-1159 |#1|)) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-503) |has| |#1| (-1183)) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-708 |#1|) . T) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-715 |#1| (-1159 |#1|)) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-905) -12 (|has| |#1| (-302)) (|has| |#1| (-905))) ((-917) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-1003) -12 (|has| |#1| (-1003)) (|has| |#1| (-1183))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-351)) ((-1183) |has| |#1| (-1183)) ((-1186) |has| |#1| (-1183)) ((-1197) . T) ((-1202) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)) (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) 
-((-1743 (((-421 |#2|) |#2|) 63))) 
-(((-168 |#1| |#2|) (-10 -7 (-15 -1743 ((-421 |#2|) |#2|))) (-302) (-1222 (-170 |#1|))) (T -168)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(-10 -7 (-15 -1743 ((-421 |#2|) |#2|))) 
-((-1544 (((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)) 14))) 
-(((-169 |#1| |#2|) (-10 -7 (-15 -1544 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) (-173) (-173)) (T -169)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3294 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) NIL)) (-1377 ((|#1| $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-1183)))) (-2530 (($ $) NIL (|has| |#1| (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-2004 (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2446 (((-421 $) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2454 (($ $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-302)))) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-1744 (($ $) NIL (|has| |#1| (-1183)))) (-2513 (($ $) NIL (|has| |#1| (-1183)))) (-1760 (($ $) NIL (|has| |#1| (-1183)))) (-2546 (($ $) NIL (|has| |#1| (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-2506 (($ $ $) NIL (|has| |#1| (-302)))) (-3325 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-1774 (($ (-1159 |#1|)) NIL) (((-3 $ "failed") (-410 (-1159 |#1|))) NIL (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 13)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-302)))) (-3188 (($) NIL (|has| |#1| (-351)))) (-3354 (((-121) $) NIL (|has| |#1| (-351)))) (-2751 (($ $ (-764)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-3726 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2366 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1057)) (|has| |#1| (-1183))))) (-2445 (($) NIL (|has| |#1| (-1183)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#1| (-882 (-382))))) (-2558 (((-918) $) NIL (|has| |#1| (-351))) (((-829 (-918)) $) NIL (|has| |#1| (-351)))) (-1407 (((-121) $) 35)) (-4344 (($ $ (-569)) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183))))) (-4308 ((|#1| $) 46)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2770 (((-1159 |#1|) $) NIL (|has| |#1| (-366)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-4450 (($ $) NIL (|has| |#1| (-1183)))) (-1769 (((-1159 |#1|) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-4043 (($) NIL (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-4512 (($) NIL)) (-1751 ((|#1| $) 15)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-302)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-905))))) (-1743 (((-421 $) $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-302)))) (-2941 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 47 (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2436 (($ $) NIL (|has| |#1| (-1183)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) NIL (|has| |#1| (-302)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-302)))) (-2087 ((|#1| (-1247 $)) NIL) ((|#1|) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) NIL (|has| |#1| (-351)))) (-3899 (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-2745 (((-1159 |#1|)) NIL)) (-1764 (($ $) NIL (|has| |#1| (-1183)))) (-2554 (($ $) NIL (|has| |#1| (-1183)))) (-2319 (($) NIL (|has| |#1| (-351)))) (-1756 (($ $) NIL (|has| |#1| (-1183)))) (-2538 (($ $) NIL (|has| |#1| (-1183)))) (-1748 (($ $) NIL (|has| |#1| (-1183)))) (-2522 (($ $) NIL (|has| |#1| (-1183)))) (-1648 (((-1247 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL) (((-1159 |#1|) $) NIL) (($ (-1159 |#1|)) NIL) (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (((-170 (-382)) $) NIL (|has| |#1| (-1022))) (((-170 (-216)) $) NIL (|has| |#1| (-1022))) (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) 45)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-351))))) (-2997 (($ |#1| |#1|) 37)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) 36) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-3953 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-2742 (((-1159 |#1|) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL)) (-1779 (($ $) NIL (|has| |#1| (-1183)))) (-1727 (($ $) NIL (|has| |#1| (-1183)))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-302)) (|has| |#1| (-905))) (|has| |#1| (-559))))) (-1770 (($ $) NIL (|has| |#1| (-1183)))) (-2561 (($ $) NIL (|has| |#1| (-1183)))) (-1785 (($ $) NIL (|has| |#1| (-1183)))) (-1736 (($ $) NIL (|has| |#1| (-1183)))) (-1408 ((|#1| $) NIL (|has| |#1| (-1183)))) (-2430 (($ $) NIL (|has| |#1| (-1183)))) (-1740 (($ $) NIL (|has| |#1| (-1183)))) (-1782 (($ $) NIL (|has| |#1| (-1183)))) (-1731 (($ $) NIL (|has| |#1| (-1183)))) (-1775 (($ $) NIL (|has| |#1| (-1183)))) (-2569 (($ $) NIL (|has| |#1| (-1183)))) (-1616 (($ $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 28 T CONST)) (-1556 (($) 30 T CONST)) (-1940 (((-1145) $) 23 (|has| |#1| (-824))) (((-1145) $ (-121)) 25 (|has| |#1| (-824))) (((-1252) (-818) $) 26 (|has| |#1| (-824))) (((-1252) (-818) $ (-121)) 27 (|has| |#1| (-824)))) (-3022 (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 39)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-410 (-569))) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1183)))) (($ $ $) NIL (|has| |#1| (-1183))) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
-(((-170 |#1|) (-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) (-173)) (T -170)) 
-NIL 
-(-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) 
-((-3817 (((-888 |#1|) |#3|) 22))) 
-(((-171 |#1| |#2| |#3|) (-10 -7 (-15 -3817 ((-888 |#1|) |#3|))) (-1091) (-13 (-610 (-888 |#1|)) (-173)) (-167 |#2|)) (T -171)) 
-((-3817 (*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-888 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1091)) (-4 *3 (-167 *5))))) 
-(-10 -7 (-15 -3817 ((-888 |#1|) |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-1434 (((-121) $) 9)) (-4089 (((-121) $ (-121)) 11)) (-2659 (($) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1971 (($ $) 13)) (-2185 (((-851) $) 17)) (-4376 (((-121) $) 8)) (-3585 (((-121) $ (-121)) 10)) (-1668 (((-121) $ $) NIL))) 
-(((-172) (-13 (-1091) (-10 -8 (-15 -2659 ($)) (-15 -4376 ((-121) $)) (-15 -1434 ((-121) $)) (-15 -3585 ((-121) $ (-121))) (-15 -4089 ((-121) $ (-121))) (-15 -1971 ($ $))))) (T -172)) 
-((-2659 (*1 *1) (-5 *1 (-172))) (-4376 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1434 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-3585 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-4089 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1971 (*1 *1 *1) (-5 *1 (-172)))) 
-(-13 (-1091) (-10 -8 (-15 -2659 ($)) (-15 -4376 ((-121) $)) (-15 -1434 ((-121) $)) (-15 -3585 ((-121) $ (-121))) (-15 -4089 ((-121) $ (-121))) (-15 -1971 ($ $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-173) (-1278)) (T -173)) 
-NIL 
-(-13 (-1048) (-120 $ $) (-10 -7 (-6 (-4537 "*")))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#1| $) 74)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-4025 (($ $) 19)) (-2202 (($ |#1| (-1143 |#1|)) 47)) (-3428 (((-3 $ "failed") $) 116)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-3553 (((-1143 |#1|) $) 81)) (-2213 (((-1143 |#1|) $) 78)) (-2928 (((-1143 |#1|) $) 79)) (-1407 (((-121) $) NIL)) (-1337 (((-1143 |#1|) $) 87)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2146 (((-1143 |#1|) $) 88)) (-1998 (((-1143 (-410 |#1|)) $) 13)) (-1303 (($ (-410 |#1|)) 17) (($ |#1| (-1143 |#1|) (-1143 |#1|)) 37)) (-3659 (($ $) 92)) (-2185 (((-851) $) 126) (($ (-569)) 50) (($ |#1|) 51) (($ (-410 |#1|)) 35) (($ (-410 (-569))) NIL) (($ $) NIL)) (-1991 (((-764)) 63)) (-1961 (((-121) $ $) NIL)) (-1680 (((-1143 (-410 |#1|)) $) 18)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 28 T CONST)) (-1668 (((-121) $ $) 34)) (-1715 (($ $ $) 114)) (-1711 (($ $) 105) (($ $ $) 102)) (-1707 (($ $ $) 100)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-410 |#1|) $) 110) (($ $ (-410 |#1|)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
-(((-174 |#1|) (-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -1303 ($ (-410 |#1|))) (-15 -1303 ($ |#1| (-1143 |#1|) (-1143 |#1|))) (-15 -2202 ($ |#1| (-1143 |#1|))) (-15 -2213 ((-1143 |#1|) $)) (-15 -2928 ((-1143 |#1|) $)) (-15 -3553 ((-1143 |#1|) $)) (-15 -3761 (|#1| $)) (-15 -4025 ($ $)) (-15 -1680 ((-1143 (-410 |#1|)) $)) (-15 -1998 ((-1143 (-410 |#1|)) $)) (-15 -1337 ((-1143 |#1|) $)) (-15 -2146 ((-1143 |#1|) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) (-302)) (T -174)) 
-((-1303 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) (-1303 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2202 (*1 *1 *2 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2213 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2928 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3553 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3761 (*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-4025 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-1680 (*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1998 (*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1337 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2146 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3659 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
-(-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -1303 ($ (-410 |#1|))) (-15 -1303 ($ |#1| (-1143 |#1|) (-1143 |#1|))) (-15 -2202 ($ |#1| (-1143 |#1|))) (-15 -2213 ((-1143 |#1|) $)) (-15 -2928 ((-1143 |#1|) $)) (-15 -3553 ((-1143 |#1|) $)) (-15 -3761 (|#1| $)) (-15 -4025 ($ $)) (-15 -1680 ((-1143 (-410 |#1|)) $)) (-15 -1998 ((-1143 (-410 |#1|)) $)) (-15 -1337 ((-1143 |#1|) $)) (-15 -2146 ((-1143 |#1|) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) 
-((-2038 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 40)) (-1622 (((-945 |#1|) (-945 |#1|)) 19)) (-1823 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 36)) (-2712 (((-945 |#1|) (-945 |#1|)) 17)) (-2939 (((-945 |#1|) (-945 |#1|)) 25)) (-3420 (((-945 |#1|) (-945 |#1|)) 24)) (-2950 (((-945 |#1|) (-945 |#1|)) 23)) (-2937 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 37)) (-3098 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 35)) (-4005 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 34)) (-1506 (((-945 |#1|) (-945 |#1|)) 18)) (-2373 (((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|) 43)) (-2142 (((-945 |#1|) (-945 |#1|)) 8)) (-1363 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 39)) (-3793 (((-1 (-945 |#1|) (-945 |#1|)) |#1|) 38))) 
-(((-175 |#1|) (-10 -7 (-15 -2142 ((-945 |#1|) (-945 |#1|))) (-15 -2712 ((-945 |#1|) (-945 |#1|))) (-15 -1506 ((-945 |#1|) (-945 |#1|))) (-15 -1622 ((-945 |#1|) (-945 |#1|))) (-15 -2950 ((-945 |#1|) (-945 |#1|))) (-15 -3420 ((-945 |#1|) (-945 |#1|))) (-15 -2939 ((-945 |#1|) (-945 |#1|))) (-15 -4005 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3098 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1823 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2937 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3793 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1363 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2038 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2373 ((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|))) (-13 (-366) (-1183) (-1003))) (T -175)) 
-((-2373 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2038 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-1363 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-3793 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2937 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-1823 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-3098 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-4005 (*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) (-2939 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-3420 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2950 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-1622 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-1506 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2712 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3)))) (-2142 (*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(-10 -7 (-15 -2142 ((-945 |#1|) (-945 |#1|))) (-15 -2712 ((-945 |#1|) (-945 |#1|))) (-15 -1506 ((-945 |#1|) (-945 |#1|))) (-15 -1622 ((-945 |#1|) (-945 |#1|))) (-15 -2950 ((-945 |#1|) (-945 |#1|))) (-15 -3420 ((-945 |#1|) (-945 |#1|))) (-15 -2939 ((-945 |#1|) (-945 |#1|))) (-15 -4005 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3098 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1823 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2937 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -3793 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -1363 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2038 ((-1 (-945 |#1|) (-945 |#1|)) |#1|)) (-15 -2373 ((-1 (-945 |#1|) (-945 |#1|)) |#1| |#1|))) 
-((-2742 ((|#2| |#3|) 27))) 
-(((-176 |#1| |#2| |#3|) (-10 -7 (-15 -2742 (|#2| |#3|))) (-173) (-1222 |#1|) (-715 |#1| |#2|)) (T -176)) 
-((-2742 (*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1222 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-715 *4 *2))))) 
-(-10 -7 (-15 -2742 (|#2| |#3|))) 
-((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 47 (|has| (-954 |#2|) (-882 |#1|))))) 
-(((-177 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-954 |#2|) (-882 |#1|)) (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) |noBranch|)) (-1091) (-13 (-882 |#1|) (-173)) (-167 |#2|)) (T -177)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *3 (-167 *6)) (-4 (-954 *6) (-882 *5)) (-4 *6 (-13 (-882 *5) (-173))) (-5 *1 (-177 *5 *6 *3))))) 
-(-10 -7 (IF (|has| (-954 |#2|) (-882 |#1|)) (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) |noBranch|)) 
-((-3345 (((-635 |#1|) (-635 |#1|) |#1|) 36)) (-1583 (((-635 |#1|) |#1| (-635 |#1|)) 19)) (-2462 (((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|)) 31) ((|#1| (-635 |#1|) (-635 |#1|)) 29))) 
-(((-178 |#1|) (-10 -7 (-15 -1583 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2462 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2462 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -3345 ((-635 |#1|) (-635 |#1|) |#1|))) (-302)) (T -178)) 
-((-3345 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3)))) (-2462 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) (-2462 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) (-1583 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(-10 -7 (-15 -1583 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2462 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2462 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -3345 ((-635 |#1|) (-635 |#1|) |#1|))) 
-((-1617 (((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|) 61)) (-3745 ((|#1| |#1|) 54)) (-4479 (((-170 |#1|) |#2|) 82)) (-3236 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-2157 ((|#2| |#2|) 81)) (-4462 (((-421 |#2|) |#2| |#1|) 112) (((-421 |#2|) |#2| |#1| (-121)) 79)) (-4308 ((|#1| |#2|) 111)) (-1960 ((|#2| |#2|) 118)) (-1743 (((-421 |#2|) |#2|) 133) (((-421 |#2|) |#2| |#1|) 32) (((-421 |#2|) |#2| |#1| (-121)) 132)) (-4194 (((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|) 131) (((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121)) 75)) (-3749 (((-635 (-170 |#1|)) |#2| |#1|) 40) (((-635 (-170 |#1|)) |#2|) 41))) 
-(((-179 |#1| |#2|) (-10 -7 (-15 -3749 ((-635 (-170 |#1|)) |#2|)) (-15 -3749 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121))) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|)) (-15 -1743 ((-421 |#2|) |#2| |#1| (-121))) (-15 -1743 ((-421 |#2|) |#2| |#1|)) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -1960 (|#2| |#2|)) (-15 -4308 (|#1| |#2|)) (-15 -4462 ((-421 |#2|) |#2| |#1| (-121))) (-15 -4462 ((-421 |#2|) |#2| |#1|)) (-15 -2157 (|#2| |#2|)) (-15 -3236 (|#1| |#2| |#1|)) (-15 -3236 (|#1| |#2|)) (-15 -4479 ((-170 |#1|) |#2|)) (-15 -3745 (|#1| |#1|)) (-15 -1617 ((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|))) (-13 (-366) (-841)) (-1222 (-170 |#1|))) (T -179)) 
-((-1617 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-2 (|:| |start| *3) (|:| -1640 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-3745 (*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-4479 (*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-841))) (-4 *3 (-1222 *2)))) (-3236 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-3236 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-2157 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3))))) (-4462 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4462 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4308 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) (-1960 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-1743 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4194 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-4194 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1222 (-170 *5))))) (-3749 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) (-3749 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(-10 -7 (-15 -3749 ((-635 (-170 |#1|)) |#2|)) (-15 -3749 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2| (-121))) (-15 -4194 ((-635 (-2 (|:| -1640 (-635 |#2|)) (|:| -1638 |#1|))) |#2| |#2|)) (-15 -1743 ((-421 |#2|) |#2| |#1| (-121))) (-15 -1743 ((-421 |#2|) |#2| |#1|)) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -1960 (|#2| |#2|)) (-15 -4308 (|#1| |#2|)) (-15 -4462 ((-421 |#2|) |#2| |#1| (-121))) (-15 -4462 ((-421 |#2|) |#2| |#1|)) (-15 -2157 (|#2| |#2|)) (-15 -3236 (|#1| |#2| |#1|)) (-15 -3236 (|#1| |#2|)) (-15 -4479 ((-170 |#1|) |#2|)) (-15 -3745 (|#1| |#1|)) (-15 -1617 ((-2 (|:| |start| |#2|) (|:| -1640 (-421 |#2|))) |#2|))) 
-((-2155 (((-3 |#2| "failed") |#2|) 14)) (-4460 (((-764) |#2|) 16)) (-1439 ((|#2| |#2| |#2|) 18))) 
-(((-180 |#1| |#2|) (-10 -7 (-15 -2155 ((-3 |#2| "failed") |#2|)) (-15 -4460 ((-764) |#2|)) (-15 -1439 (|#2| |#2| |#2|))) (-1197) (-666 |#1|)) (T -180)) 
-((-1439 (*1 *2 *2 *2) (-12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3)))) (-4460 (*1 *2 *3) (-12 (-4 *4 (-1197)) (-5 *2 (-764)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4)))) (-2155 (*1 *2 *2) (|partial| -12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(-10 -7 (-15 -2155 ((-3 |#2| "failed") |#2|)) (-15 -4460 ((-764) |#2|)) (-15 -1439 (|#2| |#2| |#2|))) 
-((-1977 ((|#2| |#2|) 28)) (-2387 (((-121) |#2|) 19)) (-1747 (((-311 |#1|) |#2|) 12)) (-1751 (((-311 |#1|) |#2|) 14)) (-3969 ((|#2| |#2| (-1163)) 68) ((|#2| |#2|) 69)) (-1354 (((-170 (-311 |#1|)) |#2|) 9)) (-1388 ((|#2| |#2| (-1163)) 65) ((|#2| |#2|) 58))) 
-(((-181 |#1| |#2|) (-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1747 ((-311 |#1|) |#2|)) (-15 -1751 ((-311 |#1|) |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1977 (|#2| |#2|)) (-15 -1354 ((-170 (-311 |#1|)) |#2|))) (-13 (-559) (-843) (-1038 (-569))) (-13 (-27) (-1183) (-433 (-170 |#1|)))) (T -181)) 
-((-1354 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1977 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) (-2387 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1751 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1747 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1388 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-1388 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) (-3969 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) (-3969 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3))))))) 
-(-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1747 ((-311 |#1|) |#2|)) (-15 -1751 ((-311 |#1|) |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1977 (|#2| |#2|)) (-15 -1354 ((-170 (-311 |#1|)) |#2|))) 
-((-1479 (((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|))) 22)) (-2185 (((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))) 30))) 
-(((-182 |#1|) (-10 -7 (-15 -1479 ((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|)))) (-15 -2185 ((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))))) (-173)) (T -182)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-410 (-954 *4))))) (-5 *1 (-182 *4)))) (-1479 (*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-954 *4)))) (-5 *1 (-182 *4))))) 
-(-10 -7 (-15 -1479 ((-1247 (-680 (-954 |#1|))) (-1247 (-680 |#1|)))) (-15 -2185 ((-1247 (-680 (-410 (-954 |#1|)))) (-1247 (-680 |#1|))))) 
-((-3055 (((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 66)) (-3648 (((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569))) 74)) (-1447 (((-1165 (-410 (-569))) (-569)) 40)) (-2107 (((-1165 (-410 (-569))) (-569)) 52)) (-1468 (((-410 (-569)) (-1165 (-410 (-569)))) 62)) (-1944 (((-1165 (-410 (-569))) (-569)) 32)) (-2001 (((-1165 (-410 (-569))) (-569)) 48)) (-4126 (((-1165 (-410 (-569))) (-569)) 46)) (-2073 (((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 60)) (-3659 (((-1165 (-410 (-569))) (-569)) 25)) (-3956 (((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569)))) 64)) (-1928 (((-1165 (-410 (-569))) (-569)) 30)) (-3731 (((-1165 (-410 (-569))) (-635 (-569))) 71))) 
-(((-183) (-10 -7 (-15 -3659 ((-1165 (-410 (-569))) (-569))) (-15 -1447 ((-1165 (-410 (-569))) (-569))) (-15 -1944 ((-1165 (-410 (-569))) (-569))) (-15 -1928 ((-1165 (-410 (-569))) (-569))) (-15 -4126 ((-1165 (-410 (-569))) (-569))) (-15 -2001 ((-1165 (-410 (-569))) (-569))) (-15 -2107 ((-1165 (-410 (-569))) (-569))) (-15 -3956 ((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -2073 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -1468 ((-410 (-569)) (-1165 (-410 (-569))))) (-15 -3055 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -3731 ((-1165 (-410 (-569))) (-635 (-569)))) (-15 -3648 ((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569)))))) (T -183)) 
-((-3648 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3731 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3055 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-1468 (*1 *2 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-2073 (*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)))) (-3956 (*1 *2 *3 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-2107 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2001 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-4126 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1928 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1944 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1447 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-3659 (*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -3659 ((-1165 (-410 (-569))) (-569))) (-15 -1447 ((-1165 (-410 (-569))) (-569))) (-15 -1944 ((-1165 (-410 (-569))) (-569))) (-15 -1928 ((-1165 (-410 (-569))) (-569))) (-15 -4126 ((-1165 (-410 (-569))) (-569))) (-15 -2001 ((-1165 (-410 (-569))) (-569))) (-15 -2107 ((-1165 (-410 (-569))) (-569))) (-15 -3956 ((-410 (-569)) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -2073 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -1468 ((-410 (-569)) (-1165 (-410 (-569))))) (-15 -3055 ((-1165 (-410 (-569))) (-1165 (-410 (-569))) (-1165 (-410 (-569))))) (-15 -3731 ((-1165 (-410 (-569))) (-635 (-569)))) (-15 -3648 ((-1165 (-410 (-569))) (-635 (-569)) (-635 (-569))))) 
-((-1636 (((-421 (-1159 (-569))) (-569)) 28)) (-4142 (((-635 (-1159 (-569))) (-569)) 23)) (-2917 (((-1159 (-569)) (-569)) 21))) 
-(((-184) (-10 -7 (-15 -4142 ((-635 (-1159 (-569))) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -1636 ((-421 (-1159 (-569))) (-569))))) (T -184)) 
-((-1636 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569)))) (-2917 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) (-4142 (*1 *2 *3) (-12 (-5 *2 (-635 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -4142 ((-635 (-1159 (-569))) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -1636 ((-421 (-1159 (-569))) (-569)))) 
-((-2074 (((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 101)) (-1989 (((-635 (-1145)) (-1143 (-216))) NIL)) (-1614 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77)) (-4028 (((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216)))) NIL)) (-3679 (((-635 (-1145)) (-635 (-216))) NIL)) (-1559 (((-216) (-1085 (-836 (-216)))) 22)) (-3995 (((-216) (-1085 (-836 (-216)))) 23)) (-1293 (((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 93)) (-3250 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 40)) (-2370 (((-1145) (-216)) NIL)) (-2309 (((-1145) (-635 (-1145))) 19)) (-2825 (((-1036) (-1163) (-1163) (-1036)) 12))) 
-(((-185) (-10 -7 (-15 -1614 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3250 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -1293 ((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -2309 ((-1145) (-635 (-1145)))) (-15 -2825 ((-1036) (-1163) (-1163) (-1036))))) (T -185)) 
-((-2825 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-185)))) (-2309 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-185)))) (-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-185)))) (-2074 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-185)))) (-4028 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) (-1293 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3250 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185)))) (-1614 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
-(-10 -7 (-15 -1614 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3250 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -1293 ((-382) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -2309 ((-1145) (-635 (-1145)))) (-15 -2825 ((-1036) (-1163) (-1163) (-1036)))) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 53) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 28) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-186) (-783)) (T -186)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 58) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-187) (-783)) (T -187)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 67) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-188) (-783)) (T -188)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 54) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 30) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-189) (-783)) (T -189)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 65) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 35) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-190) (-783)) (T -190)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 71) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-191) (-783)) (T -191)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 78) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 43) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-192) (-783)) (T -192)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 68) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-193) (-783)) (T -193)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 62)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-194) (-783)) (T -194)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 60)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 32)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-195) (-783)) (T -195)) 
-NIL 
-(-783) 
-((-2568 (((-121) $ $) NIL)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 89) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-196) (-783)) (T -196)) 
-NIL 
-(-783) 
-((-1339 (((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 80)) (-4187 (((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 39)) (-3754 (((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 69))) 
-(((-197) (-10 -7 (-15 -1339 ((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3754 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4187 ((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -197)) 
-((-4187 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197)))) (-3754 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197)))) (-1339 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2291 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
-(-10 -7 (-15 -1339 ((-3 (-2 (|:| -2291 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3754 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4187 ((-569) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-3213 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2527 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 127)) (-2525 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216)))) 87)) (-2931 (((-382) (-680 (-311 (-216)))) 110)) (-1395 (((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163))) 107)) (-1462 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-3177 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-1468 (((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216)))) 99)) (-2040 (((-382) (-382) (-635 (-382))) 104) (((-382) (-382) (-382)) 102)) (-4448 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33))) 
-(((-198) (-10 -7 (-15 -2040 ((-382) (-382) (-382))) (-15 -2040 ((-382) (-382) (-635 (-382)))) (-15 -2931 ((-382) (-680 (-311 (-216))))) (-15 -1395 ((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163)))) (-15 -1468 ((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216))))) (-15 -2525 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216))))) (-15 -2527 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3213 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3177 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4448 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1462 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -198)) 
-((-1462 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4448 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3177 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3213 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2527 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-2525 (*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1468 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-680 (-311 (-216)))) (-5 *3 (-635 (-1163))) (-5 *4 (-1247 (-311 (-216)))) (-5 *1 (-198)))) (-1395 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *2 (-680 (-311 (-216)))) (-5 *1 (-198)))) (-2931 (*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2040 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2040 (*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198))))) 
-(-10 -7 (-15 -2040 ((-382) (-382) (-382))) (-15 -2040 ((-382) (-382) (-635 (-382)))) (-15 -2931 ((-382) (-680 (-311 (-216))))) (-15 -1395 ((-680 (-311 (-216))) (-1247 (-311 (-216))) (-635 (-1163)))) (-15 -1468 ((-680 (-311 (-216))) (-680 (-311 (-216))) (-635 (-1163)) (-1247 (-311 (-216))))) (-15 -2525 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-680 (-311 (-216))))) (-15 -2527 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3213 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3177 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4448 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1462 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1668 (((-121) $ $) NIL))) 
-(((-199) (-796)) (T -199)) 
-NIL 
-(-796) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1668 (((-121) $ $) NIL))) 
-(((-200) (-796)) (T -200)) 
-NIL 
-(-796) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 64)) (-1668 (((-121) $ $) NIL))) 
-(((-201) (-796)) (T -201)) 
-NIL 
-(-796) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 73)) (-1668 (((-121) $ $) NIL))) 
-(((-202) (-796)) (T -202)) 
-NIL 
-(-796) 
-((-3914 (((-635 (-1163)) (-1163) (-764)) 22)) (-3226 (((-311 (-216)) (-311 (-216))) 29)) (-3318 (((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 67)) (-4334 (((-121) (-216) (-216) (-635 (-311 (-216)))) 43))) 
-(((-203) (-10 -7 (-15 -3914 ((-635 (-1163)) (-1163) (-764))) (-15 -3226 ((-311 (-216)) (-311 (-216)))) (-15 -4334 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -3318 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))))) (T -203)) 
-((-3318 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203)))) (-4334 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203)))) (-3226 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203)))) (-3914 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-203)) (-5 *3 (-1163))))) 
-(-10 -7 (-15 -3914 ((-635 (-1163)) (-1163) (-764))) (-15 -3226 ((-311 (-216)) (-311 (-216)))) (-15 -4334 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -3318 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))))) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 17)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 55)) (-1668 (((-121) $ $) NIL))) 
-(((-204) (-891)) (T -204)) 
-NIL 
-(-891) 
-((-2568 (((-121) $ $) NIL)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-205) (-891)) (T -205)) 
-NIL 
-(-891) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3552 (((-1252) $) 36) (((-1252) $ (-918) (-918)) 38)) (-1534 (($ $ (-991)) 19) (((-241 (-1145)) $ (-1163)) 15)) (-3615 (((-1252) $) 34)) (-2185 (((-851) $) 31) (($ (-635 |#1|)) 8)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $ $) 27)) (-1707 (($ $ $) 22))) 
-(((-206 |#1|) (-13 (-1091) (-10 -8 (-15 -1534 ($ $ (-991))) (-15 -1534 ((-241 (-1145)) $ (-1163))) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -2185 ($ (-635 |#1|))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -3552 ((-1252) $ (-918) (-918))))) (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (T -206)) 
-((-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-991)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-241 (-1145))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ *3)) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1707 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-1711 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (-5 *1 (-206 *3)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) (-3552 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) (-3552 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $)))))))) 
-(-13 (-1091) (-10 -8 (-15 -1534 ($ $ (-991))) (-15 -1534 ((-241 (-1145)) $ (-1163))) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -2185 ($ (-635 |#1|))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -3552 ((-1252) $ (-918) (-918))))) 
-((-2311 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
-(((-207 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2311 (|#2| |#4| (-1 |#2| |#2|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -207)) 
-((-2311 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1222 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
-(-10 -7 (-15 -2311 (|#2| |#4| (-1 |#2| |#2|)))) 
-((-1411 ((|#2| |#2| (-764) |#2|) 41)) (-3951 ((|#2| |#2| (-764) |#2|) 37)) (-3462 (((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|)))) 55)) (-3476 (((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|) 51)) (-1560 (((-121) |#2|) 48)) (-2186 (((-421 |#2|) |#2|) 74)) (-1743 (((-421 |#2|) |#2|) 73)) (-4289 ((|#2| |#2| (-764) |#2|) 35)) (-3245 (((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121)) 66))) 
-(((-208 |#1| |#2|) (-10 -7 (-15 -1743 ((-421 |#2|) |#2|)) (-15 -2186 ((-421 |#2|) |#2|)) (-15 -3245 ((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121))) (-15 -3476 ((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|)) (-15 -3462 ((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))))) (-15 -4289 (|#2| |#2| (-764) |#2|)) (-15 -3951 (|#2| |#2| (-764) |#2|)) (-15 -1411 (|#2| |#2| (-764) |#2|)) (-15 -1560 ((-121) |#2|))) (-351) (-1222 |#1|)) (T -208)) 
-((-1560 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-1411 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-3951 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-4289 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) (-3462 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *5)))) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) (-3476 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-3245 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1222 *5)))) (-2186 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -1743 ((-421 |#2|) |#2|)) (-15 -2186 ((-421 |#2|) |#2|)) (-15 -3245 ((-2 (|:| |cont| |#1|) (|:| -1640 (-635 (-2 (|:| |irr| |#2|) (|:| -4245 (-569)))))) |#2| (-121))) (-15 -3476 ((-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))) |#2|)) (-15 -3462 ((-635 |#2|) (-635 (-2 (|:| |deg| (-764)) (|:| -1551 |#2|))))) (-15 -4289 (|#2| |#2| (-764) |#2|)) (-15 -3951 (|#2| |#2| (-764) |#2|)) (-15 -1411 (|#2| |#2| (-764) |#2|)) (-15 -1560 ((-121) |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-4412 (($ (-410 (-569))) 8)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 10) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-209) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 10) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4412 ($ (-410 (-569))))))) (T -209)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 10)) (-5 *1 (-209)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-4412 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
-(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 10) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4412 ($ (-410 (-569)))))) 
-((-2565 (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145)) 27) (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|))) 23)) (-4044 (((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)) 16))) 
-(((-210 |#1| |#2|) (-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)))) (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145))) (-15 -4044 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -210)) 
-((-4044 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1163)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1183) (-960) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-836 *3)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 *3))) (-5 *5 (-1145)) (-4 *3 (-13 (-1183) (-960) (-29 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 *3))) (-4 *3 (-13 (-1183) (-960) (-29 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3))))) 
-(-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)))) (-15 -2565 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1083 (-836 |#2|)) (-1145))) (-15 -4044 ((-3 (|:| |f1| (-836 |#2|)) (|:| |f2| (-635 (-836 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1163) (-836 |#2|) (-836 |#2|) (-121)))) 
-((-2565 (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)) 44) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|))))) 41) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145)) 45) (((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|)))) 17))) 
-(((-211 |#1|) (-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (T -211)) 
-((-2565 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *6))))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *5))))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1083 (-836 (-311 *6)))) (-5 *5 (-1145)) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1083 (-836 (-311 *5)))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5))))) 
-(-10 -7 (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-311 |#1|))) (-1145))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))))) (-15 -2565 ((-3 (|:| |f1| (-836 (-311 |#1|))) (|:| |f2| (-635 (-836 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-954 |#1|)) (-1083 (-836 (-410 (-954 |#1|)))) (-1145)))) 
-((-1774 (((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|)) 20)) (-1939 (((-635 (-311 |#2|)) (-311 |#2|) (-918)) 42))) 
-(((-212 |#1| |#2|) (-10 -7 (-15 -1774 ((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|))) (-15 -1939 ((-635 (-311 |#2|)) (-311 |#2|) (-918)))) (-1048) (-13 (-559) (-843))) (T -212)) 
-((-1939 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *6 (-13 (-559) (-843))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1048)))) (-1774 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-2 (|:| -3698 (-1159 *4)) (|:| |deg| (-918)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1159 *4)) (-4 *5 (-13 (-559) (-843)))))) 
-(-10 -7 (-15 -1774 ((-2 (|:| -3698 (-1159 |#1|)) (|:| |deg| (-918))) (-1159 |#1|))) (-15 -1939 ((-635 (-311 |#2|)) (-311 |#2|) (-918)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3828 ((|#1| $) 25)) (-3275 ((|#1| $) 26)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3929 (($ $) NIL)) (-1302 (($ $) 32)) (-3309 ((|#1| |#1| $) NIL)) (-1646 ((|#1| $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-764) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) NIL)) (-3153 ((|#1| |#1| $) 29)) (-2055 ((|#1| |#1| $) 31)) (-3172 (($ |#1| $) NIL)) (-2626 (((-764) $) 27)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2935 ((|#1| $) NIL)) (-2017 ((|#1| $) 24)) (-3597 ((|#1| $) 8)) (-1856 ((|#1| $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4065 ((|#1| |#1| $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) NIL)) (-2819 ((|#1| $) NIL)) (-3598 (($) NIL) (($ (-635 |#1|)) 13)) (-2835 (((-764) $) 28)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-3130 ((|#1| $) 9)) (-2793 (($ (-635 |#1|)) NIL)) (-1309 ((|#1| $) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-213 |#1|) (-13 (-248 |#1|) (-10 -8 (-15 -3598 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -2835 ((-764) $)) (-15 -3598 ($)) (-15 -2626 ((-764) $)) (-15 -3275 (|#1| $)) (-15 -3130 (|#1| $)) (-15 -3597 (|#1| $)) (-15 -2017 (|#1| $)) (-15 -2055 (|#1| |#1| $)) (-15 -3153 (|#1| |#1| $)) (-15 -1646 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -1302 ($ $)) (-15 -3828 (|#1| $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -213)) 
-((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-213 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-1309 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2935 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-3929 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-4065 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3598 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3598 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) (-3828 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3130 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3153 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2055 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-2017 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-3597 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) (-1302 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091))))) 
-(-13 (-248 |#1|) (-10 -8 (-15 -3598 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -2835 ((-764) $)) (-15 -3598 ($)) (-15 -2626 ((-764) $)) (-15 -3275 (|#1| $)) (-15 -3130 (|#1| $)) (-15 -3597 (|#1| $)) (-15 -2017 (|#1| $)) (-15 -2055 (|#1| |#1| $)) (-15 -3153 (|#1| |#1| $)) (-15 -1646 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -1302 ($ $)) (-15 -3828 (|#1| $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1676 (($ (-311 |#1|)) 23)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3633 (((-121) $) NIL)) (-1647 (((-3 (-311 |#1|) "failed") $) NIL)) (-2428 (((-311 |#1|) $) NIL)) (-4020 (($ $) 31)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1544 (($ (-1 (-311 |#1|) (-311 |#1|)) $) NIL)) (-4012 (((-311 |#1|) $) NIL)) (-2528 (($ $) 30)) (-2776 (((-1145) $) NIL)) (-2910 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) NIL)) (-1404 (($ $) 32)) (-2492 (((-569) $) NIL)) (-2185 (((-851) $) 57) (($ (-569)) NIL) (($ (-311 |#1|)) NIL)) (-1653 (((-311 |#1|) $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 50 T CONST)) (-1668 (((-121) $ $) 28)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 19)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 24) (($ (-311 |#1|) $) 18))) 
-(((-214 |#1| |#2|) (-13 (-613 (-311 |#1|)) (-1038 (-311 |#1|)) (-10 -8 (-15 -4012 ((-311 |#1|) $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 ((-311 |#1|) $ $)) (-15 -1809 ($ (-764))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -1544 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -1676 ($ (-311 |#1|))) (-15 -1404 ($ $)))) (-13 (-1048) (-843)) (-635 (-1163))) (T -214)) 
-((-4012 (*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2528 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) (-1653 (*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2910 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) (-1676 (*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) (-1404 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
-(-13 (-613 (-311 |#1|)) (-1038 (-311 |#1|)) (-10 -8 (-15 -4012 ((-311 |#1|) $)) (-15 -2528 ($ $)) (-15 -4020 ($ $)) (-15 -1653 ((-311 |#1|) $ $)) (-15 -1809 ($ (-764))) (-15 -2910 ((-121) $)) (-15 -3633 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -1544 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -1676 ($ (-311 |#1|))) (-15 -1404 ($ $)))) 
-((-2710 (((-121) (-1145)) 22)) (-1494 (((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121)) 32)) (-1664 (((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)) 73) (((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121)) 74))) 
-(((-215 |#1| |#2|) (-10 -7 (-15 -2710 ((-121) (-1145))) (-15 -1494 ((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-29 |#1|))) (T -215)) 
-((-1664 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1159 *6)) (-5 *4 (-836 *6)) (-4 *6 (-13 (-1183) (-29 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6)))) (-1664 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-954 *6)) (-5 *4 (-1163)) (-5 *5 (-836 *7)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1183) (-29 *6))) (-5 *1 (-215 *6 *7)))) (-1494 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-836 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1183) (-29 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4)))) (-2710 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1183) (-29 *4)))))) 
-(-10 -7 (-15 -2710 ((-121) (-1145))) (-15 -1494 ((-3 (-836 |#2|) "failed") (-608 |#2|) |#2| (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-954 |#1|) (-1163) (-836 |#2|) (-836 |#2|) (-121))) (-15 -1664 ((-3 (-121) "failed") (-1159 |#2|) (-836 |#2|) (-836 |#2|) (-121)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 95)) (-3761 (((-569) $) 124)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) NIL)) (-1753 (($ $) 83)) (-2530 (($ $) 71)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) 62)) (-3934 (((-121) $ $) NIL)) (-1744 (($ $) 81)) (-2513 (($ $) 69)) (-3638 (((-569) $) 137)) (-1760 (($ $) 86)) (-2546 (($ $) 73)) (-2820 (($) NIL T CONST)) (-1847 (($ $) NIL)) (-1647 (((-3 (-569) "failed") $) 120) (((-3 (-410 (-569)) "failed") $) 135)) (-2428 (((-569) $) 136) (((-410 (-569)) $) 133)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 98)) (-2826 (((-410 (-569)) $ (-764)) 131) (((-410 (-569)) $ (-764) (-764)) 130)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 34) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-2403 (((-121) $) NIL)) (-3429 (($ $ $) 123)) (-2445 (($) 44)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-2558 (((-569) $) 40)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (($ $) NIL)) (-1781 (((-121) $) 94)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) 59) (($) 39 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1538 (($ $ $) 58) (($) 38 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 32)) (-1671 (((-410 (-569)) $) 27)) (-1900 (($ $) 35)) (-2138 (($ $) 63)) (-4450 (($ $) 68)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-2000 (((-635 (-569)) $) 29)) (-2925 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL) (((-569) $) 96)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL)) (-2942 (($ $) NIL)) (-2215 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-918)) 125)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 33)) (-2390 (($) 43)) (-2436 (($ $) 67)) (-2622 (((-764) $) NIL)) (-1643 (((-1145) (-1145)) 8)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-1394 (($ $) 116)) (-3899 (($ $ (-764)) NIL) (($ $) 99)) (-4432 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-1764 (($ $) 84)) (-2554 (($ $) 74)) (-1756 (($ $) 85)) (-2538 (($ $) 72)) (-1748 (($ $) 82)) (-2522 (($ $) 70)) (-3817 (((-382) $) 129) (((-216) $) 126) (((-888 (-382)) $) NIL) (((-542) $) 51)) (-2185 (((-851) $) 48) (($ (-569)) 66) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 66) (($ (-410 (-569))) NIL)) (-1991 (((-764)) NIL)) (-2612 (($ $) NIL)) (-2970 (((-918)) 37) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-3367 (($ $ $) 112)) (-3349 (($ $ $) 110)) (-2178 (($ $ $) 108)) (-3627 (($ $ $) 106)) (-1475 (((-918)) 31)) (-1779 (($ $) 89)) (-1727 (($ $) 77) (($ $ $) 132)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 87)) (-2561 (($ $) 75)) (-1785 (($ $) 92)) (-1736 (($ $) 80)) (-3759 (($ $) 104)) (-4395 (($ $) 102)) (-2430 (($ $) 90)) (-1740 (($ $) 78)) (-1782 (($ $) 91)) (-1731 (($ $) 79)) (-1775 (($ $) 88)) (-2569 (($ $) 76)) (-1616 (($ $) 138)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 41 T CONST)) (-1556 (($) 42 T CONST)) (-1940 (((-1145) $) 19) (((-1145) $ (-121)) 21) (((-1252) (-818) $) 22) (((-1252) (-818) $ (-121)) 23)) (-3814 (($ $) 118) (($ $ $) NIL)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1485 (($ $ $) 114)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 60)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 52)) (-1715 (($ $ $) 93) (($ $ (-569)) 61)) (-1711 (($ $) 53) (($ $ $) 55)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 64) (($ $ (-410 (-569))) 148) (($ $ $) 65)) (* (($ (-918) $) 36) (($ (-764) $) NIL) (($ (-569) $) 57) (($ $ $) 56) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-216) (-13 (-407) (-226) (-824) (-1183) (-1125) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2390 ($)) (-15 -3360 ((-569) $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -1727 ($ $ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1643 ((-1145) (-1145))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1671 ((-410 (-569)) $)) (-15 -2000 ((-635 (-569)) $))))) (T -216)) 
-((** (*1 *1 *1 *1) (-5 *1 (-216))) (-3814 (*1 *1 *1) (-5 *1 (-216))) (-1485 (*1 *1 *1 *1) (-5 *1 (-216))) (-1715 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-2390 (*1 *1) (-5 *1 (-216))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1900 (*1 *1 *1) (-5 *1 (-216))) (-2138 (*1 *1 *1) (-5 *1 (-216))) (-1727 (*1 *1 *1 *1) (-5 *1 (-216))) (-1643 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-216)))) (-2826 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2826 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-1671 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2000 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
-(-13 (-407) (-226) (-824) (-1183) (-1125) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2390 ($)) (-15 -3360 ((-569) $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -1727 ($ $ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1643 ((-1145) (-1145))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1671 ((-410 (-569)) $)) (-15 -2000 ((-635 (-569)) $)))) 
-((-2568 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-219)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-219)) NIL)) (-3443 (($ $ (-569) (-219)) NIL)) (-1574 (($ (-764) (-216)) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| (-216) (-302)))) (-1765 (((-219) $ (-569)) NIL)) (-1321 (((-764) $) NIL (|has| (-216) (-559)))) (-2726 (((-216) $ (-569) (-569) (-216)) 16)) (-2090 (($ (-569) (-569)) 18)) (-1618 (((-216) $ (-569) (-569)) 15)) (-2333 (((-216) $) NIL (|has| (-216) (-173)))) (-3470 (((-635 (-216)) $) NIL)) (-3695 (((-764) $) NIL (|has| (-216) (-559)))) (-3645 (((-635 (-219)) $) NIL (|has| (-216) (-559)))) (-1810 (((-764) $) 10)) (-2659 (($ (-764) (-764) (-216)) 19)) (-2806 (((-764) $) 11)) (-1974 (((-121) $ (-764)) NIL)) (-1558 (((-216) $) NIL (|has| (-216) (-6 (-4537 "*"))))) (-3992 (((-569) $) 7)) (-3127 (((-569) $) 8)) (-4259 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1866 (((-569) $) 12)) (-1581 (((-569) $) 13)) (-1483 (($ (-635 (-635 (-216)))) NIL)) (-1853 (($ (-1 (-216) (-216)) $) NIL)) (-1544 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL) (($ (-1 (-216) (-216) (-216)) $ $ (-216)) NIL)) (-2550 (((-635 (-635 (-216))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-216) (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| (-216) (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| (-216) (-1091)))) (-3174 (($ $ (-216)) NIL)) (-2941 (((-3 $ "failed") $ (-216)) NIL (|has| (-216) (-559)))) (-4177 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 17)) (-1534 (((-216) $ (-569) (-569)) NIL) (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 (-216))) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 (((-216) $) NIL (|has| (-216) (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535))) (((-764) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-219)) $) NIL (|has| (-216) (-302)))) (-3419 (((-219) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| (-216) (-1091))) (($ (-219)) NIL)) (-2066 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-1715 (($ $ (-216)) NIL (|has| (-216) (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-216) (-366)))) (* (($ $ $) NIL) (($ (-216) $) NIL) (($ $ (-216)) NIL) (($ (-569) $) NIL) (((-219) $ (-219)) NIL) (((-219) (-219) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-217) (-13 (-678 (-216) (-219) (-219)) (-10 -8 (-15 -2090 ($ (-569) (-569)))))) (T -217)) 
-((-2090 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217))))) 
-(-13 (-678 (-216) (-219) (-219)) (-10 -8 (-15 -2090 ($ (-569) (-569))))) 
-((-3429 (((-170 (-216)) (-764) (-170 (-216))) 61) (((-216) (-764) (-216)) 62)) (-1463 (((-170 (-216)) (-170 (-216))) 63) (((-216) (-216)) 64)) (-1942 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 69) (((-216) (-216) (-216)) 72)) (-4385 (((-382) (-382)) 60)) (-4427 (((-382) (-382)) 59)) (-1394 (((-170 (-216)) (-170 (-216))) 74) (((-216) (-216)) 73)) (-3367 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 91) (((-216) (-216) (-216)) 83)) (-3349 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 94) (((-216) (-216) (-216)) 92)) (-2178 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 65) (((-216) (-216) (-216)) 66)) (-3627 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 67) (((-216) (-216) (-216)) 68)) (-3759 (((-170 (-216)) (-170 (-216))) 105) (((-216) (-216)) 104)) (-4395 (((-216) (-216)) 99) (((-170 (-216)) (-170 (-216))) 103)) (-3814 (((-170 (-216)) (-170 (-216))) 7) (((-216) (-216)) 9)) (-2617 (((-829 (-216)) (-569) (-216)) 23)) (-3689 (((-829 (-216)) (-829 (-216))) 36)) (-1451 (((-829 (-216)) (-829 (-216))) 35)) (-2197 (((-829 (-216)) (-829 (-216))) 34)) (-1650 (((-829 (-216)) (-829 (-216))) 33)) (-3246 (((-829 (-216)) (-829 (-216))) 32)) (-1419 (((-829 (-216)) (-829 (-216))) 31)) (-4100 (((-829 (-216)) (-829 (-216))) 37)) (-1375 (((-829 (-216)) (-216)) 22)) (-1485 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 79) (((-216) (-216) (-216)) 75))) 
-(((-218) (-10 -7 (-15 -3814 ((-216) (-216))) (-15 -3814 ((-170 (-216)) (-170 (-216)))) (-15 -1375 ((-829 (-216)) (-216))) (-15 -2617 ((-829 (-216)) (-569) (-216))) (-15 -4100 ((-829 (-216)) (-829 (-216)))) (-15 -1419 ((-829 (-216)) (-829 (-216)))) (-15 -3246 ((-829 (-216)) (-829 (-216)))) (-15 -1650 ((-829 (-216)) (-829 (-216)))) (-15 -2197 ((-829 (-216)) (-829 (-216)))) (-15 -1451 ((-829 (-216)) (-829 (-216)))) (-15 -3689 ((-829 (-216)) (-829 (-216)))) (-15 -1485 ((-216) (-216) (-216))) (-15 -1485 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1463 ((-216) (-216))) (-15 -1463 ((-170 (-216)) (-170 (-216)))) (-15 -1394 ((-216) (-216))) (-15 -1394 ((-170 (-216)) (-170 (-216)))) (-15 -3429 ((-216) (-764) (-216))) (-15 -3429 ((-170 (-216)) (-764) (-170 (-216)))) (-15 -2178 ((-216) (-216) (-216))) (-15 -2178 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3367 ((-216) (-216) (-216))) (-15 -3367 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3627 ((-216) (-216) (-216))) (-15 -3627 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3349 ((-216) (-216) (-216))) (-15 -3349 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4395 ((-170 (-216)) (-170 (-216)))) (-15 -4395 ((-216) (-216))) (-15 -3759 ((-216) (-216))) (-15 -3759 ((-170 (-216)) (-170 (-216)))) (-15 -1942 ((-216) (-216) (-216))) (-15 -1942 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4385 ((-382) (-382))) (-15 -4427 ((-382) (-382))))) (T -218)) 
-((-4427 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-4385 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-1942 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1942 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3759 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3759 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4395 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4395 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3349 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3349 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3627 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3627 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3367 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3367 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2178 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2178 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3429 (*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-764)) (-5 *1 (-218)))) (-3429 (*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-764)) (-5 *1 (-218)))) (-1394 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1394 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1463 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1463 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1485 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1485 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3689 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1451 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-2197 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1650 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-3246 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-1419 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-4100 (*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) (-2617 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *4 (-216)))) (-1375 (*1 *2 *3) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *3 (-216)))) (-3814 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3814 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218))))) 
-(-10 -7 (-15 -3814 ((-216) (-216))) (-15 -3814 ((-170 (-216)) (-170 (-216)))) (-15 -1375 ((-829 (-216)) (-216))) (-15 -2617 ((-829 (-216)) (-569) (-216))) (-15 -4100 ((-829 (-216)) (-829 (-216)))) (-15 -1419 ((-829 (-216)) (-829 (-216)))) (-15 -3246 ((-829 (-216)) (-829 (-216)))) (-15 -1650 ((-829 (-216)) (-829 (-216)))) (-15 -2197 ((-829 (-216)) (-829 (-216)))) (-15 -1451 ((-829 (-216)) (-829 (-216)))) (-15 -3689 ((-829 (-216)) (-829 (-216)))) (-15 -1485 ((-216) (-216) (-216))) (-15 -1485 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1463 ((-216) (-216))) (-15 -1463 ((-170 (-216)) (-170 (-216)))) (-15 -1394 ((-216) (-216))) (-15 -1394 ((-170 (-216)) (-170 (-216)))) (-15 -3429 ((-216) (-764) (-216))) (-15 -3429 ((-170 (-216)) (-764) (-170 (-216)))) (-15 -2178 ((-216) (-216) (-216))) (-15 -2178 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3367 ((-216) (-216) (-216))) (-15 -3367 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3627 ((-216) (-216) (-216))) (-15 -3627 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3349 ((-216) (-216) (-216))) (-15 -3349 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4395 ((-170 (-216)) (-170 (-216)))) (-15 -4395 ((-216) (-216))) (-15 -3759 ((-216) (-216))) (-15 -3759 ((-170 (-216)) (-170 (-216)))) (-15 -1942 ((-216) (-216) (-216))) (-15 -1942 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4385 ((-382) (-382))) (-15 -4427 ((-382) (-382)))) 
-((-2568 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-2418 (($ (-764)) NIL (|has| (-216) (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-216) (-216)) $) NIL) (((-121) $) NIL (|has| (-216) (-843)))) (-3076 (($ (-1 (-121) (-216) (-216)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-216) (-843))))) (-3113 (($ (-1 (-121) (-216) (-216)) $) NIL) (($ $) NIL (|has| (-216) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-216) $ (-569) (-216)) 17 (|has| $ (-6 -4536))) (((-216) $ (-1213 (-569)) (-216)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-4347 (($ (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091)))) (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-216) (-1 (-216) (-216) (-216)) $ (-216) (-216)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091)))) (((-216) (-1 (-216) (-216) (-216)) $ (-216)) NIL (|has| $ (-6 -4535))) (((-216) (-1 (-216) (-216) (-216)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-216) $ (-569) (-216)) 9 (|has| $ (-6 -4536)))) (-2090 (($ (-569)) 14)) (-1618 (((-216) $ (-569)) 8)) (-3727 (((-569) (-1 (-121) (-216)) $) NIL) (((-569) (-216) $) NIL (|has| (-216) (-1091))) (((-569) (-216) $ (-569)) NIL (|has| (-216) (-1091)))) (-3470 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 (-216)) $ $) NIL (|has| (-216) (-1048)))) (-2659 (($ (-764) (-216)) 15)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-216) (-843)))) (-3288 (($ (-1 (-121) (-216) (-216)) $ $) NIL) (($ $ $) NIL (|has| (-216) (-843)))) (-4259 (((-635 (-216)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-216) (-843)))) (-1853 (($ (-1 (-216) (-216)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL)) (-2456 (((-216) $) NIL (-12 (|has| (-216) (-1003)) (|has| (-216) (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-216) $) NIL (-12 (|has| (-216) (-1003)) (|has| (-216) (-1048))))) (-2776 (((-1145) $) NIL (|has| (-216) (-1091)))) (-3614 (($ (-216) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-216) (-1091)))) (-4353 (((-216) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-216) "failed") (-1 (-121) (-216)) $) NIL)) (-3174 (($ $ (-216)) 18 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-2691 (((-635 (-216)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 (((-216) $ (-569) (-216)) NIL) (((-216) $ (-569)) 16) (($ $ (-1213 (-569))) NIL)) (-2049 (((-216) $ $) NIL (|has| (-216) (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| (-216) (-1048)))) (-2846 (((-764) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535))) (((-764) (-216) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-216) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-216) (-610 (-542))))) (-2139 (($ (-635 (-216))) NIL)) (-2250 (($ $ (-216)) NIL) (($ (-216) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-216) (-1091)))) (-2066 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-216) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-216) (-843)))) (-1711 (($ $) NIL (|has| (-216) (-21))) (($ $ $) NIL (|has| (-216) (-21)))) (-1707 (($ $ $) NIL (|has| (-216) (-25)))) (* (($ (-569) $) NIL (|has| (-216) (-21))) (($ (-216) $) NIL (|has| (-216) (-717))) (($ $ (-216)) NIL (|has| (-216) (-717)))) (-4168 (((-764) $) 11 (|has| $ (-6 -4535))))) 
-(((-219) (-13 (-1245 (-216)) (-10 -8 (-15 -2090 ($ (-569)))))) (T -219)) 
-((-2090 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
-(-13 (-1245 (-216)) (-10 -8 (-15 -2090 ($ (-569))))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-1247 |#1|)) NIL) (($ $) NIL)) (-2894 (($ |#1| |#1| |#1|) 32)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) NIL)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-1247 |#1|)) NIL)) (-3443 (($ $ (-569) (-1247 |#1|)) NIL)) (-4265 (($ |#1| |#1| |#1|) 31)) (-1574 (($ (-764) |#1|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| |#1| (-302)))) (-1765 (((-1247 |#1|) $ (-569)) NIL)) (-3772 (($ |#1|) 30)) (-3596 (($ |#1|) 29)) (-3373 (($ |#1|) 28)) (-1321 (((-764) $) NIL (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) NIL (|has| |#1| (-559)))) (-3645 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-559)))) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) NIL (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#1|))) 10)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) NIL (|has| |#1| (-366)))) (-2389 (($) 11)) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) NIL (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-1247 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-1247 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1247 |#1|) $ (-1247 |#1|)) 14) (((-1247 |#1|) (-1247 |#1|) $) NIL) (((-945 |#1|) $ (-945 |#1|)) 20)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-220 |#1|) (-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 * ((-945 |#1|) $ (-945 |#1|))) (-15 -2389 ($)) (-15 -3373 ($ |#1|)) (-15 -3596 ($ |#1|)) (-15 -3772 ($ |#1|)) (-15 -4265 ($ |#1| |#1| |#1|)) (-15 -2894 ($ |#1| |#1| |#1|)))) (-13 (-366) (-1183))) (T -220)) 
-((* (*1 *2 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183))) (-5 *1 (-220 *3)))) (-2389 (*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3373 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3596 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-3772 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-4265 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) (-2894 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
-(-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 * ((-945 |#1|) $ (-945 |#1|))) (-15 -2389 ($)) (-15 -3373 ($ |#1|)) (-15 -3596 ($ |#1|)) (-15 -3772 ($ |#1|)) (-15 -4265 ($ |#1| |#1| |#1|)) (-15 -2894 ($ |#1| |#1| |#1|)))) 
-((-4216 (($ (-1 (-121) |#2|) $) 17)) (-4454 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-2566 (($) NIL) (($ (-635 |#2|)) 11)) (-1668 (((-121) $ $) 23))) 
-(((-221 |#1| |#2|) (-10 -8 (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-222 |#2|) (-1091)) (T -221)) 
-NIL 
-(-10 -8 (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-222 |#1|) (-1278) (-1091)) (T -222)) 
+((-1310 (((-121) $ $) NIL)) (-4115 (($ (-569)) 13) (($ $ $) 14)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 17)) (-1326 (((-121) $ $) 9))) 
+(((-163) (-13 (-1093) (-10 -8 (-15 -4115 ($ (-569))) (-15 -4115 ($ $ $))))) (T -163)) 
+((-4115 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163)))) (-4115 (*1 *1 *1 *1) (-5 *1 (-163)))) 
+(-13 (-1093) (-10 -8 (-15 -4115 ($ (-569))) (-15 -4115 ($ $ $)))) 
+((-1344 (((-123) (-1165)) 99))) 
+(((-164) (-10 -7 (-15 -1344 ((-123) (-1165))))) (T -164)) 
+((-1344 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-123)) (-5 *1 (-164))))) 
+(-10 -7 (-15 -1344 ((-123) (-1165)))) 
+((-1806 ((|#3| |#3|) 19))) 
+(((-165 |#1| |#2| |#3|) (-10 -7 (-15 -1806 (|#3| |#3|))) (-1049) (-1228 |#1|) (-1228 |#2|)) (T -165)) 
+((-1806 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-1228 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1228 *4))))) 
+(-10 -7 (-15 -1806 (|#3| |#3|))) 
+((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 215)) (-3588 ((|#2| $) 95)) (-3544 (($ $) 242)) (-3467 (($ $) 236)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 39)) (-3530 (($ $) 240)) (-3455 (($ $) 234)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 139)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 137)) (-1614 (($ $ $) 220)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 153) (((-681 |#2|) (-681 $)) 147)) (-2793 (($ (-1161 |#2|)) 118) (((-3 $ "failed") (-410 (-1161 |#2|))) NIL)) (-2611 (((-3 $ "failed") $) 207)) (-1330 (((-3 (-410 (-569)) "failed") $) 197)) (-4429 (((-121) $) 192)) (-2096 (((-410 (-569)) $) 195)) (-3358 (((-919)) 88)) (-1626 (($ $ $) 222)) (-3457 (((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) $) 258)) (-3415 (($) 231)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 184) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 189)) (-3046 ((|#2| $) 93)) (-2415 (((-1161 |#2|) $) 120)) (-4188 (($ (-1 |#2| |#2|) $) 101)) (-3597 (($ $) 233)) (-2786 (((-1161 |#2|) $) 119)) (-3243 (($ $) 200)) (-4526 (($) 96)) (-2769 (((-421 (-1161 $)) (-1161 $)) 87)) (-2059 (((-421 (-1161 $)) (-1161 $)) 56)) (-1436 (((-3 $ "failed") $ |#2|) 202) (((-3 $ "failed") $ $) 205)) (-3408 (($ $) 232)) (-2061 (((-765) $) 217)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 226)) (-2925 ((|#2| (-1253 $)) NIL) ((|#2|) 90)) (-3289 (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 112) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3036 (((-1161 |#2|)) 113)) (-3538 (($ $) 241)) (-3460 (($ $) 235)) (-3672 (((-1253 |#2|) $ (-1253 $)) 126) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) 109) (((-681 |#2|) (-1253 $)) NIL)) (-4035 (((-1253 |#2|) $) NIL) (($ (-1253 |#2|)) NIL) (((-1161 |#2|) $) NIL) (($ (-1161 |#2|)) NIL) (((-889 (-569)) $) 175) (((-889 (-382)) $) 179) (((-170 (-382)) $) 165) (((-170 (-216)) $) 160) (((-542) $) 171)) (-3980 (($ $) 97)) (-3956 (((-852) $) 136) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-410 (-569))) NIL) (($ $) NIL)) (-3033 (((-1161 |#2|) $) 23)) (-2320 (((-765)) 99)) (-3585 (($ $) 245)) (-3505 (($ $) 239)) (-3572 (($ $) 243)) (-3490 (($ $) 237)) (-3955 ((|#2| $) 230)) (-3579 (($ $) 244)) (-3497 (($ $) 238)) (-4080 (($ $) 155)) (-1326 (((-121) $ $) 103)) (-1337 (((-121) $ $) 191)) (-1377 (($ $) 105) (($ $ $) NIL)) (-1371 (($ $ $) 104)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-410 (-569))) 264) (($ $ $) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 111) (($ $ $) 140) (($ $ |#2|) NIL) (($ |#2| $) 107) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
+(((-166 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3956 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-170 (-216)) |#1|)) (-15 -4035 ((-170 (-382)) |#1|)) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -3415 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3457 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -3955 (|#2| |#1|)) (-15 -4080 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3980 (|#1| |#1|)) (-15 -4526 (|#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -2793 ((-3 |#1| "failed") (-410 (-1161 |#2|)))) (-15 -2786 ((-1161 |#2|) |#1|)) (-15 -4035 (|#1| (-1161 |#2|))) (-15 -2793 (|#1| (-1161 |#2|))) (-15 -3036 ((-1161 |#2|))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -3033 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3046 (|#2| |#1|)) (-15 -3588 (|#2| |#1|)) (-15 -3358 ((-919))) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-167 |#2|) (-173)) (T -166)) 
+((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-3358 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-919)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) (-2925 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) (-3036 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4))))) 
+(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3956 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-170 (-216)) |#1|)) (-15 -4035 ((-170 (-382)) |#1|)) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 -3415 (|#1|)) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3457 ((-2 (|:| |r| |#2|) (|:| |phi| |#2|)) |#1|)) (-15 -3955 (|#2| |#1|)) (-15 -4080 (|#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3980 (|#1| |#1|)) (-15 -4526 (|#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -2793 ((-3 |#1| "failed") (-410 (-1161 |#2|)))) (-15 -2786 ((-1161 |#2|) |#1|)) (-15 -4035 (|#1| (-1161 |#2|))) (-15 -2793 (|#1| (-1161 |#2|))) (-15 -3036 ((-1161 |#2|))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -3033 ((-1161 |#2|) |#1|)) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3046 (|#2| |#1|)) (-15 -3588 (|#2| |#1|)) (-15 -3358 ((-919))) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2915 (($ $) 88 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2735 (((-121) $) 90 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-3544 (($ $) 212 (|has| |#1| (-1185)))) (-3467 (($ $) 195 (|has| |#1| (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 226 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2710 (($ $) 107 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3742 (((-421 $) $) 108 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3422 (($ $) 225 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 229 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2889 (((-121) $ $) 98 (|has| |#1| (-302)))) (-2675 (((-765)) 81 (|has| |#1| (-371)))) (-3530 (($ $) 211 (|has| |#1| (-1185)))) (-3455 (($ $) 196 (|has| |#1| (-1185)))) (-3559 (($ $) 210 (|has| |#1| (-1185)))) (-3480 (($ $) 197 (|has| |#1| (-1185)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-1321 (((-569) $) 164 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 159)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-1614 (($ $ $) 102 (|has| |#1| (-302)))) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 156) (((-681 |#1|) (-681 $)) 155)) (-2793 (($ (-1161 |#1|)) 152) (((-3 $ "failed") (-410 (-1161 |#1|))) 149 (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 237)) (-1330 (((-3 (-410 (-569)) "failed") $) 230 (|has| |#1| (-551)))) (-4429 (((-121) $) 232 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 231 (|has| |#1| (-551)))) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| |#1| (-371)))) (-1626 (($ $ $) 101 (|has| |#1| (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| |#1| (-302)))) (-1456 (($) 143 (|has| |#1| (-351)))) (-3462 (((-121) $) 144 (|has| |#1| (-351)))) (-3238 (($ $ (-765)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-2005 (((-121) $) 109 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3457 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) 233 (-12 (|has| |#1| (-1058)) (|has| |#1| (-1185))))) (-3415 (($) 222 (|has| |#1| (-1185)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 245 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 244 (|has| |#1| (-883 (-382))))) (-4433 (((-919) $) 146 (|has| |#1| (-351))) (((-830 (-919)) $) 132 (|has| |#1| (-351)))) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 224 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-3046 ((|#1| $) 49)) (-1542 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-302)))) (-2415 (((-1161 |#1|) $) 42 (|has| |#1| (-366)))) (-2157 (($ $ $) 191 (|has| |#1| (-844)))) (-2713 (($ $ $) 190 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 246)) (-2862 (((-919) $) 83 (|has| |#1| (-371)))) (-3597 (($ $) 219 (|has| |#1| (-1185)))) (-2786 (((-1161 |#1|) $) 150)) (-1657 (($ (-635 $)) 94 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (($ $ $) 93 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 110 (|has| |#1| (-366)))) (-1423 (($) 137 (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| |#1| (-371)))) (-4526 (($) 241)) (-3155 ((|#1| $) 238)) (-1912 (((-1111) $) 10)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3964 (($ (-635 $)) 92 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (($ $ $) 91 (-1929 (|has| |#1| (-302)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 228 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) 227 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-3139 (((-421 $) $) 106 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| |#1| (-302)))) (-1436 (((-3 $ "failed") $ |#1|) 236 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 86 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-302)))) (-3408 (($ $) 220 (|has| |#1| (-1185)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 252 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 251 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 250 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 249 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 248 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 247 (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) 99 (|has| |#1| (-302)))) (-2503 (($ $ |#1|) 253 (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| |#1| (-302)))) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3600 (((-765) $) 145 (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) 133 (|has| |#1| (-351)))) (-3289 (($ $ (-1 |#1| |#1|) (-765)) 117) (($ $ (-1 |#1| |#1|)) 116) (($ $ (-635 (-1165)) (-635 (-765))) 124 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 125 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 126 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 127 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 129 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 131 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-3036 (((-1161 |#1|)) 153)) (-3565 (($ $) 209 (|has| |#1| (-1185)))) (-3485 (($ $) 198 (|has| |#1| (-1185)))) (-3563 (($) 142 (|has| |#1| (-351)))) (-3551 (($ $) 208 (|has| |#1| (-1185)))) (-3473 (($ $) 199 (|has| |#1| (-1185)))) (-3538 (($ $) 207 (|has| |#1| (-1185)))) (-3460 (($ $) 200 (|has| |#1| (-1185)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56) (((-1161 |#1|) $) 165) (($ (-1161 |#1|)) 151) (((-889 (-569)) $) 243 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 242 (|has| |#1| (-610 (-889 (-382))))) (((-170 (-382)) $) 194 (|has| |#1| (-1023))) (((-170 (-216)) $) 193 (|has| |#1| (-1023))) (((-542) $) 192 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 240)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (-1929 (-3993 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (|has| |#1| (-351))))) (-4340 (($ |#1| |#1|) 239)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 80 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) 85 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-2277 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (-1929 (-3993 (|has| $ (-149)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))) (|has| |#1| (-149))))) (-3033 (((-1161 |#1|) $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-3585 (($ $) 218 (|has| |#1| (-1185)))) (-3505 (($ $) 206 (|has| |#1| (-1185)))) (-2909 (((-121) $ $) 89 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906)))))) (-3572 (($ $) 217 (|has| |#1| (-1185)))) (-3490 (($ $) 205 (|has| |#1| (-1185)))) (-3599 (($ $) 216 (|has| |#1| (-1185)))) (-3517 (($ $) 204 (|has| |#1| (-1185)))) (-3955 ((|#1| $) 234 (|has| |#1| (-1185)))) (-4527 (($ $) 215 (|has| |#1| (-1185)))) (-3525 (($ $) 203 (|has| |#1| (-1185)))) (-3592 (($ $) 214 (|has| |#1| (-1185)))) (-3510 (($ $) 202 (|has| |#1| (-1185)))) (-3579 (($ $) 213 (|has| |#1| (-1185)))) (-3497 (($ $) 201 (|has| |#1| (-1185)))) (-4080 (($ $) 235 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#1| |#1|) (-765)) 119) (($ $ (-1 |#1| |#1|)) 118) (($ $ (-635 (-1165)) (-635 (-765))) 120 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 121 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 122 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 123 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 128 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))))) (($ $) 130 (-1929 (-3993 (|has| |#1| (-366)) (|has| |#1| (-226))) (|has| |#1| (-226)) (-3993 (|has| |#1| (-226)) (|has| |#1| (-366)))))) (-1355 (((-121) $ $) 188 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 187 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 189 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 186 (|has| |#1| (-844)))) (-1383 (($ $ $) 115 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-410 (-569))) 223 (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185)))) (($ $ $) 221 (|has| |#1| (-1185))) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
+(((-167 |#1|) (-1284) (-173)) (T -167)) 
+((-3046 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4526 (*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-4340 (*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3155 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4080 (*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-3955 (*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1185)))) (-3457 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1058)) (-4 *3 (-1185)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3))))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
+(-13 (-716 |t#1| (-1161 |t#1|)) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-403 |t#1|) (-881 |t#1|) (-380 |t#1|) (-173) (-10 -8 (-6 -4340) (-15 -4526 ($)) (-15 -3980 ($ $)) (-15 -4340 ($ |t#1| |t#1|)) (-15 -3155 (|t#1| $)) (-15 -3147 (|t#1| $)) (-15 -3046 (|t#1| $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-302)) (-6 (-302)) |noBranch|) (IF (|has| |t#1| (-6 -4570)) (-6 -4570) |noBranch|) (IF (|has| |t#1| (-6 -4567)) (-6 -4567) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1023)) (PROGN (-6 (-610 (-170 (-216)))) (-6 (-610 (-170 (-382))))) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 ($ $)) |noBranch|) (IF (|has| |t#1| (-1185)) (PROGN (-6 (-1185)) (-15 -3955 (|t#1| $)) (IF (|has| |t#1| (-1004)) (-6 (-1004)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -3457 ((-2 (|:| |r| |t#1|) (|:| |phi| |t#1|)) $)) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-906)) (IF (|has| |t#1| (-302)) (-6 (-906)) |noBranch|) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-40) |has| |#1| (-1185)) ((-98) |has| |#1| (-1185)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-170 (-216))) |has| |#1| (-1023)) ((-610 (-170 (-382))) |has| |#1| (-1023)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-610 (-1161 |#1|)) . T) ((-224 |#1|) . T) ((-226) -1929 (|has| |#1| (-351)) (|has| |#1| (-226))) ((-239) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-280) |has| |#1| (-1185)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-302) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -1929 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| (-1161 |#1|)) . T) ((-412 |#1| (-1161 |#1|)) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-503) |has| |#1| (-1185)) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-709 |#1|) . T) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-716 |#1| (-1161 |#1|)) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-906) -12 (|has| |#1| (-302)) (|has| |#1| (-906))) ((-918) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (|has| |#1| (-302))) ((-1004) -12 (|has| |#1| (-1004)) (|has| |#1| (-1185))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-351)) ((-1185) |has| |#1| (-1185)) ((-1188) |has| |#1| (-1185)) ((-1199) . T) ((-1208) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)) (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) 
+((-3139 (((-421 |#2|) |#2|) 63))) 
+(((-168 |#1| |#2|) (-10 -7 (-15 -3139 ((-421 |#2|) |#2|))) (-302) (-1228 (-170 |#1|))) (T -168)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(-10 -7 (-15 -3139 ((-421 |#2|) |#2|))) 
+((-4188 (((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)) 14))) 
+(((-169 |#1| |#2|) (-10 -7 (-15 -4188 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) (-173) (-173)) (T -169)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-170 |#2|) (-1 |#2| |#1|) (-170 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2245 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) NIL)) (-3588 ((|#1| $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-1185)))) (-3467 (($ $) NIL (|has| |#1| (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2710 (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3742 (((-421 $) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3422 (($ $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-302)))) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-3530 (($ $) NIL (|has| |#1| (-1185)))) (-3455 (($ $) NIL (|has| |#1| (-1185)))) (-3559 (($ $) NIL (|has| |#1| (-1185)))) (-3480 (($ $) NIL (|has| |#1| (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-1614 (($ $ $) NIL (|has| |#1| (-302)))) (-1808 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2793 (($ (-1161 |#1|)) NIL) (((-3 $ "failed") (-410 (-1161 |#1|))) NIL (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 13)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-302)))) (-1456 (($) NIL (|has| |#1| (-351)))) (-3462 (((-121) $) NIL (|has| |#1| (-351)))) (-3238 (($ $ (-765)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-2005 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-3457 (((-2 (|:| |r| |#1|) (|:| |phi| |#1|)) $) NIL (-12 (|has| |#1| (-1058)) (|has| |#1| (-1185))))) (-3415 (($) NIL (|has| |#1| (-1185)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#1| (-883 (-382))))) (-4433 (((-919) $) NIL (|has| |#1| (-351))) (((-830 (-919)) $) NIL (|has| |#1| (-351)))) (-3934 (((-121) $) 35)) (-2522 (($ $ (-569)) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185))))) (-3046 ((|#1| $) 46)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-2415 (((-1161 |#1|) $) NIL (|has| |#1| (-366)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-3597 (($ $) NIL (|has| |#1| (-1185)))) (-2786 (((-1161 |#1|) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1423 (($) NIL (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-4526 (($) NIL)) (-3155 ((|#1| $) 15)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-302)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-302))) (($ $ $) NIL (|has| |#1| (-302)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#1| (-302)) (|has| |#1| (-906))))) (-3139 (((-421 $) $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-302)))) (-1436 (((-3 $ "failed") $ |#1|) 44 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 47 (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-302)))) (-3408 (($ $) NIL (|has| |#1| (-1185)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) NIL (|has| |#1| (-302)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-302)))) (-2925 ((|#1| (-1253 $)) NIL) ((|#1|) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) NIL (|has| |#1| (-351)))) (-3289 (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3036 (((-1161 |#1|)) NIL)) (-3565 (($ $) NIL (|has| |#1| (-1185)))) (-3485 (($ $) NIL (|has| |#1| (-1185)))) (-3563 (($) NIL (|has| |#1| (-351)))) (-3551 (($ $) NIL (|has| |#1| (-1185)))) (-3473 (($ $) NIL (|has| |#1| (-1185)))) (-3538 (($ $) NIL (|has| |#1| (-1185)))) (-3460 (($ $) NIL (|has| |#1| (-1185)))) (-3672 (((-1253 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL) (((-1161 |#1|) $) NIL) (($ (-1161 |#1|)) NIL) (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (((-170 (-382)) $) NIL (|has| |#1| (-1023))) (((-170 (-216)) $) NIL (|has| |#1| (-1023))) (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) 45)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-351))))) (-4340 (($ |#1| |#1|) 37)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) 36) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-2277 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-3033 (((-1161 |#1|) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL)) (-3585 (($ $) NIL (|has| |#1| (-1185)))) (-3505 (($ $) NIL (|has| |#1| (-1185)))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-302)) (|has| |#1| (-906))) (|has| |#1| (-559))))) (-3572 (($ $) NIL (|has| |#1| (-1185)))) (-3490 (($ $) NIL (|has| |#1| (-1185)))) (-3599 (($ $) NIL (|has| |#1| (-1185)))) (-3517 (($ $) NIL (|has| |#1| (-1185)))) (-3955 ((|#1| $) NIL (|has| |#1| (-1185)))) (-4527 (($ $) NIL (|has| |#1| (-1185)))) (-3525 (($ $) NIL (|has| |#1| (-1185)))) (-3592 (($ $) NIL (|has| |#1| (-1185)))) (-3510 (($ $) NIL (|has| |#1| (-1185)))) (-3579 (($ $) NIL (|has| |#1| (-1185)))) (-3497 (($ $) NIL (|has| |#1| (-1185)))) (-4080 (($ $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 28 T CONST)) (-3297 (($) 30 T CONST)) (-3685 (((-1147) $) 23 (|has| |#1| (-825))) (((-1147) $ (-121)) 25 (|has| |#1| (-825))) (((-1258) (-819) $) 26 (|has| |#1| (-825))) (((-1258) (-819) $ (-121)) 27 (|has| |#1| (-825)))) (-3712 (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 39)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-410 (-569))) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1185)))) (($ $ $) NIL (|has| |#1| (-1185))) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
+(((-170 |#1|) (-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) (-173)) (T -170)) 
+NIL 
+(-13 (-167 |#1|) (-10 -7 (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) 
+((-4035 (((-889 |#1|) |#3|) 22))) 
+(((-171 |#1| |#2| |#3|) (-10 -7 (-15 -4035 ((-889 |#1|) |#3|))) (-1093) (-13 (-610 (-889 |#1|)) (-173)) (-167 |#2|)) (T -171)) 
+((-4035 (*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-889 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1093)) (-4 *3 (-167 *5))))) 
+(-10 -7 (-15 -4035 ((-889 |#1|) |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-3251 (((-121) $) 9)) (-1345 (((-121) $ (-121)) 11)) (-2446 (($) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1799 (($ $) 13)) (-3956 (((-852) $) 17)) (-1980 (((-121) $) 8)) (-2412 (((-121) $ (-121)) 10)) (-1326 (((-121) $ $) NIL))) 
+(((-172) (-13 (-1093) (-10 -8 (-15 -2446 ($)) (-15 -1980 ((-121) $)) (-15 -3251 ((-121) $)) (-15 -2412 ((-121) $ (-121))) (-15 -1345 ((-121) $ (-121))) (-15 -1799 ($ $))))) (T -172)) 
+((-2446 (*1 *1) (-5 *1 (-172))) (-1980 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-3251 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-2412 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1345 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) (-1799 (*1 *1 *1) (-5 *1 (-172)))) 
+(-13 (-1093) (-10 -8 (-15 -2446 ($)) (-15 -1980 ((-121) $)) (-15 -3251 ((-121) $)) (-15 -2412 ((-121) $ (-121))) (-15 -1345 ((-121) $ (-121))) (-15 -1799 ($ $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-173) (-1284)) (T -173)) 
+NIL 
+(-13 (-1049) (-120 $ $) (-10 -7 (-6 (-4573 "*")))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#1| $) 74)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-3740 (($ $) 19)) (-3948 (($ |#1| (-1145 |#1|)) 47)) (-2611 (((-3 $ "failed") $) 116)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2399 (((-1145 |#1|) $) 81)) (-2836 (((-1145 |#1|) $) 78)) (-1545 (((-1145 |#1|) $) 79)) (-3934 (((-121) $) NIL)) (-2439 (((-1145 |#1|) $) 87)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-1685 (((-1145 |#1|) $) 88)) (-2514 (((-1145 (-410 |#1|)) $) 13)) (-2914 (($ (-410 |#1|)) 17) (($ |#1| (-1145 |#1|) (-1145 |#1|)) 37)) (-2994 (($ $) 92)) (-3956 (((-852) $) 126) (($ (-569)) 50) (($ |#1|) 51) (($ (-410 |#1|)) 35) (($ (-410 (-569))) NIL) (($ $) NIL)) (-2320 (((-765)) 63)) (-2909 (((-121) $ $) NIL)) (-3102 (((-1145 (-410 |#1|)) $) 18)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 28 T CONST)) (-1326 (((-121) $ $) 34)) (-1383 (($ $ $) 114)) (-1377 (($ $) 105) (($ $ $) 102)) (-1371 (($ $ $) 100)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 112) (($ $ $) 107) (($ $ |#1|) NIL) (($ |#1| $) 109) (($ (-410 |#1|) $) 110) (($ $ (-410 |#1|)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL))) 
+(((-174 |#1|) (-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -2914 ($ (-410 |#1|))) (-15 -2914 ($ |#1| (-1145 |#1|) (-1145 |#1|))) (-15 -3948 ($ |#1| (-1145 |#1|))) (-15 -2836 ((-1145 |#1|) $)) (-15 -1545 ((-1145 |#1|) $)) (-15 -2399 ((-1145 |#1|) $)) (-15 -3644 (|#1| $)) (-15 -3740 ($ $)) (-15 -3102 ((-1145 (-410 |#1|)) $)) (-15 -2514 ((-1145 (-410 |#1|)) $)) (-15 -2439 ((-1145 |#1|) $)) (-15 -1685 ((-1145 |#1|) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) (-302)) (T -174)) 
+((-2914 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) (-2914 (*1 *1 *2 *3 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-3948 (*1 *1 *2 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) (-2836 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1545 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2399 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3644 (*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-3740 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) (-3102 (*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2514 (*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2439 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-1685 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) (-2994 (*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
+(-13 (-43 |#1|) (-43 (-410 |#1|)) (-366) (-10 -8 (-15 -2914 ($ (-410 |#1|))) (-15 -2914 ($ |#1| (-1145 |#1|) (-1145 |#1|))) (-15 -3948 ($ |#1| (-1145 |#1|))) (-15 -2836 ((-1145 |#1|) $)) (-15 -1545 ((-1145 |#1|) $)) (-15 -2399 ((-1145 |#1|) $)) (-15 -3644 (|#1| $)) (-15 -3740 ($ $)) (-15 -3102 ((-1145 (-410 |#1|)) $)) (-15 -2514 ((-1145 (-410 |#1|)) $)) (-15 -2439 ((-1145 |#1|) $)) (-15 -1685 ((-1145 |#1|) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) 
+((-4253 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 40)) (-4226 (((-946 |#1|) (-946 |#1|)) 19)) (-3921 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 36)) (-3656 (((-946 |#1|) (-946 |#1|)) 17)) (-1759 (((-946 |#1|) (-946 |#1|)) 25)) (-2379 (((-946 |#1|) (-946 |#1|)) 24)) (-4049 (((-946 |#1|) (-946 |#1|)) 23)) (-1696 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 37)) (-4296 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 35)) (-4374 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 34)) (-4499 (((-946 |#1|) (-946 |#1|)) 18)) (-2310 (((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|) 43)) (-1577 (((-946 |#1|) (-946 |#1|)) 8)) (-1850 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 39)) (-2902 (((-1 (-946 |#1|) (-946 |#1|)) |#1|) 38))) 
+(((-175 |#1|) (-10 -7 (-15 -1577 ((-946 |#1|) (-946 |#1|))) (-15 -3656 ((-946 |#1|) (-946 |#1|))) (-15 -4499 ((-946 |#1|) (-946 |#1|))) (-15 -4226 ((-946 |#1|) (-946 |#1|))) (-15 -4049 ((-946 |#1|) (-946 |#1|))) (-15 -2379 ((-946 |#1|) (-946 |#1|))) (-15 -1759 ((-946 |#1|) (-946 |#1|))) (-15 -4374 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4296 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -3921 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1696 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2902 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1850 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4253 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2310 ((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|))) (-13 (-366) (-1185) (-1004))) (T -175)) 
+((-2310 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4253 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1850 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-2902 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1696 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-3921 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4296 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-4374 (*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) (-1759 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-2379 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4049 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4226 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-4499 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-3656 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3)))) (-1577 (*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(-10 -7 (-15 -1577 ((-946 |#1|) (-946 |#1|))) (-15 -3656 ((-946 |#1|) (-946 |#1|))) (-15 -4499 ((-946 |#1|) (-946 |#1|))) (-15 -4226 ((-946 |#1|) (-946 |#1|))) (-15 -4049 ((-946 |#1|) (-946 |#1|))) (-15 -2379 ((-946 |#1|) (-946 |#1|))) (-15 -1759 ((-946 |#1|) (-946 |#1|))) (-15 -4374 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4296 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -3921 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1696 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2902 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -1850 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -4253 ((-1 (-946 |#1|) (-946 |#1|)) |#1|)) (-15 -2310 ((-1 (-946 |#1|) (-946 |#1|)) |#1| |#1|))) 
+((-3033 ((|#2| |#3|) 27))) 
+(((-176 |#1| |#2| |#3|) (-10 -7 (-15 -3033 (|#2| |#3|))) (-173) (-1228 |#1|) (-716 |#1| |#2|)) (T -176)) 
+((-3033 (*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1228 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-716 *4 *2))))) 
+(-10 -7 (-15 -3033 (|#2| |#3|))) 
+((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 47 (|has| (-955 |#2|) (-883 |#1|))))) 
+(((-177 |#1| |#2| |#3|) (-10 -7 (IF (|has| (-955 |#2|) (-883 |#1|)) (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) |noBranch|)) (-1093) (-13 (-883 |#1|) (-173)) (-167 |#2|)) (T -177)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *3 (-167 *6)) (-4 (-955 *6) (-883 *5)) (-4 *6 (-13 (-883 *5) (-173))) (-5 *1 (-177 *5 *6 *3))))) 
+(-10 -7 (IF (|has| (-955 |#2|) (-883 |#1|)) (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) |noBranch|)) 
+((-4369 (((-635 |#1|) (-635 |#1|) |#1|) 36)) (-2479 (((-635 |#1|) |#1| (-635 |#1|)) 19)) (-2719 (((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|)) 31) ((|#1| (-635 |#1|) (-635 |#1|)) 29))) 
+(((-178 |#1|) (-10 -7 (-15 -2479 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2719 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2719 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -4369 ((-635 |#1|) (-635 |#1|) |#1|))) (-302)) (T -178)) 
+((-4369 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3)))) (-2719 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) (-2719 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) (-2479 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(-10 -7 (-15 -2479 ((-635 |#1|) |#1| (-635 |#1|))) (-15 -2719 (|#1| (-635 |#1|) (-635 |#1|))) (-15 -2719 ((-635 |#1|) (-635 (-635 |#1|)) (-635 |#1|))) (-15 -4369 ((-635 |#1|) (-635 |#1|) |#1|))) 
+((-4100 (((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|) 61)) (-4461 ((|#1| |#1|) 54)) (-1623 (((-170 |#1|) |#2|) 82)) (-1329 ((|#1| |#2|) 122) ((|#1| |#2| |#1|) 80)) (-4054 ((|#2| |#2|) 81)) (-2494 (((-421 |#2|) |#2| |#1|) 112) (((-421 |#2|) |#2| |#1| (-121)) 79)) (-3046 ((|#1| |#2|) 111)) (-2882 ((|#2| |#2|) 118)) (-3139 (((-421 |#2|) |#2|) 133) (((-421 |#2|) |#2| |#1|) 32) (((-421 |#2|) |#2| |#1| (-121)) 132)) (-2057 (((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|) 131) (((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121)) 75)) (-1298 (((-635 (-170 |#1|)) |#2| |#1|) 40) (((-635 (-170 |#1|)) |#2|) 41))) 
+(((-179 |#1| |#2|) (-10 -7 (-15 -1298 ((-635 (-170 |#1|)) |#2|)) (-15 -1298 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121))) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|)) (-15 -3139 ((-421 |#2|) |#2| |#1| (-121))) (-15 -3139 ((-421 |#2|) |#2| |#1|)) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -2882 (|#2| |#2|)) (-15 -3046 (|#1| |#2|)) (-15 -2494 ((-421 |#2|) |#2| |#1| (-121))) (-15 -2494 ((-421 |#2|) |#2| |#1|)) (-15 -4054 (|#2| |#2|)) (-15 -1329 (|#1| |#2| |#1|)) (-15 -1329 (|#1| |#2|)) (-15 -1623 ((-170 |#1|) |#2|)) (-15 -4461 (|#1| |#1|)) (-15 -4100 ((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|))) (-13 (-366) (-842)) (-1228 (-170 |#1|))) (T -179)) 
+((-4100 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-2 (|:| |start| *3) (|:| -3459 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-4461 (*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-1623 (*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-842))) (-4 *3 (-1228 *2)))) (-1329 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-1329 (*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-4054 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3))))) (-2494 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2494 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3046 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) (-2882 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-3139 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2057 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-2057 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1228 (-170 *5))))) (-1298 (*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) (-1298 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(-10 -7 (-15 -1298 ((-635 (-170 |#1|)) |#2|)) (-15 -1298 ((-635 (-170 |#1|)) |#2| |#1|)) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2| (-121))) (-15 -2057 ((-635 (-2 (|:| -3459 (-635 |#2|)) (|:| -3896 |#1|))) |#2| |#2|)) (-15 -3139 ((-421 |#2|) |#2| |#1| (-121))) (-15 -3139 ((-421 |#2|) |#2| |#1|)) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -2882 (|#2| |#2|)) (-15 -3046 (|#1| |#2|)) (-15 -2494 ((-421 |#2|) |#2| |#1| (-121))) (-15 -2494 ((-421 |#2|) |#2| |#1|)) (-15 -4054 (|#2| |#2|)) (-15 -1329 (|#1| |#2| |#1|)) (-15 -1329 (|#1| |#2|)) (-15 -1623 ((-170 |#1|) |#2|)) (-15 -4461 (|#1| |#1|)) (-15 -4100 ((-2 (|:| |start| |#2|) (|:| -3459 (-421 |#2|))) |#2|))) 
+((-1960 (((-3 |#2| "failed") |#2|) 14)) (-2430 (((-765) |#2|) 16)) (-2022 ((|#2| |#2| |#2|) 18))) 
+(((-180 |#1| |#2|) (-10 -7 (-15 -1960 ((-3 |#2| "failed") |#2|)) (-15 -2430 ((-765) |#2|)) (-15 -2022 (|#2| |#2| |#2|))) (-1199) (-666 |#1|)) (T -180)) 
+((-2022 (*1 *2 *2 *2) (-12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3)))) (-2430 (*1 *2 *3) (-12 (-4 *4 (-1199)) (-5 *2 (-765)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4)))) (-1960 (*1 *2 *2) (|partial| -12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(-10 -7 (-15 -1960 ((-3 |#2| "failed") |#2|)) (-15 -2430 ((-765) |#2|)) (-15 -2022 (|#2| |#2| |#2|))) 
+((-3309 ((|#2| |#2|) 28)) (-2776 (((-121) |#2|) 19)) (-3147 (((-311 |#1|) |#2|) 12)) (-3155 (((-311 |#1|) |#2|) 14)) (-1439 ((|#2| |#2| (-1165)) 68) ((|#2| |#2|) 69)) (-1608 (((-170 (-311 |#1|)) |#2|) 9)) (-4536 ((|#2| |#2| (-1165)) 65) ((|#2| |#2|) 58))) 
+(((-181 |#1| |#2|) (-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3147 ((-311 |#1|) |#2|)) (-15 -3155 ((-311 |#1|) |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -1608 ((-170 (-311 |#1|)) |#2|))) (-13 (-559) (-844) (-1039 (-569))) (-13 (-27) (-1185) (-433 (-170 |#1|)))) (T -181)) 
+((-1608 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3309 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) (-2776 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3155 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-3147 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-4536 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-4536 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) (-1439 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3))))))) 
+(-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3147 ((-311 |#1|) |#2|)) (-15 -3155 ((-311 |#1|) |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -3309 (|#2| |#2|)) (-15 -1608 ((-170 (-311 |#1|)) |#2|))) 
+((-1839 (((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|))) 22)) (-3956 (((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))) 30))) 
+(((-182 |#1|) (-10 -7 (-15 -1839 ((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|)))) (-15 -3956 ((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))))) (-173)) (T -182)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-410 (-955 *4))))) (-5 *1 (-182 *4)))) (-1839 (*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-955 *4)))) (-5 *1 (-182 *4))))) 
+(-10 -7 (-15 -1839 ((-1253 (-681 (-955 |#1|))) (-1253 (-681 |#1|)))) (-15 -3956 ((-1253 (-681 (-410 (-955 |#1|)))) (-1253 (-681 |#1|))))) 
+((-2585 (((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 66)) (-2744 (((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569))) 74)) (-2249 (((-1167 (-410 (-569))) (-569)) 40)) (-3325 (((-1167 (-410 (-569))) (-569)) 52)) (-1484 (((-410 (-569)) (-1167 (-410 (-569)))) 62)) (-3751 (((-1167 (-410 (-569))) (-569)) 32)) (-2606 (((-1167 (-410 (-569))) (-569)) 48)) (-4308 (((-1167 (-410 (-569))) (-569)) 46)) (-3958 (((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 60)) (-2994 (((-1167 (-410 (-569))) (-569)) 25)) (-2369 (((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569)))) 64)) (-1392 (((-1167 (-410 (-569))) (-569)) 30)) (-4122 (((-1167 (-410 (-569))) (-635 (-569))) 71))) 
+(((-183) (-10 -7 (-15 -2994 ((-1167 (-410 (-569))) (-569))) (-15 -2249 ((-1167 (-410 (-569))) (-569))) (-15 -3751 ((-1167 (-410 (-569))) (-569))) (-15 -1392 ((-1167 (-410 (-569))) (-569))) (-15 -4308 ((-1167 (-410 (-569))) (-569))) (-15 -2606 ((-1167 (-410 (-569))) (-569))) (-15 -3325 ((-1167 (-410 (-569))) (-569))) (-15 -2369 ((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -3958 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -1484 ((-410 (-569)) (-1167 (-410 (-569))))) (-15 -2585 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -4122 ((-1167 (-410 (-569))) (-635 (-569)))) (-15 -2744 ((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569)))))) (T -183)) 
+((-2744 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-4122 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-2585 (*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-1484 (*1 *2 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-3958 (*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)))) (-2369 (*1 *2 *3 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) (-3325 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2606 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-4308 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-1392 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-3751 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2249 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) (-2994 (*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -2994 ((-1167 (-410 (-569))) (-569))) (-15 -2249 ((-1167 (-410 (-569))) (-569))) (-15 -3751 ((-1167 (-410 (-569))) (-569))) (-15 -1392 ((-1167 (-410 (-569))) (-569))) (-15 -4308 ((-1167 (-410 (-569))) (-569))) (-15 -2606 ((-1167 (-410 (-569))) (-569))) (-15 -3325 ((-1167 (-410 (-569))) (-569))) (-15 -2369 ((-410 (-569)) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -3958 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -1484 ((-410 (-569)) (-1167 (-410 (-569))))) (-15 -2585 ((-1167 (-410 (-569))) (-1167 (-410 (-569))) (-1167 (-410 (-569))))) (-15 -4122 ((-1167 (-410 (-569))) (-635 (-569)))) (-15 -2744 ((-1167 (-410 (-569))) (-635 (-569)) (-635 (-569))))) 
+((-3378 (((-421 (-1161 (-569))) (-569)) 28)) (-3465 (((-635 (-1161 (-569))) (-569)) 23)) (-1320 (((-1161 (-569)) (-569)) 21))) 
+(((-184) (-10 -7 (-15 -3465 ((-635 (-1161 (-569))) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3378 ((-421 (-1161 (-569))) (-569))))) (T -184)) 
+((-3378 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569)))) (-1320 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) (-3465 (*1 *2 *3) (-12 (-5 *2 (-635 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -3465 ((-635 (-1161 (-569))) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3378 ((-421 (-1161 (-569))) (-569)))) 
+((-3991 (((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 101)) (-2260 (((-635 (-1147)) (-1145 (-216))) NIL)) (-4041 (((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77)) (-3819 (((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216)))) NIL)) (-3470 (((-635 (-1147)) (-635 (-216))) NIL)) (-3193 (((-216) (-1087 (-837 (-216)))) 22)) (-4166 (((-216) (-1087 (-837 (-216)))) 23)) (-3664 (((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 93)) (-3695 (((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 40)) (-2206 (((-1147) (-216)) NIL)) (-4467 (((-1147) (-635 (-1147))) 19)) (-3431 (((-1037) (-1165) (-1165) (-1037)) 12))) 
+(((-185) (-10 -7 (-15 -4041 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3695 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -3664 ((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -4467 ((-1147) (-635 (-1147)))) (-15 -3431 ((-1037) (-1165) (-1165) (-1037))))) (T -185)) 
+((-3431 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-185)))) (-4467 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-185)))) (-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-185)))) (-3991 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-185)))) (-3819 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) (-3664 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) (-3695 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185)))) (-4041 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(-10 -7 (-15 -4041 ((-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3695 ((-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated")) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -3664 ((-382) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -4467 ((-1147) (-635 (-1147)))) (-15 -3431 ((-1037) (-1165) (-1165) (-1037)))) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 53) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 28) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-186) (-784)) (T -186)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 58) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-187) (-784)) (T -187)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 67) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-188) (-784)) (T -188)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 54) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 30) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-189) (-784)) (T -189)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 65) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 35) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-190) (-784)) (T -190)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 71) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-191) (-784)) (T -191)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 78) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 43) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-192) (-784)) (T -192)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 68) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-193) (-784)) (T -193)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 62)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-194) (-784)) (T -194)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 60)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 32)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-195) (-784)) (T -195)) 
+NIL 
+(-784) 
+((-1310 (((-121) $ $) NIL)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 89) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 77) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-196) (-784)) (T -196)) 
+NIL 
+(-784) 
+((-2506 (((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 80)) (-3294 (((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 39)) (-1407 (((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 69))) 
+(((-197) (-10 -7 (-15 -2506 ((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1407 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3294 ((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -197)) 
+((-3294 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197)))) (-1407 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197)))) (-2506 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2859 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(-10 -7 (-15 -2506 ((-3 (-2 (|:| -2859 (-123)) (|:| |w| (-216))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1407 ((-3 (-635 (-216)) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3294 ((-569) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-4103 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-1789 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 127)) (-1724 (((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216)))) 87)) (-1586 (((-382) (-681 (-311 (-216)))) 110)) (-3606 (((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165))) 107)) (-1379 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-2500 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-1484 (((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216)))) 99)) (-4304 (((-382) (-382) (-635 (-382))) 104) (((-382) (-382) (-382)) 102)) (-3264 (((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33))) 
+(((-198) (-10 -7 (-15 -4304 ((-382) (-382) (-382))) (-15 -4304 ((-382) (-382) (-635 (-382)))) (-15 -1586 ((-382) (-681 (-311 (-216))))) (-15 -3606 ((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165)))) (-15 -1484 ((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216))))) (-15 -1724 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216))))) (-15 -1789 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4103 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2500 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3264 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1379 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -198)) 
+((-1379 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-3264 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-2500 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4103 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-1789 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1724 (*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198)))) (-1484 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-681 (-311 (-216)))) (-5 *3 (-635 (-1165))) (-5 *4 (-1253 (-311 (-216)))) (-5 *1 (-198)))) (-3606 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *2 (-681 (-311 (-216)))) (-5 *1 (-198)))) (-1586 (*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4304 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198)))) (-4304 (*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198))))) 
+(-10 -7 (-15 -4304 ((-382) (-382) (-382))) (-15 -4304 ((-382) (-382) (-635 (-382)))) (-15 -1586 ((-382) (-681 (-311 (-216))))) (-15 -3606 ((-681 (-311 (-216))) (-1253 (-311 (-216))) (-635 (-1165)))) (-15 -1484 ((-681 (-311 (-216))) (-681 (-311 (-216))) (-635 (-1165)) (-1253 (-311 (-216))))) (-15 -1724 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-681 (-311 (-216))))) (-15 -1789 ((-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382))) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4103 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2500 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3264 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -1379 ((-382) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1326 (((-121) $ $) NIL))) 
+(((-199) (-797)) (T -199)) 
+NIL 
+(-797) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 37)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 60)) (-1326 (((-121) $ $) NIL))) 
+(((-200) (-797)) (T -200)) 
+NIL 
+(-797) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 36)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 64)) (-1326 (((-121) $ $) NIL))) 
+(((-201) (-797)) (T -201)) 
+NIL 
+(-797) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 42)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 73)) (-1326 (((-121) $ $) NIL))) 
+(((-202) (-797)) (T -202)) 
+NIL 
+(-797) 
+((-3810 (((-635 (-1165)) (-1165) (-765)) 22)) (-4385 (((-311 (-216)) (-311 (-216))) 29)) (-1598 (((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 67)) (-2191 (((-121) (-216) (-216) (-635 (-311 (-216)))) 43))) 
+(((-203) (-10 -7 (-15 -3810 ((-635 (-1165)) (-1165) (-765))) (-15 -4385 ((-311 (-216)) (-311 (-216)))) (-15 -2191 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -1598 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))))) (T -203)) 
+((-1598 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203)))) (-2191 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203)))) (-4385 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203)))) (-3810 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-203)) (-5 *3 (-1165))))) 
+(-10 -7 (-15 -3810 ((-635 (-1165)) (-1165) (-765))) (-15 -4385 ((-311 (-216)) (-311 (-216)))) (-15 -2191 ((-121) (-216) (-216) (-635 (-311 (-216))))) (-15 -1598 ((-121) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))))) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 17)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 55)) (-1326 (((-121) $ $) NIL))) 
+(((-204) (-892)) (T -204)) 
+NIL 
+(-892) 
+((-1310 (((-121) $ $) NIL)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-205) (-892)) (T -205)) 
+NIL 
+(-892) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2367 (((-1258) $) 36) (((-1258) $ (-919) (-919)) 38)) (-2503 (($ $ (-992)) 19) (((-241 (-1147)) $ (-1165)) 15)) (-2442 (((-1258) $) 34)) (-3956 (((-852) $) 31) (($ (-635 |#1|)) 8)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $ $) 27)) (-1371 (($ $ $) 22))) 
+(((-206 |#1|) (-13 (-1093) (-10 -8 (-15 -2503 ($ $ (-992))) (-15 -2503 ((-241 (-1147)) $ (-1165))) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -3956 ($ (-635 |#1|))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -2367 ((-1258) $ (-919) (-919))))) (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (T -206)) 
+((-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-992)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-241 (-1147))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ *3)) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-1371 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-1377 (*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (-5 *1 (-206 *3)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) (-2367 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) (-2367 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $)))))))) 
+(-13 (-1093) (-10 -8 (-15 -2503 ($ $ (-992))) (-15 -2503 ((-241 (-1147)) $ (-1165))) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -3956 ($ (-635 |#1|))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -2367 ((-1258) $ (-919) (-919))))) 
+((-4513 ((|#2| |#4| (-1 |#2| |#2|)) 46))) 
+(((-207 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4513 (|#2| |#4| (-1 |#2| |#2|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -207)) 
+((-4513 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1228 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(-10 -7 (-15 -4513 (|#2| |#4| (-1 |#2| |#2|)))) 
+((-4029 ((|#2| |#2| (-765) |#2|) 41)) (-2224 ((|#2| |#2| (-765) |#2|) 37)) (-4125 (((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|)))) 55)) (-4435 (((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|) 51)) (-3235 (((-121) |#2|) 48)) (-3576 (((-421 |#2|) |#2|) 74)) (-3139 (((-421 |#2|) |#2|) 73)) (-3922 ((|#2| |#2| (-765) |#2|) 35)) (-3612 (((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121)) 66))) 
+(((-208 |#1| |#2|) (-10 -7 (-15 -3139 ((-421 |#2|) |#2|)) (-15 -3576 ((-421 |#2|) |#2|)) (-15 -3612 ((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121))) (-15 -4435 ((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|)) (-15 -4125 ((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))))) (-15 -3922 (|#2| |#2| (-765) |#2|)) (-15 -2224 (|#2| |#2| (-765) |#2|)) (-15 -4029 (|#2| |#2| (-765) |#2|)) (-15 -3235 ((-121) |#2|))) (-351) (-1228 |#1|)) (T -208)) 
+((-3235 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-4029 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-2224 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-3922 (*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) (-4125 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *5)))) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-3612 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1228 *5)))) (-3576 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3139 ((-421 |#2|) |#2|)) (-15 -3576 ((-421 |#2|) |#2|)) (-15 -3612 ((-2 (|:| |cont| |#1|) (|:| -3459 (-635 (-2 (|:| |irr| |#2|) (|:| -4144 (-569)))))) |#2| (-121))) (-15 -4435 ((-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))) |#2|)) (-15 -4125 ((-635 |#2|) (-635 (-2 (|:| |deg| (-765)) (|:| -2988 |#2|))))) (-15 -3922 (|#2| |#2| (-765) |#2|)) (-15 -2224 (|#2| |#2| (-765) |#2|)) (-15 -4029 (|#2| |#2| (-765) |#2|)) (-15 -3235 ((-121) |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-3701 (($ (-410 (-569))) 8)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 10) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-209) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 10) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -3701 ($ (-410 (-569))))))) (T -209)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 10)) (-5 *1 (-209)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) (-3701 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
+(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 10) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -3701 ($ (-410 (-569)))))) 
+((-1324 (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147)) 27) (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|))) 23)) (-2878 (((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)) 16))) 
+(((-210 |#1| |#2|) (-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)))) (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147))) (-15 -2878 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -210)) 
+((-2878 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1165)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1185) (-961) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-837 *3)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 *3))) (-5 *5 (-1147)) (-4 *3 (-13 (-1185) (-961) (-29 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 *3))) (-4 *3 (-13 (-1185) (-961) (-29 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3))))) 
+(-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)))) (-15 -1324 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1085 (-837 |#2|)) (-1147))) (-15 -2878 ((-3 (|:| |f1| (-837 |#2|)) (|:| |f2| (-635 (-837 |#2|))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) |#2| (-1165) (-837 |#2|) (-837 |#2|) (-121)))) 
+((-1324 (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)) 44) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|))))) 41) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147)) 45) (((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|)))) 17))) 
+(((-211 |#1|) (-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (T -211)) 
+((-1324 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *6))))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *5))))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1085 (-837 (-311 *6)))) (-5 *5 (-1147)) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1085 (-837 (-311 *5)))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5))))) 
+(-10 -7 (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-311 |#1|))) (-1147))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))))) (-15 -1324 ((-3 (|:| |f1| (-837 (-311 |#1|))) (|:| |f2| (-635 (-837 (-311 |#1|)))) (|:| |fail| "failed") (|:| |pole| "potentialPole")) (-410 (-955 |#1|)) (-1085 (-837 (-410 (-955 |#1|)))) (-1147)))) 
+((-2793 (((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|)) 20)) (-2121 (((-635 (-311 |#2|)) (-311 |#2|) (-919)) 42))) 
+(((-212 |#1| |#2|) (-10 -7 (-15 -2793 ((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|))) (-15 -2121 ((-635 (-311 |#2|)) (-311 |#2|) (-919)))) (-1049) (-13 (-559) (-844))) (T -212)) 
+((-2121 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *6 (-13 (-559) (-844))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1049)))) (-2793 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-2 (|:| -2665 (-1161 *4)) (|:| |deg| (-919)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1161 *4)) (-4 *5 (-13 (-559) (-844)))))) 
+(-10 -7 (-15 -2793 ((-2 (|:| -2665 (-1161 |#1|)) (|:| |deg| (-919))) (-1161 |#1|))) (-15 -2121 ((-635 (-311 |#2|)) (-311 |#2|) (-919)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2518 ((|#1| $) 25)) (-1941 ((|#1| $) 26)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4063 (($ $) NIL)) (-2887 (($ $) 32)) (-2692 ((|#1| |#1| $) NIL)) (-3651 ((|#1| $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-765) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) NIL)) (-3354 ((|#1| |#1| $) 29)) (-3475 ((|#1| |#1| $) 31)) (-2351 (($ |#1| $) NIL)) (-1468 (((-765) $) 27)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1678 ((|#1| $) NIL)) (-1705 ((|#1| $) 24)) (-4139 ((|#1| $) 8)) (-2166 ((|#1| $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3381 ((|#1| |#1| $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) NIL)) (-4458 ((|#1| $) NIL)) (-4164 (($) NIL) (($ (-635 |#1|)) 13)) (-2676 (((-765) $) 28)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3926 ((|#1| $) 9)) (-1753 (($ (-635 |#1|)) NIL)) (-3063 ((|#1| $) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-213 |#1|) (-13 (-248 |#1|) (-10 -8 (-15 -4164 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2676 ((-765) $)) (-15 -4164 ($)) (-15 -1468 ((-765) $)) (-15 -1941 (|#1| $)) (-15 -3926 (|#1| $)) (-15 -4139 (|#1| $)) (-15 -1705 (|#1| $)) (-15 -3475 (|#1| |#1| $)) (-15 -3354 (|#1| |#1| $)) (-15 -3651 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2887 ($ $)) (-15 -2518 (|#1| $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -213)) 
+((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-213 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-3063 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1678 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-4063 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4458 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3381 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4164 (*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4164 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) (-2518 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3926 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3354 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-3475 (*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-1705 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-4139 (*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) (-2887 (*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093))))) 
+(-13 (-248 |#1|) (-10 -8 (-15 -4164 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2676 ((-765) $)) (-15 -4164 ($)) (-15 -1468 ((-765) $)) (-15 -1941 (|#1| $)) (-15 -3926 (|#1| $)) (-15 -4139 (|#1| $)) (-15 -1705 (|#1| $)) (-15 -3475 (|#1| |#1| $)) (-15 -3354 (|#1| |#1| $)) (-15 -3651 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2887 ($ $)) (-15 -2518 (|#1| $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3060 (($ (-311 |#1|)) 23)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3713 (((-121) $) NIL)) (-3003 (((-3 (-311 |#1|) "failed") $) NIL)) (-1321 (((-311 |#1|) $) NIL)) (-3373 (($ $) 31)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-4188 (($ (-1 (-311 |#1|) (-311 |#1|)) $) NIL)) (-3270 (((-311 |#1|) $) NIL)) (-1824 (($ $) 30)) (-2605 (((-1147) $) NIL)) (-2491 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) NIL)) (-3850 (($ $) 32)) (-2284 (((-569) $) NIL)) (-3956 (((-852) $) 57) (($ (-569)) NIL) (($ (-311 |#1|)) NIL)) (-3802 (((-311 |#1|) $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 50 T CONST)) (-1326 (((-121) $ $) 28)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 19)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 24) (($ (-311 |#1|) $) 18))) 
+(((-214 |#1| |#2|) (-13 (-613 (-311 |#1|)) (-1039 (-311 |#1|)) (-10 -8 (-15 -3270 ((-311 |#1|) $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 ((-311 |#1|) $ $)) (-15 -1986 ($ (-765))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4188 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -3060 ($ (-311 |#1|))) (-15 -3850 ($ $)))) (-13 (-1049) (-844)) (-635 (-1165))) (T -214)) 
+((-3270 (*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-1824 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) (-3802 (*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-2491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) (-3060 (*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) (-3850 (*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
+(-13 (-613 (-311 |#1|)) (-1039 (-311 |#1|)) (-10 -8 (-15 -3270 ((-311 |#1|) $)) (-15 -1824 ($ $)) (-15 -3373 ($ $)) (-15 -3802 ((-311 |#1|) $ $)) (-15 -1986 ($ (-765))) (-15 -2491 ((-121) $)) (-15 -3713 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4188 ($ (-1 (-311 |#1|) (-311 |#1|)) $)) (-15 -3060 ($ (-311 |#1|))) (-15 -3850 ($ $)))) 
+((-3593 (((-121) (-1147)) 22)) (-4217 (((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121)) 32)) (-2857 (((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)) 73) (((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121)) 74))) 
+(((-215 |#1| |#2|) (-10 -7 (-15 -3593 ((-121) (-1147))) (-15 -4217 ((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-29 |#1|))) (T -215)) 
+((-2857 (*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1161 *6)) (-5 *4 (-837 *6)) (-4 *6 (-13 (-1185) (-29 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6)))) (-2857 (*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-955 *6)) (-5 *4 (-1165)) (-5 *5 (-837 *7)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1185) (-29 *6))) (-5 *1 (-215 *6 *7)))) (-4217 (*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-837 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1185) (-29 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4)))) (-3593 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1185) (-29 *4)))))) 
+(-10 -7 (-15 -3593 ((-121) (-1147))) (-15 -4217 ((-3 (-837 |#2|) "failed") (-608 |#2|) |#2| (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-955 |#1|) (-1165) (-837 |#2|) (-837 |#2|) (-121))) (-15 -2857 ((-3 (-121) "failed") (-1161 |#2|) (-837 |#2|) (-837 |#2|) (-121)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 95)) (-3644 (((-569) $) 124)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) NIL)) (-3544 (($ $) 83)) (-3467 (($ $) 71)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) 62)) (-2889 (((-121) $ $) NIL)) (-3530 (($ $) 81)) (-3455 (($ $) 69)) (-3817 (((-569) $) 137)) (-3559 (($ $) 86)) (-3480 (($ $) 73)) (-4483 (($) NIL T CONST)) (-3411 (($ $) NIL)) (-3003 (((-3 (-569) "failed") $) 120) (((-3 (-410 (-569)) "failed") $) 135)) (-1321 (((-569) $) 136) (((-410 (-569)) $) 133)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 98)) (-3453 (((-410 (-569)) $ (-765)) 131) (((-410 (-569)) $ (-765) (-765)) 130)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 34) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-1863 (((-121) $) NIL)) (-2648 (($ $ $) 123)) (-3415 (($) 44)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-4433 (((-569) $) 40)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (($ $) NIL)) (-4311 (((-121) $) 94)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) 59) (($) 39 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2713 (($ $ $) 58) (($) 38 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 32)) (-2961 (((-410 (-569)) $) 27)) (-1988 (($ $) 35)) (-1492 (($ $) 63)) (-3597 (($ $) 68)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-2574 (((-635 (-569)) $) 29)) (-1485 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL) (((-569) $) 96)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL)) (-1807 (($ $) NIL)) (-3222 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-919)) 125)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 33)) (-1514 (($) 43)) (-3408 (($ $) 67)) (-2061 (((-765) $) NIL)) (-3556 (((-1147) (-1147)) 8)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-3566 (($ $) 116)) (-3289 (($ $ (-765)) NIL) (($ $) 99)) (-2791 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-3565 (($ $) 84)) (-3485 (($ $) 74)) (-3551 (($ $) 85)) (-3473 (($ $) 72)) (-3538 (($ $) 82)) (-3460 (($ $) 70)) (-4035 (((-382) $) 129) (((-216) $) 126) (((-889 (-382)) $) NIL) (((-542) $) 51)) (-3956 (((-852) $) 48) (($ (-569)) 66) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 66) (($ (-410 (-569))) NIL)) (-2320 (((-765)) NIL)) (-3215 (($ $) NIL)) (-4420 (((-919)) 37) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-3839 (($ $ $) 112)) (-4489 (($ $ $) 110)) (-1289 (($ $ $) 108)) (-3578 (($ $ $) 106)) (-1710 (((-919)) 31)) (-3585 (($ $) 89)) (-3505 (($ $) 77) (($ $ $) 132)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 87)) (-3490 (($ $) 75)) (-3599 (($ $) 92)) (-3517 (($ $) 80)) (-3618 (($ $) 104)) (-4466 (($ $) 102)) (-4527 (($ $) 90)) (-3525 (($ $) 78)) (-3592 (($ $) 91)) (-3510 (($ $) 79)) (-3579 (($ $) 88)) (-3497 (($ $) 76)) (-4080 (($ $) 138)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 41 T CONST)) (-3297 (($) 42 T CONST)) (-3685 (((-1147) $) 19) (((-1147) $ (-121)) 21) (((-1258) (-819) $) 22) (((-1258) (-819) $ (-121)) 23)) (-2246 (($ $) 118) (($ $ $) NIL)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-4028 (($ $ $) 114)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 60)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 52)) (-1383 (($ $ $) 93) (($ $ (-569)) 61)) (-1377 (($ $) 53) (($ $ $) 55)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 64) (($ $ (-410 (-569))) 148) (($ $ $) 65)) (* (($ (-919) $) 36) (($ (-765) $) NIL) (($ (-569) $) 57) (($ $ $) 56) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-216) (-13 (-407) (-226) (-825) (-1185) (-1127) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1514 ($)) (-15 -1912 ((-569) $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -3505 ($ $ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3556 ((-1147) (-1147))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -2961 ((-410 (-569)) $)) (-15 -2574 ((-635 (-569)) $))))) (T -216)) 
+((** (*1 *1 *1 *1) (-5 *1 (-216))) (-2246 (*1 *1 *1) (-5 *1 (-216))) (-4028 (*1 *1 *1 *1) (-5 *1 (-216))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1514 (*1 *1) (-5 *1 (-216))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) (-1988 (*1 *1 *1) (-5 *1 (-216))) (-1492 (*1 *1 *1) (-5 *1 (-216))) (-3505 (*1 *1 *1 *1) (-5 *1 (-216))) (-3556 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-216)))) (-3453 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-3453 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2961 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216)))) (-2574 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
+(-13 (-407) (-226) (-825) (-1185) (-1127) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1514 ($)) (-15 -1912 ((-569) $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -3505 ($ $ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3556 ((-1147) (-1147))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -2961 ((-410 (-569)) $)) (-15 -2574 ((-635 (-569)) $)))) 
+((-1310 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-219)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-219)) NIL)) (-1622 (($ $ (-569) (-219)) NIL)) (-2232 (($ (-765) (-216)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-216) (-302)))) (-4128 (((-219) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-216) (-559)))) (-3982 (((-216) $ (-569) (-569) (-216)) 16)) (-2903 (($ (-569) (-569)) 18)) (-4124 (((-216) $ (-569) (-569)) 15)) (-3917 (((-216) $) NIL (|has| (-216) (-173)))) (-4303 (((-635 (-216)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-216) (-559)))) (-3970 (((-635 (-219)) $) NIL (|has| (-216) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-216)) 19)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-216) $) NIL (|has| (-216) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-216)))) NIL) (($ (-765) (-765) (-1 (-216) (-569) (-569))) NIL)) (-2089 (($ (-1 (-216) (-216)) $) NIL)) (-4188 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL) (($ (-1 (-216) (-216) (-216)) $ $ (-216)) NIL)) (-4269 (((-635 (-635 (-216))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-216) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-216) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-216) (-1093)))) (-2417 (($ $ (-216)) NIL)) (-1436 (((-3 $ "failed") $ (-216)) NIL (|has| (-216) (-559)))) (-2985 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 17)) (-2503 (((-216) $ (-569) (-569)) NIL) (((-216) $ (-569) (-569) (-216)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-216))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-216) $) NIL (|has| (-216) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571))) (((-765) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-219)) $) NIL (|has| (-216) (-302)))) (-2349 (((-219) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-216) (-1093))) (($ (-219)) NIL)) (-3776 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-1383 (($ $ (-216)) NIL (|has| (-216) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-216) (-366)))) (* (($ $ $) NIL) (($ (-216) $) NIL) (($ $ (-216)) NIL) (($ (-569) $) NIL) (((-219) $ (-219)) NIL) (((-219) (-219) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-217) (-13 (-679 (-216) (-219) (-219)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -217)) 
+((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217))))) 
+(-13 (-679 (-216) (-219) (-219)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
+((-2648 (((-170 (-216)) (-765) (-170 (-216))) 61) (((-216) (-765) (-216)) 62)) (-1405 (((-170 (-216)) (-170 (-216))) 63) (((-216) (-216)) 64)) (-3731 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 69) (((-216) (-216) (-216)) 72)) (-4230 (((-382) (-382)) 60)) (-2640 (((-382) (-382)) 59)) (-3566 (((-170 (-216)) (-170 (-216))) 74) (((-216) (-216)) 73)) (-3839 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 91) (((-216) (-216) (-216)) 83)) (-4489 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 94) (((-216) (-216) (-216)) 92)) (-1289 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 65) (((-216) (-216) (-216)) 66)) (-3578 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 67) (((-216) (-216) (-216)) 68)) (-3618 (((-170 (-216)) (-170 (-216))) 105) (((-216) (-216)) 104)) (-4466 (((-216) (-216)) 99) (((-170 (-216)) (-170 (-216))) 103)) (-2246 (((-170 (-216)) (-170 (-216))) 7) (((-216) (-216)) 9)) (-3343 (((-830 (-216)) (-569) (-216)) 23)) (-2358 (((-830 (-216)) (-830 (-216))) 36)) (-2361 (((-830 (-216)) (-830 (-216))) 35)) (-3813 (((-830 (-216)) (-830 (-216))) 34)) (-3723 (((-830 (-216)) (-830 (-216))) 33)) (-3632 (((-830 (-216)) (-830 (-216))) 32)) (-2817 (((-830 (-216)) (-830 (-216))) 31)) (-1618 (((-830 (-216)) (-830 (-216))) 37)) (-4198 (((-830 (-216)) (-216)) 22)) (-4028 (((-170 (-216)) (-170 (-216)) (-170 (-216))) 79) (((-216) (-216) (-216)) 75))) 
+(((-218) (-10 -7 (-15 -2246 ((-216) (-216))) (-15 -2246 ((-170 (-216)) (-170 (-216)))) (-15 -4198 ((-830 (-216)) (-216))) (-15 -3343 ((-830 (-216)) (-569) (-216))) (-15 -1618 ((-830 (-216)) (-830 (-216)))) (-15 -2817 ((-830 (-216)) (-830 (-216)))) (-15 -3632 ((-830 (-216)) (-830 (-216)))) (-15 -3723 ((-830 (-216)) (-830 (-216)))) (-15 -3813 ((-830 (-216)) (-830 (-216)))) (-15 -2361 ((-830 (-216)) (-830 (-216)))) (-15 -2358 ((-830 (-216)) (-830 (-216)))) (-15 -4028 ((-216) (-216) (-216))) (-15 -4028 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1405 ((-216) (-216))) (-15 -1405 ((-170 (-216)) (-170 (-216)))) (-15 -3566 ((-216) (-216))) (-15 -3566 ((-170 (-216)) (-170 (-216)))) (-15 -2648 ((-216) (-765) (-216))) (-15 -2648 ((-170 (-216)) (-765) (-170 (-216)))) (-15 -1289 ((-216) (-216) (-216))) (-15 -1289 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3839 ((-216) (-216) (-216))) (-15 -3839 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3578 ((-216) (-216) (-216))) (-15 -3578 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4489 ((-216) (-216) (-216))) (-15 -4489 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4466 ((-170 (-216)) (-170 (-216)))) (-15 -4466 ((-216) (-216))) (-15 -3618 ((-216) (-216))) (-15 -3618 ((-170 (-216)) (-170 (-216)))) (-15 -3731 ((-216) (-216) (-216))) (-15 -3731 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4230 ((-382) (-382))) (-15 -2640 ((-382) (-382))))) (T -218)) 
+((-2640 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-4230 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) (-3731 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3731 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3618 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3618 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4466 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4466 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4489 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4489 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3578 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3578 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-3839 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3839 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1289 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1289 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2648 (*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-765)) (-5 *1 (-218)))) (-2648 (*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-765)) (-5 *1 (-218)))) (-3566 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-3566 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-1405 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-1405 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-4028 (*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-4028 (*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) (-2358 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-2361 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3813 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3723 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3632 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-2817 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-1618 (*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *4 (-216)))) (-4198 (*1 *2 *3) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *3 (-216)))) (-2246 (*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) (-2246 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218))))) 
+(-10 -7 (-15 -2246 ((-216) (-216))) (-15 -2246 ((-170 (-216)) (-170 (-216)))) (-15 -4198 ((-830 (-216)) (-216))) (-15 -3343 ((-830 (-216)) (-569) (-216))) (-15 -1618 ((-830 (-216)) (-830 (-216)))) (-15 -2817 ((-830 (-216)) (-830 (-216)))) (-15 -3632 ((-830 (-216)) (-830 (-216)))) (-15 -3723 ((-830 (-216)) (-830 (-216)))) (-15 -3813 ((-830 (-216)) (-830 (-216)))) (-15 -2361 ((-830 (-216)) (-830 (-216)))) (-15 -2358 ((-830 (-216)) (-830 (-216)))) (-15 -4028 ((-216) (-216) (-216))) (-15 -4028 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -1405 ((-216) (-216))) (-15 -1405 ((-170 (-216)) (-170 (-216)))) (-15 -3566 ((-216) (-216))) (-15 -3566 ((-170 (-216)) (-170 (-216)))) (-15 -2648 ((-216) (-765) (-216))) (-15 -2648 ((-170 (-216)) (-765) (-170 (-216)))) (-15 -1289 ((-216) (-216) (-216))) (-15 -1289 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3839 ((-216) (-216) (-216))) (-15 -3839 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -3578 ((-216) (-216) (-216))) (-15 -3578 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4489 ((-216) (-216) (-216))) (-15 -4489 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4466 ((-170 (-216)) (-170 (-216)))) (-15 -4466 ((-216) (-216))) (-15 -3618 ((-216) (-216))) (-15 -3618 ((-170 (-216)) (-170 (-216)))) (-15 -3731 ((-216) (-216) (-216))) (-15 -3731 ((-170 (-216)) (-170 (-216)) (-170 (-216)))) (-15 -4230 ((-382) (-382))) (-15 -2640 ((-382) (-382)))) 
+((-1310 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-3397 (($ (-765)) NIL (|has| (-216) (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-216) (-216)) $) NIL) (((-121) $) NIL (|has| (-216) (-844)))) (-1744 (($ (-1 (-121) (-216) (-216)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-216) (-844))))) (-2930 (($ (-1 (-121) (-216) (-216)) $) NIL) (($ $) NIL (|has| (-216) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-216) $ (-569) (-216)) 17 (|has| $ (-6 -4572))) (((-216) $ (-1219 (-569)) (-216)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-3503 (($ (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093)))) (($ (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-216) (-1 (-216) (-216) (-216)) $ (-216) (-216)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093)))) (((-216) (-1 (-216) (-216) (-216)) $ (-216)) NIL (|has| $ (-6 -4571))) (((-216) (-1 (-216) (-216) (-216)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-216) $ (-569) (-216)) 9 (|has| $ (-6 -4572)))) (-2903 (($ (-569)) 14)) (-4124 (((-216) $ (-569)) 8)) (-3988 (((-569) (-1 (-121) (-216)) $) NIL) (((-569) (-216) $) NIL (|has| (-216) (-1093))) (((-569) (-216) $ (-569)) NIL (|has| (-216) (-1093)))) (-4303 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 (-216)) $ $) NIL (|has| (-216) (-1049)))) (-2446 (($ (-765) (-216)) 15)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-216) (-844)))) (-2102 (($ (-1 (-121) (-216) (-216)) $ $) NIL) (($ $ $) NIL (|has| (-216) (-844)))) (-4457 (((-635 (-216)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-216) (-844)))) (-2089 (($ (-1 (-216) (-216)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-216) (-216)) $) NIL) (($ (-1 (-216) (-216) (-216)) $ $) NIL)) (-3108 (((-216) $) NIL (-12 (|has| (-216) (-1004)) (|has| (-216) (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-216) $) NIL (-12 (|has| (-216) (-1004)) (|has| (-216) (-1049))))) (-2605 (((-1147) $) NIL (|has| (-216) (-1093)))) (-2583 (($ (-216) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-216) (-1093)))) (-1816 (((-216) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-216) "failed") (-1 (-121) (-216)) $) NIL)) (-2417 (($ $ (-216)) 18 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-216)))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-289 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-216) (-216)) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093)))) (($ $ (-635 (-216)) (-635 (-216))) NIL (-12 (|has| (-216) (-304 (-216))) (|has| (-216) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-4283 (((-635 (-216)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 (((-216) $ (-569) (-216)) NIL) (((-216) $ (-569)) 16) (($ $ (-1219 (-569))) NIL)) (-4510 (((-216) $ $) NIL (|has| (-216) (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| (-216) (-1049)))) (-2691 (((-765) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571))) (((-765) (-216) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-216) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-216) (-610 (-542))))) (-3124 (($ (-635 (-216))) NIL)) (-4456 (($ $ (-216)) NIL) (($ (-216) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-216) (-1093)))) (-3776 (((-121) (-1 (-121) (-216)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-216) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-216) (-844)))) (-1377 (($ $) NIL (|has| (-216) (-21))) (($ $ $) NIL (|has| (-216) (-21)))) (-1371 (($ $ $) NIL (|has| (-216) (-25)))) (* (($ (-569) $) NIL (|has| (-216) (-21))) (($ (-216) $) NIL (|has| (-216) (-718))) (($ $ (-216)) NIL (|has| (-216) (-718)))) (-2946 (((-765) $) 11 (|has| $ (-6 -4571))))) 
+(((-219) (-13 (-1251 (-216)) (-10 -8 (-15 -2903 ($ (-569)))))) (T -219)) 
+((-2903 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
+(-13 (-1251 (-216)) (-10 -8 (-15 -2903 ($ (-569))))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1253 |#1|)) NIL) (($ $) NIL)) (-2512 (($ |#1| |#1| |#1|) 32)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1253 |#1|)) NIL)) (-1622 (($ $ (-569) (-1253 |#1|)) NIL)) (-3402 (($ |#1| |#1| |#1|) 31)) (-2232 (($ (-765) |#1|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| |#1| (-302)))) (-4128 (((-1253 |#1|) $ (-569)) NIL)) (-3901 (($ |#1|) 30)) (-4112 (($ |#1|) 29)) (-3972 (($ |#1|) 28)) (-3358 (((-765) $) NIL (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) NIL (|has| |#1| (-559)))) (-3970 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-559)))) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) NIL (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#1|))) 10) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| |#1| (-366)))) (-1483 (($) 11)) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) NIL (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-1253 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-1253 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1253 |#1|) $ (-1253 |#1|)) 14) (((-1253 |#1|) (-1253 |#1|) $) NIL) (((-946 |#1|) $ (-946 |#1|)) 20)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-220 |#1|) (-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 * ((-946 |#1|) $ (-946 |#1|))) (-15 -1483 ($)) (-15 -3972 ($ |#1|)) (-15 -4112 ($ |#1|)) (-15 -3901 ($ |#1|)) (-15 -3402 ($ |#1| |#1| |#1|)) (-15 -2512 ($ |#1| |#1| |#1|)))) (-13 (-366) (-1185))) (T -220)) 
+((* (*1 *2 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185))) (-5 *1 (-220 *3)))) (-1483 (*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3972 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-4112 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3901 (*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-3402 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) (-2512 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
+(-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 * ((-946 |#1|) $ (-946 |#1|))) (-15 -1483 ($)) (-15 -3972 ($ |#1|)) (-15 -4112 ($ |#1|)) (-15 -3901 ($ |#1|)) (-15 -3402 ($ |#1| |#1| |#1|)) (-15 -2512 ($ |#1| |#1| |#1|)))) 
+((-1304 (($ (-1 (-121) |#2|) $) 17)) (-2006 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 25)) (-1353 (($) NIL) (($ (-635 |#2|)) 11)) (-1326 (((-121) $ $) 23))) 
+(((-221 |#1| |#2|) (-10 -8 (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-222 |#2|) (-1093)) (T -221)) 
+NIL 
+(-10 -8 (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-222 |#1|) (-1284) (-1093)) (T -222)) 
 NIL 
 (-13 (-228 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) 11) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) 19) (($ $ (-764)) NIL) (($ $) 16)) (-3022 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-764)) 14) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL))) 
-(((-223 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1163))) (-15 -3022 (|#1| |#1| (-635 (-1163)))) (-15 -3022 (|#1| |#1| (-1163) (-764))) (-15 -3022 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|)))) (-224 |#2|) (-1048)) (T -223)) 
-NIL 
-(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1163))) (-15 -3022 (|#1| |#1| (-635 (-1163)))) (-15 -3022 (|#1| |#1| (-1163) (-764))) (-15 -3022 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3022 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-764)) 50) (($ $ (-635 (-1163)) (-635 (-764))) 43 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 42 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 41 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 40 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 38 (|has| |#1| (-226))) (($ $) 36 (|has| |#1| (-226)))) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-764)) 48) (($ $ (-635 (-1163)) (-635 (-764))) 47 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 46 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 45 (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 44 (|has| |#1| (-896 (-1163)))) (($ $ (-764)) 39 (|has| |#1| (-226))) (($ $) 37 (|has| |#1| (-226)))) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-224 |#1|) (-1278) (-1048)) (T -224)) 
-((-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048))))) 
-(-13 (-1048) (-10 -8 (-15 -3899 ($ $ (-1 |t#1| |t#1|))) (-15 -3899 ($ $ (-1 |t#1| |t#1|) (-764))) (-15 -3022 ($ $ (-1 |t#1| |t#1|))) (-15 -3022 ($ $ (-1 |t#1| |t#1|) (-764))) (IF (|has| |t#1| (-226)) (-6 (-226)) |noBranch|) (IF (|has| |t#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-226) |has| |#1| (-226)) ((-638 $) . T) ((-717) . T) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3899 (($ $) NIL) (($ $ (-764)) 10)) (-3022 (($ $) 8) (($ $ (-764)) 12))) 
-(((-225 |#1|) (-10 -8 (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1|))) (-226)) (T -225)) 
-NIL 
-(-10 -8 (-15 -3022 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3022 (|#1| |#1|)) (-15 -3899 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $) 37) (($ $ (-764)) 35)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 36) (($ $ (-764)) 34)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-226) (-1278)) (T -226)) 
-((-3899 (*1 *1 *1) (-4 *1 (-226))) (-3022 (*1 *1 *1) (-4 *1 (-226))) (-3899 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) (-3022 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764))))) 
-(-13 (-1048) (-10 -8 (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2566 (($) 12) (($ (-635 |#2|)) NIL)) (-1971 (($ $) 14)) (-2139 (($ (-635 |#2|)) 10)) (-2185 (((-851) $) 21))) 
-(((-227 |#1| |#2|) (-10 -8 (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2185 ((-851) |#1|)) (-15 -1971 (|#1| |#1|))) (-228 |#2|) (-1091)) (T -227)) 
-NIL 
-(-10 -8 (-15 -2566 (|#1| (-635 |#2|))) (-15 -2566 (|#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2185 ((-851) |#1|)) (-15 -1971 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-228 |#1|) (-1278) (-1091)) (T -228)) 
-((-2566 (*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1091)))) (-2566 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-228 *3)))) (-4454 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-228 *2)) (-4 *2 (-1091)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) (-4216 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091))))) 
-(-13 (-111 |t#1|) (-155 |t#1|) (-10 -8 (-15 -2566 ($)) (-15 -2566 ($ (-635 |t#1|))) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4454 ($ |t#1| $)) (-15 -4454 ($ (-1 (-121) |t#1|) $)) (-15 -4216 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2076 (((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569)))) 25))) 
-(((-229) (-10 -7 (-15 -2076 ((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569))))))) (T -229)) 
-((-2076 (*1 *2 *3) (-12 (-5 *3 (-289 (-954 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764)))))) (-5 *1 (-229))))) 
-(-10 -7 (-15 -2076 ((-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764))))) (-289 (-954 (-569)))))) 
-((-2085 (((-764)) 51)) (-1696 (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) 49) (((-680 |#3|) (-680 $)) 41) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-2369 (((-140)) 57)) (-3899 (($ $ (-1 |#3| |#3|) (-764)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (($ |#3|) NIL) (((-851) $) NIL) (($ (-569)) 12) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 15)) (-1715 (($ $ |#3|) 54))) 
-(((-230 |#1| |#2| |#3|) (-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|)) (-15 -1991 ((-764))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -2085 ((-764))) (-15 -1715 (|#1| |#1| |#3|)) (-15 -2369 ((-140))) (-15 -2185 ((-1247 |#3|) |#1|))) (-231 |#2| |#3|) (-764) (-1197)) (T -230)) 
-((-2369 (*1 *2) (-12 (-14 *4 (-764)) (-4 *5 (-1197)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2085 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-1991 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5))))) 
-(-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|)) (-15 -1991 ((-764))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -2085 ((-764))) (-15 -1715 (|#1| |#1| |#3|)) (-15 -2369 ((-140))) (-15 -2185 ((-1247 |#3|) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#2| (-1091)))) (-3813 (((-121) $) 67 (|has| |#2| (-138)))) (-4382 (($ (-918)) 122 (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1498 (($ $ $) 118 (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) 69 (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) 8)) (-2085 (((-764)) 104 (|has| |#2| (-371)))) (-3638 (((-569) $) 116 (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) 49 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-1647 (((-3 (-569) "failed") $) 62 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) 59 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1091)))) (-2428 (((-569) $) 63 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) 60 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) 55 (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) 103 (-2206 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 102 (-2206 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 101 (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) 100 (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) 75 (|has| |#2| (-717)))) (-4327 (($) 107 (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 48)) (-2403 (((-121) $) 114 (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) 30 (|has| $ (-6 -4535)))) (-1407 (((-121) $) 78 (|has| |#2| (-717)))) (-1781 (((-121) $) 115 (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 113 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-4259 (((-635 |#2|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 112 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1853 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 35)) (-2083 (((-918) $) 106 (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3998 (($ (-918)) 105 (|has| |#2| (-371)))) (-3360 (((-1109) $) 21 (|has| |#2| (-1091)))) (-4353 ((|#2| $) 39 (|has| (-569) (-843)))) (-3174 (($ $ |#2|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ (-569) |#2|) 47) ((|#2| $ (-569)) 46)) (-2049 ((|#2| $ $) 121 (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) 123)) (-2369 (((-140)) 120 (|has| |#2| (-366)))) (-3899 (($ $) 95 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) 93 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) 91 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) 90 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) 89 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) 88 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) 81 (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4535))) (((-764) |#2| $) 28 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-1247 |#2|) $) 124) (((-851) $) 20 (|has| |#2| (-1091))) (($ (-569)) 61 (-2232 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) 58 (-2206 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) 57 (|has| |#2| (-1091)))) (-1991 (((-764)) 99 (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4535)))) (-1616 (($ $) 117 (|has| |#2| (-841)))) (-2427 (($ $ (-764)) 76 (|has| |#2| (-717))) (($ $ (-918)) 72 (|has| |#2| (-717)))) (-3369 (($) 66 (|has| |#2| (-138)) CONST)) (-1556 (($) 79 (|has| |#2| (-717)) CONST)) (-3022 (($ $) 94 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) 92 (-2206 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) 87 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) 86 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) 85 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) 84 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) 83 (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1048)))) (-1693 (((-121) $ $) 110 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1684 (((-121) $ $) 109 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1668 (((-121) $ $) 19 (|has| |#2| (-1091)))) (-1688 (((-121) $ $) 111 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1678 (((-121) $ $) 108 (-2232 (|has| |#2| (-841)) (|has| |#2| (-789))))) (-1715 (($ $ |#2|) 119 (|has| |#2| (-366)))) (-1711 (($ $ $) 97 (|has| |#2| (-1048))) (($ $) 96 (|has| |#2| (-1048)))) (-1707 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-764)) 77 (|has| |#2| (-717))) (($ $ (-918)) 73 (|has| |#2| (-717)))) (* (($ (-569) $) 98 (|has| |#2| (-1048))) (($ $ $) 74 (|has| |#2| (-717))) (($ $ |#2|) 71 (|has| |#2| (-1048))) (($ |#2| $) 70 (|has| |#2| (-1048))) (($ (-764) $) 68 (|has| |#2| (-138))) (($ (-918) $) 65 (|has| |#2| (-25)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-231 |#1| |#2|) (-1278) (-764) (-1197)) (T -231)) 
-((-1755 (*1 *1 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1197)) (-4 *1 (-231 *3 *4)))) (-4382 (*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1048)) (-4 *4 (-1197)))) (-2049 (*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
-(-13 (-602 (-569) |t#2|) (-609 (-1247 |t#2|)) (-10 -8 (-6 -4535) (-15 -1755 ($ (-1247 |t#2|))) (IF (|has| |t#2| (-1091)) (-6 (-414 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1048)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-224 |t#2|)) (-6 (-380 |t#2|)) (-15 -4382 ($ (-918))) (-15 -2049 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-138)) (-6 (-138)) |noBranch|) (IF (|has| |t#2| (-717)) (-6 (-717 (SEQ (|:| * (-1 $ |t#2| $)) (|exit| 1 (|:| * (-1 $ $ |t#2|)))))) |noBranch|) (IF (|has| |t#2| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#2| (-173)) (PROGN (-6 (-43 |t#2|)) (-6 (-173))) |noBranch|) (IF (|has| |t#2| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |t#2| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |t#2| (-789)) (-6 (-789)) |noBranch|) (IF (|has| |t#2| (-366)) (-6 (-1254 |t#2|)) |noBranch|))) 
-(((-21) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-23) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-25) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-120 $ $) |has| |#2| (-173)) ((-138) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-609 (-1247 |#2|)) . T) ((-173) |has| |#2| (-173)) ((-224 |#2|) |has| |#2| (-1048)) ((-226) -12 (|has| |#2| (-226)) (|has| |#2| (-1048))) ((-282 (-569) |#2|) . T) ((-284 (-569) |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-371) |has| |#2| (-371)) ((-380 |#2|) |has| |#2| (-1048)) ((-414 |#2|) |has| |#2| (-1091)) ((-500 |#2|) . T) ((-602 (-569) |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-638 |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-638 $) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-631 (-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048))) ((-631 |#2|) |has| |#2| (-1048)) ((-708 |#2|) -2232 (|has| |#2| (-366)) (|has| |#2| (-173))) ((-717 (SEQ (|:| * (-1 $ |#2| $)) (|exit| 1 (|:| * (-1 $ $ |#2|))))) |has| |#2| (-717)) ((-717) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-787) |has| |#2| (-841)) ((-788) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-789) |has| |#2| (-789)) ((-790) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-791) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-841) |has| |#2| (-841)) ((-843) -2232 (|has| |#2| (-841)) (|has| |#2| (-789))) ((-896 (-1163)) -12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048))) ((-1038 (-410 (-569))) -12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091))) ((-1038 (-569)) -12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) ((-1038 |#2|) |has| |#2| (-1091)) ((-1054 |#2|) -2232 (|has| |#2| (-1048)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-1054 $) |has| |#2| (-173)) ((-1048) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-1055) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-173))) ((-1103) -2232 (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-717)) (|has| |#2| (-173))) ((-1091) -2232 (|has| |#2| (-1091)) (|has| |#2| (-1048)) (|has| |#2| (-841)) (|has| |#2| (-789)) (|has| |#2| (-717)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-1197) . T) ((-1254 |#2|) |has| |#2| (-366))) 
-((-3043 (((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 21)) (-1774 ((|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 23)) (-1544 (((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)) 18))) 
-(((-232 |#1| |#2| |#3|) (-10 -7 (-15 -3043 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1774 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1544 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) (-764) (-1197) (-1197)) (T -232)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *2 (-1197)) (-5 *1 (-232 *5 *6 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-764)) (-4 *7 (-1197)) (-4 *5 (-1197)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5))))) 
-(-10 -7 (-15 -3043 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1774 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -1544 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) 56 (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) 60 (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) 49 (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) 17)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) 27 (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) 53 (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 51)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) 15 (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 20 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) 50 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 41)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) 21)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) 18)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) 10) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) 13 (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) 35 (|has| |#2| (-138)) CONST)) (-1556 (($) 38 (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) 26 (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 58 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) 44 (|has| |#2| (-717))) (($ $ |#2|) 42 (|has| |#2| (-1048))) (($ |#2| $) 43 (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-233 |#1| |#2|) (-231 |#1| |#2|) (-764) (-1197)) (T -233)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) 11) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) 19) (($ $ (-765)) NIL) (($ $) 16)) (-3712 (($ $ (-1 |#2| |#2|)) 12) (($ $ (-1 |#2| |#2|) (-765)) 14) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL))) 
+(((-223 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1165))) (-15 -3712 (|#1| |#1| (-635 (-1165)))) (-15 -3712 (|#1| |#1| (-1165) (-765))) (-15 -3712 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|)))) (-224 |#2|) (-1049)) (T -223)) 
+NIL 
+(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1165))) (-15 -3712 (|#1| |#1| (-635 (-1165)))) (-15 -3712 (|#1| |#1| (-1165) (-765))) (-15 -3712 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3712 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $ (-1 |#1| |#1|)) 51) (($ $ (-1 |#1| |#1|) (-765)) 50) (($ $ (-635 (-1165)) (-635 (-765))) 43 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 42 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 41 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 40 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 38 (|has| |#1| (-226))) (($ $) 36 (|has| |#1| (-226)))) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#1| |#1|)) 49) (($ $ (-1 |#1| |#1|) (-765)) 48) (($ $ (-635 (-1165)) (-635 (-765))) 47 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 46 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 45 (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 44 (|has| |#1| (-897 (-1165)))) (($ $ (-765)) 39 (|has| |#1| (-226))) (($ $) 37 (|has| |#1| (-226)))) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-224 |#1|) (-1284) (-1049)) (T -224)) 
+((-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049))))) 
+(-13 (-1049) (-10 -8 (-15 -3289 ($ $ (-1 |t#1| |t#1|))) (-15 -3289 ($ $ (-1 |t#1| |t#1|) (-765))) (-15 -3712 ($ $ (-1 |t#1| |t#1|))) (-15 -3712 ($ $ (-1 |t#1| |t#1|) (-765))) (IF (|has| |t#1| (-226)) (-6 (-226)) |noBranch|) (IF (|has| |t#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-226) |has| |#1| (-226)) ((-638 $) . T) ((-718) . T) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3289 (($ $) NIL) (($ $ (-765)) 10)) (-3712 (($ $) 8) (($ $ (-765)) 12))) 
+(((-225 |#1|) (-10 -8 (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1|))) (-226)) (T -225)) 
+NIL 
+(-10 -8 (-15 -3712 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3712 (|#1| |#1|)) (-15 -3289 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $) 37) (($ $ (-765)) 35)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 36) (($ $ (-765)) 34)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-226) (-1284)) (T -226)) 
+((-3289 (*1 *1 *1) (-4 *1 (-226))) (-3712 (*1 *1 *1) (-4 *1 (-226))) (-3289 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) (-3712 (*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765))))) 
+(-13 (-1049) (-10 -8 (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1353 (($) 12) (($ (-635 |#2|)) NIL)) (-1799 (($ $) 14)) (-3124 (($ (-635 |#2|)) 10)) (-3956 (((-852) $) 21))) 
+(((-227 |#1| |#2|) (-10 -8 (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -3956 ((-852) |#1|)) (-15 -1799 (|#1| |#1|))) (-228 |#2|) (-1093)) (T -227)) 
+NIL 
+(-10 -8 (-15 -1353 (|#1| (-635 |#2|))) (-15 -1353 (|#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -3956 ((-852) |#1|)) (-15 -1799 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-228 |#1|) (-1284) (-1093)) (T -228)) 
+((-1353 (*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1093)))) (-1353 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-228 *3)))) (-2006 (*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-228 *2)) (-4 *2 (-1093)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) (-1304 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093))))) 
+(-13 (-111 |t#1|) (-155 |t#1|) (-10 -8 (-15 -1353 ($)) (-15 -1353 ($ (-635 |t#1|))) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2006 ($ |t#1| $)) (-15 -2006 ($ (-1 (-121) |t#1|) $)) (-15 -1304 ($ (-1 (-121) |t#1|) $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-4033 (((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569)))) 25))) 
+(((-229) (-10 -7 (-15 -4033 ((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569))))))) (T -229)) 
+((-4033 (*1 *2 *3) (-12 (-5 *3 (-289 (-955 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765)))))) (-5 *1 (-229))))) 
+(-10 -7 (-15 -4033 ((-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765))))) (-289 (-955 (-569)))))) 
+((-2675 (((-765)) 51)) (-3435 (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) 49) (((-681 |#3|) (-681 $)) 41) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2174 (((-140)) 57)) (-3289 (($ $ (-1 |#3| |#3|) (-765)) NIL) (($ $ (-1 |#3| |#3|)) 18) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (($ |#3|) NIL) (((-852) $) NIL) (($ (-569)) 12) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 15)) (-1383 (($ $ |#3|) 54))) 
+(((-230 |#1| |#2| |#3|) (-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|)) (-15 -2320 ((-765))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -2675 ((-765))) (-15 -1383 (|#1| |#1| |#3|)) (-15 -2174 ((-140))) (-15 -3956 ((-1253 |#3|) |#1|))) (-231 |#2| |#3|) (-765) (-1199)) (T -230)) 
+((-2174 (*1 *2) (-12 (-14 *4 (-765)) (-4 *5 (-1199)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2675 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) (-2320 (*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5))))) 
+(-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|)) (-15 -2320 ((-765))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -2675 ((-765))) (-15 -1383 (|#1| |#1| |#3|)) (-15 -2174 ((-140))) (-15 -3956 ((-1253 |#3|) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#2| (-1093)))) (-2225 (((-121) $) 67 (|has| |#2| (-138)))) (-4148 (($ (-919)) 122 (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-4288 (($ $ $) 118 (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) 69 (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) 8)) (-2675 (((-765)) 104 (|has| |#2| (-371)))) (-3817 (((-569) $) 116 (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) 49 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3003 (((-3 (-569) "failed") $) 62 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) 59 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) 56 (|has| |#2| (-1093)))) (-1321 (((-569) $) 63 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) 60 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) 55 (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) 103 (-3993 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 102 (-3993 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 101 (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) 100 (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) 75 (|has| |#2| (-718)))) (-3341 (($) 107 (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 48)) (-1863 (((-121) $) 114 (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) 30 (|has| $ (-6 -4571)))) (-3934 (((-121) $) 78 (|has| |#2| (-718)))) (-4311 (((-121) $) 115 (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 113 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-4457 (((-635 |#2|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 112 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-2089 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 35)) (-2862 (((-919) $) 106 (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1333 (($ (-919)) 105 (|has| |#2| (-371)))) (-1912 (((-1111) $) 21 (|has| |#2| (-1093)))) (-1816 ((|#2| $) 39 (|has| (-569) (-844)))) (-2417 (($ $ |#2|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ (-569) |#2|) 47) ((|#2| $ (-569)) 46)) (-4510 ((|#2| $ $) 121 (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) 123)) (-2174 (((-140)) 120 (|has| |#2| (-366)))) (-3289 (($ $) 95 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) 93 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) 91 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) 90 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) 89 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) 88 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) 81 (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) 80 (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4571))) (((-765) |#2| $) 28 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-1253 |#2|) $) 124) (((-852) $) 20 (|has| |#2| (-1093))) (($ (-569)) 61 (-1929 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) 58 (-3993 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) 57 (|has| |#2| (-1093)))) (-2320 (((-765)) 99 (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4571)))) (-4080 (($ $) 117 (|has| |#2| (-842)))) (-3403 (($ $ (-765)) 76 (|has| |#2| (-718))) (($ $ (-919)) 72 (|has| |#2| (-718)))) (-2407 (($) 66 (|has| |#2| (-138)) CONST)) (-3297 (($) 79 (|has| |#2| (-718)) CONST)) (-3712 (($ $) 94 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) 92 (-3993 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) 87 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) 86 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) 85 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) 84 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) 83 (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) 82 (|has| |#2| (-1049)))) (-1355 (((-121) $ $) 110 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1343 (((-121) $ $) 109 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1326 (((-121) $ $) 19 (|has| |#2| (-1093)))) (-1349 (((-121) $ $) 111 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1337 (((-121) $ $) 108 (-1929 (|has| |#2| (-842)) (|has| |#2| (-790))))) (-1383 (($ $ |#2|) 119 (|has| |#2| (-366)))) (-1377 (($ $ $) 97 (|has| |#2| (-1049))) (($ $) 96 (|has| |#2| (-1049)))) (-1371 (($ $ $) 64 (|has| |#2| (-25)))) (** (($ $ (-765)) 77 (|has| |#2| (-718))) (($ $ (-919)) 73 (|has| |#2| (-718)))) (* (($ (-569) $) 98 (|has| |#2| (-1049))) (($ $ $) 74 (|has| |#2| (-718))) (($ $ |#2|) 71 (|has| |#2| (-1049))) (($ |#2| $) 70 (|has| |#2| (-1049))) (($ (-765) $) 68 (|has| |#2| (-138))) (($ (-919) $) 65 (|has| |#2| (-25)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-231 |#1| |#2|) (-1284) (-765) (-1199)) (T -231)) 
+((-3161 (*1 *1 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1199)) (-4 *1 (-231 *3 *4)))) (-4148 (*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1049)) (-4 *4 (-1199)))) (-4510 (*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
+(-13 (-602 (-569) |t#2|) (-609 (-1253 |t#2|)) (-10 -8 (-6 -4571) (-15 -3161 ($ (-1253 |t#2|))) (IF (|has| |t#2| (-1093)) (-6 (-414 |t#2|)) |noBranch|) (IF (|has| |t#2| (-1049)) (PROGN (-6 (-120 |t#2| |t#2|)) (-6 (-224 |t#2|)) (-6 (-380 |t#2|)) (-15 -4148 ($ (-919))) (-15 -4510 (|t#2| $ $))) |noBranch|) (IF (|has| |t#2| (-25)) (-6 (-25)) |noBranch|) (IF (|has| |t#2| (-138)) (-6 (-138)) |noBranch|) (IF (|has| |t#2| (-718)) (-6 (-718 (SEQ (|:| * (-1 $ |t#2| $)) (|exit| 1 (|:| * (-1 $ $ |t#2|)))))) |noBranch|) (IF (|has| |t#2| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#2| (-173)) (PROGN (-6 (-43 |t#2|)) (-6 (-173))) |noBranch|) (IF (|has| |t#2| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |t#2| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |t#2| (-790)) (-6 (-790)) |noBranch|) (IF (|has| |t#2| (-366)) (-6 (-1260 |t#2|)) |noBranch|))) 
+(((-21) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-23) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-25) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-39) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-120 |#2| |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-120 $ $) |has| |#2| (-173)) ((-138) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-609 (-1253 |#2|)) . T) ((-173) |has| |#2| (-173)) ((-224 |#2|) |has| |#2| (-1049)) ((-226) -12 (|has| |#2| (-226)) (|has| |#2| (-1049))) ((-282 (-569) |#2|) . T) ((-284 (-569) |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-371) |has| |#2| (-371)) ((-380 |#2|) |has| |#2| (-1049)) ((-414 |#2|) |has| |#2| (-1093)) ((-500 |#2|) . T) ((-602 (-569) |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-638 |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-638 $) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-631 (-569)) -12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049))) ((-631 |#2|) |has| |#2| (-1049)) ((-709 |#2|) -1929 (|has| |#2| (-366)) (|has| |#2| (-173))) ((-718 (SEQ (|:| * (-1 $ |#2| $)) (|exit| 1 (|:| * (-1 $ $ |#2|))))) |has| |#2| (-718)) ((-718) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-788) |has| |#2| (-842)) ((-789) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-790) |has| |#2| (-790)) ((-791) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-792) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-842) |has| |#2| (-842)) ((-844) -1929 (|has| |#2| (-842)) (|has| |#2| (-790))) ((-897 (-1165)) -12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049))) ((-1039 (-410 (-569))) -12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093))) ((-1039 (-569)) -12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) ((-1039 |#2|) |has| |#2| (-1093)) ((-1055 |#2|) -1929 (|has| |#2| (-1049)) (|has| |#2| (-366)) (|has| |#2| (-173))) ((-1055 $) |has| |#2| (-173)) ((-1049) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-1056) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-173))) ((-1105) -1929 (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-718)) (|has| |#2| (-173))) ((-1093) -1929 (|has| |#2| (-1093)) (|has| |#2| (-1049)) (|has| |#2| (-842)) (|has| |#2| (-790)) (|has| |#2| (-718)) (|has| |#2| (-371)) (|has| |#2| (-366)) (|has| |#2| (-173)) (|has| |#2| (-138)) (|has| |#2| (-25))) ((-1199) . T) ((-1260 |#2|) |has| |#2| (-366))) 
+((-2247 (((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 21)) (-2793 ((|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|) 23)) (-4188 (((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)) 18))) 
+(((-232 |#1| |#2| |#3|) (-10 -7 (-15 -2247 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -2793 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -4188 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) (-765) (-1199) (-1199)) (T -232)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *2 (-1199)) (-5 *1 (-232 *5 *6 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-765)) (-4 *7 (-1199)) (-4 *5 (-1199)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5))))) 
+(-10 -7 (-15 -2247 ((-233 |#1| |#3|) (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -2793 (|#3| (-1 |#3| |#2| |#3|) (-233 |#1| |#2|) |#3|)) (-15 -4188 ((-233 |#1| |#3|) (-1 |#3| |#2|) (-233 |#1| |#2|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) 56 (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) 60 (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) 49 (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) 17)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) 29 (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) 27 (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) 53 (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 51)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) 15 (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 20 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) 50 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 41)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 24 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) 21)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) 18)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) 10) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) 13 (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) 35 (|has| |#2| (-138)) CONST)) (-3297 (($) 38 (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) 26 (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 58 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) 33 (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) 44 (|has| |#2| (-718))) (($ $ |#2|) 42 (|has| |#2| (-1049))) (($ |#2| $) 43 (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-233 |#1| |#2|) (-231 |#1| |#2|) (-765) (-1199)) (T -233)) 
 NIL 
 (-231 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL)) (-4106 (($) 34 T CONST)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-173)))) (-3383 (($ $) NIL (|has| |#1| (-173)))) (-4354 (((-121) $) 54 (|has| |#1| (-173)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 55)) (-1407 (((-121) $) NIL)) (-1718 (((-121) $ (-918)) 71)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-173)))) (-1534 ((|#1| $ (-918)) 9)) (-2185 (((-851) $) 29) (($ (-569)) NIL) (($ (-1 |#1| (-918))) 12) (((-1 |#1| (-918)) $) 11) (($ (-1143 |#1|)) 26) (((-1143 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL (|has| |#1| (-173)))) (-3958 (((-121) $ (-918)) 72)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 33 T CONST)) (-1556 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 38) (($ $ $) NIL)) (-1707 (($ $ $) 36)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-234 |#1|) (-13 (-1048) (-282 (-918) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ($ (-1 |#1| (-918)))) (-15 -2185 ((-1 |#1| (-918)) $)) (-15 -2185 ($ (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) $)) (-15 -4106 ($) -2043) (-15 -1718 ((-121) $ (-918))) (-15 -3958 ((-121) $ (-918))))) (-1048)) (T -234)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-918))) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-918))) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) (-4106 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1048)))) (-1718 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048)))) (-3958 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
-(-13 (-1048) (-282 (-918) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ($ (-1 |#1| (-918)))) (-15 -2185 ((-1 |#1| (-918)) $)) (-15 -2185 ($ (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) $)) (-15 -4106 ($) -2043) (-15 -1718 ((-121) $ (-918))) (-15 -3958 ((-121) $ (-918))))) 
-((-3510 (((-569) (-635 (-1145))) 24) (((-569) (-1145)) 19)) (-2097 (((-1252) (-635 (-1145))) 29) (((-1252) (-1145)) 28)) (-1567 (((-1145)) 14)) (-3234 (((-1145) (-569) (-1145)) 16)) (-4030 (((-635 (-1145)) (-635 (-1145)) (-569) (-1145)) 25) (((-1145) (-1145) (-569) (-1145)) 23)) (-3013 (((-635 (-1145)) (-635 (-1145))) 13) (((-635 (-1145)) (-1145)) 11))) 
-(((-235) (-10 -7 (-15 -3013 ((-635 (-1145)) (-1145))) (-15 -3013 ((-635 (-1145)) (-635 (-1145)))) (-15 -1567 ((-1145))) (-15 -3234 ((-1145) (-569) (-1145))) (-15 -4030 ((-1145) (-1145) (-569) (-1145))) (-15 -4030 ((-635 (-1145)) (-635 (-1145)) (-569) (-1145))) (-15 -2097 ((-1252) (-1145))) (-15 -2097 ((-1252) (-635 (-1145)))) (-15 -3510 ((-569) (-1145))) (-15 -3510 ((-569) (-635 (-1145)))))) (T -235)) 
-((-3510 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-569)) (-5 *1 (-235)))) (-3510 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-235)))) (-2097 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1252)) (-5 *1 (-235)))) (-2097 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-235)))) (-4030 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1145))) (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *1 (-235)))) (-4030 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) (-3234 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) (-1567 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-235)))) (-3013 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)))) (-3013 (*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)) (-5 *3 (-1145))))) 
-(-10 -7 (-15 -3013 ((-635 (-1145)) (-1145))) (-15 -3013 ((-635 (-1145)) (-635 (-1145)))) (-15 -1567 ((-1145))) (-15 -3234 ((-1145) (-569) (-1145))) (-15 -4030 ((-1145) (-1145) (-569) (-1145))) (-15 -4030 ((-635 (-1145)) (-635 (-1145)) (-569) (-1145))) (-15 -2097 ((-1252) (-1145))) (-15 -2097 ((-1252) (-635 (-1145)))) (-15 -3510 ((-569) (-1145))) (-15 -3510 ((-569) (-635 (-1145))))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 44)) (-3664 (((-635 |#1|) $) 30)) (-3559 (((-635 |#1|) $) 29)) (-2405 (((-635 |#1|) $) 31)) (-2327 (((-3 $ "failed") $ $) 18)) (-4493 (((-635 $) $) 36)) (-2085 (((-764) $) 43)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 39)) (-2428 ((|#1| $) 40)) (-3082 ((|#1| $ (-569)) 46)) (-2231 (((-569) $ (-569)) 45)) (-4101 (($ (-1 |#1| |#1|) $) 49)) (-1742 (($ (-1 (-569) (-569)) $) 48)) (-2776 (((-1145) $) 9)) (-1852 (($ $) 26)) (-4113 (($ $ $) 50 (|has| (-569) (-788)))) (-3360 (((-1109) $) 10)) (-2048 (((-121) $) 32)) (-2916 (($ $) 28)) (-2091 (($ $) 27)) (-2492 (((-569) $) 37)) (-2250 (($ $ $) 33)) (-2630 (($ $) 34)) (-2185 (((-851) $) 11) (($ |#1|) 38)) (-1653 (((-569) |#1| $) 47)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 35)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ (-569)) 52) (($ (-569) $) 51) (($ (-569) |#1|) 42))) 
-(((-236 |#1|) (-1278) (-1091)) (T -236)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-569)))) (-4493 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) (-1688 (*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-2630 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2048 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-2405 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-3664 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-3559 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3)))) (-2916 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-2091 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) (-1852 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
-(-13 (-21) (-708 (-569)) (-321 |t#1| (-569)) (-10 -8 (-15 -2492 ((-569) $)) (-15 -4493 ((-635 $) $)) (-15 -1688 ((-121) $ $)) (-15 -2630 ($ $)) (-15 -2250 ($ $ $)) (-15 -2048 ((-121) $)) (-15 -2405 ((-635 |t#1|) $)) (-15 -3664 ((-635 |t#1|) $)) (-15 -3559 ((-635 |t#1|) $)) (-15 -2916 ($ $)) (-15 -2091 ($ $)) (-15 -1852 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-569) (-569)) . T) ((-138) . T) ((-609 (-851)) . T) ((-321 |#1| (-569)) . T) ((-638 (-569)) . T) ((-708 (-569)) . T) ((-1038 |#1|) . T) ((-1054 (-569)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 17)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 30)) (-3664 (((-635 |#1|) $) 36)) (-3559 (((-635 |#1|) $) 37)) (-2405 (((-635 |#1|) $) 35)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4493 (((-635 $) $) 29)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-4020 (($ $) 24)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-569) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-569) (-569)) $) NIL)) (-2776 (((-1145) $) NIL)) (-1852 (($ $) 8)) (-4113 (($ $ $) NIL (|has| (-569) (-788)))) (-3975 (((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $) 26)) (-3360 (((-1109) $) NIL)) (-2048 (((-121) $) 50)) (-2916 (($ $) 38)) (-2091 (($ $) 39)) (-2492 (((-569) $) 58)) (-2250 (($ $ $) 44)) (-2630 (($ $) 33)) (-2185 (((-851) $) 22) (($ |#1|) 27)) (-1653 (((-569) |#1| $) 32)) (-3369 (($) 23 T CONST)) (-1668 (((-121) $ $) 40)) (-1688 (((-121) $ $) 51)) (-1711 (($ $) 48) (($ $ $) 47)) (-1707 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 49) (($ $ (-569)) NIL) (($ (-569) $) 49) (($ (-569) |#1|) NIL))) 
-(((-237 |#1|) (-13 (-236 |#1|) (-10 -8 (-15 -3975 ((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $)) (-15 -4020 ($ $)))) (-1089)) (T -237)) 
-((-3975 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -2436 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1089)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1089))))) 
-(-13 (-236 |#1|) (-10 -8 (-15 -3975 ((-2 (|:| |gen| |#1|) (|:| -2436 (-569))) $)) (-15 -4020 ($ $)))) 
-((-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 18)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) 25) (($ $ (-410 (-569))) NIL))) 
-(((-238 |#1|) (-10 -8 (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-764))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -2427 (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-239)) (T -238)) 
-NIL 
-(-10 -8 (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-764))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -2427 (|#1| |#1| (-918))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 38)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 43)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 39)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 40)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 42) (($ $ (-410 (-569))) 41))) 
-(((-239) (-1278)) (T -239)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-1795 (*1 *1 *1) (-4 *1 (-239)))) 
-(-13 (-286) (-43 (-410 (-569))) (-10 -8 (-15 ** ($ $ (-569))) (-15 -2427 ($ $ (-569))) (-15 -1795 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-286) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-717) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4459 (($ $) 54)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-2495 (($ $ $) 50 (|has| $ (-6 -4536)))) (-2709 (($ $ $) 49 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-2432 (($ $) 53)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-3120 (($ $) 52)) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 56)) (-3975 (($ $) 55)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2697 (($ $ $) 51 (|has| $ (-6 -4536)))) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-240 |#1|) (-1278) (-1197)) (T -240)) 
-((-4213 (*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-3975 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2432 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-3120 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2495 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) (-2709 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
-(-13 (-1011 |t#1|) (-10 -8 (-15 -4213 (|t#1| $)) (-15 -3975 ($ $)) (-15 -4459 ($ $)) (-15 -2432 ($ $)) (-15 -3120 ($ $)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -2697 ($ $ $)) (-15 -2495 ($ $ $)) (-15 -2709 ($ $ $))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) 10 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $) NIL) (($ $ (-764)) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) 7 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-764) $ "count") 16)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1719 (($ (-635 |#1|)) 22)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (($ (-635 |#1|)) 17) (((-635 |#1|) $) 18) (((-851) $) 21 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 14 (|has| $ (-6 -4535))))) 
-(((-241 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -2185 ($ (-635 |#1|))) (-15 -2185 ((-635 |#1|) $)) (-15 -1719 ($ (-635 |#1|))) (-15 -1534 ($ $ "unique")) (-15 -1534 ($ $ "sort")) (-15 -1534 ((-764) $ "count")))) (-843)) (T -241)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1719 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-843)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-764)) (-5 *1 (-241 *4)) (-4 *4 (-843))))) 
-(-13 (-659 |#1|) (-10 -8 (-15 -2185 ($ (-635 |#1|))) (-15 -2185 ((-635 |#1|) $)) (-15 -1719 ($ (-635 |#1|))) (-15 -1534 ($ $ "unique")) (-15 -1534 ($ $ "sort")) (-15 -1534 ((-764) $ "count")))) 
-((-2345 (((-3 (-764) "failed") |#1| |#1| (-764)) 26))) 
-(((-242 |#1|) (-10 -7 (-15 -2345 ((-3 (-764) "failed") |#1| |#1| (-764)))) (-13 (-717) (-371) (-10 -7 (-15 ** (|#1| |#1| (-569)))))) (T -242)) 
-((-2345 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-764)) (-4 *3 (-13 (-717) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
-(-10 -7 (-15 -2345 ((-3 (-764) "failed") |#1| |#1| (-764)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) NIL)) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-233 (-4168 |#1|) (-764)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-233 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-233 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-233 (-4168 |#1|) (-764)) (-233 (-4168 |#1|) (-764))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-233 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-233 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-243 |#1| |#2|) (-13 (-951 |#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048)) (T -243)) 
-((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
-(-13 (-951 |#2| (-233 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4382 (($ (-918)) NIL (|has| |#4| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#4| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#4| (-371)))) (-3638 (((-569) $) NIL (|has| |#4| (-841)))) (-4469 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1091))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-2428 ((|#4| $) NIL (|has| |#4| (-1091))) (((-569) $) NIL (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-1696 (((-2 (|:| -3477 (-680 |#4|)) (|:| |vec| (-1247 |#4|))) (-680 $) (-1247 $)) NIL (|has| |#4| (-1048))) (((-680 |#4|) (-680 $)) NIL (|has| |#4| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-4327 (($) NIL (|has| |#4| (-371)))) (-2726 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#4| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#4| (-841)))) (-3470 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-1781 (((-121) $) NIL (|has| |#4| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-4259 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1853 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#4| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#4| (-371)))) (-3360 (((-1109) $) NIL)) (-4353 ((|#4| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#4|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-2691 (((-635 |#4|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#4| $ (-569) |#4|) NIL) ((|#4| $ (-569)) 12)) (-2049 ((|#4| $ $) NIL (|has| |#4| (-1048)))) (-1755 (($ (-1247 |#4|)) NIL)) (-2369 (((-140)) NIL (|has| |#4| (-366)))) (-3899 (($ $ (-1 |#4| |#4|) (-764)) NIL (|has| |#4| (-1048))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))))) (-2846 (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#4|) $) NIL) (((-851) $) NIL) (($ |#4|) NIL (|has| |#4| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#4| (-1038 (-569))) (|has| |#4| (-1091))) (|has| |#4| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#4| (-1038 (-410 (-569)))) (|has| |#4| (-1091))))) (-1991 (((-764)) NIL (|has| |#4| (-1048)))) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#4| (-841)))) (-2427 (($ $ (-764)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) CONST)) (-3022 (($ $ (-1 |#4| |#4|) (-764)) NIL (|has| |#4| (-1048))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1678 (((-121) $ $) NIL (-2232 (|has| |#4| (-789)) (|has| |#4| (-841))))) (-1715 (($ $ |#4|) NIL (|has| |#4| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (* (($ |#2| $) 14) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-1048))) (($ |#4| $) NIL (|has| |#4| (-1048))) (($ $ $) NIL (-2232 (-12 (|has| |#4| (-226)) (|has| |#4| (-1048))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1048))) (|has| |#4| (-717)) (-12 (|has| |#4| (-896 (-1163))) (|has| |#4| (-1048)))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-244 |#1| |#2| |#3| |#4|) (-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) (-918) (-1048) (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-638 |#2|)) (T -244)) 
+((-1310 (((-121) $ $) NIL)) (-1801 (($) 34 T CONST)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-173)))) (-2915 (($ $) NIL (|has| |#1| (-173)))) (-2735 (((-121) $) 54 (|has| |#1| (-173)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 55)) (-3934 (((-121) $) NIL)) (-2679 (((-121) $ (-919)) 71)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-173)))) (-2503 ((|#1| $ (-919)) 9)) (-3956 (((-852) $) 29) (($ (-569)) NIL) (($ (-1 |#1| (-919))) 12) (((-1 |#1| (-919)) $) 11) (($ (-1145 |#1|)) 26) (((-1145 |#1|) $) 24) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL (|has| |#1| (-173)))) (-2435 (((-121) $ (-919)) 72)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 33 T CONST)) (-3297 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 38) (($ $ $) NIL)) (-1371 (($ $ $) 36)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 40) (($ $ $) 51) (($ |#1| $) 42 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-234 |#1|) (-13 (-1049) (-282 (-919) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ($ (-1 |#1| (-919)))) (-15 -3956 ((-1 |#1| (-919)) $)) (-15 -3956 ($ (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) $)) (-15 -1801 ($) -3575) (-15 -2679 ((-121) $ (-919))) (-15 -2435 ((-121) $ (-919))))) (-1049)) (T -234)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1 *3 (-919))) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1 *3 (-919))) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) (-1801 (*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1049)))) (-2679 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049)))) (-2435 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
+(-13 (-1049) (-282 (-919) |#1|) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-559)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ($ (-1 |#1| (-919)))) (-15 -3956 ((-1 |#1| (-919)) $)) (-15 -3956 ($ (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) $)) (-15 -1801 ($) -3575) (-15 -2679 ((-121) $ (-919))) (-15 -2435 ((-121) $ (-919))))) 
+((-2753 (((-569) (-635 (-1147))) 24) (((-569) (-1147)) 19)) (-3086 (((-1258) (-635 (-1147))) 29) (((-1258) (-1147)) 28)) (-2031 (((-1147)) 14)) (-4543 (((-1147) (-569) (-1147)) 16)) (-1736 (((-635 (-1147)) (-635 (-1147)) (-569) (-1147)) 25) (((-1147) (-1147) (-569) (-1147)) 23)) (-1945 (((-635 (-1147)) (-635 (-1147))) 13) (((-635 (-1147)) (-1147)) 11))) 
+(((-235) (-10 -7 (-15 -1945 ((-635 (-1147)) (-1147))) (-15 -1945 ((-635 (-1147)) (-635 (-1147)))) (-15 -2031 ((-1147))) (-15 -4543 ((-1147) (-569) (-1147))) (-15 -1736 ((-1147) (-1147) (-569) (-1147))) (-15 -1736 ((-635 (-1147)) (-635 (-1147)) (-569) (-1147))) (-15 -3086 ((-1258) (-1147))) (-15 -3086 ((-1258) (-635 (-1147)))) (-15 -2753 ((-569) (-1147))) (-15 -2753 ((-569) (-635 (-1147)))))) (T -235)) 
+((-2753 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-569)) (-5 *1 (-235)))) (-2753 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-235)))) (-3086 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1258)) (-5 *1 (-235)))) (-3086 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-235)))) (-1736 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1147))) (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *1 (-235)))) (-1736 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) (-4543 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) (-2031 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-235)))) (-1945 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)))) (-1945 (*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)) (-5 *3 (-1147))))) 
+(-10 -7 (-15 -1945 ((-635 (-1147)) (-1147))) (-15 -1945 ((-635 (-1147)) (-635 (-1147)))) (-15 -2031 ((-1147))) (-15 -4543 ((-1147) (-569) (-1147))) (-15 -1736 ((-1147) (-1147) (-569) (-1147))) (-15 -1736 ((-635 (-1147)) (-635 (-1147)) (-569) (-1147))) (-15 -3086 ((-1258) (-1147))) (-15 -3086 ((-1258) (-635 (-1147)))) (-15 -2753 ((-569) (-1147))) (-15 -2753 ((-569) (-635 (-1147))))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 44)) (-3125 (((-635 |#1|) $) 30)) (-2566 (((-635 |#1|) $) 29)) (-1918 (((-635 |#1|) $) 31)) (-3748 (((-3 $ "failed") $ $) 18)) (-2009 (((-635 $) $) 36)) (-2675 (((-765) $) 43)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 39)) (-1321 ((|#1| $) 40)) (-1906 ((|#1| $ (-569)) 46)) (-3244 (((-569) $ (-569)) 45)) (-1648 (($ (-1 |#1| |#1|) $) 49)) (-1797 (($ (-1 (-569) (-569)) $) 48)) (-2605 (((-1147) $) 9)) (-2046 (($ $) 26)) (-4046 (($ $ $) 50 (|has| (-569) (-789)))) (-1912 (((-1111) $) 10)) (-4479 (((-121) $) 32)) (-1293 (($ $) 28)) (-2928 (($ $) 27)) (-2284 (((-569) $) 37)) (-4456 (($ $ $) 33)) (-2239 (($ $) 34)) (-3956 (((-852) $) 11) (($ |#1|) 38)) (-3802 (((-569) |#1| $) 47)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 35)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13) (($ |#1| $) 41)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ (-569)) 52) (($ (-569) $) 51) (($ (-569) |#1|) 42))) 
+(((-236 |#1|) (-1284) (-1093)) (T -236)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-569)))) (-2009 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) (-1349 (*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-2239 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-4479 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1918 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-3125 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-2566 (*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3)))) (-1293 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-2928 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) (-2046 (*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
+(-13 (-21) (-709 (-569)) (-321 |t#1| (-569)) (-10 -8 (-15 -2284 ((-569) $)) (-15 -2009 ((-635 $) $)) (-15 -1349 ((-121) $ $)) (-15 -2239 ($ $)) (-15 -4456 ($ $ $)) (-15 -4479 ((-121) $)) (-15 -1918 ((-635 |t#1|) $)) (-15 -3125 ((-635 |t#1|) $)) (-15 -2566 ((-635 |t#1|) $)) (-15 -1293 ($ $)) (-15 -2928 ($ $)) (-15 -2046 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 (-569) (-569)) . T) ((-138) . T) ((-609 (-852)) . T) ((-321 |#1| (-569)) . T) ((-638 (-569)) . T) ((-709 (-569)) . T) ((-1039 |#1|) . T) ((-1055 (-569)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 17)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 30)) (-3125 (((-635 |#1|) $) 36)) (-2566 (((-635 |#1|) $) 37)) (-1918 (((-635 |#1|) $) 35)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2009 (((-635 $) $) 29)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-3373 (($ $) 24)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-569) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-569) (-569)) $) NIL)) (-2605 (((-1147) $) NIL)) (-2046 (($ $) 8)) (-4046 (($ $ $) NIL (|has| (-569) (-789)))) (-1603 (((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $) 26)) (-1912 (((-1111) $) NIL)) (-4479 (((-121) $) 50)) (-1293 (($ $) 38)) (-2928 (($ $) 39)) (-2284 (((-569) $) 58)) (-4456 (($ $ $) 44)) (-2239 (($ $) 33)) (-3956 (((-852) $) 22) (($ |#1|) 27)) (-3802 (((-569) |#1| $) 32)) (-2407 (($) 23 T CONST)) (-1326 (((-121) $ $) 40)) (-1349 (((-121) $ $) 51)) (-1377 (($ $) 48) (($ $ $) 47)) (-1371 (($ $ $) 45) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 49) (($ $ (-569)) NIL) (($ (-569) $) 49) (($ (-569) |#1|) NIL))) 
+(((-237 |#1|) (-13 (-236 |#1|) (-10 -8 (-15 -1603 ((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $)) (-15 -3373 ($ $)))) (-1091)) (T -237)) 
+((-1603 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -3408 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1091)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1091))))) 
+(-13 (-236 |#1|) (-10 -8 (-15 -1603 ((-2 (|:| |gen| |#1|) (|:| -3408 (-569))) $)) (-15 -3373 ($ $)))) 
+((-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 18)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) 25) (($ $ (-410 (-569))) NIL))) 
+(((-238 |#1|) (-10 -8 (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-765))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -3403 (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-239)) (T -238)) 
+NIL 
+(-10 -8 (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-765))) (-15 * (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -3403 (|#1| |#1| (-919))) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 38)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 43)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 39)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 40)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 42) (($ $ (-410 (-569))) 41))) 
+(((-239) (-1284)) (T -239)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) (-3243 (*1 *1 *1) (-4 *1 (-239)))) 
+(-13 (-286) (-43 (-410 (-569))) (-10 -8 (-15 ** ($ $ (-569))) (-15 -3403 ($ $ (-569))) (-15 -3243 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-286) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-718) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-2394 (($ $) 54)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2370 (($ $ $) 50 (|has| $ (-6 -4572)))) (-3553 (($ $ $) 49 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-1314 (($ $) 53)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2198 (($ $) 52)) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 56)) (-1603 (($ $) 55)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4422 (($ $ $) 51 (|has| $ (-6 -4572)))) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-240 |#1|) (-1284) (-1199)) (T -240)) 
+((-3302 (*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-1603 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-1314 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2198 (*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-2370 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) (-3553 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
+(-13 (-1012 |t#1|) (-10 -8 (-15 -3302 (|t#1| $)) (-15 -1603 ($ $)) (-15 -2394 ($ $)) (-15 -1314 ($ $)) (-15 -2198 ($ $)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -4422 ($ $ $)) (-15 -2370 ($ $ $)) (-15 -3553 ($ $ $))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) 10 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $) NIL) (($ $ (-765)) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) 7 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL) (($ $ "unique") 9) (($ $ "sort") 12) (((-765) $ "count") 16)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2712 (($ (-635 |#1|)) 22)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ $) NIL) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (($ (-635 |#1|)) 17) (((-635 |#1|) $) 18) (((-852) $) 21 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 14 (|has| $ (-6 -4571))))) 
+(((-241 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -3956 ($ (-635 |#1|))) (-15 -3956 ((-635 |#1|) $)) (-15 -2712 ($ (-635 |#1|))) (-15 -2503 ($ $ "unique")) (-15 -2503 ($ $ "sort")) (-15 -2503 ((-765) $ "count")))) (-844)) (T -241)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2712 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-844)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-765)) (-5 *1 (-241 *4)) (-4 *4 (-844))))) 
+(-13 (-659 |#1|) (-10 -8 (-15 -3956 ($ (-635 |#1|))) (-15 -3956 ((-635 |#1|) $)) (-15 -2712 ($ (-635 |#1|))) (-15 -2503 ($ $ "unique")) (-15 -2503 ($ $ "sort")) (-15 -2503 ((-765) $ "count")))) 
+((-2941 (((-3 (-765) "failed") |#1| |#1| (-765)) 26))) 
+(((-242 |#1|) (-10 -7 (-15 -2941 ((-3 (-765) "failed") |#1| |#1| (-765)))) (-13 (-718) (-371) (-10 -7 (-15 ** (|#1| |#1| (-569)))))) (T -242)) 
+((-2941 (*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-765)) (-4 *3 (-13 (-718) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
+(-10 -7 (-15 -2941 ((-3 (-765) "failed") |#1| |#1| (-765)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) NIL)) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-233 (-2946 |#1|) (-765)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-233 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-233 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-233 (-2946 |#1|) (-765)) (-233 (-2946 |#1|) (-765))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-233 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-233 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-243 |#1| |#2|) (-13 (-952 |#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049)) (T -243)) 
+((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
+(-13 (-952 |#2| (-233 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4148 (($ (-919)) NIL (|has| |#4| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#4| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#4| (-371)))) (-3817 (((-569) $) NIL (|has| |#4| (-842)))) (-2511 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#4| "failed") $) NIL (|has| |#4| (-1093))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-1321 ((|#4| $) NIL (|has| |#4| (-1093))) (((-569) $) NIL (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-3435 (((-2 (|:| -4463 (-681 |#4|)) (|:| |vec| (-1253 |#4|))) (-681 $) (-1253 $)) NIL (|has| |#4| (-1049))) (((-681 |#4|) (-681 $)) NIL (|has| |#4| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-3341 (($) NIL (|has| |#4| (-371)))) (-3982 ((|#4| $ (-569) |#4|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#4| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#4| (-842)))) (-4303 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-4311 (((-121) $) NIL (|has| |#4| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-4457 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-2089 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#4| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#4| (-371)))) (-1912 (((-1111) $) NIL)) (-1816 ((|#4| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#4|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-4283 (((-635 |#4|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#4| $ (-569) |#4|) NIL) ((|#4| $ (-569)) 12)) (-4510 ((|#4| $ $) NIL (|has| |#4| (-1049)))) (-3161 (($ (-1253 |#4|)) NIL)) (-2174 (((-140)) NIL (|has| |#4| (-366)))) (-3289 (($ $ (-1 |#4| |#4|) (-765)) NIL (|has| |#4| (-1049))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))))) (-2691 (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#4|) $) NIL) (((-852) $) NIL) (($ |#4|) NIL (|has| |#4| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#4| (-1039 (-569))) (|has| |#4| (-1093))) (|has| |#4| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#4| (-1039 (-410 (-569)))) (|has| |#4| (-1093))))) (-2320 (((-765)) NIL (|has| |#4| (-1049)))) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#4| (-842)))) (-3403 (($ $ (-765)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) CONST)) (-3712 (($ $ (-1 |#4| |#4|) (-765)) NIL (|has| |#4| (-1049))) (($ $ (-1 |#4| |#4|)) NIL (|has| |#4| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049)))) (($ $) NIL (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1337 (((-121) $ $) NIL (-1929 (|has| |#4| (-790)) (|has| |#4| (-842))))) (-1383 (($ $ |#4|) NIL (|has| |#4| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (* (($ |#2| $) 14) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL) (($ |#3| $) 18) (($ $ |#4|) NIL (|has| |#4| (-1049))) (($ |#4| $) NIL (|has| |#4| (-1049))) (($ $ $) NIL (-1929 (-12 (|has| |#4| (-226)) (|has| |#4| (-1049))) (-12 (|has| |#4| (-631 (-569))) (|has| |#4| (-1049))) (|has| |#4| (-718)) (-12 (|has| |#4| (-897 (-1165))) (|has| |#4| (-1049)))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-244 |#1| |#2| |#3| |#4|) (-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) (-919) (-1049) (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-638 |#2|)) (T -244)) 
 NIL 
 (-13 (-231 |#1| |#4|) (-638 |#2|) (-638 |#3|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4382 (($ (-918)) NIL (|has| |#3| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#3| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#3| (-371)))) (-3638 (((-569) $) NIL (|has| |#3| (-841)))) (-4469 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1091))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-2428 ((|#3| $) NIL (|has| |#3| (-1091))) (((-569) $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-1696 (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) NIL (|has| |#3| (-1048))) (((-680 |#3|) (-680 $)) NIL (|has| |#3| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-4327 (($) NIL (|has| |#3| (-371)))) (-2726 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#3| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#3| (-841)))) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-1781 (((-121) $) NIL (|has| |#3| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#3| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#3| (-371)))) (-3360 (((-1109) $) NIL)) (-4353 ((|#3| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#3|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-2691 (((-635 |#3|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) 11)) (-2049 ((|#3| $ $) NIL (|has| |#3| (-1048)))) (-1755 (($ (-1247 |#3|)) NIL)) (-2369 (((-140)) NIL (|has| |#3| (-366)))) (-3899 (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))))) (-2846 (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535))) (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (((-851) $) NIL) (($ |#3|) NIL (|has| |#3| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (|has| |#3| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091))))) (-1991 (((-764)) NIL (|has| |#3| (-1048)))) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#3| (-841)))) (-2427 (($ $ (-764)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) CONST)) (-3022 (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1678 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (* (($ |#2| $) 13) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-1048))) (($ |#3| $) NIL (|has| |#3| (-1048))) (($ $ $) NIL (-2232 (-12 (|has| |#3| (-226)) (|has| |#3| (-1048))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048))) (|has| |#3| (-717)) (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-245 |#1| |#2| |#3|) (-13 (-231 |#1| |#3|) (-638 |#2|)) (-764) (-1048) (-638 |#2|)) (T -245)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4148 (($ (-919)) NIL (|has| |#3| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#3| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#3| (-371)))) (-3817 (((-569) $) NIL (|has| |#3| (-842)))) (-2511 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#3| "failed") $) NIL (|has| |#3| (-1093))) (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-1321 ((|#3| $) NIL (|has| |#3| (-1093))) (((-569) $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-3435 (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) NIL (|has| |#3| (-1049))) (((-681 |#3|) (-681 $)) NIL (|has| |#3| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-3341 (($) NIL (|has| |#3| (-371)))) (-3982 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#3| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#3| (-842)))) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-4311 (((-121) $) NIL (|has| |#3| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#3| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#3| (-371)))) (-1912 (((-1111) $) NIL)) (-1816 ((|#3| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#3|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-4283 (((-635 |#3|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) 11)) (-4510 ((|#3| $ $) NIL (|has| |#3| (-1049)))) (-3161 (($ (-1253 |#3|)) NIL)) (-2174 (((-140)) NIL (|has| |#3| (-366)))) (-3289 (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))))) (-2691 (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571))) (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (((-852) $) NIL) (($ |#3|) NIL (|has| |#3| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (|has| |#3| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093))))) (-2320 (((-765)) NIL (|has| |#3| (-1049)))) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#3| (-842)))) (-3403 (($ $ (-765)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) CONST)) (-3712 (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1337 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (* (($ |#2| $) 13) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL) (($ $ |#3|) NIL (|has| |#3| (-1049))) (($ |#3| $) NIL (|has| |#3| (-1049))) (($ $ $) NIL (-1929 (-12 (|has| |#3| (-226)) (|has| |#3| (-1049))) (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049))) (|has| |#3| (-718)) (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-245 |#1| |#2| |#3|) (-13 (-231 |#1| |#3|) (-638 |#2|)) (-765) (-1049) (-638 |#2|)) (T -245)) 
 NIL 
 (-13 (-231 |#1| |#3|) (-638 |#2|)) 
-((-1644 (((-635 (-764)) $) 47) (((-635 (-764)) $ |#3|) 50)) (-2496 (((-764) $) 49) (((-764) $ |#3|) 52)) (-4302 (($ $) 65)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-2558 (((-764) $ |#3|) 39) (((-764) $) 36)) (-1918 (((-1 $ (-764)) |#3|) 15) (((-1 $ (-764)) $) 77)) (-4163 ((|#4| $) 58)) (-4505 (((-121) $) 56)) (-4000 (($ $) 64)) (-1468 (($ $ (-635 (-289 $))) 96) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-635 |#3|) (-635 |#2|)) 84)) (-3899 (($ $ |#4|) NIL) (($ $ (-635 |#4|)) NIL) (($ $ |#4| (-764)) NIL) (($ $ (-635 |#4|) (-635 (-764))) NIL) (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-1511 (((-635 |#3|) $) 75)) (-2492 ((|#5| $) NIL) (((-764) $ |#4|) NIL) (((-635 (-764)) $ (-635 |#4|)) NIL) (((-764) $ |#3|) 44)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-410 (-569))) NIL) (($ $) NIL))) 
-(((-246 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#3| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#3| |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#1|)) (-15 -4302 (|#1| |#1|)) (-15 -4000 (|#1| |#1|)) (-15 -4163 (|#4| |#1|)) (-15 -4505 ((-121) |#1|)) (-15 -2496 ((-764) |#1| |#3|)) (-15 -1644 ((-635 (-764)) |#1| |#3|)) (-15 -2496 ((-764) |#1|)) (-15 -1644 ((-635 (-764)) |#1|)) (-15 -2492 ((-764) |#1| |#3|)) (-15 -2558 ((-764) |#1|)) (-15 -2558 ((-764) |#1| |#3|)) (-15 -1511 ((-635 |#3|) |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#3|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 |#4|))) (-15 -2492 ((-764) |#1| |#4|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 (|#5| |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -3899 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#4| (-764))) (-15 -3899 (|#1| |#1| (-635 |#4|))) (-15 -3899 (|#1| |#1| |#4|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-247 |#2| |#3| |#4| |#5|) (-1048) (-843) (-263 |#3|) (-789)) (T -246)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#3| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#3| |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#1|)) (-15 -4302 (|#1| |#1|)) (-15 -4000 (|#1| |#1|)) (-15 -4163 (|#4| |#1|)) (-15 -4505 ((-121) |#1|)) (-15 -2496 ((-764) |#1| |#3|)) (-15 -1644 ((-635 (-764)) |#1| |#3|)) (-15 -2496 ((-764) |#1|)) (-15 -1644 ((-635 (-764)) |#1|)) (-15 -2492 ((-764) |#1| |#3|)) (-15 -2558 ((-764) |#1|)) (-15 -2558 ((-764) |#1| |#3|)) (-15 -1511 ((-635 |#3|) |#1|)) (-15 -1918 ((-1 |#1| (-764)) |#3|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 |#4|))) (-15 -2492 ((-764) |#1| |#4|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 (|#5| |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -3899 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#4| (-764))) (-15 -3899 (|#1| |#1| (-635 |#4|))) (-15 -3899 (|#1| |#1| |#4|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1644 (((-635 (-764)) $) 193) (((-635 (-764)) $ |#2|) 191)) (-2496 (((-764) $) 192) (((-764) $ |#2|) 190)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-4302 (($ $) 186)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133) ((|#2| $) 199)) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| |#4| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ |#2|) 196) (((-764) $) 195)) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#4|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-4002 ((|#4| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#4| |#4|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1918 (((-1 $ (-764)) |#2|) 198) (((-1 $ (-764)) $) 185 (|has| |#1| (-226)))) (-1637 (((-3 |#3| "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-4163 ((|#3| $) 188)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4505 (((-121) $) 189)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-4000 (($ $) 187)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) 183 (|has| |#1| (-226))) (($ $ |#2| |#1|) 182 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) 181 (|has| |#1| (-226)))) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38) (($ $) 217 (|has| |#1| (-226))) (($ $ (-764)) 215 (|has| |#1| (-226))) (($ $ (-1163)) 213 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 212 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 211 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 210 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-1511 (((-635 |#2|) $) 197)) (-2492 ((|#4| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127) (((-764) $ |#2|) 194)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#4|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34) (($ $) 216 (|has| |#1| (-226))) (($ $ (-764)) 214 (|has| |#1| (-226))) (($ $ (-1163)) 209 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 208 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 207 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 206 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-247 |#1| |#2| |#3| |#4|) (-1278) (-1048) (-843) (-263 |t#2|) (-789)) (T -247)) 
-((-1918 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *4 *3 *5 *6)))) (-1511 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 *4)))) (-2558 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) (-2492 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-1644 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) (-2496 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) (-1644 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) (-2496 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) (-4505 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-121)))) (-4163 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-4 *2 (-263 *4)))) (-4000 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789)))) (-4302 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789)))) (-1918 (*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *3 *4 *5 *6))))) 
-(-13 (-951 |t#1| |t#4| |t#3|) (-224 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1918 ((-1 $ (-764)) |t#2|)) (-15 -1511 ((-635 |t#2|) $)) (-15 -2558 ((-764) $ |t#2|)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $ |t#2|)) (-15 -1644 ((-635 (-764)) $)) (-15 -2496 ((-764) $)) (-15 -1644 ((-635 (-764)) $ |t#2|)) (-15 -2496 ((-764) $ |t#2|)) (-15 -4505 ((-121) $)) (-15 -4163 (|t#3| $)) (-15 -4000 ($ $)) (-15 -4302 ($ $)) (IF (|has| |t#1| (-226)) (PROGN (-6 (-524 |t#2| |t#1|)) (-6 (-524 |t#2| $)) (-6 (-304 $)) (-15 -1918 ((-1 $ (-764)) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#4|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#2| |#1|) |has| |#1| (-226)) ((-524 |#2| $) |has| |#1| (-226)) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-951 |#1| |#4| |#3|) . T) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#2|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3828 ((|#1| $) 51)) (-3275 ((|#1| $) 41)) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3929 (($ $) 57)) (-1302 (($ $) 45)) (-3309 ((|#1| |#1| $) 43)) (-1646 ((|#1| $) 42)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-1906 (((-764) $) 58)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3153 ((|#1| |#1| $) 49)) (-2055 ((|#1| |#1| $) 48)) (-3172 (($ |#1| $) 37)) (-2626 (((-764) $) 52)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2935 ((|#1| $) 59)) (-2017 ((|#1| $) 47)) (-3597 ((|#1| $) 46)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-4065 ((|#1| |#1| $) 55)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2819 ((|#1| $) 56)) (-3598 (($) 54) (($ (-635 |#1|)) 53)) (-2835 (((-764) $) 40)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-3130 ((|#1| $) 50)) (-2793 (($ (-635 |#1|)) 39)) (-1309 ((|#1| $) 60)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-248 |#1|) (-1278) (-1197)) (T -248)) 
-((-3598 (*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3598 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-248 *3)))) (-2626 (*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-3828 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3130 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3153 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-2055 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-2017 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-3597 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) (-1302 (*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(-13 (-1110 |t#1|) (-996 |t#1|) (-10 -8 (-15 -3598 ($)) (-15 -3598 ($ (-635 |t#1|))) (-15 -2626 ((-764) $)) (-15 -3828 (|t#1| $)) (-15 -3130 (|t#1| $)) (-15 -3153 (|t#1| |t#1| $)) (-15 -2055 (|t#1| |t#1| $)) (-15 -2017 (|t#1| $)) (-15 -3597 (|t#1| $)) (-15 -1302 ($ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-996 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1110 |#1|) . T) ((-1197) . T)) 
-((-2605 (((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 139)) (-4132 (((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382))) 160) (((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 158) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 163) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 159) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 150) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 149) (((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382))) 129) (((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257))) 127) (((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382))) 128) (((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 125)) (-4127 (((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382))) 162) (((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 161) (((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 165) (((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 164) (((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382))) 152) (((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 151) (((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382))) 135) (((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257))) 134) (((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382))) 133) (((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 132) (((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382))) 99) (((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257))) 98) (((-1248) (-1 (-216) (-216)) (-1085 (-382))) 95) (((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257))) 94))) 
-(((-249) (-10 -7 (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -2605 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -249)) 
-((-2605 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249))))) 
-(-10 -7 (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-1 (-216) (-216)) (-1085 (-382)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 (-1 (-216) (-216))) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-382)) (-1085 (-382)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 (-1 (-216) (-216) (-216))) (-1085 (-382)) (-1085 (-382)))) (-15 -2605 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
-((-4127 (((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))) 93))) 
-(((-250 |#1| |#2|) (-10 -7 (-15 -4127 ((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))))) (-13 (-559) (-843) (-1038 (-569))) (-433 |#1|)) (T -250)) 
-((-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1163)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-1248)) (-5 *1 (-250 *6 *7))))) 
-(-10 -7 (-15 -4127 ((-1248) (-289 |#2|) (-1163) (-1163) (-635 (-257))))) 
-((-2041 (((-569) (-569)) 50)) (-1703 (((-569) (-569)) 51)) (-2306 (((-216) (-216)) 52)) (-4118 (((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216))) 49)) (-3439 (((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121)) 47))) 
-(((-251) (-10 -7 (-15 -3439 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121))) (-15 -4118 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -2041 ((-569) (-569))) (-15 -1703 ((-569) (-569))) (-15 -2306 ((-216) (-216))))) (T -251)) 
-((-2306 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251)))) (-1703 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-2041 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4118 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *2 (-1249)) (-5 *1 (-251)))) (-3439 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *5 (-121)) (-5 *2 (-1249)) (-5 *1 (-251))))) 
-(-10 -7 (-15 -3439 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)) (-121))) (-15 -4118 ((-1249) (-1 (-170 (-216)) (-170 (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -2041 ((-569) (-569))) (-15 -1703 ((-569) (-569))) (-15 -2306 ((-216) (-216)))) 
-((-2185 (((-1083 (-382)) (-1083 (-311 |#1|))) 16))) 
-(((-252 |#1|) (-10 -7 (-15 -2185 ((-1083 (-382)) (-1083 (-311 |#1|))))) (-13 (-843) (-559) (-610 (-382)))) (T -252)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-1083 (-311 *4))) (-4 *4 (-13 (-843) (-559) (-610 (-382)))) (-5 *2 (-1083 (-382))) (-5 *1 (-252 *4))))) 
-(-10 -7 (-15 -2185 ((-1083 (-382)) (-1083 (-311 |#1|))))) 
-((-4132 (((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))) 69) (((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 68) (((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382))) 59) (((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 58) (((-1122 (-216)) (-876 |#1|) (-1083 (-382))) 50) (((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257))) 49)) (-4127 (((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382))) 72) (((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 71) (((-1249) |#1| (-1083 (-382)) (-1083 (-382))) 62) (((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257))) 61) (((-1249) (-876 |#1|) (-1083 (-382))) 54) (((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257))) 53) (((-1248) (-874 |#1|) (-1083 (-382))) 41) (((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257))) 40) (((-1248) |#1| (-1083 (-382))) 33) (((-1248) |#1| (-1083 (-382)) (-635 (-257))) 32))) 
-(((-253 |#1|) (-10 -7 (-15 -4127 ((-1248) |#1| (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) |#1| (-1083 (-382)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))))) (-13 (-610 (-542)) (-1091))) (T -253)) 
-((-4132 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) (-4132 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4132 (*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) (-4132 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-874 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *5)))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *6)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) (-4127 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091)))))) 
-(-10 -7 (-15 -4127 ((-1248) |#1| (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) |#1| (-1083 (-382)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1248) (-874 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-876 |#1|) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-876 |#1|) (-1083 (-382)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) |#1| (-1083 (-382)) (-1083 (-382)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4127 ((-1249) (-878 |#1|) (-1083 (-382)) (-1083 (-382)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382)) (-635 (-257)))) (-15 -4132 ((-1122 (-216)) (-878 |#1|) (-1083 (-382)) (-1083 (-382))))) 
-((-4127 (((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))) 21) (((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216))) 22) (((-1248) (-635 (-945 (-216))) (-635 (-257))) 13) (((-1248) (-635 (-945 (-216)))) 14) (((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257))) 18) (((-1248) (-635 (-216)) (-635 (-216))) 19))) 
-(((-254) (-10 -7 (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -4127 ((-1248) (-635 (-945 (-216))))) (-15 -4127 ((-1248) (-635 (-945 (-216))) (-635 (-257)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257)))))) (T -254)) 
-((-4127 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1249)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) (-4127 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1248)) (-5 *1 (-254))))) 
-(-10 -7 (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1248) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -4127 ((-1248) (-635 (-945 (-216))))) (-15 -4127 ((-1248) (-635 (-945 (-216))) (-635 (-257)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -4127 ((-1249) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))))) 
-((-1526 (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 24)) (-3352 (((-918) (-635 (-257)) (-918)) 49)) (-3366 (((-918) (-635 (-257)) (-918)) 48)) (-3601 (((-635 (-382)) (-635 (-257)) (-635 (-382))) 65)) (-2102 (((-382) (-635 (-257)) (-382)) 55)) (-2718 (((-918) (-635 (-257)) (-918)) 50)) (-1378 (((-121) (-635 (-257)) (-121)) 26)) (-1318 (((-1145) (-635 (-257)) (-1145)) 19)) (-3529 (((-1145) (-635 (-257)) (-1145)) 25)) (-2713 (((-1122 (-216)) (-635 (-257))) 43)) (-2304 (((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382)))) 37)) (-3509 (((-870) (-635 (-257)) (-870)) 31)) (-2245 (((-870) (-635 (-257)) (-870)) 32)) (-1481 (((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216)))) 60)) (-3387 (((-121) (-635 (-257)) (-121)) 15)) (-3860 (((-121) (-635 (-257)) (-121)) 14))) 
-(((-255) (-10 -7 (-15 -3860 ((-121) (-635 (-257)) (-121))) (-15 -3387 ((-121) (-635 (-257)) (-121))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ((-1145) (-635 (-257)) (-1145))) (-15 -3529 ((-1145) (-635 (-257)) (-1145))) (-15 -1378 ((-121) (-635 (-257)) (-121))) (-15 -3509 ((-870) (-635 (-257)) (-870))) (-15 -2245 ((-870) (-635 (-257)) (-870))) (-15 -2304 ((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382))))) (-15 -3366 ((-918) (-635 (-257)) (-918))) (-15 -3352 ((-918) (-635 (-257)) (-918))) (-15 -2713 ((-1122 (-216)) (-635 (-257)))) (-15 -2718 ((-918) (-635 (-257)) (-918))) (-15 -2102 ((-382) (-635 (-257)) (-382))) (-15 -1481 ((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216))))) (-15 -3601 ((-635 (-382)) (-635 (-257)) (-635 (-382)))))) (T -255)) 
-((-3601 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1481 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2102 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2718 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2713 (*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-255)))) (-3352 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3366 (*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2304 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2245 (*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3509 (*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1378 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3529 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1318 (*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1526 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3387 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3860 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(-10 -7 (-15 -3860 ((-121) (-635 (-257)) (-121))) (-15 -3387 ((-121) (-635 (-257)) (-121))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ((-1145) (-635 (-257)) (-1145))) (-15 -3529 ((-1145) (-635 (-257)) (-1145))) (-15 -1378 ((-121) (-635 (-257)) (-121))) (-15 -3509 ((-870) (-635 (-257)) (-870))) (-15 -2245 ((-870) (-635 (-257)) (-870))) (-15 -2304 ((-635 (-1085 (-382))) (-635 (-257)) (-635 (-1085 (-382))))) (-15 -3366 ((-918) (-635 (-257)) (-918))) (-15 -3352 ((-918) (-635 (-257)) (-918))) (-15 -2713 ((-1122 (-216)) (-635 (-257)))) (-15 -2718 ((-918) (-635 (-257)) (-918))) (-15 -2102 ((-382) (-635 (-257)) (-382))) (-15 -1481 ((-1 (-945 (-216)) (-945 (-216))) (-635 (-257)) (-1 (-945 (-216)) (-945 (-216))))) (-15 -3601 ((-635 (-382)) (-635 (-257)) (-635 (-382))))) 
-((-3757 (((-3 |#1| "failed") (-635 (-257)) (-1163)) 17))) 
-(((-256 |#1|) (-10 -7 (-15 -3757 ((-3 |#1| "failed") (-635 (-257)) (-1163)))) (-1197)) (T -256)) 
-((-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *1 (-256 *2)) (-4 *2 (-1197))))) 
-(-10 -7 (-15 -3757 ((-3 |#1| "failed") (-635 (-257)) (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-1526 (($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 14)) (-3352 (($ (-918)) 70)) (-3366 (($ (-918)) 69)) (-4276 (($ (-635 (-382))) 76)) (-2102 (($ (-382)) 55)) (-2718 (($ (-918)) 71)) (-1378 (($ (-121)) 22)) (-1318 (($ (-1145)) 17)) (-3529 (($ (-1145)) 18)) (-2713 (($ (-1122 (-216))) 65)) (-2304 (($ (-635 (-1085 (-382)))) 61)) (-4235 (($ (-635 (-1085 (-382)))) 56) (($ (-635 (-1085 (-410 (-569))))) 60)) (-3436 (($ (-382)) 28) (($ (-870)) 32)) (-2062 (((-121) (-635 $) (-1163)) 85)) (-3757 (((-3 (-57) "failed") (-635 $) (-1163)) 87)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1580 (($ (-382)) 33) (($ (-870)) 34)) (-1648 (($ (-1 (-945 (-216)) (-945 (-216)))) 54)) (-1481 (($ (-1 (-945 (-216)) (-945 (-216)))) 72)) (-2888 (($ (-1 (-216) (-216))) 38) (($ (-1 (-216) (-216) (-216))) 42) (($ (-1 (-216) (-216) (-216) (-216))) 46)) (-2185 (((-851) $) 81)) (-3341 (($ (-121)) 23) (($ (-635 (-1085 (-382)))) 50)) (-3860 (($ (-121)) 24)) (-1668 (((-121) $ $) 83))) 
-(((-257) (-13 (-1091) (-10 -8 (-15 -3860 ($ (-121))) (-15 -3341 ($ (-121))) (-15 -1526 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ($ (-1145))) (-15 -3529 ($ (-1145))) (-15 -1378 ($ (-121))) (-15 -3341 ($ (-635 (-1085 (-382))))) (-15 -1648 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -3436 ($ (-382))) (-15 -3436 ($ (-870))) (-15 -1580 ($ (-382))) (-15 -1580 ($ (-870))) (-15 -2888 ($ (-1 (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2102 ($ (-382))) (-15 -4235 ($ (-635 (-1085 (-382))))) (-15 -4235 ($ (-635 (-1085 (-410 (-569)))))) (-15 -2304 ($ (-635 (-1085 (-382))))) (-15 -2713 ($ (-1122 (-216)))) (-15 -3366 ($ (-918))) (-15 -3352 ($ (-918))) (-15 -2718 ($ (-918))) (-15 -1481 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -4276 ($ (-635 (-382)))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))) (-15 -2062 ((-121) (-635 $) (-1163)))))) (T -257)) 
-((-3860 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3341 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-1526 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) (-1318 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) (-3529 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) (-1378 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3341 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-1648 (*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) (-3436 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-3436 (*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) (-1580 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1580 (*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) (-2888 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-4235 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-4235 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-410 (-569))))) (-5 *1 (-257)))) (-2304 (*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) (-2713 (*1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-257)))) (-3366 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-3352 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-2718 (*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257)))) (-1481 (*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) (-4276 (*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) (-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-257)))) (-2062 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-121)) (-5 *1 (-257))))) 
-(-13 (-1091) (-10 -8 (-15 -3860 ($ (-121))) (-15 -3341 ($ (-121))) (-15 -1526 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1318 ($ (-1145))) (-15 -3529 ($ (-1145))) (-15 -1378 ($ (-121))) (-15 -3341 ($ (-635 (-1085 (-382))))) (-15 -1648 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -3436 ($ (-382))) (-15 -3436 ($ (-870))) (-15 -1580 ($ (-382))) (-15 -1580 ($ (-870))) (-15 -2888 ($ (-1 (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216)))) (-15 -2888 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -2102 ($ (-382))) (-15 -4235 ($ (-635 (-1085 (-382))))) (-15 -4235 ($ (-635 (-1085 (-410 (-569)))))) (-15 -2304 ($ (-635 (-1085 (-382))))) (-15 -2713 ($ (-1122 (-216)))) (-15 -3366 ($ (-918))) (-15 -3352 ($ (-918))) (-15 -2718 ($ (-918))) (-15 -1481 ($ (-1 (-945 (-216)) (-945 (-216))))) (-15 -4276 ($ (-635 (-382)))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))) (-15 -2062 ((-121) (-635 $) (-1163))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ |#2|) NIL)) (-2496 (((-764) $) NIL) (((-764) $ |#2|) NIL)) (-1773 (((-635 |#3|) $) NIL)) (-1739 (((-1159 $) $ |#3|) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#3|)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1114 |#1| |#2|) "failed") $) 20)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1114 |#1| |#2|) $) NIL)) (-3493 (($ $ $ |#3|) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 |#3|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))))) (-2558 (((-764) $ |#2|) NIL) (((-764) $) 10)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) |#3|) NIL) (($ (-1159 $) |#3|) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) NIL)) (-4002 (((-535 |#3|) $) NIL) (((-764) $ |#3|) NIL) (((-635 (-764)) $ (-635 |#3|)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#3|) (-535 |#3|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) |#2|) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 |#3| "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-635 |#3|) (-635 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) NIL (|has| |#1| (-226))) (($ $ |#2| |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ |#3|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 |#2|) $) NIL)) (-2492 (((-535 |#3|) $) NIL) (((-764) $ |#3|) NIL) (((-635 (-764)) $ (-635 |#3|)) NIL) (((-764) $ |#2|) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1114 |#1| |#2|)) 28) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-764)) NIL) (($ $ (-635 |#3|) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-258 |#1| |#2| |#3|) (-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1038 (-1114 |#1| |#2|))) (-1048) (-843) (-263 |#2|)) (T -258)) 
-NIL 
-(-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1038 (-1114 |#1| |#2|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-2943 (($ |#1| (-635 $)) 51) (($ |#1|) 50) (($ (-635 |#1|)) 49)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-259 |#1|) (-1278) (-1091)) (T -259)) 
-((-2943 (*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-259 *3))))) 
-(-13 (-1011 |t#1|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -2943 ($ |t#1| (-635 $))) (-15 -2943 ($ |t#1|)) (-15 -2943 ($ (-635 |t#1|))))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 12)) (-2943 (($ |#1| (-635 $)) 31) (($ |#1|) 32) (($ (-635 |#1|)) 33)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) 35 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 34 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) 22)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2401 (((-121) (-121)) 18) (((-121)) 19)) (-3126 (((-851) $) 15)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4262 (((-1145) $) 28)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) 30 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 8)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 26 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-260 |#1|) (-13 (-259 |#1|) (-10 -8 (-15 -4262 ((-1145) $)) (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-1091)) (T -260)) 
-((-4262 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091))))) 
-(-13 (-259 |#1|) (-10 -8 (-15 -4262 ((-1145) $)) (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
-((-3939 (((-1252) |#10| (-635 |#3|)) 133) (((-1252) |#10|) 135)) (-1771 (((-1252) |#10|) NIL)) (-1453 ((|#8| |#10|) 28)) (-2966 (((-569) (-764) (-635 |#10|)) 147)) (-1368 (((-764) (-764) (-635 |#10|)) 145)) (-3342 (((-569) |#3|) 148)) (-3950 (((-764) |#3|) 146)) (-3218 (((-1252) |#10|) 136)) (-3868 ((|#8| |#3| |#10|) 111)) (-2054 ((|#10| |#5| |#3|) 138)) (-1844 (((-635 |#10|) |#3|) 144)) (-4441 (((-1252) |#10|) 134)) (-3644 (((-635 |#9|) |#9|) 87)) (-2209 ((|#8| |#10|) 110))) 
-(((-261 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3644 ((-635 |#9|) |#9|)) (-15 -3868 (|#8| |#3| |#10|)) (-15 -2209 (|#8| |#10|)) (-15 -4441 ((-1252) |#10|)) (-15 -2054 (|#10| |#5| |#3|)) (-15 -1844 ((-635 |#10|) |#3|)) (-15 -3218 ((-1252) |#10|)) (-15 -1771 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10| (-635 |#3|))) (-15 -3950 ((-764) |#3|)) (-15 -3342 ((-569) |#3|)) (-15 -1368 ((-764) (-764) (-635 |#10|))) (-15 -1453 (|#8| |#10|)) (-15 -2966 ((-569) (-764) (-635 |#10|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -261)) 
-((-2966 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *3)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-764)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-1453 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1368 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) *2)) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-3342 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3950 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) *2)) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3939 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13)))) (-3939 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1771 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-3218 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-1844 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2054 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)) (-4 *9 (-921 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-4441 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-2209 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-3868 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *9 (-642 *5)) (-4 *10 (-921 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11)))) (-3644 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
-(-10 -7 (-15 -3644 ((-635 |#9|) |#9|)) (-15 -3868 (|#8| |#3| |#10|)) (-15 -2209 (|#8| |#10|)) (-15 -4441 ((-1252) |#10|)) (-15 -2054 (|#10| |#5| |#3|)) (-15 -1844 ((-635 |#10|) |#3|)) (-15 -3218 ((-1252) |#10|)) (-15 -1771 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10|)) (-15 -3939 ((-1252) |#10| (-635 |#3|))) (-15 -3950 ((-764) |#3|)) (-15 -3342 ((-569) |#3|)) (-15 -1368 ((-764) (-764) (-635 |#10|))) (-15 -1453 (|#8| |#10|)) (-15 -2966 ((-569) (-764) (-635 |#10|)))) 
-((-2496 (((-764) $) 30)) (-1647 (((-3 |#2| "failed") $) 17)) (-2428 ((|#2| $) 27)) (-3899 (($ $) 12) (($ $ (-764)) 15)) (-2185 (((-851) $) 26) (($ |#2|) 10)) (-1668 (((-121) $ $) 20)) (-1678 (((-121) $ $) 29))) 
-(((-262 |#1| |#2|) (-10 -8 (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2496 ((-764) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-263 |#2|) (-843)) (T -262)) 
-NIL 
-(-10 -8 (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2496 ((-764) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-2496 (((-764) $) 21)) (-3534 ((|#1| $) 22)) (-1647 (((-3 |#1| "failed") $) 26)) (-2428 ((|#1| $) 25)) (-2558 (((-764) $) 23)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1918 (($ |#1| (-764)) 24)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $) 20) (($ $ (-764)) 19)) (-2185 (((-851) $) 11) (($ |#1|) 27)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
-(((-263 |#1|) (-1278) (-843)) (T -263)) 
-((-2185 (*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-1918 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) (-3534 (*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-2496 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) (-3899 (*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-263 *3)) (-4 *3 (-843))))) 
-(-13 (-843) (-1038 |t#1|) (-10 -8 (-15 -1918 ($ |t#1| (-764))) (-15 -2558 ((-764) $)) (-15 -3534 (|t#1| $)) (-15 -2496 ((-764) $)) (-15 -3899 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -2185 ($ |t#1|)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
-((-1773 (((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 40)) (-3914 (((-635 (-1163)) (-311 (-216)) (-764)) 79)) (-1422 (((-3 (-311 (-216)) "failed") (-311 (-216))) 50)) (-1621 (((-311 (-216)) (-311 (-216))) 65)) (-4413 (((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 26)) (-3810 (((-121) (-635 (-311 (-216)))) 83)) (-2271 (((-121) (-311 (-216))) 24)) (-3722 (((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) 104)) (-2287 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 86)) (-3701 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 85)) (-1915 (((-680 (-216)) (-635 (-311 (-216))) (-764)) 93)) (-3646 (((-121) (-311 (-216))) 20) (((-121) (-635 (-311 (-216)))) 84)) (-1734 (((-635 (-216)) (-635 (-836 (-216))) (-216)) 14)) (-3588 (((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 99)) (-2628 (((-1036) (-1163) (-1036)) 33))) 
-(((-264) (-10 -7 (-15 -1734 ((-635 (-216)) (-635 (-836 (-216))) (-216))) (-15 -4413 ((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -1422 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1621 ((-311 (-216)) (-311 (-216)))) (-15 -3810 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-311 (-216)))) (-15 -1915 ((-680 (-216)) (-635 (-311 (-216))) (-764))) (-15 -3701 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2287 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2271 ((-121) (-311 (-216)))) (-15 -1773 ((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3914 ((-635 (-1163)) (-311 (-216)) (-764))) (-15 -2628 ((-1036) (-1163) (-1036))) (-15 -3588 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3722 ((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))))) (T -264)) 
-((-3722 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *2 (-635 (-1145))) (-5 *1 (-264)))) (-3588 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) (-2628 (*1 *2 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-264)))) (-3914 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) (-2271 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2287 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-3701 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-1915 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-264)))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-3810 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-1621 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-1422 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-4413 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-264)))) (-1734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-836 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
-(-10 -7 (-15 -1734 ((-635 (-216)) (-635 (-836 (-216))) (-216))) (-15 -4413 ((-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -1422 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1621 ((-311 (-216)) (-311 (-216)))) (-15 -3810 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-635 (-311 (-216))))) (-15 -3646 ((-121) (-311 (-216)))) (-15 -1915 ((-680 (-216)) (-635 (-311 (-216))) (-764))) (-15 -3701 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2287 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -2271 ((-121) (-311 (-216)))) (-15 -1773 ((-635 (-1163)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3914 ((-635 (-1163)) (-311 (-216)) (-764))) (-15 -2628 ((-1036) (-1163) (-1036))) (-15 -3588 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -3722 ((-635 (-1145)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))))) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 39)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 20) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-265) (-832)) (T -265)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 54) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 49)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 29) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 31)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-266) (-832)) (T -266)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 73) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 69)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 40) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 51)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-267) (-832)) (T -267)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 48)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 27) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-268) (-832)) (T -268)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 48)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 23) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-269) (-832)) (T -269)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 69)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 23) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-270) (-832)) (T -270)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 73)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 19) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-271) (-832)) (T -271)) 
-NIL 
-(-832) 
-((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3856 (((-635 (-569)) $) 16)) (-2492 (((-764) $) 14)) (-2185 (((-851) $) 20) (($ (-635 (-569))) 12)) (-3811 (($ (-764)) 17)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 9)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 10))) 
-(((-272) (-13 (-843) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2492 ((-764) $)) (-15 -3856 ((-635 (-569)) $)) (-15 -3811 ($ (-764)))))) (T -272)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-272)))) (-3856 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-3811 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-272))))) 
-(-13 (-843) (-10 -8 (-15 -2185 ($ (-635 (-569)))) (-15 -2492 ((-764) $)) (-15 -3856 ((-635 (-569)) $)) (-15 -3811 ($ (-764))))) 
-((-1753 ((|#2| |#2|) 77)) (-2530 ((|#2| |#2|) 65)) (-3872 (((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-1744 ((|#2| |#2|) 75)) (-2513 ((|#2| |#2|) 63)) (-1760 ((|#2| |#2|) 79)) (-2546 ((|#2| |#2|) 67)) (-2445 ((|#2|) 46)) (-2265 (((-123) (-123)) 95)) (-4450 ((|#2| |#2|) 61)) (-3075 (((-121) |#2|) 134)) (-3096 ((|#2| |#2|) 180)) (-4013 ((|#2| |#2|) 156)) (-4483 ((|#2|) 59)) (-1908 ((|#2|) 58)) (-1519 ((|#2| |#2|) 176)) (-2310 ((|#2| |#2|) 152)) (-4241 ((|#2| |#2|) 184)) (-3944 ((|#2| |#2|) 160)) (-2159 ((|#2| |#2|) 148)) (-4093 ((|#2| |#2|) 150)) (-2778 ((|#2| |#2|) 186)) (-2056 ((|#2| |#2|) 162)) (-4406 ((|#2| |#2|) 182)) (-2535 ((|#2| |#2|) 158)) (-2026 ((|#2| |#2|) 178)) (-3605 ((|#2| |#2|) 154)) (-3593 ((|#2| |#2|) 192)) (-2675 ((|#2| |#2|) 168)) (-1757 ((|#2| |#2|) 188)) (-1429 ((|#2| |#2|) 164)) (-2254 ((|#2| |#2|) 196)) (-3056 ((|#2| |#2|) 172)) (-4392 ((|#2| |#2|) 198)) (-2683 ((|#2| |#2|) 174)) (-1947 ((|#2| |#2|) 194)) (-4117 ((|#2| |#2|) 170)) (-1343 ((|#2| |#2|) 190)) (-1778 ((|#2| |#2|) 166)) (-2436 ((|#2| |#2|) 62)) (-1764 ((|#2| |#2|) 80)) (-2554 ((|#2| |#2|) 68)) (-1756 ((|#2| |#2|) 78)) (-2538 ((|#2| |#2|) 66)) (-1748 ((|#2| |#2|) 76)) (-2522 ((|#2| |#2|) 64)) (-1524 (((-121) (-123)) 93)) (-1779 ((|#2| |#2|) 83)) (-1727 ((|#2| |#2|) 71)) (-1770 ((|#2| |#2|) 81)) (-2561 ((|#2| |#2|) 69)) (-1785 ((|#2| |#2|) 85)) (-1736 ((|#2| |#2|) 73)) (-2430 ((|#2| |#2|) 86)) (-1740 ((|#2| |#2|) 74)) (-1782 ((|#2| |#2|) 84)) (-1731 ((|#2| |#2|) 72)) (-1775 ((|#2| |#2|) 82)) (-2569 ((|#2| |#2|) 70))) 
-(((-273 |#1| |#2|) (-10 -7 (-15 -2436 (|#2| |#2|)) (-15 -4450 (|#2| |#2|)) (-15 -2513 (|#2| |#2|)) (-15 -2522 (|#2| |#2|)) (-15 -2530 (|#2| |#2|)) (-15 -2538 (|#2| |#2|)) (-15 -2546 (|#2| |#2|)) (-15 -2554 (|#2| |#2|)) (-15 -2561 (|#2| |#2|)) (-15 -2569 (|#2| |#2|)) (-15 -1727 (|#2| |#2|)) (-15 -1731 (|#2| |#2|)) (-15 -1736 (|#2| |#2|)) (-15 -1740 (|#2| |#2|)) (-15 -1744 (|#2| |#2|)) (-15 -1748 (|#2| |#2|)) (-15 -1753 (|#2| |#2|)) (-15 -1756 (|#2| |#2|)) (-15 -1760 (|#2| |#2|)) (-15 -1764 (|#2| |#2|)) (-15 -1770 (|#2| |#2|)) (-15 -1775 (|#2| |#2|)) (-15 -1779 (|#2| |#2|)) (-15 -1782 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2430 (|#2| |#2|)) (-15 -2445 (|#2|)) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1908 (|#2|)) (-15 -4483 (|#2|)) (-15 -4093 (|#2| |#2|)) (-15 -2159 (|#2| |#2|)) (-15 -2310 (|#2| |#2|)) (-15 -3605 (|#2| |#2|)) (-15 -4013 (|#2| |#2|)) (-15 -2535 (|#2| |#2|)) (-15 -3944 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -1429 (|#2| |#2|)) (-15 -1778 (|#2| |#2|)) (-15 -2675 (|#2| |#2|)) (-15 -4117 (|#2| |#2|)) (-15 -3056 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2026 (|#2| |#2|)) (-15 -3096 (|#2| |#2|)) (-15 -4406 (|#2| |#2|)) (-15 -4241 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -1343 (|#2| |#2|)) (-15 -3593 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -2254 (|#2| |#2|)) (-15 -4392 (|#2| |#2|)) (-15 -3872 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3075 ((-121) |#2|))) (-13 (-843) (-559)) (-13 (-433 |#1|) (-1003))) (T -273)) 
-((-3075 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1003))))) (-3872 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1003))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-273 *4 *2)))) (-4392 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2254 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1947 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3593 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1343 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1757 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2778 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4241 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4406 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3096 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2026 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1519 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2683 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3056 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4117 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2675 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1778 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1429 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2056 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3944 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2535 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4013 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-3605 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2310 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2159 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4093 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4483 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-1908 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003))))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003))))) (-2445 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(-10 -7 (-15 -2436 (|#2| |#2|)) (-15 -4450 (|#2| |#2|)) (-15 -2513 (|#2| |#2|)) (-15 -2522 (|#2| |#2|)) (-15 -2530 (|#2| |#2|)) (-15 -2538 (|#2| |#2|)) (-15 -2546 (|#2| |#2|)) (-15 -2554 (|#2| |#2|)) (-15 -2561 (|#2| |#2|)) (-15 -2569 (|#2| |#2|)) (-15 -1727 (|#2| |#2|)) (-15 -1731 (|#2| |#2|)) (-15 -1736 (|#2| |#2|)) (-15 -1740 (|#2| |#2|)) (-15 -1744 (|#2| |#2|)) (-15 -1748 (|#2| |#2|)) (-15 -1753 (|#2| |#2|)) (-15 -1756 (|#2| |#2|)) (-15 -1760 (|#2| |#2|)) (-15 -1764 (|#2| |#2|)) (-15 -1770 (|#2| |#2|)) (-15 -1775 (|#2| |#2|)) (-15 -1779 (|#2| |#2|)) (-15 -1782 (|#2| |#2|)) (-15 -1785 (|#2| |#2|)) (-15 -2430 (|#2| |#2|)) (-15 -2445 (|#2|)) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1908 (|#2|)) (-15 -4483 (|#2|)) (-15 -4093 (|#2| |#2|)) (-15 -2159 (|#2| |#2|)) (-15 -2310 (|#2| |#2|)) (-15 -3605 (|#2| |#2|)) (-15 -4013 (|#2| |#2|)) (-15 -2535 (|#2| |#2|)) (-15 -3944 (|#2| |#2|)) (-15 -2056 (|#2| |#2|)) (-15 -1429 (|#2| |#2|)) (-15 -1778 (|#2| |#2|)) (-15 -2675 (|#2| |#2|)) (-15 -4117 (|#2| |#2|)) (-15 -3056 (|#2| |#2|)) (-15 -2683 (|#2| |#2|)) (-15 -1519 (|#2| |#2|)) (-15 -2026 (|#2| |#2|)) (-15 -3096 (|#2| |#2|)) (-15 -4406 (|#2| |#2|)) (-15 -4241 (|#2| |#2|)) (-15 -2778 (|#2| |#2|)) (-15 -1757 (|#2| |#2|)) (-15 -1343 (|#2| |#2|)) (-15 -3593 (|#2| |#2|)) (-15 -1947 (|#2| |#2|)) (-15 -2254 (|#2| |#2|)) (-15 -4392 (|#2| |#2|)) (-15 -3872 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -3075 ((-121) |#2|))) 
-((-2704 (((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163)) 133)) (-3313 ((|#2| (-410 (-569)) |#2|) 50)) (-2681 ((|#2| |#2| (-608 |#2|)) 126)) (-2173 (((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163)) 125)) (-3631 ((|#2| |#2| (-1163)) 19) ((|#2| |#2|) 22)) (-2521 ((|#2| |#2| (-1163)) 139) ((|#2| |#2|) 137))) 
-(((-274 |#1| |#2|) (-10 -7 (-15 -2521 (|#2| |#2|)) (-15 -2521 (|#2| |#2| (-1163))) (-15 -2173 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163))) (-15 -3631 (|#2| |#2|)) (-15 -3631 (|#2| |#2| (-1163))) (-15 -2704 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163))) (-15 -2681 (|#2| |#2| (-608 |#2|))) (-15 -3313 (|#2| (-410 (-569)) |#2|))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -274)) 
-((-3313 (*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-2681 (*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)))) (-2704 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1163)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2)))) (-3631 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3631 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-2173 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2521 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-2521 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
-(-10 -7 (-15 -2521 (|#2| |#2|)) (-15 -2521 (|#2| |#2| (-1163))) (-15 -2173 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1163))) (-15 -3631 (|#2| |#2|)) (-15 -3631 (|#2| |#2| (-1163))) (-15 -2704 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1163))) (-15 -2681 (|#2| |#2| (-608 |#2|))) (-15 -3313 (|#2| (-410 (-569)) |#2|))) 
-((-1465 (((-3 |#3| "failed") |#3|) 110)) (-1753 ((|#3| |#3|) 131)) (-3037 (((-3 |#3| "failed") |#3|) 82)) (-2530 ((|#3| |#3|) 121)) (-4467 (((-3 |#3| "failed") |#3|) 58)) (-1744 ((|#3| |#3|) 129)) (-1549 (((-3 |#3| "failed") |#3|) 46)) (-2513 ((|#3| |#3|) 119)) (-2847 (((-3 |#3| "failed") |#3|) 112)) (-1760 ((|#3| |#3|) 133)) (-2971 (((-3 |#3| "failed") |#3|) 84)) (-2546 ((|#3| |#3|) 123)) (-2657 (((-3 |#3| "failed") |#3| (-764)) 36)) (-1552 (((-3 |#3| "failed") |#3|) 74)) (-4450 ((|#3| |#3|) 118)) (-3331 (((-3 |#3| "failed") |#3|) 44)) (-2436 ((|#3| |#3|) 117)) (-4331 (((-3 |#3| "failed") |#3|) 113)) (-1764 ((|#3| |#3|) 134)) (-2957 (((-3 |#3| "failed") |#3|) 85)) (-2554 ((|#3| |#3|) 124)) (-1371 (((-3 |#3| "failed") |#3|) 111)) (-1756 ((|#3| |#3|) 132)) (-4267 (((-3 |#3| "failed") |#3|) 83)) (-2538 ((|#3| |#3|) 122)) (-4254 (((-3 |#3| "failed") |#3|) 60)) (-1748 ((|#3| |#3|) 130)) (-4046 (((-3 |#3| "failed") |#3|) 48)) (-2522 ((|#3| |#3|) 120)) (-4389 (((-3 |#3| "failed") |#3|) 66)) (-1779 ((|#3| |#3|) 137)) (-4299 (((-3 |#3| "failed") |#3|) 104)) (-1727 ((|#3| |#3|) 142)) (-2597 (((-3 |#3| "failed") |#3|) 62)) (-1770 ((|#3| |#3|) 135)) (-2859 (((-3 |#3| "failed") |#3|) 50)) (-2561 ((|#3| |#3|) 125)) (-4430 (((-3 |#3| "failed") |#3|) 70)) (-1785 ((|#3| |#3|) 139)) (-1338 (((-3 |#3| "failed") |#3|) 54)) (-1736 ((|#3| |#3|) 127)) (-2264 (((-3 |#3| "failed") |#3|) 72)) (-2430 ((|#3| |#3|) 140)) (-2226 (((-3 |#3| "failed") |#3|) 56)) (-1740 ((|#3| |#3|) 128)) (-2368 (((-3 |#3| "failed") |#3|) 68)) (-1782 ((|#3| |#3|) 138)) (-2042 (((-3 |#3| "failed") |#3|) 107)) (-1731 ((|#3| |#3|) 143)) (-2858 (((-3 |#3| "failed") |#3|) 64)) (-1775 ((|#3| |#3|) 136)) (-3768 (((-3 |#3| "failed") |#3|) 52)) (-2569 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
-(((-275 |#1| |#2| |#3|) (-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) (-43 (-410 (-569))) (-1237 |#1|) (-1208 |#1| |#2|)) (T -275)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1237 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1208 *4 *5)))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4))))) 
-(-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) 
-((-1465 (((-3 |#3| "failed") |#3|) 66)) (-1753 ((|#3| |#3|) 133)) (-3037 (((-3 |#3| "failed") |#3|) 50)) (-2530 ((|#3| |#3|) 121)) (-4467 (((-3 |#3| "failed") |#3|) 62)) (-1744 ((|#3| |#3|) 131)) (-1549 (((-3 |#3| "failed") |#3|) 46)) (-2513 ((|#3| |#3|) 119)) (-2847 (((-3 |#3| "failed") |#3|) 70)) (-1760 ((|#3| |#3|) 135)) (-2971 (((-3 |#3| "failed") |#3|) 54)) (-2546 ((|#3| |#3|) 123)) (-2657 (((-3 |#3| "failed") |#3| (-764)) 35)) (-1552 (((-3 |#3| "failed") |#3|) 44)) (-4450 ((|#3| |#3|) 112)) (-3331 (((-3 |#3| "failed") |#3|) 42)) (-2436 ((|#3| |#3|) 118)) (-4331 (((-3 |#3| "failed") |#3|) 72)) (-1764 ((|#3| |#3|) 136)) (-2957 (((-3 |#3| "failed") |#3|) 56)) (-2554 ((|#3| |#3|) 124)) (-1371 (((-3 |#3| "failed") |#3|) 68)) (-1756 ((|#3| |#3|) 134)) (-4267 (((-3 |#3| "failed") |#3|) 52)) (-2538 ((|#3| |#3|) 122)) (-4254 (((-3 |#3| "failed") |#3|) 64)) (-1748 ((|#3| |#3|) 132)) (-4046 (((-3 |#3| "failed") |#3|) 48)) (-2522 ((|#3| |#3|) 120)) (-4389 (((-3 |#3| "failed") |#3|) 78)) (-1779 ((|#3| |#3|) 139)) (-4299 (((-3 |#3| "failed") |#3|) 58)) (-1727 ((|#3| |#3|) 127)) (-2597 (((-3 |#3| "failed") |#3|) 74)) (-1770 ((|#3| |#3|) 137)) (-2859 (((-3 |#3| "failed") |#3|) 102)) (-2561 ((|#3| |#3|) 125)) (-4430 (((-3 |#3| "failed") |#3|) 82)) (-1785 ((|#3| |#3|) 141)) (-1338 (((-3 |#3| "failed") |#3|) 109)) (-1736 ((|#3| |#3|) 129)) (-2264 (((-3 |#3| "failed") |#3|) 84)) (-2430 ((|#3| |#3|) 142)) (-2226 (((-3 |#3| "failed") |#3|) 111)) (-1740 ((|#3| |#3|) 130)) (-2368 (((-3 |#3| "failed") |#3|) 80)) (-1782 ((|#3| |#3|) 140)) (-2042 (((-3 |#3| "failed") |#3|) 60)) (-1731 ((|#3| |#3|) 128)) (-2858 (((-3 |#3| "failed") |#3|) 76)) (-1775 ((|#3| |#3|) 138)) (-3768 (((-3 |#3| "failed") |#3|) 105)) (-2569 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
-(((-276 |#1| |#2| |#3| |#4|) (-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) (-43 (-410 (-569))) (-1206 |#1|) (-1229 |#1| |#2|) (-985 |#2|)) (T -276)) 
-((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1206 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1229 *4 *5)) (-4 *6 (-985 *5)))) (-2436 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-4450 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2513 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2522 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2546 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2554 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2561 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2569 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1727 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1731 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1736 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1740 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1744 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1748 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1753 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1756 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1760 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1764 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1770 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1775 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1779 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1782 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-1785 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) (-2430 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4))))) 
-(-13 (-985 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -2436 (|#3| |#3|)) (-15 -4450 (|#3| |#3|)) (-15 -2513 (|#3| |#3|)) (-15 -2522 (|#3| |#3|)) (-15 -2530 (|#3| |#3|)) (-15 -2538 (|#3| |#3|)) (-15 -2546 (|#3| |#3|)) (-15 -2554 (|#3| |#3|)) (-15 -2561 (|#3| |#3|)) (-15 -2569 (|#3| |#3|)) (-15 -1727 (|#3| |#3|)) (-15 -1731 (|#3| |#3|)) (-15 -1736 (|#3| |#3|)) (-15 -1740 (|#3| |#3|)) (-15 -1744 (|#3| |#3|)) (-15 -1748 (|#3| |#3|)) (-15 -1753 (|#3| |#3|)) (-15 -1756 (|#3| |#3|)) (-15 -1760 (|#3| |#3|)) (-15 -1764 (|#3| |#3|)) (-15 -1770 (|#3| |#3|)) (-15 -1775 (|#3| |#3|)) (-15 -1779 (|#3| |#3|)) (-15 -1782 (|#3| |#3|)) (-15 -1785 (|#3| |#3|)) (-15 -2430 (|#3| |#3|)))) 
-((-1962 (($ (-1 (-121) |#2|) $) 23)) (-2033 (($ $) 36)) (-4454 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-4347 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-2854 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-3614 (($ |#2| $ (-569)) 19) (($ $ $ (-569)) 21)) (-3010 (($ $ (-569)) 11) (($ $ (-1213 (-569))) 14)) (-2697 (($ $ |#2|) 29) (($ $ $) NIL)) (-2250 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-635 $)) NIL))) 
-(((-277 |#1| |#2|) (-10 -8 (-15 -2854 (|#1| |#1| |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -2033 (|#1| |#1|))) (-278 |#2|) (-1197)) (T -277)) 
-NIL 
-(-10 -8 (-15 -2854 (|#1| |#1| |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -4347 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -1962 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4347 (|#1| |#2| |#1|)) (-15 -2033 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 78)) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 76 (|has| |#1| (-1091)))) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1091)))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-2854 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3172 (($ |#1| $ (-569)) 81) (($ $ $ (-569)) 80)) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-4514 (($ $ (-569)) 84) (($ $ (-1213 (-569))) 83)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2697 (($ $ |#1|) 86) (($ $ $) 85)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-278 |#1|) (-1278) (-1197)) (T -278)) 
-((-2697 (*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-4514 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4514 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-3172 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1197)))) (-3172 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-2854 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4216 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) (-4454 (*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-3384 (*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) (-2854 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-843))))) 
-(-13 (-641 |t#1|) (-10 -8 (-6 -4536) (-15 -2697 ($ $ |t#1|)) (-15 -2697 ($ $ $)) (-15 -4514 ($ $ (-569))) (-15 -4514 ($ $ (-1213 (-569)))) (-15 -4454 ($ (-1 (-121) |t#1|) $)) (-15 -3172 ($ |t#1| $ (-569))) (-15 -3172 ($ $ $ (-569))) (-15 -2854 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -4216 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -4454 ($ |t#1| $)) (-15 -3384 ($ $))) |noBranch|) (IF (|has| |t#1| (-843)) (-15 -2854 ($ $ $)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
+((-3590 (((-635 (-765)) $) 47) (((-635 (-765)) $ |#3|) 50)) (-2402 (((-765) $) 49) (((-765) $ |#3|) 52)) (-2918 (($ $) 65)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 |#3| "failed") $) 72)) (-4433 (((-765) $ |#3|) 39) (((-765) $) 36)) (-4428 (((-1 $ (-765)) |#3|) 15) (((-1 $ (-765)) $) 77)) (-2934 ((|#4| $) 58)) (-4344 (((-121) $) 56)) (-2690 (($ $) 64)) (-1484 (($ $ (-635 (-289 $))) 96) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) 89) (($ $ |#3| |#2|) NIL) (($ $ (-635 |#3|) (-635 |#2|)) 84)) (-3289 (($ $ |#4|) NIL) (($ $ (-635 |#4|)) NIL) (($ $ |#4| (-765)) NIL) (($ $ (-635 |#4|) (-635 (-765))) NIL) (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 32)) (-3445 (((-635 |#3|) $) 75)) (-2284 ((|#5| $) NIL) (((-765) $ |#4|) NIL) (((-635 (-765)) $ (-635 |#4|)) NIL) (((-765) $ |#3|) 44)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (($ |#3|) 67) (($ (-410 (-569))) NIL) (($ $) NIL))) 
+(((-246 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#3| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#3| |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#1|)) (-15 -2918 (|#1| |#1|)) (-15 -2690 (|#1| |#1|)) (-15 -2934 (|#4| |#1|)) (-15 -4344 ((-121) |#1|)) (-15 -2402 ((-765) |#1| |#3|)) (-15 -3590 ((-635 (-765)) |#1| |#3|)) (-15 -2402 ((-765) |#1|)) (-15 -3590 ((-635 (-765)) |#1|)) (-15 -2284 ((-765) |#1| |#3|)) (-15 -4433 ((-765) |#1|)) (-15 -4433 ((-765) |#1| |#3|)) (-15 -3445 ((-635 |#3|) |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#3|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 |#4|))) (-15 -2284 ((-765) |#1| |#4|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 (|#5| |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3289 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#4| (-765))) (-15 -3289 (|#1| |#1| (-635 |#4|))) (-15 -3289 (|#1| |#1| |#4|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-247 |#2| |#3| |#4| |#5|) (-1049) (-844) (-263 |#3|) (-790)) (T -246)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#3| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#3|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#3| |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#1|)) (-15 -2918 (|#1| |#1|)) (-15 -2690 (|#1| |#1|)) (-15 -2934 (|#4| |#1|)) (-15 -4344 ((-121) |#1|)) (-15 -2402 ((-765) |#1| |#3|)) (-15 -3590 ((-635 (-765)) |#1| |#3|)) (-15 -2402 ((-765) |#1|)) (-15 -3590 ((-635 (-765)) |#1|)) (-15 -2284 ((-765) |#1| |#3|)) (-15 -4433 ((-765) |#1|)) (-15 -4433 ((-765) |#1| |#3|)) (-15 -3445 ((-635 |#3|) |#1|)) (-15 -4428 ((-1 |#1| (-765)) |#3|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 |#4|))) (-15 -2284 ((-765) |#1| |#4|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 (|#5| |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3289 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#4| (-765))) (-15 -3289 (|#1| |#1| (-635 |#4|))) (-15 -3289 (|#1| |#1| |#4|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3590 (((-635 (-765)) $) 193) (((-635 (-765)) $ |#2|) 191)) (-2402 (((-765) $) 192) (((-765) $ |#2|) 190)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-2918 (($ $) 186)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 |#2| "failed") $) 200)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133) ((|#2| $) 199)) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| |#4| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ |#2|) 196) (((-765) $) 195)) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#4|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-4294 ((|#4| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#4| |#4|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-4428 (((-1 $ (-765)) |#2|) 198) (((-1 $ (-765)) $) 185 (|has| |#1| (-226)))) (-3407 (((-3 |#3| "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-2934 ((|#3| $) 188)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-4344 (((-121) $) 189)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-2690 (($ $) 187)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136) (($ $ |#2| $) 184 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) 183 (|has| |#1| (-226))) (($ $ |#2| |#1|) 182 (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) 181 (|has| |#1| (-226)))) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38) (($ $) 217 (|has| |#1| (-226))) (($ $ (-765)) 215 (|has| |#1| (-226))) (($ $ (-1165)) 213 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 212 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 211 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 210 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 203) (($ $ (-1 |#1| |#1|)) 202)) (-3445 (((-635 |#2|) $) 197)) (-2284 ((|#4| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127) (((-765) $ |#2|) 194)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ |#2|) 201) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#4|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34) (($ $) 216 (|has| |#1| (-226))) (($ $ (-765)) 214 (|has| |#1| (-226))) (($ $ (-1165)) 209 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 208 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 207 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 206 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 205) (($ $ (-1 |#1| |#1|)) 204)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-247 |#1| |#2| |#3| |#4|) (-1284) (-1049) (-844) (-263 |t#2|) (-790)) (T -247)) 
+((-4428 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *4 *3 *5 *6)))) (-3445 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 *4)))) (-4433 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) (-2284 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-3590 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) (-2402 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) (-3590 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) (-2402 (*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) (-4344 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-121)))) (-2934 (*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-4 *2 (-263 *4)))) (-2690 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790)))) (-2918 (*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790)))) (-4428 (*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *3 *4 *5 *6))))) 
+(-13 (-952 |t#1| |t#4| |t#3|) (-224 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -4428 ((-1 $ (-765)) |t#2|)) (-15 -3445 ((-635 |t#2|) $)) (-15 -4433 ((-765) $ |t#2|)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $ |t#2|)) (-15 -3590 ((-635 (-765)) $)) (-15 -2402 ((-765) $)) (-15 -3590 ((-635 (-765)) $ |t#2|)) (-15 -2402 ((-765) $ |t#2|)) (-15 -4344 ((-121) $)) (-15 -2934 (|t#3| $)) (-15 -2690 ($ $)) (-15 -2918 ($ $)) (IF (|has| |t#1| (-226)) (PROGN (-6 (-524 |t#2| |t#1|)) (-6 (-524 |t#2| $)) (-6 (-304 $)) (-15 -4428 ((-1 $ (-765)) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#4|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#4|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#2| |#1|) |has| |#1| (-226)) ((-524 |#2| $) |has| |#1| (-226)) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-952 |#1| |#4| |#3|) . T) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#2|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2518 ((|#1| $) 51)) (-1941 ((|#1| $) 41)) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4063 (($ $) 57)) (-2887 (($ $) 45)) (-2692 ((|#1| |#1| $) 43)) (-3651 ((|#1| $) 42)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2718 (((-765) $) 58)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-3354 ((|#1| |#1| $) 49)) (-3475 ((|#1| |#1| $) 48)) (-2351 (($ |#1| $) 37)) (-1468 (((-765) $) 52)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1678 ((|#1| $) 59)) (-1705 ((|#1| $) 47)) (-4139 ((|#1| $) 46)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3381 ((|#1| |#1| $) 55)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-4458 ((|#1| $) 56)) (-4164 (($) 54) (($ (-635 |#1|)) 53)) (-2676 (((-765) $) 40)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3926 ((|#1| $) 50)) (-1753 (($ (-635 |#1|)) 39)) (-3063 ((|#1| $) 60)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-248 |#1|) (-1284) (-1199)) (T -248)) 
+((-4164 (*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-4164 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-248 *3)))) (-1468 (*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-2518 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3926 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3354 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-3475 (*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-1705 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-4139 (*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) (-2887 (*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(-13 (-1112 |t#1|) (-997 |t#1|) (-10 -8 (-15 -4164 ($)) (-15 -4164 ($ (-635 |t#1|))) (-15 -1468 ((-765) $)) (-15 -2518 (|t#1| $)) (-15 -3926 (|t#1| $)) (-15 -3354 (|t#1| |t#1| $)) (-15 -3475 (|t#1| |t#1| $)) (-15 -1705 (|t#1| $)) (-15 -4139 (|t#1| $)) (-15 -2887 ($ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-997 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1112 |#1|) . T) ((-1199) . T)) 
+((-2814 (((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 139)) (-3542 (((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382))) 160) (((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 158) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 163) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 159) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 150) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 149) (((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382))) 129) (((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257))) 127) (((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382))) 128) (((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 125)) (-3536 (((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382))) 162) (((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 161) (((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 165) (((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 164) (((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382))) 152) (((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257))) 151) (((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382))) 135) (((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257))) 134) (((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382))) 133) (((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 132) (((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382))) 99) (((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257))) 98) (((-1254) (-1 (-216) (-216)) (-1087 (-382))) 95) (((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257))) 94))) 
+(((-249) (-10 -7 (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -2814 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -249)) 
+((-2814 (*1 *2 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249))))) 
+(-10 -7 (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-1 (-216) (-216)) (-1087 (-382)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 (-1 (-216) (-216))) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-382)) (-1087 (-382)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 (-1 (-216) (-216) (-216))) (-1087 (-382)) (-1087 (-382)))) (-15 -2814 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-3536 (((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))) 93))) 
+(((-250 |#1| |#2|) (-10 -7 (-15 -3536 ((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))))) (-13 (-559) (-844) (-1039 (-569))) (-433 |#1|)) (T -250)) 
+((-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1165)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-1254)) (-5 *1 (-250 *6 *7))))) 
+(-10 -7 (-15 -3536 ((-1254) (-289 |#2|) (-1165) (-1165) (-635 (-257))))) 
+((-4330 (((-569) (-569)) 50)) (-2267 (((-569) (-569)) 51)) (-4387 (((-216) (-216)) 52)) (-4130 (((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216))) 49)) (-1562 (((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121)) 47))) 
+(((-251) (-10 -7 (-15 -1562 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121))) (-15 -4130 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -4330 ((-569) (-569))) (-15 -2267 ((-569) (-569))) (-15 -4387 ((-216) (-216))))) (T -251)) 
+((-4387 (*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251)))) (-2267 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4330 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251)))) (-4130 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *2 (-1255)) (-5 *1 (-251)))) (-1562 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *5 (-121)) (-5 *2 (-1255)) (-5 *1 (-251))))) 
+(-10 -7 (-15 -1562 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)) (-121))) (-15 -4130 ((-1255) (-1 (-170 (-216)) (-170 (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -4330 ((-569) (-569))) (-15 -2267 ((-569) (-569))) (-15 -4387 ((-216) (-216)))) 
+((-3956 (((-1085 (-382)) (-1085 (-311 |#1|))) 16))) 
+(((-252 |#1|) (-10 -7 (-15 -3956 ((-1085 (-382)) (-1085 (-311 |#1|))))) (-13 (-844) (-559) (-610 (-382)))) (T -252)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-1085 (-311 *4))) (-4 *4 (-13 (-844) (-559) (-610 (-382)))) (-5 *2 (-1085 (-382))) (-5 *1 (-252 *4))))) 
+(-10 -7 (-15 -3956 ((-1085 (-382)) (-1085 (-311 |#1|))))) 
+((-3542 (((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))) 69) (((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 68) (((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382))) 59) (((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 58) (((-1124 (-216)) (-877 |#1|) (-1085 (-382))) 50) (((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257))) 49)) (-3536 (((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382))) 72) (((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 71) (((-1255) |#1| (-1085 (-382)) (-1085 (-382))) 62) (((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257))) 61) (((-1255) (-877 |#1|) (-1085 (-382))) 54) (((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257))) 53) (((-1254) (-875 |#1|) (-1085 (-382))) 41) (((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257))) 40) (((-1254) |#1| (-1085 (-382))) 33) (((-1254) |#1| (-1085 (-382)) (-635 (-257))) 32))) 
+(((-253 |#1|) (-10 -7 (-15 -3536 ((-1254) |#1| (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) |#1| (-1085 (-382)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))))) (-13 (-610 (-542)) (-1093))) (T -253)) 
+((-3542 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) (-3542 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3542 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3542 (*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) (-3542 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *5)))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *6)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) (-3536 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093)))))) 
+(-10 -7 (-15 -3536 ((-1254) |#1| (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) |#1| (-1085 (-382)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1254) (-875 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-877 |#1|) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-877 |#1|) (-1085 (-382)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) |#1| (-1085 (-382)) (-1085 (-382)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3536 ((-1255) (-879 |#1|) (-1085 (-382)) (-1085 (-382)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382)) (-635 (-257)))) (-15 -3542 ((-1124 (-216)) (-879 |#1|) (-1085 (-382)) (-1085 (-382))))) 
+((-3536 (((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))) 21) (((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216))) 22) (((-1254) (-635 (-946 (-216))) (-635 (-257))) 13) (((-1254) (-635 (-946 (-216)))) 14) (((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257))) 18) (((-1254) (-635 (-216)) (-635 (-216))) 19))) 
+(((-254) (-10 -7 (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -3536 ((-1254) (-635 (-946 (-216))))) (-15 -3536 ((-1254) (-635 (-946 (-216))) (-635 (-257)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257)))))) (T -254)) 
+((-3536 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1255)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) (-3536 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1254)) (-5 *1 (-254))))) 
+(-10 -7 (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1254) (-635 (-216)) (-635 (-216)) (-635 (-257)))) (-15 -3536 ((-1254) (-635 (-946 (-216))))) (-15 -3536 ((-1254) (-635 (-946 (-216))) (-635 (-257)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)))) (-15 -3536 ((-1255) (-635 (-216)) (-635 (-216)) (-635 (-216)) (-635 (-257))))) 
+((-3818 (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 24)) (-1296 (((-919) (-635 (-257)) (-919)) 49)) (-3814 (((-919) (-635 (-257)) (-919)) 48)) (-2175 (((-635 (-382)) (-635 (-257)) (-635 (-382))) 65)) (-3189 (((-382) (-635 (-257)) (-382)) 55)) (-3809 (((-919) (-635 (-257)) (-919)) 50)) (-4248 (((-121) (-635 (-257)) (-121)) 26)) (-3301 (((-1147) (-635 (-257)) (-1147)) 19)) (-3260 (((-1147) (-635 (-257)) (-1147)) 25)) (-3704 (((-1124 (-216)) (-635 (-257))) 43)) (-4335 (((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382)))) 37)) (-2727 (((-871) (-635 (-257)) (-871)) 31)) (-2181 (((-871) (-635 (-257)) (-871)) 32)) (-1897 (((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216)))) 60)) (-2996 (((-121) (-635 (-257)) (-121)) 15)) (-1893 (((-121) (-635 (-257)) (-121)) 14))) 
+(((-255) (-10 -7 (-15 -1893 ((-121) (-635 (-257)) (-121))) (-15 -2996 ((-121) (-635 (-257)) (-121))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ((-1147) (-635 (-257)) (-1147))) (-15 -3260 ((-1147) (-635 (-257)) (-1147))) (-15 -4248 ((-121) (-635 (-257)) (-121))) (-15 -2727 ((-871) (-635 (-257)) (-871))) (-15 -2181 ((-871) (-635 (-257)) (-871))) (-15 -4335 ((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382))))) (-15 -3814 ((-919) (-635 (-257)) (-919))) (-15 -1296 ((-919) (-635 (-257)) (-919))) (-15 -3704 ((-1124 (-216)) (-635 (-257)))) (-15 -3809 ((-919) (-635 (-257)) (-919))) (-15 -3189 ((-382) (-635 (-257)) (-382))) (-15 -1897 ((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216))))) (-15 -2175 ((-635 (-382)) (-635 (-257)) (-635 (-382)))))) (T -255)) 
+((-2175 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1897 (*1 *2 *3 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3189 (*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3809 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3704 (*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-255)))) (-1296 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3814 (*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-4335 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2181 (*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2727 (*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-4248 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3260 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3301 (*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-3818 (*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-2996 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) (-1893 (*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(-10 -7 (-15 -1893 ((-121) (-635 (-257)) (-121))) (-15 -2996 ((-121) (-635 (-257)) (-121))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) (-635 (-257)) (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ((-1147) (-635 (-257)) (-1147))) (-15 -3260 ((-1147) (-635 (-257)) (-1147))) (-15 -4248 ((-121) (-635 (-257)) (-121))) (-15 -2727 ((-871) (-635 (-257)) (-871))) (-15 -2181 ((-871) (-635 (-257)) (-871))) (-15 -4335 ((-635 (-1087 (-382))) (-635 (-257)) (-635 (-1087 (-382))))) (-15 -3814 ((-919) (-635 (-257)) (-919))) (-15 -1296 ((-919) (-635 (-257)) (-919))) (-15 -3704 ((-1124 (-216)) (-635 (-257)))) (-15 -3809 ((-919) (-635 (-257)) (-919))) (-15 -3189 ((-382) (-635 (-257)) (-382))) (-15 -1897 ((-1 (-946 (-216)) (-946 (-216))) (-635 (-257)) (-1 (-946 (-216)) (-946 (-216))))) (-15 -2175 ((-635 (-382)) (-635 (-257)) (-635 (-382))))) 
+((-2365 (((-3 |#1| "failed") (-635 (-257)) (-1165)) 17))) 
+(((-256 |#1|) (-10 -7 (-15 -2365 ((-3 |#1| "failed") (-635 (-257)) (-1165)))) (-1199)) (T -256)) 
+((-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *1 (-256 *2)) (-4 *2 (-1199))))) 
+(-10 -7 (-15 -2365 ((-3 |#1| "failed") (-635 (-257)) (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-3818 (($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 14)) (-1296 (($ (-919)) 70)) (-3814 (($ (-919)) 69)) (-3667 (($ (-635 (-382))) 76)) (-3189 (($ (-382)) 55)) (-3809 (($ (-919)) 71)) (-4248 (($ (-121)) 22)) (-3301 (($ (-1147)) 17)) (-3260 (($ (-1147)) 18)) (-3704 (($ (-1124 (-216))) 65)) (-4335 (($ (-635 (-1087 (-382)))) 61)) (-1848 (($ (-635 (-1087 (-382)))) 56) (($ (-635 (-1087 (-410 (-569))))) 60)) (-1475 (($ (-382)) 28) (($ (-871)) 32)) (-3669 (((-121) (-635 $) (-1165)) 85)) (-2365 (((-3 (-57) "failed") (-635 $) (-1165)) 87)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2380 (($ (-382)) 33) (($ (-871)) 34)) (-3672 (($ (-1 (-946 (-216)) (-946 (-216)))) 54)) (-1897 (($ (-1 (-946 (-216)) (-946 (-216)))) 72)) (-2043 (($ (-1 (-216) (-216))) 38) (($ (-1 (-216) (-216) (-216))) 42) (($ (-1 (-216) (-216) (-216) (-216))) 46)) (-3956 (((-852) $) 81)) (-4263 (($ (-121)) 23) (($ (-635 (-1087 (-382)))) 50)) (-1893 (($ (-121)) 24)) (-1326 (((-121) $ $) 83))) 
+(((-257) (-13 (-1093) (-10 -8 (-15 -1893 ($ (-121))) (-15 -4263 ($ (-121))) (-15 -3818 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ($ (-1147))) (-15 -3260 ($ (-1147))) (-15 -4248 ($ (-121))) (-15 -4263 ($ (-635 (-1087 (-382))))) (-15 -3672 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -1475 ($ (-382))) (-15 -1475 ($ (-871))) (-15 -2380 ($ (-382))) (-15 -2380 ($ (-871))) (-15 -2043 ($ (-1 (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -3189 ($ (-382))) (-15 -1848 ($ (-635 (-1087 (-382))))) (-15 -1848 ($ (-635 (-1087 (-410 (-569)))))) (-15 -4335 ($ (-635 (-1087 (-382))))) (-15 -3704 ($ (-1124 (-216)))) (-15 -3814 ($ (-919))) (-15 -1296 ($ (-919))) (-15 -3809 ($ (-919))) (-15 -1897 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -3667 ($ (-635 (-382)))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))) (-15 -3669 ((-121) (-635 $) (-1165)))))) (T -257)) 
+((-1893 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-4263 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-3818 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) (-3301 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) (-3260 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) (-4248 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) (-4263 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-3672 (*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) (-1475 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1475 (*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) (-2380 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-2380 (*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) (-2043 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) (-3189 (*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257)))) (-1848 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-1848 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-410 (-569))))) (-5 *1 (-257)))) (-4335 (*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) (-3704 (*1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-257)))) (-3814 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-1296 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-3809 (*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257)))) (-1897 (*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) (-3667 (*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) (-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-257)))) (-3669 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(-13 (-1093) (-10 -8 (-15 -1893 ($ (-121))) (-15 -4263 ($ (-121))) (-15 -3818 ($ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3301 ($ (-1147))) (-15 -3260 ($ (-1147))) (-15 -4248 ($ (-121))) (-15 -4263 ($ (-635 (-1087 (-382))))) (-15 -3672 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -1475 ($ (-382))) (-15 -1475 ($ (-871))) (-15 -2380 ($ (-382))) (-15 -2380 ($ (-871))) (-15 -2043 ($ (-1 (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216)))) (-15 -2043 ($ (-1 (-216) (-216) (-216) (-216)))) (-15 -3189 ($ (-382))) (-15 -1848 ($ (-635 (-1087 (-382))))) (-15 -1848 ($ (-635 (-1087 (-410 (-569)))))) (-15 -4335 ($ (-635 (-1087 (-382))))) (-15 -3704 ($ (-1124 (-216)))) (-15 -3814 ($ (-919))) (-15 -1296 ($ (-919))) (-15 -3809 ($ (-919))) (-15 -1897 ($ (-1 (-946 (-216)) (-946 (-216))))) (-15 -3667 ($ (-635 (-382)))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))) (-15 -3669 ((-121) (-635 $) (-1165))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ |#2|) NIL)) (-2402 (((-765) $) NIL) (((-765) $ |#2|) NIL)) (-3195 (((-635 |#3|) $) NIL)) (-3132 (((-1161 $) $ |#3|) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#3|)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-1116 |#1| |#2|) "failed") $) 20)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#3| $) NIL) ((|#2| $) NIL) (((-1116 |#1| |#2|) $) NIL)) (-3673 (($ $ $ |#3|) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 |#3|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))))) (-4433 (((-765) $ |#2|) NIL) (((-765) $) 10)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) |#3|) NIL) (($ (-1161 $) |#3|) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) NIL)) (-4294 (((-535 |#3|) $) NIL) (((-765) $ |#3|) NIL) (((-635 (-765)) $ (-635 |#3|)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#3|) (-535 |#3|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) |#2|) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 |#3| "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#3| |#1|) NIL) (($ $ (-635 |#3|) (-635 |#1|)) NIL) (($ $ |#3| $) NIL) (($ $ (-635 |#3|) (-635 $)) NIL) (($ $ |#2| $) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 $)) NIL (|has| |#1| (-226))) (($ $ |#2| |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 |#2|) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ |#3|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 |#2|) $) NIL)) (-2284 (((-535 |#3|) $) NIL) (((-765) $ |#3|) NIL) (((-635 (-765)) $ (-635 |#3|)) NIL) (((-765) $ |#2|) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ |#3|) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) 23) (($ |#3|) 22) (($ |#2|) NIL) (($ (-1116 |#1| |#2|)) 28) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ |#3|) NIL) (($ $ (-635 |#3|)) NIL) (($ $ |#3| (-765)) NIL) (($ $ (-635 |#3|) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-258 |#1| |#2| |#3|) (-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1039 (-1116 |#1| |#2|))) (-1049) (-844) (-263 |#2|)) (T -258)) 
+NIL 
+(-13 (-247 |#1| |#2| |#3| (-535 |#3|)) (-1039 (-1116 |#1| |#2|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1838 (($ |#1| (-635 $)) 51) (($ |#1|) 50) (($ (-635 |#1|)) 49)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-259 |#1|) (-1284) (-1093)) (T -259)) 
+((-1838 (*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-259 *3))))) 
+(-13 (-1012 |t#1|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -1838 ($ |t#1| (-635 $))) (-15 -1838 ($ |t#1|)) (-15 -1838 ($ (-635 |t#1|))))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 12)) (-1838 (($ |#1| (-635 $)) 31) (($ |#1|) 32) (($ (-635 |#1|)) 33)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) 35 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 34 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) 22)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1804 (((-121) (-121)) 18) (((-121)) 19)) (-3795 (((-852) $) 15)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-4487 (((-1147) $) 28)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) 30 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 8)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 26 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-260 |#1|) (-13 (-259 |#1|) (-10 -8 (-15 -4487 ((-1147) $)) (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-1093)) (T -260)) 
+((-4487 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093))))) 
+(-13 (-259 |#1|) (-10 -8 (-15 -4487 ((-1147) $)) (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
+((-2997 (((-1258) |#10| (-635 |#3|)) 133) (((-1258) |#10|) 135)) (-4184 (((-1258) |#10|) NIL)) (-2434 ((|#8| |#10|) 28)) (-4312 (((-569) (-765) (-635 |#10|)) 147)) (-1992 (((-765) (-765) (-635 |#10|)) 145)) (-4289 (((-569) |#3|) 148)) (-2196 (((-765) |#3|) 146)) (-4204 (((-1258) |#10|) 136)) (-4086 ((|#8| |#3| |#10|) 111)) (-3456 ((|#10| |#5| |#3|) 138)) (-3344 (((-635 |#10|) |#3|) 144)) (-3035 (((-1258) |#10|) 134)) (-3942 (((-635 |#9|) |#9|) 87)) (-2774 ((|#8| |#10|) 110))) 
+(((-261 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3942 ((-635 |#9|) |#9|)) (-15 -4086 (|#8| |#3| |#10|)) (-15 -2774 (|#8| |#10|)) (-15 -3035 ((-1258) |#10|)) (-15 -3456 (|#10| |#5| |#3|)) (-15 -3344 ((-635 |#10|) |#3|)) (-15 -4204 ((-1258) |#10|)) (-15 -4184 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10| (-635 |#3|))) (-15 -2196 ((-765) |#3|)) (-15 -4289 ((-569) |#3|)) (-15 -1992 ((-765) (-765) (-635 |#10|))) (-15 -2434 (|#8| |#10|)) (-15 -4312 ((-569) (-765) (-635 |#10|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -261)) 
+((-4312 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *3)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-765)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15)))) (-2434 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-1992 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) *2)) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)))) (-4289 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2196 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) *2)) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2997 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13)))) (-2997 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-4184 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-4204 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-3344 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3456 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)) (-4 *9 (-922 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12)))) (-3035 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) (-2774 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) (-4086 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *9 (-642 *5)) (-4 *10 (-922 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11)))) (-3942 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(-10 -7 (-15 -3942 ((-635 |#9|) |#9|)) (-15 -4086 (|#8| |#3| |#10|)) (-15 -2774 (|#8| |#10|)) (-15 -3035 ((-1258) |#10|)) (-15 -3456 (|#10| |#5| |#3|)) (-15 -3344 ((-635 |#10|) |#3|)) (-15 -4204 ((-1258) |#10|)) (-15 -4184 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10|)) (-15 -2997 ((-1258) |#10| (-635 |#3|))) (-15 -2196 ((-765) |#3|)) (-15 -4289 ((-569) |#3|)) (-15 -1992 ((-765) (-765) (-635 |#10|))) (-15 -2434 (|#8| |#10|)) (-15 -4312 ((-569) (-765) (-635 |#10|)))) 
+((-2402 (((-765) $) 30)) (-3003 (((-3 |#2| "failed") $) 17)) (-1321 ((|#2| $) 27)) (-3289 (($ $) 12) (($ $ (-765)) 15)) (-3956 (((-852) $) 26) (($ |#2|) 10)) (-1326 (((-121) $ $) 20)) (-1337 (((-121) $ $) 29))) 
+(((-262 |#1| |#2|) (-10 -8 (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2402 ((-765) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-263 |#2|) (-844)) (T -262)) 
+NIL 
+(-10 -8 (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -2402 ((-765) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2402 (((-765) $) 21)) (-1948 ((|#1| $) 22)) (-3003 (((-3 |#1| "failed") $) 26)) (-1321 ((|#1| $) 25)) (-4433 (((-765) $) 23)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4428 (($ |#1| (-765)) 24)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $) 20) (($ $ (-765)) 19)) (-3956 (((-852) $) 11) (($ |#1|) 27)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
+(((-263 |#1|) (-1284) (-844)) (T -263)) 
+((-3956 (*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-4428 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) (-1948 (*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-2402 (*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) (-3289 (*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-263 *3)) (-4 *3 (-844))))) 
+(-13 (-844) (-1039 |t#1|) (-10 -8 (-15 -4428 ($ |t#1| (-765))) (-15 -4433 ((-765) $)) (-15 -1948 (|t#1| $)) (-15 -2402 ((-765) $)) (-15 -3289 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3956 ($ |t#1|)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
+((-3195 (((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 40)) (-3810 (((-635 (-1165)) (-311 (-216)) (-765)) 79)) (-2897 (((-3 (-311 (-216)) "failed") (-311 (-216))) 50)) (-4201 (((-311 (-216)) (-311 (-216))) 65)) (-3727 (((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 26)) (-2179 (((-121) (-635 (-311 (-216)))) 83)) (-1479 (((-121) (-311 (-216))) 24)) (-1889 (((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) 104)) (-1919 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 86)) (-2730 (((-635 (-311 (-216))) (-635 (-311 (-216)))) 85)) (-4349 (((-681 (-216)) (-635 (-311 (-216))) (-765)) 93)) (-2683 (((-121) (-311 (-216))) 20) (((-121) (-635 (-311 (-216)))) 84)) (-1672 (((-635 (-216)) (-635 (-837 (-216))) (-216)) 14)) (-1901 (((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 99)) (-2183 (((-1037) (-1165) (-1037)) 33))) 
+(((-264) (-10 -7 (-15 -1672 ((-635 (-216)) (-635 (-837 (-216))) (-216))) (-15 -3727 ((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -2897 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -4201 ((-311 (-216)) (-311 (-216)))) (-15 -2179 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-311 (-216)))) (-15 -4349 ((-681 (-216)) (-635 (-311 (-216))) (-765))) (-15 -2730 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1919 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1479 ((-121) (-311 (-216)))) (-15 -3195 ((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3810 ((-635 (-1165)) (-311 (-216)) (-765))) (-15 -2183 ((-1037) (-1165) (-1037))) (-15 -1901 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -1889 ((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))))) (T -264)) 
+((-1889 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *2 (-635 (-1147))) (-5 *1 (-264)))) (-1901 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) (-2183 (*1 *2 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-264)))) (-3810 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) (-1479 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-1919 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-2730 (*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264)))) (-4349 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-264)))) (-2683 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2683 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-2179 (*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) (-4201 (*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-2897 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264)))) (-3727 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-264)))) (-1672 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-837 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
+(-10 -7 (-15 -1672 ((-635 (-216)) (-635 (-837 (-216))) (-216))) (-15 -3727 ((-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -2897 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -4201 ((-311 (-216)) (-311 (-216)))) (-15 -2179 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-635 (-311 (-216))))) (-15 -2683 ((-121) (-311 (-216)))) (-15 -4349 ((-681 (-216)) (-635 (-311 (-216))) (-765))) (-15 -2730 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1919 ((-635 (-311 (-216))) (-635 (-311 (-216))))) (-15 -1479 ((-121) (-311 (-216)))) (-15 -3195 ((-635 (-1165)) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3810 ((-635 (-1165)) (-311 (-216)) (-765))) (-15 -2183 ((-1037) (-1165) (-1037))) (-15 -1901 ((-382) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -1889 ((-635 (-1147)) (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))))) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 39)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 20) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-265) (-833)) (T -265)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 54) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 49)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 29) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 31)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-266) (-833)) (T -266)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 73) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 69)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 40) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 51)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-267) (-833)) (T -267)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 48)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 27) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-268) (-833)) (T -268)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 48)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 23) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-269) (-833)) (T -269)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 69)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 23) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-270) (-833)) (T -270)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 73)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 19) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-271) (-833)) (T -271)) 
+NIL 
+(-833) 
+((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1768 (((-635 (-569)) $) 16)) (-2284 (((-765) $) 14)) (-3956 (((-852) $) 20) (($ (-635 (-569))) 12)) (-2204 (($ (-765)) 17)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 9)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 10))) 
+(((-272) (-13 (-844) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -2284 ((-765) $)) (-15 -1768 ((-635 (-569)) $)) (-15 -2204 ($ (-765)))))) (T -272)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-272)))) (-1768 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) (-2204 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-272))))) 
+(-13 (-844) (-10 -8 (-15 -3956 ($ (-635 (-569)))) (-15 -2284 ((-765) $)) (-15 -1768 ((-635 (-569)) $)) (-15 -2204 ($ (-765))))) 
+((-3544 ((|#2| |#2|) 77)) (-3467 ((|#2| |#2|) 65)) (-4157 (((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121))))) 116)) (-3530 ((|#2| |#2|) 75)) (-3455 ((|#2| |#2|) 63)) (-3559 ((|#2| |#2|) 79)) (-3480 ((|#2| |#2|) 67)) (-3415 ((|#2|) 46)) (-1344 (((-123) (-123)) 95)) (-3597 ((|#2| |#2|) 61)) (-1713 (((-121) |#2|) 134)) (-4245 ((|#2| |#2|) 180)) (-1323 ((|#2| |#2|) 156)) (-1743 ((|#2|) 59)) (-4194 ((|#2|) 58)) (-3688 ((|#2| |#2|) 176)) (-4498 ((|#2| |#2|) 152)) (-4056 ((|#2| |#2|) 184)) (-3097 ((|#2| |#2|) 160)) (-4087 ((|#2| |#2|) 148)) (-1454 ((|#2| |#2|) 150)) (-1332 ((|#2| |#2|) 186)) (-3512 ((|#2| |#2|) 162)) (-1441 ((|#2| |#2|) 182)) (-1967 ((|#2| |#2|) 158)) (-1971 ((|#2| |#2|) 178)) (-4292 ((|#2| |#2|) 154)) (-4053 ((|#2| |#2|) 192)) (-1921 ((|#2| |#2|) 168)) (-1989 ((|#2| |#2|) 188)) (-3077 ((|#2| |#2|) 164)) (-2354 ((|#2| |#2|) 196)) (-2625 ((|#2| |#2|) 172)) (-4386 ((|#2| |#2|) 198)) (-4131 ((|#2| |#2|) 174)) (-3794 ((|#2| |#2|) 194)) (-4097 ((|#2| |#2|) 170)) (-2636 ((|#2| |#2|) 190)) (-4260 ((|#2| |#2|) 166)) (-3408 ((|#2| |#2|) 62)) (-3565 ((|#2| |#2|) 80)) (-3485 ((|#2| |#2|) 68)) (-3551 ((|#2| |#2|) 78)) (-3473 ((|#2| |#2|) 66)) (-3538 ((|#2| |#2|) 76)) (-3460 ((|#2| |#2|) 64)) (-3791 (((-121) (-123)) 93)) (-3585 ((|#2| |#2|) 83)) (-3505 ((|#2| |#2|) 71)) (-3572 ((|#2| |#2|) 81)) (-3490 ((|#2| |#2|) 69)) (-3599 ((|#2| |#2|) 85)) (-3517 ((|#2| |#2|) 73)) (-4527 ((|#2| |#2|) 86)) (-3525 ((|#2| |#2|) 74)) (-3592 ((|#2| |#2|) 84)) (-3510 ((|#2| |#2|) 72)) (-3579 ((|#2| |#2|) 82)) (-3497 ((|#2| |#2|) 70))) 
+(((-273 |#1| |#2|) (-10 -7 (-15 -3408 (|#2| |#2|)) (-15 -3597 (|#2| |#2|)) (-15 -3455 (|#2| |#2|)) (-15 -3460 (|#2| |#2|)) (-15 -3467 (|#2| |#2|)) (-15 -3473 (|#2| |#2|)) (-15 -3480 (|#2| |#2|)) (-15 -3485 (|#2| |#2|)) (-15 -3490 (|#2| |#2|)) (-15 -3497 (|#2| |#2|)) (-15 -3505 (|#2| |#2|)) (-15 -3510 (|#2| |#2|)) (-15 -3517 (|#2| |#2|)) (-15 -3525 (|#2| |#2|)) (-15 -3530 (|#2| |#2|)) (-15 -3538 (|#2| |#2|)) (-15 -3544 (|#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -3559 (|#2| |#2|)) (-15 -3565 (|#2| |#2|)) (-15 -3572 (|#2| |#2|)) (-15 -3579 (|#2| |#2|)) (-15 -3585 (|#2| |#2|)) (-15 -3592 (|#2| |#2|)) (-15 -3599 (|#2| |#2|)) (-15 -4527 (|#2| |#2|)) (-15 -3415 (|#2|)) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4194 (|#2|)) (-15 -1743 (|#2|)) (-15 -1454 (|#2| |#2|)) (-15 -4087 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -4292 (|#2| |#2|)) (-15 -1323 (|#2| |#2|)) (-15 -1967 (|#2| |#2|)) (-15 -3097 (|#2| |#2|)) (-15 -3512 (|#2| |#2|)) (-15 -3077 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -1921 (|#2| |#2|)) (-15 -4097 (|#2| |#2|)) (-15 -2625 (|#2| |#2|)) (-15 -4131 (|#2| |#2|)) (-15 -3688 (|#2| |#2|)) (-15 -1971 (|#2| |#2|)) (-15 -4245 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -4056 (|#2| |#2|)) (-15 -1332 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2636 (|#2| |#2|)) (-15 -4053 (|#2| |#2|)) (-15 -3794 (|#2| |#2|)) (-15 -2354 (|#2| |#2|)) (-15 -4386 (|#2| |#2|)) (-15 -4157 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -1713 ((-121) |#2|))) (-13 (-844) (-559)) (-13 (-433 |#1|) (-1004))) (T -273)) 
+((-1713 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1004))))) (-4157 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1004))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-273 *4 *2)))) (-4386 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2354 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3794 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4053 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2636 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1989 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1332 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4056 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1441 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4245 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1971 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3688 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4131 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-2625 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4097 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1921 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4260 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3077 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3512 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3097 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1967 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1323 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4292 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4498 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-4087 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1454 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-1743 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-4194 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004))))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004))))) (-3415 (*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(-10 -7 (-15 -3408 (|#2| |#2|)) (-15 -3597 (|#2| |#2|)) (-15 -3455 (|#2| |#2|)) (-15 -3460 (|#2| |#2|)) (-15 -3467 (|#2| |#2|)) (-15 -3473 (|#2| |#2|)) (-15 -3480 (|#2| |#2|)) (-15 -3485 (|#2| |#2|)) (-15 -3490 (|#2| |#2|)) (-15 -3497 (|#2| |#2|)) (-15 -3505 (|#2| |#2|)) (-15 -3510 (|#2| |#2|)) (-15 -3517 (|#2| |#2|)) (-15 -3525 (|#2| |#2|)) (-15 -3530 (|#2| |#2|)) (-15 -3538 (|#2| |#2|)) (-15 -3544 (|#2| |#2|)) (-15 -3551 (|#2| |#2|)) (-15 -3559 (|#2| |#2|)) (-15 -3565 (|#2| |#2|)) (-15 -3572 (|#2| |#2|)) (-15 -3579 (|#2| |#2|)) (-15 -3585 (|#2| |#2|)) (-15 -3592 (|#2| |#2|)) (-15 -3599 (|#2| |#2|)) (-15 -4527 (|#2| |#2|)) (-15 -3415 (|#2|)) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4194 (|#2|)) (-15 -1743 (|#2|)) (-15 -1454 (|#2| |#2|)) (-15 -4087 (|#2| |#2|)) (-15 -4498 (|#2| |#2|)) (-15 -4292 (|#2| |#2|)) (-15 -1323 (|#2| |#2|)) (-15 -1967 (|#2| |#2|)) (-15 -3097 (|#2| |#2|)) (-15 -3512 (|#2| |#2|)) (-15 -3077 (|#2| |#2|)) (-15 -4260 (|#2| |#2|)) (-15 -1921 (|#2| |#2|)) (-15 -4097 (|#2| |#2|)) (-15 -2625 (|#2| |#2|)) (-15 -4131 (|#2| |#2|)) (-15 -3688 (|#2| |#2|)) (-15 -1971 (|#2| |#2|)) (-15 -4245 (|#2| |#2|)) (-15 -1441 (|#2| |#2|)) (-15 -4056 (|#2| |#2|)) (-15 -1332 (|#2| |#2|)) (-15 -1989 (|#2| |#2|)) (-15 -2636 (|#2| |#2|)) (-15 -4053 (|#2| |#2|)) (-15 -3794 (|#2| |#2|)) (-15 -2354 (|#2| |#2|)) (-15 -4386 (|#2| |#2|)) (-15 -4157 ((-3 |#2| "failed") |#2| (-635 (-2 (|:| |func| |#2|) (|:| |pole| (-121)))))) (-15 -1713 ((-121) |#2|))) 
+((-1317 (((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165)) 133)) (-1445 ((|#2| (-410 (-569)) |#2|) 50)) (-4085 ((|#2| |#2| (-608 |#2|)) 126)) (-4421 (((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165)) 125)) (-3687 ((|#2| |#2| (-1165)) 19) ((|#2| |#2|) 22)) (-1666 ((|#2| |#2| (-1165)) 139) ((|#2| |#2|) 137))) 
+(((-274 |#1| |#2|) (-10 -7 (-15 -1666 (|#2| |#2|)) (-15 -1666 (|#2| |#2| (-1165))) (-15 -4421 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165))) (-15 -3687 (|#2| |#2|)) (-15 -3687 (|#2| |#2| (-1165))) (-15 -1317 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165))) (-15 -4085 (|#2| |#2| (-608 |#2|))) (-15 -1445 (|#2| (-410 (-569)) |#2|))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -274)) 
+((-1445 (*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-4085 (*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)))) (-1317 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1165)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2)))) (-3687 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-3687 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-4421 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-1666 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-1666 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
+(-10 -7 (-15 -1666 (|#2| |#2|)) (-15 -1666 (|#2| |#2| (-1165))) (-15 -4421 ((-2 (|:| |func| |#2|) (|:| |kers| (-635 (-608 |#2|))) (|:| |vals| (-635 |#2|))) |#2| (-1165))) (-15 -3687 (|#2| |#2|)) (-15 -3687 (|#2| |#2| (-1165))) (-15 -1317 ((-3 |#2| "failed") (-635 (-608 |#2|)) |#2| (-1165))) (-15 -4085 (|#2| |#2| (-608 |#2|))) (-15 -1445 (|#2| (-410 (-569)) |#2|))) 
+((-1459 (((-3 |#3| "failed") |#3|) 110)) (-3544 ((|#3| |#3|) 131)) (-3443 (((-3 |#3| "failed") |#3|) 82)) (-3467 ((|#3| |#3|) 121)) (-2658 (((-3 |#3| "failed") |#3|) 58)) (-3530 ((|#3| |#3|) 129)) (-2942 (((-3 |#3| "failed") |#3|) 46)) (-3455 ((|#3| |#3|) 119)) (-3876 (((-3 |#3| "failed") |#3|) 112)) (-3559 ((|#3| |#3|) 133)) (-4446 (((-3 |#3| "failed") |#3|) 84)) (-3480 ((|#3| |#3|) 123)) (-1517 (((-3 |#3| "failed") |#3| (-765)) 36)) (-3015 (((-3 |#3| "failed") |#3|) 74)) (-3597 ((|#3| |#3|) 118)) (-1981 (((-3 |#3| "failed") |#3|) 44)) (-3408 ((|#3| |#3|) 117)) (-2123 (((-3 |#3| "failed") |#3|) 113)) (-3565 ((|#3| |#3|) 134)) (-4159 (((-3 |#3| "failed") |#3|) 85)) (-3485 ((|#3| |#3|) 124)) (-4098 (((-3 |#3| "failed") |#3|) 111)) (-3551 ((|#3| |#3|) 132)) (-3454 (((-3 |#3| "failed") |#3|) 83)) (-3473 ((|#3| |#3|) 122)) (-4323 (((-3 |#3| "failed") |#3|) 60)) (-3538 ((|#3| |#3|) 130)) (-2920 (((-3 |#3| "failed") |#3|) 48)) (-3460 ((|#3| |#3|) 120)) (-4306 (((-3 |#3| "failed") |#3|) 66)) (-3585 ((|#3| |#3|) 137)) (-2837 (((-3 |#3| "failed") |#3|) 104)) (-3505 ((|#3| |#3|) 142)) (-3968 (((-3 |#3| "failed") |#3|) 62)) (-3572 ((|#3| |#3|) 135)) (-2812 (((-3 |#3| "failed") |#3|) 50)) (-3490 ((|#3| |#3|) 125)) (-2737 (((-3 |#3| "failed") |#3|) 70)) (-3599 ((|#3| |#3|) 139)) (-2475 (((-3 |#3| "failed") |#3|) 54)) (-3517 ((|#3| |#3|) 127)) (-1315 (((-3 |#3| "failed") |#3|) 72)) (-4527 ((|#3| |#3|) 140)) (-3098 (((-3 |#3| "failed") |#3|) 56)) (-3525 ((|#3| |#3|) 128)) (-2135 (((-3 |#3| "failed") |#3|) 68)) (-3592 ((|#3| |#3|) 138)) (-4358 (((-3 |#3| "failed") |#3|) 107)) (-3510 ((|#3| |#3|) 143)) (-2780 (((-3 |#3| "failed") |#3|) 64)) (-3579 ((|#3| |#3|) 136)) (-3811 (((-3 |#3| "failed") |#3|) 52)) (-3497 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
+(((-275 |#1| |#2| |#3|) (-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) (-43 (-410 (-569))) (-1243 |#1|) (-1214 |#1| |#2|)) (T -275)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1243 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1214 *4 *5)))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4))))) 
+(-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) 
+((-1459 (((-3 |#3| "failed") |#3|) 66)) (-3544 ((|#3| |#3|) 133)) (-3443 (((-3 |#3| "failed") |#3|) 50)) (-3467 ((|#3| |#3|) 121)) (-2658 (((-3 |#3| "failed") |#3|) 62)) (-3530 ((|#3| |#3|) 131)) (-2942 (((-3 |#3| "failed") |#3|) 46)) (-3455 ((|#3| |#3|) 119)) (-3876 (((-3 |#3| "failed") |#3|) 70)) (-3559 ((|#3| |#3|) 135)) (-4446 (((-3 |#3| "failed") |#3|) 54)) (-3480 ((|#3| |#3|) 123)) (-1517 (((-3 |#3| "failed") |#3| (-765)) 35)) (-3015 (((-3 |#3| "failed") |#3|) 44)) (-3597 ((|#3| |#3|) 112)) (-1981 (((-3 |#3| "failed") |#3|) 42)) (-3408 ((|#3| |#3|) 118)) (-2123 (((-3 |#3| "failed") |#3|) 72)) (-3565 ((|#3| |#3|) 136)) (-4159 (((-3 |#3| "failed") |#3|) 56)) (-3485 ((|#3| |#3|) 124)) (-4098 (((-3 |#3| "failed") |#3|) 68)) (-3551 ((|#3| |#3|) 134)) (-3454 (((-3 |#3| "failed") |#3|) 52)) (-3473 ((|#3| |#3|) 122)) (-4323 (((-3 |#3| "failed") |#3|) 64)) (-3538 ((|#3| |#3|) 132)) (-2920 (((-3 |#3| "failed") |#3|) 48)) (-3460 ((|#3| |#3|) 120)) (-4306 (((-3 |#3| "failed") |#3|) 78)) (-3585 ((|#3| |#3|) 139)) (-2837 (((-3 |#3| "failed") |#3|) 58)) (-3505 ((|#3| |#3|) 127)) (-3968 (((-3 |#3| "failed") |#3|) 74)) (-3572 ((|#3| |#3|) 137)) (-2812 (((-3 |#3| "failed") |#3|) 102)) (-3490 ((|#3| |#3|) 125)) (-2737 (((-3 |#3| "failed") |#3|) 82)) (-3599 ((|#3| |#3|) 141)) (-2475 (((-3 |#3| "failed") |#3|) 109)) (-3517 ((|#3| |#3|) 129)) (-1315 (((-3 |#3| "failed") |#3|) 84)) (-4527 ((|#3| |#3|) 142)) (-3098 (((-3 |#3| "failed") |#3|) 111)) (-3525 ((|#3| |#3|) 130)) (-2135 (((-3 |#3| "failed") |#3|) 80)) (-3592 ((|#3| |#3|) 140)) (-4358 (((-3 |#3| "failed") |#3|) 60)) (-3510 ((|#3| |#3|) 128)) (-2780 (((-3 |#3| "failed") |#3|) 76)) (-3579 ((|#3| |#3|) 138)) (-3811 (((-3 |#3| "failed") |#3|) 105)) (-3497 ((|#3| |#3|) 126)) (** ((|#3| |#3| (-410 (-569))) 40 (|has| |#1| (-366))))) 
+(((-276 |#1| |#2| |#3| |#4|) (-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) (-43 (-410 (-569))) (-1212 |#1|) (-1235 |#1| |#2|) (-986 |#2|)) (T -276)) 
+((** (*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1212 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1235 *4 *5)) (-4 *6 (-986 *5)))) (-3408 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3597 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3455 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3460 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3467 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3473 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3480 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3485 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3490 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3497 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3505 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3510 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3517 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3530 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3538 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3544 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3551 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3559 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3565 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3572 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3579 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3585 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3592 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-3599 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) (-4527 (*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4))))) 
+(-13 (-986 |#3|) (-10 -7 (IF (|has| |#1| (-366)) (-15 ** (|#3| |#3| (-410 (-569)))) |noBranch|) (-15 -3408 (|#3| |#3|)) (-15 -3597 (|#3| |#3|)) (-15 -3455 (|#3| |#3|)) (-15 -3460 (|#3| |#3|)) (-15 -3467 (|#3| |#3|)) (-15 -3473 (|#3| |#3|)) (-15 -3480 (|#3| |#3|)) (-15 -3485 (|#3| |#3|)) (-15 -3490 (|#3| |#3|)) (-15 -3497 (|#3| |#3|)) (-15 -3505 (|#3| |#3|)) (-15 -3510 (|#3| |#3|)) (-15 -3517 (|#3| |#3|)) (-15 -3525 (|#3| |#3|)) (-15 -3530 (|#3| |#3|)) (-15 -3538 (|#3| |#3|)) (-15 -3544 (|#3| |#3|)) (-15 -3551 (|#3| |#3|)) (-15 -3559 (|#3| |#3|)) (-15 -3565 (|#3| |#3|)) (-15 -3572 (|#3| |#3|)) (-15 -3579 (|#3| |#3|)) (-15 -3585 (|#3| |#3|)) (-15 -3592 (|#3| |#3|)) (-15 -3599 (|#3| |#3|)) (-15 -4527 (|#3| |#3|)))) 
+((-2140 (($ (-1 (-121) |#2|) $) 23)) (-1858 (($ $) 36)) (-2006 (($ (-1 (-121) |#2|) $) NIL) (($ |#2| $) 34)) (-3503 (($ |#2| $) 31) (($ (-1 (-121) |#2|) $) 17)) (-4002 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 40)) (-2583 (($ |#2| $ (-569)) 19) (($ $ $ (-569)) 21)) (-2077 (($ $ (-569)) 11) (($ $ (-1219 (-569))) 14)) (-4422 (($ $ |#2|) 29) (($ $ $) NIL)) (-4456 (($ $ |#2|) 28) (($ |#2| $) NIL) (($ $ $) 25) (($ (-635 $)) NIL))) 
+(((-277 |#1| |#2|) (-10 -8 (-15 -4002 (|#1| |#1| |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -1858 (|#1| |#1|))) (-278 |#2|) (-1199)) (T -277)) 
+NIL 
+(-10 -8 (-15 -4002 (|#1| |#1| |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -3503 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2140 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3503 (|#1| |#2| |#1|)) (-15 -1858 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 78)) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 76 (|has| |#1| (-1093)))) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-1 (-121) |#1|) $) 82) (($ |#1| $) 77 (|has| |#1| (-1093)))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-4002 (($ (-1 (-121) |#1| |#1|) $ $) 79) (($ $ $) 75 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2351 (($ |#1| $ (-569)) 81) (($ $ $ (-569)) 80)) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-1313 (($ $ (-569)) 84) (($ $ (-1219 (-569))) 83)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4422 (($ $ |#1|) 86) (($ $ $) 85)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-278 |#1|) (-1284) (-1199)) (T -278)) 
+((-4422 (*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2351 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1199)))) (-2351 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-4002 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-1304 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) (-2006 (*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-2938 (*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) (-4002 (*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-844))))) 
+(-13 (-641 |t#1|) (-10 -8 (-6 -4572) (-15 -4422 ($ $ |t#1|)) (-15 -4422 ($ $ $)) (-15 -1313 ($ $ (-569))) (-15 -1313 ($ $ (-1219 (-569)))) (-15 -2006 ($ (-1 (-121) |t#1|) $)) (-15 -2351 ($ |t#1| $ (-569))) (-15 -2351 ($ $ $ (-569))) (-15 -4002 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -1304 ($ (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2006 ($ |t#1| $)) (-15 -2938 ($ $))) |noBranch|) (IF (|has| |t#1| (-844)) (-15 -4002 ($ $ $)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
 ((** (($ $ $) 10))) 
 (((-279 |#1|) (-10 -8 (-15 ** (|#1| |#1| |#1|))) (-280)) (T -279)) 
 NIL 
 (-10 -8 (-15 ** (|#1| |#1| |#1|))) 
-((-4450 (($ $) 6)) (-2436 (($ $) 7)) (** (($ $ $) 8))) 
-(((-280) (-1278)) (T -280)) 
-((** (*1 *1 *1 *1) (-4 *1 (-280))) (-2436 (*1 *1 *1) (-4 *1 (-280))) (-4450 (*1 *1 *1) (-4 *1 (-280)))) 
-(-13 (-10 -8 (-15 -4450 ($ $)) (-15 -2436 ($ $)) (-15 ** ($ $ $)))) 
-((-2354 (((-635 (-1143 |#1|)) (-1143 |#1|) |#1|) 35)) (-2282 ((|#2| |#2| |#1|) 38)) (-1344 ((|#2| |#2| |#1|) 40)) (-2156 ((|#2| |#2| |#1|) 39))) 
-(((-281 |#1| |#2|) (-10 -7 (-15 -2282 (|#2| |#2| |#1|)) (-15 -2156 (|#2| |#2| |#1|)) (-15 -1344 (|#2| |#2| |#1|)) (-15 -2354 ((-635 (-1143 |#1|)) (-1143 |#1|) |#1|))) (-366) (-1237 |#1|)) (T -281)) 
-((-2354 (*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1143 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1143 *4)) (-4 *5 (-1237 *4)))) (-1344 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3)))) (-2156 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3)))) (-2282 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
-(-10 -7 (-15 -2282 (|#2| |#2| |#1|)) (-15 -2156 (|#2| |#2| |#1|)) (-15 -1344 (|#2| |#2| |#1|)) (-15 -2354 ((-635 (-1143 |#1|)) (-1143 |#1|) |#1|))) 
-((-1534 ((|#2| $ |#1|) 6))) 
-(((-282 |#1| |#2|) (-1278) (-1091) (-1197)) (T -282)) 
-((-1534 (*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
-(-13 (-10 -8 (-15 -1534 (|t#2| $ |t#1|)))) 
-((-2726 ((|#3| $ |#2| |#3|) 12)) (-1618 ((|#3| $ |#2|) 10))) 
-(((-283 |#1| |#2| |#3|) (-10 -8 (-15 -2726 (|#3| |#1| |#2| |#3|)) (-15 -1618 (|#3| |#1| |#2|))) (-284 |#2| |#3|) (-1091) (-1197)) (T -283)) 
-NIL 
-(-10 -8 (-15 -2726 (|#3| |#1| |#2| |#3|)) (-15 -1618 (|#3| |#1| |#2|))) 
-((-4469 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4536)))) (-2726 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 9)) (-1534 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
-(((-284 |#1| |#2|) (-1278) (-1091) (-1197)) (T -284)) 
-((-1534 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-1618 (*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-2726 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
-(-13 (-282 |t#1| |t#2|) (-10 -8 (-15 -1534 (|t#2| $ |t#1| |t#2|)) (-15 -1618 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -4469 (|t#2| $ |t#1| |t#2|)) (-15 -2726 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
+((-3597 (($ $) 6)) (-3408 (($ $) 7)) (** (($ $ $) 8))) 
+(((-280) (-1284)) (T -280)) 
+((** (*1 *1 *1 *1) (-4 *1 (-280))) (-3408 (*1 *1 *1) (-4 *1 (-280))) (-3597 (*1 *1 *1) (-4 *1 (-280)))) 
+(-13 (-10 -8 (-15 -3597 ($ $)) (-15 -3408 ($ $)) (-15 ** ($ $ $)))) 
+((-3137 (((-635 (-1145 |#1|)) (-1145 |#1|) |#1|) 35)) (-1773 ((|#2| |#2| |#1|) 38)) (-2669 ((|#2| |#2| |#1|) 40)) (-4032 ((|#2| |#2| |#1|) 39))) 
+(((-281 |#1| |#2|) (-10 -7 (-15 -1773 (|#2| |#2| |#1|)) (-15 -4032 (|#2| |#2| |#1|)) (-15 -2669 (|#2| |#2| |#1|)) (-15 -3137 ((-635 (-1145 |#1|)) (-1145 |#1|) |#1|))) (-366) (-1243 |#1|)) (T -281)) 
+((-3137 (*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1145 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1145 *4)) (-4 *5 (-1243 *4)))) (-2669 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3)))) (-4032 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3)))) (-1773 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
+(-10 -7 (-15 -1773 (|#2| |#2| |#1|)) (-15 -4032 (|#2| |#2| |#1|)) (-15 -2669 (|#2| |#2| |#1|)) (-15 -3137 ((-635 (-1145 |#1|)) (-1145 |#1|) |#1|))) 
+((-2503 ((|#2| $ |#1|) 6))) 
+(((-282 |#1| |#2|) (-1284) (-1093) (-1199)) (T -282)) 
+((-2503 (*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
+(-13 (-10 -8 (-15 -2503 (|t#2| $ |t#1|)))) 
+((-3982 ((|#3| $ |#2| |#3|) 12)) (-4124 ((|#3| $ |#2|) 10))) 
+(((-283 |#1| |#2| |#3|) (-10 -8 (-15 -3982 (|#3| |#1| |#2| |#3|)) (-15 -4124 (|#3| |#1| |#2|))) (-284 |#2| |#3|) (-1093) (-1199)) (T -283)) 
+NIL 
+(-10 -8 (-15 -3982 (|#3| |#1| |#2| |#3|)) (-15 -4124 (|#3| |#1| |#2|))) 
+((-2511 ((|#2| $ |#1| |#2|) 8 (|has| $ (-6 -4572)))) (-3982 ((|#2| $ |#1| |#2|) 7 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 9)) (-2503 ((|#2| $ |#1|) 6) ((|#2| $ |#1| |#2|) 10))) 
+(((-284 |#1| |#2|) (-1284) (-1093) (-1199)) (T -284)) 
+((-2503 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-4124 (*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-3982 (*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
+(-13 (-282 |t#1| |t#2|) (-10 -8 (-15 -2503 (|t#2| $ |t#1| |t#2|)) (-15 -4124 (|t#2| $ |t#1|)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2511 (|t#2| $ |t#1| |t#2|)) (-15 -3982 (|t#2| $ |t#1| |t#2|))) |noBranch|))) 
 (((-282 |#1| |#2|) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 34)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 39)) (-3383 (($ $) 37)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) 32)) (-1774 (($ |#2| |#3|) 19)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 ((|#3| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 20)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4440 (((-3 $ "failed") $ $) NIL)) (-2622 (((-764) $) 33)) (-1534 ((|#2| $ |#2|) 41)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 24)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 27 T CONST)) (-1556 (($) 35 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 36))) 
-(((-285 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-302) (-10 -8 (-15 -3092 (|#3| $)) (-15 -2185 (|#2| $)) (-15 -1774 ($ |#2| |#3|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)) (-15 -1534 (|#2| $ |#2|)))) (-173) (-1222 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -285)) 
-((-3428 (*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3092 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1222 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-1774 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1222 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-1795 (*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-1534 (*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1222 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
-(-13 (-302) (-10 -8 (-15 -3092 (|#3| $)) (-15 -2185 (|#2| $)) (-15 -1774 ($ |#2| |#3|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)) (-15 -1534 (|#2| $ |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-286) (-1278)) (T -286)) 
-NIL 
-(-13 (-1048) (-120 $ $) (-10 -7 (-6 -4528))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2414 (((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))) 83)) (-1899 (((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|)))) 78) (((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764)) 36)) (-3640 (((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))) 80)) (-1493 (((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|)))) 60)) (-4023 (((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|)))) 59)) (-2742 (((-954 |#1|) (-680 (-410 (-954 |#1|)))) 47) (((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163)) 48))) 
-(((-287 |#1|) (-10 -7 (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163))) (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))))) (-15 -4023 ((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|))))) (-15 -1493 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|))))) (-15 -2414 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|))))) (-15 -3640 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))))) (-454)) (T -287)) 
-((-3640 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4)))))) (-2414 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4)))))) (-1899 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) (-1899 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-954 *6)) (-1152 (-1163) (-954 *6)))) (-5 *5 (-764)) (-4 *6 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-680 (-410 (-954 *6)))))) (-1493 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) (-4023 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4))))) (-5 *1 (-287 *4)))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-5 *2 (-954 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-954 *5)))) (-5 *4 (-1163)) (-5 *2 (-954 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454))))) 
-(-10 -7 (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))) (-1163))) (-15 -2742 ((-954 |#1|) (-680 (-410 (-954 |#1|))))) (-15 -4023 ((-635 (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (-680 (-410 (-954 |#1|))))) (-15 -1493 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|))) (-680 (-410 (-954 |#1|))) (-764) (-764))) (-15 -1899 ((-635 (-680 (-410 (-954 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|)))))) (-680 (-410 (-954 |#1|))))) (-15 -2414 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|))))) (-15 -3640 ((-635 (-2 (|:| |eigval| (-3 (-410 (-954 |#1|)) (-1152 (-1163) (-954 |#1|)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 |#1|))))))) (-680 (-410 (-954 |#1|)))))) 
-((-1544 (((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)) 14))) 
-(((-288 |#1| |#2|) (-10 -7 (-15 -1544 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) (-1197) (-1197)) (T -288)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-1478 (($ $) 22)) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-2773 (($ $ $) 93 (|has| |#1| (-297)))) (-2820 (($) NIL (-2232 (|has| |#1| (-21)) (|has| |#1| (-717))) CONST)) (-2198 (($ $) 8 (|has| |#1| (-21)))) (-2700 (((-3 $ "failed") $) 68 (|has| |#1| (-717)))) (-4387 ((|#1| $) 21)) (-3428 (((-3 $ "failed") $) 66 (|has| |#1| (-717)))) (-1407 (((-121) $) NIL (|has| |#1| (-717)))) (-1544 (($ (-1 |#1| |#1|) $) 24)) (-1589 ((|#1| $) 9)) (-3371 (($ $) 57 (|has| |#1| (-21)))) (-3544 (((-3 $ "failed") $) 67 (|has| |#1| (-717)))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1795 (($ $) 70 (-2232 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1565 (((-635 $) $) 19 (|has| |#1| (-559)))) (-1468 (($ $ $) 34 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 $)) 37 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-1163) |#1|) 27 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 31 (|has| |#1| (-524 (-1163) |#1|)))) (-1539 (($ |#1| |#1|) 17)) (-2369 (((-140)) 88 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) 85 (|has| |#1| (-896 (-1163))))) (-1414 (($ $ $) NIL (|has| |#1| (-479)))) (-4293 (($ $ $) NIL (|has| |#1| (-479)))) (-2185 (($ (-569)) NIL (|has| |#1| (-1048))) (((-121) $) 45 (|has| |#1| (-1091))) (((-851) $) 44 (|has| |#1| (-1091)))) (-1991 (((-764)) 73 (|has| |#1| (-1048)))) (-2427 (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-764)) NIL (|has| |#1| (-717))) (($ $ (-918)) NIL (|has| |#1| (-1103)))) (-3369 (($) 55 (|has| |#1| (-21)) CONST)) (-1556 (($) 63 (|has| |#1| (-717)) CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163))))) (-1668 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 90 (-2232 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1711 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1707 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-764)) NIL (|has| |#1| (-717))) (($ $ (-918)) NIL (|has| |#1| (-1103)))) (* (($ $ |#1|) 61 (|has| |#1| (-1103))) (($ |#1| $) 60 (|has| |#1| (-1103))) (($ $ $) 59 (|has| |#1| (-1103))) (($ (-569) $) 76 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-25))))) 
-(((-289 |#1|) (-13 (-1197) (-10 -8 (-15 -1668 ($ |#1| |#1|)) (-15 -1539 ($ |#1| |#1|)) (-15 -1478 ($ $)) (-15 -1589 (|#1| $)) (-15 -4387 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1163) |#1|)) (-6 (-524 (-1163) |#1|)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-6 (-1091)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1468 ($ $ $)) (-15 -1468 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1707 ($ |#1| $)) (-15 -1707 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3371 ($ $)) (-15 -2198 ($ $)) (-15 -1711 ($ |#1| $)) (-15 -1711 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1103)) (PROGN (-6 (-1103)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-717)) (PROGN (-6 (-717)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1565 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1254 |#1|)) (-15 -1715 ($ $ $)) (-15 -1795 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2773 ($ $ $)) |noBranch|))) (-1197)) (T -289)) 
-((-1668 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1539 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1478 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1589 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-4387 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) (-1468 (*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)) (-5 *1 (-289 *2)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) (-1707 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) (-1707 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) (-3371 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-2198 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-1711 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-1711 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) (-3544 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197)))) (-2700 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197)))) (-1565 (*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1197)))) (-2773 (*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1197)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) (-1715 (*1 *1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) (-1795 (*1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197)))))) 
-(-13 (-1197) (-10 -8 (-15 -1668 ($ |#1| |#1|)) (-15 -1539 ($ |#1| |#1|)) (-15 -1478 ($ $)) (-15 -1589 (|#1| $)) (-15 -4387 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1163) |#1|)) (-6 (-524 (-1163) |#1|)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-6 (-1091)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1468 ($ $ $)) (-15 -1468 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1707 ($ |#1| $)) (-15 -1707 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3371 ($ $)) (-15 -2198 ($ $)) (-15 -1711 ($ |#1| $)) (-15 -1711 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1103)) (PROGN (-6 (-1103)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-717)) (PROGN (-6 (-717)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -3544 ((-3 $ "failed") $)) (-15 -2700 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1565 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1254 |#1|)) (-15 -1715 ($ $ $)) (-15 -1795 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2773 ($ $ $)) |noBranch|))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-290 |#1| |#2|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091)) (T -290)) 
-NIL 
-(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
-((-1638 (((-306) (-1145) (-635 (-1145))) 16) (((-306) (-1145) (-1145)) 15) (((-306) (-635 (-1145))) 14) (((-306) (-1145)) 12))) 
-(((-291) (-10 -7 (-15 -1638 ((-306) (-1145))) (-15 -1638 ((-306) (-635 (-1145)))) (-15 -1638 ((-306) (-1145) (-1145))) (-15 -1638 ((-306) (-1145) (-635 (-1145)))))) (T -291)) 
-((-1638 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1145))) (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-306)) (-5 *1 (-291)))) (-1638 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291))))) 
-(-10 -7 (-15 -1638 ((-306) (-1145))) (-15 -1638 ((-306) (-635 (-1145)))) (-15 -1638 ((-306) (-1145) (-1145))) (-15 -1638 ((-306) (-1145) (-635 (-1145))))) 
-((-1544 ((|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)) 17))) 
-(((-292 |#1| |#2|) (-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)))) (-297) (-1197)) (T -292)) 
-((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1145)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1197)) (-5 *1 (-292 *6 *2))))) 
-(-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-1145) (-608 |#1|)))) 
-((-1544 ((|#2| (-1 |#2| |#1|) (-608 |#1|)) 17))) 
-(((-293 |#1| |#2|) (-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) (-297) (-297)) (T -293)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2))))) 
-(-10 -7 (-15 -1544 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) 
-((-3861 (((-121) (-216)) 10))) 
-(((-294 |#1| |#2|) (-10 -7 (-15 -3861 ((-121) (-216)))) (-216) (-216)) (T -294)) 
-((-3861 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-10 -7 (-15 -3861 ((-121) (-216)))) 
-((-1842 (((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216)))) 88)) (-2074 (((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216)))) 103) (((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216)))) 58)) (-1989 (((-635 (-1145)) (-1143 (-216))) NIL)) (-4028 (((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216)))) 55)) (-3381 (((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216)))) 47)) (-3679 (((-635 (-1145)) (-635 (-216))) NIL)) (-1559 (((-216) (-1085 (-836 (-216)))) 23)) (-3995 (((-216) (-1085 (-836 (-216)))) 24)) (-2299 (((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 51)) (-2370 (((-1145) (-216)) NIL))) 
-(((-295) (-10 -7 (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2299 ((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -1842 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -3381 ((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))))) (T -295)) 
-((-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-295)))) (-3381 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-2074 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-2074 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-1842 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) (-4028 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-2299 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295))))) 
-(-10 -7 (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2299 ((-121) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4028 ((-635 (-216)) (-311 (-216)) (-1163) (-1085 (-836 (-216))))) (-15 -1842 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-311 (-216)) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -2074 ((-1143 (-216)) (-1247 (-311 (-216))) (-635 (-1163)) (-1085 (-836 (-216))))) (-15 -3381 ((-635 (-216)) (-954 (-410 (-569))) (-1163) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216))))) 
-((-4003 (((-635 (-608 $)) $) 28)) (-2773 (($ $ (-289 $)) 80) (($ $ (-635 (-289 $))) 120) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) 110)) (-2428 (((-608 $) $) 109)) (-2337 (($ $) 19) (($ (-635 $)) 54)) (-3431 (((-635 (-123)) $) 37)) (-2265 (((-123) (-123)) 90)) (-1931 (((-121) $) 128)) (-1544 (($ (-1 $ $) (-608 $)) 88)) (-2359 (((-3 (-608 $) "failed") $) 92)) (-1777 (($ (-123) $) 60) (($ (-123) (-635 $)) 98)) (-4029 (((-121) $ (-123)) 114) (((-121) $ (-1163)) 113)) (-2626 (((-764) $) 45)) (-1452 (((-121) $ $) 58) (((-121) $ (-1163)) 49)) (-1657 (((-121) $) 126)) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) 118) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 83) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) 68) (($ $ (-1163) (-1 $ $)) 74) (($ $ (-635 (-123)) (-635 (-1 $ $))) 82) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 84) (($ $ (-123) (-1 $ (-635 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-1534 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-635 $)) 106)) (-4082 (($ $) 51) (($ $ $) 116)) (-4042 (($ $) 17) (($ (-635 $)) 53)) (-1524 (((-121) (-123)) 22))) 
-(((-296 |#1|) (-10 -8 (-15 -1931 ((-121) |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1452 ((-121) |#1| (-1163))) (-15 -1452 ((-121) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -1777 (|#1| (-123) (-635 |#1|))) (-15 -1777 (|#1| (-123) |#1|)) (-15 -4029 ((-121) |#1| (-1163))) (-15 -4029 ((-121) |#1| (-123))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -3431 ((-635 (-123)) |#1|)) (-15 -4003 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2626 ((-764) |#1|)) (-15 -4082 (|#1| |#1| |#1|)) (-15 -4082 (|#1| |#1|)) (-15 -2337 (|#1| (-635 |#1|))) (-15 -2337 (|#1| |#1|)) (-15 -4042 (|#1| (-635 |#1|))) (-15 -4042 (|#1| |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|))) (-297)) (T -296)) 
-((-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297))))) 
-(-10 -8 (-15 -1931 ((-121) |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1452 ((-121) |#1| (-1163))) (-15 -1452 ((-121) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -1777 (|#1| (-123) (-635 |#1|))) (-15 -1777 (|#1| (-123) |#1|)) (-15 -4029 ((-121) |#1| (-1163))) (-15 -4029 ((-121) |#1| (-123))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -3431 ((-635 (-123)) |#1|)) (-15 -4003 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2626 ((-764) |#1|)) (-15 -4082 (|#1| |#1| |#1|)) (-15 -4082 (|#1| |#1|)) (-15 -2337 (|#1| (-635 |#1|))) (-15 -2337 (|#1| |#1|)) (-15 -4042 (|#1| (-635 |#1|))) (-15 -4042 (|#1| |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|))) 
-((-2568 (((-121) $ $) 7)) (-4003 (((-635 (-608 $)) $) 43)) (-2773 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-1647 (((-3 (-608 $) "failed") $) 68)) (-2428 (((-608 $) $) 67)) (-2337 (($ $) 50) (($ (-635 $)) 49)) (-3431 (((-635 (-123)) $) 42)) (-2265 (((-123) (-123)) 41)) (-1931 (((-121) $) 21 (|has| $ (-1038 (-569))))) (-4080 (((-1159 $) (-608 $)) 24 (|has| $ (-1048)))) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1544 (($ (-1 $ $) (-608 $)) 35)) (-2359 (((-3 (-608 $) "failed") $) 45)) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 44)) (-1777 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-4029 (((-121) $ (-123)) 39) (((-121) $ (-1163)) 38)) (-2626 (((-764) $) 46)) (-3360 (((-1109) $) 10)) (-1452 (((-121) $ $) 34) (((-121) $ (-1163)) 33)) (-1657 (((-121) $) 22 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1163) (-1 $ (-635 $))) 30) (($ $ (-1163) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-1534 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-4082 (($ $) 48) (($ $ $) 47)) (-2745 (($ $) 23 (|has| $ (-1048)))) (-2185 (((-851) $) 11) (($ (-608 $)) 69)) (-4042 (($ $) 52) (($ (-635 $)) 51)) (-1524 (((-121) (-123)) 40)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
-(((-297) (-1278)) (T -297)) 
-((-1534 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1534 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) (-2773 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-4042 (*1 *1 *1) (-4 *1 (-297))) (-4042 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2337 (*1 *1 *1) (-4 *1 (-297))) (-2337 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-4082 (*1 *1 *1) (-4 *1 (-297))) (-4082 (*1 *1 *1 *1) (-4 *1 (-297))) (-2626 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-764)))) (-2359 (*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297)))) (-1735 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-4003 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-3431 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123))))) (-2265 (*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1524 (*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-4029 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-4029 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) (-1777 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-1777 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-1544 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) (-1452 (*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) (-1452 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-4080 (*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1048)) (-4 *1 (-297)) (-5 *2 (-1159 *1)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-1048)) (-4 *1 (-297)))) (-1657 (*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) (-1931 (*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121))))) 
-(-13 (-843) (-1038 (-608 $)) (-524 (-608 $) $) (-304 $) (-10 -8 (-15 -1534 ($ (-123) $)) (-15 -1534 ($ (-123) $ $)) (-15 -1534 ($ (-123) $ $ $)) (-15 -1534 ($ (-123) $ $ $ $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -2773 ($ $ (-289 $))) (-15 -2773 ($ $ (-635 (-289 $)))) (-15 -2773 ($ $ (-635 (-608 $)) (-635 $))) (-15 -4042 ($ $)) (-15 -4042 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -4082 ($ $)) (-15 -4082 ($ $ $)) (-15 -2626 ((-764) $)) (-15 -2359 ((-3 (-608 $) "failed") $)) (-15 -1735 ((-635 (-608 $)) $)) (-15 -4003 ((-635 (-608 $)) $)) (-15 -3431 ((-635 (-123)) $)) (-15 -2265 ((-123) (-123))) (-15 -1524 ((-121) (-123))) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (-15 -1777 ($ (-123) $)) (-15 -1777 ($ (-123) (-635 $))) (-15 -1544 ($ (-1 $ $) (-608 $))) (-15 -1452 ((-121) $ $)) (-15 -1452 ((-121) $ (-1163))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-1163) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-1163) (-1 $ $))) (-15 -1468 ($ $ (-635 (-123)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-123)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-123) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1048)) (PROGN (-15 -4080 ((-1159 $) (-608 $))) (-15 -2745 ($ $))) |noBranch|) (IF (|has| $ (-1038 (-569))) (PROGN (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $))) |noBranch|))) 
-(((-105) . T) ((-609 (-851)) . T) ((-304 $) . T) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-843) . T) ((-1038 (-608 $)) . T) ((-1091) . T)) 
-((-3517 (((-635 |#1|) (-635 |#1|)) 10))) 
-(((-298 |#1|) (-10 -7 (-15 -3517 ((-635 |#1|) (-635 |#1|)))) (-841)) (T -298)) 
-((-3517 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-841)) (-5 *1 (-298 *3))))) 
-(-10 -7 (-15 -3517 ((-635 |#1|) (-635 |#1|)))) 
-((-1544 (((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)) 15))) 
-(((-299 |#1| |#2|) (-10 -7 (-15 -1544 ((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)))) (-1048) (-1048)) (T -299)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-680 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-680 *6)) (-5 *1 (-299 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-680 |#2|) (-1 |#2| |#1|) (-680 |#1|)))) 
-((-3798 (((-1247 (-311 (-382))) (-1247 (-311 (-216)))) 105)) (-3295 (((-1085 (-836 (-216))) (-1085 (-836 (-382)))) 39)) (-1989 (((-635 (-1145)) (-1143 (-216))) 87)) (-4486 (((-311 (-382)) (-954 (-216))) 49)) (-2270 (((-216) (-954 (-216))) 45)) (-2860 (((-1145) (-382)) 167)) (-1489 (((-836 (-216)) (-836 (-382))) 33)) (-3820 (((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216)))) 142)) (-3141 (((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) 180) (((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) 178)) (-3477 (((-680 (-216)) (-635 (-216)) (-764)) 13)) (-4284 (((-1247 (-689)) (-635 (-216))) 94)) (-3679 (((-635 (-1145)) (-635 (-216))) 74)) (-1695 (((-3 (-311 (-216)) "failed") (-311 (-216))) 120)) (-3861 (((-121) (-216) (-1085 (-836 (-216)))) 109)) (-2233 (((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) 198)) (-1559 (((-216) (-1085 (-836 (-216)))) 107)) (-3995 (((-216) (-1085 (-836 (-216)))) 108)) (-4253 (((-216) (-410 (-569))) 26)) (-2788 (((-1145) (-382)) 72)) (-3432 (((-216) (-382)) 17)) (-3588 (((-382) (-1247 (-311 (-216)))) 153)) (-1299 (((-311 (-216)) (-311 (-382))) 23)) (-4472 (((-410 (-569)) (-311 (-216))) 52)) (-3571 (((-311 (-410 (-569))) (-311 (-216))) 68)) (-2214 (((-311 (-382)) (-311 (-216))) 98)) (-4340 (((-216) (-311 (-216))) 53)) (-3925 (((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) 63)) (-4234 (((-1085 (-836 (-216))) (-1085 (-836 (-216)))) 60)) (-2370 (((-1145) (-216)) 71)) (-3756 (((-689) (-216)) 90)) (-1410 (((-410 (-569)) (-216)) 54)) (-3421 (((-311 (-382)) (-216)) 48)) (-3817 (((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382))))) 42)) (-2250 (((-1036) (-635 (-1036))) 163) (((-1036) (-1036) (-1036)) 160)) (-4099 (((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
-(((-300) (-10 -7 (-15 -3432 ((-216) (-382))) (-15 -1299 ((-311 (-216)) (-311 (-382)))) (-15 -1489 ((-836 (-216)) (-836 (-382)))) (-15 -3295 ((-1085 (-836 (-216))) (-1085 (-836 (-382))))) (-15 -3817 ((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382)))))) (-15 -1410 ((-410 (-569)) (-216))) (-15 -4472 ((-410 (-569)) (-311 (-216)))) (-15 -4340 ((-216) (-311 (-216)))) (-15 -1695 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -3588 ((-382) (-1247 (-311 (-216))))) (-15 -3820 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216))))) (-15 -3571 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -4234 ((-1085 (-836 (-216))) (-1085 (-836 (-216))))) (-15 -3925 ((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-15 -3756 ((-689) (-216))) (-15 -4284 ((-1247 (-689)) (-635 (-216)))) (-15 -2214 ((-311 (-382)) (-311 (-216)))) (-15 -3798 ((-1247 (-311 (-382))) (-1247 (-311 (-216))))) (-15 -3861 ((-121) (-216) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -2788 ((-1145) (-382))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2250 ((-1036) (-1036) (-1036))) (-15 -2250 ((-1036) (-635 (-1036)))) (-15 -2860 ((-1145) (-382))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))))) (-15 -4099 ((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2233 ((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -4486 ((-311 (-382)) (-954 (-216)))) (-15 -2270 ((-216) (-954 (-216)))) (-15 -3421 ((-311 (-382)) (-216))) (-15 -4253 ((-216) (-410 (-569)))) (-15 -3477 ((-680 (-216)) (-635 (-216)) (-764))))) (T -300)) 
-((-3477 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-300)))) (-4253 (*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300)))) (-3421 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-2270 (*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4486 (*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-2233 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-4099 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-3141 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-2860 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-2250 (*1 *2 *3) (-12 (-5 *3 (-635 (-1036))) (-5 *2 (-1036)) (-5 *1 (-300)))) (-2250 (*1 *2 *2 *2) (-12 (-5 *2 (-1036)) (-5 *1 (-300)))) (-3995 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1559 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1989 (*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300)))) (-3679 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300)))) (-2788 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-2370 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-300)))) (-3861 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-836 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) (-3798 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-1247 (-311 (-382)))) (-5 *1 (-300)))) (-2214 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-4284 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1247 (-689))) (-5 *1 (-300)))) (-3756 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-689)) (-5 *1 (-300)))) (-3925 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300)))) (-4234 (*1 *2 *2) (-12 (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300)))) (-3820 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300)))) (-3588 (*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300)))) (-1695 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-4340 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-4472 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-1410 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-635 (-1085 (-836 (-382))))) (-5 *2 (-635 (-1085 (-836 (-216))))) (-5 *1 (-300)))) (-3295 (*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-382)))) (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300)))) (-1489 (*1 *2 *3) (-12 (-5 *3 (-836 (-382))) (-5 *2 (-836 (-216))) (-5 *1 (-300)))) (-1299 (*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-3432 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(-10 -7 (-15 -3432 ((-216) (-382))) (-15 -1299 ((-311 (-216)) (-311 (-382)))) (-15 -1489 ((-836 (-216)) (-836 (-382)))) (-15 -3295 ((-1085 (-836 (-216))) (-1085 (-836 (-382))))) (-15 -3817 ((-635 (-1085 (-836 (-216)))) (-635 (-1085 (-836 (-382)))))) (-15 -1410 ((-410 (-569)) (-216))) (-15 -4472 ((-410 (-569)) (-311 (-216)))) (-15 -4340 ((-216) (-311 (-216)))) (-15 -1695 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -3588 ((-382) (-1247 (-311 (-216))))) (-15 -3820 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1247 (-311 (-216))))) (-15 -3571 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -4234 ((-1085 (-836 (-216))) (-1085 (-836 (-216))))) (-15 -3925 ((-635 (-216)) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-15 -3756 ((-689) (-216))) (-15 -4284 ((-1247 (-689)) (-635 (-216)))) (-15 -2214 ((-311 (-382)) (-311 (-216)))) (-15 -3798 ((-1247 (-311 (-382))) (-1247 (-311 (-216))))) (-15 -3861 ((-121) (-216) (-1085 (-836 (-216))))) (-15 -2370 ((-1145) (-216))) (-15 -2788 ((-1145) (-382))) (-15 -3679 ((-635 (-1145)) (-635 (-216)))) (-15 -1989 ((-635 (-1145)) (-1143 (-216)))) (-15 -1559 ((-216) (-1085 (-836 (-216))))) (-15 -3995 ((-216) (-1085 (-836 (-216))))) (-15 -2250 ((-1036) (-1036) (-1036))) (-15 -2250 ((-1036) (-635 (-1036)))) (-15 -2860 ((-1145) (-382))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))))) (-15 -3141 ((-1036) (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))))) (-15 -4099 ((-1036) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -2233 ((-1036) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -4486 ((-311 (-382)) (-954 (-216)))) (-15 -2270 ((-216) (-954 (-216)))) (-15 -3421 ((-311 (-382)) (-216))) (-15 -4253 ((-216) (-410 (-569)))) (-15 -3477 ((-680 (-216)) (-635 (-216)) (-764)))) 
-((-3934 (((-121) $ $) 11)) (-2506 (($ $ $) 15)) (-2524 (($ $ $) 14)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 43)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 52)) (-2714 (($ $ $) 21) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-2941 (((-3 $ "failed") $ $) 18)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 45))) 
-(((-301 |#1|) (-10 -8 (-15 -1767 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2212 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2212 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -3934 ((-121) |#1| |#1|)) (-15 -4074 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -4332 ((-2 (|:| -4140 (-635 |#1|)) (|:| -1809 |#1|)) (-635 |#1|))) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) (-302)) (T -301)) 
-NIL 
-(-10 -8 (-15 -1767 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2212 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2212 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2506 (|#1| |#1| |#1|)) (-15 -2524 (|#1| |#1| |#1|)) (-15 -3934 ((-121) |#1| |#1|)) (-15 -4074 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -4332 ((-2 (|:| -4140 (-635 |#1|)) (|:| -1809 |#1|)) (-635 |#1|))) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-302) (-1278)) (T -302)) 
-((-3934 (*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121)))) (-2622 (*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-764)))) (-2609 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-302)))) (-2524 (*1 *1 *1 *1) (-4 *1 (-302))) (-2506 (*1 *1 *1 *1) (-4 *1 (-302))) (-2212 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-302)))) (-2212 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) (-1767 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
-(-13 (-917) (-10 -8 (-15 -3934 ((-121) $ $)) (-15 -2622 ((-764) $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2212 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -2212 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -1767 ((-3 (-635 $) "failed") (-635 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1468 (($ $ (-635 |#2|) (-635 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-289 |#2|)) 11) (($ $ (-635 (-289 |#2|))) NIL))) 
-(((-303 |#1| |#2|) (-10 -8 (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) (-304 |#2|) (-1091)) (T -303)) 
-NIL 
-(-10 -8 (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) 
-((-1468 (($ $ (-635 |#1|) (-635 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-289 |#1|)) 9) (($ $ (-635 (-289 |#1|))) 8))) 
-(((-304 |#1|) (-1278) (-1091)) (T -304)) 
-((-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1091))))) 
-(-13 (-524 |t#1| |t#1|) (-10 -8 (-15 -1468 ($ $ (-289 |t#1|))) (-15 -1468 ($ $ (-635 (-289 |t#1|)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 34)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 39)) (-2915 (($ $) 37)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) 32)) (-2793 (($ |#2| |#3|) 19)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 ((|#3| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 20)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3010 (((-3 $ "failed") $ $) NIL)) (-2061 (((-765) $) 33)) (-2503 ((|#2| $ |#2|) 41)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 24)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) ((|#2| $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 27 T CONST)) (-3297 (($) 35 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 36))) 
+(((-285 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-302) (-10 -8 (-15 -4138 (|#3| $)) (-15 -3956 (|#2| $)) (-15 -2793 ($ |#2| |#3|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)) (-15 -2503 (|#2| $ |#2|)))) (-173) (-1228 |#1|) (-23) (-1 |#2| |#2| |#3|) (-1 (-3 |#3| "failed") |#3| |#3|) (-1 (-3 |#2| "failed") |#2| |#2| |#3|)) (T -285)) 
+((-2611 (*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-4138 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1228 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) (-2793 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1228 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-3243 (*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) (-2503 (*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1228 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4))))) 
+(-13 (-302) (-10 -8 (-15 -4138 (|#3| $)) (-15 -3956 (|#2| $)) (-15 -2793 ($ |#2| |#3|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)) (-15 -2503 (|#2| $ |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-286) (-1284)) (T -286)) 
+NIL 
+(-13 (-1049) (-120 $ $) (-10 -7 (-6 -4564))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-4190 (((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))) 83)) (-1962 (((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|)))) 78) (((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765)) 36)) (-3853 (((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))) 80)) (-4185 (((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|)))) 60)) (-3684 (((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|)))) 59)) (-3033 (((-955 |#1|) (-681 (-410 (-955 |#1|)))) 47) (((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165)) 48))) 
+(((-287 |#1|) (-10 -7 (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165))) (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))))) (-15 -3684 ((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|))))) (-15 -4185 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|))))) (-15 -4190 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|))))) (-15 -3853 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))))) (-454)) (T -287)) 
+((-3853 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4)))))) (-4190 (*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4)))))) (-1962 (*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) (-1962 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-955 *6)) (-1154 (-1165) (-955 *6)))) (-5 *5 (-765)) (-4 *6 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-681 (-410 (-955 *6)))))) (-4185 (*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) (-3684 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4))))) (-5 *1 (-287 *4)))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-5 *2 (-955 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-955 *5)))) (-5 *4 (-1165)) (-5 *2 (-955 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454))))) 
+(-10 -7 (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))) (-1165))) (-15 -3033 ((-955 |#1|) (-681 (-410 (-955 |#1|))))) (-15 -3684 ((-635 (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (-681 (-410 (-955 |#1|))))) (-15 -4185 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|))) (-681 (-410 (-955 |#1|))) (-765) (-765))) (-15 -1962 ((-635 (-681 (-410 (-955 |#1|)))) (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|)))))) (-681 (-410 (-955 |#1|))))) (-15 -4190 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|))))) (-15 -3853 ((-635 (-2 (|:| |eigval| (-3 (-410 (-955 |#1|)) (-1154 (-1165) (-955 |#1|)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 |#1|))))))) (-681 (-410 (-955 |#1|)))))) 
+((-4188 (((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)) 14))) 
+(((-288 |#1| |#2|) (-10 -7 (-15 -4188 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) (-1199) (-1199)) (T -288)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-289 |#2|) (-1 |#2| |#1|) (-289 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-1806 (($ $) 22)) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-2505 (($ $ $) 93 (|has| |#1| (-297)))) (-4483 (($) NIL (-1929 (|has| |#1| (-21)) (|has| |#1| (-718))) CONST)) (-3842 (($ $) 8 (|has| |#1| (-21)))) (-4484 (((-3 $ "failed") $) 68 (|has| |#1| (-718)))) (-4255 ((|#1| $) 21)) (-2611 (((-3 $ "failed") $) 66 (|has| |#1| (-718)))) (-3934 (((-121) $) NIL (|has| |#1| (-718)))) (-4188 (($ (-1 |#1| |#1|) $) 24)) (-1338 ((|#1| $) 9)) (-3909 (($ $) 57 (|has| |#1| (-21)))) (-2162 (((-3 $ "failed") $) 67 (|has| |#1| (-718)))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3243 (($ $) 70 (-1929 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1984 (((-635 $) $) 19 (|has| |#1| (-559)))) (-1484 (($ $ $) 34 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 $)) 37 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-1165) |#1|) 27 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 31 (|has| |#1| (-524 (-1165) |#1|)))) (-4183 (($ |#1| |#1|) 17)) (-2174 (((-140)) 88 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) 85 (|has| |#1| (-897 (-1165))))) (-3980 (($ $ $) NIL (|has| |#1| (-479)))) (-2689 (($ $ $) NIL (|has| |#1| (-479)))) (-3956 (($ (-569)) NIL (|has| |#1| (-1049))) (((-121) $) 45 (|has| |#1| (-1093))) (((-852) $) 44 (|has| |#1| (-1093)))) (-2320 (((-765)) 73 (|has| |#1| (-1049)))) (-3403 (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-765)) NIL (|has| |#1| (-718))) (($ $ (-919)) NIL (|has| |#1| (-1105)))) (-2407 (($) 55 (|has| |#1| (-21)) CONST)) (-3297 (($) 63 (|has| |#1| (-718)) CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165))))) (-1326 (($ |#1| |#1|) 20) (((-121) $ $) 40 (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 90 (-1929 (|has| |#1| (-366)) (|has| |#1| (-479))))) (-1377 (($ |#1| $) 53 (|has| |#1| (-21))) (($ $ |#1|) 54 (|has| |#1| (-21))) (($ $ $) 52 (|has| |#1| (-21))) (($ $) 51 (|has| |#1| (-21)))) (-1371 (($ |#1| $) 48 (|has| |#1| (-25))) (($ $ |#1|) 49 (|has| |#1| (-25))) (($ $ $) 47 (|has| |#1| (-25)))) (** (($ $ (-569)) NIL (|has| |#1| (-479))) (($ $ (-765)) NIL (|has| |#1| (-718))) (($ $ (-919)) NIL (|has| |#1| (-1105)))) (* (($ $ |#1|) 61 (|has| |#1| (-1105))) (($ |#1| $) 60 (|has| |#1| (-1105))) (($ $ $) 59 (|has| |#1| (-1105))) (($ (-569) $) 76 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-25))))) 
+(((-289 |#1|) (-13 (-1199) (-10 -8 (-15 -1326 ($ |#1| |#1|)) (-15 -4183 ($ |#1| |#1|)) (-15 -1806 ($ $)) (-15 -1338 (|#1| $)) (-15 -4255 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1165) |#1|)) (-6 (-524 (-1165) |#1|)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-6 (-1093)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1484 ($ $ $)) (-15 -1484 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1371 ($ |#1| $)) (-15 -1371 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3909 ($ $)) (-15 -3842 ($ $)) (-15 -1377 ($ |#1| $)) (-15 -1377 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1105)) (PROGN (-6 (-1105)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-718)) (PROGN (-6 (-718)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1984 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1260 |#1|)) (-15 -1383 ($ $ $)) (-15 -3243 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2505 ($ $ $)) |noBranch|))) (-1199)) (T -289)) 
+((-1326 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4183 (*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-1806 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-1338 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4255 (*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) (-1484 (*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)) (-5 *1 (-289 *2)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) (-1371 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) (-1371 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) (-3909 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-3842 (*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-1377 (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-1377 (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) (-2162 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199)))) (-4484 (*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199)))) (-1984 (*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1199)))) (-2505 (*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1199)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) (-1383 (*1 *1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) (-3243 (*1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199)))))) 
+(-13 (-1199) (-10 -8 (-15 -1326 ($ |#1| |#1|)) (-15 -4183 ($ |#1| |#1|)) (-15 -1806 ($ $)) (-15 -1338 (|#1| $)) (-15 -4255 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-524 (-1165) |#1|)) (-6 (-524 (-1165) |#1|)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-6 (-1093)) (-6 (-609 (-121))) (IF (|has| |#1| (-304 |#1|)) (PROGN (-15 -1484 ($ $ $)) (-15 -1484 ($ $ (-635 $)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-25)) (PROGN (-6 (-25)) (-15 -1371 ($ |#1| $)) (-15 -1371 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-21)) (PROGN (-6 (-21)) (-15 -3909 ($ $)) (-15 -3842 ($ $)) (-15 -1377 ($ |#1| $)) (-15 -1377 ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-1105)) (PROGN (-6 (-1105)) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|))) |noBranch|) (IF (|has| |#1| (-718)) (PROGN (-6 (-718)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-479)) (PROGN (-6 (-479)) (-15 -2162 ((-3 $ "failed") $)) (-15 -4484 ((-3 $ "failed") $))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-120 |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|) (IF (|has| |#1| (-559)) (-15 -1984 ((-635 $) $)) |noBranch|) (IF (|has| |#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-1260 |#1|)) (-15 -1383 ($ $ $)) (-15 -3243 ($ $))) |noBranch|) (IF (|has| |#1| (-297)) (-15 -2505 ($ $ $)) |noBranch|))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-290 |#1| |#2|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093)) (T -290)) 
+NIL 
+(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
+((-3896 (((-306) (-1147) (-635 (-1147))) 16) (((-306) (-1147) (-1147)) 15) (((-306) (-635 (-1147))) 14) (((-306) (-1147)) 12))) 
+(((-291) (-10 -7 (-15 -3896 ((-306) (-1147))) (-15 -3896 ((-306) (-635 (-1147)))) (-15 -3896 ((-306) (-1147) (-1147))) (-15 -3896 ((-306) (-1147) (-635 (-1147)))))) (T -291)) 
+((-3896 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1147))) (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-306)) (-5 *1 (-291)))) (-3896 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(-10 -7 (-15 -3896 ((-306) (-1147))) (-15 -3896 ((-306) (-635 (-1147)))) (-15 -3896 ((-306) (-1147) (-1147))) (-15 -3896 ((-306) (-1147) (-635 (-1147))))) 
+((-4188 ((|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)) 17))) 
+(((-292 |#1| |#2|) (-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)))) (-297) (-1199)) (T -292)) 
+((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1147)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1199)) (-5 *1 (-292 *6 *2))))) 
+(-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-1147) (-608 |#1|)))) 
+((-4188 ((|#2| (-1 |#2| |#1|) (-608 |#1|)) 17))) 
+(((-293 |#1| |#2|) (-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) (-297) (-297)) (T -293)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2))))) 
+(-10 -7 (-15 -4188 (|#2| (-1 |#2| |#1|) (-608 |#1|)))) 
+((-1922 (((-121) (-216)) 10))) 
+(((-294 |#1| |#2|) (-10 -7 (-15 -1922 ((-121) (-216)))) (-216) (-216)) (T -294)) 
+((-1922 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-10 -7 (-15 -1922 ((-121) (-216)))) 
+((-3298 (((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216)))) 88)) (-3991 (((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216)))) 103) (((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216)))) 58)) (-2260 (((-635 (-1147)) (-1145 (-216))) NIL)) (-3819 (((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216)))) 55)) (-2873 (((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216)))) 47)) (-3470 (((-635 (-1147)) (-635 (-216))) NIL)) (-3193 (((-216) (-1087 (-837 (-216)))) 23)) (-4166 (((-216) (-1087 (-837 (-216)))) 24)) (-4231 (((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 51)) (-2206 (((-1147) (-216)) NIL))) 
+(((-295) (-10 -7 (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4231 ((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3298 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -2873 ((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))))) (T -295)) 
+((-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-295)))) (-2873 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-3991 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3991 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3298 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) (-3819 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295)))) (-4231 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295))))) 
+(-10 -7 (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4231 ((-121) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3819 ((-635 (-216)) (-311 (-216)) (-1165) (-1087 (-837 (-216))))) (-15 -3298 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-311 (-216)) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -3991 ((-1145 (-216)) (-1253 (-311 (-216))) (-635 (-1165)) (-1087 (-837 (-216))))) (-15 -2873 ((-635 (-216)) (-955 (-410 (-569))) (-1165) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216))))) 
+((-4320 (((-635 (-608 $)) $) 28)) (-2505 (($ $ (-289 $)) 80) (($ $ (-635 (-289 $))) 120) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) 110)) (-1321 (((-608 $) $) 109)) (-2674 (($ $) 19) (($ (-635 $)) 54)) (-1367 (((-635 (-123)) $) 37)) (-1344 (((-123) (-123)) 90)) (-3520 (((-121) $) 128)) (-4188 (($ (-1 $ $) (-608 $)) 88)) (-3277 (((-3 (-608 $) "failed") $) 92)) (-3529 (($ (-123) $) 60) (($ (-123) (-635 $)) 98)) (-3845 (((-121) $ (-123)) 114) (((-121) $ (-1165)) 113)) (-1468 (((-765) $) 45)) (-2400 (((-121) $ $) 58) (((-121) $ (-1165)) 49)) (-3912 (((-121) $) 126)) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) 118) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 83) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) 68) (($ $ (-1165) (-1 $ $)) 74) (($ $ (-635 (-123)) (-635 (-1 $ $))) 82) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 84) (($ $ (-123) (-1 $ (-635 $))) 70) (($ $ (-123) (-1 $ $)) 76)) (-2503 (($ (-123) $) 61) (($ (-123) $ $) 62) (($ (-123) $ $ $) 63) (($ (-123) $ $ $ $) 64) (($ (-123) (-635 $)) 106)) (-2454 (($ $) 51) (($ $ $) 116)) (-2856 (($ $) 17) (($ (-635 $)) 53)) (-3791 (((-121) (-123)) 22))) 
+(((-296 |#1|) (-10 -8 (-15 -3520 ((-121) |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -2400 ((-121) |#1| (-1165))) (-15 -2400 ((-121) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -3529 (|#1| (-123) (-635 |#1|))) (-15 -3529 (|#1| (-123) |#1|)) (-15 -3845 ((-121) |#1| (-1165))) (-15 -3845 ((-121) |#1| (-123))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1367 ((-635 (-123)) |#1|)) (-15 -4320 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -1468 ((-765) |#1|)) (-15 -2454 (|#1| |#1| |#1|)) (-15 -2454 (|#1| |#1|)) (-15 -2674 (|#1| (-635 |#1|))) (-15 -2674 (|#1| |#1|)) (-15 -2856 (|#1| (-635 |#1|))) (-15 -2856 (|#1| |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|))) (-297)) (T -296)) 
+((-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297))))) 
+(-10 -8 (-15 -3520 ((-121) |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -2400 ((-121) |#1| (-1165))) (-15 -2400 ((-121) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#1| |#1|) (-608 |#1|))) (-15 -3529 (|#1| (-123) (-635 |#1|))) (-15 -3529 (|#1| (-123) |#1|)) (-15 -3845 ((-121) |#1| (-1165))) (-15 -3845 ((-121) |#1| (-123))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1367 ((-635 (-123)) |#1|)) (-15 -4320 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -1468 ((-765) |#1|)) (-15 -2454 (|#1| |#1| |#1|)) (-15 -2454 (|#1| |#1|)) (-15 -2674 (|#1| (-635 |#1|))) (-15 -2674 (|#1| |#1|)) (-15 -2856 (|#1| (-635 |#1|))) (-15 -2856 (|#1| |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|))) 
+((-1310 (((-121) $ $) 7)) (-4320 (((-635 (-608 $)) $) 43)) (-2505 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-3003 (((-3 (-608 $) "failed") $) 68)) (-1321 (((-608 $) $) 67)) (-2674 (($ $) 50) (($ (-635 $)) 49)) (-1367 (((-635 (-123)) $) 42)) (-1344 (((-123) (-123)) 41)) (-3520 (((-121) $) 21 (|has| $ (-1039 (-569))))) (-2387 (((-1161 $) (-608 $)) 24 (|has| $ (-1049)))) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4188 (($ (-1 $ $) (-608 $)) 35)) (-3277 (((-3 (-608 $) "failed") $) 45)) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 44)) (-3529 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-3845 (((-121) $ (-123)) 39) (((-121) $ (-1165)) 38)) (-1468 (((-765) $) 46)) (-1912 (((-1111) $) 10)) (-2400 (((-121) $ $) 34) (((-121) $ (-1165)) 33)) (-3912 (((-121) $) 22 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1165) (-1 $ (-635 $))) 30) (($ $ (-1165) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25)) (-2503 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-2454 (($ $) 48) (($ $ $) 47)) (-3036 (($ $) 23 (|has| $ (-1049)))) (-3956 (((-852) $) 11) (($ (-608 $)) 69)) (-2856 (($ $) 52) (($ (-635 $)) 51)) (-3791 (((-121) (-123)) 40)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
+(((-297) (-1284)) (T -297)) 
+((-2503 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-2503 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) (-2505 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-2856 (*1 *1 *1) (-4 *1 (-297))) (-2856 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2674 (*1 *1 *1) (-4 *1 (-297))) (-2674 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) (-2454 (*1 *1 *1) (-4 *1 (-297))) (-2454 (*1 *1 *1 *1) (-4 *1 (-297))) (-1468 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-765)))) (-3277 (*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297)))) (-3121 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-4320 (*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297)))) (-1367 (*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123))))) (-1344 (*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3791 (*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3845 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) (-3845 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) (-3529 (*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) (-3529 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) (-4188 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) (-2400 (*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) (-2400 (*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) (-2387 (*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1049)) (-4 *1 (-297)) (-5 *2 (-1161 *1)))) (-3036 (*1 *1 *1) (-12 (-4 *1 (-1049)) (-4 *1 (-297)))) (-3912 (*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) (-3520 (*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121))))) 
+(-13 (-844) (-1039 (-608 $)) (-524 (-608 $) $) (-304 $) (-10 -8 (-15 -2503 ($ (-123) $)) (-15 -2503 ($ (-123) $ $)) (-15 -2503 ($ (-123) $ $ $)) (-15 -2503 ($ (-123) $ $ $ $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -2505 ($ $ (-289 $))) (-15 -2505 ($ $ (-635 (-289 $)))) (-15 -2505 ($ $ (-635 (-608 $)) (-635 $))) (-15 -2856 ($ $)) (-15 -2856 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2454 ($ $)) (-15 -2454 ($ $ $)) (-15 -1468 ((-765) $)) (-15 -3277 ((-3 (-608 $) "failed") $)) (-15 -3121 ((-635 (-608 $)) $)) (-15 -4320 ((-635 (-608 $)) $)) (-15 -1367 ((-635 (-123)) $)) (-15 -1344 ((-123) (-123))) (-15 -3791 ((-121) (-123))) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (-15 -3529 ($ (-123) $)) (-15 -3529 ($ (-123) (-635 $))) (-15 -4188 ($ (-1 $ $) (-608 $))) (-15 -2400 ((-121) $ $)) (-15 -2400 ((-121) $ (-1165))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-1165) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-1165) (-1 $ $))) (-15 -1484 ($ $ (-635 (-123)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-123)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-123) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-123) (-1 $ $))) (IF (|has| $ (-1049)) (PROGN (-15 -2387 ((-1161 $) (-608 $))) (-15 -3036 ($ $))) |noBranch|) (IF (|has| $ (-1039 (-569))) (PROGN (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $))) |noBranch|))) 
+(((-105) . T) ((-609 (-852)) . T) ((-304 $) . T) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-844) . T) ((-1039 (-608 $)) . T) ((-1093) . T)) 
+((-2923 (((-635 |#1|) (-635 |#1|)) 10))) 
+(((-298 |#1|) (-10 -7 (-15 -2923 ((-635 |#1|) (-635 |#1|)))) (-842)) (T -298)) 
+((-2923 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-842)) (-5 *1 (-298 *3))))) 
+(-10 -7 (-15 -2923 ((-635 |#1|) (-635 |#1|)))) 
+((-4188 (((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)) 15))) 
+(((-299 |#1| |#2|) (-10 -7 (-15 -4188 ((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)))) (-1049) (-1049)) (T -299)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-681 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-681 *6)) (-5 *1 (-299 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-681 |#2|) (-1 |#2| |#1|) (-681 |#1|)))) 
+((-3004 (((-1253 (-311 (-382))) (-1253 (-311 (-216)))) 105)) (-2269 (((-1087 (-837 (-216))) (-1087 (-837 (-382)))) 39)) (-2260 (((-635 (-1147)) (-1145 (-216))) 87)) (-1841 (((-311 (-382)) (-955 (-216))) 49)) (-1453 (((-216) (-955 (-216))) 45)) (-2844 (((-1147) (-382)) 167)) (-4093 (((-837 (-216)) (-837 (-382))) 33)) (-2357 (((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216)))) 142)) (-2725 (((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) 180) (((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) 178)) (-4463 (((-681 (-216)) (-635 (-216)) (-765)) 13)) (-3822 (((-1253 (-690)) (-635 (-216))) 94)) (-3470 (((-635 (-1147)) (-635 (-216))) 74)) (-3961 (((-3 (-311 (-216)) "failed") (-311 (-216))) 120)) (-1922 (((-121) (-216) (-1087 (-837 (-216)))) 109)) (-3271 (((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) 198)) (-3193 (((-216) (-1087 (-837 (-216)))) 107)) (-4166 (((-216) (-1087 (-837 (-216)))) 108)) (-4297 (((-216) (-410 (-569))) 26)) (-1607 (((-1147) (-382)) 72)) (-1395 (((-216) (-382)) 17)) (-1901 (((-382) (-1253 (-311 (-216)))) 153)) (-2801 (((-311 (-216)) (-311 (-382))) 23)) (-1434 (((-410 (-569)) (-311 (-216))) 52)) (-1521 (((-311 (-410 (-569))) (-311 (-216))) 68)) (-2864 (((-311 (-382)) (-311 (-216))) 98)) (-2362 (((-216) (-311 (-216))) 53)) (-4014 (((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) 63)) (-1821 (((-1087 (-837 (-216))) (-1087 (-837 (-216)))) 60)) (-2206 (((-1147) (-216)) 71)) (-3555 (((-690) (-216)) 90)) (-4013 (((-410 (-569)) (-216)) 54)) (-2392 (((-311 (-382)) (-216)) 48)) (-4035 (((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382))))) 42)) (-4456 (((-1037) (-635 (-1037))) 163) (((-1037) (-1037) (-1037)) 160)) (-1592 (((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) 194))) 
+(((-300) (-10 -7 (-15 -1395 ((-216) (-382))) (-15 -2801 ((-311 (-216)) (-311 (-382)))) (-15 -4093 ((-837 (-216)) (-837 (-382)))) (-15 -2269 ((-1087 (-837 (-216))) (-1087 (-837 (-382))))) (-15 -4035 ((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382)))))) (-15 -4013 ((-410 (-569)) (-216))) (-15 -1434 ((-410 (-569)) (-311 (-216)))) (-15 -2362 ((-216) (-311 (-216)))) (-15 -3961 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1901 ((-382) (-1253 (-311 (-216))))) (-15 -2357 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216))))) (-15 -1521 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -1821 ((-1087 (-837 (-216))) (-1087 (-837 (-216))))) (-15 -4014 ((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-15 -3555 ((-690) (-216))) (-15 -3822 ((-1253 (-690)) (-635 (-216)))) (-15 -2864 ((-311 (-382)) (-311 (-216)))) (-15 -3004 ((-1253 (-311 (-382))) (-1253 (-311 (-216))))) (-15 -1922 ((-121) (-216) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -1607 ((-1147) (-382))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4456 ((-1037) (-1037) (-1037))) (-15 -4456 ((-1037) (-635 (-1037)))) (-15 -2844 ((-1147) (-382))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))))) (-15 -1592 ((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3271 ((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -1841 ((-311 (-382)) (-955 (-216)))) (-15 -1453 ((-216) (-955 (-216)))) (-15 -2392 ((-311 (-382)) (-216))) (-15 -4297 ((-216) (-410 (-569)))) (-15 -4463 ((-681 (-216)) (-635 (-216)) (-765))))) (T -300)) 
+((-4463 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-300)))) (-4297 (*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2392 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-1453 (*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1841 (*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-3271 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-1592 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2725 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2725 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-2844 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-4456 (*1 *2 *3) (-12 (-5 *3 (-635 (-1037))) (-5 *2 (-1037)) (-5 *1 (-300)))) (-4456 (*1 *2 *2 *2) (-12 (-5 *2 (-1037)) (-5 *1 (-300)))) (-4166 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-3193 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300)))) (-2260 (*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300)))) (-3470 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300)))) (-1607 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-2206 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-300)))) (-1922 (*1 *2 *3 *4) (-12 (-5 *4 (-1087 (-837 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) (-3004 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-1253 (-311 (-382)))) (-5 *1 (-300)))) (-2864 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300)))) (-3822 (*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1253 (-690))) (-5 *1 (-300)))) (-3555 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-690)) (-5 *1 (-300)))) (-4014 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300)))) (-1821 (*1 *2 *2) (-12 (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300)))) (-1521 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300)))) (-2357 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300)))) (-1901 (*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300)))) (-3961 (*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300)))) (-1434 (*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-4013 (*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-635 (-1087 (-837 (-382))))) (-5 *2 (-635 (-1087 (-837 (-216))))) (-5 *1 (-300)))) (-2269 (*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-382)))) (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300)))) (-4093 (*1 *2 *3) (-12 (-5 *3 (-837 (-382))) (-5 *2 (-837 (-216))) (-5 *1 (-300)))) (-2801 (*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300)))) (-1395 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(-10 -7 (-15 -1395 ((-216) (-382))) (-15 -2801 ((-311 (-216)) (-311 (-382)))) (-15 -4093 ((-837 (-216)) (-837 (-382)))) (-15 -2269 ((-1087 (-837 (-216))) (-1087 (-837 (-382))))) (-15 -4035 ((-635 (-1087 (-837 (-216)))) (-635 (-1087 (-837 (-382)))))) (-15 -4013 ((-410 (-569)) (-216))) (-15 -1434 ((-410 (-569)) (-311 (-216)))) (-15 -2362 ((-216) (-311 (-216)))) (-15 -3961 ((-3 (-311 (-216)) "failed") (-311 (-216)))) (-15 -1901 ((-382) (-1253 (-311 (-216))))) (-15 -2357 ((-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569))) (-1253 (-311 (-216))))) (-15 -1521 ((-311 (-410 (-569))) (-311 (-216)))) (-15 -1821 ((-1087 (-837 (-216))) (-1087 (-837 (-216))))) (-15 -4014 ((-635 (-216)) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-15 -3555 ((-690) (-216))) (-15 -3822 ((-1253 (-690)) (-635 (-216)))) (-15 -2864 ((-311 (-382)) (-311 (-216)))) (-15 -3004 ((-1253 (-311 (-382))) (-1253 (-311 (-216))))) (-15 -1922 ((-121) (-216) (-1087 (-837 (-216))))) (-15 -2206 ((-1147) (-216))) (-15 -1607 ((-1147) (-382))) (-15 -3470 ((-635 (-1147)) (-635 (-216)))) (-15 -2260 ((-635 (-1147)) (-1145 (-216)))) (-15 -3193 ((-216) (-1087 (-837 (-216))))) (-15 -4166 ((-216) (-1087 (-837 (-216))))) (-15 -4456 ((-1037) (-1037) (-1037))) (-15 -4456 ((-1037) (-635 (-1037)))) (-15 -2844 ((-1147) (-382))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))))) (-15 -2725 ((-1037) (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))))) (-15 -1592 ((-1037) (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))) (-15 -3271 ((-1037) (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))) (-15 -1841 ((-311 (-382)) (-955 (-216)))) (-15 -1453 ((-216) (-955 (-216)))) (-15 -2392 ((-311 (-382)) (-216))) (-15 -4297 ((-216) (-410 (-569)))) (-15 -4463 ((-681 (-216)) (-635 (-216)) (-765)))) 
+((-2889 (((-121) $ $) 11)) (-1614 (($ $ $) 15)) (-1626 (($ $ $) 14)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 43)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 52)) (-3964 (($ $ $) 21) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 31) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 36)) (-1436 (((-3 $ "failed") $ $) 18)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 45))) 
+(((-301 |#1|) (-10 -8 (-15 -4153 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2804 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2804 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -2889 ((-121) |#1| |#1|)) (-15 -2213 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2153 ((-2 (|:| -3550 (-635 |#1|)) (|:| -1986 |#1|)) (-635 |#1|))) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) (-302)) (T -301)) 
+NIL 
+(-10 -8 (-15 -4153 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2804 ((-3 (-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|)) "failed") |#1| |#1| |#1|)) (-15 -2804 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -1614 (|#1| |#1| |#1|)) (-15 -1626 (|#1| |#1| |#1|)) (-15 -2889 ((-121) |#1| |#1|)) (-15 -2213 ((-3 (-635 |#1|) "failed") (-635 |#1|) |#1|)) (-15 -2153 ((-2 (|:| -3550 (-635 |#1|)) (|:| -1986 |#1|)) (-635 |#1|))) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-302) (-1284)) (T -302)) 
+((-2889 (*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121)))) (-2061 (*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-765)))) (-3135 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-302)))) (-1626 (*1 *1 *1 *1) (-4 *1 (-302))) (-1614 (*1 *1 *1 *1) (-4 *1 (-302))) (-2804 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-302)))) (-2804 (*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) (-4153 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
+(-13 (-918) (-10 -8 (-15 -2889 ((-121) $ $)) (-15 -2061 ((-765) $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -2804 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -2804 ((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $)) (-15 -4153 ((-3 (-635 $) "failed") (-635 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1484 (($ $ (-635 |#2|) (-635 |#2|)) 14) (($ $ |#2| |#2|) NIL) (($ $ (-289 |#2|)) 11) (($ $ (-635 (-289 |#2|))) NIL))) 
+(((-303 |#1| |#2|) (-10 -8 (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) (-304 |#2|) (-1093)) (T -303)) 
+NIL 
+(-10 -8 (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|)))) 
+((-1484 (($ $ (-635 |#1|) (-635 |#1|)) 7) (($ $ |#1| |#1|) 6) (($ $ (-289 |#1|)) 9) (($ $ (-635 (-289 |#1|))) 8))) 
+(((-304 |#1|) (-1284) (-1093)) (T -304)) 
+((-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1093))))) 
+(-13 (-524 |t#1| |t#1|) (-10 -8 (-15 -1484 ($ $ (-289 |t#1|))) (-15 -1484 ($ $ (-635 (-289 |t#1|)))))) 
 (((-524 |#1| |#1|) . T)) 
-((-1468 ((|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))) 24))) 
-(((-305 |#1|) (-10 -7 (-15 -1468 (|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))))) (-43 (-410 (-569)))) (T -305)) 
-((-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1165 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569))))))) 
-(-10 -7 (-15 -1468 (|#1| (-1 |#1| (-569)) (-1165 (-410 (-569)))))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) 9))) 
-(((-306) (-1091)) (T -306)) 
-NIL 
-(-1091) 
-((-3621 (((-1252) (-1151 3 (-216)) (-1145)) 38))) 
-(((-307) (-10 -7 (-15 -3621 ((-1252) (-1151 3 (-216)) (-1145))))) (T -307)) 
-((-3621 (*1 *2 *3 *4) (-12 (-5 *3 (-1151 3 (-216))) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-307))))) 
-(-10 -7 (-15 -3621 ((-1252) (-1151 3 (-216)) (-1145)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 62)) (-3761 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1232 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-1231 |#2| |#3| |#4|) "failed") $) 24)) (-2428 (((-1232 |#1| |#2| |#3| |#4|) $) NIL) (((-1163) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-569) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-569)))) (((-1231 |#2| |#3| |#4|) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-1232 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1247 (-1232 |#1| |#2| |#3| |#4|)))) (-680 $) (-1247 $)) NIL) (((-680 (-1232 |#1| |#2| |#3| |#4|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-1232 |#1| |#2| |#3| |#4|) $) 21)) (-3846 (((-3 $ "failed") $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1538 (($ $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1544 (($ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) $) NIL)) (-3256 (((-3 (-836 |#2|) "failed") $) 76)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-302)))) (-2942 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-1232 |#1| |#2| |#3| |#4|)) (-635 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-289 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-289 (-1232 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-304 (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-1163)) (-635 (-1232 |#1| |#2| |#3| |#4|))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|)))) (($ $ (-1163) (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-524 (-1163) (-1232 |#1| |#2| |#3| |#4|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-1232 |#1| |#2| |#3| |#4|)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-282 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) (-764)) NIL) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-1232 |#1| |#2| |#3| |#4|) $) 17)) (-3817 (((-888 (-569)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-610 (-542)))) (((-382) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1022))) (((-216) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1232 |#1| |#2| |#3| |#4|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-1232 |#1| |#2| |#3| |#4|)) 28) (($ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-1038 (-1163)))) (($ (-1231 |#2| |#3| |#4|)) 36)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1232 |#1| |#2| |#3| |#4|) (-905))) (|has| (-1232 |#1| |#2| |#3| |#4|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-1232 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 41 T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1163)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-896 (-1163)))) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) (-764)) NIL) (($ $ (-1 (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-1232 |#1| |#2| |#3| |#4|) (-843)))) (-1715 (($ $ $) 33) (($ (-1232 |#1| |#2| |#3| |#4|) (-1232 |#1| |#2| |#3| |#4|)) 30)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-1232 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1232 |#1| |#2| |#3| |#4|)) NIL))) 
-(((-308 |#1| |#2| |#3| |#4|) (-13 (-994 (-1232 |#1| |#2| |#3| |#4|)) (-1038 (-1231 |#2| |#3| |#4|)) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -2185 ($ (-1231 |#2| |#3| |#4|))))) (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -308)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1231 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4) (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) (-3256 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
-(-13 (-994 (-1232 |#1| |#2| |#3| |#4|)) (-1038 (-1231 |#2| |#3| |#4|)) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -2185 ($ (-1231 |#2| |#3| |#4|))))) 
-((-1544 (((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)) 13))) 
-(((-309 |#1| |#2|) (-10 -7 (-15 -1544 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) (-843) (-843)) (T -309)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) 
-((-1784 (((-57) |#2| (-289 |#2|) (-764)) 33) (((-57) |#2| (-289 |#2|)) 24) (((-57) |#2| (-764)) 28) (((-57) |#2|) 25) (((-57) (-1163)) 21)) (-3343 (((-57) |#2| (-289 |#2|) (-410 (-569))) 51) (((-57) |#2| (-289 |#2|)) 48) (((-57) |#2| (-410 (-569))) 50) (((-57) |#2|) 49) (((-57) (-1163)) 47)) (-1791 (((-57) |#2| (-289 |#2|) (-410 (-569))) 46) (((-57) |#2| (-289 |#2|)) 43) (((-57) |#2| (-410 (-569))) 45) (((-57) |#2|) 44) (((-57) (-1163)) 42)) (-1788 (((-57) |#2| (-289 |#2|) (-569)) 39) (((-57) |#2| (-289 |#2|)) 35) (((-57) |#2| (-569)) 38) (((-57) |#2|) 36) (((-57) (-1163)) 34))) 
-(((-310 |#1| |#2|) (-10 -7 (-15 -1784 ((-57) (-1163))) (-15 -1784 ((-57) |#2|)) (-15 -1784 ((-57) |#2| (-764))) (-15 -1784 ((-57) |#2| (-289 |#2|))) (-15 -1784 ((-57) |#2| (-289 |#2|) (-764))) (-15 -1788 ((-57) (-1163))) (-15 -1788 ((-57) |#2|)) (-15 -1788 ((-57) |#2| (-569))) (-15 -1788 ((-57) |#2| (-289 |#2|))) (-15 -1788 ((-57) |#2| (-289 |#2|) (-569))) (-15 -1791 ((-57) (-1163))) (-15 -1791 ((-57) |#2|)) (-15 -1791 ((-57) |#2| (-410 (-569)))) (-15 -1791 ((-57) |#2| (-289 |#2|))) (-15 -1791 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -3343 ((-57) (-1163))) (-15 -3343 ((-57) |#2|)) (-15 -3343 ((-57) |#2| (-410 (-569)))) (-15 -3343 ((-57) |#2| (-289 |#2|))) (-15 -3343 ((-57) |#2| (-289 |#2|) (-410 (-569))))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -310)) 
-((-3343 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-3343 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-3343 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1791 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1791 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1791 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1791 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1791 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1788 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1788 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-843) (-1038 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1788 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1788 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-764)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1784 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1784 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4)))))) 
-(-10 -7 (-15 -1784 ((-57) (-1163))) (-15 -1784 ((-57) |#2|)) (-15 -1784 ((-57) |#2| (-764))) (-15 -1784 ((-57) |#2| (-289 |#2|))) (-15 -1784 ((-57) |#2| (-289 |#2|) (-764))) (-15 -1788 ((-57) (-1163))) (-15 -1788 ((-57) |#2|)) (-15 -1788 ((-57) |#2| (-569))) (-15 -1788 ((-57) |#2| (-289 |#2|))) (-15 -1788 ((-57) |#2| (-289 |#2|) (-569))) (-15 -1791 ((-57) (-1163))) (-15 -1791 ((-57) |#2|)) (-15 -1791 ((-57) |#2| (-410 (-569)))) (-15 -1791 ((-57) |#2| (-289 |#2|))) (-15 -1791 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -3343 ((-57) (-1163))) (-15 -3343 ((-57) |#2|)) (-15 -3343 ((-57) |#2| (-410 (-569)))) (-15 -3343 ((-57) |#2| (-289 |#2|))) (-15 -3343 ((-57) |#2| (-289 |#2|) (-410 (-569))))) 
-((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) $ (-1163)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $)) NIL (|has| |#1| (-559))) (((-635 $) (-954 $)) NIL (|has| |#1| (-559)))) (-2493 (($ $ (-1163)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (($ (-1159 $)) NIL (|has| |#1| (-559))) (($ (-954 $)) NIL (|has| |#1| (-559)))) (-3813 (((-121) $) 27 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-1773 (((-635 (-1163)) $) 348)) (-1739 (((-410 (-1159 $)) $ (-608 $)) NIL (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4003 (((-635 (-608 $)) $) NIL)) (-1753 (($ $) 154 (|has| |#1| (-559)))) (-2530 (($ $) 130 (|has| |#1| (-559)))) (-3210 (($ $ (-1083 $)) 215 (|has| |#1| (-559))) (($ $ (-1163)) 211 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) 364) (($ $ (-635 (-608 $)) (-635 $)) 407)) (-2379 (((-421 (-1159 $)) (-1159 $)) 292 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-2004 (($ $) NIL (|has| |#1| (-559)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2454 (($ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1744 (($ $) 150 (|has| |#1| (-559)))) (-2513 (($ $) 126 (|has| |#1| (-559)))) (-4249 (($ $ (-569)) 64 (|has| |#1| (-559)))) (-1760 (($ $) 158 (|has| |#1| (-559)))) (-2546 (($ $) 134 (|has| |#1| (-559)))) (-2820 (($) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))) CONST)) (-2663 (((-635 $) $ (-1163)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $) (-1163)) NIL (|has| |#1| (-559))) (((-635 $) (-1159 $)) NIL (|has| |#1| (-559))) (((-635 $) (-954 $)) NIL (|has| |#1| (-559)))) (-3550 (($ $ (-1163)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1159 $) (-1163)) 117 (|has| |#1| (-559))) (($ (-1159 $)) NIL (|has| |#1| (-559))) (($ (-954 $)) NIL (|has| |#1| (-559)))) (-1647 (((-3 (-608 $) "failed") $) 17) (((-3 (-1163) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-954 |#1|)) "failed") $) NIL (|has| |#1| (-559))) (((-3 (-954 |#1|) "failed") $) NIL (|has| |#1| (-1048))) (((-3 (-410 (-569)) "failed") $) 45 (-2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) 11) (((-1163) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-954 |#1|)) $) NIL (|has| |#1| (-559))) (((-954 |#1|) $) NIL (|has| |#1| (-1048))) (((-410 (-569)) $) 305 (-2232 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) NIL (|has| |#1| (-559)))) (-1696 (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 110 (|has| |#1| (-1048))) (((-680 |#1|) (-680 $)) 102 (|has| |#1| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (-1774 (($ $) 84 (|has| |#1| (-559)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-2524 (($ $ $) NIL (|has| |#1| (-559)))) (-1592 (($ $ (-1083 $)) 219 (|has| |#1| (-559))) (($ $ (-1163)) 217 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-559)))) (-3726 (((-121) $) NIL (|has| |#1| (-559)))) (-3429 (($ $ $) 185 (|has| |#1| (-559)))) (-2445 (($) 120 (|has| |#1| (-559)))) (-2381 (($ $ $) 205 (|has| |#1| (-559)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 370 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 376 (|has| |#1| (-882 (-382))))) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) 264)) (-1407 (((-121) $) 25 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4052 (($ $) 66 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 79 (|has| |#1| (-1048)))) (-3433 (((-121) $) 46 (|has| |#1| (-559)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-559)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-4080 (((-1159 $) (-608 $)) 265 (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) 403)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-4450 (($ $) 124 (|has| |#1| (-559)))) (-2469 (($ $) 230 (|has| |#1| (-559)))) (-2665 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) 48)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) 408)) (-4087 (((-3 (-635 $) "failed") $) NIL (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) NIL (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 411 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 415 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) NIL (|has| |#1| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) NIL (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) NIL (|has| |#1| (-1048)))) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) 52)) (-1795 (($ $) NIL (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2261 (($ $ (-1163)) 238 (|has| |#1| (-559))) (($ $ (-1083 $)) 240 (|has| |#1| (-559)))) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 43)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 285 (|has| |#1| (-559)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4385 (($ $) 234 (|has| |#1| (-559)))) (-4427 (($ $) 236 (|has| |#1| (-559)))) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-4219 (($ $ (-1163)) 209 (|has| |#1| (-559))) (($ $) 207 (|has| |#1| (-559)))) (-1484 (($ $) 201 (|has| |#1| (-559)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 290 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-2436 (($ $) 122 (|has| |#1| (-559)))) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 402) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) 358) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) NIL (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-610 (-542)))) (($ $) NIL (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 346 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) 345 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) NIL (|has| |#1| (-1048)))) (-2622 (((-764) $) NIL (|has| |#1| (-559)))) (-2477 (($ $) 222 (|has| |#1| (-559)))) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4082 (($ $) NIL) (($ $ $) NIL)) (-2505 (($ $) 232 (|has| |#1| (-559)))) (-1394 (($ $) 183 (|has| |#1| (-559)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-1048))) (($ $ (-1163)) NIL (|has| |#1| (-1048)))) (-4214 (($ $) 67 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 81 (|has| |#1| (-559)))) (-2745 (($ $) 303 (|has| $ (-1048)))) (-1764 (($ $) 160 (|has| |#1| (-559)))) (-2554 (($ $) 136 (|has| |#1| (-559)))) (-1756 (($ $) 156 (|has| |#1| (-559)))) (-2538 (($ $) 132 (|has| |#1| (-559)))) (-1748 (($ $) 152 (|has| |#1| (-559)))) (-2522 (($ $) 128 (|has| |#1| (-559)))) (-3817 (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (($ (-421 $)) NIL (|has| |#1| (-559))) (((-542) $) 343 (|has| |#1| (-610 (-542))))) (-1414 (($ $ $) NIL (|has| |#1| (-479)))) (-4293 (($ $ $) NIL (|has| |#1| (-479)))) (-2185 (((-851) $) 401) (($ (-608 $)) 392) (($ (-1163)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-559))) (($ (-53)) 297 (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) (($ (-1114 |#1| (-608 $))) 83 (|has| |#1| (-1048))) (($ (-410 |#1|)) NIL (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) NIL (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) NIL (|has| |#1| (-559))) (($ (-410 (-954 |#1|))) NIL (|has| |#1| (-559))) (($ (-954 |#1|)) NIL (|has| |#1| (-1048))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-559)) (|has| |#1| (-1038 (-410 (-569)))))) (($ (-569)) 34 (-2232 (|has| |#1| (-1038 (-569))) (|has| |#1| (-1048))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL (|has| |#1| (-1048)))) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-4248 (($ $ $) 203 (|has| |#1| (-559)))) (-3367 (($ $ $) 189 (|has| |#1| (-559)))) (-3349 (($ $ $) 193 (|has| |#1| (-559)))) (-2178 (($ $ $) 187 (|has| |#1| (-559)))) (-3627 (($ $ $) 191 (|has| |#1| (-559)))) (-1524 (((-121) (-123)) 9)) (-1779 (($ $) 166 (|has| |#1| (-559)))) (-1727 (($ $) 142 (|has| |#1| (-559)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 162 (|has| |#1| (-559)))) (-2561 (($ $) 138 (|has| |#1| (-559)))) (-1785 (($ $) 170 (|has| |#1| (-559)))) (-1736 (($ $) 146 (|has| |#1| (-559)))) (-3880 (($ (-1163) $) NIL) (($ (-1163) $ $) NIL) (($ (-1163) $ $ $) NIL) (($ (-1163) $ $ $ $) NIL) (($ (-1163) (-635 $)) NIL)) (-3759 (($ $) 197 (|has| |#1| (-559)))) (-4395 (($ $) 195 (|has| |#1| (-559)))) (-2430 (($ $) 172 (|has| |#1| (-559)))) (-1740 (($ $) 148 (|has| |#1| (-559)))) (-1782 (($ $) 168 (|has| |#1| (-559)))) (-1731 (($ $) 144 (|has| |#1| (-559)))) (-1775 (($ $) 164 (|has| |#1| (-559)))) (-2569 (($ $) 140 (|has| |#1| (-559)))) (-1616 (($ $) 175 (|has| |#1| (-559)))) (-2427 (($ $ (-569)) NIL (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (-3369 (($) 20 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) CONST)) (-2404 (($ $) 226 (|has| |#1| (-559)))) (-1556 (($) 22 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))) CONST)) (-3814 (($ $) 177 (|has| |#1| (-559))) (($ $ $) 179 (|has| |#1| (-559)))) (-4100 (($ $) 224 (|has| |#1| (-559)))) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-1048))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-1048))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-1048))) (($ $ (-1163)) NIL (|has| |#1| (-1048)))) (-1683 (($ $) 228 (|has| |#1| (-559)))) (-1485 (($ $ $) 181 (|has| |#1| (-559)))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 76)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 75)) (-1715 (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 93 (|has| |#1| (-559))) (($ $ $) 42 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1711 (($ $ $) 40 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ $) 29 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (-1707 (($ $ $) 38 (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))))) (** (($ $ $) 61 (|has| |#1| (-559))) (($ $ (-410 (-569))) 300 (|has| |#1| (-559))) (($ $ (-569)) 71 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 68 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ $ (-918)) 73 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103))))) (* (($ (-410 (-569)) $) NIL (|has| |#1| (-559))) (($ $ (-410 (-569))) NIL (|has| |#1| (-559))) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))) (($ $ $) 36 (-2232 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) (|has| |#1| (-1103)))) (($ (-569) $) 32 (-2232 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ (-764) $) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))) (($ (-918) $) NIL (-2232 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))))))) 
-(((-311 |#1|) (-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1183)) (-6 (-162)) (-6 (-621)) (-6 (-1125)) (-15 -1774 ($ $)) (-15 -3433 ((-121) $)) (-15 -4249 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -2379 ((-421 (-1159 $)) (-1159 $)))) |noBranch|) (IF (|has| |#1| (-1038 (-569))) (-6 (-1038 (-53))) |noBranch|)) |noBranch|))) (-843)) (T -311)) 
-((-1774 (*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-843)))) (-3433 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-4249 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-1568 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) (-2379 (*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843))))) 
-(-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1183)) (-6 (-162)) (-6 (-621)) (-6 (-1125)) (-15 -1774 ($ $)) (-15 -3433 ((-121) $)) (-15 -4249 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -2379 ((-421 (-1159 $)) (-1159 $)))) |noBranch|) (IF (|has| |#1| (-1038 (-569))) (-6 (-1038 (-53))) |noBranch|)) |noBranch|))) 
-((-3216 (((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)) 86) (((-57) |#2| (-123) (-289 |#2|) (-289 |#2|)) 82) (((-57) |#2| (-123) (-289 |#2|) |#2|) 84) (((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|) 85) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 78) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 80) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 81) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 79) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 87) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|)) 83))) 
-(((-312 |#1| |#2|) (-10 -7 (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-843) (-559) (-610 (-542))) (-433 |#1|)) (T -312)) 
-((-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) (-3216 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-3216 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-3216 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-3216 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6))))) 
-(-10 -7 (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -3216 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -3216 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -3216 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
-((-3216 ((|#3| |#2| (-123) (-1163) (-635 |#2|)) 53)) (-2338 ((|#2| |#2| (-123) (-1163)) 30))) 
-(((-313 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3216 (|#3| |#2| (-123) (-1163) (-635 |#2|))) (-15 -2338 (|#2| |#2| (-123) (-1163)))) (-13 (-843) (-559) (-610 (-542))) (-433 |#1|) (-1237 |#2|) (-1237 (-1157 |#2|))) (T -313)) 
-((-2338 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1237 *2)) (-4 *7 (-1237 (-1157 *2))))) (-3216 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-1237 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1237 (-1157 *3)))))) 
-(-10 -7 (-15 -3216 (|#3| |#2| (-123) (-1163) (-635 |#2|))) (-15 -2338 (|#2| |#2| (-123) (-1163)))) 
-((-2284 (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145)) 45) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569)) 46) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145)) 42) (((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569)) 43)) (-4415 (((-1 (-216) (-216)) (-216)) 44))) 
-(((-314) (-10 -7 (-15 -4415 ((-1 (-216) (-216)) (-216))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145))))) (T -314)) 
-((-2284 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *7 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-2284 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) (-4415 (*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
-(-10 -7 (-15 -4415 ((-1 (-216) (-216)) (-216))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-1 (-216) (-216)) (-569) (-1145))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569))) (-15 -2284 ((-1193 (-927)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-216) (-569) (-1145)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 24)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 19)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 30)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) 15)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) NIL) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1315 (((-410 (-569)) $) 16)) (-2545 (($ (-1231 |#1| |#2| |#3|)) 11)) (-2356 (((-1231 |#1| |#2| |#3|) $) 12)) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 10)) (-2185 (((-851) $) 36) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 28)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 26)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 31)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-315 |#1| |#2| |#3|) (-13 (-1227 |#1|) (-788) (-10 -8 (-15 -2545 ($ (-1231 |#1| |#2| |#3|))) (-15 -2356 ((-1231 |#1| |#2| |#3|) $)) (-15 -1315 ((-410 (-569)) $)))) (-13 (-366) (-843)) (-1163) |#1|) (T -315)) 
-((-2545 (*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-1231 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3))) (-1315 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3)))) 
-(-13 (-1227 |#1|) (-788) (-10 -8 (-15 -2545 ($ (-1231 |#1| |#2| |#3|))) (-15 -2356 ((-1231 |#1| |#2| |#3|) $)) (-15 -1315 ((-410 (-569)) $)))) 
-((-2644 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 15)) (-1743 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 24))) 
-(((-316 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) (-855)) (T -316)) 
-((-2644 (*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4))))) 
-(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) 
-((-4344 (((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764)) 24)) (-4450 (((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)) 28))) 
-(((-317 |#1|) (-10 -7 (-15 -4344 ((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764))) (-15 -4450 ((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)))) (-559)) (T -317)) 
-((-4450 (*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -4140 (-764)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) (-4344 (*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-764))))) 
-(-10 -7 (-15 -4344 ((-2 (|:| -2356 (-764)) (|:| -4140 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-764))) (-15 -4450 ((-635 (-2 (|:| -4140 (-764)) (|:| |logand| |#1|))) (-421 |#1|)))) 
-((-2644 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 15)) (-1743 (((-421 (-1159 |#1|)) (-1159 |#1|) |#1|) 24))) 
-(((-318 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) (-860)) (T -318)) 
-((-2644 (*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4))))) 
-(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|)) (-15 -2644 ((-421 (-1159 |#1|)) (-1159 |#1|) |#1|))) 
-((-1773 (((-635 |#2|) (-1159 |#4|)) 43)) (-2974 ((|#3| (-569)) 46)) (-1780 (((-1159 |#4|) (-1159 |#3|)) 30)) (-2581 (((-1159 |#4|) (-1159 |#4|) (-569)) 55)) (-2900 (((-1159 |#3|) (-1159 |#4|)) 21)) (-2492 (((-635 (-764)) (-1159 |#4|) (-635 |#2|)) 40)) (-3746 (((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|)) 35))) 
-(((-319 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3746 ((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2492 ((-635 (-764)) (-1159 |#4|) (-635 |#2|))) (-15 -1773 ((-635 |#2|) (-1159 |#4|))) (-15 -2900 ((-1159 |#3|) (-1159 |#4|))) (-15 -1780 ((-1159 |#4|) (-1159 |#3|))) (-15 -2581 ((-1159 |#4|) (-1159 |#4|) (-569))) (-15 -2974 (|#3| (-569)))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|)) (T -319)) 
-((-2974 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1048)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-951 *2 *4 *5)))) (-2581 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 *7)) (-5 *3 (-569)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *1 (-319 *4 *5 *6 *7)))) (-1780 (*1 *2 *3) (-12 (-5 *3 (-1159 *6)) (-4 *6 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-319 *4 *5 *6 *7)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) (-2492 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *8)) (-5 *4 (-635 *6)) (-4 *6 (-843)) (-4 *8 (-951 *7 *5 *6)) (-4 *5 (-789)) (-4 *7 (-1048)) (-5 *2 (-635 (-764))) (-5 *1 (-319 *5 *6 *7 *8)))) (-3746 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-1159 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -3746 ((-1159 |#3|) (-1159 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2492 ((-635 (-764)) (-1159 |#4|) (-635 |#2|))) (-15 -1773 ((-635 |#2|) (-1159 |#4|))) (-15 -2900 ((-1159 |#3|) (-1159 |#4|))) (-15 -1780 ((-1159 |#4|) (-1159 |#3|))) (-15 -2581 ((-1159 |#4|) (-1159 |#4|) (-569))) (-15 -2974 (|#3| (-569)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 14)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 18)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-569) $ (-569)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-569) (-569)) $) 10)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) NIL (|has| (-569) (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1653 (((-569) |#1| $) NIL)) (-3369 (($) 15 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 21 (|has| |#1| (-843)))) (-1711 (($ $) 11) (($ $ $) 20)) (-1707 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) |#1|) 19))) 
-(((-320 |#1|) (-13 (-21) (-708 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) (-1091)) (T -320)) 
-NIL 
-(-13 (-21) (-708 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 26)) (-2327 (((-3 $ "failed") $ $) 18)) (-2085 (((-764) $) 27)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 31)) (-2428 ((|#1| $) 30)) (-3082 ((|#1| $ (-569)) 24)) (-2231 ((|#2| $ (-569)) 25)) (-4101 (($ (-1 |#1| |#1|) $) 21)) (-1742 (($ (-1 |#2| |#2|) $) 22)) (-2776 (((-1145) $) 9)) (-4113 (($ $ $) 20 (|has| |#2| (-788)))) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ |#1|) 32)) (-1653 ((|#2| |#1| $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1707 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ |#2| |#1|) 28))) 
-(((-321 |#1| |#2|) (-1278) (-1091) (-138)) (T -321)) 
-((-1707 (*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) (-2085 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-764)))) (-1403 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))))) (-2231 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1091)) (-4 *2 (-138)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1091)))) (-1653 (*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) (-1742 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) (-4113 (*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)) (-4 *3 (-788))))) 
-(-13 (-138) (-1038 |t#1|) (-10 -8 (-15 -1707 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -2085 ((-764) $)) (-15 -1403 ((-635 (-2 (|:| |gen| |t#1|) (|:| -2436 |t#2|))) $)) (-15 -2231 (|t#2| $ (-569))) (-15 -3082 (|t#1| $ (-569))) (-15 -1653 (|t#2| |t#1| $)) (-15 -1742 ($ (-1 |t#2| |t#2|) $)) (-15 -4101 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-788)) (-15 -4113 ($ $ $)) |noBranch|))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2231 (((-764) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) NIL)) (-1742 (($ (-1 (-764) (-764)) $) NIL)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) NIL (|has| (-764) (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1653 (((-764) |#1| $) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-764) |#1|) NIL))) 
-(((-322 |#1|) (-321 |#1| (-764)) (-1091)) (T -322)) 
-NIL 
-(-321 |#1| (-764)) 
-((-1544 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
-(((-323 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1544 (|#5| (-1 |#4| |#2|) |#3|))) (-788) (-1048) (-325 |#2| |#1|) (-1048) (-325 |#4| |#1|)) (T -323)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1048)) (-4 *7 (-1048)) (-4 *5 (-788)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5))))) 
-(-10 -7 (-15 -1544 (|#5| (-1 |#4| |#2|) |#3|))) 
-((-1340 (($ $) 52)) (-1667 (($ $ |#2| |#3| $) 14)) (-2658 (($ (-1 |#3| |#3|) $) 35)) (-1798 (((-121) $) 27)) (-1801 ((|#2| $) 29)) (-2941 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-3298 ((|#2| $) 48)) (-3382 (((-635 |#2|) $) 38)) (-4086 (($ $ $ (-764)) 23)) (-1715 (($ $ |#2|) 42))) 
-(((-324 |#1| |#2| |#3|) (-10 -8 (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4086 (|#1| |#1| |#1| (-764))) (-15 -1667 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2658 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1715 (|#1| |#1| |#2|))) (-325 |#2| |#3|) (-1048) (-788)) (T -324)) 
-NIL 
-(-10 -8 (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -4086 (|#1| |#1| |#1| (-764))) (-15 -1667 (|#1| |#1| |#2| |#3| |#1|)) (-15 -2658 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1715 (|#1| |#1| |#2|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 86 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 84 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 83)) (-2428 (((-569) $) 87 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 85 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 82)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 71 (|has| |#1| (-454)))) (-1667 (($ $ |#1| |#2| $) 75)) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 78)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60)) (-4002 ((|#2| $) 77)) (-2658 (($ (-1 |#2| |#2|) $) 76)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 81)) (-1801 ((|#1| $) 80)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-3298 ((|#1| $) 72 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46) (($ (-410 (-569))) 56 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 79)) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 74 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-325 |#1| |#2|) (-1278) (-1048) (-788)) (T -325)) 
-((-1798 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) (-1801 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-635 *3)))) (-4244 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2658 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-1667 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) (-4086 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *3 (-173)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-559)))) (-3298 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-454))))) 
-(-13 (-52 |t#1| |t#2|) (-414 |t#1|) (-10 -8 (-15 -1798 ((-121) $)) (-15 -1801 (|t#1| $)) (-15 -3382 ((-635 |t#1|) $)) (-15 -4244 ((-764) $)) (-15 -4002 (|t#2| $)) (-15 -2658 ($ (-1 |t#2| |t#2|) $)) (-15 -1667 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-173)) (-15 -4086 ($ $ $ (-764))) |noBranch|) (IF (|has| |t#1| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3298 (|t#1| $)) (-15 -1340 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-414 |#1|) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3060 (((-121) (-121)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-1841 (($ $ (-569)) NIL)) (-3461 (((-764) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3117 (($ (-635 |#1|)) NIL)) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-326 |#1|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) (-1197)) (T -326)) 
-((-3117 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-326 *3)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) (-1841 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) (-3060 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1197))))) 
-(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) 
-((-3240 (((-121) $) 37)) (-2031 (((-764)) 22)) (-1377 ((|#2| $) 41) (($ $ (-918)) 99)) (-2085 (((-764)) 93)) (-2623 (($ (-1247 |#2|)) 20)) (-3364 (((-121) $) 111)) (-4308 ((|#2| $) 43) (($ $ (-918)) 97)) (-2770 (((-1159 |#2|) $) NIL) (((-1159 $) $ (-918)) 88)) (-2486 (((-1159 |#2|) $) 78)) (-3697 (((-1159 |#2|) $) 75) (((-3 (-1159 |#2|) "failed") $ $) 72)) (-4421 (($ $ (-1159 |#2|)) 48)) (-2578 (((-829 (-918))) 91) (((-918)) 38)) (-2369 (((-140)) 25)) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 112)) (-3554 (($) 105)) (-1648 (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 34)) (-3953 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3673 (((-121) $) 36))) 
-(((-327 |#1| |#2|) (-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -2085 ((-764))) (-15 -3953 (|#1| |#1|)) (-15 -3697 ((-3 (-1159 |#2|) "failed") |#1| |#1|)) (-15 -3697 ((-1159 |#2|) |#1|)) (-15 -2486 ((-1159 |#2|) |#1|)) (-15 -4421 (|#1| |#1| (-1159 |#2|))) (-15 -3364 ((-121) |#1|)) (-15 -3554 (|#1|)) (-15 -1377 (|#1| |#1| (-918))) (-15 -4308 (|#1| |#1| (-918))) (-15 -2770 ((-1159 |#1|) |#1| (-918))) (-15 -1377 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -2492 ((-918) |#1|)) (-15 -2578 ((-918))) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2031 ((-764))) (-15 -2578 ((-829 (-918)))) (-15 -2492 ((-829 (-918)) |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|)) (-15 -2369 ((-140)))) (-328 |#2|) (-366)) (T -327)) 
-((-2369 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2578 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-829 (-918))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2031 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2578 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-918)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2085 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4))))) 
-(-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -2085 ((-764))) (-15 -3953 (|#1| |#1|)) (-15 -3697 ((-3 (-1159 |#2|) "failed") |#1| |#1|)) (-15 -3697 ((-1159 |#2|) |#1|)) (-15 -2486 ((-1159 |#2|) |#1|)) (-15 -4421 (|#1| |#1| (-1159 |#2|))) (-15 -3364 ((-121) |#1|)) (-15 -3554 (|#1|)) (-15 -1377 (|#1| |#1| (-918))) (-15 -4308 (|#1| |#1| (-918))) (-15 -2770 ((-1159 |#1|) |#1| (-918))) (-15 -1377 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -2492 ((-918) |#1|)) (-15 -2578 ((-918))) (-15 -2770 ((-1159 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2031 ((-764))) (-15 -2578 ((-829 (-918)))) (-15 -2492 ((-829 (-918)) |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|)) (-15 -2369 ((-140)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 90)) (-2031 (((-764)) 86)) (-1377 ((|#1| $) 133) (($ $ (-918)) 130 (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 115 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 105 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 97)) (-2428 ((|#1| $) 96)) (-2623 (($ (-1247 |#1|)) 139)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 121 (|has| |#1| (-371)))) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 102 (|has| |#1| (-371)))) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 117 (|has| |#1| (-371)))) (-3354 (((-121) $) 118 (|has| |#1| (-371)))) (-2751 (($ $ (-764)) 83 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) 69)) (-2558 (((-918) $) 120 (|has| |#1| (-371))) (((-829 (-918)) $) 80 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) 30)) (-1490 (($) 128 (|has| |#1| (-371)))) (-3364 (((-121) $) 127 (|has| |#1| (-371)))) (-4308 ((|#1| $) 134) (($ $ (-918)) 131 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) 106 (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2770 (((-1159 |#1|) $) 138) (((-1159 $) $ (-918)) 132 (|has| |#1| (-371)))) (-2083 (((-918) $) 103 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) 124 (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) 123 (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) 122 (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) 125 (|has| |#1| (-371)))) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 107 (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 104 (|has| |#1| (-371)))) (-2705 (((-121) $) 89)) (-3360 (((-1109) $) 10)) (-1809 (($) 126 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 114 (|has| |#1| (-371)))) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 87) (((-918)) 136)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-764) $) 119 (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) 81 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) 95)) (-3899 (($ $) 111 (|has| |#1| (-371))) (($ $ (-764)) 109 (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) 88) (((-918) $) 135)) (-2745 (((-1159 |#1|)) 137)) (-2319 (($) 116 (|has| |#1| (-371)))) (-3554 (($) 129 (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 141) (((-680 |#1|) (-1247 $)) 140)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 113 (|has| |#1| (-371)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-3953 (($ $) 112 (|has| |#1| (-371))) (((-3 $ "failed") $) 79 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 143) (((-1247 $) (-918)) 142)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 91)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $) 85 (|has| |#1| (-371))) (($ $ (-764)) 84 (|has| |#1| (-371)))) (-3022 (($ $) 110 (|has| |#1| (-371))) (($ $ (-764)) 108 (|has| |#1| (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 94)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-328 |#1|) (-1278) (-366)) (T -328)) 
-((-3930 (*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *3)))) (-3930 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *4)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) (-2770 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) (-2745 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) (-2578 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-2770 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1159 *1)) (-4 *1 (-328 *4)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-1377 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-3554 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-1490 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3364 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) (-1809 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-4421 (*1 *1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366)))) (-2486 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) (-3697 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) (-3697 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
-(-13 (-1264 |t#1|) (-1038 |t#1|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -3930 ((-1247 $) (-918))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -2770 ((-1159 |t#1|) $)) (-15 -2745 ((-1159 |t#1|))) (-15 -2578 ((-918))) (-15 -2492 ((-918) $)) (-15 -4308 (|t#1| $)) (-15 -1377 (|t#1| $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-351)) (-15 -2770 ((-1159 $) $ (-918))) (-15 -4308 ($ $ (-918))) (-15 -1377 ($ $ (-918))) (-15 -3554 ($)) (-15 -1490 ($)) (-15 -3364 ((-121) $)) (-15 -1809 ($)) (-15 -4421 ($ $ (-1159 |t#1|))) (-15 -2486 ((-1159 |t#1|) $)) (-15 -3697 ((-1159 |t#1|) $)) (-15 -3697 ((-3 (-1159 |t#1|) "failed") $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-226) |has| |#1| (-371)) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 |#1|) . T) ((-366) . T) ((-405) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-371) |has| |#1| (-371)) ((-351) |has| |#1| (-371)) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-371)) ((-1202) . T) ((-1254 |#1|) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1799 (($ (-1162) $) 88)) (-1927 (($) 76)) (-2096 (((-1109) (-1109)) 11)) (-2965 (($) 77)) (-1517 (($) 90) (($ (-311 (-689))) 96) (($ (-311 (-691))) 93) (($ (-311 (-684))) 99) (($ (-311 (-382))) 105) (($ (-311 (-569))) 102) (($ (-311 (-170 (-382)))) 108)) (-2203 (($ (-1162) $) 89)) (-1901 (($ (-635 (-851))) 79)) (-3223 (((-1252) $) 73)) (-4489 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2243 (($ (-1109)) 45)) (-3713 (((-1095) $) 25)) (-3606 (($ (-1083 (-954 (-569))) $) 85) (($ (-1083 (-954 (-569))) (-954 (-569)) $) 86)) (-2551 (($ (-1109)) 87)) (-2817 (($ (-1162) $) 110) (($ (-1162) $ $) 111)) (-2979 (($ (-1163) (-635 (-1163))) 75)) (-2207 (($ (-1145)) 82) (($ (-635 (-1145))) 80)) (-2185 (((-851) $) 113)) (-3632 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $) 37)) (-1355 (($ (-1145)) 182)) (-2423 (($ (-635 $)) 109)) (-4384 (($ (-1163) (-1145)) 115) (($ (-1163) (-311 (-691))) 155) (($ (-1163) (-311 (-689))) 156) (($ (-1163) (-311 (-684))) 157) (($ (-1163) (-680 (-691))) 118) (($ (-1163) (-680 (-689))) 121) (($ (-1163) (-680 (-684))) 124) (($ (-1163) (-1247 (-691))) 127) (($ (-1163) (-1247 (-689))) 130) (($ (-1163) (-1247 (-684))) 133) (($ (-1163) (-680 (-311 (-691)))) 136) (($ (-1163) (-680 (-311 (-689)))) 139) (($ (-1163) (-680 (-311 (-684)))) 142) (($ (-1163) (-1247 (-311 (-691)))) 145) (($ (-1163) (-1247 (-311 (-689)))) 148) (($ (-1163) (-1247 (-311 (-684)))) 151) (($ (-1163) (-635 (-954 (-569))) (-311 (-691))) 152) (($ (-1163) (-635 (-954 (-569))) (-311 (-689))) 153) (($ (-1163) (-635 (-954 (-569))) (-311 (-684))) 154) (($ (-1163) (-311 (-569))) 179) (($ (-1163) (-311 (-382))) 180) (($ (-1163) (-311 (-170 (-382)))) 181) (($ (-1163) (-680 (-311 (-569)))) 160) (($ (-1163) (-680 (-311 (-382)))) 163) (($ (-1163) (-680 (-311 (-170 (-382))))) 166) (($ (-1163) (-1247 (-311 (-569)))) 169) (($ (-1163) (-1247 (-311 (-382)))) 172) (($ (-1163) (-1247 (-311 (-170 (-382))))) 175) (($ (-1163) (-635 (-954 (-569))) (-311 (-569))) 176) (($ (-1163) (-635 (-954 (-569))) (-311 (-382))) 177) (($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382)))) 178)) (-1668 (((-121) $ $) NIL))) 
-(((-329) (-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -3606 ($ (-1083 (-954 (-569))) $)) (-15 -3606 ($ (-1083 (-954 (-569))) (-954 (-569)) $)) (-15 -1799 ($ (-1162) $)) (-15 -2203 ($ (-1162) $)) (-15 -2243 ($ (-1109))) (-15 -2551 ($ (-1109))) (-15 -2207 ($ (-1145))) (-15 -2207 ($ (-635 (-1145)))) (-15 -1355 ($ (-1145))) (-15 -1517 ($)) (-15 -1517 ($ (-311 (-689)))) (-15 -1517 ($ (-311 (-691)))) (-15 -1517 ($ (-311 (-684)))) (-15 -1517 ($ (-311 (-382)))) (-15 -1517 ($ (-311 (-569)))) (-15 -1517 ($ (-311 (-170 (-382))))) (-15 -2817 ($ (-1162) $)) (-15 -2817 ($ (-1162) $ $)) (-15 -4384 ($ (-1163) (-1145))) (-15 -4384 ($ (-1163) (-311 (-691)))) (-15 -4384 ($ (-1163) (-311 (-689)))) (-15 -4384 ($ (-1163) (-311 (-684)))) (-15 -4384 ($ (-1163) (-680 (-691)))) (-15 -4384 ($ (-1163) (-680 (-689)))) (-15 -4384 ($ (-1163) (-680 (-684)))) (-15 -4384 ($ (-1163) (-1247 (-691)))) (-15 -4384 ($ (-1163) (-1247 (-689)))) (-15 -4384 ($ (-1163) (-1247 (-684)))) (-15 -4384 ($ (-1163) (-680 (-311 (-691))))) (-15 -4384 ($ (-1163) (-680 (-311 (-689))))) (-15 -4384 ($ (-1163) (-680 (-311 (-684))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-691))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-689))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-684))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-691)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-689)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-684)))) (-15 -4384 ($ (-1163) (-311 (-569)))) (-15 -4384 ($ (-1163) (-311 (-382)))) (-15 -4384 ($ (-1163) (-311 (-170 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-569))))) (-15 -4384 ($ (-1163) (-680 (-311 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-569))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-382))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-569)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-382)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382))))) (-15 -2423 ($ (-635 $))) (-15 -1927 ($)) (-15 -2965 ($)) (-15 -1901 ($ (-635 (-851)))) (-15 -2979 ($ (-1163) (-635 (-1163)))) (-15 -4489 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3632 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $)) (-15 -3223 ((-1252) $)) (-15 -3713 ((-1095) $)) (-15 -2096 ((-1109) (-1109)))))) (T -329)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-329)))) (-3606 (*1 *1 *2 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *1 (-329)))) (-3606 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *3 (-954 (-569))) (-5 *1 (-329)))) (-1799 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2203 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2243 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329)))) (-2551 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329)))) (-2207 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329)))) (-2207 (*1 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-329)))) (-1355 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329)))) (-1517 (*1 *1) (-5 *1 (-329))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) (-1517 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2817 (*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-2817 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-691)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-689)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-684)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-691)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-689)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-684)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-691))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-689))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-684))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-569)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-569)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-382)))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) (-4384 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2423 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329)))) (-1927 (*1 *1) (-5 *1 (-329))) (-2965 (*1 *1) (-5 *1 (-329))) (-1901 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-329)))) (-2979 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-329)))) (-4489 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329)))) (-3632 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851))))) (-5 *1 (-329)))) (-3223 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-329)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-329)))) (-2096 (*1 *2 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -3606 ($ (-1083 (-954 (-569))) $)) (-15 -3606 ($ (-1083 (-954 (-569))) (-954 (-569)) $)) (-15 -1799 ($ (-1162) $)) (-15 -2203 ($ (-1162) $)) (-15 -2243 ($ (-1109))) (-15 -2551 ($ (-1109))) (-15 -2207 ($ (-1145))) (-15 -2207 ($ (-635 (-1145)))) (-15 -1355 ($ (-1145))) (-15 -1517 ($)) (-15 -1517 ($ (-311 (-689)))) (-15 -1517 ($ (-311 (-691)))) (-15 -1517 ($ (-311 (-684)))) (-15 -1517 ($ (-311 (-382)))) (-15 -1517 ($ (-311 (-569)))) (-15 -1517 ($ (-311 (-170 (-382))))) (-15 -2817 ($ (-1162) $)) (-15 -2817 ($ (-1162) $ $)) (-15 -4384 ($ (-1163) (-1145))) (-15 -4384 ($ (-1163) (-311 (-691)))) (-15 -4384 ($ (-1163) (-311 (-689)))) (-15 -4384 ($ (-1163) (-311 (-684)))) (-15 -4384 ($ (-1163) (-680 (-691)))) (-15 -4384 ($ (-1163) (-680 (-689)))) (-15 -4384 ($ (-1163) (-680 (-684)))) (-15 -4384 ($ (-1163) (-1247 (-691)))) (-15 -4384 ($ (-1163) (-1247 (-689)))) (-15 -4384 ($ (-1163) (-1247 (-684)))) (-15 -4384 ($ (-1163) (-680 (-311 (-691))))) (-15 -4384 ($ (-1163) (-680 (-311 (-689))))) (-15 -4384 ($ (-1163) (-680 (-311 (-684))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-691))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-689))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-684))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-691)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-689)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-684)))) (-15 -4384 ($ (-1163) (-311 (-569)))) (-15 -4384 ($ (-1163) (-311 (-382)))) (-15 -4384 ($ (-1163) (-311 (-170 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-569))))) (-15 -4384 ($ (-1163) (-680 (-311 (-382))))) (-15 -4384 ($ (-1163) (-680 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-569))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-382))))) (-15 -4384 ($ (-1163) (-1247 (-311 (-170 (-382)))))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-569)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-382)))) (-15 -4384 ($ (-1163) (-635 (-954 (-569))) (-311 (-170 (-382))))) (-15 -2423 ($ (-635 $))) (-15 -1927 ($)) (-15 -2965 ($)) (-15 -1901 ($ (-635 (-851)))) (-15 -2979 ($ (-1163) (-635 (-1163)))) (-15 -4489 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -3632 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851)))) $)) (-15 -3223 ((-1252) $)) (-15 -3713 ((-1095) $)) (-15 -2096 ((-1109) (-1109))))) 
-((-2568 (((-121) $ $) NIL)) (-1491 (((-121) $) 11)) (-2513 (($ |#1|) 8)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2522 (($ |#1|) 9)) (-2185 (((-851) $) 17)) (-1408 ((|#1| $) 12)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 19))) 
-(((-330 |#1|) (-13 (-843) (-10 -8 (-15 -2513 ($ |#1|)) (-15 -2522 ($ |#1|)) (-15 -1491 ((-121) $)) (-15 -1408 (|#1| $)))) (-843)) (T -330)) 
-((-2513 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) (-2522 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) (-1491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-843)))) (-1408 (*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843))))) 
-(-13 (-843) (-10 -8 (-15 -2513 ($ |#1|)) (-15 -2522 ($ |#1|)) (-15 -1491 ((-121) $)) (-15 -1408 (|#1| $)))) 
-((-3612 (((-329) (-1163) (-954 (-569))) 22)) (-3183 (((-329) (-1163) (-954 (-569))) 26)) (-1872 (((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569)))) 25) (((-329) (-1163) (-954 (-569)) (-954 (-569))) 23)) (-2348 (((-329) (-1163) (-954 (-569))) 30))) 
-(((-331) (-10 -7 (-15 -3612 ((-329) (-1163) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-954 (-569)) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569))))) (-15 -3183 ((-329) (-1163) (-954 (-569)))) (-15 -2348 ((-329) (-1163) (-954 (-569)))))) (T -331)) 
-((-2348 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3183 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-1872 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1083 (-954 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) (-1872 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-3612 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(-10 -7 (-15 -3612 ((-329) (-1163) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-954 (-569)) (-954 (-569)))) (-15 -1872 ((-329) (-1163) (-1083 (-954 (-569))) (-1083 (-954 (-569))))) (-15 -3183 ((-329) (-1163) (-954 (-569)))) (-15 -2348 ((-329) (-1163) (-954 (-569))))) 
-((-1544 (((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)) 31))) 
-(((-332 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-366) (-1222 |#5|) (-1222 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -332)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1222 *9)) (-4 *11 (-1222 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11))))) 
-(-10 -7 (-15 -1544 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) 
-((-1515 (((-121) $) 14))) 
-(((-333 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1515 ((-121) |#1|))) (-334 |#2| |#3| |#4| |#5|) (-366) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -333)) 
-NIL 
-(-10 -8 (-15 -1515 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1774 (($ $) 25)) (-1515 (((-121) $) 24)) (-2776 (((-1145) $) 9)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 31)) (-3360 (((-1109) $) 10)) (-1809 (((-3 |#4| "failed") $) 23)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-569)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19))) 
-(((-334 |#1| |#2| |#3| |#4|) (-1278) (-366) (-1222 |t#1|) (-1222 (-410 |t#2|)) (-341 |t#1| |t#2| |t#3|)) (T -334)) 
-((-2537 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) (-4199 (*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6)))) (-4199 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) (-4199 (*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) (-4199 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1222 *2)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) (-4157 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -2223 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) (-1774 (*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) (-1515 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121)))) (-1809 (*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) (-4199 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5))))) 
-(-13 (-21) (-10 -8 (-15 -2537 ((-416 |t#2| (-410 |t#2|) |t#3| |t#4|) $)) (-15 -4199 ($ (-416 |t#2| (-410 |t#2|) |t#3| |t#4|))) (-15 -4199 ($ |t#4|)) (-15 -4199 ($ |t#1| |t#1|)) (-15 -4199 ($ |t#1| |t#1| (-569))) (-15 -4157 ((-2 (|:| -2223 (-416 |t#2| (-410 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -1774 ($ $)) (-15 -1515 ((-121) $)) (-15 -1809 ((-3 |t#4| "failed") $)) (-15 -4199 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ $) 32)) (-1515 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-2058 (((-1247 |#4|) $) 124)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 30)) (-3360 (((-1109) $) NIL)) (-1809 (((-3 |#4| "failed") $) 35)) (-3119 (((-1247 |#4|) $) 117)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-569)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-2185 (((-851) $) 17)) (-3369 (($) 14 T CONST)) (-1668 (((-121) $ $) 20)) (-1711 (($ $) 27) (($ $ $) NIL)) (-1707 (($ $ $) 25)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 23))) 
-(((-335 |#1| |#2| |#3| |#4|) (-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3119 ((-1247 |#4|) $)) (-15 -2058 ((-1247 |#4|) $)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -335)) 
-((-3119 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5)))) (-2058 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3119 ((-1247 |#4|) $)) (-15 -2058 ((-1247 |#4|) $)))) 
-((-1468 (($ $ (-1163) |#2|) NIL) (($ $ (-635 (-1163)) (-635 |#2|)) 18) (($ $ (-635 (-289 |#2|))) 14) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-1534 (($ $ |#2|) 11))) 
-(((-336 |#1| |#2|) (-10 -8 (-15 -1534 (|#1| |#1| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1163) |#2|))) (-337 |#2|) (-1091)) (T -336)) 
-NIL 
-(-10 -8 (-15 -1534 (|#1| |#1| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1163) |#2|))) 
-((-1544 (($ (-1 |#1| |#1|) $) 6)) (-1468 (($ $ (-1163) |#1|) 16 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 15 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-635 (-289 |#1|))) 14 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 13 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-304 |#1|))) (($ $ (-635 |#1|) (-635 |#1|)) 11 (|has| |#1| (-304 |#1|)))) (-1534 (($ $ |#1|) 10 (|has| |#1| (-282 |#1| |#1|))))) 
-(((-337 |#1|) (-1278) (-1091)) (T -337)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1091))))) 
-(-13 (-10 -8 (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-282 |t#1| |t#1|)) (-6 (-282 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) (IF (|has| |t#1| (-524 (-1163) |t#1|)) (-6 (-524 (-1163) |t#1|)) |noBranch|))) 
-(((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1997 (((-121)) 87) (((-121) (-121)) 88)) (-4003 (((-635 (-608 $)) $) NIL)) (-1753 (($ $) NIL)) (-2530 (($ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2454 (($ $) NIL)) (-1744 (($ $) NIL)) (-2513 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-311 |#3|)) 69) (((-3 $ "failed") (-1163)) 93) (((-3 $ "failed") (-311 (-569))) 56 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-410 (-954 (-569)))) 62 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-954 (-569))) 57 (|has| |#3| (-1038 (-569)))) (((-3 $ "failed") (-311 (-382))) 74 (|has| |#3| (-1038 (-382)))) (((-3 $ "failed") (-410 (-954 (-382)))) 80 (|has| |#3| (-1038 (-382)))) (((-3 $ "failed") (-954 (-382))) 75 (|has| |#3| (-1038 (-382))))) (-2428 (((-608 $) $) NIL) ((|#3| $) NIL) (($ (-311 |#3|)) 70) (($ (-1163)) 94) (($ (-311 (-569))) 58 (|has| |#3| (-1038 (-569)))) (($ (-410 (-954 (-569)))) 63 (|has| |#3| (-1038 (-569)))) (($ (-954 (-569))) 59 (|has| |#3| (-1038 (-569)))) (($ (-311 (-382))) 76 (|has| |#3| (-1038 (-382)))) (($ (-410 (-954 (-382)))) 81 (|has| |#3| (-1038 (-382)))) (($ (-954 (-382))) 77 (|has| |#3| (-1038 (-382))))) (-3428 (((-3 $ "failed") $) NIL)) (-2445 (($) 10)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2138 (($ $) 90)) (-4450 (($ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) 89) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-2436 (($ $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-1748 (($ $) NIL)) (-2522 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ |#3|) NIL) (($ (-569)) NIL) (((-311 |#3|) $) 92)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) NIL)) (-1727 (($ $) NIL)) (-2561 (($ $) NIL)) (-2569 (($ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 91 T CONST)) (-1556 (($) 22 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-338 |#1| |#2| |#3|) (-13 (-297) (-43 |#3|) (-1038 |#3|) (-896 (-1163)) (-10 -8 (-15 -2428 ($ (-311 |#3|))) (-15 -1647 ((-3 $ "failed") (-311 |#3|))) (-15 -2428 ($ (-1163))) (-15 -1647 ((-3 $ "failed") (-1163))) (-15 -2185 ((-311 |#3|) $)) (IF (|has| |#3| (-1038 (-569))) (PROGN (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569))))) |noBranch|) (IF (|has| |#3| (-1038 (-382))) (PROGN (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382))))) |noBranch|) (-15 -1616 ($ $)) (-15 -2454 ($ $)) (-15 -2436 ($ $)) (-15 -4450 ($ $)) (-15 -2138 ($ $)) (-15 -2513 ($ $)) (-15 -2522 ($ $)) (-15 -2530 ($ $)) (-15 -2561 ($ $)) (-15 -2569 ($ $)) (-15 -1727 ($ $)) (-15 -1744 ($ $)) (-15 -1748 ($ $)) (-15 -1753 ($ $)) (-15 -2445 ($)) (-15 -1773 ((-635 (-1163)) $)) (-15 -1997 ((-121))) (-15 -1997 ((-121) (-121))))) (-635 (-1163)) (-635 (-1163)) (-390)) (T -338)) 
-((-2428 (*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1616 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2454 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2436 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-4450 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2138 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2513 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2522 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2530 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2561 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2569 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1727 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1744 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1748 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1753 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-2445 (*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) (-1773 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) (-1997 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) (-1997 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390))))) 
-(-13 (-297) (-43 |#3|) (-1038 |#3|) (-896 (-1163)) (-10 -8 (-15 -2428 ($ (-311 |#3|))) (-15 -1647 ((-3 $ "failed") (-311 |#3|))) (-15 -2428 ($ (-1163))) (-15 -1647 ((-3 $ "failed") (-1163))) (-15 -2185 ((-311 |#3|) $)) (IF (|has| |#3| (-1038 (-569))) (PROGN (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569))))) |noBranch|) (IF (|has| |#3| (-1038 (-382))) (PROGN (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382))))) |noBranch|) (-15 -1616 ($ $)) (-15 -2454 ($ $)) (-15 -2436 ($ $)) (-15 -4450 ($ $)) (-15 -2138 ($ $)) (-15 -2513 ($ $)) (-15 -2522 ($ $)) (-15 -2530 ($ $)) (-15 -2561 ($ $)) (-15 -2569 ($ $)) (-15 -1727 ($ $)) (-15 -1744 ($ $)) (-15 -1748 ($ $)) (-15 -1753 ($ $)) (-15 -2445 ($)) (-15 -1773 ((-635 (-1163)) $)) (-15 -1997 ((-121))) (-15 -1997 ((-121) (-121))))) 
-((-1544 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
-(((-339 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|))) (-1202) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-1202) (-1222 |#5|) (-1222 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -339)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1202)) (-4 *8 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *9 (-1222 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1222 (-410 *9)))))) 
-(-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|))) 
-((-4062 (((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) $) 37)) (-2623 (($ (-1247 (-410 |#3|)) (-1247 $)) NIL) (($ (-1247 (-410 |#3|))) NIL) (($ (-1247 |#3|) |#3|) 158)) (-2326 (((-1247 $) (-1247 $)) 142)) (-1818 (((-635 (-635 |#2|))) 115)) (-2275 (((-121) |#2| |#2|) 71)) (-1340 (($ $) 136)) (-1607 (((-764)) 30)) (-4296 (((-1247 $) (-1247 $)) 195)) (-4367 (((-635 (-954 |#2|)) (-1163)) 108)) (-4470 (((-121) $) 155)) (-3636 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-3264 (((-3 |#3| "failed")) 48)) (-3950 (((-764)) 167)) (-1534 ((|#2| $ |#2| |#2|) 129)) (-4005 (((-3 |#3| "failed")) 66)) (-3899 (($ $ (-1 (-410 |#3|) (-410 |#3|)) (-764)) NIL) (($ $ (-1 (-410 |#3|) (-410 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-4261 (((-1247 $) (-1247 $)) 148)) (-2801 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3670 (((-121)) 32))) 
-(((-340 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1818 ((-635 (-635 |#2|)))) (-15 -4367 ((-635 (-954 |#2|)) (-1163))) (-15 -2801 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3264 ((-3 |#3| "failed"))) (-15 -4005 ((-3 |#3| "failed"))) (-15 -1534 (|#2| |#1| |#2| |#2|)) (-15 -1340 (|#1| |#1|)) (-15 -2623 (|#1| (-1247 |#3|) |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3636 ((-121) |#1| |#3|)) (-15 -3636 ((-121) |#1| |#2|)) (-15 -4062 ((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2326 ((-1247 |#1|) (-1247 |#1|))) (-15 -4296 ((-1247 |#1|) (-1247 |#1|))) (-15 -4261 ((-1247 |#1|) (-1247 |#1|))) (-15 -3636 ((-121) |#1|)) (-15 -4470 ((-121) |#1|)) (-15 -2275 ((-121) |#2| |#2|)) (-15 -3670 ((-121))) (-15 -3950 ((-764))) (-15 -1607 ((-764))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-764))) (-15 -2623 (|#1| (-1247 (-410 |#3|)))) (-15 -2623 (|#1| (-1247 (-410 |#3|)) (-1247 |#1|)))) (-341 |#2| |#3| |#4|) (-1202) (-1222 |#2|) (-1222 (-410 |#3|))) (T -340)) 
-((-1607 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3950 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3670 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-2275 (*1 *2 *3 *3) (-12 (-4 *3 (-1202)) (-4 *5 (-1222 *3)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) (-4005 (*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-3264 (*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-4367 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-635 (-954 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) (-1818 (*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6))))) 
-(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -1818 ((-635 (-635 |#2|)))) (-15 -4367 ((-635 (-954 |#2|)) (-1163))) (-15 -2801 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3264 ((-3 |#3| "failed"))) (-15 -4005 ((-3 |#3| "failed"))) (-15 -1534 (|#2| |#1| |#2| |#2|)) (-15 -1340 (|#1| |#1|)) (-15 -2623 (|#1| (-1247 |#3|) |#3|)) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3636 ((-121) |#1| |#3|)) (-15 -3636 ((-121) |#1| |#2|)) (-15 -4062 ((-2 (|:| |num| (-1247 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -2326 ((-1247 |#1|) (-1247 |#1|))) (-15 -4296 ((-1247 |#1|) (-1247 |#1|))) (-15 -4261 ((-1247 |#1|) (-1247 |#1|))) (-15 -3636 ((-121) |#1|)) (-15 -4470 ((-121) |#1|)) (-15 -2275 ((-121) |#2| |#2|)) (-15 -3670 ((-121))) (-15 -3950 ((-764))) (-15 -1607 ((-764))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3899 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-764))) (-15 -2623 (|#1| (-1247 (-410 |#3|)))) (-15 -2623 (|#1| (-1247 (-410 |#3|)) (-1247 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 180)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (|has| (-410 |#2|) (-366)))) (-3383 (($ $) 88 (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) 90 (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) 44) (((-680 (-410 |#2|))) 55)) (-1377 (((-410 |#2|) $) 50)) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 107 (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) 108 (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) 98 (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) 81 (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) 197)) (-4037 (((-121) |#1|) 196) (((-121) |#2|) 195)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) 160)) (-2428 (((-569) $) 164 (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) 159)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) 46) (($ (-1247 (-410 |#2|))) 58) (($ (-1247 |#2|) |#2|) 173)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) 102 (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) 51) (((-680 (-410 |#2|)) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) 156) (((-680 (-410 |#2|)) (-680 $)) 155)) (-2326 (((-1247 $) (-1247 $)) 185)) (-1774 (($ |#3|) 152) (((-3 $ "failed") (-410 |#3|)) 149 (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1818 (((-635 (-635 |#1|))) 166 (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) 201)) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) 194)) (-2642 (((-121) |#1|) 193) (((-121) |#2|) 192)) (-2524 (($ $ $) 101 (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| (-410 |#2|) (-366)))) (-1340 (($ $) 172)) (-3188 (($) 143 (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) 144 (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) 135 (|has| (-410 |#2|) (-351))) (($ $) 134 (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) 109 (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) 146 (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) 132 (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) 30)) (-1607 (((-764)) 204)) (-4296 (((-1247 $) (-1247 $)) 186)) (-4308 (((-410 |#2|) $) 49)) (-4367 (((-635 (-954 |#1|)) (-1163)) 167 (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) 136 (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) 42 (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) 83 (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) 150)) (-2665 (($ (-635 $)) 94 (|has| (-410 |#2|) (-366))) (($ $ $) 93 (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) 9)) (-3243 (((-680 (-410 |#2|))) 181)) (-3837 (((-680 (-410 |#2|))) 183)) (-1795 (($ $) 110 (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 178)) (-3804 (((-680 (-410 |#2|))) 182)) (-2865 (((-680 (-410 |#2|))) 184)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 177)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 179)) (-1802 (((-1247 $)) 190)) (-3577 (((-1247 $)) 191)) (-4470 (((-121) $) 189)) (-3636 (((-121) $) 188) (((-121) $ |#1|) 176) (((-121) $ |#2|) 175)) (-4043 (($) 137 (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) 169)) (-3360 (((-1109) $) 10)) (-3950 (((-764)) 203)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) 92 (|has| (-410 |#2|) (-366))) (($ $ $) 91 (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) 106 (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) 86 (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) 99 (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) 171)) (-4005 (((-3 |#2| "failed")) 170)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) 45) (((-410 |#2|)) 54)) (-1291 (((-764) $) 145 (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) 133 (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) 117 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 116 (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 174) (($ $ (-635 (-1163)) (-635 (-764))) 124 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163) (-764)) 125 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1163))) 126 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163)) 127 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-764)) 129 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 131 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) 148 (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 153)) (-2319 (($) 142 (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) 48) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) 47) (((-1247 (-410 |#2|)) $) 60) (((-680 (-410 |#2|)) (-1247 $)) 59)) (-3817 (((-1247 (-410 |#2|)) $) 57) (($ (-1247 (-410 |#2|))) 56) ((|#3| $) 165) (($ |#3|) 151)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) 187)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 |#2|)) 36) (($ (-410 (-569))) 80 (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) 85 (|has| (-410 |#2|) (-366)))) (-3953 (($ $) 138 (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) 41 (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) 43)) (-1991 (((-764)) 28)) (-2808 (((-121)) 200)) (-2719 (((-121) |#1|) 199) (((-121) |#2|) 198)) (-3930 (((-1247 $)) 61)) (-1961 (((-121) $ $) 89 (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 168)) (-3670 (((-121)) 202)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| (-410 |#2|) (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) 119 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 118 (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) 120 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163) (-764)) 121 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1163))) 122 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-1163)) 123 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) (-2206 (|has| (-410 |#2|) (-896 (-1163))) (|has| (-410 |#2|) (-366))))) (($ $ (-764)) 128 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 130 (-2232 (-2206 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-2206 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 115 (|has| (-410 |#2|) (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 112 (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 |#2|)) 38) (($ (-410 |#2|) $) 37) (($ (-410 (-569)) $) 114 (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) 113 (|has| (-410 |#2|) (-366))))) 
-(((-341 |#1| |#2| |#3|) (-1278) (-1202) (-1222 |t#1|) (-1222 (-410 |t#2|))) (T -341)) 
-((-1607 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) (-3950 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) (-3670 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2275 (*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2808 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2719 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2719 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3681 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4037 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4037 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3123 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2642 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-2642 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3577 (*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) (-1802 (*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) (-4470 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-3636 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-4261 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-4296 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2326 (*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2865 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3837 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3804 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-3243 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4))))) (-4062 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4))))) (-3843 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4))))) (-3878 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) (-2661 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| (-680 *5)) (|:| |den| *5))))) (-3636 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) (-3636 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) (-1534 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) (-4005 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3)))) (-3264 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3)))) (-2801 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1202)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6)))) (-4367 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-954 *4))))) (-1818 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3)))))) 
-(-13 (-715 (-410 |t#2|) |t#3|) (-10 -8 (-15 -1607 ((-764))) (-15 -3950 ((-764))) (-15 -3670 ((-121))) (-15 -2275 ((-121) |t#1| |t#1|)) (-15 -2808 ((-121))) (-15 -2719 ((-121) |t#1|)) (-15 -2719 ((-121) |t#2|)) (-15 -3681 ((-121))) (-15 -4037 ((-121) |t#1|)) (-15 -4037 ((-121) |t#2|)) (-15 -3123 ((-121))) (-15 -2642 ((-121) |t#1|)) (-15 -2642 ((-121) |t#2|)) (-15 -3577 ((-1247 $))) (-15 -1802 ((-1247 $))) (-15 -4470 ((-121) $)) (-15 -3636 ((-121) $)) (-15 -4261 ((-1247 $) (-1247 $))) (-15 -4296 ((-1247 $) (-1247 $))) (-15 -2326 ((-1247 $) (-1247 $))) (-15 -2865 ((-680 (-410 |t#2|)))) (-15 -3837 ((-680 (-410 |t#2|)))) (-15 -3804 ((-680 (-410 |t#2|)))) (-15 -3243 ((-680 (-410 |t#2|)))) (-15 -4062 ((-2 (|:| |num| (-1247 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -2623 ($ (-1247 |t#2|) |t#2|)) (-15 -3843 ((-2 (|:| |num| (-1247 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -3878 ($ (-1247 |t#2|) |t#2|)) (-15 -2661 ((-2 (|:| |num| (-680 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -3636 ((-121) $ |t#1|)) (-15 -3636 ((-121) $ |t#2|)) (-15 -3899 ($ $ (-1 |t#2| |t#2|))) (-15 -2623 ($ (-1247 |t#2|) |t#2|)) (-15 -1340 ($ $)) (-15 -1534 (|t#1| $ |t#1| |t#1|)) (-15 -4005 ((-3 |t#2| "failed"))) (-15 -3264 ((-3 |t#2| "failed"))) (-15 -2801 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-366)) (-15 -4367 ((-635 (-954 |t#1|)) (-1163))) |noBranch|) (IF (|has| |t#1| (-371)) (-15 -1818 ((-635 (-635 |t#1|)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-43 (-410 |#2|)) . T) ((-43 $) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-120 (-410 |#2|) (-410 |#2|)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-149))) ((-151) |has| (-410 |#2|) (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 |#3|) . T) ((-224 (-410 |#2|)) |has| (-410 |#2|) (-366)) ((-226) -2232 (|has| (-410 |#2|) (-351)) (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366)))) ((-239) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-286) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-302) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-366) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-405) |has| (-410 |#2|) (-351)) ((-371) -2232 (|has| (-410 |#2|) (-371)) (|has| (-410 |#2|) (-351))) ((-351) |has| (-410 |#2|) (-351)) ((-373 (-410 |#2|) |#3|) . T) ((-412 (-410 |#2|) |#3|) . T) ((-380 (-410 |#2|)) . T) ((-414 (-410 |#2|)) . T) ((-454) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-559) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 |#2|)) . T) ((-638 $) . T) ((-631 (-410 |#2|)) . T) ((-631 (-569)) |has| (-410 |#2|) (-631 (-569))) ((-708 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-708 (-410 |#2|)) . T) ((-708 $) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-715 (-410 |#2|) |#3|) . T) ((-717) . T) ((-896 (-1163)) -12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163)))) ((-917) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1038 (-410 (-569))) |has| (-410 |#2|) (-1038 (-410 (-569)))) ((-1038 (-410 |#2|)) . T) ((-1038 (-569)) |has| (-410 |#2|) (-1038 (-569))) ((-1054 (-410 (-569))) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1054 (-410 |#2|)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| (-410 |#2|) (-351)) ((-1202) -2232 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
-(((-342 |#1| |#2|) (-13 (-328 (-906 |#1|)) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-918) (-918)) (T -342)) 
-((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-342 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
-(-13 (-328 (-906 |#1|)) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 46)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 43 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 113)) (-2428 ((|#1| $) 84)) (-2623 (($ (-1247 |#1|)) 102)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 96 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 128 (|has| |#1| (-371)))) (-3354 (((-121) $) 49 (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) 47 (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 130 (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 88) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 138 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 145)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 70 (|has| |#1| (-371)))) (-2705 (((-121) $) 116)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) 44)) (-1809 (($) 126 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 91 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) 67) (((-918)) 68)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) 129 (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) 123 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) 94)) (-2319 (($) 127 (|has| |#1| (-371)))) (-3554 (($) 135 (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 59) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 141) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 74)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 137)) (-3930 (((-1247 $)) 115) (((-1247 $) (-918)) 72)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 32 T CONST)) (-1556 (($) 19 T CONST)) (-1907 (($ $) 80 (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 48)) (-1715 (($ $ $) 143) (($ $ |#1|) 144)) (-1711 (($ $) 125) (($ $ $) NIL)) (-1707 (($ $ $) 61)) (** (($ $ (-918)) 147) (($ $ (-764)) 148) (($ $ (-569)) 146)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 76) (($ $ $) 75) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
-(((-343 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-351) (-1159 |#1|)) (T -343)) 
-((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1159 *3))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1951 (((-959 (-1109))) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-344 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) (-351) (-918)) (T -344)) 
-((-1951 (*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -1951 ((-959 (-1109)))))) 
-((-1560 (((-121) |#2|) 68)) (-3893 (((-421 |#2|) |#2|) 56)) (-2112 (((-421 |#2|) |#2|) 58)) (-2186 (((-635 |#2|) |#2|) 61)) (-1639 (((-635 |#2|) |#2| (-764)) 62)) (-1743 (((-421 |#2|) |#2|) 59))) 
-(((-345 |#1| |#2|) (-10 -7 (-15 -2186 ((-635 |#2|) |#2|)) (-15 -1639 ((-635 |#2|) |#2| (-764))) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -3893 ((-421 |#2|) |#2|)) (-15 -2112 ((-421 |#2|) |#2|)) (-15 -1560 ((-121) |#2|))) (-351) (-1222 |#1|)) (T -345)) 
-((-1560 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-2112 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-3893 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) (-1639 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1222 *5)))) (-2186 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -2186 ((-635 |#2|) |#2|)) (-15 -1639 ((-635 |#2|) |#2| (-764))) (-15 -1743 ((-421 |#2|) |#2|)) (-15 -3893 ((-421 |#2|) |#2|)) (-15 -2112 ((-421 |#2|) |#2|)) (-15 -1560 ((-121) |#2|))) 
-((-2992 (((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)) 54) (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764))) 42))) 
-(((-346 |#1| |#2| |#3|) (-10 -7 (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)))) (-13 (-559) (-454)) (-325 |#1| (-764)) (-325 (-410 |#1|) (-764))) (T -346)) 
-((-2992 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-346 *7 *8 *9)))) (-2992 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-764))) (-4 *9 (-325 (-410 *7) (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-346 *7 *8 *9))))) 
-(-10 -7 (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#3|) (-764) (-764)))) 
-((-2763 (((-635 |#1|) |#1| (-764)) 21)) (-2315 ((|#1| |#1| (-764) (-764) |#2|) 20)) (-2479 (((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764)) 75) (((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764)) 68)) (-2992 (((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764)) 62) (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764))) 44)) (-4316 ((|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|))) 37)) (-2161 (((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764))) 43)) (-4141 (((-635 |#1|) (-764)) 17)) (-4108 ((|#1| (-764) (-764) |#2|) 11)) (-3215 (((-635 |#1|) (-764)) 24)) (-1459 ((|#1| (-764) (-764) |#2|) 22))) 
-(((-347 |#1| |#2|) (-10 -7 (-15 -2161 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764)))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764))) (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764))) (-15 -4316 (|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|)))) (-15 -4108 (|#1| (-764) (-764) |#2|)) (-15 -4141 ((-635 |#1|) (-764))) (-15 -1459 (|#1| (-764) (-764) |#2|)) (-15 -3215 ((-635 |#1|) (-764))) (-15 -2315 (|#1| |#1| (-764) (-764) |#2|)) (-15 -2763 ((-635 |#1|) |#1| (-764)))) (-13 (-559) (-454)) (-52 |#1| (-764))) (T -347)) 
-((-2763 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4)))) (-2315 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3215 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-1459 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4141 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-4108 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4316 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-764) (-764) *7)) (-5 *4 (-1247 *7)) (-5 *5 (-764)) (-5 *6 (-1247 (-1159 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7)))) (-2992 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-347 *7 *8)))) (-2992 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-347 *7 *8)))) (-2479 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2479 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-2161 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-764) (-1247 (-1159 *6)))) (-5 *5 (-635 (-764))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-680 (-1159 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-764)))))) 
-(-10 -7 (-15 -2161 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-1247 (-1159 |#1|))) (-635 (-764)))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 |#1|) (-635 |#1|) (-764))) (-15 -2479 ((-410 (-1159 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-764))) (-15 -2992 ((-680 (-1159 |#1|)) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-635 (-764)))) (-15 -2992 ((-1143 (-680 (-1159 |#1|))) (-635 |#1|) (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-764))) (-15 -4316 (|#1| (-1 |#1| (-764) (-764) |#2|) (-1247 |#2|) (-764) (-1247 (-1159 |#1|)))) (-15 -4108 (|#1| (-764) (-764) |#2|)) (-15 -4141 ((-635 |#1|) (-764))) (-15 -1459 (|#1| (-764) (-764) |#2|)) (-15 -3215 ((-635 |#1|) (-764))) (-15 -2315 (|#1| |#1| (-764) (-764) |#2|)) (-15 -2763 ((-635 |#1|) |#1| (-764)))) 
-((-1530 (((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 40)) (-4487 (((-959 (-1109)) (-1159 |#1|)) 84)) (-4464 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|)) 77)) (-2137 (((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 85)) (-1882 (((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918)) 10)) (-2842 (((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)) 15))) 
-(((-348 |#1|) (-10 -7 (-15 -4487 ((-959 (-1109)) (-1159 |#1|))) (-15 -4464 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|))) (-15 -2137 ((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1530 ((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1882 ((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918))) (-15 -2842 ((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)))) (-351)) (T -348)) 
-((-2842 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-3 (-1159 *4) (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109))))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1882 (*1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1530 (*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-764)) (-5 *1 (-348 *4)))) (-2137 (*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-348 *4)))) (-4464 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)))) (-4487 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-959 (-1109))) (-5 *1 (-348 *4))))) 
-(-10 -7 (-15 -4487 ((-959 (-1109)) (-1159 |#1|))) (-15 -4464 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) (-1159 |#1|))) (-15 -2137 ((-680 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1530 ((-764) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -1882 ((-3 (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) "failed") (-918))) (-15 -2842 ((-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) (-918)))) 
-((-2185 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
-(((-349 |#1| |#2| |#3|) (-10 -7 (-15 -2185 (|#3| |#1|)) (-15 -2185 (|#1| |#3|))) (-328 |#2|) (-351) (-328 |#2|)) (T -349)) 
-((-2185 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) (-2185 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4))))) 
-(-10 -7 (-15 -2185 (|#3| |#1|)) (-15 -2185 (|#1| |#3|))) 
-((-3354 (((-121) $) 50)) (-2558 (((-829 (-918)) $) 21) (((-918) $) 51)) (-3846 (((-3 $ "failed") $) 16)) (-4043 (($) 9)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 91)) (-1291 (((-3 (-764) "failed") $ $) 70) (((-764) $) 59)) (-3899 (($ $ (-764)) NIL) (($ $) 8)) (-2319 (($) 44)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 33)) (-3953 (((-3 $ "failed") $) 39) (($ $) 38))) 
-(((-350 |#1|) (-10 -8 (-15 -2558 ((-918) |#1|)) (-15 -1291 ((-764) |#1|)) (-15 -3354 ((-121) |#1|)) (-15 -2319 (|#1|)) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -3953 (|#1| |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1291 ((-3 (-764) "failed") |#1| |#1|)) (-15 -2558 ((-829 (-918)) |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) (-351)) (T -350)) 
-NIL 
-(-10 -8 (-15 -2558 ((-918) |#1|)) (-15 -1291 ((-764) |#1|)) (-15 -3354 ((-121) |#1|)) (-15 -2319 (|#1|)) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -3953 (|#1| |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1291 ((-3 (-764) "failed") |#1| |#1|)) (-15 -2558 ((-829 (-918)) |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2620 (((-1171 (-918) (-764)) (-569)) 88)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 98)) (-2820 (($) 16 T CONST)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 101)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 86)) (-3354 (((-121) $) 85)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 77) (((-918) $) 83)) (-1407 (((-121) $) 30)) (-3846 (((-3 $ "failed") $) 97)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2083 (((-918) $) 100)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 96 T CONST)) (-3998 (($ (-918)) 99)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 89)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 76) (((-764) $) 84)) (-3899 (($ $ (-764)) 94) (($ $) 92)) (-2319 (($) 87)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78) (($ $) 91)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 95) (($ $) 93)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-351) (-1278)) (T -351)) 
-((-3953 (*1 *1 *1) (-4 *1 (-351))) (-2132 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-351)) (-5 *2 (-1247 *1)))) (-3530 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))))) (-2620 (*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1171 (-918) (-764))))) (-2319 (*1 *1) (-4 *1 (-351))) (-3188 (*1 *1) (-4 *1 (-351))) (-3354 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) (-1291 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-764)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-918)))) (-3326 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(-13 (-405) (-371) (-1137) (-226) (-10 -8 (-15 -3953 ($ $)) (-15 -2132 ((-3 (-1247 $) "failed") (-680 $))) (-15 -3530 ((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569)))))) (-15 -2620 ((-1171 (-918) (-764)) (-569))) (-15 -2319 ($)) (-15 -3188 ($)) (-15 -3354 ((-121) $)) (-15 -1291 ((-764) $)) (-15 -2558 ((-918) $)) (-15 -3326 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
-((-1627 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|) 51)) (-3577 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))) 49))) 
-(((-352 |#1| |#2| |#3|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|))) (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $)))) (-1222 |#1|) (-412 |#1| |#2|)) (T -352)) 
-((-1627 (*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3577 (*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109)))))) NIL)) (-4337 (((-680 (-906 |#1|))) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
-(((-353 |#1| |#2|) (-13 (-328 (-906 |#1|)) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 (-906 |#1|)))) (-15 -1530 ((-764))))) (-918) (-918)) (T -353)) 
-((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 (-906 *3)) (|:| -3998 (-1109)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 (-906 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
-(-13 (-328 (-906 |#1|)) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 (-906 |#1|)) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 (-906 |#1|)))) (-15 -1530 ((-764))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 74)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) 92) (($ $ (-918)) 90 (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 148 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) 89)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 162 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 111)) (-2428 ((|#1| $) 91)) (-2623 (($ (-1247 |#1|)) 57)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 158 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 149 (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 97 (|has| |#1| (-371)))) (-3364 (((-121) $) 175 (|has| |#1| (-371)))) (-4308 ((|#1| $) 94) (($ $ (-918)) 93 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 188) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 133 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) 73 (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) 70 (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) 82 (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) 69 (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 191)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 136 (|has| |#1| (-371)))) (-2705 (((-121) $) 107)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) 83)) (-4337 (((-680 |#1|)) 87)) (-1809 (($) 96 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 150 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) 151)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 62)) (-2745 (((-1159 |#1|)) 152)) (-2319 (($) 132 (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 105) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 123) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 56)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 156)) (-3930 (((-1247 $)) 172) (((-1247 $) (-918)) 100)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 22 T CONST)) (-1907 (($ $) 106 (|has| |#1| (-371))) (($ $ (-764)) 98 (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 60)) (-1715 (($ $ $) 103) (($ $ |#1|) 104)) (-1711 (($ $) 177) (($ $ $) 181)) (-1707 (($ $ $) 179)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 137)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 185) (($ $ $) 142) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
-(((-354 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) (-351) (-3 (-1159 |#1|) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (T -354)) 
-((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) *2)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1530 (((-764)) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-2030 (((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109)))))) NIL)) (-4337 (((-680 |#1|)) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-355 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) (-351) (-918)) (T -355)) 
-((-2030 (*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918)))) (-4337 (*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918)))) (-1530 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(-13 (-328 |#1|) (-10 -7 (-15 -2030 ((-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))))) (-15 -4337 ((-680 |#1|))) (-15 -1530 ((-764))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-906 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-906 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-906 |#1|) "failed") $) NIL)) (-2428 (((-906 |#1|) $) NIL)) (-2623 (($ (-1247 (-906 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-906 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-906 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-906 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-906 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-906 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-906 |#1|) (-371)))) (-4308 (((-906 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-906 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-906 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-906 |#1|) (-371)))) (-2486 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371)))) (-3697 (((-1159 (-906 |#1|)) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-1159 (-906 |#1|)) "failed") $ $) NIL (|has| (-906 |#1|) (-371)))) (-4421 (($ $ (-1159 (-906 |#1|))) NIL (|has| (-906 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-906 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-906 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| (-906 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-906 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-906 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-906 |#1|))) NIL)) (-2319 (($) NIL (|has| (-906 |#1|) (-371)))) (-3554 (($) NIL (|has| (-906 |#1|) (-371)))) (-1648 (((-1247 (-906 |#1|)) $) NIL) (((-680 (-906 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-906 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-906 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-906 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-906 |#1|) (-149)) (|has| (-906 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-906 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-906 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-906 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-906 |#1|)) NIL) (($ (-906 |#1|) $) NIL))) 
-(((-356 |#1| |#2|) (-328 (-906 |#1|)) (-918) (-918)) (T -356)) 
-NIL 
-(-328 (-906 |#1|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) 119 (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 138 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 91)) (-2428 ((|#1| $) 88)) (-2623 (($ (-1247 |#1|)) 83)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 80 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 39 (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) 120 (|has| |#1| (-371)))) (-3364 (((-121) $) 72 (|has| |#1| (-371)))) (-4308 ((|#1| $) 38) (($ $ (-918)) 40 (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) 62) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) 95 (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) 93 (|has| |#1| (-371)))) (-2705 (((-121) $) 140)) (-3360 (((-1109) $) NIL)) (-1809 (($) 35 (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 113 (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) 137)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) 56)) (-2745 (((-1159 |#1|)) 86)) (-2319 (($) 125 (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) 50) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) 136) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 85)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 142)) (-3930 (((-1247 $)) 107) (((-1247 $) (-918)) 46)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 109 T CONST)) (-1556 (($) 31 T CONST)) (-1907 (($ $) 65 (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) 105)) (-1715 (($ $ $) 97) (($ $ |#1|) 98)) (-1711 (($ $) 78) (($ $ $) 103)) (-1707 (($ $ $) 101)) (** (($ $ (-918)) NIL) (($ $ (-764)) 41) (($ $ (-569)) 128)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 76) (($ $ $) 53) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
-(((-357 |#1| |#2|) (-328 |#1|) (-351) (-1159 |#1|)) (T -357)) 
+((-1484 ((|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))) 24))) 
+(((-305 |#1|) (-10 -7 (-15 -1484 (|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))))) (-43 (-410 (-569)))) (T -305)) 
+((-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1167 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569))))))) 
+(-10 -7 (-15 -1484 (|#1| (-1 |#1| (-569)) (-1167 (-410 (-569)))))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) 9))) 
+(((-306) (-1093)) (T -306)) 
+NIL 
+(-1093) 
+((-3427 (((-1258) (-1153 3 (-216)) (-1147)) 38))) 
+(((-307) (-10 -7 (-15 -3427 ((-1258) (-1153 3 (-216)) (-1147))))) (T -307)) 
+((-3427 (*1 *2 *3 *4) (-12 (-5 *3 (-1153 3 (-216))) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-307))))) 
+(-10 -7 (-15 -3427 ((-1258) (-1153 3 (-216)) (-1147)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 62)) (-3644 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1238 |#1| |#2| |#3| |#4|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-1237 |#2| |#3| |#4|) "failed") $) 24)) (-1321 (((-1238 |#1| |#2| |#3| |#4|) $) NIL) (((-1165) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-569) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-569)))) (((-1237 |#2| |#3| |#4|) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-1238 |#1| |#2| |#3| |#4|))) (|:| |vec| (-1253 (-1238 |#1| |#2| |#3| |#4|)))) (-681 $) (-1253 $)) NIL) (((-681 (-1238 |#1| |#2| |#3| |#4|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-1238 |#1| |#2| |#3| |#4|) $) 21)) (-1542 (((-3 $ "failed") $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-2713 (($ $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-4188 (($ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) $) NIL)) (-3805 (((-3 (-837 |#2|) "failed") $) 76)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-302)))) (-1807 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-1238 |#1| |#2| |#3| |#4|)) (-635 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-289 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-289 (-1238 |#1| |#2| |#3| |#4|)))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-304 (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-635 (-1165)) (-635 (-1238 |#1| |#2| |#3| |#4|))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|)))) (($ $ (-1165) (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-524 (-1165) (-1238 |#1| |#2| |#3| |#4|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-1238 |#1| |#2| |#3| |#4|)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-282 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) (-765)) NIL) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-1238 |#1| |#2| |#3| |#4|) $) 17)) (-4035 (((-889 (-569)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-610 (-542)))) (((-382) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1023))) (((-216) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3| |#4|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-1238 |#1| |#2| |#3| |#4|)) 28) (($ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-1039 (-1165)))) (($ (-1237 |#2| |#3| |#4|)) 36)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3| |#4|) (-906))) (|has| (-1238 |#1| |#2| |#3| |#4|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-1238 |#1| |#2| |#3| |#4|) $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 41 T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-226))) (($ $ (-1165)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-897 (-1165)))) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) (-765)) NIL) (($ $ (-1 (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-1238 |#1| |#2| |#3| |#4|) (-844)))) (-1383 (($ $ $) 33) (($ (-1238 |#1| |#2| |#3| |#4|) (-1238 |#1| |#2| |#3| |#4|)) 30)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-1238 |#1| |#2| |#3| |#4|) $) 29) (($ $ (-1238 |#1| |#2| |#3| |#4|)) NIL))) 
+(((-308 |#1| |#2| |#3| |#4|) (-13 (-995 (-1238 |#1| |#2| |#3| |#4|)) (-1039 (-1237 |#2| |#3| |#4|)) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -3956 ($ (-1237 |#2| |#3| |#4|))))) (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -308)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1237 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4) (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) (-3805 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
+(-13 (-995 (-1238 |#1| |#2| |#3| |#4|)) (-1039 (-1237 |#2| |#3| |#4|)) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -3956 ($ (-1237 |#2| |#3| |#4|))))) 
+((-4188 (((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)) 13))) 
+(((-309 |#1| |#2|) (-10 -7 (-15 -4188 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) (-844) (-844)) (T -309)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-311 |#2|) (-1 |#2| |#1|) (-311 |#1|)))) 
+((-3221 (((-57) |#2| (-289 |#2|) (-765)) 33) (((-57) |#2| (-289 |#2|)) 24) (((-57) |#2| (-765)) 28) (((-57) |#2|) 25) (((-57) (-1165)) 21)) (-4314 (((-57) |#2| (-289 |#2|) (-410 (-569))) 51) (((-57) |#2| (-289 |#2|)) 48) (((-57) |#2| (-410 (-569))) 50) (((-57) |#2|) 49) (((-57) (-1165)) 47)) (-3236 (((-57) |#2| (-289 |#2|) (-410 (-569))) 46) (((-57) |#2| (-289 |#2|)) 43) (((-57) |#2| (-410 (-569))) 45) (((-57) |#2|) 44) (((-57) (-1165)) 42)) (-3228 (((-57) |#2| (-289 |#2|) (-569)) 39) (((-57) |#2| (-289 |#2|)) 35) (((-57) |#2| (-569)) 38) (((-57) |#2|) 36) (((-57) (-1165)) 34))) 
+(((-310 |#1| |#2|) (-10 -7 (-15 -3221 ((-57) (-1165))) (-15 -3221 ((-57) |#2|)) (-15 -3221 ((-57) |#2| (-765))) (-15 -3221 ((-57) |#2| (-289 |#2|))) (-15 -3221 ((-57) |#2| (-289 |#2|) (-765))) (-15 -3228 ((-57) (-1165))) (-15 -3228 ((-57) |#2|)) (-15 -3228 ((-57) |#2| (-569))) (-15 -3228 ((-57) |#2| (-289 |#2|))) (-15 -3228 ((-57) |#2| (-289 |#2|) (-569))) (-15 -3236 ((-57) (-1165))) (-15 -3236 ((-57) |#2|)) (-15 -3236 ((-57) |#2| (-410 (-569)))) (-15 -3236 ((-57) |#2| (-289 |#2|))) (-15 -3236 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -4314 ((-57) (-1165))) (-15 -4314 ((-57) |#2|)) (-15 -4314 ((-57) |#2| (-410 (-569)))) (-15 -4314 ((-57) |#2| (-289 |#2|))) (-15 -4314 ((-57) |#2| (-289 |#2|) (-410 (-569))))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -310)) 
+((-4314 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-4314 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-4314 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3236 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3236 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3236 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3236 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3236 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3228 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3228 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3228 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-844) (-1039 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3228 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3228 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-765)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3221 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3221 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4)))))) 
+(-10 -7 (-15 -3221 ((-57) (-1165))) (-15 -3221 ((-57) |#2|)) (-15 -3221 ((-57) |#2| (-765))) (-15 -3221 ((-57) |#2| (-289 |#2|))) (-15 -3221 ((-57) |#2| (-289 |#2|) (-765))) (-15 -3228 ((-57) (-1165))) (-15 -3228 ((-57) |#2|)) (-15 -3228 ((-57) |#2| (-569))) (-15 -3228 ((-57) |#2| (-289 |#2|))) (-15 -3228 ((-57) |#2| (-289 |#2|) (-569))) (-15 -3236 ((-57) (-1165))) (-15 -3236 ((-57) |#2|)) (-15 -3236 ((-57) |#2| (-410 (-569)))) (-15 -3236 ((-57) |#2| (-289 |#2|))) (-15 -3236 ((-57) |#2| (-289 |#2|) (-410 (-569)))) (-15 -4314 ((-57) (-1165))) (-15 -4314 ((-57) |#2|)) (-15 -4314 ((-57) |#2| (-410 (-569)))) (-15 -4314 ((-57) |#2| (-289 |#2|))) (-15 -4314 ((-57) |#2| (-289 |#2|) (-410 (-569))))) 
+((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) $ (-1165)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $)) NIL (|has| |#1| (-559))) (((-635 $) (-955 $)) NIL (|has| |#1| (-559)))) (-2309 (($ $ (-1165)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (($ (-1161 $)) NIL (|has| |#1| (-559))) (($ (-955 $)) NIL (|has| |#1| (-559)))) (-2225 (((-121) $) 27 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-3195 (((-635 (-1165)) $) 348)) (-3132 (((-410 (-1161 $)) $ (-608 $)) NIL (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-4320 (((-635 (-608 $)) $) NIL)) (-3544 (($ $) 154 (|has| |#1| (-559)))) (-3467 (($ $) 130 (|has| |#1| (-559)))) (-1998 (($ $ (-1085 $)) 215 (|has| |#1| (-559))) (($ $ (-1165)) 211 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) 364) (($ $ (-635 (-608 $)) (-635 $)) 407)) (-2501 (((-421 (-1161 $)) (-1161 $)) 292 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-2710 (($ $) NIL (|has| |#1| (-559)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-559)))) (-3422 (($ $) NIL (|has| |#1| (-559)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3530 (($ $) 150 (|has| |#1| (-559)))) (-3455 (($ $) 126 (|has| |#1| (-559)))) (-4221 (($ $ (-569)) 64 (|has| |#1| (-559)))) (-3559 (($ $) 158 (|has| |#1| (-559)))) (-3480 (($ $) 134 (|has| |#1| (-559)))) (-4483 (($) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))) CONST)) (-1645 (((-635 $) $ (-1165)) NIL (|has| |#1| (-559))) (((-635 $) $) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $) (-1165)) NIL (|has| |#1| (-559))) (((-635 $) (-1161 $)) NIL (|has| |#1| (-559))) (((-635 $) (-955 $)) NIL (|has| |#1| (-559)))) (-2306 (($ $ (-1165)) NIL (|has| |#1| (-559))) (($ $) NIL (|has| |#1| (-559))) (($ (-1161 $) (-1165)) 117 (|has| |#1| (-559))) (($ (-1161 $)) NIL (|has| |#1| (-559))) (($ (-955 $)) NIL (|has| |#1| (-559)))) (-3003 (((-3 (-608 $) "failed") $) 17) (((-3 (-1165) "failed") $) NIL) (((-3 |#1| "failed") $) 416) (((-3 (-53) "failed") $) 321 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-955 |#1|)) "failed") $) NIL (|has| |#1| (-559))) (((-3 (-955 |#1|) "failed") $) NIL (|has| |#1| (-1049))) (((-3 (-410 (-569)) "failed") $) 45 (-1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) 11) (((-1165) $) NIL) ((|#1| $) 398) (((-53) $) NIL (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-955 |#1|)) $) NIL (|has| |#1| (-559))) (((-955 |#1|) $) NIL (|has| |#1| (-1049))) (((-410 (-569)) $) 305 (-1929 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) NIL (|has| |#1| (-559)))) (-3435 (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 110 (|has| |#1| (-1049))) (((-681 |#1|) (-681 $)) 102 (|has| |#1| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (-2793 (($ $) 84 (|has| |#1| (-559)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-1626 (($ $ $) NIL (|has| |#1| (-559)))) (-1419 (($ $ (-1085 $)) 219 (|has| |#1| (-559))) (($ $ (-1165)) 217 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-559)))) (-2005 (((-121) $) NIL (|has| |#1| (-559)))) (-2648 (($ $ $) 185 (|has| |#1| (-559)))) (-3415 (($) 120 (|has| |#1| (-559)))) (-2578 (($ $ $) 205 (|has| |#1| (-559)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 370 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 376 (|has| |#1| (-883 (-382))))) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) 264)) (-3934 (((-121) $) 25 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3043 (($ $) 66 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 79 (|has| |#1| (-1049)))) (-1418 (((-121) $) 46 (|has| |#1| (-559)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-559)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-2387 (((-1161 $) (-608 $)) 265 (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) 403)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-3597 (($ $) 124 (|has| |#1| (-559)))) (-3433 (($ $) 230 (|has| |#1| (-559)))) (-1657 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) 48)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) 408)) (-2617 (((-3 (-635 $) "failed") $) NIL (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) NIL (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 411 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 415 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) NIL (|has| |#1| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) NIL (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) NIL (|has| |#1| (-1049)))) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) 52)) (-3243 (($ $) NIL (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2553 (($ $ (-1165)) 238 (|has| |#1| (-559))) (($ $ (-1085 $)) 240 (|has| |#1| (-559)))) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 43)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 285 (|has| |#1| (-559)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4230 (($ $) 234 (|has| |#1| (-559)))) (-2640 (($ $) 236 (|has| |#1| (-559)))) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-1389 (($ $ (-1165)) 209 (|has| |#1| (-559))) (($ $) 207 (|has| |#1| (-559)))) (-1954 (($ $) 201 (|has| |#1| (-559)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 290 (-12 (|has| |#1| (-454)) (|has| |#1| (-559))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-559)))) (-3408 (($ $) 122 (|has| |#1| (-559)))) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 402) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) 358) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) NIL (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-610 (-542)))) (($ $) NIL (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 346 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) 345 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) NIL (|has| |#1| (-1049)))) (-2061 (((-765) $) NIL (|has| |#1| (-559)))) (-3438 (($ $) 222 (|has| |#1| (-559)))) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3450 (($ $) 232 (|has| |#1| (-559)))) (-3566 (($ $) 183 (|has| |#1| (-559)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-1049))) (($ $ (-1165)) NIL (|has| |#1| (-1049)))) (-2572 (($ $) 67 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 81 (|has| |#1| (-559)))) (-3036 (($ $) 303 (|has| $ (-1049)))) (-3565 (($ $) 160 (|has| |#1| (-559)))) (-3485 (($ $) 136 (|has| |#1| (-559)))) (-3551 (($ $) 156 (|has| |#1| (-559)))) (-3473 (($ $) 132 (|has| |#1| (-559)))) (-3538 (($ $) 152 (|has| |#1| (-559)))) (-3460 (($ $) 128 (|has| |#1| (-559)))) (-4035 (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (($ (-421 $)) NIL (|has| |#1| (-559))) (((-542) $) 343 (|has| |#1| (-610 (-542))))) (-3980 (($ $ $) NIL (|has| |#1| (-479)))) (-2689 (($ $ $) NIL (|has| |#1| (-479)))) (-3956 (((-852) $) 401) (($ (-608 $)) 392) (($ (-1165)) 360) (($ |#1|) 322) (($ $) NIL (|has| |#1| (-559))) (($ (-53)) 297 (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) (($ (-1116 |#1| (-608 $))) 83 (|has| |#1| (-1049))) (($ (-410 |#1|)) NIL (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) NIL (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) NIL (|has| |#1| (-559))) (($ (-410 (-955 |#1|))) NIL (|has| |#1| (-559))) (($ (-955 |#1|)) NIL (|has| |#1| (-1049))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-559)) (|has| |#1| (-1039 (-410 (-569)))))) (($ (-569)) 34 (-1929 (|has| |#1| (-1039 (-569))) (|has| |#1| (-1049))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL (|has| |#1| (-1049)))) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-4196 (($ $ $) 203 (|has| |#1| (-559)))) (-3839 (($ $ $) 189 (|has| |#1| (-559)))) (-4489 (($ $ $) 193 (|has| |#1| (-559)))) (-1289 (($ $ $) 187 (|has| |#1| (-559)))) (-3578 (($ $ $) 191 (|has| |#1| (-559)))) (-3791 (((-121) (-123)) 9)) (-3585 (($ $) 166 (|has| |#1| (-559)))) (-3505 (($ $) 142 (|has| |#1| (-559)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 162 (|has| |#1| (-559)))) (-3490 (($ $) 138 (|has| |#1| (-559)))) (-3599 (($ $) 170 (|has| |#1| (-559)))) (-3517 (($ $) 146 (|has| |#1| (-559)))) (-3207 (($ (-1165) $) NIL) (($ (-1165) $ $) NIL) (($ (-1165) $ $ $) NIL) (($ (-1165) $ $ $ $) NIL) (($ (-1165) (-635 $)) NIL)) (-3618 (($ $) 197 (|has| |#1| (-559)))) (-4466 (($ $) 195 (|has| |#1| (-559)))) (-4527 (($ $) 172 (|has| |#1| (-559)))) (-3525 (($ $) 148 (|has| |#1| (-559)))) (-3592 (($ $) 168 (|has| |#1| (-559)))) (-3510 (($ $) 144 (|has| |#1| (-559)))) (-3579 (($ $) 164 (|has| |#1| (-559)))) (-3497 (($ $) 140 (|has| |#1| (-559)))) (-4080 (($ $) 175 (|has| |#1| (-559)))) (-3403 (($ $ (-569)) NIL (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (-2407 (($) 20 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) CONST)) (-1900 (($ $) 226 (|has| |#1| (-559)))) (-3297 (($) 22 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))) CONST)) (-2246 (($ $) 177 (|has| |#1| (-559))) (($ $ $) 179 (|has| |#1| (-559)))) (-1618 (($ $) 224 (|has| |#1| (-559)))) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-1049))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-1049))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-1049))) (($ $ (-1165)) NIL (|has| |#1| (-1049)))) (-3184 (($ $) 228 (|has| |#1| (-559)))) (-4028 (($ $ $) 181 (|has| |#1| (-559)))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 76)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 75)) (-1383 (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 93 (|has| |#1| (-559))) (($ $ $) 42 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1377 (($ $ $) 40 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ $) 29 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (-1371 (($ $ $) 38 (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))))) (** (($ $ $) 61 (|has| |#1| (-559))) (($ $ (-410 (-569))) 300 (|has| |#1| (-559))) (($ $ (-569)) 71 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 68 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ $ (-919)) 73 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105))))) (* (($ (-410 (-569)) $) NIL (|has| |#1| (-559))) (($ $ (-410 (-569))) NIL (|has| |#1| (-559))) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))) (($ $ $) 36 (-1929 (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) (|has| |#1| (-1105)))) (($ (-569) $) 32 (-1929 (|has| |#1| (-21)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ (-765) $) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))) (($ (-919) $) NIL (-1929 (|has| |#1| (-25)) (-12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))))))) 
+(((-311 |#1|) (-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1185)) (-6 (-162)) (-6 (-621)) (-6 (-1127)) (-15 -2793 ($ $)) (-15 -1418 ((-121) $)) (-15 -4221 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2501 ((-421 (-1161 $)) (-1161 $)))) |noBranch|) (IF (|has| |#1| (-1039 (-569))) (-6 (-1039 (-53))) |noBranch|)) |noBranch|))) (-844)) (T -311)) 
+((-2793 (*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-844)))) (-1418 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-4221 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-2059 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) (-2501 (*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844))))) 
+(-13 (-433 |#1|) (-10 -8 (IF (|has| |#1| (-559)) (PROGN (-6 (-29 |#1|)) (-6 (-1185)) (-6 (-162)) (-6 (-621)) (-6 (-1127)) (-15 -2793 ($ $)) (-15 -1418 ((-121) $)) (-15 -4221 ($ $ (-569))) (IF (|has| |#1| (-454)) (PROGN (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2501 ((-421 (-1161 $)) (-1161 $)))) |noBranch|) (IF (|has| |#1| (-1039 (-569))) (-6 (-1039 (-53))) |noBranch|)) |noBranch|))) 
+((-4152 (((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)) 86) (((-57) |#2| (-123) (-289 |#2|) (-289 |#2|)) 82) (((-57) |#2| (-123) (-289 |#2|) |#2|) 84) (((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|) 85) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 78) (((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 80) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|)) 81) (((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|))) 79) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 87) (((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|)) 83))) 
+(((-312 |#1| |#2|) (-10 -7 (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-844) (-559) (-610 (-542))) (-433 |#1|)) (T -312)) 
+((-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) (-4152 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) (-4152 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) (-4152 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) (-4152 (*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6))))) 
+(-10 -7 (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-635 (-289 |#2|)) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 |#2|))) (-15 -4152 ((-57) (-635 |#2|) (-635 (-123)) (-289 |#2|) (-635 (-289 |#2|)))) (-15 -4152 ((-57) (-289 |#2|) (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) |#2|)) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-289 |#2|))) (-15 -4152 ((-57) |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
+((-4152 ((|#3| |#2| (-123) (-1165) (-635 |#2|)) 53)) (-2702 ((|#2| |#2| (-123) (-1165)) 30))) 
+(((-313 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4152 (|#3| |#2| (-123) (-1165) (-635 |#2|))) (-15 -2702 (|#2| |#2| (-123) (-1165)))) (-13 (-844) (-559) (-610 (-542))) (-433 |#1|) (-1243 |#2|) (-1243 (-1159 |#2|))) (T -313)) 
+((-2702 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1243 *2)) (-4 *7 (-1243 (-1159 *2))))) (-4152 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-1243 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1243 (-1159 *3)))))) 
+(-10 -7 (-15 -4152 (|#3| |#2| (-123) (-1165) (-635 |#2|))) (-15 -2702 (|#2| |#2| (-123) (-1165)))) 
+((-1833 (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147)) 45) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569)) 46) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147)) 42) (((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569)) 43)) (-3789 (((-1 (-216) (-216)) (-216)) 44))) 
+(((-314) (-10 -7 (-15 -3789 ((-1 (-216) (-216)) (-216))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147))))) (T -314)) 
+((-1833 (*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *7 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-1833 (*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) (-3789 (*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -3789 ((-1 (-216) (-216)) (-216))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-1 (-216) (-216)) (-569) (-1147))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569))) (-15 -1833 ((-1195 (-928)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-216) (-569) (-1147)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 24)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 19)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 30)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) 15)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) NIL) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3196 (((-410 (-569)) $) 16)) (-4199 (($ (-1237 |#1| |#2| |#3|)) 11)) (-3190 (((-1237 |#1| |#2| |#3|) $) 12)) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 10)) (-3956 (((-852) $) 36) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 28)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 26)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 31)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-315 |#1| |#2| |#3|) (-13 (-1233 |#1|) (-789) (-10 -8 (-15 -4199 ($ (-1237 |#1| |#2| |#3|))) (-15 -3190 ((-1237 |#1| |#2| |#3|) $)) (-15 -3196 ((-410 (-569)) $)))) (-13 (-366) (-844)) (-1165) |#1|) (T -315)) 
+((-4199 (*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-1237 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3))) (-3196 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3)))) 
+(-13 (-1233 |#1|) (-789) (-10 -8 (-15 -4199 ($ (-1237 |#1| |#2| |#3|))) (-15 -3190 ((-1237 |#1| |#2| |#3|) $)) (-15 -3196 ((-410 (-569)) $)))) 
+((-2552 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 15)) (-3139 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 24))) 
+(((-316 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) (-856)) (T -316)) 
+((-2552 (*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4))))) 
+(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) 
+((-2522 (((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765)) 24)) (-3597 (((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)) 28))) 
+(((-317 |#1|) (-10 -7 (-15 -2522 ((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765))) (-15 -3597 ((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)))) (-559)) (T -317)) 
+((-3597 (*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -3550 (-765)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) (-2522 (*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-765))))) 
+(-10 -7 (-15 -2522 ((-2 (|:| -3190 (-765)) (|:| -3550 |#1|) (|:| |radicand| (-635 |#1|))) (-421 |#1|) (-765))) (-15 -3597 ((-635 (-2 (|:| -3550 (-765)) (|:| |logand| |#1|))) (-421 |#1|)))) 
+((-2552 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 15)) (-3139 (((-421 (-1161 |#1|)) (-1161 |#1|) |#1|) 24))) 
+(((-318 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) (-861)) (T -318)) 
+((-2552 (*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4))))) 
+(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|)) (-15 -2552 ((-421 (-1161 |#1|)) (-1161 |#1|) |#1|))) 
+((-3195 (((-635 |#2|) (-1161 |#4|)) 43)) (-4503 ((|#3| (-569)) 46)) (-4285 (((-1161 |#4|) (-1161 |#3|)) 30)) (-3690 (((-1161 |#4|) (-1161 |#4|) (-569)) 55)) (-2243 (((-1161 |#3|) (-1161 |#4|)) 21)) (-2284 (((-635 (-765)) (-1161 |#4|) (-635 |#2|)) 40)) (-4486 (((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|)) 35))) 
+(((-319 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4486 ((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2284 ((-635 (-765)) (-1161 |#4|) (-635 |#2|))) (-15 -3195 ((-635 |#2|) (-1161 |#4|))) (-15 -2243 ((-1161 |#3|) (-1161 |#4|))) (-15 -4285 ((-1161 |#4|) (-1161 |#3|))) (-15 -3690 ((-1161 |#4|) (-1161 |#4|) (-569))) (-15 -4503 (|#3| (-569)))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|)) (T -319)) 
+((-4503 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1049)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-952 *2 *4 *5)))) (-3690 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 *7)) (-5 *3 (-569)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *1 (-319 *4 *5 *6 *7)))) (-4285 (*1 *2 *3) (-12 (-5 *3 (-1161 *6)) (-4 *6 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-2243 (*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-319 *4 *5 *6 *7)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) (-2284 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *8)) (-5 *4 (-635 *6)) (-4 *6 (-844)) (-4 *8 (-952 *7 *5 *6)) (-4 *5 (-790)) (-4 *7 (-1049)) (-5 *2 (-635 (-765))) (-5 *1 (-319 *5 *6 *7 *8)))) (-4486 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-1161 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -4486 ((-1161 |#3|) (-1161 |#4|) (-635 |#2|) (-635 |#3|))) (-15 -2284 ((-635 (-765)) (-1161 |#4|) (-635 |#2|))) (-15 -3195 ((-635 |#2|) (-1161 |#4|))) (-15 -2243 ((-1161 |#3|) (-1161 |#4|))) (-15 -4285 ((-1161 |#4|) (-1161 |#3|))) (-15 -3690 ((-1161 |#4|) (-1161 |#4|) (-569))) (-15 -4503 (|#3| (-569)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 14)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 18)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-569) $ (-569)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-569) (-569)) $) 10)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) NIL (|has| (-569) (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3802 (((-569) |#1| $) NIL)) (-2407 (($) 15 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 21 (|has| |#1| (-844)))) (-1377 (($ $) 11) (($ $ $) 20)) (-1371 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) |#1|) 19))) 
+(((-320 |#1|) (-13 (-21) (-709 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) (-1093)) (T -320)) 
+NIL 
+(-13 (-21) (-709 (-569)) (-321 |#1| (-569)) (-10 -7 (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 26)) (-3748 (((-3 $ "failed") $ $) 18)) (-2675 (((-765) $) 27)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 31)) (-1321 ((|#1| $) 30)) (-1906 ((|#1| $ (-569)) 24)) (-3244 ((|#2| $ (-569)) 25)) (-1648 (($ (-1 |#1| |#1|) $) 21)) (-1797 (($ (-1 |#2| |#2|) $) 22)) (-2605 (((-1147) $) 9)) (-4046 (($ $ $) 20 (|has| |#2| (-789)))) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ |#1|) 32)) (-3802 ((|#2| |#1| $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1371 (($ $ $) 13) (($ |#1| $) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ |#2| |#1|) 28))) 
+(((-321 |#1| |#2|) (-1284) (-1093) (-138)) (T -321)) 
+((-1371 (*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)))) (* (*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) (-2675 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-765)))) (-3824 (*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))))) (-3244 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1093)) (-4 *2 (-138)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1093)))) (-3802 (*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) (-1797 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) (-4046 (*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)) (-4 *3 (-789))))) 
+(-13 (-138) (-1039 |t#1|) (-10 -8 (-15 -1371 ($ |t#1| $)) (-15 * ($ |t#2| |t#1|)) (-15 -2675 ((-765) $)) (-15 -3824 ((-635 (-2 (|:| |gen| |t#1|) (|:| -3408 |t#2|))) $)) (-15 -3244 (|t#2| $ (-569))) (-15 -1906 (|t#1| $ (-569))) (-15 -3802 (|t#2| |t#1| $)) (-15 -1797 ($ (-1 |t#2| |t#2|) $)) (-15 -1648 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#2| (-789)) (-15 -4046 ($ $ $)) |noBranch|))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-3244 (((-765) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) NIL)) (-1797 (($ (-1 (-765) (-765)) $) NIL)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) NIL (|has| (-765) (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3802 (((-765) |#1| $) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL) (($ |#1| $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-765) |#1|) NIL))) 
+(((-322 |#1|) (-321 |#1| (-765)) (-1093)) (T -322)) 
+NIL 
+(-321 |#1| (-765)) 
+((-4188 ((|#5| (-1 |#4| |#2|) |#3|) 19))) 
+(((-323 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4188 (|#5| (-1 |#4| |#2|) |#3|))) (-789) (-1049) (-325 |#2| |#1|) (-1049) (-325 |#4| |#1|)) (T -323)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1049)) (-4 *7 (-1049)) (-4 *5 (-789)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5))))) 
+(-10 -7 (-15 -4188 (|#5| (-1 |#4| |#2|) |#3|))) 
+((-2540 (($ $) 52)) (-2916 (($ $ |#2| |#3| $) 14)) (-1541 (($ (-1 |#3| |#3|) $) 35)) (-3249 (((-121) $) 27)) (-3256 ((|#2| $) 29)) (-1436 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ |#2|) 45)) (-2363 ((|#2| $) 48)) (-2894 (((-635 |#2|) $) 38)) (-2587 (($ $ $ (-765)) 23)) (-1383 (($ $ |#2|) 42))) 
+(((-324 |#1| |#2| |#3|) (-10 -8 (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2587 (|#1| |#1| |#1| (-765))) (-15 -2916 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1541 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1383 (|#1| |#1| |#2|))) (-325 |#2| |#3|) (-1049) (-789)) (T -324)) 
+NIL 
+(-10 -8 (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2587 (|#1| |#1| |#1| (-765))) (-15 -2916 (|#1| |#1| |#2| |#3| |#1|)) (-15 -1541 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1383 (|#1| |#1| |#2|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 86 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 84 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 83)) (-1321 (((-569) $) 87 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 85 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 82)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 71 (|has| |#1| (-454)))) (-2916 (($ $ |#1| |#2| $) 75)) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 78)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60)) (-4294 ((|#2| $) 77)) (-1541 (($ (-1 |#2| |#2|) $) 76)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 81)) (-3256 ((|#1| $) 80)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 73 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-2363 ((|#1| $) 72 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46) (($ (-410 (-569))) 56 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 79)) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 74 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-325 |#1| |#2|) (-1284) (-1049) (-789)) (T -325)) 
+((-3249 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) (-3256 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-635 *3)))) (-4118 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-1541 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-2916 (*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) (-2587 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *3 (-173)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-559)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-454))))) 
+(-13 (-52 |t#1| |t#2|) (-414 |t#1|) (-10 -8 (-15 -3249 ((-121) $)) (-15 -3256 (|t#1| $)) (-15 -2894 ((-635 |t#1|) $)) (-15 -4118 ((-765) $)) (-15 -4294 (|t#2| $)) (-15 -1541 ($ (-1 |t#2| |t#2|) $)) (-15 -2916 ($ $ |t#1| |t#2| $)) (IF (|has| |t#1| (-173)) (-15 -2587 ($ $ $ (-765))) |noBranch|) (IF (|has| |t#1| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2363 (|t#1| $)) (-15 -2540 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-414 |#1|) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2723 (((-121) (-121)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-3274 (($ $ (-569)) NIL)) (-4105 (((-765) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3582 (($ (-635 |#1|)) NIL)) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-326 |#1|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) (-1199)) (T -326)) 
+((-3582 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-326 *3)))) (-4105 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) (-3274 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) (-2723 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1199))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) 
+((-1402 (((-121) $) 37)) (-4102 (((-765)) 22)) (-3588 ((|#2| $) 41) (($ $ (-919)) 99)) (-2675 (((-765)) 93)) (-2097 (($ (-1253 |#2|)) 20)) (-3761 (((-121) $) 111)) (-3046 ((|#2| $) 43) (($ $ (-919)) 97)) (-2415 (((-1161 |#2|) $) NIL) (((-1161 $) $ (-919)) 88)) (-2130 (((-1161 |#2|) $) 78)) (-2632 (((-1161 |#2|) $) 75) (((-3 (-1161 |#2|) "failed") $ $) 72)) (-3946 (($ $ (-1161 |#2|)) 48)) (-3648 (((-830 (-919))) 91) (((-919)) 38)) (-2174 (((-140)) 25)) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 112)) (-2433 (($) 105)) (-3672 (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 34)) (-2277 (($ $) NIL) (((-3 $ "failed") $) 81)) (-3345 (((-121) $) 36))) 
+(((-327 |#1| |#2|) (-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2675 ((-765))) (-15 -2277 (|#1| |#1|)) (-15 -2632 ((-3 (-1161 |#2|) "failed") |#1| |#1|)) (-15 -2632 ((-1161 |#2|) |#1|)) (-15 -2130 ((-1161 |#2|) |#1|)) (-15 -3946 (|#1| |#1| (-1161 |#2|))) (-15 -3761 ((-121) |#1|)) (-15 -2433 (|#1|)) (-15 -3588 (|#1| |#1| (-919))) (-15 -3046 (|#1| |#1| (-919))) (-15 -2415 ((-1161 |#1|) |#1| (-919))) (-15 -3588 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2284 ((-919) |#1|)) (-15 -3648 ((-919))) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -4102 ((-765))) (-15 -3648 ((-830 (-919)))) (-15 -2284 ((-830 (-919)) |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|)) (-15 -2174 ((-140)))) (-328 |#2|) (-366)) (T -327)) 
+((-2174 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-3648 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-830 (-919))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-4102 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-3648 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-919)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) (-2675 (*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4))))) 
+(-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2675 ((-765))) (-15 -2277 (|#1| |#1|)) (-15 -2632 ((-3 (-1161 |#2|) "failed") |#1| |#1|)) (-15 -2632 ((-1161 |#2|) |#1|)) (-15 -2130 ((-1161 |#2|) |#1|)) (-15 -3946 (|#1| |#1| (-1161 |#2|))) (-15 -3761 ((-121) |#1|)) (-15 -2433 (|#1|)) (-15 -3588 (|#1| |#1| (-919))) (-15 -3046 (|#1| |#1| (-919))) (-15 -2415 ((-1161 |#1|) |#1| (-919))) (-15 -3588 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2284 ((-919) |#1|)) (-15 -3648 ((-919))) (-15 -2415 ((-1161 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -4102 ((-765))) (-15 -3648 ((-830 (-919)))) (-15 -2284 ((-830 (-919)) |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|)) (-15 -2174 ((-140)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 90)) (-4102 (((-765)) 86)) (-3588 ((|#1| $) 133) (($ $ (-919)) 130 (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 115 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 105 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 97)) (-1321 ((|#1| $) 96)) (-2097 (($ (-1253 |#1|)) 139)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 121 (|has| |#1| (-371)))) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 102 (|has| |#1| (-371)))) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 117 (|has| |#1| (-371)))) (-3462 (((-121) $) 118 (|has| |#1| (-371)))) (-3238 (($ $ (-765)) 83 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) 69)) (-4433 (((-919) $) 120 (|has| |#1| (-371))) (((-830 (-919)) $) 80 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) 30)) (-4109 (($) 128 (|has| |#1| (-371)))) (-3761 (((-121) $) 127 (|has| |#1| (-371)))) (-3046 ((|#1| $) 134) (($ $ (-919)) 131 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) 106 (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2415 (((-1161 |#1|) $) 138) (((-1161 $) $ (-919)) 132 (|has| |#1| (-371)))) (-2862 (((-919) $) 103 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) 124 (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) 123 (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) 122 (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) 125 (|has| |#1| (-371)))) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 107 (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 104 (|has| |#1| (-371)))) (-1346 (((-121) $) 89)) (-1912 (((-1111) $) 10)) (-1986 (($) 126 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 114 (|has| |#1| (-371)))) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 87) (((-919)) 136)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-765) $) 119 (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) 81 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) 95)) (-3289 (($ $) 111 (|has| |#1| (-371))) (($ $ (-765)) 109 (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) 88) (((-919) $) 135)) (-3036 (((-1161 |#1|)) 137)) (-3563 (($) 116 (|has| |#1| (-371)))) (-2433 (($) 129 (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 141) (((-681 |#1|) (-1253 $)) 140)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 113 (|has| |#1| (-371)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-2277 (($ $) 112 (|has| |#1| (-371))) (((-3 $ "failed") $) 79 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 143) (((-1253 $) (-919)) 142)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 91)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $) 85 (|has| |#1| (-371))) (($ $ (-765)) 84 (|has| |#1| (-371)))) (-3712 (($ $) 110 (|has| |#1| (-371))) (($ $ (-765)) 108 (|has| |#1| (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 94)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-328 |#1|) (-1284) (-366)) (T -328)) 
+((-4079 (*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *3)))) (-4079 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *4)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) (-3036 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) (-3648 (*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) (-2415 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1161 *1)) (-4 *1 (-328 *4)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-3588 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) (-2433 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-4109 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) (-1986 (*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) (-3946 (*1 *1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366)))) (-2130 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) (-2632 (*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) (-2632 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
+(-13 (-1270 |t#1|) (-1039 |t#1|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -4079 ((-1253 $) (-919))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -2415 ((-1161 |t#1|) $)) (-15 -3036 ((-1161 |t#1|))) (-15 -3648 ((-919))) (-15 -2284 ((-919) $)) (-15 -3046 (|t#1| $)) (-15 -3588 (|t#1| $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-351)) (-15 -2415 ((-1161 $) $ (-919))) (-15 -3046 ($ $ (-919))) (-15 -3588 ($ $ (-919))) (-15 -2433 ($)) (-15 -4109 ($)) (-15 -3761 ((-121) $)) (-15 -1986 ($)) (-15 -3946 ($ $ (-1161 |t#1|))) (-15 -2130 ((-1161 |t#1|) $)) (-15 -2632 ((-1161 |t#1|) $)) (-15 -2632 ((-3 (-1161 |t#1|) "failed") $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-226) |has| |#1| (-371)) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 |#1|) . T) ((-366) . T) ((-405) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-371) |has| |#1| (-371)) ((-351) |has| |#1| (-371)) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-371)) ((-1208) . T) ((-1260 |#1|) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1308 (($ (-1164) $) 88)) (-1369 (($) 76)) (-3031 (((-1111) (-1111)) 11)) (-3796 (($) 77)) (-3630 (($) 90) (($ (-311 (-690))) 96) (($ (-311 (-692))) 93) (($ (-311 (-685))) 99) (($ (-311 (-382))) 105) (($ (-311 (-569))) 102) (($ (-311 (-170 (-382)))) 108)) (-3971 (($ (-1164) $) 89)) (-2014 (($ (-635 (-852))) 79)) (-4305 (((-1258) $) 73)) (-1497 (((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2111 (($ (-1111)) 45)) (-1688 (((-1097) $) 25)) (-4318 (($ (-1085 (-955 (-569))) $) 85) (($ (-1085 (-955 (-569))) (-955 (-569)) $) 86)) (-2742 (($ (-1111)) 87)) (-2655 (($ (-1164) $) 110) (($ (-1164) $ $) 111)) (-3444 (($ (-1165) (-635 (-1165))) 75)) (-3213 (($ (-1147)) 82) (($ (-635 (-1147))) 80)) (-3956 (((-852) $) 113)) (-2200 (((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $) 37)) (-3603 (($ (-1147)) 182)) (-4391 (($ (-635 $)) 109)) (-4205 (($ (-1165) (-1147)) 115) (($ (-1165) (-311 (-692))) 155) (($ (-1165) (-311 (-690))) 156) (($ (-1165) (-311 (-685))) 157) (($ (-1165) (-681 (-692))) 118) (($ (-1165) (-681 (-690))) 121) (($ (-1165) (-681 (-685))) 124) (($ (-1165) (-1253 (-692))) 127) (($ (-1165) (-1253 (-690))) 130) (($ (-1165) (-1253 (-685))) 133) (($ (-1165) (-681 (-311 (-692)))) 136) (($ (-1165) (-681 (-311 (-690)))) 139) (($ (-1165) (-681 (-311 (-685)))) 142) (($ (-1165) (-1253 (-311 (-692)))) 145) (($ (-1165) (-1253 (-311 (-690)))) 148) (($ (-1165) (-1253 (-311 (-685)))) 151) (($ (-1165) (-635 (-955 (-569))) (-311 (-692))) 152) (($ (-1165) (-635 (-955 (-569))) (-311 (-690))) 153) (($ (-1165) (-635 (-955 (-569))) (-311 (-685))) 154) (($ (-1165) (-311 (-569))) 179) (($ (-1165) (-311 (-382))) 180) (($ (-1165) (-311 (-170 (-382)))) 181) (($ (-1165) (-681 (-311 (-569)))) 160) (($ (-1165) (-681 (-311 (-382)))) 163) (($ (-1165) (-681 (-311 (-170 (-382))))) 166) (($ (-1165) (-1253 (-311 (-569)))) 169) (($ (-1165) (-1253 (-311 (-382)))) 172) (($ (-1165) (-1253 (-311 (-170 (-382))))) 175) (($ (-1165) (-635 (-955 (-569))) (-311 (-569))) 176) (($ (-1165) (-635 (-955 (-569))) (-311 (-382))) 177) (($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382)))) 178)) (-1326 (((-121) $ $) NIL))) 
+(((-329) (-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -4318 ($ (-1085 (-955 (-569))) $)) (-15 -4318 ($ (-1085 (-955 (-569))) (-955 (-569)) $)) (-15 -1308 ($ (-1164) $)) (-15 -3971 ($ (-1164) $)) (-15 -2111 ($ (-1111))) (-15 -2742 ($ (-1111))) (-15 -3213 ($ (-1147))) (-15 -3213 ($ (-635 (-1147)))) (-15 -3603 ($ (-1147))) (-15 -3630 ($)) (-15 -3630 ($ (-311 (-690)))) (-15 -3630 ($ (-311 (-692)))) (-15 -3630 ($ (-311 (-685)))) (-15 -3630 ($ (-311 (-382)))) (-15 -3630 ($ (-311 (-569)))) (-15 -3630 ($ (-311 (-170 (-382))))) (-15 -2655 ($ (-1164) $)) (-15 -2655 ($ (-1164) $ $)) (-15 -4205 ($ (-1165) (-1147))) (-15 -4205 ($ (-1165) (-311 (-692)))) (-15 -4205 ($ (-1165) (-311 (-690)))) (-15 -4205 ($ (-1165) (-311 (-685)))) (-15 -4205 ($ (-1165) (-681 (-692)))) (-15 -4205 ($ (-1165) (-681 (-690)))) (-15 -4205 ($ (-1165) (-681 (-685)))) (-15 -4205 ($ (-1165) (-1253 (-692)))) (-15 -4205 ($ (-1165) (-1253 (-690)))) (-15 -4205 ($ (-1165) (-1253 (-685)))) (-15 -4205 ($ (-1165) (-681 (-311 (-692))))) (-15 -4205 ($ (-1165) (-681 (-311 (-690))))) (-15 -4205 ($ (-1165) (-681 (-311 (-685))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-692))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-690))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-685))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-692)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-690)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-685)))) (-15 -4205 ($ (-1165) (-311 (-569)))) (-15 -4205 ($ (-1165) (-311 (-382)))) (-15 -4205 ($ (-1165) (-311 (-170 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-569))))) (-15 -4205 ($ (-1165) (-681 (-311 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-569))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-382))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-569)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-382)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382))))) (-15 -4391 ($ (-635 $))) (-15 -1369 ($)) (-15 -3796 ($)) (-15 -2014 ($ (-635 (-852)))) (-15 -3444 ($ (-1165) (-635 (-1165)))) (-15 -1497 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2200 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $)) (-15 -4305 ((-1258) $)) (-15 -1688 ((-1097) $)) (-15 -3031 ((-1111) (-1111)))))) (T -329)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-329)))) (-4318 (*1 *1 *2 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *1 (-329)))) (-4318 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *3 (-955 (-569))) (-5 *1 (-329)))) (-1308 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-3971 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-2111 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329)))) (-2742 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329)))) (-3213 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329)))) (-3213 (*1 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-329)))) (-3603 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329)))) (-3630 (*1 *1) (-5 *1 (-329))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) (-3630 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-2655 (*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-2655 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-692)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-690)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-685)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-692)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-690)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-685)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-692))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-690))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-685))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-569)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-569)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-382)))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-170 (-382))))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) (-4205 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) (-4391 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329)))) (-1369 (*1 *1) (-5 *1 (-329))) (-3796 (*1 *1) (-5 *1 (-329))) (-2014 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-329)))) (-3444 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-329)))) (-1497 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329)))) (-2200 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852))))) (-5 *1 (-329)))) (-4305 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-329)))) (-1688 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-329)))) (-3031 (*1 *2 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -4318 ($ (-1085 (-955 (-569))) $)) (-15 -4318 ($ (-1085 (-955 (-569))) (-955 (-569)) $)) (-15 -1308 ($ (-1164) $)) (-15 -3971 ($ (-1164) $)) (-15 -2111 ($ (-1111))) (-15 -2742 ($ (-1111))) (-15 -3213 ($ (-1147))) (-15 -3213 ($ (-635 (-1147)))) (-15 -3603 ($ (-1147))) (-15 -3630 ($)) (-15 -3630 ($ (-311 (-690)))) (-15 -3630 ($ (-311 (-692)))) (-15 -3630 ($ (-311 (-685)))) (-15 -3630 ($ (-311 (-382)))) (-15 -3630 ($ (-311 (-569)))) (-15 -3630 ($ (-311 (-170 (-382))))) (-15 -2655 ($ (-1164) $)) (-15 -2655 ($ (-1164) $ $)) (-15 -4205 ($ (-1165) (-1147))) (-15 -4205 ($ (-1165) (-311 (-692)))) (-15 -4205 ($ (-1165) (-311 (-690)))) (-15 -4205 ($ (-1165) (-311 (-685)))) (-15 -4205 ($ (-1165) (-681 (-692)))) (-15 -4205 ($ (-1165) (-681 (-690)))) (-15 -4205 ($ (-1165) (-681 (-685)))) (-15 -4205 ($ (-1165) (-1253 (-692)))) (-15 -4205 ($ (-1165) (-1253 (-690)))) (-15 -4205 ($ (-1165) (-1253 (-685)))) (-15 -4205 ($ (-1165) (-681 (-311 (-692))))) (-15 -4205 ($ (-1165) (-681 (-311 (-690))))) (-15 -4205 ($ (-1165) (-681 (-311 (-685))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-692))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-690))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-685))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-692)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-690)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-685)))) (-15 -4205 ($ (-1165) (-311 (-569)))) (-15 -4205 ($ (-1165) (-311 (-382)))) (-15 -4205 ($ (-1165) (-311 (-170 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-569))))) (-15 -4205 ($ (-1165) (-681 (-311 (-382))))) (-15 -4205 ($ (-1165) (-681 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-569))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-382))))) (-15 -4205 ($ (-1165) (-1253 (-311 (-170 (-382)))))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-569)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-382)))) (-15 -4205 ($ (-1165) (-635 (-955 (-569))) (-311 (-170 (-382))))) (-15 -4391 ($ (-635 $))) (-15 -1369 ($)) (-15 -3796 ($)) (-15 -2014 ($ (-635 (-852)))) (-15 -3444 ($ (-1165) (-635 (-1165)))) (-15 -1497 ((-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print")) $)) (-15 -2200 ((-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| $) (|:| |elseClause| $))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 $)) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| $))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| $))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852)))) $)) (-15 -4305 ((-1258) $)) (-15 -1688 ((-1097) $)) (-15 -3031 ((-1111) (-1111))))) 
+((-1310 (((-121) $ $) NIL)) (-4135 (((-121) $) 11)) (-3455 (($ |#1|) 8)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3460 (($ |#1|) 9)) (-3956 (((-852) $) 17)) (-3955 ((|#1| $) 12)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 19))) 
+(((-330 |#1|) (-13 (-844) (-10 -8 (-15 -3455 ($ |#1|)) (-15 -3460 ($ |#1|)) (-15 -4135 ((-121) $)) (-15 -3955 (|#1| $)))) (-844)) (T -330)) 
+((-3455 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) (-3460 (*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) (-4135 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-844)))) (-3955 (*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844))))) 
+(-13 (-844) (-10 -8 (-15 -3455 ($ |#1|)) (-15 -3460 ($ |#1|)) (-15 -4135 ((-121) $)) (-15 -3955 (|#1| $)))) 
+((-4451 (((-329) (-1165) (-955 (-569))) 22)) (-2678 (((-329) (-1165) (-955 (-569))) 26)) (-2535 (((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569)))) 25) (((-329) (-1165) (-955 (-569)) (-955 (-569))) 23)) (-3008 (((-329) (-1165) (-955 (-569))) 30))) 
+(((-331) (-10 -7 (-15 -4451 ((-329) (-1165) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-955 (-569)) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569))))) (-15 -2678 ((-329) (-1165) (-955 (-569)))) (-15 -3008 ((-329) (-1165) (-955 (-569)))))) (T -331)) 
+((-3008 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2678 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2535 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1085 (-955 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) (-2535 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) (-4451 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(-10 -7 (-15 -4451 ((-329) (-1165) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-955 (-569)) (-955 (-569)))) (-15 -2535 ((-329) (-1165) (-1085 (-955 (-569))) (-1085 (-955 (-569))))) (-15 -2678 ((-329) (-1165) (-955 (-569)))) (-15 -3008 ((-329) (-1165) (-955 (-569))))) 
+((-4188 (((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)) 31))) 
+(((-332 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-366) (-1228 |#5|) (-1228 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -332)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1228 *9)) (-4 *11 (-1228 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11))))) 
+(-10 -7 (-15 -4188 ((-335 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-335 |#1| |#2| |#3| |#4|)))) 
+((-3569 (((-121) $) 14))) 
+(((-333 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3569 ((-121) |#1|))) (-334 |#2| |#3| |#4| |#5|) (-366) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -333)) 
+NIL 
+(-10 -8 (-15 -3569 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2793 (($ $) 25)) (-3569 (((-121) $) 24)) (-2605 (((-1147) $) 9)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 31)) (-1912 (((-1111) $) 10)) (-1986 (((-3 |#4| "failed") $) 23)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 30) (($ |#4|) 29) (($ |#1| |#1|) 28) (($ |#1| |#1| (-569)) 27) (($ |#4| |#2| |#2| |#2| |#1|) 22)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 26)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19))) 
+(((-334 |#1| |#2| |#3| |#4|) (-1284) (-366) (-1228 |t#1|) (-1228 (-410 |t#2|)) (-341 |t#1| |t#2| |t#3|)) (T -334)) 
+((-2018 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) (-2124 (*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6)))) (-2124 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) (-2124 (*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) (-2124 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1228 *2)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) (-3861 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3227 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) (-2793 (*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) (-3569 (*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121)))) (-1986 (*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) (-2124 (*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5))))) 
+(-13 (-21) (-10 -8 (-15 -2018 ((-416 |t#2| (-410 |t#2|) |t#3| |t#4|) $)) (-15 -2124 ($ (-416 |t#2| (-410 |t#2|) |t#3| |t#4|))) (-15 -2124 ($ |t#4|)) (-15 -2124 ($ |t#1| |t#1|)) (-15 -2124 ($ |t#1| |t#1| (-569))) (-15 -3861 ((-2 (|:| -3227 (-416 |t#2| (-410 |t#2|) |t#3| |t#4|)) (|:| |principalPart| |t#4|)) $)) (-15 -2793 ($ $)) (-15 -3569 ((-121) $)) (-15 -1986 ((-3 |t#4| "failed") $)) (-15 -2124 ($ |t#4| |t#2| |t#2| |t#2| |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ $) 32)) (-3569 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3611 (((-1253 |#4|) $) 124)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 30)) (-1912 (((-1111) $) NIL)) (-1986 (((-3 |#4| "failed") $) 35)) (-3634 (((-1253 |#4|) $) 117)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 40) (($ |#4|) 42) (($ |#1| |#1|) 44) (($ |#1| |#1| (-569)) 46) (($ |#4| |#2| |#2| |#2| |#1|) 48)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 38)) (-3956 (((-852) $) 17)) (-2407 (($) 14 T CONST)) (-1326 (((-121) $ $) 20)) (-1377 (($ $) 27) (($ $ $) NIL)) (-1371 (($ $ $) 25)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 23))) 
+(((-335 |#1| |#2| |#3| |#4|) (-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3634 ((-1253 |#4|) $)) (-15 -3611 ((-1253 |#4|) $)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -335)) 
+((-3634 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5)))) (-3611 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(-13 (-334 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3634 ((-1253 |#4|) $)) (-15 -3611 ((-1253 |#4|) $)))) 
+((-1484 (($ $ (-1165) |#2|) NIL) (($ $ (-635 (-1165)) (-635 |#2|)) 18) (($ $ (-635 (-289 |#2|))) 14) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2503 (($ $ |#2|) 11))) 
+(((-336 |#1| |#2|) (-10 -8 (-15 -2503 (|#1| |#1| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1165) |#2|))) (-337 |#2|) (-1093)) (T -336)) 
+NIL 
+(-10 -8 (-15 -2503 (|#1| |#1| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1165) |#2|))) 
+((-4188 (($ (-1 |#1| |#1|) $) 6)) (-1484 (($ $ (-1165) |#1|) 16 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 15 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-635 (-289 |#1|))) 14 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 13 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 12 (|has| |#1| (-304 |#1|))) (($ $ (-635 |#1|) (-635 |#1|)) 11 (|has| |#1| (-304 |#1|)))) (-2503 (($ $ |#1|) 10 (|has| |#1| (-282 |#1| |#1|))))) 
+(((-337 |#1|) (-1284) (-1093)) (T -337)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1093))))) 
+(-13 (-10 -8 (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-282 |t#1| |t#1|)) (-6 (-282 |t#1| $)) |noBranch|) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) (IF (|has| |t#1| (-524 (-1165) |t#1|)) (-6 (-524 (-1165) |t#1|)) |noBranch|))) 
+(((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-2481 (((-121)) 87) (((-121) (-121)) 88)) (-4320 (((-635 (-608 $)) $) NIL)) (-3544 (($ $) NIL)) (-3467 (($ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-3422 (($ $) NIL)) (-3530 (($ $) NIL)) (-3455 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 |#3| "failed") $) NIL) (((-3 $ "failed") (-311 |#3|)) 69) (((-3 $ "failed") (-1165)) 93) (((-3 $ "failed") (-311 (-569))) 56 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-410 (-955 (-569)))) 62 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-955 (-569))) 57 (|has| |#3| (-1039 (-569)))) (((-3 $ "failed") (-311 (-382))) 74 (|has| |#3| (-1039 (-382)))) (((-3 $ "failed") (-410 (-955 (-382)))) 80 (|has| |#3| (-1039 (-382)))) (((-3 $ "failed") (-955 (-382))) 75 (|has| |#3| (-1039 (-382))))) (-1321 (((-608 $) $) NIL) ((|#3| $) NIL) (($ (-311 |#3|)) 70) (($ (-1165)) 94) (($ (-311 (-569))) 58 (|has| |#3| (-1039 (-569)))) (($ (-410 (-955 (-569)))) 63 (|has| |#3| (-1039 (-569)))) (($ (-955 (-569))) 59 (|has| |#3| (-1039 (-569)))) (($ (-311 (-382))) 76 (|has| |#3| (-1039 (-382)))) (($ (-410 (-955 (-382)))) 81 (|has| |#3| (-1039 (-382)))) (($ (-955 (-382))) 77 (|has| |#3| (-1039 (-382))))) (-2611 (((-3 $ "failed") $) NIL)) (-3415 (($) 10)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1492 (($ $) 90)) (-3597 (($ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) 89) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3408 (($ $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-3538 (($ $) NIL)) (-3460 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ |#3|) NIL) (($ (-569)) NIL) (((-311 |#3|) $) 92)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) NIL)) (-3505 (($ $) NIL)) (-3490 (($ $) NIL)) (-3497 (($ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 91 T CONST)) (-3297 (($) 22 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ |#3| $) NIL) (($ $ |#3|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-338 |#1| |#2| |#3|) (-13 (-297) (-43 |#3|) (-1039 |#3|) (-897 (-1165)) (-10 -8 (-15 -1321 ($ (-311 |#3|))) (-15 -3003 ((-3 $ "failed") (-311 |#3|))) (-15 -1321 ($ (-1165))) (-15 -3003 ((-3 $ "failed") (-1165))) (-15 -3956 ((-311 |#3|) $)) (IF (|has| |#3| (-1039 (-569))) (PROGN (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569))))) |noBranch|) (IF (|has| |#3| (-1039 (-382))) (PROGN (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382))))) |noBranch|) (-15 -4080 ($ $)) (-15 -3422 ($ $)) (-15 -3408 ($ $)) (-15 -3597 ($ $)) (-15 -1492 ($ $)) (-15 -3455 ($ $)) (-15 -3460 ($ $)) (-15 -3467 ($ $)) (-15 -3490 ($ $)) (-15 -3497 ($ $)) (-15 -3505 ($ $)) (-15 -3530 ($ $)) (-15 -3538 ($ $)) (-15 -3544 ($ $)) (-15 -3415 ($)) (-15 -3195 ((-635 (-1165)) $)) (-15 -2481 ((-121))) (-15 -2481 ((-121) (-121))))) (-635 (-1165)) (-635 (-1165)) (-390)) (T -338)) 
+((-1321 (*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-4080 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3422 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3408 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3597 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-1492 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3455 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3460 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3467 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3490 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3497 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3505 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3530 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3538 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3544 (*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3415 (*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) (-3195 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) (-2481 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) (-2481 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390))))) 
+(-13 (-297) (-43 |#3|) (-1039 |#3|) (-897 (-1165)) (-10 -8 (-15 -1321 ($ (-311 |#3|))) (-15 -3003 ((-3 $ "failed") (-311 |#3|))) (-15 -1321 ($ (-1165))) (-15 -3003 ((-3 $ "failed") (-1165))) (-15 -3956 ((-311 |#3|) $)) (IF (|has| |#3| (-1039 (-569))) (PROGN (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569))))) |noBranch|) (IF (|has| |#3| (-1039 (-382))) (PROGN (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382))))) |noBranch|) (-15 -4080 ($ $)) (-15 -3422 ($ $)) (-15 -3408 ($ $)) (-15 -3597 ($ $)) (-15 -1492 ($ $)) (-15 -3455 ($ $)) (-15 -3460 ($ $)) (-15 -3467 ($ $)) (-15 -3490 ($ $)) (-15 -3497 ($ $)) (-15 -3505 ($ $)) (-15 -3530 ($ $)) (-15 -3538 ($ $)) (-15 -3544 ($ $)) (-15 -3415 ($)) (-15 -3195 ((-635 (-1165)) $)) (-15 -2481 ((-121))) (-15 -2481 ((-121) (-121))))) 
+((-4188 ((|#8| (-1 |#5| |#1|) |#4|) 19))) 
+(((-339 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|))) (-1208) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-1208) (-1228 |#5|) (-1228 (-410 |#6|)) (-341 |#5| |#6| |#7|)) (T -339)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1208)) (-4 *8 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *9 (-1228 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1228 (-410 *9)))))) 
+(-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|))) 
+((-3315 (((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) $) 37)) (-2097 (($ (-1253 (-410 |#3|)) (-1253 $)) NIL) (($ (-1253 (-410 |#3|))) NIL) (($ (-1253 |#3|) |#3|) 158)) (-3728 (((-1253 $) (-1253 $)) 142)) (-3768 (((-635 (-635 |#2|))) 115)) (-1596 (((-121) |#2| |#2|) 71)) (-2540 (($ $) 136)) (-1853 (((-765)) 30)) (-2749 (((-1253 $) (-1253 $)) 195)) (-1694 (((-635 (-955 |#2|)) (-1165)) 108)) (-2722 (((-121) $) 155)) (-3759 (((-121) $) 24) (((-121) $ |#2|) 28) (((-121) $ |#3|) 199)) (-3973 (((-3 |#3| "failed")) 48)) (-2196 (((-765)) 167)) (-2503 ((|#2| $ |#2| |#2|) 129)) (-4374 (((-3 |#3| "failed")) 66)) (-3289 (($ $ (-1 (-410 |#3|) (-410 |#3|)) (-765)) NIL) (($ $ (-1 (-410 |#3|) (-410 |#3|))) NIL) (($ $ (-1 |#3| |#3|)) 203) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-4482 (((-1253 $) (-1253 $)) 148)) (-4037 (((-2 (|:| |num| $) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) $ (-1 |#3| |#3|)) 64)) (-3268 (((-121)) 32))) 
+(((-340 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3768 ((-635 (-635 |#2|)))) (-15 -1694 ((-635 (-955 |#2|)) (-1165))) (-15 -4037 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3973 ((-3 |#3| "failed"))) (-15 -4374 ((-3 |#3| "failed"))) (-15 -2503 (|#2| |#1| |#2| |#2|)) (-15 -2540 (|#1| |#1|)) (-15 -2097 (|#1| (-1253 |#3|) |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3759 ((-121) |#1| |#3|)) (-15 -3759 ((-121) |#1| |#2|)) (-15 -3315 ((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -3728 ((-1253 |#1|) (-1253 |#1|))) (-15 -2749 ((-1253 |#1|) (-1253 |#1|))) (-15 -4482 ((-1253 |#1|) (-1253 |#1|))) (-15 -3759 ((-121) |#1|)) (-15 -2722 ((-121) |#1|)) (-15 -1596 ((-121) |#2| |#2|)) (-15 -3268 ((-121))) (-15 -2196 ((-765))) (-15 -1853 ((-765))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-765))) (-15 -2097 (|#1| (-1253 (-410 |#3|)))) (-15 -2097 (|#1| (-1253 (-410 |#3|)) (-1253 |#1|)))) (-341 |#2| |#3| |#4|) (-1208) (-1228 |#2|) (-1228 (-410 |#3|))) (T -340)) 
+((-1853 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-2196 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-3268 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) (-1596 (*1 *2 *3 *3) (-12 (-4 *3 (-1208)) (-4 *5 (-1228 *3)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) (-4374 (*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-3973 (*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) (-1694 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-635 (-955 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) (-3768 (*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6))))) 
+(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3768 ((-635 (-635 |#2|)))) (-15 -1694 ((-635 (-955 |#2|)) (-1165))) (-15 -4037 ((-2 (|:| |num| |#1|) (|:| |den| |#3|) (|:| |derivden| |#3|) (|:| |gd| |#3|)) |#1| (-1 |#3| |#3|))) (-15 -3973 ((-3 |#3| "failed"))) (-15 -4374 ((-3 |#3| "failed"))) (-15 -2503 (|#2| |#1| |#2| |#2|)) (-15 -2540 (|#1| |#1|)) (-15 -2097 (|#1| (-1253 |#3|) |#3|)) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3759 ((-121) |#1| |#3|)) (-15 -3759 ((-121) |#1| |#2|)) (-15 -3315 ((-2 (|:| |num| (-1253 |#3|)) (|:| |den| |#3|)) |#1|)) (-15 -3728 ((-1253 |#1|) (-1253 |#1|))) (-15 -2749 ((-1253 |#1|) (-1253 |#1|))) (-15 -4482 ((-1253 |#1|) (-1253 |#1|))) (-15 -3759 ((-121) |#1|)) (-15 -2722 ((-121) |#1|)) (-15 -1596 ((-121) |#2| |#2|)) (-15 -3268 ((-121))) (-15 -2196 ((-765))) (-15 -1853 ((-765))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)))) (-15 -3289 (|#1| |#1| (-1 (-410 |#3|) (-410 |#3|)) (-765))) (-15 -2097 (|#1| (-1253 (-410 |#3|)))) (-15 -2097 (|#1| (-1253 (-410 |#3|)) (-1253 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 180)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (|has| (-410 |#2|) (-366)))) (-2915 (($ $) 88 (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) 90 (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) 44) (((-681 (-410 |#2|))) 55)) (-3588 (((-410 |#2|) $) 50)) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 107 (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) 108 (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) 98 (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) 81 (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) 197)) (-4017 (((-121) |#1|) 196) (((-121) |#2|) 195)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) 160)) (-1321 (((-569) $) 164 (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) 159)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) 46) (($ (-1253 (-410 |#2|))) 58) (($ (-1253 |#2|) |#2|) 173)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) 102 (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) 51) (((-681 (-410 |#2|)) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) 156) (((-681 (-410 |#2|)) (-681 $)) 155)) (-3728 (((-1253 $) (-1253 $)) 185)) (-2793 (($ |#3|) 152) (((-3 $ "failed") (-410 |#3|)) 149 (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3768 (((-635 (-635 |#1|))) 166 (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) 201)) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) 194)) (-2521 (((-121) |#1|) 193) (((-121) |#2|) 192)) (-1626 (($ $ $) 101 (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| (-410 |#2|) (-366)))) (-2540 (($ $) 172)) (-1456 (($) 143 (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) 144 (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) 135 (|has| (-410 |#2|) (-351))) (($ $) 134 (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) 109 (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) 146 (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) 132 (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) 30)) (-1853 (((-765)) 204)) (-2749 (((-1253 $) (-1253 $)) 186)) (-3046 (((-410 |#2|) $) 49)) (-1694 (((-635 (-955 |#1|)) (-1165)) 167 (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) 136 (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) 42 (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) 83 (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) 150)) (-1657 (($ (-635 $)) 94 (|has| (-410 |#2|) (-366))) (($ $ $) 93 (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) 9)) (-3561 (((-681 (-410 |#2|))) 181)) (-2715 (((-681 (-410 |#2|))) 183)) (-3243 (($ $) 110 (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 178)) (-3145 (((-681 (-410 |#2|))) 182)) (-2949 (((-681 (-410 |#2|))) 184)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 177)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 179)) (-1365 (((-1253 $)) 190)) (-1629 (((-1253 $)) 191)) (-2722 (((-121) $) 189)) (-3759 (((-121) $) 188) (((-121) $ |#1|) 176) (((-121) $ |#2|) 175)) (-1423 (($) 137 (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) 169)) (-1912 (((-1111) $) 10)) (-2196 (((-765)) 203)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) 92 (|has| (-410 |#2|) (-366))) (($ $ $) 91 (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) 106 (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) 86 (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) 99 (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) 171)) (-4374 (((-3 |#2| "failed")) 170)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) 45) (((-410 |#2|)) 54)) (-3600 (((-765) $) 145 (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) 133 (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) 117 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 116 (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) 174) (($ $ (-635 (-1165)) (-635 (-765))) 124 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165) (-765)) 125 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1165))) 126 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165)) 127 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-765)) 129 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 131 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) 148 (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 153)) (-3563 (($) 142 (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) 48) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) 47) (((-1253 (-410 |#2|)) $) 60) (((-681 (-410 |#2|)) (-1253 $)) 59)) (-4035 (((-1253 (-410 |#2|)) $) 57) (($ (-1253 (-410 |#2|))) 56) ((|#3| $) 165) (($ |#3|) 151)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) 187)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 |#2|)) 36) (($ (-410 (-569))) 80 (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) 85 (|has| (-410 |#2|) (-366)))) (-2277 (($ $) 138 (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) 41 (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) 43)) (-2320 (((-765)) 28)) (-4197 (((-121)) 200)) (-3834 (((-121) |#1|) 199) (((-121) |#2|) 198)) (-4079 (((-1253 $)) 61)) (-2909 (((-121) $ $) 89 (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) 168)) (-3268 (((-121)) 202)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| (-410 |#2|) (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) 119 (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) 118 (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) 120 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165) (-765)) 121 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-635 (-1165))) 122 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-1165)) 123 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) (-3993 (|has| (-410 |#2|) (-897 (-1165))) (|has| (-410 |#2|) (-366))))) (($ $ (-765)) 128 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) 130 (-1929 (-3993 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-226))) (-3993 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 115 (|has| (-410 |#2|) (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 112 (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 |#2|)) 38) (($ (-410 |#2|) $) 37) (($ (-410 (-569)) $) 114 (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) 113 (|has| (-410 |#2|) (-366))))) 
+(((-341 |#1| |#2| |#3|) (-1284) (-1208) (-1228 |t#1|) (-1228 (-410 |t#2|))) (T -341)) 
+((-1853 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) (-2196 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) (-3268 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-1596 (*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4197 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3834 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3834 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-2147 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4017 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4017 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-3717 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-2521 (*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-2521 (*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-1629 (*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) (-1365 (*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) (-2722 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3759 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-4482 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2749 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-3728 (*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2949 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-2715 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3145 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3561 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4))))) (-3315 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4))))) (-1482 (*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4))))) (-4284 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) (-1593 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| (-681 *5)) (|:| |den| *5))))) (-3759 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) (-3759 (*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) (-2503 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) (-4374 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3)))) (-3973 (*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3)))) (-4037 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1208)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6)))) (-1694 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-955 *4))))) (-3768 (*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3)))))) 
+(-13 (-716 (-410 |t#2|) |t#3|) (-10 -8 (-15 -1853 ((-765))) (-15 -2196 ((-765))) (-15 -3268 ((-121))) (-15 -1596 ((-121) |t#1| |t#1|)) (-15 -4197 ((-121))) (-15 -3834 ((-121) |t#1|)) (-15 -3834 ((-121) |t#2|)) (-15 -2147 ((-121))) (-15 -4017 ((-121) |t#1|)) (-15 -4017 ((-121) |t#2|)) (-15 -3717 ((-121))) (-15 -2521 ((-121) |t#1|)) (-15 -2521 ((-121) |t#2|)) (-15 -1629 ((-1253 $))) (-15 -1365 ((-1253 $))) (-15 -2722 ((-121) $)) (-15 -3759 ((-121) $)) (-15 -4482 ((-1253 $) (-1253 $))) (-15 -2749 ((-1253 $) (-1253 $))) (-15 -3728 ((-1253 $) (-1253 $))) (-15 -2949 ((-681 (-410 |t#2|)))) (-15 -2715 ((-681 (-410 |t#2|)))) (-15 -3145 ((-681 (-410 |t#2|)))) (-15 -3561 ((-681 (-410 |t#2|)))) (-15 -3315 ((-2 (|:| |num| (-1253 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -2097 ($ (-1253 |t#2|) |t#2|)) (-15 -1482 ((-2 (|:| |num| (-1253 |t#2|)) (|:| |den| |t#2|)) $)) (-15 -4284 ($ (-1253 |t#2|) |t#2|)) (-15 -1593 ((-2 (|:| |num| (-681 |t#2|)) (|:| |den| |t#2|)) (-1 |t#2| |t#2|))) (-15 -3759 ((-121) $ |t#1|)) (-15 -3759 ((-121) $ |t#2|)) (-15 -3289 ($ $ (-1 |t#2| |t#2|))) (-15 -2097 ($ (-1253 |t#2|) |t#2|)) (-15 -2540 ($ $)) (-15 -2503 (|t#1| $ |t#1| |t#1|)) (-15 -4374 ((-3 |t#2| "failed"))) (-15 -3973 ((-3 |t#2| "failed"))) (-15 -4037 ((-2 (|:| |num| $) (|:| |den| |t#2|) (|:| |derivden| |t#2|) (|:| |gd| |t#2|)) $ (-1 |t#2| |t#2|))) (IF (|has| |t#1| (-366)) (-15 -1694 ((-635 (-955 |t#1|)) (-1165))) |noBranch|) (IF (|has| |t#1| (-371)) (-15 -3768 ((-635 (-635 |t#1|)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-43 (-410 |#2|)) . T) ((-43 $) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-120 (-410 |#2|) (-410 |#2|)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-149))) ((-151) |has| (-410 |#2|) (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 |#3|) . T) ((-224 (-410 |#2|)) |has| (-410 |#2|) (-366)) ((-226) -1929 (|has| (-410 |#2|) (-351)) (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366)))) ((-239) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-286) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-302) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-366) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-405) |has| (-410 |#2|) (-351)) ((-371) -1929 (|has| (-410 |#2|) (-371)) (|has| (-410 |#2|) (-351))) ((-351) |has| (-410 |#2|) (-351)) ((-373 (-410 |#2|) |#3|) . T) ((-412 (-410 |#2|) |#3|) . T) ((-380 (-410 |#2|)) . T) ((-414 (-410 |#2|)) . T) ((-454) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-559) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-638 (-410 |#2|)) . T) ((-638 $) . T) ((-631 (-410 |#2|)) . T) ((-631 (-569)) |has| (-410 |#2|) (-631 (-569))) ((-709 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-709 (-410 |#2|)) . T) ((-709 $) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-716 (-410 |#2|) |#3|) . T) ((-718) . T) ((-897 (-1165)) -12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165)))) ((-918) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1039 (-410 (-569))) |has| (-410 |#2|) (-1039 (-410 (-569)))) ((-1039 (-410 |#2|)) . T) ((-1039 (-569)) |has| (-410 |#2|) (-1039 (-569))) ((-1055 (-410 (-569))) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366))) ((-1055 (-410 |#2|)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| (-410 |#2|) (-351)) ((-1208) -1929 (|has| (-410 |#2|) (-351)) (|has| (-410 |#2|) (-366)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
+(((-342 |#1| |#2|) (-13 (-328 (-907 |#1|)) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-919) (-919)) (T -342)) 
+((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-342 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
+(-13 (-328 (-907 |#1|)) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 46)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 43 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 113)) (-1321 ((|#1| $) 84)) (-2097 (($ (-1253 |#1|)) 102)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 93 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 96 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 128 (|has| |#1| (-371)))) (-3462 (((-121) $) 49 (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) 47 (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 130 (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 88) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 138 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 145)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 70 (|has| |#1| (-371)))) (-1346 (((-121) $) 116)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) 44)) (-1986 (($) 126 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 91 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) 67) (((-919)) 68)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) 129 (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) 123 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) 94)) (-3563 (($) 127 (|has| |#1| (-371)))) (-2433 (($) 135 (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 59) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 141) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 74)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 137)) (-4079 (((-1253 $)) 115) (((-1253 $) (-919)) 72)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 32 T CONST)) (-3297 (($) 19 T CONST)) (-4167 (($ $) 80 (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 48)) (-1383 (($ $ $) 143) (($ $ |#1|) 144)) (-1377 (($ $) 125) (($ $ $) NIL)) (-1371 (($ $ $) 61)) (** (($ $ (-919)) 147) (($ $ (-765)) 148) (($ $ (-569)) 146)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 76) (($ $ $) 75) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 142))) 
+(((-343 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-351) (-1161 |#1|)) (T -343)) 
+((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1161 *3))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3878 (((-960 (-1111))) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-344 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) (-351) (-919)) (T -344)) 
+((-3878 (*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -3878 ((-960 (-1111)))))) 
+((-3235 (((-121) |#2|) 68)) (-1335 (((-421 |#2|) |#2|) 56)) (-2075 (((-421 |#2|) |#2|) 58)) (-3576 (((-635 |#2|) |#2|) 61)) (-3436 (((-635 |#2|) |#2| (-765)) 62)) (-3139 (((-421 |#2|) |#2|) 59))) 
+(((-345 |#1| |#2|) (-10 -7 (-15 -3576 ((-635 |#2|) |#2|)) (-15 -3436 ((-635 |#2|) |#2| (-765))) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -1335 ((-421 |#2|) |#2|)) (-15 -2075 ((-421 |#2|) |#2|)) (-15 -3235 ((-121) |#2|))) (-351) (-1228 |#1|)) (T -345)) 
+((-3235 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-2075 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-1335 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) (-3436 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1228 *5)))) (-3576 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3576 ((-635 |#2|) |#2|)) (-15 -3436 ((-635 |#2|) |#2| (-765))) (-15 -3139 ((-421 |#2|) |#2|)) (-15 -1335 ((-421 |#2|) |#2|)) (-15 -2075 ((-421 |#2|) |#2|)) (-15 -3235 ((-121) |#2|))) 
+((-3733 (((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)) 54) (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765))) 42))) 
+(((-346 |#1| |#2| |#3|) (-10 -7 (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)))) (-13 (-559) (-454)) (-325 |#1| (-765)) (-325 (-410 |#1|) (-765))) (T -346)) 
+((-3733 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-346 *7 *8 *9)))) (-3733 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-765))) (-4 *9 (-325 (-410 *7) (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-346 *7 *8 *9))))) 
+(-10 -7 (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#3|) (-765) (-765)))) 
+((-2202 (((-635 |#1|) |#1| (-765)) 21)) (-3441 ((|#1| |#1| (-765) (-765) |#2|) 20)) (-3393 (((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765)) 75) (((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765)) 68)) (-3733 (((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765)) 62) (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765))) 44)) (-3214 ((|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|))) 37)) (-4140 (((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765))) 43)) (-3442 (((-635 |#1|) (-765)) 17)) (-1860 ((|#1| (-765) (-765) |#2|) 11)) (-4123 (((-635 |#1|) (-765)) 24)) (-2622 ((|#1| (-765) (-765) |#2|) 22))) 
+(((-347 |#1| |#2|) (-10 -7 (-15 -4140 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765)))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765))) (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765))) (-15 -3214 (|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|)))) (-15 -1860 (|#1| (-765) (-765) |#2|)) (-15 -3442 ((-635 |#1|) (-765))) (-15 -2622 (|#1| (-765) (-765) |#2|)) (-15 -4123 ((-635 |#1|) (-765))) (-15 -3441 (|#1| |#1| (-765) (-765) |#2|)) (-15 -2202 ((-635 |#1|) |#1| (-765)))) (-13 (-559) (-454)) (-52 |#1| (-765))) (T -347)) 
+((-2202 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4)))) (-3441 (*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-4123 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-2622 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3)))) (-1860 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3)))) (-3214 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-765) (-765) *7)) (-5 *4 (-1253 *7)) (-5 *5 (-765)) (-5 *6 (-1253 (-1161 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7)))) (-3733 (*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-347 *7 *8)))) (-3733 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-347 *7 *8)))) (-3393 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-3393 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) (-4140 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-765) (-1253 (-1161 *6)))) (-5 *5 (-635 (-765))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-681 (-1161 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-765)))))) 
+(-10 -7 (-15 -4140 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-1253 (-1161 |#1|))) (-635 (-765)))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 |#1|) (-635 |#1|) (-765))) (-15 -3393 ((-410 (-1161 |#1|)) (-635 (-410 |#1|)) (-635 (-410 |#1|)) (-765))) (-15 -3733 ((-681 (-1161 |#1|)) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-635 (-765)))) (-15 -3733 ((-1145 (-681 (-1161 |#1|))) (-635 |#1|) (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-765))) (-15 -3214 (|#1| (-1 |#1| (-765) (-765) |#2|) (-1253 |#2|) (-765) (-1253 (-1161 |#1|)))) (-15 -1860 (|#1| (-765) (-765) |#2|)) (-15 -3442 ((-635 |#1|) (-765))) (-15 -2622 (|#1| (-765) (-765) |#2|)) (-15 -4123 ((-635 |#1|) (-765))) (-15 -3441 (|#1| |#1| (-765) (-765) |#2|)) (-15 -2202 ((-635 |#1|) |#1| (-765)))) 
+((-3918 (((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 40)) (-1868 (((-960 (-1111)) (-1161 |#1|)) 84)) (-2563 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|)) 77)) (-1463 (((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 85)) (-1465 (((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919)) 10)) (-3784 (((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)) 15))) 
+(((-348 |#1|) (-10 -7 (-15 -1868 ((-960 (-1111)) (-1161 |#1|))) (-15 -2563 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|))) (-15 -1463 ((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -3918 ((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -1465 ((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919))) (-15 -3784 ((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)))) (-351)) (T -348)) 
+((-3784 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-3 (-1161 *4) (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111))))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-1465 (*1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)) (-4 *4 (-351)))) (-3918 (*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-765)) (-5 *1 (-348 *4)))) (-1463 (*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-348 *4)))) (-2563 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)))) (-1868 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-960 (-1111))) (-5 *1 (-348 *4))))) 
+(-10 -7 (-15 -1868 ((-960 (-1111)) (-1161 |#1|))) (-15 -2563 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) (-1161 |#1|))) (-15 -1463 ((-681 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -3918 ((-765) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -1465 ((-3 (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) "failed") (-919))) (-15 -3784 ((-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) (-919)))) 
+((-3956 ((|#1| |#3|) 84) ((|#3| |#1|) 68))) 
+(((-349 |#1| |#2| |#3|) (-10 -7 (-15 -3956 (|#3| |#1|)) (-15 -3956 (|#1| |#3|))) (-328 |#2|) (-351) (-328 |#2|)) (T -349)) 
+((-3956 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) (-3956 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4))))) 
+(-10 -7 (-15 -3956 (|#3| |#1|)) (-15 -3956 (|#1| |#3|))) 
+((-3462 (((-121) $) 50)) (-4433 (((-830 (-919)) $) 21) (((-919) $) 51)) (-1542 (((-3 $ "failed") $) 16)) (-1423 (($) 9)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 91)) (-3600 (((-3 (-765) "failed") $ $) 70) (((-765) $) 59)) (-3289 (($ $ (-765)) NIL) (($ $) 8)) (-3563 (($) 44)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 33)) (-2277 (((-3 $ "failed") $) 39) (($ $) 38))) 
+(((-350 |#1|) (-10 -8 (-15 -4433 ((-919) |#1|)) (-15 -3600 ((-765) |#1|)) (-15 -3462 ((-121) |#1|)) (-15 -3563 (|#1|)) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2277 (|#1| |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -3600 ((-3 (-765) "failed") |#1| |#1|)) (-15 -4433 ((-830 (-919)) |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) (-351)) (T -350)) 
+NIL 
+(-10 -8 (-15 -4433 ((-919) |#1|)) (-15 -3600 ((-765) |#1|)) (-15 -3462 ((-121) |#1|)) (-15 -3563 (|#1|)) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2277 (|#1| |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -3600 ((-3 (-765) "failed") |#1| |#1|)) (-15 -4433 ((-830 (-919)) |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-2039 (((-1173 (-919) (-765)) (-569)) 88)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 98)) (-4483 (($) 16 T CONST)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 101)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 86)) (-3462 (((-121) $) 85)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 77) (((-919) $) 83)) (-3934 (((-121) $) 30)) (-1542 (((-3 $ "failed") $) 97)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2862 (((-919) $) 100)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 96 T CONST)) (-1333 (($ (-919)) 99)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 89)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 76) (((-765) $) 84)) (-3289 (($ $ (-765)) 94) (($ $) 92)) (-3563 (($) 87)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78) (($ $) 91)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 95) (($ $) 93)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-351) (-1284)) (T -351)) 
+((-2277 (*1 *1 *1) (-4 *1 (-351))) (-2662 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-351)) (-5 *2 (-1253 *1)))) (-3219 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))))) (-2039 (*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1173 (-919) (-765))))) (-3563 (*1 *1) (-4 *1 (-351))) (-1456 (*1 *1) (-4 *1 (-351))) (-3462 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) (-3600 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-765)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-919)))) (-1840 (*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(-13 (-405) (-371) (-1139) (-226) (-10 -8 (-15 -2277 ($ $)) (-15 -2662 ((-3 (-1253 $) "failed") (-681 $))) (-15 -3219 ((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569)))))) (-15 -2039 ((-1173 (-919) (-765)) (-569))) (-15 -3563 ($)) (-15 -1456 ($)) (-15 -3462 ((-121) $)) (-15 -3600 ((-765) $)) (-15 -4433 ((-919) $)) (-15 -1840 ((-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
+((-4356 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|) 51)) (-1629 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))) 49))) 
+(((-352 |#1| |#2| |#3|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|))) (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $)))) (-1228 |#1|) (-412 |#1| |#2|)) (T -352)) 
+((-4356 (*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1629 (*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111)))))) NIL)) (-2291 (((-681 (-907 |#1|))) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
+(((-353 |#1| |#2|) (-13 (-328 (-907 |#1|)) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 (-907 |#1|)))) (-15 -3918 ((-765))))) (-919) (-919)) (T -353)) 
+((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 (-907 *3)) (|:| -1333 (-1111)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 (-907 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
+(-13 (-328 (-907 |#1|)) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 (-907 |#1|)) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 (-907 |#1|)))) (-15 -3918 ((-765))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 74)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) 92) (($ $ (-919)) 90 (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 148 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) 89)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 162 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 111)) (-1321 ((|#1| $) 91)) (-2097 (($ (-1253 |#1|)) 57)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 187 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 158 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 149 (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 97 (|has| |#1| (-371)))) (-3761 (((-121) $) 175 (|has| |#1| (-371)))) (-3046 ((|#1| $) 94) (($ $ (-919)) 93 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 188) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 133 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) 73 (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) 70 (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) 82 (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) 69 (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 191)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 136 (|has| |#1| (-371)))) (-1346 (((-121) $) 107)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) 83)) (-2291 (((-681 |#1|)) 87)) (-1986 (($) 96 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 150 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) 151)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 62)) (-3036 (((-1161 |#1|)) 152)) (-3563 (($) 132 (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 105) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 123) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 56)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 156)) (-4079 (((-1253 $)) 172) (((-1253 $) (-919)) 100)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 22 T CONST)) (-4167 (($ $) 106 (|has| |#1| (-371))) (($ $ (-765)) 98 (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 60)) (-1383 (($ $ $) 103) (($ $ |#1|) 104)) (-1377 (($ $) 177) (($ $ $) 181)) (-1371 (($ $ $) 179)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 137)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 185) (($ $ $) 142) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 102))) 
+(((-354 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) (-351) (-3 (-1161 |#1|) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (T -354)) 
+((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) *2)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3918 (((-765)) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-4082 (((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111)))))) NIL)) (-2291 (((-681 |#1|)) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-355 |#1| |#2|) (-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) (-351) (-919)) (T -355)) 
+((-4082 (*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919)))) (-2291 (*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919)))) (-3918 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(-13 (-328 |#1|) (-10 -7 (-15 -4082 ((-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))))) (-15 -2291 ((-681 |#1|))) (-15 -3918 ((-765))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-907 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-907 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-907 |#1|) "failed") $) NIL)) (-1321 (((-907 |#1|) $) NIL)) (-2097 (($ (-1253 (-907 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-907 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-907 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-907 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-907 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-907 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-907 |#1|) (-371)))) (-3046 (((-907 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-907 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-907 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-907 |#1|) (-371)))) (-2130 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371)))) (-2632 (((-1161 (-907 |#1|)) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-1161 (-907 |#1|)) "failed") $ $) NIL (|has| (-907 |#1|) (-371)))) (-3946 (($ $ (-1161 (-907 |#1|))) NIL (|has| (-907 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-907 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-907 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| (-907 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-907 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-907 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-907 |#1|))) NIL)) (-3563 (($) NIL (|has| (-907 |#1|) (-371)))) (-2433 (($) NIL (|has| (-907 |#1|) (-371)))) (-3672 (((-1253 (-907 |#1|)) $) NIL) (((-681 (-907 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-907 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-907 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-907 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-907 |#1|) (-149)) (|has| (-907 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-907 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-907 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-907 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-907 |#1|)) NIL) (($ (-907 |#1|) $) NIL))) 
+(((-356 |#1| |#2|) (-328 (-907 |#1|)) (-919) (-919)) (T -356)) 
+NIL 
+(-328 (-907 |#1|)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) 119 (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 138 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 91)) (-1321 ((|#1| $) 88)) (-2097 (($ (-1253 |#1|)) 83)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 115 (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 80 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 39 (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) 120 (|has| |#1| (-371)))) (-3761 (((-121) $) 72 (|has| |#1| (-371)))) (-3046 ((|#1| $) 38) (($ $ (-919)) 40 (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) 62) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) 95 (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) 93 (|has| |#1| (-371)))) (-1346 (((-121) $) 140)) (-1912 (((-1111) $) NIL)) (-1986 (($) 35 (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 113 (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) 137)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) 56)) (-3036 (((-1161 |#1|)) 86)) (-3563 (($) 125 (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) 50) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) 136) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 85)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 142)) (-4079 (((-1253 $)) 107) (((-1253 $) (-919)) 46)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 109 T CONST)) (-3297 (($) 31 T CONST)) (-4167 (($ $) 65 (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) 105)) (-1383 (($ $ $) 97) (($ $ |#1|) 98)) (-1377 (($ $) 78) (($ $ $) 103)) (-1371 (($ $ $) 101)) (** (($ $ (-919)) NIL) (($ $ (-765)) 41) (($ $ (-569)) 128)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 76) (($ $ $) 53) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 74))) 
+(((-357 |#1| |#2|) (-328 |#1|) (-351) (-1161 |#1|)) (T -357)) 
 NIL 
 (-328 |#1|) 
-((-3266 ((|#1| (-1159 |#2|)) 51))) 
-(((-358 |#1| |#2|) (-10 -7 (-15 -3266 (|#1| (-1159 |#2|)))) (-13 (-405) (-10 -7 (-15 -2185 (|#1| |#2|)) (-15 -2083 ((-918) |#1|)) (-15 -3930 ((-1247 |#1|) (-918))) (-15 -1907 (|#1| |#1|)))) (-351)) (T -358)) 
-((-3266 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -2185 (*2 *4)) (-15 -2083 ((-918) *2)) (-15 -3930 ((-1247 *2) (-918))) (-15 -1907 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
-(-10 -7 (-15 -3266 (|#1| (-1159 |#2|)))) 
-((-1814 (((-959 (-1159 |#1|)) (-1159 |#1|)) 36)) (-4327 (((-1159 |#1|) (-918) (-918)) 109) (((-1159 |#1|) (-918)) 108)) (-3354 (((-121) (-1159 |#1|)) 81)) (-2382 (((-918) (-918)) 71)) (-3303 (((-918) (-918)) 73)) (-2732 (((-918) (-918)) 69)) (-3364 (((-121) (-1159 |#1|)) 85)) (-3594 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 97)) (-2567 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 100)) (-2921 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 99)) (-2797 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 98)) (-2452 (((-3 (-1159 |#1|) "failed") (-1159 |#1|)) 94)) (-3526 (((-1159 |#1|) (-1159 |#1|)) 62)) (-3566 (((-1159 |#1|) (-918)) 103)) (-3799 (((-1159 |#1|) (-918)) 106)) (-3867 (((-1159 |#1|) (-918)) 105)) (-3085 (((-1159 |#1|) (-918)) 104)) (-3164 (((-1159 |#1|) (-918)) 101))) 
-(((-359 |#1|) (-10 -7 (-15 -3354 ((-121) (-1159 |#1|))) (-15 -3364 ((-121) (-1159 |#1|))) (-15 -2732 ((-918) (-918))) (-15 -2382 ((-918) (-918))) (-15 -3303 ((-918) (-918))) (-15 -3164 ((-1159 |#1|) (-918))) (-15 -3566 ((-1159 |#1|) (-918))) (-15 -3085 ((-1159 |#1|) (-918))) (-15 -3867 ((-1159 |#1|) (-918))) (-15 -3799 ((-1159 |#1|) (-918))) (-15 -2452 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -3594 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2797 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2921 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2567 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -4327 ((-1159 |#1|) (-918))) (-15 -4327 ((-1159 |#1|) (-918) (-918))) (-15 -3526 ((-1159 |#1|) (-1159 |#1|))) (-15 -1814 ((-959 (-1159 |#1|)) (-1159 |#1|)))) (-351)) (T -359)) 
-((-1814 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-959 (-1159 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1159 *4)))) (-3526 (*1 *2 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-4327 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-4327 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2567 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2921 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2797 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3594 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-2452 (*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3799 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3867 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3085 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3566 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3164 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3303 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2382 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2732 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-3364 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) (-3354 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
-(-10 -7 (-15 -3354 ((-121) (-1159 |#1|))) (-15 -3364 ((-121) (-1159 |#1|))) (-15 -2732 ((-918) (-918))) (-15 -2382 ((-918) (-918))) (-15 -3303 ((-918) (-918))) (-15 -3164 ((-1159 |#1|) (-918))) (-15 -3566 ((-1159 |#1|) (-918))) (-15 -3085 ((-1159 |#1|) (-918))) (-15 -3867 ((-1159 |#1|) (-918))) (-15 -3799 ((-1159 |#1|) (-918))) (-15 -2452 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -3594 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2797 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2921 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -2567 ((-3 (-1159 |#1|) "failed") (-1159 |#1|))) (-15 -4327 ((-1159 |#1|) (-918))) (-15 -4327 ((-1159 |#1|) (-918) (-918))) (-15 -3526 ((-1159 |#1|) (-1159 |#1|))) (-15 -1814 ((-959 (-1159 |#1|)) (-1159 |#1|)))) 
-((-1593 (((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|) 33))) 
-(((-360 |#1| |#2| |#3|) (-10 -7 (-15 -1593 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) (-351) (-1222 |#1|) (-1222 |#2|)) (T -360)) 
-((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3))))) 
-(-10 -7 (-15 -1593 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) 
-((-2114 (((-421 |#2|) |#2|) 46)) (-2702 (((-421 |#2|) |#2|) 36))) 
-(((-361 |#1| |#2|) (-10 -7 (-15 -2702 ((-421 |#2|) |#2|)) (-15 -2114 ((-421 |#2|) |#2|))) (-351) (-1222 |#1|)) (T -361)) 
-((-2114 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4)))) (-2702 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -2702 ((-421 |#2|) |#2|)) (-15 -2114 ((-421 |#2|) |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| |#1| (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| |#1| (-371)))) (-3354 (((-121) $) NIL (|has| |#1| (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| |#1| (-371))) (((-829 (-918)) $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| |#1| (-371)))) (-3364 (((-121) $) NIL (|has| |#1| (-371)))) (-4308 ((|#1| $) NIL) (($ $ (-918)) NIL (|has| |#1| (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 |#1|) $) NIL) (((-1159 $) $ (-918)) NIL (|has| |#1| (-371)))) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2486 (((-1159 |#1|) $) NIL (|has| |#1| (-371)))) (-3697 (((-1159 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1159 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-4421 (($ $ (-1159 |#1|)) NIL (|has| |#1| (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| |#1| (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| |#1| (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 |#1|)) NIL)) (-2319 (($) NIL (|has| |#1| (-371)))) (-3554 (($) NIL (|has| |#1| (-371)))) (-1648 (((-1247 |#1|) $) NIL) (((-680 |#1|) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-3953 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-3022 (($ $) NIL (|has| |#1| (-371))) (($ $ (-764)) NIL (|has| |#1| (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-362 |#1| |#2|) (-328 |#1|) (-351) (-918)) (T -362)) 
+((-4009 ((|#1| (-1161 |#2|)) 51))) 
+(((-358 |#1| |#2|) (-10 -7 (-15 -4009 (|#1| (-1161 |#2|)))) (-13 (-405) (-10 -7 (-15 -3956 (|#1| |#2|)) (-15 -2862 ((-919) |#1|)) (-15 -4079 ((-1253 |#1|) (-919))) (-15 -4167 (|#1| |#1|)))) (-351)) (T -358)) 
+((-4009 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -3956 (*2 *4)) (-15 -2862 ((-919) *2)) (-15 -4079 ((-1253 *2) (-919))) (-15 -4167 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
+(-10 -7 (-15 -4009 (|#1| (-1161 |#2|)))) 
+((-3655 (((-960 (-1161 |#1|)) (-1161 |#1|)) 36)) (-3341 (((-1161 |#1|) (-919) (-919)) 109) (((-1161 |#1|) (-919)) 108)) (-3462 (((-121) (-1161 |#1|)) 81)) (-2620 (((-919) (-919)) 71)) (-2493 (((-919) (-919)) 73)) (-2845 (((-919) (-919)) 69)) (-3761 (((-121) (-1161 |#1|)) 85)) (-4072 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 97)) (-1375 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 100)) (-1404 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 99)) (-1877 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 98)) (-3931 (((-3 (-1161 |#1|) "failed") (-1161 |#1|)) 94)) (-3142 (((-1161 |#1|) (-1161 |#1|)) 62)) (-1408 (((-1161 |#1|) (-919)) 103)) (-3030 (((-1161 |#1|) (-919)) 106)) (-2029 (((-1161 |#1|) (-919)) 105)) (-1958 (((-1161 |#1|) (-919)) 104)) (-2169 (((-1161 |#1|) (-919)) 101))) 
+(((-359 |#1|) (-10 -7 (-15 -3462 ((-121) (-1161 |#1|))) (-15 -3761 ((-121) (-1161 |#1|))) (-15 -2845 ((-919) (-919))) (-15 -2620 ((-919) (-919))) (-15 -2493 ((-919) (-919))) (-15 -2169 ((-1161 |#1|) (-919))) (-15 -1408 ((-1161 |#1|) (-919))) (-15 -1958 ((-1161 |#1|) (-919))) (-15 -2029 ((-1161 |#1|) (-919))) (-15 -3030 ((-1161 |#1|) (-919))) (-15 -3931 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -4072 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1877 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1404 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1375 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -3341 ((-1161 |#1|) (-919))) (-15 -3341 ((-1161 |#1|) (-919) (-919))) (-15 -3142 ((-1161 |#1|) (-1161 |#1|))) (-15 -3655 ((-960 (-1161 |#1|)) (-1161 |#1|)))) (-351)) (T -359)) 
+((-3655 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-960 (-1161 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1161 *4)))) (-3142 (*1 *2 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3341 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1375 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-1404 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-1877 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-4072 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3931 (*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3)))) (-3030 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2029 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1958 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-1408 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2169 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) (-2493 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2620 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-2845 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351)))) (-3761 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) (-3462 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
+(-10 -7 (-15 -3462 ((-121) (-1161 |#1|))) (-15 -3761 ((-121) (-1161 |#1|))) (-15 -2845 ((-919) (-919))) (-15 -2620 ((-919) (-919))) (-15 -2493 ((-919) (-919))) (-15 -2169 ((-1161 |#1|) (-919))) (-15 -1408 ((-1161 |#1|) (-919))) (-15 -1958 ((-1161 |#1|) (-919))) (-15 -2029 ((-1161 |#1|) (-919))) (-15 -3030 ((-1161 |#1|) (-919))) (-15 -3931 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -4072 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1877 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1404 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -1375 ((-3 (-1161 |#1|) "failed") (-1161 |#1|))) (-15 -3341 ((-1161 |#1|) (-919))) (-15 -3341 ((-1161 |#1|) (-919) (-919))) (-15 -3142 ((-1161 |#1|) (-1161 |#1|))) (-15 -3655 ((-960 (-1161 |#1|)) (-1161 |#1|)))) 
+((-1447 (((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|) 33))) 
+(((-360 |#1| |#2| |#3|) (-10 -7 (-15 -1447 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) (-351) (-1228 |#1|) (-1228 |#2|)) (T -360)) 
+((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3))))) 
+(-10 -7 (-15 -1447 ((-3 (-635 |#3|) "failed") (-635 |#3|) |#3|))) 
+((-2125 (((-421 |#2|) |#2|) 46)) (-4547 (((-421 |#2|) |#2|) 36))) 
+(((-361 |#1| |#2|) (-10 -7 (-15 -4547 ((-421 |#2|) |#2|)) (-15 -2125 ((-421 |#2|) |#2|))) (-351) (-1228 |#1|)) (T -361)) 
+((-2125 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4)))) (-4547 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -4547 ((-421 |#2|) |#2|)) (-15 -2125 ((-421 |#2|) |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| |#1| (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| |#1| (-371)))) (-3462 (((-121) $) NIL (|has| |#1| (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| |#1| (-371))) (((-830 (-919)) $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| |#1| (-371)))) (-3761 (((-121) $) NIL (|has| |#1| (-371)))) (-3046 ((|#1| $) NIL) (($ $ (-919)) NIL (|has| |#1| (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 |#1|) $) NIL) (((-1161 $) $ (-919)) NIL (|has| |#1| (-371)))) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2130 (((-1161 |#1|) $) NIL (|has| |#1| (-371)))) (-2632 (((-1161 |#1|) $) NIL (|has| |#1| (-371))) (((-3 (-1161 |#1|) "failed") $ $) NIL (|has| |#1| (-371)))) (-3946 (($ $ (-1161 |#1|)) NIL (|has| |#1| (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| |#1| (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| |#1| (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 |#1|)) NIL)) (-3563 (($) NIL (|has| |#1| (-371)))) (-2433 (($) NIL (|has| |#1| (-371)))) (-3672 (((-1253 |#1|) $) NIL) (((-681 |#1|) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL)) (-2277 (($ $) NIL (|has| |#1| (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-3712 (($ $) NIL (|has| |#1| (-371))) (($ $ (-765)) NIL (|has| |#1| (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-362 |#1| |#2|) (-328 |#1|) (-351) (-919)) (T -362)) 
 NIL 
 (-328 |#1|) 
-((-2362 (((-121) (-635 (-954 |#1|))) 31)) (-2815 (((-635 (-954 |#1|)) (-635 (-954 |#1|))) 42)) (-4075 (((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|))) 38))) 
-(((-363 |#1| |#2|) (-10 -7 (-15 -2362 ((-121) (-635 (-954 |#1|)))) (-15 -4075 ((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|)))) (-15 -2815 ((-635 (-954 |#1|)) (-635 (-954 |#1|))))) (-454) (-635 (-1163))) (T -363)) 
-((-2815 (*1 *2 *2) (-12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) (-4075 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1163)))))) 
-(-10 -7 (-15 -2362 ((-121) (-635 (-954 |#1|)))) (-15 -4075 ((-3 (-635 (-954 |#1|)) "failed") (-635 (-954 |#1|)))) (-15 -2815 ((-635 (-954 |#1|)) (-635 (-954 |#1|))))) 
-((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) 14)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-569) $ (-569)) NIL)) (-4101 (($ (-1 |#1| |#1|) $) 32)) (-1599 (($ (-1 (-569) (-569)) $) 24)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 26)) (-3360 (((-1109) $) NIL)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $) 28)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 38) (($ |#1|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ |#1| (-569)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
-(((-364 |#1|) (-13 (-479) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2085 ((-764) $)) (-15 -2248 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-569) (-569)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $)))) (-1091)) (T -364)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-2248 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-364 *3)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1091))))) 
-(-13 (-479) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2085 ((-764) $)) (-15 -2248 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-569) (-569)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-569)))) $)))) 
-((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 13)) (-3383 (($ $) 14)) (-2446 (((-421 $) $) 29)) (-3726 (((-121) $) 25)) (-1795 (($ $) 18)) (-2714 (($ $ $) 22) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) 30)) (-2941 (((-3 $ "failed") $ $) 21)) (-2622 (((-764) $) 24)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 34)) (-1961 (((-121) $ $) 15)) (-1715 (($ $ $) 32))) 
-(((-365 |#1|) (-10 -8 (-15 -1715 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) (-366)) (T -365)) 
-NIL 
-(-10 -8 (-15 -1715 (|#1| |#1| |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-366) (-1278)) (T -366)) 
-((-1715 (*1 *1 *1 *1) (-4 *1 (-366)))) 
-(-13 (-302) (-1202) (-239) (-10 -8 (-15 -1715 ($ $ $)) (-6 -4533) (-6 -4527))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) 7)) (-1331 ((|#2| $ |#2|) 13)) (-3030 (($ $ (-1145)) 18)) (-4154 ((|#2| $) 14)) (-3230 (($ |#1|) 20) (($ |#1| (-1145)) 19)) (-1486 ((|#1| $) 16)) (-2776 (((-1145) $) 9)) (-2160 (((-1145) $) 15)) (-3360 (((-1109) $) 10)) (-4061 (((-1252) $) 12)) (-2185 (((-851) $) 11)) (-4084 (($ $) 17)) (-1668 (((-121) $ $) 6))) 
-(((-367 |#1| |#2|) (-1278) (-1091) (-1091)) (T -367)) 
-((-3230 (*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-3230 (*1 *1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1091)) (-4 *4 (-1091)))) (-3030 (*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-4084 (*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1486 (*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2160 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1145)))) (-4154 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-1331 (*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-4061 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1252))))) 
-(-13 (-1091) (-10 -8 (-15 -3230 ($ |t#1|)) (-15 -3230 ($ |t#1| (-1145))) (-15 -3030 ($ $ (-1145))) (-15 -4084 ($ $)) (-15 -1486 (|t#1| $)) (-15 -2160 ((-1145) $)) (-15 -4154 (|t#2| $)) (-15 -1331 (|t#2| $ |t#2|)) (-15 -4061 ((-1252) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1331 ((|#1| $ |#1|) 29)) (-3030 (($ $ (-1145)) 22)) (-2948 (((-3 |#1| "failed") $) 28)) (-4154 ((|#1| $) 26)) (-3230 (($ (-391)) 21) (($ (-391) (-1145)) 20)) (-1486 (((-391) $) 24)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) 25)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) 31)) (-2185 (((-851) $) 19)) (-4084 (($ $) 23)) (-1668 (((-121) $ $) 18))) 
-(((-368 |#1|) (-13 (-367 (-391) |#1|) (-10 -8 (-15 -2948 ((-3 |#1| "failed") $)))) (-1091)) (T -368)) 
-((-2948 (*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1091))))) 
-(-13 (-367 (-391) |#1|) (-10 -8 (-15 -2948 ((-3 |#1| "failed") $)))) 
-((-4064 (((-1247 (-680 |#2|)) (-1247 $)) 62)) (-2909 (((-680 |#2|) (-1247 $)) 120)) (-1723 ((|#2| $) 32)) (-1792 (((-680 |#2|) $ (-1247 $)) 124)) (-1620 (((-3 $ "failed") $) 76)) (-2830 ((|#2| $) 35)) (-2246 (((-1159 |#2|) $) 84)) (-3316 ((|#2| (-1247 $)) 107)) (-2355 (((-1159 |#2|) $) 28)) (-2607 (((-121)) 101)) (-2623 (($ (-1247 |#2|) (-1247 $)) 114)) (-3428 (((-3 $ "failed") $) 80)) (-2007 (((-121)) 96)) (-1370 (((-121)) 91)) (-4239 (((-121)) 54)) (-2991 (((-680 |#2|) (-1247 $)) 118)) (-1545 ((|#2| $) 31)) (-4007 (((-680 |#2|) $ (-1247 $)) 123)) (-4439 (((-3 $ "failed") $) 74)) (-4200 ((|#2| $) 34)) (-3851 (((-1159 |#2|) $) 83)) (-1584 ((|#2| (-1247 $)) 105)) (-2415 (((-1159 |#2|) $) 26)) (-2377 (((-121)) 100)) (-3379 (((-121)) 93)) (-3337 (((-121)) 52)) (-2598 (((-121)) 88)) (-1324 (((-121)) 102)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) 112)) (-2093 (((-121)) 98)) (-2131 (((-635 (-1247 |#2|))) 87)) (-4220 (((-121)) 99)) (-1597 (((-121)) 97)) (-3922 (((-121)) 46)) (-4227 (((-121)) 103))) 
-(((-369 |#1| |#2|) (-10 -8 (-15 -2246 ((-1159 |#2|) |#1|)) (-15 -3851 ((-1159 |#2|) |#1|)) (-15 -2131 ((-635 (-1247 |#2|)))) (-15 -1620 ((-3 |#1| "failed") |#1|)) (-15 -4439 ((-3 |#1| "failed") |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -1370 ((-121))) (-15 -3379 ((-121))) (-15 -2007 ((-121))) (-15 -3337 ((-121))) (-15 -4239 ((-121))) (-15 -2598 ((-121))) (-15 -4227 ((-121))) (-15 -1324 ((-121))) (-15 -2607 ((-121))) (-15 -2377 ((-121))) (-15 -3922 ((-121))) (-15 -4220 ((-121))) (-15 -1597 ((-121))) (-15 -2093 ((-121))) (-15 -2355 ((-1159 |#2|) |#1|)) (-15 -2415 ((-1159 |#2|) |#1|)) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -2830 (|#2| |#1|)) (-15 -4200 (|#2| |#1|)) (-15 -1723 (|#2| |#1|)) (-15 -1545 (|#2| |#1|)) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|)))) (-370 |#2|) (-173)) (T -369)) 
-((-2093 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1597 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4220 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3922 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2377 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2607 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1324 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4227 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2598 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4239 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3337 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2007 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3379 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1370 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2131 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1247 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4))))) 
-(-10 -8 (-15 -2246 ((-1159 |#2|) |#1|)) (-15 -3851 ((-1159 |#2|) |#1|)) (-15 -2131 ((-635 (-1247 |#2|)))) (-15 -1620 ((-3 |#1| "failed") |#1|)) (-15 -4439 ((-3 |#1| "failed") |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -1370 ((-121))) (-15 -3379 ((-121))) (-15 -2007 ((-121))) (-15 -3337 ((-121))) (-15 -4239 ((-121))) (-15 -2598 ((-121))) (-15 -4227 ((-121))) (-15 -1324 ((-121))) (-15 -2607 ((-121))) (-15 -2377 ((-121))) (-15 -3922 ((-121))) (-15 -4220 ((-121))) (-15 -1597 ((-121))) (-15 -2093 ((-121))) (-15 -2355 ((-1159 |#2|) |#1|)) (-15 -2415 ((-1159 |#2|) |#1|)) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -2830 (|#2| |#1|)) (-15 -4200 (|#2| |#1|)) (-15 -1723 (|#2| |#1|)) (-15 -1545 (|#2| |#1|)) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4276 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) 76)) (-2141 (((-1247 $)) 79)) (-2820 (($) 16 T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) 63)) (-1723 ((|#1| $) 72)) (-1792 (((-680 |#1|) $ (-1247 $)) 74)) (-1620 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-1628 (($ $ (-918)) 27)) (-2830 ((|#1| $) 70)) (-2246 (((-1159 |#1|) $) 40 (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) 65)) (-2355 (((-1159 |#1|) $) 61)) (-2607 (((-121)) 55)) (-2623 (($ (-1247 |#1|) (-1247 $)) 67)) (-3428 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-1321 (((-918)) 78)) (-3919 (((-121)) 52)) (-1851 (($ $ (-918)) 32)) (-2007 (((-121)) 48)) (-1370 (((-121)) 46)) (-4239 (((-121)) 50)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) 64)) (-1545 ((|#1| $) 73)) (-4007 (((-680 |#1|) $ (-1247 $)) 75)) (-4439 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3272 (($ $ (-918)) 28)) (-4200 ((|#1| $) 71)) (-3851 (((-1159 |#1|) $) 41 (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) 66)) (-2415 (((-1159 |#1|) $) 62)) (-2377 (((-121)) 56)) (-2776 (((-1145) $) 9)) (-3379 (((-121)) 47)) (-3337 (((-121)) 49)) (-2598 (((-121)) 51)) (-3360 (((-1109) $) 10)) (-1324 (((-121)) 54)) (-1648 (((-1247 |#1|) $ (-1247 $)) 69) (((-680 |#1|) (-1247 $) (-1247 $)) 68)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) 77)) (-4293 (($ $ $) 24)) (-2093 (((-121)) 60)) (-2185 (((-851) $) 11)) (-2131 (((-635 (-1247 |#1|))) 42 (|has| |#1| (-559)))) (-1383 (($ $ $ $) 25)) (-4220 (((-121)) 58)) (-4033 (($ $ $) 23)) (-1597 (((-121)) 59)) (-3922 (((-121)) 57)) (-4227 (((-121)) 53)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-370 |#1|) (-1278) (-173)) (T -370)) 
-((-2141 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-370 *3)))) (-1321 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-918)))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))))) (-4064 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))))) (-4007 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1792 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1545 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1723 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-4200 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2830 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1648 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 *4)))) (-1648 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) (-1584 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3316 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2991 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2909 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3)))) (-2355 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3)))) (-2093 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1597 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4220 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3922 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2377 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2607 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1324 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4227 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3919 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2598 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4239 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3337 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2007 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3379 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1370 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3428 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4439 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-1620 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2131 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1247 *3))))) (-3851 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3)))) (-2246 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3)))) (-3926 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) (-3781 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) (-1588 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-1531 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-4276 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(-13 (-737 |t#1|) (-10 -8 (-15 -2141 ((-1247 $))) (-15 -1321 ((-918))) (-15 -3393 ((-635 (-954 |t#1|)) (-1247 $))) (-15 -4064 ((-1247 (-680 |t#1|)) (-1247 $))) (-15 -4007 ((-680 |t#1|) $ (-1247 $))) (-15 -1792 ((-680 |t#1|) $ (-1247 $))) (-15 -1545 (|t#1| $)) (-15 -1723 (|t#1| $)) (-15 -4200 (|t#1| $)) (-15 -2830 (|t#1| $)) (-15 -1648 ((-1247 |t#1|) $ (-1247 $))) (-15 -1648 ((-680 |t#1|) (-1247 $) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|) (-1247 $))) (-15 -1584 (|t#1| (-1247 $))) (-15 -3316 (|t#1| (-1247 $))) (-15 -2991 ((-680 |t#1|) (-1247 $))) (-15 -2909 ((-680 |t#1|) (-1247 $))) (-15 -2415 ((-1159 |t#1|) $)) (-15 -2355 ((-1159 |t#1|) $)) (-15 -2093 ((-121))) (-15 -1597 ((-121))) (-15 -4220 ((-121))) (-15 -3922 ((-121))) (-15 -2377 ((-121))) (-15 -2607 ((-121))) (-15 -1324 ((-121))) (-15 -4227 ((-121))) (-15 -3919 ((-121))) (-15 -2598 ((-121))) (-15 -4239 ((-121))) (-15 -3337 ((-121))) (-15 -2007 ((-121))) (-15 -3379 ((-121))) (-15 -1370 ((-121))) (IF (|has| |t#1| (-559)) (PROGN (-15 -3428 ((-3 $ "failed") $)) (-15 -4439 ((-3 $ "failed") $)) (-15 -1620 ((-3 $ "failed") $)) (-15 -2131 ((-635 (-1247 |t#1|)))) (-15 -3851 ((-1159 |t#1|) $)) (-15 -2246 ((-1159 |t#1|) $)) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -1588 ((-3 $ "failed"))) (-15 -1531 ((-3 $ "failed"))) (-15 -4276 ((-3 $ "failed"))) (-6 -4532)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-737 |#1|) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-2085 (((-764)) 15)) (-4327 (($) 12)) (-2083 (((-918) $) 13)) (-2776 (((-1145) $) 9)) (-3998 (($ (-918)) 14)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-371) (-1278)) (T -371)) 
-((-2085 (*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-764)))) (-3998 (*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-371)))) (-2083 (*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-918)))) (-4327 (*1 *1) (-4 *1 (-371)))) 
-(-13 (-1091) (-10 -8 (-15 -2085 ((-764))) (-15 -3998 ($ (-918))) (-15 -2083 ((-918) $)) (-15 -4327 ($)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-3294 (((-680 |#2|) (-1247 $)) 40)) (-2623 (($ (-1247 |#2|) (-1247 $)) 35)) (-3325 (((-680 |#2|) $ (-1247 $)) 43)) (-2087 ((|#2| (-1247 $)) 13)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) 25))) 
-(((-372 |#1| |#2| |#3|) (-10 -8 (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) (-373 |#2| |#3|) (-173) (-1222 |#2|)) (T -372)) 
-NIL 
-(-10 -8 (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3294 (((-680 |#1|) (-1247 $)) 44)) (-1377 ((|#1| $) 50)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46)) (-3325 (((-680 |#1|) $ (-1247 $)) 51)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2087 ((|#1| (-1247 $)) 45)) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-3953 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-373 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -373)) 
-((-1321 (*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-918)))) (-3325 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-1648 (*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *4)))) (-1648 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1222 *4)))) (-2087 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1222 *2)) (-4 *2 (-173)))) (-3294 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2742 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-2770 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1222 *3))))) 
-(-13 (-43 |t#1|) (-10 -8 (-15 -1321 ((-918))) (-15 -3325 ((-680 |t#1|) $ (-1247 $))) (-15 -1377 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -1648 ((-1247 |t#1|) $ (-1247 $))) (-15 -1648 ((-680 |t#1|) (-1247 $) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|) (-1247 $))) (-15 -2087 (|t#1| (-1247 $))) (-15 -3294 ((-680 |t#1|) (-1247 $))) (-15 -2742 (|t#2| $)) (IF (|has| |t#1| (-366)) (-15 -2770 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3043 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-1774 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-1544 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
-(((-374 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1197) (-376 |#1|) (-1197) (-376 |#3|)) (T -374)) 
-((-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-3034 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-3076 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-3113 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-2052 (($ $) 25)) (-3727 (((-569) (-1 (-121) |#2|) $) NIL) (((-569) |#2| $) 11) (((-569) |#2| $ (-569)) NIL)) (-3288 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
-(((-375 |#1| |#2|) (-10 -8 (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3113 (|#1| |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2052 (|#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-376 |#2|) (-1197)) (T -375)) 
-NIL 
-(-10 -8 (-15 -3076 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3113 (|#1| |#1|)) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3113 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -2052 (|#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-376 |#1|) (-1278) (-1197)) (T -376)) 
-((-3288 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-2052 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)))) (-3113 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-3034 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-3727 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) (-3113 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) (-3034 (*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-843)) (-5 *2 (-121)))) (-3389 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-1302 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)))) (-3076 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) (-3076 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843))))) 
-(-13 (-641 |t#1|) (-10 -8 (-6 -4535) (-15 -3288 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -2052 ($ $)) (-15 -3113 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -3034 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -3727 ((-569) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -3727 ((-569) |t#1| $)) (-15 -3727 ((-569) |t#1| $ (-569)))) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-6 (-843)) (-15 -3288 ($ $ $)) (-15 -3113 ($ $)) (-15 -3034 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3389 ($ $ $ (-569))) (-15 -1302 ($ $)) (-15 -3076 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-843)) (-15 -3076 ($ $)) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 29)) (-1920 (($ $ (-764)) 30)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2123 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 33)) (-2208 (($ $) 31)) (-3642 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 34)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1468 (($ $ |#1| $) 28) (($ $ (-635 |#1|) (-635 $)) 27)) (-2492 (((-764) $) 35)) (-2139 (($ $ $) 26)) (-2185 (((-851) $) 11) (($ |#1|) 38) (((-1260 |#1| |#2|) $) 37) (((-1269 |#1| |#2|) $) 36)) (-4140 ((|#2| (-1269 |#1| |#2|) $) 39)) (-3369 (($) 17 T CONST)) (-1661 (($ (-664 |#1|)) 32)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#2|) 25 (|has| |#2| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
-(((-377 |#1| |#2|) (-1278) (-843) (-173)) (T -377)) 
-((-4140 (*1 *2 *3 *1) (-12 (-5 *3 (-1269 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-843)) (-4 *2 (-173)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1260 *3 *4)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1269 *3 *4)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-764)))) (-3642 (*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2123 (*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-1661 (*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173)))) (-2208 (*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-1920 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-3914 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) (-1468 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-843)) (-4 *5 (-173))))) 
-(-13 (-626 |t#2|) (-10 -8 (-15 -4140 (|t#2| (-1269 |t#1| |t#2|) $)) (-15 -2185 ($ |t#1|)) (-15 -2185 ((-1260 |t#1| |t#2|) $)) (-15 -2185 ((-1269 |t#1| |t#2|) $)) (-15 -2492 ((-764) $)) (-15 -3642 ((-1269 |t#1| |t#2|) (-1269 |t#1| |t#2|) $)) (-15 -2123 ((-1269 |t#1| |t#2|) (-1269 |t#1| |t#2|) $)) (-15 -1661 ($ (-664 |t#1|))) (-15 -2208 ($ $)) (-15 -1920 ($ $ (-764))) (-15 -3914 ((-635 |t#1|) $)) (-15 -1468 ($ $ |t#1| $)) (-15 -1468 ($ $ (-635 |t#1|) (-635 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-626 |#2|) . T) ((-708 |#2|) . T) ((-1054 |#2|) . T) ((-1091) . T)) 
-((-3133 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-3732 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-1356 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
-(((-378 |#1| |#2|) (-10 -7 (-15 -3732 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1356 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3133 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1197) (-13 (-376 |#1|) (-10 -7 (-6 -4536)))) (T -378)) 
-((-3133 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))))) (-1356 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))))) (-3732 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
-(-10 -7 (-15 -3732 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1356 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3133 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
-((-1696 (((-680 |#2|) (-680 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 19) (((-680 (-569)) (-680 $)) 13))) 
-(((-379 |#1| |#2|) (-10 -8 (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 |#2|) (-680 |#1|)))) (-380 |#2|) (-1048)) (T -379)) 
-NIL 
-(-10 -8 (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 |#2|) (-680 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1696 (((-680 |#1|) (-680 $)) 35) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 34) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 38 (|has| |#1| (-631 (-569)))) (((-680 (-569)) (-680 $)) 37 (|has| |#1| (-631 (-569))))) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-380 |#1|) (-1278) (-1048)) (T -380)) 
+((-3355 (((-121) (-635 (-955 |#1|))) 31)) (-4378 (((-635 (-955 |#1|)) (-635 (-955 |#1|))) 42)) (-2238 (((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|))) 38))) 
+(((-363 |#1| |#2|) (-10 -7 (-15 -3355 ((-121) (-635 (-955 |#1|)))) (-15 -2238 ((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|)))) (-15 -4378 ((-635 (-955 |#1|)) (-635 (-955 |#1|))))) (-454) (-635 (-1165))) (T -363)) 
+((-4378 (*1 *2 *2) (-12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) (-2238 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) (-3355 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1165)))))) 
+(-10 -7 (-15 -3355 ((-121) (-635 (-955 |#1|)))) (-15 -2238 ((-3 (-635 (-955 |#1|)) "failed") (-635 (-955 |#1|)))) (-15 -4378 ((-635 (-955 |#1|)) (-635 (-955 |#1|))))) 
+((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) 14)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-569) $ (-569)) NIL)) (-1648 (($ (-1 |#1| |#1|) $) 32)) (-1611 (($ (-1 (-569) (-569)) $) 24)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 26)) (-1912 (((-1111) $) NIL)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $) 28)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 38) (($ |#1|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ |#1| (-569)) 17)) (* (($ $ $) 43) (($ |#1| $) 21) (($ $ |#1|) 19))) 
+(((-364 |#1|) (-13 (-479) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2675 ((-765) $)) (-15 -2237 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-569) (-569)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $)))) (-1093)) (T -364)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-2237 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-364 *3)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1093))))) 
+(-13 (-479) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-569))) (-15 -2675 ((-765) $)) (-15 -2237 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-569) (-569)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-569)))) $)))) 
+((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 13)) (-2915 (($ $) 14)) (-3742 (((-421 $) $) 29)) (-2005 (((-121) $) 25)) (-3243 (($ $) 18)) (-3964 (($ $ $) 22) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) 30)) (-1436 (((-3 $ "failed") $ $) 21)) (-2061 (((-765) $) 24)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 34)) (-2909 (((-121) $ $) 15)) (-1383 (($ $ $) 32))) 
+(((-365 |#1|) (-10 -8 (-15 -1383 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) (-366)) (T -365)) 
+NIL 
+(-10 -8 (-15 -1383 (|#1| |#1| |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-366) (-1284)) (T -366)) 
+((-1383 (*1 *1 *1 *1) (-4 *1 (-366)))) 
+(-13 (-302) (-1208) (-239) (-10 -8 (-15 -1383 ($ $ $)) (-6 -4569) (-6 -4563))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) 7)) (-2255 ((|#2| $ |#2|) 13)) (-3284 (($ $ (-1147)) 18)) (-3780 ((|#2| $) 14)) (-4465 (($ |#1|) 20) (($ |#1| (-1147)) 19)) (-2798 ((|#1| $) 16)) (-2605 (((-1147) $) 9)) (-4114 (((-1147) $) 15)) (-1912 (((-1111) $) 10)) (-3295 (((-1258) $) 12)) (-3956 (((-852) $) 11)) (-2520 (($ $) 17)) (-1326 (((-121) $ $) 6))) 
+(((-367 |#1| |#2|) (-1284) (-1093) (-1093)) (T -367)) 
+((-4465 (*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-4465 (*1 *1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1093)) (-4 *4 (-1093)))) (-3284 (*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2520 (*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2798 (*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-4114 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1147)))) (-3780 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-2255 (*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-3295 (*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1258))))) 
+(-13 (-1093) (-10 -8 (-15 -4465 ($ |t#1|)) (-15 -4465 ($ |t#1| (-1147))) (-15 -3284 ($ $ (-1147))) (-15 -2520 ($ $)) (-15 -2798 (|t#1| $)) (-15 -4114 ((-1147) $)) (-15 -3780 (|t#2| $)) (-15 -2255 (|t#2| $ |t#2|)) (-15 -3295 ((-1258) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2255 ((|#1| $ |#1|) 29)) (-3284 (($ $ (-1147)) 22)) (-4006 (((-3 |#1| "failed") $) 28)) (-3780 ((|#1| $) 26)) (-4465 (($ (-391)) 21) (($ (-391) (-1147)) 20)) (-2798 (((-391) $) 24)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) 25)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) 31)) (-3956 (((-852) $) 19)) (-2520 (($ $) 23)) (-1326 (((-121) $ $) 18))) 
+(((-368 |#1|) (-13 (-367 (-391) |#1|) (-10 -8 (-15 -4006 ((-3 |#1| "failed") $)))) (-1093)) (T -368)) 
+((-4006 (*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1093))))) 
+(-13 (-367 (-391) |#1|) (-10 -8 (-15 -4006 ((-3 |#1| "failed") $)))) 
+((-3359 (((-1253 (-681 |#2|)) (-1253 $)) 62)) (-2459 (((-681 |#2|) (-1253 $)) 120)) (-1478 ((|#2| $) 32)) (-4471 (((-681 |#2|) $ (-1253 $)) 124)) (-4174 (((-3 $ "failed") $) 76)) (-3557 ((|#2| $) 35)) (-2212 (((-1161 |#2|) $) 84)) (-1547 ((|#2| (-1253 $)) 107)) (-3168 (((-1161 |#2|) $) 28)) (-3073 (((-121)) 101)) (-2097 (($ (-1253 |#2|) (-1253 $)) 114)) (-2611 (((-3 $ "failed") $) 80)) (-1428 (((-121)) 96)) (-4078 (((-121)) 91)) (-4015 (((-121)) 54)) (-3707 (((-681 |#2|) (-1253 $)) 118)) (-2858 ((|#2| $) 31)) (-4432 (((-681 |#2|) $ (-1253 $)) 123)) (-2983 (((-3 $ "failed") $) 74)) (-2170 ((|#2| $) 34)) (-1650 (((-1161 |#2|) $) 83)) (-2510 ((|#2| (-1253 $)) 105)) (-4215 (((-1161 |#2|) $) 26)) (-2431 (((-121)) 100)) (-2826 (((-121)) 93)) (-4161 (((-121)) 52)) (-3983 (((-121)) 88)) (-2067 (((-121)) 102)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) 112)) (-2984 (((-121)) 98)) (-2628 (((-635 (-1253 |#2|))) 87)) (-1413 (((-121)) 99)) (-1561 (((-121)) 97)) (-3952 (((-121)) 46)) (-1606 (((-121)) 103))) 
+(((-369 |#1| |#2|) (-10 -8 (-15 -2212 ((-1161 |#2|) |#1|)) (-15 -1650 ((-1161 |#2|) |#1|)) (-15 -2628 ((-635 (-1253 |#2|)))) (-15 -4174 ((-3 |#1| "failed") |#1|)) (-15 -2983 ((-3 |#1| "failed") |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -4078 ((-121))) (-15 -2826 ((-121))) (-15 -1428 ((-121))) (-15 -4161 ((-121))) (-15 -4015 ((-121))) (-15 -3983 ((-121))) (-15 -1606 ((-121))) (-15 -2067 ((-121))) (-15 -3073 ((-121))) (-15 -2431 ((-121))) (-15 -3952 ((-121))) (-15 -1413 ((-121))) (-15 -1561 ((-121))) (-15 -2984 ((-121))) (-15 -3168 ((-1161 |#2|) |#1|)) (-15 -4215 ((-1161 |#2|) |#1|)) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3557 (|#2| |#1|)) (-15 -2170 (|#2| |#1|)) (-15 -1478 (|#2| |#1|)) (-15 -2858 (|#2| |#1|)) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|)))) (-370 |#2|) (-173)) (T -369)) 
+((-2984 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1561 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1413 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3952 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2431 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3073 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2067 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1606 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-3983 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4015 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4161 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-1428 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2826 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-4078 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) (-2628 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1253 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4))))) 
+(-10 -8 (-15 -2212 ((-1161 |#2|) |#1|)) (-15 -1650 ((-1161 |#2|) |#1|)) (-15 -2628 ((-635 (-1253 |#2|)))) (-15 -4174 ((-3 |#1| "failed") |#1|)) (-15 -2983 ((-3 |#1| "failed") |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -4078 ((-121))) (-15 -2826 ((-121))) (-15 -1428 ((-121))) (-15 -4161 ((-121))) (-15 -4015 ((-121))) (-15 -3983 ((-121))) (-15 -1606 ((-121))) (-15 -2067 ((-121))) (-15 -3073 ((-121))) (-15 -2431 ((-121))) (-15 -3952 ((-121))) (-15 -1413 ((-121))) (-15 -1561 ((-121))) (-15 -2984 ((-121))) (-15 -3168 ((-1161 |#2|) |#1|)) (-15 -4215 ((-1161 |#2|) |#1|)) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -3557 (|#2| |#1|)) (-15 -2170 (|#2| |#1|)) (-15 -1478 (|#2| |#1|)) (-15 -2858 (|#2| |#1|)) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3667 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) 76)) (-1552 (((-1253 $)) 79)) (-4483 (($) 16 T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) 63)) (-1478 ((|#1| $) 72)) (-4471 (((-681 |#1|) $ (-1253 $)) 74)) (-4174 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-4382 (($ $ (-919)) 27)) (-3557 ((|#1| $) 70)) (-2212 (((-1161 |#1|) $) 40 (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) 65)) (-3168 (((-1161 |#1|) $) 61)) (-3073 (((-121)) 55)) (-2097 (($ (-1253 |#1|) (-1253 $)) 67)) (-2611 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-3358 (((-919)) 78)) (-3894 (((-121)) 52)) (-2073 (($ $ (-919)) 32)) (-1428 (((-121)) 48)) (-4078 (((-121)) 46)) (-4015 (((-121)) 50)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) 64)) (-2858 ((|#1| $) 73)) (-4432 (((-681 |#1|) $ (-1253 $)) 75)) (-2983 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-2846 (($ $ (-919)) 28)) (-2170 ((|#1| $) 71)) (-1650 (((-1161 |#1|) $) 41 (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) 66)) (-4215 (((-1161 |#1|) $) 62)) (-2431 (((-121)) 56)) (-2605 (((-1147) $) 9)) (-2826 (((-121)) 47)) (-4161 (((-121)) 49)) (-3983 (((-121)) 51)) (-1912 (((-1111) $) 10)) (-2067 (((-121)) 54)) (-3672 (((-1253 |#1|) $ (-1253 $)) 69) (((-681 |#1|) (-1253 $) (-1253 $)) 68)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) 77)) (-2689 (($ $ $) 24)) (-2984 (((-121)) 60)) (-3956 (((-852) $) 11)) (-2628 (((-635 (-1253 |#1|))) 42 (|has| |#1| (-559)))) (-4379 (($ $ $ $) 25)) (-1413 (((-121)) 58)) (-3924 (($ $ $) 23)) (-1561 (((-121)) 59)) (-3952 (((-121)) 57)) (-1606 (((-121)) 53)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-370 |#1|) (-1284) (-173)) (T -370)) 
+((-1552 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-370 *3)))) (-3358 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-919)))) (-3127 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))))) (-3359 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))))) (-4432 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-4471 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2858 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1478 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-2170 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3557 (*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3672 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 *4)))) (-3672 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) (-2510 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-1547 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) (-3707 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2459 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-4215 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3)))) (-3168 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3)))) (-2984 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1561 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1413 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3952 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2431 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3073 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2067 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1606 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3894 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-3983 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4015 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4161 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-1428 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2826 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-4078 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121)))) (-2611 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2983 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-4174 (*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) (-2628 (*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1253 *3))))) (-1650 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3)))) (-2212 (*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3)))) (-4030 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) (-2634 (*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) (-1309 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-3943 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) (-3667 (*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(-13 (-738 |t#1|) (-10 -8 (-15 -1552 ((-1253 $))) (-15 -3358 ((-919))) (-15 -3127 ((-635 (-955 |t#1|)) (-1253 $))) (-15 -3359 ((-1253 (-681 |t#1|)) (-1253 $))) (-15 -4432 ((-681 |t#1|) $ (-1253 $))) (-15 -4471 ((-681 |t#1|) $ (-1253 $))) (-15 -2858 (|t#1| $)) (-15 -1478 (|t#1| $)) (-15 -2170 (|t#1| $)) (-15 -3557 (|t#1| $)) (-15 -3672 ((-1253 |t#1|) $ (-1253 $))) (-15 -3672 ((-681 |t#1|) (-1253 $) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|) (-1253 $))) (-15 -2510 (|t#1| (-1253 $))) (-15 -1547 (|t#1| (-1253 $))) (-15 -3707 ((-681 |t#1|) (-1253 $))) (-15 -2459 ((-681 |t#1|) (-1253 $))) (-15 -4215 ((-1161 |t#1|) $)) (-15 -3168 ((-1161 |t#1|) $)) (-15 -2984 ((-121))) (-15 -1561 ((-121))) (-15 -1413 ((-121))) (-15 -3952 ((-121))) (-15 -2431 ((-121))) (-15 -3073 ((-121))) (-15 -2067 ((-121))) (-15 -1606 ((-121))) (-15 -3894 ((-121))) (-15 -3983 ((-121))) (-15 -4015 ((-121))) (-15 -4161 ((-121))) (-15 -1428 ((-121))) (-15 -2826 ((-121))) (-15 -4078 ((-121))) (IF (|has| |t#1| (-559)) (PROGN (-15 -2611 ((-3 $ "failed") $)) (-15 -2983 ((-3 $ "failed") $)) (-15 -4174 ((-3 $ "failed") $)) (-15 -2628 ((-635 (-1253 |t#1|)))) (-15 -1650 ((-1161 |t#1|) $)) (-15 -2212 ((-1161 |t#1|) $)) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1309 ((-3 $ "failed"))) (-15 -3943 ((-3 $ "failed"))) (-15 -3667 ((-3 $ "failed"))) (-6 -4568)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-738 |#1|) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2675 (((-765)) 15)) (-3341 (($) 12)) (-2862 (((-919) $) 13)) (-2605 (((-1147) $) 9)) (-1333 (($ (-919)) 14)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-371) (-1284)) (T -371)) 
+((-2675 (*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-765)))) (-1333 (*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-371)))) (-2862 (*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-919)))) (-3341 (*1 *1) (-4 *1 (-371)))) 
+(-13 (-1093) (-10 -8 (-15 -2675 ((-765))) (-15 -1333 ($ (-919))) (-15 -2862 ((-919) $)) (-15 -3341 ($)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2245 (((-681 |#2|) (-1253 $)) 40)) (-2097 (($ (-1253 |#2|) (-1253 $)) 35)) (-1808 (((-681 |#2|) $ (-1253 $)) 43)) (-2925 ((|#2| (-1253 $)) 13)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) 25))) 
+(((-372 |#1| |#2| |#3|) (-10 -8 (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) (-373 |#2| |#3|) (-173) (-1228 |#2|)) (T -372)) 
+NIL 
+(-10 -8 (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2245 (((-681 |#1|) (-1253 $)) 44)) (-3588 ((|#1| $) 50)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46)) (-1808 (((-681 |#1|) $ (-1253 $)) 51)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2925 ((|#1| (-1253 $)) 45)) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2277 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-373 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -373)) 
+((-3358 (*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-919)))) (-1808 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-3672 (*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *4)))) (-3672 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1228 *4)))) (-2925 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1228 *2)) (-4 *2 (-173)))) (-2245 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-3033 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2415 (*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1228 *3))))) 
+(-13 (-43 |t#1|) (-10 -8 (-15 -3358 ((-919))) (-15 -1808 ((-681 |t#1|) $ (-1253 $))) (-15 -3588 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -3672 ((-1253 |t#1|) $ (-1253 $))) (-15 -3672 ((-681 |t#1|) (-1253 $) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|) (-1253 $))) (-15 -2925 (|t#1| (-1253 $))) (-15 -2245 ((-681 |t#1|) (-1253 $))) (-15 -3033 (|t#2| $)) (IF (|has| |t#1| (-366)) (-15 -2415 (|t#2| $)) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2247 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 23)) (-2793 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 15)) (-4188 ((|#4| (-1 |#3| |#1|) |#2|) 21))) 
+(((-374 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1199) (-376 |#1|) (-1199) (-376 |#3|)) (T -374)) 
+((-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-3382 (((-121) (-1 (-121) |#2| |#2|) $) NIL) (((-121) $) 18)) (-1744 (($ (-1 (-121) |#2| |#2|) $) NIL) (($ $) 28)) (-2930 (($ (-1 (-121) |#2| |#2|) $) 27) (($ $) 22)) (-1871 (($ $) 25)) (-3988 (((-569) (-1 (-121) |#2|) $) NIL) (((-569) |#2| $) 11) (((-569) |#2| $ (-569)) NIL)) (-2102 (($ (-1 (-121) |#2| |#2|) $ $) NIL) (($ $ $) 20))) 
+(((-375 |#1| |#2|) (-10 -8 (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -2930 (|#1| |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2930 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1871 (|#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) (-376 |#2|) (-1199)) (T -375)) 
+NIL 
+(-10 -8 (-15 -1744 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -2930 (|#1| |#1|)) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -2930 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1871 (|#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-376 |#1|) (-1284) (-1199)) (T -376)) 
+((-2102 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-1871 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)))) (-2930 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-3382 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-3988 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) (-2930 (*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-844)) (-5 *2 (-121)))) (-3038 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-2887 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)))) (-1744 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) (-1744 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844))))) 
+(-13 (-641 |t#1|) (-10 -8 (-6 -4571) (-15 -2102 ($ (-1 (-121) |t#1| |t#1|) $ $)) (-15 -1871 ($ $)) (-15 -2930 ($ (-1 (-121) |t#1| |t#1|) $)) (-15 -3382 ((-121) (-1 (-121) |t#1| |t#1|) $)) (-15 -3988 ((-569) (-1 (-121) |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -3988 ((-569) |t#1| $)) (-15 -3988 ((-569) |t#1| $ (-569)))) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-6 (-844)) (-15 -2102 ($ $ $)) (-15 -2930 ($ $)) (-15 -3382 ((-121) $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -3038 ($ $ $ (-569))) (-15 -2887 ($ $)) (-15 -1744 ($ (-1 (-121) |t#1| |t#1|) $)) (IF (|has| |t#1| (-844)) (-15 -1744 ($ $)) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 29)) (-4480 (($ $ (-765)) 30)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2368 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 33)) (-2745 (($ $) 31)) (-3927 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 34)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1484 (($ $ |#1| $) 28) (($ $ (-635 |#1|) (-635 $)) 27)) (-2284 (((-765) $) 35)) (-3124 (($ $ $) 26)) (-3956 (((-852) $) 11) (($ |#1|) 38) (((-1266 |#1| |#2|) $) 37) (((-1275 |#1| |#2|) $) 36)) (-3550 ((|#2| (-1275 |#1| |#2|) $) 39)) (-2407 (($) 17 T CONST)) (-4067 (($ (-664 |#1|)) 32)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#2|) 25 (|has| |#2| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#2| $) 22) (($ $ |#2|) 24))) 
+(((-377 |#1| |#2|) (-1284) (-844) (-173)) (T -377)) 
+((-3550 (*1 *2 *3 *1) (-12 (-5 *3 (-1275 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-844)) (-4 *2 (-173)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1266 *3 *4)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1275 *3 *4)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-765)))) (-3927 (*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-2368 (*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-4067 (*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-4480 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3810 (*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) (-1484 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-844)) (-4 *5 (-173))))) 
+(-13 (-626 |t#2|) (-10 -8 (-15 -3550 (|t#2| (-1275 |t#1| |t#2|) $)) (-15 -3956 ($ |t#1|)) (-15 -3956 ((-1266 |t#1| |t#2|) $)) (-15 -3956 ((-1275 |t#1| |t#2|) $)) (-15 -2284 ((-765) $)) (-15 -3927 ((-1275 |t#1| |t#2|) (-1275 |t#1| |t#2|) $)) (-15 -2368 ((-1275 |t#1| |t#2|) (-1275 |t#1| |t#2|) $)) (-15 -4067 ($ (-664 |t#1|))) (-15 -2745 ($ $)) (-15 -4480 ($ $ (-765))) (-15 -3810 ((-635 |t#1|) $)) (-15 -1484 ($ $ |t#1| $)) (-15 -1484 ($ $ (-635 |t#1|) (-635 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-626 |#2|) . T) ((-709 |#2|) . T) ((-1055 |#2|) . T) ((-1093) . T)) 
+((-3114 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 22)) (-4158 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 12)) (-1634 ((|#2| (-1 (-121) |#1| |#1|) |#2|) 21))) 
+(((-378 |#1| |#2|) (-10 -7 (-15 -4158 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1634 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3114 (|#2| (-1 (-121) |#1| |#1|) |#2|))) (-1199) (-13 (-376 |#1|) (-10 -7 (-6 -4572)))) (T -378)) 
+((-3114 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))))) (-1634 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))))) (-4158 (*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
+(-10 -7 (-15 -4158 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -1634 (|#2| (-1 (-121) |#1| |#1|) |#2|)) (-15 -3114 (|#2| (-1 (-121) |#1| |#1|) |#2|))) 
+((-3435 (((-681 |#2|) (-681 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 19) (((-681 (-569)) (-681 $)) 13))) 
+(((-379 |#1| |#2|) (-10 -8 (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 |#2|) (-681 |#1|)))) (-380 |#2|) (-1049)) (T -379)) 
+NIL 
+(-10 -8 (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 |#2|) (-681 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3435 (((-681 |#1|) (-681 $)) 35) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 34) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 38 (|has| |#1| (-631 (-569)))) (((-681 (-569)) (-681 $)) 37 (|has| |#1| (-631 (-569))))) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-380 |#1|) (-1284) (-1049)) (T -380)) 
 NIL 
 (-13 (-631 |t#1|) (-10 -7 (IF (|has| |t#1| (-631 (-569))) (-6 (-631 (-569))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1365 (((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|) 52) (((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|) 51) (((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|) 47) (((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|) 40)) (-3807 (((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|) 28) (((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|) 15))) 
-(((-381 |#1|) (-10 -7 (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -3807 ((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -3807 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|))) (-13 (-366) (-841))) (T -381)) 
-((-3807 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-841))))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) (-1365 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -1365 ((-635 (-635 (-289 (-954 (-170 |#1|))))) (-635 (-289 (-410 (-954 (-170 (-569)))))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -1365 ((-635 (-289 (-954 (-170 |#1|)))) (-289 (-410 (-954 (-170 (-569))))) |#1|)) (-15 -3807 ((-635 (-170 |#1|)) (-410 (-954 (-170 (-569)))) |#1|)) (-15 -3807 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-954 (-170 (-569))))) (-635 (-1163)) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-3761 (((-569) $) 55)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) 109)) (-1753 (($ $) 81)) (-2530 (($ $) 70)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) 44)) (-3934 (((-121) $ $) NIL)) (-1744 (($ $) 79)) (-2513 (($ $) 68)) (-3638 (((-569) $) 63)) (-3036 (($ $ (-569)) 62)) (-1760 (($ $) NIL)) (-2546 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1847 (($ $) 111)) (-1647 (((-3 (-569) "failed") $) 187) (((-3 (-410 (-569)) "failed") $) 183)) (-2428 (((-569) $) 185) (((-410 (-569)) $) 181)) (-2506 (($ $ $) NIL)) (-1796 (((-569) $ $) 101)) (-3428 (((-3 $ "failed") $) 113)) (-2826 (((-410 (-569)) $ (-764)) 188) (((-410 (-569)) $ (-764) (-764)) 180)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 72) (((-918) (-918)) 97 (|has| $ (-6 -4526)))) (-2403 (((-121) $) 105)) (-2445 (($) 40)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-4225 (((-1252) (-764)) 150)) (-2177 (((-1252)) 155) (((-1252) (-764)) 156)) (-1864 (((-1252)) 157) (((-1252) (-764)) 158)) (-2124 (((-1252)) 153) (((-1252) (-764)) 154)) (-2558 (((-569) $) 58)) (-1407 (((-121) $) 103)) (-4344 (($ $ (-569)) NIL)) (-2521 (($ $) 48)) (-4308 (($ $) NIL)) (-1781 (((-121) $) 35)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1538 (($ $ $) NIL) (($) 98 (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 17)) (-1900 (($) 86) (($ $) 91)) (-2138 (($) 90) (($ $) 92)) (-4450 (($ $) 82)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 115)) (-2925 (((-918) (-569)) 43 (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) 53)) (-2942 (($ $) 108)) (-2215 (($ (-569) (-569)) 106) (($ (-569) (-569) (-918)) 107)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 19)) (-2390 (($) 93)) (-2436 (($ $) 78)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-918)) 99) (((-918) (-918)) 100 (|has| $ (-6 -4526)))) (-3899 (($ $ (-764)) NIL) (($ $) 114)) (-4432 (((-918) (-569)) 47 (|has| $ (-6 -4526)))) (-1764 (($ $) NIL)) (-2554 (($ $) NIL)) (-1756 (($ $) NIL)) (-2538 (($ $) NIL)) (-1748 (($ $) 80)) (-2522 (($ $) 69)) (-3817 (((-382) $) 173) (((-216) $) 175) (((-888 (-382)) $) NIL) (((-1145) $) 160) (((-542) $) 171) (($ (-216)) 179)) (-2185 (((-851) $) 162) (($ (-569)) 184) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 184) (($ (-410 (-569))) NIL) (((-216) $) 176)) (-1991 (((-764)) NIL)) (-2612 (($ $) 110)) (-2970 (((-918)) 54) (((-918) (-918)) 65 (|has| $ (-6 -4526)))) (-1475 (((-918)) 102)) (-1779 (($ $) 85)) (-1727 (($ $) 46) (($ $ $) 52)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 83)) (-2561 (($ $) 37)) (-1785 (($ $) NIL)) (-1736 (($ $) NIL)) (-2430 (($ $) NIL)) (-1740 (($ $) NIL)) (-1782 (($ $) NIL)) (-1731 (($ $) NIL)) (-1775 (($ $) 84)) (-2569 (($ $) 49)) (-1616 (($ $) 51)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 34 T CONST)) (-1556 (($) 38 T CONST)) (-1940 (((-1145) $) 27) (((-1145) $ (-121)) 29) (((-1252) (-818) $) 30) (((-1252) (-818) $ (-121)) 31)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 39)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 42)) (-1715 (($ $ $) 45) (($ $ (-569)) 41)) (-1711 (($ $) 36) (($ $ $) 50)) (-1707 (($ $ $) 61)) (** (($ $ (-918)) 66) (($ $ (-764)) NIL) (($ $ (-569)) 87) (($ $ (-410 (-569))) 124) (($ $ $) 116)) (* (($ (-918) $) 64) (($ (-764) $) NIL) (($ (-569) $) 67) (($ $ $) 60) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-382) (-13 (-407) (-226) (-610 (-1145)) (-824) (-609 (-216)) (-1183) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2521 ($ $)) (-15 -1796 ((-569) $ $)) (-15 -3036 ($ $ (-569))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1900 ($)) (-15 -2138 ($)) (-15 -2390 ($)) (-15 -1727 ($ $ $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -3817 ($ (-216))) (-15 -1864 ((-1252))) (-15 -1864 ((-1252) (-764))) (-15 -2124 ((-1252))) (-15 -2124 ((-1252) (-764))) (-15 -2177 ((-1252))) (-15 -2177 ((-1252) (-764))) (-15 -4225 ((-1252) (-764))) (-6 -4526) (-6 -4518)))) (T -382)) 
-((** (*1 *1 *1 *1) (-5 *1 (-382))) (-1715 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2521 (*1 *1 *1) (-5 *1 (-382))) (-1796 (*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2826 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-2826 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-1900 (*1 *1) (-5 *1 (-382))) (-2138 (*1 *1) (-5 *1 (-382))) (-2390 (*1 *1) (-5 *1 (-382))) (-1727 (*1 *1 *1 *1) (-5 *1 (-382))) (-1900 (*1 *1 *1) (-5 *1 (-382))) (-2138 (*1 *1 *1) (-5 *1 (-382))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) (-1864 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-1864 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-2124 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-2124 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-2177 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382)))) (-2177 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) (-4225 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382))))) 
-(-13 (-407) (-226) (-610 (-1145)) (-824) (-609 (-216)) (-1183) (-610 (-542)) (-10 -8 (-15 -1715 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -2521 ($ $)) (-15 -1796 ((-569) $ $)) (-15 -3036 ($ $ (-569))) (-15 -2826 ((-410 (-569)) $ (-764))) (-15 -2826 ((-410 (-569)) $ (-764) (-764))) (-15 -1900 ($)) (-15 -2138 ($)) (-15 -2390 ($)) (-15 -1727 ($ $ $)) (-15 -1900 ($ $)) (-15 -2138 ($ $)) (-15 -3817 ($ (-216))) (-15 -1864 ((-1252))) (-15 -1864 ((-1252) (-764))) (-15 -2124 ((-1252))) (-15 -2124 ((-1252) (-764))) (-15 -2177 ((-1252))) (-15 -2177 ((-1252) (-764))) (-15 -4225 ((-1252) (-764))) (-6 -4526) (-6 -4518))) 
-((-4435 (((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|) 47) (((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|) 46) (((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|) 42) (((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|) 36)) (-2166 (((-635 |#1|) (-410 (-954 (-569))) |#1|) 19) (((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|) 31))) 
-(((-383 |#1|) (-10 -7 (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|)) (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|)) (-15 -2166 ((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|)) (-15 -2166 ((-635 |#1|) (-410 (-954 (-569))) |#1|))) (-13 (-841) (-366))) (T -383)) 
-((-2166 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-2166 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-569))))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366)))))) 
-(-10 -7 (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-410 (-954 (-569)))) |#1|)) (-15 -4435 ((-635 (-635 (-289 (-954 |#1|)))) (-635 (-289 (-410 (-954 (-569))))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-410 (-954 (-569))) |#1|)) (-15 -4435 ((-635 (-289 (-954 |#1|))) (-289 (-410 (-954 (-569)))) |#1|)) (-15 -2166 ((-635 (-635 |#1|)) (-635 (-410 (-954 (-569)))) (-635 (-1163)) |#1|)) (-15 -2166 ((-635 |#1|) (-410 (-954 (-569))) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 25)) (-2428 ((|#2| $) 27)) (-4020 (($ $) NIL)) (-4244 (((-764) $) 10)) (-2086 (((-635 $) $) 20)) (-3523 (((-121) $) NIL)) (-4145 (($ |#2| |#1|) 18)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-1804 ((|#2| $) 15)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 43) (($ |#2|) 26)) (-3382 (((-635 |#1|) $) 17)) (-1653 ((|#1| $ |#2|) 45)) (-3369 (($) 28 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
-(((-384 |#1| |#2|) (-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1048) (-843)) (T -384)) 
-((* (*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1909 (((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|) 52) (((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|) 51) (((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|) 47) (((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|) 40)) (-2126 (((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|) 28) (((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|) 15))) 
+(((-381 |#1|) (-10 -7 (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -2126 ((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -2126 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|))) (-13 (-366) (-842))) (T -381)) 
+((-2126 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-842))))) (-2126 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) (-1909 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -1909 ((-635 (-635 (-289 (-955 (-170 |#1|))))) (-635 (-289 (-410 (-955 (-170 (-569)))))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -1909 ((-635 (-289 (-955 (-170 |#1|)))) (-289 (-410 (-955 (-170 (-569))))) |#1|)) (-15 -2126 ((-635 (-170 |#1|)) (-410 (-955 (-170 (-569)))) |#1|)) (-15 -2126 ((-635 (-635 (-170 |#1|))) (-635 (-410 (-955 (-170 (-569))))) (-635 (-1165)) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-3644 (((-569) $) 55)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) 109)) (-3544 (($ $) 81)) (-3467 (($ $) 70)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) 44)) (-2889 (((-121) $ $) NIL)) (-3530 (($ $) 79)) (-3455 (($ $) 68)) (-3817 (((-569) $) 63)) (-2546 (($ $ (-569)) 62)) (-3559 (($ $) NIL)) (-3480 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3411 (($ $) 111)) (-3003 (((-3 (-569) "failed") $) 187) (((-3 (-410 (-569)) "failed") $) 183)) (-1321 (((-569) $) 185) (((-410 (-569)) $) 181)) (-1614 (($ $ $) NIL)) (-4522 (((-569) $ $) 101)) (-2611 (((-3 $ "failed") $) 113)) (-3453 (((-410 (-569)) $ (-765)) 188) (((-410 (-569)) $ (-765) (-765)) 180)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 72) (((-919) (-919)) 97 (|has| $ (-6 -4562)))) (-1863 (((-121) $) 105)) (-3415 (($) 40)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-1556 (((-1258) (-765)) 150)) (-4524 (((-1258)) 155) (((-1258) (-765)) 156)) (-2315 (((-1258)) 157) (((-1258) (-765)) 158)) (-2405 (((-1258)) 153) (((-1258) (-765)) 154)) (-4433 (((-569) $) 58)) (-3934 (((-121) $) 103)) (-2522 (($ $ (-569)) NIL)) (-1666 (($ $) 48)) (-3046 (($ $) NIL)) (-4311 (((-121) $) 35)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2713 (($ $ $) NIL) (($) 98 (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 17)) (-1988 (($) 86) (($ $) 91)) (-1492 (($) 90) (($ $) 92)) (-3597 (($ $) 82)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 115)) (-1485 (((-919) (-569)) 43 (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) 53)) (-1807 (($ $) 108)) (-3222 (($ (-569) (-569)) 106) (($ (-569) (-569) (-919)) 107)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 19)) (-1514 (($) 93)) (-3408 (($ $) 78)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-919)) 99) (((-919) (-919)) 100 (|has| $ (-6 -4562)))) (-3289 (($ $ (-765)) NIL) (($ $) 114)) (-2791 (((-919) (-569)) 47 (|has| $ (-6 -4562)))) (-3565 (($ $) NIL)) (-3485 (($ $) NIL)) (-3551 (($ $) NIL)) (-3473 (($ $) NIL)) (-3538 (($ $) 80)) (-3460 (($ $) 69)) (-4035 (((-382) $) 173) (((-216) $) 175) (((-889 (-382)) $) NIL) (((-1147) $) 160) (((-542) $) 171) (($ (-216)) 179)) (-3956 (((-852) $) 162) (($ (-569)) 184) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 184) (($ (-410 (-569))) NIL) (((-216) $) 176)) (-2320 (((-765)) NIL)) (-3215 (($ $) 110)) (-4420 (((-919)) 54) (((-919) (-919)) 65 (|has| $ (-6 -4562)))) (-1710 (((-919)) 102)) (-3585 (($ $) 85)) (-3505 (($ $) 46) (($ $ $) 52)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 83)) (-3490 (($ $) 37)) (-3599 (($ $) NIL)) (-3517 (($ $) NIL)) (-4527 (($ $) NIL)) (-3525 (($ $) NIL)) (-3592 (($ $) NIL)) (-3510 (($ $) NIL)) (-3579 (($ $) 84)) (-3497 (($ $) 49)) (-4080 (($ $) 51)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 34 T CONST)) (-3297 (($) 38 T CONST)) (-3685 (((-1147) $) 27) (((-1147) $ (-121)) 29) (((-1258) (-819) $) 30) (((-1258) (-819) $ (-121)) 31)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 39)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 42)) (-1383 (($ $ $) 45) (($ $ (-569)) 41)) (-1377 (($ $) 36) (($ $ $) 50)) (-1371 (($ $ $) 61)) (** (($ $ (-919)) 66) (($ $ (-765)) NIL) (($ $ (-569)) 87) (($ $ (-410 (-569))) 124) (($ $ $) 116)) (* (($ (-919) $) 64) (($ (-765) $) NIL) (($ (-569) $) 67) (($ $ $) 60) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-382) (-13 (-407) (-226) (-610 (-1147)) (-825) (-609 (-216)) (-1185) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1666 ($ $)) (-15 -4522 ((-569) $ $)) (-15 -2546 ($ $ (-569))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -1988 ($)) (-15 -1492 ($)) (-15 -1514 ($)) (-15 -3505 ($ $ $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -4035 ($ (-216))) (-15 -2315 ((-1258))) (-15 -2315 ((-1258) (-765))) (-15 -2405 ((-1258))) (-15 -2405 ((-1258) (-765))) (-15 -4524 ((-1258))) (-15 -4524 ((-1258) (-765))) (-15 -1556 ((-1258) (-765))) (-6 -4562) (-6 -4554)))) (T -382)) 
+((** (*1 *1 *1 *1) (-5 *1 (-382))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-1666 (*1 *1 *1) (-5 *1 (-382))) (-4522 (*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) (-3453 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-3453 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) (-1988 (*1 *1) (-5 *1 (-382))) (-1492 (*1 *1) (-5 *1 (-382))) (-1514 (*1 *1) (-5 *1 (-382))) (-3505 (*1 *1 *1 *1) (-5 *1 (-382))) (-1988 (*1 *1 *1) (-5 *1 (-382))) (-1492 (*1 *1 *1) (-5 *1 (-382))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) (-2315 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-2315 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-2405 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-2405 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-4524 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382)))) (-4524 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) (-1556 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382))))) 
+(-13 (-407) (-226) (-610 (-1147)) (-825) (-609 (-216)) (-1185) (-610 (-542)) (-10 -8 (-15 -1383 ($ $ (-569))) (-15 ** ($ $ $)) (-15 -1666 ($ $)) (-15 -4522 ((-569) $ $)) (-15 -2546 ($ $ (-569))) (-15 -3453 ((-410 (-569)) $ (-765))) (-15 -3453 ((-410 (-569)) $ (-765) (-765))) (-15 -1988 ($)) (-15 -1492 ($)) (-15 -1514 ($)) (-15 -3505 ($ $ $)) (-15 -1988 ($ $)) (-15 -1492 ($ $)) (-15 -4035 ($ (-216))) (-15 -2315 ((-1258))) (-15 -2315 ((-1258) (-765))) (-15 -2405 ((-1258))) (-15 -2405 ((-1258) (-765))) (-15 -4524 ((-1258))) (-15 -4524 ((-1258) (-765))) (-15 -1556 ((-1258) (-765))) (-6 -4562) (-6 -4554))) 
+((-2880 (((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|) 47) (((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|) 46) (((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|) 42) (((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|) 36)) (-4262 (((-635 |#1|) (-410 (-955 (-569))) |#1|) 19) (((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|) 31))) 
+(((-383 |#1|) (-10 -7 (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|)) (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|)) (-15 -4262 ((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|)) (-15 -4262 ((-635 |#1|) (-410 (-955 (-569))) |#1|))) (-13 (-842) (-366))) (T -383)) 
+((-4262 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-4262 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-569))))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366)))))) 
+(-10 -7 (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-410 (-955 (-569)))) |#1|)) (-15 -2880 ((-635 (-635 (-289 (-955 |#1|)))) (-635 (-289 (-410 (-955 (-569))))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-410 (-955 (-569))) |#1|)) (-15 -2880 ((-635 (-289 (-955 |#1|))) (-289 (-410 (-955 (-569)))) |#1|)) (-15 -4262 ((-635 (-635 |#1|)) (-635 (-410 (-955 (-569)))) (-635 (-1165)) |#1|)) (-15 -4262 ((-635 |#1|) (-410 (-955 (-569))) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 25)) (-1321 ((|#2| $) 27)) (-3373 (($ $) NIL)) (-4118 (((-765) $) 10)) (-2905 (((-635 $) $) 20)) (-3052 (((-121) $) NIL)) (-3558 (($ |#2| |#1|) 18)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 13)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 14)) (-3263 ((|#2| $) 15)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 43) (($ |#2|) 26)) (-2894 (((-635 |#1|) $) 17)) (-3802 ((|#1| $ |#2|) 45)) (-2407 (($) 28 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 31) (($ $ |#1|) 32) (($ |#1| |#2|) 33) (($ |#2| |#1|) 34))) 
+(((-384 |#1| |#2|) (-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) (-1049) (-844)) (T -384)) 
+((* (*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844))))) 
 (-13 (-385 |#1| |#2|) (-10 -8 (-15 * ($ |#2| |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 41)) (-2428 ((|#2| $) 40)) (-4020 (($ $) 27)) (-4244 (((-764) $) 31)) (-2086 (((-635 $) $) 32)) (-3523 (((-121) $) 35)) (-4145 (($ |#2| |#1|) 36)) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-1804 ((|#2| $) 30)) (-4012 ((|#1| $) 29)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ |#2|) 42)) (-3382 (((-635 |#1|) $) 33)) (-1653 ((|#1| $ |#2|) 38)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
-(((-385 |#1| |#2|) (-1278) (-1048) (-1091)) (T -385)) 
-((* (*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)))) (-4145 (*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-121)))) (-1859 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) (-2086 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) (-4244 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-764)))) (-1804 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) (-3948 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091))))) 
-(-13 (-120 |t#1| |t#1|) (-1038 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -1653 (|t#1| $ |t#2|)) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -4145 ($ |t#2| |t#1|)) (-15 -3523 ((-121) $)) (-15 -1859 ((-635 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -3382 ((-635 |t#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (-15 -1804 (|t#2| $)) (-15 -4012 (|t#1| $)) (-15 -3948 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -4020 ($ $)) (IF (|has| |t#1| (-173)) (-6 (-708 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) |has| |#1| (-173)) ((-1038 |#2|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-680 (-689))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 9))) 
-(((-386) (-1278)) (T -386)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-680 (-689))) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-386))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-680 (-689)))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))))) 
-(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
-((-1647 (((-3 $ "failed") (-680 (-311 (-382)))) 19) (((-3 $ "failed") (-680 (-311 (-569)))) 17) (((-3 $ "failed") (-680 (-954 (-382)))) 15) (((-3 $ "failed") (-680 (-954 (-569)))) 13) (((-3 $ "failed") (-680 (-410 (-954 (-382))))) 11) (((-3 $ "failed") (-680 (-410 (-954 (-569))))) 9)) (-2428 (($ (-680 (-311 (-382)))) 20) (($ (-680 (-311 (-569)))) 18) (($ (-680 (-954 (-382)))) 16) (($ (-680 (-954 (-569)))) 14) (($ (-680 (-410 (-954 (-382))))) 12) (($ (-680 (-410 (-954 (-569))))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
-(((-387) (-1278)) (T -387)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-680 (-311 (-382))))) (-15 -1647 ((-3 $ "failed") (-680 (-311 (-382))))) (-15 -2428 ($ (-680 (-311 (-569))))) (-15 -1647 ((-3 $ "failed") (-680 (-311 (-569))))) (-15 -2428 ($ (-680 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-680 (-954 (-382))))) (-15 -2428 ($ (-680 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-680 (-954 (-569))))) (-15 -2428 ($ (-680 (-410 (-954 (-382)))))) (-15 -1647 ((-3 $ "failed") (-680 (-410 (-954 (-382)))))) (-15 -2428 ($ (-680 (-410 (-954 (-569)))))) (-15 -1647 ((-3 $ "failed") (-680 (-410 (-954 (-569)))))))) 
-(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 27)) (-3369 (($) 12 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
-(((-388 |#1| |#2|) (-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|))) (-1048) (-843)) (T -388)) 
-NIL 
-(-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-708 |#1|)) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) 56)) (-2820 (($) NIL T CONST)) (-2123 (((-3 $ "failed") $ $) 58)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3560 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-1407 (((-121) $) 14)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-764) $ (-569)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-4101 (($ (-1 |#1| |#1|) $) 37)) (-1599 (($ (-1 (-764) (-764)) $) 34)) (-3642 (((-3 $ "failed") $ $) 49)) (-2776 (((-1145) $) NIL)) (-2069 (($ $ $) 25)) (-1466 (($ $ $) 23)) (-3360 (((-1109) $) NIL)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) 31)) (-2609 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-2185 (((-851) $) 21) (($ |#1|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-1556 (($) 9 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 41)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 60 (|has| |#1| (-843)))) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ |#1| (-764)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
-(((-389 |#1|) (-13 (-717) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -2609 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-764) (-764)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) (-1091)) (T -389)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-1466 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2069 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-3642 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2123 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-2609 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-3560 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-389 *4)) (-4 *4 (-1091)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-764) (-764))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-389 *3))))) 
-(-13 (-717) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -2609 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1599 ($ (-1 (-764) (-764)) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-843)) (-6 (-843)) |noBranch|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 46)) (-2428 (((-569) $) 45)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-3291 (($ $ $) 53)) (-1538 (($ $ $) 52)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 47)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 50)) (-1684 (((-121) $ $) 49)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 51)) (-1678 (((-121) $ $) 48)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-390) (-1278)) (T -390)) 
-NIL 
-(-13 (-559) (-843) (-1038 (-569))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3783 (((-121) $) 20)) (-3935 (((-121) $) 19)) (-2659 (($ (-1145) (-1145) (-1145)) 21)) (-1486 (((-1145) $) 16)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3818 (($ (-1145) (-1145) (-1145)) 14)) (-1449 (((-1145) $) 17)) (-3170 (((-121) $) 18)) (-1766 (((-1145) $) 15)) (-2185 (((-851) $) 12) (($ (-1145)) 13) (((-1145) $) 9)) (-1668 (((-121) $ $) 7))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 41)) (-1321 ((|#2| $) 40)) (-3373 (($ $) 27)) (-4118 (((-765) $) 31)) (-2905 (((-635 $) $) 32)) (-3052 (((-121) $) 35)) (-3558 (($ |#2| |#1|) 36)) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 34)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) 28)) (-3263 ((|#2| $) 30)) (-3270 ((|#1| $) 29)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ |#2|) 42)) (-2894 (((-635 |#1|) $) 33)) (-3802 ((|#1| $ |#2|) 38)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24) (($ |#1| |#2|) 39))) 
+(((-385 |#1| |#2|) (-1284) (-1049) (-1093)) (T -385)) 
+((* (*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)))) (-3558 (*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-121)))) (-2210 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) (-2905 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) (-4118 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-765)))) (-3263 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) (-2133 (*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3))))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093))))) 
+(-13 (-120 |t#1| |t#1|) (-1039 |t#2|) (-10 -8 (-15 * ($ |t#1| |t#2|)) (-15 -3802 (|t#1| $ |t#2|)) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3558 ($ |t#2| |t#1|)) (-15 -3052 ((-121) $)) (-15 -2210 ((-635 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -2894 ((-635 |t#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (-15 -3263 (|t#2| $)) (-15 -3270 (|t#1| $)) (-15 -2133 ((-2 (|:| |k| |t#2|) (|:| |c| |t#1|)) $)) (-15 -3373 ($ $)) (IF (|has| |t#1| (-173)) (-6 (-709 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) |has| |#1| (-173)) ((-1039 |#2|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-681 (-690))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 9))) 
+(((-386) (-1284)) (T -386)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-681 (-690))) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-386))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-681 (-690)))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))))) 
+(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
+((-3003 (((-3 $ "failed") (-681 (-311 (-382)))) 19) (((-3 $ "failed") (-681 (-311 (-569)))) 17) (((-3 $ "failed") (-681 (-955 (-382)))) 15) (((-3 $ "failed") (-681 (-955 (-569)))) 13) (((-3 $ "failed") (-681 (-410 (-955 (-382))))) 11) (((-3 $ "failed") (-681 (-410 (-955 (-569))))) 9)) (-1321 (($ (-681 (-311 (-382)))) 20) (($ (-681 (-311 (-569)))) 18) (($ (-681 (-955 (-382)))) 16) (($ (-681 (-955 (-569)))) 14) (($ (-681 (-410 (-955 (-382))))) 12) (($ (-681 (-410 (-955 (-569))))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
+(((-387) (-1284)) (T -387)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-681 (-311 (-382))))) (-15 -3003 ((-3 $ "failed") (-681 (-311 (-382))))) (-15 -1321 ($ (-681 (-311 (-569))))) (-15 -3003 ((-3 $ "failed") (-681 (-311 (-569))))) (-15 -1321 ($ (-681 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-681 (-955 (-382))))) (-15 -1321 ($ (-681 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-681 (-955 (-569))))) (-15 -1321 ($ (-681 (-410 (-955 (-382)))))) (-15 -3003 ((-3 $ "failed") (-681 (-410 (-955 (-382)))))) (-15 -1321 ($ (-681 (-410 (-955 (-569)))))) (-15 -3003 ((-3 $ "failed") (-681 (-410 (-955 (-569)))))))) 
+(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 27)) (-2407 (($) 12 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#1| $) 16) (($ $ |#1|) 18))) 
+(((-388 |#1| |#2|) (-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|))) (-1049) (-844)) (T -388)) 
+NIL 
+(-13 (-120 |#1| |#1|) (-519 |#1| |#2|) (-10 -7 (IF (|has| |#1| (-173)) (-6 (-709 |#1|)) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) 56)) (-4483 (($) NIL T CONST)) (-2368 (((-3 $ "failed") $ $) 58)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2598 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) 52)) (-3934 (((-121) $) 14)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-765) $ (-569)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1648 (($ (-1 |#1| |#1|) $) 37)) (-1611 (($ (-1 (-765) (-765)) $) 34)) (-3927 (((-3 $ "failed") $ $) 49)) (-2605 (((-1147) $) NIL)) (-3856 (($ $ $) 25)) (-1486 (($ $ $) 23)) (-1912 (((-1111) $) NIL)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) 31)) (-3135 (((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $) 55)) (-3956 (((-852) $) 21) (($ |#1|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-3297 (($) 9 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 41)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 60 (|has| |#1| (-844)))) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ |#1| (-765)) 40)) (* (($ $ $) 47) (($ |#1| $) 29) (($ $ |#1|) 27))) 
+(((-389 |#1|) (-13 (-718) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3135 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-765) (-765)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) (-1093)) (T -389)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-1486 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3856 (*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3927 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-2368 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-3135 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2598 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-389 *4)) (-4 *4 (-1093)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-765) (-765))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-389 *3))))) 
+(-13 (-718) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3135 ((-3 (-2 (|:| |lm| $) (|:| |rm| $)) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1611 ($ (-1 (-765) (-765)) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-844)) (-6 (-844)) |noBranch|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 46)) (-1321 (((-569) $) 45)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2157 (($ $ $) 53)) (-2713 (($ $ $) 52)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 47)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 50)) (-1343 (((-121) $ $) 49)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 51)) (-1337 (((-121) $ $) 48)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-390) (-1284)) (T -390)) 
+NIL 
+(-13 (-559) (-844) (-1039 (-569))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2668 (((-121) $) 20)) (-2906 (((-121) $) 19)) (-2446 (($ (-1147) (-1147) (-1147)) 21)) (-2798 (((-1147) $) 16)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3204 (($ (-1147) (-1147) (-1147)) 14)) (-2301 (((-1147) $) 17)) (-2290 (((-121) $) 18)) (-2525 (((-1147) $) 15)) (-3956 (((-852) $) 12) (($ (-1147)) 13) (((-1147) $) 9)) (-1326 (((-121) $ $) 7))) 
 (((-391) (-392)) (T -391)) 
 NIL 
 (-392) 
-((-2568 (((-121) $ $) 7)) (-3783 (((-121) $) 13)) (-3935 (((-121) $) 14)) (-2659 (($ (-1145) (-1145) (-1145)) 12)) (-1486 (((-1145) $) 17)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3818 (($ (-1145) (-1145) (-1145)) 19)) (-1449 (((-1145) $) 16)) (-3170 (((-121) $) 15)) (-1766 (((-1145) $) 18)) (-2185 (((-851) $) 11) (($ (-1145)) 21) (((-1145) $) 20)) (-1668 (((-121) $ $) 6))) 
-(((-392) (-1278)) (T -392)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-3818 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) (-1766 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-1486 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-1449 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) (-3170 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-3935 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-3783 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2659 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ((-1145) $)) (-15 -3818 ($ (-1145) (-1145) (-1145))) (-15 -1766 ((-1145) $)) (-15 -1486 ((-1145) $)) (-15 -1449 ((-1145) $)) (-15 -3170 ((-121) $)) (-15 -3935 ((-121) $)) (-15 -3783 ((-121) $)) (-15 -2659 ($ (-1145) (-1145) (-1145))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4502 (((-851) $) 50)) (-2820 (($) NIL T CONST)) (-1628 (($ $ (-918)) NIL)) (-1851 (($ $ (-918)) NIL)) (-3272 (($ $ (-918)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($ (-764)) 26)) (-2369 (((-764)) 15)) (-2876 (((-851) $) 52)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) NIL)) (-1383 (($ $ $ $) NIL)) (-4033 (($ $ $) NIL)) (-3369 (($) 20 T CONST)) (-1668 (((-121) $ $) 28)) (-1711 (($ $) 34) (($ $ $) 36)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
-(((-393 |#1| |#2| |#3|) (-13 (-737 |#3|) (-10 -8 (-15 -2369 ((-764))) (-15 -2876 ((-851) $)) (-15 -4502 ((-851) $)) (-15 -1809 ($ (-764))))) (-764) (-764) (-173)) (T -393)) 
-((-2369 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) (-2876 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173)))) (-4502 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173)))) (-1809 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173))))) 
-(-13 (-737 |#3|) (-10 -8 (-15 -2369 ((-764))) (-15 -2876 ((-851) $)) (-15 -4502 ((-851) $)) (-15 -1809 ($ (-764))))) 
-((-3607 (((-1145)) 10)) (-1541 (((-1133 (-1145))) 28)) (-3809 (((-1252) (-1145)) 25) (((-1252) (-391)) 24)) (-3824 (((-1252)) 26)) (-1587 (((-1133 (-1145))) 27))) 
-(((-394) (-10 -7 (-15 -1587 ((-1133 (-1145)))) (-15 -1541 ((-1133 (-1145)))) (-15 -3824 ((-1252))) (-15 -3809 ((-1252) (-391))) (-15 -3809 ((-1252) (-1145))) (-15 -3607 ((-1145))))) (T -394)) 
-((-3607 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-394)))) (-3809 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-394)))) (-3809 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-394)))) (-3824 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-394)))) (-1541 (*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394)))) (-1587 (*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
-(-10 -7 (-15 -1587 ((-1133 (-1145)))) (-15 -1541 ((-1133 (-1145)))) (-15 -3824 ((-1252))) (-15 -3809 ((-1252) (-391))) (-15 -3809 ((-1252) (-1145))) (-15 -3607 ((-1145)))) 
-((-2558 (((-764) (-335 |#1| |#2| |#3| |#4|)) 16))) 
-(((-395 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|)))) (-13 (-371) (-366)) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -395)) 
-((-2558 (*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-764)) (-5 *1 (-395 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|)))) 
-((-2185 (((-397) |#1|) 11))) 
-(((-396 |#1|) (-10 -7 (-15 -2185 ((-397) |#1|))) (-1091)) (T -396)) 
-((-2185 (*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1091))))) 
-(-10 -7 (-15 -2185 ((-397) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-4085 (((-635 (-1145)) $ (-635 (-1145))) 37)) (-4238 (((-635 (-1145)) $ (-635 (-1145))) 38)) (-3481 (((-635 (-1145)) $ (-635 (-1145))) 39)) (-2039 (((-635 (-1145)) $) 34)) (-2659 (($) 23)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1831 (((-635 (-1145)) $) 35)) (-2834 (((-635 (-1145)) $) 36)) (-3615 (((-1252) $ (-569)) 32) (((-1252) $) 33)) (-3817 (($ (-851) (-569)) 29)) (-2185 (((-851) $) 41) (($ (-851)) 25)) (-1668 (((-121) $ $) NIL))) 
-(((-397) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -1831 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4238 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145))))))) (T -397)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-397)))) (-3817 (*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-397)))) (-3615 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-397)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-397)))) (-2834 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-1831 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-2659 (*1 *1) (-5 *1 (-397))) (-2039 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-3481 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-4238 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) (-4085 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -1831 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4238 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145)))))) 
-((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8))) 
-(((-398) (-1278)) (T -398)) 
-((-3836 (*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1252))))) 
-(-13 (-1197) (-609 (-851)) (-10 -8 (-15 -3836 ((-1252) $)))) 
-(((-609 (-851)) . T) ((-1197) . T)) 
-((-1647 (((-3 $ "failed") (-311 (-382))) 19) (((-3 $ "failed") (-311 (-569))) 17) (((-3 $ "failed") (-954 (-382))) 15) (((-3 $ "failed") (-954 (-569))) 13) (((-3 $ "failed") (-410 (-954 (-382)))) 11) (((-3 $ "failed") (-410 (-954 (-569)))) 9)) (-2428 (($ (-311 (-382))) 20) (($ (-311 (-569))) 18) (($ (-954 (-382))) 16) (($ (-954 (-569))) 14) (($ (-410 (-954 (-382)))) 12) (($ (-410 (-954 (-569)))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
-(((-399) (-1278)) (T -399)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-311 (-382)))) (-15 -1647 ((-3 $ "failed") (-311 (-382)))) (-15 -2428 ($ (-311 (-569)))) (-15 -1647 ((-3 $ "failed") (-311 (-569)))) (-15 -2428 ($ (-954 (-382)))) (-15 -1647 ((-3 $ "failed") (-954 (-382)))) (-15 -2428 ($ (-954 (-569)))) (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-410 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-382))))) (-15 -2428 ($ (-410 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-410 (-954 (-569))))))) 
-(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
-((-2429 (((-635 (-1145)) (-635 (-1145))) 8)) (-3836 (((-1252) (-391)) 27)) (-3890 (((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163))) 59) (((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163)) 35) (((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163))) 34))) 
-(((-400) (-10 -7 (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)))) (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163))) (-15 -3890 ((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163)))) (-15 -3836 ((-1252) (-391))) (-15 -2429 ((-635 (-1145)) (-635 (-1145)))))) (T -400)) 
-((-2429 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-400)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *5 (-1166)) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) (-3890 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400))))) 
-(-10 -7 (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)))) (-15 -3890 ((-1095) (-1163) (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163)))) (-635 (-635 (-3 (|:| |array| (-635 (-1163))) (|:| |scalar| (-1163))))) (-635 (-1163)) (-1163))) (-15 -3890 ((-1095) (-1163) (-635 (-1163)) (-1166) (-635 (-1163)))) (-15 -3836 ((-1252) (-391))) (-15 -2429 ((-635 (-1145)) (-635 (-1145))))) 
-((-3836 (((-1252) $) 37)) (-2185 (((-851) $) 89) (($ (-329)) 92) (($ (-635 (-329))) 91) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 88) (($ (-311 (-691))) 52) (($ (-311 (-689))) 66) (($ (-311 (-684))) 78) (($ (-289 (-311 (-691)))) 62) (($ (-289 (-311 (-689)))) 74) (($ (-289 (-311 (-684)))) 86) (($ (-311 (-569))) 96) (($ (-311 (-382))) 108) (($ (-311 (-170 (-382)))) 120) (($ (-289 (-311 (-569)))) 104) (($ (-289 (-311 (-382)))) 116) (($ (-289 (-311 (-170 (-382))))) 128))) 
-(((-401 |#1| |#2| |#3| |#4|) (-13 (-398) (-10 -8 (-15 -2185 ($ (-329))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2185 ($ (-311 (-691)))) (-15 -2185 ($ (-311 (-689)))) (-15 -2185 ($ (-311 (-684)))) (-15 -2185 ($ (-289 (-311 (-691))))) (-15 -2185 ($ (-289 (-311 (-689))))) (-15 -2185 ($ (-289 (-311 (-684))))) (-15 -2185 ($ (-311 (-569)))) (-15 -2185 ($ (-311 (-382)))) (-15 -2185 ($ (-311 (-170 (-382))))) (-15 -2185 ($ (-289 (-311 (-569))))) (-15 -2185 ($ (-289 (-311 (-382))))) (-15 -2185 ($ (-289 (-311 (-170 (-382)))))))) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-1167)) (T -401)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-691)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-689)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-684)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-329))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2185 ($ (-311 (-691)))) (-15 -2185 ($ (-311 (-689)))) (-15 -2185 ($ (-311 (-684)))) (-15 -2185 ($ (-289 (-311 (-691))))) (-15 -2185 ($ (-289 (-311 (-689))))) (-15 -2185 ($ (-289 (-311 (-684))))) (-15 -2185 ($ (-311 (-569)))) (-15 -2185 ($ (-311 (-382)))) (-15 -2185 ($ (-311 (-170 (-382))))) (-15 -2185 ($ (-289 (-311 (-569))))) (-15 -2185 ($ (-289 (-311 (-382))))) (-15 -2185 ($ (-289 (-311 (-170 (-382)))))))) 
-((-2568 (((-121) $ $) NIL)) (-4172 ((|#2| $) 36)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3910 (($ (-410 |#2|)) 84)) (-3815 (((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $) 37)) (-3899 (($ $) 32) (($ $ (-764)) 34)) (-3817 (((-410 |#2|) $) 46)) (-2139 (($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|)))) 31)) (-2185 (((-851) $) 120)) (-3022 (($ $) 33) (($ $ (-764)) 35)) (-1668 (((-121) $ $) NIL)) (-1707 (($ |#2| $) 39))) 
-(((-402 |#1| |#2|) (-13 (-1091) (-610 (-410 |#2|)) (-10 -8 (-15 -1707 ($ |#2| $)) (-15 -3910 ($ (-410 |#2|))) (-15 -4172 (|#2| $)) (-15 -3815 ((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))))) (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) (-13 (-366) (-151)) (-1222 |#1|)) (T -402)) 
-((-1707 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1222 *3)))) (-3910 (*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-4172 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151))))) (-3815 (*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-3899 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) (-3022 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3))))) 
-(-13 (-1091) (-610 (-410 |#2|)) (-10 -8 (-15 -1707 ($ |#2| $)) (-15 -3910 ($ (-410 |#2|))) (-15 -4172 (|#2| $)) (-15 -3815 ((-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2356 (-764)) (|:| -4030 |#2|) (|:| |num| |#2|))))) (-15 -3899 ($ $)) (-15 -3022 ($ $)) (-15 -3899 ($ $ (-764))) (-15 -3022 ($ $ (-764))))) 
-((-2568 (((-121) $ $) 9 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 15 (|has| |#1| (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 14 (|has| |#1| (-882 (-569))))) (-2776 (((-1145) $) 13 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-3360 (((-1109) $) 12 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-2185 (((-851) $) 11 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))))) (-1668 (((-121) $ $) 10 (-2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382))))))) 
-(((-403 |#1|) (-1278) (-1197)) (T -403)) 
-NIL 
-(-13 (-1197) (-10 -7 (IF (|has| |t#1| (-882 (-569))) (-6 (-882 (-569))) |noBranch|) (IF (|has| |t#1| (-882 (-382))) (-6 (-882 (-382))) |noBranch|))) 
-(((-105) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-609 (-851)) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-1091) -2232 (|has| |#1| (-882 (-569))) (|has| |#1| (-882 (-382)))) ((-1197) . T)) 
-((-2751 (($ $) 10) (($ $ (-764)) 11))) 
-(((-404 |#1|) (-10 -8 (-15 -2751 (|#1| |#1| (-764))) (-15 -2751 (|#1| |#1|))) (-405)) (T -404)) 
-NIL 
-(-10 -8 (-15 -2751 (|#1| |#1| (-764))) (-15 -2751 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 77)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 76)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-405) (-1278)) (T -405)) 
-((-2558 (*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-829 (-918))))) (-1291 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-764)))) (-2751 (*1 *1 *1) (-4 *1 (-405))) (-2751 (*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-764))))) 
-(-13 (-366) (-149) (-10 -8 (-15 -2558 ((-829 (-918)) $)) (-15 -1291 ((-3 (-764) "failed") $ $)) (-15 -2751 ($ $)) (-15 -2751 ($ $ (-764))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-2215 (($ (-569) (-569)) 11) (($ (-569) (-569) (-918)) NIL)) (-2855 (((-918)) 16) (((-918) (-918)) NIL))) 
-(((-406 |#1|) (-10 -8 (-15 -2855 ((-918) (-918))) (-15 -2855 ((-918))) (-15 -2215 (|#1| (-569) (-569) (-918))) (-15 -2215 (|#1| (-569) (-569)))) (-407)) (T -406)) 
-((-2855 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) (-2855 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407))))) 
-(-10 -8 (-15 -2855 ((-918) (-918))) (-15 -2855 ((-918))) (-15 -2215 (|#1| (-569) (-569) (-918))) (-15 -2215 (|#1| (-569) (-569)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 (((-569) $) 85)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $) 83)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 93)) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 110)) (-2820 (($) 16 T CONST)) (-1847 (($ $) 82)) (-1647 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-2428 (((-569) $) 97) (((-410 (-569)) $) 94)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1732 (((-918)) 119) (((-918) (-918)) 116 (|has| $ (-6 -4526)))) (-2403 (((-121) $) 108)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 89)) (-2558 (((-569) $) 125)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 92)) (-4308 (($ $) 88)) (-1781 (((-121) $) 109)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 107) (($) 113 (-12 (-3864 (|has| $ (-6 -4526))) (-3864 (|has| $ (-6 -4518)))))) (-1538 (($ $ $) 106) (($) 112 (-12 (-3864 (|has| $ (-6 -4526))) (-3864 (|has| $ (-6 -4518)))))) (-1554 (((-569) $) 122)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2925 (((-918) (-569)) 115 (|has| $ (-6 -4526)))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 84)) (-2942 (($ $) 86)) (-2215 (($ (-569) (-569)) 127) (($ (-569) (-569) (-918)) 126)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2356 (((-569) $) 123)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2855 (((-918)) 120) (((-918) (-918)) 117 (|has| $ (-6 -4526)))) (-4432 (((-918) (-569)) 114 (|has| $ (-6 -4526)))) (-3817 (((-382) $) 101) (((-216) $) 100) (((-888 (-382)) $) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-1991 (((-764)) 28)) (-2612 (($ $) 87)) (-2970 (((-918)) 121) (((-918) (-918)) 118 (|has| $ (-6 -4526)))) (-1475 (((-918)) 124)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 111)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 104)) (-1684 (((-121) $ $) 103)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 105)) (-1678 (((-121) $ $) 102)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-407) (-1278)) (T -407)) 
-((-2215 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) (-2215 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-4 *1 (-407)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1475 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2356 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1554 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-2970 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2855 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-1732 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) (-2970 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-2855 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-1732 (*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) (-2925 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918)))) (-4432 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918)))) (-3291 (*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) (-1538 (*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518)))))) 
-(-13 (-1057) (-10 -8 (-6 -2994) (-15 -2215 ($ (-569) (-569))) (-15 -2215 ($ (-569) (-569) (-918))) (-15 -2558 ((-569) $)) (-15 -1475 ((-918))) (-15 -2356 ((-569) $)) (-15 -1554 ((-569) $)) (-15 -2970 ((-918))) (-15 -2855 ((-918))) (-15 -1732 ((-918))) (IF (|has| $ (-6 -4526)) (PROGN (-15 -2970 ((-918) (-918))) (-15 -2855 ((-918) (-918))) (-15 -1732 ((-918) (-918))) (-15 -2925 ((-918) (-569))) (-15 -4432 ((-918) (-569)))) |noBranch|) (IF (|has| $ (-6 -4518)) |noBranch| (IF (|has| $ (-6 -4526)) |noBranch| (PROGN (-15 -3291 ($)) (-15 -1538 ($))))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-888 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-882 (-382)) . T) ((-917) . T) ((-1003) . T) ((-1022) . T) ((-1057) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-1544 (((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)) 20))) 
-(((-408 |#1| |#2|) (-10 -7 (-15 -1544 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) (-559) (-559)) (T -408)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) 
-((-1544 (((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)) 13))) 
-(((-409 |#1| |#2|) (-10 -7 (-15 -1544 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) (-559) (-559)) (T -409)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 13)) (-3761 ((|#1| $) 21 (|has| |#1| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#1| (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 17) (((-3 (-1163) "failed") $) NIL (|has| |#1| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 70 (|has| |#1| (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 15) (((-1163) $) NIL (|has| |#1| (-1038 (-1163)))) (((-410 (-569)) $) 67 (|has| |#1| (-1038 (-569)))) (((-569) $) NIL (|has| |#1| (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 50)) (-4327 (($) NIL (|has| |#1| (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| |#1| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#1| (-882 (-382))))) (-1407 (((-121) $) 64)) (-4052 (($ $) NIL)) (-4116 ((|#1| $) 71)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1781 (((-121) $) NIL (|has| |#1| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 97)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| |#1| (-302)))) (-2942 ((|#1| $) 28 (|has| |#1| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 133 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 129 (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) NIL)) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-4214 (($ $) NIL)) (-4121 ((|#1| $) 73)) (-3817 (((-888 (-569)) $) NIL (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#1| (-610 (-888 (-382))))) (((-542) $) NIL (|has| |#1| (-610 (-542)))) (((-382) $) NIL (|has| |#1| (-1022))) (((-216) $) NIL (|has| |#1| (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 113 (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 10) (($ (-1163)) NIL (|has| |#1| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) 99 (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 100)) (-2612 ((|#1| $) 26 (|has| |#1| (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| |#1| (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 22 T CONST)) (-1556 (($) 8 T CONST)) (-1940 (((-1145) $) 43 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1145) $ (-121)) 44 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1252) (-818) $) 45 (-12 (|has| |#1| (-551)) (|has| |#1| (-824)))) (((-1252) (-818) $ (-121)) 46 (-12 (|has| |#1| (-551)) (|has| |#1| (-824))))) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 56)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) 24 (|has| |#1| (-843)))) (-1715 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1711 (($ $) 25) (($ $ $) 55)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 123)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 60) (($ $ $) 57) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
-(((-410 |#1|) (-13 (-994 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4522)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4533)) (-6 -4522) |noBranch|) |noBranch|) |noBranch|))) (-559)) (T -410)) 
-NIL 
-(-13 (-994 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4522)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4533)) (-6 -4522) |noBranch|) |noBranch|) |noBranch|))) 
-((-3294 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 18)) (-2623 (($ (-1247 |#2|) (-1247 $)) NIL) (($ (-1247 |#2|)) 26)) (-3325 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 22)) (-2770 ((|#3| $) 59)) (-2087 ((|#2| (-1247 $)) NIL) ((|#2|) 20)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 24)) (-3817 (((-1247 |#2|) $) 11) (($ (-1247 |#2|)) 13)) (-2742 ((|#3| $) 51))) 
-(((-411 |#1| |#2| |#3|) (-10 -8 (-15 -3325 ((-680 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3294 ((-680 |#2|))) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 (|#3| |#1|)) (-15 -2742 (|#3| |#1|)) (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) (-412 |#2| |#3|) (-173) (-1222 |#2|)) (T -411)) 
-((-3294 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) (-2087 (*1 *2) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4))))) 
-(-10 -8 (-15 -3325 ((-680 |#2|) |#1|)) (-15 -2087 (|#2|)) (-15 -3294 ((-680 |#2|))) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -2770 (|#3| |#1|)) (-15 -2742 (|#3| |#1|)) (-15 -3294 ((-680 |#2|) (-1247 |#1|))) (-15 -2087 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -3325 ((-680 |#2|) |#1| (-1247 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-3953 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-412 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -412)) 
-((-3930 (*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *1)) (-4 *1 (-412 *3 *4)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) (-3294 (*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3)))) (-2087 (*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) (-3325 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
-(-13 (-373 |t#1| |t#2|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -3817 ((-1247 |t#1|) $)) (-15 -3817 ($ (-1247 |t#1|))) (-15 -3294 ((-680 |t#1|))) (-15 -2087 (|t#1|)) (-15 -3325 ((-680 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-373 |#1| |#2|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) 27) (((-3 (-569) "failed") $) 19)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) 24) (((-569) $) 14)) (-2185 (($ |#2|) NIL) (($ (-410 (-569))) 22) (($ (-569)) 11))) 
-(((-413 |#1| |#2|) (-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|))) (-414 |#2|) (-1197)) (T -413)) 
-NIL 
-(-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|))) 
-((-1647 (((-3 |#1| "failed") $) 7) (((-3 (-410 (-569)) "failed") $) 15 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 12 (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 8) (((-410 (-569)) $) 14 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 11 (|has| |#1| (-1038 (-569))))) (-2185 (($ |#1|) 6) (($ (-410 (-569))) 16 (|has| |#1| (-1038 (-410 (-569))))) (($ (-569)) 13 (|has| |#1| (-1038 (-569)))))) 
-(((-414 |#1|) (-1278) (-1197)) (T -414)) 
-NIL 
-(-13 (-1038 |t#1|) (-10 -7 (IF (|has| |t#1| (-1038 (-569))) (-6 (-1038 (-569))) |noBranch|) (IF (|has| |t#1| (-1038 (-410 (-569)))) (-6 (-1038 (-410 (-569)))) |noBranch|))) 
-(((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T)) 
-((-1544 (((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)) 33))) 
-(((-415 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) (-302) (-994 |#1|) (-1222 |#2|) (-13 (-412 |#2| |#3|) (-1038 |#2|)) (-302) (-994 |#5|) (-1222 |#6|) (-13 (-412 |#6| |#7|) (-1038 |#6|))) (T -415)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *7 (-1222 *6)) (-4 *8 (-13 (-412 *6 *7) (-1038 *6))) (-4 *9 (-302)) (-4 *10 (-994 *9)) (-4 *11 (-1222 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1038 *10)))))) 
-(-10 -7 (-15 -1544 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) 
-((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-4228 ((|#4| (-764) (-1247 |#4|)) 55)) (-1407 (((-121) $) NIL)) (-4116 (((-1247 |#4|) $) 17)) (-4308 ((|#2| $) 53)) (-4443 (($ $) 136)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 98)) (-2537 (($ (-1247 |#4|)) 97)) (-3360 (((-1109) $) NIL)) (-4121 ((|#1| $) 18)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 131)) (-3930 (((-1247 |#4|) $) 126)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 39)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 119)) (* (($ $ $) 118))) 
-(((-416 |#1| |#2| |#3| |#4|) (-13 (-479) (-10 -8 (-15 -2537 ($ (-1247 |#4|))) (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -4116 ((-1247 |#4|) $)) (-15 -4121 (|#1| $)) (-15 -4443 ($ $)) (-15 -4228 (|#4| (-764) (-1247 |#4|))))) (-302) (-994 |#1|) (-1222 |#2|) (-13 (-412 |#2| |#3|) (-1038 |#2|))) (T -416)) 
-((-2537 (*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) (-3930 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) (-4308 (*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1038 *2))))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) (-4121 (*1 *2 *1) (-12 (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) (-4443 (*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) (-4228 (*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1247 *2)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *2 (-13 (-412 *6 *7) (-1038 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1222 *6))))) 
-(-13 (-479) (-10 -8 (-15 -2537 ($ (-1247 |#4|))) (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -4116 ((-1247 |#4|) $)) (-15 -4121 (|#1| $)) (-15 -4443 ($ $)) (-15 -4228 (|#4| (-764) (-1247 |#4|))))) 
-((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-4308 ((|#2| $) 60)) (-3915 (($ (-1247 |#4|)) 25) (($ (-416 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1038 |#2|)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 34)) (-3930 (((-1247 |#4|) $) 26)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ $ $) 72))) 
-(((-417 |#1| |#2| |#3| |#4| |#5|) (-13 (-717) (-10 -8 (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -3915 ($ (-1247 |#4|))) (IF (|has| |#4| (-1038 |#2|)) (-15 -3915 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) (-302) (-994 |#1|) (-1222 |#2|) (-412 |#2| |#3|) (-1247 |#4|)) (T -417)) 
-((-3930 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) (-4308 (*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1247 *5)))) (-3915 (*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3915 (*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1038 *4)) (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7))))) 
-(-13 (-717) (-10 -8 (-15 -3930 ((-1247 |#4|) $)) (-15 -4308 (|#2| $)) (-15 -3915 ($ (-1247 |#4|))) (IF (|has| |#4| (-1038 |#2|)) (-15 -3915 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) 
-((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
-(((-418 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-420 |#2|) (-173) (-420 |#4|) (-173)) (T -418)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5))))) 
-(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-4276 (((-3 $ "failed")) 85)) (-4064 (((-1247 (-680 |#2|)) (-1247 $)) NIL) (((-1247 (-680 |#2|))) 90)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 84)) (-1531 (((-3 $ "failed")) 83)) (-2909 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 101)) (-1792 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 109)) (-2800 (((-1159 (-954 |#2|))) 54)) (-3316 ((|#2| (-1247 $)) NIL) ((|#2|) 105)) (-2623 (($ (-1247 |#2|) (-1247 $)) NIL) (($ (-1247 |#2|)) 112)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 82)) (-1588 (((-3 $ "failed")) 74)) (-2991 (((-680 |#2|) (-1247 $)) NIL) (((-680 |#2|)) 99)) (-4007 (((-680 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) $) 107)) (-3282 (((-1159 (-954 |#2|))) 53)) (-1584 ((|#2| (-1247 $)) NIL) ((|#2|) 103)) (-1648 (((-1247 |#2|) $ (-1247 $)) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $)) 111)) (-3817 (((-1247 |#2|) $) 95) (($ (-1247 |#2|)) 97)) (-3393 (((-635 (-954 |#2|)) (-1247 $)) NIL) (((-635 (-954 |#2|))) 93)) (-1943 (($ (-680 |#2|) $) 89))) 
-(((-419 |#1| |#2|) (-10 -8 (-15 -1943 (|#1| (-680 |#2|) |#1|)) (-15 -2800 ((-1159 (-954 |#2|)))) (-15 -3282 ((-1159 (-954 |#2|)))) (-15 -1792 ((-680 |#2|) |#1|)) (-15 -4007 ((-680 |#2|) |#1|)) (-15 -2909 ((-680 |#2|))) (-15 -2991 ((-680 |#2|))) (-15 -3316 (|#2|)) (-15 -1584 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -3393 ((-635 (-954 |#2|)))) (-15 -4064 ((-1247 (-680 |#2|)))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -4276 ((-3 |#1| "failed"))) (-15 -1531 ((-3 |#1| "failed"))) (-15 -1588 ((-3 |#1| "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -3926 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|))) (-15 -3393 ((-635 (-954 |#2|)) (-1247 |#1|)))) (-420 |#2|) (-173)) (T -419)) 
-((-4064 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3393 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-1584 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-3316 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-2991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2909 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3282 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2800 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4))))) 
-(-10 -8 (-15 -1943 (|#1| (-680 |#2|) |#1|)) (-15 -2800 ((-1159 (-954 |#2|)))) (-15 -3282 ((-1159 (-954 |#2|)))) (-15 -1792 ((-680 |#2|) |#1|)) (-15 -4007 ((-680 |#2|) |#1|)) (-15 -2909 ((-680 |#2|))) (-15 -2991 ((-680 |#2|))) (-15 -3316 (|#2|)) (-15 -1584 (|#2|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -2623 (|#1| (-1247 |#2|))) (-15 -3393 ((-635 (-954 |#2|)))) (-15 -4064 ((-1247 (-680 |#2|)))) (-15 -1648 ((-680 |#2|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1|)) (-15 -4276 ((-3 |#1| "failed"))) (-15 -1531 ((-3 |#1| "failed"))) (-15 -1588 ((-3 |#1| "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -3926 ((-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed"))) (-15 -2909 ((-680 |#2|) (-1247 |#1|))) (-15 -2991 ((-680 |#2|) (-1247 |#1|))) (-15 -3316 (|#2| (-1247 |#1|))) (-15 -1584 (|#2| (-1247 |#1|))) (-15 -2623 (|#1| (-1247 |#2|) (-1247 |#1|))) (-15 -1648 ((-680 |#2|) (-1247 |#1|) (-1247 |#1|))) (-15 -1648 ((-1247 |#2|) |#1| (-1247 |#1|))) (-15 -1792 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4007 ((-680 |#2|) |#1| (-1247 |#1|))) (-15 -4064 ((-1247 (-680 |#2|)) (-1247 |#1|))) (-15 -3393 ((-635 (-954 |#2|)) (-1247 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4276 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-4064 (((-1247 (-680 |#1|)) (-1247 $)) 76) (((-1247 (-680 |#1|))) 93)) (-2141 (((-1247 $)) 79)) (-2820 (($) 16 T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-1531 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2909 (((-680 |#1|) (-1247 $)) 63) (((-680 |#1|)) 85)) (-1723 ((|#1| $) 72)) (-1792 (((-680 |#1|) $ (-1247 $)) 74) (((-680 |#1|) $) 83)) (-1620 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-2800 (((-1159 (-954 |#1|))) 81 (|has| |#1| (-366)))) (-1628 (($ $ (-918)) 27)) (-2830 ((|#1| $) 70)) (-2246 (((-1159 |#1|) $) 40 (|has| |#1| (-559)))) (-3316 ((|#1| (-1247 $)) 65) ((|#1|) 87)) (-2355 (((-1159 |#1|) $) 61)) (-2607 (((-121)) 55)) (-2623 (($ (-1247 |#1|) (-1247 $)) 67) (($ (-1247 |#1|)) 91)) (-3428 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-1321 (((-918)) 78)) (-3919 (((-121)) 52)) (-1851 (($ $ (-918)) 32)) (-2007 (((-121)) 48)) (-1370 (((-121)) 46)) (-4239 (((-121)) 50)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1588 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-2991 (((-680 |#1|) (-1247 $)) 64) (((-680 |#1|)) 86)) (-1545 ((|#1| $) 73)) (-4007 (((-680 |#1|) $ (-1247 $)) 75) (((-680 |#1|) $) 84)) (-4439 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3282 (((-1159 (-954 |#1|))) 82 (|has| |#1| (-366)))) (-3272 (($ $ (-918)) 28)) (-4200 ((|#1| $) 71)) (-3851 (((-1159 |#1|) $) 41 (|has| |#1| (-559)))) (-1584 ((|#1| (-1247 $)) 66) ((|#1|) 88)) (-2415 (((-1159 |#1|) $) 62)) (-2377 (((-121)) 56)) (-2776 (((-1145) $) 9)) (-3379 (((-121)) 47)) (-3337 (((-121)) 49)) (-2598 (((-121)) 51)) (-3360 (((-1109) $) 10)) (-1324 (((-121)) 54)) (-1534 ((|#1| $ (-569)) 94)) (-1648 (((-1247 |#1|) $ (-1247 $)) 69) (((-680 |#1|) (-1247 $) (-1247 $)) 68) (((-1247 |#1|) $) 96) (((-680 |#1|) (-1247 $)) 95)) (-3817 (((-1247 |#1|) $) 90) (($ (-1247 |#1|)) 89)) (-3393 (((-635 (-954 |#1|)) (-1247 $)) 77) (((-635 (-954 |#1|))) 92)) (-4293 (($ $ $) 24)) (-2093 (((-121)) 60)) (-2185 (((-851) $) 11)) (-3930 (((-1247 $)) 97)) (-2131 (((-635 (-1247 |#1|))) 42 (|has| |#1| (-559)))) (-1383 (($ $ $ $) 25)) (-4220 (((-121)) 58)) (-1943 (($ (-680 |#1|) $) 80)) (-4033 (($ $ $) 23)) (-1597 (((-121)) 59)) (-3922 (((-121)) 57)) (-4227 (((-121)) 53)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-420 |#1|) (-1278) (-173)) (T -420)) 
-((-3930 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-420 *3)))) (-1648 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) (-1648 (*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-4064 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 (-680 *3))))) (-3393 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-954 *3))))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-1584 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3316 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-2991 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-2909 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-4007 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-1792 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3)))) (-3282 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) (-2800 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) (-1943 (*1 *1 *2 *1) (-12 (-5 *2 (-680 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173))))) 
-(-13 (-370 |t#1|) (-10 -8 (-15 -3930 ((-1247 $))) (-15 -1648 ((-1247 |t#1|) $)) (-15 -1648 ((-680 |t#1|) (-1247 $))) (-15 -1534 (|t#1| $ (-569))) (-15 -4064 ((-1247 (-680 |t#1|)))) (-15 -3393 ((-635 (-954 |t#1|)))) (-15 -2623 ($ (-1247 |t#1|))) (-15 -3817 ((-1247 |t#1|) $)) (-15 -3817 ($ (-1247 |t#1|))) (-15 -1584 (|t#1|)) (-15 -3316 (|t#1|)) (-15 -2991 ((-680 |t#1|))) (-15 -2909 ((-680 |t#1|))) (-15 -4007 ((-680 |t#1|) $)) (-15 -1792 ((-680 |t#1|) $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -3282 ((-1159 (-954 |t#1|)))) (-15 -2800 ((-1159 (-954 |t#1|))))) |noBranch|) (-15 -1943 ($ (-680 |t#1|) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-370 |#1|) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-737 |#1|) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 40)) (-1681 (($ $) 55)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 142)) (-3383 (($ $) NIL)) (-4354 (((-121) $) 34)) (-4276 ((|#1| $) 12)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-1202)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-1202)))) (-2109 (($ |#1| (-569)) 30)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 112)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 53)) (-3428 (((-3 $ "failed") $) 127)) (-4401 (((-3 (-410 (-569)) "failed") $) 61 (|has| |#1| (-551)))) (-3103 (((-121) $) 57 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 59 (|has| |#1| (-551)))) (-1305 (($ |#1| (-569)) 32)) (-3726 (((-121) $) 148 (|has| |#1| (-1202)))) (-1407 (((-121) $) 41)) (-1476 (((-764) $) 36)) (-3365 (((-3 "nil" "sqfr" "irred" "prime") $ (-569)) 133)) (-3082 ((|#1| $ (-569)) 132)) (-4398 (((-569) $ (-569)) 131)) (-2205 (($ |#1| (-569)) 29)) (-1544 (($ (-1 |#1| |#1|) $) 139)) (-3628 (($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569))))) 56)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-1891 (($ |#1| (-569)) 31)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 143 (|has| |#1| (-454)))) (-3051 (($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-1640 (((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $) 52)) (-4120 (((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $) 11)) (-1743 (((-421 $) $) NIL (|has| |#1| (-1202)))) (-2941 (((-3 $ "failed") $ $) 134)) (-2356 (((-569) $) 128)) (-1939 ((|#1| $) 54)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 76 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) $) NIL (|has| |#1| (-524 (-1163) $))) (($ $ (-635 (-1163)) (-635 $)) 82 (|has| |#1| (-524 (-1163) $))) (($ $ (-635 (-289 $))) 78 (|has| |#1| (-304 $))) (($ $ (-289 $)) NIL (|has| |#1| (-304 $))) (($ $ $ $) NIL (|has| |#1| (-304 $))) (($ $ (-635 $) (-635 $)) NIL (|has| |#1| (-304 $)))) (-1534 (($ $ |#1|) 68 (|has| |#1| (-282 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-282 $ $)))) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-3817 (((-542) $) 26 (|has| |#1| (-610 (-542)))) (((-382) $) 88 (|has| |#1| (-1022))) (((-216) $) 91 (|has| |#1| (-1022)))) (-2185 (((-851) $) 110) (($ (-569)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569)))))) (-1991 (((-764)) 46)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 38 T CONST)) (-1556 (($) 37 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1668 (((-121) $ $) 92)) (-1711 (($ $) 124) (($ $ $) NIL)) (-1707 (($ $ $) 136)) (** (($ $ (-918)) NIL) (($ $ (-764)) 98)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
-(((-421 |#1|) (-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -1939 (|#1| $)) (-15 -2356 ((-569) $)) (-15 -3628 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4120 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -2205 ($ |#1| (-569))) (-15 -1640 ((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $)) (-15 -1891 ($ |#1| (-569))) (-15 -4398 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -3365 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1476 ((-764) $)) (-15 -1305 ($ |#1| (-569))) (-15 -2109 ($ |#1| (-569))) (-15 -3051 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4276 (|#1| $)) (-15 -1681 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |#1| (-1202)) (-6 (-1202)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1163) $)) (-6 (-524 (-1163) $)) |noBranch|))) (-559)) (T -421)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) (-1939 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3628 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) (-4120 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-2205 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2356 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1891 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4398 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3365 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559)))) (-1476 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1305 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3051 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4276 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-1681 (*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559))))) 
-(-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -1939 (|#1| $)) (-15 -2356 ((-569) $)) (-15 -3628 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4120 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -2205 ($ |#1| (-569))) (-15 -1640 ((-635 (-2 (|:| -1743 |#1|) (|:| -2356 (-569)))) $)) (-15 -1891 ($ |#1| (-569))) (-15 -4398 ((-569) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -3365 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1476 ((-764) $)) (-15 -1305 ($ |#1| (-569))) (-15 -2109 ($ |#1| (-569))) (-15 -3051 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -4276 (|#1| $)) (-15 -1681 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |#1| (-1202)) (-6 (-1202)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1163) $)) (-6 (-524 (-1163) $)) |noBranch|))) 
-((-1595 (((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|)) 20)) (-2360 (((-421 |#1|) (-421 |#1|) (-421 |#1|)) 15))) 
-(((-422 |#1|) (-10 -7 (-15 -1595 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -2360 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) (-559)) (T -422)) 
-((-2360 (*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3)))) (-1595 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4))))) 
-(-10 -7 (-15 -1595 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -2360 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) 
-((-1470 ((|#2| |#2|) 160)) (-2459 (((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121)) 55))) 
-(((-423 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2459 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121))) (-15 -1470 (|#2| |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -423)) 
-((-1470 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1183) (-433 *3))) (-14 *4 (-1163)) (-14 *5 *2))) (-2459 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-14 *6 (-1163)) (-14 *7 *3)))) 
-(-10 -7 (-15 -2459 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121))) (-15 -1470 (|#2| |#2|))) 
-((-1544 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
-(((-424 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1048) (-843)) (-433 |#1|) (-13 (-1048) (-843)) (-433 |#3|)) (T -424)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1048) (-843))) (-4 *6 (-13 (-1048) (-843))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-1470 ((|#2| |#2|) 87)) (-3031 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145)) 46)) (-1949 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145)) 152))) 
-(((-425 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3031 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1949 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1470 (|#2| |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|) (-10 -8 (-15 -2185 ($ |#3|)))) (-841) (-13 (-1224 |#2| |#3|) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $)))) (-985 |#4|) (-1163)) (T -425)) 
-((-1470 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1183) (-433 *3) (-10 -8 (-15 -2185 ($ *4))))) (-4 *4 (-841)) (-4 *5 (-13 (-1224 *2 *4) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-985 *5)) (-14 *7 (-1163)))) (-1949 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163)))) (-3031 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
-(-10 -7 (-15 -3031 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1949 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145))))) |#2| (-121) (-1145))) (-15 -1470 (|#2| |#2|))) 
-((-3043 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-1774 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-1544 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
-(((-426 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1091) (-428 |#1|) (-1091) (-428 |#3|)) (T -426)) 
-((-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1091)) (-4 *5 (-1091)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -1774 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -3043 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
-((-1460 (($) 44)) (-1752 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-1981 (($ $ $) 39)) (-2358 (((-121) $ $) 28)) (-2085 (((-764)) 47)) (-2195 (($ (-635 |#2|)) 20) (($) NIL)) (-4327 (($) 53)) (-3291 ((|#2| $) 61)) (-1538 ((|#2| $) 59)) (-2083 (((-918) $) 55)) (-2652 (($ $ $) 35)) (-3998 (($ (-918)) 50)) (-3290 (($ $ |#2|) NIL) (($ $ $) 38)) (-2846 (((-764) (-1 (-121) |#2|) $) NIL) (((-764) |#2| $) 26)) (-2139 (($ (-635 |#2|)) 24)) (-3604 (($ $) 46)) (-2185 (((-851) $) 33)) (-1573 (((-764) $) 21)) (-1959 (($ (-635 |#2|)) 19) (($) NIL)) (-1668 (((-121) $ $) 16)) (-1678 (((-121) $ $) 13))) 
-(((-427 |#1| |#2|) (-10 -8 (-15 -2085 ((-764))) (-15 -3998 (|#1| (-918))) (-15 -2083 ((-918) |#1|)) (-15 -4327 (|#1|)) (-15 -3291 (|#2| |#1|)) (-15 -1538 (|#2| |#1|)) (-15 -1460 (|#1|)) (-15 -3604 (|#1| |#1|)) (-15 -1573 ((-764) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1959 (|#1|)) (-15 -1959 (|#1| (-635 |#2|))) (-15 -2195 (|#1|)) (-15 -2195 (|#1| (-635 |#2|))) (-15 -2652 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -2358 ((-121) |#1| |#1|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#2| |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|))) (-428 |#2|) (-1091)) (T -427)) 
-((-2085 (*1 *2) (-12 (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4))))) 
-(-10 -8 (-15 -2085 ((-764))) (-15 -3998 (|#1| (-918))) (-15 -2083 ((-918) |#1|)) (-15 -4327 (|#1|)) (-15 -3291 (|#2| |#1|)) (-15 -1538 (|#2| |#1|)) (-15 -1460 (|#1|)) (-15 -3604 (|#1| |#1|)) (-15 -1573 ((-764) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1959 (|#1|)) (-15 -1959 (|#1| (-635 |#2|))) (-15 -2195 (|#1|)) (-15 -2195 (|#1| (-635 |#2|))) (-15 -2652 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -2358 ((-121) |#1| |#1|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#2| |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -2846 ((-764) |#2| |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|))) 
-((-2568 (((-121) $ $) 18)) (-1460 (($) 63 (|has| |#1| (-371)))) (-1752 (($ |#1| $) 78) (($ $ |#1|) 77) (($ $ $) 76)) (-1981 (($ $ $) 74)) (-2358 (((-121) $ $) 75)) (-1691 (((-121) $ (-764)) 8)) (-2085 (((-764)) 57 (|has| |#1| (-371)))) (-2195 (($ (-635 |#1|)) 70) (($) 69)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-4327 (($) 60 (|has| |#1| (-371)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3291 ((|#1| $) 61 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 62 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2083 (((-918) $) 59 (|has| |#1| (-371)))) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 71)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3998 (($ (-918)) 58 (|has| |#1| (-371)))) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3290 (($ $ |#1|) 73) (($ $ $) 72)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-3604 (($ $) 64 (|has| |#1| (-371)))) (-2185 (((-851) $) 20)) (-1573 (((-764) $) 65)) (-1959 (($ (-635 |#1|)) 68) (($) 67)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 66)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-428 |#1|) (-1278) (-1091)) (T -428)) 
-((-1573 (*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1091)) (-5 *2 (-764)))) (-3604 (*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-371)))) (-1460 (*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1091)))) (-1538 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-3291 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
-(-13 (-222 |t#1|) (-1088 |t#1|) (-10 -8 (-6 -4535) (-15 -1573 ((-764) $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-371)) (-15 -3604 ($ $)) (-15 -1460 ($))) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-15 -1538 (|t#1| $)) (-15 -3291 (|t#1| $))) |noBranch|))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-222 |#1|) . T) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-371) |has| |#1| (-371)) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
-((-2277 (((-586 |#2|) |#2| (-1163)) 35)) (-2690 (((-586 |#2|) |#2| (-1163)) 19)) (-1550 ((|#2| |#2| (-1163)) 24))) 
-(((-429 |#1| |#2|) (-10 -7 (-15 -2690 ((-586 |#2|) |#2| (-1163))) (-15 -2277 ((-586 |#2|) |#2| (-1163))) (-15 -1550 (|#2| |#2| (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-29 |#1|))) (T -429)) 
-((-1550 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1183) (-29 *4))))) (-2277 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5))))) (-2690 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5)))))) 
-(-10 -7 (-15 -2690 ((-586 |#2|) |#2| (-1163))) (-15 -2277 ((-586 |#2|) |#2| (-1163))) (-15 -1550 (|#2| |#2| (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1975 (($ |#2| |#1|) 35)) (-1845 (($ |#2| |#1|) 33)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-330 |#2|)) 25)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 16 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 34)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-430 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4522)) (IF (|has| |#1| (-6 -4522)) (-6 -4522) |noBranch|) |noBranch|) (-15 -2185 ($ |#1|)) (-15 -2185 ($ (-330 |#2|))) (-15 -1975 ($ |#2| |#1|)) (-15 -1845 ($ |#2| |#1|)))) (-13 (-173) (-43 (-410 (-569)))) (-13 (-843) (-21))) (T -430)) 
-((-2185 (*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-843) (-21))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-843) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) (-1975 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21))))) (-1845 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
-(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4522)) (IF (|has| |#1| (-6 -4522)) (-6 -4522) |noBranch|) |noBranch|) (-15 -2185 ($ |#1|)) (-15 -2185 ($ (-330 |#2|))) (-15 -1975 ($ |#2| |#1|)) (-15 -1845 ($ |#2| |#1|)))) 
-((-2565 (((-3 |#2| (-635 |#2|)) |#2| (-1163)) 104))) 
-(((-431 |#1| |#2|) (-10 -7 (-15 -2565 ((-3 |#2| (-635 |#2|)) |#2| (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -431)) 
-((-2565 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1183) (-960) (-29 *5)))))) 
-(-10 -7 (-15 -2565 ((-3 |#2| (-635 |#2|)) |#2| (-1163)))) 
-((-1773 (((-635 (-1163)) $) 72)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 268)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) 233)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1163) "failed") $) 75) (((-3 (-569) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-410 (-954 |#2|)) "failed") $) 319) (((-3 (-954 |#2|) "failed") $) 231) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-1163) $) 30) (((-569) $) NIL) ((|#2| $) 227) (((-410 (-954 |#2|)) $) 300) (((-954 |#2|) $) 228) (((-410 (-569)) $) NIL)) (-2265 (((-123) (-123)) 47)) (-4052 (($ $) 87)) (-2359 (((-3 (-608 $) "failed") $) 224)) (-1735 (((-635 (-608 $)) $) 225)) (-4087 (((-3 (-635 $) "failed") $) 243)) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 250)) (-3091 (((-3 (-635 $) "failed") $) 241)) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 259)) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 247) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 216)) (-1798 (((-121) $) 19)) (-1801 ((|#2| $) 21)) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 232) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 96) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) 57) (($ $ (-635 (-1163))) 236) (($ $) 237) (($ $ (-123) $ (-1163)) 60) (($ $ (-635 (-123)) (-635 $) (-1163)) 67) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 107) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 238) (($ $ (-1163) (-764) (-1 $ (-635 $))) 94) (($ $ (-1163) (-764) (-1 $ $)) 93)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) 106)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) 234)) (-4214 (($ $) 279)) (-3817 (((-888 (-569)) $) 253) (((-888 (-382)) $) 256) (($ (-421 $)) 315) (((-542) $) NIL)) (-2185 (((-851) $) 235) (($ (-608 $)) 84) (($ (-1163)) 26) (($ |#2|) NIL) (($ (-1114 |#2| (-608 $))) NIL) (($ (-410 |#2|)) 284) (($ (-954 (-410 |#2|))) 324) (($ (-410 (-954 (-410 |#2|)))) 296) (($ (-410 (-954 |#2|))) 290) (($ $) NIL) (($ (-954 |#2|)) 183) (($ (-410 (-569))) 329) (($ (-569)) NIL)) (-1991 (((-764)) 79)) (-1524 (((-121) (-123)) 41)) (-3880 (($ (-1163) $) 33) (($ (-1163) $ $) 34) (($ (-1163) $ $ $) 35) (($ (-1163) $ $ $ $) 36) (($ (-1163) (-635 $)) 39)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-432 |#1| |#2|) (-10 -8 (-15 * (|#1| (-918) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1991 ((-764))) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-954 |#2|) |#1|)) (-15 -1647 ((-3 (-954 |#2|) "failed") |#1|)) (-15 -2185 (|#1| (-954 |#2|))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2185 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2428 ((-410 (-954 |#2|)) |#1|)) (-15 -1647 ((-3 (-410 (-954 |#2|)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-954 |#2|)))) (-15 -1739 ((-410 (-1159 |#1|)) |#1| (-608 |#1|))) (-15 -2185 (|#1| (-410 (-954 (-410 |#2|))))) (-15 -2185 (|#1| (-954 (-410 |#2|)))) (-15 -2185 (|#1| (-410 |#2|))) (-15 -4214 (|#1| |#1|)) (-15 -3817 (|#1| (-421 |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| |#1|)))) (-15 -2848 ((-3 (-2 (|:| |val| |#1|) (|:| -2356 (-569))) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-1163))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-123))) (-15 -4052 (|#1| |#1|)) (-15 -2185 (|#1| (-1114 |#2| (-608 |#1|)))) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1163))) (-15 -1468 (|#1| |#1| (-123) |#1| (-1163))) (-15 -1468 (|#1| |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1163)))) (-15 -1468 (|#1| |#1| (-1163))) (-15 -3880 (|#1| (-1163) (-635 |#1|))) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1|)) (-15 -1773 ((-635 (-1163)) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1735 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2185 (|#1| (-608 |#1|))) (-15 -2185 ((-851) |#1|))) (-433 |#2|) (-843)) (T -432)) 
-((-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-843)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) (-1991 (*1 *2) (-12 (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4))))) 
-(-10 -8 (-15 * (|#1| (-918) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1991 ((-764))) (-15 -2185 (|#1| (-569))) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-954 |#2|) |#1|)) (-15 -1647 ((-3 (-954 |#2|) "failed") |#1|)) (-15 -2185 (|#1| (-954 |#2|))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2185 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -2428 ((-410 (-954 |#2|)) |#1|)) (-15 -1647 ((-3 (-410 (-954 |#2|)) "failed") |#1|)) (-15 -2185 (|#1| (-410 (-954 |#2|)))) (-15 -1739 ((-410 (-1159 |#1|)) |#1| (-608 |#1|))) (-15 -2185 (|#1| (-410 (-954 (-410 |#2|))))) (-15 -2185 (|#1| (-954 (-410 |#2|)))) (-15 -2185 (|#1| (-410 |#2|))) (-15 -4214 (|#1| |#1|)) (-15 -3817 (|#1| (-421 |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-764) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-764)) (-635 (-1 |#1| |#1|)))) (-15 -2848 ((-3 (-2 (|:| |val| |#1|) (|:| -2356 (-569))) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-1163))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1| (-123))) (-15 -4052 (|#1| |#1|)) (-15 -2185 (|#1| (-1114 |#2| (-608 |#1|)))) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -2356 (-569))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1163))) (-15 -1468 (|#1| |#1| (-123) |#1| (-1163))) (-15 -1468 (|#1| |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1163)))) (-15 -1468 (|#1| |#1| (-1163))) (-15 -3880 (|#1| (-1163) (-635 |#1|))) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1| |#1|)) (-15 -3880 (|#1| (-1163) |#1|)) (-15 -1773 ((-635 (-1163)) |#1|)) (-15 -1801 (|#2| |#1|)) (-15 -1798 ((-121) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| |#1|))) (-15 -1468 (|#1| |#1| (-1163) (-1 |#1| (-635 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1468 (|#1| |#1| (-635 (-1163)) (-635 (-1 |#1| |#1|)))) (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1735 ((-635 (-608 |#1|)) |#1|)) (-15 -2359 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2773 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2773 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2773 (|#1| |#1| (-289 |#1|))) (-15 -1534 (|#1| (-123) (-635 |#1|))) (-15 -1534 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1| |#1|)) (-15 -1534 (|#1| (-123) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1468 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -2428 ((-608 |#1|) |#1|)) (-15 -1647 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2185 (|#1| (-608 |#1|))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 108 (|has| |#1| (-25)))) (-1773 (((-635 (-1163)) $) 195)) (-1739 (((-410 (-1159 $)) $ (-608 $)) 163 (|has| |#1| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 135 (|has| |#1| (-559)))) (-3383 (($ $) 136 (|has| |#1| (-559)))) (-4354 (((-121) $) 138 (|has| |#1| (-559)))) (-4003 (((-635 (-608 $)) $) 43)) (-2327 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-2773 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-2004 (($ $) 155 (|has| |#1| (-559)))) (-2446 (((-421 $) $) 156 (|has| |#1| (-559)))) (-3934 (((-121) $ $) 146 (|has| |#1| (-559)))) (-2820 (($) 94 (-2232 (|has| |#1| (-1103)) (|has| |#1| (-25))) CONST)) (-1647 (((-3 (-608 $) "failed") $) 68) (((-3 (-1163) "failed") $) 208) (((-3 (-569) "failed") $) 201 (|has| |#1| (-1038 (-569)))) (((-3 |#1| "failed") $) 199) (((-3 (-410 (-954 |#1|)) "failed") $) 161 (|has| |#1| (-559))) (((-3 (-954 |#1|) "failed") $) 115 (|has| |#1| (-1048))) (((-3 (-410 (-569)) "failed") $) 87 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) 67) (((-1163) $) 207) (((-569) $) 202 (|has| |#1| (-1038 (-569)))) ((|#1| $) 198) (((-410 (-954 |#1|)) $) 160 (|has| |#1| (-559))) (((-954 |#1|) $) 114 (|has| |#1| (-1048))) (((-410 (-569)) $) 86 (-2232 (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569))))))) (-2506 (($ $ $) 150 (|has| |#1| (-559)))) (-1696 (((-680 (-569)) (-680 $)) 129 (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 128 (-2206 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 127 (|has| |#1| (-1048))) (((-680 |#1|) (-680 $)) 126 (|has| |#1| (-1048)))) (-3428 (((-3 $ "failed") $) 97 (|has| |#1| (-1103)))) (-2524 (($ $ $) 149 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 144 (|has| |#1| (-559)))) (-3726 (((-121) $) 157 (|has| |#1| (-559)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 204 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 203 (|has| |#1| (-882 (-382))))) (-2337 (($ $) 50) (($ (-635 $)) 49)) (-3431 (((-635 (-123)) $) 42)) (-2265 (((-123) (-123)) 41)) (-1407 (((-121) $) 95 (|has| |#1| (-1103)))) (-1931 (((-121) $) 21 (|has| $ (-1038 (-569))))) (-4052 (($ $) 178 (|has| |#1| (-1048)))) (-4116 (((-1114 |#1| (-608 $)) $) 179 (|has| |#1| (-1048)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 153 (|has| |#1| (-559)))) (-4080 (((-1159 $) (-608 $)) 24 (|has| $ (-1048)))) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-1544 (($ (-1 $ $) (-608 $)) 35)) (-2359 (((-3 (-608 $) "failed") $) 45)) (-2665 (($ (-635 $)) 142 (|has| |#1| (-559))) (($ $ $) 141 (|has| |#1| (-559)))) (-2776 (((-1145) $) 9)) (-1735 (((-635 (-608 $)) $) 44)) (-1777 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-4087 (((-3 (-635 $) "failed") $) 184 (|has| |#1| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) 175 (|has| |#1| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) 182 (|has| |#1| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) 181 (|has| |#1| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) 183 (|has| |#1| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) 177 (|has| |#1| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) 176 (|has| |#1| (-1048)))) (-4029 (((-121) $ (-123)) 39) (((-121) $ (-1163)) 38)) (-1795 (($ $) 99 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-2626 (((-764) $) 46)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 197)) (-1801 ((|#1| $) 196)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 143 (|has| |#1| (-559)))) (-2714 (($ (-635 $)) 140 (|has| |#1| (-559))) (($ $ $) 139 (|has| |#1| (-559)))) (-1452 (((-121) $ $) 34) (((-121) $ (-1163)) 33)) (-1743 (((-421 $) $) 154 (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 151 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ $) 134 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 145 (|has| |#1| (-559)))) (-1657 (((-121) $) 22 (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1163)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1163) (-1 $ (-635 $))) 30) (($ $ (-1163) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1163)) 189 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163))) 188 (|has| |#1| (-610 (-542)))) (($ $) 187 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1163)) 186 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) 185 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) 174 (|has| |#1| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) 173 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) 172 (|has| |#1| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) 171 (|has| |#1| (-1048)))) (-2622 (((-764) $) 147 (|has| |#1| (-559)))) (-1534 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 148 (|has| |#1| (-559)))) (-4082 (($ $) 48) (($ $ $) 47)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 120 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 119 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 118 (|has| |#1| (-1048))) (($ $ (-1163)) 117 (|has| |#1| (-1048)))) (-4214 (($ $) 168 (|has| |#1| (-559)))) (-4121 (((-1114 |#1| (-608 $)) $) 169 (|has| |#1| (-559)))) (-2745 (($ $) 23 (|has| $ (-1048)))) (-3817 (((-888 (-569)) $) 206 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 205 (|has| |#1| (-610 (-888 (-382))))) (($ (-421 $)) 170 (|has| |#1| (-559))) (((-542) $) 89 (|has| |#1| (-610 (-542))))) (-1414 (($ $ $) 103 (|has| |#1| (-479)))) (-4293 (($ $ $) 104 (|has| |#1| (-479)))) (-2185 (((-851) $) 11) (($ (-608 $)) 69) (($ (-1163)) 209) (($ |#1|) 200) (($ (-1114 |#1| (-608 $))) 180 (|has| |#1| (-1048))) (($ (-410 |#1|)) 166 (|has| |#1| (-559))) (($ (-954 (-410 |#1|))) 165 (|has| |#1| (-559))) (($ (-410 (-954 (-410 |#1|)))) 164 (|has| |#1| (-559))) (($ (-410 (-954 |#1|))) 162 (|has| |#1| (-559))) (($ $) 133 (|has| |#1| (-559))) (($ (-954 |#1|)) 116 (|has| |#1| (-1048))) (($ (-410 (-569))) 88 (-2232 (|has| |#1| (-559)) (-12 (|has| |#1| (-1038 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1038 (-410 (-569)))))) (($ (-569)) 85 (-2232 (|has| |#1| (-1048)) (|has| |#1| (-1038 (-569)))))) (-3953 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-1991 (((-764)) 125 (|has| |#1| (-1048)))) (-4042 (($ $) 52) (($ (-635 $)) 51)) (-1524 (((-121) (-123)) 40)) (-1961 (((-121) $ $) 137 (|has| |#1| (-559)))) (-3880 (($ (-1163) $) 194) (($ (-1163) $ $) 193) (($ (-1163) $ $ $) 192) (($ (-1163) $ $ $ $) 191) (($ (-1163) (-635 $)) 190)) (-2427 (($ $ (-569)) 102 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 96 (|has| |#1| (-1103))) (($ $ (-918)) 92 (|has| |#1| (-1103)))) (-3369 (($) 107 (|has| |#1| (-25)) CONST)) (-1556 (($) 93 (|has| |#1| (-1103)) CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 124 (|has| |#1| (-1048))) (($ $ (-1163) (-764)) 123 (|has| |#1| (-1048))) (($ $ (-635 (-1163))) 122 (|has| |#1| (-1048))) (($ $ (-1163)) 121 (|has| |#1| (-1048)))) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1715 (($ (-1114 |#1| (-608 $)) (-1114 |#1| (-608 $))) 167 (|has| |#1| (-559))) (($ $ $) 100 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1711 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1707 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-569)) 101 (-2232 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-764)) 98 (|has| |#1| (-1103))) (($ $ (-918)) 91 (|has| |#1| (-1103)))) (* (($ (-410 (-569)) $) 159 (|has| |#1| (-559))) (($ $ (-410 (-569))) 158 (|has| |#1| (-559))) (($ |#1| $) 132 (|has| |#1| (-173))) (($ $ |#1|) 131 (|has| |#1| (-173))) (($ (-569) $) 113 (|has| |#1| (-21))) (($ (-764) $) 109 (|has| |#1| (-25))) (($ (-918) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1103))))) 
-(((-433 |#1|) (-1278) (-843)) (T -433)) 
-((-1798 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-121)))) (-1801 (*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-635 (-1163))))) (-3880 (*1 *1 *2 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) (-3880 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) (-1468 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) (-1468 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-610 (-542))))) (-1468 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1163)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-610 (-542))))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1163)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-610 (-542))))) (-4087 (*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1874 (*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) (-3091 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1806 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-1048)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-4052 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-1048)))) (-1874 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) (-1874 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) (-2848 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |val| *1) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-1468 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) (-4121 (*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-4214 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-559)))) (-1715 (*1 *1 *2 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) (-1739 (*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-559)) (-5 *2 (-410 (-1159 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-1103))))) 
-(-13 (-297) (-1038 (-1163)) (-880 |t#1|) (-403 |t#1|) (-414 |t#1|) (-10 -8 (-15 -1798 ((-121) $)) (-15 -1801 (|t#1| $)) (-15 -1773 ((-635 (-1163)) $)) (-15 -3880 ($ (-1163) $)) (-15 -3880 ($ (-1163) $ $)) (-15 -3880 ($ (-1163) $ $ $)) (-15 -3880 ($ (-1163) $ $ $ $)) (-15 -3880 ($ (-1163) (-635 $))) (IF (|has| |t#1| (-610 (-542))) (PROGN (-6 (-610 (-542))) (-15 -1468 ($ $ (-1163))) (-15 -1468 ($ $ (-635 (-1163)))) (-15 -1468 ($ $)) (-15 -1468 ($ $ (-123) $ (-1163))) (-15 -1468 ($ $ (-635 (-123)) (-635 $) (-1163)))) |noBranch|) (IF (|has| |t#1| (-1103)) (PROGN (-6 (-717)) (-15 ** ($ $ (-764))) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-479)) (-6 (-479)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -1806 ((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1048)) (PROGN (-6 (-1048)) (-6 (-1038 (-954 |t#1|))) (-6 (-896 (-1163))) (-6 (-380 |t#1|)) (-15 -2185 ($ (-1114 |t#1| (-608 $)))) (-15 -4116 ((-1114 |t#1| (-608 $)) $)) (-15 -4052 ($ $)) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123))) (-15 -1874 ((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163))) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $)) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $)))) (-15 -1468 ($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $))))) (-15 -1468 ($ $ (-1163) (-764) (-1 $ (-635 $)))) (-15 -1468 ($ $ (-1163) (-764) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-366)) (-6 (-1038 (-410 (-954 |t#1|)))) (-15 -3817 ($ (-421 $))) (-15 -4121 ((-1114 |t#1| (-608 $)) $)) (-15 -4214 ($ $)) (-15 -1715 ($ (-1114 |t#1| (-608 $)) (-1114 |t#1| (-608 $)))) (-15 -2185 ($ (-410 |t#1|))) (-15 -2185 ($ (-954 (-410 |t#1|)))) (-15 -2185 ($ (-410 (-954 (-410 |t#1|))))) (-15 -1739 ((-410 (-1159 $)) $ (-608 $))) (IF (|has| |t#1| (-1038 (-569))) (-6 (-1038 (-410 (-569)))) |noBranch|)) |noBranch|))) 
-(((-21) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-23) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-410 (-569))) |has| |#1| (-559)) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-559)) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) |has| |#1| (-559)) ((-138) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) |has| |#1| (-559)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-239) |has| |#1| (-559)) ((-286) |has| |#1| (-559)) ((-302) |has| |#1| (-559)) ((-304 $) . T) ((-297) . T) ((-366) |has| |#1| (-559)) ((-380 |#1|) |has| |#1| (-1048)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) |has| |#1| (-559)) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-559)) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1048))) ((-631 |#1|) |has| |#1| (-1048)) ((-708 (-410 (-569))) |has| |#1| (-559)) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) -2232 (|has| |#1| (-1103)) (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-843) . T) ((-896 (-1163)) |has| |#1| (-1048)) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-917) |has| |#1| (-559)) ((-1038 (-410 (-569))) -2232 (|has| |#1| (-1038 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1038 (-569))))) ((-1038 (-410 (-954 |#1|))) |has| |#1| (-559)) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-608 $)) . T) ((-1038 (-954 |#1|)) |has| |#1| (-1048)) ((-1038 (-1163)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-559)) ((-1054 |#1|) |has| |#1| (-173)) ((-1054 $) |has| |#1| (-559)) ((-1048) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1055) -2232 (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1103) -2232 (|has| |#1| (-1103)) (|has| |#1| (-1048)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1091) . T) ((-1197) . T) ((-1202) |has| |#1| (-559))) 
-((-3429 ((|#2| |#2| |#2|) 33)) (-2265 (((-123) (-123)) 44)) (-3228 ((|#2| (-635 |#2|)) 79)) (-1656 ((|#2| |#2|) 77)) (-3339 ((|#2| |#2|) 68)) (-3924 ((|#2| |#2|) 71)) (-2323 ((|#2| (-635 |#2|)) 75)) (-4066 ((|#2| (-635 |#2|)) 83)) (-1855 ((|#2| (-635 |#2|)) 87)) (-2220 ((|#2| (-635 |#2|)) 81)) (-3376 ((|#2| (-635 |#2|)) 85)) (-3960 ((|#2| |#2|) 91)) (-4491 ((|#2| |#2|) 89)) (-1394 ((|#2| |#2|) 32)) (-3367 ((|#2| |#2| |#2|) 35)) (-3349 ((|#2| |#2| |#2|) 37)) (-2178 ((|#2| |#2| |#2|) 34)) (-3627 ((|#2| |#2| |#2|) 36)) (-1524 (((-121) (-123)) 42)) (-3759 ((|#2| |#2|) 39)) (-4395 ((|#2| |#2|) 38)) (-1616 ((|#2| |#2|) 27)) (-3814 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-1485 ((|#2| |#2| |#2|) 31))) 
-(((-434 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1616 (|#2| |#2|)) (-15 -3814 (|#2| |#2|)) (-15 -3814 (|#2| |#2| |#2|)) (-15 -1485 (|#2| |#2| |#2|)) (-15 -1394 (|#2| |#2|)) (-15 -3429 (|#2| |#2| |#2|)) (-15 -2178 (|#2| |#2| |#2|)) (-15 -3367 (|#2| |#2| |#2|)) (-15 -3627 (|#2| |#2| |#2|)) (-15 -3349 (|#2| |#2| |#2|)) (-15 -4395 (|#2| |#2|)) (-15 -3759 (|#2| |#2|)) (-15 -3924 (|#2| |#2|)) (-15 -3339 (|#2| |#2|)) (-15 -2323 (|#2| (-635 |#2|))) (-15 -1656 (|#2| |#2|)) (-15 -3228 (|#2| (-635 |#2|))) (-15 -2220 (|#2| (-635 |#2|))) (-15 -4066 (|#2| (-635 |#2|))) (-15 -3376 (|#2| (-635 |#2|))) (-15 -1855 (|#2| (-635 |#2|))) (-15 -4491 (|#2| |#2|)) (-15 -3960 (|#2| |#2|))) (-13 (-843) (-559)) (-433 |#1|)) (T -434)) 
-((-3960 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4491 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1855 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3376 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-4066 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-2220 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3228 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-1656 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2323 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559))))) (-3339 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3924 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3759 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4395 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3349 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3627 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3367 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2178 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3429 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1394 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1485 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3814 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3814 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1616 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4))))) 
-(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -1616 (|#2| |#2|)) (-15 -3814 (|#2| |#2|)) (-15 -3814 (|#2| |#2| |#2|)) (-15 -1485 (|#2| |#2| |#2|)) (-15 -1394 (|#2| |#2|)) (-15 -3429 (|#2| |#2| |#2|)) (-15 -2178 (|#2| |#2| |#2|)) (-15 -3367 (|#2| |#2| |#2|)) (-15 -3627 (|#2| |#2| |#2|)) (-15 -3349 (|#2| |#2| |#2|)) (-15 -4395 (|#2| |#2|)) (-15 -3759 (|#2| |#2|)) (-15 -3924 (|#2| |#2|)) (-15 -3339 (|#2| |#2|)) (-15 -2323 (|#2| (-635 |#2|))) (-15 -1656 (|#2| |#2|)) (-15 -3228 (|#2| (-635 |#2|))) (-15 -2220 (|#2| (-635 |#2|))) (-15 -4066 (|#2| (-635 |#2|))) (-15 -3376 (|#2| (-635 |#2|))) (-15 -1855 (|#2| (-635 |#2|))) (-15 -4491 (|#2| |#2|)) (-15 -3960 (|#2| |#2|))) 
-((-3188 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|)) 58))) 
-(((-435 |#1| |#2|) (-10 -7 (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-559) (-843) (-151)) (-433 |#1|)) (T -435)) 
-((-3188 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1159 *3)) (|:| |pol2| (-1159 *3)) (|:| |prim| (-1159 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) (-3188 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-435 *4 *5))))) 
-(-10 -7 (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1159 |#2|))) (|:| |prim| (-1159 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -3188 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1159 |#2|)) (|:| |pol2| (-1159 |#2|)) (|:| |prim| (-1159 |#2|))) |#2| |#2|)) |noBranch|)) 
-((-2237 (((-1252)) 18)) (-3542 (((-1159 (-410 (-569))) |#2| (-608 |#2|)) 40) (((-410 (-569)) |#2|) 23))) 
-(((-436 |#1| |#2|) (-10 -7 (-15 -3542 ((-410 (-569)) |#2|)) (-15 -3542 ((-1159 (-410 (-569))) |#2| (-608 |#2|))) (-15 -2237 ((-1252)))) (-13 (-843) (-559) (-1038 (-569))) (-433 |#1|)) (T -436)) 
-((-2237 (*1 *2) (-12 (-4 *3 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1252)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3)))) (-3542 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-436 *5 *3)))) (-3542 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4))))) 
-(-10 -7 (-15 -3542 ((-410 (-569)) |#2|)) (-15 -3542 ((-1159 (-410 (-569))) |#2| (-608 |#2|))) (-15 -2237 ((-1252)))) 
-((-2387 (((-121) $) 28)) (-3666 (((-121) $) 30)) (-3750 (((-121) $) 31)) (-4041 (((-121) $) 34)) (-3738 (((-121) $) 29)) (-2624 (((-121) $) 33)) (-2185 (((-851) $) 18) (($ (-1145)) 27) (($ (-1163)) 23) (((-1163) $) 22) (((-1095) $) 21)) (-3946 (((-121) $) 32)) (-1668 (((-121) $ $) 15))) 
-(((-437) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ($ (-1163))) (-15 -2185 ((-1163) $)) (-15 -2185 ((-1095) $)) (-15 -2387 ((-121) $)) (-15 -3738 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -2624 ((-121) $)) (-15 -4041 ((-121) $)) (-15 -3946 ((-121) $)) (-15 -3666 ((-121) $)) (-15 -1668 ((-121) $ $))))) (T -437)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-437)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-437)))) (-2387 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3738 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3750 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2624 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-4041 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3946 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3666 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1145))) (-15 -2185 ($ (-1163))) (-15 -2185 ((-1163) $)) (-15 -2185 ((-1095) $)) (-15 -2387 ((-121) $)) (-15 -3738 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -2624 ((-121) $)) (-15 -4041 ((-121) $)) (-15 -3946 ((-121) $)) (-15 -3666 ((-121) $)) (-15 -1668 ((-121) $ $)))) 
-((-3252 (((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|) 68)) (-1351 (((-421 |#3|) |#3|) 33)) (-4264 (((-3 (-421 (-1159 (-53))) "failed") |#3|) 27 (|has| |#2| (-1038 (-53))))) (-1487 (((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|) 35))) 
-(((-438 |#1| |#2| |#3|) (-10 -7 (-15 -1351 ((-421 |#3|) |#3|)) (-15 -3252 ((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|)) (-15 -1487 ((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|)) (IF (|has| |#2| (-1038 (-53))) (-15 -4264 ((-3 (-421 (-1159 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-559) (-843) (-1038 (-569))) (-433 |#1|) (-1222 |#2|)) (T -438)) 
-((-4264 (*1 *2 *3) (|partial| -12 (-4 *5 (-1038 (-53))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1487 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-3252 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1351 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(-10 -7 (-15 -1351 ((-421 |#3|) |#3|)) (-15 -3252 ((-3 (-421 (-1159 (-410 (-569)))) "failed") |#3|)) (-15 -1487 ((-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121))) |#3|)) (IF (|has| |#2| (-1038 (-53))) (-15 -4264 ((-3 (-421 (-1159 (-53))) "failed") |#3|)) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-1331 (((-1145) $ (-1145)) NIL)) (-3030 (($ $ (-1145)) NIL)) (-4154 (((-1145) $) NIL)) (-1409 (((-391) (-391) (-391)) 17) (((-391) (-391)) 15)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) NIL)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3142 (((-1252) (-1145)) 9)) (-2594 (((-1252) (-1145)) 10)) (-3712 (((-1252)) 11)) (-4061 (((-1252) $) NIL)) (-2185 (((-851) $) NIL)) (-4084 (($ $) 34)) (-1668 (((-121) $ $) NIL))) 
-(((-439) (-13 (-367 (-391) (-1145)) (-10 -7 (-15 -1409 ((-391) (-391) (-391))) (-15 -1409 ((-391) (-391))) (-15 -3142 ((-1252) (-1145))) (-15 -2594 ((-1252) (-1145))) (-15 -3712 ((-1252)))))) (T -439)) 
-((-1409 (*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-1409 (*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-3142 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439)))) (-2594 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439)))) (-3712 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-439))))) 
-(-13 (-367 (-391) (-1145)) (-10 -7 (-15 -1409 ((-391) (-391) (-391))) (-15 -1409 ((-391) (-391))) (-15 -3142 ((-1252) (-1145))) (-15 -2594 ((-1252) (-1145))) (-15 -3712 ((-1252))))) 
-((-2568 (((-121) $ $) NIL)) (-3398 (((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2531 (($) 31)) (-3941 (($) 37)) (-2634 (($) 33)) (-4236 (($) 35)) (-1513 (($) 32)) (-4102 (($) 34)) (-2998 (($) 36)) (-1836 (((-121) $) 8)) (-1604 (((-635 (-954 (-569))) $) 16)) (-2139 (($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121)) 25) (($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121)) 26)) (-2185 (((-851) $) 21) (($ (-437)) 28)) (-1668 (((-121) $ $) NIL))) 
-(((-440) (-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -2185 ($ (-437))) (-15 -3398 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -1604 ((-635 (-954 (-569))) $)) (-15 -1836 ((-121) $)) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121))) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121))) (-15 -2531 ($)) (-15 -1513 ($)) (-15 -2634 ($)) (-15 -3941 ($)) (-15 -4102 ($)) (-15 -4236 ($)) (-15 -2998 ($))))) (T -440)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-440)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) (-3398 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-440)))) (-1604 (*1 *2 *1) (-12 (-5 *2 (-635 (-954 (-569)))) (-5 *1 (-440)))) (-1836 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-1163))) (-5 *4 (-121)) (-5 *1 (-440)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) (-2531 (*1 *1) (-5 *1 (-440))) (-1513 (*1 *1) (-5 *1 (-440))) (-2634 (*1 *1) (-5 *1 (-440))) (-3941 (*1 *1) (-5 *1 (-440))) (-4102 (*1 *1) (-5 *1 (-440))) (-4236 (*1 *1) (-5 *1 (-440))) (-2998 (*1 *1) (-5 *1 (-440)))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ((-851) $)) (-15 -2185 ($ (-437))) (-15 -3398 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -1604 ((-635 (-954 (-569))) $)) (-15 -1836 ((-121) $)) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-1163)) (-121))) (-15 -2139 ($ (-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-635 (-954 (-569))) (-121))) (-15 -2531 ($)) (-15 -1513 ($)) (-15 -2634 ($)) (-15 -3941 ($)) (-15 -4102 ($)) (-15 -4236 ($)) (-15 -2998 ($)))) 
-((-2568 (((-121) $ $) NIL)) (-1486 (((-1163) $) 8)) (-2776 (((-1145) $) 16)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 13))) 
-(((-441 |#1|) (-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) (-1163)) (T -441)) 
-((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-441 *3)) (-14 *3 *2)))) 
-(-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) 
-((-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-1247 (-689))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 9))) 
-(((-442) (-1278)) (T -442)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-689))) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-442))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-1247 (-689)))) (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))))) 
-(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
-((-1647 (((-3 $ "failed") (-1247 (-311 (-382)))) 19) (((-3 $ "failed") (-1247 (-311 (-569)))) 17) (((-3 $ "failed") (-1247 (-954 (-382)))) 15) (((-3 $ "failed") (-1247 (-954 (-569)))) 13) (((-3 $ "failed") (-1247 (-410 (-954 (-382))))) 11) (((-3 $ "failed") (-1247 (-410 (-954 (-569))))) 9)) (-2428 (($ (-1247 (-311 (-382)))) 20) (($ (-1247 (-311 (-569)))) 18) (($ (-1247 (-954 (-382)))) 16) (($ (-1247 (-954 (-569)))) 14) (($ (-1247 (-410 (-954 (-382))))) 12) (($ (-1247 (-410 (-954 (-569))))) 10)) (-3836 (((-1252) $) 7)) (-2185 (((-851) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) 21))) 
-(((-443) (-1278)) (T -443)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443))))) 
-(-13 (-398) (-10 -8 (-15 -2185 ($ (-635 (-329)))) (-15 -2185 ($ (-329))) (-15 -2185 ($ (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329)))))) (-15 -2428 ($ (-1247 (-311 (-382))))) (-15 -1647 ((-3 $ "failed") (-1247 (-311 (-382))))) (-15 -2428 ($ (-1247 (-311 (-569))))) (-15 -1647 ((-3 $ "failed") (-1247 (-311 (-569))))) (-15 -2428 ($ (-1247 (-954 (-382))))) (-15 -1647 ((-3 $ "failed") (-1247 (-954 (-382))))) (-15 -2428 ($ (-1247 (-954 (-569))))) (-15 -1647 ((-3 $ "failed") (-1247 (-954 (-569))))) (-15 -2428 ($ (-1247 (-410 (-954 (-382)))))) (-15 -1647 ((-3 $ "failed") (-1247 (-410 (-954 (-382)))))) (-15 -2428 ($ (-1247 (-410 (-954 (-569)))))) (-15 -1647 ((-3 $ "failed") (-1247 (-410 (-954 (-569)))))))) 
-(((-609 (-851)) . T) ((-398) . T) ((-1197) . T)) 
-((-3052 (((-121)) 17)) (-3991 (((-121) (-121)) 18)) (-4146 (((-121)) 13)) (-2028 (((-121) (-121)) 14)) (-2200 (((-121)) 15)) (-2822 (((-121) (-121)) 16)) (-2791 (((-918) (-918)) 21) (((-918)) 20)) (-1476 (((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569))))) 41)) (-2837 (((-918) (-918)) 23) (((-918)) 22)) (-2491 (((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|) 61)) (-3628 (((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569))))))) 125)) (-3952 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)) 151)) (-2186 (((-421 |#1|) |#1| (-764) (-764)) 164) (((-421 |#1|) |#1| (-635 (-764)) (-764)) 161) (((-421 |#1|) |#1| (-635 (-764))) 163) (((-421 |#1|) |#1| (-764)) 162) (((-421 |#1|) |#1|) 160)) (-3100 (((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121)) 166) (((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764)) 167) (((-3 |#1| "failed") (-918) |#1| (-635 (-764))) 169) (((-3 |#1| "failed") (-918) |#1| (-764)) 168) (((-3 |#1| "failed") (-918) |#1|) 170)) (-1743 (((-421 |#1|) |#1| (-764) (-764)) 159) (((-421 |#1|) |#1| (-635 (-764)) (-764)) 155) (((-421 |#1|) |#1| (-635 (-764))) 157) (((-421 |#1|) |#1| (-764)) 156) (((-421 |#1|) |#1|) 154)) (-3217 (((-121) |#1|) 36)) (-1821 (((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569))))) 66)) (-3942 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)) 153))) 
-(((-444 |#1|) (-10 -7 (-15 -3628 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))))) (-15 -1821 ((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2837 ((-918))) (-15 -2837 ((-918) (-918))) (-15 -2791 ((-918))) (-15 -2791 ((-918) (-918))) (-15 -1476 ((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2491 ((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|)) (-15 -3052 ((-121))) (-15 -3991 ((-121) (-121))) (-15 -4146 ((-121))) (-15 -2028 ((-121) (-121))) (-15 -3217 ((-121) |#1|)) (-15 -2200 ((-121))) (-15 -2822 ((-121) (-121))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1| (-764))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -1743 ((-421 |#1|) |#1| (-764) (-764))) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1| (-764))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -2186 ((-421 |#1|) |#1| (-764) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1|)) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121))) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121))) (-15 -3942 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)))) (-1222 (-569))) (T -444)) 
-((-3942 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1093 (-764))) (-5 *6 (-764)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3952 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-3100 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-918)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) (-2186 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2822 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2200 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3217 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2028 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-4146 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3991 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-3052 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2491 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1578 (-569)) (|:| -1640 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1476 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-764)) (-5 *1 (-444 *4)))) (-2791 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2791 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2837 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-2837 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) (-1821 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-728 (-764))) (-5 *1 (-444 *4)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *4) (|:| -4245 (-569))))))) (-4 *4 (-1222 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
-(-10 -7 (-15 -3628 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))))) (-15 -1821 ((-728 (-764)) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2837 ((-918))) (-15 -2837 ((-918) (-918))) (-15 -2791 ((-918))) (-15 -2791 ((-918) (-918))) (-15 -1476 ((-764) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))))) (-15 -2491 ((-2 (|:| -1578 (-569)) (|:| -1640 (-635 |#1|))) |#1|)) (-15 -3052 ((-121))) (-15 -3991 ((-121) (-121))) (-15 -4146 ((-121))) (-15 -2028 ((-121) (-121))) (-15 -3217 ((-121) |#1|)) (-15 -2200 ((-121))) (-15 -2822 ((-121) (-121))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1743 ((-421 |#1|) |#1| (-764))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -1743 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -1743 ((-421 |#1|) |#1| (-764) (-764))) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1| (-764))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)))) (-15 -2186 ((-421 |#1|) |#1| (-635 (-764)) (-764))) (-15 -2186 ((-421 |#1|) |#1| (-764) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1|)) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764))) (-15 -3100 ((-3 |#1| "failed") (-918) |#1| (-635 (-764)) (-764) (-121))) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121))) (-15 -3942 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121) (-1093 (-764)) (-764)))) 
-((-3623 (((-569) |#2|) 48) (((-569) |#2| (-764)) 47)) (-3775 (((-569) |#2|) 55)) (-1797 ((|#3| |#2|) 25)) (-4308 ((|#3| |#2| (-918)) 14)) (-1906 ((|#3| |#2|) 15)) (-2756 ((|#3| |#2|) 9)) (-2626 ((|#3| |#2|) 10)) (-3774 ((|#3| |#2| (-918)) 62) ((|#3| |#2|) 30)) (-4497 (((-569) |#2|) 57))) 
-(((-445 |#1| |#2| |#3|) (-10 -7 (-15 -4497 ((-569) |#2|)) (-15 -3774 (|#3| |#2|)) (-15 -3774 (|#3| |#2| (-918))) (-15 -3775 ((-569) |#2|)) (-15 -3623 ((-569) |#2| (-764))) (-15 -3623 ((-569) |#2|)) (-15 -4308 (|#3| |#2| (-918))) (-15 -1797 (|#3| |#2|)) (-15 -2756 (|#3| |#2|)) (-15 -2626 (|#3| |#2|)) (-15 -1906 (|#3| |#2|))) (-1048) (-1222 |#1|) (-13 (-407) (-1038 |#1|) (-366) (-1183) (-280))) (T -445)) 
-((-1906 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-2626 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-2756 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-1797 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-4308 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) (-3623 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))))) (-3623 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1222 *5)) (-4 *6 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))))) (-3775 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))))) (-3774 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) (-3774 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) (-4497 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
-(-10 -7 (-15 -4497 ((-569) |#2|)) (-15 -3774 (|#3| |#2|)) (-15 -3774 (|#3| |#2| (-918))) (-15 -3775 ((-569) |#2|)) (-15 -3623 ((-569) |#2| (-764))) (-15 -3623 ((-569) |#2|)) (-15 -4308 (|#3| |#2| (-918))) (-15 -1797 (|#3| |#2|)) (-15 -2756 (|#3| |#2|)) (-15 -2626 (|#3| |#2|)) (-15 -1906 (|#3| |#2|))) 
-((-3662 ((|#2| (-1247 |#1|)) 36)) (-2779 ((|#2| |#2| |#1|) 49)) (-1542 ((|#2| |#2| |#1|) 41)) (-2052 ((|#2| |#2|) 38)) (-2235 (((-121) |#2|) 30)) (-3699 (((-635 |#2|) (-918) (-421 |#2|)) 16)) (-3100 ((|#2| (-918) (-421 |#2|)) 21)) (-1821 (((-728 (-764)) (-421 |#2|)) 25))) 
-(((-446 |#1| |#2|) (-10 -7 (-15 -2235 ((-121) |#2|)) (-15 -3662 (|#2| (-1247 |#1|))) (-15 -2052 (|#2| |#2|)) (-15 -1542 (|#2| |#2| |#1|)) (-15 -2779 (|#2| |#2| |#1|)) (-15 -1821 ((-728 (-764)) (-421 |#2|))) (-15 -3100 (|#2| (-918) (-421 |#2|))) (-15 -3699 ((-635 |#2|) (-918) (-421 |#2|)))) (-1048) (-1222 |#1|)) (T -446)) 
-((-3699 (*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-1048)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1048)))) (-1821 (*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-728 (-764))) (-5 *1 (-446 *4 *5)))) (-2779 (*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-1542 (*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-2052 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) (-3662 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-1048)) (-4 *2 (-1222 *4)) (-5 *1 (-446 *4 *2)))) (-2235 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -2235 ((-121) |#2|)) (-15 -3662 (|#2| (-1247 |#1|))) (-15 -2052 (|#2| |#2|)) (-15 -1542 (|#2| |#2| |#1|)) (-15 -2779 (|#2| |#2| |#1|)) (-15 -1821 ((-728 (-764)) (-421 |#2|))) (-15 -3100 (|#2| (-918) (-421 |#2|))) (-15 -3699 ((-635 |#2|) (-918) (-421 |#2|)))) 
-((-3004 (((-764)) 41)) (-3399 (((-764)) 23 (|has| |#1| (-407))) (((-764) (-764)) 22 (|has| |#1| (-407)))) (-2487 (((-569) |#1|) 18 (|has| |#1| (-407)))) (-1464 (((-569) |#1|) 20 (|has| |#1| (-407)))) (-1477 (((-764)) 40) (((-764) (-764)) 39)) (-3613 ((|#1| (-764) (-569)) 29)) (-3579 (((-1252)) 43))) 
-(((-447 |#1|) (-10 -7 (-15 -3613 (|#1| (-764) (-569))) (-15 -1477 ((-764) (-764))) (-15 -1477 ((-764))) (-15 -3004 ((-764))) (-15 -3579 ((-1252))) (IF (|has| |#1| (-407)) (PROGN (-15 -1464 ((-569) |#1|)) (-15 -2487 ((-569) |#1|)) (-15 -3399 ((-764) (-764))) (-15 -3399 ((-764)))) |noBranch|)) (-1048)) (T -447)) 
-((-3399 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-3399 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-2487 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-1464 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) (-3579 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-3004 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-1477 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-1477 (*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) (-3613 (*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1048))))) 
-(-10 -7 (-15 -3613 (|#1| (-764) (-569))) (-15 -1477 ((-764) (-764))) (-15 -1477 ((-764))) (-15 -3004 ((-764))) (-15 -3579 ((-1252))) (IF (|has| |#1| (-407)) (PROGN (-15 -1464 ((-569) |#1|)) (-15 -2487 ((-569) |#1|)) (-15 -3399 ((-764) (-764))) (-15 -3399 ((-764)))) |noBranch|)) 
-((-2802 (((-635 (-569)) (-569)) 57)) (-3726 (((-121) (-170 (-569))) 61)) (-1743 (((-421 (-170 (-569))) (-170 (-569))) 56))) 
-(((-448) (-10 -7 (-15 -1743 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -2802 ((-635 (-569)) (-569))) (-15 -3726 ((-121) (-170 (-569)))))) (T -448)) 
-((-3726 (*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) (-2802 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569)))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569)))))) 
-(-10 -7 (-15 -1743 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -2802 ((-635 (-569)) (-569))) (-15 -3726 ((-121) (-170 (-569))))) 
-((-3185 ((|#4| |#4| (-635 |#4|)) 57)) (-2552 (((-635 |#4|) (-635 |#4|) (-1145) (-1145)) 17) (((-635 |#4|) (-635 |#4|) (-1145)) 16) (((-635 |#4|) (-635 |#4|)) 11))) 
-(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3185 (|#4| |#4| (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145) (-1145)))) (-302) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -449)) 
-((-2552 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) (-2552 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) (-2552 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-449 *3 *4 *5 *6)))) (-3185 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -3185 (|#4| |#4| (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2552 ((-635 |#4|) (-635 |#4|) (-1145) (-1145)))) 
-((-4329 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 70) (((-635 (-635 |#4|)) (-635 |#4|)) 69) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121)) 63) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|)) 64)) (-1698 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 40) (((-635 (-635 |#4|)) (-635 |#4|)) 60))) 
-(((-450 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) (-13 (-302) (-151)) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -450)) 
-((-4329 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-4329 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4329 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-4329 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-1698 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-1698 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(-10 -7 (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -1698 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -4329 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) 
-((-3351 (((-764) |#4|) 12)) (-4153 (((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)))) 31)) (-1600 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-1496 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-2300 ((|#4| |#4| (-635 |#4|)) 39)) (-1540 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|)) 68)) (-1815 (((-1252) |#4|) 41)) (-4417 (((-1252) (-635 |#4|)) 50)) (-2720 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569)) 47)) (-4014 (((-1252) (-569)) 75)) (-1332 (((-635 |#4|) (-635 |#4|)) 73)) (-4257 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764)) 25)) (-4237 (((-569) |#4|) 74)) (-3733 ((|#4| |#4|) 29)) (-2099 (((-635 |#4|) (-635 |#4|) (-569) (-569)) 54)) (-3886 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569)) 85)) (-3314 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-3892 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-3947 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-2165 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-2838 (((-121) |#2| |#2|) 55)) (-1701 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-1846 (((-121) |#2| |#2| |#2| |#2|) 58)) (-3232 ((|#4| |#4| (-635 |#4|)) 69))) 
-(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3232 (|#4| |#4| (-635 |#4|))) (-15 -2300 (|#4| |#4| (-635 |#4|))) (-15 -2099 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -3892 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2838 ((-121) |#2| |#2|)) (-15 -1846 ((-121) |#2| |#2| |#2| |#2|)) (-15 -1701 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2165 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3947 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1540 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -3733 (|#4| |#4|)) (-15 -4153 ((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))))) (-15 -1496 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1600 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1332 ((-635 |#4|) (-635 |#4|))) (-15 -4237 ((-569) |#4|)) (-15 -1815 ((-1252) |#4|)) (-15 -2720 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -3886 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -4417 ((-1252) (-635 |#4|))) (-15 -4014 ((-1252) (-569))) (-15 -3314 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4257 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764))) (-15 -3351 ((-764) |#4|))) (-454) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -451)) 
-((-3351 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4257 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-764)) (|:| -3698 *4))) (-5 *5 (-764)) (-4 *4 (-951 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4)))) (-3314 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4014 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-4417 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3886 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4)))) (-2720 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4)))) (-1815 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4237 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-1332 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1600 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1496 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-789)) (-4 *2 (-951 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-843)))) (-4153 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 *3)))) (-5 *4 (-764)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *3)))) (-3733 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-1540 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3)))) (-3947 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-789)) (-4 *6 (-951 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *4 *3 *5 *6)))) (-2165 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1701 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-789)) (-4 *3 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *3)))) (-1846 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5)))) (-2838 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5)))) (-3892 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-2099 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *7)))) (-2300 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2)))) (-3232 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(-10 -7 (-15 -3232 (|#4| |#4| (-635 |#4|))) (-15 -2300 (|#4| |#4| (-635 |#4|))) (-15 -2099 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -3892 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -2838 ((-121) |#2| |#2|)) (-15 -1846 ((-121) |#2| |#2| |#2| |#2|)) (-15 -1701 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2165 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3947 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1540 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -3733 (|#4| |#4|)) (-15 -4153 ((-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))) |#4| (-764) (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|))))) (-15 -1496 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1600 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -1332 ((-635 |#4|) (-635 |#4|))) (-15 -4237 ((-569) |#4|)) (-15 -1815 ((-1252) |#4|)) (-15 -2720 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -3886 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -4417 ((-1252) (-635 |#4|))) (-15 -4014 ((-1252) (-569))) (-15 -3314 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4257 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-764)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-764)) (|:| -3698 |#4|)) |#4| (-764))) (-15 -3351 ((-764) |#4|))) 
-((-2286 ((|#4| |#4| (-635 |#4|)) 22 (|has| |#1| (-366)))) (-2815 (((-635 |#4|) (-635 |#4|) (-1145) (-1145)) 41) (((-635 |#4|) (-635 |#4|) (-1145)) 40) (((-635 |#4|) (-635 |#4|)) 35))) 
-(((-452 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2815 ((-635 |#4|) (-635 |#4|))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145) (-1145))) (IF (|has| |#1| (-366)) (-15 -2286 (|#4| |#4| (-635 |#4|))) |noBranch|)) (-454) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -452)) 
-((-2286 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *2)))) (-2815 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) (-2815 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) (-2815 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-452 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2815 ((-635 |#4|) (-635 |#4|))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145))) (-15 -2815 ((-635 |#4|) (-635 |#4|) (-1145) (-1145))) (IF (|has| |#1| (-366)) (-15 -2286 (|#4| |#4| (-635 |#4|))) |noBranch|)) 
-((-2665 (($ $ $) 14) (($ (-635 $)) 21)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 41)) (-2714 (($ $ $) NIL) (($ (-635 $)) 22))) 
-(((-453 |#1|) (-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2665 (|#1| (-635 |#1|))) (-15 -2665 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|))) (-454)) (T -453)) 
-NIL 
-(-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2665 (|#1| (-635 |#1|))) (-15 -2665 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2714 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-454) (-1278)) (T -454)) 
-((-2714 (*1 *1 *1 *1) (-4 *1 (-454))) (-2714 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-2665 (*1 *1 *1 *1) (-4 *1 (-454))) (-2665 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-454))))) 
-(-13 (-559) (-10 -8 (-15 -2714 ($ $ $)) (-15 -2714 ($ (-635 $))) (-15 -2665 ($ $ $)) (-15 -2665 ($ (-635 $))) (-15 -4336 ((-1159 $) (-1159 $) (-1159 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 (-410 (-954 |#1|)))) (-1247 $)) NIL) (((-1247 (-680 (-410 (-954 |#1|))))) NIL)) (-2141 (((-1247 $)) NIL)) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL)) (-1531 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2909 (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL) (((-680 (-410 (-954 |#1|)))) NIL)) (-1723 (((-410 (-954 |#1|)) $) NIL)) (-1792 (((-680 (-410 (-954 |#1|))) $ (-1247 $)) NIL) (((-680 (-410 (-954 |#1|))) $) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2800 (((-1159 (-954 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-366))) (((-1159 (-410 (-954 |#1|)))) 79 (|has| |#1| (-559)))) (-1628 (($ $ (-918)) NIL)) (-2830 (((-410 (-954 |#1|)) $) NIL)) (-2246 (((-1159 (-410 (-954 |#1|))) $) 77 (|has| (-410 (-954 |#1|)) (-559)))) (-3316 (((-410 (-954 |#1|)) (-1247 $)) NIL) (((-410 (-954 |#1|))) NIL)) (-2355 (((-1159 (-410 (-954 |#1|))) $) NIL)) (-2607 (((-121)) NIL)) (-2623 (($ (-1247 (-410 (-954 |#1|))) (-1247 $)) 97) (($ (-1247 (-410 (-954 |#1|)))) NIL)) (-3428 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-1321 (((-918)) NIL)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) NIL)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL)) (-1588 (((-3 $ "failed")) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-2991 (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL) (((-680 (-410 (-954 |#1|)))) NIL)) (-1545 (((-410 (-954 |#1|)) $) NIL)) (-4007 (((-680 (-410 (-954 |#1|))) $ (-1247 $)) NIL) (((-680 (-410 (-954 |#1|))) $) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-3282 (((-1159 (-954 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-366))) (((-1159 (-410 (-954 |#1|)))) 78 (|has| |#1| (-559)))) (-3272 (($ $ (-918)) NIL)) (-4200 (((-410 (-954 |#1|)) $) NIL)) (-3851 (((-1159 (-410 (-954 |#1|))) $) 72 (|has| (-410 (-954 |#1|)) (-559)))) (-1584 (((-410 (-954 |#1|)) (-1247 $)) NIL) (((-410 (-954 |#1|))) NIL)) (-2415 (((-1159 (-410 (-954 |#1|))) $) NIL)) (-2377 (((-121)) NIL)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL)) (-3337 (((-121)) NIL)) (-2598 (((-121)) NIL)) (-3360 (((-1109) $) NIL)) (-1876 (((-410 (-954 |#1|)) $ $) 66 (|has| |#1| (-559)))) (-1645 (((-410 (-954 |#1|)) $) 65 (|has| |#1| (-559)))) (-2120 (((-410 (-954 |#1|)) $) 89 (|has| |#1| (-559)))) (-4056 (((-1159 (-410 (-954 |#1|))) $) 83 (|has| |#1| (-559)))) (-2078 (((-410 (-954 |#1|))) 67 (|has| |#1| (-559)))) (-4368 (((-410 (-954 |#1|)) $ $) 54 (|has| |#1| (-559)))) (-3410 (((-410 (-954 |#1|)) $) 53 (|has| |#1| (-559)))) (-2011 (((-410 (-954 |#1|)) $) 88 (|has| |#1| (-559)))) (-4378 (((-1159 (-410 (-954 |#1|))) $) 82 (|has| |#1| (-559)))) (-3928 (((-410 (-954 |#1|))) 64 (|has| |#1| (-559)))) (-2027 (($) 95) (($ (-1163)) 101) (($ (-1247 (-1163))) 100) (($ (-1247 $)) 90) (($ (-1163) (-1247 $)) 99) (($ (-1247 (-1163)) (-1247 $)) 98)) (-1324 (((-121)) NIL)) (-1534 (((-410 (-954 |#1|)) $ (-569)) NIL)) (-1648 (((-1247 (-410 (-954 |#1|))) $ (-1247 $)) 92) (((-680 (-410 (-954 |#1|))) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 (-954 |#1|))) $) 37) (((-680 (-410 (-954 |#1|))) (-1247 $)) NIL)) (-3817 (((-1247 (-410 (-954 |#1|))) $) NIL) (($ (-1247 (-410 (-954 |#1|)))) 34)) (-3393 (((-635 (-954 (-410 (-954 |#1|)))) (-1247 $)) NIL) (((-635 (-954 (-410 (-954 |#1|))))) NIL) (((-635 (-954 |#1|)) (-1247 $)) 93 (|has| |#1| (-559))) (((-635 (-954 |#1|))) 94 (|has| |#1| (-559)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL)) (-2185 (((-851) $) NIL) (($ (-1247 (-410 (-954 |#1|)))) NIL)) (-3930 (((-1247 $)) 56)) (-2131 (((-635 (-1247 (-410 (-954 |#1|))))) NIL (|has| (-410 (-954 |#1|)) (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL)) (-1943 (($ (-680 (-410 (-954 |#1|))) $) NIL)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL)) (-3922 (((-121)) NIL)) (-4227 (((-121)) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) 91)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 52) (($ $ (-410 (-954 |#1|))) NIL) (($ (-410 (-954 |#1|)) $) NIL) (($ (-1128 |#2| (-410 (-954 |#1|))) $) NIL))) 
-(((-455 |#1| |#2| |#3| |#4|) (-13 (-420 (-410 (-954 |#1|))) (-638 (-1128 |#2| (-410 (-954 |#1|)))) (-10 -8 (-15 -2185 ($ (-1247 (-410 (-954 |#1|))))) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -2027 ($)) (-15 -2027 ($ (-1163))) (-15 -2027 ($ (-1247 (-1163)))) (-15 -2027 ($ (-1247 $))) (-15 -2027 ($ (-1163) (-1247 $))) (-15 -2027 ($ (-1247 (-1163)) (-1247 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3282 ((-1159 (-410 (-954 |#1|))))) (-15 -4378 ((-1159 (-410 (-954 |#1|))) $)) (-15 -3410 ((-410 (-954 |#1|)) $)) (-15 -2011 ((-410 (-954 |#1|)) $)) (-15 -2800 ((-1159 (-410 (-954 |#1|))))) (-15 -4056 ((-1159 (-410 (-954 |#1|))) $)) (-15 -1645 ((-410 (-954 |#1|)) $)) (-15 -2120 ((-410 (-954 |#1|)) $)) (-15 -4368 ((-410 (-954 |#1|)) $ $)) (-15 -3928 ((-410 (-954 |#1|)))) (-15 -1876 ((-410 (-954 |#1|)) $ $)) (-15 -2078 ((-410 (-954 |#1|)))) (-15 -3393 ((-635 (-954 |#1|)) (-1247 $))) (-15 -3393 ((-635 (-954 |#1|))))) |noBranch|))) (-173) (-918) (-635 (-1163)) (-1247 (-680 |#1|))) (T -455)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 *3)))) (-4 *3 (-173)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) (-3926 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3781 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-918)) (-14 *4 (-635 (-1163))) (-14 *5 (-1247 (-680 *2))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 *2)) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1247 (-1163))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2) (-12 (-5 *2 (-1247 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2027 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 *2)) (-14 *7 (-1247 (-680 *4))))) (-2027 (*1 *1 *2 *3) (-12 (-5 *2 (-1247 (-1163))) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) (-3282 (*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4378 (*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3410 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2011 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2800 (*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4056 (*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-1645 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2120 (*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-4368 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3928 (*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-1876 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-2078 (*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) (-3393 (*1 *2 *3) (-12 (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-954 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) (-3393 (*1 *2) (-12 (-5 *2 (-635 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(-13 (-420 (-410 (-954 |#1|))) (-638 (-1128 |#2| (-410 (-954 |#1|)))) (-10 -8 (-15 -2185 ($ (-1247 (-410 (-954 |#1|))))) (-15 -3926 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -3781 ((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed"))) (-15 -2027 ($)) (-15 -2027 ($ (-1163))) (-15 -2027 ($ (-1247 (-1163)))) (-15 -2027 ($ (-1247 $))) (-15 -2027 ($ (-1163) (-1247 $))) (-15 -2027 ($ (-1247 (-1163)) (-1247 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3282 ((-1159 (-410 (-954 |#1|))))) (-15 -4378 ((-1159 (-410 (-954 |#1|))) $)) (-15 -3410 ((-410 (-954 |#1|)) $)) (-15 -2011 ((-410 (-954 |#1|)) $)) (-15 -2800 ((-1159 (-410 (-954 |#1|))))) (-15 -4056 ((-1159 (-410 (-954 |#1|))) $)) (-15 -1645 ((-410 (-954 |#1|)) $)) (-15 -2120 ((-410 (-954 |#1|)) $)) (-15 -4368 ((-410 (-954 |#1|)) $ $)) (-15 -3928 ((-410 (-954 |#1|)))) (-15 -1876 ((-410 (-954 |#1|)) $ $)) (-15 -2078 ((-410 (-954 |#1|)))) (-15 -3393 ((-635 (-954 |#1|)) (-1247 $))) (-15 -3393 ((-635 (-954 |#1|))))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 13)) (-1773 (((-635 (-853 |#1|)) $) 73)) (-1739 (((-1159 $) $ (-853 |#1|)) 46) (((-1159 |#2|) $) 115)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) 21) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 44) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) 42) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) 78)) (-4020 (($ $) 67)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| |#3| $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 58)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) 120) (($ (-1159 $) (-853 |#1|)) 52)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) 59)) (-1763 (($ |#2| |#3|) 28) (($ $ (-853 |#1|) (-764)) 30) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 ((|#3| $) NIL) (((-764) $ (-853 |#1|)) 50) (((-635 (-764)) $ (-635 (-853 |#1|))) 57)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 |#3| |#3|) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) 39)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) 41)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-1801 ((|#2| $) 113)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) 125 (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) 85) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) 88) (($ $ (-853 |#1|) $) 83) (($ $ (-635 (-853 |#1|)) (-635 $)) 104)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) 53) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 ((|#3| $) 66) (((-764) $ (-853 |#1|)) 37) (((-635 (-764)) $ (-635 (-853 |#1|))) 56)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) 122 (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) 141) (($ (-569)) NIL) (($ |#2|) 84) (($ (-853 |#1|)) 31) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ |#3|) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 16 T CONST)) (-1556 (($) 25 T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) 64 (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 109)) (** (($ $ (-918)) NIL) (($ $ (-764)) 107)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 29) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
-(((-456 |#1| |#2| |#3|) (-13 (-951 |#2| |#3| (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048) (-231 (-4168 |#1|) (-764))) (T -456)) 
-((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1163))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-231 (-4168 *3) (-764)))))) 
-(-13 (-951 |#2| |#3| (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
-((-2843 (((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145)) 49) (((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257))) 48) (((-1252) (-311 (-382)) (-1083 (-382)) (-1145)) 42) (((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257))) 39))) 
-(((-457) (-10 -7 (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145))))) (T -457)) 
-((-2843 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) (-2843 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457))))) 
-(-10 -7 (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1145))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145) (-635 (-257)))) (-15 -2843 ((-1252) (-311 (-382)) (-1083 (-382)) (-1083 (-382)) (-1145)))) 
-((-2221 (((-121) |#1| (-635 |#2|)) 65)) (-3166 (((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|)) 74)) (-1594 (((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|))) 76)) (-2461 ((|#2| |#2| |#1|) 28)) (-3568 (((-764) |#2| (-635 |#2|)) 20))) 
-(((-458 |#1| |#2|) (-10 -7 (-15 -2461 (|#2| |#2| |#1|)) (-15 -3568 ((-764) |#2| (-635 |#2|))) (-15 -3166 ((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|))) (-15 -1594 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|)))) (-15 -2221 ((-121) |#1| (-635 |#2|)))) (-302) (-1222 |#1|)) (T -458)) 
-((-2221 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1222 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5)))) (-1594 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1247 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1222 *4)))) (-3166 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-302)) (-4 *6 (-1222 *4)) (-5 *2 (-1247 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6)))) (-3568 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-302)) (-5 *2 (-764)) (-5 *1 (-458 *5 *3)))) (-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1222 *3))))) 
-(-10 -7 (-15 -2461 (|#2| |#2| |#1|)) (-15 -3568 ((-764) |#2| (-635 |#2|))) (-15 -3166 ((-3 (-1247 (-635 |#2|)) "failed") (-764) |#1| (-635 |#2|))) (-15 -1594 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1247 (-635 |#2|)))) (-15 -2221 ((-121) |#1| (-635 |#2|)))) 
-((-1743 (((-421 |#5|) |#5|) 24))) 
-(((-459 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1743 ((-421 |#5|) |#5|))) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-789) (-559) (-559) (-951 |#4| |#2| |#1|)) (T -459)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *5 (-789)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-951 *7 *5 *4))))) 
-(-10 -7 (-15 -1743 ((-421 |#5|) |#5|))) 
-((-2553 ((|#3|) 36)) (-4336 (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 32))) 
-(((-460 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4336 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2553 (|#3|))) (-789) (-843) (-905) (-951 |#3| |#1| |#2|)) (T -460)) 
-((-2553 (*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-905)) (-5 *1 (-460 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -4336 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2553 (|#3|))) 
-((-1743 (((-421 (-1159 |#1|)) (-1159 |#1|)) 41))) 
-(((-461 |#1|) (-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|)))) (-302)) (T -461)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1159 *4))))) 
-(-10 -7 (-15 -1743 ((-421 (-1159 |#1|)) (-1159 |#1|)))) 
-((-1784 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764))) 42) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764))) 41) (((-57) |#2| (-1163) (-289 |#2|)) 35) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 27)) (-3343 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 80) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 79) (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569))) 78) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569))) 77) (((-57) |#2| (-1163) (-289 |#2|)) 72) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 71)) (-1791 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 66) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))) 64)) (-1788 (((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569))) 48) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569))) 47))) 
-(((-462 |#1| |#2|) (-10 -7 (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764)))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764)))) (-15 -1788 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -1788 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -1791 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -1791 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -462)) 
-((-3343 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-3343 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-3343 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3343 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3343 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-3343 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) (-1791 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-1791 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-1788 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-1788 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-1784 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-764))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-764))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-1784 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-1784 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6))))) 
-(-10 -7 (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -1784 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-764)))) (-15 -1784 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-764)))) (-15 -1788 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -1788 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -1791 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -1791 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|))) (-15 -3343 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-569)))) (-15 -3343 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569)))) (-15 -3343 ((-57) |#2| (-1163) (-289 |#2|) (-1213 (-410 (-569))) (-410 (-569))))) 
-((-2461 ((|#2| |#2| |#1|) 15)) (-4180 (((-635 |#2|) |#2| (-635 |#2|) |#1| (-918)) 65)) (-1380 (((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918)) 58))) 
-(((-463 |#1| |#2|) (-10 -7 (-15 -1380 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918))) (-15 -4180 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-918))) (-15 -2461 (|#2| |#2| |#1|))) (-302) (-1222 |#1|)) (T -463)) 
-((-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1222 *3)))) (-4180 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-918)) (-4 *3 (-1222 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3)))) (-1380 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-918)) (-4 *5 (-302)) (-4 *3 (-1222 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
-(-10 -7 (-15 -1380 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-918))) (-15 -4180 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-918))) (-15 -2461 (|#2| |#2| |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 28)) (-4382 (($ |#3|) 25)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) 32)) (-4050 (($ |#2| |#4| $) 33)) (-1763 (($ |#2| (-704 |#3| |#4| |#5|)) 24)) (-1804 (((-704 |#3| |#4| |#5|) $) 15)) (-2268 ((|#3| $) 19)) (-2984 ((|#4| $) 17)) (-4012 ((|#2| $) 29)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-1682 (($ |#2| |#3| |#4|) 26)) (-3369 (($) 36 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 34)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-464 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-708 |#6|) (-708 |#2|) (-10 -8 (-15 -4012 (|#2| $)) (-15 -1804 ((-704 |#3| |#4| |#5|) $)) (-15 -2984 (|#4| $)) (-15 -2268 (|#3| $)) (-15 -4020 ($ $)) (-15 -1763 ($ |#2| (-704 |#3| |#4| |#5|))) (-15 -4382 ($ |#3|)) (-15 -1682 ($ |#2| |#3| |#4|)) (-15 -4050 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-635 (-1163)) (-173) (-843) (-231 (-4168 |#1|) (-764)) (-1 (-121) (-2 (|:| -3998 |#3|) (|:| -2356 |#4|)) (-2 (|:| -3998 |#3|) (|:| -2356 |#4|))) (-951 |#2| |#4| (-853 |#1|))) (T -464)) 
-((* (*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-843)) (-4 *2 (-951 *4 *6 (-853 *3))))) (-4012 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *2 *5 (-853 *3))))) (-1804 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *2 (-704 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-843)) (-4 *8 (-951 *4 *6 (-853 *3))))) (-2984 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *2)) (-2 (|:| -3998 *5) (|:| -2356 *2)))) (-4 *2 (-231 (-4168 *3) (-764))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *4 *2 (-853 *3))))) (-2268 (*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-4 *2 (-843)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-951 *4 *5 (-853 *3))))) (-4020 (*1 *1 *1) (-12 (-14 *2 (-635 (-1163))) (-4 *3 (-173)) (-4 *5 (-231 (-4168 *2) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *3 *5 (-853 *2))))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-704 *5 *6 *7)) (-4 *5 (-843)) (-4 *6 (-231 (-4168 *4) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-951 *2 *6 (-853 *4))))) (-4382 (*1 *1 *2) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-843)) (-4 *7 (-951 *4 *5 (-853 *3))))) (-1682 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *2 (-173)) (-4 *4 (-231 (-4168 *5) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *4)) (-2 (|:| -3998 *3) (|:| -2356 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-843)) (-4 *7 (-951 *2 *4 (-853 *5))))) (-4050 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-4 *3 (-231 (-4168 *4) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *3)) (-2 (|:| -3998 *5) (|:| -2356 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *2 *3 (-853 *4)))))) 
-(-13 (-708 |#6|) (-708 |#2|) (-10 -8 (-15 -4012 (|#2| $)) (-15 -1804 ((-704 |#3| |#4| |#5|) $)) (-15 -2984 (|#4| $)) (-15 -2268 (|#3| $)) (-15 -4020 ($ $)) (-15 -1763 ($ |#2| (-704 |#3| |#4| |#5|))) (-15 -4382 ($ |#3|)) (-15 -1682 ($ |#2| |#3| |#4|)) (-15 -4050 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
-((-2568 (((-121) $ $) NIL)) (-1704 (((-1163) (-635 (-466))) 48)) (-1396 (((-764) (-635 (-466))) 33)) (-2406 (((-121) (-635 (-466))) 39)) (-1879 (((-3 (-918) "arbitrary") (-635 (-466))) 20)) (-3866 (((-3 (-764) "arbitrary") (-635 (-466))) 18)) (-2743 (((-3 (-918) "arbitrary") (-635 (-466))) 32)) (-1886 (((-764) (-635 (-466))) 25)) (-2397 (((-3 (-764) "arbitrary") (-635 (-466))) 16)) (-2269 (((-3 (-764) "arbitrary") (-635 (-466))) 17)) (-2101 (((-3 (-764) "arbitrary") (-635 (-466))) 21)) (-2776 (((-1145) $) NIL)) (-2536 (((-1163) (-635 (-466))) 50)) (-1499 (((-3 (-918) (-121)) (-635 (-466))) 44)) (-3360 (((-1109) $) NIL)) (-2320 (((-1163) (-635 (-466))) 49)) (-2008 (((-121) (-635 (-466))) 51)) (-2105 (((-121) (-635 (-466))) 40)) (-2185 (((-851) $) NIL)) (-3484 (((-1252) (-635 (-466))) 61)) (-1892 (((-121) (-635 (-466))) 38)) (-4506 (((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466))) 37)) (-3279 (((-121) (-635 (-466))) 29)) (-1897 (((-3 (-918) (-121)) (-635 (-466))) 45)) (-1668 (((-121) $ $) NIL))) 
-(((-465) (-13 (-1091) (-10 -7 (-15 -2269 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -3866 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1879 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -2743 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -1499 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -1897 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -2397 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -2101 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1886 ((-764) (-635 (-466)))) (-15 -3279 ((-121) (-635 (-466)))) (-15 -1396 ((-764) (-635 (-466)))) (-15 -4506 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1892 ((-121) (-635 (-466)))) (-15 -2406 ((-121) (-635 (-466)))) (-15 -2320 ((-1163) (-635 (-466)))) (-15 -1704 ((-1163) (-635 (-466)))) (-15 -2536 ((-1163) (-635 (-466)))) (-15 -2008 ((-121) (-635 (-466)))) (-15 -2105 ((-121) (-635 (-466)))) (-15 -3484 ((-1252) (-635 (-466))))))) (T -465)) 
-((-2269 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-3866 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-1879 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) (-2743 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) (-1499 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) (-1897 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) (-2397 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-2101 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) (-3279 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-1396 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) (-4506 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) (-1892 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2406 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2320 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-1704 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-2536 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) (-2008 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-2105 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3484 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1252)) (-5 *1 (-465))))) 
-(-13 (-1091) (-10 -7 (-15 -2269 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -3866 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1879 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -2743 ((-3 (-918) "arbitrary") (-635 (-466)))) (-15 -1499 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -1897 ((-3 (-918) (-121)) (-635 (-466)))) (-15 -2397 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -2101 ((-3 (-764) "arbitrary") (-635 (-466)))) (-15 -1886 ((-764) (-635 (-466)))) (-15 -3279 ((-121) (-635 (-466)))) (-15 -1396 ((-764) (-635 (-466)))) (-15 -4506 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1892 ((-121) (-635 (-466)))) (-15 -2406 ((-121) (-635 (-466)))) (-15 -2320 ((-1163) (-635 (-466)))) (-15 -1704 ((-1163) (-635 (-466)))) (-15 -2536 ((-1163) (-635 (-466)))) (-15 -2008 ((-121) (-635 (-466)))) (-15 -2105 ((-121) (-635 (-466)))) (-15 -3484 ((-1252) (-635 (-466)))))) 
-((-2568 (((-121) $ $) NIL)) (-1704 (($ (-1163)) 45)) (-1396 (($ (-764)) 28)) (-3757 (((-3 (-57) "failed") (-635 $) (-1163)) 57)) (-2406 (($ (-121)) 40)) (-1879 (($ (-3 (-918) "arbitrary")) 15)) (-3866 (($ (-3 (-764) "arbitrary")) 13)) (-2743 (($ (-3 (-918) "arbitrary")) 27)) (-1886 (($ (-764)) 20)) (-2397 (($ (-3 (-764) "arbitrary")) 11)) (-2269 (($ (-3 (-764) "arbitrary")) 12)) (-2101 (($ (-3 (-764) "arbitrary")) 16)) (-2776 (((-1145) $) NIL)) (-2536 (($ (-1163)) 46)) (-1499 (($ (-3 (-918) (-121))) 32)) (-3360 (((-1109) $) NIL)) (-2320 (($ (-1163)) 44)) (-2008 (($ (-121)) 47)) (-2105 (($ (-121)) 34)) (-2185 (((-851) $) 52)) (-1892 (($ (-121)) 39)) (-4506 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-3279 (($ (-121)) 24)) (-1897 (($ (-3 (-918) (-121))) 33)) (-1668 (((-121) $ $) 54))) 
-(((-466) (-13 (-1091) (-10 -8 (-15 -2269 ($ (-3 (-764) "arbitrary"))) (-15 -3866 ($ (-3 (-764) "arbitrary"))) (-15 -1879 ($ (-3 (-918) "arbitrary"))) (-15 -2743 ($ (-3 (-918) "arbitrary"))) (-15 -1499 ($ (-3 (-918) (-121)))) (-15 -1897 ($ (-3 (-918) (-121)))) (-15 -2397 ($ (-3 (-764) "arbitrary"))) (-15 -2101 ($ (-3 (-764) "arbitrary"))) (-15 -1886 ($ (-764))) (-15 -3279 ($ (-121))) (-15 -1396 ($ (-764))) (-15 -4506 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1892 ($ (-121))) (-15 -2406 ($ (-121))) (-15 -2105 ($ (-121))) (-15 -2320 ($ (-1163))) (-15 -1704 ($ (-1163))) (-15 -2536 ($ (-1163))) (-15 -2008 ($ (-121))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163)))))) (T -466)) 
-((-2269 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-3866 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-1879 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466)))) (-2743 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466)))) (-1499 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466)))) (-1897 (*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466)))) (-2397 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-2101 (*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466)))) (-1886 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466)))) (-3279 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-1396 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466)))) (-4506 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) (-1892 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2406 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2105 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-2320 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-1704 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-2536 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466)))) (-2008 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3757 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-466))))) 
-(-13 (-1091) (-10 -8 (-15 -2269 ($ (-3 (-764) "arbitrary"))) (-15 -3866 ($ (-3 (-764) "arbitrary"))) (-15 -1879 ($ (-3 (-918) "arbitrary"))) (-15 -2743 ($ (-3 (-918) "arbitrary"))) (-15 -1499 ($ (-3 (-918) (-121)))) (-15 -1897 ($ (-3 (-918) (-121)))) (-15 -2397 ($ (-3 (-764) "arbitrary"))) (-15 -2101 ($ (-3 (-764) "arbitrary"))) (-15 -1886 ($ (-764))) (-15 -3279 ($ (-121))) (-15 -1396 ($ (-764))) (-15 -4506 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1892 ($ (-121))) (-15 -2406 ($ (-121))) (-15 -2105 ($ (-121))) (-15 -2320 ($ (-1163))) (-15 -1704 ($ (-1163))) (-15 -2536 ($ (-1163))) (-15 -2008 ($ (-121))) (-15 -3757 ((-3 (-57) "failed") (-635 $) (-1163))))) 
-((-3452 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
-(((-467 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3452 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|) (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ |#4|)) (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $))))) (T -467)) 
-((-3452 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-843)) (-4 *5 (-789)) (-4 *6 (-559)) (-4 *7 (-951 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(-10 -7 (-15 -3452 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
-((-1692 ((|#3|) 43)) (-1366 (((-635 |#5|)) 47)) (-2122 (((-635 |#5|) (-635 |#5|)) 129)) (-3718 ((|#3| |#3|) 107)) (-2956 (((-1252)) 106)) (-1818 (((-635 |#5|)) 150 (|has| |#1| (-371)))) (-2516 (((-635 |#7|)) 153 (|has| |#1| (-371)))) (-3987 (((-1252) (-635 (-121))) 120)) (-3143 ((|#5| |#7|) 94)) (-2411 (((-635 |#7|) (-918)) 149 (|has| |#1| (-371)))) (-2344 (((-635 |#7|) |#5|) 92)) (-1979 ((|#6| |#3| |#7|) 97)) (-2747 (((-569) (-918)) 194 (|has| |#1| (-371)))) (-3870 (((-569) (-918) (-918)) 193 (|has| |#1| (-371)))) (-3049 (((-569) (-918)) 176 (|has| |#1| (-371)))) (-3154 (((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-2346 ((|#8| |#3|) 50)) (-3408 (((-635 |#3|) |#8| (-635 |#3|)) 136)) (-1317 (((-635 |#3|) |#8| (-764)) 65)) (-3875 ((|#3| |#3| (-569)) 40)) (-3342 (((-569)) 74)) (-3950 (((-764)) 73)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569)) 114)) (-1361 (((-3 |#1| "failed") (-410 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-1468 ((|#1| (-410 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-3347 (((-635 |#10|)) 70)) (-1844 (((-635 |#10|)) 45)) (-2184 (((-569)) 204 (|has| |#1| (-371)))) (-2209 ((|#8|) 54)) (-1561 (((-1242 (-569) -3417) (-918)) 155 (|has| |#1| (-371))) (((-1242 (-569) -3417)) 156 (|has| |#1| (-371)))) (-4256 (((-1159 (-569)) (-918)) 158 (|has| |#1| (-371))) (((-1159 (-569))) 196 (|has| |#1| (-371))))) 
-(((-468 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2956 ((-1252))) (-15 -3718 (|#3| |#3|)) (-15 -3875 (|#3| |#3| (-569))) (-15 -3987 ((-1252) (-635 (-121)))) (-15 -1692 (|#3|)) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -1844 ((-635 |#10|))) (-15 -3347 ((-635 |#10|))) (-15 -2122 ((-635 |#5|) (-635 |#5|))) (-15 -1366 ((-635 |#5|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -3154 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -1317 ((-635 |#3|) |#8| (-764))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1468 (|#1| |#3| |#7|)) (-15 -1468 (|#1| |#3| |#3| |#7|)) (-15 -1468 (|#1| (-410 |#3|) |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2346 (|#8| |#3|)) (-15 -2209 (|#8|)) (-15 -2344 ((-635 |#7|) |#5|)) (-15 -3143 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -2516 ((-635 |#7|))) (-15 -1818 ((-635 |#5|))) (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 |#7|) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -468)) 
-((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1561 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2184 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4256 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1818 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2516 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3143 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *3 (-921 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-972 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2344 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *3 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2209 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2346 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1468 (*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *4)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) (-3154 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1979 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1366 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-972 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3347 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1844 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3342 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3950 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1692 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-951 *3 *5 (-853 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3987 (*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *2 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3718 (*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *2 (-951 *3 *5 (-853 *4))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2956 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11))))) 
-(-10 -7 (-15 -2956 ((-1252))) (-15 -3718 (|#3| |#3|)) (-15 -3875 (|#3| |#3| (-569))) (-15 -3987 ((-1252) (-635 (-121)))) (-15 -1692 (|#3|)) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -1844 ((-635 |#10|))) (-15 -3347 ((-635 |#10|))) (-15 -2122 ((-635 |#5|) (-635 |#5|))) (-15 -1366 ((-635 |#5|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -3154 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -1317 ((-635 |#3|) |#8| (-764))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1468 (|#1| |#3| |#7|)) (-15 -1468 (|#1| |#3| |#3| |#7|)) (-15 -1468 (|#1| (-410 |#3|) |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1361 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2346 (|#8| |#3|)) (-15 -2209 (|#8|)) (-15 -2344 ((-635 |#7|) |#5|)) (-15 -3143 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -2516 ((-635 |#7|))) (-15 -1818 ((-635 |#5|))) (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 |#7|) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-1773 (((-635 |#3|) $) 41)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 47)) (-2428 (($ (-635 |#4|)) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#4|) $) 18 (|has| $ (-6 -4535)))) (-4357 ((|#3| $) 45)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 14 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 39)) (-1296 (($) 17)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 16)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542)))) (($ (-635 |#4|)) 49)) (-2139 (($ (-635 |#4|)) 13)) (-4201 (($ $ |#3|) NIL)) (-3460 (($ $ |#3|) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 38) (((-635 |#4|) $) 48)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 30)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-469 |#1| |#2| |#3| |#4|) (-13 (-978 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3817 ($ (-635 |#4|))) (-6 -4535) (-6 -4536))) (-1048) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -469)) 
-((-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-469 *3 *4 *5 *6))))) 
-(-13 (-978 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3817 ($ (-635 |#4|))) (-6 -4535) (-6 -4536))) 
-((-3369 (($) 11)) (-1556 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
-(((-470 |#1| |#2| |#3|) (-10 -8 (-15 -1556 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3369 (|#1|))) (-471 |#2| |#3|) (-173) (-23)) (T -470)) 
-NIL 
-(-10 -8 (-15 -1556 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3369 (|#1|))) 
-((-2568 (((-121) $ $) 7)) (-1647 (((-3 |#1| "failed") $) 23)) (-2428 ((|#1| $) 22)) (-1592 (($ $ $) 20)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 ((|#2| $) 18)) (-2185 (((-851) $) 11) (($ |#1|) 24)) (-3369 (($) 17 T CONST)) (-1556 (($) 21 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 14) (($ $ $) 12)) (-1707 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-471 |#1| |#2|) (-1278) (-173) (-23)) (T -471)) 
-((-1556 (*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1592 (*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
-(-13 (-476 |t#1| |t#2|) (-1038 |t#1|) (-10 -8 (-15 (-1556) ($) -2043) (-15 -1592 ($ $ $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-476 |#1| |#2|) . T) ((-1038 |#1|) . T) ((-1091) . T)) 
-((-3456 (((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918)) 18)) (-4418 (((-1247 (-1247 (-569))) (-918)) 16))) 
-(((-472) (-10 -7 (-15 -3456 ((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918))) (-15 -4418 ((-1247 (-1247 (-569))) (-918))))) (T -472)) 
-((-4418 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 (-569)))) (-5 *1 (-472)))) (-3456 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 (-1247 (-569)))) (-5 *3 (-918)) (-5 *1 (-472))))) 
-(-10 -7 (-15 -3456 ((-1247 (-1247 (-569))) (-1247 (-1247 (-569))) (-918))) (-15 -4418 ((-1247 (-1247 (-569))) (-918)))) 
-((-4319 (((-569) (-569)) 30) (((-569)) 22)) (-2795 (((-569) (-569)) 26) (((-569)) 18)) (-1329 (((-569) (-569)) 28) (((-569)) 20)) (-3821 (((-121) (-121)) 12) (((-121)) 10)) (-3262 (((-121) (-121)) 11) (((-121)) 9)) (-3860 (((-121) (-121)) 24) (((-121)) 15))) 
-(((-473) (-10 -7 (-15 -3262 ((-121))) (-15 -3821 ((-121))) (-15 -3262 ((-121) (-121))) (-15 -3821 ((-121) (-121))) (-15 -3860 ((-121))) (-15 -1329 ((-569))) (-15 -2795 ((-569))) (-15 -4319 ((-569))) (-15 -3860 ((-121) (-121))) (-15 -1329 ((-569) (-569))) (-15 -2795 ((-569) (-569))) (-15 -4319 ((-569) (-569))))) (T -473)) 
-((-4319 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2795 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1329 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-3860 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-4319 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2795 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1329 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-3860 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3821 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3262 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3821 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3262 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(-10 -7 (-15 -3262 ((-121))) (-15 -3821 ((-121))) (-15 -3262 ((-121) (-121))) (-15 -3821 ((-121) (-121))) (-15 -3860 ((-121))) (-15 -1329 ((-569))) (-15 -2795 ((-569))) (-15 -4319 ((-569))) (-15 -3860 ((-121) (-121))) (-15 -1329 ((-569) (-569))) (-15 -2795 ((-569) (-569))) (-15 -4319 ((-569) (-569)))) 
-((-2568 (((-121) $ $) NIL)) (-3601 (((-635 (-382)) $) 27) (((-635 (-382)) $ (-635 (-382))) 90)) (-2304 (((-635 (-1085 (-382))) $) 14) (((-635 (-1085 (-382))) $ (-635 (-1085 (-382)))) 87)) (-4463 (((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870))) 42)) (-2863 (((-635 (-635 (-945 (-216)))) $) 83)) (-2893 (((-1252) $ (-945 (-216)) (-870)) 103)) (-3285 (($ $) 82) (($ (-635 (-635 (-945 (-216))))) 93) (($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918))) 92) (($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257))) 94)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 65)) (-3360 (((-1109) $) NIL)) (-3595 (($) 91)) (-2193 (((-635 (-216)) (-635 (-635 (-945 (-216))))) 52)) (-3040 (((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918)) 97) (((-1252) $ (-945 (-216))) 99) (((-1252) $ (-945 (-216)) (-870) (-870) (-918)) 98)) (-2185 (((-851) $) 109) (($ (-635 (-635 (-945 (-216))))) 104)) (-2077 (((-1252) $ (-945 (-216))) 102)) (-1668 (((-121) $ $) NIL))) 
-(((-474) (-13 (-1091) (-10 -8 (-15 -3595 ($)) (-15 -3285 ($ $)) (-15 -3285 ($ (-635 (-635 (-945 (-216)))))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257)))) (-15 -2863 ((-635 (-635 (-945 (-216)))) $)) (-15 -2335 ((-569) $)) (-15 -2304 ((-635 (-1085 (-382))) $)) (-15 -2304 ((-635 (-1085 (-382))) $ (-635 (-1085 (-382))))) (-15 -3601 ((-635 (-382)) $)) (-15 -3601 ((-635 (-382)) $ (-635 (-382)))) (-15 -3040 ((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918))) (-15 -3040 ((-1252) $ (-945 (-216)))) (-15 -3040 ((-1252) $ (-945 (-216)) (-870) (-870) (-918))) (-15 -2077 ((-1252) $ (-945 (-216)))) (-15 -2893 ((-1252) $ (-945 (-216)) (-870))) (-15 -2185 ($ (-635 (-635 (-945 (-216)))))) (-15 -2185 ((-851) $)) (-15 -4463 ((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870)))) (-15 -2193 ((-635 (-216)) (-635 (-635 (-945 (-216))))))))) (T -474)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-474)))) (-3595 (*1 *1) (-5 *1 (-474))) (-3285 (*1 *1 *1) (-5 *1 (-474))) (-3285 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-3285 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *1 (-474)))) (-3285 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) (-2863 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) (-2304 (*1 *2 *1) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) (-2304 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) (-3601 (*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-3601 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) (-3040 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2077 (*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2893 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-474)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) (-4463 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *1 (-474)))) (-2193 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
-(-13 (-1091) (-10 -8 (-15 -3595 ($)) (-15 -3285 ($ $)) (-15 -3285 ($ (-635 (-635 (-945 (-216)))))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)))) (-15 -3285 ($ (-635 (-635 (-945 (-216)))) (-635 (-870)) (-635 (-870)) (-635 (-918)) (-635 (-257)))) (-15 -2863 ((-635 (-635 (-945 (-216)))) $)) (-15 -2335 ((-569) $)) (-15 -2304 ((-635 (-1085 (-382))) $)) (-15 -2304 ((-635 (-1085 (-382))) $ (-635 (-1085 (-382))))) (-15 -3601 ((-635 (-382)) $)) (-15 -3601 ((-635 (-382)) $ (-635 (-382)))) (-15 -3040 ((-1252) $ (-635 (-945 (-216))) (-870) (-870) (-918))) (-15 -3040 ((-1252) $ (-945 (-216)))) (-15 -3040 ((-1252) $ (-945 (-216)) (-870) (-870) (-918))) (-15 -2077 ((-1252) $ (-945 (-216)))) (-15 -2893 ((-1252) $ (-945 (-216)) (-870))) (-15 -2185 ($ (-635 (-635 (-945 (-216)))))) (-15 -2185 ((-851) $)) (-15 -4463 ((-635 (-635 (-945 (-216)))) (-635 (-635 (-945 (-216)))) (-635 (-870)))) (-15 -2193 ((-635 (-216)) (-635 (-635 (-945 (-216)))))))) 
-((-1711 (($ $) NIL) (($ $ $) 11))) 
-(((-475 |#1| |#2| |#3|) (-10 -8 (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|))) (-476 |#2| |#3|) (-173) (-23)) (T -475)) 
-NIL 
-(-10 -8 (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 ((|#2| $) 18)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 14) (($ $ $) 12)) (-1707 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
-(((-476 |#1| |#2|) (-1278) (-173) (-23)) (T -476)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) (-3369 (*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
-(-13 (-1091) (-10 -8 (-15 -2492 (|t#2| $)) (-15 (-3369) ($) -2043) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1711 ($ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2904 (((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|))) 88)) (-2190 (((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))) 86)) (-2289 (((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))) 58))) 
-(((-477 |#1| |#2| |#3|) (-10 -7 (-15 -2190 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2904 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2289 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))))) (-635 (-1163)) (-454) (-454)) (T -477)) 
-((-2289 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454)))) (-2904 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454)))) (-2190 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(-10 -7 (-15 -2190 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2904 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-853 |#1|)))) (-15 -2289 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-853 |#1|))))) 
-((-3428 (((-3 $ "failed") $) 11)) (-1414 (($ $ $) 20)) (-4293 (($ $ $) 21)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 14)) (-1715 (($ $ $) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 19))) 
-(((-478 |#1|) (-10 -8 (-15 -4293 (|#1| |#1| |#1|)) (-15 -1414 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1715 (|#1| |#1| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-479)) (T -478)) 
-NIL 
-(-10 -8 (-15 -4293 (|#1| |#1| |#1|)) (-15 -1414 (|#1| |#1| |#1|)) (-15 -2427 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1715 (|#1| |#1| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1407 (((-121) $) 18)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 26)) (-3360 (((-1109) $) 10)) (-1414 (($ $ $) 22)) (-4293 (($ $ $) 21)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16) (($ $ (-569)) 23)) (-1556 (($) 20 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 25)) (** (($ $ (-918)) 13) (($ $ (-764)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
-(((-479) (-1278)) (T -479)) 
-((-1795 (*1 *1 *1) (-4 *1 (-479))) (-1715 (*1 *1 *1 *1) (-4 *1 (-479))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-1414 (*1 *1 *1 *1) (-4 *1 (-479))) (-4293 (*1 *1 *1 *1) (-4 *1 (-479)))) 
-(-13 (-717) (-10 -8 (-15 -1795 ($ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-569))) (-15 -2427 ($ $ (-569))) (-6 -4532) (-15 -1414 ($ $ $)) (-15 -4293 ($ $ $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-717) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 17)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) NIL) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 22)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 26 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 33 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 27 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 25 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 15)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1243 |#2|)) NIL) (($ (-1231 |#1| |#2| |#3|)) 9) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 18)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 24)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-480 |#1| |#2| |#3|) (-13 (-1227 |#1|) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -2185 ($ (-1231 |#1| |#2| |#3|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -480)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1227 |#1|) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -2185 ($ (-1231 |#1| |#2| |#3|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) 18)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 19)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 16)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-481 |#1| |#2| |#3| |#4|) (-1174 |#1| |#2|) (-1091) (-1091) (-1174 |#1| |#2|) |#2|) (T -481)) 
-NIL 
-(-1174 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) NIL)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (((-3 |#4| "failed") $) 37)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 46)) (-3499 (($ $ |#4|) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-3673 (((-121) |#3| $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-482 |#1| |#2| |#3| |#4|) (-1191 |#1| |#2| |#3| |#4|) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -482)) 
-NIL 
-(-1191 |#1| |#2| |#3| |#4|) 
-((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163)) NIL (|has| (-53) (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) NIL))) 
-(((-483) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -483)) 
-((-4179 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3372 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-4281 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3983 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-1934 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) (-2419 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2608 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2063 (*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (IF (|has| (-53) (-1038 (-1163))) (IF (|has| (-53) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
-((-2460 (((-311 (-569)) |#1|) 11))) 
-(((-484 |#1|) (-10 -7 (-15 -2460 ((-311 (-569)) |#1|))) (-13 (-351) (-610 (-569)))) (T -484)) 
-((-2460 (*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
-(-10 -7 (-15 -2460 ((-311 (-569)) |#1|))) 
-((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|)) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163)) NIL (|has| |#1| (-1038 (-1163)))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) NIL))) 
-(((-485 |#1|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) (-13 (-351) (-610 (-569)))) (T -485)) 
-((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *7)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *6)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#1| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 |#1| (-764) (-764) (-1159 |#1|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
-((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569)))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-569)) (-1038 (-1163))) (|has| (-569) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) NIL))) 
-(((-486) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -486)) 
-((-4179 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3372 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-4281 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3983 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-1934 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) (-2419 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2608 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2063 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1038 (-1163))) (IF (|has| (-569) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
-((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163)) 357 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) 351)) (-3983 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 477 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 470) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 471)) (-3372 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 480 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 476) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 475)) (-4134 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 467) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 466)) (-4281 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 479 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 473) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 472)) (-4369 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 463) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 464)) (-4045 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) 454)) (-2063 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 192 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 190) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 189)) (-2608 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 218 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 207) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 206)) (-3077 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 460) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 461)) (-4179 (((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)) 469 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 457) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 458)) (-2954 (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) 503) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163))) 509) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) 508) (((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|)) 507)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163)) 327 (-12 (|has| |#1| (-1038 (-1163))) (|has| |#2| (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) 317))) 
-(((-487 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) (-366) (-454) (-13 (-433 (-569)) (-559) (-1038 |#4|) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)))) (-13 (-843) (-559)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -487)) 
-((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-843) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1038 *10) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-843) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1038 *9) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)))))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2063 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -2608 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4179 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3077 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -4369 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3983 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466)))) (IF (|has| |#1| (-1038 (-1163))) (IF (|has| |#2| (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 |#1|)) (-1204 |#1|))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 |#1|))) (-1204 (-1159 |#1|)))) (|:| |exprStream| (-1 (-1143 |#3|) |#3| (-1163))) (|:| A (-1 |#2| (-764) (-764) (-1159 |#2|))) (|:| AF (-1 (-1159 |#1|) (-764) (-764) (-1204 (-1159 |#1|)))) (|:| AX (-1 |#3| (-764) (-1163) |#3|)) (|:| C (-1 (-635 |#2|) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 |#3|) (|:| -2558 (-764)))) (-635 |#1|) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
-((-2419 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569))))) NIL)) (-1934 (((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163)) NIL (-12 (|has| (-410 (-954 (-569))) (-1038 (-1163))) (|has| (-954 (-569)) (-1038 (-1163))))) (((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) NIL))) 
-(((-488) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|))) (T -488)) 
-((-4179 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3372 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-4281 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3983 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-1934 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) (-2419 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2608 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2063 (*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))))) (-15 -1934 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-15 -2419 ((-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (IF (|has| (-410 (-954 (-569))) (-1038 (-1163))) (IF (|has| (-954 (-569)) (-1038 (-1163))) (PROGN (-15 -2419 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -1934 ((-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))) (-1163)))) |noBranch|) |noBranch|)) 
-((-2419 (((-1 HPSPEC (-635 (-466))) (-1163)) NIL) ((HPSPEC (-635 (-466))) NIL)) (-3983 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-3372 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4134 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4281 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL)) (-4369 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-4045 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466)))) NIL)) (-2063 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-2608 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-3077 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-4179 (((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-2954 (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569))))) NIL)) (-1934 (((-1 HPSPEC (-635 (-466))) (-1163)) NIL) ((HPSPEC (-635 (-466))) NIL))) 
-(((-489 |#1|) (-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -1934 (HPSPEC (-635 (-466)))) (-15 -2419 (HPSPEC (-635 (-466)))) (-15 -2419 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -1934 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)))) (-1163)) (T -489)) 
-((-4179 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2419 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-1934 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-3372 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-3372 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4281 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4281 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3983 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3983 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4134 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4134 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4369 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4369 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-3077 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-3077 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4179 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-4179 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-2608 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2608 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-2063 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2063 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) (-2954 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-735 *7 (-569))))) (-14 *7 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *7)))) (-2954 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-735 *6 (-569))))) (-14 *6 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *6)))) (-2954 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) (-2954 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4))))) 
-(-10 -7 (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)))) (-15 -2954 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-635 (-1163)) (-635 (-466)))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2063 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -2608 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -2063 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -2608 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4045 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4179 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3077 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -4369 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4134 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3983 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -4281 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466)))) (-15 -3372 ((-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))))) (-15 -1934 (HPSPEC (-635 (-466)))) (-15 -2419 (HPSPEC (-635 (-466)))) (-15 -2419 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -1934 ((-1 HPSPEC (-635 (-466))) (-1163))) (-15 -3983 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4281 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -3372 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163))) (-15 -4179 ((-1 (-635 (-2 (|:| -1813 (-734 |#1| (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 |#1| (-569)))) (-635 (-466))) (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2445 (($) 18)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3817 (((-382) $) 22) (((-216) $) 25) (((-410 (-1159 (-569))) $) 19) (((-542) $) 52)) (-2185 (((-851) $) 50) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (((-216) $) 24) (((-382) $) 21)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 36 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-490) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1022) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1159 (-569)))) (-610 (-542)) (-10 -8 (-15 -2445 ($))))) (T -490)) 
-((-2445 (*1 *1) (-5 *1 (-490)))) 
-(-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1022) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1159 (-569)))) (-610 (-542)) (-10 -8 (-15 -2445 ($)))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) 16)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 20)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 18)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) 13)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 19)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 11 (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) 15 (|has| $ (-6 -4535))))) 
-(((-491 |#1| |#2| |#3|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091) (-1145)) (T -491)) 
-NIL 
-(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
-((-3580 (((-569) (-569) (-569)) 7)) (-3758 (((-121) (-569) (-569) (-569) (-569)) 11)) (-1923 (((-1247 (-635 (-569))) (-764) (-764)) 22))) 
-(((-492) (-10 -7 (-15 -3580 ((-569) (-569) (-569))) (-15 -3758 ((-121) (-569) (-569) (-569) (-569))) (-15 -1923 ((-1247 (-635 (-569))) (-764) (-764))))) (T -492)) 
-((-1923 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1247 (-635 (-569)))) (-5 *1 (-492)))) (-3758 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492)))) (-3580 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
-(-10 -7 (-15 -3580 ((-569) (-569) (-569))) (-15 -3758 ((-121) (-569) (-569) (-569) (-569))) (-15 -1923 ((-1247 (-635 (-569))) (-764) (-764)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-1386 (($ $ (-635 (-569))) NIL)) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-494 (-4168 |#1|) (-764)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-494 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-494 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-494 (-4168 |#1|) (-764)) (-494 (-4168 |#1|) (-764))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-494 (-4168 |#1|) (-764)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-494 (-4168 |#1|) (-764))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-493 |#1| |#2|) (-13 (-951 |#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) (-635 (-1163)) (-1048)) (T -493)) 
-((-1386 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
-(-13 (-951 |#2| (-494 (-4168 |#1|) (-764)) (-853 |#1|)) (-10 -8 (-15 -1386 ($ $ (-635 (-569)))))) 
-((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) NIL (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) NIL (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) 11)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) NIL)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) NIL) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) NIL (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) NIL (|has| |#2| (-138)) CONST)) (-1556 (($) NIL (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 15 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) NIL (|has| |#2| (-717))) (($ $ |#2|) NIL (|has| |#2| (-1048))) (($ |#2| $) NIL (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-494 |#1| |#2|) (-231 |#1| |#2|) (-764) (-789)) (T -494)) 
+((-1310 (((-121) $ $) 7)) (-2668 (((-121) $) 13)) (-2906 (((-121) $) 14)) (-2446 (($ (-1147) (-1147) (-1147)) 12)) (-2798 (((-1147) $) 17)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3204 (($ (-1147) (-1147) (-1147)) 19)) (-2301 (((-1147) $) 16)) (-2290 (((-121) $) 15)) (-2525 (((-1147) $) 18)) (-3956 (((-852) $) 11) (($ (-1147)) 21) (((-1147) $) 20)) (-1326 (((-121) $ $) 6))) 
+(((-392) (-1284)) (T -392)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-3204 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) (-2525 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2798 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2301 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) (-2290 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2906 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2668 (*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121)))) (-2446 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ((-1147) $)) (-15 -3204 ($ (-1147) (-1147) (-1147))) (-15 -2525 ((-1147) $)) (-15 -2798 ((-1147) $)) (-15 -2301 ((-1147) $)) (-15 -2290 ((-121) $)) (-15 -2906 ((-121) $)) (-15 -2668 ((-121) $)) (-15 -2446 ($ (-1147) (-1147) (-1147))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4264 (((-852) $) 50)) (-4483 (($) NIL T CONST)) (-4382 (($ $ (-919)) NIL)) (-2073 (($ $ (-919)) NIL)) (-2846 (($ $ (-919)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($ (-765)) 26)) (-2174 (((-765)) 15)) (-3103 (((-852) $) 52)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) NIL)) (-4379 (($ $ $ $) NIL)) (-3924 (($ $ $) NIL)) (-2407 (($) 20 T CONST)) (-1326 (((-121) $ $) 28)) (-1377 (($ $) 34) (($ $ $) 36)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 38) (($ $ |#3|) NIL) (($ |#3| $) 33))) 
+(((-393 |#1| |#2| |#3|) (-13 (-738 |#3|) (-10 -8 (-15 -2174 ((-765))) (-15 -3103 ((-852) $)) (-15 -4264 ((-852) $)) (-15 -1986 ($ (-765))))) (-765) (-765) (-173)) (T -393)) 
+((-2174 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173)))) (-4264 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173)))) (-1986 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173))))) 
+(-13 (-738 |#3|) (-10 -8 (-15 -2174 ((-765))) (-15 -3103 ((-852) $)) (-15 -4264 ((-852) $)) (-15 -1986 ($ (-765))))) 
+((-4346 (((-1147)) 10)) (-2772 (((-1135 (-1147))) 28)) (-3198 (((-1258) (-1147)) 25) (((-1258) (-391)) 24)) (-3217 (((-1258)) 26)) (-2610 (((-1135 (-1147))) 27))) 
+(((-394) (-10 -7 (-15 -2610 ((-1135 (-1147)))) (-15 -2772 ((-1135 (-1147)))) (-15 -3217 ((-1258))) (-15 -3198 ((-1258) (-391))) (-15 -3198 ((-1258) (-1147))) (-15 -4346 ((-1147))))) (T -394)) 
+((-4346 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-394)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-394)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-394)))) (-3217 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-394)))) (-2772 (*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394)))) (-2610 (*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
+(-10 -7 (-15 -2610 ((-1135 (-1147)))) (-15 -2772 ((-1135 (-1147)))) (-15 -3217 ((-1258))) (-15 -3198 ((-1258) (-391))) (-15 -3198 ((-1258) (-1147))) (-15 -4346 ((-1147)))) 
+((-4433 (((-765) (-335 |#1| |#2| |#3| |#4|)) 16))) 
+(((-395 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|)))) (-13 (-371) (-366)) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -395)) 
+((-4433 (*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-765)) (-5 *1 (-395 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|)))) 
+((-3956 (((-397) |#1|) 11))) 
+(((-396 |#1|) (-10 -7 (-15 -3956 ((-397) |#1|))) (-1093)) (T -396)) 
+((-3956 (*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1093))))) 
+(-10 -7 (-15 -3956 ((-397) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2554 (((-635 (-1147)) $ (-635 (-1147))) 37)) (-1936 (((-635 (-1147)) $ (-635 (-1147))) 38)) (-4541 (((-635 (-1147)) $ (-635 (-1147))) 39)) (-4278 (((-635 (-1147)) $) 34)) (-2446 (($) 23)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3048 (((-635 (-1147)) $) 35)) (-3641 (((-635 (-1147)) $) 36)) (-2442 (((-1258) $ (-569)) 32) (((-1258) $) 33)) (-4035 (($ (-852) (-569)) 29)) (-3956 (((-852) $) 41) (($ (-852)) 25)) (-1326 (((-121) $ $) NIL))) 
+(((-397) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3048 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -1936 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147))))))) (T -397)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-397)))) (-4035 (*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-397)))) (-2442 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-397)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-397)))) (-3641 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-3048 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-2446 (*1 *1) (-5 *1 (-397))) (-4278 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-4541 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-1936 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) (-2554 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3048 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -1936 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147)))))) 
+((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8))) 
+(((-398) (-1284)) (T -398)) 
+((-3225 (*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1258))))) 
+(-13 (-1199) (-609 (-852)) (-10 -8 (-15 -3225 ((-1258) $)))) 
+(((-609 (-852)) . T) ((-1199) . T)) 
+((-3003 (((-3 $ "failed") (-311 (-382))) 19) (((-3 $ "failed") (-311 (-569))) 17) (((-3 $ "failed") (-955 (-382))) 15) (((-3 $ "failed") (-955 (-569))) 13) (((-3 $ "failed") (-410 (-955 (-382)))) 11) (((-3 $ "failed") (-410 (-955 (-569)))) 9)) (-1321 (($ (-311 (-382))) 20) (($ (-311 (-569))) 18) (($ (-955 (-382))) 16) (($ (-955 (-569))) 14) (($ (-410 (-955 (-382)))) 12) (($ (-410 (-955 (-569)))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
+(((-399) (-1284)) (T -399)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-311 (-382)))) (-15 -3003 ((-3 $ "failed") (-311 (-382)))) (-15 -1321 ($ (-311 (-569)))) (-15 -3003 ((-3 $ "failed") (-311 (-569)))) (-15 -1321 ($ (-955 (-382)))) (-15 -3003 ((-3 $ "failed") (-955 (-382)))) (-15 -1321 ($ (-955 (-569)))) (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-410 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-382))))) (-15 -1321 ($ (-410 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-410 (-955 (-569))))))) 
+(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
+((-4502 (((-635 (-1147)) (-635 (-1147))) 8)) (-3225 (((-1258) (-391)) 27)) (-4521 (((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165))) 59) (((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165)) 35) (((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165))) 34))) 
+(((-400) (-10 -7 (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)))) (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165))) (-15 -4521 ((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165)))) (-15 -3225 ((-1258) (-391))) (-15 -4502 ((-635 (-1147)) (-635 (-1147)))))) (T -400)) 
+((-4502 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-400)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *5 (-1168)) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) (-4521 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400))))) 
+(-10 -7 (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)))) (-15 -4521 ((-1097) (-1165) (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165)))) (-635 (-635 (-3 (|:| |array| (-635 (-1165))) (|:| |scalar| (-1165))))) (-635 (-1165)) (-1165))) (-15 -4521 ((-1097) (-1165) (-635 (-1165)) (-1168) (-635 (-1165)))) (-15 -3225 ((-1258) (-391))) (-15 -4502 ((-635 (-1147)) (-635 (-1147))))) 
+((-3225 (((-1258) $) 37)) (-3956 (((-852) $) 89) (($ (-329)) 92) (($ (-635 (-329))) 91) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 88) (($ (-311 (-692))) 52) (($ (-311 (-690))) 66) (($ (-311 (-685))) 78) (($ (-289 (-311 (-692)))) 62) (($ (-289 (-311 (-690)))) 74) (($ (-289 (-311 (-685)))) 86) (($ (-311 (-569))) 96) (($ (-311 (-382))) 108) (($ (-311 (-170 (-382)))) 120) (($ (-289 (-311 (-569)))) 104) (($ (-289 (-311 (-382)))) 116) (($ (-289 (-311 (-170 (-382))))) 128))) 
+(((-401 |#1| |#2| |#3| |#4|) (-13 (-398) (-10 -8 (-15 -3956 ($ (-329))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -3956 ($ (-311 (-692)))) (-15 -3956 ($ (-311 (-690)))) (-15 -3956 ($ (-311 (-685)))) (-15 -3956 ($ (-289 (-311 (-692))))) (-15 -3956 ($ (-289 (-311 (-690))))) (-15 -3956 ($ (-289 (-311 (-685))))) (-15 -3956 ($ (-311 (-569)))) (-15 -3956 ($ (-311 (-382)))) (-15 -3956 ($ (-311 (-170 (-382))))) (-15 -3956 ($ (-289 (-311 (-569))))) (-15 -3956 ($ (-289 (-311 (-382))))) (-15 -3956 ($ (-289 (-311 (-170 (-382)))))))) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-1169)) (T -401)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-692)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-690)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-685)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-329))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -3956 ($ (-311 (-692)))) (-15 -3956 ($ (-311 (-690)))) (-15 -3956 ($ (-311 (-685)))) (-15 -3956 ($ (-289 (-311 (-692))))) (-15 -3956 ($ (-289 (-311 (-690))))) (-15 -3956 ($ (-289 (-311 (-685))))) (-15 -3956 ($ (-311 (-569)))) (-15 -3956 ($ (-311 (-382)))) (-15 -3956 ($ (-311 (-170 (-382))))) (-15 -3956 ($ (-289 (-311 (-569))))) (-15 -3956 ($ (-289 (-311 (-382))))) (-15 -3956 ($ (-289 (-311 (-170 (-382)))))))) 
+((-1310 (((-121) $ $) NIL)) (-2877 ((|#2| $) 36)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3721 (($ (-410 |#2|)) 84)) (-2266 (((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $) 37)) (-3289 (($ $) 32) (($ $ (-765)) 34)) (-4035 (((-410 |#2|) $) 46)) (-3124 (($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|)))) 31)) (-3956 (((-852) $) 120)) (-3712 (($ $) 33) (($ $ (-765)) 35)) (-1326 (((-121) $ $) NIL)) (-1371 (($ |#2| $) 39))) 
+(((-402 |#1| |#2|) (-13 (-1093) (-610 (-410 |#2|)) (-10 -8 (-15 -1371 ($ |#2| $)) (-15 -3721 ($ (-410 |#2|))) (-15 -2877 (|#2| $)) (-15 -2266 ((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))))) (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) (-13 (-366) (-151)) (-1228 |#1|)) (T -402)) 
+((-1371 (*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1228 *3)))) (-3721 (*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-2877 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151))))) (-2266 (*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) (-3289 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) (-3712 (*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3))))) 
+(-13 (-1093) (-610 (-410 |#2|)) (-10 -8 (-15 -1371 ($ |#2| $)) (-15 -3721 ($ (-410 |#2|))) (-15 -2877 (|#2| $)) (-15 -2266 ((-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3190 (-765)) (|:| -1736 |#2|) (|:| |num| |#2|))))) (-15 -3289 ($ $)) (-15 -3712 ($ $)) (-15 -3289 ($ $ (-765))) (-15 -3712 ($ $ (-765))))) 
+((-1310 (((-121) $ $) 9 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 15 (|has| |#1| (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 14 (|has| |#1| (-883 (-569))))) (-2605 (((-1147) $) 13 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-1912 (((-1111) $) 12 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-3956 (((-852) $) 11 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))))) (-1326 (((-121) $ $) 10 (-1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382))))))) 
+(((-403 |#1|) (-1284) (-1199)) (T -403)) 
+NIL 
+(-13 (-1199) (-10 -7 (IF (|has| |t#1| (-883 (-569))) (-6 (-883 (-569))) |noBranch|) (IF (|has| |t#1| (-883 (-382))) (-6 (-883 (-382))) |noBranch|))) 
+(((-105) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-609 (-852)) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-1093) -1929 (|has| |#1| (-883 (-569))) (|has| |#1| (-883 (-382)))) ((-1199) . T)) 
+((-3238 (($ $) 10) (($ $ (-765)) 11))) 
+(((-404 |#1|) (-10 -8 (-15 -3238 (|#1| |#1| (-765))) (-15 -3238 (|#1| |#1|))) (-405)) (T -404)) 
+NIL 
+(-10 -8 (-15 -3238 (|#1| |#1| (-765))) (-15 -3238 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 77)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 76)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-405) (-1284)) (T -405)) 
+((-4433 (*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-830 (-919))))) (-3600 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-765)))) (-3238 (*1 *1 *1) (-4 *1 (-405))) (-3238 (*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-765))))) 
+(-13 (-366) (-149) (-10 -8 (-15 -4433 ((-830 (-919)) $)) (-15 -3600 ((-3 (-765) "failed") $ $)) (-15 -3238 ($ $)) (-15 -3238 ($ $ (-765))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-3222 (($ (-569) (-569)) 11) (($ (-569) (-569) (-919)) NIL)) (-2721 (((-919)) 16) (((-919) (-919)) NIL))) 
+(((-406 |#1|) (-10 -8 (-15 -2721 ((-919) (-919))) (-15 -2721 ((-919))) (-15 -3222 (|#1| (-569) (-569) (-919))) (-15 -3222 (|#1| (-569) (-569)))) (-407)) (T -406)) 
+((-2721 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) (-2721 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407))))) 
+(-10 -8 (-15 -2721 ((-919) (-919))) (-15 -2721 ((-919))) (-15 -3222 (|#1| (-569) (-569) (-919))) (-15 -3222 (|#1| (-569) (-569)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 (((-569) $) 85)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $) 83)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 93)) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 110)) (-4483 (($) 16 T CONST)) (-3411 (($ $) 82)) (-3003 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-1321 (((-569) $) 97) (((-410 (-569)) $) 94)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-2471 (((-919)) 119) (((-919) (-919)) 116 (|has| $ (-6 -4562)))) (-1863 (((-121) $) 108)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 89)) (-4433 (((-569) $) 125)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 92)) (-3046 (($ $) 88)) (-4311 (((-121) $) 109)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 107) (($) 113 (-12 (-3182 (|has| $ (-6 -4562))) (-3182 (|has| $ (-6 -4554)))))) (-2713 (($ $ $) 106) (($) 112 (-12 (-3182 (|has| $ (-6 -4562))) (-3182 (|has| $ (-6 -4554)))))) (-3066 (((-569) $) 122)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1485 (((-919) (-569)) 115 (|has| $ (-6 -4562)))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 84)) (-1807 (($ $) 86)) (-3222 (($ (-569) (-569)) 127) (($ (-569) (-569) (-919)) 126)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3190 (((-569) $) 123)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2721 (((-919)) 120) (((-919) (-919)) 117 (|has| $ (-6 -4562)))) (-2791 (((-919) (-569)) 114 (|has| $ (-6 -4562)))) (-4035 (((-382) $) 101) (((-216) $) 100) (((-889 (-382)) $) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-2320 (((-765)) 28)) (-3215 (($ $) 87)) (-4420 (((-919)) 121) (((-919) (-919)) 118 (|has| $ (-6 -4562)))) (-1710 (((-919)) 124)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 111)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 104)) (-1343 (((-121) $ $) 103)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 105)) (-1337 (((-121) $ $) 102)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-407) (-1284)) (T -407)) 
+((-3222 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) (-3222 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-4 *1 (-407)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-1710 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-3190 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-3066 (*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) (-4420 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-2721 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-2471 (*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) (-4420 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-2721 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-2471 (*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) (-1485 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919)))) (-2791 (*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919)))) (-2157 (*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) (-2713 (*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554)))))) 
+(-13 (-1058) (-10 -8 (-6 -4334) (-15 -3222 ($ (-569) (-569))) (-15 -3222 ($ (-569) (-569) (-919))) (-15 -4433 ((-569) $)) (-15 -1710 ((-919))) (-15 -3190 ((-569) $)) (-15 -3066 ((-569) $)) (-15 -4420 ((-919))) (-15 -2721 ((-919))) (-15 -2471 ((-919))) (IF (|has| $ (-6 -4562)) (PROGN (-15 -4420 ((-919) (-919))) (-15 -2721 ((-919) (-919))) (-15 -2471 ((-919) (-919))) (-15 -1485 ((-919) (-569))) (-15 -2791 ((-919) (-569)))) |noBranch|) (IF (|has| $ (-6 -4554)) |noBranch| (IF (|has| $ (-6 -4562)) |noBranch| (PROGN (-15 -2157 ($)) (-15 -2713 ($))))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-889 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-883 (-382)) . T) ((-918) . T) ((-1004) . T) ((-1023) . T) ((-1058) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-4188 (((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)) 20))) 
+(((-408 |#1| |#2|) (-10 -7 (-15 -4188 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) (-559) (-559)) (T -408)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-421 |#2|) (-1 |#2| |#1|) (-421 |#1|)))) 
+((-4188 (((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)) 13))) 
+(((-409 |#1| |#2|) (-10 -7 (-15 -4188 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) (-559) (-559)) (T -409)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-410 |#2|) (-1 |#2| |#1|) (-410 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 13)) (-3644 ((|#1| $) 21 (|has| |#1| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#1| (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 17) (((-3 (-1165) "failed") $) NIL (|has| |#1| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 70 (|has| |#1| (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 15) (((-1165) $) NIL (|has| |#1| (-1039 (-1165)))) (((-410 (-569)) $) 67 (|has| |#1| (-1039 (-569)))) (((-569) $) NIL (|has| |#1| (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 50)) (-3341 (($) NIL (|has| |#1| (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| |#1| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#1| (-883 (-382))))) (-3934 (((-121) $) 64)) (-3043 (($ $) NIL)) (-3515 ((|#1| $) 71)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-4311 (((-121) $) NIL (|has| |#1| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 97)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| |#1| (-302)))) (-1807 ((|#1| $) 28 (|has| |#1| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 133 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 129 (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) NIL)) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) 63)) (-2572 (($ $) NIL)) (-3524 ((|#1| $) 73)) (-4035 (((-889 (-569)) $) NIL (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#1| (-610 (-889 (-382))))) (((-542) $) NIL (|has| |#1| (-610 (-542)))) (((-382) $) NIL (|has| |#1| (-1023))) (((-216) $) NIL (|has| |#1| (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 113 (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 10) (($ (-1165)) NIL (|has| |#1| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) 99 (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 100)) (-3215 ((|#1| $) 26 (|has| |#1| (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| |#1| (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 22 T CONST)) (-3297 (($) 8 T CONST)) (-3685 (((-1147) $) 43 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1147) $ (-121)) 44 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1258) (-819) $) 45 (-12 (|has| |#1| (-551)) (|has| |#1| (-825)))) (((-1258) (-819) $ (-121)) 46 (-12 (|has| |#1| (-551)) (|has| |#1| (-825))))) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 56)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) 24 (|has| |#1| (-844)))) (-1383 (($ $ $) 124) (($ |#1| |#1|) 52)) (-1377 (($ $) 25) (($ $ $) 55)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 123)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 60) (($ $ $) 57) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 61) (($ $ |#1|) 85))) 
+(((-410 |#1|) (-13 (-995 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4558)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4569)) (-6 -4558) |noBranch|) |noBranch|) |noBranch|))) (-559)) (T -410)) 
+NIL 
+(-13 (-995 |#1|) (-10 -7 (IF (|has| |#1| (-551)) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4558)) (IF (|has| |#1| (-454)) (IF (|has| |#1| (-6 -4569)) (-6 -4558) |noBranch|) |noBranch|) |noBranch|))) 
+((-2245 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 18)) (-2097 (($ (-1253 |#2|) (-1253 $)) NIL) (($ (-1253 |#2|)) 26)) (-1808 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 22)) (-2415 ((|#3| $) 59)) (-2925 ((|#2| (-1253 $)) NIL) ((|#2|) 20)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 24)) (-4035 (((-1253 |#2|) $) 11) (($ (-1253 |#2|)) 13)) (-3033 ((|#3| $) 51))) 
+(((-411 |#1| |#2| |#3|) (-10 -8 (-15 -1808 ((-681 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -2245 ((-681 |#2|))) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 (|#3| |#1|)) (-15 -3033 (|#3| |#1|)) (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) (-412 |#2| |#3|) (-173) (-1228 |#2|)) (T -411)) 
+((-2245 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) (-2925 (*1 *2) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4))))) 
+(-10 -8 (-15 -1808 ((-681 |#2|) |#1|)) (-15 -2925 (|#2|)) (-15 -2245 ((-681 |#2|))) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -2415 (|#3| |#1|)) (-15 -3033 (|#3| |#1|)) (-15 -2245 ((-681 |#2|) (-1253 |#1|))) (-15 -2925 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -1808 ((-681 |#2|) |#1| (-1253 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36)) (-2277 (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-412 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -412)) 
+((-4079 (*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *1)) (-4 *1 (-412 *3 *4)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) (-2245 (*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3)))) (-2925 (*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) (-1808 (*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
+(-13 (-373 |t#1| |t#2|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -4035 ((-1253 |t#1|) $)) (-15 -4035 ($ (-1253 |t#1|))) (-15 -2245 ((-681 |t#1|))) (-15 -2925 (|t#1|)) (-15 -1808 ((-681 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-373 |#1| |#2|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) 27) (((-3 (-569) "failed") $) 19)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) 24) (((-569) $) 14)) (-3956 (($ |#2|) NIL) (($ (-410 (-569))) 22) (($ (-569)) 11))) 
+(((-413 |#1| |#2|) (-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|))) (-414 |#2|) (-1199)) (T -413)) 
+NIL 
+(-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|))) 
+((-3003 (((-3 |#1| "failed") $) 7) (((-3 (-410 (-569)) "failed") $) 15 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 12 (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 8) (((-410 (-569)) $) 14 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 11 (|has| |#1| (-1039 (-569))))) (-3956 (($ |#1|) 6) (($ (-410 (-569))) 16 (|has| |#1| (-1039 (-410 (-569))))) (($ (-569)) 13 (|has| |#1| (-1039 (-569)))))) 
+(((-414 |#1|) (-1284) (-1199)) (T -414)) 
+NIL 
+(-13 (-1039 |t#1|) (-10 -7 (IF (|has| |t#1| (-1039 (-569))) (-6 (-1039 (-569))) |noBranch|) (IF (|has| |t#1| (-1039 (-410 (-569)))) (-6 (-1039 (-410 (-569)))) |noBranch|))) 
+(((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T)) 
+((-4188 (((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)) 33))) 
+(((-415 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) (-302) (-995 |#1|) (-1228 |#2|) (-13 (-412 |#2| |#3|) (-1039 |#2|)) (-302) (-995 |#5|) (-1228 |#6|) (-13 (-412 |#6| |#7|) (-1039 |#6|))) (T -415)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *7 (-1228 *6)) (-4 *8 (-13 (-412 *6 *7) (-1039 *6))) (-4 *9 (-302)) (-4 *10 (-995 *9)) (-4 *11 (-1228 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1039 *10)))))) 
+(-10 -7 (-15 -4188 ((-416 |#5| |#6| |#7| |#8|) (-1 |#5| |#1|) (-416 |#1| |#2| |#3| |#4|)))) 
+((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-1635 ((|#4| (-765) (-1253 |#4|)) 55)) (-3934 (((-121) $) NIL)) (-3515 (((-1253 |#4|) $) 17)) (-3046 ((|#2| $) 53)) (-3087 (($ $) 136)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 98)) (-2018 (($ (-1253 |#4|)) 97)) (-1912 (((-1111) $) NIL)) (-3524 ((|#1| $) 18)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 131)) (-4079 (((-1253 |#4|) $) 126)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 39)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 119)) (* (($ $ $) 118))) 
+(((-416 |#1| |#2| |#3| |#4|) (-13 (-479) (-10 -8 (-15 -2018 ($ (-1253 |#4|))) (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3515 ((-1253 |#4|) $)) (-15 -3524 (|#1| $)) (-15 -3087 ($ $)) (-15 -1635 (|#4| (-765) (-1253 |#4|))))) (-302) (-995 |#1|) (-1228 |#2|) (-13 (-412 |#2| |#3|) (-1039 |#2|))) (T -416)) 
+((-2018 (*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) (-4079 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) (-3046 (*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1039 *2))))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) (-3524 (*1 *2 *1) (-12 (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) (-3087 (*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) (-1635 (*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1253 *2)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *2 (-13 (-412 *6 *7) (-1039 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1228 *6))))) 
+(-13 (-479) (-10 -8 (-15 -2018 ($ (-1253 |#4|))) (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3515 ((-1253 |#4|) $)) (-15 -3524 (|#1| $)) (-15 -3087 ($ $)) (-15 -1635 (|#4| (-765) (-1253 |#4|))))) 
+((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3046 ((|#2| $) 60)) (-3830 (($ (-1253 |#4|)) 25) (($ (-416 |#1| |#2| |#3| |#4|)) 75 (|has| |#4| (-1039 |#2|)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 34)) (-4079 (((-1253 |#4|) $) 26)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ $ $) 72))) 
+(((-417 |#1| |#2| |#3| |#4| |#5|) (-13 (-718) (-10 -8 (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3830 ($ (-1253 |#4|))) (IF (|has| |#4| (-1039 |#2|)) (-15 -3830 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) (-302) (-995 |#1|) (-1228 |#2|) (-412 |#2| |#3|) (-1253 |#4|)) (T -417)) 
+((-4079 (*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) (-3046 (*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1253 *5)))) (-3830 (*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2))) (-3830 (*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1039 *4)) (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7))))) 
+(-13 (-718) (-10 -8 (-15 -4079 ((-1253 |#4|) $)) (-15 -3046 (|#2| $)) (-15 -3830 ($ (-1253 |#4|))) (IF (|has| |#4| (-1039 |#2|)) (-15 -3830 ($ (-416 |#1| |#2| |#3| |#4|))) |noBranch|))) 
+((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 26))) 
+(((-418 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-420 |#2|) (-173) (-420 |#4|) (-173)) (T -418)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5))))) 
+(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-3667 (((-3 $ "failed")) 85)) (-3359 (((-1253 (-681 |#2|)) (-1253 $)) NIL) (((-1253 (-681 |#2|))) 90)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 84)) (-3943 (((-3 $ "failed")) 83)) (-2459 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 101)) (-4471 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 109)) (-1965 (((-1161 (-955 |#2|))) 54)) (-1547 ((|#2| (-1253 $)) NIL) ((|#2|) 105)) (-2097 (($ (-1253 |#2|) (-1253 $)) NIL) (($ (-1253 |#2|)) 112)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 82)) (-1309 (((-3 $ "failed")) 74)) (-3707 (((-681 |#2|) (-1253 $)) NIL) (((-681 |#2|)) 99)) (-4432 (((-681 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) $) 107)) (-3348 (((-1161 (-955 |#2|))) 53)) (-2510 ((|#2| (-1253 $)) NIL) ((|#2|) 103)) (-3672 (((-1253 |#2|) $ (-1253 $)) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $)) 111)) (-4035 (((-1253 |#2|) $) 95) (($ (-1253 |#2|)) 97)) (-3127 (((-635 (-955 |#2|)) (-1253 $)) NIL) (((-635 (-955 |#2|))) 93)) (-1772 (($ (-681 |#2|) $) 89))) 
+(((-419 |#1| |#2|) (-10 -8 (-15 -1772 (|#1| (-681 |#2|) |#1|)) (-15 -1965 ((-1161 (-955 |#2|)))) (-15 -3348 ((-1161 (-955 |#2|)))) (-15 -4471 ((-681 |#2|) |#1|)) (-15 -4432 ((-681 |#2|) |#1|)) (-15 -2459 ((-681 |#2|))) (-15 -3707 ((-681 |#2|))) (-15 -1547 (|#2|)) (-15 -2510 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3127 ((-635 (-955 |#2|)))) (-15 -3359 ((-1253 (-681 |#2|)))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -3667 ((-3 |#1| "failed"))) (-15 -3943 ((-3 |#1| "failed"))) (-15 -1309 ((-3 |#1| "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -4030 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|))) (-15 -3127 ((-635 (-955 |#2|)) (-1253 |#1|)))) (-420 |#2|) (-173)) (T -419)) 
+((-3359 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3127 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2510 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-1547 (*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) (-3707 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-2459 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-3348 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) (-1965 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4))))) 
+(-10 -8 (-15 -1772 (|#1| (-681 |#2|) |#1|)) (-15 -1965 ((-1161 (-955 |#2|)))) (-15 -3348 ((-1161 (-955 |#2|)))) (-15 -4471 ((-681 |#2|) |#1|)) (-15 -4432 ((-681 |#2|) |#1|)) (-15 -2459 ((-681 |#2|))) (-15 -3707 ((-681 |#2|))) (-15 -1547 (|#2|)) (-15 -2510 (|#2|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -2097 (|#1| (-1253 |#2|))) (-15 -3127 ((-635 (-955 |#2|)))) (-15 -3359 ((-1253 (-681 |#2|)))) (-15 -3672 ((-681 |#2|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1|)) (-15 -3667 ((-3 |#1| "failed"))) (-15 -3943 ((-3 |#1| "failed"))) (-15 -1309 ((-3 |#1| "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -4030 ((-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed"))) (-15 -2459 ((-681 |#2|) (-1253 |#1|))) (-15 -3707 ((-681 |#2|) (-1253 |#1|))) (-15 -1547 (|#2| (-1253 |#1|))) (-15 -2510 (|#2| (-1253 |#1|))) (-15 -2097 (|#1| (-1253 |#2|) (-1253 |#1|))) (-15 -3672 ((-681 |#2|) (-1253 |#1|) (-1253 |#1|))) (-15 -3672 ((-1253 |#2|) |#1| (-1253 |#1|))) (-15 -4471 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -4432 ((-681 |#2|) |#1| (-1253 |#1|))) (-15 -3359 ((-1253 (-681 |#2|)) (-1253 |#1|))) (-15 -3127 ((-635 (-955 |#2|)) (-1253 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3667 (((-3 $ "failed")) 35 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-3359 (((-1253 (-681 |#1|)) (-1253 $)) 76) (((-1253 (-681 |#1|))) 93)) (-1552 (((-1253 $)) 79)) (-4483 (($) 16 T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 38 (|has| |#1| (-559)))) (-3943 (((-3 $ "failed")) 36 (|has| |#1| (-559)))) (-2459 (((-681 |#1|) (-1253 $)) 63) (((-681 |#1|)) 85)) (-1478 ((|#1| $) 72)) (-4471 (((-681 |#1|) $ (-1253 $)) 74) (((-681 |#1|) $) 83)) (-4174 (((-3 $ "failed") $) 43 (|has| |#1| (-559)))) (-1965 (((-1161 (-955 |#1|))) 81 (|has| |#1| (-366)))) (-4382 (($ $ (-919)) 27)) (-3557 ((|#1| $) 70)) (-2212 (((-1161 |#1|) $) 40 (|has| |#1| (-559)))) (-1547 ((|#1| (-1253 $)) 65) ((|#1|) 87)) (-3168 (((-1161 |#1|) $) 61)) (-3073 (((-121)) 55)) (-2097 (($ (-1253 |#1|) (-1253 $)) 67) (($ (-1253 |#1|)) 91)) (-2611 (((-3 $ "failed") $) 45 (|has| |#1| (-559)))) (-3358 (((-919)) 78)) (-3894 (((-121)) 52)) (-2073 (($ $ (-919)) 32)) (-1428 (((-121)) 48)) (-4078 (((-121)) 46)) (-4015 (((-121)) 50)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) 39 (|has| |#1| (-559)))) (-1309 (((-3 $ "failed")) 37 (|has| |#1| (-559)))) (-3707 (((-681 |#1|) (-1253 $)) 64) (((-681 |#1|)) 86)) (-2858 ((|#1| $) 73)) (-4432 (((-681 |#1|) $ (-1253 $)) 75) (((-681 |#1|) $) 84)) (-2983 (((-3 $ "failed") $) 44 (|has| |#1| (-559)))) (-3348 (((-1161 (-955 |#1|))) 82 (|has| |#1| (-366)))) (-2846 (($ $ (-919)) 28)) (-2170 ((|#1| $) 71)) (-1650 (((-1161 |#1|) $) 41 (|has| |#1| (-559)))) (-2510 ((|#1| (-1253 $)) 66) ((|#1|) 88)) (-4215 (((-1161 |#1|) $) 62)) (-2431 (((-121)) 56)) (-2605 (((-1147) $) 9)) (-2826 (((-121)) 47)) (-4161 (((-121)) 49)) (-3983 (((-121)) 51)) (-1912 (((-1111) $) 10)) (-2067 (((-121)) 54)) (-2503 ((|#1| $ (-569)) 94)) (-3672 (((-1253 |#1|) $ (-1253 $)) 69) (((-681 |#1|) (-1253 $) (-1253 $)) 68) (((-1253 |#1|) $) 96) (((-681 |#1|) (-1253 $)) 95)) (-4035 (((-1253 |#1|) $) 90) (($ (-1253 |#1|)) 89)) (-3127 (((-635 (-955 |#1|)) (-1253 $)) 77) (((-635 (-955 |#1|))) 92)) (-2689 (($ $ $) 24)) (-2984 (((-121)) 60)) (-3956 (((-852) $) 11)) (-4079 (((-1253 $)) 97)) (-2628 (((-635 (-1253 |#1|))) 42 (|has| |#1| (-559)))) (-4379 (($ $ $ $) 25)) (-1413 (((-121)) 58)) (-1772 (($ (-681 |#1|) $) 80)) (-3924 (($ $ $) 23)) (-1561 (((-121)) 59)) (-3952 (((-121)) 57)) (-1606 (((-121)) 53)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-420 |#1|) (-1284) (-173)) (T -420)) 
+((-4079 (*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-420 *3)))) (-3672 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) (-3672 (*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3359 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 (-681 *3))))) (-3127 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-955 *3))))) (-2097 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) (-2510 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-1547 (*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173)))) (-3707 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-2459 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-4432 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-4471 (*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3)))) (-3348 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) (-1965 (*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) (-1772 (*1 *1 *2 *1) (-12 (-5 *2 (-681 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173))))) 
+(-13 (-370 |t#1|) (-10 -8 (-15 -4079 ((-1253 $))) (-15 -3672 ((-1253 |t#1|) $)) (-15 -3672 ((-681 |t#1|) (-1253 $))) (-15 -2503 (|t#1| $ (-569))) (-15 -3359 ((-1253 (-681 |t#1|)))) (-15 -3127 ((-635 (-955 |t#1|)))) (-15 -2097 ($ (-1253 |t#1|))) (-15 -4035 ((-1253 |t#1|) $)) (-15 -4035 ($ (-1253 |t#1|))) (-15 -2510 (|t#1|)) (-15 -1547 (|t#1|)) (-15 -3707 ((-681 |t#1|))) (-15 -2459 ((-681 |t#1|))) (-15 -4432 ((-681 |t#1|) $)) (-15 -4471 ((-681 |t#1|) $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -3348 ((-1161 (-955 |t#1|)))) (-15 -1965 ((-1161 (-955 |t#1|))))) |noBranch|) (-15 -1772 ($ (-681 |t#1|) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-370 |#1|) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-738 |#1|) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 40)) (-3128 (($ $) 55)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 142)) (-2915 (($ $) NIL)) (-2735 (((-121) $) 34)) (-3667 ((|#1| $) 12)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-1208)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-1208)))) (-2002 (($ |#1| (-569)) 30)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 112)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 53)) (-2611 (((-3 $ "failed") $) 127)) (-1330 (((-3 (-410 (-569)) "failed") $) 61 (|has| |#1| (-551)))) (-4429 (((-121) $) 57 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 59 (|has| |#1| (-551)))) (-2964 (($ |#1| (-569)) 32)) (-2005 (((-121) $) 148 (|has| |#1| (-1208)))) (-3934 (((-121) $) 41)) (-1741 (((-765) $) 36)) (-3787 (((-3 "nil" "sqfr" "irred" "prime") $ (-569)) 133)) (-1906 ((|#1| $ (-569)) 132)) (-4544 (((-569) $ (-569)) 131)) (-4020 (($ |#1| (-569)) 29)) (-4188 (($ (-1 |#1| |#1|) $) 139)) (-3609 (($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569))))) 56)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1718 (($ |#1| (-569)) 31)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 143 (|has| |#1| (-454)))) (-2457 (($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime")) 28)) (-3459 (((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $) 52)) (-4181 (((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $) 11)) (-3139 (((-421 $) $) NIL (|has| |#1| (-1208)))) (-1436 (((-3 $ "failed") $ $) 134)) (-3190 (((-569) $) 128)) (-2121 ((|#1| $) 54)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 76 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) $) NIL (|has| |#1| (-524 (-1165) $))) (($ $ (-635 (-1165)) (-635 $)) 82 (|has| |#1| (-524 (-1165) $))) (($ $ (-635 (-289 $))) 78 (|has| |#1| (-304 $))) (($ $ (-289 $)) NIL (|has| |#1| (-304 $))) (($ $ $ $) NIL (|has| |#1| (-304 $))) (($ $ (-635 $) (-635 $)) NIL (|has| |#1| (-304 $)))) (-2503 (($ $ |#1|) 68 (|has| |#1| (-282 |#1| |#1|))) (($ $ $) 69 (|has| |#1| (-282 $ $)))) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) 138)) (-4035 (((-542) $) 26 (|has| |#1| (-610 (-542)))) (((-382) $) 88 (|has| |#1| (-1023))) (((-216) $) 91 (|has| |#1| (-1023)))) (-3956 (((-852) $) 110) (($ (-569)) 44) (($ $) NIL) (($ |#1|) 43) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569)))))) (-2320 (((-765)) 46)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 38 T CONST)) (-3297 (($) 37 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1326 (((-121) $ $) 92)) (-1377 (($ $) 124) (($ $ $) NIL)) (-1371 (($ $ $) 136)) (** (($ $ (-919)) NIL) (($ $ (-765)) 98)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 48) (($ $ $) 47) (($ |#1| $) 49) (($ $ |#1|) NIL))) 
+(((-421 |#1|) (-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -2121 (|#1| $)) (-15 -3190 ((-569) $)) (-15 -3609 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4181 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -4020 ($ |#1| (-569))) (-15 -3459 ((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $)) (-15 -1718 ($ |#1| (-569))) (-15 -4544 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3787 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1741 ((-765) $)) (-15 -2964 ($ |#1| (-569))) (-15 -2002 ($ |#1| (-569))) (-15 -2457 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3667 (|#1| $)) (-15 -3128 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |#1| (-1208)) (-6 (-1208)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1165) $)) (-6 (-524 (-1165) $)) |noBranch|))) (-559)) (T -421)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) (-2121 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-3609 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) (-4181 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-4020 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -3190 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1718 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4544 (*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3787 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559)))) (-1741 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) (-2964 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2002 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-2457 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3667 (*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-3128 (*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559))))) 
+(-13 (-559) (-224 |#1|) (-43 |#1|) (-337 |#1|) (-414 |#1|) (-10 -8 (-15 -2121 (|#1| $)) (-15 -3190 ((-569) $)) (-15 -3609 ($ |#1| (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))))) (-15 -4181 ((-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#1|) (|:| |xpnt| (-569)))) $)) (-15 -4020 ($ |#1| (-569))) (-15 -3459 ((-635 (-2 (|:| -3139 |#1|) (|:| -3190 (-569)))) $)) (-15 -1718 ($ |#1| (-569))) (-15 -4544 ((-569) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3787 ((-3 "nil" "sqfr" "irred" "prime") $ (-569))) (-15 -1741 ((-765) $)) (-15 -2964 ($ |#1| (-569))) (-15 -2002 ($ |#1| (-569))) (-15 -2457 ($ |#1| (-569) (-3 "nil" "sqfr" "irred" "prime"))) (-15 -3667 (|#1| $)) (-15 -3128 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-454)) (-6 (-454)) |noBranch|) (IF (|has| |#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |#1| (-1208)) (-6 (-1208)) |noBranch|) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |#1| (-282 $ $)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |#1| (-304 $)) (-6 (-304 $)) |noBranch|) (IF (|has| |#1| (-524 (-1165) $)) (-6 (-524 (-1165) $)) |noBranch|))) 
+((-1504 (((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|)) 20)) (-3305 (((-421 |#1|) (-421 |#1|) (-421 |#1|)) 15))) 
+(((-422 |#1|) (-10 -7 (-15 -1504 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -3305 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) (-559)) (T -422)) 
+((-3305 (*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3)))) (-1504 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4))))) 
+(-10 -7 (-15 -1504 ((-421 |#1|) (-421 |#1|) (-1 (-421 |#1|) |#1|))) (-15 -3305 ((-421 |#1|) (-421 |#1|) (-421 |#1|)))) 
+((-1572 ((|#2| |#2|) 160)) (-3220 (((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121)) 55))) 
+(((-423 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3220 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121))) (-15 -1572 (|#2| |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -423)) 
+((-1572 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1185) (-433 *3))) (-14 *4 (-1165)) (-14 *5 *2))) (-3220 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-14 *6 (-1165)) (-14 *7 *3)))) 
+(-10 -7 (-15 -3220 ((-3 (|:| |%expansion| (-308 |#1| |#2| |#3| |#4|)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121))) (-15 -1572 (|#2| |#2|))) 
+((-4188 ((|#4| (-1 |#3| |#1|) |#2|) 11))) 
+(((-424 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) (-13 (-1049) (-844)) (-433 |#1|) (-13 (-1049) (-844)) (-433 |#3|)) (T -424)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1049) (-844))) (-4 *6 (-13 (-1049) (-844))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-1572 ((|#2| |#2|) 87)) (-3316 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147)) 46)) (-3835 (((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147)) 152))) 
+(((-425 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3316 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -3835 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -1572 (|#2| |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|) (-10 -8 (-15 -3956 ($ |#3|)))) (-842) (-13 (-1230 |#2| |#3|) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $)))) (-986 |#4|) (-1165)) (T -425)) 
+((-1572 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1185) (-433 *3) (-10 -8 (-15 -3956 ($ *4))))) (-4 *4 (-842)) (-4 *5 (-13 (-1230 *2 *4) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-986 *5)) (-14 *7 (-1165)))) (-3835 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165)))) (-3316 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
+(-10 -7 (-15 -3316 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -3835 ((-3 (|:| |%series| |#4|) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147))))) |#2| (-121) (-1147))) (-15 -1572 (|#2| |#2|))) 
+((-2247 ((|#4| (-1 |#3| |#1| |#3|) |#2| |#3|) 22)) (-2793 ((|#3| (-1 |#3| |#1| |#3|) |#2| |#3|) 20)) (-4188 ((|#4| (-1 |#3| |#1|) |#2|) 17))) 
+(((-426 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) (-1093) (-428 |#1|) (-1093) (-428 |#3|)) (T -426)) 
+((-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1093)) (-4 *5 (-1093)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|)) (-15 -2793 (|#3| (-1 |#3| |#1| |#3|) |#2| |#3|)) (-15 -2247 (|#4| (-1 |#3| |#1| |#3|) |#2| |#3|))) 
+((-2656 (($) 44)) (-3577 (($ |#2| $) NIL) (($ $ |#2|) NIL) (($ $ $) 40)) (-2045 (($ $ $) 39)) (-3254 (((-121) $ $) 28)) (-2675 (((-765)) 47)) (-4414 (($ (-635 |#2|)) 20) (($) NIL)) (-3341 (($) 53)) (-2157 ((|#2| $) 61)) (-2713 ((|#2| $) 59)) (-2862 (((-919) $) 55)) (-1433 (($ $ $) 35)) (-1333 (($ (-919)) 50)) (-2127 (($ $ |#2|) NIL) (($ $ $) 38)) (-2691 (((-765) (-1 (-121) |#2|) $) NIL) (((-765) |#2| $) 26)) (-3124 (($ (-635 |#2|)) 24)) (-4266 (($ $) 46)) (-3956 (((-852) $) 33)) (-2207 (((-765) $) 21)) (-1785 (($ (-635 |#2|)) 19) (($) NIL)) (-1326 (((-121) $ $) 16)) (-1337 (((-121) $ $) 13))) 
+(((-427 |#1| |#2|) (-10 -8 (-15 -2675 ((-765))) (-15 -1333 (|#1| (-919))) (-15 -2862 ((-919) |#1|)) (-15 -3341 (|#1|)) (-15 -2157 (|#2| |#1|)) (-15 -2713 (|#2| |#1|)) (-15 -2656 (|#1|)) (-15 -4266 (|#1| |#1|)) (-15 -2207 ((-765) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1785 (|#1|)) (-15 -1785 (|#1| (-635 |#2|))) (-15 -4414 (|#1|)) (-15 -4414 (|#1| (-635 |#2|))) (-15 -1433 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -3254 ((-121) |#1| |#1|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#2| |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|))) (-428 |#2|) (-1093)) (T -427)) 
+((-2675 (*1 *2) (-12 (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4))))) 
+(-10 -8 (-15 -2675 ((-765))) (-15 -1333 (|#1| (-919))) (-15 -2862 ((-919) |#1|)) (-15 -3341 (|#1|)) (-15 -2157 (|#2| |#1|)) (-15 -2713 (|#2| |#1|)) (-15 -2656 (|#1|)) (-15 -4266 (|#1| |#1|)) (-15 -2207 ((-765) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -1785 (|#1|)) (-15 -1785 (|#1| (-635 |#2|))) (-15 -4414 (|#1|)) (-15 -4414 (|#1| (-635 |#2|))) (-15 -1433 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -3254 ((-121) |#1| |#1|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#2| |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2691 ((-765) |#2| |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|))) 
+((-1310 (((-121) $ $) 18)) (-2656 (($) 63 (|has| |#1| (-371)))) (-3577 (($ |#1| $) 78) (($ $ |#1|) 77) (($ $ $) 76)) (-2045 (($ $ $) 74)) (-3254 (((-121) $ $) 75)) (-3350 (((-121) $ (-765)) 8)) (-2675 (((-765)) 57 (|has| |#1| (-371)))) (-4414 (($ (-635 |#1|)) 70) (($) 69)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-3341 (($) 60 (|has| |#1| (-371)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2157 ((|#1| $) 61 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 62 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-2862 (((-919) $) 59 (|has| |#1| (-371)))) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 71)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1333 (($ (-919)) 58 (|has| |#1| (-371)))) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2127 (($ $ |#1|) 73) (($ $ $) 72)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-4266 (($ $) 64 (|has| |#1| (-371)))) (-3956 (((-852) $) 20)) (-2207 (((-765) $) 65)) (-1785 (($ (-635 |#1|)) 68) (($) 67)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 66)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-428 |#1|) (-1284) (-1093)) (T -428)) 
+((-2207 (*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1093)) (-5 *2 (-765)))) (-4266 (*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-371)))) (-2656 (*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1093)))) (-2713 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-2157 (*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
+(-13 (-222 |t#1|) (-1090 |t#1|) (-10 -8 (-6 -4571) (-15 -2207 ((-765) $)) (IF (|has| |t#1| (-371)) (PROGN (-6 (-371)) (-15 -4266 ($ $)) (-15 -2656 ($))) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-15 -2713 (|t#1| $)) (-15 -2157 (|t#1| $))) |noBranch|))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-222 |#1|) . T) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-371) |has| |#1| (-371)) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
+((-1640 (((-586 |#2|) |#2| (-1165)) 35)) (-4258 (((-586 |#2|) |#2| (-1165)) 19)) (-2967 ((|#2| |#2| (-1165)) 24))) 
+(((-429 |#1| |#2|) (-10 -7 (-15 -4258 ((-586 |#2|) |#2| (-1165))) (-15 -1640 ((-586 |#2|) |#2| (-1165))) (-15 -2967 (|#2| |#2| (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-29 |#1|))) (T -429)) 
+((-2967 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1185) (-29 *4))))) (-1640 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5))))) (-4258 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5)))))) 
+(-10 -7 (-15 -4258 ((-586 |#2|) |#2| (-1165))) (-15 -1640 ((-586 |#2|) |#2| (-1165))) (-15 -2967 (|#2| |#2| (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-3246 (($ |#2| |#1|) 35)) (-3363 (($ |#2| |#1|) 33)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-330 |#2|)) 25)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 16 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 34)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 36) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-430 |#1| |#2|) (-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4558)) (IF (|has| |#1| (-6 -4558)) (-6 -4558) |noBranch|) |noBranch|) (-15 -3956 ($ |#1|)) (-15 -3956 ($ (-330 |#2|))) (-15 -3246 ($ |#2| |#1|)) (-15 -3363 ($ |#2| |#1|)))) (-13 (-173) (-43 (-410 (-569)))) (-13 (-844) (-21))) (T -430)) 
+((-3956 (*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-844) (-21))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-844) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) (-3246 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21))))) (-3363 (*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
+(-13 (-43 |#1|) (-10 -8 (IF (|has| |#2| (-6 -4558)) (IF (|has| |#1| (-6 -4558)) (-6 -4558) |noBranch|) |noBranch|) (-15 -3956 ($ |#1|)) (-15 -3956 ($ (-330 |#2|))) (-15 -3246 ($ |#2| |#1|)) (-15 -3363 ($ |#2| |#1|)))) 
+((-1324 (((-3 |#2| (-635 |#2|)) |#2| (-1165)) 104))) 
+(((-431 |#1| |#2|) (-10 -7 (-15 -1324 ((-3 |#2| (-635 |#2|)) |#2| (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -431)) 
+((-1324 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1185) (-961) (-29 *5)))))) 
+(-10 -7 (-15 -1324 ((-3 |#2| (-635 |#2|)) |#2| (-1165)))) 
+((-3195 (((-635 (-1165)) $) 72)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 268)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) 233)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1165) "failed") $) 75) (((-3 (-569) "failed") $) NIL) (((-3 |#2| "failed") $) 229) (((-3 (-410 (-955 |#2|)) "failed") $) 319) (((-3 (-955 |#2|) "failed") $) 231) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-1165) $) 30) (((-569) $) NIL) ((|#2| $) 227) (((-410 (-955 |#2|)) $) 300) (((-955 |#2|) $) 228) (((-410 (-569)) $) NIL)) (-1344 (((-123) (-123)) 47)) (-3043 (($ $) 87)) (-3277 (((-3 (-608 $) "failed") $) 224)) (-3121 (((-635 (-608 $)) $) 225)) (-2617 (((-3 (-635 $) "failed") $) 243)) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 250)) (-2085 (((-3 (-635 $) "failed") $) 241)) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 259)) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 247) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 214) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 216)) (-3249 (((-121) $) 19)) (-3256 ((|#2| $) 21)) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) 232) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 96) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) 57) (($ $ (-635 (-1165))) 236) (($ $) 237) (($ $ (-123) $ (-1165)) 60) (($ $ (-635 (-123)) (-635 $) (-1165)) 67) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 107) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 238) (($ $ (-1165) (-765) (-1 $ (-635 $))) 94) (($ $ (-1165) (-765) (-1 $ $)) 93)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) 106)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) 234)) (-2572 (($ $) 279)) (-4035 (((-889 (-569)) $) 253) (((-889 (-382)) $) 256) (($ (-421 $)) 315) (((-542) $) NIL)) (-3956 (((-852) $) 235) (($ (-608 $)) 84) (($ (-1165)) 26) (($ |#2|) NIL) (($ (-1116 |#2| (-608 $))) NIL) (($ (-410 |#2|)) 284) (($ (-955 (-410 |#2|))) 324) (($ (-410 (-955 (-410 |#2|)))) 296) (($ (-410 (-955 |#2|))) 290) (($ $) NIL) (($ (-955 |#2|)) 183) (($ (-410 (-569))) 329) (($ (-569)) NIL)) (-2320 (((-765)) 79)) (-3791 (((-121) (-123)) 41)) (-3207 (($ (-1165) $) 33) (($ (-1165) $ $) 34) (($ (-1165) $ $ $) 35) (($ (-1165) $ $ $ $) 36) (($ (-1165) (-635 $)) 39)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#2| $) 261) (($ $ |#2|) NIL) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-432 |#1| |#2|) (-10 -8 (-15 * (|#1| (-919) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2320 ((-765))) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-955 |#2|) |#1|)) (-15 -3003 ((-3 (-955 |#2|) "failed") |#1|)) (-15 -3956 (|#1| (-955 |#2|))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3956 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1321 ((-410 (-955 |#2|)) |#1|)) (-15 -3003 ((-3 (-410 (-955 |#2|)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-955 |#2|)))) (-15 -3132 ((-410 (-1161 |#1|)) |#1| (-608 |#1|))) (-15 -3956 (|#1| (-410 (-955 (-410 |#2|))))) (-15 -3956 (|#1| (-955 (-410 |#2|)))) (-15 -3956 (|#1| (-410 |#2|))) (-15 -2572 (|#1| |#1|)) (-15 -4035 (|#1| (-421 |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| |#1|)))) (-15 -3903 ((-3 (-2 (|:| |val| |#1|) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-1165))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-123))) (-15 -3043 (|#1| |#1|)) (-15 -3956 (|#1| (-1116 |#2| (-608 |#1|)))) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1165))) (-15 -1484 (|#1| |#1| (-123) |#1| (-1165))) (-15 -1484 (|#1| |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1165)))) (-15 -1484 (|#1| |#1| (-1165))) (-15 -3207 (|#1| (-1165) (-635 |#1|))) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1|)) (-15 -3195 ((-635 (-1165)) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -3121 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -3956 (|#1| (-608 |#1|))) (-15 -3956 ((-852) |#1|))) (-433 |#2|) (-844)) (T -432)) 
+((-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-844)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) (-2320 (*1 *2) (-12 (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4))))) 
+(-10 -8 (-15 * (|#1| (-919) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -2320 ((-765))) (-15 -3956 (|#1| (-569))) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-955 |#2|) |#1|)) (-15 -3003 ((-3 (-955 |#2|) "failed") |#1|)) (-15 -3956 (|#1| (-955 |#2|))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -3956 (|#1| |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1321 ((-410 (-955 |#2|)) |#1|)) (-15 -3003 ((-3 (-410 (-955 |#2|)) "failed") |#1|)) (-15 -3956 (|#1| (-410 (-955 |#2|)))) (-15 -3132 ((-410 (-1161 |#1|)) |#1| (-608 |#1|))) (-15 -3956 (|#1| (-410 (-955 (-410 |#2|))))) (-15 -3956 (|#1| (-955 (-410 |#2|)))) (-15 -3956 (|#1| (-410 |#2|))) (-15 -2572 (|#1| |#1|)) (-15 -4035 (|#1| (-421 |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-765) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-765)) (-635 (-1 |#1| |#1|)))) (-15 -3903 ((-3 (-2 (|:| |val| |#1|) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-1165))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1| (-123))) (-15 -3043 (|#1| |#1|)) (-15 -3956 (|#1| (-1116 |#2| (-608 |#1|)))) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 |#1|))) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 |#1|)) (|:| -3190 (-569))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 |#1|) (-1165))) (-15 -1484 (|#1| |#1| (-123) |#1| (-1165))) (-15 -1484 (|#1| |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1165)))) (-15 -1484 (|#1| |#1| (-1165))) (-15 -3207 (|#1| (-1165) (-635 |#1|))) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1| |#1|)) (-15 -3207 (|#1| (-1165) |#1|)) (-15 -3195 ((-635 (-1165)) |#1|)) (-15 -3256 (|#2| |#1|)) (-15 -3249 ((-121) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-123) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-123)) (-635 (-1 |#1| |#1|)))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| |#1|))) (-15 -1484 (|#1| |#1| (-1165) (-1 |#1| (-635 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| (-635 |#1|))))) (-15 -1484 (|#1| |#1| (-635 (-1165)) (-635 (-1 |#1| |#1|)))) (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -3121 ((-635 (-608 |#1|)) |#1|)) (-15 -3277 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -2505 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -2505 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2505 (|#1| |#1| (-289 |#1|))) (-15 -2503 (|#1| (-123) (-635 |#1|))) (-15 -2503 (|#1| (-123) |#1| |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1| |#1|)) (-15 -2503 (|#1| (-123) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1484 (|#1| |#1| (-635 (-608 |#1|)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-608 |#1|) |#1|)) (-15 -1321 ((-608 |#1|) |#1|)) (-15 -3003 ((-3 (-608 |#1|) "failed") |#1|)) (-15 -3956 (|#1| (-608 |#1|))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 108 (|has| |#1| (-25)))) (-3195 (((-635 (-1165)) $) 195)) (-3132 (((-410 (-1161 $)) $ (-608 $)) 163 (|has| |#1| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 135 (|has| |#1| (-559)))) (-2915 (($ $) 136 (|has| |#1| (-559)))) (-2735 (((-121) $) 138 (|has| |#1| (-559)))) (-4320 (((-635 (-608 $)) $) 43)) (-3748 (((-3 $ "failed") $ $) 110 (|has| |#1| (-21)))) (-2505 (($ $ (-289 $)) 55) (($ $ (-635 (-289 $))) 54) (($ $ (-635 (-608 $)) (-635 $)) 53)) (-2710 (($ $) 155 (|has| |#1| (-559)))) (-3742 (((-421 $) $) 156 (|has| |#1| (-559)))) (-2889 (((-121) $ $) 146 (|has| |#1| (-559)))) (-4483 (($) 94 (-1929 (|has| |#1| (-1105)) (|has| |#1| (-25))) CONST)) (-3003 (((-3 (-608 $) "failed") $) 68) (((-3 (-1165) "failed") $) 208) (((-3 (-569) "failed") $) 201 (|has| |#1| (-1039 (-569)))) (((-3 |#1| "failed") $) 199) (((-3 (-410 (-955 |#1|)) "failed") $) 161 (|has| |#1| (-559))) (((-3 (-955 |#1|) "failed") $) 115 (|has| |#1| (-1049))) (((-3 (-410 (-569)) "failed") $) 87 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) 67) (((-1165) $) 207) (((-569) $) 202 (|has| |#1| (-1039 (-569)))) ((|#1| $) 198) (((-410 (-955 |#1|)) $) 160 (|has| |#1| (-559))) (((-955 |#1|) $) 114 (|has| |#1| (-1049))) (((-410 (-569)) $) 86 (-1929 (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569))))))) (-1614 (($ $ $) 150 (|has| |#1| (-559)))) (-3435 (((-681 (-569)) (-681 $)) 129 (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 128 (-3993 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 127 (|has| |#1| (-1049))) (((-681 |#1|) (-681 $)) 126 (|has| |#1| (-1049)))) (-2611 (((-3 $ "failed") $) 97 (|has| |#1| (-1105)))) (-1626 (($ $ $) 149 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 144 (|has| |#1| (-559)))) (-2005 (((-121) $) 157 (|has| |#1| (-559)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 204 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 203 (|has| |#1| (-883 (-382))))) (-2674 (($ $) 50) (($ (-635 $)) 49)) (-1367 (((-635 (-123)) $) 42)) (-1344 (((-123) (-123)) 41)) (-3934 (((-121) $) 95 (|has| |#1| (-1105)))) (-3520 (((-121) $) 21 (|has| $ (-1039 (-569))))) (-3043 (($ $) 178 (|has| |#1| (-1049)))) (-3515 (((-1116 |#1| (-608 $)) $) 179 (|has| |#1| (-1049)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 153 (|has| |#1| (-559)))) (-2387 (((-1161 $) (-608 $)) 24 (|has| $ (-1049)))) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-4188 (($ (-1 $ $) (-608 $)) 35)) (-3277 (((-3 (-608 $) "failed") $) 45)) (-1657 (($ (-635 $)) 142 (|has| |#1| (-559))) (($ $ $) 141 (|has| |#1| (-559)))) (-2605 (((-1147) $) 9)) (-3121 (((-635 (-608 $)) $) 44)) (-3529 (($ (-123) $) 37) (($ (-123) (-635 $)) 36)) (-2617 (((-3 (-635 $) "failed") $) 184 (|has| |#1| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) 175 (|has| |#1| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) 182 (|has| |#1| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) 181 (|has| |#1| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) 183 (|has| |#1| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) 177 (|has| |#1| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) 176 (|has| |#1| (-1049)))) (-3845 (((-121) $ (-123)) 39) (((-121) $ (-1165)) 38)) (-3243 (($ $) 99 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1468 (((-765) $) 46)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 197)) (-3256 ((|#1| $) 196)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 143 (|has| |#1| (-559)))) (-3964 (($ (-635 $)) 140 (|has| |#1| (-559))) (($ $ $) 139 (|has| |#1| (-559)))) (-2400 (((-121) $ $) 34) (((-121) $ (-1165)) 33)) (-3139 (((-421 $) $) 154 (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 152 (|has| |#1| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 151 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ $) 134 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 145 (|has| |#1| (-559)))) (-3912 (((-121) $) 22 (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) 66) (($ $ (-635 (-608 $)) (-635 $)) 65) (($ $ (-635 (-289 $))) 64) (($ $ (-289 $)) 63) (($ $ $ $) 62) (($ $ (-635 $) (-635 $)) 61) (($ $ (-635 (-1165)) (-635 (-1 $ $))) 32) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) 31) (($ $ (-1165) (-1 $ (-635 $))) 30) (($ $ (-1165) (-1 $ $)) 29) (($ $ (-635 (-123)) (-635 (-1 $ $))) 28) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) 27) (($ $ (-123) (-1 $ (-635 $))) 26) (($ $ (-123) (-1 $ $)) 25) (($ $ (-1165)) 189 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165))) 188 (|has| |#1| (-610 (-542)))) (($ $) 187 (|has| |#1| (-610 (-542)))) (($ $ (-123) $ (-1165)) 186 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) 185 (|has| |#1| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) 174 (|has| |#1| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) 173 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) 172 (|has| |#1| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) 171 (|has| |#1| (-1049)))) (-2061 (((-765) $) 147 (|has| |#1| (-559)))) (-2503 (($ (-123) $) 60) (($ (-123) $ $) 59) (($ (-123) $ $ $) 58) (($ (-123) $ $ $ $) 57) (($ (-123) (-635 $)) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 148 (|has| |#1| (-559)))) (-2454 (($ $) 48) (($ $ $) 47)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 120 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 119 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 118 (|has| |#1| (-1049))) (($ $ (-1165)) 117 (|has| |#1| (-1049)))) (-2572 (($ $) 168 (|has| |#1| (-559)))) (-3524 (((-1116 |#1| (-608 $)) $) 169 (|has| |#1| (-559)))) (-3036 (($ $) 23 (|has| $ (-1049)))) (-4035 (((-889 (-569)) $) 206 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 205 (|has| |#1| (-610 (-889 (-382))))) (($ (-421 $)) 170 (|has| |#1| (-559))) (((-542) $) 89 (|has| |#1| (-610 (-542))))) (-3980 (($ $ $) 103 (|has| |#1| (-479)))) (-2689 (($ $ $) 104 (|has| |#1| (-479)))) (-3956 (((-852) $) 11) (($ (-608 $)) 69) (($ (-1165)) 209) (($ |#1|) 200) (($ (-1116 |#1| (-608 $))) 180 (|has| |#1| (-1049))) (($ (-410 |#1|)) 166 (|has| |#1| (-559))) (($ (-955 (-410 |#1|))) 165 (|has| |#1| (-559))) (($ (-410 (-955 (-410 |#1|)))) 164 (|has| |#1| (-559))) (($ (-410 (-955 |#1|))) 162 (|has| |#1| (-559))) (($ $) 133 (|has| |#1| (-559))) (($ (-955 |#1|)) 116 (|has| |#1| (-1049))) (($ (-410 (-569))) 88 (-1929 (|has| |#1| (-559)) (-12 (|has| |#1| (-1039 (-569))) (|has| |#1| (-559))) (|has| |#1| (-1039 (-410 (-569)))))) (($ (-569)) 85 (-1929 (|has| |#1| (-1049)) (|has| |#1| (-1039 (-569)))))) (-2277 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2320 (((-765)) 125 (|has| |#1| (-1049)))) (-2856 (($ $) 52) (($ (-635 $)) 51)) (-3791 (((-121) (-123)) 40)) (-2909 (((-121) $ $) 137 (|has| |#1| (-559)))) (-3207 (($ (-1165) $) 194) (($ (-1165) $ $) 193) (($ (-1165) $ $ $) 192) (($ (-1165) $ $ $ $) 191) (($ (-1165) (-635 $)) 190)) (-3403 (($ $ (-569)) 102 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 96 (|has| |#1| (-1105))) (($ $ (-919)) 92 (|has| |#1| (-1105)))) (-2407 (($) 107 (|has| |#1| (-25)) CONST)) (-3297 (($) 93 (|has| |#1| (-1105)) CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 124 (|has| |#1| (-1049))) (($ $ (-1165) (-765)) 123 (|has| |#1| (-1049))) (($ $ (-635 (-1165))) 122 (|has| |#1| (-1049))) (($ $ (-1165)) 121 (|has| |#1| (-1049)))) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1383 (($ (-1116 |#1| (-608 $)) (-1116 |#1| (-608 $))) 167 (|has| |#1| (-559))) (($ $ $) 100 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559))))) (-1377 (($ $ $) 112 (|has| |#1| (-21))) (($ $) 111 (|has| |#1| (-21)))) (-1371 (($ $ $) 105 (|has| |#1| (-25)))) (** (($ $ (-569)) 101 (-1929 (|has| |#1| (-479)) (|has| |#1| (-559)))) (($ $ (-765)) 98 (|has| |#1| (-1105))) (($ $ (-919)) 91 (|has| |#1| (-1105)))) (* (($ (-410 (-569)) $) 159 (|has| |#1| (-559))) (($ $ (-410 (-569))) 158 (|has| |#1| (-559))) (($ |#1| $) 132 (|has| |#1| (-173))) (($ $ |#1|) 131 (|has| |#1| (-173))) (($ (-569) $) 113 (|has| |#1| (-21))) (($ (-765) $) 109 (|has| |#1| (-25))) (($ (-919) $) 106 (|has| |#1| (-25))) (($ $ $) 90 (|has| |#1| (-1105))))) 
+(((-433 |#1|) (-1284) (-844)) (T -433)) 
+((-3249 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-121)))) (-3256 (*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-635 (-1165))))) (-3207 (*1 *1 *2 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) (-3207 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) (-1484 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) (-1484 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-610 (-542))))) (-1484 (*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1165)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-610 (-542))))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1165)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-610 (-542))))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-2601 (*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) (-2085 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) (-1417 (*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-1049)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-3043 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-1049)))) (-2601 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) (-2601 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) (-3903 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |val| *1) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-1484 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) (-3524 (*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) (-2572 (*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-559)))) (-1383 (*1 *1 *2 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) (-3132 (*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-559)) (-5 *2 (-410 (-1161 *1))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-1105))))) 
+(-13 (-297) (-1039 (-1165)) (-881 |t#1|) (-403 |t#1|) (-414 |t#1|) (-10 -8 (-15 -3249 ((-121) $)) (-15 -3256 (|t#1| $)) (-15 -3195 ((-635 (-1165)) $)) (-15 -3207 ($ (-1165) $)) (-15 -3207 ($ (-1165) $ $)) (-15 -3207 ($ (-1165) $ $ $)) (-15 -3207 ($ (-1165) $ $ $ $)) (-15 -3207 ($ (-1165) (-635 $))) (IF (|has| |t#1| (-610 (-542))) (PROGN (-6 (-610 (-542))) (-15 -1484 ($ $ (-1165))) (-15 -1484 ($ $ (-635 (-1165)))) (-15 -1484 ($ $)) (-15 -1484 ($ $ (-123) $ (-1165))) (-15 -1484 ($ $ (-635 (-123)) (-635 $) (-1165)))) |noBranch|) (IF (|has| |t#1| (-1105)) (PROGN (-6 (-718)) (-15 ** ($ $ (-765))) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-479)) (-6 (-479)) |noBranch|) (IF (|has| |t#1| (-25)) (PROGN (-6 (-23)) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -1417 ((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $))) |noBranch|) (IF (|has| |t#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |t#1| (-1049)) (PROGN (-6 (-1049)) (-6 (-1039 (-955 |t#1|))) (-6 (-897 (-1165))) (-6 (-380 |t#1|)) (-15 -3956 ($ (-1116 |t#1| (-608 $)))) (-15 -3515 ((-1116 |t#1| (-608 $)) $)) (-15 -3043 ($ $)) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123))) (-15 -2601 ((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165))) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $)) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $)))) (-15 -1484 ($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $))))) (-15 -1484 ($ $ (-1165) (-765) (-1 $ (-635 $)))) (-15 -1484 ($ $ (-1165) (-765) (-1 $ $)))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-366)) (-6 (-1039 (-410 (-955 |t#1|)))) (-15 -4035 ($ (-421 $))) (-15 -3524 ((-1116 |t#1| (-608 $)) $)) (-15 -2572 ($ $)) (-15 -1383 ($ (-1116 |t#1| (-608 $)) (-1116 |t#1| (-608 $)))) (-15 -3956 ($ (-410 |t#1|))) (-15 -3956 ($ (-955 (-410 |t#1|)))) (-15 -3956 ($ (-410 (-955 (-410 |t#1|))))) (-15 -3132 ((-410 (-1161 $)) $ (-608 $))) (IF (|has| |t#1| (-1039 (-569))) (-6 (-1039 (-410 (-569)))) |noBranch|)) |noBranch|))) 
+(((-21) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-23) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-25) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-25)) (|has| |#1| (-21))) ((-43 (-410 (-569))) |has| |#1| (-559)) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-559)) ((-120 |#1| |#1|) |has| |#1| (-173)) ((-120 $ $) |has| |#1| (-559)) ((-138) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149)) (|has| |#1| (-21))) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) |has| |#1| (-559)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-239) |has| |#1| (-559)) ((-286) |has| |#1| (-559)) ((-302) |has| |#1| (-559)) ((-304 $) . T) ((-297) . T) ((-366) |has| |#1| (-559)) ((-380 |#1|) |has| |#1| (-1049)) ((-403 |#1|) . T) ((-414 |#1|) . T) ((-454) |has| |#1| (-559)) ((-479) |has| |#1| (-479)) ((-524 (-608 $) $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-559)) ((-638 |#1|) |has| |#1| (-173)) ((-638 $) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-631 (-569)) -12 (|has| |#1| (-631 (-569))) (|has| |#1| (-1049))) ((-631 |#1|) |has| |#1| (-1049)) ((-709 (-410 (-569))) |has| |#1| (-559)) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) -1929 (|has| |#1| (-1105)) (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-844) . T) ((-897 (-1165)) |has| |#1| (-1049)) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-918) |has| |#1| (-559)) ((-1039 (-410 (-569))) -1929 (|has| |#1| (-1039 (-410 (-569)))) (-12 (|has| |#1| (-559)) (|has| |#1| (-1039 (-569))))) ((-1039 (-410 (-955 |#1|))) |has| |#1| (-559)) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-608 $)) . T) ((-1039 (-955 |#1|)) |has| |#1| (-1049)) ((-1039 (-1165)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-559)) ((-1055 |#1|) |has| |#1| (-173)) ((-1055 $) |has| |#1| (-559)) ((-1049) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1056) -1929 (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1105) -1929 (|has| |#1| (-1105)) (|has| |#1| (-1049)) (|has| |#1| (-559)) (|has| |#1| (-479)) (|has| |#1| (-173)) (|has| |#1| (-151)) (|has| |#1| (-149))) ((-1093) . T) ((-1199) . T) ((-1208) |has| |#1| (-559))) 
+((-2648 ((|#2| |#2| |#2|) 33)) (-1344 (((-123) (-123)) 44)) (-4412 ((|#2| (-635 |#2|)) 79)) (-3886 ((|#2| |#2|) 77)) (-4213 ((|#2| |#2|) 68)) (-3994 ((|#2| |#2|) 71)) (-3645 ((|#2| (-635 |#2|)) 75)) (-3404 ((|#2| (-635 |#2|)) 83)) (-2136 ((|#2| (-635 |#2|)) 87)) (-2993 ((|#2| (-635 |#2|)) 81)) (-4043 ((|#2| (-635 |#2|)) 85)) (-2499 ((|#2| |#2|) 91)) (-1955 ((|#2| |#2|) 89)) (-3566 ((|#2| |#2|) 32)) (-3839 ((|#2| |#2| |#2|) 35)) (-4489 ((|#2| |#2| |#2|) 37)) (-1289 ((|#2| |#2| |#2|) 34)) (-3578 ((|#2| |#2| |#2|) 36)) (-3791 (((-121) (-123)) 42)) (-3618 ((|#2| |#2|) 39)) (-4466 ((|#2| |#2|) 38)) (-4080 ((|#2| |#2|) 27)) (-2246 ((|#2| |#2| |#2|) 30) ((|#2| |#2|) 28)) (-4028 ((|#2| |#2| |#2|) 31))) 
+(((-434 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4080 (|#2| |#2|)) (-15 -2246 (|#2| |#2|)) (-15 -2246 (|#2| |#2| |#2|)) (-15 -4028 (|#2| |#2| |#2|)) (-15 -3566 (|#2| |#2|)) (-15 -2648 (|#2| |#2| |#2|)) (-15 -1289 (|#2| |#2| |#2|)) (-15 -3839 (|#2| |#2| |#2|)) (-15 -3578 (|#2| |#2| |#2|)) (-15 -4489 (|#2| |#2| |#2|)) (-15 -4466 (|#2| |#2|)) (-15 -3618 (|#2| |#2|)) (-15 -3994 (|#2| |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -3645 (|#2| (-635 |#2|))) (-15 -3886 (|#2| |#2|)) (-15 -4412 (|#2| (-635 |#2|))) (-15 -2993 (|#2| (-635 |#2|))) (-15 -3404 (|#2| (-635 |#2|))) (-15 -4043 (|#2| (-635 |#2|))) (-15 -2136 (|#2| (-635 |#2|))) (-15 -1955 (|#2| |#2|)) (-15 -2499 (|#2| |#2|))) (-13 (-844) (-559)) (-433 |#1|)) (T -434)) 
+((-2499 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1955 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2136 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4043 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3404 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-2993 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4412 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-3886 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3645 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559))))) (-4213 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3994 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3618 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4466 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4489 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3578 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3839 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1289 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2648 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-3566 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4028 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2246 (*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-2246 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-4080 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4))))) 
+(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -4080 (|#2| |#2|)) (-15 -2246 (|#2| |#2|)) (-15 -2246 (|#2| |#2| |#2|)) (-15 -4028 (|#2| |#2| |#2|)) (-15 -3566 (|#2| |#2|)) (-15 -2648 (|#2| |#2| |#2|)) (-15 -1289 (|#2| |#2| |#2|)) (-15 -3839 (|#2| |#2| |#2|)) (-15 -3578 (|#2| |#2| |#2|)) (-15 -4489 (|#2| |#2| |#2|)) (-15 -4466 (|#2| |#2|)) (-15 -3618 (|#2| |#2|)) (-15 -3994 (|#2| |#2|)) (-15 -4213 (|#2| |#2|)) (-15 -3645 (|#2| (-635 |#2|))) (-15 -3886 (|#2| |#2|)) (-15 -4412 (|#2| (-635 |#2|))) (-15 -2993 (|#2| (-635 |#2|))) (-15 -3404 (|#2| (-635 |#2|))) (-15 -4043 (|#2| (-635 |#2|))) (-15 -2136 (|#2| (-635 |#2|))) (-15 -1955 (|#2| |#2|)) (-15 -2499 (|#2| |#2|))) 
+((-1456 (((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|) 93 (|has| |#2| (-27))) (((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|)) 58))) 
+(((-435 |#1| |#2|) (-10 -7 (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|)) |noBranch|)) (-13 (-559) (-844) (-151)) (-433 |#1|)) (T -435)) 
+((-1456 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1161 *3)) (|:| |pol2| (-1161 *3)) (|:| |prim| (-1161 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) (-1456 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-435 *4 *5))))) 
+(-10 -7 (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |poly| (-635 (-1161 |#2|))) (|:| |prim| (-1161 |#2|))) (-635 |#2|))) (IF (|has| |#2| (-27)) (-15 -1456 ((-2 (|:| |primelt| |#2|) (|:| |pol1| (-1161 |#2|)) (|:| |pol2| (-1161 |#2|)) (|:| |prim| (-1161 |#2|))) |#2| |#2|)) |noBranch|)) 
+((-1990 (((-1258)) 18)) (-2100 (((-1161 (-410 (-569))) |#2| (-608 |#2|)) 40) (((-410 (-569)) |#2|) 23))) 
+(((-436 |#1| |#2|) (-10 -7 (-15 -2100 ((-410 (-569)) |#2|)) (-15 -2100 ((-1161 (-410 (-569))) |#2| (-608 |#2|))) (-15 -1990 ((-1258)))) (-13 (-844) (-559) (-1039 (-569))) (-433 |#1|)) (T -436)) 
+((-1990 (*1 *2) (-12 (-4 *3 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1258)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3)))) (-2100 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-436 *5 *3)))) (-2100 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4))))) 
+(-10 -7 (-15 -2100 ((-410 (-569)) |#2|)) (-15 -2100 ((-1161 (-410 (-569))) |#2| (-608 |#2|))) (-15 -1990 ((-1258)))) 
+((-2776 (((-121) $) 28)) (-3205 (((-121) $) 30)) (-1325 (((-121) $) 31)) (-2833 (((-121) $) 34)) (-4301 (((-121) $) 29)) (-2118 (((-121) $) 33)) (-3956 (((-852) $) 18) (($ (-1147)) 27) (($ (-1165)) 23) (((-1165) $) 22) (((-1097) $) 21)) (-3120 (((-121) $) 32)) (-1326 (((-121) $ $) 15))) 
+(((-437) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ($ (-1165))) (-15 -3956 ((-1165) $)) (-15 -3956 ((-1097) $)) (-15 -2776 ((-121) $)) (-15 -4301 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2118 ((-121) $)) (-15 -2833 ((-121) $)) (-15 -3120 ((-121) $)) (-15 -3205 ((-121) $)) (-15 -1326 ((-121) $ $))))) (T -437)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-437)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-437)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-4301 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1325 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2118 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-2833 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3120 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-3205 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1147))) (-15 -3956 ($ (-1165))) (-15 -3956 ((-1165) $)) (-15 -3956 ((-1097) $)) (-15 -2776 ((-121) $)) (-15 -4301 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2118 ((-121) $)) (-15 -2833 ((-121) $)) (-15 -3120 ((-121) $)) (-15 -3205 ((-121) $)) (-15 -1326 ((-121) $ $)))) 
+((-3741 (((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|) 68)) (-1529 (((-421 |#3|) |#3|) 33)) (-3372 (((-3 (-421 (-1161 (-53))) "failed") |#3|) 27 (|has| |#2| (-1039 (-53))))) (-4050 (((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|) 35))) 
+(((-438 |#1| |#2| |#3|) (-10 -7 (-15 -1529 ((-421 |#3|) |#3|)) (-15 -3741 ((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|)) (-15 -4050 ((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|)) (IF (|has| |#2| (-1039 (-53))) (-15 -3372 ((-3 (-421 (-1161 (-53))) "failed") |#3|)) |noBranch|)) (-13 (-559) (-844) (-1039 (-569))) (-433 |#1|) (-1228 |#2|)) (T -438)) 
+((-3372 (*1 *2 *3) (|partial| -12 (-4 *5 (-1039 (-53))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-4050 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-3741 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-1529 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(-10 -7 (-15 -1529 ((-421 |#3|) |#3|)) (-15 -3741 ((-3 (-421 (-1161 (-410 (-569)))) "failed") |#3|)) (-15 -4050 ((-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121))) |#3|)) (IF (|has| |#2| (-1039 (-53))) (-15 -3372 ((-3 (-421 (-1161 (-53))) "failed") |#3|)) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2255 (((-1147) $ (-1147)) NIL)) (-3284 (($ $ (-1147)) NIL)) (-3780 (((-1147) $) NIL)) (-3985 (((-391) (-391) (-391)) 17) (((-391) (-391)) 15)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) NIL)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2754 (((-1258) (-1147)) 9)) (-3905 (((-1258) (-1147)) 10)) (-1662 (((-1258)) 11)) (-3295 (((-1258) $) NIL)) (-3956 (((-852) $) NIL)) (-2520 (($ $) 34)) (-1326 (((-121) $ $) NIL))) 
+(((-439) (-13 (-367 (-391) (-1147)) (-10 -7 (-15 -3985 ((-391) (-391) (-391))) (-15 -3985 ((-391) (-391))) (-15 -2754 ((-1258) (-1147))) (-15 -3905 ((-1258) (-1147))) (-15 -1662 ((-1258)))))) (T -439)) 
+((-3985 (*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-3985 (*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) (-2754 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439)))) (-3905 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439)))) (-1662 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-439))))) 
+(-13 (-367 (-391) (-1147)) (-10 -7 (-15 -3985 ((-391) (-391) (-391))) (-15 -3985 ((-391) (-391))) (-15 -2754 ((-1258) (-1147))) (-15 -3905 ((-1258) (-1147))) (-15 -1662 ((-1258))))) 
+((-1310 (((-121) $ $) NIL)) (-3288 (((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1882 (($) 31)) (-3034 (($) 37)) (-2326 (($) 33)) (-1879 (($) 35)) (-3502 (($) 32)) (-1674 (($) 34)) (-3827 (($) 36)) (-3143 (((-121) $) 8)) (-1765 (((-635 (-955 (-569))) $) 16)) (-3124 (($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121)) 25) (($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121)) 26)) (-3956 (((-852) $) 21) (($ (-437)) 28)) (-1326 (((-121) $ $) NIL))) 
+(((-440) (-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -3956 ($ (-437))) (-15 -3288 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -1765 ((-635 (-955 (-569))) $)) (-15 -3143 ((-121) $)) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121))) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121))) (-15 -1882 ($)) (-15 -3502 ($)) (-15 -2326 ($)) (-15 -3034 ($)) (-15 -1674 ($)) (-15 -1879 ($)) (-15 -3827 ($))))) (T -440)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-440)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) (-3288 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-440)))) (-1765 (*1 *2 *1) (-12 (-5 *2 (-635 (-955 (-569)))) (-5 *1 (-440)))) (-3143 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-1165))) (-5 *4 (-121)) (-5 *1 (-440)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) (-1882 (*1 *1) (-5 *1 (-440))) (-3502 (*1 *1) (-5 *1 (-440))) (-2326 (*1 *1) (-5 *1 (-440))) (-3034 (*1 *1) (-5 *1 (-440))) (-1674 (*1 *1) (-5 *1 (-440))) (-1879 (*1 *1) (-5 *1 (-440))) (-3827 (*1 *1) (-5 *1 (-440)))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ((-852) $)) (-15 -3956 ($ (-437))) (-15 -3288 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -1765 ((-635 (-955 (-569))) $)) (-15 -3143 ((-121) $)) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-1165)) (-121))) (-15 -3124 ($ (-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-635 (-955 (-569))) (-121))) (-15 -1882 ($)) (-15 -3502 ($)) (-15 -2326 ($)) (-15 -3034 ($)) (-15 -1674 ($)) (-15 -1879 ($)) (-15 -3827 ($)))) 
+((-1310 (((-121) $ $) NIL)) (-2798 (((-1165) $) 8)) (-2605 (((-1147) $) 16)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 13))) 
+(((-441 |#1|) (-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) (-1165)) (T -441)) 
+((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-441 *3)) (-14 *3 *2)))) 
+(-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) 
+((-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-1253 (-690))) 12) (($ (-635 (-329))) 11) (($ (-329)) 10) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 9))) 
+(((-442) (-1284)) (T -442)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-690))) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-442))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-1253 (-690)))) (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))))) 
+(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
+((-3003 (((-3 $ "failed") (-1253 (-311 (-382)))) 19) (((-3 $ "failed") (-1253 (-311 (-569)))) 17) (((-3 $ "failed") (-1253 (-955 (-382)))) 15) (((-3 $ "failed") (-1253 (-955 (-569)))) 13) (((-3 $ "failed") (-1253 (-410 (-955 (-382))))) 11) (((-3 $ "failed") (-1253 (-410 (-955 (-569))))) 9)) (-1321 (($ (-1253 (-311 (-382)))) 20) (($ (-1253 (-311 (-569)))) 18) (($ (-1253 (-955 (-382)))) 16) (($ (-1253 (-955 (-569)))) 14) (($ (-1253 (-410 (-955 (-382))))) 12) (($ (-1253 (-410 (-955 (-569))))) 10)) (-3225 (((-1258) $) 7)) (-3956 (((-852) $) 8) (($ (-635 (-329))) 23) (($ (-329)) 22) (($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) 21))) 
+(((-443) (-1284)) (T -443)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443))))) 
+(-13 (-398) (-10 -8 (-15 -3956 ($ (-635 (-329)))) (-15 -3956 ($ (-329))) (-15 -3956 ($ (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329)))))) (-15 -1321 ($ (-1253 (-311 (-382))))) (-15 -3003 ((-3 $ "failed") (-1253 (-311 (-382))))) (-15 -1321 ($ (-1253 (-311 (-569))))) (-15 -3003 ((-3 $ "failed") (-1253 (-311 (-569))))) (-15 -1321 ($ (-1253 (-955 (-382))))) (-15 -3003 ((-3 $ "failed") (-1253 (-955 (-382))))) (-15 -1321 ($ (-1253 (-955 (-569))))) (-15 -3003 ((-3 $ "failed") (-1253 (-955 (-569))))) (-15 -1321 ($ (-1253 (-410 (-955 (-382)))))) (-15 -3003 ((-3 $ "failed") (-1253 (-410 (-955 (-382)))))) (-15 -1321 ($ (-1253 (-410 (-955 (-569)))))) (-15 -3003 ((-3 $ "failed") (-1253 (-410 (-955 (-569)))))))) 
+(((-609 (-852)) . T) ((-398) . T) ((-1199) . T)) 
+((-2508 (((-121)) 17)) (-4074 (((-121) (-121)) 18)) (-3564 (((-121)) 13)) (-4062 (((-121) (-121)) 14)) (-3898 (((-121)) 15)) (-4535 (((-121) (-121)) 16)) (-1691 (((-919) (-919)) 21) (((-919)) 20)) (-1741 (((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569))))) 41)) (-3698 (((-919) (-919)) 23) (((-919)) 22)) (-2251 (((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|) 61)) (-3609 (((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569))))))) 125)) (-2250 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)) 151)) (-3576 (((-421 |#1|) |#1| (-765) (-765)) 164) (((-421 |#1|) |#1| (-635 (-765)) (-765)) 161) (((-421 |#1|) |#1| (-635 (-765))) 163) (((-421 |#1|) |#1| (-765)) 162) (((-421 |#1|) |#1|) 160)) (-4350 (((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121)) 166) (((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765)) 167) (((-3 |#1| "failed") (-919) |#1| (-635 (-765))) 169) (((-3 |#1| "failed") (-919) |#1| (-765)) 168) (((-3 |#1| "failed") (-919) |#1|) 170)) (-3139 (((-421 |#1|) |#1| (-765) (-765)) 159) (((-421 |#1|) |#1| (-635 (-765)) (-765)) 155) (((-421 |#1|) |#1| (-635 (-765))) 157) (((-421 |#1|) |#1| (-765)) 156) (((-421 |#1|) |#1|) 154)) (-4177 (((-121) |#1|) 36)) (-3864 (((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569))))) 66)) (-3054 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)) 153))) 
+(((-444 |#1|) (-10 -7 (-15 -3609 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))))) (-15 -3864 ((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -3698 ((-919))) (-15 -3698 ((-919) (-919))) (-15 -1691 ((-919))) (-15 -1691 ((-919) (-919))) (-15 -1741 ((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -2251 ((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|)) (-15 -2508 ((-121))) (-15 -4074 ((-121) (-121))) (-15 -3564 ((-121))) (-15 -4062 ((-121) (-121))) (-15 -4177 ((-121) |#1|)) (-15 -3898 ((-121))) (-15 -4535 ((-121) (-121))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1| (-765))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3139 ((-421 |#1|) |#1| (-765) (-765))) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1| (-765))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3576 ((-421 |#1|) |#1| (-765) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1|)) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121))) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121))) (-15 -3054 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)))) (-1228 (-569))) (T -444)) 
+((-3054 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1095 (-765))) (-5 *6 (-765)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2250 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-4350 (*1 *2 *3 *2) (|partial| -12 (-5 *3 (-919)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) (-3576 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4535 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3898 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4177 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4062 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3564 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-4074 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2508 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-2251 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2318 (-569)) (|:| -3459 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-1741 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-765)) (-5 *1 (-444 *4)))) (-1691 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-1691 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3698 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3698 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) (-3864 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-729 (-765))) (-5 *1 (-444 *4)))) (-3609 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *4) (|:| -4144 (-569))))))) (-4 *4 (-1228 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
+(-10 -7 (-15 -3609 ((-421 |#1|) (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))))) (-15 -3864 ((-729 (-765)) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -3698 ((-919))) (-15 -3698 ((-919) (-919))) (-15 -1691 ((-919))) (-15 -1691 ((-919) (-919))) (-15 -1741 ((-765) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))))) (-15 -2251 ((-2 (|:| -2318 (-569)) (|:| -3459 (-635 |#1|))) |#1|)) (-15 -2508 ((-121))) (-15 -4074 ((-121) (-121))) (-15 -3564 ((-121))) (-15 -4062 ((-121) (-121))) (-15 -4177 ((-121) |#1|)) (-15 -3898 ((-121))) (-15 -4535 ((-121) (-121))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3139 ((-421 |#1|) |#1| (-765))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3139 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3139 ((-421 |#1|) |#1| (-765) (-765))) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1| (-765))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)))) (-15 -3576 ((-421 |#1|) |#1| (-635 (-765)) (-765))) (-15 -3576 ((-421 |#1|) |#1| (-765) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1|)) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765))) (-15 -4350 ((-3 |#1| "failed") (-919) |#1| (-635 (-765)) (-765) (-121))) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121))) (-15 -3054 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121) (-1095 (-765)) (-765)))) 
+((-3478 (((-569) |#2|) 48) (((-569) |#2| (-765)) 47)) (-4000 (((-569) |#2|) 55)) (-4549 ((|#3| |#2|) 25)) (-3046 ((|#3| |#2| (-919)) 14)) (-2718 ((|#3| |#2|) 15)) (-2007 ((|#3| |#2|) 9)) (-1468 ((|#3| |#2|) 10)) (-3951 ((|#3| |#2| (-919)) 62) ((|#3| |#2|) 30)) (-4137 (((-569) |#2|) 57))) 
+(((-445 |#1| |#2| |#3|) (-10 -7 (-15 -4137 ((-569) |#2|)) (-15 -3951 (|#3| |#2|)) (-15 -3951 (|#3| |#2| (-919))) (-15 -4000 ((-569) |#2|)) (-15 -3478 ((-569) |#2| (-765))) (-15 -3478 ((-569) |#2|)) (-15 -3046 (|#3| |#2| (-919))) (-15 -4549 (|#3| |#2|)) (-15 -2007 (|#3| |#2|)) (-15 -1468 (|#3| |#2|)) (-15 -2718 (|#3| |#2|))) (-1049) (-1228 |#1|) (-13 (-407) (-1039 |#1|) (-366) (-1185) (-280))) (T -445)) 
+((-2718 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-1468 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-2007 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-4549 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) (-3478 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))))) (-3478 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1228 *5)) (-4 *6 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))))) (-4000 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))))) (-3951 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) (-3951 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) (-4137 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
+(-10 -7 (-15 -4137 ((-569) |#2|)) (-15 -3951 (|#3| |#2|)) (-15 -3951 (|#3| |#2| (-919))) (-15 -4000 ((-569) |#2|)) (-15 -3478 ((-569) |#2| (-765))) (-15 -3478 ((-569) |#2|)) (-15 -3046 (|#3| |#2| (-919))) (-15 -4549 (|#3| |#2|)) (-15 -2007 (|#3| |#2|)) (-15 -1468 (|#3| |#2|)) (-15 -2718 (|#3| |#2|))) 
+((-3067 ((|#2| (-1253 |#1|)) 36)) (-1362 ((|#2| |#2| |#1|) 49)) (-2799 ((|#2| |#2| |#1|) 41)) (-1871 ((|#2| |#2|) 38)) (-3312 (((-121) |#2|) 30)) (-2700 (((-635 |#2|) (-919) (-421 |#2|)) 16)) (-4350 ((|#2| (-919) (-421 |#2|)) 21)) (-3864 (((-729 (-765)) (-421 |#2|)) 25))) 
+(((-446 |#1| |#2|) (-10 -7 (-15 -3312 ((-121) |#2|)) (-15 -3067 (|#2| (-1253 |#1|))) (-15 -1871 (|#2| |#2|)) (-15 -2799 (|#2| |#2| |#1|)) (-15 -1362 (|#2| |#2| |#1|)) (-15 -3864 ((-729 (-765)) (-421 |#2|))) (-15 -4350 (|#2| (-919) (-421 |#2|))) (-15 -2700 ((-635 |#2|) (-919) (-421 |#2|)))) (-1049) (-1228 |#1|)) (T -446)) 
+((-2700 (*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-1049)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6)))) (-4350 (*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1049)))) (-3864 (*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-729 (-765))) (-5 *1 (-446 *4 *5)))) (-1362 (*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-2799 (*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-1871 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) (-3067 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-1049)) (-4 *2 (-1228 *4)) (-5 *1 (-446 *4 *2)))) (-3312 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3312 ((-121) |#2|)) (-15 -3067 (|#2| (-1253 |#1|))) (-15 -1871 (|#2| |#2|)) (-15 -2799 (|#2| |#2| |#1|)) (-15 -1362 (|#2| |#2| |#1|)) (-15 -3864 ((-729 (-765)) (-421 |#2|))) (-15 -4350 (|#2| (-919) (-421 |#2|))) (-15 -2700 ((-635 |#2|) (-919) (-421 |#2|)))) 
+((-3986 (((-765)) 41)) (-3272 (((-765)) 23 (|has| |#1| (-407))) (((-765) (-765)) 22 (|has| |#1| (-407)))) (-2158 (((-569) |#1|) 18 (|has| |#1| (-407)))) (-1432 (((-569) |#1|) 20 (|has| |#1| (-407)))) (-1774 (((-765)) 40) (((-765) (-765)) 39)) (-4477 ((|#1| (-765) (-569)) 29)) (-1684 (((-1258)) 43))) 
+(((-447 |#1|) (-10 -7 (-15 -4477 (|#1| (-765) (-569))) (-15 -1774 ((-765) (-765))) (-15 -1774 ((-765))) (-15 -3986 ((-765))) (-15 -1684 ((-1258))) (IF (|has| |#1| (-407)) (PROGN (-15 -1432 ((-569) |#1|)) (-15 -2158 ((-569) |#1|)) (-15 -3272 ((-765) (-765))) (-15 -3272 ((-765)))) |noBranch|)) (-1049)) (T -447)) 
+((-3272 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-3272 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-2158 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-1432 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) (-1684 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-3986 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-1774 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-1774 (*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) (-4477 (*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1049))))) 
+(-10 -7 (-15 -4477 (|#1| (-765) (-569))) (-15 -1774 ((-765) (-765))) (-15 -1774 ((-765))) (-15 -3986 ((-765))) (-15 -1684 ((-1258))) (IF (|has| |#1| (-407)) (PROGN (-15 -1432 ((-569) |#1|)) (-15 -2158 ((-569) |#1|)) (-15 -3272 ((-765) (-765))) (-15 -3272 ((-765)))) |noBranch|)) 
+((-4057 (((-635 (-569)) (-569)) 57)) (-2005 (((-121) (-170 (-569))) 61)) (-3139 (((-421 (-170 (-569))) (-170 (-569))) 56))) 
+(((-448) (-10 -7 (-15 -3139 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -4057 ((-635 (-569)) (-569))) (-15 -2005 ((-121) (-170 (-569)))))) (T -448)) 
+((-2005 (*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) (-4057 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569)))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569)))))) 
+(-10 -7 (-15 -3139 ((-421 (-170 (-569))) (-170 (-569)))) (-15 -4057 ((-635 (-569)) (-569))) (-15 -2005 ((-121) (-170 (-569))))) 
+((-2740 ((|#4| |#4| (-635 |#4|)) 57)) (-4295 (((-635 |#4|) (-635 |#4|) (-1147) (-1147)) 17) (((-635 |#4|) (-635 |#4|) (-1147)) 16) (((-635 |#4|) (-635 |#4|)) 11))) 
+(((-449 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2740 (|#4| |#4| (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147) (-1147)))) (-302) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -449)) 
+((-4295 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) (-4295 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) (-4295 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-449 *3 *4 *5 *6)))) (-2740 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -2740 (|#4| |#4| (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4295 ((-635 |#4|) (-635 |#4|) (-1147) (-1147)))) 
+((-3447 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 70) (((-635 (-635 |#4|)) (-635 |#4|)) 69) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121)) 63) (((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|)) 64)) (-2099 (((-635 (-635 |#4|)) (-635 |#4|) (-121)) 40) (((-635 (-635 |#4|)) (-635 |#4|)) 60))) 
+(((-450 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) (-13 (-302) (-151)) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -450)) 
+((-3447 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-3447 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3447 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-3447 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2099 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) (-2099 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(-10 -7 (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -2099 ((-635 (-635 |#4|)) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-635 |#4|) (-121))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|))) (-15 -3447 ((-635 (-635 |#4|)) (-635 |#4|) (-121)))) 
+((-1286 (((-765) |#4|) 12)) (-3755 (((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)))) 31)) (-1646 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 37)) (-4237 ((|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 38)) (-4256 ((|#4| |#4| (-635 |#4|)) 39)) (-2743 (((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|)) 68)) (-3681 (((-1258) |#4|) 41)) (-3852 (((-1258) (-635 |#4|)) 50)) (-3862 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569)) 47)) (-1358 (((-1258) (-569)) 75)) (-2283 (((-635 |#4|) (-635 |#4|)) 73)) (-4403 (((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765)) 25)) (-1907 (((-569) |#4|) 74)) (-4200 ((|#4| |#4|) 29)) (-3082 (((-635 |#4|) (-635 |#4|) (-569) (-569)) 54)) (-4444 (((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569)) 85)) (-1487 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 16)) (-1307 (((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) 57)) (-3152 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 56)) (-4242 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 35)) (-3719 (((-121) |#2| |#2|) 55)) (-2205 (((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) 36)) (-3386 (((-121) |#2| |#2| |#2| |#2|) 58)) (-4490 ((|#4| |#4| (-635 |#4|)) 69))) 
+(((-451 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4490 (|#4| |#4| (-635 |#4|))) (-15 -4256 (|#4| |#4| (-635 |#4|))) (-15 -3082 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -1307 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3719 ((-121) |#2| |#2|)) (-15 -3386 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2205 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3152 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2743 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -4200 (|#4| |#4|)) (-15 -3755 ((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))))) (-15 -4237 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1646 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2283 ((-635 |#4|) (-635 |#4|))) (-15 -1907 ((-569) |#4|)) (-15 -3681 ((-1258) |#4|)) (-15 -3862 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -4444 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -3852 ((-1258) (-635 |#4|))) (-15 -1358 ((-1258) (-569))) (-15 -1487 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4403 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765))) (-15 -1286 ((-765) |#4|))) (-454) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -451)) 
+((-1286 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-4403 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-765)) (|:| -2665 *4))) (-5 *5 (-765)) (-4 *4 (-952 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4)))) (-1487 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-1358 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-3852 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4444 (*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4)))) (-3862 (*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4)))) (-3681 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-1907 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-2283 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-1646 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-4237 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-790)) (-4 *2 (-952 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-844)))) (-3755 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 *3)))) (-5 *4 (-765)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *3)))) (-4200 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-2743 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3)))) (-3152 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-790)) (-4 *6 (-952 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *4 *3 *5 *6)))) (-4242 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6)))) (-2205 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-790)) (-4 *3 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *3)))) (-3386 (*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5)))) (-3719 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5)))) (-1307 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7)))) (-3082 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *7)))) (-4256 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2)))) (-4490 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(-10 -7 (-15 -4490 (|#4| |#4| (-635 |#4|))) (-15 -4256 (|#4| |#4| (-635 |#4|))) (-15 -3082 ((-635 |#4|) (-635 |#4|) (-569) (-569))) (-15 -1307 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -3719 ((-121) |#2| |#2|)) (-15 -3386 ((-121) |#2| |#2| |#2| |#2|)) (-15 -2205 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#4| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -4242 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -3152 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) |#2| (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2743 ((-2 (|:| |poly| |#4|) (|:| |mult| |#1|)) |#4| (-635 |#4|))) (-15 -4200 (|#4| |#4|)) (-15 -3755 ((-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))) |#4| (-765) (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|))))) (-15 -4237 (|#4| (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -1646 ((-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))) (-635 (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|))))) (-15 -2283 ((-635 |#4|) (-635 |#4|))) (-15 -1907 ((-569) |#4|)) (-15 -3681 ((-1258) |#4|)) (-15 -3862 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569))) (-15 -4444 ((-569) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) |#4| |#4| (-569) (-569) (-569) (-569))) (-15 -3852 ((-1258) (-635 |#4|))) (-15 -1358 ((-1258) (-569))) (-15 -1487 ((-121) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)))) (-15 -4403 ((-2 (|:| |lcmfij| |#2|) (|:| |totdeg| (-765)) (|:| |poli| |#4|) (|:| |polj| |#4|)) (-2 (|:| |totdeg| (-765)) (|:| -2665 |#4|)) |#4| (-765))) (-15 -1286 ((-765) |#4|))) 
+((-1890 ((|#4| |#4| (-635 |#4|)) 22 (|has| |#1| (-366)))) (-4378 (((-635 |#4|) (-635 |#4|) (-1147) (-1147)) 41) (((-635 |#4|) (-635 |#4|) (-1147)) 40) (((-635 |#4|) (-635 |#4|)) 35))) 
+(((-452 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4378 ((-635 |#4|) (-635 |#4|))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147) (-1147))) (IF (|has| |#1| (-366)) (-15 -1890 (|#4| |#4| (-635 |#4|))) |noBranch|)) (-454) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -452)) 
+((-1890 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *2)))) (-4378 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) (-4378 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) (-4378 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-452 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -4378 ((-635 |#4|) (-635 |#4|))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147))) (-15 -4378 ((-635 |#4|) (-635 |#4|) (-1147) (-1147))) (IF (|has| |#1| (-366)) (-15 -1890 (|#4| |#4| (-635 |#4|))) |noBranch|)) 
+((-1657 (($ $ $) 14) (($ (-635 $)) 21)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 41)) (-3964 (($ $ $) NIL) (($ (-635 $)) 22))) 
+(((-453 |#1|) (-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -1657 (|#1| (-635 |#1|))) (-15 -1657 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|))) (-454)) (T -453)) 
+NIL 
+(-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -1657 (|#1| (-635 |#1|))) (-15 -1657 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3964 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-454) (-1284)) (T -454)) 
+((-3964 (*1 *1 *1 *1) (-4 *1 (-454))) (-3964 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-1657 (*1 *1 *1 *1) (-4 *1 (-454))) (-1657 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) (-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-454))))) 
+(-13 (-559) (-10 -8 (-15 -3964 ($ $ $)) (-15 -3964 ($ (-635 $))) (-15 -1657 ($ $ $)) (-15 -1657 ($ (-635 $))) (-15 -2257 ((-1161 $) (-1161 $) (-1161 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 (-410 (-955 |#1|)))) (-1253 $)) NIL) (((-1253 (-681 (-410 (-955 |#1|))))) NIL)) (-1552 (((-1253 $)) NIL)) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL)) (-3943 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-2459 (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL) (((-681 (-410 (-955 |#1|)))) NIL)) (-1478 (((-410 (-955 |#1|)) $) NIL)) (-4471 (((-681 (-410 (-955 |#1|))) $ (-1253 $)) NIL) (((-681 (-410 (-955 |#1|))) $) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-1965 (((-1161 (-955 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-366))) (((-1161 (-410 (-955 |#1|)))) 79 (|has| |#1| (-559)))) (-4382 (($ $ (-919)) NIL)) (-3557 (((-410 (-955 |#1|)) $) NIL)) (-2212 (((-1161 (-410 (-955 |#1|))) $) 77 (|has| (-410 (-955 |#1|)) (-559)))) (-1547 (((-410 (-955 |#1|)) (-1253 $)) NIL) (((-410 (-955 |#1|))) NIL)) (-3168 (((-1161 (-410 (-955 |#1|))) $) NIL)) (-3073 (((-121)) NIL)) (-2097 (($ (-1253 (-410 (-955 |#1|))) (-1253 $)) 97) (($ (-1253 (-410 (-955 |#1|)))) NIL)) (-2611 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3358 (((-919)) NIL)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) NIL)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL)) (-1309 (((-3 $ "failed")) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3707 (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL) (((-681 (-410 (-955 |#1|)))) NIL)) (-2858 (((-410 (-955 |#1|)) $) NIL)) (-4432 (((-681 (-410 (-955 |#1|))) $ (-1253 $)) NIL) (((-681 (-410 (-955 |#1|))) $) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-3348 (((-1161 (-955 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-366))) (((-1161 (-410 (-955 |#1|)))) 78 (|has| |#1| (-559)))) (-2846 (($ $ (-919)) NIL)) (-2170 (((-410 (-955 |#1|)) $) NIL)) (-1650 (((-1161 (-410 (-955 |#1|))) $) 72 (|has| (-410 (-955 |#1|)) (-559)))) (-2510 (((-410 (-955 |#1|)) (-1253 $)) NIL) (((-410 (-955 |#1|))) NIL)) (-4215 (((-1161 (-410 (-955 |#1|))) $) NIL)) (-2431 (((-121)) NIL)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL)) (-4161 (((-121)) NIL)) (-3983 (((-121)) NIL)) (-1912 (((-1111) $) NIL)) (-2629 (((-410 (-955 |#1|)) $ $) 66 (|has| |#1| (-559)))) (-3619 (((-410 (-955 |#1|)) $) 65 (|has| |#1| (-559)))) (-2270 (((-410 (-955 |#1|)) $) 89 (|has| |#1| (-559)))) (-3136 (((-1161 (-410 (-955 |#1|))) $) 83 (|has| |#1| (-559)))) (-2787 (((-410 (-955 |#1|))) 67 (|has| |#1| (-559)))) (-1725 (((-410 (-955 |#1|)) $ $) 54 (|has| |#1| (-559)))) (-2138 (((-410 (-955 |#1|)) $) 53 (|has| |#1| (-559)))) (-1535 (((-410 (-955 |#1|)) $) 88 (|has| |#1| (-559)))) (-2035 (((-1161 (-410 (-955 |#1|))) $) 82 (|has| |#1| (-559)))) (-4048 (((-410 (-955 |#1|))) 64 (|has| |#1| (-559)))) (-1997 (($) 95) (($ (-1165)) 101) (($ (-1253 (-1165))) 100) (($ (-1253 $)) 90) (($ (-1165) (-1253 $)) 99) (($ (-1253 (-1165)) (-1253 $)) 98)) (-2067 (((-121)) NIL)) (-2503 (((-410 (-955 |#1|)) $ (-569)) NIL)) (-3672 (((-1253 (-410 (-955 |#1|))) $ (-1253 $)) 92) (((-681 (-410 (-955 |#1|))) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 (-955 |#1|))) $) 37) (((-681 (-410 (-955 |#1|))) (-1253 $)) NIL)) (-4035 (((-1253 (-410 (-955 |#1|))) $) NIL) (($ (-1253 (-410 (-955 |#1|)))) 34)) (-3127 (((-635 (-955 (-410 (-955 |#1|)))) (-1253 $)) NIL) (((-635 (-955 (-410 (-955 |#1|))))) NIL) (((-635 (-955 |#1|)) (-1253 $)) 93 (|has| |#1| (-559))) (((-635 (-955 |#1|))) 94 (|has| |#1| (-559)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL)) (-3956 (((-852) $) NIL) (($ (-1253 (-410 (-955 |#1|)))) NIL)) (-4079 (((-1253 $)) 56)) (-2628 (((-635 (-1253 (-410 (-955 |#1|))))) NIL (|has| (-410 (-955 |#1|)) (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL)) (-1772 (($ (-681 (-410 (-955 |#1|))) $) NIL)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL)) (-3952 (((-121)) NIL)) (-1606 (((-121)) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) 91)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 52) (($ $ (-410 (-955 |#1|))) NIL) (($ (-410 (-955 |#1|)) $) NIL) (($ (-1130 |#2| (-410 (-955 |#1|))) $) NIL))) 
+(((-455 |#1| |#2| |#3| |#4|) (-13 (-420 (-410 (-955 |#1|))) (-638 (-1130 |#2| (-410 (-955 |#1|)))) (-10 -8 (-15 -3956 ($ (-1253 (-410 (-955 |#1|))))) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1997 ($)) (-15 -1997 ($ (-1165))) (-15 -1997 ($ (-1253 (-1165)))) (-15 -1997 ($ (-1253 $))) (-15 -1997 ($ (-1165) (-1253 $))) (-15 -1997 ($ (-1253 (-1165)) (-1253 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3348 ((-1161 (-410 (-955 |#1|))))) (-15 -2035 ((-1161 (-410 (-955 |#1|))) $)) (-15 -2138 ((-410 (-955 |#1|)) $)) (-15 -1535 ((-410 (-955 |#1|)) $)) (-15 -1965 ((-1161 (-410 (-955 |#1|))))) (-15 -3136 ((-1161 (-410 (-955 |#1|))) $)) (-15 -3619 ((-410 (-955 |#1|)) $)) (-15 -2270 ((-410 (-955 |#1|)) $)) (-15 -1725 ((-410 (-955 |#1|)) $ $)) (-15 -4048 ((-410 (-955 |#1|)))) (-15 -2629 ((-410 (-955 |#1|)) $ $)) (-15 -2787 ((-410 (-955 |#1|)))) (-15 -3127 ((-635 (-955 |#1|)) (-1253 $))) (-15 -3127 ((-635 (-955 |#1|))))) |noBranch|))) (-173) (-919) (-635 (-1165)) (-1253 (-681 |#1|))) (T -455)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 *3)))) (-4 *3 (-173)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) (-4030 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2634 (*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-919)) (-14 *4 (-635 (-1165))) (-14 *5 (-1253 (-681 *2))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 *2)) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1253 (-1165))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2) (-12 (-5 *2 (-1253 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1997 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 *2)) (-14 *7 (-1253 (-681 *4))))) (-1997 (*1 *1 *2 *3) (-12 (-5 *2 (-1253 (-1165))) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) (-3348 (*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2035 (*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2138 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1535 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1965 (*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3136 (*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3619 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2270 (*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-1725 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-4048 (*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2629 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-2787 (*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) (-3127 (*1 *2 *3) (-12 (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-955 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) (-3127 (*1 *2) (-12 (-5 *2 (-635 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(-13 (-420 (-410 (-955 |#1|))) (-638 (-1130 |#2| (-410 (-955 |#1|)))) (-10 -8 (-15 -3956 ($ (-1253 (-410 (-955 |#1|))))) (-15 -4030 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -2634 ((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed"))) (-15 -1997 ($)) (-15 -1997 ($ (-1165))) (-15 -1997 ($ (-1253 (-1165)))) (-15 -1997 ($ (-1253 $))) (-15 -1997 ($ (-1165) (-1253 $))) (-15 -1997 ($ (-1253 (-1165)) (-1253 $))) (IF (|has| |#1| (-559)) (PROGN (-15 -3348 ((-1161 (-410 (-955 |#1|))))) (-15 -2035 ((-1161 (-410 (-955 |#1|))) $)) (-15 -2138 ((-410 (-955 |#1|)) $)) (-15 -1535 ((-410 (-955 |#1|)) $)) (-15 -1965 ((-1161 (-410 (-955 |#1|))))) (-15 -3136 ((-1161 (-410 (-955 |#1|))) $)) (-15 -3619 ((-410 (-955 |#1|)) $)) (-15 -2270 ((-410 (-955 |#1|)) $)) (-15 -1725 ((-410 (-955 |#1|)) $ $)) (-15 -4048 ((-410 (-955 |#1|)))) (-15 -2629 ((-410 (-955 |#1|)) $ $)) (-15 -2787 ((-410 (-955 |#1|)))) (-15 -3127 ((-635 (-955 |#1|)) (-1253 $))) (-15 -3127 ((-635 (-955 |#1|))))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 13)) (-3195 (((-635 (-854 |#1|)) $) 73)) (-3132 (((-1161 $) $ (-854 |#1|)) 46) (((-1161 |#2|) $) 115)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) 21) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 44) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) 42) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) 78)) (-3373 (($ $) 67)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| |#3| $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 58)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) 120) (($ (-1161 $) (-854 |#1|)) 52)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) 59)) (-3179 (($ |#2| |#3|) 28) (($ $ (-854 |#1|) (-765)) 30) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 ((|#3| $) NIL) (((-765) $ (-854 |#1|)) 50) (((-635 (-765)) $ (-635 (-854 |#1|))) 57)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 |#3| |#3|) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) 39)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) 41)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-3256 ((|#2| $) 113)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) 125 (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) 85) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) 88) (($ $ (-854 |#1|) $) 83) (($ $ (-635 (-854 |#1|)) (-635 $)) 104)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) 53) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 ((|#3| $) 66) (((-765) $ (-854 |#1|)) 37) (((-635 (-765)) $ (-635 (-854 |#1|))) 56)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) 122 (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) 141) (($ (-569)) NIL) (($ |#2|) 84) (($ (-854 |#1|)) 31) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ |#3|) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 16 T CONST)) (-3297 (($) 25 T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) 64 (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 109)) (** (($ $ (-919)) NIL) (($ $ (-765)) 107)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 29) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) 63) (($ $ |#2|) NIL))) 
+(((-456 |#1| |#2| |#3|) (-13 (-952 |#2| |#3| (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049) (-231 (-2946 |#1|) (-765))) (T -456)) 
+((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1165))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-231 (-2946 *3) (-765)))))) 
+(-13 (-952 |#2| |#3| (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
+((-3823 (((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147)) 49) (((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257))) 48) (((-1258) (-311 (-382)) (-1085 (-382)) (-1147)) 42) (((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257))) 39))) 
+(((-457) (-10 -7 (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147))))) (T -457)) 
+((-3823 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) (-3823 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457))))) 
+(-10 -7 (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1147))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147) (-635 (-257)))) (-15 -3823 ((-1258) (-311 (-382)) (-1085 (-382)) (-1085 (-382)) (-1147)))) 
+((-3020 (((-121) |#1| (-635 |#2|)) 65)) (-2220 (((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|)) 74)) (-1474 (((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|))) 76)) (-2688 ((|#2| |#2| |#1|) 28)) (-1464 (((-765) |#2| (-635 |#2|)) 20))) 
+(((-458 |#1| |#2|) (-10 -7 (-15 -2688 (|#2| |#2| |#1|)) (-15 -1464 ((-765) |#2| (-635 |#2|))) (-15 -2220 ((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|))) (-15 -1474 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|)))) (-15 -3020 ((-121) |#1| (-635 |#2|)))) (-302) (-1228 |#1|)) (T -458)) 
+((-3020 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1228 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5)))) (-1474 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1253 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1228 *4)))) (-2220 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-302)) (-4 *6 (-1228 *4)) (-5 *2 (-1253 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6)))) (-1464 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-302)) (-5 *2 (-765)) (-5 *1 (-458 *5 *3)))) (-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1228 *3))))) 
+(-10 -7 (-15 -2688 (|#2| |#2| |#1|)) (-15 -1464 ((-765) |#2| (-635 |#2|))) (-15 -2220 ((-3 (-1253 (-635 |#2|)) "failed") (-765) |#1| (-635 |#2|))) (-15 -1474 ((-3 (-635 |#2|) "failed") |#2| |#1| (-1253 (-635 |#2|)))) (-15 -3020 ((-121) |#1| (-635 |#2|)))) 
+((-3139 (((-421 |#5|) |#5|) 24))) 
+(((-459 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3139 ((-421 |#5|) |#5|))) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-790) (-559) (-559) (-952 |#4| |#2| |#1|)) (T -459)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *5 (-790)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-952 *7 *5 *4))))) 
+(-10 -7 (-15 -3139 ((-421 |#5|) |#5|))) 
+((-4326 ((|#3|) 36)) (-2257 (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 32))) 
+(((-460 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2257 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4326 (|#3|))) (-790) (-844) (-906) (-952 |#3| |#1| |#2|)) (T -460)) 
+((-4326 (*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-952 *2 *3 *4)))) (-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-906)) (-5 *1 (-460 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -2257 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4326 (|#3|))) 
+((-3139 (((-421 (-1161 |#1|)) (-1161 |#1|)) 41))) 
+(((-461 |#1|) (-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|)))) (-302)) (T -461)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1161 *4))))) 
+(-10 -7 (-15 -3139 ((-421 (-1161 |#1|)) (-1161 |#1|)))) 
+((-3221 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765))) 42) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765))) 41) (((-57) |#2| (-1165) (-289 |#2|)) 35) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 27)) (-4314 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 80) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 79) (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569))) 78) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569))) 77) (((-57) |#2| (-1165) (-289 |#2|)) 72) (((-57) (-1 |#2| (-569)) (-289 |#2|)) 71)) (-3236 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 66) (((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))) 64)) (-3228 (((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569))) 48) (((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569))) 47))) 
+(((-462 |#1| |#2|) (-10 -7 (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765)))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765)))) (-15 -3228 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -3228 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -3236 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -3236 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -462)) 
+((-4314 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-4314 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-4314 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-4314 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-4314 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-4314 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) (-3236 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) (-3236 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) (-3228 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3228 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3221 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-765))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-765))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) (-3221 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) (-3221 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6))))) 
+(-10 -7 (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -3221 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-765)))) (-15 -3221 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-765)))) (-15 -3228 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -3228 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -3236 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -3236 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|))) (-15 -4314 ((-57) (-1 |#2| (-569)) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-569)))) (-15 -4314 ((-57) (-1 |#2| (-410 (-569))) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569)))) (-15 -4314 ((-57) |#2| (-1165) (-289 |#2|) (-1219 (-410 (-569))) (-410 (-569))))) 
+((-2688 ((|#2| |#2| |#1|) 15)) (-3058 (((-635 |#2|) |#2| (-635 |#2|) |#1| (-919)) 65)) (-4299 (((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919)) 58))) 
+(((-463 |#1| |#2|) (-10 -7 (-15 -4299 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919))) (-15 -3058 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-919))) (-15 -2688 (|#2| |#2| |#1|))) (-302) (-1228 |#1|)) (T -463)) 
+((-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1228 *3)))) (-3058 (*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-919)) (-4 *3 (-1228 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3)))) (-4299 (*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-919)) (-4 *5 (-302)) (-4 *3 (-1228 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
+(-10 -7 (-15 -4299 ((-2 (|:| |plist| (-635 |#2|)) (|:| |modulo| |#1|)) |#2| (-635 |#2|) |#1| (-919))) (-15 -3058 ((-635 |#2|) |#2| (-635 |#2|) |#1| (-919))) (-15 -2688 (|#2| |#2| |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 28)) (-4148 (($ |#3|) 25)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) 32)) (-3001 (($ |#2| |#4| $) 33)) (-3179 (($ |#2| (-705 |#3| |#4| |#5|)) 24)) (-3263 (((-705 |#3| |#4| |#5|) $) 15)) (-1399 ((|#3| $) 19)) (-3570 ((|#4| $) 17)) (-3270 ((|#2| $) 29)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-3160 (($ |#2| |#3| |#4|) 26)) (-2407 (($) 36 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 34)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#6| $) 40) (($ $ |#6|) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-464 |#1| |#2| |#3| |#4| |#5| |#6|) (-13 (-709 |#6|) (-709 |#2|) (-10 -8 (-15 -3270 (|#2| $)) (-15 -3263 ((-705 |#3| |#4| |#5|) $)) (-15 -3570 (|#4| $)) (-15 -1399 (|#3| $)) (-15 -3373 ($ $)) (-15 -3179 ($ |#2| (-705 |#3| |#4| |#5|))) (-15 -4148 ($ |#3|)) (-15 -3160 ($ |#2| |#3| |#4|)) (-15 -3001 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) (-635 (-1165)) (-173) (-844) (-231 (-2946 |#1|) (-765)) (-1 (-121) (-2 (|:| -1333 |#3|) (|:| -3190 |#4|)) (-2 (|:| -1333 |#3|) (|:| -3190 |#4|))) (-952 |#2| |#4| (-854 |#1|))) (T -464)) 
+((* (*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-844)) (-4 *2 (-952 *4 *6 (-854 *3))))) (-3270 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *2 *5 (-854 *3))))) (-3263 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *2 (-705 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-844)) (-4 *8 (-952 *4 *6 (-854 *3))))) (-3570 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *2)) (-2 (|:| -1333 *5) (|:| -3190 *2)))) (-4 *2 (-231 (-2946 *3) (-765))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *4 *2 (-854 *3))))) (-1399 (*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-4 *2 (-844)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-952 *4 *5 (-854 *3))))) (-3373 (*1 *1 *1) (-12 (-14 *2 (-635 (-1165))) (-4 *3 (-173)) (-4 *5 (-231 (-2946 *2) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *3 *5 (-854 *2))))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-705 *5 *6 *7)) (-4 *5 (-844)) (-4 *6 (-231 (-2946 *4) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-952 *2 *6 (-854 *4))))) (-4148 (*1 *1 *2) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-844)) (-4 *7 (-952 *4 *5 (-854 *3))))) (-3160 (*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *2 (-173)) (-4 *4 (-231 (-2946 *5) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *4)) (-2 (|:| -1333 *3) (|:| -3190 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-844)) (-4 *7 (-952 *2 *4 (-854 *5))))) (-3001 (*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-4 *3 (-231 (-2946 *4) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *3)) (-2 (|:| -1333 *5) (|:| -3190 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *2 *3 (-854 *4)))))) 
+(-13 (-709 |#6|) (-709 |#2|) (-10 -8 (-15 -3270 (|#2| $)) (-15 -3263 ((-705 |#3| |#4| |#5|) $)) (-15 -3570 (|#4| $)) (-15 -1399 (|#3| $)) (-15 -3373 ($ $)) (-15 -3179 ($ |#2| (-705 |#3| |#4| |#5|))) (-15 -4148 ($ |#3|)) (-15 -3160 ($ |#2| |#3| |#4|)) (-15 -3001 ($ |#2| |#4| $)) (-15 * ($ |#6| $)))) 
+((-1310 (((-121) $ $) NIL)) (-2304 (((-1165) (-635 (-466))) 48)) (-3631 (((-765) (-635 (-466))) 33)) (-3390 (((-121) (-635 (-466))) 39)) (-2729 (((-3 (-919) "arbitrary") (-635 (-466))) 20)) (-2004 (((-3 (-765) "arbitrary") (-635 (-466))) 18)) (-3053 (((-3 (-919) "arbitrary") (-635 (-466))) 32)) (-1579 (((-765) (-635 (-466))) 25)) (-1677 (((-3 (-765) "arbitrary") (-635 (-466))) 16)) (-1426 (((-3 (-765) "arbitrary") (-635 (-466))) 17)) (-3148 (((-3 (-765) "arbitrary") (-635 (-466))) 21)) (-2605 (((-1147) $) NIL)) (-1993 (((-1165) (-635 (-466))) 50)) (-4313 (((-3 (-919) (-121)) (-635 (-466))) 44)) (-1912 (((-1111) $) NIL)) (-4437 (((-1165) (-635 (-466))) 49)) (-1455 (((-121) (-635 (-466))) 51)) (-3093 (((-121) (-635 (-466))) 40)) (-3956 (((-852) $) NIL)) (-3437 (((-1258) (-635 (-466))) 61)) (-1749 (((-121) (-635 (-466))) 38)) (-4370 (((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466))) 37)) (-2971 (((-121) (-635 (-466))) 29)) (-1902 (((-3 (-919) (-121)) (-635 (-466))) 45)) (-1326 (((-121) $ $) NIL))) 
+(((-465) (-13 (-1093) (-10 -7 (-15 -1426 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2004 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2729 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -3053 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -4313 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1902 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1677 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -3148 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -1579 ((-765) (-635 (-466)))) (-15 -2971 ((-121) (-635 (-466)))) (-15 -3631 ((-765) (-635 (-466)))) (-15 -4370 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1749 ((-121) (-635 (-466)))) (-15 -3390 ((-121) (-635 (-466)))) (-15 -4437 ((-1165) (-635 (-466)))) (-15 -2304 ((-1165) (-635 (-466)))) (-15 -1993 ((-1165) (-635 (-466)))) (-15 -1455 ((-121) (-635 (-466)))) (-15 -3093 ((-121) (-635 (-466)))) (-15 -3437 ((-1258) (-635 (-466))))))) (T -465)) 
+((-1426 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-2004 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-2729 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) (-3053 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) (-4313 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) (-1902 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) (-1677 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-3148 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) (-1579 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) (-2971 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3631 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) (-4370 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) (-1749 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3390 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-4437 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-2304 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-1993 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) (-1455 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3093 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) (-3437 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1258)) (-5 *1 (-465))))) 
+(-13 (-1093) (-10 -7 (-15 -1426 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2004 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -2729 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -3053 ((-3 (-919) "arbitrary") (-635 (-466)))) (-15 -4313 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1902 ((-3 (-919) (-121)) (-635 (-466)))) (-15 -1677 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -3148 ((-3 (-765) "arbitrary") (-635 (-466)))) (-15 -1579 ((-765) (-635 (-466)))) (-15 -2971 ((-121) (-635 (-466)))) (-15 -3631 ((-765) (-635 (-466)))) (-15 -4370 ((-3 "skip" "MonteCarlo" "deterministic") (-635 (-466)))) (-15 -1749 ((-121) (-635 (-466)))) (-15 -3390 ((-121) (-635 (-466)))) (-15 -4437 ((-1165) (-635 (-466)))) (-15 -2304 ((-1165) (-635 (-466)))) (-15 -1993 ((-1165) (-635 (-466)))) (-15 -1455 ((-121) (-635 (-466)))) (-15 -3093 ((-121) (-635 (-466)))) (-15 -3437 ((-1258) (-635 (-466)))))) 
+((-1310 (((-121) $ $) NIL)) (-2304 (($ (-1165)) 49)) (-3631 (($ (-765)) 28)) (-2365 (((-3 (-57) "failed") (-635 $) (-1165)) 61)) (-3390 (($ (-121)) 40)) (-2729 (($ (-3 (-919) "arbitrary")) 15)) (-2004 (($ (-3 (-765) "arbitrary")) 13)) (-3053 (($ (-3 (-919) "arbitrary")) 27)) (-1579 (($ (-765)) 20)) (-1677 (($ (-3 (-765) "arbitrary")) 11)) (-1426 (($ (-3 (-765) "arbitrary")) 12)) (-3148 (($ (-3 (-765) "arbitrary")) 16)) (-2605 (((-1147) $) NIL)) (-1993 (($ (-1165)) 50)) (-4313 (($ (-3 (-919) (-121))) 32)) (-1912 (((-1111) $) NIL)) (-3119 (($ (-635 (-1165))) 48)) (-4437 (($ (-1165)) 44)) (-3153 (($ (-1165)) 51)) (-3093 (($ (-121)) 34)) (-3956 (((-852) $) 56)) (-1749 (($ (-121)) 39)) (-4370 (($ (-3 "skip" "MonteCarlo" "deterministic")) 38)) (-2971 (($ (-121)) 24)) (-1902 (($ (-3 (-919) (-121))) 33)) (-1326 (((-121) $ $) 58))) 
+(((-466) (-13 (-1093) (-10 -8 (-15 -1426 ($ (-3 (-765) "arbitrary"))) (-15 -2004 ($ (-3 (-765) "arbitrary"))) (-15 -2729 ($ (-3 (-919) "arbitrary"))) (-15 -3053 ($ (-3 (-919) "arbitrary"))) (-15 -4313 ($ (-3 (-919) (-121)))) (-15 -1902 ($ (-3 (-919) (-121)))) (-15 -1677 ($ (-3 (-765) "arbitrary"))) (-15 -3148 ($ (-3 (-765) "arbitrary"))) (-15 -1579 ($ (-765))) (-15 -2971 ($ (-121))) (-15 -3631 ($ (-765))) (-15 -4370 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1749 ($ (-121))) (-15 -3390 ($ (-121))) (-15 -3093 ($ (-121))) (-15 -4437 ($ (-1165))) (-15 -3119 ($ (-635 (-1165)))) (-15 -2304 ($ (-1165))) (-15 -1993 ($ (-1165))) (-15 -3153 ($ (-1165))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165)))))) (T -466)) 
+((-1426 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-2004 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-2729 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466)))) (-3053 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466)))) (-4313 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466)))) (-1902 (*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466)))) (-1677 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-3148 (*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466)))) (-1579 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466)))) (-2971 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3631 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466)))) (-4370 (*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) (-1749 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3390 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-3093 (*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) (-4437 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-3119 (*1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-466)))) (-2304 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-1993 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-3153 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466)))) (-2365 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-466))))) 
+(-13 (-1093) (-10 -8 (-15 -1426 ($ (-3 (-765) "arbitrary"))) (-15 -2004 ($ (-3 (-765) "arbitrary"))) (-15 -2729 ($ (-3 (-919) "arbitrary"))) (-15 -3053 ($ (-3 (-919) "arbitrary"))) (-15 -4313 ($ (-3 (-919) (-121)))) (-15 -1902 ($ (-3 (-919) (-121)))) (-15 -1677 ($ (-3 (-765) "arbitrary"))) (-15 -3148 ($ (-3 (-765) "arbitrary"))) (-15 -1579 ($ (-765))) (-15 -2971 ($ (-121))) (-15 -3631 ($ (-765))) (-15 -4370 ($ (-3 "skip" "MonteCarlo" "deterministic"))) (-15 -1749 ($ (-121))) (-15 -3390 ($ (-121))) (-15 -3093 ($ (-121))) (-15 -4437 ($ (-1165))) (-15 -3119 ($ (-635 (-1165)))) (-15 -2304 ($ (-1165))) (-15 -1993 ($ (-1165))) (-15 -3153 ($ (-1165))) (-15 -2365 ((-3 (-57) "failed") (-635 $) (-1165))))) 
+((-1854 (((-3 |#5| "failed") |#5| |#2| (-1 |#2|)) 35))) 
+(((-467 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1854 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|) (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ |#4|)) (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $))))) (T -467)) 
+((-1854 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-844)) (-4 *5 (-790)) (-4 *6 (-559)) (-4 *7 (-952 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(-10 -7 (-15 -1854 ((-3 |#5| "failed") |#5| |#2| (-1 |#2|)))) 
+((-3370 ((|#3|) 43)) (-1940 (((-635 |#5|)) 47)) (-2337 (((-635 |#5|) (-635 |#5|)) 129)) (-1818 ((|#3| |#3|) 107)) (-3786 (((-1258)) 106)) (-3768 (((-635 |#5|)) 150 (|has| |#1| (-371)))) (-1559 (((-635 |#7|)) 153 (|has| |#1| (-371)))) (-2847 (((-1258) (-635 (-121))) 120)) (-2778 ((|#5| |#7|) 94)) (-2080 (((-635 |#7|) (-919)) 149 (|has| |#1| (-371)))) (-2921 (((-635 |#7|) |#5|) 92)) (-3362 ((|#6| |#3| |#7|) 97)) (-3088 (((-569) (-919)) 194 (|has| |#1| (-371)))) (-4107 (((-569) (-919) (-919)) 193 (|has| |#1| (-371)))) (-2390 (((-569) (-919)) 176 (|has| |#1| (-371)))) (-3375 (((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|) 69)) (-2966 ((|#8| |#3|) 50)) (-2087 (((-635 |#3|) |#8| (-635 |#3|)) 136)) (-3280 (((-635 |#3|) |#8| (-765)) 65)) (-4209 ((|#3| |#3| (-569)) 40)) (-4289 (((-569)) 74)) (-2196 (((-765)) 73)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569)) 114)) (-1788 (((-3 |#1| "failed") (-410 |#3|) |#7|) 144) (((-3 |#1| "failed") |#3| |#3| |#7|) 139) (((-3 |#1| "failed") |#3| |#7|) 104)) (-1484 ((|#1| (-410 |#3|) |#7|) 145) ((|#1| |#3| |#3| |#7|) 140) ((|#1| |#3| |#7|) 105)) (-4427 (((-635 |#10|)) 70)) (-3344 (((-635 |#10|)) 45)) (-3552 (((-569)) 204 (|has| |#1| (-371)))) (-2774 ((|#8|) 54)) (-3278 (((-1248 (-569) -4542) (-919)) 155 (|has| |#1| (-371))) (((-1248 (-569) -4542)) 156 (|has| |#1| (-371)))) (-4377 (((-1161 (-569)) (-919)) 158 (|has| |#1| (-371))) (((-1161 (-569))) 196 (|has| |#1| (-371))))) 
+(((-468 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -3786 ((-1258))) (-15 -1818 (|#3| |#3|)) (-15 -4209 (|#3| |#3| (-569))) (-15 -2847 ((-1258) (-635 (-121)))) (-15 -3370 (|#3|)) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -3344 ((-635 |#10|))) (-15 -4427 ((-635 |#10|))) (-15 -2337 ((-635 |#5|) (-635 |#5|))) (-15 -1940 ((-635 |#5|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3375 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -3280 ((-635 |#3|) |#8| (-765))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1484 (|#1| |#3| |#7|)) (-15 -1484 (|#1| |#3| |#3| |#7|)) (-15 -1484 (|#1| (-410 |#3|) |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2966 (|#8| |#3|)) (-15 -2774 (|#8|)) (-15 -2921 ((-635 |#7|) |#5|)) (-15 -2778 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -1559 ((-635 |#7|))) (-15 -3768 ((-635 |#5|))) (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 |#7|) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -468)) 
+((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3278 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-3552 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4377 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3768 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1559 (*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2778 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *3 (-922 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-973 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2921 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *3 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2774 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2966 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1484 (*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *4)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) (-3375 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3362 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-1940 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-973 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4427 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3344 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-4289 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-2196 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-3370 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-952 *3 *5 (-854 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-2847 (*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *2 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) (-1818 (*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *2 (-952 *3 *5 (-854 *4))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) (-3786 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11))))) 
+(-10 -7 (-15 -3786 ((-1258))) (-15 -1818 (|#3| |#3|)) (-15 -4209 (|#3| |#3| (-569))) (-15 -2847 ((-1258) (-635 (-121)))) (-15 -3370 (|#3|)) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -3344 ((-635 |#10|))) (-15 -4427 ((-635 |#10|))) (-15 -2337 ((-635 |#5|) (-635 |#5|))) (-15 -1940 ((-635 |#5|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3375 ((-2 (|:| |num| (-635 |#3|)) (|:| |den| |#3|)) |#8|)) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| |#3|) (|:| |den| |#3|) (|:| |upTo| (-569))) |#8| (-569) (-569))) (-15 -3280 ((-635 |#3|) |#8| (-765))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1484 (|#1| |#3| |#7|)) (-15 -1484 (|#1| |#3| |#3| |#7|)) (-15 -1484 (|#1| (-410 |#3|) |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") |#3| |#3| |#7|)) (-15 -1788 ((-3 |#1| "failed") (-410 |#3|) |#7|)) (-15 -2966 (|#8| |#3|)) (-15 -2774 (|#8|)) (-15 -2921 ((-635 |#7|) |#5|)) (-15 -2778 (|#5| |#7|)) (IF (|has| |#1| (-371)) (PROGN (-15 -1559 ((-635 |#7|))) (-15 -3768 ((-635 |#5|))) (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 |#7|) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-3195 (((-635 |#3|) $) 41)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 47)) (-1321 (($ (-635 |#4|)) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#4|) $) 18 (|has| $ (-6 -4571)))) (-1473 ((|#3| $) 45)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 14 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 26 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 39)) (-4016 (($) 17)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 16)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542)))) (($ (-635 |#4|)) 49)) (-3124 (($ (-635 |#4|)) 13)) (-2201 (($ $ |#3|) NIL)) (-4081 (($ $ |#3|) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 38) (((-635 |#4|) $) 48)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 30)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-469 |#1| |#2| |#3| |#4|) (-13 (-979 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4035 ($ (-635 |#4|))) (-6 -4571) (-6 -4572))) (-1049) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -469)) 
+((-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-469 *3 *4 *5 *6))))) 
+(-13 (-979 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4035 ($ (-635 |#4|))) (-6 -4571) (-6 -4572))) 
+((-2407 (($) 11)) (-3297 (($) 13)) (* (($ |#2| $) 15) (($ $ |#2|) 16))) 
+(((-470 |#1| |#2| |#3|) (-10 -8 (-15 -3297 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2407 (|#1|))) (-471 |#2| |#3|) (-173) (-23)) (T -470)) 
+NIL 
+(-10 -8 (-15 -3297 (|#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 -2407 (|#1|))) 
+((-1310 (((-121) $ $) 7)) (-3003 (((-3 |#1| "failed") $) 23)) (-1321 ((|#1| $) 22)) (-1419 (($ $ $) 20)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 ((|#2| $) 18)) (-3956 (((-852) $) 11) (($ |#1|) 24)) (-2407 (($) 17 T CONST)) (-3297 (($) 21 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 14) (($ $ $) 12)) (-1371 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-471 |#1| |#2|) (-1284) (-173) (-23)) (T -471)) 
+((-3297 (*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1419 (*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-476 |t#1| |t#2|) (-1039 |t#1|) (-10 -8 (-15 (-3297) ($) -3575) (-15 -1419 ($ $ $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-476 |#1| |#2|) . T) ((-1039 |#1|) . T) ((-1093) . T)) 
+((-1970 (((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919)) 18)) (-3885 (((-1253 (-1253 (-569))) (-919)) 16))) 
+(((-472) (-10 -7 (-15 -1970 ((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919))) (-15 -3885 ((-1253 (-1253 (-569))) (-919))))) (T -472)) 
+((-3885 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 (-569)))) (-5 *1 (-472)))) (-1970 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 (-1253 (-569)))) (-5 *3 (-919)) (-5 *1 (-472))))) 
+(-10 -7 (-15 -1970 ((-1253 (-1253 (-569))) (-1253 (-1253 (-569))) (-919))) (-15 -3885 ((-1253 (-1253 (-569))) (-919)))) 
+((-3313 (((-569) (-569)) 30) (((-569)) 22)) (-1822 (((-569) (-569)) 26) (((-569)) 18)) (-2209 (((-569) (-569)) 28) (((-569)) 20)) (-2389 (((-121) (-121)) 12) (((-121)) 10)) (-3930 (((-121) (-121)) 11) (((-121)) 9)) (-1893 (((-121) (-121)) 24) (((-121)) 15))) 
+(((-473) (-10 -7 (-15 -3930 ((-121))) (-15 -2389 ((-121))) (-15 -3930 ((-121) (-121))) (-15 -2389 ((-121) (-121))) (-15 -1893 ((-121))) (-15 -2209 ((-569))) (-15 -1822 ((-569))) (-15 -3313 ((-569))) (-15 -1893 ((-121) (-121))) (-15 -2209 ((-569) (-569))) (-15 -1822 ((-569) (-569))) (-15 -3313 ((-569) (-569))))) (T -473)) 
+((-3313 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1822 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2209 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1893 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3313 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1822 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-2209 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) (-1893 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-2389 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3930 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-2389 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) (-3930 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(-10 -7 (-15 -3930 ((-121))) (-15 -2389 ((-121))) (-15 -3930 ((-121) (-121))) (-15 -2389 ((-121) (-121))) (-15 -1893 ((-121))) (-15 -2209 ((-569))) (-15 -1822 ((-569))) (-15 -3313 ((-569))) (-15 -1893 ((-121) (-121))) (-15 -2209 ((-569) (-569))) (-15 -1822 ((-569) (-569))) (-15 -3313 ((-569) (-569)))) 
+((-1310 (((-121) $ $) NIL)) (-2175 (((-635 (-382)) $) 27) (((-635 (-382)) $ (-635 (-382))) 90)) (-4335 (((-635 (-1087 (-382))) $) 14) (((-635 (-1087 (-382))) $ (-635 (-1087 (-382)))) 87)) (-2529 (((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871))) 42)) (-2890 (((-635 (-635 (-946 (-216)))) $) 83)) (-2131 (((-1258) $ (-946 (-216)) (-871)) 103)) (-2023 (($ $) 82) (($ (-635 (-635 (-946 (-216))))) 93) (($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919))) 92) (($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257))) 94)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 65)) (-1912 (((-1111) $) NIL)) (-4092 (($) 91)) (-3739 (((-635 (-216)) (-635 (-635 (-946 (-216))))) 52)) (-2141 (((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919)) 97) (((-1258) $ (-946 (-216))) 99) (((-1258) $ (-946 (-216)) (-871) (-871) (-919)) 98)) (-3956 (((-852) $) 109) (($ (-635 (-635 (-946 (-216))))) 104)) (-2762 (((-1258) $ (-946 (-216))) 102)) (-1326 (((-121) $ $) NIL))) 
+(((-474) (-13 (-1093) (-10 -8 (-15 -4092 ($)) (-15 -2023 ($ $)) (-15 -2023 ($ (-635 (-635 (-946 (-216)))))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257)))) (-15 -2890 ((-635 (-635 (-946 (-216)))) $)) (-15 -3335 ((-569) $)) (-15 -4335 ((-635 (-1087 (-382))) $)) (-15 -4335 ((-635 (-1087 (-382))) $ (-635 (-1087 (-382))))) (-15 -2175 ((-635 (-382)) $)) (-15 -2175 ((-635 (-382)) $ (-635 (-382)))) (-15 -2141 ((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919))) (-15 -2141 ((-1258) $ (-946 (-216)))) (-15 -2141 ((-1258) $ (-946 (-216)) (-871) (-871) (-919))) (-15 -2762 ((-1258) $ (-946 (-216)))) (-15 -2131 ((-1258) $ (-946 (-216)) (-871))) (-15 -3956 ($ (-635 (-635 (-946 (-216)))))) (-15 -3956 ((-852) $)) (-15 -2529 ((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871)))) (-15 -3739 ((-635 (-216)) (-635 (-635 (-946 (-216))))))))) (T -474)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-474)))) (-4092 (*1 *1) (-5 *1 (-474))) (-2023 (*1 *1 *1) (-5 *1 (-474))) (-2023 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-2023 (*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *1 (-474)))) (-2023 (*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) (-2890 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) (-4335 (*1 *2 *1) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) (-4335 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) (-2175 (*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-2175 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2141 (*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2762 (*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) (-2131 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-474)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) (-2529 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *1 (-474)))) (-3739 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
+(-13 (-1093) (-10 -8 (-15 -4092 ($)) (-15 -2023 ($ $)) (-15 -2023 ($ (-635 (-635 (-946 (-216)))))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)))) (-15 -2023 ($ (-635 (-635 (-946 (-216)))) (-635 (-871)) (-635 (-871)) (-635 (-919)) (-635 (-257)))) (-15 -2890 ((-635 (-635 (-946 (-216)))) $)) (-15 -3335 ((-569) $)) (-15 -4335 ((-635 (-1087 (-382))) $)) (-15 -4335 ((-635 (-1087 (-382))) $ (-635 (-1087 (-382))))) (-15 -2175 ((-635 (-382)) $)) (-15 -2175 ((-635 (-382)) $ (-635 (-382)))) (-15 -2141 ((-1258) $ (-635 (-946 (-216))) (-871) (-871) (-919))) (-15 -2141 ((-1258) $ (-946 (-216)))) (-15 -2141 ((-1258) $ (-946 (-216)) (-871) (-871) (-919))) (-15 -2762 ((-1258) $ (-946 (-216)))) (-15 -2131 ((-1258) $ (-946 (-216)) (-871))) (-15 -3956 ($ (-635 (-635 (-946 (-216)))))) (-15 -3956 ((-852) $)) (-15 -2529 ((-635 (-635 (-946 (-216)))) (-635 (-635 (-946 (-216)))) (-635 (-871)))) (-15 -3739 ((-635 (-216)) (-635 (-635 (-946 (-216)))))))) 
+((-1377 (($ $) NIL) (($ $ $) 11))) 
+(((-475 |#1| |#2| |#3|) (-10 -8 (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|))) (-476 |#2| |#3|) (-173) (-23)) (T -475)) 
+NIL 
+(-10 -8 (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 ((|#2| $) 18)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 14) (($ $ $) 12)) (-1371 (($ $ $) 13)) (* (($ |#1| $) 16) (($ $ |#1|) 15))) 
+(((-476 |#1| |#2|) (-1284) (-173) (-23)) (T -476)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) (-2407 (*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23))))) 
+(-13 (-1093) (-10 -8 (-15 -2284 (|t#2| $)) (-15 (-2407) ($) -3575) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 -1377 ($ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2330 (((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|))) 88)) (-3693 (((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))) 86)) (-4023 (((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))) 58))) 
+(((-477 |#1| |#2| |#3|) (-10 -7 (-15 -3693 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -2330 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -4023 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))))) (-635 (-1165)) (-454) (-454)) (T -477)) 
+((-4023 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454)))) (-2330 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454)))) (-3693 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(-10 -7 (-15 -3693 ((-635 (-635 (-243 |#1| |#2|))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -2330 ((-3 (-635 (-493 |#1| |#2|)) "failed") (-635 (-493 |#1| |#2|)) (-635 (-854 |#1|)))) (-15 -4023 ((-2 (|:| |dpolys| (-635 (-243 |#1| |#2|))) (|:| |coords| (-635 (-569)))) (-635 (-243 |#1| |#2|)) (-635 (-854 |#1|))))) 
+((-2611 (((-3 $ "failed") $) 11)) (-3980 (($ $ $) 20)) (-2689 (($ $ $) 21)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 14)) (-1383 (($ $ $) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 19))) 
+(((-478 |#1|) (-10 -8 (-15 -2689 (|#1| |#1| |#1|)) (-15 -3980 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1383 (|#1| |#1| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-479)) (T -478)) 
+NIL 
+(-10 -8 (-15 -2689 (|#1| |#1| |#1|)) (-15 -3980 (|#1| |#1| |#1|)) (-15 -3403 (|#1| |#1| (-569))) (-15 ** (|#1| |#1| (-569))) (-15 -1383 (|#1| |#1| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3934 (((-121) $) 18)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 26)) (-1912 (((-1111) $) 10)) (-3980 (($ $ $) 22)) (-2689 (($ $ $) 21)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16) (($ $ (-569)) 23)) (-3297 (($) 20 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 25)) (** (($ $ (-919)) 13) (($ $ (-765)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
+(((-479) (-1284)) (T -479)) 
+((-3243 (*1 *1 *1) (-4 *1 (-479))) (-1383 (*1 *1 *1 *1) (-4 *1 (-479))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) (-3980 (*1 *1 *1 *1) (-4 *1 (-479))) (-2689 (*1 *1 *1 *1) (-4 *1 (-479)))) 
+(-13 (-718) (-10 -8 (-15 -3243 ($ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-569))) (-15 -3403 ($ $ (-569))) (-6 -4568) (-15 -3980 ($ $ $)) (-15 -2689 ($ $ $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-718) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 17)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) NIL) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 22)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 26 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 33 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 27 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 25 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 13 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 15)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1249 |#2|)) NIL) (($ (-1237 |#1| |#2| |#3|)) 9) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 18)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 24)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 23) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-480 |#1| |#2| |#3|) (-13 (-1233 |#1|) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3956 ($ (-1237 |#1| |#2| |#3|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -480)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1233 |#1|) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3956 ($ (-1237 |#1| |#2| |#3|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) 18)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 19)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 16)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) 13) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-481 |#1| |#2| |#3| |#4|) (-1176 |#1| |#2|) (-1093) (-1093) (-1176 |#1| |#2|) |#2|) (T -481)) 
+NIL 
+(-1176 |#1| |#2|) 
+((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) NIL)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (((-3 |#4| "failed") $) 37)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 46)) (-3803 (($ $ |#4|) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3345 (((-121) |#3| $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-482 |#1| |#2| |#3| |#4|) (-1193 |#1| |#2| |#3| |#4|) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -482)) 
+NIL 
+(-1193 |#1| |#2| |#3| |#4|) 
+((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165)) NIL (|has| (-53) (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) NIL))) 
+(((-483) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -483)) 
+((-3037 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3929 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3769 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-1845 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3571 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) (-4291 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3100 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3725 (*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (IF (|has| (-53) (-1039 (-1165))) (IF (|has| (-53) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
+((-2653 (((-311 (-569)) |#1|) 11))) 
+(((-484 |#1|) (-10 -7 (-15 -2653 ((-311 (-569)) |#1|))) (-13 (-351) (-610 (-569)))) (T -484)) 
+((-2653 (*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
+(-10 -7 (-15 -2653 ((-311 (-569)) |#1|))) 
+((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|)) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165)) NIL (|has| |#1| (-1039 (-1165)))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) NIL))) 
+(((-485 |#1|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) (-13 (-351) (-610 (-569)))) (T -485)) 
+((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *7)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *6)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#1| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 |#1| (-765) (-765) (-1161 |#1|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 |#1|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
+((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569)))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-569)) (-1039 (-1165))) (|has| (-569) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) NIL))) 
+(((-486) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -486)) 
+((-3037 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3929 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3769 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-1845 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3571 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) (-4291 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3100 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3725 (*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-569)) (-1039 (-1165))) (IF (|has| (-569) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
+((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165)) 367 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) 361)) (-1845 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 484 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 477) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 478)) (-3929 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 486 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 483) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 482)) (-4468 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 475) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 474)) (-3769 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 485 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 480) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 479)) (-1756 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 471) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 472)) (-2900 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) 463)) (-3725 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 193 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 191) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 190)) (-3100 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 219 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 208) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 207)) (-1777 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 468) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 469)) (-3037 (((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)) 476 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 464) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 465)) (-4108 (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) 509) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165))) 514) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) 513) (((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|)) 512)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165)) 336 (-12 (|has| |#1| (-1039 (-1165))) (|has| |#2| (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) 326))) 
+(((-487 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) (-366) (-454) (-13 (-433 (-569)) (-559) (-1039 |#4|) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)))) (-13 (-844) (-559)) (-1 |#1| |#4|) (-1 |#3| |#1|)) (T -487)) 
+((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-844) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1039 *10) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-844) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1039 *9) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)))))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3725 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3100 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3037 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1777 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1756 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -1845 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466)))) (IF (|has| |#1| (-1039 (-1165))) (IF (|has| |#2| (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 |#1|)) (-1210 |#1|))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 |#1|))) (-1210 (-1161 |#1|)))) (|:| |exprStream| (-1 (-1145 |#3|) |#3| (-1165))) (|:| A (-1 |#2| (-765) (-765) (-1161 |#2|))) (|:| AF (-1 (-1161 |#1|) (-765) (-765) (-1210 (-1161 |#1|)))) (|:| AX (-1 |#3| (-765) (-1165) |#3|)) (|:| C (-1 (-635 |#2|) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 |#3|) (|:| -4433 (-765)))) (-635 |#1|) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
+((-4291 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569))))) NIL)) (-3571 (((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165)) NIL (-12 (|has| (-410 (-955 (-569))) (-1039 (-1165))) (|has| (-955 (-569)) (-1039 (-1165))))) (((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) NIL))) 
+(((-488) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|))) (T -488)) 
+((-3037 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3929 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3769 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-1845 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3571 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) (-4291 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3100 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3725 (*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))))) (-15 -3571 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-15 -4291 ((-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (IF (|has| (-410 (-955 (-569))) (-1039 (-1165))) (IF (|has| (-955 (-569)) (-1039 (-1165))) (PROGN (-15 -4291 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -3571 ((-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))) (-1165)))) |noBranch|) |noBranch|)) 
+((-4291 (((-1 HPSPEC (-635 (-466))) (-1165)) NIL) ((HPSPEC (-635 (-466))) NIL)) (-1845 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3929 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-4468 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-3769 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL)) (-1756 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-2900 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466)))) NIL)) (-3725 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3100 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-1777 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3037 (((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-4108 (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) NIL) (((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569))))) NIL)) (-3571 (((-1 HPSPEC (-635 (-466))) (-1165)) NIL) ((HPSPEC (-635 (-466))) NIL))) 
+(((-489 |#1|) (-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3571 (HPSPEC (-635 (-466)))) (-15 -4291 (HPSPEC (-635 (-466)))) (-15 -4291 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -3571 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)))) (-1165)) (T -489)) 
+((-3037 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-4291 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3571 (*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3929 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3929 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3769 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3769 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1845 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4468 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1756 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1756 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-1777 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-1777 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3037 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3037 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-2900 (*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3))) (-3100 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3100 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-3725 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-3725 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) (-4108 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-736 *7 (-569))))) (-14 *7 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *7)))) (-4108 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-736 *6 (-569))))) (-14 *6 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *6)))) (-4108 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) (-4108 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4))))) 
+(-10 -7 (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)))) (-15 -4108 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-635 (-1165)) (-635 (-466)))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3725 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3100 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3725 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3100 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -2900 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1 HPSPEC (-635 (-466))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3037 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1777 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1756 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -4468 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -1845 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3769 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466)))) (-15 -3929 ((-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))))) (-15 -3571 (HPSPEC (-635 (-466)))) (-15 -4291 (HPSPEC (-635 (-466)))) (-15 -4291 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -3571 ((-1 HPSPEC (-635 (-466))) (-1165))) (-15 -1845 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3769 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3929 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165))) (-15 -3037 ((-1 (-635 (-2 (|:| -3659 (-735 |#1| (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 |#1| (-569)))) (-635 (-466))) (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3415 (($) 18)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4035 (((-382) $) 22) (((-216) $) 25) (((-410 (-1161 (-569))) $) 19) (((-542) $) 52)) (-3956 (((-852) $) 50) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (((-216) $) 24) (((-382) $) 21)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 36 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-490) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1023) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1161 (-569)))) (-610 (-542)) (-10 -8 (-15 -3415 ($))))) (T -490)) 
+((-3415 (*1 *1) (-5 *1 (-490)))) 
+(-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1023) (-609 (-216)) (-609 (-382)) (-610 (-410 (-1161 (-569)))) (-610 (-542)) (-10 -8 (-15 -3415 ($)))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) 16)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 20)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 18)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) 13)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 19)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 11 (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) 15 (|has| $ (-6 -4571))))) 
+(((-491 |#1| |#2| |#3|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093) (-1147)) (T -491)) 
+NIL 
+(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
+((-1715 (((-569) (-569) (-569)) 7)) (-3589 (((-121) (-569) (-569) (-569) (-569)) 11)) (-2109 (((-1253 (-635 (-569))) (-765) (-765)) 22))) 
+(((-492) (-10 -7 (-15 -1715 ((-569) (-569) (-569))) (-15 -3589 ((-121) (-569) (-569) (-569) (-569))) (-15 -2109 ((-1253 (-635 (-569))) (-765) (-765))))) (T -492)) 
+((-2109 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1253 (-635 (-569)))) (-5 *1 (-492)))) (-3589 (*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
+(-10 -7 (-15 -1715 ((-569) (-569) (-569))) (-15 -3589 ((-121) (-569) (-569) (-569) (-569))) (-15 -2109 ((-1253 (-635 (-569))) (-765) (-765)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-4474 (($ $ (-635 (-569))) NIL)) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-494 (-2946 |#1|) (-765)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-494 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-494 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-494 (-2946 |#1|) (-765)) (-494 (-2946 |#1|) (-765))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-494 (-2946 |#1|) (-765)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-494 (-2946 |#1|) (-765))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-493 |#1| |#2|) (-13 (-952 |#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) (-635 (-1165)) (-1049)) (T -493)) 
+((-4474 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
+(-13 (-952 |#2| (-494 (-2946 |#1|) (-765)) (-854 |#1|)) (-10 -8 (-15 -4474 ($ $ (-635 (-569)))))) 
+((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) NIL (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) NIL (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) 11)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) NIL)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) NIL) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) NIL (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) NIL (|has| |#2| (-138)) CONST)) (-3297 (($) NIL (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 15 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) NIL (|has| |#2| (-718))) (($ $ |#2|) NIL (|has| |#2| (-1049))) (($ |#2| $) NIL (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-494 |#1| |#2|) (-231 |#1| |#2|) (-765) (-790)) (T -494)) 
 NIL 
 (-231 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-2854 (($ $ $) 32)) (-3288 (($ $ $) 31)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1538 ((|#1| $) 26)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 27)) (-3172 (($ |#1| $) 10)) (-3911 (($ (-635 |#1|)) 12)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 23)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 9)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 29)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) 21 (|has| $ (-6 -4535))))) 
-(((-495 |#1|) (-13 (-970 |#1|) (-10 -8 (-15 -3911 ($ (-635 |#1|))) (-15 -2793 ($ (-635 |#1|))) (-15 -1971 ($ $)) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -3137 ((-121) $ $)) (-15 -1856 (|#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1538 (|#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)) (-15 -2820 ($)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-843)) (T -495)) 
-((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1296 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) (-2820 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-495 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-1538 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3288 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-2854 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) (-3911 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3))))) 
-(-13 (-970 |#1|) (-10 -8 (-15 -3911 ($ (-635 |#1|))) (-15 -2793 ($ (-635 |#1|))) (-15 -1971 ($ $)) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -3137 ((-121) $ $)) (-15 -1856 (|#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1538 (|#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)) (-15 -2820 ($)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ $) 69)) (-1515 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-2537 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 43)) (-3360 (((-1109) $) NIL)) (-1809 (((-3 |#4| "failed") $) 105)) (-4199 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-569)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-4157 (((-2 (|:| -2223 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-2185 (((-851) $) 100)) (-3369 (($) 33 T CONST)) (-1668 (((-121) $ $) 107)) (-1711 (($ $) 72) (($ $ $) NIL)) (-1707 (($ $ $) 70)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 73))) 
-(((-496 |#1| |#2| |#3| |#4|) (-334 |#1| |#2| |#3| |#4|) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -496)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4002 (($ $ $) 32)) (-2102 (($ $ $) 31)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2713 ((|#1| $) 26)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 27)) (-2351 (($ |#1| $) 10)) (-3746 (($ (-635 |#1|)) 12)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 23)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 9)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 29)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) 21 (|has| $ (-6 -4571))))) 
+(((-495 |#1|) (-13 (-971 |#1|) (-10 -8 (-15 -3746 ($ (-635 |#1|))) (-15 -1753 ($ (-635 |#1|))) (-15 -1799 ($ $)) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -3186 ((-121) $ $)) (-15 -2166 (|#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2713 (|#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)) (-15 -4483 ($)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-844)) (T -495)) 
+((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4016 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) (-4483 (*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-495 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2713 (*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-2102 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-4002 (*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) (-3746 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3))))) 
+(-13 (-971 |#1|) (-10 -8 (-15 -3746 ($ (-635 |#1|))) (-15 -1753 ($ (-635 |#1|))) (-15 -1799 ($ $)) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -3186 ((-121) $ $)) (-15 -2166 (|#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2713 (|#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)) (-15 -4483 ($)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ $) 69)) (-3569 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-2018 (((-416 |#2| (-410 |#2|) |#3| |#4|) $) 43)) (-1912 (((-1111) $) NIL)) (-1986 (((-3 |#4| "failed") $) 105)) (-2124 (($ (-416 |#2| (-410 |#2|) |#3| |#4|)) 76) (($ |#4|) 32) (($ |#1| |#1|) 113) (($ |#1| |#1| (-569)) NIL) (($ |#4| |#2| |#2| |#2| |#1|) 125)) (-3861 (((-2 (|:| -3227 (-416 |#2| (-410 |#2|) |#3| |#4|)) (|:| |principalPart| |#4|)) $) 45)) (-3956 (((-852) $) 100)) (-2407 (($) 33 T CONST)) (-1326 (((-121) $ $) 107)) (-1377 (($ $) 72) (($ $ $) NIL)) (-1371 (($ $ $) 70)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 73))) 
+(((-496 |#1| |#2| |#3| |#4|) (-334 |#1| |#2| |#3| |#4|) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -496)) 
 NIL 
 (-334 |#1| |#2| |#3| |#4|) 
-((-3015 (((-569) (-635 (-569))) 28)) (-2433 ((|#1| (-635 |#1|)) 56)) (-1697 (((-635 |#1|) (-635 |#1|)) 57)) (-1625 (((-635 |#1|) (-635 |#1|)) 59)) (-2714 ((|#1| (-635 |#1|)) 58)) (-3298 (((-635 (-569)) (-635 |#1|)) 31))) 
-(((-497 |#1|) (-10 -7 (-15 -2714 (|#1| (-635 |#1|))) (-15 -2433 (|#1| (-635 |#1|))) (-15 -1625 ((-635 |#1|) (-635 |#1|))) (-15 -1697 ((-635 |#1|) (-635 |#1|))) (-15 -3298 ((-635 (-569)) (-635 |#1|))) (-15 -3015 ((-569) (-635 (-569))))) (-1222 (-569))) (T -497)) 
-((-3015 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1222 *2)))) (-3298 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1222 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) (-1697 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3)))) (-1625 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3)))) (-2433 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569))))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569)))))) 
-(-10 -7 (-15 -2714 (|#1| (-635 |#1|))) (-15 -2433 (|#1| (-635 |#1|))) (-15 -1625 ((-635 |#1|) (-635 |#1|))) (-15 -1697 ((-635 |#1|) (-635 |#1|))) (-15 -3298 ((-635 (-569)) (-635 |#1|))) (-15 -3015 ((-569) (-635 (-569))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-569) $) NIL (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-4049 (($ (-410 (-569))) 8)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-2942 (((-569) $) NIL (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL) (((-1005 16) $) 9)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-569) $) NIL (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1715 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
-(((-498) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 16) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4049 ($ (-410 (-569))))))) (T -498)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1005 16)) (-5 *1 (-498)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-4049 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
-(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -2185 ((-1005 16) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -4049 ($ (-410 (-569)))))) 
-((-4259 (((-635 |#2|) $) 22)) (-3660 (((-121) |#2| $) 27)) (-4177 (((-121) (-1 (-121) |#2|) $) 20)) (-1468 (($ $ (-635 (-289 |#2|))) 12) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2846 (((-764) (-1 (-121) |#2|) $) 21) (((-764) |#2| $) 25)) (-2185 (((-851) $) 36)) (-2066 (((-121) (-1 (-121) |#2|) $) 19)) (-1668 (((-121) $ $) 30)) (-4168 (((-764) $) 16))) 
-(((-499 |#1| |#2|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -4259 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) (-500 |#2|) (-1197)) (T -499)) 
-NIL 
-(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#2| |#2|)) (-15 -1468 (|#1| |#1| (-289 |#2|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3660 ((-121) |#2| |#1|)) (-15 -2846 ((-764) |#2| |#1|)) (-15 -4259 ((-635 |#2|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#2|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-500 |#1|) (-1278) (-1197)) (T -500)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-764)))) (-3470 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-4259 (*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-2846 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-764)))) (-3660 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |t#1| (-1091)) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) |noBranch|) (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -2066 ((-121) (-1 (-121) |t#1|) $)) (-15 -4177 ((-121) (-1 (-121) |t#1|) $)) (-15 -2846 ((-764) (-1 (-121) |t#1|) $)) (-15 -3470 ((-635 |t#1|) $)) (-15 -4259 ((-635 |t#1|) $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -2846 ((-764) |t#1| $)) (-15 -3660 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1359 (((-1145) (-851)) 40)) (-3615 (((-1252) (-1145)) 29)) (-2774 (((-1145) (-851)) 25)) (-4400 (((-1145) (-851)) 26)) (-2185 (((-851) $) NIL) (((-1145) (-851)) 24)) (-1668 (((-121) $ $) NIL))) 
-(((-501) (-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145)))))) (T -501)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-2774 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-4400 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-1359 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) (-3615 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-501))))) 
-(-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145))))) 
-((-1753 (($ $) 15)) (-1744 (($ $) 24)) (-1760 (($ $) 12)) (-1764 (($ $) 10)) (-1756 (($ $) 17)) (-1748 (($ $) 22))) 
-(((-502 |#1|) (-10 -8 (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|))) (-503)) (T -502)) 
-NIL 
-(-10 -8 (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|))) 
-((-1753 (($ $) 11)) (-1744 (($ $) 10)) (-1760 (($ $) 9)) (-1764 (($ $) 8)) (-1756 (($ $) 7)) (-1748 (($ $) 6))) 
-(((-503) (-1278)) (T -503)) 
-((-1753 (*1 *1 *1) (-4 *1 (-503))) (-1744 (*1 *1 *1) (-4 *1 (-503))) (-1760 (*1 *1 *1) (-4 *1 (-503))) (-1764 (*1 *1 *1) (-4 *1 (-503))) (-1756 (*1 *1 *1) (-4 *1 (-503))) (-1748 (*1 *1 *1) (-4 *1 (-503)))) 
-(-13 (-10 -8 (-15 -1748 ($ $)) (-15 -1756 ($ $)) (-15 -1764 ($ $)) (-15 -1760 ($ $)) (-15 -1744 ($ $)) (-15 -1753 ($ $)))) 
-((-1743 (((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)) 42))) 
-(((-504 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) (-366) (-1222 |#1|) (-13 (-366) (-151) (-715 |#1| |#2|)) (-1222 |#3|)) (T -504)) 
-((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-715 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1222 *7))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-1842 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-2493 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-3813 (((-121) $) 36)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2307 (((-121) $ $) 62)) (-4003 (((-635 (-608 $)) $) 46)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2663 (((-635 $) (-1159 $) (-1163)) NIL) (((-635 $) (-1159 $)) NIL) (((-635 $) (-954 $)) NIL)) (-3550 (($ (-1159 $) (-1163)) NIL) (($ (-1159 $)) NIL) (($ (-954 $)) NIL)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-2428 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) 48)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-410 (-569)))) (|:| |vec| (-1247 (-410 (-569))))) (-680 $) (-1247 $)) NIL) (((-680 (-410 (-569))) (-680 $)) NIL)) (-1774 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) 39)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4116 (((-1114 (-569) (-608 $)) $) 34)) (-4344 (($ $ (-569)) NIL)) (-4308 (((-1159 $) (-1159 $) (-608 $)) 77) (((-1159 $) (-1159 $) (-635 (-608 $))) 53) (($ $ (-608 $)) 66) (($ $ (-635 (-608 $))) 67)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4080 (((-1159 $) (-608 $)) 64 (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL)) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2622 (((-764) $) NIL)) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) 33)) (-4121 (((-1114 (-569) (-608 $)) $) 17)) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-382) $) 91) (((-216) $) 99) (((-170 (-382)) $) 107)) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1114 (-569) (-608 $))) 18)) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-1524 (((-121) (-123)) 83)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-569)) NIL) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 21)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) 41)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) 44) (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) 24) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-505) (-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -2307 ((-121) $ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $))))))) (T -505)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-4116 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-4121 (*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-1774 (*1 *1 *1) (-5 *1 (-505))) (-2307 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) (-4308 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505))))) 
-(-13 (-297) (-27) (-1038 (-569)) (-1038 (-410 (-569))) (-631 (-569)) (-1022) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -2185 ($ (-1114 (-569) (-608 $)))) (-15 -4116 ((-1114 (-569) (-608 $)) $)) (-15 -4121 ((-1114 (-569) (-608 $)) $)) (-15 -1774 ($ $)) (-15 -2307 ((-121) $ $)) (-15 -4308 ((-1159 $) (-1159 $) (-608 $))) (-15 -4308 ((-1159 $) (-1159 $) (-635 (-608 $)))) (-15 -4308 ($ $ (-608 $))) (-15 -4308 ($ $ (-635 (-608 $)))))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 25 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 22 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 21)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 14)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 12 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) 23 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 10 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 13)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 24) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 9 (|has| $ (-6 -4535))))) 
-(((-506 |#1| |#2|) (-19 |#1|) (-1197) (-569)) (T -506)) 
+((-2936 (((-569) (-635 (-569))) 28)) (-1342 ((|#1| (-635 |#1|)) 56)) (-3452 (((-635 |#1|) (-635 |#1|)) 57)) (-4302 (((-635 |#1|) (-635 |#1|)) 59)) (-3964 ((|#1| (-635 |#1|)) 58)) (-2363 (((-635 (-569)) (-635 |#1|)) 31))) 
+(((-497 |#1|) (-10 -7 (-15 -3964 (|#1| (-635 |#1|))) (-15 -1342 (|#1| (-635 |#1|))) (-15 -4302 ((-635 |#1|) (-635 |#1|))) (-15 -3452 ((-635 |#1|) (-635 |#1|))) (-15 -2363 ((-635 (-569)) (-635 |#1|))) (-15 -2936 ((-569) (-635 (-569))))) (-1228 (-569))) (T -497)) 
+((-2936 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1228 *2)))) (-2363 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1228 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) (-3452 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3)))) (-4302 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3)))) (-1342 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569))))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569)))))) 
+(-10 -7 (-15 -3964 (|#1| (-635 |#1|))) (-15 -1342 (|#1| (-635 |#1|))) (-15 -4302 ((-635 |#1|) (-635 |#1|))) (-15 -3452 ((-635 |#1|) (-635 |#1|))) (-15 -2363 ((-635 (-569)) (-635 |#1|))) (-15 -2936 ((-569) (-635 (-569))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-569) $) NIL (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-2977 (($ (-410 (-569))) 8)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) NIL)) (-1807 (((-569) $) NIL (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 7) (($ (-569)) NIL) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL) (((-1006 16) $) 9)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-569) $) NIL (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1383 (($ $ $) NIL) (($ (-569) (-569)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL))) 
+(((-498) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 16) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -2977 ($ (-410 (-569))))))) (T -498)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1006 16)) (-5 *1 (-498)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) (-2977 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
+(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -3956 ((-1006 16) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -2977 ($ (-410 (-569)))))) 
+((-4457 (((-635 |#2|) $) 22)) (-3016 (((-121) |#2| $) 27)) (-2985 (((-121) (-1 (-121) |#2|) $) 20)) (-1484 (($ $ (-635 (-289 |#2|))) 12) (($ $ (-289 |#2|)) NIL) (($ $ |#2| |#2|) NIL) (($ $ (-635 |#2|) (-635 |#2|)) NIL)) (-2691 (((-765) (-1 (-121) |#2|) $) 21) (((-765) |#2| $) 25)) (-3956 (((-852) $) 36)) (-3776 (((-121) (-1 (-121) |#2|) $) 19)) (-1326 (((-121) $ $) 30)) (-2946 (((-765) $) 16))) 
+(((-499 |#1| |#2|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4457 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) (-500 |#2|) (-1199)) (T -499)) 
+NIL 
+(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#2| |#2|)) (-15 -1484 (|#1| |#1| (-289 |#2|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#2|)))) (-15 -3016 ((-121) |#2| |#1|)) (-15 -2691 ((-765) |#2| |#1|)) (-15 -4457 ((-635 |#2|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#2|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-500 |#1|) (-1284) (-1199)) (T -500)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-765)))) (-4303 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-4457 (*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-2691 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-765)))) (-3016 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(-13 (-39) (-10 -8 (IF (|has| |t#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |t#1| (-1093)) (IF (|has| |t#1| (-304 |t#1|)) (-6 (-304 |t#1|)) |noBranch|) |noBranch|) (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |t#1| |t#1|) $)) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -3776 ((-121) (-1 (-121) |t#1|) $)) (-15 -2985 ((-121) (-1 (-121) |t#1|) $)) (-15 -2691 ((-765) (-1 (-121) |t#1|) $)) (-15 -4303 ((-635 |t#1|) $)) (-15 -4457 ((-635 |t#1|) $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -2691 ((-765) |t#1| $)) (-15 -3016 ((-121) |t#1| $))) |noBranch|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1723 (((-1147) (-852)) 40)) (-2442 (((-1258) (-1147)) 29)) (-2539 (((-1147) (-852)) 25)) (-1303 (((-1147) (-852)) 26)) (-3956 (((-852) $) NIL) (((-1147) (-852)) 24)) (-1326 (((-121) $ $) NIL))) 
+(((-501) (-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147)))))) (T -501)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-2539 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-1303 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-1723 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) (-2442 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-501))))) 
+(-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147))))) 
+((-3544 (($ $) 15)) (-3530 (($ $) 24)) (-3559 (($ $) 12)) (-3565 (($ $) 10)) (-3551 (($ $) 17)) (-3538 (($ $) 22))) 
+(((-502 |#1|) (-10 -8 (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|))) (-503)) (T -502)) 
+NIL 
+(-10 -8 (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|))) 
+((-3544 (($ $) 11)) (-3530 (($ $) 10)) (-3559 (($ $) 9)) (-3565 (($ $) 8)) (-3551 (($ $) 7)) (-3538 (($ $) 6))) 
+(((-503) (-1284)) (T -503)) 
+((-3544 (*1 *1 *1) (-4 *1 (-503))) (-3530 (*1 *1 *1) (-4 *1 (-503))) (-3559 (*1 *1 *1) (-4 *1 (-503))) (-3565 (*1 *1 *1) (-4 *1 (-503))) (-3551 (*1 *1 *1) (-4 *1 (-503))) (-3538 (*1 *1 *1) (-4 *1 (-503)))) 
+(-13 (-10 -8 (-15 -3538 ($ $)) (-15 -3551 ($ $)) (-15 -3565 ($ $)) (-15 -3559 ($ $)) (-15 -3530 ($ $)) (-15 -3544 ($ $)))) 
+((-3139 (((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)) 42))) 
+(((-504 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) (-366) (-1228 |#1|) (-13 (-366) (-151) (-716 |#1| |#2|)) (-1228 |#3|)) (T -504)) 
+((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-716 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1228 *7))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 |#2|) |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-3298 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2309 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-2225 (((-121) $) 36)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4415 (((-121) $ $) 62)) (-4320 (((-635 (-608 $)) $) 46)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1645 (((-635 $) (-1161 $) (-1165)) NIL) (((-635 $) (-1161 $)) NIL) (((-635 $) (-955 $)) NIL)) (-2306 (($ (-1161 $) (-1165)) NIL) (($ (-1161 $)) NIL) (($ (-955 $)) NIL)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL)) (-1321 (((-608 $) $) NIL) (((-569) $) NIL) (((-410 (-569)) $) 48)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-410 (-569)))) (|:| |vec| (-1253 (-410 (-569))))) (-681 $) (-1253 $)) NIL) (((-681 (-410 (-569))) (-681 $)) NIL)) (-2793 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) 39)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3515 (((-1116 (-569) (-608 $)) $) 34)) (-2522 (($ $ (-569)) NIL)) (-3046 (((-1161 $) (-1161 $) (-608 $)) 77) (((-1161 $) (-1161 $) (-635 (-608 $))) 53) (($ $ (-608 $)) 66) (($ $ (-635 (-608 $))) 67)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2387 (((-1161 $) (-608 $)) 64 (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL)) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL)) (-2061 (((-765) $) NIL)) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) 33)) (-3524 (((-1116 (-569) (-608 $)) $) 17)) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-382) $) 91) (((-216) $) 99) (((-170 (-382)) $) 107)) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-1116 (-569) (-608 $))) 18)) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-3791 (((-121) (-123)) 83)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-569)) NIL) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 21)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) 41)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-410 (-569))) NIL) (($ $ (-569)) 44) (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ $ $) 24) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-505) (-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -4415 ((-121) $ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $))))))) (T -505)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-3524 (*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) (-2793 (*1 *1 *1) (-5 *1 (-505))) (-4415 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) (-3046 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505))))) 
+(-13 (-297) (-27) (-1039 (-569)) (-1039 (-410 (-569))) (-631 (-569)) (-1023) (-631 (-410 (-569))) (-151) (-610 (-170 (-382))) (-226) (-10 -8 (-15 -3956 ($ (-1116 (-569) (-608 $)))) (-15 -3515 ((-1116 (-569) (-608 $)) $)) (-15 -3524 ((-1116 (-569) (-608 $)) $)) (-15 -2793 ($ $)) (-15 -4415 ((-121) $ $)) (-15 -3046 ((-1161 $) (-1161 $) (-608 $))) (-15 -3046 ((-1161 $) (-1161 $) (-635 (-608 $)))) (-15 -3046 ($ $ (-608 $))) (-15 -3046 ($ $ (-635 (-608 $)))))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 25 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 22 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 21)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 14)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 12 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) 23 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 16 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 17) (($ (-1 |#1| |#1| |#1|) $ $) 19)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 10 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 13)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 24) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 9 (|has| $ (-6 -4571))))) 
+(((-506 |#1| |#2|) (-19 |#1|) (-1199) (-569)) (T -506)) 
 NIL 
 (-19 |#1|) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL)) (-2451 (($ $ (-569) (-506 |#1| |#3|)) NIL)) (-3443 (($ $ (-569) (-506 |#1| |#2|)) NIL)) (-2820 (($) NIL T CONST)) (-1765 (((-506 |#1| |#3|) $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 (((-506 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-507 |#1| |#2| |#3|) (-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) (-1197) (-569) (-569)) (T -507)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL)) (-3890 (($ $ (-569) (-506 |#1| |#3|)) NIL)) (-1622 (($ $ (-569) (-506 |#1| |#2|)) NIL)) (-4483 (($) NIL T CONST)) (-4128 (((-506 |#1| |#3|) $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 (((-506 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-507 |#1| |#2| |#3|) (-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) (-1199) (-569) (-569)) (T -507)) 
 NIL 
 (-62 |#1| (-506 |#1| |#3|) (-506 |#1| |#2|)) 
-((-2672 (((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764)) 27)) (-4120 (((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764)) 34)) (-2462 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)) 83))) 
-(((-508 |#1| |#2| |#3|) (-10 -7 (-15 -4120 ((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764))) (-15 -2672 ((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764))) (-15 -2462 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)))) (-351) (-1222 |#1|) (-1222 |#2|)) (T -508)) 
-((-2462 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7))))) (-5 *5 (-764)) (-4 *8 (-1222 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7)))) (-5 *1 (-508 *6 *7 *8)))) (-2672 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6)))) (-4 *7 (-1222 *6)))) (-4120 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-764)) (-4 *3 (-351)) (-4 *5 (-1222 *3)) (-5 *2 (-635 (-1159 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1222 *5))))) 
-(-10 -7 (-15 -4120 ((-635 (-1159 |#1|)) |#1| (-764) (-764) (-764))) (-15 -2672 ((-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-764) (-764))) (-15 -2462 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) (-635 |#3|) (-635 (-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) (-764)))) 
-((-3438 (((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))) 60)) (-4017 ((|#1| (-680 |#1|) |#1| (-764)) 25)) (-4509 (((-764) (-764) (-764)) 30)) (-3139 (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 42)) (-2143 (((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|) 50) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 47)) (-3422 ((|#1| (-680 |#1|) (-680 |#1|) |#1| (-569)) 29)) (-4397 ((|#1| (-680 |#1|)) 18))) 
-(((-509 |#1| |#2| |#3|) (-10 -7 (-15 -4397 (|#1| (-680 |#1|))) (-15 -4017 (|#1| (-680 |#1|) |#1| (-764))) (-15 -3422 (|#1| (-680 |#1|) (-680 |#1|) |#1| (-569))) (-15 -4509 ((-764) (-764) (-764))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3139 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3438 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))))) (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $)))) (-1222 |#1|) (-412 |#1| |#2|)) (T -509)) 
-((-3438 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3139 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2143 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2143 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-4509 (*1 *2 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3422 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4017 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-764)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4397 (*1 *2 *3) (-12 (-5 *3 (-680 *2)) (-4 *4 (-1222 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4))))) 
-(-10 -7 (-15 -4397 (|#1| (-680 |#1|))) (-15 -4017 (|#1| (-680 |#1|) |#1| (-764))) (-15 -3422 (|#1| (-680 |#1|) (-680 |#1|) |#1| (-569))) (-15 -4509 ((-764) (-764) (-764))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2143 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3139 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3438 ((-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|))) (-2 (|:| -3930 (-680 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-680 |#1|)))))) 
-((-2568 (((-121) $ $) NIL)) (-1679 (($ $) NIL)) (-2283 (($ $ $) 35)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| (-121) (-843))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-121) (-843)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-121) $ (-1213 (-569)) (-121)) NIL (|has| $ (-6 -4536))) (((-121) $ (-569) (-121)) 36 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-4347 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1774 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2726 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4536)))) (-1618 (((-121) $ (-569)) NIL)) (-3727 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1091))) (((-569) (-121) $) NIL (|has| (-121) (-1091))) (((-569) (-1 (-121) (-121)) $) NIL)) (-3470 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3447 (($ $ $) 33)) (-3864 (($ $) NIL)) (-3819 (($ $ $) NIL)) (-2659 (($ (-764) (-121)) 23)) (-4481 (($ $ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 8 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL)) (-3288 (($ $ $) NIL (|has| (-121) (-843))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4259 (((-635 (-121)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL)) (-1853 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-121) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-3174 (($ $ (-121)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091))))) (-2691 (((-635 (-121)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 24)) (-1534 (($ $ (-1213 (-569))) NIL) (((-121) $ (-569)) 18) (((-121) $ (-569) (-121)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2846 (((-764) (-121) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-121) (-1091)))) (((-764) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) 25)) (-3817 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-2139 (($ (-635 (-121))) NIL)) (-2250 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-2185 (((-851) $) 22)) (-2066 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4535)))) (-2206 (($ $ $) 31)) (-2427 (($ $) NIL)) (-2547 (($ $ $) NIL)) (-1875 (($ $ $) 39)) (-1849 (($ $) 37)) (-3788 (($ $ $) 38)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 26)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 27)) (-2540 (($ $ $) NIL)) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
-(((-510 |#1|) (-13 (-133) (-10 -8 (-15 -1849 ($ $)) (-15 -1875 ($ $ $)) (-15 -3788 ($ $ $)))) (-569)) (T -510)) 
-((-1849 (*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-1875 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-3788 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569))))) 
-(-13 (-133) (-10 -8 (-15 -1849 ($ $)) (-15 -1875 ($ $ $)) (-15 -3788 ($ $ $)))) 
-((-3917 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|)) 34)) (-2503 (((-1159 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1159 |#4|)) 21)) (-3265 (((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|))) 45)) (-4371 (((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
-(((-511 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2503 (|#2| (-1 |#1| |#4|) (-1159 |#4|))) (-15 -2503 ((-1159 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3917 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|))) (-15 -3265 ((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|)))) (-15 -4371 ((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|))) (-1048) (-1222 |#1|) (-1222 |#2|) (-1048)) (T -511)) 
-((-4371 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1222 *6)))) (-3265 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-680 (-1159 *8))) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1222 *6)))) (-3917 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2)))) (-2503 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *4 (-1222 *5)) (-5 *2 (-1159 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1222 *4)))) (-2503 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2))))) 
-(-10 -7 (-15 -2503 (|#2| (-1 |#1| |#4|) (-1159 |#4|))) (-15 -2503 ((-1159 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3917 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1159 |#4|))) (-15 -3265 ((-3 (-680 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-680 (-1159 |#4|)))) (-15 -4371 ((-1159 (-1159 |#4|)) (-1 |#4| |#1|) |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3552 (((-1252) $) 18)) (-1534 (((-1145) $ (-1163)) 22)) (-3615 (((-1252) $) 14)) (-2185 (((-851) $) 20) (($ (-1145)) 19)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 8)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 7))) 
-(((-512) (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -2185 ($ (-1145)))))) (T -512)) 
-((-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1145)) (-5 *1 (-512)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) (-3552 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-512))))) 
-(-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $)) (-15 -2185 ($ (-1145))))) 
-((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-1733 ((|#1| |#4|) 10)) (-1839 ((|#3| |#4|) 17))) 
-(((-513 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -1839 (|#3| |#4|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-559) (-994 |#1|) (-376 |#1|) (-376 |#2|)) (T -513)) 
-((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) (-1839 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4))))) 
-(-10 -7 (-15 -1733 (|#1| |#4|)) (-15 -1839 (|#3| |#4|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
-((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) NIL)) (-3974 (((-764) $) NIL)) (-1610 (((-1163) $ (-1163)) NIL)) (-3755 (((-764) $ (-764)) NIL)) (-3070 (((-967 |#1|) $ (-967 |#1|)) NIL)) (-2790 (((-764) $ (-764)) NIL)) (-1880 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-3192 (((-635 (-775 |#1|)) $ (-635 (-775 |#1|))) NIL)) (-2526 (((-237 (-922 |#1|)) $ (-237 (-922 |#1|))) NIL)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) NIL)) (-2831 ((|#3| $ |#3|) NIL)) (-4209 (((-967 |#1|) $) NIL)) (-3237 (((-764) $) NIL)) (-2363 (((-33 |#1|) $) NIL)) (-2158 (((-635 (-775 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) NIL) (((-121)) NIL)) (-3126 (((-851) $) NIL)) (-2395 (((-237 (-922 |#1|)) $) NIL)) (-2492 (((-918) $) NIL)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) NIL)) (-2946 (($ (-967 |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#3| (-764) (-237 (-922 |#1|)) |#1| (-1163)) NIL) (($ (-967 |#1|) (-243 |#2| |#1|)) NIL)) (-2185 (((-851) $) NIL)) (-2559 ((|#3| $) NIL)) (-3147 ((|#1| $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-514 |#1| |#2| |#3|) (-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-366) (-635 (-1163)) (-117)) (T -514)) 
-((-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-4168 |#2|) (-764)) (-967 |#1|) (-775 |#1|) (-922 |#1|) (-237 (-922 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
-((-2568 (((-121) $ $) NIL)) (-4465 (((-121) $ (-635 |#3|)) 101) (((-121) $) 102)) (-3813 (((-121) $) 144)) (-3496 (($ $ |#4|) 93) (($ $ |#4| (-635 |#3|)) 97)) (-1738 (((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|)) 137 (|has| |#3| (-610 (-1163))))) (-4268 (($ $ $) 87) (($ $ |#4|) 85)) (-1407 (((-121) $) 143)) (-3940 (($ $) 105)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 79) (($ (-635 $)) 81)) (-3041 (((-121) |#4| $) 104)) (-3861 (((-121) $ $) 68)) (-2537 (($ (-635 |#4|)) 86)) (-3360 (((-1109) $) NIL)) (-2784 (($ (-635 |#4|)) 141)) (-3297 (((-121) $) 142)) (-2815 (($ $) 70)) (-2727 (((-635 |#4|) $) 55)) (-1914 (((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|)) NIL)) (-4335 (((-121) |#4| $) 73)) (-2369 (((-569) $ (-635 |#3|)) 106) (((-569) $) 107)) (-2185 (((-851) $) 140) (($ (-635 |#4|)) 82)) (-2723 (($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $))) NIL)) (-1668 (((-121) $ $) 69)) (-1707 (($ $ $) 89)) (** (($ $ (-764)) 92)) (* (($ $ $) 91))) 
-(((-515 |#1| |#2| |#3| |#4|) (-13 (-1091) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 -1707 ($ $ $)) (-15 -1407 ((-121) $)) (-15 -3813 ((-121) $)) (-15 -4335 ((-121) |#4| $)) (-15 -3861 ((-121) $ $)) (-15 -3041 ((-121) |#4| $)) (-15 -4465 ((-121) $ (-635 |#3|))) (-15 -4465 ((-121) $)) (-15 -2652 ($ $ $)) (-15 -2652 ($ (-635 $))) (-15 -4268 ($ $ $)) (-15 -4268 ($ $ |#4|)) (-15 -2815 ($ $)) (-15 -1914 ((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -2723 ($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)))) (-15 -2369 ((-569) $ (-635 |#3|))) (-15 -2369 ((-569) $)) (-15 -3940 ($ $)) (-15 -2537 ($ (-635 |#4|))) (-15 -2784 ($ (-635 |#4|))) (-15 -3297 ((-121) $)) (-15 -2727 ((-635 |#4|) $)) (-15 -2185 ($ (-635 |#4|))) (-15 -3496 ($ $ |#4|)) (-15 -3496 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1163))) (-15 -1738 ((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|))) |noBranch|))) (-366) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -515)) 
-((* (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-1407 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3813 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-4335 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-3861 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3041 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6)))) (-4465 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-4465 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2652 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-2652 (*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-4268 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4268 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-2815 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-1914 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-2 (|:| |mval| (-680 *4)) (|:| |invmval| (-680 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-2723 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-680 *3)) (|:| |invmval| (-680 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2369 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) (-2369 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-3940 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-2537 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-2784 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3297 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2727 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3496 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) (-3496 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-951 *4 *5 *6)))) (-1738 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *6 (-610 (-1163))) (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1152 (-635 (-954 *4)) (-635 (-289 (-954 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
-(-13 (-1091) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 -1707 ($ $ $)) (-15 -1407 ((-121) $)) (-15 -3813 ((-121) $)) (-15 -4335 ((-121) |#4| $)) (-15 -3861 ((-121) $ $)) (-15 -3041 ((-121) |#4| $)) (-15 -4465 ((-121) $ (-635 |#3|))) (-15 -4465 ((-121) $)) (-15 -2652 ($ $ $)) (-15 -2652 ($ (-635 $))) (-15 -4268 ($ $ $)) (-15 -4268 ($ $ |#4|)) (-15 -2815 ($ $)) (-15 -1914 ((-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -2723 ($ (-2 (|:| |mval| (-680 |#1|)) (|:| |invmval| (-680 |#1|)) (|:| |genIdeal| $)))) (-15 -2369 ((-569) $ (-635 |#3|))) (-15 -2369 ((-569) $)) (-15 -3940 ($ $)) (-15 -2537 ($ (-635 |#4|))) (-15 -2784 ($ (-635 |#4|))) (-15 -3297 ((-121) $)) (-15 -2727 ((-635 |#4|) $)) (-15 -2185 ($ (-635 |#4|))) (-15 -3496 ($ $ |#4|)) (-15 -3496 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1163))) (-15 -1738 ((-1152 (-635 (-954 |#1|)) (-635 (-289 (-954 |#1|)))) (-635 |#4|))) |noBranch|))) 
-((-4068 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 144)) (-4057 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 145)) (-2611 (((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 103)) (-3726 (((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) NIL)) (-1456 (((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) 147)) (-2980 (((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))) 159))) 
-(((-516 |#1| |#2|) (-10 -7 (-15 -4068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -4057 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3726 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2611 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -1456 ((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2980 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))))) (-635 (-1163)) (-764)) (T -516)) 
-((-2980 (*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *1 (-516 *4 *5)))) (-1456 (*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))))) (-2611 (*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-764)) (-853 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-516 *3 *4)))) (-3726 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-4057 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-4068 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(-10 -7 (-15 -4068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -4057 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3726 ((-121) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2611 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -1456 ((-635 (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2980 ((-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-764)) (-853 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-853 |#1|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) 12 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 11) (($ $ $) 23)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 18))) 
-(((-517 |#1| |#2|) (-13 (-21) (-519 |#1| |#2|)) (-21) (-843)) (T -517)) 
+((-1835 (((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765)) 27)) (-4181 (((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765)) 34)) (-2719 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)) 83))) 
+(((-508 |#1| |#2| |#3|) (-10 -7 (-15 -4181 ((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765))) (-15 -1835 ((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765))) (-15 -2719 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)))) (-351) (-1228 |#1|) (-1228 |#2|)) (T -508)) 
+((-2719 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7))))) (-5 *5 (-765)) (-4 *8 (-1228 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7)))) (-5 *1 (-508 *6 *7 *8)))) (-1835 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6)))) (-4 *7 (-1228 *6)))) (-4181 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-765)) (-4 *3 (-351)) (-4 *5 (-1228 *3)) (-5 *2 (-635 (-1161 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1228 *5))))) 
+(-10 -7 (-15 -4181 ((-635 (-1161 |#1|)) |#1| (-765) (-765) (-765))) (-15 -1835 ((-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-765) (-765))) (-15 -2719 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) (-635 |#3|) (-635 (-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) (-765)))) 
+((-1534 (((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))) 60)) (-3492 ((|#1| (-681 |#1|) |#1| (-765)) 25)) (-4449 (((-765) (-765) (-765)) 30)) (-2661 (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 42)) (-1602 (((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|) 50) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 47)) (-2441 ((|#1| (-681 |#1|) (-681 |#1|) |#1| (-569)) 29)) (-4517 ((|#1| (-681 |#1|)) 18))) 
+(((-509 |#1| |#2| |#3|) (-10 -7 (-15 -4517 (|#1| (-681 |#1|))) (-15 -3492 (|#1| (-681 |#1|) |#1| (-765))) (-15 -2441 (|#1| (-681 |#1|) (-681 |#1|) |#1| (-569))) (-15 -4449 ((-765) (-765) (-765))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -2661 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1534 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))))) (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $)))) (-1228 |#1|) (-412 |#1| |#2|)) (T -509)) 
+((-1534 (*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2661 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1602 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1602 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-4449 (*1 *2 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) (-2441 (*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-3492 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-765)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5)))) (-4517 (*1 *2 *3) (-12 (-5 *3 (-681 *2)) (-4 *4 (-1228 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4))))) 
+(-10 -7 (-15 -4517 (|#1| (-681 |#1|))) (-15 -3492 (|#1| (-681 |#1|) |#1| (-765))) (-15 -2441 (|#1| (-681 |#1|) (-681 |#1|) |#1| (-569))) (-15 -4449 ((-765) (-765) (-765))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1602 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -2661 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -1534 ((-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|))) (-2 (|:| -4079 (-681 |#1|)) (|:| |basisDen| |#1|) (|:| |basisInv| (-681 |#1|)))))) 
+((-1310 (((-121) $ $) NIL)) (-1771 (($ $) NIL)) (-1800 (($ $ $) 35)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| (-121) (-844))) (((-121) (-1 (-121) (-121) (-121)) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-121) (-844)))) (($ (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-121) $ (-1219 (-569)) (-121)) NIL (|has| $ (-6 -4572))) (((-121) $ (-569) (-121)) 36 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3503 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (($ (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-2793 (((-121) (-1 (-121) (-121) (-121)) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121)) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-121) (-121)) $ (-121) (-121)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-3982 (((-121) $ (-569) (-121)) NIL (|has| $ (-6 -4572)))) (-4124 (((-121) $ (-569)) NIL)) (-3988 (((-569) (-121) $ (-569)) NIL (|has| (-121) (-1093))) (((-569) (-121) $) NIL (|has| (-121) (-1093))) (((-569) (-1 (-121) (-121)) $) NIL)) (-4303 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-2472 (($ $ $) 33)) (-3182 (($ $) NIL)) (-2327 (($ $ $) NIL)) (-2446 (($ (-765) (-121)) 23)) (-1681 (($ $ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 8 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL)) (-2102 (($ $ $) NIL (|has| (-121) (-844))) (($ (-1 (-121) (-121) (-121)) $ $) NIL)) (-4457 (((-635 (-121)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL)) (-2089 (($ (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-121) (-121) (-121)) $ $) 30) (($ (-1 (-121) (-121)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ (-121) $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-121) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-121) "failed") (-1 (-121) (-121)) $) NIL)) (-2417 (($ $ (-121)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-121)) (-635 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-121) (-121)) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-289 (-121))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093)))) (($ $ (-635 (-289 (-121)))) NIL (-12 (|has| (-121) (-304 (-121))) (|has| (-121) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093))))) (-4283 (((-635 (-121)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 24)) (-2503 (($ $ (-1219 (-569))) NIL) (((-121) $ (-569)) 18) (((-121) $ (-569) (-121)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2691 (((-765) (-121) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-121) (-1093)))) (((-765) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) 25)) (-4035 (((-542) $) NIL (|has| (-121) (-610 (-542))))) (-3124 (($ (-635 (-121))) NIL)) (-4456 (($ (-635 $)) NIL) (($ $ $) NIL) (($ (-121) $) NIL) (($ $ (-121)) NIL)) (-3956 (((-852) $) 22)) (-3776 (((-121) (-1 (-121) (-121)) $) NIL (|has| $ (-6 -4571)))) (-3993 (($ $ $) 31)) (-3403 (($ $) NIL)) (-1294 (($ $ $) NIL)) (-3424 (($ $ $) 39)) (-3392 (($ $) 37)) (-2384 (($ $ $) 38)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 26)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 27)) (-1637 (($ $ $) NIL)) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
+(((-510 |#1|) (-13 (-133) (-10 -8 (-15 -3392 ($ $)) (-15 -3424 ($ $ $)) (-15 -2384 ($ $ $)))) (-569)) (T -510)) 
+((-3392 (*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-3424 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) (-2384 (*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569))))) 
+(-13 (-133) (-10 -8 (-15 -3392 ($ $)) (-15 -3424 ($ $ $)) (-15 -2384 ($ $ $)))) 
+((-3851 (((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|)) 34)) (-2607 (((-1161 |#4|) (-1 |#4| |#1|) |#2|) 30) ((|#2| (-1 |#1| |#4|) (-1161 |#4|)) 21)) (-3999 (((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|))) 45)) (-1825 (((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|) 54))) 
+(((-511 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2607 (|#2| (-1 |#1| |#4|) (-1161 |#4|))) (-15 -2607 ((-1161 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3851 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|))) (-15 -3999 ((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|)))) (-15 -1825 ((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|))) (-1049) (-1228 |#1|) (-1228 |#2|) (-1049)) (T -511)) 
+((-1825 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1228 *6)))) (-3999 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-681 (-1161 *8))) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1228 *6)))) (-3851 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2)))) (-2607 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *4 (-1228 *5)) (-5 *2 (-1161 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1228 *4)))) (-2607 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2))))) 
+(-10 -7 (-15 -2607 (|#2| (-1 |#1| |#4|) (-1161 |#4|))) (-15 -2607 ((-1161 |#4|) (-1 |#4| |#1|) |#2|)) (-15 -3851 ((-3 |#2| "failed") (-1 (-3 |#1| "failed") |#4|) (-1161 |#4|))) (-15 -3999 ((-3 (-681 |#2|) "failed") (-1 (-3 |#1| "failed") |#4|) (-681 (-1161 |#4|)))) (-15 -1825 ((-1161 (-1161 |#4|)) (-1 |#4| |#1|) |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2367 (((-1258) $) 18)) (-2503 (((-1147) $ (-1165)) 22)) (-2442 (((-1258) $) 14)) (-3956 (((-852) $) 20) (($ (-1147)) 19)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 8)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 7))) 
+(((-512) (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -3956 ($ (-1147)))))) (T -512)) 
+((-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1147)) (-5 *1 (-512)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) (-2367 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-512))))) 
+(-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $)) (-15 -3956 ($ (-1147))))) 
+((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|) 19)) (-1644 ((|#1| |#4|) 10)) (-3247 ((|#3| |#4|) 17))) 
+(((-513 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1644 (|#1| |#4|)) (-15 -3247 (|#3| |#4|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) (-559) (-995 |#1|) (-376 |#1|) (-376 |#2|)) (T -513)) 
+((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) (-3247 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4))))) 
+(-10 -7 (-15 -1644 (|#1| |#4|)) (-15 -3247 (|#3| |#4|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#4|))) 
+((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) NIL)) (-1578 (((-765) $) NIL)) (-1913 (((-1165) $ (-1165)) NIL)) (-1435 (((-765) $ (-765)) NIL)) (-1600 (((-968 |#1|) $ (-968 |#1|)) NIL)) (-1664 (((-765) $ (-765)) NIL)) (-1411 (((-33 |#1|) $ (-33 |#1|)) NIL)) (-1524 (((-635 (-776 |#1|)) $ (-635 (-776 |#1|))) NIL)) (-1755 (((-237 (-923 |#1|)) $ (-237 (-923 |#1|))) NIL)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) NIL)) (-3584 ((|#3| $ |#3|) NIL)) (-2440 (((-968 |#1|) $) NIL)) (-1359 (((-765) $) NIL)) (-3376 (((-33 |#1|) $) NIL)) (-4073 (((-635 (-776 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) NIL) (((-121)) NIL)) (-3795 (((-852) $) NIL)) (-1621 (((-237 (-923 |#1|)) $) NIL)) (-2284 (((-919) $) NIL)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) NIL)) (-1896 (($ (-968 |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#3| (-765) (-237 (-923 |#1|)) |#1| (-1165)) NIL) (($ (-968 |#1|) (-243 |#2| |#1|)) NIL)) (-3956 (((-852) $) NIL)) (-4460 ((|#3| $) NIL)) (-2870 ((|#1| $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-514 |#1| |#2| |#3|) (-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-366) (-635 (-1165)) (-117)) (T -514)) 
+((-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(-13 (-537 |#1| |#2| (-243 |#2| |#1|) (-233 (-2946 |#2|) (-765)) (-968 |#1|) (-776 |#1|) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
+((-1310 (((-121) $ $) NIL)) (-2595 (((-121) $ (-635 |#3|)) 101) (((-121) $) 102)) (-2225 (((-121) $) 144)) (-3749 (($ $ |#4|) 93) (($ $ |#4| (-635 |#3|)) 97)) (-1731 (((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|)) 137 (|has| |#3| (-610 (-1165))))) (-3483 (($ $ $) 87) (($ $ |#4|) 85)) (-3934 (((-121) $) 143)) (-3013 (($ $) 105)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 79) (($ (-635 $)) 81)) (-2180 (((-121) |#4| $) 104)) (-1922 (((-121) $ $) 68)) (-2018 (($ (-635 |#4|)) 86)) (-1912 (((-1111) $) NIL)) (-1499 (($ (-635 |#4|)) 141)) (-2332 (((-121) $) 142)) (-4378 (($ $) 70)) (-4021 (((-635 |#4|) $) 55)) (-4321 (((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|)) NIL)) (-2226 (((-121) |#4| $) 73)) (-2174 (((-569) $ (-635 |#3|)) 106) (((-569) $) 107)) (-3956 (((-852) $) 140) (($ (-635 |#4|)) 82)) (-3944 (($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $))) NIL)) (-1326 (((-121) $ $) 69)) (-1371 (($ $ $) 89)) (** (($ $ (-765)) 92)) (* (($ $ $) 91))) 
+(((-515 |#1| |#2| |#3| |#4|) (-13 (-1093) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 -1371 ($ $ $)) (-15 -3934 ((-121) $)) (-15 -2225 ((-121) $)) (-15 -2226 ((-121) |#4| $)) (-15 -1922 ((-121) $ $)) (-15 -2180 ((-121) |#4| $)) (-15 -2595 ((-121) $ (-635 |#3|))) (-15 -2595 ((-121) $)) (-15 -1433 ($ $ $)) (-15 -1433 ($ (-635 $))) (-15 -3483 ($ $ $)) (-15 -3483 ($ $ |#4|)) (-15 -4378 ($ $)) (-15 -4321 ((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -3944 ($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)))) (-15 -2174 ((-569) $ (-635 |#3|))) (-15 -2174 ((-569) $)) (-15 -3013 ($ $)) (-15 -2018 ($ (-635 |#4|))) (-15 -1499 ($ (-635 |#4|))) (-15 -2332 ((-121) $)) (-15 -4021 ((-635 |#4|) $)) (-15 -3956 ($ (-635 |#4|))) (-15 -3749 ($ $ |#4|)) (-15 -3749 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1165))) (-15 -1731 ((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|))) |noBranch|))) (-366) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -515)) 
+((* (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-3934 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2225 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2226 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-1922 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2180 (*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6)))) (-2595 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-2595 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-1433 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-1433 (*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3483 (*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-3483 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-4378 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-4321 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-2 (|:| |mval| (-681 *4)) (|:| |invmval| (-681 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-3944 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-681 *3)) (|:| |invmval| (-681 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-2174 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) (-2174 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3013 (*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-2018 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-1499 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-2332 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-4021 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) (-3749 (*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) (-3749 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-952 *4 *5 *6)))) (-1731 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *6 (-610 (-1165))) (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1154 (-635 (-955 *4)) (-635 (-289 (-955 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
+(-13 (-1093) (-10 -7 (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 -1371 ($ $ $)) (-15 -3934 ((-121) $)) (-15 -2225 ((-121) $)) (-15 -2226 ((-121) |#4| $)) (-15 -1922 ((-121) $ $)) (-15 -2180 ((-121) |#4| $)) (-15 -2595 ((-121) $ (-635 |#3|))) (-15 -2595 ((-121) $)) (-15 -1433 ($ $ $)) (-15 -1433 ($ (-635 $))) (-15 -3483 ($ $ $)) (-15 -3483 ($ $ |#4|)) (-15 -4378 ($ $)) (-15 -4321 ((-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)) $ (-635 |#3|))) (-15 -3944 ($ (-2 (|:| |mval| (-681 |#1|)) (|:| |invmval| (-681 |#1|)) (|:| |genIdeal| $)))) (-15 -2174 ((-569) $ (-635 |#3|))) (-15 -2174 ((-569) $)) (-15 -3013 ($ $)) (-15 -2018 ($ (-635 |#4|))) (-15 -1499 ($ (-635 |#4|))) (-15 -2332 ((-121) $)) (-15 -4021 ((-635 |#4|) $)) (-15 -3956 ($ (-635 |#4|))) (-15 -3749 ($ $ |#4|)) (-15 -3749 ($ $ |#4| (-635 |#3|))) (IF (|has| |#3| (-610 (-1165))) (-15 -1731 ((-1154 (-635 (-955 |#1|)) (-635 (-289 (-955 |#1|)))) (-635 |#4|))) |noBranch|))) 
+((-2068 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 144)) (-3169 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 145)) (-3174 (((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 103)) (-2005 (((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) NIL)) (-2527 (((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) 147)) (-3472 (((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))) 159))) 
+(((-516 |#1| |#2|) (-10 -7 (-15 -2068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3169 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2005 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3174 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2527 ((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3472 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))))) (-635 (-1165)) (-765)) (T -516)) 
+((-3472 (*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *1 (-516 *4 *5)))) (-2527 (*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))))) (-3174 (*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-765)) (-854 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-516 *3 *4)))) (-2005 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-3169 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) (-2068 (*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
+(-10 -7 (-15 -2068 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3169 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2005 ((-121) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3174 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -2527 ((-635 (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569))))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))))) (-15 -3472 ((-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-515 (-410 (-569)) (-233 |#2| (-765)) (-854 |#1|) (-243 |#1| (-410 (-569)))) (-635 (-854 |#1|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) 12 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 11) (($ $ $) 23)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 18))) 
+(((-517 |#1| |#2|) (-13 (-21) (-519 |#1| |#2|)) (-21) (-844)) (T -517)) 
 NIL 
 (-13 (-21) (-519 |#1| |#2|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 12)) (-2820 (($) NIL T CONST)) (-4020 (($ $) 26)) (-1763 (($ |#1| |#2|) 23)) (-1544 (($ (-1 |#1| |#1|) $) 25)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) 10 T CONST)) (-1668 (((-121) $ $) NIL)) (-1707 (($ $ $) 17)) (* (($ (-918) $) NIL) (($ (-764) $) 22))) 
-(((-518 |#1| |#2|) (-13 (-23) (-519 |#1| |#2|)) (-23) (-843)) (T -518)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 12)) (-4483 (($) NIL T CONST)) (-3373 (($ $) 26)) (-3179 (($ |#1| |#2|) 23)) (-4188 (($ (-1 |#1| |#1|) $) 25)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) 10 T CONST)) (-1326 (((-121) $ $) NIL)) (-1371 (($ $ $) 17)) (* (($ (-919) $) NIL) (($ (-765) $) 22))) 
+(((-518 |#1| |#2|) (-13 (-23) (-519 |#1| |#2|)) (-23) (-844)) (T -518)) 
 NIL 
 (-13 (-23) (-519 |#1| |#2|)) 
-((-2568 (((-121) $ $) 7)) (-4020 (($ $) 12)) (-1763 (($ |#1| |#2|) 15)) (-1544 (($ (-1 |#1| |#1|) $) 16)) (-3885 ((|#2| $) 13)) (-4012 ((|#1| $) 14)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-519 |#1| |#2|) (-1278) (-1091) (-843)) (T -519)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-843)))) (-1763 (*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1091)))) (-3885 (*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-843)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843))))) 
-(-13 (-1091) (-10 -8 (-15 -1544 ($ (-1 |t#1| |t#1|) $)) (-15 -1763 ($ |t#1| |t#2|)) (-15 -4012 (|t#1| $)) (-15 -3885 (|t#2| $)) (-15 -4020 ($ $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 13)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-520 |#1| |#2|) (-13 (-788) (-519 |#1| |#2|)) (-788) (-843)) (T -520)) 
-NIL 
-(-13 (-788) (-519 |#1| |#2|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) 16)) (-2327 (((-3 $ "failed") $ $) 13)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3885 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-521 |#1| |#2|) (-13 (-789) (-519 |#1| |#2|)) (-789) (-843)) (T -521)) 
+((-1310 (((-121) $ $) 7)) (-3373 (($ $) 12)) (-3179 (($ |#1| |#2|) 15)) (-4188 (($ (-1 |#1| |#1|) $) 16)) (-4418 ((|#2| $) 13)) (-3270 ((|#1| $) 14)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-519 |#1| |#2|) (-1284) (-1093) (-844)) (T -519)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-844)))) (-3179 (*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1093)))) (-4418 (*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-844)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844))))) 
+(-13 (-1093) (-10 -8 (-15 -4188 ($ (-1 |t#1| |t#1|) $)) (-15 -3179 ($ |t#1| |t#2|)) (-15 -3270 (|t#1| $)) (-15 -4418 (|t#2| $)) (-15 -3373 ($ $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 13)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-520 |#1| |#2|) (-13 (-789) (-519 |#1| |#2|)) (-789) (-844)) (T -520)) 
 NIL 
 (-13 (-789) (-519 |#1| |#2|)) 
-((-2568 (((-121) $ $) NIL)) (-4020 (($ $) 24)) (-1763 (($ |#1| |#2|) 21)) (-1544 (($ (-1 |#1| |#1|) $) 23)) (-3885 ((|#2| $) 26)) (-4012 ((|#1| $) 25)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 20)) (-1668 (((-121) $ $) 13))) 
-(((-522 |#1| |#2|) (-519 |#1| |#2|) (-1091) (-843)) (T -522)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) 16)) (-3748 (((-3 $ "failed") $ $) 13)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4418 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-521 |#1| |#2|) (-13 (-790) (-519 |#1| |#2|)) (-790) (-844)) (T -521)) 
+NIL 
+(-13 (-790) (-519 |#1| |#2|)) 
+((-1310 (((-121) $ $) NIL)) (-3373 (($ $) 24)) (-3179 (($ |#1| |#2|) 21)) (-4188 (($ (-1 |#1| |#1|) $) 23)) (-4418 ((|#2| $) 26)) (-3270 ((|#1| $) 25)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 20)) (-1326 (((-121) $ $) 13))) 
+(((-522 |#1| |#2|) (-519 |#1| |#2|) (-1093) (-844)) (T -522)) 
 NIL 
 (-519 |#1| |#2|) 
-((-1468 (($ $ (-635 |#2|) (-635 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
-(((-523 |#1| |#2| |#3|) (-10 -8 (-15 -1468 (|#1| |#1| |#2| |#3|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) (-524 |#2| |#3|) (-1091) (-1197)) (T -523)) 
+((-1484 (($ $ (-635 |#2|) (-635 |#3|)) NIL) (($ $ |#2| |#3|) 12))) 
+(((-523 |#1| |#2| |#3|) (-10 -8 (-15 -1484 (|#1| |#1| |#2| |#3|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) (-524 |#2| |#3|) (-1093) (-1199)) (T -523)) 
 NIL 
-(-10 -8 (-15 -1468 (|#1| |#1| |#2| |#3|)) (-15 -1468 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) 
-((-1468 (($ $ (-635 |#1|) (-635 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
-(((-524 |#1| |#2|) (-1278) (-1091) (-1197)) (T -524)) 
-((-1468 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1197)))) (-1468 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1197))))) 
-(-13 (-10 -8 (-15 -1468 ($ $ |t#1| |t#2|)) (-15 -1468 ($ $ (-635 |t#1|) (-635 |t#2|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 16)) (-1403 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 18)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3082 ((|#1| $ (-569)) 23)) (-2231 ((|#2| $ (-569)) 21)) (-4101 (($ (-1 |#1| |#1|) $) 46)) (-1742 (($ (-1 |#2| |#2|) $) 43)) (-2776 (((-1145) $) NIL)) (-4113 (($ $ $) 53 (|has| |#2| (-788)))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 42) (($ |#1|) NIL)) (-1653 ((|#2| |#1| $) 49)) (-3369 (($) 11 T CONST)) (-1668 (((-121) $ $) 29)) (-1707 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-918) $) NIL) (($ (-764) $) 36) (($ |#2| |#1|) 31))) 
-(((-525 |#1| |#2| |#3|) (-321 |#1| |#2|) (-1091) (-138) |#2|) (T -525)) 
+(-10 -8 (-15 -1484 (|#1| |#1| |#2| |#3|)) (-15 -1484 (|#1| |#1| (-635 |#2|) (-635 |#3|)))) 
+((-1484 (($ $ (-635 |#1|) (-635 |#2|)) 7) (($ $ |#1| |#2|) 6))) 
+(((-524 |#1| |#2|) (-1284) (-1093) (-1199)) (T -524)) 
+((-1484 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1199)))) (-1484 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1199))))) 
+(-13 (-10 -8 (-15 -1484 ($ $ |t#1| |t#2|)) (-15 -1484 ($ $ (-635 |t#1|) (-635 |t#2|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 16)) (-3824 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 18)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1906 ((|#1| $ (-569)) 23)) (-3244 ((|#2| $ (-569)) 21)) (-1648 (($ (-1 |#1| |#1|) $) 46)) (-1797 (($ (-1 |#2| |#2|) $) 43)) (-2605 (((-1147) $) NIL)) (-4046 (($ $ $) 53 (|has| |#2| (-789)))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 42) (($ |#1|) NIL)) (-3802 ((|#2| |#1| $) 49)) (-2407 (($) 11 T CONST)) (-1326 (((-121) $ $) 29)) (-1371 (($ $ $) 27) (($ |#1| $) 25)) (* (($ (-919) $) NIL) (($ (-765) $) 36) (($ |#2| |#1|) 31))) 
+(((-525 |#1| |#2| |#3|) (-321 |#1| |#2|) (-1093) (-138) |#2|) (T -525)) 
 NIL 
 (-321 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-3060 (((-121) (-121)) 24)) (-4469 ((|#1| $ (-569) |#1|) 27 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 51)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-3384 (($ $) 54 (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) 43)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-1841 (($ $ (-569)) 13)) (-3461 (((-764) $) 11)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 22)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 20 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) 19 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3172 (($ $ $ (-569)) 50) (($ |#1| $ (-569)) 36)) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3117 (($ (-635 |#1|)) 28)) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 18 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 39)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 14)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 32) (($ $ (-1213 (-569))) NIL)) (-4514 (($ $ (-1213 (-569))) 49) (($ $ (-569)) 44)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) 40 (|has| $ (-6 -4536)))) (-1971 (($ $) 31)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2697 (($ $ $) 41) (($ $ |#1|) 38)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 15 (|has| $ (-6 -4535))))) 
-(((-526 |#1| |#2|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) (-1197) (-569)) (T -526)) 
-((-3117 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569)))) (-3461 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569)))) (-1841 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 *2))) (-3060 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
-(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3117 ($ (-635 |#1|))) (-15 -3461 ((-764) $)) (-15 -1841 ($ $ (-569))) (-15 -3060 ((-121) (-121))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (((-582 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-582 |#1|) (-371)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL (|has| (-582 |#1|) (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-582 |#1|) "failed") $) NIL)) (-2428 (((-582 |#1|) $) NIL)) (-2623 (($ (-1247 (-582 |#1|))) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-582 |#1|) (-371)))) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-582 |#1|) (-371)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL (|has| (-582 |#1|) (-371)))) (-3354 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371)))) (($ $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-3726 (((-121) $) NIL)) (-2558 (((-918) $) NIL (|has| (-582 |#1|) (-371))) (((-829 (-918)) $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| (-582 |#1|) (-371)))) (-3364 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-4308 (((-582 |#1|) $) NIL) (($ $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-582 |#1|) (-371)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 (-582 |#1|)) $) NIL) (((-1159 $) $ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2083 (((-918) $) NIL (|has| (-582 |#1|) (-371)))) (-2486 (((-1159 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371)))) (-3697 (((-1159 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-1159 (-582 |#1|)) "failed") $ $) NIL (|has| (-582 |#1|) (-371)))) (-4421 (($ $ (-1159 (-582 |#1|))) NIL (|has| (-582 |#1|) (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-582 |#1|) (-371)) CONST)) (-3998 (($ (-918)) NIL (|has| (-582 |#1|) (-371)))) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| (-582 |#1|) (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-582 |#1|) (-371)))) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL) (((-918)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-764) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2369 (((-140)) NIL)) (-3899 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-2492 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-2745 (((-1159 (-582 |#1|))) NIL)) (-2319 (($) NIL (|has| (-582 |#1|) (-371)))) (-3554 (($) NIL (|has| (-582 |#1|) (-371)))) (-1648 (((-1247 (-582 |#1|)) $) NIL) (((-680 (-582 |#1|)) (-1247 $)) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-582 |#1|) (-371)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-582 |#1|)) NIL)) (-3953 (($ $) NIL (|has| (-582 |#1|) (-371))) (((-3 $ "failed") $) NIL (-2232 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL) (((-1247 $) (-918)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-3022 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-764)) NIL (|has| (-582 |#1|) (-371)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ (-582 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-582 |#1|)) NIL) (($ (-582 |#1|) $) NIL))) 
-(((-527 |#1| |#2|) (-328 (-582 |#1|)) (-918) (-918)) (T -527)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2723 (((-121) (-121)) 24)) (-2511 ((|#1| $ (-569) |#1|) 27 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 51)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-2938 (($ $) 54 (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) 43)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-3274 (($ $ (-569)) 13)) (-4105 (((-765) $) 11)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 22)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 20 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 34)) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 35) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) 19 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2351 (($ $ $ (-569)) 50) (($ |#1| $ (-569)) 36)) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3582 (($ (-635 |#1|)) 28)) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 18 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 39)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 14)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 32) (($ $ (-1219 (-569))) NIL)) (-1313 (($ $ (-1219 (-569))) 49) (($ $ (-569)) 44)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) 40 (|has| $ (-6 -4572)))) (-1799 (($ $) 31)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4422 (($ $ $) 41) (($ $ |#1|) 38)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) 37) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 15 (|has| $ (-6 -4571))))) 
+(((-526 |#1| |#2|) (-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) (-1199) (-569)) (T -526)) 
+((-3582 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569)))) (-4105 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569)))) (-3274 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 *2))) (-2723 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
+(-13 (-19 |#1|) (-278 |#1|) (-10 -8 (-15 -3582 ($ (-635 |#1|))) (-15 -4105 ((-765) $)) (-15 -3274 ($ $ (-569))) (-15 -2723 ((-121) (-121))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (((-582 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-582 |#1|) (-371)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL (|has| (-582 |#1|) (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-582 |#1|) "failed") $) NIL)) (-1321 (((-582 |#1|) $) NIL)) (-2097 (($ (-1253 (-582 |#1|))) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-582 |#1|) (-371)))) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-582 |#1|) (-371)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL (|has| (-582 |#1|) (-371)))) (-3462 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371)))) (($ $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2005 (((-121) $) NIL)) (-4433 (((-919) $) NIL (|has| (-582 |#1|) (-371))) (((-830 (-919)) $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| (-582 |#1|) (-371)))) (-3761 (((-121) $) NIL (|has| (-582 |#1|) (-371)))) (-3046 (((-582 |#1|) $) NIL) (($ $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-582 |#1|) (-371)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 (-582 |#1|)) $) NIL) (((-1161 $) $ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-2862 (((-919) $) NIL (|has| (-582 |#1|) (-371)))) (-2130 (((-1161 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371)))) (-2632 (((-1161 (-582 |#1|)) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-1161 (-582 |#1|)) "failed") $ $) NIL (|has| (-582 |#1|) (-371)))) (-3946 (($ $ (-1161 (-582 |#1|))) NIL (|has| (-582 |#1|) (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-582 |#1|) (-371)) CONST)) (-1333 (($ (-919)) NIL (|has| (-582 |#1|) (-371)))) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| (-582 |#1|) (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-582 |#1|) (-371)))) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL) (((-919)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-765) $) NIL (|has| (-582 |#1|) (-371))) (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2174 (((-140)) NIL)) (-3289 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-2284 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3036 (((-1161 (-582 |#1|))) NIL)) (-3563 (($) NIL (|has| (-582 |#1|) (-371)))) (-2433 (($) NIL (|has| (-582 |#1|) (-371)))) (-3672 (((-1253 (-582 |#1|)) $) NIL) (((-681 (-582 |#1|)) (-1253 $)) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-582 |#1|) (-371)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-582 |#1|)) NIL)) (-2277 (($ $) NIL (|has| (-582 |#1|) (-371))) (((-3 $ "failed") $) NIL (-1929 (|has| (-582 |#1|) (-149)) (|has| (-582 |#1|) (-371))))) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL) (((-1253 $) (-919)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-3712 (($ $) NIL (|has| (-582 |#1|) (-371))) (($ $ (-765)) NIL (|has| (-582 |#1|) (-371)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ (-582 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-582 |#1|)) NIL) (($ (-582 |#1|) $) NIL))) 
+(((-527 |#1| |#2|) (-328 (-582 |#1|)) (-919) (-919)) (T -527)) 
 NIL 
 (-328 (-582 |#1|)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) 33)) (-2451 (($ $ (-569) |#4|) NIL)) (-3443 (($ $ (-569) |#5|) NIL)) (-2820 (($) NIL T CONST)) (-1765 ((|#4| $ (-569)) NIL)) (-2726 ((|#1| $ (-569) (-569) |#1|) 32)) (-1618 ((|#1| $ (-569) (-569)) 30)) (-3470 (((-635 |#1|) $) NIL)) (-1810 (((-764) $) 26)) (-2659 (($ (-764) (-764) |#1|) 23)) (-2806 (((-764) $) 28)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) 24)) (-3127 (((-569) $) 25)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 27)) (-1581 (((-569) $) 29)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) 36 (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 15)) (-1534 ((|#1| $ (-569) (-569)) 31) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3419 ((|#5| $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-528 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1197) (-569) (-569) (-376 |#1|) (-376 |#1|)) (T -528)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) 33)) (-3890 (($ $ (-569) |#4|) NIL)) (-1622 (($ $ (-569) |#5|) NIL)) (-4483 (($) NIL T CONST)) (-4128 ((|#4| $ (-569)) NIL)) (-3982 ((|#1| $ (-569) (-569) |#1|) 32)) (-4124 ((|#1| $ (-569) (-569)) 30)) (-4303 (((-635 |#1|) $) NIL)) (-3568 (((-765) $) 26)) (-2446 (($ (-765) (-765) |#1|) 23)) (-4145 (((-765) $) 28)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) 24)) (-3841 (((-569) $) 25)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 27)) (-2414 (((-569) $) 29)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) 36 (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 15)) (-2503 ((|#1| $ (-569) (-569)) 31) ((|#1| $ (-569) (-569) |#1|) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-2349 ((|#5| $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-528 |#1| |#2| |#3| |#4| |#5|) (-62 |#1| |#4| |#5|) (-1199) (-569) (-569) (-376 |#1|) (-376 |#1|)) (T -528)) 
 NIL 
 (-62 |#1| |#4| |#5|) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 57 (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 23 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 21 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4536))) (($ $ "rest" $) 24 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) 28 (|has| $ (-6 -4536)))) (-2052 (($ $) 29)) (-2046 (($ $) 18) (($ $ (-764)) 32)) (-3384 (($ $) 53 (|has| |#1| (-1091)))) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) 27 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 31 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) 50 (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) 13) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 12)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) 17)) (-1296 (($) 16)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1472 (((-121) $) 33)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) 35)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) 34)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 26)) (-2697 (($ $ $) 52) (($ $ |#1|) NIL)) (-2250 (($ $ $) NIL) (($ |#1| $) 10) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (((-851) $) 45 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 47 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 9 (|has| $ (-6 -4535))))) 
-(((-529 |#1| |#2|) (-659 |#1|) (-1197) (-569)) (T -529)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 57 (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) 55 (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 23 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 21 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 22 (|has| $ (-6 -4572))) (($ $ "rest" $) 24 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) 28 (|has| $ (-6 -4572)))) (-1871 (($ $) 29)) (-1864 (($ $) 18) (($ $ (-765)) 32)) (-2938 (($ $) 53 (|has| |#1| (-1093)))) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) 27 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 31 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 56)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 51 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) 50 (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) 13) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 12)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) 17)) (-4016 (($) 16)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") 15) (($ $ "rest") 20) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) NIL) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-1630 (((-121) $) 33)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) 35)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) 34)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 26)) (-4422 (($ $ $) 52) (($ $ |#1|) NIL)) (-4456 (($ $ $) NIL) (($ |#1| $) 10) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (((-852) $) 45 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 47 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 9 (|has| $ (-6 -4571))))) 
+(((-529 |#1| |#2|) (-659 |#1|) (-1199) (-569)) (T -529)) 
 NIL 
 (-659 |#1|) 
-((-4036 ((|#4| |#4|) 26)) (-1321 (((-764) |#4|) 31)) (-3695 (((-764) |#4|) 32)) (-3645 (((-635 |#3|) |#4|) 37 (|has| |#3| (-6 -4536)))) (-4480 (((-3 |#4| "failed") |#4|) 47)) (-1518 ((|#4| |#4|) 40)) (-1787 ((|#1| |#4|) 39))) 
-(((-530 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4036 (|#4| |#4|)) (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (IF (|has| |#3| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|) (-15 -1787 (|#1| |#4|)) (-15 -1518 (|#4| |#4|)) (-15 -4480 ((-3 |#4| "failed") |#4|))) (-366) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -530)) 
-((-4480 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-1518 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-1787 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) (-3645 (*1 *2 *3) (-12 (|has| *6 (-6 -4536)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3695 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1321 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-4036 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(-10 -7 (-15 -4036 (|#4| |#4|)) (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (IF (|has| |#3| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|) (-15 -1787 (|#1| |#4|)) (-15 -1518 (|#4| |#4|)) (-15 -4480 ((-3 |#4| "failed") |#4|))) 
-((-4036 ((|#8| |#4|) 20)) (-3645 (((-635 |#3|) |#4|) 29 (|has| |#7| (-6 -4536)))) (-4480 (((-3 |#8| "failed") |#4|) 23))) 
-(((-531 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4036 (|#8| |#4|)) (-15 -4480 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|)) (-559) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|) (-994 |#1|) (-376 |#5|) (-376 |#5|) (-678 |#5| |#6| |#7|)) (T -531)) 
-((-3645 (*1 *2 *3) (-12 (|has| *9 (-6 -4536)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-678 *4 *5 *6)) (-4 *10 (-678 *7 *8 *9)))) (-4480 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) (-4036 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7))))) 
-(-10 -7 (-15 -4036 (|#8| |#4|)) (-15 -4480 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4536)) (-15 -3645 ((-635 |#3|) |#4|)) |noBranch|)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) NIL)) (-2799 (($ $ $) NIL)) (-2853 (($ (-600 |#1| |#3|)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) 12)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-600 |#1| |#3|)) NIL)) (-3443 (($ $ (-569) (-600 |#1| |#2|)) NIL)) (-1574 (($ (-764) |#1|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 19 (|has| |#1| (-302)))) (-1765 (((-600 |#1| |#3|) $ (-569)) NIL)) (-1321 (((-764) $) 22 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) NIL)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) 24 (|has| |#1| (-559)))) (-3645 (((-635 (-600 |#1| |#2|)) $) 27 (|has| |#1| (-559)))) (-1810 (((-764) $) NIL)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) 17 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 10)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 11)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#1|))) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 31 (|has| |#1| (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) 15 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2753 (((-635 (-600 |#1| |#2|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-600 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-600 |#1| |#2|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-600 |#1| |#2|) $ (-600 |#1| |#2|)) NIL) (((-600 |#1| |#3|) (-600 |#1| |#3|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-532 |#1| |#2| |#3|) (-678 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) (-1048) (-569) (-569)) (T -532)) 
-NIL 
-(-678 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) 
-((-3386 (((-1159 |#1|) (-764)) 74)) (-1377 (((-1247 |#1|) (-1247 |#1|) (-918)) 67)) (-3562 (((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|) 82)) (-2649 (((-1247 |#1|) (-1247 |#1|) (-764)) 36)) (-4327 (((-1247 |#1|) (-918)) 69)) (-2639 (((-1247 |#1|) (-1247 |#1|) (-569)) 24)) (-3698 (((-1159 |#1|) (-1247 |#1|)) 75)) (-1490 (((-1247 |#1|) (-918)) 93)) (-3364 (((-121) (-1247 |#1|)) 78)) (-4308 (((-1247 |#1|) (-1247 |#1|) (-918)) 59)) (-2770 (((-1159 |#1|) (-1247 |#1|)) 87)) (-2083 (((-918) (-1247 |#1|)) 56)) (-1795 (((-1247 |#1|) (-1247 |#1|)) 30)) (-3998 (((-1247 |#1|) (-918) (-918)) 95)) (-3620 (((-1247 |#1|) (-1247 |#1|) (-1109) (-1109)) 23)) (-2236 (((-1247 |#1|) (-1247 |#1|) (-764) (-1109)) 37)) (-3930 (((-1247 (-1247 |#1|)) (-918)) 92)) (-1715 (((-1247 |#1|) (-1247 |#1|) (-1247 |#1|)) 79)) (** (((-1247 |#1|) (-1247 |#1|) (-569)) 43)) (* (((-1247 |#1|) (-1247 |#1|) (-1247 |#1|)) 25))) 
-(((-533 |#1|) (-10 -7 (-15 -3562 ((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|)) (-15 -4327 ((-1247 |#1|) (-918))) (-15 -3998 ((-1247 |#1|) (-918) (-918))) (-15 -3698 ((-1159 |#1|) (-1247 |#1|))) (-15 -3386 ((-1159 |#1|) (-764))) (-15 -2236 ((-1247 |#1|) (-1247 |#1|) (-764) (-1109))) (-15 -2649 ((-1247 |#1|) (-1247 |#1|) (-764))) (-15 -3620 ((-1247 |#1|) (-1247 |#1|) (-1109) (-1109))) (-15 -2639 ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 ** ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 * ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -1715 ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -4308 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1377 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1795 ((-1247 |#1|) (-1247 |#1|))) (-15 -2083 ((-918) (-1247 |#1|))) (-15 -3364 ((-121) (-1247 |#1|))) (-15 -3930 ((-1247 (-1247 |#1|)) (-918))) (-15 -1490 ((-1247 |#1|) (-918))) (-15 -2770 ((-1159 |#1|) (-1247 |#1|)))) (-351)) (T -533)) 
-((-2770 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)))) (-1490 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3930 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3364 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4)))) (-2083 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-918)) (-5 *1 (-533 *4)))) (-1795 (*1 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (-1377 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-4308 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2639 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3620 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1109)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2649 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2236 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1247 *5)) (-5 *3 (-764)) (-5 *4 (-1109)) (-4 *5 (-351)) (-5 *1 (-533 *5)))) (-3386 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3698 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)))) (-3998 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-4327 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3562 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-1252)) (-5 *1 (-533 *4))))) 
-(-10 -7 (-15 -3562 ((-1252) (-1247 (-635 (-2 (|:| -2247 |#1|) (|:| -3998 (-1109))))) |#1|)) (-15 -4327 ((-1247 |#1|) (-918))) (-15 -3998 ((-1247 |#1|) (-918) (-918))) (-15 -3698 ((-1159 |#1|) (-1247 |#1|))) (-15 -3386 ((-1159 |#1|) (-764))) (-15 -2236 ((-1247 |#1|) (-1247 |#1|) (-764) (-1109))) (-15 -2649 ((-1247 |#1|) (-1247 |#1|) (-764))) (-15 -3620 ((-1247 |#1|) (-1247 |#1|) (-1109) (-1109))) (-15 -2639 ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 ** ((-1247 |#1|) (-1247 |#1|) (-569))) (-15 * ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -1715 ((-1247 |#1|) (-1247 |#1|) (-1247 |#1|))) (-15 -4308 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1377 ((-1247 |#1|) (-1247 |#1|) (-918))) (-15 -1795 ((-1247 |#1|) (-1247 |#1|))) (-15 -2083 ((-918) (-1247 |#1|))) (-15 -3364 ((-121) (-1247 |#1|))) (-15 -3930 ((-1247 (-1247 |#1|)) (-918))) (-15 -1490 ((-1247 |#1|) (-918))) (-15 -2770 ((-1159 |#1|) (-1247 |#1|)))) 
-((-1929 (((-1 |#1| |#1|) |#1|) 11)) (-3194 (((-1 |#1| |#1|)) 10))) 
-(((-534 |#1|) (-10 -7 (-15 -3194 ((-1 |#1| |#1|))) (-15 -1929 ((-1 |#1| |#1|) |#1|))) (-13 (-717) (-25))) (T -534)) 
-((-1929 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25))))) (-3194 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
-(-10 -7 (-15 -3194 ((-1 |#1| |#1|))) (-15 -1929 ((-1 |#1| |#1|) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-1763 (($ (-764) |#1|) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 (-764) (-764)) $) NIL)) (-3885 ((|#1| $) NIL)) (-4012 (((-764) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 20)) (-3369 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-535 |#1|) (-13 (-789) (-519 (-764) |#1|)) (-843)) (T -535)) 
-NIL 
-(-13 (-789) (-519 (-764) |#1|)) 
-((-1352 (((-635 |#2|) (-1159 |#1|) |#3|) 83)) (-2504 (((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))) 99)) (-2881 (((-1159 |#1|) (-680 |#1|)) 95))) 
-(((-536 |#1| |#2| |#3|) (-10 -7 (-15 -2881 ((-1159 |#1|) (-680 |#1|))) (-15 -1352 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2504 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))))) (-366) (-366) (-13 (-366) (-841))) (T -536)) 
-((-2504 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *6)) (-5 *5 (-1 (-421 (-1159 *6)) (-1159 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-841))))) (-1352 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) (-2881 (*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *2 (-1159 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -2881 ((-1159 |#1|) (-680 |#1|))) (-15 -1352 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2504 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#2|))))) (-680 |#1|) |#3| (-1 (-421 (-1159 |#1|)) (-1159 |#1|))))) 
-((-2568 (((-121) $ $) 7)) (-1569 (((-1163) $) 20)) (-3974 (((-764) $) 22)) (-1610 (((-1163) $ (-1163)) 23)) (-3755 (((-764) $ (-764)) 28)) (-3070 ((|#5| $ |#5|) 31)) (-2790 (((-764) $ (-764)) 27)) (-1880 (((-33 |#1|) $ (-33 |#1|)) 29)) (-3192 (((-635 |#6|) $ (-635 |#6|)) 24)) (-2526 ((|#8| $ |#8|) 25)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) 30)) (-2831 ((|#9| $ |#9|) 26)) (-4209 ((|#5| $) 19)) (-3237 (((-764) $) 16)) (-2363 (((-33 |#1|) $) 17)) (-2158 (((-635 |#6|) $) 21)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2395 ((|#8| $) 14)) (-2492 (((-918) $) 12)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) 18)) (-2946 (($ |#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#9| (-764) |#8| |#1| (-1163)) 33) (($ |#5| |#3|) 32)) (-2185 (((-851) $) 11)) (-2559 ((|#9| $) 15)) (-3147 ((|#1| $) 13)) (-1668 (((-121) $ $) 6))) 
-(((-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1278) (-366) (-635 (-1163)) (-951 |t#1| |t#4| (-853 |t#2|)) (-231 (-4168 |t#2|) (-764)) (-972 |t#1|) (-642 |t#1|) (-921 |t#1| |t#6|) (-236 |t#7|) (-117)) (T -537)) 
-((-2946 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1163)) (-4 *8 (-366)) (-5 *5 (-764)) (-4 *12 (-231 (-4168 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-921 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-951 *8 *12 (-853 *10))) (-4 *2 (-972 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) (-2946 (*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-642 *4)) (-4 *8 (-921 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *2 (-972 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-3070 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *2 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-1629 (*1 *2 *1 *2) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1880 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3755 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2790 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2831 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-2526 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117)))) (-3192 (*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1610 (*1 *2 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-3974 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2158 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8)))) (-1569 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1163)))) (-4209 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-972 *3)))) (-3450 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-3237 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764)))) (-2559 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-2395 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-951 *2 *5 (-853 *3))) (-4 *5 (-231 (-4168 *3) (-764))) (-4 *6 (-972 *2)) (-4 *7 (-642 *2)) (-4 *8 (-921 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
-(-13 (-1089) (-10 -8 (-15 -2946 ($ |t#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) (-33 |t#1|) (-764) |t#9| (-764) |t#8| |t#1| (-1163))) (-15 -2946 ($ |t#5| |t#3|)) (-15 -3070 (|t#5| $ |t#5|)) (-15 -1629 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|))) (-15 -1880 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -3755 ((-764) $ (-764))) (-15 -2790 ((-764) $ (-764))) (-15 -2831 (|t#9| $ |t#9|)) (-15 -2526 (|t#8| $ |t#8|)) (-15 -3192 ((-635 |t#6|) $ (-635 |t#6|))) (-15 -1610 ((-1163) $ (-1163))) (-15 -3974 ((-764) $)) (-15 -2158 ((-635 |t#6|) $)) (-15 -1569 ((-1163) $)) (-15 -4209 (|t#5| $)) (-15 -3450 ((-243 (-2139 (QUOTE X) (QUOTE -2374)) |t#1|) $)) (-15 -2363 ((-33 |t#1|) $)) (-15 -3237 ((-764) $)) (-15 -2559 (|t#9| $)) (-15 -2395 (|t#8| $)) (-15 -3147 (|t#1| $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) NIL)) (-3974 (((-764) $) NIL)) (-1610 (((-1163) $ (-1163)) NIL)) (-3755 (((-764) $ (-764)) NIL)) (-3070 (((-968 |#1|) $ (-968 |#1|)) NIL)) (-2790 (((-764) $ (-764)) NIL)) (-1880 (((-33 (-858 |#1|)) $ (-33 (-858 |#1|))) NIL)) (-3192 (((-635 (-775 (-858 |#1|))) $ (-635 (-775 (-858 |#1|)))) NIL)) (-2526 (((-237 (-923 |#1|)) $ (-237 (-923 |#1|))) NIL)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|))) NIL)) (-2831 ((|#3| $ |#3|) NIL)) (-4209 (((-968 |#1|) $) NIL)) (-3237 (((-764) $) NIL)) (-2363 (((-33 (-858 |#1|)) $) NIL)) (-2158 (((-635 (-775 (-858 |#1|))) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) NIL) (((-121)) NIL)) (-3126 (((-851) $) NIL)) (-2395 (((-237 (-923 |#1|)) $) NIL)) (-2492 (((-918) $) NIL)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) $) NIL)) (-2946 (($ (-968 |#1|) (-243 (-2139 (QUOTE X) (QUOTE -2374)) (-858 |#1|)) (-33 (-858 |#1|)) (-764) |#3| (-764) (-237 (-923 |#1|)) (-858 |#1|) (-1163)) NIL) (($ (-968 |#1|) (-243 |#2| (-858 |#1|))) NIL)) (-2185 (((-851) $) NIL)) (-2559 ((|#3| $) NIL)) (-3147 (((-858 |#1|) $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-538 |#1| |#2| |#3|) (-13 (-537 (-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-351) (-635 (-1163)) (-117)) (T -538)) 
-((-3126 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2401 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(-13 (-537 (-858 |#1|) |#2| (-243 |#2| (-858 |#1|)) (-233 (-4168 |#2|) (-764)) (-968 |#1|) (-775 (-858 |#1|)) (-923 |#1|) (-237 (-923 |#1|)) |#3|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
-((-2568 (((-121) $ $) NIL)) (-1569 (((-1163) $) 42)) (-3974 (((-764) $) 48)) (-1610 (((-1163) $ (-1163)) 81)) (-3755 (((-764) $ (-764)) 71)) (-3070 ((|#5| $ |#5|) 74)) (-2790 (((-764) $ (-764)) 77)) (-1880 (((-33 |#1|) $ (-33 |#1|)) 76)) (-3192 (((-635 |#6|) $ (-635 |#6|)) 79)) (-2526 ((|#8| $ |#8|) 80)) (-1629 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $ (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|)) 75)) (-2831 ((|#9| $ |#9|) 78)) (-4209 ((|#5| $) 40)) (-3237 (((-764) $) 43)) (-2363 (((-33 |#1|) $) 45)) (-2158 (((-635 |#6|) $) 73)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2401 (((-121) (-121)) 52) (((-121)) 53)) (-3126 (((-851) $) 50)) (-2395 ((|#8| $) 47)) (-2492 (((-918) $) 58)) (-3450 (((-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) $) 44)) (-2946 (($ |#5| (-243 (-2139 (QUOTE X) (QUOTE -2374)) |#1|) (-33 |#1|) (-764) |#9| (-764) |#8| |#1| (-1163)) 59) (($ |#5| |#3|) 70)) (-2185 (((-851) $) 54)) (-2559 ((|#9| $) 46)) (-3147 ((|#1| $) 55)) (-1668 (((-121) $ $) NIL))) 
-(((-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-117)) (T -539)) 
-((-3126 (*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-851)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-2401 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-2401 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3126 ((-851) $)) (-15 -2401 ((-121) (-121))) (-15 -2401 ((-121))))) 
-((-3090 (((-836 (-569))) 11)) (-3083 (((-836 (-569))) 13)) (-1532 (((-829 (-569))) 8))) 
-(((-540) (-10 -7 (-15 -1532 ((-829 (-569)))) (-15 -3090 ((-836 (-569)))) (-15 -3083 ((-836 (-569)))))) (T -540)) 
-((-3083 (*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) (-3090 (*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) (-1532 (*1 *2) (-12 (-5 *2 (-829 (-569))) (-5 *1 (-540))))) 
-(-10 -7 (-15 -1532 ((-829 (-569)))) (-15 -3090 ((-836 (-569)))) (-15 -3083 ((-836 (-569))))) 
-((-3720 (((-542) (-1163)) 15)) (-2929 ((|#1| (-542)) 20))) 
-(((-541 |#1|) (-10 -7 (-15 -3720 ((-542) (-1163))) (-15 -2929 (|#1| (-542)))) (-1197)) (T -541)) 
-((-2929 (*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1197)))) (-3720 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1197))))) 
-(-10 -7 (-15 -3720 ((-542) (-1163))) (-15 -2929 (|#1| (-542)))) 
-((-2568 (((-121) $ $) NIL)) (-1523 (((-1145) $) 46)) (-1508 (((-121) $) 43)) (-2392 (((-1163) $) 44)) (-2549 (((-121) $) 41)) (-2257 (((-1145) $) 42)) (-2170 (($ (-1145)) 47)) (-4026 (((-121) $) NIL)) (-1298 (((-121) $) NIL)) (-3118 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3859 (($ $ (-635 (-1163))) 20)) (-2929 (((-57) $) 22)) (-3750 (((-121) $) NIL)) (-2234 (((-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-1813 (($ $ (-635 (-1163)) (-1163)) 59)) (-3549 (((-121) $) NIL)) (-2215 (((-216) $) NIL)) (-3825 (($ $) 38)) (-2252 (((-851) $) NIL)) (-1502 (((-121) $ $) NIL)) (-1534 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-1759 (((-635 $) $) 28)) (-2227 (((-1163) (-635 $)) 48)) (-3817 (($ (-635 $)) 52) (($ (-1145)) NIL) (($ (-1163)) 18) (($ (-569)) 8) (($ (-216)) 25) (($ (-851)) NIL) (((-1095) $) 11) (($ (-1095)) 12)) (-4291 (((-1163) (-1163) (-635 $)) 51)) (-2185 (((-851) $) NIL)) (-1525 (($ $) 50)) (-1520 (($ $) 49)) (-1367 (($ $ (-635 $)) 56)) (-3691 (((-121) $) 27)) (-3369 (($) 9 T CONST)) (-1556 (($) 10 T CONST)) (-1668 (((-121) $ $) 60)) (-1715 (($ $ $) 65)) (-1707 (($ $ $) 61)) (** (($ $ (-764)) 64) (($ $ (-569)) 63)) (* (($ $ $) 62)) (-4168 (((-569) $) NIL))) 
-(((-542) (-13 (-1094 (-1145) (-1163) (-569) (-216) (-851)) (-610 (-1095)) (-10 -8 (-15 -2929 ((-57) $)) (-15 -3817 ($ (-1095))) (-15 -1367 ($ $ (-635 $))) (-15 -1813 ($ $ (-635 (-1163)) (-1163))) (-15 -3859 ($ $ (-635 (-1163)))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ (-569))) (-15 0 ($) -2043) (-15 1 ($) -2043) (-15 -3825 ($ $)) (-15 -1523 ((-1145) $)) (-15 -2170 ($ (-1145))) (-15 -2227 ((-1163) (-635 $))) (-15 -4291 ((-1163) (-1163) (-635 $)))))) (T -542)) 
-((-2929 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-1095)) (-5 *1 (-542)))) (-1367 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542)))) (-1813 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1163)) (-5 *1 (-542)))) (-3859 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-542)))) (-1707 (*1 *1 *1 *1) (-5 *1 (-542))) (* (*1 *1 *1 *1) (-5 *1 (-542))) (-1715 (*1 *1 *1 *1) (-5 *1 (-542))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-542)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) (-3369 (*1 *1) (-5 *1 (-542))) (-1556 (*1 *1) (-5 *1 (-542))) (-3825 (*1 *1 *1) (-5 *1 (-542))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-542)))) (-2170 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-542)))) (-2227 (*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1163)) (-5 *1 (-542)))) (-4291 (*1 *2 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
-(-13 (-1094 (-1145) (-1163) (-569) (-216) (-851)) (-610 (-1095)) (-10 -8 (-15 -2929 ((-57) $)) (-15 -3817 ($ (-1095))) (-15 -1367 ($ $ (-635 $))) (-15 -1813 ($ $ (-635 (-1163)) (-1163))) (-15 -3859 ($ $ (-635 (-1163)))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ (-569))) (-15 (-3369) ($) -2043) (-15 (-1556) ($) -2043) (-15 -3825 ($ $)) (-15 -1523 ((-1145) $)) (-15 -2170 ($ (-1145))) (-15 -2227 ((-1163) (-635 $))) (-15 -4291 ((-1163) (-1163) (-635 $))))) 
-((-2877 ((|#2| |#2|) 17)) (-4191 ((|#2| |#2|) 13)) (-3094 ((|#2| |#2| (-569) (-569)) 20)) (-2651 ((|#2| |#2|) 15))) 
-(((-543 |#1| |#2|) (-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) (-13 (-559) (-151)) (-1237 |#1|)) (T -543)) 
-((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1237 *4)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3))))) 
-(-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) 
-((-2740 (((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))) 32)) (-2543 (((-635 |#2|) (-954 |#1|) |#3|) 53) (((-635 |#2|) (-1159 |#1|) |#3|) 52)) (-4136 (((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|) 87))) 
-(((-544 |#1| |#2| |#3|) (-10 -7 (-15 -2543 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2543 ((-635 |#2|) (-954 |#1|) |#3|)) (-15 -4136 ((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|)) (-15 -2740 ((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))))) (-454) (-366) (-13 (-366) (-841))) (T -544)) 
-((-2740 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1163))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-954 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-841))))) (-4136 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-841))))) (-2543 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) (-2543 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -2543 ((-635 |#2|) (-1159 |#1|) |#3|)) (-15 -2543 ((-635 |#2|) (-954 |#1|) |#3|)) (-15 -4136 ((-635 (-635 |#2|)) (-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)) |#3|)) (-15 -2740 ((-635 (-289 (-954 |#2|))) (-635 |#2|) (-635 (-1163))))) 
-((-2461 ((|#2| |#2| |#1|) 17)) (-1873 ((|#2| (-635 |#2|)) 26)) (-4176 ((|#2| (-635 |#2|)) 45))) 
-(((-545 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1873 (|#2| (-635 |#2|))) (-15 -4176 (|#2| (-635 |#2|))) (-15 -2461 (|#2| |#2| |#1|))) (-302) (-1222 |#1|) |#1| (-1 |#1| |#1| (-764))) (T -545)) 
-((-2461 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-764))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1222 *3)))) (-4176 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764))))) (-1873 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
-(-10 -7 (-15 -1873 (|#2| (-635 |#2|))) (-15 -4176 (|#2| (-635 |#2|))) (-15 -2461 (|#2| |#2| |#1|))) 
-((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))) 79) (((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|))) 164))) 
-(((-546 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|)))) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))))) (-843) (-789) (-13 (-302) (-151)) (-951 |#3| |#2| |#1|)) (T -546)) 
-((-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-951 *7 *6 *5)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1159 *8)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-951 *7 *6 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4| (-1 (-421 (-1159 |#3|)) (-1159 |#3|)))) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|) (-1 (-421 (-1159 |#3|)) (-1159 |#3|))))) 
-((-2877 ((|#4| |#4|) 73)) (-4191 ((|#4| |#4|) 69)) (-3094 ((|#4| |#4| (-569) (-569)) 75)) (-2651 ((|#4| |#4|) 71))) 
-(((-547 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4191 (|#4| |#4|)) (-15 -2651 (|#4| |#4|)) (-15 -2877 (|#4| |#4|)) (-15 -3094 (|#4| |#4| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1222 |#1|) (-715 |#1| |#2|) (-1237 |#3|)) (T -547)) 
-((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1222 *4)) (-4 *6 (-715 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1237 *6)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5))))) 
-(-10 -7 (-15 -4191 (|#4| |#4|)) (-15 -2651 (|#4| |#4|)) (-15 -2877 (|#4| |#4|)) (-15 -3094 (|#4| |#4| (-569) (-569)))) 
-((-2877 ((|#2| |#2|) 27)) (-4191 ((|#2| |#2|) 23)) (-3094 ((|#2| |#2| (-569) (-569)) 29)) (-2651 ((|#2| |#2|) 25))) 
-(((-548 |#1| |#2|) (-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1237 |#1|)) (T -548)) 
-((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1237 *4)))) (-2877 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) (-2651 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) (-4191 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3))))) 
-(-10 -7 (-15 -4191 (|#2| |#2|)) (-15 -2651 (|#2| |#2|)) (-15 -2877 (|#2| |#2|)) (-15 -3094 (|#2| |#2| (-569) (-569)))) 
-((-3784 (((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)) 14) (((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|)) 13) (((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|)) 26))) 
-(((-549 |#1| |#2|) (-10 -7 (-15 -3784 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) (-1048) (-1222 |#1|)) (T -549)) 
-((-3784 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) (-3784 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) (-3784 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1222 *5))))) 
-(-10 -7 (-15 -3784 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -3784 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) 
-((-3394 (($ $ $) 78)) (-2446 (((-421 $) $) 46)) (-1647 (((-3 (-569) "failed") $) 58)) (-2428 (((-569) $) 36)) (-4401 (((-3 (-410 (-569)) "failed") $) 73)) (-3103 (((-121) $) 23)) (-1442 (((-410 (-569)) $) 71)) (-3726 (((-121) $) 49)) (-1389 (($ $ $ $) 85)) (-2403 (((-121) $) 15)) (-2381 (($ $ $) 56)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 68)) (-3846 (((-3 $ "failed") $) 63)) (-4372 (($ $) 22)) (-4466 (($ $ $) 83)) (-4043 (($) 59)) (-1484 (($ $) 52)) (-1743 (((-421 $) $) 44)) (-1657 (((-121) $) 13)) (-2622 (((-764) $) 27)) (-3899 (($ $ (-764)) NIL) (($ $) 10)) (-1971 (($ $) 16)) (-3817 (((-569) $) NIL) (((-542) $) 35) (((-888 (-569)) $) 39) (((-382) $) 30) (((-216) $) 32)) (-1991 (((-764)) 8)) (-4317 (((-121) $ $) 19)) (-4248 (($ $ $) 54))) 
-(((-550 |#1|) (-10 -8 (-15 -4466 (|#1| |#1| |#1|)) (-15 -1389 (|#1| |#1| |#1| |#1|)) (-15 -4372 (|#1| |#1|)) (-15 -1971 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -3394 (|#1| |#1| |#1|)) (-15 -4317 ((-121) |#1| |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -4248 (|#1| |#1| |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2403 ((-121) |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -1991 ((-764)))) (-551)) (T -550)) 
-((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-550 *3)) (-4 *3 (-551))))) 
-(-10 -8 (-15 -4466 (|#1| |#1| |#1|)) (-15 -1389 (|#1| |#1| |#1| |#1|)) (-15 -4372 (|#1| |#1|)) (-15 -1971 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -3394 (|#1| |#1| |#1|)) (-15 -4317 ((-121) |#1| |#1|)) (-15 -1657 ((-121) |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2381 (|#1| |#1| |#1|)) (-15 -1484 (|#1| |#1|)) (-15 -4248 (|#1| |#1| |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -2403 ((-121) |#1|)) (-15 -2622 ((-764) |#1|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -3726 ((-121) |#1|)) (-15 -1991 ((-764)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3394 (($ $ $) 82)) (-2327 (((-3 $ "failed") $ $) 18)) (-3202 (($ $ $ $) 70)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-3934 (((-121) $ $) 122)) (-3638 (((-569) $) 111)) (-3036 (($ $ $) 85)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 103)) (-2428 (((-569) $) 102)) (-2506 (($ $ $) 126)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 101) (((-680 (-569)) (-680 $)) 100)) (-3428 (((-3 $ "failed") $) 33)) (-4401 (((-3 (-410 (-569)) "failed") $) 79)) (-3103 (((-121) $) 81)) (-1442 (((-410 (-569)) $) 80)) (-4327 (($) 78) (($ $) 77)) (-2524 (($ $ $) 125)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 120)) (-3726 (((-121) $) 51)) (-1389 (($ $ $ $) 68)) (-4031 (($ $ $) 83)) (-2403 (((-121) $) 113)) (-2381 (($ $ $) 94)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 97)) (-1407 (((-121) $) 30)) (-1931 (((-121) $) 89)) (-3846 (((-3 $ "failed") $) 91)) (-1781 (((-121) $) 112)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 129)) (-4131 (($ $ $ $) 69)) (-3291 (($ $ $) 114)) (-1538 (($ $ $) 115)) (-4372 (($ $) 72)) (-1906 (($ $) 86)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-4466 (($ $ $) 67)) (-4043 (($) 90 T CONST)) (-2761 (($ $) 74)) (-3360 (((-1109) $) 10) (($ $) 76)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1484 (($ $) 95)) (-1743 (((-421 $) $) 48)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 127)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 121)) (-1657 (((-121) $) 88)) (-2622 (((-764) $) 123)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 124)) (-3899 (($ $ (-764)) 108) (($ $) 106)) (-4185 (($ $) 73)) (-1971 (($ $) 75)) (-3817 (((-569) $) 105) (((-542) $) 99) (((-888 (-569)) $) 98) (((-382) $) 93) (((-216) $) 92)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 104)) (-1991 (((-764)) 28)) (-4317 (((-121) $ $) 84)) (-4248 (($ $ $) 96)) (-1475 (($) 87)) (-1961 (((-121) $ $) 38)) (-4423 (($ $ $ $) 71)) (-1616 (($ $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 109) (($ $) 107)) (-1693 (((-121) $ $) 117)) (-1684 (((-121) $ $) 118)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 116)) (-1678 (((-121) $ $) 119)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-551) (-1278)) (T -551)) 
-((-1931 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1657 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1475 (*1 *1) (-4 *1 (-551))) (-1906 (*1 *1 *1) (-4 *1 (-551))) (-3036 (*1 *1 *1 *1) (-4 *1 (-551))) (-4317 (*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-4031 (*1 *1 *1 *1) (-4 *1 (-551))) (-3394 (*1 *1 *1 *1) (-4 *1 (-551))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-4327 (*1 *1) (-4 *1 (-551))) (-4327 (*1 *1 *1) (-4 *1 (-551))) (-3360 (*1 *1 *1) (-4 *1 (-551))) (-1971 (*1 *1 *1) (-4 *1 (-551))) (-2761 (*1 *1 *1) (-4 *1 (-551))) (-4185 (*1 *1 *1) (-4 *1 (-551))) (-4372 (*1 *1 *1) (-4 *1 (-551))) (-4423 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-3202 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4131 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1389 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4466 (*1 *1 *1 *1) (-4 *1 (-551)))) 
-(-13 (-1202) (-302) (-816) (-226) (-610 (-569)) (-1038 (-569)) (-631 (-569)) (-610 (-542)) (-610 (-888 (-569))) (-882 (-569)) (-147) (-1022) (-151) (-1137) (-10 -8 (-15 -1931 ((-121) $)) (-15 -1657 ((-121) $)) (-6 -4534) (-15 -1475 ($)) (-15 -1906 ($ $)) (-15 -3036 ($ $ $)) (-15 -4317 ((-121) $ $)) (-15 -4031 ($ $ $)) (-15 -3394 ($ $ $)) (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $)) (-15 -4327 ($)) (-15 -4327 ($ $)) (-15 -3360 ($ $)) (-15 -1971 ($ $)) (-15 -2761 ($ $)) (-15 -4185 ($ $)) (-15 -4372 ($ $)) (-15 -4423 ($ $ $ $)) (-15 -3202 ($ $ $ $)) (-15 -4131 ($ $ $ $)) (-15 -1389 ($ $ $ $)) (-15 -4466 ($ $ $)) (-6 -4533))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-147) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-542)) . T) ((-610 (-569)) . T) ((-610 (-888 (-569))) . T) ((-226) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-631 (-569)) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-816) . T) ((-841) . T) ((-843) . T) ((-882 (-569)) . T) ((-917) . T) ((-1022) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-552 |#1| |#2| |#3|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535)))) (T -552)) 
-NIL 
-(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
-((-2468 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))) 49))) 
-(((-553 |#1| |#2|) (-10 -7 (-15 -2468 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))))) (-13 (-843) (-559)) (-13 (-27) (-433 |#1|))) (T -553)) 
-((-2468 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1159 *3) (-1159 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-843) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
-(-10 -7 (-15 -2468 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1159 |#2|) (-1159 |#2|))))) 
-((-3199 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-3258 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-2686 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
-(((-554 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2686 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3199 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3258 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-843) (-559) (-1038 (-569))) (-13 (-27) (-433 |#1|)) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -554)) 
-((-3258 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-4 *7 (-1222 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7)))) (-3199 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8)))) (-2686 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(-10 -7 (-15 -2686 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3199 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3258 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
-((-3527 (((-121) (-569) (-569)) 10)) (-3388 (((-569) (-569)) 7)) (-1930 (((-569) (-569) (-569)) 8))) 
-(((-555) (-10 -7 (-15 -3388 ((-569) (-569))) (-15 -1930 ((-569) (-569) (-569))) (-15 -3527 ((-121) (-569) (-569))))) (T -555)) 
-((-3527 (*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555)))) (-1930 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555)))) (-3388 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
-(-10 -7 (-15 -3388 ((-569) (-569))) (-15 -1930 ((-569) (-569) (-569))) (-15 -3527 ((-121) (-569) (-569)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1282 ((|#1| $) 59)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-1753 (($ $) 89)) (-2530 (($ $) 72)) (-1498 ((|#1| $) 60)) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 71)) (-1744 (($ $) 88)) (-2513 (($ $) 73)) (-1760 (($ $) 87)) (-2546 (($ $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 67)) (-2428 (((-569) $) 66)) (-3428 (((-3 $ "failed") $) 33)) (-2993 (($ |#1| |#1|) 64)) (-2403 (((-121) $) 58)) (-2445 (($) 99)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 70)) (-1781 (((-121) $) 57)) (-3291 (($ $ $) 105)) (-1538 (($ $ $) 104)) (-4450 (($ $) 96)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-2744 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-410 (-569))) 62)) (-3637 ((|#1| $) 61)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-2436 (($ $) 97)) (-1764 (($ $) 86)) (-2554 (($ $) 75)) (-1756 (($ $) 85)) (-2538 (($ $) 76)) (-1748 (($ $) 84)) (-2522 (($ $) 77)) (-4321 (((-121) $ |#1|) 56)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 68)) (-1991 (((-764)) 28)) (-1779 (($ $) 95)) (-1727 (($ $) 83)) (-1961 (((-121) $ $) 38)) (-1770 (($ $) 94)) (-2561 (($ $) 82)) (-1785 (($ $) 93)) (-1736 (($ $) 81)) (-2430 (($ $) 92)) (-1740 (($ $) 80)) (-1782 (($ $) 91)) (-1731 (($ $) 79)) (-1775 (($ $) 90)) (-2569 (($ $) 78)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 102)) (-1684 (((-121) $ $) 101)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 103)) (-1678 (((-121) $ $) 100)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ $) 98) (($ $ (-410 (-569))) 69)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-556 |#1|) (-1278) (-13 (-407) (-1183))) (T -556)) 
-((-2744 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2993 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2744 (*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2744 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))))) (-3637 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-1498 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-1282 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) (-2403 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) (-1781 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) (-4321 (*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121))))) 
-(-13 (-454) (-843) (-1183) (-1003) (-1038 (-569)) (-10 -8 (-6 -2994) (-15 -2744 ($ |t#1| |t#1|)) (-15 -2993 ($ |t#1| |t#1|)) (-15 -2744 ($ |t#1|)) (-15 -2744 ($ (-410 (-569)))) (-15 -3637 (|t#1| $)) (-15 -1498 (|t#1| $)) (-15 -1282 (|t#1| $)) (-15 -2403 ((-121) $)) (-15 -1781 ((-121) $)) (-15 -4321 ((-121) $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-280) . T) ((-286) . T) ((-454) . T) ((-503) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-843) . T) ((-1003) . T) ((-1038 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) . T) ((-1186) . T)) 
-((-2411 (((-1252) (-918) |#3| (-635 |#5|)) 55)) (-2346 ((|#8| |#3| |#3| (-635 |#10|) (-635 |#5|)) 52))) 
-(((-557 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2346 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2411 ((-1252) (-918) |#3| (-635 |#5|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -557)) 
-((-2411 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-918)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1252)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) (-2346 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1163))) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
-(-10 -7 (-15 -2346 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2411 ((-1252) (-918) |#3| (-635 |#5|)))) 
-((-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 9)) (-3383 (($ $) 11)) (-4354 (((-121) $) 18)) (-3428 (((-3 $ "failed") $) 16)) (-1961 (((-121) $ $) 20))) 
-(((-558 |#1|) (-10 -8 (-15 -4354 ((-121) |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) (-559)) (T -558)) 
-NIL 
-(-10 -8 (-15 -4354 ((-121) |#1|)) (-15 -1961 ((-121) |#1| |#1|)) (-15 -3383 (|#1| |#1|)) (-15 -1585 ((-2 (|:| -4276 |#1|) (|:| -4522 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-559) (-1278)) (T -559)) 
-((-2941 (*1 *1 *1 *1) (|partial| -4 *1 (-559))) (-1585 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4276 *1) (|:| -4522 *1) (|:| |associate| *1))) (-4 *1 (-559)))) (-3383 (*1 *1 *1) (-4 *1 (-559))) (-1961 (*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121)))) (-4354 (*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(-13 (-173) (-43 $) (-286) (-10 -8 (-15 -2941 ((-3 $ "failed") $ $)) (-15 -1585 ((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $)) (-15 -3383 ($ $)) (-15 -1961 ((-121) $ $)) (-15 -4354 ((-121) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3124 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|)) 35)) (-2169 (((-586 |#2|) |#2| (-1163)) 58)) (-3035 (((-3 |#2| "failed") |#2| (-1163)) 147)) (-3332 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))) 149)) (-2314 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|) 38))) 
-(((-560 |#1| |#2|) (-10 -7 (-15 -2314 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|)) (-15 -3124 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|))) (-15 -3035 ((-3 |#2| "failed") |#2| (-1163))) (-15 -2169 ((-586 |#2|) |#2| (-1163))) (-15 -3332 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -560)) 
-((-3332 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1163)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3)))) (-2169 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-3035 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3124 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3)))) (-2314 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(-10 -7 (-15 -2314 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) |#2|)) (-15 -3124 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1163) (-635 |#2|))) (-15 -3035 ((-3 |#2| "failed") |#2| (-1163))) (-15 -2169 ((-586 |#2|) |#2| (-1163))) (-15 -3332 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1163) (-608 |#2|) (-635 (-608 |#2|))))) 
-((-2815 (((-635 |#5|) (-635 |#5|)) 41))) 
-(((-561 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2815 ((-635 |#5|) (-635 |#5|)))) (-366) (-635 (-1163)) (-789) (-843) (-951 |#1| |#3| |#4|)) (T -561)) 
-((-2815 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-951 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1163)))))) 
-(-10 -7 (-15 -2815 ((-635 |#5|) (-635 |#5|)))) 
-((-2446 (((-421 |#1|) |#1|) 18)) (-1743 (((-421 |#1|) |#1|) 32)) (-2140 (((-3 |#1| "failed") |#1|) 43)) (-4473 (((-421 |#1|) |#1|) 49))) 
-(((-562 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -4473 ((-421 |#1|) |#1|)) (-15 -2140 ((-3 |#1| "failed") |#1|))) (-551)) (T -562)) 
-((-2140 (*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551)))) (-4473 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-2446 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -4473 ((-421 |#1|) |#1|)) (-15 -2140 ((-3 |#1| "failed") |#1|))) 
-((-3408 (((-635 |#3|) |#8| (-635 |#3|)) 45)) (-1317 (((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)) 44)) (-2128 (((-635 (-1247 |#1|)) |#8| (-635 |#3|)) 26)) (-3563 (((-635 (-1247 |#1|)) |#8| (-635 |#3|)) 27))) 
-(((-563 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -3563 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -2128 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1317 ((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|) (-236 |#7|)) (T -563)) 
-((-1317 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) *4)) (-5 *4 (-764)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-972 *6)) (-4 *3 (-236 *11)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-972 *4)) (-4 *3 (-236 *10)))) (-2128 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11)))) (-3563 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
-(-10 -7 (-15 -3563 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -2128 ((-635 (-1247 |#1|)) |#8| (-635 |#3|))) (-15 -3408 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -1317 ((-635 |#3|) |#8| (-764) |#3| (-635 |#3|)))) 
-((-3178 (($) 9)) (-4282 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-2179 (((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 26)) (-3172 (($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-3346 (($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-3782 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33)) (-2691 (((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-1677 (((-1252)) 12))) 
-(((-564) (-10 -8 (-15 -3178 ($)) (-15 -1677 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3346 ($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4282 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2691 ((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3782 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -564)) 
-((-3782 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-2691 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-4282 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-3172 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) (-3346 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-2179 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) (-1677 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-564)))) (-3178 (*1 *1) (-5 *1 (-564)))) 
-(-10 -8 (-15 -3178 ($)) (-15 -1677 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -3346 ($ (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -4282 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2691 ((-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3782 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-1739 (((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|)) 28)) (-1850 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|)) 106)) (-2126 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 78) (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|)) 50)) (-1925 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|))) 85) (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|)) 105)) (-3161 (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|)) 107)) (-2176 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))) 124 (|has| |#3| (-647 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|)) 123 (|has| |#3| (-647 |#2|)))) (-1768 ((|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|) 48)) (-1769 (((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|)) 27))) 
-(((-565 |#1| |#2| |#3|) (-10 -7 (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1739 ((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|))) (-15 -1768 (|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|)) (-15 -1769 ((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1183)) (-1091)) (T -565)) 
-((-2176 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1159 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-2176 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1159 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-1769 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1159 *6)) (-4 *7 (-1091)))) (-1768 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1159 (-410 (-1159 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1091)))) (-1739 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1159 *3)) (-4 *7 (-1091)))) (-3161 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-410 (-1159 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) (-3161 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-1159 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) (-1850 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) (-1850 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1159 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) (-1925 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-1925 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-2126 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) (-2126 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
-(-10 -7 (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2126 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1159 |#2|))) (-15 -1925 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1159 |#2|))) (-15 -1850 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) |#2| (-1159 |#2|))) (-15 -3161 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)) (-608 |#2|) |#2| (-410 (-1159 |#2|)))) (-15 -1739 ((-1159 (-410 (-1159 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1159 |#2|))) (-15 -1768 (|#2| (-1159 (-410 (-1159 |#2|))) (-608 |#2|) |#2|)) (-15 -1769 ((-1159 (-410 (-1159 |#2|))) (-1159 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1159 |#2|))) (-15 -2176 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1159 |#2|))))) |noBranch|)) 
-((-2463 (((-569) (-569) (-764)) 65)) (-2687 (((-569) (-569)) 64)) (-3710 (((-569) (-569)) 63)) (-2667 (((-569) (-569)) 68)) (-4226 (((-569) (-569) (-569)) 48)) (-2615 (((-569) (-569) (-569)) 45)) (-1737 (((-410 (-569)) (-569)) 20)) (-2351 (((-569) (-569)) 21)) (-4510 (((-569) (-569)) 57)) (-2832 (((-569) (-569)) 32)) (-2887 (((-635 (-569)) (-569)) 62)) (-2462 (((-569) (-569) (-569) (-569) (-569)) 43)) (-2517 (((-410 (-569)) (-569)) 41))) 
-(((-566) (-10 -7 (-15 -2517 ((-410 (-569)) (-569))) (-15 -2462 ((-569) (-569) (-569) (-569) (-569))) (-15 -2887 ((-635 (-569)) (-569))) (-15 -2832 ((-569) (-569))) (-15 -4510 ((-569) (-569))) (-15 -2351 ((-569) (-569))) (-15 -1737 ((-410 (-569)) (-569))) (-15 -2615 ((-569) (-569) (-569))) (-15 -4226 ((-569) (-569) (-569))) (-15 -2667 ((-569) (-569))) (-15 -3710 ((-569) (-569))) (-15 -2687 ((-569) (-569))) (-15 -2463 ((-569) (-569) (-764))))) (T -566)) 
-((-2463 (*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-764)) (-5 *1 (-566)))) (-2687 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3710 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2667 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4226 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2615 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1737 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2351 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4510 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2832 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2887 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2462 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2517 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -2517 ((-410 (-569)) (-569))) (-15 -2462 ((-569) (-569) (-569) (-569) (-569))) (-15 -2887 ((-635 (-569)) (-569))) (-15 -2832 ((-569) (-569))) (-15 -4510 ((-569) (-569))) (-15 -2351 ((-569) (-569))) (-15 -1737 ((-410 (-569)) (-569))) (-15 -2615 ((-569) (-569) (-569))) (-15 -4226 ((-569) (-569) (-569))) (-15 -2667 ((-569) (-569))) (-15 -3710 ((-569) (-569))) (-15 -2687 ((-569) (-569))) (-15 -2463 ((-569) (-569) (-764)))) 
-((-1529 (((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
-(((-567 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1529 ((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -567)) 
-((-1529 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1289 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7))))) 
-(-10 -7 (-15 -1529 ((-2 (|:| |answer| |#4|) (|:| -1289 |#4|)) |#4| (-1 |#2| |#2|)))) 
-((-1529 (((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 18))) 
-(((-568 |#1| |#2|) (-10 -7 (-15 -1529 ((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -568)) 
-((-1529 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -1289 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -1529 ((-2 (|:| |answer| (-410 |#2|)) (|:| -1289 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 25)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 86)) (-3383 (($ $) 87)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) 42)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) 80)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) 79)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 60) (((-680 (-569)) (-680 $)) 57)) (-3428 (((-3 $ "failed") $) 83)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) 62) (($ $) 63)) (-2524 (($ $ $) 78)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) 54)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) 26)) (-1931 (((-121) $) 73)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) 34)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) 43)) (-3291 (($ $ $) 75)) (-1538 (($ $ $) 74)) (-4372 (($ $) NIL)) (-1906 (($ $) 40)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) 53)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) 31)) (-3360 (((-1109) $) NIL) (($ $) 33)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 117)) (-2714 (($ $ $) 84) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) 103)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 82)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 77)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) 32)) (-1971 (($ $) 30)) (-3817 (((-569) $) 39) (((-542) $) 51) (((-888 (-569)) $) NIL) (((-382) $) 46) (((-216) $) 48) (((-1145) $) 52)) (-2185 (((-851) $) 37) (($ (-569)) 38) (($ $) NIL) (($ (-569)) 38)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) 29)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) 41)) (-1616 (($ $) 61)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 27 T CONST)) (-1556 (($) 28 T CONST)) (-1940 (((-1145) $) 20) (((-1145) $ (-121)) 22) (((-1252) (-818) $) 23) (((-1252) (-818) $ (-121)) 24)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 64)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 65)) (-1711 (($ $) 66) (($ $ $) 68)) (-1707 (($ $ $) 67)) (** (($ $ (-918)) NIL) (($ $ (-764)) 72)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 70) (($ $ $) 69))) 
-(((-569) (-13 (-551) (-610 (-1145)) (-824) (-10 -8 (-15 -4327 ($ $)) (-6 -4522) (-6 -4527) (-6 -4523) (-6 -4517)))) (T -569)) 
-((-4327 (*1 *1 *1) (-5 *1 (-569)))) 
-(-13 (-551) (-610 (-1145)) (-824) (-10 -8 (-15 -4327 ($ $)) (-6 -4522) (-6 -4527) (-6 -4523) (-6 -4517))) 
-((-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060)) 103) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762)) 105)) (-2565 (((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163)) 168) (((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145)) 167) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060)) 173) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382)) 174) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382)) 175) (((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382))))) 176) (((-1036) (-311 (-382)) (-1085 (-836 (-382)))) 163) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382)) 162) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382)) 158) (((-1036) (-762)) 150) (((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060)) 157))) 
-(((-570) (-10 -7 (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060))) (-15 -2565 ((-1036) (-762))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163))))) (T -570)) 
-((-2565 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1163)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1145)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-762)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-1036)) (-5 *1 (-570)))) (-2565 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570))))) 
-(-10 -7 (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382) (-1060))) (-15 -2565 ((-1036) (-762))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-1085 (-836 (-382))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382))) (-15 -2565 ((-1036) (-311 (-382)) (-635 (-1085 (-836 (-382)))) (-382) (-382) (-1060))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036))) (-762) (-1060))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1145))) (-15 -2565 ((-3 (-1036) "failed") (-311 (-382)) (-1083 (-836 (-382))) (-1163)))) 
-((-3827 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|)) 179)) (-2332 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|)) 97)) (-2544 (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|) 175)) (-4034 (((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163))) 184)) (-2947 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163)) 192 (|has| |#3| (-647 |#2|))))) 
-(((-571 |#1| |#2| |#3|) (-10 -7 (-15 -2332 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -2544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -3827 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -4034 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)))) (IF (|has| |#3| (-647 |#2|)) (-15 -2947 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1183)) (-1091)) (T -571)) 
-((-2947 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1163)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) (-4034 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1091)))) (-3827 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1091)))) (-2544 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091)))) (-2332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
-(-10 -7 (-15 -2332 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -2544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -3827 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -4034 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1163)))) (IF (|has| |#3| (-647 |#2|)) (-15 -2947 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -3930 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1163))) |noBranch|)) 
-((-2365 (((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163)) 62)) (-3539 (((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|)) 159 (-12 (|has| |#2| (-1125)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)) 133 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569)))))) (-1280 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)) 142 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-882 (-569))))))) 
-(((-572 |#1| |#2|) (-10 -7 (-15 -2365 ((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -1280 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) (-15 -3539 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) (IF (|has| |#2| (-1125)) (-15 -3539 ((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-843) (-1038 (-569)) (-454) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -572)) 
-((-3539 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1163)) (-5 *4 (-836 *2)) (-4 *2 (-1125)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2)))) (-3539 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-1280 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2365 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -4456 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(-10 -7 (-15 -2365 ((-2 (|:| -4456 |#2|) (|:| |nconst| |#2|)) |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -1280 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) (-15 -3539 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) (IF (|has| |#2| (-1125)) (-15 -3539 ((-3 |#2| "failed") |#2| (-1163) (-836 |#2|) (-836 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
-((-2440 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))) 39)) (-2565 (((-586 (-410 |#2|)) (-410 |#2|)) 27)) (-2508 (((-3 (-410 |#2|) "failed") (-410 |#2|)) 16)) (-4169 (((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|)) 46))) 
-(((-573 |#1| |#2|) (-10 -7 (-15 -2565 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2508 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -4169 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -2440 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -573)) 
-((-2440 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6)))) (-4169 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3032 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) (-2508 (*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151) (-1038 (-569)))) (-5 *1 (-573 *3 *4)))) (-2565 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
-(-10 -7 (-15 -2565 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2508 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -4169 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -2440 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) 
-((-2804 (((-3 (-569) "failed") |#1|) 14)) (-3750 (((-121) |#1|) 13)) (-2234 (((-569) |#1|) 9))) 
-(((-574 |#1|) (-10 -7 (-15 -2234 ((-569) |#1|)) (-15 -3750 ((-121) |#1|)) (-15 -2804 ((-3 (-569) "failed") |#1|))) (-1038 (-569))) (T -574)) 
-((-2804 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2)))) (-3750 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1038 (-569))))) (-2234 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2))))) 
-(-10 -7 (-15 -2234 ((-569) |#1|)) (-15 -3750 ((-121) |#1|)) (-15 -2804 ((-3 (-569) "failed") |#1|))) 
-((-1758 (((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|)))) 43)) (-2690 (((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163)) 25)) (-1708 (((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163)) 20)) (-2117 (((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))) 32))) 
-(((-575 |#1|) (-10 -7 (-15 -2690 ((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1708 ((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163))) (-15 -1758 ((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|))))) (-15 -2117 ((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))))) (-13 (-559) (-1038 (-569)) (-151))) (T -575)) 
-((-2117 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| -3032 (-410 (-954 *5))) (|:| |coeff| (-410 (-954 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5))))) (-1758 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6)))) (-1708 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-1038 (-569)) (-151))) (-5 *1 (-575 *4)))) (-2690 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-586 (-410 (-954 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
-(-10 -7 (-15 -2690 ((-586 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1708 ((-3 (-410 (-954 |#1|)) "failed") (-410 (-954 |#1|)) (-1163))) (-15 -1758 ((-3 (-2 (|:| |mainpart| (-410 (-954 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-954 |#1|))) (|:| |logand| (-410 (-954 |#1|))))))) "failed") (-410 (-954 |#1|)) (-1163) (-635 (-410 (-954 |#1|))))) (-15 -2117 ((-3 (-2 (|:| -3032 (-410 (-954 |#1|))) (|:| |coeff| (-410 (-954 |#1|)))) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))))) 
-((-2568 (((-121) $ $) 59)) (-3813 (((-121) $) 36)) (-1282 ((|#1| $) 30)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) 63)) (-1753 (($ $) 123)) (-2530 (($ $) 103)) (-1498 ((|#1| $) 28)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL)) (-1744 (($ $) 125)) (-2513 (($ $) 99)) (-1760 (($ $) 127)) (-2546 (($ $) 107)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 78)) (-2428 (((-569) $) 80)) (-3428 (((-3 $ "failed") $) 62)) (-2993 (($ |#1| |#1|) 26)) (-2403 (((-121) $) 33)) (-2445 (($) 89)) (-1407 (((-121) $) 43)) (-4344 (($ $ (-569)) NIL)) (-1781 (((-121) $) 34)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-4450 (($ $) 91)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-2744 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-410 (-569))) 77)) (-3637 ((|#1| $) 27)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) 65) (($ (-635 $)) NIL)) (-2941 (((-3 $ "failed") $ $) 64)) (-2436 (($ $) 93)) (-1764 (($ $) 131)) (-2554 (($ $) 105)) (-1756 (($ $) 133)) (-2538 (($ $) 109)) (-1748 (($ $) 129)) (-2522 (($ $) 101)) (-4321 (((-121) $ |#1|) 31)) (-2185 (((-851) $) 85) (($ (-569)) 67) (($ $) NIL) (($ (-569)) 67)) (-1991 (((-764)) 87)) (-1779 (($ $) 145)) (-1727 (($ $) 115)) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) 143)) (-2561 (($ $) 111)) (-1785 (($ $) 141)) (-1736 (($ $) 121)) (-2430 (($ $) 139)) (-1740 (($ $) 119)) (-1782 (($ $) 137)) (-1731 (($ $) 117)) (-1775 (($ $) 135)) (-2569 (($ $) 113)) (-2427 (($ $ (-918)) 55) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 10 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 37)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 35)) (-1711 (($ $) 41) (($ $ $) 42)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) 54) (($ $ (-764)) NIL) (($ $ $) 95) (($ $ (-410 (-569))) 147)) (* (($ (-918) $) 51) (($ (-764) $) NIL) (($ (-569) $) 50) (($ $ $) 48))) 
-(((-576 |#1|) (-556 |#1|) (-13 (-407) (-1183))) (T -576)) 
+((-4003 ((|#4| |#4|) 26)) (-3358 (((-765) |#4|) 31)) (-2557 (((-765) |#4|) 32)) (-3970 (((-635 |#3|) |#4|) 37 (|has| |#3| (-6 -4572)))) (-1655 (((-3 |#4| "failed") |#4|) 47)) (-3658 ((|#4| |#4|) 40)) (-4396 ((|#1| |#4|) 39))) 
+(((-530 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4003 (|#4| |#4|)) (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (IF (|has| |#3| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|) (-15 -4396 (|#1| |#4|)) (-15 -3658 (|#4| |#4|)) (-15 -1655 ((-3 |#4| "failed") |#4|))) (-366) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -530)) 
+((-1655 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3658 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4396 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) (-3970 (*1 *2 *3) (-12 (|has| *6 (-6 -4572)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-2557 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3358 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-4003 (*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(-10 -7 (-15 -4003 (|#4| |#4|)) (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (IF (|has| |#3| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|) (-15 -4396 (|#1| |#4|)) (-15 -3658 (|#4| |#4|)) (-15 -1655 ((-3 |#4| "failed") |#4|))) 
+((-4003 ((|#8| |#4|) 20)) (-3970 (((-635 |#3|) |#4|) 29 (|has| |#7| (-6 -4572)))) (-1655 (((-3 |#8| "failed") |#4|) 23))) 
+(((-531 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4003 (|#8| |#4|)) (-15 -1655 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|)) (-559) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|) (-995 |#1|) (-376 |#5|) (-376 |#5|) (-679 |#5| |#6| |#7|)) (T -531)) 
+((-3970 (*1 *2 *3) (-12 (|has| *9 (-6 -4572)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-679 *4 *5 *6)) (-4 *10 (-679 *7 *8 *9)))) (-1655 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) (-4003 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7))))) 
+(-10 -7 (-15 -4003 (|#8| |#4|)) (-15 -1655 ((-3 |#8| "failed") |#4|)) (IF (|has| |#7| (-6 -4572)) (-15 -3970 ((-635 |#3|) |#4|)) |noBranch|)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-600 |#1| |#3|)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) 12)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-600 |#1| |#3|)) NIL)) (-1622 (($ $ (-569) (-600 |#1| |#2|)) NIL)) (-2232 (($ (-765) |#1|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 19 (|has| |#1| (-302)))) (-4128 (((-600 |#1| |#3|) $ (-569)) NIL)) (-3358 (((-765) $) 22 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) NIL)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) 24 (|has| |#1| (-559)))) (-3970 (((-635 (-600 |#1| |#2|)) $) 27 (|has| |#1| (-559)))) (-3568 (((-765) $) NIL)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) 17 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 10)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 11)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#1|))) NIL) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 31 (|has| |#1| (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) 15 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-600 |#1| |#2|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-600 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-600 |#1| |#2|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-600 |#1| |#2|) $ (-600 |#1| |#2|)) NIL) (((-600 |#1| |#3|) (-600 |#1| |#3|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-532 |#1| |#2| |#3|) (-679 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) (-1049) (-569) (-569)) (T -532)) 
+NIL 
+(-679 |#1| (-600 |#1| |#3|) (-600 |#1| |#2|)) 
+((-2975 (((-1161 |#1|) (-765)) 74)) (-3588 (((-1253 |#1|) (-1253 |#1|) (-919)) 67)) (-1327 (((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|) 82)) (-2684 (((-1253 |#1|) (-1253 |#1|) (-765)) 36)) (-3341 (((-1253 |#1|) (-919)) 69)) (-2408 (((-1253 |#1|) (-1253 |#1|) (-569)) 24)) (-2665 (((-1161 |#1|) (-1253 |#1|)) 75)) (-4109 (((-1253 |#1|) (-919)) 93)) (-3761 (((-121) (-1253 |#1|)) 78)) (-3046 (((-1253 |#1|) (-1253 |#1|) (-919)) 59)) (-2415 (((-1161 |#1|) (-1253 |#1|)) 87)) (-2862 (((-919) (-1253 |#1|)) 56)) (-3243 (((-1253 |#1|) (-1253 |#1|)) 30)) (-1333 (((-1253 |#1|) (-919) (-919)) 95)) (-3396 (((-1253 |#1|) (-1253 |#1|) (-1111) (-1111)) 23)) (-1964 (((-1253 |#1|) (-1253 |#1|) (-765) (-1111)) 37)) (-4079 (((-1253 (-1253 |#1|)) (-919)) 92)) (-1383 (((-1253 |#1|) (-1253 |#1|) (-1253 |#1|)) 79)) (** (((-1253 |#1|) (-1253 |#1|) (-569)) 43)) (* (((-1253 |#1|) (-1253 |#1|) (-1253 |#1|)) 25))) 
+(((-533 |#1|) (-10 -7 (-15 -1327 ((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|)) (-15 -3341 ((-1253 |#1|) (-919))) (-15 -1333 ((-1253 |#1|) (-919) (-919))) (-15 -2665 ((-1161 |#1|) (-1253 |#1|))) (-15 -2975 ((-1161 |#1|) (-765))) (-15 -1964 ((-1253 |#1|) (-1253 |#1|) (-765) (-1111))) (-15 -2684 ((-1253 |#1|) (-1253 |#1|) (-765))) (-15 -3396 ((-1253 |#1|) (-1253 |#1|) (-1111) (-1111))) (-15 -2408 ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 ** ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 * ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -1383 ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -3046 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3588 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3243 ((-1253 |#1|) (-1253 |#1|))) (-15 -2862 ((-919) (-1253 |#1|))) (-15 -3761 ((-121) (-1253 |#1|))) (-15 -4079 ((-1253 (-1253 |#1|)) (-919))) (-15 -4109 ((-1253 |#1|) (-919))) (-15 -2415 ((-1161 |#1|) (-1253 |#1|)))) (-351)) (T -533)) 
+((-2415 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)))) (-4109 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-4079 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3761 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4)))) (-2862 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-919)) (-5 *1 (-533 *4)))) (-3243 (*1 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (-3588 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3046 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2408 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-3396 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1111)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-2684 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) (-1964 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-1253 *5)) (-5 *3 (-765)) (-5 *4 (-1111)) (-4 *5 (-351)) (-5 *1 (-533 *5)))) (-2975 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-2665 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)))) (-1333 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-3341 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) (-1327 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-1258)) (-5 *1 (-533 *4))))) 
+(-10 -7 (-15 -1327 ((-1258) (-1253 (-635 (-2 (|:| -2756 |#1|) (|:| -1333 (-1111))))) |#1|)) (-15 -3341 ((-1253 |#1|) (-919))) (-15 -1333 ((-1253 |#1|) (-919) (-919))) (-15 -2665 ((-1161 |#1|) (-1253 |#1|))) (-15 -2975 ((-1161 |#1|) (-765))) (-15 -1964 ((-1253 |#1|) (-1253 |#1|) (-765) (-1111))) (-15 -2684 ((-1253 |#1|) (-1253 |#1|) (-765))) (-15 -3396 ((-1253 |#1|) (-1253 |#1|) (-1111) (-1111))) (-15 -2408 ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 ** ((-1253 |#1|) (-1253 |#1|) (-569))) (-15 * ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -1383 ((-1253 |#1|) (-1253 |#1|) (-1253 |#1|))) (-15 -3046 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3588 ((-1253 |#1|) (-1253 |#1|) (-919))) (-15 -3243 ((-1253 |#1|) (-1253 |#1|))) (-15 -2862 ((-919) (-1253 |#1|))) (-15 -3761 ((-121) (-1253 |#1|))) (-15 -4079 ((-1253 (-1253 |#1|)) (-919))) (-15 -4109 ((-1253 |#1|) (-919))) (-15 -2415 ((-1161 |#1|) (-1253 |#1|)))) 
+((-2112 (((-1 |#1| |#1|) |#1|) 11)) (-1589 (((-1 |#1| |#1|)) 10))) 
+(((-534 |#1|) (-10 -7 (-15 -1589 ((-1 |#1| |#1|))) (-15 -2112 ((-1 |#1| |#1|) |#1|))) (-13 (-718) (-25))) (T -534)) 
+((-2112 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25))))) (-1589 (*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
+(-10 -7 (-15 -1589 ((-1 |#1| |#1|))) (-15 -2112 ((-1 |#1| |#1|) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-3179 (($ (-765) |#1|) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 (-765) (-765)) $) NIL)) (-4418 ((|#1| $) NIL)) (-3270 (((-765) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 20)) (-2407 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-535 |#1|) (-13 (-790) (-519 (-765) |#1|)) (-844)) (T -535)) 
+NIL 
+(-13 (-790) (-519 (-765) |#1|)) 
+((-1558 (((-635 |#2|) (-1161 |#1|) |#3|) 83)) (-2637 (((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))) 99)) (-3250 (((-1161 |#1|) (-681 |#1|)) 95))) 
+(((-536 |#1| |#2| |#3|) (-10 -7 (-15 -3250 ((-1161 |#1|) (-681 |#1|))) (-15 -1558 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -2637 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))))) (-366) (-366) (-13 (-366) (-842))) (T -536)) 
+((-2637 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *6)) (-5 *5 (-1 (-421 (-1161 *6)) (-1161 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-842))))) (-1558 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) (-3250 (*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *2 (-1161 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -3250 ((-1161 |#1|) (-681 |#1|))) (-15 -1558 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -2637 ((-635 (-2 (|:| |outval| |#2|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#2|))))) (-681 |#1|) |#3| (-1 (-421 (-1161 |#1|)) (-1161 |#1|))))) 
+((-1310 (((-121) $ $) 7)) (-2086 (((-1165) $) 20)) (-1578 (((-765) $) 22)) (-1913 (((-1165) $ (-1165)) 23)) (-1435 (((-765) $ (-765)) 28)) (-1600 ((|#5| $ |#5|) 31)) (-1664 (((-765) $ (-765)) 27)) (-1411 (((-33 |#1|) $ (-33 |#1|)) 29)) (-1524 (((-635 |#6|) $ (-635 |#6|)) 24)) (-1755 ((|#8| $ |#8|) 25)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) 30)) (-3584 ((|#9| $ |#9|) 26)) (-2440 ((|#5| $) 19)) (-1359 (((-765) $) 16)) (-3376 (((-33 |#1|) $) 17)) (-4073 (((-635 |#6|) $) 21)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1621 ((|#8| $) 14)) (-2284 (((-919) $) 12)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) 18)) (-1896 (($ |#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#9| (-765) |#8| |#1| (-1165)) 33) (($ |#5| |#3|) 32)) (-3956 (((-852) $) 11)) (-4460 ((|#9| $) 15)) (-2870 ((|#1| $) 13)) (-1326 (((-121) $ $) 6))) 
+(((-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-1284) (-366) (-635 (-1165)) (-952 |t#1| |t#4| (-854 |t#2|)) (-231 (-2946 |t#2|) (-765)) (-973 |t#1|) (-642 |t#1|) (-922 |t#1| |t#6|) (-236 |t#7|) (-117)) (T -537)) 
+((-1896 (*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1165)) (-4 *8 (-366)) (-5 *5 (-765)) (-4 *12 (-231 (-2946 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-922 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-952 *8 *12 (-854 *10))) (-4 *2 (-973 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) (-1896 (*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-642 *4)) (-4 *8 (-922 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *2 (-973 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-1600 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *2 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) (-4409 (*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1411 (*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1435 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-1664 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-3584 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-1755 (*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117)))) (-1524 (*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1913 (*1 *2 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1578 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-4073 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8)))) (-2086 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1165)))) (-2440 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-973 *3)))) (-1828 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)))) (-3376 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3)))) (-1359 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765)))) (-4460 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117)))) (-1621 (*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9)))) (-2870 (*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-952 *2 *5 (-854 *3))) (-4 *5 (-231 (-2946 *3) (-765))) (-4 *6 (-973 *2)) (-4 *7 (-642 *2)) (-4 *8 (-922 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
+(-13 (-1091) (-10 -8 (-15 -1896 ($ |t#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) (-33 |t#1|) (-765) |t#9| (-765) |t#8| |t#1| (-1165))) (-15 -1896 ($ |t#5| |t#3|)) (-15 -1600 (|t#5| $ |t#5|)) (-15 -4409 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|))) (-15 -1411 ((-33 |t#1|) $ (-33 |t#1|))) (-15 -1435 ((-765) $ (-765))) (-15 -1664 ((-765) $ (-765))) (-15 -3584 (|t#9| $ |t#9|)) (-15 -1755 (|t#8| $ |t#8|)) (-15 -1524 ((-635 |t#6|) $ (-635 |t#6|))) (-15 -1913 ((-1165) $ (-1165))) (-15 -1578 ((-765) $)) (-15 -4073 ((-635 |t#6|) $)) (-15 -2086 ((-1165) $)) (-15 -2440 (|t#5| $)) (-15 -1828 ((-243 (-3124 (QUOTE X) (QUOTE -2866)) |t#1|) $)) (-15 -3376 ((-33 |t#1|) $)) (-15 -1359 ((-765) $)) (-15 -4460 (|t#9| $)) (-15 -1621 (|t#8| $)) (-15 -2870 (|t#1| $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) NIL)) (-1578 (((-765) $) NIL)) (-1913 (((-1165) $ (-1165)) NIL)) (-1435 (((-765) $ (-765)) NIL)) (-1600 (((-969 |#1|) $ (-969 |#1|)) NIL)) (-1664 (((-765) $ (-765)) NIL)) (-1411 (((-33 (-859 |#1|)) $ (-33 (-859 |#1|))) NIL)) (-1524 (((-635 (-776 (-859 |#1|))) $ (-635 (-776 (-859 |#1|)))) NIL)) (-1755 (((-237 (-924 |#1|)) $ (-237 (-924 |#1|))) NIL)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|))) NIL)) (-3584 ((|#3| $ |#3|) NIL)) (-2440 (((-969 |#1|) $) NIL)) (-1359 (((-765) $) NIL)) (-3376 (((-33 (-859 |#1|)) $) NIL)) (-4073 (((-635 (-776 (-859 |#1|))) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) NIL) (((-121)) NIL)) (-3795 (((-852) $) NIL)) (-1621 (((-237 (-924 |#1|)) $) NIL)) (-2284 (((-919) $) NIL)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) $) NIL)) (-1896 (($ (-969 |#1|) (-243 (-3124 (QUOTE X) (QUOTE -2866)) (-859 |#1|)) (-33 (-859 |#1|)) (-765) |#3| (-765) (-237 (-924 |#1|)) (-859 |#1|) (-1165)) NIL) (($ (-969 |#1|) (-243 |#2| (-859 |#1|))) NIL)) (-3956 (((-852) $) NIL)) (-4460 ((|#3| $) NIL)) (-2870 (((-859 |#1|) $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-538 |#1| |#2| |#3|) (-13 (-537 (-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-351) (-635 (-1165)) (-117)) (T -538)) 
+((-3795 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1804 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(-13 (-537 (-859 |#1|) |#2| (-243 |#2| (-859 |#1|)) (-233 (-2946 |#2|) (-765)) (-969 |#1|) (-776 (-859 |#1|)) (-924 |#1|) (-237 (-924 |#1|)) |#3|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
+((-1310 (((-121) $ $) NIL)) (-2086 (((-1165) $) 42)) (-1578 (((-765) $) 48)) (-1913 (((-1165) $ (-1165)) 81)) (-1435 (((-765) $ (-765)) 71)) (-1600 ((|#5| $ |#5|) 74)) (-1664 (((-765) $ (-765)) 77)) (-1411 (((-33 |#1|) $ (-33 |#1|)) 76)) (-1524 (((-635 |#6|) $ (-635 |#6|)) 79)) (-1755 ((|#8| $ |#8|) 80)) (-4409 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $ (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|)) 75)) (-3584 ((|#9| $ |#9|) 78)) (-2440 ((|#5| $) 40)) (-1359 (((-765) $) 43)) (-3376 (((-33 |#1|) $) 45)) (-4073 (((-635 |#6|) $) 73)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1804 (((-121) (-121)) 52) (((-121)) 53)) (-3795 (((-852) $) 50)) (-1621 ((|#8| $) 47)) (-2284 (((-919) $) 58)) (-1828 (((-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) $) 44)) (-1896 (($ |#5| (-243 (-3124 (QUOTE X) (QUOTE -2866)) |#1|) (-33 |#1|) (-765) |#9| (-765) |#8| |#1| (-1165)) 59) (($ |#5| |#3|) 70)) (-3956 (((-852) $) 54)) (-4460 ((|#9| $) 46)) (-2870 ((|#1| $) 55)) (-1326 (((-121) $ $) NIL))) 
+(((-539 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-117)) (T -539)) 
+((-3795 (*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-852)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1804 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) (-1804 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(-13 (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9|) (-10 -8 (-15 -3795 ((-852) $)) (-15 -1804 ((-121) (-121))) (-15 -1804 ((-121))))) 
+((-3420 (((-837 (-569))) 11)) (-3413 (((-837 (-569))) 13)) (-2036 (((-830 (-569))) 8))) 
+(((-540) (-10 -7 (-15 -2036 ((-830 (-569)))) (-15 -3420 ((-837 (-569)))) (-15 -3413 ((-837 (-569)))))) (T -540)) 
+((-3413 (*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) (-3420 (*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) (-2036 (*1 *2) (-12 (-5 *2 (-830 (-569))) (-5 *1 (-540))))) 
+(-10 -7 (-15 -2036 ((-830 (-569)))) (-15 -3420 ((-837 (-569)))) (-15 -3413 ((-837 (-569))))) 
+((-1847 (((-542) (-1165)) 15)) (-2064 ((|#1| (-542)) 20))) 
+(((-541 |#1|) (-10 -7 (-15 -1847 ((-542) (-1165))) (-15 -2064 (|#1| (-542)))) (-1199)) (T -541)) 
+((-2064 (*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1199)))) (-1847 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1199))))) 
+(-10 -7 (-15 -1847 ((-542) (-1165))) (-15 -2064 (|#1| (-542)))) 
+((-1310 (((-121) $ $) NIL)) (-3760 (((-1147) $) 46)) (-1285 (((-121) $) 43)) (-3379 (((-1165) $) 44)) (-4249 (((-121) $) 41)) (-3257 (((-1147) $) 42)) (-4347 (($ (-1147)) 47)) (-3766 (((-121) $) NIL)) (-2767 (((-121) $) NIL)) (-3613 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1862 (($ $ (-635 (-1165))) 20)) (-2064 (((-57) $) 22)) (-1325 (((-121) $) NIL)) (-3237 (((-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-3659 (($ $ (-635 (-1165)) (-1165)) 59)) (-2275 (((-121) $) NIL)) (-3222 (((-216) $) NIL)) (-4038 (($ $) 38)) (-2824 (((-852) $) NIL)) (-4399 (((-121) $ $) NIL)) (-2503 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-3171 (((-635 $) $) 28)) (-1937 (((-1165) (-635 $)) 48)) (-4035 (($ (-635 $)) 52) (($ (-1147)) NIL) (($ (-1165)) 18) (($ (-569)) 8) (($ (-216)) 25) (($ (-852)) NIL) (((-1097) $) 11) (($ (-1097)) 12)) (-3306 (((-1165) (-1165) (-635 $)) 51)) (-3956 (((-852) $) NIL)) (-3860 (($ $) 50)) (-3854 (($ $) 49)) (-1966 (($ $ (-635 $)) 56)) (-2437 (((-121) $) 27)) (-2407 (($) 9 T CONST)) (-3297 (($) 10 T CONST)) (-1326 (((-121) $ $) 60)) (-1383 (($ $ $) 65)) (-1371 (($ $ $) 61)) (** (($ $ (-765)) 64) (($ $ (-569)) 63)) (* (($ $ $) 62)) (-2946 (((-569) $) NIL))) 
+(((-542) (-13 (-1096 (-1147) (-1165) (-569) (-216) (-852)) (-610 (-1097)) (-10 -8 (-15 -2064 ((-57) $)) (-15 -4035 ($ (-1097))) (-15 -1966 ($ $ (-635 $))) (-15 -3659 ($ $ (-635 (-1165)) (-1165))) (-15 -1862 ($ $ (-635 (-1165)))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ (-569))) (-15 0 ($) -3575) (-15 1 ($) -3575) (-15 -4038 ($ $)) (-15 -3760 ((-1147) $)) (-15 -4347 ($ (-1147))) (-15 -1937 ((-1165) (-635 $))) (-15 -3306 ((-1165) (-1165) (-635 $)))))) (T -542)) 
+((-2064 (*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-1097)) (-5 *1 (-542)))) (-1966 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542)))) (-3659 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1165)) (-5 *1 (-542)))) (-1862 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-542)))) (-1371 (*1 *1 *1 *1) (-5 *1 (-542))) (* (*1 *1 *1 *1) (-5 *1 (-542))) (-1383 (*1 *1 *1 *1) (-5 *1 (-542))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-542)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) (-2407 (*1 *1) (-5 *1 (-542))) (-3297 (*1 *1) (-5 *1 (-542))) (-4038 (*1 *1 *1) (-5 *1 (-542))) (-3760 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-542)))) (-4347 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-542)))) (-1937 (*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1165)) (-5 *1 (-542)))) (-3306 (*1 *2 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
+(-13 (-1096 (-1147) (-1165) (-569) (-216) (-852)) (-610 (-1097)) (-10 -8 (-15 -2064 ((-57) $)) (-15 -4035 ($ (-1097))) (-15 -1966 ($ $ (-635 $))) (-15 -3659 ($ $ (-635 (-1165)) (-1165))) (-15 -1862 ($ $ (-635 (-1165)))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ (-569))) (-15 (-2407) ($) -3575) (-15 (-3297) ($) -3575) (-15 -4038 ($ $)) (-15 -3760 ((-1147) $)) (-15 -4347 ($ (-1147))) (-15 -1937 ((-1165) (-635 $))) (-15 -3306 ((-1165) (-1165) (-635 $))))) 
+((-3140 ((|#2| |#2|) 17)) (-3380 ((|#2| |#2|) 13)) (-4195 ((|#2| |#2| (-569) (-569)) 20)) (-1401 ((|#2| |#2|) 15))) 
+(((-543 |#1| |#2|) (-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) (-13 (-559) (-151)) (-1243 |#1|)) (T -543)) 
+((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1243 *4)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3))))) 
+(-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) 
+((-2991 (((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))) 32)) (-4147 (((-635 |#2|) (-955 |#1|) |#3|) 53) (((-635 |#2|) (-1161 |#1|) |#3|) 52)) (-4519 (((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|) 87))) 
+(((-544 |#1| |#2| |#3|) (-10 -7 (-15 -4147 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -4147 ((-635 |#2|) (-955 |#1|) |#3|)) (-15 -4519 ((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|)) (-15 -2991 ((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))))) (-454) (-366) (-13 (-366) (-842))) (T -544)) 
+((-2991 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1165))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-955 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-842))))) (-4519 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-842))))) (-4147 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) (-4147 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -4147 ((-635 |#2|) (-1161 |#1|) |#3|)) (-15 -4147 ((-635 |#2|) (-955 |#1|) |#3|)) (-15 -4519 ((-635 (-635 |#2|)) (-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)) |#3|)) (-15 -2991 ((-635 (-289 (-955 |#2|))) (-635 |#2|) (-635 (-1165))))) 
+((-2688 ((|#2| |#2| |#1|) 17)) (-2575 ((|#2| (-635 |#2|)) 26)) (-2959 ((|#2| (-635 |#2|)) 45))) 
+(((-545 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2575 (|#2| (-635 |#2|))) (-15 -2959 (|#2| (-635 |#2|))) (-15 -2688 (|#2| |#2| |#1|))) (-302) (-1228 |#1|) |#1| (-1 |#1| |#1| (-765))) (T -545)) 
+((-2688 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-765))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1228 *3)))) (-2959 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765))))) (-2575 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
+(-10 -7 (-15 -2575 (|#2| (-635 |#2|))) (-15 -2959 (|#2| (-635 |#2|))) (-15 -2688 (|#2| |#2| |#1|))) 
+((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))) 79) (((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|))) 164))) 
+(((-546 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|)))) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))))) (-844) (-790) (-13 (-302) (-151)) (-952 |#3| |#2| |#1|)) (T -546)) 
+((-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-952 *7 *6 *5)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1161 *8)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-952 *7 *6 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4| (-1 (-421 (-1161 |#3|)) (-1161 |#3|)))) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|) (-1 (-421 (-1161 |#3|)) (-1161 |#3|))))) 
+((-3140 ((|#4| |#4|) 73)) (-3380 ((|#4| |#4|) 69)) (-4195 ((|#4| |#4| (-569) (-569)) 75)) (-1401 ((|#4| |#4|) 71))) 
+(((-547 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3380 (|#4| |#4|)) (-15 -1401 (|#4| |#4|)) (-15 -3140 (|#4| |#4|)) (-15 -4195 (|#4| |#4| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1228 |#1|) (-716 |#1| |#2|) (-1243 |#3|)) (T -547)) 
+((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1228 *4)) (-4 *6 (-716 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1243 *6)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5))))) 
+(-10 -7 (-15 -3380 (|#4| |#4|)) (-15 -1401 (|#4| |#4|)) (-15 -3140 (|#4| |#4|)) (-15 -4195 (|#4| |#4| (-569) (-569)))) 
+((-3140 ((|#2| |#2|) 27)) (-3380 ((|#2| |#2|) 23)) (-4195 ((|#2| |#2| (-569) (-569)) 29)) (-1401 ((|#2| |#2|) 25))) 
+(((-548 |#1| |#2|) (-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) (-13 (-366) (-371) (-610 (-569))) (-1243 |#1|)) (T -548)) 
+((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1243 *4)))) (-3140 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) (-1401 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) (-3380 (*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3))))) 
+(-10 -7 (-15 -3380 (|#2| |#2|)) (-15 -1401 (|#2| |#2|)) (-15 -3140 (|#2| |#2|)) (-15 -4195 (|#2| |#2| (-569) (-569)))) 
+((-2701 (((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)) 14) (((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|)) 13) (((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|)) 26))) 
+(((-549 |#1| |#2|) (-10 -7 (-15 -2701 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) (-1049) (-1228 |#1|)) (T -549)) 
+((-2701 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) (-2701 (*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) (-2701 (*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1228 *5))))) 
+(-10 -7 (-15 -2701 ((-3 (-569) "failed") |#2| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-569) (-1 (-3 (-569) "failed") |#1|))) (-15 -2701 ((-3 (-569) "failed") |#2| |#1| (-1 (-3 (-569) "failed") |#1|)))) 
+((-3163 (($ $ $) 78)) (-3742 (((-421 $) $) 46)) (-3003 (((-3 (-569) "failed") $) 58)) (-1321 (((-569) $) 36)) (-1330 (((-3 (-410 (-569)) "failed") $) 73)) (-4429 (((-121) $) 23)) (-2096 (((-410 (-569)) $) 71)) (-2005 (((-121) $) 49)) (-1306 (($ $ $ $) 85)) (-1863 (((-121) $) 15)) (-2578 (($ $ $) 56)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 68)) (-1542 (((-3 $ "failed") $) 63)) (-1852 (($ $) 22)) (-2624 (($ $ $) 83)) (-1423 (($) 59)) (-1954 (($ $) 52)) (-3139 (((-421 $) $) 44)) (-3912 (((-121) $) 13)) (-2061 (((-765) $) 27)) (-3289 (($ $ (-765)) NIL) (($ $) 10)) (-1799 (($ $) 16)) (-4035 (((-569) $) NIL) (((-542) $) 35) (((-889 (-569)) $) 39) (((-382) $) 30) (((-216) $) 32)) (-2320 (((-765)) 8)) (-3245 (((-121) $ $) 19)) (-4196 (($ $ $) 54))) 
+(((-550 |#1|) (-10 -8 (-15 -2624 (|#1| |#1| |#1|)) (-15 -1306 (|#1| |#1| |#1| |#1|)) (-15 -1852 (|#1| |#1|)) (-15 -1799 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3163 (|#1| |#1| |#1|)) (-15 -3245 ((-121) |#1| |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -4196 (|#1| |#1| |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -4035 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1863 ((-121) |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -2320 ((-765)))) (-551)) (T -550)) 
+((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-550 *3)) (-4 *3 (-551))))) 
+(-10 -8 (-15 -2624 (|#1| |#1| |#1|)) (-15 -1306 (|#1| |#1| |#1| |#1|)) (-15 -1852 (|#1| |#1|)) (-15 -1799 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -3163 (|#1| |#1| |#1|)) (-15 -3245 ((-121) |#1| |#1|)) (-15 -3912 ((-121) |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -2578 (|#1| |#1| |#1|)) (-15 -1954 (|#1| |#1|)) (-15 -4196 (|#1| |#1| |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -4035 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -1863 ((-121) |#1|)) (-15 -2061 ((-765) |#1|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2005 ((-121) |#1|)) (-15 -2320 ((-765)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3163 (($ $ $) 82)) (-3748 (((-3 $ "failed") $ $) 18)) (-1796 (($ $ $ $) 70)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-2889 (((-121) $ $) 122)) (-3817 (((-569) $) 111)) (-2546 (($ $ $) 85)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 103)) (-1321 (((-569) $) 102)) (-1614 (($ $ $) 126)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 101) (((-681 (-569)) (-681 $)) 100)) (-2611 (((-3 $ "failed") $) 33)) (-1330 (((-3 (-410 (-569)) "failed") $) 79)) (-4429 (((-121) $) 81)) (-2096 (((-410 (-569)) $) 80)) (-3341 (($) 78) (($ $) 77)) (-1626 (($ $ $) 125)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 120)) (-2005 (((-121) $) 51)) (-1306 (($ $ $ $) 68)) (-3872 (($ $ $) 83)) (-1863 (((-121) $) 113)) (-2578 (($ $ $) 94)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 97)) (-3934 (((-121) $) 30)) (-3520 (((-121) $) 89)) (-1542 (((-3 $ "failed") $) 91)) (-4311 (((-121) $) 112)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 129)) (-4416 (($ $ $ $) 69)) (-2157 (($ $ $) 114)) (-2713 (($ $ $) 115)) (-1852 (($ $) 72)) (-2718 (($ $) 86)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-2624 (($ $ $) 67)) (-1423 (($) 90 T CONST)) (-2144 (($ $) 74)) (-1912 (((-1111) $) 10) (($ $) 76)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1954 (($ $) 95)) (-3139 (((-421 $) $) 48)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 128) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 127)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 121)) (-3912 (((-121) $) 88)) (-2061 (((-765) $) 123)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 124)) (-3289 (($ $ (-765)) 108) (($ $) 106)) (-3231 (($ $) 73)) (-1799 (($ $) 75)) (-4035 (((-569) $) 105) (((-542) $) 99) (((-889 (-569)) $) 98) (((-382) $) 93) (((-216) $) 92)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 104)) (-2320 (((-765)) 28)) (-3245 (((-121) $ $) 84)) (-4196 (($ $ $) 96)) (-1710 (($) 87)) (-2909 (((-121) $ $) 38)) (-4005 (($ $ $ $) 71)) (-4080 (($ $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 109) (($ $) 107)) (-1355 (((-121) $ $) 117)) (-1343 (((-121) $ $) 118)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 116)) (-1337 (((-121) $ $) 119)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-551) (-1284)) (T -551)) 
+((-3520 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-3912 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-1710 (*1 *1) (-4 *1 (-551))) (-2718 (*1 *1 *1) (-4 *1 (-551))) (-2546 (*1 *1 *1 *1) (-4 *1 (-551))) (-3245 (*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-3872 (*1 *1 *1 *1) (-4 *1 (-551))) (-3163 (*1 *1 *1 *1) (-4 *1 (-551))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) (-3341 (*1 *1) (-4 *1 (-551))) (-3341 (*1 *1 *1) (-4 *1 (-551))) (-1912 (*1 *1 *1) (-4 *1 (-551))) (-1799 (*1 *1 *1) (-4 *1 (-551))) (-2144 (*1 *1 *1) (-4 *1 (-551))) (-3231 (*1 *1 *1) (-4 *1 (-551))) (-1852 (*1 *1 *1) (-4 *1 (-551))) (-4005 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1796 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-4416 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-1306 (*1 *1 *1 *1 *1) (-4 *1 (-551))) (-2624 (*1 *1 *1 *1) (-4 *1 (-551)))) 
+(-13 (-1208) (-302) (-817) (-226) (-610 (-569)) (-1039 (-569)) (-631 (-569)) (-610 (-542)) (-610 (-889 (-569))) (-883 (-569)) (-147) (-1023) (-151) (-1139) (-10 -8 (-15 -3520 ((-121) $)) (-15 -3912 ((-121) $)) (-6 -4570) (-15 -1710 ($)) (-15 -2718 ($ $)) (-15 -2546 ($ $ $)) (-15 -3245 ((-121) $ $)) (-15 -3872 ($ $ $)) (-15 -3163 ($ $ $)) (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $)) (-15 -3341 ($)) (-15 -3341 ($ $)) (-15 -1912 ($ $)) (-15 -1799 ($ $)) (-15 -2144 ($ $)) (-15 -3231 ($ $)) (-15 -1852 ($ $)) (-15 -4005 ($ $ $ $)) (-15 -1796 ($ $ $ $)) (-15 -4416 ($ $ $ $)) (-15 -1306 ($ $ $ $)) (-15 -2624 ($ $ $)) (-6 -4569))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-147) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-542)) . T) ((-610 (-569)) . T) ((-610 (-889 (-569))) . T) ((-226) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-631 (-569)) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-817) . T) ((-842) . T) ((-844) . T) ((-883 (-569)) . T) ((-918) . T) ((-1023) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-552 |#1| |#2| |#3|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571)))) (T -552)) 
+NIL 
+(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
+((-3224 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))) 49))) 
+(((-553 |#1| |#2|) (-10 -7 (-15 -3224 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))))) (-13 (-844) (-559)) (-13 (-27) (-433 |#1|))) (T -553)) 
+((-3224 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1161 *3) (-1161 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-844) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
+(-10 -7 (-15 -3224 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-1 (-1161 |#2|) (-1161 |#2|))))) 
+((-1699 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 195)) (-3846 (((-3 |#5| "failed") |#5| (-1 |#3| |#3|)) 191)) (-4182 (((-586 |#5|) |#5| (-1 |#3| |#3|)) 198))) 
+(((-554 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4182 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1699 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3846 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) (-13 (-844) (-559) (-1039 (-569))) (-13 (-27) (-433 |#1|)) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -554)) 
+((-3846 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-4 *7 (-1228 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7)))) (-1699 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8)))) (-4182 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(-10 -7 (-15 -4182 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -1699 ((-586 |#5|) |#5| (-1 |#3| |#3|))) (-15 -3846 ((-3 |#5| "failed") |#5| (-1 |#3| |#3|)))) 
+((-3177 (((-121) (-569) (-569)) 10)) (-3018 (((-569) (-569)) 7)) (-3493 (((-569) (-569) (-569)) 8))) 
+(((-555) (-10 -7 (-15 -3018 ((-569) (-569))) (-15 -3493 ((-569) (-569) (-569))) (-15 -3177 ((-121) (-569) (-569))))) (T -555)) 
+((-3177 (*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555)))) (-3493 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555)))) (-3018 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(-10 -7 (-15 -3018 ((-569) (-569))) (-15 -3493 ((-569) (-569) (-569))) (-15 -3177 ((-121) (-569) (-569)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4469 ((|#1| $) 59)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3544 (($ $) 89)) (-3467 (($ $) 72)) (-4288 ((|#1| $) 60)) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 71)) (-3530 (($ $) 88)) (-3455 (($ $) 73)) (-3559 (($ $) 87)) (-3480 (($ $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 67)) (-1321 (((-569) $) 66)) (-2611 (((-3 $ "failed") $) 33)) (-3764 (($ |#1| |#1|) 64)) (-1863 (((-121) $) 58)) (-3415 (($) 99)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 70)) (-4311 (((-121) $) 57)) (-2157 (($ $ $) 105)) (-2713 (($ $ $) 104)) (-3597 (($ $) 96)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3074 (($ |#1| |#1|) 65) (($ |#1|) 63) (($ (-410 (-569))) 62)) (-3790 ((|#1| $) 61)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-3408 (($ $) 97)) (-3565 (($ $) 86)) (-3485 (($ $) 75)) (-3551 (($ $) 85)) (-3473 (($ $) 76)) (-3538 (($ $) 84)) (-3460 (($ $) 77)) (-3342 (((-121) $ |#1|) 56)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-569)) 68)) (-2320 (((-765)) 28)) (-3585 (($ $) 95)) (-3505 (($ $) 83)) (-2909 (((-121) $ $) 38)) (-3572 (($ $) 94)) (-3490 (($ $) 82)) (-3599 (($ $) 93)) (-3517 (($ $) 81)) (-4527 (($ $) 92)) (-3525 (($ $) 80)) (-3592 (($ $) 91)) (-3510 (($ $) 79)) (-3579 (($ $) 90)) (-3497 (($ $) 78)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 102)) (-1343 (((-121) $ $) 101)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 103)) (-1337 (((-121) $ $) 100)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ $) 98) (($ $ (-410 (-569))) 69)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-556 |#1|) (-1284) (-13 (-407) (-1185))) (T -556)) 
+((-3074 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3764 (*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3074 (*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-3074 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))))) (-3790 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-4288 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-4469 (*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) (-1863 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) (-3342 (*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121))))) 
+(-13 (-454) (-844) (-1185) (-1004) (-1039 (-569)) (-10 -8 (-6 -4334) (-15 -3074 ($ |t#1| |t#1|)) (-15 -3764 ($ |t#1| |t#1|)) (-15 -3074 ($ |t#1|)) (-15 -3074 ($ (-410 (-569)))) (-15 -3790 (|t#1| $)) (-15 -4288 (|t#1| $)) (-15 -4469 (|t#1| $)) (-15 -1863 ((-121) $)) (-15 -4311 ((-121) $)) (-15 -3342 ((-121) $ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-40) . T) ((-98) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-280) . T) ((-286) . T) ((-454) . T) ((-503) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-844) . T) ((-1004) . T) ((-1039 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) . T) ((-1188) . T)) 
+((-2080 (((-1258) (-919) |#3| (-635 |#5|)) 55)) (-2966 ((|#8| |#3| |#3| (-635 |#10|) (-635 |#5|)) 52))) 
+(((-557 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10| |#11|) (-10 -7 (-15 -2966 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2080 ((-1258) (-919) |#3| (-635 |#5|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|) (-537 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#11|) (-259 |#9|) (-117)) (T -557)) 
+((-2080 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-919)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1258)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) (-2966 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1165))) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14))))) 
+(-10 -7 (-15 -2966 (|#8| |#3| |#3| (-635 |#10|) (-635 |#5|))) (-15 -2080 ((-1258) (-919) |#3| (-635 |#5|)))) 
+((-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 9)) (-2915 (($ $) 11)) (-2735 (((-121) $) 18)) (-2611 (((-3 $ "failed") $) 16)) (-2909 (((-121) $ $) 20))) 
+(((-558 |#1|) (-10 -8 (-15 -2735 ((-121) |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) (-559)) (T -558)) 
+NIL 
+(-10 -8 (-15 -2735 ((-121) |#1|)) (-15 -2909 ((-121) |#1| |#1|)) (-15 -2915 (|#1| |#1|)) (-15 -2545 ((-2 (|:| -3667 |#1|) (|:| -4558 |#1|) (|:| |associate| |#1|)) |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-559) (-1284)) (T -559)) 
+((-1436 (*1 *1 *1 *1) (|partial| -4 *1 (-559))) (-2545 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3667 *1) (|:| -4558 *1) (|:| |associate| *1))) (-4 *1 (-559)))) (-2915 (*1 *1 *1) (-4 *1 (-559))) (-2909 (*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121)))) (-2735 (*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(-13 (-173) (-43 $) (-286) (-10 -8 (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2545 ((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $)) (-15 -2915 ($ $)) (-15 -2909 ((-121) $ $)) (-15 -2735 ((-121) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3747 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|)) 35)) (-4319 (((-586 |#2|) |#2| (-1165)) 58)) (-3412 (((-3 |#2| "failed") |#2| (-1165)) 147)) (-2008 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))) 149)) (-3414 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|) 38))) 
+(((-560 |#1| |#2|) (-10 -7 (-15 -3414 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|)) (-15 -3747 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|))) (-15 -3412 ((-3 |#2| "failed") |#2| (-1165))) (-15 -4319 ((-586 |#2|) |#2| (-1165))) (-15 -2008 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -560)) 
+((-2008 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1165)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3)))) (-4319 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3412 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-3747 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3)))) (-3414 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(-10 -7 (-15 -3414 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) |#2|)) (-15 -3747 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-1165) (-635 |#2|))) (-15 -3412 ((-3 |#2| "failed") |#2| (-1165))) (-15 -4319 ((-586 |#2|) |#2| (-1165))) (-15 -2008 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-1165) (-608 |#2|) (-635 (-608 |#2|))))) 
+((-4378 (((-635 |#5|) (-635 |#5|)) 41))) 
+(((-561 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4378 ((-635 |#5|) (-635 |#5|)))) (-366) (-635 (-1165)) (-790) (-844) (-952 |#1| |#3| |#4|)) (T -561)) 
+((-4378 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-952 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1165)))))) 
+(-10 -7 (-15 -4378 ((-635 |#5|) (-635 |#5|)))) 
+((-3742 (((-421 |#1|) |#1|) 18)) (-3139 (((-421 |#1|) |#1|) 32)) (-1522 (((-3 |#1| "failed") |#1|) 43)) (-1440 (((-421 |#1|) |#1|) 49))) 
+(((-562 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -1440 ((-421 |#1|) |#1|)) (-15 -1522 ((-3 |#1| "failed") |#1|))) (-551)) (T -562)) 
+((-1522 (*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551)))) (-1440 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-3742 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -1440 ((-421 |#1|) |#1|)) (-15 -1522 ((-3 |#1| "failed") |#1|))) 
+((-2087 (((-635 |#3|) |#8| (-635 |#3|)) 45)) (-3280 (((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)) 44)) (-2533 (((-635 (-1253 |#1|)) |#8| (-635 |#3|)) 26)) (-1356 (((-635 (-1253 |#1|)) |#8| (-635 |#3|)) 27))) 
+(((-563 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1356 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2533 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -3280 ((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|) (-236 |#7|)) (T -563)) 
+((-3280 (*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) *4)) (-5 *4 (-765)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-973 *6)) (-4 *3 (-236 *11)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-973 *4)) (-4 *3 (-236 *10)))) (-2533 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11)))) (-1356 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
+(-10 -7 (-15 -1356 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2533 ((-635 (-1253 |#1|)) |#8| (-635 |#3|))) (-15 -2087 ((-635 |#3|) |#8| (-635 |#3|))) (-15 -3280 ((-635 |#3|) |#8| (-765) |#3| (-635 |#3|)))) 
+((-2549 (($) 9)) (-3291 (((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 29)) (-1316 (((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 26)) (-2351 (($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) 23)) (-4394 (($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) 21)) (-3175 (((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 33)) (-4283 (((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $) 31)) (-3080 (((-1258)) 12))) 
+(((-564) (-10 -8 (-15 -2549 ($)) (-15 -3080 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4394 ($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3291 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4283 ((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3175 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -564)) 
+((-3175 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-4283 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-3291 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564)))) (-2351 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) (-4394 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) (-3080 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-564)))) (-2549 (*1 *1) (-5 *1 (-564)))) 
+(-10 -8 (-15 -2549 ($)) (-15 -3080 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4394 ($ (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-15 -3291 ((-3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) "failed") (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4283 ((-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) $)) (-15 -3175 ((-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-3132 (((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|)) 28)) (-3434 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 96) (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|)) 106)) (-2466 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 78) (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|)) 50)) (-1318 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|))) 85) (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|)) 105)) (-2098 (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 101) (((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|)) 107)) (-4504 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))) 124 (|has| |#3| (-647 |#2|))) (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|)) 123 (|has| |#3| (-647 |#2|)))) (-3187 ((|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|) 48)) (-2786 (((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|)) 27))) 
+(((-565 |#1| |#2| |#3|) (-10 -7 (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3132 ((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|))) (-15 -3187 (|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|)) (-15 -2786 ((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1185)) (-1093)) (T -565)) 
+((-4504 (*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1161 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-4504 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1161 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-2786 (*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1161 *6)) (-4 *7 (-1093)))) (-3187 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1161 (-410 (-1161 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1093)))) (-3132 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1161 *3)) (-4 *7 (-1093)))) (-2098 (*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-410 (-1161 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) (-2098 (*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-1161 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) (-3434 (*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) (-3434 (*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1161 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) (-1318 (*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-1318 (*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-2466 (*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) (-2466 (*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
+(-10 -7 (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -2466 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| |#2| (-1161 |#2|))) (-15 -1318 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2| (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) |#2| (-1161 |#2|))) (-15 -3434 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) |#2| (-1161 |#2|))) (-15 -2098 ((-3 |#2| "failed") |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)) (-608 |#2|) |#2| (-410 (-1161 |#2|)))) (-15 -3132 ((-1161 (-410 (-1161 |#2|))) |#2| (-608 |#2|) (-608 |#2|) (-1161 |#2|))) (-15 -3187 (|#2| (-1161 (-410 (-1161 |#2|))) (-608 |#2|) |#2|)) (-15 -2786 ((-1161 (-410 (-1161 |#2|))) (-1161 |#2|) (-608 |#2|))) (IF (|has| |#3| (-647 |#2|)) (PROGN (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) |#2| (-1161 |#2|))) (-15 -4504 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-608 |#2|) |#2| (-410 (-1161 |#2|))))) |noBranch|)) 
+((-2748 (((-569) (-569) (-765)) 65)) (-4208 (((-569) (-569)) 64)) (-1605 (((-569) (-569)) 63)) (-1711 (((-569) (-569)) 68)) (-1581 (((-569) (-569) (-569)) 48)) (-3314 (((-569) (-569) (-569)) 45)) (-1700 (((-410 (-569)) (-569)) 20)) (-3065 (((-569) (-569)) 21)) (-4475 (((-569) (-569)) 57)) (-3615 (((-569) (-569)) 32)) (-2021 (((-635 (-569)) (-569)) 62)) (-2719 (((-569) (-569) (-569) (-569) (-569)) 43)) (-1584 (((-410 (-569)) (-569)) 41))) 
+(((-566) (-10 -7 (-15 -1584 ((-410 (-569)) (-569))) (-15 -2719 ((-569) (-569) (-569) (-569) (-569))) (-15 -2021 ((-635 (-569)) (-569))) (-15 -3615 ((-569) (-569))) (-15 -4475 ((-569) (-569))) (-15 -3065 ((-569) (-569))) (-15 -1700 ((-410 (-569)) (-569))) (-15 -3314 ((-569) (-569) (-569))) (-15 -1581 ((-569) (-569) (-569))) (-15 -1711 ((-569) (-569))) (-15 -1605 ((-569) (-569))) (-15 -4208 ((-569) (-569))) (-15 -2748 ((-569) (-569) (-765))))) (T -566)) 
+((-2748 (*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-765)) (-5 *1 (-566)))) (-4208 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1605 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1711 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1581 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3314 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1700 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-3065 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-4475 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-3615 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-2021 (*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) (-2719 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) (-1584 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -1584 ((-410 (-569)) (-569))) (-15 -2719 ((-569) (-569) (-569) (-569) (-569))) (-15 -2021 ((-635 (-569)) (-569))) (-15 -3615 ((-569) (-569))) (-15 -4475 ((-569) (-569))) (-15 -3065 ((-569) (-569))) (-15 -1700 ((-410 (-569)) (-569))) (-15 -3314 ((-569) (-569) (-569))) (-15 -1581 ((-569) (-569) (-569))) (-15 -1711 ((-569) (-569))) (-15 -1605 ((-569) (-569))) (-15 -4208 ((-569) (-569))) (-15 -2748 ((-569) (-569) (-765)))) 
+((-3892 (((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)) 52))) 
+(((-567 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3892 ((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -567)) 
+((-3892 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3519 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7))))) 
+(-10 -7 (-15 -3892 ((-2 (|:| |answer| |#4|) (|:| -3519 |#4|)) |#4| (-1 |#2| |#2|)))) 
+((-3892 (((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 18))) 
+(((-568 |#1| |#2|) (-10 -7 (-15 -3892 ((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -568)) 
+((-3892 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -3519 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -3892 ((-2 (|:| |answer| (-410 |#2|)) (|:| -3519 (-410 |#2|)) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 25)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 86)) (-2915 (($ $) 87)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) 42)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) 80)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) 79)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 60) (((-681 (-569)) (-681 $)) 57)) (-2611 (((-3 $ "failed") $) 83)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) 62) (($ $) 63)) (-1626 (($ $ $) 78)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) 54)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) 26)) (-3520 (((-121) $) 73)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) 34)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) 43)) (-2157 (($ $ $) 75)) (-2713 (($ $ $) 74)) (-1852 (($ $) NIL)) (-2718 (($ $) 40)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) 53)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) 31)) (-1912 (((-1111) $) NIL) (($ $) 33)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 117)) (-3964 (($ $ $) 84) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) 103)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 82)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 77)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) 32)) (-1799 (($ $) 30)) (-4035 (((-569) $) 39) (((-542) $) 51) (((-889 (-569)) $) NIL) (((-382) $) 46) (((-216) $) 48) (((-1147) $) 52)) (-3956 (((-852) $) 37) (($ (-569)) 38) (($ $) NIL) (($ (-569)) 38)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) 29)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) 41)) (-4080 (($ $) 61)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 27 T CONST)) (-3297 (($) 28 T CONST)) (-3685 (((-1147) $) 20) (((-1147) $ (-121)) 22) (((-1258) (-819) $) 23) (((-1258) (-819) $ (-121)) 24)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 64)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 65)) (-1377 (($ $) 66) (($ $ $) 68)) (-1371 (($ $ $) 67)) (** (($ $ (-919)) NIL) (($ $ (-765)) 72)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 70) (($ $ $) 69))) 
+(((-569) (-13 (-551) (-610 (-1147)) (-825) (-10 -8 (-15 -3341 ($ $)) (-6 -4558) (-6 -4563) (-6 -4559) (-6 -4553)))) (T -569)) 
+((-3341 (*1 *1 *1) (-5 *1 (-569)))) 
+(-13 (-551) (-610 (-1147)) (-825) (-10 -8 (-15 -3341 ($ $)) (-6 -4558) (-6 -4563) (-6 -4559) (-6 -4553))) 
+((-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061)) 103) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763)) 105)) (-1324 (((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165)) 168) (((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147)) 167) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061)) 173) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382)) 174) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382)) 175) (((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382))))) 176) (((-1037) (-311 (-382)) (-1087 (-837 (-382)))) 163) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382)) 162) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382)) 158) (((-1037) (-763)) 150) (((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061)) 157))) 
+(((-570) (-10 -7 (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061))) (-15 -1324 ((-1037) (-763))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165))))) (T -570)) 
+((-1324 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1165)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1147)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1037)) (-5 *1 (-570)))) (-1324 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570))))) 
+(-10 -7 (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382) (-1061))) (-15 -1324 ((-1037) (-763))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-1087 (-837 (-382))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382))) (-15 -1324 ((-1037) (-311 (-382)) (-635 (-1087 (-837 (-382)))) (-382) (-382) (-1061))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037))) (-763) (-1061))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1147))) (-15 -1324 ((-3 (-1037) "failed") (-311 (-382)) (-1085 (-837 (-382))) (-1165)))) 
+((-2488 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|)) 179)) (-3891 (((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|)) 97)) (-4172 (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|) 175)) (-3949 (((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165))) 184)) (-1924 (((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165)) 192 (|has| |#3| (-647 |#2|))))) 
+(((-571 |#1| |#2| |#3|) (-10 -7 (-15 -3891 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -4172 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -2488 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -3949 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)))) (IF (|has| |#3| (-647 |#2|)) (-15 -1924 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569))) (-13 (-433 |#1|) (-27) (-1185)) (-1093)) (T -571)) 
+((-1924 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1165)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) (-3949 (*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1093)))) (-2488 (*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1093)))) (-4172 (*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093)))) (-3891 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
+(-10 -7 (-15 -3891 ((-586 |#2|) |#2| (-608 |#2|) (-608 |#2|))) (-15 -4172 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| (-608 |#2|) (-608 |#2|) |#2|)) (-15 -2488 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-608 |#2|) (-608 |#2|) (-635 |#2|))) (-15 -3949 ((-3 |#2| "failed") |#2| |#2| |#2| (-608 |#2|) (-608 |#2|) (-1 (-3 |#2| "failed") |#2| |#2| (-1165)))) (IF (|has| |#3| (-647 |#2|)) (-15 -1924 ((-2 (|:| |particular| (-3 |#2| "failed")) (|:| -4079 (-635 |#2|))) |#3| |#2| (-608 |#2|) (-608 |#2|) (-1165))) |noBranch|)) 
+((-3430 (((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165)) 62)) (-2049 (((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|)) 159 (-12 (|has| |#2| (-1127)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569))))) (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)) 133 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569)))))) (-4438 (((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)) 142 (-12 (|has| |#2| (-621)) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-883 (-569))))))) 
+(((-572 |#1| |#2|) (-10 -7 (-15 -3430 ((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -4438 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) (-15 -2049 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) (IF (|has| |#2| (-1127)) (-15 -2049 ((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) (-13 (-844) (-1039 (-569)) (-454) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -572)) 
+((-2049 (*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1165)) (-5 *4 (-837 *2)) (-4 *2 (-1127)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2)))) (-2049 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-4438 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-3430 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -2303 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(-10 -7 (-15 -3430 ((-2 (|:| -2303 |#2|) (|:| |nconst| |#2|)) |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (PROGN (IF (|has| |#2| (-621)) (PROGN (-15 -4438 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) (-15 -2049 ((-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) (IF (|has| |#2| (-1127)) (-15 -2049 ((-3 |#2| "failed") |#2| (-1165) (-837 |#2|) (-837 |#2|))) |noBranch|)) |noBranch|) |noBranch|)) 
+((-3608 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))) 39)) (-1324 (((-586 (-410 |#2|)) (-410 |#2|)) 27)) (-2703 (((-3 (-410 |#2|) "failed") (-410 |#2|)) 16)) (-2825 (((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|)) 46))) 
+(((-573 |#1| |#2|) (-10 -7 (-15 -1324 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2703 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -2825 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -3608 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -573)) 
+((-3608 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6)))) (-2825 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3339 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) (-2703 (*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151) (-1039 (-569)))) (-5 *1 (-573 *3 *4)))) (-1324 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
+(-10 -7 (-15 -1324 ((-586 (-410 |#2|)) (-410 |#2|))) (-15 -2703 ((-3 (-410 |#2|) "failed") (-410 |#2|))) (-15 -2825 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-410 |#2|))) (-15 -3608 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-635 (-410 |#2|))))) 
+((-4101 (((-3 (-569) "failed") |#1|) 14)) (-1325 (((-121) |#1|) 13)) (-3237 (((-569) |#1|) 9))) 
+(((-574 |#1|) (-10 -7 (-15 -3237 ((-569) |#1|)) (-15 -1325 ((-121) |#1|)) (-15 -4101 ((-3 (-569) "failed") |#1|))) (-1039 (-569))) (T -574)) 
+((-4101 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2)))) (-1325 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1039 (-569))))) (-3237 (*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2))))) 
+(-10 -7 (-15 -3237 ((-569) |#1|)) (-15 -1325 ((-121) |#1|)) (-15 -4101 ((-3 (-569) "failed") |#1|))) 
+((-2015 (((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|)))) 43)) (-4258 (((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165)) 25)) (-2377 (((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165)) 20)) (-2218 (((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))) 32))) 
+(((-575 |#1|) (-10 -7 (-15 -4258 ((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2377 ((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165))) (-15 -2015 ((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|))))) (-15 -2218 ((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))))) (-13 (-559) (-1039 (-569)) (-151))) (T -575)) 
+((-2218 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| -3339 (-410 (-955 *5))) (|:| |coeff| (-410 (-955 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5))))) (-2015 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6)))) (-2377 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-1039 (-569)) (-151))) (-5 *1 (-575 *4)))) (-4258 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-586 (-410 (-955 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
+(-10 -7 (-15 -4258 ((-586 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2377 ((-3 (-410 (-955 |#1|)) "failed") (-410 (-955 |#1|)) (-1165))) (-15 -2015 ((-3 (-2 (|:| |mainpart| (-410 (-955 |#1|))) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 (-955 |#1|))) (|:| |logand| (-410 (-955 |#1|))))))) "failed") (-410 (-955 |#1|)) (-1165) (-635 (-410 (-955 |#1|))))) (-15 -2218 ((-3 (-2 (|:| -3339 (-410 (-955 |#1|))) (|:| |coeff| (-410 (-955 |#1|)))) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))))) 
+((-1310 (((-121) $ $) 59)) (-2225 (((-121) $) 36)) (-4469 ((|#1| $) 30)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) 63)) (-3544 (($ $) 123)) (-3467 (($ $) 103)) (-4288 ((|#1| $) 28)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL)) (-3530 (($ $) 125)) (-3455 (($ $) 99)) (-3559 (($ $) 127)) (-3480 (($ $) 107)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 78)) (-1321 (((-569) $) 80)) (-2611 (((-3 $ "failed") $) 62)) (-3764 (($ |#1| |#1|) 26)) (-1863 (((-121) $) 33)) (-3415 (($) 89)) (-3934 (((-121) $) 43)) (-2522 (($ $ (-569)) NIL)) (-4311 (((-121) $) 34)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3597 (($ $) 91)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3074 (($ |#1| |#1|) 20) (($ |#1|) 25) (($ (-410 (-569))) 77)) (-3790 ((|#1| $) 27)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) 65) (($ (-635 $)) NIL)) (-1436 (((-3 $ "failed") $ $) 64)) (-3408 (($ $) 93)) (-3565 (($ $) 131)) (-3485 (($ $) 105)) (-3551 (($ $) 133)) (-3473 (($ $) 109)) (-3538 (($ $) 129)) (-3460 (($ $) 101)) (-3342 (((-121) $ |#1|) 31)) (-3956 (((-852) $) 85) (($ (-569)) 67) (($ $) NIL) (($ (-569)) 67)) (-2320 (((-765)) 87)) (-3585 (($ $) 145)) (-3505 (($ $) 115)) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) 143)) (-3490 (($ $) 111)) (-3599 (($ $) 141)) (-3517 (($ $) 121)) (-4527 (($ $) 139)) (-3525 (($ $) 119)) (-3592 (($ $) 137)) (-3510 (($ $) 117)) (-3579 (($ $) 135)) (-3497 (($ $) 113)) (-3403 (($ $ (-919)) 55) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 10 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 37)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 35)) (-1377 (($ $) 41) (($ $ $) 42)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) 54) (($ $ (-765)) NIL) (($ $ $) 95) (($ $ (-410 (-569))) 147)) (* (($ (-919) $) 51) (($ (-765) $) NIL) (($ (-569) $) 50) (($ $ $) 48))) 
+(((-576 |#1|) (-556 |#1|) (-13 (-407) (-1185))) (T -576)) 
 NIL 
 (-556 |#1|) 
-((-1593 (((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569))) 24))) 
-(((-577) (-10 -7 (-15 -1593 ((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569)))))) (T -577)) 
-((-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 (-569)))) (-5 *3 (-1159 (-569))) (-5 *1 (-577))))) 
-(-10 -7 (-15 -1593 ((-3 (-635 (-1159 (-569))) "failed") (-635 (-1159 (-569))) (-1159 (-569))))) 
-((-3589 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163)) 18)) (-2201 (((-635 (-608 |#2|)) (-635 |#2|) (-1163)) 23)) (-1752 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|))) 10)) (-1480 ((|#2| |#2| (-1163)) 51 (|has| |#1| (-559)))) (-2810 ((|#2| |#2| (-1163)) 76 (-12 (|has| |#2| (-280)) (|has| |#1| (-454))))) (-3310 (((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163)) 25)) (-4300 (((-608 |#2|) (-635 (-608 |#2|))) 24)) (-4424 (((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163))) 100 (-12 (|has| |#2| (-280)) (|has| |#2| (-621)) (|has| |#2| (-1038 (-1163))) (|has| |#1| (-610 (-888 (-569)))) (|has| |#1| (-454)) (|has| |#1| (-882 (-569))))))) 
-(((-578 |#1| |#2|) (-10 -7 (-15 -3589 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163))) (-15 -4300 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -3310 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163))) (-15 -1752 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -2201 ((-635 (-608 |#2|)) (-635 |#2|) (-1163))) (IF (|has| |#1| (-559)) (-15 -1480 (|#2| |#2| (-1163))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -2810 (|#2| |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1038 (-1163))) (-15 -4424 ((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-843) (-433 |#1|)) (T -578)) 
-((-4424 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1163))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1163))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1038 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1163)) (-4 *7 (-610 (-888 (-569)))) (-4 *7 (-454)) (-4 *7 (-882 (-569))) (-4 *7 (-843)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3)))) (-2810 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-454)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4)))) (-1480 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-559)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4)))) (-2201 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1163)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6)))) (-1752 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-843)) (-5 *1 (-578 *3 *4)))) (-3310 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1163)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *1 (-578 *5 *6)))) (-4300 (*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-843)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4)))) (-3589 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1163)) (-4 *5 (-433 *4)) (-4 *4 (-843)) (-5 *1 (-578 *4 *5))))) 
-(-10 -7 (-15 -3589 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1163))) (-15 -4300 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -3310 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1163))) (-15 -1752 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -2201 ((-635 (-608 |#2|)) (-635 |#2|) (-1163))) (IF (|has| |#1| (-559)) (-15 -1480 (|#2| |#2| (-1163))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -2810 (|#2| |#2| (-1163))) (IF (|has| |#1| (-610 (-888 (-569)))) (IF (|has| |#1| (-882 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1038 (-1163))) (-15 -4424 ((-586 |#2|) |#2| (-1163) (-1 (-586 |#2|) |#2| (-1163)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1163)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
-((-4255 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|)) 167)) (-3504 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|))) 143)) (-2364 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|))) 140)) (-1430 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-2764 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-1300 (((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|)) 170)) (-3663 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|)) 173)) (-1591 (((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 81)) (-2312 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3356 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|))) 147)) (-3058 (((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 133)) (-1308 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 157)) (-3057 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|)) 178))) 
-(((-579 |#1| |#2|) (-10 -7 (-15 -2764 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -1308 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4255 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3663 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -3057 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3504 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3356 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -1300 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -2364 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -1430 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -3058 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1591 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2312 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -579)) 
-((-2312 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3)))) (-1591 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3058 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *1 (-579 *4 *5)))) (-1430 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1222 *4)))) (-2364 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1222 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7)))) (-1300 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3032 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3356 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1869 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3504 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3057 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3663 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-4255 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-1308 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-2764 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(-10 -7 (-15 -2764 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -1308 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4255 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3663 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -3057 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3504 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3356 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -1300 ((-3 (-2 (|:| -3032 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -2364 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -1430 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -3058 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -1869 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1591 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2312 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
-((-2347 (((-3 |#2| "failed") |#2| (-1163) (-1163)) 10))) 
-(((-580 |#1| |#2|) (-10 -7 (-15 -2347 ((-3 |#2| "failed") |#2| (-1163) (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-1125) (-29 |#1|))) (T -580)) 
-((-2347 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-1125) (-29 *4)))))) 
-(-10 -7 (-15 -2347 ((-3 |#2| "failed") |#2| (-1163) (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) 65)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) 71)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 57)) (-1333 (($ $) 33)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) 15)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) 27)) (-2340 (((-569) $) 31)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) 21)) (-2941 (((-3 $ "failed") $ $) 58)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) 16)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 60)) (-2855 (((-1143 (-569)) $) 18)) (-3659 (($ $) 23)) (-2185 (((-851) $) 85) (($ (-569)) 51) (($ $) NIL)) (-1991 (((-764)) 14)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) 35)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 34 T CONST)) (-1556 (($) 19 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) 50) (($ $ $) 36)) (-1707 (($ $ $) 49)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 53) (($ $ $) 54))) 
-(((-581 |#1| |#2|) (-864 |#1|) (-569) (-121)) (T -581)) 
-NIL 
-(-864 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 18)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) 47)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 $ "failed") $) 75)) (-2428 (($ $) 74)) (-2623 (($ (-1247 $)) 73)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 30)) (-4327 (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) 49)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) NIL)) (-1490 (($) 35 (|has| $ (-371)))) (-3364 (((-121) $) NIL (|has| $ (-371)))) (-4308 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 $) $ (-918)) NIL (|has| $ (-371))) (((-1159 $) $) 83)) (-2083 (((-918) $) 55)) (-2486 (((-1159 $) $) NIL (|has| $ (-371)))) (-3697 (((-3 (-1159 $) "failed") $ $) NIL (|has| $ (-371))) (((-1159 $) $) NIL (|has| $ (-371)))) (-4421 (($ $ (-1159 $)) NIL (|has| $ (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) 48)) (-2705 (((-121) $) 67)) (-3360 (((-1109) $) NIL)) (-1809 (($) 16 (|has| $ (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 40)) (-1743 (((-421 $) $) NIL)) (-2578 (((-918)) 66) (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-918) $) 65) (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 82)) (-2319 (($) 54)) (-3554 (($) 36 (|has| $ (-371)))) (-1648 (((-680 $) (-1247 $)) NIL) (((-1247 $) $) 71)) (-3817 (((-569) $) 26)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) 28) (($ $) NIL) (($ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL) (($ $) 84)) (-1991 (((-764)) 37)) (-3930 (((-1247 $) (-918)) 77) (((-1247 $)) 76)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 19 T CONST)) (-1556 (($) 15 T CONST)) (-1907 (($ $ (-764)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 24)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 61) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-582 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-918)) (T -582)) 
+((-1447 (((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569))) 24))) 
+(((-577) (-10 -7 (-15 -1447 ((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569)))))) (T -577)) 
+((-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 (-569)))) (-5 *3 (-1161 (-569))) (-5 *1 (-577))))) 
+(-10 -7 (-15 -1447 ((-3 (-635 (-1161 (-569))) "failed") (-635 (-1161 (-569))) (-1161 (-569))))) 
+((-1930 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165)) 18)) (-3923 (((-635 (-608 |#2|)) (-635 |#2|) (-1165)) 23)) (-3577 (((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|))) 10)) (-1866 ((|#2| |#2| (-1165)) 51 (|has| |#1| (-559)))) (-4247 ((|#2| |#2| (-1165)) 76 (-12 (|has| |#2| (-280)) (|has| |#1| (-454))))) (-1380 (((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165)) 25)) (-2865 (((-608 |#2|) (-635 (-608 |#2|))) 24)) (-3129 (((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165))) 100 (-12 (|has| |#2| (-280)) (|has| |#2| (-621)) (|has| |#2| (-1039 (-1165))) (|has| |#1| (-610 (-889 (-569)))) (|has| |#1| (-454)) (|has| |#1| (-883 (-569))))))) 
+(((-578 |#1| |#2|) (-10 -7 (-15 -1930 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165))) (-15 -2865 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -1380 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165))) (-15 -3577 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -3923 ((-635 (-608 |#2|)) (-635 |#2|) (-1165))) (IF (|has| |#1| (-559)) (-15 -1866 (|#2| |#2| (-1165))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -4247 (|#2| |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1039 (-1165))) (-15 -3129 ((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) (-844) (-433 |#1|)) (T -578)) 
+((-3129 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1165))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1165))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1039 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1165)) (-4 *7 (-610 (-889 (-569)))) (-4 *7 (-454)) (-4 *7 (-883 (-569))) (-4 *7 (-844)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3)))) (-4247 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-454)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4)))) (-1866 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-559)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4)))) (-3923 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1165)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6)))) (-3577 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-844)) (-5 *1 (-578 *3 *4)))) (-1380 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1165)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *1 (-578 *5 *6)))) (-2865 (*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-844)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4)))) (-1930 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1165)) (-4 *5 (-433 *4)) (-4 *4 (-844)) (-5 *1 (-578 *4 *5))))) 
+(-10 -7 (-15 -1930 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-1165))) (-15 -2865 ((-608 |#2|) (-635 (-608 |#2|)))) (-15 -1380 ((-608 |#2|) (-608 |#2|) (-635 (-608 |#2|)) (-1165))) (-15 -3577 ((-635 (-608 |#2|)) (-635 (-608 |#2|)) (-635 (-608 |#2|)))) (-15 -3923 ((-635 (-608 |#2|)) (-635 |#2|) (-1165))) (IF (|has| |#1| (-559)) (-15 -1866 (|#2| |#2| (-1165))) |noBranch|) (IF (|has| |#1| (-454)) (IF (|has| |#2| (-280)) (PROGN (-15 -4247 (|#2| |#2| (-1165))) (IF (|has| |#1| (-610 (-889 (-569)))) (IF (|has| |#1| (-883 (-569))) (IF (|has| |#2| (-621)) (IF (|has| |#2| (-1039 (-1165))) (-15 -3129 ((-586 |#2|) |#2| (-1165) (-1 (-586 |#2|) |#2| (-1165)) (-1 (-3 (-2 (|:| |special| |#2|) (|:| |integrand| |#2|)) "failed") |#2| (-1165)))) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) |noBranch|) |noBranch|)) 
+((-4351 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|)) 167)) (-3933 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|))) 143)) (-3405 (((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|))) 140)) (-3104 (((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|) 129)) (-2228 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|)) 153)) (-2832 (((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|)) 170)) (-3094 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|)) 173)) (-1394 (((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|)) 81)) (-4551 (((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)) 88)) (-3532 (((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|))) 147)) (-2694 (((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 133)) (-3042 (((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|)) 157)) (-2659 (((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|)) 178))) 
+(((-579 |#1| |#2|) (-10 -7 (-15 -2228 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3042 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4351 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3094 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -2659 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3933 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3532 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -2832 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -3405 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -3104 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2694 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1394 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -4551 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -579)) 
+((-4551 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3)))) (-1394 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-2694 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *1 (-579 *4 *5)))) (-3104 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1228 *4)))) (-3405 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1228 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7)))) (-2832 (*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3339 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6)))) (-3532 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3417 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-3933 (*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8)))) (-2659 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3094 (*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-4351 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-3042 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7)))) (-2228 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(-10 -7 (-15 -2228 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|))) (-15 -3042 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -4351 ((-2 (|:| |answer| (-586 (-410 |#2|))) (|:| |a0| |#1|)) (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-635 |#1|) "failed") (-569) |#1| |#1|))) (-15 -3094 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-410 |#2|))) (-15 -2659 ((-3 (-2 (|:| |answer| (-410 |#2|)) (|:| |a0| |#1|)) (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-410 |#2|))) (-15 -3933 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) (-635 (-410 |#2|)))) (-15 -3532 ((-3 (-2 (|:| |answer| (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|))))))) (|:| |a0| |#1|)) "failed") (-410 |#2|) (-1 |#2| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|) (-635 (-410 |#2|)))) (-15 -2832 ((-3 (-2 (|:| -3339 (-410 |#2|)) (|:| |coeff| (-410 |#2|))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-410 |#2|))) (-15 -3405 ((-3 (-2 (|:| |mainpart| (-410 |#2|)) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| (-410 |#2|)) (|:| |logand| (-410 |#2|)))))) "failed") (-410 |#2|) (-1 |#2| |#2|) (-635 (-410 |#2|)))) (-15 -3104 ((-3 |#2| "failed") |#2| (-1 (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed") |#1|) |#1|)) (-15 -2694 ((-3 (-616 |#1| |#2|) "failed") (-616 |#1| |#2|) (-1 (-2 (|:| |ans| |#1|) (|:| -3417 |#1|) (|:| |sol?| (-121))) (-569) |#1|))) (-15 -1394 ((-2 (|:| |ir| (-586 (-410 |#2|))) (|:| |specpart| (-410 |#2|)) (|:| |polypart| |#2|)) (-410 |#2|) (-1 |#2| |#2|))) (-15 -4551 ((-2 (|:| |answer| |#2|) (|:| |polypart| |#2|)) |#2| (-1 |#2| |#2|)))) 
+((-2987 (((-3 |#2| "failed") |#2| (-1165) (-1165)) 10))) 
+(((-580 |#1| |#2|) (-10 -7 (-15 -2987 ((-3 |#2| "failed") |#2| (-1165) (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-1127) (-29 |#1|))) (T -580)) 
+((-2987 (*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-1127) (-29 *4)))))) 
+(-10 -7 (-15 -2987 ((-3 |#2| "failed") |#2| (-1165) (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) 65)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) 71)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 57)) (-2314 (($ $) 33)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) 15)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) 27)) (-2760 (((-569) $) 31)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) 21)) (-1436 (((-3 $ "failed") $ $) 58)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) 16)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 60)) (-2721 (((-1145 (-569)) $) 18)) (-2994 (($ $) 23)) (-3956 (((-852) $) 85) (($ (-569)) 51) (($ $) NIL)) (-2320 (((-765)) 14)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) 35)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 34 T CONST)) (-3297 (($) 19 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) 50) (($ $ $) 36)) (-1371 (($ $ $) 49)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 53) (($ $ $) 54))) 
+(((-581 |#1| |#2|) (-865 |#1|) (-569) (-121)) (T -581)) 
+NIL 
+(-865 |#1|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 18)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) 47)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 $ "failed") $) 75)) (-1321 (($ $) 74)) (-2097 (($ (-1253 $)) 73)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 42)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 30)) (-3341 (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) 49)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) NIL)) (-4109 (($) 35 (|has| $ (-371)))) (-3761 (((-121) $) NIL (|has| $ (-371)))) (-3046 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 $) $ (-919)) NIL (|has| $ (-371))) (((-1161 $) $) 83)) (-2862 (((-919) $) 55)) (-2130 (((-1161 $) $) NIL (|has| $ (-371)))) (-2632 (((-3 (-1161 $) "failed") $ $) NIL (|has| $ (-371))) (((-1161 $) $) NIL (|has| $ (-371)))) (-3946 (($ $ (-1161 $)) NIL (|has| $ (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) 48)) (-1346 (((-121) $) 67)) (-1912 (((-1111) $) NIL)) (-1986 (($) 16 (|has| $ (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 40)) (-3139 (((-421 $) $) NIL)) (-3648 (((-919)) 66) (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-919) $) 65) (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 82)) (-3563 (($) 54)) (-2433 (($) 36 (|has| $ (-371)))) (-3672 (((-681 $) (-1253 $)) NIL) (((-1253 $) $) 71)) (-4035 (((-569) $) 26)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) 28) (($ $) NIL) (($ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL) (($ $) 84)) (-2320 (((-765)) 37)) (-4079 (((-1253 $) (-919)) 77) (((-1253 $)) 76)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 19 T CONST)) (-3297 (($) 15 T CONST)) (-4167 (($ $ (-765)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 24)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 61) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-582 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-919)) (T -582)) 
 NIL 
 (-13 (-351) (-328 $) (-610 (-569))) 
-((-2708 (((-1252) (-1145)) 10))) 
-(((-583) (-10 -7 (-15 -2708 ((-1252) (-1145))))) (T -583)) 
-((-2708 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-583))))) 
-(-10 -7 (-15 -2708 ((-1252) (-1145)))) 
-((-4493 (((-586 |#2|) (-586 |#2|)) 37)) (-1939 (((-635 |#2|) (-586 |#2|)) 39)) (-4468 ((|#2| (-586 |#2|)) 46))) 
-(((-584 |#1| |#2|) (-10 -7 (-15 -4493 ((-586 |#2|) (-586 |#2|))) (-15 -1939 ((-635 |#2|) (-586 |#2|))) (-15 -4468 (|#2| (-586 |#2|)))) (-13 (-454) (-1038 (-569)) (-843) (-631 (-569))) (-13 (-29 |#1|) (-1183))) (T -584)) 
-((-4468 (*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1183))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))))) (-1939 (*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1183))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) (-4493 (*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1183))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-584 *3 *4))))) 
-(-10 -7 (-15 -4493 ((-586 |#2|) (-586 |#2|))) (-15 -1939 ((-635 |#2|) (-586 |#2|))) (-15 -4468 (|#2| (-586 |#2|)))) 
-((-1544 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|)) 26))) 
-(((-585 |#1| |#2|) (-10 -7 (-15 -1544 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -1544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -1544 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -1544 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-366) (-366)) (T -585)) 
-((-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3032 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3032 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -1544 ((-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3032 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -1544 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -1544 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 68)) (-2428 ((|#1| $) NIL)) (-3032 ((|#1| $) 24)) (-4215 (((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-1527 (($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-1289 (((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $) 25)) (-2776 (((-1145) $) NIL)) (-2261 (($ |#1| |#1|) 32) (($ |#1| (-1163)) 43 (|has| |#1| (-1038 (-1163))))) (-3360 (((-1109) $) NIL)) (-4039 (((-121) $) 28)) (-3899 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1163)) 81 (|has| |#1| (-896 (-1163))))) (-2185 (((-851) $) 95) (($ |#1|) 23)) (-3369 (($) 16 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 15) (($ $ $) NIL)) (-1707 (($ $ $) 77)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 14) (($ (-410 (-569)) $) 35) (($ $ (-410 (-569))) NIL))) 
-(((-586 |#1|) (-13 (-708 (-410 (-569))) (-1038 |#1|) (-10 -8 (-15 -1527 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3032 (|#1| $)) (-15 -1289 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $)) (-15 -4215 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -4039 ((-121) $)) (-15 -2261 ($ |#1| |#1|)) (-15 -3899 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-896 (-1163))) (-15 -3899 (|#1| $ (-1163))) |noBranch|) (IF (|has| |#1| (-1038 (-1163))) (-15 -2261 ($ |#1| (-1163))) |noBranch|))) (-366)) (T -586)) 
-((-1527 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *2)) (|:| |logand| (-1159 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2)))) (-3032 (*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-1289 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *3)) (|:| |logand| (-1159 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-4215 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-4039 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2261 (*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3899 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3899 (*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-896 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1163)))) (-2261 (*1 *1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *1 (-586 *2)) (-4 *2 (-1038 *3)) (-4 *2 (-366))))) 
-(-13 (-708 (-410 (-569))) (-1038 |#1|) (-10 -8 (-15 -1527 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3032 (|#1| $)) (-15 -1289 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 |#1|)) (|:| |logand| (-1159 |#1|)))) $)) (-15 -4215 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -4039 ((-121) $)) (-15 -2261 ($ |#1| |#1|)) (-15 -3899 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-896 (-1163))) (-15 -3899 (|#1| $ (-1163))) |noBranch|) (IF (|has| |#1| (-1038 (-1163))) (-15 -2261 ($ |#1| (-1163))) |noBranch|))) 
-((-3024 (((-121) |#1|) 16)) (-3678 (((-3 |#1| "failed") |#1|) 14)) (-2748 (((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|) 30) (((-3 |#1| "failed") |#1| (-764)) 18)) (-1295 (((-121) |#1| (-764)) 19)) (-2871 ((|#1| |#1|) 31)) (-1984 ((|#1| |#1| (-764)) 33))) 
-(((-587 |#1|) (-10 -7 (-15 -1295 ((-121) |#1| (-764))) (-15 -2748 ((-3 |#1| "failed") |#1| (-764))) (-15 -2748 ((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|)) (-15 -1984 (|#1| |#1| (-764))) (-15 -3024 ((-121) |#1|)) (-15 -3678 ((-3 |#1| "failed") |#1|)) (-15 -2871 (|#1| |#1|))) (-551)) (T -587)) 
-((-2871 (*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3678 (*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3024 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-1984 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-2748 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1475 *3) (|:| -2356 (-764)))) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-2748 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-1295 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -1295 ((-121) |#1| (-764))) (-15 -2748 ((-3 |#1| "failed") |#1| (-764))) (-15 -2748 ((-2 (|:| -1475 |#1|) (|:| -2356 (-764))) |#1|)) (-15 -1984 (|#1| |#1| (-764))) (-15 -3024 ((-121) |#1|)) (-15 -3678 ((-3 |#1| "failed") |#1|)) (-15 -2871 (|#1| |#1|))) 
-((-4434 (((-1159 |#1|) (-918)) 26))) 
-(((-588 |#1|) (-10 -7 (-15 -4434 ((-1159 |#1|) (-918)))) (-351)) (T -588)) 
-((-4434 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
-(-10 -7 (-15 -4434 ((-1159 |#1|) (-918)))) 
-((-4493 (((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|)))) 26)) (-2565 (((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163)) 32 (|has| |#1| (-151)))) (-1939 (((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|)))) 18)) (-1550 (((-311 |#1|) (-410 (-954 |#1|)) (-1163)) 30 (|has| |#1| (-151)))) (-4468 (((-311 |#1|) (-586 (-410 (-954 |#1|)))) 20))) 
-(((-589 |#1|) (-10 -7 (-15 -4493 ((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|))))) (-15 -1939 ((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|))))) (-15 -4468 ((-311 |#1|) (-586 (-410 (-954 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -2565 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1550 ((-311 |#1|) (-410 (-954 |#1|)) (-1163)))) |noBranch|)) (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (T -589)) 
-((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5)))) (-2565 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) (-4468 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4)))) (-1939 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) (-4493 (*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-954 *3)))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-589 *3))))) 
-(-10 -7 (-15 -4493 ((-586 (-410 (-954 |#1|))) (-586 (-410 (-954 |#1|))))) (-15 -1939 ((-635 (-311 |#1|)) (-586 (-410 (-954 |#1|))))) (-15 -4468 ((-311 |#1|) (-586 (-410 (-954 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -2565 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1550 ((-311 |#1|) (-410 (-954 |#1|)) (-1163)))) |noBranch|)) 
-((-3857 (((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569)))) 45) (((-635 (-680 (-569))) (-635 (-569))) 46) (((-680 (-569)) (-635 (-569)) (-901 (-569))) 41)) (-2121 (((-764) (-635 (-569))) 39))) 
-(((-590) (-10 -7 (-15 -2121 ((-764) (-635 (-569)))) (-15 -3857 ((-680 (-569)) (-635 (-569)) (-901 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569))))))) (T -590)) 
-((-3857 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-901 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) (-3857 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) (-3857 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-901 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-590)))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-764)) (-5 *1 (-590))))) 
-(-10 -7 (-15 -2121 ((-764) (-635 (-569)))) (-15 -3857 ((-680 (-569)) (-635 (-569)) (-901 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -3857 ((-635 (-680 (-569))) (-635 (-569)) (-635 (-901 (-569)))))) 
-((-1590 (((-635 |#5|) |#5| (-121)) 72)) (-4181 (((-121) |#5| (-635 |#5|)) 30))) 
-(((-591 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1590 ((-635 |#5|) |#5| (-121))) (-15 -4181 ((-121) |#5| (-635 |#5|)))) (-13 (-302) (-151)) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1100 |#1| |#2| |#3| |#4|)) (T -591)) 
-((-4181 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1100 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3)))) (-1590 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1100 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -1590 ((-635 |#5|) |#5| (-121))) (-15 -4181 ((-121) |#5| (-635 |#5|)))) 
-((-2568 (((-121) $ $) NIL (|has| (-148) (-1091)))) (-3241 (($ $) 34)) (-2217 (($ $) NIL)) (-2668 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 51)) (-3254 (((-121) $ $ (-569)) 46)) (-4493 (((-635 $) $ (-148)) 59) (((-635 $) $ (-143)) 60)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-148) (-843))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-148) $ (-569) (-148)) 45 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1281 (($ $ (-148)) 63) (($ $ (-143)) 64)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-4149 (($ $ (-1213 (-569)) $) 44)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4347 (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) NIL)) (-3227 (((-121) $ $) 70)) (-3727 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 48 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 47) (((-569) (-143) $ (-569)) 50)) (-3470 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 9)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 28 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1285 (((-569) $) 42 (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 71)) (-4436 (((-764) $ $ (-148)) 69)) (-1853 (($ (-1 (-148) (-148)) $) 33 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1390 (($ $) 37)) (-2869 (($ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2973 (($ $ (-148)) 61) (($ $ (-143)) 62)) (-2776 (((-1145) $) 38 (|has| (-148) (-1091)))) (-3614 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) 23)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-569) $) 68) (((-1109) $) NIL (|has| (-148) (-1091)))) (-4353 (((-148) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-3174 (($ $ (-148)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) NIL)) (-1601 (((-121) $) 12)) (-1296 (($) 10)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) 52) (($ $ (-1213 (-569))) 21) (($ $ $) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-3389 (($ $ $ (-569)) 65 (|has| $ (-6 -4536)))) (-1971 (($ $) 17)) (-3817 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) NIL)) (-2250 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) 16) (($ (-635 $)) 66)) (-2185 (($ (-148)) NIL) (((-851) $) 27 (|has| (-148) (-1091)))) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1668 (((-121) $ $) 14 (|has| (-148) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1678 (((-121) $ $) 15 (|has| (-148) (-843)))) (-4168 (((-764) $) 13 (|has| $ (-6 -4535))))) 
-(((-592 |#1|) (-13 (-1130) (-10 -8 (-15 -3360 ((-569) $)))) (-569)) (T -592)) 
-((-3360 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2)))) 
-(-13 (-1130) (-10 -8 (-15 -3360 ((-569) $)))) 
-((-2029 (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|)) 32))) 
-(((-593 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|))) (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|)) (T -593)) 
-((-2029 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) (-2029 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1085 *3)) (-4 *3 (-951 *7 *6 *4)) (-4 *6 (-789)) (-4 *4 (-843)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3))))) 
-(-10 -7 (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1085 |#4|))) (-15 -2029 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 63)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 54) (($ $ (-569) (-569)) 55)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 60)) (-1448 (($ $) 99)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2953 (((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569))) 214)) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 34)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2777 (((-121) $) NIL)) (-2558 (((-569) $) 58) (((-569) $ (-569)) 59)) (-1407 (((-121) $) NIL)) (-3089 (($ $ (-918)) 76)) (-3622 (($ (-1 |#1| (-569)) $) 73)) (-3523 (((-121) $) 25)) (-1763 (($ |#1| (-569)) 22) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 67)) (-2758 (($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 11)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-2442 (((-3 $ "failed") $ $ (-121)) 98)) (-2321 (($ $ $) 107)) (-3360 (((-1109) $) NIL)) (-1854 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 13)) (-2222 (((-1027 (-836 (-569))) $) 12)) (-3499 (($ $ (-569)) 45)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-1534 ((|#1| $ (-569)) 57) (($ $ $) NIL (|has| (-569) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2492 (((-569) $) NIL)) (-3659 (($ $) 46)) (-2185 (((-851) $) NIL) (($ (-569)) 28) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 27 (|has| |#1| (-173)))) (-1653 ((|#1| $ (-569)) 56)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 37)) (-4030 ((|#1| $) NIL)) (-2318 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-4508 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-3446 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3938 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-2721 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-3656 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-1446 (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (-1705 (($ $ |#1|) 120 (|has| |#1| (-43 (-410 (-569)))))) (-4277 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-4051 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-3647 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-2811 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2383 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1980 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-2715 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-2827 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-2313 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-3884 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-3546 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-3336 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3962 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-1969 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-2529 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-2978 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-1819 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-3176 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-3378 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3334 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 29 T CONST)) (-1556 (($) 38 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1668 (((-121) $ $) 65)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 84) (($ $ $) 64)) (-1707 (($ $ $) 81)) (** (($ $ (-918)) NIL) (($ $ (-764)) 102)) (* (($ (-918) $) 89) (($ (-764) $) 87) (($ (-569) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-594 |#1|) (-13 (-1224 |#1| (-569)) (-10 -8 (-15 -2758 ($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -2222 ((-1027 (-836 (-569))) $)) (-15 -1854 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3523 ((-121) $)) (-15 -3622 ($ (-1 |#1| (-569)) $)) (-15 -2442 ((-3 $ "failed") $ $ (-121))) (-15 -1448 ($ $)) (-15 -2321 ($ $ $)) (-15 -2953 ((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (-15 -1705 ($ $ |#1|)) (-15 -1446 ($ $ (-410 (-569)))) (-15 -4051 ($ $)) (-15 -4277 ($ $)) (-15 -3938 ($ $)) (-15 -2827 ($ $)) (-15 -4508 ($ $)) (-15 -1980 ($ $)) (-15 -3656 ($ $)) (-15 -2811 ($ $)) (-15 -3336 ($ $)) (-15 -3334 ($ $)) (-15 -3884 ($ $)) (-15 -3176 ($ $)) (-15 -1969 ($ $)) (-15 -2978 ($ $)) (-15 -3446 ($ $)) (-15 -2715 ($ $)) (-15 -2318 ($ $)) (-15 -2383 ($ $)) (-15 -2721 ($ $)) (-15 -3647 ($ $)) (-15 -3546 ($ $)) (-15 -3378 ($ $)) (-15 -2313 ($ $)) (-15 -1819 ($ $)) (-15 -3962 ($ $)) (-15 -2529 ($ $))) |noBranch|))) (-1048)) (T -594)) 
-((-3523 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-2758 (*1 *1 *2 *3) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1048)) (-5 *1 (-594 *4)))) (-2222 (*1 *2 *1) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-1854 (*1 *2 *1) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) (-2442 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) (-1448 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048)))) (-2321 (*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048)))) (-2953 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1027 (-836 (-569)))) (-5 *5 (-1163)) (-5 *7 (-410 (-569))) (-4 *6 (-1048)) (-5 *2 (-851)) (-5 *1 (-594 *6)))) (-2565 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1705 (*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1446 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1048)))) (-4051 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-4277 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3938 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2827 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-4508 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1980 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3656 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2811 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3336 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3334 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3884 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3176 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1969 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2978 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3446 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2715 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2318 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2383 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2721 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3647 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3546 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3378 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2313 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-1819 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-3962 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) (-2529 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(-13 (-1224 |#1| (-569)) (-10 -8 (-15 -2758 ($ (-1027 (-836 (-569))) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -2222 ((-1027 (-836 (-569))) $)) (-15 -1854 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3523 ((-121) $)) (-15 -3622 ($ (-1 |#1| (-569)) $)) (-15 -2442 ((-3 $ "failed") $ $ (-121))) (-15 -1448 ($ $)) (-15 -2321 ($ $ $)) (-15 -2953 ((-851) (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1027 (-836 (-569))) (-1163) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (-15 -1705 ($ $ |#1|)) (-15 -1446 ($ $ (-410 (-569)))) (-15 -4051 ($ $)) (-15 -4277 ($ $)) (-15 -3938 ($ $)) (-15 -2827 ($ $)) (-15 -4508 ($ $)) (-15 -1980 ($ $)) (-15 -3656 ($ $)) (-15 -2811 ($ $)) (-15 -3336 ($ $)) (-15 -3334 ($ $)) (-15 -3884 ($ $)) (-15 -3176 ($ $)) (-15 -1969 ($ $)) (-15 -2978 ($ $)) (-15 -3446 ($ $)) (-15 -2715 ($ $)) (-15 -2318 ($ $)) (-15 -2383 ($ $)) (-15 -2721 ($ $)) (-15 -3647 ($ $)) (-15 -3546 ($ $)) (-15 -3378 ($ $)) (-15 -2313 ($ $)) (-15 -1819 ($ $)) (-15 -3962 ($ $)) (-15 -2529 ($ $))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-3343 (($ (-1143 |#1|)) 9)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 42)) (-2777 (((-121) $) 52)) (-2558 (((-764) $) 55) (((-764) $ (-764)) 54)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ $) 44 (|has| |#1| (-559)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-1143 |#1|) $) 23)) (-1991 (((-764)) 51)) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 22)) (-1711 (($ $) 30) (($ $ $) 16)) (-1707 (($ $ $) 25)) (** (($ $ (-918)) NIL) (($ $ (-764)) 49)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-569)) 36))) 
-(((-595 |#1|) (-13 (-1048) (-10 -8 (-15 -3382 ((-1143 |#1|) $)) (-15 -3343 ($ (-1143 |#1|))) (-15 -2777 ((-121) $)) (-15 -2558 ((-764) $)) (-15 -2558 ((-764) $ (-764))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) (-1048)) (T -595)) 
-((-3382 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-595 *3)))) (-2777 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (-2558 (*1 *2 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1048))))) 
-(-13 (-1048) (-10 -8 (-15 -3382 ((-1143 |#1|) $)) (-15 -3343 ($ (-1143 |#1|))) (-15 -2777 ((-121) $)) (-15 -2558 ((-764) $)) (-15 -2558 ((-764) $ (-764))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) 
-((-1544 (((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)) 15))) 
-(((-596 |#1| |#2|) (-10 -7 (-15 -1544 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) (-1197) (-1197)) (T -596)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) 
-((-1544 (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)) 20) (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|)) 19) (((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|)) 18))) 
-(((-597 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)))) (-1197) (-1197) (-1197)) (T -597)) 
-((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) (-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) (-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8))))) 
-(-10 -7 (-15 -1544 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-599 |#2|))) (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1143 |#2|)))) 
-((-3853 ((|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))) 55)) (-4137 (((-170 |#2|) |#3|) 116)) (-2606 ((|#3| (-170 |#2|)) 43)) (-2151 ((|#2| |#3|) 19)) (-3115 ((|#3| |#2|) 32))) 
-(((-598 |#1| |#2| |#3|) (-10 -7 (-15 -2606 (|#3| (-170 |#2|))) (-15 -2151 (|#2| |#3|)) (-15 -3115 (|#3| |#2|)) (-15 -4137 ((-170 |#2|) |#3|)) (-15 -3853 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))))) (-13 (-559) (-843)) (-13 (-433 |#1|) (-1003) (-1183)) (-13 (-433 (-170 |#1|)) (-1003) (-1183))) (T -598)) 
-((-3853 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1163))) (-4 *2 (-13 (-433 (-170 *5)) (-1003) (-1183))) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1003) (-1183))))) (-4137 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183))))) (-3115 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1003) (-1183))))) (-2151 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183))))) (-2606 (*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *5 *2))))) 
-(-10 -7 (-15 -2606 (|#3| (-170 |#2|))) (-15 -2151 (|#2| |#3|)) (-15 -3115 (|#3| |#2|)) (-15 -4137 ((-170 |#2|) |#3|)) (-15 -3853 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1163))))) 
-((-1962 (($ (-1 (-121) |#1|) $) 16)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1923 (($ (-1 |#1| |#1|) |#1|) 9)) (-1946 (($ (-1 (-121) |#1|) $) 12)) (-1953 (($ (-1 (-121) |#1|) $) 14)) (-2139 (((-1143 |#1|) $) 17)) (-2185 (((-851) $) NIL))) 
-(((-599 |#1|) (-13 (-609 (-851)) (-10 -8 (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)) (-15 -1962 ($ (-1 (-121) |#1|) $)) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -2139 ((-1143 |#1|) $)))) (-1197)) (T -599)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1946 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1953 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-1923 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) (-2139 (*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1197))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)) (-15 -1962 ($ (-1 (-121) |#1|) $)) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -2139 ((-1143 |#1|) $)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-600 |#1| |#2|) (-1245 |#1|) (-1197) (-569)) (T -600)) 
-NIL 
-(-1245 |#1|) 
-((-3112 (((-1252) $ |#2| |#2|) 36)) (-3557 ((|#2| $) 23)) (-1285 ((|#2| $) 21)) (-1853 (($ (-1 |#3| |#3|) $) 32)) (-1544 (($ (-1 |#3| |#3|) $) 30)) (-4353 ((|#3| $) 26)) (-3174 (($ $ |#3|) 33)) (-3672 (((-121) |#3| $) 17)) (-2691 (((-635 |#3|) $) 15)) (-1534 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
-(((-601 |#1| |#2| |#3|) (-10 -8 (-15 -3112 ((-1252) |#1| |#2| |#2|)) (-15 -3174 (|#1| |#1| |#3|)) (-15 -4353 (|#3| |#1|)) (-15 -3557 (|#2| |#1|)) (-15 -1285 (|#2| |#1|)) (-15 -3672 ((-121) |#3| |#1|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|))) (-602 |#2| |#3|) (-1091) (-1197)) (T -601)) 
-NIL 
-(-10 -8 (-15 -3112 ((-1252) |#1| |#2| |#2|)) (-15 -3174 (|#1| |#1| |#3|)) (-15 -4353 (|#3| |#1|)) (-15 -3557 (|#2| |#1|)) (-15 -1285 (|#2| |#1|)) (-15 -3672 ((-121) |#3| |#1|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#2| (-1091)))) (-3112 (((-1252) $ |#1| |#1|) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-2726 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 48)) (-3470 (((-635 |#2|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 40 (|has| |#1| (-843)))) (-4259 (((-635 |#2|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 41 (|has| |#1| (-843)))) (-1853 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#2| (-1091)))) (-4166 (((-635 |#1|) $) 43)) (-3533 (((-121) |#1| $) 44)) (-3360 (((-1109) $) 21 (|has| |#2| (-1091)))) (-4353 ((|#2| $) 39 (|has| |#1| (-843)))) (-3174 (($ $ |#2|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-2846 (((-764) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4535))) (((-764) |#2| $) 28 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#2| (-1091)))) (-2066 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#2| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-602 |#1| |#2|) (-1278) (-1091) (-1197)) (T -602)) 
-((-2691 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *4)))) (-3533 (*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)))) (-4166 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *3)))) (-3672 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1285 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-3557 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *3 (-843)) (-4 *2 (-1197)))) (-3174 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) (-3112 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-1252))))) 
-(-13 (-500 |t#2|) (-284 |t#1| |t#2|) (-10 -8 (-15 -2691 ((-635 |t#2|) $)) (-15 -3533 ((-121) |t#1| $)) (-15 -4166 ((-635 |t#1|) $)) (IF (|has| |t#2| (-1091)) (IF (|has| $ (-6 -4535)) (-15 -3672 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-843)) (PROGN (-15 -1285 (|t#1| $)) (-15 -3557 (|t#1| $)) (-15 -4353 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3174 ($ $ |t#2|)) (-15 -3112 ((-1252) $ |t#1| |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#2| (-1091)) ((-609 (-851)) |has| |#2| (-1091)) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-1091) |has| |#2| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1247 (-680 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2141 (((-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1531 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2909 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1723 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1792 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1620 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2800 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2246 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3316 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2355 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2607 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2623 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1247 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1321 (((-918)) NIL (|has| |#2| (-370 |#1|)))) (-3919 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1370 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4239 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1588 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2991 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1545 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4007 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4439 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3282 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-3851 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1584 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2415 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2377 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3337 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2598 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1534 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-1648 (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $) (-1247 $)) NIL (|has| |#2| (-370 |#1|))) (((-1247 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3817 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3393 (((-635 (-954 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-954 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2185 (((-851) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-3930 (((-1247 $)) NIL (|has| |#2| (-420 |#1|)))) (-2131 (((-635 (-1247 |#1|))) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1943 (($ (-680 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3922 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4227 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 24)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
-(((-603 |#1| |#2|) (-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-737 |#1|)) (T -603)) 
-((-2185 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-737 *3))))) 
-(-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-1331 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) 33)) (-2281 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL) (($) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-1145) |#1|) 43)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#1| "failed") (-1145) $) 46)) (-2820 (($) NIL T CONST)) (-3030 (($ $ (-1145)) 25)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4454 (((-3 |#1| "failed") (-1145) $) 47) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (|has| $ (-6 -4535)))) (-4347 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4154 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) 32)) (-2726 ((|#1| $ (-1145) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-1145)) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2471 (($ $) 48)) (-3230 (($ (-391)) 23) (($ (-391) (-1145)) 22)) (-1486 (((-391) $) 34)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535))) (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2179 (((-635 (-1145)) $) 39)) (-1598 (((-121) (-1145) $) NIL)) (-2160 (((-1145) $) 35)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-4353 ((|#1| $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 37)) (-1534 ((|#1| $ (-1145) |#1|) NIL) ((|#1| $ (-1145)) 42)) (-2566 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL) (($) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2185 (((-851) $) 21)) (-4084 (($ $) 26)) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 20)) (-4168 (((-764) $) 41 (|has| $ (-6 -4535))))) 
-(((-604 |#1|) (-13 (-367 (-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-1174 (-1145) |#1|) (-10 -8 (-6 -4535) (-15 -2471 ($ $)))) (-1091)) (T -604)) 
-((-2471 (*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1091))))) 
-(-13 (-367 (-391) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-1174 (-1145) |#1|) (-10 -8 (-6 -4535) (-15 -2471 ($ $)))) 
-((-3660 (((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 15)) (-2179 (((-635 |#2|) $) 19)) (-1598 (((-121) |#2| $) 12))) 
-(((-605 |#1| |#2| |#3|) (-10 -8 (-15 -2179 ((-635 |#2|) |#1|)) (-15 -1598 ((-121) |#2| |#1|)) (-15 -3660 ((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|))) (-606 |#2| |#3|) (-1091) (-1091)) (T -605)) 
-NIL 
-(-10 -8 (-15 -2179 ((-635 |#2|) |#1|)) (-15 -1598 ((-121) |#2| |#1|)) (-15 -3660 ((-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37)) (-3360 (((-1109) $) 21 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48)) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47)) (-2185 (((-851) $) 20 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-606 |#1| |#2|) (-1278) (-1091) (-1091)) (T -606)) 
-((-1598 (*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-121)))) (-2179 (*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) (-4454 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2082 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
-(-13 (-222 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))) (-10 -8 (-15 -1598 ((-121) |t#1| $)) (-15 -2179 ((-635 |t#1|) $)) (-15 -4454 ((-3 |t#2| "failed") |t#1| $)) (-15 -2082 ((-3 |t#2| "failed") |t#1| $)))) 
-(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-609 (-851)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-1091) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) ((-1197) . T)) 
-((-3705 (((-608 |#2|) |#1|) 15)) (-3175 (((-3 |#1| "failed") (-608 |#2|)) 19))) 
-(((-607 |#1| |#2|) (-10 -7 (-15 -3705 ((-608 |#2|) |#1|)) (-15 -3175 ((-3 |#1| "failed") (-608 |#2|)))) (-843) (-843)) (T -607)) 
-((-3175 (*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-843)) (-4 *2 (-843)) (-5 *1 (-607 *2 *4)))) (-3705 (*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-843)) (-4 *4 (-843))))) 
-(-10 -7 (-15 -3705 ((-608 |#2|) |#1|)) (-15 -3175 ((-3 |#1| "failed") (-608 |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3078 (((-3 (-1163) "failed") $) 36)) (-2441 (((-1252) $ (-764)) 26)) (-3727 (((-764) $) 25)) (-2265 (((-123) $) 12)) (-1486 (((-1163) $) 20)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1777 (($ (-123) (-635 |#1|) (-764)) 30) (($ (-1163)) 31)) (-4029 (((-121) $ (-123)) 18) (((-121) $ (-1163)) 16)) (-2626 (((-764) $) 22)) (-3360 (((-1109) $) NIL)) (-3817 (((-888 (-569)) $) 69 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 75 (|has| |#1| (-610 (-888 (-382))))) (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-2185 (((-851) $) 51)) (-1408 (((-635 |#1|) $) 24)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 39)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 40))) 
-(((-608 |#1|) (-13 (-139) (-880 |#1|) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2265 ((-123) $)) (-15 -1408 ((-635 |#1|) $)) (-15 -2626 ((-764) $)) (-15 -1777 ($ (-123) (-635 |#1|) (-764))) (-15 -1777 ($ (-1163))) (-15 -3078 ((-3 (-1163) "failed") $)) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-843)) (T -608)) 
-((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-2265 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-1408 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-1777 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-843)) (-5 *1 (-608 *5)))) (-1777 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-3078 (*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) (-4029 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843))))) 
-(-13 (-139) (-880 |#1|) (-10 -8 (-15 -1486 ((-1163) $)) (-15 -2265 ((-123) $)) (-15 -1408 ((-635 |#1|) $)) (-15 -2626 ((-764) $)) (-15 -1777 ($ (-123) (-635 |#1|) (-764))) (-15 -1777 ($ (-1163))) (-15 -3078 ((-3 (-1163) "failed") $)) (-15 -4029 ((-121) $ (-123))) (-15 -4029 ((-121) $ (-1163))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-((-2185 ((|#1| $) 6))) 
-(((-609 |#1|) (-1278) (-1197)) (T -609)) 
-((-2185 (*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1197))))) 
-(-13 (-10 -8 (-15 -2185 (|t#1| $)))) 
-((-3817 ((|#1| $) 6))) 
-(((-610 |#1|) (-1278) (-1197)) (T -610)) 
-((-3817 (*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1197))))) 
-(-13 (-10 -8 (-15 -3817 (|t#1| $)))) 
-((-1467 (((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)) 13) (((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 14))) 
-(((-611 |#1| |#2|) (-10 -7 (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -611)) 
-((-1467 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-1159 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6)))) (-1467 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-1159 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5))))) 
-(-10 -7 (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1467 ((-3 (-1159 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) 
-((-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
-(((-612 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-613 |#2|) (-1048)) (T -612)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 35)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
-(((-613 |#1|) (-1278) (-1048)) (T -613)) 
-((-2185 (*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1048))))) 
-(-13 (-1048) (-638 |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-1407 (((-121) $) NIL)) (-4116 ((|#1| $) 13)) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4121 ((|#3| $) 15)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL)) (-1991 (((-764)) 20)) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 12 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1715 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-614 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) (-43 |#2|) (-173) (|SubsetCategory| (-717) |#2|)) (T -614)) 
-((-1715 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) (-1715 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) (-4121 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4))))) 
-(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) 
-((-1933 ((|#2| |#2| (-1163) (-1163)) 18))) 
-(((-615 |#1| |#2|) (-10 -7 (-15 -1933 (|#2| |#2| (-1163) (-1163)))) (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-960) (-29 |#1|))) (T -615)) 
-((-1933 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-29 *4)))))) 
-(-10 -7 (-15 -1933 (|#2| |#2| (-1163) (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 52)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3896 ((|#1| $) 49)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2499 (((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)) 95 (|has| |#1| (-366)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 24)) (-3428 (((-3 $ "failed") $) 74)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2558 (((-569) $) 19)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) 36)) (-1763 (($ |#1| (-569)) 21)) (-4012 ((|#1| $) 51)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) 85 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) 78)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2622 (((-764) $) 97 (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 96 (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2492 (((-569) $) 34)) (-3817 (((-410 |#2|) $) 42)) (-2185 (((-851) $) 61) (($ (-569)) 32) (($ $) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 31) (($ |#2|) 22)) (-1653 ((|#1| $ (-569)) 62)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 29)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) 17)) (-1711 (($ $) 46) (($ $ $) NIL)) (-1707 (($ $ $) 75)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 26) (($ $ $) 44))) 
-(((-616 |#1| |#2|) (-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1038 |#2|) (-10 -8 (-15 -3523 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -2558 ((-569) $)) (-15 -4020 ($ $)) (-15 -4012 (|#1| $)) (-15 -3896 (|#1| $)) (-15 -1653 (|#1| $ (-569))) (-15 -1763 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2499 ((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) (-559) (-1222 |#1|)) (T -616)) 
-((-3523 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-2492 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-2558 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) (-4020 (*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-4012 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-3896 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) (-2499 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4172 (-616 *4 *5)) (|:| -3815 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5))))) 
-(-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1038 |#2|) (-10 -8 (-15 -3523 ((-121) $)) (-15 -2492 ((-569) $)) (-15 -2558 ((-569) $)) (-15 -4020 ($ $)) (-15 -4012 (|#1| $)) (-15 -3896 (|#1| $)) (-15 -1653 (|#1| $ (-569))) (-15 -1763 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2499 ((-2 (|:| -4172 $) (|:| -3815 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) 
-((-4426 (((-635 |#6|) (-635 |#4|) (-121)) 46)) (-2453 ((|#6| |#6|) 39))) 
-(((-617 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -2453 (|#6| |#6|)) (-15 -4426 ((-635 |#6|) (-635 |#4|) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|) (-1100 |#1| |#2| |#3| |#4|)) (T -617)) 
-((-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *10 (-1100 *5 *6 *7 *8)))) (-2453 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *2 (-1100 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2453 (|#6| |#6|)) (-15 -4426 ((-635 |#6|) (-635 |#4|) (-121)))) 
-((-1926 (((-121) |#3| (-764) (-635 |#3|)) 22)) (-4494 (((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)) 51))) 
-(((-618 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1926 ((-121) |#3| (-764) (-635 |#3|))) (-15 -4494 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) (-843) (-789) (-302) (-951 |#3| |#2| |#1|)) (T -618)) 
-((-4494 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1640 (-635 (-2 (|:| |irr| *10) (|:| -4245 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-843)) (-4 *3 (-302)) (-4 *10 (-951 *3 *9 *8)) (-4 *9 (-789)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1159 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1159 *3))))) (-1926 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-764)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-843)) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-951 *3 *7 *6))))) 
-(-10 -7 (-15 -1926 ((-121) |#3| (-764) (-635 |#3|))) (-15 -4494 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1159 |#3|)))) "failed") |#3| (-635 (-1159 |#3|)) (-2 (|:| |contp| |#3|) (|:| -1640 (-635 (-2 (|:| |irr| |#4|) (|:| -4245 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) 
-((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2208 (($ $) 67)) (-4450 (((-657 |#1| |#2|) $) 52)) (-1859 (((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $) 36)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 70)) (-2317 (((-635 (-289 |#2|)) $ $) 33)) (-3360 (((-1109) $) NIL)) (-2436 (($ (-657 |#1| |#2|)) 48)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 58) (((-1260 |#1| |#2|) $) NIL) (((-1265 |#1| |#2|) $) 66)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 53 T CONST)) (-3997 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) 31)) (-2059 (((-635 (-657 |#1| |#2|)) (-635 |#1|)) 65)) (-1668 (((-121) $ $) 54)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 44))) 
-(((-619 |#1| |#2| |#3|) (-13 (-479) (-10 -8 (-15 -2436 ($ (-657 |#1| |#2|))) (-15 -4450 ((-657 |#1| |#2|) $)) (-15 -1859 ((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $)) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1265 |#1| |#2|) $)) (-15 -2208 ($ $)) (-15 -3914 ((-635 |#1|) $)) (-15 -2059 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -3997 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -2317 ((-635 (-289 |#2|)) $ $)))) (-843) (-13 (-173) (-708 (-410 (-569)))) (-918)) (T -619)) 
-((-2436 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-918)))) (-4450 (*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-1859 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-889 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1265 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-13 (-173) (-708 (-410 (-569))))) (-14 *4 (-918)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2059 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-708 (-410 (-569))))) (-14 *6 (-918)))) (-3997 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) (-2317 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
-(-13 (-479) (-10 -8 (-15 -2436 ($ (-657 |#1| |#2|))) (-15 -4450 ((-657 |#1| |#2|) $)) (-15 -1859 ((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $)) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1265 |#1| |#2|) $)) (-15 -2208 ($ $)) (-15 -3914 ((-635 |#1|) $)) (-15 -2059 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -3997 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -2317 ((-635 (-289 |#2|)) $ $)))) 
-((-4426 (((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)) 70) (((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121)) 56)) (-2362 (((-121) (-635 (-776 |#1| (-853 |#2|)))) 22)) (-1516 (((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)) 69)) (-2174 (((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121)) 55)) (-2815 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|)))) 26)) (-4075 (((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|)))) 25))) 
-(((-620 |#1| |#2|) (-10 -7 (-15 -2362 ((-121) (-635 (-776 |#1| (-853 |#2|))))) (-15 -4075 ((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|))))) (-15 -2815 ((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))))) (-15 -2174 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -1516 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)))) (-454) (-635 (-1163))) (T -620)) 
-((-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) (-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) (-1516 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) (-2174 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) (-2815 (*1 *2 *2) (-12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4)))) (-4075 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4)))) (-2362 (*1 *2 *3) (-12 (-5 *3 (-635 (-776 *4 (-853 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1163))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
-(-10 -7 (-15 -2362 ((-121) (-635 (-776 |#1| (-853 |#2|))))) (-15 -4075 ((-3 (-635 (-776 |#1| (-853 |#2|))) "failed") (-635 (-776 |#1| (-853 |#2|))))) (-15 -2815 ((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))))) (-15 -2174 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -1516 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1045 |#1| |#2|)) (-635 (-776 |#1| (-853 |#2|))) (-121))) (-15 -4426 ((-635 (-1132 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|)))) (-635 (-776 |#1| (-853 |#2|))) (-121)))) 
-((-1753 (($ $) 38)) (-2530 (($ $) 21)) (-1744 (($ $) 37)) (-2513 (($ $) 22)) (-1760 (($ $) 36)) (-2546 (($ $) 23)) (-2445 (($) 48)) (-4450 (($ $) 45)) (-2469 (($ $) 17)) (-2261 (($ $ (-1083 $)) 7) (($ $ (-1163)) 6)) (-4385 (($ $) 14)) (-4427 (($ $) 13)) (-2436 (($ $) 46)) (-2477 (($ $) 15)) (-2505 (($ $) 16)) (-1764 (($ $) 35)) (-2554 (($ $) 24)) (-1756 (($ $) 34)) (-2538 (($ $) 25)) (-1748 (($ $) 33)) (-2522 (($ $) 26)) (-1779 (($ $) 44)) (-1727 (($ $) 32)) (-1770 (($ $) 43)) (-2561 (($ $) 31)) (-1785 (($ $) 42)) (-1736 (($ $) 30)) (-2430 (($ $) 41)) (-1740 (($ $) 29)) (-1782 (($ $) 40)) (-1731 (($ $) 28)) (-1775 (($ $) 39)) (-2569 (($ $) 27)) (-2404 (($ $) 19)) (-4100 (($ $) 20)) (-1683 (($ $) 18)) (** (($ $ $) 47))) 
-(((-621) (-1278)) (T -621)) 
-((-4100 (*1 *1 *1) (-4 *1 (-621))) (-2404 (*1 *1 *1) (-4 *1 (-621))) (-1683 (*1 *1 *1) (-4 *1 (-621))) (-2469 (*1 *1 *1) (-4 *1 (-621))) (-2505 (*1 *1 *1) (-4 *1 (-621))) (-2477 (*1 *1 *1) (-4 *1 (-621))) (-4385 (*1 *1 *1) (-4 *1 (-621))) (-4427 (*1 *1 *1) (-4 *1 (-621)))) 
-(-13 (-960) (-1183) (-10 -8 (-15 -4100 ($ $)) (-15 -2404 ($ $)) (-15 -1683 ($ $)) (-15 -2469 ($ $)) (-15 -2505 ($ $)) (-15 -2477 ($ $)) (-15 -4385 ($ $)) (-15 -4427 ($ $)))) 
-(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-960) . T) ((-1183) . T) ((-1186) . T)) 
-((-2265 (((-123) (-123)) 87)) (-2469 ((|#2| |#2|) 32)) (-2261 ((|#2| |#2| (-1083 |#2|)) 83) ((|#2| |#2| (-1163)) 56)) (-4385 ((|#2| |#2|) 34)) (-4427 ((|#2| |#2|) 35)) (-2477 ((|#2| |#2|) 31)) (-2505 ((|#2| |#2|) 33)) (-1524 (((-121) (-123)) 38)) (-2404 ((|#2| |#2|) 28)) (-4100 ((|#2| |#2|) 30)) (-1683 ((|#2| |#2|) 29))) 
-(((-622 |#1| |#2|) (-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -4100 (|#2| |#2|)) (-15 -2404 (|#2| |#2|)) (-15 -1683 (|#2| |#2|)) (-15 -2469 (|#2| |#2|)) (-15 -2477 (|#2| |#2|)) (-15 -2505 (|#2| |#2|)) (-15 -4385 (|#2| |#2|)) (-15 -4427 (|#2| |#2|)) (-15 -2261 (|#2| |#2| (-1163))) (-15 -2261 (|#2| |#2| (-1083 |#2|)))) (-13 (-843) (-559)) (-13 (-433 |#1|) (-1003) (-1183))) (T -622)) 
-((-2261 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)))) (-2261 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))))) (-4427 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-4385 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2505 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2477 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2469 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-1683 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2404 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-4100 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183))))) (-2265 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003) (-1183))))) (-1524 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183)))))) 
-(-10 -7 (-15 -1524 ((-121) (-123))) (-15 -2265 ((-123) (-123))) (-15 -4100 (|#2| |#2|)) (-15 -2404 (|#2| |#2|)) (-15 -1683 (|#2| |#2|)) (-15 -2469 (|#2| |#2|)) (-15 -2477 (|#2| |#2|)) (-15 -2505 (|#2| |#2|)) (-15 -4385 (|#2| |#2|)) (-15 -4427 (|#2| |#2|)) (-15 -2261 (|#2| |#2| (-1163))) (-15 -2261 (|#2| |#2| (-1083 |#2|)))) 
-((-3714 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 52)) (-2276 (((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 67)) (-2384 (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|)) 69) (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|)) 68)) (-2295 (((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|))) 105)) (-3842 (((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 82)) (-1420 (((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|))) 116)) (-1481 (((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|))) 57)) (-2809 (((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 39)) (-1603 (((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 49)) (-4283 (((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 89))) 
-(((-623 |#1| |#2|) (-10 -7 (-15 -2295 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -1420 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -2276 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2809 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1481 ((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -4283 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3842 ((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1603 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3714 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) (-635 (-1163)) (-454)) (T -623)) 
-((-3714 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5)))) (-1603 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-3842 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-853 *4)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-4283 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1163))) (-5 *1 (-623 *5 *6)))) (-1481 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-1247 *6)) (-5 *1 (-623 *5 *6)))) (-2809 (*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4)))) (-2384 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2384 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2276 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5)))) (-1420 (*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5))))) (-2295 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
-(-10 -7 (-15 -2295 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -1420 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -2276 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2384 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-853 |#1|))) (-15 -2809 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1481 ((-1247 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -4283 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3842 ((-635 (-493 |#1| |#2|)) (-853 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1603 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -3714 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-57) $ (-1145) (-57)) 16) (((-57) $ (-1163) (-57)) 17)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1145) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1145) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-57) $ (-1145) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1145)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-2471 (($ $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1805 (($ (-391)) 9)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1145)) $) NIL)) (-1598 (((-121) (-1145) $) NIL)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4353 (((-57) $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1145)) 14) (((-57) $ (-1145) (-57)) NIL) (((-57) $ (-1163)) 15)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4084 (($ $) NIL)) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-624) (-13 (-1174 (-1145) (-57)) (-10 -8 (-15 -1805 ($ (-391))) (-15 -2471 ($ $)) (-15 -1534 ((-57) $ (-1163))) (-15 -4469 ((-57) $ (-1163) (-57))) (-15 -4084 ($ $))))) (T -624)) 
-((-1805 (*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624)))) (-2471 (*1 *1 *1) (-5 *1 (-624))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-57)) (-5 *1 (-624)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1163)) (-5 *1 (-624)))) (-4084 (*1 *1 *1) (-5 *1 (-624)))) 
-(-13 (-1174 (-1145) (-57)) (-10 -8 (-15 -1805 ($ (-391))) (-15 -2471 ($ $)) (-15 -1534 ((-57) $ (-1163))) (-15 -4469 ((-57) $ (-1163) (-57))) (-15 -4084 ($ $)))) 
-((-1715 (($ $ |#2|) 10))) 
-(((-625 |#1| |#2|) (-10 -8 (-15 -1715 (|#1| |#1| |#2|))) (-626 |#2|) (-173)) (T -625)) 
-NIL 
-(-10 -8 (-15 -1715 (|#1| |#1| |#2|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2139 (($ $ $) 26)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 25 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-626 |#1|) (-1278) (-173)) (T -626)) 
-((-2139 (*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(-13 (-708 |t#1|) (-10 -8 (-15 -2139 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1247 (-680 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2141 (((-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2820 (($) NIL T CONST)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1531 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2909 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1723 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1792 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1620 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2800 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2246 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3316 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2355 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2607 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2623 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1247 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1321 (((-918)) NIL (|has| |#2| (-370 |#1|)))) (-3919 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1851 (($ $ (-918)) NIL)) (-2007 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1370 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4239 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1588 (((-3 $ "failed")) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2991 (((-680 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-1545 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4007 (((-680 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4439 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3282 (((-1159 (-954 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-3851 (((-1159 |#1|) $) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1584 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-2415 (((-1159 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2377 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3337 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2598 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1534 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-1648 (((-680 |#1|) (-1247 $)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-680 |#1|) (-1247 $) (-1247 $)) NIL (|has| |#2| (-370 |#1|))) (((-1247 |#1|) $ (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-3817 (($ (-1247 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1247 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3393 (((-635 (-954 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-954 |#1|)) (-1247 $)) NIL (|has| |#2| (-370 |#1|)))) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2185 (((-851) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-3930 (((-1247 $)) NIL (|has| |#2| (-420 |#1|)))) (-2131 (((-635 (-1247 |#1|))) NIL (-2232 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1943 (($ (-680 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3922 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4227 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3369 (($) 15 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 17)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-627 |#1| |#2|) (-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-737 |#1|)) (T -627)) 
-((-2185 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-737 *3))))) 
-(-13 (-737 |#1|) (-609 |#2|) (-10 -8 (-15 -2185 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
-((-2242 (((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)) 78) (((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|))) 100)) (-1893 (((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|))) 105))) 
-(((-628 |#1| |#2|) (-10 -7 (-15 -2242 ((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|)))) (-15 -1893 ((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|)))) (-15 -2242 ((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -628)) 
-((-2242 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1145)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-836 *3)) (-5 *1 (-628 *6 *3)))) (-1893 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-829 *3))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-829 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 *3))) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3))))) 
-(-10 -7 (-15 -2242 ((-3 (-836 |#2|) (-2 (|:| |leftHandLimit| (-3 (-836 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-836 |#2|) "failed"))) "failed") |#2| (-289 (-836 |#2|)))) (-15 -1893 ((-3 (-829 |#2|) "failed") |#2| (-289 (-829 |#2|)))) (-15 -2242 ((-3 (-836 |#2|) "failed") |#2| (-289 |#2|) (-1145)))) 
-((-2242 (((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)) 79) (((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 18) (((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|)))) 34)) (-1893 (((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 21) (((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|)))) 42))) 
-(((-629 |#1|) (-10 -7 (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)))) (-454)) (T -629)) 
-((-2242 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-954 *6)))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-836 *3)) (-5 *1 (-629 *6)))) (-1893 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-829 *3)) (-5 *1 (-629 *5)))) (-1893 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-829 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-829 (-410 (-954 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) (-2242 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-836 (-410 (-954 *5))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 *5))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5)))))) 
-(-10 -7 (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-836 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 |#1|))) "failed"))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-829 (-954 |#1|))))) (-15 -1893 ((-829 (-410 (-954 |#1|))) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -2242 ((-3 (-836 (-410 (-954 |#1|))) "failed") (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))) (-1145)))) 
-((-3865 (((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|) 57 (-3864 (|has| |#1| (-366)))) (((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|) 42 (|has| |#1| (-366)))) (-2290 (((-121) (-1247 |#2|)) 30)) (-2258 (((-3 (-1247 |#1|) "failed") (-1247 |#2|)) 33))) 
-(((-630 |#1| |#2|) (-10 -7 (-15 -2290 ((-121) (-1247 |#2|))) (-15 -2258 ((-3 (-1247 |#1|) "failed") (-1247 |#2|))) (IF (|has| |#1| (-366)) (-15 -3865 ((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|)) (-15 -3865 ((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|)))) (-559) (-631 |#1|)) (T -630)) 
-((-3865 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-3864 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1247 (-410 *5))) (-5 *1 (-630 *5 *4)))) (-3865 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1247 *5)) (-5 *1 (-630 *5 *4)))) (-2258 (*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1247 *4)) (-5 *1 (-630 *4 *5)))) (-2290 (*1 *2 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
-(-10 -7 (-15 -2290 ((-121) (-1247 |#2|))) (-15 -2258 ((-3 (-1247 |#1|) "failed") (-1247 |#2|))) (IF (|has| |#1| (-366)) (-15 -3865 ((-3 (-1247 |#1|) "failed") (-1247 |#2|) |#2|)) (-15 -3865 ((-3 (-1247 (-410 |#1|)) "failed") (-1247 |#2|) |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1696 (((-680 |#1|) (-680 $)) 35) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 34)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-631 |#1|) (-1278) (-1048)) (T -631)) 
-((-1696 (*1 *2 *3) (-12 (-5 *3 (-680 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1048)) (-5 *2 (-680 *4)))) (-1696 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *1)) (-5 *4 (-1247 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 *5))))))) 
-(-13 (-1048) (-10 -8 (-15 -1696 ((-680 |t#1|) (-680 $))) (-15 -1696 ((-2 (|:| -3477 (-680 |t#1|)) (|:| |vec| (-1247 |t#1|))) (-680 $) (-1247 $))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-4436 ((|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|) 17) ((|#2| (-635 |#1|) (-635 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|)) 12))) 
-(((-632 |#1| |#2|) (-10 -7 (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) (-1091) (-1197)) (T -632)) 
-((-4436 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-632 *5 *6)))) (-4436 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1091)) (-4 *5 (-1197)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) (-4436 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) (-4436 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6))))) 
-(-10 -7 (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -4436 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -4436 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) 
-((-3043 (((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 18)) (-1544 (((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)) 13))) 
-(((-633 |#1| |#2|) (-10 -7 (-15 -3043 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) (-1197) (-1197)) (T -633)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-633 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5))))) 
-(-10 -7 (-15 -3043 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) 
-((-1544 (((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)) 13))) 
-(((-634 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) (-1197) (-1197) (-1197)) (T -634)) 
-((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8))))) 
-(-10 -7 (-15 -1544 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) $) NIL (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-3076 (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-3113 (($ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2081 (($ $ $) 31 (|has| |#1| (-1091)))) (-2064 (($ $ $) 33 (|has| |#1| (-1091)))) (-2060 (($ $ $) 36 (|has| |#1| (-1091)))) (-4216 (($ (-1 (-121) |#1|) $) NIL)) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2046 (($ $) NIL) (($ $ (-764)) NIL)) (-3384 (($ $) NIL (|has| |#1| (-1091)))) (-2033 (($ $) 30 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) NIL (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) NIL)) (-4347 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3727 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091))) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2588 (((-121) $) 9)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2982 (($) 7)) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2854 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-3288 (($ $ $) NIL (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2005 (($ |#1|) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3172 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-2695 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) 35) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) NIL)) (-4514 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 44 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-1963 (($ |#1| $) 10)) (-2697 (($ $ $) NIL) (($ $ |#1|) NIL)) (-2250 (($ $ $) 29) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1808 (($ $ $) 11)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 25 (|has| |#1| (-824))) (((-1145) $ (-121)) 26 (|has| |#1| (-824))) (((-1252) (-818) $) 27 (|has| |#1| (-824))) (((-1252) (-818) $ (-121)) 28 (|has| |#1| (-824)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-635 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -2982 ($)) (-15 -2588 ((-121) $)) (-15 -1963 ($ |#1| $)) (-15 -1808 ($ $ $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -2081 ($ $ $)) (-15 -2064 ($ $ $)) (-15 -2060 ($ $ $))) |noBranch|) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) (-1197)) (T -635)) 
-((-2982 (*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-2588 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1197)))) (-1963 (*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-1808 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) (-2081 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)))) (-2064 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)))) (-2060 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
-(-13 (-659 |#1|) (-10 -8 (-15 -2982 ($)) (-15 -2588 ((-121) $)) (-15 -1963 ($ |#1| $)) (-15 -1808 ($ $ $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -2081 ($ $ $)) (-15 -2064 ($ $ $)) (-15 -2060 ($ $ $))) |noBranch|) (IF (|has| |#1| (-824)) (-6 (-824)) |noBranch|))) 
-((-2944 (((-635 |#1|) |#2| (-569)) 21)) (-1700 (((-680 |#1|) (-635 |#2|) (-569)) 30)) (-4022 (((-680 |#1|) (-635 |#2|) (-569)) 28))) 
-(((-636 |#1| |#2|) (-10 -7 (-15 -1700 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -4022 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -2944 ((-635 |#1|) |#2| (-569)))) (-366) (-642 |#1|)) (T -636)) 
-((-2944 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5)))) (-4022 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6)))) (-1700 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
-(-10 -7 (-15 -1700 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -4022 ((-680 |#1|) (-635 |#2|) (-569))) (-15 -2944 ((-635 |#1|) |#2| (-569)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2094 (($ |#1| |#1| $) 43)) (-1691 (((-121) $ (-764)) NIL)) (-4216 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-3384 (($ $) 45)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 51 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 9 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 46)) (-3172 (($ |#1| $) 26) (($ |#1| $ (-764)) 42)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1856 ((|#1| $) 48)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 21)) (-1296 (($) 25)) (-2378 (((-121) $) 49)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 60)) (-2566 (($) 23) (($ (-635 |#1|)) 18)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) 57 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 19)) (-3817 (((-542) $) 34 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2185 (((-851) $) 14 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 22)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 62 (|has| |#1| (-1091)))) (-4168 (((-764) $) 16 (|has| $ (-6 -4535))))) 
-(((-637 |#1|) (-13 (-685 |#1|) (-10 -8 (-6 -4535) (-15 -2378 ((-121) $)) (-15 -2094 ($ |#1| |#1| $)))) (-1091)) (T -637)) 
-((-2378 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1091)))) (-2094 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1091))))) 
-(-13 (-685 |#1|) (-10 -8 (-6 -4535) (-15 -2378 ((-121) $)) (-15 -2094 ($ |#1| |#1| $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22))) 
-(((-638 |#1|) (-1278) (-1055)) (T -638)) 
-((* (*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1055))))) 
+((-3539 (((-1258) (-1147)) 10))) 
+(((-583) (-10 -7 (-15 -3539 ((-1258) (-1147))))) (T -583)) 
+((-3539 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-583))))) 
+(-10 -7 (-15 -3539 ((-1258) (-1147)))) 
+((-2009 (((-586 |#2|) (-586 |#2|)) 37)) (-2121 (((-635 |#2|) (-586 |#2|)) 39)) (-2693 ((|#2| (-586 |#2|)) 46))) 
+(((-584 |#1| |#2|) (-10 -7 (-15 -2009 ((-586 |#2|) (-586 |#2|))) (-15 -2121 ((-635 |#2|) (-586 |#2|))) (-15 -2693 (|#2| (-586 |#2|)))) (-13 (-454) (-1039 (-569)) (-844) (-631 (-569))) (-13 (-29 |#1|) (-1185))) (T -584)) 
+((-2693 (*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1185))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1185))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1185))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-584 *3 *4))))) 
+(-10 -7 (-15 -2009 ((-586 |#2|) (-586 |#2|))) (-15 -2121 ((-635 |#2|) (-586 |#2|))) (-15 -2693 (|#2| (-586 |#2|)))) 
+((-4188 (((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")) 38) (((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed")) 11) (((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed")) 31) (((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|)) 26))) 
+(((-585 |#1| |#2|) (-10 -7 (-15 -4188 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -4188 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -4188 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -4188 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) (-366) (-366)) (T -585)) 
+((-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3339 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3339 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-586 |#2|) (-1 |#2| |#1|) (-586 |#1|))) (-15 -4188 ((-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| -3339 |#1|) (|:| |coeff| |#1|)) "failed"))) (-15 -4188 ((-3 |#2| "failed") (-1 |#2| |#1|) (-3 |#1| "failed"))) (-15 -4188 ((-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") (-1 |#2| |#1|) (-3 (-2 (|:| |mainpart| |#1|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#1|) (|:| |logand| |#1|))))) "failed")))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 68)) (-1321 ((|#1| $) NIL)) (-3339 ((|#1| $) 24)) (-2604 (((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $) 26)) (-3838 (($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|)))) 22)) (-3519 (((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $) 25)) (-2605 (((-1147) $) NIL)) (-2553 (($ |#1| |#1|) 32) (($ |#1| (-1165)) 43 (|has| |#1| (-1039 (-1165))))) (-1912 (((-1111) $) NIL)) (-2781 (((-121) $) 28)) (-3289 ((|#1| $ (-1 |#1| |#1|)) 80) ((|#1| $ (-1165)) 81 (|has| |#1| (-897 (-1165))))) (-3956 (((-852) $) 95) (($ |#1|) 23)) (-2407 (($) 16 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 15) (($ $ $) NIL)) (-1371 (($ $ $) 77)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 14) (($ (-410 (-569)) $) 35) (($ $ (-410 (-569))) NIL))) 
+(((-586 |#1|) (-13 (-709 (-410 (-569))) (-1039 |#1|) (-10 -8 (-15 -3838 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3339 (|#1| $)) (-15 -3519 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $)) (-15 -2604 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2781 ((-121) $)) (-15 -2553 ($ |#1| |#1|)) (-15 -3289 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-897 (-1165))) (-15 -3289 (|#1| $ (-1165))) |noBranch|) (IF (|has| |#1| (-1039 (-1165))) (-15 -2553 ($ |#1| (-1165))) |noBranch|))) (-366)) (T -586)) 
+((-3838 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *2)) (|:| |logand| (-1161 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2)))) (-3339 (*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3519 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *3)) (|:| |logand| (-1161 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2604 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2781 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366)))) (-2553 (*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3289 (*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) (-3289 (*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-897 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1165)))) (-2553 (*1 *1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *1 (-586 *2)) (-4 *2 (-1039 *3)) (-4 *2 (-366))))) 
+(-13 (-709 (-410 (-569))) (-1039 |#1|) (-10 -8 (-15 -3838 ($ |#1| (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) (-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))))) (-15 -3339 (|#1| $)) (-15 -3519 ((-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 |#1|)) (|:| |logand| (-1161 |#1|)))) $)) (-15 -2604 ((-635 (-2 (|:| |integrand| |#1|) (|:| |intvar| |#1|))) $)) (-15 -2781 ((-121) $)) (-15 -2553 ($ |#1| |#1|)) (-15 -3289 (|#1| $ (-1 |#1| |#1|))) (IF (|has| |#1| (-897 (-1165))) (-15 -3289 (|#1| $ (-1165))) |noBranch|) (IF (|has| |#1| (-1039 (-1165))) (-15 -2553 ($ |#1| (-1165))) |noBranch|))) 
+((-3113 (((-121) |#1|) 16)) (-3440 (((-3 |#1| "failed") |#1|) 14)) (-3117 (((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|) 30) (((-3 |#1| "failed") |#1| (-765)) 18)) (-3992 (((-121) |#1| (-765)) 19)) (-3025 ((|#1| |#1|) 31)) (-2115 ((|#1| |#1| (-765)) 33))) 
+(((-587 |#1|) (-10 -7 (-15 -3992 ((-121) |#1| (-765))) (-15 -3117 ((-3 |#1| "failed") |#1| (-765))) (-15 -3117 ((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|)) (-15 -2115 (|#1| |#1| (-765))) (-15 -3113 ((-121) |#1|)) (-15 -3440 ((-3 |#1| "failed") |#1|)) (-15 -3025 (|#1| |#1|))) (-551)) (T -587)) 
+((-3025 (*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3440 (*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3113 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-2115 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3117 (*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1710 *3) (|:| -3190 (-765)))) (-5 *1 (-587 *3)) (-4 *3 (-551)))) (-3117 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) (-3992 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -3992 ((-121) |#1| (-765))) (-15 -3117 ((-3 |#1| "failed") |#1| (-765))) (-15 -3117 ((-2 (|:| -1710 |#1|) (|:| -3190 (-765))) |#1|)) (-15 -2115 (|#1| |#1| (-765))) (-15 -3113 ((-121) |#1|)) (-15 -3440 ((-3 |#1| "failed") |#1|)) (-15 -3025 (|#1| |#1|))) 
+((-2853 (((-1161 |#1|) (-919)) 26))) 
+(((-588 |#1|) (-10 -7 (-15 -2853 ((-1161 |#1|) (-919)))) (-351)) (T -588)) 
+((-2853 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
+(-10 -7 (-15 -2853 ((-1161 |#1|) (-919)))) 
+((-2009 (((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|)))) 26)) (-1324 (((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165)) 32 (|has| |#1| (-151)))) (-2121 (((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|)))) 18)) (-2967 (((-311 |#1|) (-410 (-955 |#1|)) (-1165)) 30 (|has| |#1| (-151)))) (-2693 (((-311 |#1|) (-586 (-410 (-955 |#1|)))) 20))) 
+(((-589 |#1|) (-10 -7 (-15 -2009 ((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|))))) (-15 -2121 ((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|))))) (-15 -2693 ((-311 |#1|) (-586 (-410 (-955 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -1324 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2967 ((-311 |#1|) (-410 (-955 |#1|)) (-1165)))) |noBranch|)) (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (T -589)) 
+((-2967 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5)))) (-1324 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) (-2693 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4)))) (-2121 (*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-955 *3)))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-589 *3))))) 
+(-10 -7 (-15 -2009 ((-586 (-410 (-955 |#1|))) (-586 (-410 (-955 |#1|))))) (-15 -2121 ((-635 (-311 |#1|)) (-586 (-410 (-955 |#1|))))) (-15 -2693 ((-311 |#1|) (-586 (-410 (-955 |#1|))))) (IF (|has| |#1| (-151)) (PROGN (-15 -1324 ((-3 (-311 |#1|) (-635 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -2967 ((-311 |#1|) (-410 (-955 |#1|)) (-1165)))) |noBranch|)) 
+((-1803 (((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569)))) 45) (((-635 (-681 (-569))) (-635 (-569))) 46) (((-681 (-569)) (-635 (-569)) (-902 (-569))) 41)) (-2307 (((-765) (-635 (-569))) 39))) 
+(((-590) (-10 -7 (-15 -2307 ((-765) (-635 (-569)))) (-15 -1803 ((-681 (-569)) (-635 (-569)) (-902 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569))))))) (T -590)) 
+((-1803 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-902 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) (-1803 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) (-1803 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-902 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-590)))) (-2307 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-765)) (-5 *1 (-590))))) 
+(-10 -7 (-15 -2307 ((-765) (-635 (-569)))) (-15 -1803 ((-681 (-569)) (-635 (-569)) (-902 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -1803 ((-635 (-681 (-569))) (-635 (-569)) (-635 (-902 (-569)))))) 
+((-1366 (((-635 |#5|) |#5| (-121)) 72)) (-3083 (((-121) |#5| (-635 |#5|)) 30))) 
+(((-591 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1366 ((-635 |#5|) |#5| (-121))) (-15 -3083 ((-121) |#5| (-635 |#5|)))) (-13 (-302) (-151)) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1102 |#1| |#2| |#3| |#4|)) (T -591)) 
+((-3083 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1102 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3)))) (-1366 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1102 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -1366 ((-635 |#5|) |#5| (-121))) (-15 -3083 ((-121) |#5| (-635 |#5|)))) 
+((-1310 (((-121) $ $) NIL (|has| (-148) (-1093)))) (-3507 (($ $) 34)) (-2917 (($ $) NIL)) (-1735 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 51)) (-2167 (((-121) $ $ (-569)) 46)) (-2009 (((-635 $) $ (-148)) 59) (((-635 $) $ (-143)) 60)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-148) (-844))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-148) $ (-569) (-148)) 45 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3494 (($ $ (-148)) 63) (($ $ (-143)) 64)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-3652 (($ $ (-1219 (-569)) $) 44)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3503 (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) NIL)) (-2273 (((-121) $ $) 70)) (-3988 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 48 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 47) (((-569) (-143) $ (-569)) 50)) (-4303 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 9)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 28 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-1301 (((-569) $) 42 (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 71)) (-2907 (((-765) $ $ (-148)) 69)) (-2089 (($ (-1 (-148) (-148)) $) 33 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1328 (($ $) 37)) (-3027 (($ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1880 (($ $ (-148)) 61) (($ $ (-143)) 62)) (-2605 (((-1147) $) 38 (|has| (-148) (-1093)))) (-2583 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) 23)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-569) $) 68) (((-1111) $) NIL (|has| (-148) (-1093)))) (-1816 (((-148) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2417 (($ $ (-148)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) NIL)) (-1668 (((-121) $) 12)) (-4016 (($) 10)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) 52) (($ $ (-1219 (-569))) 21) (($ $ $) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3038 (($ $ $ (-569)) 65 (|has| $ (-6 -4572)))) (-1799 (($ $) 17)) (-4035 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) NIL)) (-4456 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) 16) (($ (-635 $)) 66)) (-3956 (($ (-148)) NIL) (((-852) $) 27 (|has| (-148) (-1093)))) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1326 (((-121) $ $) 14 (|has| (-148) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1337 (((-121) $ $) 15 (|has| (-148) (-844)))) (-2946 (((-765) $) 13 (|has| $ (-6 -4571))))) 
+(((-592 |#1|) (-13 (-1132) (-10 -8 (-15 -1912 ((-569) $)))) (-569)) (T -592)) 
+((-1912 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2)))) 
+(-13 (-1132) (-10 -8 (-15 -1912 ((-569) $)))) 
+((-4286 (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|) 23) (((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|)) 32))) 
+(((-593 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|))) (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|)) (T -593)) 
+((-4286 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) (-4286 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1087 *3)) (-4 *3 (-952 *7 *6 *4)) (-4 *6 (-790)) (-4 *4 (-844)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3))))) 
+(-10 -7 (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2| (-1087 |#4|))) (-15 -4286 ((-2 (|:| |num| |#4|) (|:| |den| (-569))) |#4| |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 63)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 54) (($ $ (-569) (-569)) 55)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 60)) (-2276 (($ $) 99)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4088 (((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569))) 214)) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 34)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2641 (((-121) $) NIL)) (-4433 (((-569) $) 58) (((-569) $ (-569)) 59)) (-3934 (((-121) $) NIL)) (-2058 (($ $ (-919)) 76)) (-3449 (($ (-1 |#1| (-569)) $) 73)) (-3052 (((-121) $) 25)) (-3179 (($ |#1| (-569)) 22) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 67)) (-2060 (($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 11)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3661 (((-3 $ "failed") $ $ (-121)) 98)) (-3596 (($ $ $) 107)) (-1912 (((-1111) $) NIL)) (-2105 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 13)) (-3045 (((-1028 (-837 (-569))) $) 12)) (-3803 (($ $ (-569)) 45)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2503 ((|#1| $ (-569)) 57) (($ $ $) NIL (|has| (-569) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 70 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2284 (((-569) $) NIL)) (-2994 (($ $) 46)) (-3956 (((-852) $) NIL) (($ (-569)) 28) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 27 (|has| |#1| (-173)))) (-3802 ((|#1| $ (-569)) 56)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 37)) (-1736 ((|#1| $) NIL)) (-3528 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-4423 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-1728 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-2976 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3888 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-2943 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-2223 (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (-2340 (($ $ |#1|) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3692 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-3023 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-2714 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-4272 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2651 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-3391 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-3730 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3484 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-3384 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-4390 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-2222 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-4136 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-2568 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-3068 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-1851 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-3421 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-3801 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-2482 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-2792 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-4089 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 29 T CONST)) (-3297 (($) 38 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1326 (((-121) $ $) 65)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 84) (($ $ $) 64)) (-1371 (($ $ $) 81)) (** (($ $ (-919)) NIL) (($ $ (-765)) 102)) (* (($ (-919) $) 89) (($ (-765) $) 87) (($ (-569) $) 85) (($ $ $) 95) (($ $ |#1|) NIL) (($ |#1| $) 114) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-594 |#1|) (-13 (-1230 |#1| (-569)) (-10 -8 (-15 -2060 ($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3045 ((-1028 (-837 (-569))) $)) (-15 -2105 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3052 ((-121) $)) (-15 -3449 ($ (-1 |#1| (-569)) $)) (-15 -3661 ((-3 $ "failed") $ $ (-121))) (-15 -2276 ($ $)) (-15 -3596 ($ $ $)) (-15 -4088 ((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (-15 -2340 ($ $ |#1|)) (-15 -2223 ($ $ (-410 (-569)))) (-15 -3023 ($ $)) (-15 -3692 ($ $)) (-15 -2976 ($ $)) (-15 -3484 ($ $)) (-15 -4423 ($ $)) (-15 -3391 ($ $)) (-15 -2943 ($ $)) (-15 -4272 ($ $)) (-15 -4136 ($ $)) (-15 -4089 ($ $)) (-15 -4390 ($ $)) (-15 -2482 ($ $)) (-15 -3068 ($ $)) (-15 -3421 ($ $)) (-15 -1728 ($ $)) (-15 -3730 ($ $)) (-15 -3528 ($ $)) (-15 -2651 ($ $)) (-15 -3888 ($ $)) (-15 -2714 ($ $)) (-15 -2222 ($ $)) (-15 -2792 ($ $)) (-15 -3384 ($ $)) (-15 -3801 ($ $)) (-15 -2568 ($ $)) (-15 -1851 ($ $))) |noBranch|))) (-1049)) (T -594)) 
+((-3052 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2060 (*1 *1 *2 *3) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1049)) (-5 *1 (-594 *4)))) (-3045 (*1 *2 *1) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2105 (*1 *2 *1) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) (-3661 (*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) (-2276 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049)))) (-3596 (*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049)))) (-4088 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1028 (-837 (-569)))) (-5 *5 (-1165)) (-5 *7 (-410 (-569))) (-4 *6 (-1049)) (-5 *2 (-852)) (-5 *1 (-594 *6)))) (-1324 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2340 (*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2223 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1049)))) (-3023 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3692 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2976 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3484 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4423 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3391 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2943 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4272 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4136 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4089 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-4390 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2482 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3068 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3421 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-1728 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3730 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3528 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2651 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3888 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2714 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2222 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2792 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3384 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-3801 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-2568 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) (-1851 (*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(-13 (-1230 |#1| (-569)) (-10 -8 (-15 -2060 ($ (-1028 (-837 (-569))) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3045 ((-1028 (-837 (-569))) $)) (-15 -2105 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $)) (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) (-15 -3052 ((-121) $)) (-15 -3449 ($ (-1 |#1| (-569)) $)) (-15 -3661 ((-3 $ "failed") $ $ (-121))) (-15 -2276 ($ $)) (-15 -3596 ($ $ $)) (-15 -4088 ((-852) (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-1028 (-837 (-569))) (-1165) |#1| (-410 (-569)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (-15 -2340 ($ $ |#1|)) (-15 -2223 ($ $ (-410 (-569)))) (-15 -3023 ($ $)) (-15 -3692 ($ $)) (-15 -2976 ($ $)) (-15 -3484 ($ $)) (-15 -4423 ($ $)) (-15 -3391 ($ $)) (-15 -2943 ($ $)) (-15 -4272 ($ $)) (-15 -4136 ($ $)) (-15 -4089 ($ $)) (-15 -4390 ($ $)) (-15 -2482 ($ $)) (-15 -3068 ($ $)) (-15 -3421 ($ $)) (-15 -1728 ($ $)) (-15 -3730 ($ $)) (-15 -3528 ($ $)) (-15 -2651 ($ $)) (-15 -3888 ($ $)) (-15 -2714 ($ $)) (-15 -2222 ($ $)) (-15 -2792 ($ $)) (-15 -3384 ($ $)) (-15 -3801 ($ $)) (-15 -2568 ($ $)) (-15 -1851 ($ $))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4314 (($ (-1145 |#1|)) 9)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 42)) (-2641 (((-121) $) 52)) (-4433 (((-765) $) 55) (((-765) $ (-765)) 54)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ $) 44 (|has| |#1| (-559)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-1145 |#1|) $) 23)) (-2320 (((-765)) 51)) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 22)) (-1377 (($ $) 30) (($ $ $) 16)) (-1371 (($ $ $) 25)) (** (($ $ (-919)) NIL) (($ $ (-765)) 49)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 34) (($ $ $) 28) (($ |#1| $) 37) (($ $ |#1|) 38) (($ $ (-569)) 36))) 
+(((-595 |#1|) (-13 (-1049) (-10 -8 (-15 -2894 ((-1145 |#1|) $)) (-15 -4314 ($ (-1145 |#1|))) (-15 -2641 ((-121) $)) (-15 -4433 ((-765) $)) (-15 -4433 ((-765) $ (-765))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) (-1049)) (T -595)) 
+((-2894 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-595 *3)))) (-2641 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (-4433 (*1 *2 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) (* (*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) (* (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1049))))) 
+(-13 (-1049) (-10 -8 (-15 -2894 ((-1145 |#1|) $)) (-15 -4314 ($ (-1145 |#1|))) (-15 -2641 ((-121) $)) (-15 -4433 ((-765) $)) (-15 -4433 ((-765) $ (-765))) (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 * ($ $ (-569))) (IF (|has| |#1| (-559)) (-6 (-559)) |noBranch|))) 
+((-4188 (((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)) 15))) 
+(((-596 |#1| |#2|) (-10 -7 (-15 -4188 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) (-1199) (-1199)) (T -596)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-599 |#2|) (-1 |#2| |#1|) (-599 |#1|)))) 
+((-4188 (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)) 20) (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|)) 19) (((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|)) 18))) 
+(((-597 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)))) (-1199) (-1199) (-1199)) (T -597)) 
+((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) (-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) (-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8))))) 
+(-10 -7 (-15 -4188 ((-599 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-599 |#2|))) (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-599 |#1|) (-1145 |#2|)))) 
+((-1706 ((|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))) 55)) (-4546 (((-170 |#2|) |#3|) 116)) (-2840 ((|#3| (-170 |#2|)) 43)) (-1844 ((|#2| |#3|) 19)) (-1430 ((|#3| |#2|) 32))) 
+(((-598 |#1| |#2| |#3|) (-10 -7 (-15 -2840 (|#3| (-170 |#2|))) (-15 -1844 (|#2| |#3|)) (-15 -1430 (|#3| |#2|)) (-15 -4546 ((-170 |#2|) |#3|)) (-15 -1706 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))))) (-13 (-559) (-844)) (-13 (-433 |#1|) (-1004) (-1185)) (-13 (-433 (-170 |#1|)) (-1004) (-1185))) (T -598)) 
+((-1706 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1165))) (-4 *2 (-13 (-433 (-170 *5)) (-1004) (-1185))) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1004) (-1185))))) (-4546 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185))))) (-1430 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1004) (-1185))))) (-1844 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185))))) (-2840 (*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *5 *2))))) 
+(-10 -7 (-15 -2840 (|#3| (-170 |#2|))) (-15 -1844 (|#2| |#3|)) (-15 -1430 (|#3| |#2|)) (-15 -4546 ((-170 |#2|) |#3|)) (-15 -1706 (|#3| |#3| (-635 (-608 |#3|)) (-635 (-1165))))) 
+((-2140 (($ (-1 (-121) |#1|) $) 16)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2109 (($ (-1 |#1| |#1|) |#1|) 9)) (-2128 (($ (-1 (-121) |#1|) $) 12)) (-2134 (($ (-1 (-121) |#1|) $) 14)) (-3124 (((-1145 |#1|) $) 17)) (-3956 (((-852) $) NIL))) 
+(((-599 |#1|) (-13 (-609 (-852)) (-10 -8 (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)) (-15 -2140 ($ (-1 (-121) |#1|) $)) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -3124 ((-1145 |#1|) $)))) (-1199)) (T -599)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2128 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2134 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) (-3124 (*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1199))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)) (-15 -2140 ($ (-1 (-121) |#1|) $)) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -3124 ((-1145 |#1|) $)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-600 |#1| |#2|) (-1251 |#1|) (-1199) (-569)) (T -600)) 
+NIL 
+(-1251 |#1|) 
+((-1403 (((-1258) $ |#2| |#2|) 36)) (-2497 ((|#2| $) 23)) (-1301 ((|#2| $) 21)) (-2089 (($ (-1 |#3| |#3|) $) 32)) (-4188 (($ (-1 |#3| |#3|) $) 30)) (-1816 ((|#3| $) 26)) (-2417 (($ $ |#3|) 33)) (-3322 (((-121) |#3| $) 17)) (-4283 (((-635 |#3|) $) 15)) (-2503 ((|#3| $ |#2| |#3|) 12) ((|#3| $ |#2|) NIL))) 
+(((-601 |#1| |#2| |#3|) (-10 -8 (-15 -1403 ((-1258) |#1| |#2| |#2|)) (-15 -2417 (|#1| |#1| |#3|)) (-15 -1816 (|#3| |#1|)) (-15 -2497 (|#2| |#1|)) (-15 -1301 (|#2| |#1|)) (-15 -3322 ((-121) |#3| |#1|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|))) (-602 |#2| |#3|) (-1093) (-1199)) (T -601)) 
+NIL 
+(-10 -8 (-15 -1403 ((-1258) |#1| |#2| |#2|)) (-15 -2417 (|#1| |#1| |#3|)) (-15 -1816 (|#3| |#1|)) (-15 -2497 (|#2| |#1|)) (-15 -1301 (|#2| |#1|)) (-15 -3322 ((-121) |#3| |#1|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#2| (-1093)))) (-1403 (((-1258) $ |#1| |#1|) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#2| $ |#1| |#2|) 49 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-3982 ((|#2| $ |#1| |#2|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 48)) (-4303 (((-635 |#2|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 40 (|has| |#1| (-844)))) (-4457 (((-635 |#2|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 27 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 41 (|has| |#1| (-844)))) (-2089 (($ (-1 |#2| |#2|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#2| (-1093)))) (-2761 (((-635 |#1|) $) 43)) (-3292 (((-121) |#1| $) 44)) (-1912 (((-1111) $) 21 (|has| |#2| (-1093)))) (-1816 ((|#2| $) 39 (|has| |#1| (-844)))) (-2417 (($ $ |#2|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 26 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 25 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 24 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 23 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1| |#2|) 47) ((|#2| $ |#1|) 46)) (-2691 (((-765) (-1 (-121) |#2|) $) 31 (|has| $ (-6 -4571))) (((-765) |#2| $) 28 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#2| (-1093)))) (-3776 (((-121) (-1 (-121) |#2|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#2| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-602 |#1| |#2|) (-1284) (-1093) (-1199)) (T -602)) 
+((-4283 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *4)))) (-3292 (*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-2761 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *3)))) (-3322 (*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1301 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-2497 (*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *3 (-844)) (-4 *2 (-1199)))) (-2417 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) (-1403 (*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-1258))))) 
+(-13 (-500 |t#2|) (-284 |t#1| |t#2|) (-10 -8 (-15 -4283 ((-635 |t#2|) $)) (-15 -3292 ((-121) |t#1| $)) (-15 -2761 ((-635 |t#1|) $)) (IF (|has| |t#2| (-1093)) (IF (|has| $ (-6 -4571)) (-15 -3322 ((-121) |t#2| $)) |noBranch|) |noBranch|) (IF (|has| |t#1| (-844)) (PROGN (-15 -1301 (|t#1| $)) (-15 -2497 (|t#1| $)) (-15 -1816 (|t#2| $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -2417 ($ $ |t#2|)) (-15 -1403 ((-1258) $ |t#1| |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#2| (-1093)) ((-609 (-852)) |has| |#2| (-1093)) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-1093) |has| |#2| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1253 (-681 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1552 (((-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3943 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2459 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1478 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4471 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4174 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1965 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2212 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1547 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-3168 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-3073 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2097 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1253 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3358 (((-919)) NIL (|has| |#2| (-370 |#1|)))) (-3894 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4078 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4015 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1309 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3707 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2858 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4432 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2983 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3348 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1650 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2510 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4215 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2431 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4161 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3983 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2503 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-3672 (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $) (-1253 $)) NIL (|has| |#2| (-370 |#1|))) (((-1253 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4035 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3127 (((-635 (-955 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-955 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3956 (((-852) $) NIL) ((|#2| $) 21) (($ |#2|) 22)) (-4079 (((-1253 $)) NIL (|has| |#2| (-420 |#1|)))) (-2628 (((-635 (-1253 |#1|))) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1772 (($ (-681 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3952 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1606 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 24)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) 19) (($ |#1| $) NIL))) 
+(((-603 |#1| |#2|) (-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-738 |#1|)) (T -603)) 
+((-3956 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-738 *3))))) 
+(-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2255 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) 33)) (-4404 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL) (($) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-1147) |#1|) 43)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#1| "failed") (-1147) $) 46)) (-4483 (($) NIL T CONST)) (-3284 (($ $ (-1147)) 25)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2006 (((-3 |#1| "failed") (-1147) $) 47) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (|has| $ (-6 -4571)))) (-3503 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-3780 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) 32)) (-3982 ((|#1| $ (-1147) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-1147)) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3281 (($ $) 48)) (-4465 (($ (-391)) 23) (($ (-391) (-1147)) 22)) (-2798 (((-391) $) 34)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571))) (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1316 (((-635 (-1147)) $) 39)) (-1591 (((-121) (-1147) $) NIL)) (-4114 (((-1147) $) 35)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-1816 ((|#1| $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 37)) (-2503 ((|#1| $ (-1147) |#1|) NIL) ((|#1| $ (-1147)) 42)) (-1353 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL) (($) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3956 (((-852) $) 21)) (-2520 (($ $) 26)) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 20)) (-2946 (((-765) $) 41 (|has| $ (-6 -4571))))) 
+(((-604 |#1|) (-13 (-367 (-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-1176 (-1147) |#1|) (-10 -8 (-6 -4571) (-15 -3281 ($ $)))) (-1093)) (T -604)) 
+((-3281 (*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1093))))) 
+(-13 (-367 (-391) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-1176 (-1147) |#1|) (-10 -8 (-6 -4571) (-15 -3281 ($ $)))) 
+((-3016 (((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 15)) (-1316 (((-635 |#2|) $) 19)) (-1591 (((-121) |#2| $) 12))) 
+(((-605 |#1| |#2| |#3|) (-10 -8 (-15 -1316 ((-635 |#2|) |#1|)) (-15 -1591 ((-121) |#2| |#1|)) (-15 -3016 ((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|))) (-606 |#2| |#3|) (-1093) (-1093)) (T -605)) 
+NIL 
+(-10 -8 (-15 -1316 ((-635 |#2|) |#1|)) (-15 -1591 ((-121) |#2| |#1|)) (-15 -3016 ((-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37)) (-1912 (((-1111) $) 21 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48)) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47)) (-3956 (((-852) $) 20 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-606 |#1| |#2|) (-1284) (-1093) (-1093)) (T -606)) 
+((-1591 (*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-121)))) (-1316 (*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) (-2006 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-1809 (*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
+(-13 (-222 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))) (-10 -8 (-15 -1591 ((-121) |t#1| $)) (-15 -1316 ((-635 |t#1|) $)) (-15 -2006 ((-3 |t#2| "failed") |t#1| $)) (-15 -1809 ((-3 |t#2| "failed") |t#1| $)))) 
+(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-609 (-852)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-1093) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) ((-1199) . T)) 
+((-1495 (((-608 |#2|) |#1|) 15)) (-2436 (((-3 |#1| "failed") (-608 |#2|)) 19))) 
+(((-607 |#1| |#2|) (-10 -7 (-15 -1495 ((-608 |#2|) |#1|)) (-15 -2436 ((-3 |#1| "failed") (-608 |#2|)))) (-844) (-844)) (T -607)) 
+((-2436 (*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-844)) (-4 *2 (-844)) (-5 *1 (-607 *2 *4)))) (-1495 (*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-844)) (-4 *4 (-844))))) 
+(-10 -7 (-15 -1495 ((-608 |#2|) |#1|)) (-15 -2436 ((-3 |#1| "failed") (-608 |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-1811 (((-3 (-1165) "failed") $) 36)) (-3633 (((-1258) $ (-765)) 26)) (-3988 (((-765) $) 25)) (-1344 (((-123) $) 12)) (-2798 (((-1165) $) 20)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3529 (($ (-123) (-635 |#1|) (-765)) 30) (($ (-1165)) 31)) (-3845 (((-121) $ (-123)) 18) (((-121) $ (-1165)) 16)) (-1468 (((-765) $) 22)) (-1912 (((-1111) $) NIL)) (-4035 (((-889 (-569)) $) 69 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 75 (|has| |#1| (-610 (-889 (-382))))) (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-3956 (((-852) $) 51)) (-3955 (((-635 |#1|) $) 24)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 39)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 40))) 
+(((-608 |#1|) (-13 (-139) (-881 |#1|) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -1344 ((-123) $)) (-15 -3955 ((-635 |#1|) $)) (-15 -1468 ((-765) $)) (-15 -3529 ($ (-123) (-635 |#1|) (-765))) (-15 -3529 ($ (-1165))) (-15 -1811 ((-3 (-1165) "failed") $)) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-844)) (T -608)) 
+((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1344 (*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3955 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3529 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-844)) (-5 *1 (-608 *5)))) (-3529 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-1811 (*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) (-3845 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844))))) 
+(-13 (-139) (-881 |#1|) (-10 -8 (-15 -2798 ((-1165) $)) (-15 -1344 ((-123) $)) (-15 -3955 ((-635 |#1|) $)) (-15 -1468 ((-765) $)) (-15 -3529 ($ (-123) (-635 |#1|) (-765))) (-15 -3529 ($ (-1165))) (-15 -1811 ((-3 (-1165) "failed") $)) (-15 -3845 ((-121) $ (-123))) (-15 -3845 ((-121) $ (-1165))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+((-3956 ((|#1| $) 6))) 
+(((-609 |#1|) (-1284) (-1199)) (T -609)) 
+((-3956 (*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1199))))) 
+(-13 (-10 -8 (-15 -3956 (|t#1| $)))) 
+((-4035 ((|#1| $) 6))) 
+(((-610 |#1|) (-1284) (-1199)) (T -610)) 
+((-4035 (*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1199))))) 
+(-13 (-10 -8 (-15 -4035 (|t#1| $)))) 
+((-1516 (((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)) 13) (((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 14))) 
+(((-611 |#1| |#2|) (-10 -7 (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -611)) 
+((-1516 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-1161 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6)))) (-1516 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-1161 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5))))) 
+(-10 -7 (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|))) (-15 -1516 ((-3 (-1161 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 (-421 |#2|) |#2|)))) 
+((-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10))) 
+(((-612 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-613 |#2|) (-1049)) (T -612)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 35)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#1| $) 36))) 
+(((-613 |#1|) (-1284) (-1049)) (T -613)) 
+((-3956 (*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1049))))) 
+(-13 (-1049) (-638 |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3934 (((-121) $) NIL)) (-3515 ((|#1| $) 13)) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3524 ((|#3| $) 15)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL)) (-2320 (((-765)) 20)) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 12 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1383 (($ $ |#3|) NIL) (($ |#1| |#3|) 11)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 17) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-614 |#1| |#2| |#3|) (-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) (-43 |#2|) (-173) (|SubsetCategory| (-718) |#2|)) (T -614)) 
+((-1383 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) (-1383 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) (-3524 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4))))) 
+(-13 (-43 |#2|) (-10 -8 (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) 
+((-3547 ((|#2| |#2| (-1165) (-1165)) 18))) 
+(((-615 |#1| |#2|) (-10 -7 (-15 -3547 (|#2| |#2| (-1165) (-1165)))) (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-961) (-29 |#1|))) (T -615)) 
+((-3547 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-29 *4)))))) 
+(-10 -7 (-15 -3547 (|#2| |#2| (-1165) (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 52)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1387 ((|#1| $) 49)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2507 (((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)) 95 (|has| |#1| (-366)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 83) (((-3 |#2| "failed") $) 80)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL) ((|#2| $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 24)) (-2611 (((-3 $ "failed") $) 74)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-4433 (((-569) $) 19)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) 36)) (-3179 (($ |#1| (-569)) 21)) (-3270 ((|#1| $) 51)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) 85 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 98 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) 78)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2061 (((-765) $) 97 (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 96 (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) 65) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-2284 (((-569) $) 34)) (-4035 (((-410 |#2|) $) 42)) (-3956 (((-852) $) 61) (($ (-569)) 32) (($ $) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 31) (($ |#2|) 22)) (-3802 ((|#1| $ (-569)) 62)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 29)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) 17)) (-1377 (($ $) 46) (($ $ $) NIL)) (-1371 (($ $ $) 75)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 26) (($ $ $) 44))) 
+(((-616 |#1| |#2|) (-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1039 |#2|) (-10 -8 (-15 -3052 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4433 ((-569) $)) (-15 -3373 ($ $)) (-15 -3270 (|#1| $)) (-15 -1387 (|#1| $)) (-15 -3802 (|#1| $ (-569))) (-15 -3179 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2507 ((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) (-559) (-1228 |#1|)) (T -616)) 
+((-3052 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-2284 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-4433 (*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) (-3373 (*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-3270 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-1387 (*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) (-2507 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -2877 (-616 *4 *5)) (|:| -2266 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5))))) 
+(-13 (-224 |#2|) (-559) (-610 (-410 |#2|)) (-414 |#1|) (-1039 |#2|) (-10 -8 (-15 -3052 ((-121) $)) (-15 -2284 ((-569) $)) (-15 -4433 ((-569) $)) (-15 -3373 ($ $)) (-15 -3270 (|#1| $)) (-15 -1387 (|#1| $)) (-15 -3802 (|#1| $ (-569))) (-15 -3179 ($ |#1| (-569))) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-6 (-302)) (-15 -2507 ((-2 (|:| -2877 $) (|:| -2266 (-410 |#2|))) (-410 |#2|)))) |noBranch|))) 
+((-3202 (((-635 |#6|) (-635 |#4|) (-121)) 46)) (-3957 ((|#6| |#6|) 39))) 
+(((-617 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -3957 (|#6| |#6|)) (-15 -3202 ((-635 |#6|) (-635 |#4|) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|) (-1102 |#1| |#2| |#3| |#4|)) (T -617)) 
+((-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *10 (-1102 *5 *6 *7 *8)))) (-3957 (*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *2 (-1102 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -3957 (|#6| |#6|)) (-15 -3202 ((-635 |#6|) (-635 |#4|) (-121)))) 
+((-1347 (((-121) |#3| (-765) (-635 |#3|)) 22)) (-2034 (((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)) 51))) 
+(((-618 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1347 ((-121) |#3| (-765) (-635 |#3|))) (-15 -2034 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) (-844) (-790) (-302) (-952 |#3| |#2| |#1|)) (T -618)) 
+((-2034 (*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -3459 (-635 (-2 (|:| |irr| *10) (|:| -4144 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-844)) (-4 *3 (-302)) (-4 *10 (-952 *3 *9 *8)) (-4 *9 (-790)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1161 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1161 *3))))) (-1347 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-765)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-844)) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-952 *3 *7 *6))))) 
+(-10 -7 (-15 -1347 ((-121) |#3| (-765) (-635 |#3|))) (-15 -2034 ((-3 (-2 (|:| |polfac| (-635 |#4|)) (|:| |correct| |#3|) (|:| |corrfact| (-635 (-1161 |#3|)))) "failed") |#3| (-635 (-1161 |#3|)) (-2 (|:| |contp| |#3|) (|:| -3459 (-635 (-2 (|:| |irr| |#4|) (|:| -4144 (-569)))))) (-635 |#3|) (-635 |#1|) (-635 |#3|)))) 
+((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2745 (($ $) 67)) (-3597 (((-657 |#1| |#2|) $) 52)) (-2210 (((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $) 36)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 70)) (-3496 (((-635 (-289 |#2|)) $ $) 33)) (-1912 (((-1111) $) NIL)) (-3408 (($ (-657 |#1| |#2|)) 48)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 58) (((-1266 |#1| |#2|) $) NIL) (((-1271 |#1| |#2|) $) 66)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 53 T CONST)) (-4218 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) 31)) (-3637 (((-635 (-657 |#1| |#2|)) (-635 |#1|)) 65)) (-1326 (((-121) $ $) 54)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 44))) 
+(((-619 |#1| |#2| |#3|) (-13 (-479) (-10 -8 (-15 -3408 ($ (-657 |#1| |#2|))) (-15 -3597 ((-657 |#1| |#2|) $)) (-15 -2210 ((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $)) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1271 |#1| |#2|) $)) (-15 -2745 ($ $)) (-15 -3810 ((-635 |#1|) $)) (-15 -3637 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -4218 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -3496 ((-635 (-289 |#2|)) $ $)))) (-844) (-13 (-173) (-709 (-410 (-569)))) (-919)) (T -619)) 
+((-3408 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-919)))) (-3597 (*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-2210 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-890 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-13 (-173) (-709 (-410 (-569))))) (-14 *4 (-919)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3637 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-709 (-410 (-569))))) (-14 *6 (-919)))) (-4218 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) (-3496 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
+(-13 (-479) (-10 -8 (-15 -3408 ($ (-657 |#1| |#2|))) (-15 -3597 ((-657 |#1| |#2|) $)) (-15 -2210 ((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $)) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1271 |#1| |#2|) $)) (-15 -2745 ($ $)) (-15 -3810 ((-635 |#1|) $)) (-15 -3637 ((-635 (-657 |#1| |#2|)) (-635 |#1|))) (-15 -4218 ((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $)) (-15 -3496 ((-635 (-289 |#2|)) $ $)))) 
+((-3202 (((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)) 70) (((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121)) 56)) (-3355 (((-121) (-635 (-777 |#1| (-854 |#2|)))) 22)) (-3605 (((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)) 69)) (-4452 (((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121)) 55)) (-4378 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|)))) 26)) (-2238 (((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|)))) 25))) 
+(((-620 |#1| |#2|) (-10 -7 (-15 -3355 ((-121) (-635 (-777 |#1| (-854 |#2|))))) (-15 -2238 ((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|))))) (-15 -4378 ((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))))) (-15 -4452 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3605 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)))) (-454) (-635 (-1165))) (T -620)) 
+((-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) (-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) (-3605 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) (-4452 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) (-4378 (*1 *2 *2) (-12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4)))) (-2238 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4)))) (-3355 (*1 *2 *3) (-12 (-5 *3 (-635 (-777 *4 (-854 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1165))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
+(-10 -7 (-15 -3355 ((-121) (-635 (-777 |#1| (-854 |#2|))))) (-15 -2238 ((-3 (-635 (-777 |#1| (-854 |#2|))) "failed") (-635 (-777 |#1| (-854 |#2|))))) (-15 -4378 ((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))))) (-15 -4452 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3605 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1046 |#1| |#2|)) (-635 (-777 |#1| (-854 |#2|))) (-121))) (-15 -3202 ((-635 (-1134 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|)))) (-635 (-777 |#1| (-854 |#2|))) (-121)))) 
+((-3544 (($ $) 38)) (-3467 (($ $) 21)) (-3530 (($ $) 37)) (-3455 (($ $) 22)) (-3559 (($ $) 36)) (-3480 (($ $) 23)) (-3415 (($) 48)) (-3597 (($ $) 45)) (-3433 (($ $) 17)) (-2553 (($ $ (-1085 $)) 7) (($ $ (-1165)) 6)) (-4230 (($ $) 14)) (-2640 (($ $) 13)) (-3408 (($ $) 46)) (-3438 (($ $) 15)) (-3450 (($ $) 16)) (-3565 (($ $) 35)) (-3485 (($ $) 24)) (-3551 (($ $) 34)) (-3473 (($ $) 25)) (-3538 (($ $) 33)) (-3460 (($ $) 26)) (-3585 (($ $) 44)) (-3505 (($ $) 32)) (-3572 (($ $) 43)) (-3490 (($ $) 31)) (-3599 (($ $) 42)) (-3517 (($ $) 30)) (-4527 (($ $) 41)) (-3525 (($ $) 29)) (-3592 (($ $) 40)) (-3510 (($ $) 28)) (-3579 (($ $) 39)) (-3497 (($ $) 27)) (-1900 (($ $) 19)) (-1618 (($ $) 20)) (-3184 (($ $) 18)) (** (($ $ $) 47))) 
+(((-621) (-1284)) (T -621)) 
+((-1618 (*1 *1 *1) (-4 *1 (-621))) (-1900 (*1 *1 *1) (-4 *1 (-621))) (-3184 (*1 *1 *1) (-4 *1 (-621))) (-3433 (*1 *1 *1) (-4 *1 (-621))) (-3450 (*1 *1 *1) (-4 *1 (-621))) (-3438 (*1 *1 *1) (-4 *1 (-621))) (-4230 (*1 *1 *1) (-4 *1 (-621))) (-2640 (*1 *1 *1) (-4 *1 (-621)))) 
+(-13 (-961) (-1185) (-10 -8 (-15 -1618 ($ $)) (-15 -1900 ($ $)) (-15 -3184 ($ $)) (-15 -3433 ($ $)) (-15 -3450 ($ $)) (-15 -3438 ($ $)) (-15 -4230 ($ $)) (-15 -2640 ($ $)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-961) . T) ((-1185) . T) ((-1188) . T)) 
+((-1344 (((-123) (-123)) 87)) (-3433 ((|#2| |#2|) 32)) (-2553 ((|#2| |#2| (-1085 |#2|)) 83) ((|#2| |#2| (-1165)) 56)) (-4230 ((|#2| |#2|) 34)) (-2640 ((|#2| |#2|) 35)) (-3438 ((|#2| |#2|) 31)) (-3450 ((|#2| |#2|) 33)) (-3791 (((-121) (-123)) 38)) (-1900 ((|#2| |#2|) 28)) (-1618 ((|#2| |#2|) 30)) (-3184 ((|#2| |#2|) 29))) 
+(((-622 |#1| |#2|) (-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1618 (|#2| |#2|)) (-15 -1900 (|#2| |#2|)) (-15 -3184 (|#2| |#2|)) (-15 -3433 (|#2| |#2|)) (-15 -3438 (|#2| |#2|)) (-15 -3450 (|#2| |#2|)) (-15 -4230 (|#2| |#2|)) (-15 -2640 (|#2| |#2|)) (-15 -2553 (|#2| |#2| (-1165))) (-15 -2553 (|#2| |#2| (-1085 |#2|)))) (-13 (-844) (-559)) (-13 (-433 |#1|) (-1004) (-1185))) (T -622)) 
+((-2553 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)))) (-2553 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))))) (-2640 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-4230 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3450 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3438 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3433 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-3184 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1900 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1618 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185))))) (-1344 (*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004) (-1185))))) (-3791 (*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185)))))) 
+(-10 -7 (-15 -3791 ((-121) (-123))) (-15 -1344 ((-123) (-123))) (-15 -1618 (|#2| |#2|)) (-15 -1900 (|#2| |#2|)) (-15 -3184 (|#2| |#2|)) (-15 -3433 (|#2| |#2|)) (-15 -3438 (|#2| |#2|)) (-15 -3450 (|#2| |#2|)) (-15 -4230 (|#2| |#2|)) (-15 -2640 (|#2| |#2|)) (-15 -2553 (|#2| |#2| (-1165))) (-15 -2553 (|#2| |#2| (-1085 |#2|)))) 
+((-1719 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 52)) (-1617 (((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 67)) (-2686 (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|)) 69) (((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|)) 68)) (-4129 (((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|))) 105)) (-1461 (((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 82)) (-2843 (((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|))) 116)) (-1897 (((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|))) 57)) (-4222 (((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|))) 39)) (-1727 (((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 49)) (-3797 (((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|))) 89))) 
+(((-623 |#1| |#2|) (-10 -7 (-15 -4129 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -2843 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -1617 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -4222 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1897 ((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -3797 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1461 ((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1727 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1719 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) (-635 (-1165)) (-454)) (T -623)) 
+((-1719 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5)))) (-1727 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-1461 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-854 *4)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5)))) (-3797 (*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1165))) (-5 *1 (-623 *5 *6)))) (-1897 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-1253 *6)) (-5 *1 (-623 *5 *6)))) (-4222 (*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4)))) (-2686 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-2686 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) (-1617 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5)))) (-2843 (*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5))))) (-4129 (*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
+(-10 -7 (-15 -4129 ((-2 (|:| |gblist| (-635 (-243 |#1| |#2|))) (|:| |gvlist| (-635 (-569)))) (-635 (-493 |#1| |#2|)))) (-15 -2843 ((-2 (|:| |glbase| (-635 (-243 |#1| |#2|))) (|:| |glval| (-635 (-569)))) (-635 (-243 |#1| |#2|)))) (-15 -1617 ((-635 (-243 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -2686 ((-493 |#1| |#2|) (-635 (-493 |#1| |#2|)) (-854 |#1|))) (-15 -4222 ((-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1897 ((-1253 |#2|) (-493 |#1| |#2|) (-635 (-493 |#1| |#2|)))) (-15 -3797 ((-243 |#1| |#2|) (-635 |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1461 ((-635 (-493 |#1| |#2|)) (-854 |#1|) (-635 (-493 |#1| |#2|)) (-635 (-493 |#1| |#2|)))) (-15 -1727 ((-243 |#1| |#2|) (-243 |#1| |#2|) (-635 (-243 |#1| |#2|)))) (-15 -1719 ((-493 |#1| |#2|) (-243 |#1| |#2|)))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-57) $ (-1147) (-57)) 16) (((-57) $ (-1165) (-57)) 17)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1147) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1147) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-57) $ (-1147) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1147)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3281 (($ $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-4090 (($ (-391)) 9)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1147)) $) NIL)) (-1591 (((-121) (-1147) $) NIL)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-1816 (((-57) $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1147)) 14) (((-57) $ (-1147) (-57)) NIL) (((-57) $ (-1165)) 15)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2520 (($ $) NIL)) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-624) (-13 (-1176 (-1147) (-57)) (-10 -8 (-15 -4090 ($ (-391))) (-15 -3281 ($ $)) (-15 -2503 ((-57) $ (-1165))) (-15 -2511 ((-57) $ (-1165) (-57))) (-15 -2520 ($ $))))) (T -624)) 
+((-4090 (*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624)))) (-3281 (*1 *1 *1) (-5 *1 (-624))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-57)) (-5 *1 (-624)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1165)) (-5 *1 (-624)))) (-2520 (*1 *1 *1) (-5 *1 (-624)))) 
+(-13 (-1176 (-1147) (-57)) (-10 -8 (-15 -4090 ($ (-391))) (-15 -3281 ($ $)) (-15 -2503 ((-57) $ (-1165))) (-15 -2511 ((-57) $ (-1165) (-57))) (-15 -2520 ($ $)))) 
+((-1383 (($ $ |#2|) 10))) 
+(((-625 |#1| |#2|) (-10 -8 (-15 -1383 (|#1| |#1| |#2|))) (-626 |#2|) (-173)) (T -625)) 
+NIL 
+(-10 -8 (-15 -1383 (|#1| |#1| |#2|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3124 (($ $ $) 26)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 25 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-626 |#1|) (-1284) (-173)) (T -626)) 
+((-3124 (*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(-13 (-709 |t#1|) (-10 -8 (-15 -3124 ($ $ $)) (-6 |NullSquare|) (-6 |JacobiIdentity|) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-1253 (-681 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1552 (((-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4483 (($) NIL T CONST)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3943 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2459 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-1478 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4471 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4174 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1965 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-2212 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1547 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-3168 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-3073 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2097 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (($ (-1253 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3358 (((-919)) NIL (|has| |#2| (-370 |#1|)))) (-3894 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2073 (($ $ (-919)) NIL)) (-1428 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4078 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4015 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-1309 (((-3 $ "failed")) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3707 (((-681 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2858 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-4432 (((-681 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2983 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-3348 (((-1161 (-955 |#1|))) NIL (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-366))))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#1| $) NIL (|has| |#2| (-370 |#1|)))) (-1650 (((-1161 |#1|) $) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-2510 ((|#1|) NIL (|has| |#2| (-420 |#1|))) ((|#1| (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4215 (((-1161 |#1|) $) NIL (|has| |#2| (-370 |#1|)))) (-2431 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-4161 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3983 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2503 ((|#1| $ (-569)) NIL (|has| |#2| (-420 |#1|)))) (-3672 (((-681 |#1|) (-1253 $)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|))) (((-681 |#1|) (-1253 $) (-1253 $)) NIL (|has| |#2| (-370 |#1|))) (((-1253 |#1|) $ (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-4035 (($ (-1253 |#1|)) NIL (|has| |#2| (-420 |#1|))) (((-1253 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3127 (((-635 (-955 |#1|))) NIL (|has| |#2| (-420 |#1|))) (((-635 (-955 |#1|)) (-1253 $)) NIL (|has| |#2| (-370 |#1|)))) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3956 (((-852) $) NIL) ((|#2| $) 12) (($ |#2|) 13)) (-4079 (((-1253 $)) NIL (|has| |#2| (-420 |#1|)))) (-2628 (((-635 (-1253 |#1|))) NIL (-1929 (-12 (|has| |#2| (-370 |#1|)) (|has| |#1| (-559))) (-12 (|has| |#2| (-420 |#1|)) (|has| |#1| (-559)))))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1772 (($ (-681 |#1|) $) NIL (|has| |#2| (-420 |#1|)))) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-3952 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-1606 (((-121)) NIL (|has| |#2| (-370 |#1|)))) (-2407 (($) 15 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 17)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 11) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-627 |#1| |#2|) (-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) (-173) (-738 |#1|)) (T -627)) 
+((-3956 (*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-738 *3))))) 
+(-13 (-738 |#1|) (-609 |#2|) (-10 -8 (-15 -3956 ($ |#2|)) (IF (|has| |#2| (-420 |#1|)) (-6 (-420 |#1|)) |noBranch|) (IF (|has| |#2| (-370 |#1|)) (-6 (-370 |#1|)) |noBranch|))) 
+((-2091 (((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)) 78) (((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|))) 100)) (-1782 (((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|))) 105))) 
+(((-628 |#1| |#2|) (-10 -7 (-15 -2091 ((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|)))) (-15 -1782 ((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|)))) (-15 -2091 ((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -628)) 
+((-2091 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1147)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-837 *3)) (-5 *1 (-628 *6 *3)))) (-1782 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-830 *3))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-830 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 *3))) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3))))) 
+(-10 -7 (-15 -2091 ((-3 (-837 |#2|) (-2 (|:| |leftHandLimit| (-3 (-837 |#2|) "failed")) (|:| |rightHandLimit| (-3 (-837 |#2|) "failed"))) "failed") |#2| (-289 (-837 |#2|)))) (-15 -1782 ((-3 (-830 |#2|) "failed") |#2| (-289 (-830 |#2|)))) (-15 -2091 ((-3 (-837 |#2|) "failed") |#2| (-289 |#2|) (-1147)))) 
+((-2091 (((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)) 79) (((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 18) (((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|)))) 34)) (-1782 (((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 21) (((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|)))) 42))) 
+(((-629 |#1|) (-10 -7 (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)))) (-454)) (T -629)) 
+((-2091 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-955 *6)))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-837 *3)) (-5 *1 (-629 *6)))) (-1782 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-830 *3)) (-5 *1 (-629 *5)))) (-1782 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-830 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-830 (-410 (-955 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) (-2091 (*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-837 (-410 (-955 *5))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 *5))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5)))))) 
+(-10 -7 (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-837 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 |#1|))) "failed"))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-830 (-955 |#1|))))) (-15 -1782 ((-830 (-410 (-955 |#1|))) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -2091 ((-3 (-837 (-410 (-955 |#1|))) "failed") (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))) (-1147)))) 
+((-1977 (((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|) 57 (-3182 (|has| |#1| (-366)))) (((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|) 42 (|has| |#1| (-366)))) (-4045 (((-121) (-1253 |#2|)) 30)) (-2453 (((-3 (-1253 |#1|) "failed") (-1253 |#2|)) 33))) 
+(((-630 |#1| |#2|) (-10 -7 (-15 -4045 ((-121) (-1253 |#2|))) (-15 -2453 ((-3 (-1253 |#1|) "failed") (-1253 |#2|))) (IF (|has| |#1| (-366)) (-15 -1977 ((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|)) (-15 -1977 ((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|)))) (-559) (-631 |#1|)) (T -630)) 
+((-1977 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-3182 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1253 (-410 *5))) (-5 *1 (-630 *5 *4)))) (-1977 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1253 *5)) (-5 *1 (-630 *5 *4)))) (-2453 (*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1253 *4)) (-5 *1 (-630 *4 *5)))) (-4045 (*1 *2 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
+(-10 -7 (-15 -4045 ((-121) (-1253 |#2|))) (-15 -2453 ((-3 (-1253 |#1|) "failed") (-1253 |#2|))) (IF (|has| |#1| (-366)) (-15 -1977 ((-3 (-1253 |#1|) "failed") (-1253 |#2|) |#2|)) (-15 -1977 ((-3 (-1253 (-410 |#1|)) "failed") (-1253 |#2|) |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3435 (((-681 |#1|) (-681 $)) 35) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 34)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-631 |#1|) (-1284) (-1049)) (T -631)) 
+((-3435 (*1 *2 *3) (-12 (-5 *3 (-681 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1049)) (-5 *2 (-681 *4)))) (-3435 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *1)) (-5 *4 (-1253 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 *5))))))) 
+(-13 (-1049) (-10 -8 (-15 -3435 ((-681 |t#1|) (-681 $))) (-15 -3435 ((-2 (|:| -4463 (-681 |t#1|)) (|:| |vec| (-1253 |t#1|))) (-681 $) (-1253 $))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2907 ((|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)) 18) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|)) 19) ((|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|) 16) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|) 17) ((|#2| (-635 |#1|) (-635 |#2|) |#1|) 10) (((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|)) 12))) 
+(((-632 |#1| |#2|) (-10 -7 (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) (-1093) (-1199)) (T -632)) 
+((-2907 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-632 *5 *6)))) (-2907 (*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1093)) (-4 *5 (-1199)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) (-2907 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) (-2907 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6))))) 
+(-10 -7 (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) |#2|)) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| |#2|)) (-15 -2907 ((-1 |#2| |#1|) (-635 |#1|) (-635 |#2|) (-1 |#2| |#1|))) (-15 -2907 (|#2| (-635 |#1|) (-635 |#2|) |#1| (-1 |#2| |#1|)))) 
+((-2247 (((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|) 18)) (-4188 (((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)) 13))) 
+(((-633 |#1| |#2|) (-10 -7 (-15 -2247 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) (-1199) (-1199)) (T -633)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-633 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5))))) 
+(-10 -7 (-15 -2247 ((-635 |#2|) (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-635 |#1|) |#2|)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-635 |#1|)))) 
+((-4188 (((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)) 13))) 
+(((-634 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) (-1199) (-1199) (-1199)) (T -634)) 
+((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8))))) 
+(-10 -7 (-15 -4188 ((-635 |#3|) (-1 |#3| |#1| |#2|) (-635 |#1|) (-635 |#2|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) $) NIL (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) NIL)) (-1744 (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844)))) (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-2930 (($ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-1895 (($ $ $) 31 (|has| |#1| (-1093)))) (-1884 (($ $ $) 33 (|has| |#1| (-1093)))) (-1878 (($ $ $) 36 (|has| |#1| (-1093)))) (-1304 (($ (-1 (-121) |#1|) $) NIL)) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1864 (($ $) NIL) (($ $ (-765)) NIL)) (-2938 (($ $) NIL (|has| |#1| (-1093)))) (-1858 (($ $) 30 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) NIL (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) NIL)) (-3503 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-3988 (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093))) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3844 (((-121) $) 9)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4317 (($) 7)) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-4002 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-2102 (($ $ $) NIL (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 32 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1832 (($ |#1|) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2351 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-4363 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) 35) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) NIL)) (-1313 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 44 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-1792 (($ |#1| $) 10)) (-4422 (($ $ $) NIL) (($ $ |#1|) NIL)) (-4456 (($ $ $) 29) (($ |#1| $) NIL) (($ (-635 $)) NIL) (($ $ |#1|) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3650 (($ $ $) 11)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 25 (|has| |#1| (-825))) (((-1147) $ (-121)) 26 (|has| |#1| (-825))) (((-1258) (-819) $) 27 (|has| |#1| (-825))) (((-1258) (-819) $ (-121)) 28 (|has| |#1| (-825)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-635 |#1|) (-13 (-659 |#1|) (-10 -8 (-15 -4317 ($)) (-15 -3844 ((-121) $)) (-15 -1792 ($ |#1| $)) (-15 -3650 ($ $ $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1895 ($ $ $)) (-15 -1884 ($ $ $)) (-15 -1878 ($ $ $))) |noBranch|) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) (-1199)) (T -635)) 
+((-4317 (*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-3844 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1199)))) (-1792 (*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-3650 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) (-1895 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)))) (-1884 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)))) (-1878 (*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
+(-13 (-659 |#1|) (-10 -8 (-15 -4317 ($)) (-15 -3844 ((-121) $)) (-15 -1792 ($ |#1| $)) (-15 -3650 ($ $ $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1895 ($ $ $)) (-15 -1884 ($ $ $)) (-15 -1878 ($ $ $))) |noBranch|) (IF (|has| |#1| (-825)) (-6 (-825)) |noBranch|))) 
+((-1865 (((-635 |#1|) |#2| (-569)) 21)) (-2163 (((-681 |#1|) (-635 |#2|) (-569)) 30)) (-3653 (((-681 |#1|) (-635 |#2|) (-569)) 28))) 
+(((-636 |#1| |#2|) (-10 -7 (-15 -2163 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -3653 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -1865 ((-635 |#1|) |#2| (-569)))) (-366) (-642 |#1|)) (T -636)) 
+((-1865 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5)))) (-3653 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6)))) (-2163 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
+(-10 -7 (-15 -2163 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -3653 ((-681 |#1|) (-635 |#2|) (-569))) (-15 -1865 ((-635 |#1|) |#2| (-569)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2681 (($ |#1| |#1| $) 43)) (-3350 (((-121) $ (-765)) NIL)) (-1304 (($ (-1 (-121) |#1|) $) 56 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2938 (($ $) 45)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 51 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 53 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 9 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 46)) (-2351 (($ |#1| $) 26) (($ |#1| $ (-765)) 42)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2166 ((|#1| $) 48)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 21)) (-4016 (($) 25)) (-2469 (((-121) $) 49)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 60)) (-1353 (($) 23) (($ (-635 |#1|)) 18)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) 57 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 19)) (-4035 (((-542) $) 34 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-3956 (((-852) $) 14 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 22)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 62 (|has| |#1| (-1093)))) (-2946 (((-765) $) 16 (|has| $ (-6 -4571))))) 
+(((-637 |#1|) (-13 (-686 |#1|) (-10 -8 (-6 -4571) (-15 -2469 ((-121) $)) (-15 -2681 ($ |#1| |#1| $)))) (-1093)) (T -637)) 
+((-2469 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1093)))) (-2681 (*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1093))))) 
+(-13 (-686 |#1|) (-10 -8 (-6 -4571) (-15 -2469 ((-121) $)) (-15 -2681 ($ |#1| |#1| $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22))) 
+(((-638 |#1|) (-1284) (-1056)) (T -638)) 
+((* (*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1056))))) 
 (-13 (-21) (-10 -8 (-15 * ($ |t#1| $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2085 (((-764) $) 15)) (-2542 (($ $ |#1|) 55)) (-1302 (($ $) 32)) (-2052 (($ $) 31)) (-1647 (((-3 |#1| "failed") $) 47)) (-2428 ((|#1| $) NIL)) (-2372 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-1982 (((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569)) 45)) (-3082 ((|#1| $ (-569)) 30)) (-2248 ((|#2| $ (-569)) 29)) (-4101 (($ (-1 |#1| |#1|) $) 34)) (-1599 (($ (-1 |#2| |#2|) $) 38)) (-2555 (($) 10)) (-3961 (($ |#1| |#2|) 22)) (-2746 (($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|)))) 23)) (-3061 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $) 13)) (-2589 (($ |#1| $) 56)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1762 (((-121) $ $) 58)) (-2185 (((-851) $) 19) (($ |#1|) 16)) (-1668 (((-121) $ $) 25))) 
-(((-639 |#1| |#2| |#3|) (-13 (-1091) (-1038 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569))) (-15 -3061 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $)) (-15 -3961 ($ |#1| |#2|)) (-15 -2746 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))))) (-15 -2248 (|#2| $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -2052 ($ $)) (-15 -1302 ($ $)) (-15 -2085 ((-764) $)) (-15 -2555 ($)) (-15 -2542 ($ $ |#1|)) (-15 -2589 ($ |#1| $)) (-15 -2372 ($ |#1| |#2| $)) (-15 -2372 ($ $ $)) (-15 -1762 ((-121) $ $)) (-15 -1599 ($ (-1 |#2| |#2|) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)))) (-1091) (-23) |#2|) (T -639)) 
-((-1982 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-851) (-851) (-851))) (-5 *4 (-569)) (-5 *2 (-851)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1091)) (-4 *6 (-23)) (-14 *7 *6))) (-3061 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-3961 (*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2746 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1091)) (-14 *5 *2))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1091)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-2052 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-1302 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-2555 (*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2542 (*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2589 (*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2372 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-2372 (*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) (-1762 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) (-1599 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)))) (-4101 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(-13 (-1091) (-1038 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-1 (-851) (-851) (-851)) (-1 (-851) (-851) (-851)) (-569))) (-15 -3061 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))) $)) (-15 -3961 ($ |#1| |#2|)) (-15 -2746 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -2436 |#2|))))) (-15 -2248 (|#2| $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -2052 ($ $)) (-15 -1302 ($ $)) (-15 -2085 ((-764) $)) (-15 -2555 ($)) (-15 -2542 ($ $ |#1|)) (-15 -2589 ($ |#1| $)) (-15 -2372 ($ |#1| |#2| $)) (-15 -2372 ($ $ $)) (-15 -1762 ((-121) $ $)) (-15 -1599 ($ (-1 |#2| |#2|) $)) (-15 -4101 ($ (-1 |#1| |#1|) $)))) 
-((-1285 (((-569) $) 23)) (-3614 (($ |#2| $ (-569)) 21) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) 12)) (-3533 (((-121) (-569) $) 14)) (-2250 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-635 $)) NIL))) 
-(((-640 |#1| |#2|) (-10 -8 (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -1285 ((-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -3533 ((-121) (-569) |#1|))) (-641 |#2|) (-1197)) (T -640)) 
-NIL 
-(-10 -8 (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -2250 (|#1| (-635 |#1|))) (-15 -2250 (|#1| |#1| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -1285 ((-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -3533 ((-121) (-569) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-641 |#1|) (-1278) (-1197)) (T -641)) 
-((-2659 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-2250 (*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3010 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3010 (*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-3614 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1197)))) (-3614 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1213 (-569))) (|has| *1 (-6 -4536)) (-4 *1 (-641 *2)) (-4 *2 (-1197))))) 
-(-13 (-602 (-569) |t#1|) (-155 |t#1|) (-10 -8 (-15 -2659 ($ (-764) |t#1|)) (-15 -2250 ($ $ |t#1|)) (-15 -2250 ($ |t#1| $)) (-15 -2250 ($ $ $)) (-15 -2250 ($ (-635 $))) (-15 -1544 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -1534 ($ $ (-1213 (-569)))) (-15 -3010 ($ $ (-569))) (-15 -3010 ($ $ (-1213 (-569)))) (-15 -3614 ($ |t#1| $ (-569))) (-15 -3614 ($ $ $ (-569))) (IF (|has| $ (-6 -4536)) (-15 -4469 (|t#1| $ (-1213 (-569)) |t#1|)) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 115)) (-3534 (((-1163) $) 120)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $ (-569) (-569)) 126) (($ $ (-569)) 125)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 118)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-3036 (($ $ (-569)) 86)) (-3343 (($ (-569) |#1| $) 87)) (-1364 (($ $ $) 92)) (-2820 (($) 16 T CONST)) (-1783 (($ (-569) $) 89) (($ $) 88)) (-3338 (($ $) 93)) (-2506 (($ $ $) 53)) (-4020 (($ $) 108)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-3987 (((-121) (-121)) 83) (((-121)) 82)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1372 (($ $) 95)) (-2777 (((-121) $) 116)) (-3610 (((-3 (-569) "failed") $) 94)) (-2558 (((-569) $ (-569)) 124) (((-569) $) 123) (((-569) $) 99)) (-1407 (((-121) $) 30)) (-3089 (($ $ (-918)) 122)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3523 (((-121) $) 106)) (-4476 (($ (-635 $) (-635 (-764)) (-569)) 90)) (-1763 (($ $ (-635 (-1076)) (-635 (-569))) 114) (($ $ (-1076) (-569)) 113) (($ |#1| (-569)) 107)) (-1544 (($ (-1 |#1| |#1|) $) 105)) (-1804 (($ $) 103)) (-4012 ((|#1| $) 102)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-4431 ((|#1| $ (-569)) 98)) (-3669 (($ $ (-569)) 85)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3499 (($ $ (-569)) 128)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1468 (((-1143 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2622 (((-764) $) 56)) (-1534 (($ $ $) 142 (|has| (-569) (-1103))) ((|#1| $ (-569)) 119)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3899 (($ $) 141 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) 139 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) 137 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 136 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 135 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 134 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-2906 (($ (-1 $)) 91)) (-2492 (((-569) $) 104)) (-3659 (($ $) 117)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 112 (|has| |#1| (-173))) (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 97) (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 96)) (-1653 ((|#1| $ (-569)) 109)) (-3095 ((|#1| $) 84)) (-3953 (((-3 $ "failed") $) 111 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 121)) (-1961 (((-121) $ $) 38)) (-2994 ((|#1| $ (-569)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 140 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) 138 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) 133 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 132 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 131 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 130 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
-(((-642 |#1|) (-1278) (-366)) (T -642)) 
-((-2558 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4431 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) (-1372 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3610 (*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-3338 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-1364 (*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2906 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4476 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-764))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-1783 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3343 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3669 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3095 (*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3987 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3987 (*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(-13 (-366) (-1224 |t#1| (-569)) (-10 -8 (-15 -2558 ((-569) $)) (-15 -4431 (|t#1| $ (-569))) (-15 -2185 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -2185 ((-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))) $)) (-15 -1372 ($ $)) (-15 -3610 ((-3 (-569) "failed") $)) (-15 -3338 ($ $)) (-15 -1364 ($ $ $)) (-15 -2906 ($ (-1 $))) (-15 -4476 ($ (-635 $) (-635 (-764)) (-569))) (-15 -1783 ($ (-569) $)) (-15 -1783 ($ $)) (-15 -3343 ($ (-569) |t#1| $)) (-15 -3036 ($ $ (-569))) (-15 -3669 ($ $ (-569))) (-15 -3095 (|t#1| $)) (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) . T) ((-282 $ $) |has| (-569) (-1103)) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) . T) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-569) (-1076)) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1224 |#1| (-569)) . T)) 
-((-4435 (((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163)) 43))) 
-(((-643 |#1| |#2| |#3|) (-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163))) (-15 -4435 ((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960)) (-647 |#2|)) (T -643)) 
-((-4435 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) "failed") |#3| |#2| (-1163))) (-15 -4435 ((-3 |#2| "failed") |#3| |#2| (-1163) |#2| (-635 |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) NIL (|has| |#1| (-366)))) (-3665 (($ $ (-764)) NIL (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) NIL)) (-2823 (($ $ $) NIL (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) NIL)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2675 (((-765) $) 15)) (-4121 (($ $ |#1|) 55)) (-2887 (($ $) 32)) (-1871 (($ $) 31)) (-3003 (((-3 |#1| "failed") $) 47)) (-1321 ((|#1| $) NIL)) (-2271 (($ |#1| |#2| $) 60) (($ $ $) 61)) (-2078 (((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569)) 45)) (-1906 ((|#1| $ (-569)) 30)) (-2237 ((|#2| $ (-569)) 29)) (-1648 (($ (-1 |#1| |#1|) $) 34)) (-1611 (($ (-1 |#2| |#2|) $) 38)) (-4354 (($) 10)) (-2534 (($ |#1| |#2|) 22)) (-3062 (($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|)))) 23)) (-2752 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $) 13)) (-3820 (($ |#1| $) 56)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2074 (((-121) $ $) 58)) (-3956 (((-852) $) 19) (($ |#1|) 16)) (-1326 (((-121) $ $) 25))) 
+(((-639 |#1| |#2| |#3|) (-13 (-1093) (-1039 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569))) (-15 -2752 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $)) (-15 -2534 ($ |#1| |#2|)) (-15 -3062 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))))) (-15 -2237 (|#2| $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1871 ($ $)) (-15 -2887 ($ $)) (-15 -2675 ((-765) $)) (-15 -4354 ($)) (-15 -4121 ($ $ |#1|)) (-15 -3820 ($ |#1| $)) (-15 -2271 ($ |#1| |#2| $)) (-15 -2271 ($ $ $)) (-15 -2074 ((-121) $ $)) (-15 -1611 ($ (-1 |#2| |#2|) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)))) (-1093) (-23) |#2|) (T -639)) 
+((-2078 (*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-852) (-852) (-852))) (-5 *4 (-569)) (-5 *2 (-852)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1093)) (-4 *6 (-23)) (-14 *7 *6))) (-2752 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-2534 (*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-3062 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1093)) (-14 *5 *2))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1093)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) (-1871 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2887 (*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-4354 (*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-4121 (*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-3820 (*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2271 (*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2271 (*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) (-2074 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) (-1611 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)))) (-1648 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(-13 (-1093) (-1039 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-1 (-852) (-852) (-852)) (-1 (-852) (-852) (-852)) (-569))) (-15 -2752 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))) $)) (-15 -2534 ($ |#1| |#2|)) (-15 -3062 ($ (-635 (-2 (|:| |gen| |#1|) (|:| -3408 |#2|))))) (-15 -2237 (|#2| $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -1871 ($ $)) (-15 -2887 ($ $)) (-15 -2675 ((-765) $)) (-15 -4354 ($)) (-15 -4121 ($ $ |#1|)) (-15 -3820 ($ |#1| $)) (-15 -2271 ($ |#1| |#2| $)) (-15 -2271 ($ $ $)) (-15 -2074 ((-121) $ $)) (-15 -1611 ($ (-1 |#2| |#2|) $)) (-15 -1648 ($ (-1 |#1| |#1|) $)))) 
+((-1301 (((-569) $) 23)) (-2583 (($ |#2| $ (-569)) 21) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) 12)) (-3292 (((-121) (-569) $) 14)) (-4456 (($ $ |#2|) 18) (($ |#2| $) 19) (($ $ $) NIL) (($ (-635 $)) NIL))) 
+(((-640 |#1| |#2|) (-10 -8 (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -1301 ((-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -3292 ((-121) (-569) |#1|))) (-641 |#2|) (-1199)) (T -640)) 
+NIL 
+(-10 -8 (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -4456 (|#1| (-635 |#1|))) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -1301 ((-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -3292 ((-121) (-569) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-641 |#1|) (-1284) (-1199)) (T -641)) 
+((-2446 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-4456 (*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2077 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2077 (*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2583 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1199)))) (-2583 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-1219 (-569))) (|has| *1 (-6 -4572)) (-4 *1 (-641 *2)) (-4 *2 (-1199))))) 
+(-13 (-602 (-569) |t#1|) (-155 |t#1|) (-10 -8 (-15 -2446 ($ (-765) |t#1|)) (-15 -4456 ($ $ |t#1|)) (-15 -4456 ($ |t#1| $)) (-15 -4456 ($ $ $)) (-15 -4456 ($ (-635 $))) (-15 -4188 ($ (-1 |t#1| |t#1| |t#1|) $ $)) (-15 -2503 ($ $ (-1219 (-569)))) (-15 -2077 ($ $ (-569))) (-15 -2077 ($ $ (-1219 (-569)))) (-15 -2583 ($ |t#1| $ (-569))) (-15 -2583 ($ $ $ (-569))) (IF (|has| $ (-6 -4572)) (-15 -2511 (|t#1| $ (-1219 (-569)) |t#1|)) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 115)) (-1948 (((-1165) $) 120)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $ (-569) (-569)) 126) (($ $ (-569)) 125)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 118)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2546 (($ $ (-569)) 86)) (-4314 (($ (-569) |#1| $) 87)) (-1887 (($ $ $) 92)) (-4483 (($) 16 T CONST)) (-4339 (($ (-569) $) 89) (($ $) 88)) (-4187 (($ $) 93)) (-1614 (($ $ $) 53)) (-3373 (($ $) 108)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2847 (((-121) (-121)) 83) (((-121)) 82)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-4120 (($ $) 95)) (-2641 (((-121) $) 116)) (-4398 (((-3 (-569) "failed") $) 94)) (-4433 (((-569) $ (-569)) 124) (((-569) $) 123) (((-569) $) 99)) (-3934 (((-121) $) 30)) (-2058 (($ $ (-919)) 122)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3052 (((-121) $) 106)) (-1548 (($ (-635 $) (-635 (-765)) (-569)) 90)) (-3179 (($ $ (-635 (-1077)) (-635 (-569))) 114) (($ $ (-1077) (-569)) 113) (($ |#1| (-569)) 107)) (-4188 (($ (-1 |#1| |#1|) $) 105)) (-3263 (($ $) 103)) (-3270 ((|#1| $) 102)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2765 ((|#1| $ (-569)) 98)) (-3241 (($ $ (-569)) 85)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3803 (($ $ (-569)) 128)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1484 (((-1145 |#1|) $ |#1|) 129 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2061 (((-765) $) 56)) (-2503 (($ $ $) 142 (|has| (-569) (-1105))) ((|#1| $ (-569)) 119)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3289 (($ $) 141 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) 139 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) 137 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 136 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 135 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 134 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-2393 (($ (-1 $)) 91)) (-2284 (((-569) $) 104)) (-2994 (($ $) 117)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 112 (|has| |#1| (-173))) (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 97) (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 96)) (-3802 ((|#1| $ (-569)) 109)) (-4220 ((|#1| $) 84)) (-2277 (((-3 $ "failed") $) 111 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 121)) (-2909 (((-121) $ $) 38)) (-4334 ((|#1| $ (-569)) 127 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 140 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) 138 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) 133 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 132 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 131 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 130 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 110 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 101) (($ $ |#1|) 100))) 
+(((-642 |#1|) (-1284) (-366)) (T -642)) 
+((-4433 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) (-4120 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-4398 (*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4187 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-1887 (*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2393 (*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-1548 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-765))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4339 (*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-4314 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-3241 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-4220 (*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) (-2847 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) (-2847 (*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(-13 (-366) (-1230 |t#1| (-569)) (-10 -8 (-15 -4433 ((-569) $)) (-15 -2765 (|t#1| $ (-569))) (-15 -3956 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3956 ((-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))) $)) (-15 -4120 ($ $)) (-15 -4398 ((-3 (-569) "failed") $)) (-15 -4187 ($ $)) (-15 -1887 ($ $ $)) (-15 -2393 ($ (-1 $))) (-15 -1548 ($ (-635 $) (-635 (-765)) (-569))) (-15 -4339 ($ (-569) $)) (-15 -4339 ($ $)) (-15 -4314 ($ (-569) |t#1| $)) (-15 -2546 ($ $ (-569))) (-15 -3241 ($ $ (-569))) (-15 -4220 (|t#1| $)) (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) . T) ((-282 $ $) |has| (-569) (-1105)) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) . T) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-569) (-1077)) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1230 |#1| (-569)) . T)) 
+((-2880 (((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)) 159) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165)) 43))) 
+(((-643 |#1| |#2| |#3|) (-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165))) (-15 -2880 ((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961)) (-647 |#2|)) (T -643)) 
+((-2880 (*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) "failed") |#3| |#2| (-1165))) (-15 -2880 ((-3 |#2| "failed") |#3| |#2| (-1165) |#2| (-635 |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) NIL (|has| |#1| (-366)))) (-3165 (($ $ (-765)) NIL (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) NIL)) (-1295 (($ $ $) NIL (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) NIL)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
 (((-644 |#1|) (-647 |#1|) (-226)) (T -644)) 
 NIL 
 (-647 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) NIL (|has| |#1| (-366)))) (-3665 (($ $ (-764)) NIL (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-2823 (($ $ $) NIL (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) NIL)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-645 |#1| |#2|) (-13 (-647 |#1|) (-282 |#2| |#2|)) (-226) (-13 (-638 |#1|) (-10 -8 (-15 -3899 ($ $))))) (T -645)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) NIL (|has| |#1| (-366)))) (-3165 (($ $ (-765)) NIL (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) NIL) ((|#2| $ |#2|) 13)) (-1295 (($ $ $) NIL (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) NIL)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-645 |#1| |#2|) (-13 (-647 |#1|) (-282 |#2| |#2|)) (-226) (-13 (-638 |#1|) (-10 -8 (-15 -3289 ($ $))))) (T -645)) 
 NIL 
 (-13 (-647 |#1|) (-282 |#2| |#2|)) 
-((-2685 (($ $) 26)) (-3724 (($ $) 24)) (-3022 (($) 12))) 
-(((-646 |#1| |#2|) (-10 -8 (-15 -2685 (|#1| |#1|)) (-15 -3724 (|#1| |#1|)) (-15 -3022 (|#1|))) (-647 |#2|) (-1048)) (T -646)) 
-NIL 
-(-10 -8 (-15 -2685 (|#1| |#1|)) (-15 -3724 (|#1| |#1|)) (-15 -3022 (|#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2685 (($ $) 79 (|has| |#1| (-366)))) (-2238 (($ $ $) 81 (|has| |#1| (-366)))) (-3665 (($ $ (-764)) 80 (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2812 (($ $ $) 44 (|has| |#1| (-366)))) (-1709 (($ $ $) 45 (|has| |#1| (-366)))) (-1341 (($ $ $) 47 (|has| |#1| (-366)))) (-2818 (($ $ $) 42 (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41 (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 46 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-2428 (((-569) $) 74 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 67)) (-4020 (($ $) 63)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 54 (|has| |#1| (-454)))) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 61)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 56 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 57 (|has| |#1| (-559)))) (-4002 (((-764) $) 65)) (-1811 (($ $ $) 51 (|has| |#1| (-366)))) (-4040 (($ $ $) 52 (|has| |#1| (-366)))) (-3029 (($ $ $) 40 (|has| |#1| (-366)))) (-3402 (($ $ $) 49 (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 48 (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 53 (|has| |#1| (-366)))) (-4012 ((|#1| $) 64)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) 84)) (-2823 (($ $ $) 78 (|has| |#1| (-366)))) (-2492 (((-764) $) 66)) (-3298 ((|#1| $) 55 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 69)) (-3382 (((-635 |#1|) $) 60)) (-1653 ((|#1| $ (-764)) 62)) (-1991 (((-764)) 28)) (-1943 ((|#1| $ |#1| |#1|) 59)) (-3724 (($ $) 82)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($) 83)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-647 |#1|) (-1278) (-1048)) (T -647)) 
-((-3022 (*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) (-3724 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) (-2238 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3665 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-647 *3)) (-4 *3 (-1048)) (-4 *3 (-366)))) (-2685 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2823 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(-13 (-845 |t#1|) (-282 |t#1| |t#1|) (-10 -8 (-15 -3022 ($)) (-15 -3724 ($ $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -2238 ($ $ $)) (-15 -3665 ($ $ (-764))) (-15 -2685 ($ $)) (-15 -2823 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-282 |#1| |#1|) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-845 |#1|) . T)) 
-((-3221 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 72 (|has| |#1| (-27)))) (-1743 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 71 (|has| |#1| (-27))) (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 15))) 
-(((-648 |#1| |#2|) (-10 -7 (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -3221 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -648)) 
-((-3221 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6)))))) 
-(-10 -7 (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1743 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -3221 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2685 (($ $) NIL (|has| |#1| (-366)))) (-2238 (($ $ $) 28 (|has| |#1| (-366)))) (-3665 (($ $ (-764)) 31 (|has| |#1| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-1534 ((|#1| $ |#1|) 24)) (-2823 (($ $ $) 33 (|has| |#1| (-366)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) 20) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) 23)) (-3724 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 8 T CONST)) (-3022 (($) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-649 |#1| |#2|) (-647 |#1|) (-1048) (-1 |#1| |#1|)) (T -649)) 
+((-4156 (($ $) 26)) (-1947 (($ $) 24)) (-3712 (($) 12))) 
+(((-646 |#1| |#2|) (-10 -8 (-15 -4156 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -3712 (|#1|))) (-647 |#2|) (-1049)) (T -646)) 
+NIL 
+(-10 -8 (-15 -4156 (|#1| |#1|)) (-15 -1947 (|#1| |#1|)) (-15 -3712 (|#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-4156 (($ $) 79 (|has| |#1| (-366)))) (-2016 (($ $ $) 81 (|has| |#1| (-366)))) (-3165 (($ $ (-765)) 80 (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4298 (($ $ $) 44 (|has| |#1| (-366)))) (-2425 (($ $ $) 45 (|has| |#1| (-366)))) (-2581 (($ $ $) 47 (|has| |#1| (-366)))) (-4431 (($ $ $) 42 (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41 (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 46 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-1321 (((-569) $) 74 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 67)) (-3373 (($ $) 63)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 54 (|has| |#1| (-454)))) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 61)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 56 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 57 (|has| |#1| (-559)))) (-4294 (((-765) $) 65)) (-3602 (($ $ $) 51 (|has| |#1| (-366)))) (-2807 (($ $ $) 52 (|has| |#1| (-366)))) (-3262 (($ $ $) 40 (|has| |#1| (-366)))) (-3336 (($ $ $) 49 (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 48 (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 53 (|has| |#1| (-366)))) (-3270 ((|#1| $) 64)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) 84)) (-1295 (($ $ $) 78 (|has| |#1| (-366)))) (-2284 (((-765) $) 66)) (-2363 ((|#1| $) 55 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 69)) (-2894 (((-635 |#1|) $) 60)) (-3802 ((|#1| $ (-765)) 62)) (-2320 (((-765)) 28)) (-1772 ((|#1| $ |#1| |#1|) 59)) (-1947 (($ $) 82)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($) 83)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-647 |#1|) (-1284) (-1049)) (T -647)) 
+((-3712 (*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) (-1947 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) (-2016 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3165 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-647 *3)) (-4 *3 (-1049)) (-4 *3 (-366)))) (-4156 (*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1295 (*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(-13 (-846 |t#1|) (-282 |t#1| |t#1|) (-10 -8 (-15 -3712 ($)) (-15 -1947 ($ $)) (IF (|has| |t#1| (-366)) (PROGN (-15 -2016 ($ $ $)) (-15 -3165 ($ $ (-765))) (-15 -4156 ($ $)) (-15 -1295 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-282 |#1| |#1|) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-846 |#1|) . T)) 
+((-4279 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 72 (|has| |#1| (-27)))) (-3139 (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))) 71 (|has| |#1| (-27))) (((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 15))) 
+(((-648 |#1| |#2|) (-10 -7 (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -4279 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -648)) 
+((-4279 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6)))))) 
+(-10 -7 (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -3139 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|)))) (-15 -4279 ((-635 (-644 (-410 |#2|))) (-644 (-410 |#2|))))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4156 (($ $) NIL (|has| |#1| (-366)))) (-2016 (($ $ $) 28 (|has| |#1| (-366)))) (-3165 (($ $ (-765)) 31 (|has| |#1| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2503 ((|#1| $ |#1|) 24)) (-1295 (($ $ $) 33 (|has| |#1| (-366)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) 20) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) 23)) (-1947 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 8 T CONST)) (-3712 (($) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-649 |#1| |#2|) (-647 |#1|) (-1049) (-1 |#1| |#1|)) (T -649)) 
 NIL 
 (-647 |#1|) 
-((-2238 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-3665 ((|#2| |#2| (-764) (-1 |#1| |#1|)) 42)) (-2823 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
-(((-650 |#1| |#2|) (-10 -7 (-15 -2238 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3665 (|#2| |#2| (-764) (-1 |#1| |#1|))) (-15 -2823 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -650)) 
-((-2823 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4)))) (-3665 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5)))) (-2238 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(-10 -7 (-15 -2238 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3665 (|#2| |#2| (-764) (-1 |#1| |#1|))) (-15 -2823 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
-((-2547 (($ $ $) 9))) 
-(((-651 |#1|) (-10 -8 (-15 -2547 (|#1| |#1| |#1|))) (-652)) (T -651)) 
-NIL 
-(-10 -8 (-15 -2547 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-1679 (($ $) 10)) (-2547 (($ $ $) 8)) (-1668 (((-121) $ $) 6)) (-2540 (($ $ $) 9))) 
-(((-652) (-1278)) (T -652)) 
-((-1679 (*1 *1 *1) (-4 *1 (-652))) (-2540 (*1 *1 *1 *1) (-4 *1 (-652))) (-2547 (*1 *1 *1 *1) (-4 *1 (-652)))) 
-(-13 (-105) (-10 -8 (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)))) 
+((-2016 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 61)) (-3165 ((|#2| |#2| (-765) (-1 |#1| |#1|)) 42)) (-1295 ((|#2| |#2| |#2| (-1 |#1| |#1|)) 63))) 
+(((-650 |#1| |#2|) (-10 -7 (-15 -2016 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3165 (|#2| |#2| (-765) (-1 |#1| |#1|))) (-15 -1295 (|#2| |#2| |#2| (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -650)) 
+((-1295 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4)))) (-3165 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5)))) (-2016 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(-10 -7 (-15 -2016 (|#2| |#2| |#2| (-1 |#1| |#1|))) (-15 -3165 (|#2| |#2| (-765) (-1 |#1| |#1|))) (-15 -1295 (|#2| |#2| |#2| (-1 |#1| |#1|)))) 
+((-1294 (($ $ $) 9))) 
+(((-651 |#1|) (-10 -8 (-15 -1294 (|#1| |#1| |#1|))) (-652)) (T -651)) 
+NIL 
+(-10 -8 (-15 -1294 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-1771 (($ $) 10)) (-1294 (($ $ $) 8)) (-1326 (((-121) $ $) 6)) (-1637 (($ $ $) 9))) 
+(((-652) (-1284)) (T -652)) 
+((-1771 (*1 *1 *1) (-4 *1 (-652))) (-1637 (*1 *1 *1 *1) (-4 *1 (-652))) (-1294 (*1 *1 *1 *1) (-4 *1 (-652)))) 
+(-13 (-105) (-10 -8 (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)))) 
 (((-105) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4116 ((|#1| $) 21)) (-3291 (($ $ $) NIL (|has| |#1| (-787)))) (-1538 (($ $ $) NIL (|has| |#1| (-787)))) (-2776 (((-1145) $) 46)) (-3360 (((-1109) $) NIL)) (-4121 ((|#3| $) 22)) (-2185 (((-851) $) 42)) (-3369 (($) 10 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL (|has| |#1| (-787)))) (-1678 (((-121) $ $) 24 (|has| |#1| (-787)))) (-1715 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1711 (($ $) 17) (($ $ $) NIL)) (-1707 (($ $ $) 27)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
-(((-653 |#1| |#2| |#3|) (-13 (-708 |#2|) (-10 -8 (IF (|has| |#1| (-787)) (-6 (-787)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) (-708 |#2|) (-173) (|SubsetCategory| (-717) |#2|)) (T -653)) 
-((-1715 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) (-1715 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-708 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) (-4116 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-708 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) (-4121 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4))))) 
-(-13 (-708 |#2|) (-10 -8 (IF (|has| |#1| (-787)) (-6 (-787)) |noBranch|) (-15 -1715 ($ $ |#3|)) (-15 -1715 ($ |#1| |#3|)) (-15 -4116 (|#1| $)) (-15 -4121 (|#3| $)))) 
-((-4341 (((-680 |#1|) (-680 |#1|)) 27)) (-2733 (((-680 |#1|) (-680 |#1|)) 26)) (-3267 (((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))) 44)) (-1772 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 29)) (-3619 (((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|) 43)) (-3455 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|))) 34))) 
-(((-654 |#1|) (-10 -7 (-15 -4341 ((-680 |#1|) (-680 |#1|))) (-15 -2733 ((-680 |#1|) (-680 |#1|))) (-15 -1772 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3455 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3619 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -3267 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) (-366)) (T -654)) 
-((-3267 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4)))) (-3619 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-3455 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-1772 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2733 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-4341 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(-10 -7 (-15 -4341 ((-680 |#1|) (-680 |#1|))) (-15 -2733 ((-680 |#1|) (-680 |#1|))) (-15 -1772 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3455 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3619 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -3267 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) 
-((-3987 (((-121)) 46) (((-121) (-121)) 47)) (-3964 ((|#7| |#5| |#3|) 44)) (-3143 ((|#5| |#7|) 29)) (-2575 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)) 99)) (-3242 (((-635 |#6|) |#5| |#3| (-569)) 35))) 
-(((-655 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))) (-15 -3964 (|#7| |#5| |#3|)) (-15 -3242 ((-635 |#6|) |#5| |#3| (-569))) (-15 -3143 (|#5| |#7|)) (-15 -2575 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|)) (T -655)) 
-((-2575 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *4 (-972 *6)) (-4 *10 (-921 *6 *9)))) (-3143 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *2 (-972 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *3 (-921 *4 *8)))) (-3242 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *3 (-972 *6)) (-4 *10 (-921 *6 *9)))) (-3964 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-921 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)))) (-3987 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) (-3987 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8))))) 
-(-10 -7 (-15 -3987 ((-121) (-121))) (-15 -3987 ((-121))) (-15 -3964 (|#7| |#5| |#3|)) (-15 -3242 ((-635 |#6|) |#5| |#3| (-569))) (-15 -3143 (|#5| |#7|)) (-15 -2575 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) 
-((-3762 (((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)) 33))) 
-(((-656 |#1|) (-10 -7 (-15 -3762 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)))) (-905)) (T -656)) 
-((-3762 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *4))) (-5 *3 (-1159 *4)) (-4 *4 (-905)) (-5 *1 (-656 *4))))) 
-(-10 -7 (-15 -3762 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 82)) (-1920 (($ $ (-764)) 90)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2123 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 48)) (-1647 (((-3 (-664 |#1|) "failed") $) NIL)) (-2428 (((-664 |#1|) $) NIL)) (-4020 (($ $) 89)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-664 |#1|) |#2|) 68)) (-2208 (($ $) 86)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (((-1269 |#1| |#2|) (-1269 |#1| |#2|) $) 47)) (-1859 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-664 |#1|) $) NIL)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ |#1| $) 30) (($ $ (-635 |#1|) (-635 $)) 32)) (-2492 (((-764) $) 88)) (-2139 (($ $ $) 20) (($ (-664 |#1|) (-664 |#1|)) 77) (($ (-664 |#1|) $) 75) (($ $ (-664 |#1|)) 76)) (-2185 (((-851) $) NIL) (($ |#1|) 74) (((-1260 |#1| |#2|) $) 58) (((-1269 |#1| |#2|) $) 41) (($ (-664 |#1|)) 25)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-664 |#1|)) NIL)) (-4140 ((|#2| (-1269 |#1| |#2|) $) 43)) (-3369 (($) 23 T CONST)) (-3287 (((-3 $ "failed") (-1260 |#1| |#2|)) 60)) (-1661 (($ (-664 |#1|)) 14)) (-1668 (((-121) $ $) 44)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) 66) (($ $ $) NIL)) (-1707 (($ $ $) 29)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-664 |#1|)) NIL))) 
-(((-657 |#1| |#2|) (-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -3287 ((-3 $ "failed") (-1260 |#1| |#2|))) (-15 -2139 ($ (-664 |#1|) (-664 |#1|))) (-15 -2139 ($ (-664 |#1|) $)) (-15 -2139 ($ $ (-664 |#1|))))) (-843) (-173)) (T -657)) 
-((-3287 (*1 *1 *2) (|partial| -12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) (-2139 (*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-2139 (*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-2139 (*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173))))) 
-(-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -3287 ((-3 $ "failed") (-1260 |#1| |#2|))) (-15 -2139 ($ (-664 |#1|) (-664 |#1|))) (-15 -2139 ($ (-664 |#1|) $)) (-15 -2139 ($ $ (-664 |#1|))))) 
-((-3034 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-3076 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-4216 (($ (-1 (-121) |#2|) $) 27)) (-1302 (($ $) 55)) (-3384 (($ $) 62)) (-4454 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-1774 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-3727 (((-569) |#2| $ (-569)) 60) (((-569) |#2| $) NIL) (((-569) (-1 (-121) |#2|) $) 46)) (-2659 (($ (-764) |#2|) 53)) (-2854 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-3288 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-1544 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-2005 (($ |#2|) 14)) (-3172 (($ $ $ (-569)) 35) (($ |#2| $ (-569)) 33)) (-2502 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-4514 (($ $ (-1213 (-569))) 43) (($ $ (-569)) 37)) (-3389 (($ $ $ (-569)) 59)) (-1971 (($ $) 57)) (-1678 (((-121) $ $) 64))) 
-(((-658 |#1| |#2|) (-10 -8 (-15 -2005 (|#1| |#2|)) (-15 -4514 (|#1| |#1| (-569))) (-15 -4514 (|#1| |#1| (-1213 (-569)))) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3172 (|#1| |#2| |#1| (-569))) (-15 -3172 (|#1| |#1| |#1| (-569))) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -3384 (|#1| |#1|)) (-15 -2854 (|#1| |#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -1302 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2659 (|#1| (-764) |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) (-659 |#2|) (-1197)) (T -658)) 
-NIL 
-(-10 -8 (-15 -2005 (|#1| |#2|)) (-15 -4514 (|#1| |#1| (-569))) (-15 -4514 (|#1| |#1| (-1213 (-569)))) (-15 -4454 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -3172 (|#1| |#2| |#1| (-569))) (-15 -3172 (|#1| |#1| |#1| (-569))) (-15 -2854 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -4216 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -4454 (|#1| |#2| |#1|)) (-15 -3384 (|#1| |#1|)) (-15 -2854 (|#1| |#1| |#1|)) (-15 -3288 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3034 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3727 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3727 ((-569) |#2| |#1|)) (-15 -3727 ((-569) |#2| |#1| (-569))) (-15 -3288 (|#1| |#1| |#1|)) (-15 -3034 ((-121) |#1|)) (-15 -3389 (|#1| |#1| |#1| (-569))) (-15 -1302 (|#1| |#1|)) (-15 -3076 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -3076 (|#1| |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -1774 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2502 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2659 (|#1| (-764) |#2|)) (-15 -1544 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1971 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-3034 (((-121) $) 136 (|has| |#1| (-843))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-3076 (($ $) 140 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4536)))) (-3113 (($ $) 135 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-4216 (($ (-1 (-121) |#1|) $) 123)) (-1962 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4535)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-1302 (($ $) 138 (|has| $ (-6 -4536)))) (-2052 (($ $) 128)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-3384 (($ $) 125 (|has| |#1| (-1091)))) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 124 (|has| |#1| (-1091))) (($ (-1 (-121) |#1|) $) 119)) (-4347 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4535))) (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3727 (((-569) |#1| $ (-569)) 133 (|has| |#1| (-1091))) (((-569) |#1| $) 132 (|has| |#1| (-1091))) (((-569) (-1 (-121) |#1|) $) 131)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-3291 (($ $ $) 141 (|has| |#1| (-843)))) (-2854 (($ $ $) 126 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-3288 (($ $ $) 134 (|has| |#1| (-843))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1538 (($ $ $) 142 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2005 (($ |#1|) 116)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3172 (($ $ $ (-569)) 121) (($ |#1| $ (-569)) 120)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-2695 (((-121) $) 81)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-4514 (($ $ (-1213 (-569))) 118) (($ $ (-569)) 117)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 137 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58) (($ $ |#1|) 57)) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 144 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 145 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 143 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 146 (|has| |#1| (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-659 |#1|) (-1278) (-1197)) (T -659)) 
-((-2005 (*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1197))))) 
-(-13 (-1135 |t#1|) (-376 |t#1|) (-278 |t#1|) (-10 -8 (-15 -2005 ($ |t#1|)))) 
-(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-278 |#1|) . T) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1011 |#1|) . T) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1135 |#1|) . T) ((-1197) . T) ((-1234 |#1|) . T)) 
-((-4435 (((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|))) 21) (((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)) 13)) (-1321 (((-764) (-680 |#1|) (-1247 |#1|)) 29)) (-2163 (((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|)) 23)) (-2730 (((-121) (-680 |#1|) (-1247 |#1|)) 26))) 
-(((-660 |#1|) (-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|))) (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|)))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|)))) (-15 -2163 ((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|))) (-15 -2730 ((-121) (-680 |#1|) (-1247 |#1|))) (-15 -1321 ((-764) (-680 |#1|) (-1247 |#1|)))) (-366)) (T -660)) 
-((-1321 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-660 *5)))) (-2730 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) (-2163 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1247 *4)) (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5))))) 
-(-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|))) (-15 -4435 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-635 (-635 |#1|)) (-1247 |#1|))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-680 |#1|) (-635 (-1247 |#1|)))) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|))))) (-635 (-635 |#1|)) (-635 (-1247 |#1|)))) (-15 -2163 ((-3 (-1247 |#1|) "failed") (-680 |#1|) (-1247 |#1|))) (-15 -2730 ((-121) (-680 |#1|) (-1247 |#1|))) (-15 -1321 ((-764) (-680 |#1|) (-1247 |#1|)))) 
-((-4435 (((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|) 45)) (-1321 (((-764) |#4| |#3|) 17)) (-2163 (((-3 |#3| "failed") |#4| |#3|) 20)) (-2730 (((-121) |#4| |#3|) 13))) 
-(((-661 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|)) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -2163 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2730 ((-121) |#4| |#3|)) (-15 -1321 ((-764) |#4| |#3|))) (-366) (-13 (-376 |#1|) (-10 -7 (-6 -4536))) (-13 (-376 |#1|) (-10 -7 (-6 -4536))) (-678 |#1| |#2| |#3|)) (T -661)) 
-((-1321 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-764)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2730 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2163 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-678 *4 *5 *2)))) (-4435 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -3930 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-678 *5 *6 *7)))) (-4435 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
-(-10 -7 (-15 -4435 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|)) (-15 -4435 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -2163 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2730 ((-121) |#4| |#3|)) (-15 -1321 ((-764) |#4| |#3|))) 
-((-1673 (((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)) 44))) 
-(((-662 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1673 ((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) (-559) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -662)) 
-((-1673 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 (-410 *8)) "failed")) (|:| -3930 (-635 (-1247 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -1673 ((-2 (|:| |particular| (-3 (-1247 (-410 |#4|)) "failed")) (|:| -3930 (-635 (-1247 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4276 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-1377 ((|#2| $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-4064 (((-1247 (-680 |#2|))) NIL) (((-1247 (-680 |#2|)) (-1247 $)) NIL)) (-3569 (((-121) $) NIL)) (-2141 (((-1247 $)) 37)) (-1691 (((-121) $ (-764)) NIL)) (-1574 (($ |#2|) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) NIL (|has| |#2| (-302)))) (-1765 (((-233 |#1| |#2|) $ (-569)) NIL)) (-3781 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1531 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2909 (((-680 |#2|)) NIL) (((-680 |#2|) (-1247 $)) NIL)) (-1723 ((|#2| $) NIL)) (-1792 (((-680 |#2|) $) NIL) (((-680 |#2|) $ (-1247 $)) NIL)) (-1620 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-2800 (((-1159 (-954 |#2|))) NIL (|has| |#2| (-366)))) (-1628 (($ $ (-918)) NIL)) (-2830 ((|#2| $) NIL)) (-2246 (((-1159 |#2|) $) NIL (|has| |#2| (-559)))) (-3316 ((|#2|) NIL) ((|#2| (-1247 $)) NIL)) (-2355 (((-1159 |#2|) $) NIL)) (-2607 (((-121)) NIL)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-2623 (($ (-1247 |#2|)) NIL) (($ (-1247 |#2|) (-1247 $)) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1321 (((-764) $) NIL (|has| |#2| (-559))) (((-918)) 38)) (-1618 ((|#2| $ (-569) (-569)) NIL)) (-3919 (((-121)) NIL)) (-1851 (($ $ (-918)) NIL)) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL)) (-3695 (((-764) $) NIL (|has| |#2| (-559)))) (-3645 (((-635 (-233 |#1| |#2|)) $) NIL (|has| |#2| (-559)))) (-1810 (((-764) $) NIL)) (-2007 (((-121)) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#2| $) NIL (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#2|))) NIL)) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-2550 (((-635 (-635 |#2|)) $) NIL)) (-1370 (((-121)) NIL)) (-4239 (((-121)) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3926 (((-3 (-2 (|:| |particular| $) (|:| -3930 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1588 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2991 (((-680 |#2|)) NIL) (((-680 |#2|) (-1247 $)) NIL)) (-1545 ((|#2| $) NIL)) (-4007 (((-680 |#2|) $) NIL) (((-680 |#2|) $ (-1247 $)) NIL)) (-4439 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-3282 (((-1159 (-954 |#2|))) NIL (|has| |#2| (-366)))) (-3272 (($ $ (-918)) NIL)) (-4200 ((|#2| $) NIL)) (-3851 (((-1159 |#2|) $) NIL (|has| |#2| (-559)))) (-1584 ((|#2|) NIL) ((|#2| (-1247 $)) NIL)) (-2415 (((-1159 |#2|) $) NIL)) (-2377 (((-121)) NIL)) (-2776 (((-1145) $) NIL)) (-3379 (((-121)) NIL)) (-3337 (((-121)) NIL)) (-2598 (((-121)) NIL)) (-4480 (((-3 $ "failed") $) NIL (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-1324 (((-121)) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) 22) ((|#2| $ (-569)) NIL)) (-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4397 ((|#2| $) NIL)) (-2455 (($ (-635 |#2|)) NIL)) (-2584 (((-121) $) NIL)) (-3425 (((-233 |#1| |#2|) $) NIL)) (-1787 ((|#2| $) NIL (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-1648 (((-680 |#2|) (-1247 $)) NIL) (((-1247 |#2|) $) NIL) (((-680 |#2|) (-1247 $) (-1247 $)) NIL) (((-1247 |#2|) $ (-1247 $)) 25)) (-3817 (($ (-1247 |#2|)) NIL) (((-1247 |#2|) $) NIL)) (-3393 (((-635 (-954 |#2|))) NIL) (((-635 (-954 |#2|)) (-1247 $)) NIL)) (-4293 (($ $ $) NIL)) (-2093 (((-121)) NIL)) (-3419 (((-233 |#1| |#2|) $ (-569)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (((-680 |#2|) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) 36)) (-2131 (((-635 (-1247 |#2|))) NIL (|has| |#2| (-559)))) (-1383 (($ $ $ $) NIL)) (-4220 (((-121)) NIL)) (-1943 (($ (-680 |#2|) $) NIL)) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-4033 (($ $ $) NIL)) (-1597 (((-121)) NIL)) (-3922 (((-121)) NIL)) (-4227 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) NIL) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-663 |#1| |#2|) (-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-420 |#2|)) (-918) (-173)) (T -663)) 
-NIL 
-(-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-420 |#2|)) 
-((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) NIL)) (-1869 (($ $) 50)) (-3633 (((-121) $) NIL)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1492 (((-3 $ "failed") (-815 |#1|)) 22)) (-2010 (((-121) (-815 |#1|)) 14)) (-3715 (($ (-815 |#1|)) 23)) (-2152 (((-121) $ $) 28)) (-1906 (((-918) $) 35)) (-3833 (($ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1743 (((-635 $) (-815 |#1|)) 16)) (-2185 (((-851) $) 41) (($ |#1|) 32) (((-815 |#1|) $) 37) (((-668 |#1|) $) 42)) (-1793 (((-64 (-635 $)) (-635 |#1|) (-918)) 55)) (-1726 (((-635 $) (-635 |#1|) (-918)) 57)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 51)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 36))) 
-(((-664 |#1|) (-13 (-843) (-1038 |#1|) (-10 -8 (-15 -3633 ((-121) $)) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ((-668 |#1|) $)) (-15 -1743 ((-635 $) (-815 |#1|))) (-15 -2010 ((-121) (-815 |#1|))) (-15 -3715 ($ (-815 |#1|))) (-15 -1492 ((-3 $ "failed") (-815 |#1|))) (-15 -3914 ((-635 |#1|) $)) (-15 -1793 ((-64 (-635 $)) (-635 |#1|) (-918))) (-15 -1726 ((-635 $) (-635 |#1|) (-918))))) (-843)) (T -664)) 
-((-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-3833 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) (-1869 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-668 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-1743 (*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) (-2010 (*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-664 *4)))) (-3715 (*1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3)))) (-1492 (*1 *1 *2) (|partial| -12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) (-1793 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5)))) (-1726 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
-(-13 (-843) (-1038 |#1|) (-10 -8 (-15 -3633 ((-121) $)) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ((-668 |#1|) $)) (-15 -1743 ((-635 $) (-815 |#1|))) (-15 -2010 ((-121) (-815 |#1|))) (-15 -3715 ($ (-815 |#1|))) (-15 -1492 ((-3 $ "failed") (-815 |#1|))) (-15 -3914 ((-635 |#1|) $)) (-15 -1793 ((-64 (-635 $)) (-635 |#1|) (-918))) (-15 -1726 ((-635 $) (-635 |#1|) (-918))))) 
-((-2247 ((|#2| $) 76)) (-4459 (($ $) 96)) (-1691 (((-121) $ (-764)) 26)) (-2046 (($ $) 85) (($ $ (-764)) 88)) (-3108 (((-121) $) 97)) (-4032 (((-635 $) $) 72)) (-4349 (((-121) $ $) 71)) (-1974 (((-121) $ (-764)) 24)) (-3557 (((-569) $) 46)) (-1285 (((-569) $) 45)) (-2006 (((-121) $ (-764)) 22)) (-3486 (((-121) $) 74)) (-4213 ((|#2| $) 89) (($ $ (-764)) 92)) (-3614 (($ $ $ (-569)) 62) (($ |#2| $ (-569)) 61)) (-4166 (((-635 (-569)) $) 44)) (-3533 (((-121) (-569) $) 42)) (-4353 ((|#2| $) NIL) (($ $ (-764)) 84)) (-3499 (($ $ (-569)) 99)) (-2695 (((-121) $) 98)) (-4177 (((-121) (-1 (-121) |#2|) $) 32)) (-2691 (((-635 |#2|) $) 33)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1213 (-569))) 58) ((|#2| $ (-569)) 40) ((|#2| $ (-569) |#2|) 41)) (-1686 (((-569) $ $) 70)) (-3010 (($ $ (-1213 (-569))) 57) (($ $ (-569)) 51)) (-1472 (((-121) $) 66)) (-2645 (($ $) 81)) (-4035 (((-764) $) 80)) (-4343 (($ $) 79)) (-2139 (($ (-635 |#2|)) 37)) (-3659 (($ $) 100)) (-4114 (((-635 $) $) 69)) (-2447 (((-121) $ $) 68)) (-2066 (((-121) (-1 (-121) |#2|) $) 31)) (-1668 (((-121) $ $) 18)) (-4168 (((-764) $) 29))) 
-(((-665 |#1| |#2|) (-10 -8 (-15 -3659 (|#1| |#1|)) (-15 -3499 (|#1| |#1| (-569))) (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -2691 ((-635 |#2|) |#1|)) (-15 -3533 ((-121) (-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -1285 ((-569) |#1|)) (-15 -3557 ((-569) |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1686 ((-569) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) (-666 |#2|) (-1197)) (T -665)) 
-NIL 
-(-10 -8 (-15 -3659 (|#1| |#1|)) (-15 -3499 (|#1| |#1| (-569))) (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -2691 ((-635 |#2|) |#1|)) (-15 -3533 ((-121) (-569) |#1|)) (-15 -4166 ((-635 (-569)) |#1|)) (-15 -1285 ((-569) |#1|)) (-15 -3557 ((-569) |#1|)) (-15 -2139 (|#1| (-635 |#2|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -3010 (|#1| |#1| (-569))) (-15 -3010 (|#1| |#1| (-1213 (-569)))) (-15 -3614 (|#1| |#2| |#1| (-569))) (-15 -3614 (|#1| |#1| |#1| (-569))) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -4349 ((-121) |#1| |#1|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1686 ((-569) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4177 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 99)) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-3913 (($ $) 118)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 100)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-2534 (((-764) $) 117)) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-1572 (($ $) 120)) (-2796 (((-121) $) 121)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1867 ((|#1| $) 119)) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-3499 (($ $ (-569)) 116)) (-2695 (((-121) $) 81)) (-2134 (((-121) $) 122)) (-1642 (((-121) $) 123)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3659 (($ $) 115)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-666 |#1|) (-1278) (-1197)) (T -666)) 
-((-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-1962 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-1642 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2134 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2796 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-1572 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-1867 (*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-3913 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) (-2534 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) (-3659 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
-(-13 (-1135 |t#1|) (-10 -8 (-15 -4347 ($ (-1 (-121) |t#1|) $)) (-15 -1962 ($ (-1 (-121) |t#1|) $)) (-15 -1642 ((-121) $)) (-15 -2134 ((-121) $)) (-15 -2796 ((-121) $)) (-15 -1572 ($ $)) (-15 -1867 (|t#1| $)) (-15 -3913 ($ $)) (-15 -2534 ((-764) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1135 |#1|) . T) ((-1197) . T) ((-1234 |#1|) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1872 (($ (-764) (-764) (-764)) 32 (|has| |#1| (-1048)))) (-1691 (((-121) $ (-764)) NIL)) (-1336 ((|#1| $ (-764) (-764) (-764) |#1|) 27)) (-2820 (($) NIL T CONST)) (-2372 (($ $ $) 36 (|has| |#1| (-1048)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3963 (((-1247 (-764)) $) 8)) (-2084 (($ (-1163) $ $) 22)) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3182 (($ (-764)) 34 (|has| |#1| (-1048)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-764) (-764) (-764)) 25)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2139 (($ (-635 (-635 (-635 |#1|)))) 43)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-959 (-959 (-959 |#1|)))) 15) (((-959 (-959 (-959 |#1|))) $) 12)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-667 |#1|) (-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1048)) (PROGN (-15 -1872 ($ (-764) (-764) (-764))) (-15 -3182 ($ (-764))) (-15 -2372 ($ $ $))) |noBranch|) (-15 -2139 ($ (-635 (-635 (-635 |#1|))))) (-15 -1534 (|#1| $ (-764) (-764) (-764))) (-15 -1336 (|#1| $ (-764) (-764) (-764) |#1|)) (-15 -2185 ($ (-959 (-959 (-959 |#1|))))) (-15 -2185 ((-959 (-959 (-959 |#1|))) $)) (-15 -2084 ($ (-1163) $ $)) (-15 -3963 ((-1247 (-764)) $)))) (-1091)) (T -667)) 
-((-1872 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091)))) (-3182 (*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091)))) (-2372 (*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1048)) (-4 *2 (-1091)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) (-1534 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) (-1336 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) (-2084 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) (-3963 (*1 *2 *1) (-12 (-5 *2 (-1247 (-764))) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
-(-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1048)) (PROGN (-15 -1872 ($ (-764) (-764) (-764))) (-15 -3182 ($ (-764))) (-15 -2372 ($ $ $))) |noBranch|) (-15 -2139 ($ (-635 (-635 (-635 |#1|))))) (-15 -1534 (|#1| $ (-764) (-764) (-764))) (-15 -1336 (|#1| $ (-764) (-764) (-764) |#1|)) (-15 -2185 ($ (-959 (-959 (-959 |#1|))))) (-15 -2185 ((-959 (-959 (-959 |#1|))) $)) (-15 -2084 ($ (-1163) $ $)) (-15 -3963 ((-1247 (-764)) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 14)) (-1869 (($ $) 18)) (-3633 (((-121) $) 19)) (-1647 (((-3 |#1| "failed") $) 22)) (-2428 ((|#1| $) 20)) (-2046 (($ $) 36)) (-2208 (($ $) 24)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2152 (((-121) $ $) 41)) (-1906 (((-918) $) 38)) (-3833 (($ $) 17)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 ((|#1| $) 35)) (-2185 (((-851) $) 31) (($ |#1|) 23) (((-815 |#1|) $) 27)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 12)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 40)) (* (($ $ $) 34))) 
-(((-668 |#1|) (-13 (-843) (-1038 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -4353 (|#1| $)) (-15 -3833 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2208 ($ $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -1869 ($ $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -668)) 
-((* (*1 *1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3833 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) (-1869 (*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843))))) 
-(-13 (-843) (-1038 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -2185 ((-815 |#1|) $)) (-15 -4353 (|#1| $)) (-15 -3833 ($ $)) (-15 -1906 ((-918) $)) (-15 -2152 ((-121) $ $)) (-15 -2208 ($ $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -1869 ($ $)) (-15 -3914 ((-635 |#1|) $)))) 
-((-4409 ((|#1| (-1 |#1| (-764) |#1|) (-764) |#1|) 11)) (-4119 ((|#1| (-1 |#1| |#1|) (-764) |#1|) 9))) 
-(((-669 |#1|) (-10 -7 (-15 -4119 (|#1| (-1 |#1| |#1|) (-764) |#1|)) (-15 -4409 (|#1| (-1 |#1| (-764) |#1|) (-764) |#1|))) (-1091)) (T -669)) 
-((-4409 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-764) *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2)))) (-4119 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2))))) 
-(-10 -7 (-15 -4119 (|#1| (-1 |#1| |#1|) (-764) |#1|)) (-15 -4409 (|#1| (-1 |#1| (-764) |#1|) (-764) |#1|))) 
-((-4386 ((|#2| |#1| |#2|) 9)) (-4379 ((|#1| |#1| |#2|) 8))) 
-(((-670 |#1| |#2|) (-10 -7 (-15 -4379 (|#1| |#1| |#2|)) (-15 -4386 (|#2| |#1| |#2|))) (-1091) (-1091)) (T -670)) 
-((-4386 (*1 *2 *3 *2) (-12 (-5 *1 (-670 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-4379 (*1 *2 *2 *3) (-12 (-5 *1 (-670 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(-10 -7 (-15 -4379 (|#1| |#1| |#2|)) (-15 -4386 (|#2| |#1| |#2|))) 
-((-4096 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
-(((-671 |#1| |#2| |#3|) (-10 -7 (-15 -4096 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1091) (-1091) (-1091)) (T -671)) 
-((-4096 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)) (-5 *1 (-671 *5 *6 *2))))) 
-(-10 -7 (-15 -4096 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
-((-4409 (((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)) 23)) (-2196 (((-1 |#1|) |#1|) 8)) (-2223 ((|#1| |#1|) 16)) (-2922 (((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-2185 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-764)) 20))) 
-(((-672 |#1|) (-10 -7 (-15 -2196 ((-1 |#1|) |#1|)) (-15 -2185 ((-1 |#1|) |#1|)) (-15 -2922 (|#1| (-1 |#1| |#1|))) (-15 -2922 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -2223 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-764))) (-15 -4409 ((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)))) (-1091)) (T -672)) 
-((-4409 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-764) *3)) (-4 *3 (-1091)) (-5 *1 (-672 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *4 (-1091)) (-5 *1 (-672 *4)))) (-2223 (*1 *2 *2) (-12 (-5 *1 (-672 *2)) (-4 *2 (-1091)))) (-2922 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-672 *5)) (-4 *5 (-1091)))) (-2922 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-672 *2)) (-4 *2 (-1091)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091)))) (-2196 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091))))) 
-(-10 -7 (-15 -2196 ((-1 |#1|) |#1|)) (-15 -2185 ((-1 |#1|) |#1|)) (-15 -2922 (|#1| (-1 |#1| |#1|))) (-15 -2922 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -2223 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-764))) (-15 -4409 ((-1 |#1| (-764) |#1|) (-1 |#1| (-764) |#1|)))) 
-((-3296 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-3808 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-2043 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-4456 (((-1 |#2| |#1|) |#2|) 11))) 
-(((-673 |#1| |#2|) (-10 -7 (-15 -4456 ((-1 |#2| |#1|) |#2|)) (-15 -3808 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -2043 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3296 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1091) (-1091)) (T -673)) 
-((-3296 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)))) (-2043 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)) (-4 *4 (-1091)))) (-3808 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5)) (-5 *1 (-673 *4 *5)))) (-4456 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-673 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1091))))) 
-(-10 -7 (-15 -4456 ((-1 |#2| |#1|) |#2|)) (-15 -3808 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -2043 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -3296 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
-((-3752 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-1835 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-3445 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-2034 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-1328 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
-(((-674 |#1| |#2| |#3|) (-10 -7 (-15 -1835 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3445 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2034 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -1328 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3752 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1091) (-1091) (-1091)) (T -674)) 
-((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-1 *7 *5)) (-5 *1 (-674 *5 *6 *7)))) (-3752 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-674 *4 *5 *6)))) (-1328 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *4 (-1091)))) (-2034 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *5 (-1091)))) (-3445 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *4 *5 *6)))) (-1835 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1091)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *5 *4 *6))))) 
-(-10 -7 (-15 -1835 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -3445 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -2034 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -1328 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -3752 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
-((-1715 (((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)) 18)) (-1711 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1707 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
-(((-675 |#1| |#2|) (-10 -7 (-15 -1707 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1711 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1715 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) (-1091) (-1048)) (T -675)) 
-((-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1091)) (-5 *1 (-675 *3 *4)) (-4 *4 (-1048)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4))))) 
-(-10 -7 (-15 -1707 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1711 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1715 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) 
-((-1774 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-1544 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
-(((-676 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -1544 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -1774 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1048) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|) (-1048) (-376 |#5|) (-376 |#5|) (-678 |#5| |#6| |#7|)) (T -676)) 
-((-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1048)) (-4 *2 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-676 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-678 *5 *6 *7)) (-4 *10 (-678 *2 *8 *9)))) (-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8))))) 
-(-10 -7 (-15 -1544 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -1544 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -1774 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
-((-2418 (($ (-764) (-764)) 31)) (-2799 (($ $ $) 54)) (-2853 (($ |#3|) 50) (($ $) 51)) (-4144 (((-121) $) 26)) (-4218 (($ $ (-569) (-569)) 56)) (-2296 (($ $ (-569) (-569)) 57)) (-1910 (($ $ (-569) (-569) (-569) (-569)) 61)) (-1391 (($ $) 52)) (-3569 (((-121) $) 14)) (-1350 (($ $ (-569) (-569) $) 62)) (-4469 ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) 60)) (-1574 (($ (-764) |#2|) 36)) (-2333 ((|#2| $) 105)) (-1483 (($ (-635 (-635 |#2|))) 34)) (-2550 (((-635 (-635 |#2|)) $) 55)) (-4444 (($ $ $) 53)) (-2941 (((-3 $ "failed") $ |#2|) 108)) (-1534 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569))) 59)) (-2455 (($ (-635 |#2|)) 38) (($ (-635 $)) 40)) (-2584 (((-121) $) 23)) (-2753 (((-635 |#4|) $) 91)) (-2185 (((-851) $) NIL) (($ |#4|) 45)) (-2256 (((-121) $) 28)) (-1715 (($ $ |#2|) 110)) (-1711 (($ $ $) 66) (($ $) 69)) (-1707 (($ $ $) 64)) (** (($ $ (-764)) 78) (($ $ (-569)) 113)) (* (($ $ $) 75) (($ |#2| $) 71) (($ $ |#2|) 72) (($ (-569) $) 74) ((|#4| $ |#4|) 82) ((|#3| |#3| $) 86))) 
-(((-677 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -2333 (|#2| |#1|)) (-15 -2753 ((-635 |#4|) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-764))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -1350 (|#1| |#1| (-569) (-569) |#1|)) (-15 -1910 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -2296 (|#1| |#1| (-569) (-569))) (-15 -4218 (|#1| |#1| (-569) (-569))) (-15 -4469 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -1534 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -2550 ((-635 (-635 |#2|)) |#1|)) (-15 -2799 (|#1| |#1| |#1|)) (-15 -4444 (|#1| |#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2853 (|#1| |#1|)) (-15 -2853 (|#1| |#3|)) (-15 -2185 (|#1| |#4|)) (-15 -2455 (|#1| (-635 |#1|))) (-15 -2455 (|#1| (-635 |#2|))) (-15 -1574 (|#1| (-764) |#2|)) (-15 -1483 (|#1| (-635 (-635 |#2|)))) (-15 -2418 (|#1| (-764) (-764))) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -2185 ((-851) |#1|))) (-678 |#2| |#3| |#4|) (-1048) (-376 |#2|) (-376 |#2|)) (T -677)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -2333 (|#2| |#1|)) (-15 -2753 ((-635 |#4|) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-764))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -1350 (|#1| |#1| (-569) (-569) |#1|)) (-15 -1910 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -2296 (|#1| |#1| (-569) (-569))) (-15 -4218 (|#1| |#1| (-569) (-569))) (-15 -4469 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -1534 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -2550 ((-635 (-635 |#2|)) |#1|)) (-15 -2799 (|#1| |#1| |#1|)) (-15 -4444 (|#1| |#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2853 (|#1| |#1|)) (-15 -2853 (|#1| |#3|)) (-15 -2185 (|#1| |#4|)) (-15 -2455 (|#1| (-635 |#1|))) (-15 -2455 (|#1| (-635 |#2|))) (-15 -1574 (|#1| (-764) |#2|)) (-15 -1483 (|#1| (-635 (-635 |#2|)))) (-15 -2418 (|#1| (-764) (-764))) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) 94)) (-2799 (($ $ $) 84)) (-2853 (($ |#2|) 88) (($ $) 87)) (-4144 (((-121) $) 96)) (-4218 (($ $ (-569) (-569)) 80)) (-2296 (($ $ (-569) (-569)) 79)) (-1910 (($ $ (-569) (-569) (-569) (-569)) 78)) (-1391 (($ $) 86)) (-3569 (((-121) $) 98)) (-1691 (((-121) $ (-764)) 8)) (-1350 (($ $ (-569) (-569) $) 77)) (-4469 ((|#1| $ (-569) (-569) |#1|) 41) (($ $ (-635 (-569)) (-635 (-569)) $) 81)) (-2451 (($ $ (-569) |#2|) 39)) (-3443 (($ $ (-569) |#3|) 38)) (-1574 (($ (-764) |#1|) 92)) (-2820 (($) 7 T CONST)) (-4036 (($ $) 64 (|has| |#1| (-302)))) (-1765 ((|#2| $ (-569)) 43)) (-1321 (((-764) $) 62 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) 40)) (-1618 ((|#1| $ (-569) (-569)) 45)) (-2333 ((|#1| $) 57 (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) 30)) (-3695 (((-764) $) 61 (|has| |#1| (-559)))) (-3645 (((-635 |#3|) $) 60 (|has| |#1| (-559)))) (-1810 (((-764) $) 48)) (-2659 (($ (-764) (-764) |#1|) 54)) (-2806 (((-764) $) 47)) (-1974 (((-121) $ (-764)) 9)) (-1558 ((|#1| $) 58 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 52)) (-3127 (((-569) $) 50)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 51)) (-1581 (((-569) $) 49)) (-1483 (($ (-635 (-635 |#1|))) 93)) (-1853 (($ (-1 |#1| |#1|) $) 34)) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-2550 (((-635 (-635 |#1|)) $) 83)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 56 (|has| |#1| (-366)))) (-4444 (($ $ $) 85)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) 53)) (-2941 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44) (($ $ (-635 (-569)) (-635 (-569))) 82)) (-2455 (($ (-635 |#1|)) 91) (($ (-635 $)) 90)) (-2584 (((-121) $) 97)) (-1787 ((|#1| $) 59 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2753 (((-635 |#3|) $) 63 (|has| |#1| (-302)))) (-3419 ((|#3| $ (-569)) 42)) (-2185 (((-851) $) 20 (|has| |#1| (-1091))) (($ |#3|) 89)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 95)) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) 65 (|has| |#1| (-366)))) (-1711 (($ $ $) 75) (($ $) 74)) (-1707 (($ $ $) 76)) (** (($ $ (-764)) 67) (($ $ (-569)) 55 (|has| |#1| (-366)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-569) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-678 |#1| |#2| |#3|) (-1278) (-1048) (-376 |t#1|) (-376 |t#1|)) (T -678)) 
-((-3569 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2584 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-4144 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2256 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2418 (*1 *1 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1574 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (-2853 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (-2853 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1391 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4444 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-2799 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-2550 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) (-1534 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4469 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4218 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2296 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1910 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1350 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-678 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-678 *3 *2 *4)) (-4 *3 (-1048)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (-4036 (*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) (-2753 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5)))) (-1321 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3695 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3645 (*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) (-1787 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-1558 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-2333 (*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-4480 (*1 *1 *1) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366))))) 
-(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3569 ((-121) $)) (-15 -2584 ((-121) $)) (-15 -4144 ((-121) $)) (-15 -2256 ((-121) $)) (-15 -2418 ($ (-764) (-764))) (-15 -1483 ($ (-635 (-635 |t#1|)))) (-15 -1574 ($ (-764) |t#1|)) (-15 -2455 ($ (-635 |t#1|))) (-15 -2455 ($ (-635 $))) (-15 -2185 ($ |t#3|)) (-15 -2853 ($ |t#2|)) (-15 -2853 ($ $)) (-15 -1391 ($ $)) (-15 -4444 ($ $ $)) (-15 -2799 ($ $ $)) (-15 -2550 ((-635 (-635 |t#1|)) $)) (-15 -1534 ($ $ (-635 (-569)) (-635 (-569)))) (-15 -4469 ($ $ (-635 (-569)) (-635 (-569)) $)) (-15 -4218 ($ $ (-569) (-569))) (-15 -2296 ($ $ (-569) (-569))) (-15 -1910 ($ $ (-569) (-569) (-569) (-569))) (-15 -1350 ($ $ (-569) (-569) $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-569) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-764))) (IF (|has| |t#1| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1715 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -4036 ($ $)) (-15 -2753 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1321 ((-764) $)) (-15 -3695 ((-764) $)) (-15 -3645 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4537 "*"))) (PROGN (-15 -1787 (|t#1| $)) (-15 -1558 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-173)) (-15 -2333 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -4480 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-62 |#1| |#2| |#3|) . T) ((-1197) . T)) 
-((-4036 ((|#4| |#4|) 67 (|has| |#1| (-302)))) (-1321 (((-764) |#4|) 69 (|has| |#1| (-559)))) (-3695 (((-764) |#4|) 71 (|has| |#1| (-559)))) (-3645 (((-635 |#3|) |#4|) 78 (|has| |#1| (-559)))) (-4373 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 95 (|has| |#1| (-302)))) (-1558 ((|#1| |#4|) 33)) (-1393 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-559)))) (-4480 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-366)))) (-2805 ((|#4| |#4|) 54 (|has| |#1| (-559)))) (-1417 ((|#4| |#4| |#1| (-569) (-569)) 41)) (-2510 ((|#4| |#4| (-569) (-569)) 36)) (-3071 ((|#4| |#4| |#1| (-569) (-569)) 46)) (-1787 ((|#1| |#4|) 73)) (-3724 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-559))))) 
-(((-679 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1787 (|#1| |#4|)) (-15 -1558 (|#1| |#4|)) (-15 -2510 (|#4| |#4| (-569) (-569))) (-15 -1417 (|#4| |#4| |#1| (-569) (-569))) (-15 -3071 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (-15 -3645 ((-635 |#3|) |#4|)) (-15 -2805 (|#4| |#4|)) (-15 -1393 ((-3 |#4| "failed") |#4|)) (-15 -3724 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4036 (|#4| |#4|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-173) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -679)) 
-((-4480 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-4373 (*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-679 *3 *4 *5 *6)) (-4 *6 (-678 *3 *4 *5)))) (-4036 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-3724 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1393 (*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-2805 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-3645 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3695 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-1321 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3071 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6)))) (-1417 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6)))) (-2510 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-679 *4 *5 *6 *2)) (-4 *2 (-678 *4 *5 *6)))) (-1558 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) (-1787 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5))))) 
-(-10 -7 (-15 -1787 (|#1| |#4|)) (-15 -1558 (|#1| |#4|)) (-15 -2510 (|#4| |#4| (-569) (-569))) (-15 -1417 (|#4| |#4| |#1| (-569) (-569))) (-15 -3071 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -1321 ((-764) |#4|)) (-15 -3695 ((-764) |#4|)) (-15 -3645 ((-635 |#3|) |#4|)) (-15 -2805 (|#4| |#4|)) (-15 -1393 ((-3 |#4| "failed") |#4|)) (-15 -3724 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4036 (|#4| |#4|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764) (-764)) 45)) (-2799 (($ $ $) NIL)) (-2853 (($ (-1247 |#1|)) NIL) (($ $) NIL)) (-4144 (((-121) $) NIL)) (-4218 (($ $ (-569) (-569)) 12)) (-2296 (($ $ (-569) (-569)) NIL)) (-1910 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-1391 (($ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1350 (($ $ (-569) (-569) $) NIL)) (-4469 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-2451 (($ $ (-569) (-1247 |#1|)) NIL)) (-3443 (($ $ (-569) (-1247 |#1|)) NIL)) (-1574 (($ (-764) |#1|) 22)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 30 (|has| |#1| (-302)))) (-1765 (((-1247 |#1|) $ (-569)) NIL)) (-1321 (((-764) $) 32 (|has| |#1| (-559)))) (-2726 ((|#1| $ (-569) (-569) |#1|) 50)) (-1618 ((|#1| $ (-569) (-569)) NIL)) (-2333 ((|#1| $) NIL (|has| |#1| (-173)))) (-3470 (((-635 |#1|) $) NIL)) (-3695 (((-764) $) 34 (|has| |#1| (-559)))) (-3645 (((-635 (-1247 |#1|)) $) 37 (|has| |#1| (-559)))) (-1810 (((-764) $) 20)) (-2659 (($ (-764) (-764) |#1|) NIL)) (-2806 (((-764) $) 21)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#1| $) 28 (|has| |#1| (-6 (-4537 "*"))))) (-3992 (((-569) $) 9)) (-3127 (((-569) $) 10)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1866 (((-569) $) 11)) (-1581 (((-569) $) 46)) (-1483 (($ (-635 (-635 |#1|))) NIL)) (-1853 (($ (-1 |#1| |#1|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-2550 (((-635 (-635 |#1|)) $) 58)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4480 (((-3 $ "failed") $) 41 (|has| |#1| (-366)))) (-4444 (($ $ $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3174 (($ $ |#1|) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-2455 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL) (($ (-1247 |#1|)) 51)) (-2584 (((-121) $) NIL)) (-1787 ((|#1| $) 26 (|has| |#1| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-2753 (((-635 (-1247 |#1|)) $) NIL (|has| |#1| (-302)))) (-3419 (((-1247 |#1|) $ (-569)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091))) (($ (-1247 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) 23) (($ $ (-569)) 44 (|has| |#1| (-366)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1247 |#1|) $ (-1247 |#1|)) NIL) (((-1247 |#1|) (-1247 |#1|) $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-680 |#1|) (-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 -2455 ($ (-1247 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 $ "failed") $)) |noBranch|))) (-1048)) (T -680)) 
-((-4480 (*1 *1 *1) (|partial| -12 (-5 *1 (-680 *2)) (-4 *2 (-366)) (-4 *2 (-1048)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-680 *3))))) 
-(-13 (-678 |#1| (-1247 |#1|) (-1247 |#1|)) (-10 -8 (-15 -2455 ($ (-1247 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -4480 ((-3 $ "failed") $)) |noBranch|))) 
-((-3979 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 25)) (-1376 (((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|) 21)) (-2692 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764)) 26)) (-4202 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 14)) (-2475 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|)) 18) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 16)) (-3400 (((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|)) 20)) (-2324 (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 12)) (** (((-680 |#1|) (-680 |#1|) (-764)) 30))) 
-(((-681 |#1|) (-10 -7 (-15 -2324 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -4202 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3400 ((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|))) (-15 -1376 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3979 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2692 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764))) (-15 ** ((-680 |#1|) (-680 |#1|) (-764)))) (-1048)) (T -681)) 
-((** (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) (-2692 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) (-3979 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-1376 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-3400 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2475 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2475 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-4202 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) (-2324 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(-10 -7 (-15 -2324 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -4202 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2475 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3400 ((-680 |#1|) (-680 |#1|) |#1| (-680 |#1|))) (-15 -1376 ((-680 |#1|) (-680 |#1|) (-680 |#1|) |#1|)) (-15 -3979 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -2692 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-680 |#1|) (-764))) (-15 ** ((-680 |#1|) (-680 |#1|) (-764)))) 
-((-3854 ((|#2| |#2| |#4|) 25)) (-1395 (((-680 |#2|) |#3| |#4|) 31)) (-3984 (((-680 |#2|) |#2| |#4|) 30)) (-4495 (((-1247 |#2|) |#2| |#4|) 16)) (-2182 ((|#2| |#3| |#4|) 24)) (-3776 (((-680 |#2|) |#3| |#4| (-764) (-764)) 38)) (-2204 (((-680 |#2|) |#2| |#4| (-764)) 37))) 
-(((-682 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4495 ((-1247 |#2|) |#2| |#4|)) (-15 -2182 (|#2| |#3| |#4|)) (-15 -3854 (|#2| |#2| |#4|)) (-15 -3984 ((-680 |#2|) |#2| |#4|)) (-15 -2204 ((-680 |#2|) |#2| |#4| (-764))) (-15 -1395 ((-680 |#2|) |#3| |#4|)) (-15 -3776 ((-680 |#2|) |#3| |#4| (-764) (-764)))) (-1091) (-896 |#1|) (-376 |#2|) (-13 (-376 |#1|) (-10 -7 (-6 -4535)))) (T -682)) 
-((-3776 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *7 (-896 *6)) (-5 *2 (-680 *7)) (-5 *1 (-682 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535)))))) (-1395 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-896 *5)) (-5 *2 (-680 *6)) (-5 *1 (-682 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-2204 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *3 (-896 *6)) (-5 *2 (-680 *3)) (-5 *1 (-682 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535)))))) (-3984 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-680 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-3854 (*1 *2 *2 *3) (-12 (-4 *4 (-1091)) (-4 *2 (-896 *4)) (-5 *1 (-682 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4535)))))) (-2182 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *2 (-896 *5)) (-5 *1 (-682 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535)))))) (-4495 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-1247 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
-(-10 -7 (-15 -4495 ((-1247 |#2|) |#2| |#4|)) (-15 -2182 (|#2| |#3| |#4|)) (-15 -3854 (|#2| |#2| |#4|)) (-15 -3984 ((-680 |#2|) |#2| |#4|)) (-15 -2204 ((-680 |#2|) |#2| |#4| (-764))) (-15 -1395 ((-680 |#2|) |#3| |#4|)) (-15 -3776 ((-680 |#2|) |#3| |#4| (-764) (-764)))) 
-((-4422 (((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)) 18)) (-1733 ((|#1| (-680 |#2|)) 9)) (-1839 (((-680 |#1|) (-680 |#2|)) 16))) 
-(((-683 |#1| |#2|) (-10 -7 (-15 -1733 (|#1| (-680 |#2|))) (-15 -1839 ((-680 |#1|) (-680 |#2|))) (-15 -4422 ((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)))) (-559) (-994 |#1|)) (T -683)) 
-((-4422 (*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-680 *4)) (|:| |den| *4))) (-5 *1 (-683 *4 *5)))) (-1839 (*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-680 *4)) (-5 *1 (-683 *4 *5)))) (-1733 (*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-683 *2 *4))))) 
-(-10 -7 (-15 -1733 (|#1| (-680 |#2|))) (-15 -1839 ((-680 |#1|) (-680 |#2|))) (-15 -4422 ((-2 (|:| |num| (-680 |#1|)) (|:| |den| |#1|)) (-680 |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3294 (((-680 (-689))) NIL) (((-680 (-689)) (-1247 $)) NIL)) (-1377 (((-689) $) NIL)) (-1753 (($ $) NIL (|has| (-689) (-1183)))) (-2530 (($ $) NIL (|has| (-689) (-1183)))) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-689) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-2004 (($ $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2446 (((-421 $) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2454 (($ $) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-3934 (((-121) $ $) NIL (|has| (-689) (-302)))) (-2085 (((-764)) NIL (|has| (-689) (-371)))) (-1744 (($ $) NIL (|has| (-689) (-1183)))) (-2513 (($ $) NIL (|has| (-689) (-1183)))) (-1760 (($ $) NIL (|has| (-689) (-1183)))) (-2546 (($ $) NIL (|has| (-689) (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-689) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-689) (-1038 (-410 (-569)))))) (-2428 (((-569) $) NIL) (((-689) $) NIL) (((-410 (-569)) $) NIL (|has| (-689) (-1038 (-410 (-569)))))) (-2623 (($ (-1247 (-689))) NIL) (($ (-1247 (-689)) (-1247 $)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-689) (-351)))) (-2506 (($ $ $) NIL (|has| (-689) (-302)))) (-3325 (((-680 (-689)) $) NIL) (((-680 (-689)) $ (-1247 $)) NIL)) (-1696 (((-680 (-689)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-689))) (|:| |vec| (-1247 (-689)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-689) (-631 (-569)))) (((-680 (-569)) (-680 $)) NIL (|has| (-689) (-631 (-569))))) (-1774 (((-3 $ "failed") (-410 (-1159 (-689)))) NIL (|has| (-689) (-366))) (($ (-1159 (-689))) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1747 (((-689) $) 29)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-689) (-551)))) (-3103 (((-121) $) NIL (|has| (-689) (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| (-689) (-551)))) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-689) (-371)))) (-2524 (($ $ $) NIL (|has| (-689) (-302)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-689) (-302)))) (-3188 (($) NIL (|has| (-689) (-351)))) (-3354 (((-121) $) NIL (|has| (-689) (-351)))) (-2751 (($ $) NIL (|has| (-689) (-351))) (($ $ (-764)) NIL (|has| (-689) (-351)))) (-3726 (((-121) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2366 (((-2 (|:| |r| (-689)) (|:| |phi| (-689))) $) NIL (-12 (|has| (-689) (-1057)) (|has| (-689) (-1183))))) (-2445 (($) NIL (|has| (-689) (-1183)))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-689) (-882 (-382)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-689) (-882 (-569))))) (-2558 (((-829 (-918)) $) NIL (|has| (-689) (-351))) (((-918) $) NIL (|has| (-689) (-351)))) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183))))) (-4308 (((-689) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-689) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-689) (-302)))) (-2770 (((-1159 (-689)) $) NIL (|has| (-689) (-366)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 (-689) (-689)) $) NIL)) (-2083 (((-918) $) NIL (|has| (-689) (-371)))) (-4450 (($ $) NIL (|has| (-689) (-1183)))) (-1769 (((-1159 (-689)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-689) (-302))) (($ $ $) NIL (|has| (-689) (-302)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| (-689) (-366)))) (-4043 (($) NIL (|has| (-689) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-689) (-371)))) (-4512 (($) NIL)) (-1751 (((-689) $) 31)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-689) (-302)))) (-2714 (($ (-635 $)) NIL (|has| (-689) (-302))) (($ $ $) NIL (|has| (-689) (-302)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-689) (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-689) (-302)) (|has| (-689) (-905))))) (-1743 (((-421 $) $) NIL (-2232 (-12 (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-366))))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-689) (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-689) (-302)))) (-2941 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-689)) NIL (|has| (-689) (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-689) (-302)))) (-2436 (($ $) NIL (|has| (-689) (-1183)))) (-1468 (($ $ (-1163) (-689)) NIL (|has| (-689) (-524 (-1163) (-689)))) (($ $ (-635 (-1163)) (-635 (-689))) NIL (|has| (-689) (-524 (-1163) (-689)))) (($ $ (-635 (-289 (-689)))) NIL (|has| (-689) (-304 (-689)))) (($ $ (-289 (-689))) NIL (|has| (-689) (-304 (-689)))) (($ $ (-689) (-689)) NIL (|has| (-689) (-304 (-689)))) (($ $ (-635 (-689)) (-635 (-689))) NIL (|has| (-689) (-304 (-689))))) (-2622 (((-764) $) NIL (|has| (-689) (-302)))) (-1534 (($ $ (-689)) NIL (|has| (-689) (-282 (-689) (-689))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-689) (-302)))) (-2087 (((-689)) NIL) (((-689) (-1247 $)) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL (|has| (-689) (-351))) (((-764) $) NIL (|has| (-689) (-351)))) (-3899 (($ $ (-1 (-689) (-689))) NIL) (($ $ (-1 (-689) (-689)) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-764)) NIL (|has| (-689) (-226))) (($ $) NIL (|has| (-689) (-226)))) (-3497 (((-680 (-689)) (-1247 $) (-1 (-689) (-689))) NIL (|has| (-689) (-366)))) (-2745 (((-1159 (-689))) NIL)) (-1764 (($ $) NIL (|has| (-689) (-1183)))) (-2554 (($ $) NIL (|has| (-689) (-1183)))) (-2319 (($) NIL (|has| (-689) (-351)))) (-1756 (($ $) NIL (|has| (-689) (-1183)))) (-2538 (($ $) NIL (|has| (-689) (-1183)))) (-1748 (($ $) NIL (|has| (-689) (-1183)))) (-2522 (($ $) NIL (|has| (-689) (-1183)))) (-1648 (((-680 (-689)) (-1247 $)) NIL) (((-1247 (-689)) $) NIL) (((-680 (-689)) (-1247 $) (-1247 $)) NIL) (((-1247 (-689)) $ (-1247 $)) NIL)) (-3817 (((-542) $) NIL (|has| (-689) (-610 (-542)))) (((-170 (-216)) $) NIL (|has| (-689) (-1022))) (((-170 (-382)) $) NIL (|has| (-689) (-1022))) (((-888 (-382)) $) NIL (|has| (-689) (-610 (-888 (-382))))) (((-888 (-569)) $) NIL (|has| (-689) (-610 (-888 (-569))))) (($ (-1159 (-689))) NIL) (((-1159 (-689)) $) NIL) (($ (-1247 (-689))) NIL) (((-1247 (-689)) $) NIL)) (-1414 (($ $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-351))))) (-2997 (($ (-689) (-689)) 12)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-689)) NIL) (($ (-170 (-382))) 13) (($ (-170 (-569))) 19) (($ (-170 (-689))) 28) (($ (-170 (-691))) 25) (((-170 (-382)) $) 33) (($ (-410 (-569))) NIL (-2232 (|has| (-689) (-366)) (|has| (-689) (-1038 (-410 (-569))))))) (-3953 (($ $) NIL (|has| (-689) (-351))) (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-689) (-302)) (|has| (-689) (-905))) (|has| (-689) (-149))))) (-2742 (((-1159 (-689)) $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $)) NIL)) (-1779 (($ $) NIL (|has| (-689) (-1183)))) (-1727 (($ $) NIL (|has| (-689) (-1183)))) (-1961 (((-121) $ $) NIL)) (-1770 (($ $) NIL (|has| (-689) (-1183)))) (-2561 (($ $) NIL (|has| (-689) (-1183)))) (-1785 (($ $) NIL (|has| (-689) (-1183)))) (-1736 (($ $) NIL (|has| (-689) (-1183)))) (-1408 (((-689) $) NIL (|has| (-689) (-1183)))) (-2430 (($ $) NIL (|has| (-689) (-1183)))) (-1740 (($ $) NIL (|has| (-689) (-1183)))) (-1782 (($ $) NIL (|has| (-689) (-1183)))) (-1731 (($ $) NIL (|has| (-689) (-1183)))) (-1775 (($ $) NIL (|has| (-689) (-1183)))) (-2569 (($ $) NIL (|has| (-689) (-1183)))) (-1616 (($ $) NIL (|has| (-689) (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-689) (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 (-689) (-689))) NIL) (($ $ (-1 (-689) (-689)) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-1163)) NIL (|has| (-689) (-896 (-1163)))) (($ $ (-764)) NIL (|has| (-689) (-226))) (($ $) NIL (|has| (-689) (-226)))) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-689) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| (-689) (-1183))) (($ $ (-410 (-569))) NIL (-12 (|has| (-689) (-1003)) (|has| (-689) (-1183)))) (($ $ (-569)) NIL (|has| (-689) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-689) $) NIL) (($ $ (-689)) NIL) (($ (-410 (-569)) $) NIL (|has| (-689) (-366))) (($ $ (-410 (-569))) NIL (|has| (-689) (-366))))) 
-(((-684) (-13 (-390) (-167 (-689)) (-10 -8 (-15 -2185 ($ (-170 (-382)))) (-15 -2185 ($ (-170 (-569)))) (-15 -2185 ($ (-170 (-689)))) (-15 -2185 ($ (-170 (-691)))) (-15 -2185 ((-170 (-382)) $))))) (T -684)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-689))) (-5 *1 (-684)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-170 (-691))) (-5 *1 (-684)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684))))) 
-(-13 (-390) (-167 (-689)) (-10 -8 (-15 -2185 ($ (-170 (-382)))) (-15 -2185 ($ (-170 (-569)))) (-15 -2185 ($ (-170 (-689)))) (-15 -2185 ($ (-170 (-691)))) (-15 -2185 ((-170 (-382)) $)))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-685 |#1|) (-1278) (-1091)) (T -685)) 
-((-3172 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-685 *2)) (-4 *2 (-1091)))) (-3384 (*1 *1 *1) (-12 (-4 *1 (-685 *2)) (-4 *2 (-1091)))) (-3271 (*1 *2 *1) (-12 (-4 *1 (-685 *3)) (-4 *3 (-1091)) (-5 *2 (-635 (-2 (|:| -3782 *3) (|:| -2846 (-764)))))))) 
-(-13 (-228 |t#1|) (-10 -8 (-15 -3172 ($ |t#1| $ (-764))) (-15 -3384 ($ $)) (-15 -3271 ((-635 (-2 (|:| -3782 |t#1|) (|:| -2846 (-764)))) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-3462 (((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569)) 46)) (-1440 ((|#1| |#1| (-569)) 45)) (-2714 ((|#1| |#1| |#1| (-569)) 35)) (-1743 (((-635 |#1|) |#1| (-569)) 38)) (-4289 ((|#1| |#1| (-569) |#1| (-569)) 32)) (-1571 (((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569)) 44))) 
-(((-686 |#1|) (-10 -7 (-15 -2714 (|#1| |#1| |#1| (-569))) (-15 -1440 (|#1| |#1| (-569))) (-15 -1743 ((-635 |#1|) |#1| (-569))) (-15 -1571 ((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569))) (-15 -3462 ((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569))) (-15 -4289 (|#1| |#1| (-569) |#1| (-569)))) (-1222 (-569))) (T -686)) 
-((-4289 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) (-3462 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -1743 *5) (|:| -2492 (-569))))) (-5 *4 (-569)) (-4 *5 (-1222 *4)) (-5 *2 (-635 *5)) (-5 *1 (-686 *5)))) (-1571 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2492 *4)))) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) (-1743 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) (-1440 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) (-2714 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
-(-10 -7 (-15 -2714 (|#1| |#1| |#1| (-569))) (-15 -1440 (|#1| |#1| (-569))) (-15 -1743 ((-635 |#1|) |#1| (-569))) (-15 -1571 ((-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) |#1| (-569))) (-15 -3462 ((-635 |#1|) (-635 (-2 (|:| -1743 |#1|) (|:| -2492 (-569)))) (-569))) (-15 -4289 (|#1| |#1| (-569) |#1| (-569)))) 
-((-3558 (((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 17)) (-3479 (((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 38) (((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 40) (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 42)) (-3437 (((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257))) NIL)) (-2187 (((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257))) 43))) 
-(((-687) (-10 -7 (-15 -3479 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -2187 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3437 ((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3558 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -687)) 
-((-3558 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *1 (-687)))) (-3437 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-2187 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-3479 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-687)))) (-3479 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) (-3479 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
-(-10 -7 (-15 -3479 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3479 ((-1122 (-216)) (-1122 (-216)) (-1 (-945 (-216)) (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -2187 ((-1122 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1085 (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3437 ((-1122 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1085 (-216)) (-635 (-257)))) (-15 -3558 ((-1 (-945 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
-((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|)) 73) (((-421 |#4|) |#4|) 215))) 
-(((-688 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) (-843) (-789) (-351) (-951 |#3| |#2| |#1|)) (T -688)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-688 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-688 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 84)) (-3761 (((-569) $) 30)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-2820 (($) NIL T CONST)) (-1847 (($ $) NIL)) (-1647 (((-3 (-569) "failed") $) 73) (((-3 (-410 (-569)) "failed") $) 26) (((-3 (-382) "failed") $) 70)) (-2428 (((-569) $) 75) (((-410 (-569)) $) 67) (((-382) $) 68)) (-2506 (($ $ $) 96)) (-3428 (((-3 $ "failed") $) 87)) (-2524 (($ $ $) 95)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1732 (((-918)) 77) (((-918) (-918)) 76)) (-2403 (((-121) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL)) (-2558 (((-569) $) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-4308 (($ $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2279 (((-569) (-569)) 81) (((-569)) 82)) (-3291 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-4428 (((-569) (-569)) 79) (((-569)) 80)) (-1538 (($ $ $) NIL) (($) NIL (-12 (-3864 (|has| $ (-6 -4518))) (-3864 (|has| $ (-6 -4526)))))) (-1554 (((-569) $) 16)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 91)) (-2925 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL)) (-2942 (($ $) NIL)) (-2215 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-918)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 92)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2356 (((-569) $) 22)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 94)) (-2855 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-4432 (((-918) (-569)) NIL (|has| $ (-6 -4526)))) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-888 (-382)) $) NIL)) (-2185 (((-851) $) 52) (($ (-569)) 63) (($ $) NIL) (($ (-410 (-569))) 66) (($ (-569)) 63) (($ (-410 (-569))) 66) (($ (-382)) 60) (((-382) $) 50) (($ (-691)) 55)) (-1991 (((-764)) 103)) (-3053 (($ (-569) (-569) (-918)) 44)) (-2612 (($ $) NIL)) (-2970 (((-918)) NIL) (((-918) (-918)) NIL (|has| $ (-6 -4526)))) (-1475 (((-918)) 35) (((-918) (-918)) 78)) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 32 T CONST)) (-1556 (($) 17 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 83)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 101)) (-1715 (($ $ $) 65)) (-1711 (($ $) 99) (($ $ $) 100)) (-1707 (($ $ $) 98)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 90)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 97) (($ $ $) 88) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-689) (-13 (-407) (-390) (-366) (-1038 (-382)) (-1038 (-410 (-569))) (-151) (-10 -8 (-15 -1732 ((-918) (-918))) (-15 -1732 ((-918))) (-15 -1475 ((-918) (-918))) (-15 -1475 ((-918))) (-15 -4428 ((-569) (-569))) (-15 -4428 ((-569))) (-15 -2279 ((-569) (-569))) (-15 -2279 ((-569))) (-15 -2185 ((-382) $)) (-15 -2185 ($ (-691))) (-15 -1554 ((-569) $)) (-15 -2356 ((-569) $)) (-15 -3053 ($ (-569) (-569) (-918)))))) (T -689)) 
-((-1475 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-2356 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-1554 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-1732 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-1732 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-1475 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) (-4428 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-4428 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2279 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2279 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-689)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-691)) (-5 *1 (-689)))) (-3053 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-5 *1 (-689))))) 
-(-13 (-407) (-390) (-366) (-1038 (-382)) (-1038 (-410 (-569))) (-151) (-10 -8 (-15 -1732 ((-918) (-918))) (-15 -1732 ((-918))) (-15 -1475 ((-918) (-918))) (-15 -1475 ((-918))) (-15 -4428 ((-569) (-569))) (-15 -4428 ((-569))) (-15 -2279 ((-569) (-569))) (-15 -2279 ((-569))) (-15 -2185 ((-382) $)) (-15 -2185 ($ (-691))) (-15 -1554 ((-569) $)) (-15 -2356 ((-569) $)) (-15 -3053 ($ (-569) (-569) (-918))))) 
-((-3308 (((-680 |#1|) (-680 |#1|) |#1| |#1|) 66)) (-4036 (((-680 |#1|) (-680 |#1|) |#1|) 49)) (-2728 (((-680 |#1|) (-680 |#1|) |#1|) 67)) (-2962 (((-680 |#1|) (-680 |#1|)) 50)) (-4373 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 65))) 
-(((-690 |#1|) (-10 -7 (-15 -2962 ((-680 |#1|) (-680 |#1|))) (-15 -4036 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -2728 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -3308 ((-680 |#1|) (-680 |#1|) |#1| |#1|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) (-302)) (T -690)) 
-((-4373 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-690 *3)) (-4 *3 (-302)))) (-3308 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-2728 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-4036 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) (-2962 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
-(-10 -7 (-15 -2962 ((-680 |#1|) (-680 |#1|))) (-15 -4036 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -2728 ((-680 |#1|) (-680 |#1|) |#1|)) (-15 -3308 ((-680 |#1|) (-680 |#1|) |#1| |#1|)) (-15 -4373 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 27)) (-2428 (((-569) $) 25)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($ $) NIL) (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) NIL)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) NIL)) (-3291 (($ $ $) NIL)) (-3180 (((-918) (-918)) 10) (((-918)) 9)) (-1538 (($ $ $) NIL)) (-4372 (($ $) NIL)) (-1906 (($ $) NIL)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) NIL)) (-3360 (((-1109) $) NIL) (($ $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-4185 (($ $) NIL)) (-1971 (($ $) NIL)) (-3817 (((-216) $) NIL) (((-382) $) NIL) (((-888 (-569)) $) NIL) (((-542) $) NIL) (((-569) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) 24) (($ $) NIL) (($ (-569)) 24) (((-311 $) (-311 (-569))) 18)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) NIL)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL) (($ $ (-764)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-691) (-13 (-390) (-551) (-10 -8 (-15 -3180 ((-918) (-918))) (-15 -3180 ((-918))) (-15 -2185 ((-311 $) (-311 (-569))))))) (T -691)) 
-((-3180 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) (-3180 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-691))) (-5 *1 (-691))))) 
-(-13 (-390) (-551) (-10 -8 (-15 -3180 ((-918) (-918))) (-15 -3180 ((-918))) (-15 -2185 ((-311 $) (-311 (-569)))))) 
-((-2520 (((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)) 19)) (-2172 (((-1 |#4| |#2| |#3|) (-1163)) 12))) 
-(((-692 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2172 ((-1 |#4| |#2| |#3|) (-1163))) (-15 -2520 ((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)))) (-610 (-542)) (-1197) (-1197) (-1197)) (T -692)) 
-((-2520 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197)))) (-2172 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197))))) 
-(-10 -7 (-15 -2172 ((-1 |#4| |#2| |#3|) (-1163))) (-15 -2520 ((-1 |#4| |#2| |#3|) |#1| (-1163) (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-2441 (((-1252) $ (-764)) 14)) (-3727 (((-764) $) 12)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 25)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 24))) 
-(((-693 |#1|) (-13 (-139) (-609 |#1|) (-10 -8 (-15 -2185 ($ |#1|)))) (-1091)) (T -693)) 
-((-2185 (*1 *1 *2) (-12 (-5 *1 (-693 *2)) (-4 *2 (-1091))))) 
-(-13 (-139) (-609 |#1|) (-10 -8 (-15 -2185 ($ |#1|)))) 
-((-3414 (((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)) 33) (((-1 (-216) (-216)) |#1| (-1163)) 38))) 
-(((-694 |#1|) (-10 -7 (-15 -3414 ((-1 (-216) (-216)) |#1| (-1163))) (-15 -3414 ((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)))) (-610 (-542))) (T -694)) 
-((-3414 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542))))) (-3414 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -3414 ((-1 (-216) (-216)) |#1| (-1163))) (-15 -3414 ((-1 (-216) (-216) (-216)) |#1| (-1163) (-1163)))) 
-((-1813 (((-1163) |#1| (-1163) (-635 (-1163))) 9) (((-1163) |#1| (-1163) (-1163) (-1163)) 12) (((-1163) |#1| (-1163) (-1163)) 11) (((-1163) |#1| (-1163)) 10))) 
-(((-695 |#1|) (-10 -7 (-15 -1813 ((-1163) |#1| (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-635 (-1163))))) (-610 (-542))) (T -695)) 
-((-1813 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-1813 (*1 *2 *3 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -1813 ((-1163) |#1| (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-1163) (-1163))) (-15 -1813 ((-1163) |#1| (-1163) (-635 (-1163))))) 
-((-1994 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
-(((-696 |#1| |#2|) (-10 -7 (-15 -1994 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1197) (-1197)) (T -696)) 
-((-1994 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-696 *3 *4)) (-4 *3 (-1197)) (-4 *4 (-1197))))) 
-(-10 -7 (-15 -1994 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
-((-1822 (((-1 |#3| |#2|) (-1163)) 11)) (-2520 (((-1 |#3| |#2|) |#1| (-1163)) 21))) 
-(((-697 |#1| |#2| |#3|) (-10 -7 (-15 -1822 ((-1 |#3| |#2|) (-1163))) (-15 -2520 ((-1 |#3| |#2|) |#1| (-1163)))) (-610 (-542)) (-1197) (-1197)) (T -697)) 
-((-2520 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)))) (-1822 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
-(-10 -7 (-15 -1822 ((-1 |#3| |#2|) (-1163))) (-15 -2520 ((-1 |#3| |#2|) |#1| (-1163)))) 
-((-3203 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|) 58)) (-4429 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|) 71)) (-1750 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|) 32))) 
-(((-698 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1750 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|)) (-15 -4429 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|)) (-15 -3203 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -698)) 
-((-3203 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1159 *13))) (-5 *3 (-1159 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-764))) (-5 *9 (-1247 (-635 (-1159 *10)))) (-4 *12 (-843)) (-4 *10 (-302)) (-4 *13 (-951 *10 *11 *12)) (-4 *11 (-789)) (-5 *1 (-698 *11 *12 *10 *13)))) (-4429 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1159 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-764))) (-4 *11 (-843)) (-4 *9 (-302)) (-4 *12 (-951 *9 *10 *11)) (-4 *10 (-789)) (-5 *2 (-635 (-1159 *12))) (-5 *1 (-698 *10 *11 *9 *12)) (-5 *3 (-1159 *12)))) (-1750 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1159 *11))) (-5 *3 (-1159 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-764))) (-5 *7 (-1247 (-635 (-1159 *8)))) (-4 *10 (-843)) (-4 *8 (-302)) (-4 *11 (-951 *8 *9 *10)) (-4 *9 (-789)) (-5 *1 (-698 *9 *10 *8 *11))))) 
-(-10 -7 (-15 -1750 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-764)) (-635 (-1159 |#4|)) (-1247 (-635 (-1159 |#3|))) |#3|)) (-15 -4429 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-764)) |#3|)) (-15 -3203 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-635 |#2|) (-635 (-1159 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#4|)))) (-635 (-764)) (-1247 (-635 (-1159 |#3|))) |#3|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 40)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 38)) (-4002 (((-764) $) 42)) (-4012 ((|#1| $) 41)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-764) $) 43)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 37 (|has| |#1| (-173)))) (-1653 ((|#1| $ (-764)) 39)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
-(((-699 |#1|) (-1278) (-1048)) (T -699)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048))))) 
-(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (-15 -2492 ((-764) $)) (-15 -4002 ((-764) $)) (-15 -4012 (|t#1| $)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ (-764))) (-15 -1763 ($ |t#1| (-764))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1544 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
-(((-700 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 (|#6| (-1 |#4| |#1|) |#3|))) (-559) (-1222 |#1|) (-1222 (-410 |#2|)) (-559) (-1222 |#4|) (-1222 (-410 |#5|))) (T -700)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1222 *5)) (-4 *2 (-1222 (-410 *8))) (-5 *1 (-700 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1222 (-410 *6))) (-4 *8 (-1222 *7))))) 
-(-10 -7 (-15 -1544 (|#6| (-1 |#4| |#1|) |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1359 (((-1145) (-851)) 31)) (-3615 (((-1252) (-1145)) 28)) (-2774 (((-1145) (-851)) 24)) (-4400 (((-1145) (-851)) 25)) (-2185 (((-851) $) NIL) (((-1145) (-851)) 23)) (-1668 (((-121) $ $) NIL))) 
-(((-701) (-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145)))))) (T -701)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-2774 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-4400 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-1359 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) (-3615 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-701))))) 
-(-13 (-1091) (-10 -7 (-15 -2185 ((-1145) (-851))) (-15 -2774 ((-1145) (-851))) (-15 -4400 ((-1145) (-851))) (-15 -1359 ((-1145) (-851))) (-15 -3615 ((-1252) (-1145))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-1774 (($ |#1| |#2|) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 ((|#2| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4440 (((-3 $ "failed") $ $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) ((|#1| $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-702 |#1| |#2| |#3| |#4| |#5|) (-13 (-366) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -702)) 
-((-3092 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-702 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1774 (*1 *1 *2 *3) (-12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-366) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 30)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2085 (((-764)) 46 (|has| |#1| (-371)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-4155 ((|#2| |#2|) 43)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 33)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-1774 (($ |#2|) 41)) (-3428 (((-3 $ "failed") $) 84)) (-4327 (($) 50 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-4245 (((-959 $)) 78)) (-1667 (($ $ |#1| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 76) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3092 ((|#2|) 44)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-1769 ((|#2| $) 40)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) 28)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1373 (($ $) 77 (|has| |#1| (-351)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 85 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) 31) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2367 (((-959 $)) 35)) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 60) (($ (-569)) NIL) (($ |#1|) 57) (($ (-1076)) NIL) (($ |#2|) 67) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 62) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 20 T CONST)) (-4233 (((-1247 |#1|) $) 74)) (-4111 (($ (-1247 |#1|)) 49)) (-1556 (($) 8 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-2330 (((-1247 |#1|) $) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 68)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 71) (($ $ $) NIL)) (-1707 (($ $ $) 32)) (** (($ $ (-918)) NIL) (($ $ (-764)) 79)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 56) (($ $ $) 73) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
-(((-703 |#1| |#2|) (-13 (-1222 |#1|) (-10 -8 (-15 -4155 (|#2| |#2|)) (-15 -3092 (|#2|)) (-15 -1774 ($ |#2|)) (-15 -1769 (|#2| $)) (-15 -2185 ($ |#2|)) (-15 -4233 ((-1247 |#1|) $)) (-15 -4111 ($ (-1247 |#1|))) (-15 -2330 ((-1247 |#1|) $)) (-15 -4245 ((-959 $))) (-15 -2367 ((-959 $))) (IF (|has| |#1| (-351)) (-15 -1373 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) (-1048) (-1222 |#1|)) (T -703)) 
-((-4155 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-3092 (*1 *2) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) (-1774 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-1769 (*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) (-4233 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-4111 (*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-2330 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-4245 (*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-2367 (*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3)))) (-1373 (*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1048)) (-5 *1 (-703 *2 *3)) (-4 *3 (-1222 *2))))) 
-(-13 (-1222 |#1|) (-10 -8 (-15 -4155 (|#2| |#2|)) (-15 -3092 (|#2|)) (-15 -1774 ($ |#2|)) (-15 -1769 (|#2| $)) (-15 -2185 ($ |#2|)) (-15 -4233 ((-1247 |#1|) $)) (-15 -4111 ($ (-1247 |#1|))) (-15 -2330 ((-1247 |#1|) $)) (-15 -4245 ((-959 $))) (-15 -2367 ((-959 $))) (IF (|has| |#1| (-351)) (-15 -1373 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3998 ((|#1| $) 13)) (-3360 (((-1109) $) NIL)) (-2356 ((|#2| $) 12)) (-2139 (($ |#1| |#2|) 16)) (-2185 (((-851) $) NIL) (($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|))) 15) (((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $) 14)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 11))) 
-(((-704 |#1| |#2| |#3|) (-13 (-843) (-10 -8 (-15 -2356 (|#2| $)) (-15 -3998 (|#1| $)) (-15 -2185 ($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (-15 -2185 ((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $)) (-15 -2139 ($ |#1| |#2|)))) (-843) (-1091) (-1 (-121) (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (T -704)) 
-((-2356 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-704 *3 *2 *4)) (-4 *3 (-843)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *2)) (-2 (|:| -3998 *3) (|:| -2356 *2)))))) (-3998 (*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-704 *2 *3 *4)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3)))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-4 *3 (-843)) (-4 *4 (-1091)) (-5 *1 (-704 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-5 *1 (-704 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-1091)) (-14 *5 (-1 (-121) *2 *2)))) (-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-704 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3))))))) 
-(-13 (-843) (-10 -8 (-15 -2356 (|#2| $)) (-15 -3998 (|#1| $)) (-15 -2185 ($ (-2 (|:| -3998 |#1|) (|:| -2356 |#2|)))) (-15 -2185 ((-2 (|:| -3998 |#1|) (|:| -2356 |#2|)) $)) (-15 -2139 ($ |#1| |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 59)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-2428 ((|#1| $) NIL) (((-123) $) 39)) (-3428 (((-3 $ "failed") $) 90)) (-1512 ((|#2| (-123) |#2|) 82)) (-1407 (((-121) $) NIL)) (-2133 (($ |#1| (-364 (-123))) 13)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2488 (($ $ (-1 |#2| |#2|)) 58)) (-3350 (($ $ (-1 |#2| |#2|)) 44)) (-1534 ((|#2| $ |#2|) 32)) (-3965 ((|#1| |#1|) 100 (|has| |#1| (-173)))) (-2185 (((-851) $) 66) (($ (-569)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 36)) (-3724 (($ $) 99 (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-173)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 20 T CONST)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) 48) (($ $ $) NIL)) (-1707 (($ $ $) 73)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) 57)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-173))) (($ $ |#1|) 97 (|has| |#1| (-173))))) 
-(((-705 |#1| |#2|) (-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#2| |#2|))) (-15 -2488 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#2| (-123) |#2|)) (-15 -2133 ($ |#1| (-364 (-123)))))) (-1048) (-638 |#1|)) (T -705)) 
-((-3724 (*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3724 (*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3965 (*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) (-3350 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) (-2488 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *5)) (-4 *5 (-638 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)) (-4 *4 (-638 *3)))) (-1512 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *2)) (-4 *2 (-638 *4)))) (-2133 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1048)) (-5 *1 (-705 *2 *4)) (-4 *4 (-638 *2))))) 
-(-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#2| |#2|))) (-15 -2488 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#2| (-123) |#2|)) (-15 -2133 ($ |#1| (-364 (-123)))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 33)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ |#1| |#2|) 25)) (-3428 (((-3 $ "failed") $) 47)) (-1407 (((-121) $) 35)) (-3092 ((|#2| $) 12)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 48)) (-3360 (((-1109) $) NIL)) (-4440 (((-3 $ "failed") $ $) 46)) (-2185 (((-851) $) 24) (($ (-569)) 19) ((|#1| $) 13)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 16 T CONST)) (-1556 (($) 30 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) 43) (($ $ $) 37)) (-1707 (($ $ $) 40)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 21) (($ $ $) 20))) 
-(((-706 |#1| |#2| |#3| |#4| |#5|) (-13 (-1048) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -706)) 
-((-3428 (*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3092 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1774 (*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4440 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-1795 (*1 *1 *1) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(-13 (-1048) (-10 -8 (-15 -3092 (|#2| $)) (-15 -2185 (|#1| $)) (-15 -1774 ($ |#1| |#2|)) (-15 -4440 ((-3 $ "failed") $ $)) (-15 -3428 ((-3 $ "failed") $)) (-15 -1795 ($ $)))) 
-((* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
-(((-707 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-708 |#2|) (-173)) (T -707)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-708 |#1|) (-1278) (-173)) (T -708)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3515 ((|#1| $) 21)) (-2157 (($ $ $) NIL (|has| |#1| (-788)))) (-2713 (($ $ $) NIL (|has| |#1| (-788)))) (-2605 (((-1147) $) 46)) (-1912 (((-1111) $) NIL)) (-3524 ((|#3| $) 22)) (-3956 (((-852) $) 42)) (-2407 (($) 10 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL (|has| |#1| (-788)))) (-1337 (((-121) $ $) 24 (|has| |#1| (-788)))) (-1383 (($ $ |#3|) 34) (($ |#1| |#3|) 35)) (-1377 (($ $) 17) (($ $ $) NIL)) (-1371 (($ $ $) 27)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 30) (($ |#2| $) 32) (($ $ |#2|) NIL))) 
+(((-653 |#1| |#2| |#3|) (-13 (-709 |#2|) (-10 -8 (IF (|has| |#1| (-788)) (-6 (-788)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) (-709 |#2|) (-173) (|SubsetCategory| (-718) |#2|)) (T -653)) 
+((-1383 (*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) (-1383 (*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-709 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) (-3515 (*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-709 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) (-3524 (*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4))))) 
+(-13 (-709 |#2|) (-10 -8 (IF (|has| |#1| (-788)) (-6 (-788)) |noBranch|) (-15 -1383 ($ $ |#3|)) (-15 -1383 ($ |#1| |#3|)) (-15 -3515 (|#1| $)) (-15 -3524 (|#3| $)))) 
+((-2403 (((-681 |#1|) (-681 |#1|)) 27)) (-2868 (((-681 |#1|) (-681 |#1|)) 26)) (-4026 (((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))) 44)) (-4210 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 29)) (-3366 (((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|) 43)) (-1943 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|))) 34))) 
+(((-654 |#1|) (-10 -7 (-15 -2403 ((-681 |#1|) (-681 |#1|))) (-15 -2868 ((-681 |#1|) (-681 |#1|))) (-15 -4210 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1943 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3366 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -4026 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) (-366)) (T -654)) 
+((-4026 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4)))) (-3366 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-1943 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-4210 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2868 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3)))) (-2403 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(-10 -7 (-15 -2403 ((-681 |#1|) (-681 |#1|))) (-15 -2868 ((-681 |#1|) (-681 |#1|))) (-15 -4210 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1943 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -3366 ((-635 |#1|) (-635 |#1|) (-635 |#1|) |#1|)) (-15 -4026 ((-635 (-635 |#1|)) (-635 |#1|) (-635 (-635 |#1|))))) 
+((-2847 (((-121)) 46) (((-121) (-121)) 47)) (-2630 ((|#7| |#5| |#3|) 44)) (-2778 ((|#5| |#7|) 29)) (-3581 (((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)) 99)) (-3533 (((-635 |#6|) |#5| |#3| (-569)) 35))) 
+(((-655 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))) (-15 -2630 (|#7| |#5| |#3|)) (-15 -3533 ((-635 |#6|) |#5| |#3| (-569))) (-15 -2778 (|#5| |#7|)) (-15 -3581 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|)) (T -655)) 
+((-3581 (*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *4 (-973 *6)) (-4 *10 (-922 *6 *9)))) (-2778 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *2 (-973 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *3 (-922 *4 *8)))) (-3533 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *3 (-973 *6)) (-4 *10 (-922 *6 *9)))) (-2630 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-922 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)))) (-2847 (*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) (-2847 (*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8))))) 
+(-10 -7 (-15 -2847 ((-121) (-121))) (-15 -2847 ((-121))) (-15 -2630 (|#7| |#5| |#3|)) (-15 -3533 ((-635 |#6|) |#5| |#3| (-569))) (-15 -2778 (|#5| |#7|)) (-15 -3581 ((-2 (|:| |fnc| |#3|) (|:| |crv| |#3|) (|:| |chart| (-635 (-569)))) |#3| |#5| |#3| (-569)))) 
+((-3671 (((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)) 33))) 
+(((-656 |#1|) (-10 -7 (-15 -3671 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)))) (-906)) (T -656)) 
+((-3671 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *4))) (-5 *3 (-1161 *4)) (-4 *4 (-906)) (-5 *1 (-656 *4))))) 
+(-10 -7 (-15 -3671 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 82)) (-4480 (($ $ (-765)) 90)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2368 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 48)) (-3003 (((-3 (-664 |#1|) "failed") $) NIL)) (-1321 (((-664 |#1|) $) NIL)) (-3373 (($ $) 89)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-664 |#1|) |#2|) 68)) (-2745 (($ $) 86)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (((-1275 |#1| |#2|) (-1275 |#1| |#2|) $) 47)) (-2210 (((-635 (-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-664 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-664 |#1|) $) NIL)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ |#1| $) 30) (($ $ (-635 |#1|) (-635 $)) 32)) (-2284 (((-765) $) 88)) (-3124 (($ $ $) 20) (($ (-664 |#1|) (-664 |#1|)) 77) (($ (-664 |#1|) $) 75) (($ $ (-664 |#1|)) 76)) (-3956 (((-852) $) NIL) (($ |#1|) 74) (((-1266 |#1| |#2|) $) 58) (((-1275 |#1| |#2|) $) 41) (($ (-664 |#1|)) 25)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-664 |#1|)) NIL)) (-3550 ((|#2| (-1275 |#1| |#2|) $) 43)) (-2407 (($) 23 T CONST)) (-2072 (((-3 $ "failed") (-1266 |#1| |#2|)) 60)) (-4067 (($ (-664 |#1|)) 14)) (-1326 (((-121) $ $) 44)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) 66) (($ $ $) NIL)) (-1371 (($ $ $) 29)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 28) (($ $ |#2|) NIL) (($ |#2| (-664 |#1|)) NIL))) 
+(((-657 |#1| |#2|) (-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -2072 ((-3 $ "failed") (-1266 |#1| |#2|))) (-15 -3124 ($ (-664 |#1|) (-664 |#1|))) (-15 -3124 ($ (-664 |#1|) $)) (-15 -3124 ($ $ (-664 |#1|))))) (-844) (-173)) (T -657)) 
+((-2072 (*1 *1 *2) (|partial| -12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) (-3124 (*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-3124 (*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) (-3124 (*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173))))) 
+(-13 (-377 |#1| |#2|) (-385 |#2| (-664 |#1|)) (-10 -8 (-15 -2072 ((-3 $ "failed") (-1266 |#1| |#2|))) (-15 -3124 ($ (-664 |#1|) (-664 |#1|))) (-15 -3124 ($ (-664 |#1|) $)) (-15 -3124 ($ $ (-664 |#1|))))) 
+((-3382 (((-121) $) NIL) (((-121) (-1 (-121) |#2| |#2|) $) 49)) (-1744 (($ $) NIL) (($ (-1 (-121) |#2| |#2|) $) 11)) (-1304 (($ (-1 (-121) |#2|) $) 27)) (-2887 (($ $) 55)) (-2938 (($ $) 62)) (-2006 (($ |#2| $) NIL) (($ (-1 (-121) |#2|) $) 36)) (-2793 ((|#2| (-1 |#2| |#2| |#2|) $) 21) ((|#2| (-1 |#2| |#2| |#2|) $ |#2|) 50) ((|#2| (-1 |#2| |#2| |#2|) $ |#2| |#2|) 52)) (-3988 (((-569) |#2| $ (-569)) 60) (((-569) |#2| $) NIL) (((-569) (-1 (-121) |#2|) $) 46)) (-2446 (($ (-765) |#2|) 53)) (-4002 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 29)) (-2102 (($ $ $) NIL) (($ (-1 (-121) |#2| |#2|) $ $) 24)) (-4188 (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) 54)) (-1832 (($ |#2|) 14)) (-2351 (($ $ $ (-569)) 35) (($ |#2| $ (-569)) 33)) (-2569 (((-3 |#2| "failed") (-1 (-121) |#2|) $) 45)) (-1313 (($ $ (-1219 (-569))) 43) (($ $ (-569)) 37)) (-3038 (($ $ $ (-569)) 59)) (-1799 (($ $) 57)) (-1337 (((-121) $ $) 64))) 
+(((-658 |#1| |#2|) (-10 -8 (-15 -1832 (|#1| |#2|)) (-15 -1313 (|#1| |#1| (-569))) (-15 -1313 (|#1| |#1| (-1219 (-569)))) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2351 (|#1| |#2| |#1| (-569))) (-15 -2351 (|#1| |#1| |#1| (-569))) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -2938 (|#1| |#1|)) (-15 -4002 (|#1| |#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -2887 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2446 (|#1| (-765) |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) (-659 |#2|) (-1199)) (T -658)) 
+NIL 
+(-10 -8 (-15 -1832 (|#1| |#2|)) (-15 -1313 (|#1| |#1| (-569))) (-15 -1313 (|#1| |#1| (-1219 (-569)))) (-15 -2006 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2351 (|#1| |#2| |#1| (-569))) (-15 -2351 (|#1| |#1| |#1| (-569))) (-15 -4002 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -1304 (|#1| (-1 (-121) |#2|) |#1|)) (-15 -2006 (|#1| |#2| |#1|)) (-15 -2938 (|#1| |#1|)) (-15 -4002 (|#1| |#1| |#1|)) (-15 -2102 (|#1| (-1 (-121) |#2| |#2|) |#1| |#1|)) (-15 -3382 ((-121) (-1 (-121) |#2| |#2|) |#1|)) (-15 -3988 ((-569) (-1 (-121) |#2|) |#1|)) (-15 -3988 ((-569) |#2| |#1|)) (-15 -3988 ((-569) |#2| |#1| (-569))) (-15 -2102 (|#1| |#1| |#1|)) (-15 -3382 ((-121) |#1|)) (-15 -3038 (|#1| |#1| |#1| (-569))) (-15 -2887 (|#1| |#1|)) (-15 -1744 (|#1| (-1 (-121) |#2| |#2|) |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1| |#2|)) (-15 -2793 (|#2| (-1 |#2| |#2| |#2|) |#1|)) (-15 -2569 ((-3 |#2| "failed") (-1 (-121) |#2|) |#1|)) (-15 -2446 (|#1| (-765) |#2|)) (-15 -4188 (|#1| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1799 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3382 (((-121) $) 136 (|has| |#1| (-844))) (((-121) (-1 (-121) |#1| |#1|) $) 130)) (-1744 (($ $) 140 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572)))) (($ (-1 (-121) |#1| |#1|) $) 139 (|has| $ (-6 -4572)))) (-2930 (($ $) 135 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $) 129)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-1304 (($ (-1 (-121) |#1|) $) 123)) (-2140 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4571)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-2887 (($ $) 138 (|has| $ (-6 -4572)))) (-1871 (($ $) 128)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-2938 (($ $) 125 (|has| |#1| (-1093)))) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 124 (|has| |#1| (-1093))) (($ (-1 (-121) |#1|) $) 119)) (-3503 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4571))) (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-3988 (((-569) |#1| $ (-569)) 133 (|has| |#1| (-1093))) (((-569) |#1| $) 132 (|has| |#1| (-1093))) (((-569) (-1 (-121) |#1|) $) 131)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-2157 (($ $ $) 141 (|has| |#1| (-844)))) (-4002 (($ $ $) 126 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 122)) (-2102 (($ $ $) 134 (|has| |#1| (-844))) (($ (-1 (-121) |#1| |#1|) $ $) 127)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2713 (($ $ $) 142 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1832 (($ |#1|) 116)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2351 (($ $ $ (-569)) 121) (($ |#1| $ (-569)) 120)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-4363 (((-121) $) 81)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-1313 (($ $ (-1219 (-569))) 118) (($ $ (-569)) 117)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 137 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58) (($ $ |#1|) 57)) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 144 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 145 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 143 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 146 (|has| |#1| (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-659 |#1|) (-1284) (-1199)) (T -659)) 
+((-1832 (*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1199))))) 
+(-13 (-1137 |t#1|) (-376 |t#1|) (-278 |t#1|) (-10 -8 (-15 -1832 ($ |t#1|)))) 
+(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-278 |#1|) . T) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1012 |#1|) . T) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1137 |#1|) . T) ((-1199) . T) ((-1240 |#1|) . T)) 
+((-2880 (((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|))) 21) (((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|))) 20) (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|)) 16) (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)) 13)) (-3358 (((-765) (-681 |#1|) (-1253 |#1|)) 29)) (-4192 (((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|)) 23)) (-2802 (((-121) (-681 |#1|) (-1253 |#1|)) 26))) 
+(((-660 |#1|) (-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|))) (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|)))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|)))) (-15 -4192 ((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|))) (-15 -2802 ((-121) (-681 |#1|) (-1253 |#1|))) (-15 -3358 ((-765) (-681 |#1|) (-1253 |#1|)))) (-366)) (T -660)) 
+((-3358 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-660 *5)))) (-2802 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) (-4192 (*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1253 *4)) (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5))))) 
+(-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|))) (-15 -2880 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-635 (-635 |#1|)) (-1253 |#1|))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-681 |#1|) (-635 (-1253 |#1|)))) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|))))) (-635 (-635 |#1|)) (-635 (-1253 |#1|)))) (-15 -4192 ((-3 (-1253 |#1|) "failed") (-681 |#1|) (-1253 |#1|))) (-15 -2802 ((-121) (-681 |#1|) (-1253 |#1|))) (-15 -3358 ((-765) (-681 |#1|) (-1253 |#1|)))) 
+((-2880 (((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|)) 47) (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|) 45)) (-3358 (((-765) |#4| |#3|) 17)) (-4192 (((-3 |#3| "failed") |#4| |#3|) 20)) (-2802 (((-121) |#4| |#3|) 13))) 
+(((-661 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|)) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -4192 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2802 ((-121) |#4| |#3|)) (-15 -3358 ((-765) |#4| |#3|))) (-366) (-13 (-376 |#1|) (-10 -7 (-6 -4572))) (-13 (-376 |#1|) (-10 -7 (-6 -4572))) (-679 |#1| |#2| |#3|)) (T -661)) 
+((-3358 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-765)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-2802 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-4192 (*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-679 *4 *5 *2)))) (-2880 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -4079 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-679 *5 *6 *7)))) (-2880 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
+(-10 -7 (-15 -2880 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|)) (-15 -2880 ((-635 (-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|)))) |#4| (-635 |#3|))) (-15 -4192 ((-3 |#3| "failed") |#4| |#3|)) (-15 -2802 ((-121) |#4| |#3|)) (-15 -3358 ((-765) |#4| |#3|))) 
+((-3002 (((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)) 44))) 
+(((-662 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3002 ((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) (-559) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -662)) 
+((-3002 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 (-410 *8)) "failed")) (|:| -4079 (-635 (-1253 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -3002 ((-2 (|:| |particular| (-3 (-1253 (-410 |#4|)) "failed")) (|:| -4079 (-635 (-1253 (-410 |#4|))))) (-635 |#4|) (-635 |#3|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3667 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-3588 ((|#2| $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3359 (((-1253 (-681 |#2|))) NIL) (((-1253 (-681 |#2|)) (-1253 $)) NIL)) (-1491 (((-121) $) NIL)) (-1552 (((-1253 $)) 37)) (-3350 (((-121) $ (-765)) NIL)) (-2232 (($ |#2|) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| |#2| (-302)))) (-4128 (((-233 |#1| |#2|) $ (-569)) NIL)) (-2634 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-3943 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-2459 (((-681 |#2|)) NIL) (((-681 |#2|) (-1253 $)) NIL)) (-1478 ((|#2| $) NIL)) (-4471 (((-681 |#2|) $) NIL) (((-681 |#2|) $ (-1253 $)) NIL)) (-4174 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-1965 (((-1161 (-955 |#2|))) NIL (|has| |#2| (-366)))) (-4382 (($ $ (-919)) NIL)) (-3557 ((|#2| $) NIL)) (-2212 (((-1161 |#2|) $) NIL (|has| |#2| (-559)))) (-1547 ((|#2|) NIL) ((|#2| (-1253 $)) NIL)) (-3168 (((-1161 |#2|) $) NIL)) (-3073 (((-121)) NIL)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-2097 (($ (-1253 |#2|)) NIL) (($ (-1253 |#2|) (-1253 $)) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3358 (((-765) $) NIL (|has| |#2| (-559))) (((-919)) 38)) (-4124 ((|#2| $ (-569) (-569)) NIL)) (-3894 (((-121)) NIL)) (-2073 (($ $ (-919)) NIL)) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL)) (-2557 (((-765) $) NIL (|has| |#2| (-559)))) (-3970 (((-635 (-233 |#1| |#2|)) $) NIL (|has| |#2| (-559)))) (-3568 (((-765) $) NIL)) (-1428 (((-121)) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#2| $) NIL (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#2|))) NIL)) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4269 (((-635 (-635 |#2|)) $) NIL)) (-4078 (((-121)) NIL)) (-4015 (((-121)) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-4030 (((-3 (-2 (|:| |particular| $) (|:| -4079 (-635 $))) "failed")) NIL (|has| |#2| (-559)))) (-1309 (((-3 $ "failed")) NIL (|has| |#2| (-559)))) (-3707 (((-681 |#2|)) NIL) (((-681 |#2|) (-1253 $)) NIL)) (-2858 ((|#2| $) NIL)) (-4432 (((-681 |#2|) $) NIL) (((-681 |#2|) $ (-1253 $)) NIL)) (-2983 (((-3 $ "failed") $) NIL (|has| |#2| (-559)))) (-3348 (((-1161 (-955 |#2|))) NIL (|has| |#2| (-366)))) (-2846 (($ $ (-919)) NIL)) (-2170 ((|#2| $) NIL)) (-1650 (((-1161 |#2|) $) NIL (|has| |#2| (-559)))) (-2510 ((|#2|) NIL) ((|#2| (-1253 $)) NIL)) (-4215 (((-1161 |#2|) $) NIL)) (-2431 (((-121)) NIL)) (-2605 (((-1147) $) NIL)) (-2826 (((-121)) NIL)) (-4161 (((-121)) NIL)) (-3983 (((-121)) NIL)) (-1655 (((-3 $ "failed") $) NIL (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-2067 (((-121)) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) 22) ((|#2| $ (-569)) NIL)) (-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4517 ((|#2| $) NIL)) (-3990 (($ (-635 |#2|)) NIL)) (-3757 (((-121) $) NIL)) (-2513 (((-233 |#1| |#2|) $) NIL)) (-4396 ((|#2| $) NIL (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3672 (((-681 |#2|) (-1253 $)) NIL) (((-1253 |#2|) $) NIL) (((-681 |#2|) (-1253 $) (-1253 $)) NIL) (((-1253 |#2|) $ (-1253 $)) 25)) (-4035 (($ (-1253 |#2|)) NIL) (((-1253 |#2|) $) NIL)) (-3127 (((-635 (-955 |#2|))) NIL) (((-635 (-955 |#2|)) (-1253 $)) NIL)) (-2689 (($ $ $) NIL)) (-2984 (((-121)) NIL)) (-2349 (((-233 |#1| |#2|) $ (-569)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (((-681 |#2|) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) 36)) (-2628 (((-635 (-1253 |#2|))) NIL (|has| |#2| (-559)))) (-4379 (($ $ $ $) NIL)) (-1413 (((-121)) NIL)) (-1772 (($ (-681 |#2|) $) NIL)) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-3924 (($ $ $) NIL)) (-1561 (((-121)) NIL)) (-3952 (((-121)) NIL)) (-1606 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) NIL) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-663 |#1| |#2|) (-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-420 |#2|)) (-919) (-173)) (T -663)) 
+NIL 
+(-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-420 |#2|)) 
+((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) NIL)) (-3417 (($ $) 50)) (-3713 (((-121) $) NIL)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4165 (((-3 $ "failed") (-816 |#1|)) 22)) (-1512 (((-121) (-816 |#1|)) 14)) (-1750 (($ (-816 |#1|)) 23)) (-1873 (((-121) $ $) 28)) (-2718 (((-919) $) 35)) (-3149 (($ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3139 (((-635 $) (-816 |#1|)) 16)) (-3956 (((-852) $) 41) (($ |#1|) 32) (((-816 |#1|) $) 37) (((-669 |#1|) $) 42)) (-4497 (((-64 (-635 $)) (-635 |#1|) (-919)) 55)) (-1565 (((-635 $) (-635 |#1|) (-919)) 57)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 51)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 36))) 
+(((-664 |#1|) (-13 (-844) (-1039 |#1|) (-10 -8 (-15 -3713 ((-121) $)) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ((-669 |#1|) $)) (-15 -3139 ((-635 $) (-816 |#1|))) (-15 -1512 ((-121) (-816 |#1|))) (-15 -1750 ($ (-816 |#1|))) (-15 -4165 ((-3 $ "failed") (-816 |#1|))) (-15 -3810 ((-635 |#1|) $)) (-15 -4497 ((-64 (-635 $)) (-635 |#1|) (-919))) (-15 -1565 ((-635 $) (-635 |#1|) (-919))))) (-844)) (T -664)) 
+((-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3149 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) (-3417 (*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-669 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-3139 (*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) (-1512 (*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-664 *4)))) (-1750 (*1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3)))) (-4165 (*1 *1 *2) (|partial| -12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) (-4497 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5)))) (-1565 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
+(-13 (-844) (-1039 |#1|) (-10 -8 (-15 -3713 ((-121) $)) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ((-669 |#1|) $)) (-15 -3139 ((-635 $) (-816 |#1|))) (-15 -1512 ((-121) (-816 |#1|))) (-15 -1750 ($ (-816 |#1|))) (-15 -4165 ((-3 $ "failed") (-816 |#1|))) (-15 -3810 ((-635 |#1|) $)) (-15 -4497 ((-64 (-635 $)) (-635 |#1|) (-919))) (-15 -1565 ((-635 $) (-635 |#1|) (-919))))) 
+((-2756 ((|#2| $) 76)) (-2394 (($ $) 96)) (-3350 (((-121) $ (-765)) 26)) (-1864 (($ $) 85) (($ $ (-765)) 88)) (-1292 (((-121) $) 97)) (-3899 (((-635 $) $) 72)) (-2638 (((-121) $ $) 71)) (-3206 (((-121) $ (-765)) 24)) (-2497 (((-569) $) 46)) (-1301 (((-569) $) 45)) (-1396 (((-121) $ (-765)) 22)) (-3491 (((-121) $) 74)) (-3302 ((|#2| $) 89) (($ $ (-765)) 92)) (-2583 (($ $ $ (-569)) 62) (($ |#2| $ (-569)) 61)) (-2761 (((-635 (-569)) $) 44)) (-3292 (((-121) (-569) $) 42)) (-1816 ((|#2| $) NIL) (($ $ (-765)) 84)) (-3803 (($ $ (-569)) 99)) (-4363 (((-121) $) 98)) (-2985 (((-121) (-1 (-121) |#2|) $) 32)) (-4283 (((-635 |#2|) $) 33)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") 83) (($ $ "rest") 87) ((|#2| $ "last") 95) (($ $ (-1219 (-569))) 58) ((|#2| $ (-569)) 40) ((|#2| $ (-569) |#2|) 41)) (-3248 (((-569) $ $) 70)) (-2077 (($ $ (-1219 (-569))) 57) (($ $ (-569)) 51)) (-1630 (((-121) $) 66)) (-2588 (($ $) 81)) (-3977 (((-765) $) 80)) (-2483 (($ $) 79)) (-3124 (($ (-635 |#2|)) 37)) (-2994 (($ $) 100)) (-4065 (((-635 $) $) 69)) (-3773 (((-121) $ $) 68)) (-3776 (((-121) (-1 (-121) |#2|) $) 31)) (-1326 (((-121) $ $) 18)) (-2946 (((-765) $) 29))) 
+(((-665 |#1| |#2|) (-10 -8 (-15 -2994 (|#1| |#1|)) (-15 -3803 (|#1| |#1| (-569))) (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -4283 ((-635 |#2|) |#1|)) (-15 -3292 ((-121) (-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -1301 ((-569) |#1|)) (-15 -2497 ((-569) |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -3248 ((-569) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) (-666 |#2|) (-1199)) (T -665)) 
+NIL 
+(-10 -8 (-15 -2994 (|#1| |#1|)) (-15 -3803 (|#1| |#1| (-569))) (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -4283 ((-635 |#2|) |#1|)) (-15 -3292 ((-121) (-569) |#1|)) (-15 -2761 ((-635 (-569)) |#1|)) (-15 -1301 ((-569) |#1|)) (-15 -2497 ((-569) |#1|)) (-15 -3124 (|#1| (-635 |#2|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2077 (|#1| |#1| (-569))) (-15 -2077 (|#1| |#1| (-1219 (-569)))) (-15 -2583 (|#1| |#2| |#1| (-569))) (-15 -2583 (|#1| |#1| |#1| (-569))) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -2638 ((-121) |#1| |#1|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -3248 ((-569) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2985 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#2|) |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 99)) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-3788 (($ $) 118)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 100)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-1938 (((-765) $) 117)) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2176 (($ $) 120)) (-1849 (((-121) $) 121)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2409 ((|#1| $) 119)) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-3803 (($ $ (-569)) 116)) (-4363 (((-121) $) 81)) (-1385 (((-121) $) 122)) (-3522 (((-121) $) 123)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2994 (($ $) 115)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-666 |#1|) (-1284) (-1199)) (T -666)) 
+((-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-2140 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-3522 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1385 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1849 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-2176 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-2409 (*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-3788 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) (-1938 (*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) (-2994 (*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
+(-13 (-1137 |t#1|) (-10 -8 (-15 -3503 ($ (-1 (-121) |t#1|) $)) (-15 -2140 ($ (-1 (-121) |t#1|) $)) (-15 -3522 ((-121) $)) (-15 -1385 ((-121) $)) (-15 -1849 ((-121) $)) (-15 -2176 ($ $)) (-15 -2409 (|t#1| $)) (-15 -3788 ($ $)) (-15 -1938 ((-765) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1137 |#1|) . T) ((-1199) . T) ((-1240 |#1|) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2535 (($ (-765) (-765) (-765)) 32 (|has| |#1| (-1049)))) (-3350 (((-121) $ (-765)) NIL)) (-2416 ((|#1| $ (-765) (-765) (-765) |#1|) 27)) (-4483 (($) NIL T CONST)) (-2271 (($ $ $) 36 (|has| |#1| (-1049)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2600 (((-1253 (-765)) $) 8)) (-2883 (($ (-1165) $ $) 22)) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2643 (($ (-765)) 34 (|has| |#1| (-1049)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-765) (-765) (-765)) 25)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3124 (($ (-635 (-635 (-635 |#1|)))) 43)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-960 (-960 (-960 |#1|)))) 15) (((-960 (-960 (-960 |#1|))) $) 12)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-667 |#1|) (-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1049)) (PROGN (-15 -2535 ($ (-765) (-765) (-765))) (-15 -2643 ($ (-765))) (-15 -2271 ($ $ $))) |noBranch|) (-15 -3124 ($ (-635 (-635 (-635 |#1|))))) (-15 -2503 (|#1| $ (-765) (-765) (-765))) (-15 -2416 (|#1| $ (-765) (-765) (-765) |#1|)) (-15 -3956 ($ (-960 (-960 (-960 |#1|))))) (-15 -3956 ((-960 (-960 (-960 |#1|))) $)) (-15 -2883 ($ (-1165) $ $)) (-15 -2600 ((-1253 (-765)) $)))) (-1093)) (T -667)) 
+((-2535 (*1 *1 *2 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093)))) (-2643 (*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093)))) (-2271 (*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1049)) (-4 *2 (-1093)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) (-2503 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) (-2416 (*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) (-2883 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) (-2600 (*1 *2 *1) (-12 (-5 *2 (-1253 (-765))) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
+(-13 (-500 |#1|) (-10 -8 (IF (|has| |#1| (-1049)) (PROGN (-15 -2535 ($ (-765) (-765) (-765))) (-15 -2643 ($ (-765))) (-15 -2271 ($ $ $))) |noBranch|) (-15 -3124 ($ (-635 (-635 (-635 |#1|))))) (-15 -2503 (|#1| $ (-765) (-765) (-765))) (-15 -2416 (|#1| $ (-765) (-765) (-765) |#1|)) (-15 -3956 ($ (-960 (-960 (-960 |#1|))))) (-15 -3956 ((-960 (-960 (-960 |#1|))) $)) (-15 -2883 ($ (-1165) $ $)) (-15 -2600 ((-1253 (-765)) $)))) 
+((-2225 (((-121) |#1|) 5)) (-1911 (((-1258) |#1| (-1203) (-569) |#2|) 8)) (-1931 ((|#1| |#1| |#1| |#2|) 1)) (-1973 (((-3 |#2| "failed") (-635 (-955 (-569))) (-635 (-1165)) (-569)) 3)) (-2048 ((|SortedExponentVector| (-569) (-569) |#2|) 7)) (-2284 (((-569) |#1|) 6)) (-4143 (((-3 |#1| "failed") |#1| |#2|) 2)) (-4173 ((|#1| (-955 (-569)) (-1165) (-635 (-1165)) |#2|) 4))) 
+(((-668 |#1| |#2|) (-1284) (-1199) (-1199)) (T -668)) 
+((-1911 (*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1203)) (-5 *5 (-569)) (-4 *1 (-668 *3 *6)) (-4 *3 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1258)))) (-2048 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-569)) (-4 *1 (-668 *5 *4)) (-4 *5 (-1199)) (-4 *4 (-1199)) (-5 *2 |SortedExponentVector|))) (-2284 (*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-569)))) (-2225 (*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-121)))) (-4173 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-955 (-569))) (-5 *5 (-635 (-1165))) (-4 *1 (-668 *2 *6)) (-4 *6 (-1199)) (-5 *4 (-1165)) (-4 *2 (-1199)))) (-1973 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *5 (-569)) (-4 *1 (-668 *6 *2)) (-4 *6 (-1199)) (-4 *2 (-1199)))) (-4143 (*1 *2 *2 *3) (|partial| -12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199)))) (-1931 (*1 *2 *2 *2 *3) (-12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
+(-13 (-10 -7 (-15 -1931 (|t#1| |t#1| |t#1| |t#2|)) (-15 -4143 ((-3 |t#1| "failed") |t#1| |t#2|)) (-15 -1973 ((-3 |t#2| "failed") (-635 (-955 (-569))) (-635 (-1165)) (-569))) (-15 -4173 (|t#1| (-955 (-569)) (-1165) (-635 (-1165)) |t#2|)) (-15 -2225 ((-121) |t#1|)) (-15 -2284 ((-569) |t#1|)) (-15 -2048 (|SortedExponentVector| (-569) (-569) |t#2|)) (-15 -1911 ((-1258) |t#1| (-1203) (-569) |t#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 14)) (-3417 (($ $) 18)) (-3713 (((-121) $) 19)) (-3003 (((-3 |#1| "failed") $) 22)) (-1321 ((|#1| $) 20)) (-1864 (($ $) 36)) (-2745 (($ $) 24)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1873 (((-121) $ $) 41)) (-2718 (((-919) $) 38)) (-3149 (($ $) 17)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 ((|#1| $) 35)) (-3956 (((-852) $) 31) (($ |#1|) 23) (((-816 |#1|) $) 27)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 12)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 40)) (* (($ $ $) 34))) 
+(((-669 |#1|) (-13 (-844) (-1039 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -1816 (|#1| $)) (-15 -3149 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -2745 ($ $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3417 ($ $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -669)) 
+((* (*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3149 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) (-3417 (*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844))))) 
+(-13 (-844) (-1039 |#1|) (-10 -8 (-15 * ($ $ $)) (-15 -3956 ((-816 |#1|) $)) (-15 -1816 (|#1| $)) (-15 -3149 ($ $)) (-15 -2718 ((-919) $)) (-15 -1873 ((-121) $ $)) (-15 -2745 ($ $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3417 ($ $)) (-15 -3810 ((-635 |#1|) $)))) 
+((-3623 ((|#1| (-1 |#1| (-765) |#1|) (-765) |#1|) 11)) (-4155 ((|#1| (-1 |#1| |#1|) (-765) |#1|) 9))) 
+(((-670 |#1|) (-10 -7 (-15 -4155 (|#1| (-1 |#1| |#1|) (-765) |#1|)) (-15 -3623 (|#1| (-1 |#1| (-765) |#1|) (-765) |#1|))) (-1093)) (T -670)) 
+((-3623 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-765) *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2)))) (-4155 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2))))) 
+(-10 -7 (-15 -4155 (|#1| (-1 |#1| |#1|) (-765) |#1|)) (-15 -3623 (|#1| (-1 |#1| (-765) |#1|) (-765) |#1|))) 
+((-2898 ((|#2| |#1| |#2|) 9)) (-2893 ((|#1| |#1| |#2|) 8))) 
+(((-671 |#1| |#2|) (-10 -7 (-15 -2893 (|#1| |#1| |#2|)) (-15 -2898 (|#2| |#1| |#2|))) (-1093) (-1093)) (T -671)) 
+((-2898 (*1 *2 *3 *2) (-12 (-5 *1 (-671 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-2893 (*1 *2 *2 *3) (-12 (-5 *1 (-671 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(-10 -7 (-15 -2893 (|#1| |#1| |#2|)) (-15 -2898 (|#2| |#1| |#2|))) 
+((-3014 ((|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|) 11))) 
+(((-672 |#1| |#2| |#3|) (-10 -7 (-15 -3014 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) (-1093) (-1093) (-1093)) (T -672)) 
+((-3014 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)) (-5 *1 (-672 *5 *6 *2))))) 
+(-10 -7 (-15 -3014 (|#3| (-1 |#3| |#2|) (-1 |#2| |#1|) |#1|))) 
+((-3623 (((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)) 23)) (-3798 (((-1 |#1|) |#1|) 8)) (-3227 ((|#1| |#1|) 16)) (-1431 (((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569)) 15) ((|#1| (-1 |#1| |#1|)) 11)) (-3956 (((-1 |#1|) |#1|) 9)) (** (((-1 |#1| |#1|) (-1 |#1| |#1|) (-765)) 20))) 
+(((-673 |#1|) (-10 -7 (-15 -3798 ((-1 |#1|) |#1|)) (-15 -3956 ((-1 |#1|) |#1|)) (-15 -1431 (|#1| (-1 |#1| |#1|))) (-15 -1431 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -3227 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-765))) (-15 -3623 ((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)))) (-1093)) (T -673)) 
+((-3623 (*1 *2 *2) (-12 (-5 *2 (-1 *3 (-765) *3)) (-4 *3 (-1093)) (-5 *1 (-673 *3)))) (** (*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *4 (-1093)) (-5 *1 (-673 *4)))) (-3227 (*1 *2 *2) (-12 (-5 *1 (-673 *2)) (-4 *2 (-1093)))) (-1431 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-673 *5)) (-4 *5 (-1093)))) (-1431 (*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-673 *2)) (-4 *2 (-1093)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093)))) (-3798 (*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093))))) 
+(-10 -7 (-15 -3798 ((-1 |#1|) |#1|)) (-15 -3956 ((-1 |#1|) |#1|)) (-15 -1431 (|#1| (-1 |#1| |#1|))) (-15 -1431 ((-635 |#1|) (-1 (-635 |#1|) (-635 |#1|)) (-569))) (-15 -3227 (|#1| |#1|)) (-15 ** ((-1 |#1| |#1|) (-1 |#1| |#1|) (-765))) (-15 -3623 ((-1 |#1| (-765) |#1|) (-1 |#1| (-765) |#1|)))) 
+((-2302 (((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)) 16)) (-2152 (((-1 |#2|) (-1 |#2| |#1|) |#1|) 13)) (-3575 (((-1 |#2| |#1|) (-1 |#2|)) 14)) (-2303 (((-1 |#2| |#1|) |#2|) 11))) 
+(((-674 |#1| |#2|) (-10 -7 (-15 -2303 ((-1 |#2| |#1|) |#2|)) (-15 -2152 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3575 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2302 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) (-1093) (-1093)) (T -674)) 
+((-2302 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)) (-4 *4 (-1093)))) (-2152 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5)) (-5 *1 (-674 *4 *5)))) (-2303 (*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-674 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1093))))) 
+(-10 -7 (-15 -2303 ((-1 |#2| |#1|) |#2|)) (-15 -2152 ((-1 |#2|) (-1 |#2| |#1|) |#1|)) (-15 -3575 ((-1 |#2| |#1|) (-1 |#2|))) (-15 -2302 ((-1 |#2| |#1|) (-1 |#2| |#1| |#1|)))) 
+((-1354 (((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|)) 17)) (-3106 (((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|) 11)) (-1697 (((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|) 13)) (-4151 (((-1 |#3| |#1| |#2|) (-1 |#3| |#1|)) 14)) (-2172 (((-1 |#3| |#1| |#2|) (-1 |#3| |#2|)) 15)) (* (((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)) 21))) 
+(((-675 |#1| |#2| |#3|) (-10 -7 (-15 -3106 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1697 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4151 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2172 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -1354 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) (-1093) (-1093) (-1093)) (T -675)) 
+((* (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-1 *7 *5)) (-5 *1 (-675 *5 *6 *7)))) (-1354 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-675 *4 *5 *6)))) (-2172 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *4 (-1093)))) (-4151 (*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *5 (-1093)))) (-1697 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *4 *5 *6)))) (-3106 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1093)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *5 *4 *6))))) 
+(-10 -7 (-15 -3106 ((-1 |#3| |#1|) (-1 |#3| |#1| |#2|) |#2|)) (-15 -1697 ((-1 |#3| |#2|) (-1 |#3| |#1| |#2|) |#1|)) (-15 -4151 ((-1 |#3| |#1| |#2|) (-1 |#3| |#1|))) (-15 -2172 ((-1 |#3| |#1| |#2|) (-1 |#3| |#2|))) (-15 -1354 ((-1 |#3| |#2| |#1|) (-1 |#3| |#1| |#2|))) (-15 * ((-1 |#3| |#1|) (-1 |#3| |#2|) (-1 |#2| |#1|)))) 
+((-1383 (((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)) 18)) (-1377 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 12)) (-1371 (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 10)) (* (((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|)) 14))) 
+(((-676 |#1| |#2|) (-10 -7 (-15 -1371 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1377 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1383 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) (-1093) (-1049)) (T -676)) 
+((-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1093)) (-5 *1 (-676 *3 *4)) (-4 *4 (-1049)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4))))) 
+(-10 -7 (-15 -1371 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1377 ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 * ((-1 |#2| |#1|) (-1 |#2| |#1|) (-1 |#2| |#1|))) (-15 -1383 ((-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|) (-1 (-311 (-569)) |#1|)))) 
+((-2793 ((|#5| (-1 |#5| |#1| |#5|) |#4| |#5|) 39)) (-4188 (((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|) 37) ((|#8| (-1 |#5| |#1|) |#4|) 31))) 
+(((-677 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8|) (-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -4188 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -2793 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) (-1049) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|) (-1049) (-376 |#5|) (-376 |#5|) (-679 |#5| |#6| |#7|)) (T -677)) 
+((-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1049)) (-4 *2 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-677 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-679 *5 *6 *7)) (-4 *10 (-679 *2 *8 *9)))) (-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8))))) 
+(-10 -7 (-15 -4188 (|#8| (-1 |#5| |#1|) |#4|)) (-15 -4188 ((-3 |#8| "failed") (-1 (-3 |#5| "failed") |#1|) |#4|)) (-15 -2793 (|#5| (-1 |#5| |#1| |#5|) |#4| |#5|))) 
+((-3397 (($ (-765) (-765)) 31)) (-1939 (($ $ $) 56)) (-3976 (($ |#3|) 52) (($ $) 53)) (-3531 (((-121) $) 26)) (-1361 (($ $ (-569) (-569)) 58)) (-4154 (($ $ (-569) (-569)) 59)) (-4244 (($ $ (-569) (-569) (-569) (-569)) 63)) (-3451 (($ $) 54)) (-1491 (((-121) $) 14)) (-1506 (($ $ (-569) (-569) $) 64)) (-2511 ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) 62)) (-2232 (($ (-765) |#2|) 38)) (-3917 ((|#2| $) 107)) (-2926 (($ (-635 (-635 |#2|))) 34) (($ (-765) (-765) (-1 |#2| (-569) (-569))) 36)) (-4269 (((-635 (-635 |#2|)) $) 57)) (-3116 (($ $ $) 55)) (-1436 (((-3 $ "failed") $ |#2|) 110)) (-2503 ((|#2| $ (-569) (-569)) NIL) ((|#2| $ (-569) (-569) |#2|) NIL) (($ $ (-635 (-569)) (-635 (-569))) 61)) (-3990 (($ (-635 |#2|)) 40) (($ (-635 $)) 42)) (-3757 (((-121) $) 23)) (-3300 (((-635 |#4|) $) 93)) (-3956 (((-852) $) NIL) (($ |#4|) 47)) (-2421 (((-121) $) 28)) (-1383 (($ $ |#2|) 112)) (-1377 (($ $ $) 68) (($ $) 71)) (-1371 (($ $ $) 66)) (** (($ $ (-765)) 80) (($ $ (-569)) 115)) (* (($ $ $) 77) (($ |#2| $) 73) (($ $ |#2|) 74) (($ (-569) $) 76) ((|#4| $ |#4|) 84) ((|#3| |#3| $) 88))) 
+(((-678 |#1| |#2| |#3| |#4|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -3917 (|#2| |#1|)) (-15 -3300 ((-635 |#4|) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-765))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -1506 (|#1| |#1| (-569) (-569) |#1|)) (-15 -4244 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -4154 (|#1| |#1| (-569) (-569))) (-15 -1361 (|#1| |#1| (-569) (-569))) (-15 -2511 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -2503 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -4269 ((-635 (-635 |#2|)) |#1|)) (-15 -1939 (|#1| |#1| |#1|)) (-15 -3116 (|#1| |#1| |#1|)) (-15 -3451 (|#1| |#1|)) (-15 -3976 (|#1| |#1|)) (-15 -3976 (|#1| |#3|)) (-15 -3956 (|#1| |#4|)) (-15 -3990 (|#1| (-635 |#1|))) (-15 -3990 (|#1| (-635 |#2|))) (-15 -2232 (|#1| (-765) |#2|)) (-15 -2926 (|#1| (-765) (-765) (-1 |#2| (-569) (-569)))) (-15 -2926 (|#1| (-635 (-635 |#2|)))) (-15 -3397 (|#1| (-765) (-765))) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -3956 ((-852) |#1|))) (-679 |#2| |#3| |#4|) (-1049) (-376 |#2|) (-376 |#2|)) (T -678)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -3917 (|#2| |#1|)) (-15 -3300 ((-635 |#4|) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 ** (|#1| |#1| (-765))) (-15 * (|#3| |#3| |#1|)) (-15 * (|#4| |#1| |#4|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -1506 (|#1| |#1| (-569) (-569) |#1|)) (-15 -4244 (|#1| |#1| (-569) (-569) (-569) (-569))) (-15 -4154 (|#1| |#1| (-569) (-569))) (-15 -1361 (|#1| |#1| (-569) (-569))) (-15 -2511 (|#1| |#1| (-635 (-569)) (-635 (-569)) |#1|)) (-15 -2503 (|#1| |#1| (-635 (-569)) (-635 (-569)))) (-15 -4269 ((-635 (-635 |#2|)) |#1|)) (-15 -1939 (|#1| |#1| |#1|)) (-15 -3116 (|#1| |#1| |#1|)) (-15 -3451 (|#1| |#1|)) (-15 -3976 (|#1| |#1|)) (-15 -3976 (|#1| |#3|)) (-15 -3956 (|#1| |#4|)) (-15 -3990 (|#1| (-635 |#1|))) (-15 -3990 (|#1| (-635 |#2|))) (-15 -2232 (|#1| (-765) |#2|)) (-15 -2926 (|#1| (-765) (-765) (-1 |#2| (-569) (-569)))) (-15 -2926 (|#1| (-635 (-635 |#2|)))) (-15 -3397 (|#1| (-765) (-765))) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) 95)) (-1939 (($ $ $) 84)) (-3976 (($ |#2|) 88) (($ $) 87)) (-3531 (((-121) $) 97)) (-1361 (($ $ (-569) (-569)) 80)) (-4154 (($ $ (-569) (-569)) 79)) (-4244 (($ $ (-569) (-569) (-569) (-569)) 78)) (-3451 (($ $) 86)) (-1491 (((-121) $) 99)) (-3350 (((-121) $ (-765)) 8)) (-1506 (($ $ (-569) (-569) $) 77)) (-2511 ((|#1| $ (-569) (-569) |#1|) 41) (($ $ (-635 (-569)) (-635 (-569)) $) 81)) (-3890 (($ $ (-569) |#2|) 39)) (-1622 (($ $ (-569) |#3|) 38)) (-2232 (($ (-765) |#1|) 92)) (-4483 (($) 7 T CONST)) (-4003 (($ $) 64 (|has| |#1| (-302)))) (-4128 ((|#2| $ (-569)) 43)) (-3358 (((-765) $) 62 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) 40)) (-4124 ((|#1| $ (-569) (-569)) 45)) (-3917 ((|#1| $) 57 (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) 30)) (-2557 (((-765) $) 61 (|has| |#1| (-559)))) (-3970 (((-635 |#3|) $) 60 (|has| |#1| (-559)))) (-3568 (((-765) $) 48)) (-2446 (($ (-765) (-765) |#1|) 54)) (-4145 (((-765) $) 47)) (-3206 (((-121) $ (-765)) 9)) (-3164 ((|#1| $) 58 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 52)) (-3841 (((-569) $) 50)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 51)) (-2414 (((-569) $) 49)) (-2926 (($ (-635 (-635 |#1|))) 94) (($ (-765) (-765) (-1 |#1| (-569) (-569))) 93)) (-2089 (($ (-1 |#1| |#1|) $) 34)) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 37) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) 36)) (-4269 (((-635 (-635 |#1|)) $) 83)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 56 (|has| |#1| (-366)))) (-3116 (($ $ $) 85)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) 53)) (-1436 (((-3 $ "failed") $ |#1|) 66 (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) (-569)) 46) ((|#1| $ (-569) (-569) |#1|) 44) (($ $ (-635 (-569)) (-635 (-569))) 82)) (-3990 (($ (-635 |#1|)) 91) (($ (-635 $)) 90)) (-3757 (((-121) $) 98)) (-4396 ((|#1| $) 59 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3300 (((-635 |#3|) $) 63 (|has| |#1| (-302)))) (-2349 ((|#3| $ (-569)) 42)) (-3956 (((-852) $) 20 (|has| |#1| (-1093))) (($ |#3|) 89)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 96)) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) 65 (|has| |#1| (-366)))) (-1377 (($ $ $) 75) (($ $) 74)) (-1371 (($ $ $) 76)) (** (($ $ (-765)) 67) (($ $ (-569)) 55 (|has| |#1| (-366)))) (* (($ $ $) 73) (($ |#1| $) 72) (($ $ |#1|) 71) (($ (-569) $) 70) ((|#3| $ |#3|) 69) ((|#2| |#2| $) 68)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-679 |#1| |#2| |#3|) (-1284) (-1049) (-376 |t#1|) (-376 |t#1|)) (T -679)) 
+((-1491 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3757 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3531 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-2421 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) (-3397 (*1 *1 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2926 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1 *4 (-569) (-569))) (-4 *4 (-1049)) (-4 *1 (-679 *4 *5 *6)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) (-2232 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (-3976 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (-3976 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3451 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-3116 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1939 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-4269 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) (-2503 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-2511 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1361 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4154 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-4244 (*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1506 (*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-679 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-679 *3 *2 *4)) (-4 *3 (-1049)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (-4003 (*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) (-3300 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5)))) (-3358 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) (-2557 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) (-3970 (*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) (-4396 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3164 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3917 (*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-1655 (*1 *1 *1) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366))))) 
+(-13 (-62 |t#1| |t#2| |t#3|) (-10 -8 (-6 -4572) (-6 -4571) (-15 -1491 ((-121) $)) (-15 -3757 ((-121) $)) (-15 -3531 ((-121) $)) (-15 -2421 ((-121) $)) (-15 -3397 ($ (-765) (-765))) (-15 -2926 ($ (-635 (-635 |t#1|)))) (-15 -2926 ($ (-765) (-765) (-1 |t#1| (-569) (-569)))) (-15 -2232 ($ (-765) |t#1|)) (-15 -3990 ($ (-635 |t#1|))) (-15 -3990 ($ (-635 $))) (-15 -3956 ($ |t#3|)) (-15 -3976 ($ |t#2|)) (-15 -3976 ($ $)) (-15 -3451 ($ $)) (-15 -3116 ($ $ $)) (-15 -1939 ($ $ $)) (-15 -4269 ((-635 (-635 |t#1|)) $)) (-15 -2503 ($ $ (-635 (-569)) (-635 (-569)))) (-15 -2511 ($ $ (-635 (-569)) (-635 (-569)) $)) (-15 -1361 ($ $ (-569) (-569))) (-15 -4154 ($ $ (-569) (-569))) (-15 -4244 ($ $ (-569) (-569) (-569) (-569))) (-15 -1506 ($ $ (-569) (-569) $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|)) (-15 * ($ (-569) $)) (-15 * (|t#3| $ |t#3|)) (-15 * (|t#2| |t#2| $)) (-15 ** ($ $ (-765))) (IF (|has| |t#1| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1383 ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -4003 ($ $)) (-15 -3300 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -3358 ((-765) $)) (-15 -2557 ((-765) $)) (-15 -3970 ((-635 |t#3|) $))) |noBranch|) (IF (|has| |t#1| (-6 (-4573 "*"))) (PROGN (-15 -4396 (|t#1| $)) (-15 -3164 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-173)) (-15 -3917 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -1655 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-62 |#1| |#2| |#3|) . T) ((-1199) . T)) 
+((-4003 ((|#4| |#4|) 67 (|has| |#1| (-302)))) (-3358 (((-765) |#4|) 69 (|has| |#1| (-559)))) (-2557 (((-765) |#4|) 71 (|has| |#1| (-559)))) (-3970 (((-635 |#3|) |#4|) 78 (|has| |#1| (-559)))) (-1883 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 95 (|has| |#1| (-302)))) (-3164 ((|#1| |#4|) 33)) (-3526 (((-3 |#4| "failed") |#4|) 61 (|has| |#1| (-559)))) (-1655 (((-3 |#4| "failed") |#4|) 75 (|has| |#1| (-366)))) (-4119 ((|#4| |#4|) 54 (|has| |#1| (-559)))) (-2755 ((|#4| |#4| |#1| (-569) (-569)) 41)) (-1416 ((|#4| |#4| (-569) (-569)) 36)) (-1628 ((|#4| |#4| |#1| (-569) (-569)) 46)) (-4396 ((|#1| |#4|) 73)) (-1947 (((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|) 57 (|has| |#1| (-559))))) 
+(((-680 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4396 (|#1| |#4|)) (-15 -3164 (|#1| |#4|)) (-15 -1416 (|#4| |#4| (-569) (-569))) (-15 -2755 (|#4| |#4| |#1| (-569) (-569))) (-15 -1628 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (-15 -3970 ((-635 |#3|) |#4|)) (-15 -4119 (|#4| |#4|)) (-15 -3526 ((-3 |#4| "failed") |#4|)) (-15 -1947 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4003 (|#4| |#4|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 |#4| "failed") |#4|)) |noBranch|)) (-173) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -680)) 
+((-1655 (*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-1883 (*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-680 *3 *4 *5 *6)) (-4 *6 (-679 *3 *4 *5)))) (-4003 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-1947 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3526 (*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4119 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3970 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-2557 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3358 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-1628 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6)))) (-2755 (*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6)))) (-1416 (*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-680 *4 *5 *6 *2)) (-4 *2 (-679 *4 *5 *6)))) (-3164 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) (-4396 (*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5))))) 
+(-10 -7 (-15 -4396 (|#1| |#4|)) (-15 -3164 (|#1| |#4|)) (-15 -1416 (|#4| |#4| (-569) (-569))) (-15 -2755 (|#4| |#4| |#1| (-569) (-569))) (-15 -1628 (|#4| |#4| |#1| (-569) (-569))) (IF (|has| |#1| (-559)) (PROGN (-15 -3358 ((-765) |#4|)) (-15 -2557 ((-765) |#4|)) (-15 -3970 ((-635 |#3|) |#4|)) (-15 -4119 (|#4| |#4|)) (-15 -3526 ((-3 |#4| "failed") |#4|)) (-15 -1947 ((-2 (|:| |adjMat| |#4|) (|:| |detMat| |#1|)) |#4|))) |noBranch|) (IF (|has| |#1| (-302)) (PROGN (-15 -4003 (|#4| |#4|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 |#4| "failed") |#4|)) |noBranch|)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765) (-765)) 45)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1253 |#1|)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) 12)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1253 |#1|)) NIL)) (-1622 (($ $ (-569) (-1253 |#1|)) NIL)) (-2232 (($ (-765) |#1|) 22)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 30 (|has| |#1| (-302)))) (-4128 (((-1253 |#1|) $ (-569)) NIL)) (-3358 (((-765) $) 32 (|has| |#1| (-559)))) (-3982 ((|#1| $ (-569) (-569) |#1|) 50)) (-4124 ((|#1| $ (-569) (-569)) NIL)) (-3917 ((|#1| $) NIL (|has| |#1| (-173)))) (-4303 (((-635 |#1|) $) NIL)) (-2557 (((-765) $) 34 (|has| |#1| (-559)))) (-3970 (((-635 (-1253 |#1|)) $) 37 (|has| |#1| (-559)))) (-3568 (((-765) $) 20)) (-2446 (($ (-765) (-765) |#1|) NIL)) (-4145 (((-765) $) 21)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#1| $) 28 (|has| |#1| (-6 (-4573 "*"))))) (-4094 (((-569) $) 9)) (-3841 (((-569) $) 10)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2376 (((-569) $) 11)) (-2414 (((-569) $) 46)) (-2926 (($ (-635 (-635 |#1|))) NIL) (($ (-765) (-765) (-1 |#1| (-569) (-569))) NIL)) (-2089 (($ (-1 |#1| |#1|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL) (($ (-1 |#1| |#1| |#1|) $ $ |#1|) NIL)) (-4269 (((-635 (-635 |#1|)) $) 58)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1655 (((-3 $ "failed") $) 41 (|has| |#1| (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2417 (($ $ |#1|) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) (-569)) NIL) ((|#1| $ (-569) (-569) |#1|) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 |#1|)) NIL) (($ (-635 $)) NIL) (($ (-1253 |#1|)) 51)) (-3757 (((-121) $) NIL)) (-4396 ((|#1| $) 26 (|has| |#1| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 62 (|has| |#1| (-610 (-542))))) (-3300 (((-635 (-1253 |#1|)) $) NIL (|has| |#1| (-302)))) (-2349 (((-1253 |#1|) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093))) (($ (-1253 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) 23) (($ $ (-569)) 44 (|has| |#1| (-366)))) (* (($ $ $) 13) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-569) $) NIL) (((-1253 |#1|) $ (-1253 |#1|)) NIL) (((-1253 |#1|) (-1253 |#1|) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-681 |#1|) (-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 -3990 ($ (-1253 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 $ "failed") $)) |noBranch|))) (-1049)) (T -681)) 
+((-1655 (*1 *1 *1) (|partial| -12 (-5 *1 (-681 *2)) (-4 *2 (-366)) (-4 *2 (-1049)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-681 *3))))) 
+(-13 (-679 |#1| (-1253 |#1|) (-1253 |#1|)) (-10 -8 (-15 -3990 ($ (-1253 |#1|))) (IF (|has| |#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |#1| (-366)) (-15 -1655 ((-3 $ "failed") $)) |noBranch|))) 
+((-1717 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 25)) (-4223 (((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|) 21)) (-4309 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765)) 26)) (-2227 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 14)) (-3369 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|)) 18) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 16)) (-3308 (((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|)) 20)) (-3677 (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 12)) (** (((-681 |#1|) (-681 |#1|) (-765)) 30))) 
+(((-682 |#1|) (-10 -7 (-15 -3677 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -2227 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3308 ((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|))) (-15 -4223 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -1717 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4309 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765))) (-15 ** ((-681 |#1|) (-681 |#1|) (-765)))) (-1049)) (T -682)) 
+((** (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) (-4309 (*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) (-1717 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-4223 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3308 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3369 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3369 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-2227 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) (-3677 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(-10 -7 (-15 -3677 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -2227 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3369 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -3308 ((-681 |#1|) (-681 |#1|) |#1| (-681 |#1|))) (-15 -4223 ((-681 |#1|) (-681 |#1|) (-681 |#1|) |#1|)) (-15 -1717 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4309 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-681 |#1|) (-765))) (-15 ** ((-681 |#1|) (-681 |#1|) (-765)))) 
+((-1737 ((|#2| |#2| |#4|) 25)) (-3606 (((-681 |#2|) |#3| |#4|) 31)) (-1874 (((-681 |#2|) |#2| |#4|) 30)) (-4091 (((-1253 |#2|) |#2| |#4|) 16)) (-3479 ((|#2| |#3| |#4|) 24)) (-3122 (((-681 |#2|) |#3| |#4| (-765) (-765)) 38)) (-3997 (((-681 |#2|) |#2| |#4| (-765)) 37))) 
+(((-683 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4091 ((-1253 |#2|) |#2| |#4|)) (-15 -3479 (|#2| |#3| |#4|)) (-15 -1737 (|#2| |#2| |#4|)) (-15 -1874 ((-681 |#2|) |#2| |#4|)) (-15 -3997 ((-681 |#2|) |#2| |#4| (-765))) (-15 -3606 ((-681 |#2|) |#3| |#4|)) (-15 -3122 ((-681 |#2|) |#3| |#4| (-765) (-765)))) (-1093) (-897 |#1|) (-376 |#2|) (-13 (-376 |#1|) (-10 -7 (-6 -4571)))) (T -683)) 
+((-3122 (*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *7 (-897 *6)) (-5 *2 (-681 *7)) (-5 *1 (-683 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571)))))) (-3606 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-897 *5)) (-5 *2 (-681 *6)) (-5 *1 (-683 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-3997 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *3 (-897 *6)) (-5 *2 (-681 *3)) (-5 *1 (-683 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571)))))) (-1874 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-681 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-1737 (*1 *2 *2 *3) (-12 (-4 *4 (-1093)) (-4 *2 (-897 *4)) (-5 *1 (-683 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4571)))))) (-3479 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *2 (-897 *5)) (-5 *1 (-683 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571)))))) (-4091 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-1253 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
+(-10 -7 (-15 -4091 ((-1253 |#2|) |#2| |#4|)) (-15 -3479 (|#2| |#3| |#4|)) (-15 -1737 (|#2| |#2| |#4|)) (-15 -1874 ((-681 |#2|) |#2| |#4|)) (-15 -3997 ((-681 |#2|) |#2| |#4| (-765))) (-15 -3606 ((-681 |#2|) |#3| |#4|)) (-15 -3122 ((-681 |#2|) |#3| |#4| (-765) (-765)))) 
+((-3979 (((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)) 18)) (-1644 ((|#1| (-681 |#2|)) 9)) (-3247 (((-681 |#1|) (-681 |#2|)) 16))) 
+(((-684 |#1| |#2|) (-10 -7 (-15 -1644 (|#1| (-681 |#2|))) (-15 -3247 ((-681 |#1|) (-681 |#2|))) (-15 -3979 ((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)))) (-559) (-995 |#1|)) (T -684)) 
+((-3979 (*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-681 *4)) (|:| |den| *4))) (-5 *1 (-684 *4 *5)))) (-3247 (*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-681 *4)) (-5 *1 (-684 *4 *5)))) (-1644 (*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-684 *2 *4))))) 
+(-10 -7 (-15 -1644 (|#1| (-681 |#2|))) (-15 -3247 ((-681 |#1|) (-681 |#2|))) (-15 -3979 ((-2 (|:| |num| (-681 |#1|)) (|:| |den| |#1|)) (-681 |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-2245 (((-681 (-690))) NIL) (((-681 (-690)) (-1253 $)) NIL)) (-3588 (((-690) $) NIL)) (-3544 (($ $) NIL (|has| (-690) (-1185)))) (-3467 (($ $) NIL (|has| (-690) (-1185)))) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-690) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2710 (($ $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3742 (((-421 $) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3422 (($ $) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2889 (((-121) $ $) NIL (|has| (-690) (-302)))) (-2675 (((-765)) NIL (|has| (-690) (-371)))) (-3530 (($ $) NIL (|has| (-690) (-1185)))) (-3455 (($ $) NIL (|has| (-690) (-1185)))) (-3559 (($ $) NIL (|has| (-690) (-1185)))) (-3480 (($ $) NIL (|has| (-690) (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-690) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-690) (-1039 (-410 (-569)))))) (-1321 (((-569) $) NIL) (((-690) $) NIL) (((-410 (-569)) $) NIL (|has| (-690) (-1039 (-410 (-569)))))) (-2097 (($ (-1253 (-690))) NIL) (($ (-1253 (-690)) (-1253 $)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-690) (-351)))) (-1614 (($ $ $) NIL (|has| (-690) (-302)))) (-1808 (((-681 (-690)) $) NIL) (((-681 (-690)) $ (-1253 $)) NIL)) (-3435 (((-681 (-690)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-690))) (|:| |vec| (-1253 (-690)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-690) (-631 (-569)))) (((-681 (-569)) (-681 $)) NIL (|has| (-690) (-631 (-569))))) (-2793 (((-3 $ "failed") (-410 (-1161 (-690)))) NIL (|has| (-690) (-366))) (($ (-1161 (-690))) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3147 (((-690) $) 29)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-690) (-551)))) (-4429 (((-121) $) NIL (|has| (-690) (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| (-690) (-551)))) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-690) (-371)))) (-1626 (($ $ $) NIL (|has| (-690) (-302)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-690) (-302)))) (-1456 (($) NIL (|has| (-690) (-351)))) (-3462 (((-121) $) NIL (|has| (-690) (-351)))) (-3238 (($ $) NIL (|has| (-690) (-351))) (($ $ (-765)) NIL (|has| (-690) (-351)))) (-2005 (((-121) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-3457 (((-2 (|:| |r| (-690)) (|:| |phi| (-690))) $) NIL (-12 (|has| (-690) (-1058)) (|has| (-690) (-1185))))) (-3415 (($) NIL (|has| (-690) (-1185)))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-690) (-883 (-382)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-690) (-883 (-569))))) (-4433 (((-830 (-919)) $) NIL (|has| (-690) (-351))) (((-919) $) NIL (|has| (-690) (-351)))) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185))))) (-3046 (((-690) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-690) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-690) (-302)))) (-2415 (((-1161 (-690)) $) NIL (|has| (-690) (-366)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 (-690) (-690)) $) NIL)) (-2862 (((-919) $) NIL (|has| (-690) (-371)))) (-3597 (($ $) NIL (|has| (-690) (-1185)))) (-2786 (((-1161 (-690)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-690) (-302))) (($ $ $) NIL (|has| (-690) (-302)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| (-690) (-366)))) (-1423 (($) NIL (|has| (-690) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-690) (-371)))) (-4526 (($) NIL)) (-3155 (((-690) $) 31)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-690) (-302)))) (-3964 (($ (-635 $)) NIL (|has| (-690) (-302))) (($ $ $) NIL (|has| (-690) (-302)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-690) (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-690) (-302)) (|has| (-690) (-906))))) (-3139 (((-421 $) $) NIL (-1929 (-12 (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-366))))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-690) (-302))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-690) (-302)))) (-1436 (((-3 $ "failed") $ $) NIL) (((-3 $ "failed") $ (-690)) NIL (|has| (-690) (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-690) (-302)))) (-3408 (($ $) NIL (|has| (-690) (-1185)))) (-1484 (($ $ (-1165) (-690)) NIL (|has| (-690) (-524 (-1165) (-690)))) (($ $ (-635 (-1165)) (-635 (-690))) NIL (|has| (-690) (-524 (-1165) (-690)))) (($ $ (-635 (-289 (-690)))) NIL (|has| (-690) (-304 (-690)))) (($ $ (-289 (-690))) NIL (|has| (-690) (-304 (-690)))) (($ $ (-690) (-690)) NIL (|has| (-690) (-304 (-690)))) (($ $ (-635 (-690)) (-635 (-690))) NIL (|has| (-690) (-304 (-690))))) (-2061 (((-765) $) NIL (|has| (-690) (-302)))) (-2503 (($ $ (-690)) NIL (|has| (-690) (-282 (-690) (-690))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-690) (-302)))) (-2925 (((-690)) NIL) (((-690) (-1253 $)) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL (|has| (-690) (-351))) (((-765) $) NIL (|has| (-690) (-351)))) (-3289 (($ $ (-1 (-690) (-690))) NIL) (($ $ (-1 (-690) (-690)) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-765)) NIL (|has| (-690) (-226))) (($ $) NIL (|has| (-690) (-226)))) (-3775 (((-681 (-690)) (-1253 $) (-1 (-690) (-690))) NIL (|has| (-690) (-366)))) (-3036 (((-1161 (-690))) NIL)) (-3565 (($ $) NIL (|has| (-690) (-1185)))) (-3485 (($ $) NIL (|has| (-690) (-1185)))) (-3563 (($) NIL (|has| (-690) (-351)))) (-3551 (($ $) NIL (|has| (-690) (-1185)))) (-3473 (($ $) NIL (|has| (-690) (-1185)))) (-3538 (($ $) NIL (|has| (-690) (-1185)))) (-3460 (($ $) NIL (|has| (-690) (-1185)))) (-3672 (((-681 (-690)) (-1253 $)) NIL) (((-1253 (-690)) $) NIL) (((-681 (-690)) (-1253 $) (-1253 $)) NIL) (((-1253 (-690)) $ (-1253 $)) NIL)) (-4035 (((-542) $) NIL (|has| (-690) (-610 (-542)))) (((-170 (-216)) $) NIL (|has| (-690) (-1023))) (((-170 (-382)) $) NIL (|has| (-690) (-1023))) (((-889 (-382)) $) NIL (|has| (-690) (-610 (-889 (-382))))) (((-889 (-569)) $) NIL (|has| (-690) (-610 (-889 (-569))))) (($ (-1161 (-690))) NIL) (((-1161 (-690)) $) NIL) (($ (-1253 (-690))) NIL) (((-1253 (-690)) $) NIL)) (-3980 (($ $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-351))))) (-4340 (($ (-690) (-690)) 12)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-569)) NIL) (($ (-690)) NIL) (($ (-170 (-382))) 13) (($ (-170 (-569))) 19) (($ (-170 (-690))) 28) (($ (-170 (-692))) 25) (((-170 (-382)) $) 33) (($ (-410 (-569))) NIL (-1929 (|has| (-690) (-366)) (|has| (-690) (-1039 (-410 (-569))))))) (-2277 (($ $) NIL (|has| (-690) (-351))) (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-690) (-302)) (|has| (-690) (-906))) (|has| (-690) (-149))))) (-3033 (((-1161 (-690)) $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $)) NIL)) (-3585 (($ $) NIL (|has| (-690) (-1185)))) (-3505 (($ $) NIL (|has| (-690) (-1185)))) (-2909 (((-121) $ $) NIL)) (-3572 (($ $) NIL (|has| (-690) (-1185)))) (-3490 (($ $) NIL (|has| (-690) (-1185)))) (-3599 (($ $) NIL (|has| (-690) (-1185)))) (-3517 (($ $) NIL (|has| (-690) (-1185)))) (-3955 (((-690) $) NIL (|has| (-690) (-1185)))) (-4527 (($ $) NIL (|has| (-690) (-1185)))) (-3525 (($ $) NIL (|has| (-690) (-1185)))) (-3592 (($ $) NIL (|has| (-690) (-1185)))) (-3510 (($ $) NIL (|has| (-690) (-1185)))) (-3579 (($ $) NIL (|has| (-690) (-1185)))) (-3497 (($ $) NIL (|has| (-690) (-1185)))) (-4080 (($ $) NIL (|has| (-690) (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-690) (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 (-690) (-690))) NIL) (($ $ (-1 (-690) (-690)) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-1165)) NIL (|has| (-690) (-897 (-1165)))) (($ $ (-765)) NIL (|has| (-690) (-226))) (($ $) NIL (|has| (-690) (-226)))) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-690) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| (-690) (-1185))) (($ $ (-410 (-569))) NIL (-12 (|has| (-690) (-1004)) (|has| (-690) (-1185)))) (($ $ (-569)) NIL (|has| (-690) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-690) $) NIL) (($ $ (-690)) NIL) (($ (-410 (-569)) $) NIL (|has| (-690) (-366))) (($ $ (-410 (-569))) NIL (|has| (-690) (-366))))) 
+(((-685) (-13 (-390) (-167 (-690)) (-10 -8 (-15 -3956 ($ (-170 (-382)))) (-15 -3956 ($ (-170 (-569)))) (-15 -3956 ($ (-170 (-690)))) (-15 -3956 ($ (-170 (-692)))) (-15 -3956 ((-170 (-382)) $))))) (T -685)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-690))) (-5 *1 (-685)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-170 (-692))) (-5 *1 (-685)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685))))) 
+(-13 (-390) (-167 (-690)) (-10 -8 (-15 -3956 ($ (-170 (-382)))) (-15 -3956 ($ (-170 (-569)))) (-15 -3956 ($ (-170 (-690)))) (-15 -3956 ($ (-170 (-692)))) (-15 -3956 ((-170 (-382)) $)))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-686 |#1|) (-1284) (-1093)) (T -686)) 
+((-2351 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-686 *2)) (-4 *2 (-1093)))) (-2938 (*1 *1 *1) (-12 (-4 *1 (-686 *2)) (-4 *2 (-1093)))) (-2820 (*1 *2 *1) (-12 (-4 *1 (-686 *3)) (-4 *3 (-1093)) (-5 *2 (-635 (-2 (|:| -3175 *3) (|:| -2691 (-765)))))))) 
+(-13 (-228 |t#1|) (-10 -8 (-15 -2351 ($ |t#1| $ (-765))) (-15 -2938 ($ $)) (-15 -2820 ((-635 (-2 (|:| -3175 |t#1|) (|:| -2691 (-765)))) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-4125 (((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569)) 46)) (-2050 ((|#1| |#1| (-569)) 45)) (-3964 ((|#1| |#1| |#1| (-569)) 35)) (-3139 (((-635 |#1|) |#1| (-569)) 38)) (-3922 ((|#1| |#1| (-569) |#1| (-569)) 32)) (-2143 (((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569)) 44))) 
+(((-687 |#1|) (-10 -7 (-15 -3964 (|#1| |#1| |#1| (-569))) (-15 -2050 (|#1| |#1| (-569))) (-15 -3139 ((-635 |#1|) |#1| (-569))) (-15 -2143 ((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569))) (-15 -4125 ((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569))) (-15 -3922 (|#1| |#1| (-569) |#1| (-569)))) (-1228 (-569))) (T -687)) 
+((-3922 (*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) (-4125 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -3139 *5) (|:| -2284 (-569))))) (-5 *4 (-569)) (-4 *5 (-1228 *4)) (-5 *2 (-635 *5)) (-5 *1 (-687 *5)))) (-2143 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -2284 *4)))) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) (-3139 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) (-2050 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) (-3964 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
+(-10 -7 (-15 -3964 (|#1| |#1| |#1| (-569))) (-15 -2050 (|#1| |#1| (-569))) (-15 -3139 ((-635 |#1|) |#1| (-569))) (-15 -2143 ((-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) |#1| (-569))) (-15 -4125 ((-635 |#1|) (-635 (-2 (|:| -3139 |#1|) (|:| -2284 (-569)))) (-569))) (-15 -3922 (|#1| |#1| (-569) |#1| (-569)))) 
+((-2532 (((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))) 17)) (-4514 (((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 38) (((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 40) (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 42)) (-1505 (((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257))) NIL)) (-3610 (((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257))) 43))) 
+(((-688) (-10 -7 (-15 -4514 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -3610 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -1505 ((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -2532 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216)))))) (T -688)) 
+((-2532 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *1 (-688)))) (-1505 (*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-3610 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-4514 (*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-688)))) (-4514 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) (-4514 (*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
+(-10 -7 (-15 -4514 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -4514 ((-1124 (-216)) (-1124 (-216)) (-1 (-946 (-216)) (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -3610 ((-1124 (-216)) (-1 (-216) (-216) (-216)) (-3 (-1 (-216) (-216) (-216) (-216)) "undefined") (-1087 (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -1505 ((-1124 (-216)) (-311 (-569)) (-311 (-569)) (-311 (-569)) (-1 (-216) (-216)) (-1087 (-216)) (-635 (-257)))) (-15 -2532 ((-1 (-946 (-216)) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216)) (-1 (-216) (-216) (-216) (-216))))) 
+((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|)) 73) (((-421 |#4|) |#4|) 215))) 
+(((-689 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) (-844) (-790) (-351) (-952 |#3| |#2| |#1|)) (T -689)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-689 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-689 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 84)) (-3644 (((-569) $) 30)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-4483 (($) NIL T CONST)) (-3411 (($ $) NIL)) (-3003 (((-3 (-569) "failed") $) 73) (((-3 (-410 (-569)) "failed") $) 26) (((-3 (-382) "failed") $) 70)) (-1321 (((-569) $) 75) (((-410 (-569)) $) 67) (((-382) $) 68)) (-1614 (($ $ $) 96)) (-2611 (((-3 $ "failed") $) 87)) (-1626 (($ $ $) 95)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-2471 (((-919)) 77) (((-919) (-919)) 76)) (-1863 (((-121) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL)) (-4433 (((-569) $) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-3046 (($ $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1709 (((-569) (-569)) 81) (((-569)) 82)) (-2157 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-2673 (((-569) (-569)) 79) (((-569)) 80)) (-2713 (($ $ $) NIL) (($) NIL (-12 (-3182 (|has| $ (-6 -4554))) (-3182 (|has| $ (-6 -4562)))))) (-3066 (((-569) $) 16)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 91)) (-1485 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL)) (-1807 (($ $) NIL)) (-3222 (($ (-569) (-569)) NIL) (($ (-569) (-569) (-919)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 92)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3190 (((-569) $) 22)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 94)) (-2721 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-2791 (((-919) (-569)) NIL (|has| $ (-6 -4562)))) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-889 (-382)) $) NIL)) (-3956 (((-852) $) 52) (($ (-569)) 63) (($ $) NIL) (($ (-410 (-569))) 66) (($ (-569)) 63) (($ (-410 (-569))) 66) (($ (-382)) 60) (((-382) $) 50) (($ (-692)) 55)) (-2320 (((-765)) 103)) (-2550 (($ (-569) (-569) (-919)) 44)) (-3215 (($ $) NIL)) (-4420 (((-919)) NIL) (((-919) (-919)) NIL (|has| $ (-6 -4562)))) (-1710 (((-919)) 35) (((-919) (-919)) 78)) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 32 T CONST)) (-3297 (($) 17 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 83)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 101)) (-1383 (($ $ $) 65)) (-1377 (($ $) 99) (($ $ $) 100)) (-1371 (($ $ $) 98)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 90)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 97) (($ $ $) 88) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-690) (-13 (-407) (-390) (-366) (-1039 (-382)) (-1039 (-410 (-569))) (-151) (-10 -8 (-15 -2471 ((-919) (-919))) (-15 -2471 ((-919))) (-15 -1710 ((-919) (-919))) (-15 -1710 ((-919))) (-15 -2673 ((-569) (-569))) (-15 -2673 ((-569))) (-15 -1709 ((-569) (-569))) (-15 -1709 ((-569))) (-15 -3956 ((-382) $)) (-15 -3956 ($ (-692))) (-15 -3066 ((-569) $)) (-15 -3190 ((-569) $)) (-15 -2550 ($ (-569) (-569) (-919)))))) (T -690)) 
+((-1710 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-3190 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-3066 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-2471 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-2471 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-1710 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) (-2673 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-2673 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-1709 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-1709 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-690)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-692)) (-5 *1 (-690)))) (-2550 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-5 *1 (-690))))) 
+(-13 (-407) (-390) (-366) (-1039 (-382)) (-1039 (-410 (-569))) (-151) (-10 -8 (-15 -2471 ((-919) (-919))) (-15 -2471 ((-919))) (-15 -1710 ((-919) (-919))) (-15 -1710 ((-919))) (-15 -2673 ((-569) (-569))) (-15 -2673 ((-569))) (-15 -1709 ((-569) (-569))) (-15 -1709 ((-569))) (-15 -3956 ((-382) $)) (-15 -3956 ($ (-692))) (-15 -3066 ((-569) $)) (-15 -3190 ((-569) $)) (-15 -2550 ($ (-569) (-569) (-919))))) 
+((-2657 (((-681 |#1|) (-681 |#1|) |#1| |#1|) 66)) (-4003 (((-681 |#1|) (-681 |#1|) |#1|) 49)) (-4039 (((-681 |#1|) (-681 |#1|) |#1|) 67)) (-4236 (((-681 |#1|) (-681 |#1|)) 50)) (-1883 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 65))) 
+(((-691 |#1|) (-10 -7 (-15 -4236 ((-681 |#1|) (-681 |#1|))) (-15 -4003 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -4039 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -2657 ((-681 |#1|) (-681 |#1|) |#1| |#1|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) (-302)) (T -691)) 
+((-1883 (*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-691 *3)) (-4 *3 (-302)))) (-2657 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4039 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4003 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) (-4236 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
+(-10 -7 (-15 -4236 ((-681 |#1|) (-681 |#1|))) (-15 -4003 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -4039 ((-681 |#1|) (-681 |#1|) |#1|)) (-15 -2657 ((-681 |#1|) (-681 |#1|) |#1| |#1|)) (-15 -1883 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 27)) (-1321 (((-569) $) 25)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($ $) NIL) (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) NIL)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) NIL)) (-2157 (($ $ $) NIL)) (-2613 (((-919) (-919)) 10) (((-919)) 9)) (-2713 (($ $ $) NIL)) (-1852 (($ $) NIL)) (-2718 (($ $) NIL)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) NIL)) (-1912 (((-1111) $) NIL) (($ $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3231 (($ $) NIL)) (-1799 (($ $) NIL)) (-4035 (((-216) $) NIL) (((-382) $) NIL) (((-889 (-569)) $) NIL) (((-542) $) NIL) (((-569) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) 24) (($ $) NIL) (($ (-569)) 24) (((-311 $) (-311 (-569))) 18)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) NIL)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL) (($ $ (-765)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-692) (-13 (-390) (-551) (-10 -8 (-15 -2613 ((-919) (-919))) (-15 -2613 ((-919))) (-15 -3956 ((-311 $) (-311 (-569))))))) (T -692)) 
+((-2613 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) (-2613 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) (-3956 (*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-692))) (-5 *1 (-692))))) 
+(-13 (-390) (-551) (-10 -8 (-15 -2613 ((-919) (-919))) (-15 -2613 ((-919))) (-15 -3956 ((-311 $) (-311 (-569)))))) 
+((-1638 (((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)) 19)) (-4393 (((-1 |#4| |#2| |#3|) (-1165)) 12))) 
+(((-693 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4393 ((-1 |#4| |#2| |#3|) (-1165))) (-15 -1638 ((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)))) (-610 (-542)) (-1199) (-1199) (-1199)) (T -693)) 
+((-1638 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199)))) (-4393 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199))))) 
+(-10 -7 (-15 -4393 ((-1 |#4| |#2| |#3|) (-1165))) (-15 -1638 ((-1 |#4| |#2| |#3|) |#1| (-1165) (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-3633 (((-1258) $ (-765)) 14)) (-3988 (((-765) $) 12)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 18) ((|#1| $) 15) (($ |#1|) 23)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 25)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 24))) 
+(((-694 |#1|) (-13 (-139) (-609 |#1|) (-10 -8 (-15 -3956 ($ |#1|)))) (-1093)) (T -694)) 
+((-3956 (*1 *1 *2) (-12 (-5 *1 (-694 *2)) (-4 *2 (-1093))))) 
+(-13 (-139) (-609 |#1|) (-10 -8 (-15 -3956 ($ |#1|)))) 
+((-2259 (((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)) 33) (((-1 (-216) (-216)) |#1| (-1165)) 38))) 
+(((-695 |#1|) (-10 -7 (-15 -2259 ((-1 (-216) (-216)) |#1| (-1165))) (-15 -2259 ((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)))) (-610 (-542))) (T -695)) 
+((-2259 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) (-2259 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -2259 ((-1 (-216) (-216)) |#1| (-1165))) (-15 -2259 ((-1 (-216) (-216) (-216)) |#1| (-1165) (-1165)))) 
+((-3659 (((-1165) |#1| (-1165) (-635 (-1165))) 9) (((-1165) |#1| (-1165) (-1165) (-1165)) 12) (((-1165) |#1| (-1165) (-1165)) 11) (((-1165) |#1| (-1165)) 10))) 
+(((-696 |#1|) (-10 -7 (-15 -3659 ((-1165) |#1| (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-635 (-1165))))) (-610 (-542))) (T -696)) 
+((-3659 (*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) (-3659 (*1 *2 *3 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -3659 ((-1165) |#1| (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-1165) (-1165))) (-15 -3659 ((-1165) |#1| (-1165) (-635 (-1165))))) 
+((-2173 (((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|) 9))) 
+(((-697 |#1| |#2|) (-10 -7 (-15 -2173 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) (-1199) (-1199)) (T -697)) 
+((-2173 (*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-697 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199))))) 
+(-10 -7 (-15 -2173 ((-2 (|:| |part1| |#1|) (|:| |part2| |#2|)) |#1| |#2|))) 
+((-3895 (((-1 |#3| |#2|) (-1165)) 11)) (-1638 (((-1 |#3| |#2|) |#1| (-1165)) 21))) 
+(((-698 |#1| |#2| |#3|) (-10 -7 (-15 -3895 ((-1 |#3| |#2|) (-1165))) (-15 -1638 ((-1 |#3| |#2|) |#1| (-1165)))) (-610 (-542)) (-1199) (-1199)) (T -698)) 
+((-1638 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)))) (-3895 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
+(-10 -7 (-15 -3895 ((-1 |#3| |#2|) (-1165))) (-15 -1638 ((-1 |#3| |#2|) |#1| (-1165)))) 
+((-1830 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|) 58)) (-2708 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|) 71)) (-1925 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|) 32))) 
+(((-699 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1925 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|)) (-15 -2708 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|)) (-15 -1830 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -699)) 
+((-1830 (*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1161 *13))) (-5 *3 (-1161 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-765))) (-5 *9 (-1253 (-635 (-1161 *10)))) (-4 *12 (-844)) (-4 *10 (-302)) (-4 *13 (-952 *10 *11 *12)) (-4 *11 (-790)) (-5 *1 (-699 *11 *12 *10 *13)))) (-2708 (*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1161 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-765))) (-4 *11 (-844)) (-4 *9 (-302)) (-4 *12 (-952 *9 *10 *11)) (-4 *10 (-790)) (-5 *2 (-635 (-1161 *12))) (-5 *1 (-699 *10 *11 *9 *12)) (-5 *3 (-1161 *12)))) (-1925 (*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1161 *11))) (-5 *3 (-1161 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-765))) (-5 *7 (-1253 (-635 (-1161 *8)))) (-4 *10 (-844)) (-4 *8 (-302)) (-4 *11 (-952 *8 *9 *10)) (-4 *9 (-790)) (-5 *1 (-699 *9 *10 *8 *11))))) 
+(-10 -7 (-15 -1925 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 |#3|) (-635 (-765)) (-635 (-1161 |#4|)) (-1253 (-635 (-1161 |#3|))) |#3|)) (-15 -2708 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#3|)) (-635 |#3|) (-635 |#4|) (-635 (-765)) |#3|)) (-15 -1830 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-635 |#2|) (-635 (-1161 |#4|)) (-635 |#3|) (-635 |#4|) (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#4|)))) (-635 (-765)) (-1253 (-635 (-1161 |#3|))) |#3|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 40)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 38)) (-4294 (((-765) $) 42)) (-3270 ((|#1| $) 41)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-765) $) 43)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 37 (|has| |#1| (-173)))) (-3802 ((|#1| $ (-765)) 39)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 45) (($ |#1| $) 44))) 
+(((-700 |#1|) (-1284) (-1049)) (T -700)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049))))) 
+(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (-15 -2284 ((-765) $)) (-15 -4294 ((-765) $)) (-15 -3270 (|t#1| $)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ (-765))) (-15 -3179 ($ |t#1| (-765))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-4188 ((|#6| (-1 |#4| |#1|) |#3|) 23))) 
+(((-701 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 (|#6| (-1 |#4| |#1|) |#3|))) (-559) (-1228 |#1|) (-1228 (-410 |#2|)) (-559) (-1228 |#4|) (-1228 (-410 |#5|))) (T -701)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1228 *5)) (-4 *2 (-1228 (-410 *8))) (-5 *1 (-701 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1228 (-410 *6))) (-4 *8 (-1228 *7))))) 
+(-10 -7 (-15 -4188 (|#6| (-1 |#4| |#1|) |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1723 (((-1147) (-852)) 31)) (-2442 (((-1258) (-1147)) 28)) (-2539 (((-1147) (-852)) 24)) (-1303 (((-1147) (-852)) 25)) (-3956 (((-852) $) NIL) (((-1147) (-852)) 23)) (-1326 (((-121) $ $) NIL))) 
+(((-702) (-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147)))))) (T -702)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-2539 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-1303 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-1723 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) (-2442 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-702))))) 
+(-13 (-1093) (-10 -7 (-15 -3956 ((-1147) (-852))) (-15 -2539 ((-1147) (-852))) (-15 -1303 ((-1147) (-852))) (-15 -1723 ((-1147) (-852))) (-15 -2442 ((-1258) (-1147))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2793 (($ |#1| |#2|) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 ((|#2| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3010 (((-3 $ "failed") $ $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) ((|#1| $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-703 |#1| |#2| |#3| |#4| |#5|) (-13 (-366) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -703)) 
+((-4138 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-703 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2793 (*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-366) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 30)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2675 (((-765)) 46 (|has| |#1| (-371)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-3808 ((|#2| |#2|) 43)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 33)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2793 (($ |#2|) 41)) (-2611 (((-3 $ "failed") $) 84)) (-3341 (($) 50 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-4144 (((-960 $)) 78)) (-2916 (($ $ |#1| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 76) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4138 ((|#2|) 44)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2786 ((|#2| $) 40)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) 28)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-4146 (($ $) 77 (|has| |#1| (-351)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 85 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) 31) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-2104 (((-960 $)) 35)) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 60) (($ (-569)) NIL) (($ |#1|) 57) (($ (-1077)) NIL) (($ |#2|) 67) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 62) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 20 T CONST)) (-1779 (((-1253 |#1|) $) 74)) (-1949 (($ (-1253 |#1|)) 49)) (-3297 (($) 8 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3837 (((-1253 |#1|) $) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 68)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 71) (($ $ $) NIL)) (-1371 (($ $ $) 32)) (** (($ $ (-919)) NIL) (($ $ (-765)) 79)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 56) (($ $ $) 73) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 54) (($ $ |#1|) NIL))) 
+(((-704 |#1| |#2|) (-13 (-1228 |#1|) (-10 -8 (-15 -3808 (|#2| |#2|)) (-15 -4138 (|#2|)) (-15 -2793 ($ |#2|)) (-15 -2786 (|#2| $)) (-15 -3956 ($ |#2|)) (-15 -1779 ((-1253 |#1|) $)) (-15 -1949 ($ (-1253 |#1|))) (-15 -3837 ((-1253 |#1|) $)) (-15 -4144 ((-960 $))) (-15 -2104 ((-960 $))) (IF (|has| |#1| (-351)) (-15 -4146 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) (-1049) (-1228 |#1|)) (T -704)) 
+((-3808 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-4138 (*1 *2) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) (-2793 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-2786 (*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) (-1779 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-1949 (*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-3837 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-4144 (*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-2104 (*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3)))) (-4146 (*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1049)) (-5 *1 (-704 *2 *3)) (-4 *3 (-1228 *2))))) 
+(-13 (-1228 |#1|) (-10 -8 (-15 -3808 (|#2| |#2|)) (-15 -4138 (|#2|)) (-15 -2793 ($ |#2|)) (-15 -2786 (|#2| $)) (-15 -3956 ($ |#2|)) (-15 -1779 ((-1253 |#1|) $)) (-15 -1949 ($ (-1253 |#1|))) (-15 -3837 ((-1253 |#1|) $)) (-15 -4144 ((-960 $))) (-15 -2104 ((-960 $))) (IF (|has| |#1| (-351)) (-15 -4146 ($ $)) |noBranch|) (IF (|has| |#1| (-371)) (-6 (-371)) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1333 ((|#1| $) 13)) (-1912 (((-1111) $) NIL)) (-3190 ((|#2| $) 12)) (-3124 (($ |#1| |#2|) 16)) (-3956 (((-852) $) NIL) (($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|))) 15) (((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $) 14)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 11))) 
+(((-705 |#1| |#2| |#3|) (-13 (-844) (-10 -8 (-15 -3190 (|#2| $)) (-15 -1333 (|#1| $)) (-15 -3956 ($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (-15 -3956 ((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $)) (-15 -3124 ($ |#1| |#2|)))) (-844) (-1093) (-1 (-121) (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (T -705)) 
+((-3190 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-705 *3 *2 *4)) (-4 *3 (-844)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *2)) (-2 (|:| -1333 *3) (|:| -3190 *2)))))) (-1333 (*1 *2 *1) (-12 (-4 *2 (-844)) (-5 *1 (-705 *2 *3 *4)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3)))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-4 *3 (-844)) (-4 *4 (-1093)) (-5 *1 (-705 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-5 *1 (-705 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-1093)) (-14 *5 (-1 (-121) *2 *2)))) (-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3))))))) 
+(-13 (-844) (-10 -8 (-15 -3190 (|#2| $)) (-15 -1333 (|#1| $)) (-15 -3956 ($ (-2 (|:| -1333 |#1|) (|:| -3190 |#2|)))) (-15 -3956 ((-2 (|:| -1333 |#1|) (|:| -3190 |#2|)) $)) (-15 -3124 ($ |#1| |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 59)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 89) (((-3 (-123) "failed") $) 95)) (-1321 ((|#1| $) NIL) (((-123) $) 39)) (-2611 (((-3 $ "failed") $) 90)) (-3474 ((|#2| (-123) |#2|) 82)) (-3934 (((-121) $) NIL)) (-1357 (($ |#1| (-364 (-123))) 13)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2190 (($ $ (-1 |#2| |#2|)) 58)) (-4520 (($ $ (-1 |#2| |#2|)) 44)) (-2503 ((|#2| $ |#2|) 32)) (-2663 ((|#1| |#1|) 100 (|has| |#1| (-173)))) (-3956 (((-852) $) 66) (($ (-569)) 17) (($ |#1|) 16) (($ (-123)) 23)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 36)) (-1947 (($ $) 99 (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-173)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 20 T CONST)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) 48) (($ $ $) NIL)) (-1371 (($ $ $) 73)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) 57)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 98) (($ $ $) 50) (($ |#1| $) 96 (|has| |#1| (-173))) (($ $ |#1|) 97 (|has| |#1| (-173))))) 
+(((-706 |#1| |#2|) (-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#2| |#2|))) (-15 -2190 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#2| (-123) |#2|)) (-15 -1357 ($ |#1| (-364 (-123)))))) (-1049) (-638 |#1|)) (T -706)) 
+((-1947 (*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-1947 (*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-2663 (*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) (-4520 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) (-2190 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *5)) (-4 *5 (-638 *4)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)) (-4 *4 (-638 *3)))) (-3474 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *2)) (-4 *2 (-638 *4)))) (-1357 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1049)) (-5 *1 (-706 *2 *4)) (-4 *4 (-638 *2))))) 
+(-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#2| |#2|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#2| |#2|))) (-15 -2190 ($ $ (-1 |#2| |#2|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#2| (-123) |#2|)) (-15 -1357 ($ |#1| (-364 (-123)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 33)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ |#1| |#2|) 25)) (-2611 (((-3 $ "failed") $) 47)) (-3934 (((-121) $) 35)) (-4138 ((|#2| $) 12)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 48)) (-1912 (((-1111) $) NIL)) (-3010 (((-3 $ "failed") $ $) 46)) (-3956 (((-852) $) 24) (($ (-569)) 19) ((|#1| $) 13)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 16 T CONST)) (-3297 (($) 30 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) 43) (($ $ $) 37)) (-1371 (($ $ $) 40)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 21) (($ $ $) 20))) 
+(((-707 |#1| |#2| |#3| |#4| |#5|) (-13 (-1049) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)))) (-173) (-23) (-1 |#1| |#1| |#2|) (-1 (-3 |#2| "failed") |#2| |#2|) (-1 (-3 |#1| "failed") |#1| |#1| |#2|)) (T -707)) 
+((-2611 (*1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-4138 (*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-707 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-2793 (*1 *1 *2 *3) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3010 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) (-3243 (*1 *1 *1) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(-13 (-1049) (-10 -8 (-15 -4138 (|#2| $)) (-15 -3956 (|#1| $)) (-15 -2793 ($ |#1| |#2|)) (-15 -3010 ((-3 $ "failed") $ $)) (-15 -2611 ((-3 $ "failed") $)) (-15 -3243 ($ $)))) 
+((* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) NIL) (($ $ |#2|) 9))) 
+(((-708 |#1| |#2|) (-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-709 |#2|) (-173)) (T -708)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-709 |#1|) (-1284) (-173)) (T -709)) 
 NIL 
 (-13 (-120 |t#1| |t#1|)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3036 (($ |#1|) 17) (($ $ |#1|) 20)) (-4265 (($ |#1|) 18) (($ $ |#1|) 21)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-1407 (((-121) $) NIL)) (-1497 (($ |#1| |#1| |#1| |#1|) 8)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 16)) (-3360 (((-1109) $) NIL)) (-1468 ((|#1| $ |#1|) 24) (((-829 |#1|) $ (-829 |#1|)) 32)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 39)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 9 T CONST)) (-1668 (((-121) $ $) 44)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 14))) 
-(((-709 |#1|) (-13 (-479) (-10 -8 (-15 -1497 ($ |#1| |#1| |#1| |#1|)) (-15 -3036 ($ |#1|)) (-15 -4265 ($ |#1|)) (-15 -3428 ($)) (-15 -3036 ($ $ |#1|)) (-15 -4265 ($ $ |#1|)) (-15 -3428 ($ $)) (-15 -1468 (|#1| $ |#1|)) (-15 -1468 ((-829 |#1|) $ (-829 |#1|))))) (-366)) (T -709)) 
-((-1497 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3036 (*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-4265 (*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3428 (*1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3036 (*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-4265 (*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-3428 (*1 *1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-1468 (*1 *2 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) (-1468 (*1 *2 *1 *2) (-12 (-5 *2 (-829 *3)) (-4 *3 (-366)) (-5 *1 (-709 *3))))) 
-(-13 (-479) (-10 -8 (-15 -1497 ($ |#1| |#1| |#1| |#1|)) (-15 -3036 ($ |#1|)) (-15 -4265 ($ |#1|)) (-15 -3428 ($)) (-15 -3036 ($ $ |#1|)) (-15 -4265 ($ $ |#1|)) (-15 -3428 ($ $)) (-15 -1468 (|#1| $ |#1|)) (-15 -1468 ((-829 |#1|) $ (-829 |#1|))))) 
-((-1628 (($ $ (-918)) 12)) (-3272 (($ $ (-918)) 13)) (** (($ $ (-918)) 10))) 
-(((-710 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) (-711)) (T -710)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-1628 (($ $ (-918)) 14)) (-3272 (($ $ (-918)) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 12)) (* (($ $ $) 15))) 
-(((-711) (-1278)) (T -711)) 
-((* (*1 *1 *1 *1) (-4 *1 (-711))) (-1628 (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) (-3272 (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918))))) 
-(-13 (-1091) (-10 -8 (-15 * ($ $ $)) (-15 -1628 ($ $ (-918))) (-15 -3272 ($ $ (-918))) (-15 ** ($ $ (-918))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-1628 (($ $ (-918)) NIL) (($ $ (-764)) 17)) (-1407 (((-121) $) 10)) (-3272 (($ $ (-918)) NIL) (($ $ (-764)) 18)) (** (($ $ (-918)) NIL) (($ $ (-764)) 15))) 
-(((-712 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-764))) (-15 -3272 (|#1| |#1| (-764))) (-15 -1628 (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) (-713)) (T -712)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-764))) (-15 -3272 (|#1| |#1| (-764))) (-15 -1628 (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 ** (|#1| |#1| (-918))) (-15 -3272 (|#1| |#1| (-918))) (-15 -1628 (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-1620 (((-3 $ "failed") $) 16)) (-1628 (($ $ (-918)) 14) (($ $ (-764)) 21)) (-3428 (((-3 $ "failed") $) 18)) (-1407 (((-121) $) 22)) (-4439 (((-3 $ "failed") $) 17)) (-3272 (($ $ (-918)) 13) (($ $ (-764)) 20)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 12) (($ $ (-764)) 19)) (* (($ $ $) 15))) 
-(((-713) (-1278)) (T -713)) 
-((-1556 (*1 *1) (-4 *1 (-713))) (-1407 (*1 *2 *1) (-12 (-4 *1 (-713)) (-5 *2 (-121)))) (-1628 (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (-3272 (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) (-3428 (*1 *1 *1) (|partial| -4 *1 (-713))) (-4439 (*1 *1 *1) (|partial| -4 *1 (-713))) (-1620 (*1 *1 *1) (|partial| -4 *1 (-713)))) 
-(-13 (-711) (-10 -8 (-15 (-1556) ($) -2043) (-15 -1407 ((-121) $)) (-15 -1628 ($ $ (-764))) (-15 -3272 ($ $ (-764))) (-15 ** ($ $ (-764))) (-15 -3428 ((-3 $ "failed") $)) (-15 -4439 ((-3 $ "failed") $)) (-15 -1620 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-711) . T) ((-1091) . T)) 
-((-2085 (((-764)) 35)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 22)) (-1774 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) 45)) (-3428 (((-3 $ "failed") $) 65)) (-4327 (($) 39)) (-4308 ((|#2| $) 20)) (-1809 (($) 17)) (-3899 (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-3497 (((-680 |#2|) (-1247 $) (-1 |#2| |#2|)) 60)) (-3817 (((-1247 |#2|) $) NIL) (($ (-1247 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-2742 ((|#3| $) 32)) (-3930 (((-1247 $)) 29))) 
-(((-714 |#1| |#2| |#3|) (-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -4327 (|#1|)) (-15 -2085 ((-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3497 ((-680 |#2|) (-1247 |#1|) (-1 |#2| |#2|))) (-15 -1774 ((-3 |#1| "failed") (-410 |#3|))) (-15 -3817 (|#1| |#3|)) (-15 -1774 (|#1| |#3|)) (-15 -1809 (|#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 (|#3| |#1|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -3930 ((-1247 |#1|))) (-15 -2742 (|#3| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) (-715 |#2| |#3|) (-173) (-1222 |#2|)) (T -714)) 
-((-2085 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-764)) (-5 *1 (-714 *3 *4 *5)) (-4 *3 (-715 *4 *5))))) 
-(-10 -8 (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -4327 (|#1|)) (-15 -2085 ((-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3497 ((-680 |#2|) (-1247 |#1|) (-1 |#2| |#2|))) (-15 -1774 ((-3 |#1| "failed") (-410 |#3|))) (-15 -3817 (|#1| |#3|)) (-15 -1774 (|#1| |#3|)) (-15 -1809 (|#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3817 (|#3| |#1|)) (-15 -3817 (|#1| (-1247 |#2|))) (-15 -3817 ((-1247 |#2|) |#1|)) (-15 -3930 ((-1247 |#1|))) (-15 -2742 (|#3| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -3428 ((-3 |#1| "failed") |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 87 (|has| |#1| (-366)))) (-3383 (($ $) 88 (|has| |#1| (-366)))) (-4354 (((-121) $) 90 (|has| |#1| (-366)))) (-3294 (((-680 |#1|) (-1247 $)) 44) (((-680 |#1|)) 55)) (-1377 ((|#1| $) 50)) (-2620 (((-1171 (-918) (-764)) (-569)) 141 (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 107 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 108 (|has| |#1| (-366)))) (-3934 (((-121) $ $) 98 (|has| |#1| (-366)))) (-2085 (((-764)) 81 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-2428 (((-569) $) 164 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 159)) (-2623 (($ (-1247 |#1|) (-1247 $)) 46) (($ (-1247 |#1|)) 58)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-2506 (($ $ $) 102 (|has| |#1| (-366)))) (-3325 (((-680 |#1|) $ (-1247 $)) 51) (((-680 |#1|) $) 53)) (-1696 (((-680 (-569)) (-680 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 156) (((-680 |#1|) (-680 $)) 155)) (-1774 (($ |#2|) 152) (((-3 $ "failed") (-410 |#2|)) 149 (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-918)) 52)) (-4327 (($) 84 (|has| |#1| (-371)))) (-2524 (($ $ $) 101 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 96 (|has| |#1| (-366)))) (-3188 (($) 143 (|has| |#1| (-351)))) (-3354 (((-121) $) 144 (|has| |#1| (-351)))) (-2751 (($ $ (-764)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-3726 (((-121) $) 109 (|has| |#1| (-366)))) (-2558 (((-918) $) 146 (|has| |#1| (-351))) (((-829 (-918)) $) 132 (|has| |#1| (-351)))) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 49)) (-3846 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-366)))) (-2770 ((|#2| $) 42 (|has| |#1| (-366)))) (-2083 (((-918) $) 83 (|has| |#1| (-371)))) (-1769 ((|#2| $) 150)) (-2665 (($ (-635 $)) 94 (|has| |#1| (-366))) (($ $ $) 93 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 110 (|has| |#1| (-366)))) (-4043 (($) 137 (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 82 (|has| |#1| (-371)))) (-3360 (((-1109) $) 10)) (-1809 (($) 154)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 95 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 92 (|has| |#1| (-366))) (($ $ $) 91 (|has| |#1| (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 140 (|has| |#1| (-351)))) (-1743 (((-421 $) $) 106 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 103 (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) 86 (|has| |#1| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-366)))) (-2622 (((-764) $) 99 (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 100 (|has| |#1| (-366)))) (-2087 ((|#1| (-1247 $)) 45) ((|#1|) 54)) (-1291 (((-764) $) 145 (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) 133 (|has| |#1| (-351)))) (-3899 (($ $) 131 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) 129 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) 127 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163))) 126 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1163) (-764)) 125 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-764))) 124 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-764)) 117 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 116 (|has| |#1| (-366)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-2745 ((|#2|) 153)) (-2319 (($) 142 (|has| |#1| (-351)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 48) (((-680 |#1|) (-1247 $) (-1247 $)) 47) (((-1247 |#1|) $) 60) (((-680 |#1|) (-1247 $)) 59)) (-3817 (((-1247 |#1|) $) 57) (($ (-1247 |#1|)) 56) ((|#2| $) 165) (($ |#2|) 151)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 139 (|has| |#1| (-351)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ $) 85 (|has| |#1| (-366))) (($ (-410 (-569))) 80 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-2742 ((|#2| $) 43)) (-1991 (((-764)) 28)) (-3930 (((-1247 $)) 61)) (-1961 (((-121) $ $) 89 (|has| |#1| (-366)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 130 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) 128 (-2232 (-2206 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) 123 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163))) 122 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1163) (-764)) 121 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-764))) 120 (-2206 (|has| |#1| (-896 (-1163))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-764)) 119 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 118 (|has| |#1| (-366)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 115 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
-(((-715 |#1| |#2|) (-1278) (-173) (-1222 |t#1|)) (T -715)) 
-((-1809 (*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-715 *2 *3)) (-4 *3 (-1222 *2)))) (-2745 (*1 *2) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-1774 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) (-3817 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) (-1769 (*1 *2 *1) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) (-1774 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-715 *3 *4)))) (-3497 (*1 *2 *3 *4) (-12 (-5 *3 (-1247 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-715 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *5))))) 
-(-13 (-412 |t#1| |t#2|) (-173) (-610 |t#2|) (-414 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1809 ($)) (-15 -2745 (|t#2|)) (-15 -1774 ($ |t#2|)) (-15 -3817 ($ |t#2|)) (-15 -1769 (|t#2| $)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-366)) (-6 (-224 |t#1|)) (-15 -1774 ((-3 $ "failed") (-410 |t#2|))) (-15 -3497 ((-680 |t#1|) (-1247 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-351)) (-6 (-351)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 |#2|) . T) ((-224 |#1|) |has| |#1| (-366)) ((-226) -2232 (|has| |#1| (-351)) (-12 (|has| |#1| (-226)) (|has| |#1| (-366)))) ((-239) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-286) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-302) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-366) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -2232 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| |#2|) . T) ((-412 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-559) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-708 |#1|) . T) ((-708 $) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163)))) ((-917) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-351)) ((-1202) -2232 (|has| |#1| (-351)) (|has| |#1| (-366)))) 
-((-2820 (($) 14)) (-3428 (((-3 $ "failed") $) 16)) (-1407 (((-121) $) 13)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) 9)) (** (($ $ (-918)) NIL) (($ $ (-764)) 20))) 
-(((-716 |#1|) (-10 -8 (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-717)) (T -716)) 
-NIL 
-(-10 -8 (-15 -3428 ((-3 |#1| "failed") |#1|)) (-15 -2427 (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-764))) (-15 -1407 ((-121) |#1|)) (-15 -2820 (|#1|)) (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1407 (((-121) $) 18)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16)) (-1556 (($) 20 T CONST)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 13) (($ $ (-764)) 17)) (* (($ $ $) 14))) 
-(((-717) (-1278)) (T -717)) 
-((-1556 (*1 *1) (-4 *1 (-717))) (-2820 (*1 *1) (-4 *1 (-717))) (-1407 (*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) (-3428 (*1 *1 *1) (|partial| -4 *1 (-717)))) 
-(-13 (-1103) (-10 -8 (-15 (-1556) ($) -2043) (-15 -2820 ($) -2043) (-15 -1407 ((-121) $)) (-15 ** ($ $ (-764))) (-15 -2427 ($ $ (-764))) (-15 -3428 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1103) . T) ((-1091) . T)) 
-((-3791 (((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-4493 (((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-1865 ((|#2| (-410 |#2|) (-1 |#2| |#2|)) 13)) (-4157 (((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)) 47))) 
-(((-718 |#1| |#2|) (-10 -7 (-15 -4493 ((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3791 ((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -1865 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -4157 ((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1222 |#1|)) (T -718)) 
-((-4157 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2478 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-718 *5 *6)) (-5 *3 (-410 *6)))) (-1865 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-718 *5 *2)) (-4 *5 (-366)))) (-3791 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-718 *5 *3)))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 *3) (|:| |special| *3))) (-5 *1 (-718 *5 *3))))) 
-(-10 -7 (-15 -4493 ((-2 (|:| -2478 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -3791 ((-2 (|:| -2478 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -1865 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -4157 ((-2 (|:| |poly| |#2|) (|:| -2478 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) 
-((-3682 ((|#7| (-635 |#5|) |#6|) NIL)) (-1544 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
-(((-719 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1544 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3682 (|#7| (-635 |#5|) |#6|))) (-843) (-789) (-789) (-1048) (-1048) (-951 |#4| |#2| |#1|) (-951 |#5| |#3| |#1|)) (T -719)) 
-((-3682 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-1048)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1048)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5))))) 
-(-10 -7 (-15 -1544 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -3682 (|#7| (-635 |#5|) |#6|))) 
-((-1544 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
-(((-720 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1544 (|#7| (-1 |#2| |#1|) |#6|))) (-843) (-843) (-789) (-789) (-1048) (-951 |#5| |#3| |#1|) (-951 |#5| |#4| |#2|)) (T -720)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-4 *7 (-789)) (-4 *9 (-1048)) (-4 *2 (-951 *9 *8 *6)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-789)) (-4 *4 (-951 *9 *7 *5))))) 
-(-10 -7 (-15 -1544 (|#7| (-1 |#2| |#1|) |#6|))) 
-((-1743 (((-421 |#4|) |#4|) 39))) 
-(((-721 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-302) (-951 (-954 |#3|) |#1| |#2|)) (T -721)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-721 *4 *5 *6 *3)) (-4 *3 (-951 (-954 *6) *4 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-853 |#1|)) $) NIL)) (-1739 (((-1159 $) $ (-853 |#1|)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-853 |#1|))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-853 |#1|) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-853 |#1|) $) NIL)) (-3493 (($ $ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-535 (-853 |#1|)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-853 |#1|) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#2|) (-853 |#1|)) NIL) (($ (-1159 $) (-853 |#1|)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-535 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-853 |#1|)) NIL)) (-4002 (((-535 (-853 |#1|)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-535 (-853 |#1|)) (-535 (-853 |#1|))) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-1637 (((-3 (-853 |#1|) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-853 |#1|)) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-853 |#1|) |#2|) NIL) (($ $ (-635 (-853 |#1|)) (-635 |#2|)) NIL) (($ $ (-853 |#1|) $) NIL) (($ $ (-635 (-853 |#1|)) (-635 $)) NIL)) (-2087 (($ $ (-853 |#1|)) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-2492 (((-535 (-853 |#1|)) $) NIL) (((-764) $ (-853 |#1|)) NIL) (((-635 (-764)) $ (-635 (-853 |#1|))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-853 |#1|) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-853 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-853 |#1|)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-853 |#1|)) NIL) (($ $) NIL (|has| |#2| (-559))) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-535 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-853 |#1|)) NIL) (($ $ (-635 (-853 |#1|))) NIL) (($ $ (-853 |#1|) (-764)) NIL) (($ $ (-635 (-853 |#1|)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-722 |#1| |#2|) (-951 |#2| (-535 (-853 |#1|)) (-853 |#1|)) (-635 (-1163)) (-1048)) (T -722)) 
-NIL 
-(-951 |#2| (-535 (-853 |#1|)) (-853 |#1|)) 
-((-3329 (((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|) 13)) (-3277 ((|#4| |#4| |#2|) 30)) (-4203 ((|#4| (-410 (-954 |#3|)) |#2|) 63)) (-2629 ((|#4| (-1159 (-954 |#3|)) |#2|) 76)) (-4152 ((|#4| (-1159 |#4|) |#2|) 49)) (-2699 ((|#4| |#4| |#2|) 52)) (-1743 (((-421 |#4|) |#4|) 38))) 
-(((-723 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3329 ((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|)) (-15 -2699 (|#4| |#4| |#2|)) (-15 -4152 (|#4| (-1159 |#4|) |#2|)) (-15 -3277 (|#4| |#4| |#2|)) (-15 -2629 (|#4| (-1159 (-954 |#3|)) |#2|)) (-15 -4203 (|#4| (-410 (-954 |#3|)) |#2|)) (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))) (-559) (-951 (-410 (-954 |#3|)) |#1| |#2|)) (T -723)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5)))) (-4203 (*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-5 *3 (-410 (-954 *6))) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))))) (-2629 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 (-954 *6))) (-4 *6 (-559)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))))) (-3277 (*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) (-4152 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)))) (-2699 (*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) (-3329 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -1498 (-954 *6)) (|:| -3637 (-954 *6)))) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5))))) 
-(-10 -7 (-15 -3329 ((-2 (|:| -1498 (-954 |#3|)) (|:| -3637 (-954 |#3|))) |#4|)) (-15 -2699 (|#4| |#4| |#2|)) (-15 -4152 (|#4| (-1159 |#4|) |#2|)) (-15 -3277 (|#4| |#4| |#2|)) (-15 -2629 (|#4| (-1159 (-954 |#3|)) |#2|)) (-15 -4203 (|#4| (-410 (-954 |#3|)) |#2|)) (-15 -1743 ((-421 |#4|) |#4|))) 
-((-1743 (((-421 |#4|) |#4|) 51))) 
-(((-724 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) (-789) (-843) (-13 (-302) (-151)) (-951 (-410 |#3|) |#1| |#2|)) (T -724)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-951 (-410 *6) *4 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4|))) 
-((-1544 (((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)) 18))) 
-(((-725 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)))) (-1048) (-1048) (-717)) (T -725)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-726 *5 *7)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *7 (-717)) (-5 *2 (-726 *6 *7)) (-5 *1 (-725 *5 *6 *7))))) 
-(-10 -7 (-15 -1544 ((-726 |#2| |#3|) (-1 |#2| |#1|) (-726 |#1| |#3|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 26)) (-1403 (((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $) 27)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) 20 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-2428 ((|#2| $) NIL) ((|#1| $) NIL)) (-4020 (($ $) 75 (|has| |#2| (-843)))) (-3428 (((-3 $ "failed") $) 62)) (-4327 (($) 33 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 53)) (-2086 (((-635 $) $) 37)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| |#2|) 16)) (-1544 (($ (-1 |#1| |#1|) $) 52)) (-2083 (((-918) $) 30 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1804 ((|#2| $) 74 (|has| |#2| (-843)))) (-4012 ((|#1| $) 73 (|has| |#2| (-843)))) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 25 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 72) (($ (-569)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|)))) 11)) (-3382 (((-635 |#1|) $) 39)) (-1653 ((|#1| $ |#2|) 83)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 31 T CONST)) (-1668 (((-121) $ $) 76)) (-1711 (($ $) 46) (($ $ $) NIL)) (-1707 (($ $ $) 24)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-726 |#1| |#2|) (-13 (-1048) (-1038 |#2|) (-1038 |#1|) (-10 -8 (-15 -1763 ($ |#1| |#2|)) (-15 -1653 (|#1| $ |#2|)) (-15 -2185 ($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))))) (-15 -1403 ((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -3523 ((-121) $)) (-15 -3382 ((-635 |#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-843)) (PROGN (-15 -1804 (|#2| $)) (-15 -4012 (|#1| $)) (-15 -4020 ($ $))) |noBranch|))) (-1048) (-717)) (T -726)) 
-((-1763 (*1 *1 *2 *3) (-12 (-5 *1 (-726 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-717)))) (-1653 (*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-717)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-4 *3 (-1048)) (-4 *4 (-717)) (-5 *1 (-726 *3 *4)))) (-1403 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-726 *3 *4)) (-4 *4 (-717)))) (-3523 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-3382 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-2086 (*1 *2 *1) (-12 (-5 *2 (-635 (-726 *3 *4))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-4244 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) (-1804 (*1 *2 *1) (-12 (-4 *2 (-717)) (-4 *2 (-843)) (-5 *1 (-726 *3 *2)) (-4 *3 (-1048)))) (-4012 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *3 (-717)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1048)) (-4 *3 (-717))))) 
-(-13 (-1048) (-1038 |#2|) (-1038 |#1|) (-10 -8 (-15 -1763 ($ |#1| |#2|)) (-15 -1653 (|#1| $ |#2|)) (-15 -2185 ($ (-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))))) (-15 -1403 ((-635 (-2 (|:| -4140 |#1|) (|:| -4145 |#2|))) $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (-15 -3523 ((-121) $)) (-15 -3382 ((-635 |#1|) $)) (-15 -2086 ((-635 $) $)) (-15 -4244 ((-764) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-843)) (PROGN (-15 -1804 (|#2| $)) (-15 -4012 (|#1| $)) (-15 -4020 ($ $))) |noBranch|))) 
-((-2568 (((-121) $ $) 18)) (-1752 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1981 (($ $ $) 68)) (-2358 (((-121) $ $) 69)) (-1691 (((-121) $ (-764)) 8)) (-2195 (($ (-635 |#1|)) 64) (($) 63)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 65)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-3290 (($ $ |#1|) 67) (($ $ $) 66)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20)) (-1959 (($ (-635 |#1|)) 62) (($) 61)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 60)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-727 |#1|) (-1278) (-1091)) (T -727)) 
-NIL 
-(-13 (-685 |t#1|) (-1088 |t#1|)) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-685 |#1|) . T) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1752 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-1981 (($ $ $) 80)) (-2358 (((-121) $ $) 83)) (-1691 (((-121) $ (-764)) NIL)) (-2195 (($ (-635 |#1|)) 24) (($) 15)) (-4216 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-3384 (($ $) 72)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 61 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4535))) (($ |#1| $ (-569)) 62) (($ (-1 (-121) |#1|) $ (-569)) 65)) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (($ |#1| $ (-569)) 67) (($ (-1 (-121) |#1|) $ (-569)) 68)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 32 (|has| $ (-6 -4535)))) (-1304 (($) 13) (($ |#1|) 26) (($ (-635 |#1|)) 21)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) 38)) (-3660 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 76)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 78)) (-3889 ((|#1| $) 54)) (-3172 (($ |#1| $) 55) (($ |#1| $ (-764)) 73)) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1856 ((|#1| $) 53)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 49)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 47)) (-3290 (($ $ |#1|) NIL) (($ $ $) 79)) (-2566 (($) 14) (($ (-635 |#1|)) 23)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) 60 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 66)) (-3817 (((-542) $) 36 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 20)) (-2185 (((-851) $) 44)) (-1959 (($ (-635 |#1|)) 25) (($) 16)) (-2793 (($ (-635 |#1|)) 22)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 81)) (-1678 (((-121) $ $) 82)) (-4168 (((-764) $) 59 (|has| $ (-6 -4535))))) 
-(((-728 |#1|) (-13 (-727 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -1304 ($)) (-15 -1304 ($ |#1|)) (-15 -1304 ($ (-635 |#1|))) (-15 -4259 ((-635 |#1|) $)) (-15 -4347 ($ |#1| $ (-569))) (-15 -4347 ($ (-1 (-121) |#1|) $ (-569))) (-15 -4454 ($ |#1| $ (-569))) (-15 -4454 ($ (-1 (-121) |#1|) $ (-569))))) (-1091)) (T -728)) 
-((-1304 (*1 *1) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-1304 (*1 *1 *2) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-1304 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-728 *3)))) (-4259 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-728 *3)) (-4 *3 (-1091)))) (-4347 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-4347 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) (-4454 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) (-4454 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4))))) 
-(-13 (-727 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -1304 ($)) (-15 -1304 ($ |#1|)) (-15 -1304 ($ (-635 |#1|))) (-15 -4259 ((-635 |#1|) $)) (-15 -4347 ($ |#1| $ (-569))) (-15 -4347 ($ (-1 (-121) |#1|) $ (-569))) (-15 -4454 ($ |#1| $ (-569))) (-15 -4454 ($ (-1 (-121) |#1|) $ (-569))))) 
-((-2898 (((-1252) (-1145)) 8))) 
-(((-729) (-10 -7 (-15 -2898 ((-1252) (-1145))))) (T -729)) 
-((-2898 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-729))))) 
-(-10 -7 (-15 -2898 ((-1252) (-1145)))) 
-((-3224 (((-635 |#1|) (-635 |#1|) (-635 |#1|)) 10))) 
-(((-730 |#1|) (-10 -7 (-15 -3224 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-843)) (T -730)) 
-((-3224 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-730 *3))))) 
-(-10 -7 (-15 -3224 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#2|) $) 134)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 127 (|has| |#1| (-559)))) (-3383 (($ $) 126 (|has| |#1| (-559)))) (-4354 (((-121) $) 124 (|has| |#1| (-559)))) (-1753 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 66 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 65 (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 82 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 67 (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 68 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-4020 (($ $) 118)) (-3428 (((-3 $ "failed") $) 33)) (-2088 (((-954 |#1|) $ (-764)) 96) (((-954 |#1|) $ (-764) (-764)) 95)) (-2777 (((-121) $) 135)) (-2445 (($) 93 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ |#2|) 98) (((-764) $ |#2| (-764)) 97)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 64 (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) 116)) (-1763 (($ $ (-635 |#2|) (-635 (-535 |#2|))) 133) (($ $ |#2| (-535 |#2|)) 132) (($ |#1| (-535 |#2|)) 117) (($ $ |#2| (-764)) 100) (($ $ (-635 |#2|) (-635 (-764))) 99)) (-1544 (($ (-1 |#1| |#1|) $) 115)) (-4450 (($ $) 90 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 113)) (-4012 ((|#1| $) 112)) (-2776 (((-1145) $) 9)) (-2565 (($ $ |#2|) 94 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) 10)) (-3499 (($ $ (-764)) 101)) (-2941 (((-3 $ "failed") $ $) 128 (|has| |#1| (-559)))) (-2436 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 108) (($ $ (-635 (-289 $))) 107) (($ $ (-289 $)) 106) (($ $ $ $) 105) (($ $ (-635 $) (-635 $)) 104)) (-3899 (($ $ |#2|) 41) (($ $ (-635 |#2|)) 40) (($ $ |#2| (-764)) 39) (($ $ (-635 |#2|) (-635 (-764))) 38)) (-2492 (((-535 |#2|) $) 114)) (-1764 (($ $) 80 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 69 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 70 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 78 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 71 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 136)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 131 (|has| |#1| (-173))) (($ $) 129 (|has| |#1| (-559))) (($ (-410 (-569))) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1653 ((|#1| $ (-535 |#2|)) 119) (($ $ |#2| (-764)) 103) (($ $ (-635 |#2|) (-635 (-764))) 102)) (-3953 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1779 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 77 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 125 (|has| |#1| (-559)))) (-1770 (($ $) 88 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 76 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 75 (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) 86 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 74 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 84 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#2|) 37) (($ $ (-635 |#2|)) 36) (($ $ |#2| (-764)) 35) (($ $ (-635 |#2|) (-635 (-764))) 34)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 120 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ $) 92 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 63 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 123 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 122 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
-(((-731 |#1| |#2|) (-1278) (-1048) (-843)) (T -731)) 
-((-1653 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-2558 (*1 *2 *1 *3) (-12 (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *2 (-764)))) (-2558 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)))) (-2088 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) (-2088 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) (-2565 (*1 *1 *1 *2) (-12 (-4 *1 (-731 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)) (-4 *3 (-43 (-410 (-569))))))) 
-(-13 (-896 |t#2|) (-975 |t#1| (-535 |t#2|) |t#2|) (-524 |t#2| $) (-304 $) (-10 -8 (-15 -1653 ($ $ |t#2| (-764))) (-15 -1653 ($ $ (-635 |t#2|) (-635 (-764)))) (-15 -3499 ($ $ (-764))) (-15 -1763 ($ $ |t#2| (-764))) (-15 -1763 ($ $ (-635 |t#2|) (-635 (-764)))) (-15 -2558 ((-764) $ |t#2|)) (-15 -2558 ((-764) $ |t#2| (-764))) (-15 -2088 ((-954 |t#1|) $ (-764))) (-15 -2088 ((-954 |t#1|) $ (-764) (-764))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |t#2|)) (-6 (-1003)) (-6 (-1183))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-535 |#2|)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-286) |has| |#1| (-559)) ((-304 $) . T) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 |#2| $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 |#2|) . T) ((-975 |#1| (-535 |#2|) |#2|) . T) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569))))) 
-((-1743 (((-421 (-1159 |#4|)) (-1159 |#4|)) 28) (((-421 |#4|) |#4|) 24))) 
-(((-732 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) (-843) (-789) (-13 (-302) (-151)) (-951 |#3| |#2| |#1|)) (T -732)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
-(-10 -7 (-15 -1743 ((-421 |#4|) |#4|)) (-15 -1743 ((-421 (-1159 |#4|)) (-1159 |#4|)))) 
-((-2864 (((-421 |#4|) |#4| |#2|) 116)) (-3900 (((-421 |#4|) |#4|) NIL)) (-2446 (((-421 (-1159 |#4|)) (-1159 |#4|)) 107) (((-421 |#4|) |#4|) 38)) (-2583 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 65)) (-4383 (((-1159 |#3|) (-1159 |#3|) (-569)) 133)) (-4098 (((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764)) 58)) (-1769 (((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|)) 62)) (-1713 (((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 22)) (-3829 (((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569)) 54)) (-1297 (((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) 130)) (-2272 ((|#4| (-569) (-421 |#4|)) 55)) (-4506 (((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) NIL))) 
-(((-733 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2446 ((-421 |#4|) |#4|)) (-15 -2446 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -3900 ((-421 |#4|) |#4|)) (-15 -1297 ((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -2864 ((-421 |#4|) |#4| |#2|)) (-15 -3829 ((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569))) (-15 -2583 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1713 ((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2272 (|#4| (-569) (-421 |#4|))) (-15 -4506 ((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -1769 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|))) (-15 -4098 ((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764))) (-15 -4383 ((-1159 |#3|) (-1159 |#3|) (-569)))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -733)) 
-((-4383 (*1 *2 *2 *3) (-12 (-5 *2 (-1159 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-4098 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-4 *8 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *5 (-764)))) (-1769 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1159 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-764))) (-5 *8 (-635 *11)) (-4 *10 (-843)) (-4 *11 (-302)) (-4 *9 (-789)) (-4 *5 (-951 *11 *9 *10)) (-5 *2 (-635 (-1159 *5))) (-5 *1 (-733 *9 *10 *11 *5)) (-5 *3 (-1159 *5)))) (-4506 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2272 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-951 *7 *5 *6)) (-5 *1 (-733 *5 *6 *7 *2)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-302)))) (-1713 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |upol| (-1159 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 *8)) (|:| -2356 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-733 *6 *7 *8 *9)))) (-2583 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *6 (-789)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 *9)) (|:| -2356 (-569))))))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)))) (-3829 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| -3698 (-1159 *9)) (|:| |polval| (-1159 *8)))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)) (-5 *4 (-1159 *8)))) (-2864 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) (-1297 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-3900 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5)))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5))))) 
-(-10 -7 (-15 -2446 ((-421 |#4|) |#4|)) (-15 -2446 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -3900 ((-421 |#4|) |#4|)) (-15 -1297 ((-569) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -2864 ((-421 |#4|) |#4| |#2|)) (-15 -3829 ((-2 (|:| -3698 (-1159 |#4|)) (|:| |polval| (-1159 |#3|))) (-1159 |#4|) (-1159 |#3|) (-569))) (-15 -2583 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 |#4|)) (|:| -2356 (-569)))))) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1713 ((-2 (|:| |upol| (-1159 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569))))) (|:| |ctpol| |#3|)) (-1159 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2272 (|#4| (-569) (-421 |#4|))) (-15 -4506 ((-121) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))) (-635 (-2 (|:| -1743 (-1159 |#3|)) (|:| -2356 (-569)))))) (-15 -1769 ((-3 (-635 (-1159 |#4|)) "failed") (-1159 |#4|) (-1159 |#3|) (-1159 |#3|) |#4| (-635 |#2|) (-635 (-764)) (-635 |#3|))) (-15 -4098 ((-635 (-764)) (-1159 |#4|) (-635 |#2|) (-764))) (-15 -4383 ((-1159 |#3|) (-1159 |#3|) (-569)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1739 (((-410 (-1159 $)) $ (-608 $)) NIL (|has| |#2| (-559)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-4003 (((-635 (-608 $)) $) NIL)) (-3210 (($ $ (-1083 $)) NIL) (($ $ (-1163)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2773 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2004 (($ $) NIL (|has| |#2| (-559)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-954 |#2|)) "failed") $) NIL (|has| |#2| (-559))) (((-3 (-954 |#2|) "failed") $) NIL (|has| |#2| (-1048))) (((-3 (-735 |#1| |#2|) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (-2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-2428 (((-608 $) $) NIL) (((-1163) $) NIL) ((|#2| $) NIL) (((-410 (-954 |#2|)) $) 20 (|has| |#2| (-559))) (((-954 |#2|) $) 26 (|has| |#2| (-1048))) (((-735 |#1| |#2|) $) 27) (((-569) $) NIL) (((-410 (-735 |#1| |#2|)) $) 25) (((-410 (-569)) $) NIL (-2232 (-12 (|has| |#2| (-559)) (|has| |#2| (-1038 (-569)))) (|has| |#2| (-1038 (-410 (-569))))))) (-2506 (($ $ $) NIL (|has| |#2| (-559)))) (-1696 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048))))) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-559)))) (-1592 (($ $ (-1083 $)) NIL) (($ $ (-1163)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-559)))) (-3726 (((-121) $) NIL (|has| |#2| (-559)))) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#2| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#2| (-882 (-382))))) (-2337 (($ $) NIL) (($ (-635 $)) NIL)) (-3431 (((-635 (-123)) $) NIL)) (-2265 (((-123) (-123)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-4052 (($ $) NIL)) (-4116 (((-1114 |#2| (-608 $)) $) NIL (|has| |#2| (-1048)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-4080 (((-1159 $) (-608 $)) NIL (|has| $ (-1048)))) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1544 (($ (-1 $ $) (-608 $)) NIL)) (-2359 (((-3 (-608 $) "failed") $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2776 (((-1145) $) NIL)) (-1735 (((-635 (-608 $)) $) NIL)) (-1777 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-1103)))) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 (-569))) "failed") $) NIL (|has| |#2| (-1048)))) (-3091 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-25)))) (-1806 (((-3 (-2 (|:| -4140 (-569)) (|:| |var| (-608 $))) "failed") $) NIL (|has| |#2| (-25)))) (-1874 (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $) NIL (|has| |#2| (-1103))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-123)) NIL (|has| |#2| (-1048))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -2356 (-569))) "failed") $ (-1163)) NIL (|has| |#2| (-1048)))) (-4029 (((-121) $ (-123)) NIL) (((-121) $ (-1163)) NIL)) (-1795 (($ $) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-2626 (((-764) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-559)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-1452 (((-121) $ $) NIL) (((-121) $ (-1163)) NIL)) (-4219 (($ $ (-1163)) NIL) (($ $) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-559)))) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-1657 (((-121) $) NIL (|has| $ (-1038 (-569))))) (-1468 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1163)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1163) (-1 $ (-635 $))) NIL) (($ $ (-1163) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-610 (-542)))) (($ $) NIL (|has| |#2| (-610 (-542)))) (($ $ (-123) $ (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1163)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ $))) NIL (|has| |#2| (-1048))) (($ $ (-635 (-1163)) (-635 (-764)) (-635 (-1 $ (-635 $)))) NIL (|has| |#2| (-1048))) (($ $ (-1163) (-764) (-1 $ (-635 $))) NIL (|has| |#2| (-1048))) (($ $ (-1163) (-764) (-1 $ $)) NIL (|has| |#2| (-1048)))) (-2622 (((-764) $) NIL (|has| |#2| (-559)))) (-1534 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4082 (($ $) NIL) (($ $ $) NIL)) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-4214 (($ $) NIL)) (-4121 (((-1114 |#2| (-608 $)) $) NIL (|has| |#2| (-559)))) (-2745 (($ $) NIL (|has| $ (-1048)))) (-3817 (((-888 (-569)) $) NIL (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#2| (-610 (-888 (-382))))) (($ (-421 $)) NIL (|has| |#2| (-559))) (((-542) $) NIL (|has| |#2| (-610 (-542))))) (-1414 (($ $ $) NIL (|has| |#2| (-479)))) (-4293 (($ $ $) NIL (|has| |#2| (-479)))) (-2185 (((-851) $) NIL) (($ (-608 $)) NIL) (($ (-1163)) NIL) (($ |#2|) NIL) (($ (-1114 |#2| (-608 $))) NIL (|has| |#2| (-1048))) (($ (-410 |#2|)) NIL (|has| |#2| (-559))) (($ (-954 (-410 |#2|))) NIL (|has| |#2| (-559))) (($ (-410 (-954 (-410 |#2|)))) NIL (|has| |#2| (-559))) (($ (-410 (-954 |#2|))) NIL (|has| |#2| (-559))) (($ (-954 |#2|)) NIL (|has| |#2| (-1048))) (($ $) NIL) (($ (-569)) NIL) (($ (-735 |#1| |#2|)) NIL) (($ (-410 (-735 |#1| |#2|))) 35) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-559)) (|has| |#2| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#2| (-149)))) (-1991 (((-764)) NIL)) (-4042 (($ $) NIL) (($ (-635 $)) NIL)) (-4248 (($ $ $) NIL)) (-1524 (((-121) (-123)) NIL)) (-1961 (((-121) $ $) NIL)) (-3880 (($ (-1163) $) NIL) (($ (-1163) $ $) NIL) (($ (-1163) $ $ $) NIL) (($ (-1163) $ $ $ $) NIL) (($ (-1163) (-635 $)) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1715 (($ (-1114 |#2| (-608 $)) (-1114 |#2| (-608 $))) NIL (|has| |#2| (-559))) (($ $ $) NIL)) (-1711 (($ $ $) NIL) (($ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ $) NIL) (($ $ (-569)) NIL (-2232 (|has| |#2| (-479)) (|has| |#2| (-559))))) (* (($ (-410 (-569)) $) NIL (|has| |#2| (-559))) (($ $ (-410 (-569))) NIL (|has| |#2| (-559))) (($ |#2| $) NIL (|has| |#2| (-173))) (($ $ |#2|) NIL (|has| |#2| (-173))) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-764) $) NIL) (($ (-918) $) NIL))) 
-(((-734 |#1| |#2|) (-13 (-433 |#2|) (-559) (-1038 (-735 |#1| |#2|)) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)) (-15 -2185 ($ (-410 (-735 |#1| |#2|)))) (-15 -2428 ((-410 (-735 |#1| |#2|)) $)))) (-1163) (-13 (-1048) (-843) (-559))) (T -734)) 
-((-1798 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-1715 (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-4052 (*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-4214 (*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-735 *3 *4))) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))) (-5 *1 (-734 *3 *4)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-410 (-735 *3 *4))) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559)))))) 
-(-13 (-433 |#2|) (-559) (-1038 (-735 |#1| |#2|)) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $)) (-15 -2185 ($ (-410 (-735 |#1| |#2|)))) (-15 -2428 ((-410 (-735 |#1| |#2|)) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#2|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#2|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#2| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-1076) $) 22) (((-1163) $) 23)) (-3493 (($ $ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#2| (-559)))) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#2| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1768 (($ (-1159 |#2|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 17) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2225 (((-1159 |#2|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-3877 (($ $ (-764) |#2| $) NIL)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) NIL) (($ $ (-635 (-1076)) (-635 |#2|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#2|) 26) (($ (-1076)) NIL) (($ (-1243 |#1|)) 20) (($ (-954 |#2|)) 34) (($ (-1163)) 18) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-735 |#1| |#2|) (-13 (-1222 |#2|) (-10 -8 (-6 (-1038 (-1163))) (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)) (IF (|has| |#2| (-15 -1739 ((-1159 |#2|) |#2| (-1163)))) (-15 -2185 ($ |#2|)) |noBranch|) (-15 -2185 ($ (-954 |#2|))))) (-1163) (-1048)) (T -735)) 
-((-2185 (*1 *1 *2) (-12 (-5 *1 (-735 *3 *2)) (-14 *3 (-1163)) (-4 *2 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-735 *3 *4)) (-4 *4 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-735 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *4)) (-4 *4 (-1048)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1163))))) 
-(-13 (-1222 |#2|) (-10 -8 (-6 (-1038 (-1163))) (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)) (IF (|has| |#2| (-15 -1739 ((-1159 |#2|) |#2| (-1163)))) (-15 -2185 ($ |#2|)) |noBranch|) (-15 -2185 ($ (-954 |#2|))))) 
-((-1851 (($ $ (-918)) 12))) 
-(((-736 |#1| |#2|) (-10 -8 (-15 -1851 (|#1| |#1| (-918)))) (-737 |#2|) (-173)) (T -736)) 
-NIL 
-(-10 -8 (-15 -1851 (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1628 (($ $ (-918)) 27)) (-1851 (($ $ (-918)) 32)) (-3272 (($ $ (-918)) 28)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
-(((-737 |#1|) (-1278) (-173)) (T -737)) 
-((-1851 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-737 *3)) (-4 *3 (-173))))) 
-(-13 (-754) (-708 |t#1|) (-10 -8 (-15 -1851 ($ $ (-918))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-711) . T) ((-754) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-4269 (((-1036) (-680 (-216)) (-569) (-121) (-569)) 24)) (-4274 (((-1036) (-680 (-216)) (-569) (-121) (-569)) 23))) 
-(((-738) (-10 -7 (-15 -4274 ((-1036) (-680 (-216)) (-569) (-121) (-569))) (-15 -4269 ((-1036) (-680 (-216)) (-569) (-121) (-569))))) (T -738)) 
-((-4269 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738)))) (-4274 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
-(-10 -7 (-15 -4274 ((-1036) (-680 (-216)) (-569) (-121) (-569))) (-15 -4269 ((-1036) (-680 (-216)) (-569) (-121) (-569)))) 
-((-4285 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) 43)) (-3401 (((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) 39)) (-3406 (((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 32))) 
-(((-739) (-10 -7 (-15 -3406 ((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3401 ((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -4285 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN))))))) (T -739)) 
-((-4285 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739)))) (-3401 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739)))) (-3406 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
-(-10 -7 (-15 -3406 ((-1036) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3401 ((-1036) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -4285 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))))) 
-((-3415 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 33)) (-3423 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 32)) (-3434 (((-1036) (-569) (-680 (-216)) (-569)) 31)) (-3440 (((-1036) (-569) (-680 (-216)) (-569)) 30)) (-3451 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 29)) (-3457 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-3467 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569)) 27)) (-3472 (((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569)) 26)) (-3480 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 23)) (-3491 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 22)) (-3498 (((-1036) (-569) (-680 (-216)) (-569)) 21)) (-3506 (((-1036) (-569) (-680 (-216)) (-569)) 20))) 
-(((-740) (-10 -7 (-15 -3506 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3498 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3491 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3480 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3472 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3467 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3457 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3451 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3440 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3434 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3423 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -3415 ((-1036) (-569) (-569) (-680 (-216)) (-569))))) (T -740)) 
-((-3415 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3423 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3434 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3440 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3451 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3457 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3467 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3472 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3480 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3491 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3498 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740)))) (-3506 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(-10 -7 (-15 -3506 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3498 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3491 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3480 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3472 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3467 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3457 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3451 ((-1036) (-569) (-569) (-1145) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3440 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3434 ((-1036) (-569) (-680 (-216)) (-569))) (-15 -3423 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -3415 ((-1036) (-569) (-569) (-680 (-216)) (-569)))) 
-((-3135 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3145 (((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569)) 51)) (-3151 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3155 (((-1036) (-216) (-216) (-569) (-569) (-569) (-569)) 46)) (-3167 (((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 45)) (-3734 (((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 44)) (-3751 (((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 43)) (-3766 (((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 42)) (-3777 (((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 38)) (-3785 (((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 37)) (-3805 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 33)) (-3822 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) 32))) 
-(((-741) (-10 -7 (-15 -3822 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3805 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3785 ((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3777 ((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3766 ((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3751 ((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3734 ((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3167 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3155 ((-1036) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3151 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3145 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569))) (-15 -3135 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))))) (T -741)) 
-((-3135 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3145 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3151 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3155 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3167 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3734 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3751 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3766 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3777 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3785 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3805 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741)))) (-3822 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(-10 -7 (-15 -3822 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3805 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3785 ((-1036) (-216) (-216) (-569) (-680 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3777 ((-1036) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564))))) (-15 -3766 ((-1036) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3751 ((-1036) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3734 ((-1036) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3167 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3155 ((-1036) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3151 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3145 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-569))) (-15 -3135 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-216) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))))) 
-((-3181 (((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3186 (((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391)) 69) (((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3197 (((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) 57)) (-3206 (((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 50)) (-3214 (((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 49)) (-3222 (((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 45)) (-3231 (((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 42)) (-3239 (((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 38))) 
-(((-742) (-10 -7 (-15 -3239 ((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3231 ((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3222 ((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3214 ((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3206 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3197 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3181 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -742)) 
-((-3181 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3186 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3186 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3197 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3206 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3214 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3222 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3231 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742)))) (-3239 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(-10 -7 (-15 -3239 ((-1036) (-216) (-569) (-569) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3231 ((-1036) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3222 ((-1036) (-216) (-569) (-569) (-216) (-1145) (-216) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3214 ((-1036) (-216) (-569) (-569) (-1145) (-569) (-216) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3206 ((-1036) (-680 (-216)) (-680 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3197 ((-1036) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3186 ((-1036) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3181 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
-((-3283 (((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)) 45)) (-3289 (((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) 41)) (-3300 (((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 23))) 
-(((-743) (-10 -7 (-15 -3300 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3289 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -3283 ((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569))))) (T -743)) 
-((-3283 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-743)))) (-3289 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1036)) (-5 *1 (-743)))) (-3300 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
-(-10 -7 (-15 -3300 ((-1036) (-569) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3289 ((-1036) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1145) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -3283 ((-1036) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)))) 
-((-1290 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569)) 35)) (-4304 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569)) 34)) (-2532 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569)) 33)) (-4309 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 29)) (-4315 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-4320 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569)) 27)) (-4326 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569)) 23)) (-4333 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569)) 22)) (-4339 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 21)) (-4345 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 20))) 
-(((-744) (-10 -7 (-15 -4345 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4339 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4333 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4326 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4320 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4315 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4309 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2532 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4304 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -1290 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569))))) (T -744)) 
-((-1290 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4304 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-2532 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4309 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4315 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4320 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4326 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4333 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4339 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744)))) (-4345 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(-10 -7 (-15 -4345 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4339 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4333 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4326 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -4320 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4315 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4309 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2532 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-680 (-216)) (-216) (-216) (-569))) (-15 -4304 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -1290 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-680 (-216)) (-216) (-216) (-569)))) 
-((-4352 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 45)) (-4359 (((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569)) 44)) (-3045 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)) 43)) (-3054 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 42)) (-3059 (((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569)) 41)) (-3063 (((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569)) 40)) (-3066 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569)) 39)) (-3072 (((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569))) 38)) (-3079 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569)) 35)) (-2828 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569)) 34)) (-2833 (((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569)) 33)) (-2840 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 32)) (-2845 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569)) 31)) (-2851 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569)) 30)) (-3248 (((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-3717 (((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569)) 28)) (-4260 (((-1036) (-569) (-680 (-216)) (-216) (-569)) 24)) (-4279 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 20))) 
-(((-745) (-10 -7 (-15 -4279 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4260 ((-1036) (-569) (-680 (-216)) (-216) (-569))) (-15 -3717 ((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569))) (-15 -3248 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2851 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -2845 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569))) (-15 -2840 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2833 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569))) (-15 -2828 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569))) (-15 -3079 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3072 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)))) (-15 -3066 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569))) (-15 -3063 ((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3059 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3054 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3045 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4359 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4352 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))))) (T -745)) 
-((-4352 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4359 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3045 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3054 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3059 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3063 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3066 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3072 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3079 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2828 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2833 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2840 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2845 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-2851 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3248 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-3717 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4260 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745)))) (-4279 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(-10 -7 (-15 -4279 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4260 ((-1036) (-569) (-680 (-216)) (-216) (-569))) (-15 -3717 ((-1036) (-569) (-569) (-569) (-216) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-569)) (-569) (-569) (-569))) (-15 -3248 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2851 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -2845 ((-1036) (-569) (-216) (-216) (-680 (-216)) (-569) (-569) (-216) (-569))) (-15 -2840 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2833 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569))) (-15 -2828 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569))) (-15 -3079 ((-1036) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3072 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)))) (-15 -3066 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569) (-569) (-569) (-216) (-680 (-216)) (-569))) (-15 -3063 ((-1036) (-1145) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3059 ((-1036) (-1145) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3054 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3045 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569))) (-15 -4359 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-569))) (-15 -4352 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569) (-680 (-216)) (-680 (-216)) (-569) (-569) (-569)))) 
-((-2857 (((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569)) 63)) (-2862 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 62)) (-2867 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) 58)) (-2872 (((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569)) 51)) (-2879 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) 50)) (-2885 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) 46)) (-2891 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) 42)) (-2897 (((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 38))) 
-(((-746) (-10 -7 (-15 -2897 ((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2891 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -2885 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -2879 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -2872 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569))) (-15 -2867 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -2862 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569))))) (T -746)) 
-((-2857 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2862 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2867 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-121)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2872 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2879 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2885 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2891 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1036)) (-5 *1 (-746)))) (-2897 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(-10 -7 (-15 -2897 ((-1036) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2891 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -2885 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -2879 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -2872 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-569) (-569) (-680 (-216)) (-569))) (-15 -2867 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-121) (-121) (-121) (-569) (-569) (-680 (-216)) (-680 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -2862 ((-1036) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -2857 ((-1036) (-569) (-569) (-569) (-216) (-680 (-216)) (-569) (-680 (-216)) (-569)))) 
-((-2903 (((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)) 46)) (-2907 (((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569)) 45)) (-2911 (((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569)) 44)) (-2915 (((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 40)) (-2919 (((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569)) 39)) (-2923 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-569)) 36)) (-2927 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569)) 35)) (-2932 (((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569)) 34)) (-2936 (((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569)) 33)) (-2940 (((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569)) 32))) 
-(((-747) (-10 -7 (-15 -2940 ((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569))) (-15 -2936 ((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569))) (-15 -2932 ((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569))) (-15 -2927 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569))) (-15 -2923 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2919 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569))) (-15 -2915 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2911 ((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2907 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2903 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569))))) (T -747)) 
-((-2903 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2907 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2911 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2915 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2919 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2923 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2927 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2932 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2936 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-680 (-569))) (-5 *5 (-121)) (-5 *7 (-680 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-747)))) (-2940 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-680 (-216))) (-5 *8 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(-10 -7 (-15 -2940 ((-1036) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-569))) (-15 -2936 ((-1036) (-569) (-569) (-569) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-680 (-569)) (-121) (-216) (-121) (-680 (-569)) (-680 (-216)) (-569))) (-15 -2932 ((-1036) (-569) (-569) (-569) (-569) (-635 (-121)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-216) (-216) (-569))) (-15 -2927 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569))) (-15 -2923 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2919 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)) (-569))) (-15 -2915 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2911 ((-1036) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2907 ((-1036) (-1145) (-1145) (-569) (-569) (-680 (-170 (-216))) (-569) (-680 (-170 (-216))) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2903 ((-1036) (-1145) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)))) 
-((-2621 (((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)) 64)) (-2627 (((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569)) 60)) (-2632 (((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391)) 56) (((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) 55)) (-2637 (((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569)) 37)) (-2643 (((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569)) 33)) (-2648 (((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-2653 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 28)) (-2655 (((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 27)) (-2664 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 26)) (-2670 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569)) 25)) (-2679 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 24)) (-2684 (((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 23)) (-2689 (((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569)) 22)) (-2693 (((-1036) (-680 (-216)) (-569) (-569) (-569) (-569)) 21)) (-2698 (((-1036) (-569) (-569) (-680 (-216)) (-569)) 20))) 
-(((-748) (-10 -7 (-15 -2698 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2693 ((-1036) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -2689 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2684 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2679 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2670 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2664 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2655 ((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2653 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2648 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2643 ((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569))) (-15 -2637 ((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2627 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2621 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569))))) (T -748)) 
-((-2621 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2627 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2632 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2632 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2637 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2643 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2648 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2653 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2655 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2664 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2670 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2679 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2684 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2689 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2693 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748)))) (-2698 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(-10 -7 (-15 -2698 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2693 ((-1036) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -2689 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2684 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2679 ((-1036) (-569) (-569) (-680 (-216)) (-569))) (-15 -2670 ((-1036) (-569) (-569) (-569) (-569) (-680 (-216)) (-569))) (-15 -2664 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2655 ((-1036) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2653 ((-1036) (-569) (-569) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2648 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2643 ((-1036) (-569) (-569) (-216) (-216) (-569) (-569) (-680 (-216)) (-569))) (-15 -2637 ((-1036) (-569) (-569) (-569) (-216) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2632 ((-1036) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2627 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -2621 ((-1036) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-680 (-170 (-216))) (-680 (-170 (-216))) (-569)))) 
-((-3874 (((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) 60)) (-3881 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569)) 56)) (-3887 (((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) 55)) (-3894 (((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569)) 36)) (-3901 (((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569)) 35)) (-3906 (((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569)) 31)) (-2467 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216))) 30)) (-2476 (((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569)) 26)) (-2485 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569)) 25)) (-2501 (((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569)) 24)) (-2518 (((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569)) 20))) 
-(((-749) (-10 -7 (-15 -2518 ((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2501 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2485 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2476 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569))) (-15 -2467 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)))) (-15 -3906 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3901 ((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3894 ((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3887 ((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -3881 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -3874 ((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD))))))) (T -749)) 
-((-3874 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3881 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3887 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3894 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3901 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-3906 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2467 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2476 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2485 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2501 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749)))) (-2518 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(-10 -7 (-15 -2518 ((-1036) (-569) (-680 (-170 (-216))) (-569) (-569) (-569) (-569) (-680 (-170 (-216))) (-569))) (-15 -2501 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2485 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-569))) (-15 -2476 ((-1036) (-680 (-216)) (-569) (-680 (-216)) (-569) (-569) (-569))) (-15 -2467 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-569)) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)))) (-15 -3906 ((-1036) (-569) (-569) (-680 (-216)) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3901 ((-1036) (-569) (-569) (-569) (-216) (-569) (-680 (-216)) (-680 (-216)) (-569))) (-15 -3894 ((-1036) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-569)) (-680 (-216)) (-680 (-569)) (-680 (-569)) (-680 (-216)) (-680 (-216)) (-680 (-569)) (-569))) (-15 -3887 ((-1036) (-569) (-680 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -3881 ((-1036) (-569) (-680 (-216)) (-569) (-680 (-216)) (-680 (-569)) (-569) (-680 (-216)) (-569) (-569) (-569) (-569))) (-15 -3874 ((-1036) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-680 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))))) 
-((-2574 (((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216))) 28)) (-2580 (((-1036) (-1145) (-569) (-569) (-680 (-216))) 27)) (-2586 (((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216))) 26)) (-2593 (((-1036) (-569) (-569) (-569) (-680 (-216))) 20))) 
-(((-750) (-10 -7 (-15 -2593 ((-1036) (-569) (-569) (-569) (-680 (-216)))) (-15 -2586 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216)))) (-15 -2580 ((-1036) (-1145) (-569) (-569) (-680 (-216)))) (-15 -2574 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216)))))) (T -750)) 
-((-2574 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2580 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2586 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-750)))) (-2593 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
-(-10 -7 (-15 -2593 ((-1036) (-569) (-569) (-569) (-680 (-216)))) (-15 -2586 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-680 (-569)) (-569) (-680 (-216)))) (-15 -2580 ((-1036) (-1145) (-569) (-569) (-680 (-216)))) (-15 -2574 ((-1036) (-1145) (-569) (-569) (-680 (-216)) (-569) (-569) (-680 (-216))))) 
-((-3674 (((-1036) (-216) (-216) (-216) (-216) (-569)) 62)) (-3684 (((-1036) (-216) (-216) (-216) (-569)) 61)) (-3692 (((-1036) (-216) (-216) (-216) (-569)) 60)) (-3700 (((-1036) (-216) (-216) (-569)) 59)) (-3708 (((-1036) (-216) (-569)) 58)) (-3723 (((-1036) (-216) (-569)) 57)) (-3739 (((-1036) (-216) (-569)) 56)) (-3760 (((-1036) (-216) (-569)) 55)) (-3794 (((-1036) (-216) (-569)) 54)) (-3812 (((-1036) (-216) (-569)) 53)) (-3830 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 52)) (-3838 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 51)) (-3845 (((-1036) (-216) (-569)) 50)) (-3855 (((-1036) (-216) (-569)) 49)) (-3862 (((-1036) (-216) (-569)) 48)) (-3869 (((-1036) (-216) (-569)) 47)) (-2604 (((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569)) 46)) (-2610 (((-1036) (-1145) (-170 (-216)) (-1145) (-569)) 45)) (-2616 (((-1036) (-1145) (-170 (-216)) (-1145) (-569)) 44)) (-3512 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 43)) (-3520 (((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569)) 42)) (-3531 (((-1036) (-216) (-569)) 39)) (-3540 (((-1036) (-216) (-569)) 38)) (-3547 (((-1036) (-216) (-569)) 37)) (-3556 (((-1036) (-216) (-569)) 36)) (-3564 (((-1036) (-216) (-569)) 35)) (-3574 (((-1036) (-216) (-569)) 34)) (-3583 (((-1036) (-216) (-569)) 33)) (-3591 (((-1036) (-216) (-569)) 32)) (-3599 (((-1036) (-216) (-569)) 31)) (-3608 (((-1036) (-216) (-569)) 30)) (-3616 (((-1036) (-216) (-216) (-216) (-569)) 29)) (-3626 (((-1036) (-216) (-569)) 28)) (-3635 (((-1036) (-216) (-569)) 27)) (-3643 (((-1036) (-216) (-569)) 26)) (-3649 (((-1036) (-216) (-569)) 25)) (-3657 (((-1036) (-216) (-569)) 24)) (-3667 (((-1036) (-170 (-216)) (-569)) 20))) 
-(((-751) (-10 -7 (-15 -3667 ((-1036) (-170 (-216)) (-569))) (-15 -3657 ((-1036) (-216) (-569))) (-15 -3649 ((-1036) (-216) (-569))) (-15 -3643 ((-1036) (-216) (-569))) (-15 -3635 ((-1036) (-216) (-569))) (-15 -3626 ((-1036) (-216) (-569))) (-15 -3616 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3608 ((-1036) (-216) (-569))) (-15 -3599 ((-1036) (-216) (-569))) (-15 -3591 ((-1036) (-216) (-569))) (-15 -3583 ((-1036) (-216) (-569))) (-15 -3574 ((-1036) (-216) (-569))) (-15 -3564 ((-1036) (-216) (-569))) (-15 -3556 ((-1036) (-216) (-569))) (-15 -3547 ((-1036) (-216) (-569))) (-15 -3540 ((-1036) (-216) (-569))) (-15 -3531 ((-1036) (-216) (-569))) (-15 -3520 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3512 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -2616 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2610 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2604 ((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3869 ((-1036) (-216) (-569))) (-15 -3862 ((-1036) (-216) (-569))) (-15 -3855 ((-1036) (-216) (-569))) (-15 -3845 ((-1036) (-216) (-569))) (-15 -3838 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3830 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3812 ((-1036) (-216) (-569))) (-15 -3794 ((-1036) (-216) (-569))) (-15 -3760 ((-1036) (-216) (-569))) (-15 -3739 ((-1036) (-216) (-569))) (-15 -3723 ((-1036) (-216) (-569))) (-15 -3708 ((-1036) (-216) (-569))) (-15 -3700 ((-1036) (-216) (-216) (-569))) (-15 -3692 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3684 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3674 ((-1036) (-216) (-216) (-216) (-216) (-569))))) (T -751)) 
-((-3674 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3684 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3692 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3700 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3708 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3723 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3739 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3760 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3794 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3812 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3830 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3838 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3845 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3855 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3862 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3869 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2604 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1145)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2610 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-2616 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3512 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3520 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3531 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3540 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3547 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3556 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3564 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3574 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3583 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3591 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3599 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3608 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3616 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3626 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3635 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3643 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3649 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3657 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751)))) (-3667 (*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(-10 -7 (-15 -3667 ((-1036) (-170 (-216)) (-569))) (-15 -3657 ((-1036) (-216) (-569))) (-15 -3649 ((-1036) (-216) (-569))) (-15 -3643 ((-1036) (-216) (-569))) (-15 -3635 ((-1036) (-216) (-569))) (-15 -3626 ((-1036) (-216) (-569))) (-15 -3616 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3608 ((-1036) (-216) (-569))) (-15 -3599 ((-1036) (-216) (-569))) (-15 -3591 ((-1036) (-216) (-569))) (-15 -3583 ((-1036) (-216) (-569))) (-15 -3574 ((-1036) (-216) (-569))) (-15 -3564 ((-1036) (-216) (-569))) (-15 -3556 ((-1036) (-216) (-569))) (-15 -3547 ((-1036) (-216) (-569))) (-15 -3540 ((-1036) (-216) (-569))) (-15 -3531 ((-1036) (-216) (-569))) (-15 -3520 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3512 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -2616 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2610 ((-1036) (-1145) (-170 (-216)) (-1145) (-569))) (-15 -2604 ((-1036) (-569) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3869 ((-1036) (-216) (-569))) (-15 -3862 ((-1036) (-216) (-569))) (-15 -3855 ((-1036) (-216) (-569))) (-15 -3845 ((-1036) (-216) (-569))) (-15 -3838 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3830 ((-1036) (-216) (-170 (-216)) (-569) (-1145) (-569))) (-15 -3812 ((-1036) (-216) (-569))) (-15 -3794 ((-1036) (-216) (-569))) (-15 -3760 ((-1036) (-216) (-569))) (-15 -3739 ((-1036) (-216) (-569))) (-15 -3723 ((-1036) (-216) (-569))) (-15 -3708 ((-1036) (-216) (-569))) (-15 -3700 ((-1036) (-216) (-216) (-569))) (-15 -3692 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3684 ((-1036) (-216) (-216) (-216) (-569))) (-15 -3674 ((-1036) (-216) (-216) (-216) (-216) (-569)))) 
-((-1635 (((-1252)) 18)) (-2407 (((-1145)) 22)) (-1754 (((-1145)) 21)) (-1604 (((-1095) (-1163) (-680 (-569))) 35) (((-1095) (-1163) (-680 (-216))) 31)) (-4192 (((-121)) 16)) (-4128 (((-1145) (-1145)) 25))) 
-(((-752) (-10 -7 (-15 -1754 ((-1145))) (-15 -2407 ((-1145))) (-15 -4128 ((-1145) (-1145))) (-15 -1604 ((-1095) (-1163) (-680 (-216)))) (-15 -1604 ((-1095) (-1163) (-680 (-569)))) (-15 -4192 ((-121))) (-15 -1635 ((-1252))))) (T -752)) 
-((-1635 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-752)))) (-4192 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-752)))) (-1604 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-569))) (-5 *2 (-1095)) (-5 *1 (-752)))) (-1604 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-216))) (-5 *2 (-1095)) (-5 *1 (-752)))) (-4128 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752)))) (-2407 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752)))) (-1754 (*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
-(-10 -7 (-15 -1754 ((-1145))) (-15 -2407 ((-1145))) (-15 -4128 ((-1145) (-1145))) (-15 -1604 ((-1095) (-1163) (-680 (-216)))) (-15 -1604 ((-1095) (-1163) (-680 (-569)))) (-15 -4192 ((-121))) (-15 -1635 ((-1252)))) 
-((-4293 (($ $ $) 10)) (-1383 (($ $ $ $) 9)) (-4033 (($ $ $) 12))) 
-(((-753 |#1|) (-10 -8 (-15 -4033 (|#1| |#1| |#1|)) (-15 -4293 (|#1| |#1| |#1|)) (-15 -1383 (|#1| |#1| |#1| |#1|))) (-754)) (T -753)) 
-NIL 
-(-10 -8 (-15 -4033 (|#1| |#1| |#1|)) (-15 -4293 (|#1| |#1| |#1|)) (-15 -1383 (|#1| |#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1628 (($ $ (-918)) 27)) (-3272 (($ $ (-918)) 28)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
-(((-754) (-1278)) (T -754)) 
-((-1383 (*1 *1 *1 *1 *1) (-4 *1 (-754))) (-4293 (*1 *1 *1 *1) (-4 *1 (-754))) (-4033 (*1 *1 *1 *1) (-4 *1 (-754)))) 
-(-13 (-21) (-711) (-10 -8 (-15 -1383 ($ $ $ $)) (-15 -4293 ($ $ $)) (-15 -4033 ($ $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-711) . T) ((-1091) . T)) 
-((-2185 (((-851) $) NIL) (($ (-569)) 10))) 
-(((-755 |#1|) (-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-756)) (T -755)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1620 (((-3 $ "failed") $) 39)) (-1628 (($ $ (-918)) 27) (($ $ (-764)) 34)) (-3428 (((-3 $ "failed") $) 37)) (-1407 (((-121) $) 33)) (-4439 (((-3 $ "failed") $) 38)) (-3272 (($ $ (-918)) 28) (($ $ (-764)) 35)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4293 (($ $ $) 24)) (-2185 (((-851) $) 11) (($ (-569)) 30)) (-1991 (((-764)) 31)) (-1383 (($ $ $ $) 25)) (-4033 (($ $ $) 23)) (-3369 (($) 17 T CONST)) (-1556 (($) 32 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 29) (($ $ (-764)) 36)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
-(((-756) (-1278)) (T -756)) 
-((-1991 (*1 *2) (-12 (-4 *1 (-756)) (-5 *2 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-756))))) 
-(-13 (-754) (-713) (-10 -8 (-15 -1991 ((-764))) (-15 -2185 ($ (-569))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-711) . T) ((-713) . T) ((-754) . T) ((-1091) . T)) 
-((-1345 (((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|) 27)) (-1613 (((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|) 19)) (-2742 (((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163)) 16) (((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569))))) 15))) 
-(((-757 |#1|) (-10 -7 (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))))) (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163))) (-15 -1613 ((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|)) (-15 -1345 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|))) (-13 (-366) (-841))) (T -757)) 
-((-1345 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 *4))))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) (-1613 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *4 (-1163)) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *5)) (-4 *5 (-13 (-366) (-841))))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))))) (-15 -2742 ((-954 (-170 (-410 (-569)))) (-680 (-170 (-410 (-569)))) (-1163))) (-15 -1613 ((-635 (-170 |#1|)) (-680 (-170 (-410 (-569)))) |#1|)) (-15 -1345 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 |#1|)))))) (-680 (-170 (-410 (-569)))) |#1|))) 
-((-1303 (((-174 (-569)) |#1|) 25))) 
-(((-758 |#1|) (-10 -7 (-15 -1303 ((-174 (-569)) |#1|))) (-407)) (T -758)) 
-((-1303 (*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-758 *3)) (-4 *3 (-407))))) 
-(-10 -7 (-15 -1303 ((-174 (-569)) |#1|))) 
-((-1811 ((|#1| |#1| |#1|) 24)) (-4040 ((|#1| |#1| |#1|) 23)) (-3029 ((|#1| |#1| |#1|) 31)) (-3402 ((|#1| |#1| |#1|) 27)) (-3551 (((-3 |#1| "failed") |#1| |#1|) 26)) (-4286 (((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|) 22))) 
-(((-759 |#1| |#2|) (-10 -7 (-15 -4286 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3029 (|#1| |#1| |#1|))) (-699 |#2|) (-366)) (T -759)) 
-((-3029 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-3402 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-3551 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-1811 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-4040 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) (-4286 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-759 *3 *4)) (-4 *3 (-699 *4))))) 
-(-10 -7 (-15 -4286 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3029 (|#1| |#1| |#1|))) 
-((-2331 (((-1159 |#1|) (-635 |#1|)) 25))) 
-(((-760 |#1|) (-10 -7 (-15 -2331 ((-1159 |#1|) (-635 |#1|)))) (-559)) (T -760)) 
-((-2331 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1159 *4)) (-5 *1 (-760 *4))))) 
-(-10 -7 (-15 -2331 ((-1159 |#1|) (-635 |#1|)))) 
-((-1627 (((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)) 58)) (-3577 (((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) 56)) (-2087 (((-569)) 68))) 
-(((-761 |#1| |#2|) (-10 -7 (-15 -2087 ((-569))) (-15 -3577 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))))) (-15 -1627 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)))) (-1222 (-569)) (-412 (-569) |#1|)) (T -761)) 
-((-1627 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-761 *4 *5)) (-4 *5 (-412 *3 *4)))) (-3577 (*1 *2) (-12 (-4 *3 (-1222 (-569))) (-5 *2 (-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 (-569) *3)))) (-2087 (*1 *2) (-12 (-4 *3 (-1222 *2)) (-5 *2 (-569)) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 *2 *3))))) 
-(-10 -7 (-15 -2087 ((-569))) (-15 -3577 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))))) (-15 -1627 ((-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569)))) (-569)))) 
-((-2568 (((-121) $ $) NIL)) (-2428 (((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 14) (($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 12)) (-1668 (((-121) $ $) NIL))) 
-(((-762) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $))))) (T -762)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $)))) 
-((-1311 (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))) 14) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163))) 13)) (-4435 (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))) 16) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163))) 15))) 
-(((-763 |#1|) (-10 -7 (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))))) (-559)) (T -763)) 
-((-4435 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) (-1311 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) (-1311 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5))))) 
-(-10 -7 (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -1311 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-954 |#1|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1498 (($ $ $) 6)) (-2327 (((-3 $ "failed") $ $) 9)) (-3036 (($ $ (-569)) 7)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2714 (($ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-764) $) NIL) (($ (-918) $) NIL) (($ $ $) NIL))) 
-(((-764) (-13 (-789) (-717) (-10 -8 (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2714 ($ $ $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2941 ((-3 $ "failed") $ $)) (-15 -3036 ($ $ (-569))) (-15 -4327 ($ $)) (-6 (-4537 "*"))))) (T -764)) 
-((-2524 (*1 *1 *1 *1) (-5 *1 (-764))) (-2506 (*1 *1 *1 *1) (-5 *1 (-764))) (-2714 (*1 *1 *1 *1) (-5 *1 (-764))) (-2609 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 (-764)) (|:| -1830 (-764)))) (-5 *1 (-764)))) (-2941 (*1 *1 *1 *1) (|partial| -5 *1 (-764))) (-3036 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-764)))) (-4327 (*1 *1 *1) (-5 *1 (-764)))) 
-(-13 (-789) (-717) (-10 -8 (-15 -2524 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2714 ($ $ $)) (-15 -2609 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2941 ((-3 $ "failed") $ $)) (-15 -3036 ($ $ (-569))) (-15 -4327 ($ $)) (-6 (-4537 "*")))) 
-((-4435 (((-3 |#2| "failed") |#2| |#2| (-123) (-1163)) 35))) 
-(((-765 |#1| |#2|) (-10 -7 (-15 -4435 ((-3 |#2| "failed") |#2| |#2| (-123) (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -765)) 
-((-4435 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-765 *5 *2)) (-4 *2 (-13 (-29 *5) (-1183) (-960)))))) 
-(-10 -7 (-15 -4435 ((-3 |#2| "failed") |#2| |#2| (-123) (-1163)))) 
-((-2185 (((-767) |#1|) 8))) 
-(((-766 |#1|) (-10 -7 (-15 -2185 ((-767) |#1|))) (-1197)) (T -766)) 
-((-2185 (*1 *2 *3) (-12 (-5 *2 (-767)) (-5 *1 (-766 *3)) (-4 *3 (-1197))))) 
-(-10 -7 (-15 -2185 ((-767) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 7)) (-1668 (((-121) $ $) 9))) 
-(((-767) (-1091)) (T -767)) 
-NIL 
-(-1091) 
-((-4308 ((|#2| |#4|) 35))) 
-(((-768 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4308 (|#2| |#4|))) (-454) (-1222 |#1|) (-715 |#1| |#2|) (-1222 |#3|)) (T -768)) 
-((-4308 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-715 *4 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-768 *4 *2 *5 *3)) (-4 *3 (-1222 *5))))) 
-(-10 -7 (-15 -4308 (|#2| |#4|))) 
-((-3428 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-3229 (((-1252) (-1145) (-1145) |#4| |#5|) 33)) (-1993 ((|#4| |#4| |#5|) 72)) (-2521 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 76)) (-4059 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 15))) 
-(((-769 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3428 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1993 (|#4| |#4| |#5|)) (-15 -2521 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3229 ((-1252) (-1145) (-1145) |#4| |#5|)) (-15 -4059 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -769)) 
-((-4059 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3229 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1145)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *4 (-1062 *6 *7 *8)) (-5 *2 (-1252)) (-5 *1 (-769 *6 *7 *8 *4 *5)) (-4 *5 (-1067 *6 *7 *8 *4)))) (-2521 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-1993 (*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *2 (-1062 *4 *5 *6)) (-5 *1 (-769 *4 *5 *6 *2 *3)) (-4 *3 (-1067 *4 *5 *6 *2)))) (-3428 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(-10 -7 (-15 -3428 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -1993 (|#4| |#4| |#5|)) (-15 -2521 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3229 ((-1252) (-1145) (-1145) |#4| |#5|)) (-15 -4059 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|))) 
-((-1647 (((-3 (-1159 (-1159 |#1|)) "failed") |#4|) 43)) (-4008 (((-635 |#4|) |#4|) 15)) (-1907 ((|#4| |#4|) 11))) 
-(((-770 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4008 ((-635 |#4|) |#4|)) (-15 -1647 ((-3 (-1159 (-1159 |#1|)) "failed") |#4|)) (-15 -1907 (|#4| |#4|))) (-351) (-328 |#1|) (-1222 |#2|) (-1222 |#3|) (-918)) (T -770)) 
-((-1907 (*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1222 *4)) (-5 *1 (-770 *3 *4 *5 *2 *6)) (-4 *2 (-1222 *5)) (-14 *6 (-918)))) (-1647 (*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918)))) (-4008 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-635 *3)) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918))))) 
-(-10 -7 (-15 -4008 ((-635 |#4|) |#4|)) (-15 -1647 ((-3 (-1159 (-1159 |#1|)) "failed") |#4|)) (-15 -1907 (|#4| |#4|))) 
-((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2428 (($ (-1204 |#1|)) 21)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 26)) (-3360 (((-1109) $) NIL)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 18 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 24))) 
-(((-771 |#1|) (-13 (-479) (-10 -8 (-15 -2428 ($ (-1204 |#1|))))) (-351)) (T -771)) 
-((-2428 (*1 *1 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-351)) (-5 *1 (-771 *3))))) 
-(-13 (-479) (-10 -8 (-15 -2428 ($ (-1204 |#1|))))) 
-((-4361 (((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|)) 51)) (-1916 (((-635 (-764)) |#1|) 12))) 
-(((-772 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4361 ((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -1916 ((-635 (-764)) |#1|))) (-1222 |#4|) (-789) (-843) (-302) (-951 |#4| |#2| |#3|)) (T -772)) 
-((-1916 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-772 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *6)) (-4 *7 (-951 *6 *4 *5)))) (-4361 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1222 *9)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-302)) (-4 *10 (-951 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1159 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-772 *6 *7 *8 *9 *10)) (-5 *3 (-1159 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
-(-10 -7 (-15 -4361 ((-2 (|:| |deter| (-635 (-1159 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1159 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -1916 ((-635 (-764)) |#1|))) 
-((-3790 (((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)) 18) (((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-3844 (((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-1898 (((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|))) 24)) (-2646 (((-764) (-635 (-635 |#2|))) 27))) 
-(((-773 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3844 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2646 ((-764) (-635 (-635 |#2|)))) (-15 -1898 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) (-1048) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764)) (T -773)) 
-((-3790 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *5 *6 *7)))) (-3790 (*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1898 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-773 *4 *3 *5 *6)))) (-2646 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1048)) (-5 *2 (-764)) (-5 *1 (-773 *4 *5 *6 *7)))) (-3844 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1048)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-773 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
-(-10 -7 (-15 -3844 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2646 ((-764) (-635 (-635 |#2|)))) (-15 -1898 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -3790 ((-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) 
-((-2613 (((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|) 27)) (-3102 (((-635 |#1|) (-680 (-410 (-569))) |#1|) 19)) (-2742 (((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163)) 16) (((-954 (-410 (-569))) (-680 (-410 (-569)))) 15))) 
-(((-774 |#1|) (-10 -7 (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))))) (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163))) (-15 -3102 ((-635 |#1|) (-680 (-410 (-569))) |#1|)) (-15 -2613 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|))) (-13 (-366) (-841))) (T -774)) 
-((-2613 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *4)))))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) (-3102 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) (-2742 (*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *4 (-1163)) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *5)) (-4 *5 (-13 (-366) (-841))))) (-2742 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(-10 -7 (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))))) (-15 -2742 ((-954 (-410 (-569))) (-680 (-410 (-569))) (-1163))) (-15 -3102 ((-635 |#1|) (-680 (-410 (-569))) |#1|)) (-15 -2613 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 |#1|))))) (-680 (-410 (-569))) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 10)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-2247 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3136 (($ $ (-569) (-569)) NIL) (($ $ (-569)) NIL)) (-4360 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-4459 (($ $) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3138 (($ $ (-569)) NIL (|has| $ (-6 -4536)))) (-3934 (((-121) $ $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-3036 (($ $ (-569)) 36)) (-3891 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1868 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3159 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-4469 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-1213 (-569)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (($ $ "rest" $) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-3343 (($ (-569) |#1| $) 41)) (-1962 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1669 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1364 (($ $ $) 51)) (-2820 (($) NIL T CONST)) (-3913 (($ $) 21)) (-2046 (($ $ (-764)) NIL) (($ $) 14)) (-1783 (($ (-569) $) 78) (($ $) 31)) (-3338 (($ $) 35)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-4347 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2506 (($ $ $) NIL)) (-4020 (($ $) NIL)) (-1774 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3428 (((-3 $ "failed") $) 38)) (-2524 (($ $ $) NIL)) (-2726 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-1618 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL)) (-3987 (((-121) (-121)) 30) (((-121)) 29)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-3108 (((-121) $) NIL)) (-1372 (($ $) 22)) (-2777 (((-121) $) NIL)) (-3470 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3610 (((-3 (-569) "failed") $) 16)) (-2558 (((-569) $ (-569)) NIL) (((-569) $) 19) (((-569) $) 19)) (-1407 (((-121) $) NIL)) (-2534 (((-764) $) NIL)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (-2659 (($ (-764) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL)) (-3089 (($ $ (-918)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3523 (((-121) $) NIL)) (-4476 (($ (-635 $) (-635 (-764)) (-569)) 85)) (-1763 (($ $ (-635 (-1076)) (-635 (-569))) NIL) (($ $ (-1076) (-569)) NIL) (($ |#1| (-569)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-4259 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3486 (((-121) $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1572 (($ $) NIL)) (-2796 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (($ $ (-764)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1795 (($ $) 39)) (-3614 (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1867 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 12)) (-4353 (($ $ (-764)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-2562 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) 24)) (-4431 ((|#1| $ (-569)) 25)) (-2502 (((-3 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3669 (($ $ (-569)) 89)) (-3174 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2695 (((-121) $) NIL)) (-2134 (((-121) $) NIL)) (-1642 (((-121) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (($ $ (-635 (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2622 (((-764) $) NIL)) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091))))) (-2691 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1601 (((-121) $) 23)) (-1296 (($) 94)) (-1534 (($ $ $) NIL (|has| (-569) (-1103))) ((|#1| $ (-569)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value") NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1686 (((-569) $ $) NIL)) (-3899 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2906 (($ (-1 $)) 34)) (-2492 (((-569) $) NIL)) (-1472 (((-121) $) NIL)) (-2645 (($ $) NIL)) (-2780 (($ $) NIL (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (((-764) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 95)) (-2697 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4536))) (($ $ $) NIL (|has| $ (-6 -4536)))) (-2250 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) 65) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 27) (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 26)) (-1653 ((|#1| $ (-569)) NIL)) (-3095 ((|#1| $) 86)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1091)))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2066 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 74 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 47) (($ $ $) 43)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) 79) (($ $ (-569)) 52)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-775 |#1|) (-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -2562 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) (-366)) (T -775)) 
-((-2562 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-775 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
-(-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -2562 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 34)) (-1773 (((-635 |#2|) $) NIL)) (-1739 (((-1159 $) $ |#2|) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#2|)) NIL)) (-4459 (($ $) 28)) (-4482 (((-121) $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) 92 (|has| |#1| (-559)))) (-3106 (((-635 $) $ $) 105 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (((-3 $ "failed") (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (((-3 $ "failed") (-954 |#1|)) NIL (-2232 (-12 (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-994 (-569))))))) (((-3 (-1114 |#1| |#2|) "failed") $) 18)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#2| $) NIL) (($ (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (($ (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (($ (-954 |#1|)) NIL (-2232 (-12 (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-994 (-569))))))) (((-1114 |#1| |#2|) $) NIL)) (-3493 (($ $ $ |#2|) NIL (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-559)))) (-4020 (($ $) NIL) (($ $ |#2|) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3255 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1381 (((-121) $) NIL)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 69)) (-2958 (($ $) 118 (|has| |#1| (-454)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-4433 (($ $) NIL (|has| |#1| (-559)))) (-1985 (($ $) NIL (|has| |#1| (-559)))) (-1816 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-2949 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-1667 (($ $ |#1| (-535 |#2|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3977 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2465 (($ $ $ $ $) 89 (|has| |#1| (-559)))) (-4357 ((|#2| $) 19)) (-1768 (($ (-1159 |#1|) |#2|) NIL) (($ (-1159 $) |#2|) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-764)) 36) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1634 (($ $ $) 60)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-2235 (((-121) $) NIL)) (-4002 (((-535 |#2|) $) NIL) (((-764) $ |#2|) NIL) (((-635 (-764)) $ (-635 |#2|)) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-2592 (((-764) $) 20)) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1637 (((-3 |#2| "failed") $) NIL)) (-3249 (($ $) NIL (|has| |#1| (-454)))) (-4356 (($ $) NIL (|has| |#1| (-454)))) (-2539 (((-635 $) $) NIL)) (-1528 (($ $) 37)) (-3193 (($ $) NIL (|has| |#1| (-454)))) (-3548 (((-635 $) $) 41)) (-4270 (($ $) 39)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL) (($ $ |#2|) 45)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 81)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 66) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) NIL) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#2|) NIL)) (-1432 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-2470 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-2776 (((-1145) $) NIL)) (-3988 (($ $ $) 107 (|has| |#1| (-559)))) (-1955 (((-635 $) $) 30)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-764))) "failed") $) NIL)) (-3409 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3005 (($ $ $) NIL)) (-4043 (($ $) 21)) (-2673 (((-121) $ $) NIL)) (-4310 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2533 (($ $ $) NIL)) (-3975 (($ $) 23)) (-3360 (((-1109) $) NIL)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-559)))) (-1798 (((-121) $) 52)) (-1801 ((|#1| $) 55)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 ((|#1| |#1| $) 115 (|has| |#1| (-454))) (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2111 (($ $ |#1|) 111 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4501 (($ $ |#1|) 110 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-635 |#2|) (-635 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-635 |#2|) (-635 $)) NIL)) (-2087 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) NIL) (((-764) $ |#2|) 43) (((-635 (-764)) $ (-635 |#2|)) NIL)) (-2782 (($ $) NIL)) (-1392 (($ $) 33)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) (($ (-954 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163))))) (($ (-954 (-569))) NIL (-2232 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1163))) (-3864 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1163)))))) (($ (-954 |#1|)) NIL (|has| |#2| (-610 (-1163)))) (((-1145) $) NIL (-12 (|has| |#1| (-1038 (-569))) (|has| |#2| (-610 (-1163))))) (((-954 |#1|) $) NIL (|has| |#2| (-610 (-1163))))) (-3298 ((|#1| $) 114 (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-954 |#1|) $) NIL (|has| |#2| (-610 (-1163)))) (((-1114 |#1| |#2|) $) 15) (($ (-1114 |#1| |#2|)) 16) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 |#2|)) NIL) (($ $ |#2| (-764)) 44) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 13 T CONST)) (-1837 (((-3 (-121) "failed") $ $) NIL)) (-1556 (($) 35 T CONST)) (-1325 (($ $ $ $ (-764)) 87 (|has| |#1| (-559)))) (-4381 (($ $ $ (-764)) 86 (|has| |#1| (-559)))) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 54)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 63)) (-1707 (($ $ $) 73)) (** (($ $ (-918)) NIL) (($ $ (-764)) 61)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 59) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
-(((-776 |#1| |#2|) (-13 (-1062 |#1| (-535 |#2|) |#2|) (-609 (-1114 |#1| |#2|)) (-1038 (-1114 |#1| |#2|))) (-1048) (-843)) (T -776)) 
-NIL 
-(-13 (-1062 |#1| (-535 |#2|) |#2|) (-609 (-1114 |#1| |#2|)) (-1038 (-1114 |#1| |#2|))) 
-((-1544 (((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)) 13))) 
-(((-777 |#1| |#2|) (-10 -7 (-15 -1544 ((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)))) (-1048) (-1048)) (T -777)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-778 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-778 *6)) (-5 *1 (-777 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-778 |#2|) (-1 |#2| |#1|) (-778 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 12)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3330 (((-635 $) $ $) 39 (|has| |#1| (-559)))) (-3306 (($ $ $) 35 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL) (((-3 (-1159 |#1|) "failed") $) 10)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL) (((-1159 |#1|) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) 43 (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) 71 (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) 70 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1634 (($ $ $) 20)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $) 26)) (-4403 (($ $ $) 29)) (-2244 (($ $ $) 32)) (-1586 (((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 31)) (-2776 (((-1145) $) NIL)) (-3988 (($ $ $) 41 (|has| |#1| (-559)))) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-559)))) (-2210 (((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-559)))) (-3407 (((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-559)))) (-1798 (((-121) $) 13)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-3877 (($ $ (-764) |#1| $) 19)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-559)))) (-3507 (((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-559)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1076)) NIL) (((-1159 |#1|) $) 7) (($ (-1159 |#1|)) 8) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 24 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) 28) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
-(((-778 |#1|) (-13 (-1222 |#1|) (-609 (-1159 |#1|)) (-1038 (-1159 |#1|)) (-10 -8 (-15 -3877 ($ $ (-764) |#1| $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $)) (-15 -4403 ($ $ $)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2244 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -3330 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3507 ((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3407 ((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $)) (-15 -2210 ((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1048)) (T -778)) 
-((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-1634 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-2342 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-778 *3)) (|:| |polden| *3) (|:| -3797 (-764)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-4403 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-1586 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4140 *3) (|:| |gap| (-764)) (|:| -4268 (-778 *3)) (|:| -1830 (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) (-2244 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) (-3330 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-778 *3))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3988 (*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-559)) (-4 *2 (-1048)))) (-4442 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-2458 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3019 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3507 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-3407 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) (-2210 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(-13 (-1222 |#1|) (-609 (-1159 |#1|)) (-1038 (-1159 |#1|)) (-10 -8 (-15 -3877 ($ $ (-764) |#1| $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -3797 (-764))) $ $)) (-15 -4403 ($ $ $)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -2244 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -3330 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3507 ((-2 (|:| -3493 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3407 ((-2 (|:| -3493 |#1|) (|:| |coef1| $)) $ $)) (-15 -2210 ((-2 (|:| -3493 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
-((-2484 ((|#1| (-764) |#1|) 32 (|has| |#1| (-43 (-410 (-569)))))) (-2917 ((|#1| (-764) |#1|) 22)) (-2263 ((|#1| (-764) |#1|) 34 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-779 |#1|) (-10 -7 (-15 -2917 (|#1| (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2263 (|#1| (-764) |#1|)) (-15 -2484 (|#1| (-764) |#1|))) |noBranch|)) (-173)) (T -779)) 
-((-2484 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2263 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2917 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-173))))) 
-(-10 -7 (-15 -2917 (|#1| (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2263 (|#1| (-764) |#1|)) (-15 -2484 (|#1| (-764) |#1|))) |noBranch|)) 
-((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-780 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -780)) 
-NIL 
-(-13 (-1067 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
-((-1672 (((-3 (-382) "failed") (-311 |#1|) (-918)) 60 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-382) "failed") (-311 |#1|)) 52 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-382) "failed") (-410 (-954 |#1|)) (-918)) 39 (|has| |#1| (-559))) (((-3 (-382) "failed") (-410 (-954 |#1|))) 35 (|has| |#1| (-559))) (((-3 (-382) "failed") (-954 |#1|) (-918)) 30 (|has| |#1| (-1048))) (((-3 (-382) "failed") (-954 |#1|)) 24 (|has| |#1| (-1048)))) (-3753 (((-382) (-311 |#1|) (-918)) 92 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-382) (-311 |#1|)) 87 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-382) (-410 (-954 |#1|)) (-918)) 84 (|has| |#1| (-559))) (((-382) (-410 (-954 |#1|))) 81 (|has| |#1| (-559))) (((-382) (-954 |#1|) (-918)) 80 (|has| |#1| (-1048))) (((-382) (-954 |#1|)) 77 (|has| |#1| (-1048))) (((-382) |#1| (-918)) 73) (((-382) |#1|) 22)) (-3475 (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)) 68 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|))) 58 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 |#1|) (-918)) 61 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-311 |#1|)) 59 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918)) 44 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|)))) 43 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918)) 38 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-954 |#1|))) 37 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)) 28 (|has| |#1| (-1048))) (((-3 (-170 (-382)) "failed") (-954 |#1|)) 26 (|has| |#1| (-1048))) (((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)) 17 (|has| |#1| (-173))) (((-3 (-170 (-382)) "failed") (-954 (-170 |#1|))) 14 (|has| |#1| (-173)))) (-1730 (((-170 (-382)) (-311 (-170 |#1|)) (-918)) 95 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 (-170 |#1|))) 94 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 |#1|) (-918)) 93 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-311 |#1|)) 91 (-12 (|has| |#1| (-559)) (|has| |#1| (-843)))) (((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918)) 86 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 (-170 |#1|)))) 85 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 |#1|)) (-918)) 83 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-954 |#1|))) 82 (|has| |#1| (-559))) (((-170 (-382)) (-954 |#1|) (-918)) 79 (|has| |#1| (-1048))) (((-170 (-382)) (-954 |#1|)) 78 (|has| |#1| (-1048))) (((-170 (-382)) (-954 (-170 |#1|)) (-918)) 75 (|has| |#1| (-173))) (((-170 (-382)) (-954 (-170 |#1|))) 74 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|) (-918)) 16 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|)) 12 (|has| |#1| (-173))) (((-170 (-382)) |#1| (-918)) 27) (((-170 (-382)) |#1|) 25))) 
-(((-781 |#1|) (-10 -7 (-15 -3753 ((-382) |#1|)) (-15 -3753 ((-382) |#1| (-918))) (-15 -1730 ((-170 (-382)) |#1|)) (-15 -1730 ((-170 (-382)) |#1| (-918))) (IF (|has| |#1| (-173)) (PROGN (-15 -1730 ((-170 (-382)) (-170 |#1|))) (-15 -1730 ((-170 (-382)) (-170 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -3753 ((-382) (-954 |#1|))) (-15 -3753 ((-382) (-954 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 |#1|))) (-15 -1730 ((-170 (-382)) (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -3753 ((-382) (-410 (-954 |#1|)))) (-15 -3753 ((-382) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -3753 ((-382) (-311 |#1|))) (-15 -3753 ((-382) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 |#1|))) (-15 -1730 ((-170 (-382)) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-954 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-954 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)))) (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-311 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|)) (-610 (-382))) (T -781)) 
-((-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1672 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-1672 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-3475 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-3475 (*1 *2 *3) (|partial| -12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) (-3753 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) (-1730 (*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) (-1730 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) (-1730 (*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) (-3753 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) (-3753 (*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2))))) 
-(-10 -7 (-15 -3753 ((-382) |#1|)) (-15 -3753 ((-382) |#1| (-918))) (-15 -1730 ((-170 (-382)) |#1|)) (-15 -1730 ((-170 (-382)) |#1| (-918))) (IF (|has| |#1| (-173)) (PROGN (-15 -1730 ((-170 (-382)) (-170 |#1|))) (-15 -1730 ((-170 (-382)) (-170 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -3753 ((-382) (-954 |#1|))) (-15 -3753 ((-382) (-954 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-954 |#1|))) (-15 -1730 ((-170 (-382)) (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -3753 ((-382) (-410 (-954 |#1|)))) (-15 -3753 ((-382) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)))) (-15 -1730 ((-170 (-382)) (-410 (-954 |#1|)) (-918))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))))) (-15 -1730 ((-170 (-382)) (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -3753 ((-382) (-311 |#1|))) (-15 -3753 ((-382) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 |#1|))) (-15 -1730 ((-170 (-382)) (-311 |#1|) (-918))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -1730 ((-170 (-382)) (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 (-170 |#1|)) (-918)))) |noBranch|) (IF (|has| |#1| (-1048)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-954 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-954 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-954 |#1|) (-918)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)))) (-15 -1672 ((-3 (-382) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 |#1|)) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-410 (-954 (-170 |#1|))) (-918))) (IF (|has| |#1| (-843)) (PROGN (-15 -1672 ((-3 (-382) "failed") (-311 |#1|))) (-15 -1672 ((-3 (-382) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-918))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -3475 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-918)))) |noBranch|)) |noBranch|)) 
-((-2920 (((-918) (-1145)) 63)) (-1655 (((-3 (-382) "failed") (-1145)) 32)) (-2654 (((-382) (-1145)) 30)) (-3487 (((-918) (-1145)) 53)) (-3871 (((-1145) (-918)) 54)) (-1987 (((-1145) (-918)) 52))) 
-(((-782) (-10 -7 (-15 -1987 ((-1145) (-918))) (-15 -3487 ((-918) (-1145))) (-15 -3871 ((-1145) (-918))) (-15 -2920 ((-918) (-1145))) (-15 -2654 ((-382) (-1145))) (-15 -1655 ((-3 (-382) "failed") (-1145))))) (T -782)) 
-((-1655 (*1 *2 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782)))) (-2654 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782)))) (-2920 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782)))) (-3871 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782)))) (-3487 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782)))) (-1987 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
-(-10 -7 (-15 -1987 ((-1145) (-918))) (-15 -3487 ((-918) (-1145))) (-15 -3871 ((-1145) (-918))) (-15 -2920 ((-918) (-1145))) (-15 -2654 ((-382) (-1145))) (-15 -1655 ((-3 (-382) "failed") (-1145)))) 
-((-2568 (((-121) $ $) 7)) (-3478 (((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 14) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036)) 12)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 15) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-783) (-1278)) (T -783)) 
-((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) (-3478 (*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) (-3478 (*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3478 ((-1036) (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3478 ((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1036))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-3511 (((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382))) 44) (((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 43)) (-3654 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 50)) (-3629 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 41)) (-3101 (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382))) 52) (((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))) 51))) 
-(((-784) (-10 -7 (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3629 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3654 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))))) (T -784)) 
-((-3654 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3511 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3511 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3629 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3101 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) (-3101 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
-(-10 -7 (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3101 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3629 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)))) (-15 -3511 ((-1252) (-1247 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382))) (-382) (-1247 (-382)) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)) (-1247 (-382)))) (-15 -3654 ((-1252) (-1247 (-382)) (-569) (-382) (-382) (-569) (-1 (-1252) (-1247 (-382)) (-1247 (-382)) (-382))))) 
-((-1663 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 53)) (-3357 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 30)) (-2129 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 52)) (-2601 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 28)) (-4338 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 51)) (-4447 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 18)) (-3573 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 31)) (-2408 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 29)) (-1596 (((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 27))) 
-(((-785) (-10 -7 (-15 -1596 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -2408 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3573 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -4447 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2601 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3357 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4338 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2129 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -1663 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))))) (T -785)) 
-((-1663 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2129 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-4338 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-3357 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2601 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-4447 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-3573 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-2408 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569)))) (-1596 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(-10 -7 (-15 -1596 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -2408 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3573 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -4447 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2601 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3357 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4338 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2129 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -1663 ((-2 (|:| -2247 (-382)) (|:| -1638 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)))) 
-((-3340 (((-1193 |#1|) |#1| (-216) (-569)) 45))) 
-(((-786 |#1|) (-10 -7 (-15 -3340 ((-1193 |#1|) |#1| (-216) (-569)))) (-976)) (T -786)) 
-((-3340 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1193 *3)) (-5 *1 (-786 *3)) (-4 *3 (-976))))) 
-(-10 -7 (-15 -3340 ((-1193 |#1|) |#1| (-216) (-569)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1711 (($ $ $) 27) (($ $) 26)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20) (($ (-569) $) 28))) 
-(((-787) (-1278)) (T -787)) 
-NIL 
-(-13 (-791) (-21)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
-(((-788) (-1278)) (T -788)) 
-NIL 
-(-13 (-790) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-790) . T) ((-843) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-1498 (($ $ $) 26)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
-(((-789) (-1278)) (T -789)) 
-((-1498 (*1 *1 *1 *1) (-4 *1 (-789)))) 
-(-13 (-791) (-10 -8 (-15 -1498 ($ $ $)))) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
-(((-790) (-1278)) (T -790)) 
-NIL 
-(-13 (-843) (-23)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-851)) . T) ((-843) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-2820 (($) 22 T CONST)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 21 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1707 (($ $ $) 19)) (* (($ (-764) $) 24) (($ (-918) $) 20))) 
-(((-791) (-1278)) (T -791)) 
-NIL 
-(-13 (-788) (-138)) 
-(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-788) . T) ((-790) . T) ((-843) . T) ((-1091) . T)) 
-((-3813 (((-121) $) 41)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 42)) (-4401 (((-3 (-410 (-569)) "failed") $) 78)) (-3103 (((-121) $) 72)) (-1442 (((-410 (-569)) $) 76)) (-4308 ((|#2| $) 26)) (-1544 (($ (-1 |#2| |#2|) $) 23)) (-1795 (($ $) 61)) (-3817 (((-542) $) 67)) (-1414 (($ $) 21)) (-2185 (((-851) $) 56) (($ (-569)) 39) (($ |#2|) 37) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 10)) (-1616 ((|#2| $) 71)) (-1668 (((-121) $ $) 29)) (-1678 (((-121) $ $) 69)) (-1711 (($ $) 31) (($ $ $) NIL)) (-1707 (($ $ $) 30)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
-(((-792 |#1| |#2|) (-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-793 |#2|) (-173)) (T -792)) 
-((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-792 *3 *4)) (-4 *3 (-793 *4))))) 
-(-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -1795 (|#1| |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2085 (((-764)) 51 (|has| |#1| (-371)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 92 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 90 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 88)) (-2428 (((-569) $) 93 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 91 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 87)) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 77)) (-4401 (((-3 (-410 (-569)) "failed") $) 64 (|has| |#1| (-551)))) (-3103 (((-121) $) 66 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 65 (|has| |#1| (-551)))) (-4327 (($) 54 (|has| |#1| (-371)))) (-1407 (((-121) $) 30)) (-3709 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 68)) (-4308 ((|#1| $) 69)) (-3291 (($ $ $) 60 (|has| |#1| (-843)))) (-1538 (($ $ $) 59 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 79)) (-2083 (((-918) $) 53 (|has| |#1| (-371)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 63 (|has| |#1| (-366)))) (-3998 (($ (-918)) 52 (|has| |#1| (-371)))) (-1790 ((|#1| $) 74)) (-3292 ((|#1| $) 75)) (-4159 ((|#1| $) 76)) (-3104 ((|#1| $) 70)) (-2357 ((|#1| $) 71)) (-4375 ((|#1| $) 72)) (-3466 ((|#1| $) 73)) (-3360 (((-1109) $) 10)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 85 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 84 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 83 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 82 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 80 (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) 86 (|has| |#1| (-282 |#1| |#1|)))) (-3817 (((-542) $) 61 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 78)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 89 (|has| |#1| (-1038 (-410 (-569)))))) (-3953 (((-3 $ "failed") $) 62 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1616 ((|#1| $) 67 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 57 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 56 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 58 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 55 (|has| |#1| (-843)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
-(((-793 |#1|) (-1278) (-173)) (T -793)) 
-((-1414 (*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4159 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3292 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1790 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3466 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4375 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-2357 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3104 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-3709 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) (-1616 (*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1795 (*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(-13 (-43 |t#1|) (-414 |t#1|) (-337 |t#1|) (-10 -8 (-15 -1414 ($ $)) (-15 -1747 (|t#1| $)) (-15 -4159 (|t#1| $)) (-15 -3292 (|t#1| $)) (-15 -1790 (|t#1| $)) (-15 -3466 (|t#1| $)) (-15 -4375 (|t#1| $)) (-15 -2357 (|t#1| $)) (-15 -3104 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -3709 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -1795 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-371) |has| |#1| (-371)) ((-337 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
-(((-794 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-793 |#2|) (-173) (-793 |#4|) (-173)) (T -794)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-793 *6)) (-5 *1 (-794 *4 *5 *2 *6)) (-4 *4 (-793 *5))))) 
-(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-1000 |#1|) "failed") $) 35) (((-3 (-569) "failed") $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-2428 ((|#1| $) NIL) (((-1000 |#1|) $) 33) (((-569) $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-569))) (|has| |#1| (-1038 (-569))))) (((-410 (-569)) $) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 16)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-4327 (($) NIL (|has| |#1| (-371)))) (-1407 (((-121) $) NIL)) (-3709 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1000 |#1|) (-1000 |#1|)) 29)) (-4308 ((|#1| $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-1790 ((|#1| $) 22)) (-3292 ((|#1| $) 20)) (-4159 ((|#1| $) 18)) (-3104 ((|#1| $) 26)) (-2357 ((|#1| $) 25)) (-4375 ((|#1| $) 24)) (-3466 ((|#1| $) 23)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1000 |#1|)) 30) (($ (-410 (-569))) NIL (-2232 (|has| (-1000 |#1|) (-1038 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1616 ((|#1| $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 8 T CONST)) (-1556 (($) 12 T CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-795 |#1|) (-13 (-793 |#1|) (-414 (-1000 |#1|)) (-10 -8 (-15 -3709 ($ (-1000 |#1|) (-1000 |#1|))))) (-173)) (T -795)) 
-((-3709 (*1 *1 *2 *2) (-12 (-5 *2 (-1000 *3)) (-4 *3 (-173)) (-5 *1 (-795 *3))))) 
-(-13 (-793 |#1|) (-414 (-1000 |#1|)) (-10 -8 (-15 -3709 ($ (-1000 |#1|) (-1000 |#1|))))) 
-((-2568 (((-121) $ $) 7)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-4330 (((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 12)) (-1668 (((-121) $ $) 6))) 
-(((-796) (-1278)) (T -796)) 
-((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-796)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-4330 (*1 *2 *3) (-12 (-4 *1 (-796)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1036))))) 
-(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4330 ((-1036) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-1999 (((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)) 19))) 
-(((-797 |#1| |#2| |#3|) (-10 -7 (-15 -1999 ((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960)) (-647 |#2|)) (T -797)) 
-((-1999 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-797 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -1999 ((-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#3| |#2| (-1163)))) 
-((-4435 (((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)) 26) (((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163)) 17) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163)) 22) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163)) 24) (((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163)) 36) (((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163)) 34))) 
-(((-798 |#1| |#2|) (-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163))) (-15 -4435 ((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163))) (-15 -4435 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4435 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -798)) 
-((-4435 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-798 *6 *2)))) (-4435 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-5 *1 (-798 *6 *2)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))))) (-4435 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -3930 (-635 *3))) *3 "failed")) (-5 *1 (-798 *6 *3)) (-4 *3 (-13 (-29 *6) (-1183) (-960))))) (-4435 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -3930 (-635 *7))) *7 "failed")) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) (-4435 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-680 *6)) (-5 *4 (-1163)) (-4 *6 (-13 (-29 *5) (-1183) (-960))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1247 *6))) (-5 *1 (-798 *5 *6)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-680 *7)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)) (-5 *4 (-1247 *7))))) 
-(-10 -7 (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-680 |#2|) (-1247 |#2|) (-1163))) (-15 -4435 ((-3 (-635 (-1247 |#2|)) "failed") (-680 |#2|) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#2|)) (|:| -3930 (-635 (-1247 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1163))) (-15 -4435 ((-3 (-2 (|:| |particular| |#2|) (|:| -3930 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1163))) (-15 -4435 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -4435 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
-((-2590 (($) 9)) (-4445 (((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-2179 (((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 23)) (-3172 (($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) 20)) (-4195 (($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) 18)) (-2147 (((-1252)) 12))) 
-(((-799) (-10 -8 (-15 -2590 ($)) (-15 -2147 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4195 ($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -4445 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -799)) 
-((-4445 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-799)))) (-3172 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-799)))) (-4195 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-799)))) (-2179 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-799)))) (-2147 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-799)))) (-2590 (*1 *1) (-5 *1 (-799)))) 
-(-10 -8 (-15 -2590 ($)) (-15 -2147 ((-1252))) (-15 -2179 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -4195 ($ (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -3172 ($ (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -4445 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
-((-1741 ((|#2| |#2| (-1163)) 15)) (-2671 ((|#2| |#2| (-1163)) 47)) (-4477 (((-1 |#2| |#2|) (-1163)) 11))) 
-(((-800 |#1| |#2|) (-10 -7 (-15 -1741 (|#2| |#2| (-1163))) (-15 -2671 (|#2| |#2| (-1163))) (-15 -4477 ((-1 |#2| |#2|) (-1163)))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1183) (-960))) (T -800)) 
-((-4477 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-800 *4 *5)) (-4 *5 (-13 (-29 *4) (-1183) (-960))))) (-2671 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960))))) (-1741 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960)))))) 
-(-10 -7 (-15 -1741 (|#2| |#2| (-1163))) (-15 -2671 (|#2| |#2| (-1163))) (-15 -4477 ((-1 |#2| |#2|) (-1163)))) 
-((-4435 (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382)) 114) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382)) 115) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382)) 117) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382)) 118) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382)) 119) (((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382))) 120) (((-1036) (-804) (-1060)) 105) (((-1036) (-804)) 106)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060)) 71) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804)) 73))) 
-(((-801) (-10 -7 (-15 -4435 ((-1036) (-804))) (-15 -4435 ((-1036) (-804) (-1060))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060))))) (T -801)) 
-((-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-801)))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-1036)) (-5 *1 (-801))))) 
-(-10 -7 (-15 -4435 ((-1036) (-804))) (-15 -4435 ((-1036) (-804) (-1060))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -4435 ((-1036) (-1247 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-804) (-1060)))) 
-((-3390 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|) 32))) 
-(((-802 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3390 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|))) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -802)) 
-((-3390 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-802 *5 *6 *7 *4))))) 
-(-10 -7 (-15 -3390 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -3930 (-635 |#4|))) (-644 |#4|) |#4|))) 
-((-4422 (((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))) 51)) (-2343 (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|) 59) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|) 58) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|) 20) (((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|) 21)) (-1948 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-3320 ((|#2| |#3| (-635 (-410 |#2|))) 93) (((-3 |#2| "failed") |#3| (-410 |#2|)) 90))) 
-(((-803 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3320 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -3320 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|)) (-15 -1948 (|#2| |#3| |#1|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|)) (-15 -1948 (|#2| |#4| |#1|)) (-15 -4422 ((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-410 (-569)))) (-1222 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -803)) 
-((-4422 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -1502 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-803 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) (-1948 (*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2))))) (-2343 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4))))) (-2343 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) (-1948 (*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) (-2343 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) (-2343 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-3320 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2))))) (-3320 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4))))) 
-(-10 -7 (-15 -3320 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -3320 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#3| |#2|)) (-15 -1948 (|#2| |#3| |#1|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4|)) (-15 -2343 ((-635 (-2 (|:| -4030 |#2|) (|:| -1539 |#2|))) |#4| |#2|)) (-15 -1948 (|#2| |#4| |#1|)) (-15 -4422 ((-2 (|:| -1502 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) 
-((-2568 (((-121) $ $) NIL)) (-2428 (((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11) (($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8)) (-1668 (((-121) $ $) NIL))) 
-(((-804) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $))))) (T -804)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-804)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $)))) 
-((-2050 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|)) 118)) (-2674 (((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 45)) (-1474 (((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|) 95)) (-2022 ((|#2| |#3|) 37)) (-3508 (((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 82)) (-2836 ((|#3| |#3| (-410 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
-(((-805 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2022 (|#2| |#3|)) (-15 -1474 ((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|)) (-15 -3508 ((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2836 (|#3| |#3| |#2|)) (-15 -2836 (|#3| |#3| (-410 |#2|)))) (-13 (-366) (-151) (-1038 (-410 (-569)))) (-1222 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -805)) 
-((-2836 (*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *1 (-805 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3)))) (-2836 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-1222 *4)) (-5 *1 (-805 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) (-2050 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1159 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -1502 *3)))) (-5 *1 (-805 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) (-2674 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-3508 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -2043 *5) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-1474 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1502 *5)))) (-5 *1 (-805 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-2022 (*1 *2 *3) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-805 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
-(-10 -7 (-15 -2022 (|#2| |#3|)) (-15 -1474 ((-635 (-2 (|:| |deg| (-764)) (|:| -1502 |#2|))) |#3|)) (-15 -3508 ((-635 (-2 (|:| -2043 |#1|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1159 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2836 (|#3| |#3| |#2|)) (-15 -2836 (|#3| |#3| (-410 |#2|)))) 
-((-2660 (((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|))) 117) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|)) 116) (((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|))) 111) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|)) 109)) (-4088 ((|#2| (-645 |#2| (-410 |#2|))) 77) ((|#2| (-644 (-410 |#2|))) 81))) 
-(((-806 |#1| |#2|) (-10 -7 (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -4088 (|#2| (-644 (-410 |#2|)))) (-15 -4088 (|#2| (-645 |#2| (-410 |#2|))))) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -806)) 
-((-4088 (*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) (-4088 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-2660 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6))))) 
-(-10 -7 (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2660 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -3930 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -2660 ((-2 (|:| -3930 (-635 (-410 |#2|))) (|:| -3477 (-680 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -4088 (|#2| (-644 (-410 |#2|)))) (-15 -4088 (|#2| (-645 |#2| (-410 |#2|))))) 
-((-1555 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|) 47))) 
-(((-807 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1555 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|))) (-366) (-647 |#1|) (-1222 |#1|) (-715 |#1| |#3|) (-647 |#4|)) (T -807)) 
-((-1555 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1222 *5)) (-4 *4 (-715 *5 *7)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-807 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
-(-10 -7 (-15 -1555 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) |#5| |#4|))) 
-((-2050 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 43)) (-2938 (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|))) 134 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|))) 136 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 36) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 37) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 34) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 35)) (-2674 (((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 80))) 
-(((-808 |#1| |#2|) (-10 -7 (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))) (-1222 |#1|)) (T -808)) 
-((-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) (-2674 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-2050 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-2938 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) (-2938 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) (-2938 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6))))) 
-(-10 -7 (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -2050 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2674 ((-635 (-2 (|:| |poly| |#2|) (|:| -1502 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -2938 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) 
-((-2752 (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|)) 86) (((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|)) 14)) (-1311 (((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)) 92)) (-4435 (((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|)) 45))) 
-(((-809 |#1| |#2|) (-10 -7 (-15 -2752 ((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|))) (-15 -2752 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -1311 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)))) (-366) (-647 |#1|)) (T -809)) 
-((-1311 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -3930 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *6) "failed")) (|:| -3930 (-635 (-1247 *6))))) (-5 *1 (-809 *6 *7)) (-5 *4 (-1247 *6)))) (-4435 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -3930 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1247 *6)) (|:| -3930 (-680 *6)))) (-5 *1 (-809 *6 *7)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *6)))) (-2752 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *5)))) (-2752 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-680 *5)) (|:| |eqs| (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5)) (|:| -1502 *6) (|:| |rh| *5)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *6 (-647 *5))))) 
-(-10 -7 (-15 -2752 ((-2 (|:| A (-680 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)) (|:| -1502 |#2|) (|:| |rh| |#1|))))) (-680 |#1|) (-1247 |#1|))) (-15 -2752 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#1|))) (-680 |#2|) (-1247 |#1|))) (-15 -4435 ((-3 (-2 (|:| |particular| (-1247 |#1|)) (|:| -3930 (-680 |#1|))) "failed") (-680 |#1|) (-1247 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -3930 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -1311 ((-2 (|:| |particular| (-3 (-1247 |#1|) "failed")) (|:| -3930 (-635 (-1247 |#1|)))) (-680 |#2|) (-1247 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -3930 (-635 |#1|))) |#2| |#1|)))) 
-((-1825 (((-680 |#1|) (-635 |#1|) (-764)) 13) (((-680 |#1|) (-635 |#1|)) 14)) (-4358 (((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|)) 34)) (-2163 (((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)) 42))) 
-(((-810 |#1| |#2|) (-10 -7 (-15 -1825 ((-680 |#1|) (-635 |#1|))) (-15 -1825 ((-680 |#1|) (-635 |#1|) (-764))) (-15 -4358 ((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -2163 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -810)) 
-((-2163 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-810 *2 *3)) (-4 *3 (-647 *2)))) (-4358 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1247 *4)) (-5 *1 (-810 *4 *3)) (-4 *3 (-647 *4)))) (-1825 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-810 *5 *6)) (-4 *6 (-647 *5)))) (-1825 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-810 *4 *5)) (-4 *5 (-647 *4))))) 
-(-10 -7 (-15 -1825 ((-680 |#1|) (-635 |#1|))) (-15 -1825 ((-680 |#1|) (-635 |#1|) (-764))) (-15 -4358 ((-3 (-1247 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -2163 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-3813 (((-121) $) NIL (|has| |#2| (-138)))) (-4382 (($ (-918)) NIL (|has| |#2| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#2| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#2| (-371)))) (-3638 (((-569) $) NIL (|has| |#2| (-841)))) (-4469 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) ((|#2| $) NIL (|has| |#2| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1048)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#2| (-1048))) (((-680 |#2|) (-680 $)) NIL (|has| |#2| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#2| (-717)))) (-4327 (($) NIL (|has| |#2| (-371)))) (-2726 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ (-569)) NIL)) (-2403 (((-121) $) NIL (|has| |#2| (-841)))) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#2| (-717)))) (-1781 (((-121) $) NIL (|has| |#2| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#2| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#2| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#2| (-371)))) (-3360 (((-1109) $) NIL (|has| |#2| (-1091)))) (-4353 ((|#2| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-2049 ((|#2| $ $) NIL (|has| |#2| (-1048)))) (-1755 (($ (-1247 |#2|)) NIL)) (-2369 (((-140)) NIL (|has| |#2| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#2|) $) NIL) (((-851) $) NIL (|has| |#2| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#2| (-1038 (-569))) (|has| |#2| (-1091))) (|has| |#2| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1038 (-410 (-569)))) (|has| |#2| (-1091)))) (($ |#2|) NIL (|has| |#2| (-1091)))) (-1991 (((-764)) NIL (|has| |#2| (-1048)))) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#2| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (-3369 (($) NIL (|has| |#2| (-138)) CONST)) (-1556 (($) NIL (|has| |#2| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#2| (-896 (-1163))) (|has| |#2| (-1048)))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#2| (-1048))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#2| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1678 (((-121) $ $) 11 (-2232 (|has| |#2| (-789)) (|has| |#2| (-841))))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $ $) NIL (|has| |#2| (-1048))) (($ $) NIL (|has| |#2| (-1048)))) (-1707 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-764)) NIL (|has| |#2| (-717))) (($ $ (-918)) NIL (|has| |#2| (-717)))) (* (($ (-569) $) NIL (|has| |#2| (-1048))) (($ $ $) NIL (|has| |#2| (-717))) (($ $ |#2|) NIL (|has| |#2| (-1048))) (($ |#2| $) NIL (|has| |#2| (-1048))) (($ (-764) $) NIL (|has| |#2| (-138))) (($ (-918) $) NIL (|has| |#2| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-811 |#1| |#2| |#3|) (-231 |#1| |#2|) (-764) (-789) (-1 (-121) (-1247 |#2|) (-1247 |#2|))) (T -811)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2546 (($ |#1|) 17) (($ $ |#1|) 20)) (-3402 (($ |#1|) 18) (($ $ |#1|) 21)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL) (($) 19) (($ $) 22)) (-3934 (((-121) $) NIL)) (-4267 (($ |#1| |#1| |#1| |#1|) 8)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 16)) (-1912 (((-1111) $) NIL)) (-1484 ((|#1| $ |#1|) 24) (((-830 |#1|) $ (-830 |#1|)) 32)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 39)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 9 T CONST)) (-1326 (((-121) $ $) 44)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 14))) 
+(((-710 |#1|) (-13 (-479) (-10 -8 (-15 -4267 ($ |#1| |#1| |#1| |#1|)) (-15 -2546 ($ |#1|)) (-15 -3402 ($ |#1|)) (-15 -2611 ($)) (-15 -2546 ($ $ |#1|)) (-15 -3402 ($ $ |#1|)) (-15 -2611 ($ $)) (-15 -1484 (|#1| $ |#1|)) (-15 -1484 ((-830 |#1|) $ (-830 |#1|))))) (-366)) (T -710)) 
+((-4267 (*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2546 (*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-3402 (*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2611 (*1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2546 (*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-3402 (*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-2611 (*1 *1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-1484 (*1 *2 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) (-1484 (*1 *2 *1 *2) (-12 (-5 *2 (-830 *3)) (-4 *3 (-366)) (-5 *1 (-710 *3))))) 
+(-13 (-479) (-10 -8 (-15 -4267 ($ |#1| |#1| |#1| |#1|)) (-15 -2546 ($ |#1|)) (-15 -3402 ($ |#1|)) (-15 -2611 ($)) (-15 -2546 ($ $ |#1|)) (-15 -3402 ($ $ |#1|)) (-15 -2611 ($ $)) (-15 -1484 (|#1| $ |#1|)) (-15 -1484 ((-830 |#1|) $ (-830 |#1|))))) 
+((-4382 (($ $ (-919)) 12)) (-2846 (($ $ (-919)) 13)) (** (($ $ (-919)) 10))) 
+(((-711 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) (-712)) (T -711)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-4382 (($ $ (-919)) 14)) (-2846 (($ $ (-919)) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 12)) (* (($ $ $) 15))) 
+(((-712) (-1284)) (T -712)) 
+((* (*1 *1 *1 *1) (-4 *1 (-712))) (-4382 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) (-2846 (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919))))) 
+(-13 (-1093) (-10 -8 (-15 * ($ $ $)) (-15 -4382 ($ $ (-919))) (-15 -2846 ($ $ (-919))) (-15 ** ($ $ (-919))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-4382 (($ $ (-919)) NIL) (($ $ (-765)) 17)) (-3934 (((-121) $) 10)) (-2846 (($ $ (-919)) NIL) (($ $ (-765)) 18)) (** (($ $ (-919)) NIL) (($ $ (-765)) 15))) 
+(((-713 |#1|) (-10 -8 (-15 ** (|#1| |#1| (-765))) (-15 -2846 (|#1| |#1| (-765))) (-15 -4382 (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) (-714)) (T -713)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-765))) (-15 -2846 (|#1| |#1| (-765))) (-15 -4382 (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 ** (|#1| |#1| (-919))) (-15 -2846 (|#1| |#1| (-919))) (-15 -4382 (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-4174 (((-3 $ "failed") $) 16)) (-4382 (($ $ (-919)) 14) (($ $ (-765)) 21)) (-2611 (((-3 $ "failed") $) 18)) (-3934 (((-121) $) 22)) (-2983 (((-3 $ "failed") $) 17)) (-2846 (($ $ (-919)) 13) (($ $ (-765)) 20)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 12) (($ $ (-765)) 19)) (* (($ $ $) 15))) 
+(((-714) (-1284)) (T -714)) 
+((-3297 (*1 *1) (-4 *1 (-714))) (-3934 (*1 *2 *1) (-12 (-4 *1 (-714)) (-5 *2 (-121)))) (-4382 (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (-2846 (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) (-2611 (*1 *1 *1) (|partial| -4 *1 (-714))) (-2983 (*1 *1 *1) (|partial| -4 *1 (-714))) (-4174 (*1 *1 *1) (|partial| -4 *1 (-714)))) 
+(-13 (-712) (-10 -8 (-15 (-3297) ($) -3575) (-15 -3934 ((-121) $)) (-15 -4382 ($ $ (-765))) (-15 -2846 ($ $ (-765))) (-15 ** ($ $ (-765))) (-15 -2611 ((-3 $ "failed") $)) (-15 -2983 ((-3 $ "failed") $)) (-15 -4174 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-712) . T) ((-1093) . T)) 
+((-2675 (((-765)) 35)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 22)) (-2793 (($ |#3|) NIL) (((-3 $ "failed") (-410 |#3|)) 45)) (-2611 (((-3 $ "failed") $) 65)) (-3341 (($) 39)) (-3046 ((|#2| $) 20)) (-1986 (($) 17)) (-3289 (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 53) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-3775 (((-681 |#2|) (-1253 $) (-1 |#2| |#2|)) 60)) (-4035 (((-1253 |#2|) $) NIL) (($ (-1253 |#2|)) NIL) ((|#3| $) 10) (($ |#3|) 12)) (-3033 ((|#3| $) 32)) (-4079 (((-1253 $)) 29))) 
+(((-715 |#1| |#2| |#3|) (-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3341 (|#1|)) (-15 -2675 ((-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3775 ((-681 |#2|) (-1253 |#1|) (-1 |#2| |#2|))) (-15 -2793 ((-3 |#1| "failed") (-410 |#3|))) (-15 -4035 (|#1| |#3|)) (-15 -2793 (|#1| |#3|)) (-15 -1986 (|#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 (|#3| |#1|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -4079 ((-1253 |#1|))) (-15 -3033 (|#3| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) (-716 |#2| |#3|) (-173) (-1228 |#2|)) (T -715)) 
+((-2675 (*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-765)) (-5 *1 (-715 *3 *4 *5)) (-4 *3 (-716 *4 *5))))) 
+(-10 -8 (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3341 (|#1|)) (-15 -2675 ((-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3775 ((-681 |#2|) (-1253 |#1|) (-1 |#2| |#2|))) (-15 -2793 ((-3 |#1| "failed") (-410 |#3|))) (-15 -4035 (|#1| |#3|)) (-15 -2793 (|#1| |#3|)) (-15 -1986 (|#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -4035 (|#3| |#1|)) (-15 -4035 (|#1| (-1253 |#2|))) (-15 -4035 ((-1253 |#2|) |#1|)) (-15 -4079 ((-1253 |#1|))) (-15 -3033 (|#3| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -2611 ((-3 |#1| "failed") |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 87 (|has| |#1| (-366)))) (-2915 (($ $) 88 (|has| |#1| (-366)))) (-2735 (((-121) $) 90 (|has| |#1| (-366)))) (-2245 (((-681 |#1|) (-1253 $)) 44) (((-681 |#1|)) 55)) (-3588 ((|#1| $) 50)) (-2039 (((-1173 (-919) (-765)) (-569)) 141 (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 107 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 108 (|has| |#1| (-366)))) (-2889 (((-121) $ $) 98 (|has| |#1| (-366)))) (-2675 (((-765)) 81 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 163 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 161 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 160)) (-1321 (((-569) $) 164 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 162 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 159)) (-2097 (($ (-1253 |#1|) (-1253 $)) 46) (($ (-1253 |#1|)) 58)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 147 (|has| |#1| (-351)))) (-1614 (($ $ $) 102 (|has| |#1| (-366)))) (-1808 (((-681 |#1|) $ (-1253 $)) 51) (((-681 |#1|) $) 53)) (-3435 (((-681 (-569)) (-681 $)) 158 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 157 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 156) (((-681 |#1|) (-681 $)) 155)) (-2793 (($ |#2|) 152) (((-3 $ "failed") (-410 |#2|)) 149 (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-919)) 52)) (-3341 (($) 84 (|has| |#1| (-371)))) (-1626 (($ $ $) 101 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 96 (|has| |#1| (-366)))) (-1456 (($) 143 (|has| |#1| (-351)))) (-3462 (((-121) $) 144 (|has| |#1| (-351)))) (-3238 (($ $ (-765)) 135 (|has| |#1| (-351))) (($ $) 134 (|has| |#1| (-351)))) (-2005 (((-121) $) 109 (|has| |#1| (-366)))) (-4433 (((-919) $) 146 (|has| |#1| (-351))) (((-830 (-919)) $) 132 (|has| |#1| (-351)))) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 49)) (-1542 (((-3 $ "failed") $) 136 (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 105 (|has| |#1| (-366)))) (-2415 ((|#2| $) 42 (|has| |#1| (-366)))) (-2862 (((-919) $) 83 (|has| |#1| (-371)))) (-2786 ((|#2| $) 150)) (-1657 (($ (-635 $)) 94 (|has| |#1| (-366))) (($ $ $) 93 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 110 (|has| |#1| (-366)))) (-1423 (($) 137 (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 82 (|has| |#1| (-371)))) (-1912 (((-1111) $) 10)) (-1986 (($) 154)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 95 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 92 (|has| |#1| (-366))) (($ $ $) 91 (|has| |#1| (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 140 (|has| |#1| (-351)))) (-3139 (((-421 $) $) 106 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 104 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 103 (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) 86 (|has| |#1| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 97 (|has| |#1| (-366)))) (-2061 (((-765) $) 99 (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 100 (|has| |#1| (-366)))) (-2925 ((|#1| (-1253 $)) 45) ((|#1|) 54)) (-3600 (((-765) $) 145 (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) 133 (|has| |#1| (-351)))) (-3289 (($ $) 131 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) 129 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) 127 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165))) 126 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1165) (-765)) 125 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-765))) 124 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-765)) 117 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 116 (|has| |#1| (-366)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) 148 (|has| |#1| (-366)))) (-3036 ((|#2|) 153)) (-3563 (($) 142 (|has| |#1| (-351)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 48) (((-681 |#1|) (-1253 $) (-1253 $)) 47) (((-1253 |#1|) $) 60) (((-681 |#1|) (-1253 $)) 59)) (-4035 (((-1253 |#1|) $) 57) (($ (-1253 |#1|)) 56) ((|#2| $) 165) (($ |#2|) 151)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 139 (|has| |#1| (-351)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ $) 85 (|has| |#1| (-366))) (($ (-410 (-569))) 80 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (($ $) 138 (|has| |#1| (-351))) (((-3 $ "failed") $) 41 (|has| |#1| (-149)))) (-3033 ((|#2| $) 43)) (-2320 (((-765)) 28)) (-4079 (((-1253 $)) 61)) (-2909 (((-121) $ $) 89 (|has| |#1| (-366)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 111 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 130 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) 128 (-1929 (-3993 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) 123 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165))) 122 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1165) (-765)) 121 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-765))) 120 (-3993 (|has| |#1| (-897 (-1165))) (|has| |#1| (-366)))) (($ $ (-1 |#1| |#1|) (-765)) 119 (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) 118 (|has| |#1| (-366)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 115 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 112 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ (-410 (-569)) $) 114 (|has| |#1| (-366))) (($ $ (-410 (-569))) 113 (|has| |#1| (-366))))) 
+(((-716 |#1| |#2|) (-1284) (-173) (-1228 |t#1|)) (T -716)) 
+((-1986 (*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-716 *2 *3)) (-4 *3 (-1228 *2)))) (-3036 (*1 *2) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2793 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) (-4035 (*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) (-2786 (*1 *2 *1) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) (-2793 (*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-716 *3 *4)))) (-3775 (*1 *2 *3 *4) (-12 (-5 *3 (-1253 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-716 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *5))))) 
+(-13 (-412 |t#1| |t#2|) (-173) (-610 |t#2|) (-414 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1986 ($)) (-15 -3036 (|t#2|)) (-15 -2793 ($ |t#2|)) (-15 -4035 ($ |t#2|)) (-15 -2786 (|t#2| $)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-366)) (-6 (-224 |t#1|)) (-15 -2793 ((-3 $ "failed") (-410 |t#2|))) (-15 -3775 ((-681 |t#1|) (-1253 $) (-1 |t#1| |t#1|)))) |noBranch|) (IF (|has| |t#1| (-351)) (-6 (-351)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-43 |#1|) . T) ((-43 $) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-351)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 |#2|) . T) ((-224 |#1|) |has| |#1| (-366)) ((-226) -1929 (|has| |#1| (-351)) (-12 (|has| |#1| (-226)) (|has| |#1| (-366)))) ((-239) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-286) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-302) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-366) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-405) |has| |#1| (-351)) ((-371) -1929 (|has| |#1| (-371)) (|has| |#1| (-351))) ((-351) |has| |#1| (-351)) ((-373 |#1| |#2|) . T) ((-412 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-559) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-709 |#1|) . T) ((-709 $) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165)))) ((-918) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-351)) (|has| |#1| (-366))) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-351)) ((-1208) -1929 (|has| |#1| (-351)) (|has| |#1| (-366)))) 
+((-4483 (($) 14)) (-2611 (((-3 $ "failed") $) 16)) (-3934 (((-121) $) 13)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) 9)) (** (($ $ (-919)) NIL) (($ $ (-765)) 20))) 
+(((-717 |#1|) (-10 -8 (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-718)) (T -717)) 
+NIL 
+(-10 -8 (-15 -2611 ((-3 |#1| "failed") |#1|)) (-15 -3403 (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-765))) (-15 -3934 ((-121) |#1|)) (-15 -4483 (|#1|)) (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3934 (((-121) $) 18)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16)) (-3297 (($) 20 T CONST)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 13) (($ $ (-765)) 17)) (* (($ $ $) 14))) 
+(((-718) (-1284)) (T -718)) 
+((-3297 (*1 *1) (-4 *1 (-718))) (-4483 (*1 *1) (-4 *1 (-718))) (-3934 (*1 *2 *1) (-12 (-4 *1 (-718)) (-5 *2 (-121)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) (-2611 (*1 *1 *1) (|partial| -4 *1 (-718)))) 
+(-13 (-1105) (-10 -8 (-15 (-3297) ($) -3575) (-15 -4483 ($) -3575) (-15 -3934 ((-121) $)) (-15 ** ($ $ (-765))) (-15 -3403 ($ $ (-765))) (-15 -2611 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1105) . T) ((-1093) . T)) 
+((-2848 (((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|)) 38)) (-2009 (((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|)) 12)) (-2345 ((|#2| (-410 |#2|) (-1 |#2| |#2|)) 13)) (-3861 (((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)) 47))) 
+(((-719 |#1| |#2|) (-10 -7 (-15 -2009 ((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2848 ((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2345 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -3861 ((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) (-366) (-1228 |#1|)) (T -719)) 
+((-3861 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2556 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-719 *5 *6)) (-5 *3 (-410 *6)))) (-2345 (*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-719 *5 *2)) (-4 *5 (-366)))) (-2848 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-719 *5 *3)))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 *3) (|:| |special| *3))) (-5 *1 (-719 *5 *3))))) 
+(-10 -7 (-15 -2009 ((-2 (|:| -2556 |#2|) (|:| |special| |#2|)) |#2| (-1 |#2| |#2|))) (-15 -2848 ((-2 (|:| -2556 (-421 |#2|)) (|:| |special| (-421 |#2|))) |#2| (-1 |#2| |#2|))) (-15 -2345 (|#2| (-410 |#2|) (-1 |#2| |#2|))) (-15 -3861 ((-2 (|:| |poly| |#2|) (|:| -2556 (-410 |#2|)) (|:| |special| (-410 |#2|))) (-410 |#2|) (-1 |#2| |#2|)))) 
+((-2631 ((|#7| (-635 |#5|) |#6|) NIL)) (-4188 ((|#7| (-1 |#5| |#4|) |#6|) 26))) 
+(((-720 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -4188 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2631 (|#7| (-635 |#5|) |#6|))) (-844) (-790) (-790) (-1049) (-1049) (-952 |#4| |#2| |#1|) (-952 |#5| |#3| |#1|)) (T -720)) 
+((-2631 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-1049)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1049)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5))))) 
+(-10 -7 (-15 -4188 (|#7| (-1 |#5| |#4|) |#6|)) (-15 -2631 (|#7| (-635 |#5|) |#6|))) 
+((-4188 ((|#7| (-1 |#2| |#1|) |#6|) 28))) 
+(((-721 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -4188 (|#7| (-1 |#2| |#1|) |#6|))) (-844) (-844) (-790) (-790) (-1049) (-952 |#5| |#3| |#1|) (-952 |#5| |#4| |#2|)) (T -721)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-4 *7 (-790)) (-4 *9 (-1049)) (-4 *2 (-952 *9 *8 *6)) (-5 *1 (-721 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-790)) (-4 *4 (-952 *9 *7 *5))))) 
+(-10 -7 (-15 -4188 (|#7| (-1 |#2| |#1|) |#6|))) 
+((-3139 (((-421 |#4|) |#4|) 39))) 
+(((-722 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-302) (-952 (-955 |#3|) |#1| |#2|)) (T -722)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-952 (-955 *6) *4 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-854 |#1|)) $) NIL)) (-3132 (((-1161 $) $ (-854 |#1|)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-854 |#1|))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-854 |#1|) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-854 |#1|) $) NIL)) (-3673 (($ $ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-535 (-854 |#1|)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-854 |#1|) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#2|) (-854 |#1|)) NIL) (($ (-1161 $) (-854 |#1|)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-535 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-854 |#1|)) NIL)) (-4294 (((-535 (-854 |#1|)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-535 (-854 |#1|)) (-535 (-854 |#1|))) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3407 (((-3 (-854 |#1|) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-854 |#1|)) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-854 |#1|) |#2|) NIL) (($ $ (-635 (-854 |#1|)) (-635 |#2|)) NIL) (($ $ (-854 |#1|) $) NIL) (($ $ (-635 (-854 |#1|)) (-635 $)) NIL)) (-2925 (($ $ (-854 |#1|)) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2284 (((-535 (-854 |#1|)) $) NIL) (((-765) $ (-854 |#1|)) NIL) (((-635 (-765)) $ (-635 (-854 |#1|))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-854 |#1|) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-854 |#1|) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-854 |#1|)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-854 |#1|)) NIL) (($ $) NIL (|has| |#2| (-559))) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-535 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-854 |#1|)) NIL) (($ $ (-635 (-854 |#1|))) NIL) (($ $ (-854 |#1|) (-765)) NIL) (($ $ (-635 (-854 |#1|)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-723 |#1| |#2|) (-952 |#2| (-535 (-854 |#1|)) (-854 |#1|)) (-635 (-1165)) (-1049)) (T -723)) 
+NIL 
+(-952 |#2| (-535 (-854 |#1|)) (-854 |#1|)) 
+((-1927 (((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|) 13)) (-2927 ((|#4| |#4| |#2|) 30)) (-2253 ((|#4| (-410 (-955 |#3|)) |#2|) 63)) (-2214 ((|#4| (-1161 (-955 |#3|)) |#2|) 76)) (-3729 ((|#4| (-1161 |#4|) |#2|) 49)) (-4453 ((|#4| |#4| |#2|) 52)) (-3139 (((-421 |#4|) |#4|) 38))) 
+(((-724 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1927 ((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|)) (-15 -4453 (|#4| |#4| |#2|)) (-15 -3729 (|#4| (-1161 |#4|) |#2|)) (-15 -2927 (|#4| |#4| |#2|)) (-15 -2214 (|#4| (-1161 (-955 |#3|)) |#2|)) (-15 -2253 (|#4| (-410 (-955 |#3|)) |#2|)) (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))) (-559) (-952 (-410 (-955 |#3|)) |#1| |#2|)) (T -724)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5)))) (-2253 (*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-5 *3 (-410 (-955 *6))) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))))) (-2214 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 (-955 *6))) (-4 *6 (-559)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))))) (-2927 (*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) (-3729 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)))) (-4453 (*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) (-1927 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -4288 (-955 *6)) (|:| -3790 (-955 *6)))) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5))))) 
+(-10 -7 (-15 -1927 ((-2 (|:| -4288 (-955 |#3|)) (|:| -3790 (-955 |#3|))) |#4|)) (-15 -4453 (|#4| |#4| |#2|)) (-15 -3729 (|#4| (-1161 |#4|) |#2|)) (-15 -2927 (|#4| |#4| |#2|)) (-15 -2214 (|#4| (-1161 (-955 |#3|)) |#2|)) (-15 -2253 (|#4| (-410 (-955 |#3|)) |#2|)) (-15 -3139 ((-421 |#4|) |#4|))) 
+((-3139 (((-421 |#4|) |#4|) 51))) 
+(((-725 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) (-790) (-844) (-13 (-302) (-151)) (-952 (-410 |#3|) |#1| |#2|)) (T -725)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-952 (-410 *6) *4 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4|))) 
+((-4188 (((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)) 18))) 
+(((-726 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)))) (-1049) (-1049) (-718)) (T -726)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-727 *5 *7)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *7 (-718)) (-5 *2 (-727 *6 *7)) (-5 *1 (-726 *5 *6 *7))))) 
+(-10 -7 (-15 -4188 ((-727 |#2| |#3|) (-1 |#2| |#1|) (-727 |#1| |#3|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 26)) (-3824 (((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $) 27)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) 20 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 55) (((-3 |#1| "failed") $) 58)) (-1321 ((|#2| $) NIL) ((|#1| $) NIL)) (-3373 (($ $) 75 (|has| |#2| (-844)))) (-2611 (((-3 $ "failed") $) 62)) (-3341 (($) 33 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 53)) (-2905 (((-635 $) $) 37)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| |#2|) 16)) (-4188 (($ (-1 |#1| |#1|) $) 52)) (-2862 (((-919) $) 30 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-3263 ((|#2| $) 74 (|has| |#2| (-844)))) (-3270 ((|#1| $) 73 (|has| |#2| (-844)))) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 25 (-12 (|has| |#2| (-371)) (|has| |#1| (-371))))) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 72) (($ (-569)) 44) (($ |#2|) 40) (($ |#1|) 41) (($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|)))) 11)) (-2894 (((-635 |#1|) $) 39)) (-3802 ((|#1| $ |#2|) 83)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 31 T CONST)) (-1326 (((-121) $ $) 76)) (-1377 (($ $) 46) (($ $ $) NIL)) (-1371 (($ $ $) 24)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 50) (($ $ $) 85) (($ |#1| $) 48 (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-727 |#1| |#2|) (-13 (-1049) (-1039 |#2|) (-1039 |#1|) (-10 -8 (-15 -3179 ($ |#1| |#2|)) (-15 -3802 (|#1| $ |#2|)) (-15 -3956 ($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))))) (-15 -3824 ((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -3052 ((-121) $)) (-15 -2894 ((-635 |#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-844)) (PROGN (-15 -3263 (|#2| $)) (-15 -3270 (|#1| $)) (-15 -3373 ($ $))) |noBranch|))) (-1049) (-718)) (T -727)) 
+((-3179 (*1 *1 *2 *3) (-12 (-5 *1 (-727 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-718)))) (-3802 (*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-718)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-4 *3 (-1049)) (-4 *4 (-718)) (-5 *1 (-727 *3 *4)))) (-3824 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-727 *3 *4)) (-4 *4 (-718)))) (-3052 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-2894 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-2905 (*1 *2 *1) (-12 (-5 *2 (-635 (-727 *3 *4))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-4118 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) (-3263 (*1 *2 *1) (-12 (-4 *2 (-718)) (-4 *2 (-844)) (-5 *1 (-727 *3 *2)) (-4 *3 (-1049)))) (-3270 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *3 (-718)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1049)) (-4 *3 (-718))))) 
+(-13 (-1049) (-1039 |#2|) (-1039 |#1|) (-10 -8 (-15 -3179 ($ |#1| |#2|)) (-15 -3802 (|#1| $ |#2|)) (-15 -3956 ($ (-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))))) (-15 -3824 ((-635 (-2 (|:| -3550 |#1|) (|:| -3558 |#2|))) $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (-15 -3052 ((-121) $)) (-15 -2894 ((-635 |#1|) $)) (-15 -2905 ((-635 $) $)) (-15 -4118 ((-765) $)) (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#2| (-844)) (PROGN (-15 -3263 (|#2| $)) (-15 -3270 (|#1| $)) (-15 -3373 ($ $))) |noBranch|))) 
+((-1310 (((-121) $ $) 18)) (-3577 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-2045 (($ $ $) 68)) (-3254 (((-121) $ $) 69)) (-3350 (((-121) $ (-765)) 8)) (-4414 (($ (-635 |#1|)) 64) (($) 63)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 65)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-2127 (($ $ |#1|) 67) (($ $ $) 66)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20)) (-1785 (($ (-635 |#1|)) 62) (($) 61)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 60)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-728 |#1|) (-1284) (-1093)) (T -728)) 
+NIL 
+(-13 (-686 |t#1|) (-1090 |t#1|)) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-686 |#1|) . T) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-3577 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 77)) (-2045 (($ $ $) 80)) (-3254 (((-121) $ $) 83)) (-3350 (((-121) $ (-765)) NIL)) (-4414 (($ (-635 |#1|)) 24) (($) 15)) (-1304 (($ (-1 (-121) |#1|) $) 71 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2938 (($ $) 72)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 61 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 64 (|has| $ (-6 -4571))) (($ |#1| $ (-569)) 62) (($ (-1 (-121) |#1|) $ (-569)) 65)) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (($ |#1| $ (-569)) 67) (($ (-1 (-121) |#1|) $ (-569)) 68)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 32 (|has| $ (-6 -4571)))) (-2937 (($) 13) (($ |#1|) 26) (($ (-635 |#1|)) 21)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) 38)) (-3016 (((-121) |#1| $) 57 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 75 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 76)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 78)) (-4496 ((|#1| $) 54)) (-2351 (($ |#1| $) 55) (($ |#1| $ (-765)) 73)) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2166 ((|#1| $) 53)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 49)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 47)) (-2127 (($ $ |#1|) NIL) (($ $ $) 79)) (-1353 (($) 14) (($ (-635 |#1|)) 23)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) 60 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 66)) (-4035 (((-542) $) 36 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 20)) (-3956 (((-852) $) 44)) (-1785 (($ (-635 |#1|)) 25) (($) 16)) (-1753 (($ (-635 |#1|)) 22)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 81)) (-1337 (((-121) $ $) 82)) (-2946 (((-765) $) 59 (|has| $ (-6 -4571))))) 
+(((-729 |#1|) (-13 (-728 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2937 ($)) (-15 -2937 ($ |#1|)) (-15 -2937 ($ (-635 |#1|))) (-15 -4457 ((-635 |#1|) $)) (-15 -3503 ($ |#1| $ (-569))) (-15 -3503 ($ (-1 (-121) |#1|) $ (-569))) (-15 -2006 ($ |#1| $ (-569))) (-15 -2006 ($ (-1 (-121) |#1|) $ (-569))))) (-1093)) (T -729)) 
+((-2937 (*1 *1) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2937 (*1 *1 *2) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2937 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-729 *3)))) (-4457 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-729 *3)) (-4 *3 (-1093)))) (-3503 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-3503 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) (-2006 (*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) (-2006 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4))))) 
+(-13 (-728 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -2937 ($)) (-15 -2937 ($ |#1|)) (-15 -2937 ($ (-635 |#1|))) (-15 -4457 ((-635 |#1|) $)) (-15 -3503 ($ |#1| $ (-569))) (-15 -3503 ($ (-1 (-121) |#1|) $ (-569))) (-15 -2006 ($ |#1| $ (-569))) (-15 -2006 ($ (-1 (-121) |#1|) $ (-569))))) 
+((-1758 (((-1258) (-1147)) 8))) 
+(((-730) (-10 -7 (-15 -1758 ((-1258) (-1147))))) (T -730)) 
+((-1758 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-730))))) 
+(-10 -7 (-15 -1758 ((-1258) (-1147)))) 
+((-4331 (((-635 |#1|) (-635 |#1|) (-635 |#1|)) 10))) 
+(((-731 |#1|) (-10 -7 (-15 -4331 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) (-844)) (T -731)) 
+((-4331 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-731 *3))))) 
+(-10 -7 (-15 -4331 ((-635 |#1|) (-635 |#1|) (-635 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#2|) $) 134)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 127 (|has| |#1| (-559)))) (-2915 (($ $) 126 (|has| |#1| (-559)))) (-2735 (((-121) $) 124 (|has| |#1| (-559)))) (-3544 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 66 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 65 (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 82 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 67 (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 68 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3373 (($ $) 118)) (-2611 (((-3 $ "failed") $) 33)) (-2849 (((-955 |#1|) $ (-765)) 96) (((-955 |#1|) $ (-765) (-765)) 95)) (-2641 (((-121) $) 135)) (-3415 (($) 93 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ |#2|) 98) (((-765) $ |#2| (-765)) 97)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 64 (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) 116)) (-3179 (($ $ (-635 |#2|) (-635 (-535 |#2|))) 133) (($ $ |#2| (-535 |#2|)) 132) (($ |#1| (-535 |#2|)) 117) (($ $ |#2| (-765)) 100) (($ $ (-635 |#2|) (-635 (-765))) 99)) (-4188 (($ (-1 |#1| |#1|) $) 115)) (-3597 (($ $) 90 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 113)) (-3270 ((|#1| $) 112)) (-2605 (((-1147) $) 9)) (-1324 (($ $ |#2|) 94 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) 10)) (-3803 (($ $ (-765)) 101)) (-1436 (((-3 $ "failed") $ $) 128 (|has| |#1| (-559)))) (-3408 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 108) (($ $ (-635 (-289 $))) 107) (($ $ (-289 $)) 106) (($ $ $ $) 105) (($ $ (-635 $) (-635 $)) 104)) (-3289 (($ $ |#2|) 41) (($ $ (-635 |#2|)) 40) (($ $ |#2| (-765)) 39) (($ $ (-635 |#2|) (-635 (-765))) 38)) (-2284 (((-535 |#2|) $) 114)) (-3565 (($ $) 80 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 69 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 70 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 78 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 71 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 136)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 131 (|has| |#1| (-173))) (($ $) 129 (|has| |#1| (-559))) (($ (-410 (-569))) 121 (|has| |#1| (-43 (-410 (-569)))))) (-3802 ((|#1| $ (-535 |#2|)) 119) (($ $ |#2| (-765)) 103) (($ $ (-635 |#2|) (-635 (-765))) 102)) (-2277 (((-3 $ "failed") $) 130 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-3585 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 77 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 125 (|has| |#1| (-559)))) (-3572 (($ $) 88 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 76 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 75 (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) 86 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 74 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 84 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#2|) 37) (($ $ (-635 |#2|)) 36) (($ $ |#2| (-765)) 35) (($ $ (-635 |#2|) (-635 (-765))) 34)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 120 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ $) 92 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 63 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 123 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 122 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 111) (($ $ |#1|) 110))) 
+(((-732 |#1| |#2|) (-1284) (-1049) (-844)) (T -732)) 
+((-3802 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-4433 (*1 *2 *1 *3) (-12 (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *2 (-765)))) (-4433 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)))) (-2849 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) (-2849 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) (-1324 (*1 *1 *1 *2) (-12 (-4 *1 (-732 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)) (-4 *3 (-43 (-410 (-569))))))) 
+(-13 (-897 |t#2|) (-976 |t#1| (-535 |t#2|) |t#2|) (-524 |t#2| $) (-304 $) (-10 -8 (-15 -3802 ($ $ |t#2| (-765))) (-15 -3802 ($ $ (-635 |t#2|) (-635 (-765)))) (-15 -3803 ($ $ (-765))) (-15 -3179 ($ $ |t#2| (-765))) (-15 -3179 ($ $ (-635 |t#2|) (-635 (-765)))) (-15 -4433 ((-765) $ |t#2|)) (-15 -4433 ((-765) $ |t#2| (-765))) (-15 -2849 ((-955 |t#1|) $ (-765))) (-15 -2849 ((-955 |t#1|) $ (-765) (-765))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |t#2|)) (-6 (-1004)) (-6 (-1185))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-535 |#2|)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-286) |has| |#1| (-559)) ((-304 $) . T) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 |#2| $) . T) ((-524 $ $) . T) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 |#2|) . T) ((-976 |#1| (-535 |#2|) |#2|) . T) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569))))) 
+((-3139 (((-421 (-1161 |#4|)) (-1161 |#4|)) 28) (((-421 |#4|) |#4|) 24))) 
+(((-733 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) (-844) (-790) (-13 (-302) (-151)) (-952 |#3| |#2| |#1|)) (T -733)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
+(-10 -7 (-15 -3139 ((-421 |#4|) |#4|)) (-15 -3139 ((-421 (-1161 |#4|)) (-1161 |#4|)))) 
+((-2919 (((-421 |#4|) |#4| |#2|) 116)) (-3540 (((-421 |#4|) |#4|) NIL)) (-3742 (((-421 (-1161 |#4|)) (-1161 |#4|)) 107) (((-421 |#4|) |#4|) 38)) (-3736 (((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 65)) (-4178 (((-1161 |#3|) (-1161 |#3|) (-569)) 133)) (-1567 (((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765)) 58)) (-2786 (((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|)) 62)) (-2536 (((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|))) 22)) (-2555 (((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569)) 54)) (-2739 (((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) 130)) (-1510 ((|#4| (-569) (-421 |#4|)) 55)) (-4370 (((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) NIL))) 
+(((-734 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3742 ((-421 |#4|) |#4|)) (-15 -3742 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -3540 ((-421 |#4|) |#4|)) (-15 -2739 ((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2919 ((-421 |#4|) |#4| |#2|)) (-15 -2555 ((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569))) (-15 -3736 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2536 ((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1510 (|#4| (-569) (-421 |#4|))) (-15 -4370 ((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2786 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|))) (-15 -1567 ((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765))) (-15 -4178 ((-1161 |#3|) (-1161 |#3|) (-569)))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -734)) 
+((-4178 (*1 *2 *2 *3) (-12 (-5 *2 (-1161 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-1567 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-4 *8 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *5 (-765)))) (-2786 (*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1161 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-765))) (-5 *8 (-635 *11)) (-4 *10 (-844)) (-4 *11 (-302)) (-4 *9 (-790)) (-4 *5 (-952 *11 *9 *10)) (-5 *2 (-635 (-1161 *5))) (-5 *1 (-734 *9 *10 *11 *5)) (-5 *3 (-1161 *5)))) (-4370 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-1510 (*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-952 *7 *5 *6)) (-5 *1 (-734 *5 *6 *7 *2)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-302)))) (-2536 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |upol| (-1161 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 *8)) (|:| -3190 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-734 *6 *7 *8 *9)))) (-3736 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *6 (-790)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 *9)) (|:| -3190 (-569))))))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)))) (-2555 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| -2665 (-1161 *9)) (|:| |polval| (-1161 *8)))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)) (-5 *4 (-1161 *8)))) (-2919 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) (-2739 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-3540 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5)))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-734 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5))))) 
+(-10 -7 (-15 -3742 ((-421 |#4|) |#4|)) (-15 -3742 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -3540 ((-421 |#4|) |#4|)) (-15 -2739 ((-569) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2919 ((-421 |#4|) |#4| |#2|)) (-15 -2555 ((-2 (|:| -2665 (-1161 |#4|)) (|:| |polval| (-1161 |#3|))) (-1161 |#4|) (-1161 |#3|) (-569))) (-15 -3736 ((-2 (|:| |unitPart| |#4|) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 |#4|)) (|:| -3190 (-569)))))) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -2536 ((-2 (|:| |upol| (-1161 |#3|)) (|:| |Lval| (-635 |#3|)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569))))) (|:| |ctpol| |#3|)) (-1161 |#4|) (-635 |#2|) (-635 (-635 |#3|)))) (-15 -1510 (|#4| (-569) (-421 |#4|))) (-15 -4370 ((-121) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))) (-635 (-2 (|:| -3139 (-1161 |#3|)) (|:| -3190 (-569)))))) (-15 -2786 ((-3 (-635 (-1161 |#4|)) "failed") (-1161 |#4|) (-1161 |#3|) (-1161 |#3|) |#4| (-635 |#2|) (-635 (-765)) (-635 |#3|))) (-15 -1567 ((-635 (-765)) (-1161 |#4|) (-635 |#2|) (-765))) (-15 -4178 ((-1161 |#3|) (-1161 |#3|) (-569)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-3132 (((-410 (-1161 $)) $ (-608 $)) NIL (|has| |#2| (-559)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-4320 (((-635 (-608 $)) $) NIL)) (-1998 (($ $ (-1085 $)) NIL) (($ $ (-1165)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2505 (($ $ (-289 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL)) (-2710 (($ $) NIL (|has| |#2| (-559)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-559)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-608 $) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-955 |#2|)) "failed") $) NIL (|has| |#2| (-559))) (((-3 (-955 |#2|) "failed") $) NIL (|has| |#2| (-1049))) (((-3 (-736 |#1| |#2|) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (-1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-1321 (((-608 $) $) NIL) (((-1165) $) NIL) ((|#2| $) NIL) (((-410 (-955 |#2|)) $) 20 (|has| |#2| (-559))) (((-955 |#2|) $) 26 (|has| |#2| (-1049))) (((-736 |#1| |#2|) $) 27) (((-569) $) NIL) (((-410 (-736 |#1| |#2|)) $) 25) (((-410 (-569)) $) NIL (-1929 (-12 (|has| |#2| (-559)) (|has| |#2| (-1039 (-569)))) (|has| |#2| (-1039 (-410 (-569))))))) (-1614 (($ $ $) NIL (|has| |#2| (-559)))) (-3435 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049))))) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-559)))) (-1419 (($ $ (-1085 $)) NIL) (($ $ (-1165)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-559)))) (-2005 (((-121) $) NIL (|has| |#2| (-559)))) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#2| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#2| (-883 (-382))))) (-2674 (($ $) NIL) (($ (-635 $)) NIL)) (-1367 (((-635 (-123)) $) NIL)) (-1344 (((-123) (-123)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-3043 (($ $) NIL)) (-3515 (((-1116 |#2| (-608 $)) $) NIL (|has| |#2| (-1049)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-2387 (((-1161 $) (-608 $)) NIL (|has| $ (-1049)))) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4188 (($ (-1 $ $) (-608 $)) NIL)) (-3277 (((-3 (-608 $) "failed") $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2605 (((-1147) $) NIL)) (-3121 (((-635 (-608 $)) $) NIL)) (-3529 (($ (-123) $) NIL) (($ (-123) (-635 $)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-1105)))) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 (-569))) "failed") $) NIL (|has| |#2| (-1049)))) (-2085 (((-3 (-635 $) "failed") $) NIL (|has| |#2| (-25)))) (-1417 (((-3 (-2 (|:| -3550 (-569)) (|:| |var| (-608 $))) "failed") $) NIL (|has| |#2| (-25)))) (-2601 (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $) NIL (|has| |#2| (-1105))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-123)) NIL (|has| |#2| (-1049))) (((-3 (-2 (|:| |var| (-608 $)) (|:| -3190 (-569))) "failed") $ (-1165)) NIL (|has| |#2| (-1049)))) (-3845 (((-121) $ (-123)) NIL) (((-121) $ (-1165)) NIL)) (-3243 (($ $) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-1468 (((-765) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-559)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-559))) (($ $ $) NIL (|has| |#2| (-559)))) (-2400 (((-121) $ $) NIL) (((-121) $ (-1165)) NIL)) (-1389 (($ $ (-1165)) NIL) (($ $) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL (|has| |#2| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-559))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-559)))) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-559)))) (-3912 (((-121) $) NIL (|has| $ (-1039 (-569))))) (-1484 (($ $ (-608 $) $) NIL) (($ $ (-635 (-608 $)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-1165)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-1165) (-1 $ (-635 $))) NIL) (($ $ (-1165) (-1 $ $)) NIL) (($ $ (-635 (-123)) (-635 (-1 $ $))) NIL) (($ $ (-635 (-123)) (-635 (-1 $ (-635 $)))) NIL) (($ $ (-123) (-1 $ (-635 $))) NIL) (($ $ (-123) (-1 $ $)) NIL) (($ $ (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-610 (-542)))) (($ $) NIL (|has| |#2| (-610 (-542)))) (($ $ (-123) $ (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-123)) (-635 $) (-1165)) NIL (|has| |#2| (-610 (-542)))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ $))) NIL (|has| |#2| (-1049))) (($ $ (-635 (-1165)) (-635 (-765)) (-635 (-1 $ (-635 $)))) NIL (|has| |#2| (-1049))) (($ $ (-1165) (-765) (-1 $ (-635 $))) NIL (|has| |#2| (-1049))) (($ $ (-1165) (-765) (-1 $ $)) NIL (|has| |#2| (-1049)))) (-2061 (((-765) $) NIL (|has| |#2| (-559)))) (-2503 (($ (-123) $) NIL) (($ (-123) $ $) NIL) (($ (-123) $ $ $) NIL) (($ (-123) $ $ $ $) NIL) (($ (-123) (-635 $)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2454 (($ $) NIL) (($ $ $) NIL)) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-2572 (($ $) NIL)) (-3524 (((-1116 |#2| (-608 $)) $) NIL (|has| |#2| (-559)))) (-3036 (($ $) NIL (|has| $ (-1049)))) (-4035 (((-889 (-569)) $) NIL (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#2| (-610 (-889 (-382))))) (($ (-421 $)) NIL (|has| |#2| (-559))) (((-542) $) NIL (|has| |#2| (-610 (-542))))) (-3980 (($ $ $) NIL (|has| |#2| (-479)))) (-2689 (($ $ $) NIL (|has| |#2| (-479)))) (-3956 (((-852) $) NIL) (($ (-608 $)) NIL) (($ (-1165)) NIL) (($ |#2|) NIL) (($ (-1116 |#2| (-608 $))) NIL (|has| |#2| (-1049))) (($ (-410 |#2|)) NIL (|has| |#2| (-559))) (($ (-955 (-410 |#2|))) NIL (|has| |#2| (-559))) (($ (-410 (-955 (-410 |#2|)))) NIL (|has| |#2| (-559))) (($ (-410 (-955 |#2|))) NIL (|has| |#2| (-559))) (($ (-955 |#2|)) NIL (|has| |#2| (-1049))) (($ $) NIL) (($ (-569)) NIL) (($ (-736 |#1| |#2|)) NIL) (($ (-410 (-736 |#1| |#2|))) 35) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-559)) (|has| |#2| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#2| (-149)))) (-2320 (((-765)) NIL)) (-2856 (($ $) NIL) (($ (-635 $)) NIL)) (-4196 (($ $ $) NIL)) (-3791 (((-121) (-123)) NIL)) (-2909 (((-121) $ $) NIL)) (-3207 (($ (-1165) $) NIL) (($ (-1165) $ $) NIL) (($ (-1165) $ $ $) NIL) (($ (-1165) $ $ $ $) NIL) (($ (-1165) (-635 $)) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1383 (($ (-1116 |#2| (-608 $)) (-1116 |#2| (-608 $))) NIL (|has| |#2| (-559))) (($ $ $) NIL)) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ $) NIL) (($ $ (-569)) NIL (-1929 (|has| |#2| (-479)) (|has| |#2| (-559))))) (* (($ (-410 (-569)) $) NIL (|has| |#2| (-559))) (($ $ (-410 (-569))) NIL (|has| |#2| (-559))) (($ |#2| $) NIL (|has| |#2| (-173))) (($ $ |#2|) NIL (|has| |#2| (-173))) (($ $ $) NIL) (($ (-569) $) NIL) (($ (-765) $) NIL) (($ (-919) $) NIL))) 
+(((-735 |#1| |#2|) (-13 (-433 |#2|) (-559) (-1039 (-736 |#1| |#2|)) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)) (-15 -3956 ($ (-410 (-736 |#1| |#2|)))) (-15 -1321 ((-410 (-736 |#1| |#2|)) $)))) (-1165) (-13 (-1049) (-844) (-559))) (T -735)) 
+((-3249 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-1383 (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-3043 (*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-2572 (*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-736 *3 *4))) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))) (-5 *1 (-735 *3 *4)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-410 (-736 *3 *4))) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559)))))) 
+(-13 (-433 |#2|) (-559) (-1039 (-736 |#1| |#2|)) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $)) (-15 -3956 ($ (-410 (-736 |#1| |#2|)))) (-15 -1321 ((-410 (-736 |#1| |#2|)) $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#2|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#2|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#2| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-1077) $) 22) (((-1165) $) 23)) (-3673 (($ $ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#2| (-559)))) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-3187 (($ (-1161 |#2|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 17) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3071 (((-1161 |#2|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-4259 (($ $ (-765) |#2| $) NIL)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) NIL) (($ $ (-635 (-1077)) (-635 |#2|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#2|) 26) (($ (-1077)) NIL) (($ (-1249 |#1|)) 20) (($ (-955 |#2|)) 34) (($ (-1165)) 18) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-736 |#1| |#2|) (-13 (-1228 |#2|) (-10 -8 (-6 (-1039 (-1165))) (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)) (IF (|has| |#2| (-15 -3132 ((-1161 |#2|) |#2| (-1165)))) (-15 -3956 ($ |#2|)) |noBranch|) (-15 -3956 ($ (-955 |#2|))))) (-1165) (-1049)) (T -736)) 
+((-3956 (*1 *1 *2) (-12 (-5 *1 (-736 *3 *2)) (-14 *3 (-1165)) (-4 *2 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-736 *3 *4)) (-4 *4 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-736 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *4)) (-4 *4 (-1049)) (-5 *1 (-736 *3 *4)) (-14 *3 (-1165))))) 
+(-13 (-1228 |#2|) (-10 -8 (-6 (-1039 (-1165))) (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)) (IF (|has| |#2| (-15 -3132 ((-1161 |#2|) |#2| (-1165)))) (-15 -3956 ($ |#2|)) |noBranch|) (-15 -3956 ($ (-955 |#2|))))) 
+((-2073 (($ $ (-919)) 12))) 
+(((-737 |#1| |#2|) (-10 -8 (-15 -2073 (|#1| |#1| (-919)))) (-738 |#2|) (-173)) (T -737)) 
+NIL 
+(-10 -8 (-15 -2073 (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4382 (($ $ (-919)) 27)) (-2073 (($ $ (-919)) 32)) (-2846 (($ $ (-919)) 28)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26) (($ $ |#1|) 34) (($ |#1| $) 33))) 
+(((-738 |#1|) (-1284) (-173)) (T -738)) 
+((-2073 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-738 *3)) (-4 *3 (-173))))) 
+(-13 (-755) (-709 |t#1|) (-10 -8 (-15 -2073 ($ $ (-919))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-712) . T) ((-755) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-3269 (((-1037) (-681 (-216)) (-569) (-121) (-569)) 24)) (-3276 (((-1037) (-681 (-216)) (-569) (-121) (-569)) 23))) 
+(((-739) (-10 -7 (-15 -3276 ((-1037) (-681 (-216)) (-569) (-121) (-569))) (-15 -3269 ((-1037) (-681 (-216)) (-569) (-121) (-569))))) (T -739)) 
+((-3269 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739)))) (-3276 (*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
+(-10 -7 (-15 -3276 ((-1037) (-681 (-216)) (-569) (-121) (-569))) (-15 -3269 ((-1037) (-681 (-216)) (-569) (-121) (-569)))) 
+((-3290 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) 43)) (-2274 (((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) 39)) (-2280 (((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 32))) 
+(((-740) (-10 -7 (-15 -2280 ((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2274 ((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -3290 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN))))))) (T -740)) 
+((-3290 (*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740)))) (-2274 (*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740)))) (-2280 (*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
+(-10 -7 (-15 -2280 ((-1037) (-216) (-216) (-216) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2274 ((-1037) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN))))) (-15 -3290 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))))) 
+((-2286 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 33)) (-2292 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 32)) (-2299 (((-1037) (-569) (-681 (-216)) (-569)) 31)) (-2305 (((-1037) (-569) (-681 (-216)) (-569)) 30)) (-2311 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 29)) (-2317 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-2323 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569)) 27)) (-2329 (((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569)) 26)) (-2335 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 23)) (-2341 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 22)) (-2347 (((-1037) (-569) (-681 (-216)) (-569)) 21)) (-2353 (((-1037) (-569) (-681 (-216)) (-569)) 20))) 
+(((-741) (-10 -7 (-15 -2353 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2347 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2341 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2335 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2329 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2323 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2317 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2311 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2305 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2299 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2292 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -2286 ((-1037) (-569) (-569) (-681 (-216)) (-569))))) (T -741)) 
+((-2286 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2292 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2299 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2305 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2311 (*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2317 (*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2323 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2329 (*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2335 (*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2341 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2347 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741)))) (-2353 (*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(-10 -7 (-15 -2353 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2347 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2341 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2335 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2329 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2323 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2317 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2311 ((-1037) (-569) (-569) (-1147) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2305 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2299 ((-1037) (-569) (-681 (-216)) (-569))) (-15 -2292 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -2286 ((-1037) (-569) (-569) (-681 (-216)) (-569)))) 
+((-3458 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 52)) (-3464 (((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569)) 51)) (-3471 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) 50)) (-3477 (((-1037) (-216) (-216) (-569) (-569) (-569) (-569)) 46)) (-3482 (((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 45)) (-2531 (((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 44)) (-2543 (((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 43)) (-2558 (((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) 42)) (-2565 (((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 38)) (-2571 (((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 37)) (-2584 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 33)) (-2597 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) 32))) 
+(((-742) (-10 -7 (-15 -2597 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2584 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2571 ((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2565 ((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2558 ((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2543 ((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2531 ((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3482 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3477 ((-1037) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3471 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3464 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569))) (-15 -3458 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))))) (T -742)) 
+((-3458 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3464 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3471 (*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3477 (*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-3482 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2531 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2543 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2558 (*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2565 (*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2571 (*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2584 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742)))) (-2597 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(-10 -7 (-15 -2597 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2584 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2571 ((-1037) (-216) (-216) (-569) (-681 (-216)) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2565 ((-1037) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647))))) (-15 -2558 ((-1037) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2543 ((-1037) (-216) (-216) (-216) (-216) (-569) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -2531 ((-1037) (-216) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3482 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G))))) (-15 -3477 ((-1037) (-216) (-216) (-569) (-569) (-569) (-569))) (-15 -3471 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN))))) (-15 -3464 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-569))) (-15 -3458 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-216) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))))) 
+((-3495 (((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) 76)) (-3501 (((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391)) 69) (((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) 68)) (-3508 (((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) 57)) (-3514 (((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 50)) (-3521 (((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 49)) (-2142 (((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 45)) (-2148 (((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) 42)) (-2154 (((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) 38))) 
+(((-743) (-10 -7 (-15 -2154 ((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -2148 ((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -2142 ((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3521 ((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3514 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3508 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3495 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP))))))) (T -743)) 
+((-3495 (*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3501 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3501 (*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3508 (*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3514 (*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1037)) (-5 *1 (-743)))) (-3521 (*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2142 (*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2148 (*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743)))) (-2154 (*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(-10 -7 (-15 -2154 ((-1037) (-216) (-569) (-569) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -2148 ((-1037) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -2142 ((-1037) (-216) (-569) (-569) (-216) (-1147) (-216) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3521 ((-1037) (-216) (-569) (-569) (-1147) (-569) (-216) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G))) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV))) (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT))))) (-15 -3514 ((-1037) (-681 (-216)) (-681 (-216)) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN))))) (-15 -3508 ((-1037) (-216) (-216) (-569) (-216) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))))) (-15 -3501 ((-1037) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL))) (-391) (-391))) (-15 -3495 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS))) (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))))) 
+((-2186 (((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)) 45)) (-2192 (((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) 41)) (-2199 (((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 23))) 
+(((-744) (-10 -7 (-15 -2199 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2192 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -2186 ((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569))))) (T -744)) 
+((-2186 (*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-744)))) (-2192 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1037)) (-5 *1 (-744)))) (-2199 (*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
+(-10 -7 (-15 -2199 ((-1037) (-569) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2192 ((-1037) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-1147) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF))) (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY))))) (-15 -2186 ((-1037) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-667 (-216)) (-569)))) 
+((-3560 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569)) 35)) (-3317 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569)) 34)) (-3218 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569)) 33)) (-3323 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 29)) (-3329 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-3334 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569)) 27)) (-3340 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569)) 23)) (-3346 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569)) 22)) (-3351 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 21)) (-3356 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 20))) 
+(((-745) (-10 -7 (-15 -3356 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3351 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3346 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3340 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3334 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3329 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3323 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3218 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3317 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -3560 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569))))) (T -745)) 
+((-3560 (*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3317 (*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3218 (*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3323 (*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3329 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3334 (*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3340 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3346 (*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3351 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745)))) (-3356 (*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(-10 -7 (-15 -3356 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3351 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3346 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3340 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -3334 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3329 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3323 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3218 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-681 (-216)) (-216) (-216) (-569))) (-15 -3317 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-216) (-216) (-569))) (-15 -3560 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-681 (-216)) (-216) (-216) (-569)))) 
+((-3361 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 45)) (-3365 (((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569)) 44)) (-3371 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)) 43)) (-3377 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 42)) (-3383 (((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569)) 41)) (-3388 (((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569)) 40)) (-3395 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569)) 39)) (-3401 (((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569))) 38)) (-3406 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569)) 35)) (-1683 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569)) 34)) (-1689 (((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569)) 33)) (-1695 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 32)) (-1701 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569)) 31)) (-1708 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569)) 30)) (-2160 (((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-2517 (((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569)) 28)) (-3255 (((-1037) (-569) (-681 (-216)) (-216) (-569)) 24)) (-3283 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 20))) 
+(((-746) (-10 -7 (-15 -3283 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3255 ((-1037) (-569) (-681 (-216)) (-216) (-569))) (-15 -2517 ((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569))) (-15 -2160 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -1708 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -1701 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569))) (-15 -1695 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1689 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569))) (-15 -1683 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569))) (-15 -3406 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3401 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)))) (-15 -3395 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569))) (-15 -3388 ((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -3383 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3377 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3371 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3365 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3361 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))))) (T -746)) 
+((-3361 (*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3365 (*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3371 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3377 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3383 (*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3388 (*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3395 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3401 (*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3406 (*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1683 (*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1689 (*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1695 (*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1701 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-1708 (*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-2160 (*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-2517 (*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3255 (*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746)))) (-3283 (*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(-10 -7 (-15 -3283 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3255 ((-1037) (-569) (-681 (-216)) (-216) (-569))) (-15 -2517 ((-1037) (-569) (-569) (-569) (-216) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-569)) (-569) (-569) (-569))) (-15 -2160 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -1708 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569) (-569) (-569))) (-15 -1701 ((-1037) (-569) (-216) (-216) (-681 (-216)) (-569) (-569) (-216) (-569))) (-15 -1695 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1689 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569))) (-15 -1683 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569))) (-15 -3406 ((-1037) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3401 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)))) (-15 -3395 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569) (-569) (-569) (-216) (-681 (-216)) (-569))) (-15 -3388 ((-1037) (-1147) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -3383 ((-1037) (-1147) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3377 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3371 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569))) (-15 -3365 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-569))) (-15 -3361 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569) (-681 (-216)) (-681 (-216)) (-569) (-569) (-569)))) 
+((-1714 (((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569)) 63)) (-1720 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 62)) (-1726 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) 58)) (-1732 (((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569)) 51)) (-1739 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) 50)) (-1745 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) 46)) (-1751 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) 42)) (-1757 (((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) 38))) 
+(((-747) (-10 -7 (-15 -1757 ((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1751 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -1745 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -1739 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -1732 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569))) (-15 -1726 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -1720 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1714 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569))))) (T -747)) 
+((-1714 (*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1720 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1726 (*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-121)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1732 (*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1739 (*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1745 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1751 (*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1037)) (-5 *1 (-747)))) (-1757 (*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(-10 -7 (-15 -1757 ((-1037) (-569) (-216) (-216) (-569) (-216) (-121) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1751 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1))))) (-15 -1745 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2))))) (-15 -1739 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1))))) (-15 -1732 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-569) (-569) (-681 (-216)) (-569))) (-15 -1726 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-216) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-121) (-121) (-121) (-569) (-569) (-681 (-216)) (-681 (-569)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS))))) (-15 -1720 ((-1037) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-569) (-121) (-216) (-569) (-216) (-216) (-121) (-216) (-216) (-216) (-216) (-121) (-569) (-569) (-569) (-569) (-569) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-569) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN))) (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN))))) (-15 -1714 ((-1037) (-569) (-569) (-569) (-216) (-681 (-216)) (-569) (-681 (-216)) (-569)))) 
+((-1764 (((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)) 46)) (-1770 (((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569)) 45)) (-1778 (((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569)) 44)) (-1784 (((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 40)) (-1791 (((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569)) 39)) (-1798 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-569)) 36)) (-1805 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569)) 35)) (-1812 (((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569)) 34)) (-1819 (((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569)) 33)) (-1826 (((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569)) 32))) 
+(((-748) (-10 -7 (-15 -1826 ((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569))) (-15 -1819 ((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569))) (-15 -1812 ((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569))) (-15 -1805 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569))) (-15 -1798 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1791 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569))) (-15 -1784 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1778 ((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1770 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1764 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569))))) (T -748)) 
+((-1764 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1770 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1778 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1784 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1791 (*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1798 (*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1805 (*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1812 (*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1819 (*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-681 (-569))) (-5 *5 (-121)) (-5 *7 (-681 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-748)))) (-1826 (*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-681 (-216))) (-5 *8 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(-10 -7 (-15 -1826 ((-1037) (-569) (-569) (-569) (-569) (-216) (-121) (-121) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-569))) (-15 -1819 ((-1037) (-569) (-569) (-569) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-681 (-569)) (-121) (-216) (-121) (-681 (-569)) (-681 (-216)) (-569))) (-15 -1812 ((-1037) (-569) (-569) (-569) (-569) (-635 (-121)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-216) (-216) (-569))) (-15 -1805 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569))) (-15 -1798 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1791 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)) (-569))) (-15 -1784 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1778 ((-1037) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1770 ((-1037) (-1147) (-1147) (-569) (-569) (-681 (-170 (-216))) (-569) (-681 (-170 (-216))) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -1764 ((-1037) (-1147) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)))) 
+((-2809 (((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)) 64)) (-2815 (((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569)) 60)) (-2821 (((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391)) 56) (((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) 55)) (-2828 (((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569)) 37)) (-2835 (((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569)) 33)) (-2841 (((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569)) 29)) (-1490 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 28)) (-1496 (((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 27)) (-1503 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 26)) (-1509 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569)) 25)) (-1520 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 24)) (-1526 (((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 23)) (-1532 (((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569)) 22)) (-1538 (((-1037) (-681 (-216)) (-569) (-569) (-569) (-569)) 21)) (-1544 (((-1037) (-569) (-569) (-681 (-216)) (-569)) 20))) 
+(((-749) (-10 -7 (-15 -1544 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1538 ((-1037) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -1532 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1526 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1520 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1509 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1503 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1496 ((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1490 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2841 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2835 ((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569))) (-15 -2828 ((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2815 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2809 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569))))) (T -749)) 
+((-2809 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2815 (*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2821 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2821 (*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2828 (*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2835 (*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-2841 (*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1490 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1496 (*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1503 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1509 (*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1520 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1526 (*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1532 (*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1538 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749)))) (-1544 (*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(-10 -7 (-15 -1544 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1538 ((-1037) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -1532 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1526 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1520 ((-1037) (-569) (-569) (-681 (-216)) (-569))) (-15 -1509 ((-1037) (-569) (-569) (-569) (-569) (-681 (-216)) (-569))) (-15 -1503 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1496 ((-1037) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -1490 ((-1037) (-569) (-569) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2841 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569) (-569))) (-15 -2835 ((-1037) (-569) (-569) (-216) (-216) (-569) (-569) (-681 (-216)) (-569))) (-15 -2828 ((-1037) (-569) (-569) (-569) (-216) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))))) (-15 -2821 ((-1037) (-569) (-569) (-216) (-569) (-569) (-569) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT))) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE))) (-391))) (-15 -2815 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2809 ((-1037) (-569) (-569) (-569) (-569) (-569) (-121) (-569) (-121) (-569) (-681 (-170 (-216))) (-681 (-170 (-216))) (-569)))) 
+((-2639 (((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) 60)) (-2645 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569)) 56)) (-2652 (((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) 55)) (-2660 (((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569)) 36)) (-2666 (((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569)) 35)) (-2672 (((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569)) 31)) (-2680 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216))) 30)) (-2687 (((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569)) 26)) (-2695 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569)) 25)) (-2707 (((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569)) 24)) (-2717 (((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569)) 20))) 
+(((-750) (-10 -7 (-15 -2717 ((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -2707 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2695 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2687 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569))) (-15 -2680 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)))) (-15 -2672 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2666 ((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2660 ((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -2652 ((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -2645 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -2639 ((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD))))))) (T -750)) 
+((-2639 (*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2645 (*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2652 (*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2660 (*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2666 (*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2672 (*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2680 (*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2687 (*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2695 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2707 (*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750)))) (-2717 (*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(-10 -7 (-15 -2717 ((-1037) (-569) (-681 (-170 (-216))) (-569) (-569) (-569) (-569) (-681 (-170 (-216))) (-569))) (-15 -2707 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2695 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-569))) (-15 -2687 ((-1037) (-681 (-216)) (-569) (-681 (-216)) (-569) (-569) (-569))) (-15 -2680 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-569)) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)))) (-15 -2672 ((-1037) (-569) (-569) (-681 (-216)) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2666 ((-1037) (-569) (-569) (-569) (-216) (-569) (-681 (-216)) (-681 (-216)) (-569))) (-15 -2660 ((-1037) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-569)) (-681 (-216)) (-681 (-569)) (-681 (-569)) (-681 (-216)) (-681 (-216)) (-681 (-569)) (-569))) (-15 -2652 ((-1037) (-569) (-681 (-216)) (-121) (-216) (-569) (-569) (-569) (-569) (-216) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD))) (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE))))) (-15 -2645 ((-1037) (-569) (-681 (-216)) (-569) (-681 (-216)) (-681 (-569)) (-569) (-681 (-216)) (-569) (-569) (-569) (-569))) (-15 -2639 ((-1037) (-569) (-569) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-681 (-216)) (-569) (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))))) 
+((-2758 (((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216))) 28)) (-2764 (((-1037) (-1147) (-569) (-569) (-681 (-216))) 27)) (-2770 (((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216))) 26)) (-2777 (((-1037) (-569) (-569) (-569) (-681 (-216))) 20))) 
+(((-751) (-10 -7 (-15 -2777 ((-1037) (-569) (-569) (-569) (-681 (-216)))) (-15 -2770 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216)))) (-15 -2764 ((-1037) (-1147) (-569) (-569) (-681 (-216)))) (-15 -2758 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216)))))) (T -751)) 
+((-2758 (*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2764 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2770 (*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-751)))) (-2777 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
+(-10 -7 (-15 -2777 ((-1037) (-569) (-569) (-569) (-681 (-216)))) (-15 -2770 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-681 (-569)) (-569) (-681 (-216)))) (-15 -2764 ((-1037) (-1147) (-569) (-569) (-681 (-216)))) (-15 -2758 ((-1037) (-1147) (-569) (-569) (-681 (-216)) (-569) (-569) (-681 (-216))))) 
+((-2484 (((-1037) (-216) (-216) (-216) (-216) (-569)) 62)) (-2490 (((-1037) (-216) (-216) (-216) (-569)) 61)) (-2496 (((-1037) (-216) (-216) (-216) (-569)) 60)) (-2502 (((-1037) (-216) (-216) (-569)) 59)) (-2509 (((-1037) (-216) (-569)) 58)) (-2524 (((-1037) (-216) (-569)) 57)) (-2537 (((-1037) (-216) (-569)) 56)) (-2551 (((-1037) (-216) (-569)) 55)) (-2577 (((-1037) (-216) (-569)) 54)) (-2591 (((-1037) (-216) (-569)) 53)) (-2603 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 52)) (-2609 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 51)) (-2615 (((-1037) (-216) (-569)) 50)) (-2621 (((-1037) (-216) (-569)) 49)) (-2626 (((-1037) (-216) (-569)) 48)) (-2633 (((-1037) (-216) (-569)) 47)) (-2790 (((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569)) 46)) (-2797 (((-1037) (-1147) (-170 (-216)) (-1147) (-569)) 45)) (-2803 (((-1037) (-1147) (-170 (-216)) (-1147) (-569)) 44)) (-2359 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 43)) (-2366 (((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569)) 42)) (-2372 (((-1037) (-216) (-569)) 39)) (-2378 (((-1037) (-216) (-569)) 38)) (-2385 (((-1037) (-216) (-569)) 37)) (-2391 (((-1037) (-216) (-569)) 36)) (-2398 (((-1037) (-216) (-569)) 35)) (-2404 (((-1037) (-216) (-569)) 34)) (-2411 (((-1037) (-216) (-569)) 33)) (-2419 (((-1037) (-216) (-569)) 32)) (-2426 (((-1037) (-216) (-569)) 31)) (-2432 (((-1037) (-216) (-569)) 30)) (-2438 (((-1037) (-216) (-216) (-216) (-569)) 29)) (-2445 (((-1037) (-216) (-569)) 28)) (-2452 (((-1037) (-216) (-569)) 27)) (-2458 (((-1037) (-216) (-569)) 26)) (-2464 (((-1037) (-216) (-569)) 25)) (-2470 (((-1037) (-216) (-569)) 24)) (-2478 (((-1037) (-170 (-216)) (-569)) 20))) 
+(((-752) (-10 -7 (-15 -2478 ((-1037) (-170 (-216)) (-569))) (-15 -2470 ((-1037) (-216) (-569))) (-15 -2464 ((-1037) (-216) (-569))) (-15 -2458 ((-1037) (-216) (-569))) (-15 -2452 ((-1037) (-216) (-569))) (-15 -2445 ((-1037) (-216) (-569))) (-15 -2438 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2432 ((-1037) (-216) (-569))) (-15 -2426 ((-1037) (-216) (-569))) (-15 -2419 ((-1037) (-216) (-569))) (-15 -2411 ((-1037) (-216) (-569))) (-15 -2404 ((-1037) (-216) (-569))) (-15 -2398 ((-1037) (-216) (-569))) (-15 -2391 ((-1037) (-216) (-569))) (-15 -2385 ((-1037) (-216) (-569))) (-15 -2378 ((-1037) (-216) (-569))) (-15 -2372 ((-1037) (-216) (-569))) (-15 -2366 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2359 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2803 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2797 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2790 ((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2633 ((-1037) (-216) (-569))) (-15 -2626 ((-1037) (-216) (-569))) (-15 -2621 ((-1037) (-216) (-569))) (-15 -2615 ((-1037) (-216) (-569))) (-15 -2609 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2603 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2591 ((-1037) (-216) (-569))) (-15 -2577 ((-1037) (-216) (-569))) (-15 -2551 ((-1037) (-216) (-569))) (-15 -2537 ((-1037) (-216) (-569))) (-15 -2524 ((-1037) (-216) (-569))) (-15 -2509 ((-1037) (-216) (-569))) (-15 -2502 ((-1037) (-216) (-216) (-569))) (-15 -2496 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2490 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2484 ((-1037) (-216) (-216) (-216) (-216) (-569))))) (T -752)) 
+((-2484 (*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2490 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2496 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2502 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2509 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2524 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2537 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2551 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2577 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2591 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2603 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2609 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2615 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2621 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2626 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2633 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2790 (*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1147)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2797 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2803 (*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2359 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2366 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2372 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2378 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2385 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2391 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2398 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2404 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2411 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2419 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2426 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2432 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2438 (*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2445 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2452 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2458 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2464 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2470 (*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752)))) (-2478 (*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(-10 -7 (-15 -2478 ((-1037) (-170 (-216)) (-569))) (-15 -2470 ((-1037) (-216) (-569))) (-15 -2464 ((-1037) (-216) (-569))) (-15 -2458 ((-1037) (-216) (-569))) (-15 -2452 ((-1037) (-216) (-569))) (-15 -2445 ((-1037) (-216) (-569))) (-15 -2438 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2432 ((-1037) (-216) (-569))) (-15 -2426 ((-1037) (-216) (-569))) (-15 -2419 ((-1037) (-216) (-569))) (-15 -2411 ((-1037) (-216) (-569))) (-15 -2404 ((-1037) (-216) (-569))) (-15 -2398 ((-1037) (-216) (-569))) (-15 -2391 ((-1037) (-216) (-569))) (-15 -2385 ((-1037) (-216) (-569))) (-15 -2378 ((-1037) (-216) (-569))) (-15 -2372 ((-1037) (-216) (-569))) (-15 -2366 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2359 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2803 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2797 ((-1037) (-1147) (-170 (-216)) (-1147) (-569))) (-15 -2790 ((-1037) (-569) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2633 ((-1037) (-216) (-569))) (-15 -2626 ((-1037) (-216) (-569))) (-15 -2621 ((-1037) (-216) (-569))) (-15 -2615 ((-1037) (-216) (-569))) (-15 -2609 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2603 ((-1037) (-216) (-170 (-216)) (-569) (-1147) (-569))) (-15 -2591 ((-1037) (-216) (-569))) (-15 -2577 ((-1037) (-216) (-569))) (-15 -2551 ((-1037) (-216) (-569))) (-15 -2537 ((-1037) (-216) (-569))) (-15 -2524 ((-1037) (-216) (-569))) (-15 -2509 ((-1037) (-216) (-569))) (-15 -2502 ((-1037) (-216) (-216) (-569))) (-15 -2496 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2490 ((-1037) (-216) (-216) (-216) (-569))) (-15 -2484 ((-1037) (-216) (-216) (-216) (-216) (-569)))) 
+((-4545 (((-1258)) 18)) (-1968 (((-1147)) 22)) (-1963 (((-1147)) 21)) (-1765 (((-1097) (-1165) (-681 (-569))) 35) (((-1097) (-1165) (-681 (-216))) 31)) (-3130 (((-121)) 16)) (-4336 (((-1147) (-1147)) 25))) 
+(((-753) (-10 -7 (-15 -1963 ((-1147))) (-15 -1968 ((-1147))) (-15 -4336 ((-1147) (-1147))) (-15 -1765 ((-1097) (-1165) (-681 (-216)))) (-15 -1765 ((-1097) (-1165) (-681 (-569)))) (-15 -3130 ((-121))) (-15 -4545 ((-1258))))) (T -753)) 
+((-4545 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-753)))) (-3130 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-753)))) (-1765 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-569))) (-5 *2 (-1097)) (-5 *1 (-753)))) (-1765 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-216))) (-5 *2 (-1097)) (-5 *1 (-753)))) (-4336 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753)))) (-1968 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753)))) (-1963 (*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
+(-10 -7 (-15 -1963 ((-1147))) (-15 -1968 ((-1147))) (-15 -4336 ((-1147) (-1147))) (-15 -1765 ((-1097) (-1165) (-681 (-216)))) (-15 -1765 ((-1097) (-1165) (-681 (-569)))) (-15 -3130 ((-121))) (-15 -4545 ((-1258)))) 
+((-2689 (($ $ $) 10)) (-4379 (($ $ $ $) 9)) (-3924 (($ $ $) 12))) 
+(((-754 |#1|) (-10 -8 (-15 -3924 (|#1| |#1| |#1|)) (-15 -2689 (|#1| |#1| |#1|)) (-15 -4379 (|#1| |#1| |#1| |#1|))) (-755)) (T -754)) 
+NIL 
+(-10 -8 (-15 -3924 (|#1| |#1| |#1|)) (-15 -2689 (|#1| |#1| |#1|)) (-15 -4379 (|#1| |#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4382 (($ $ (-919)) 27)) (-2846 (($ $ (-919)) 28)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
+(((-755) (-1284)) (T -755)) 
+((-4379 (*1 *1 *1 *1 *1) (-4 *1 (-755))) (-2689 (*1 *1 *1 *1) (-4 *1 (-755))) (-3924 (*1 *1 *1 *1) (-4 *1 (-755)))) 
+(-13 (-21) (-712) (-10 -8 (-15 -4379 ($ $ $ $)) (-15 -2689 ($ $ $)) (-15 -3924 ($ $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-712) . T) ((-1093) . T)) 
+((-3956 (((-852) $) NIL) (($ (-569)) 10))) 
+(((-756 |#1|) (-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-757)) (T -756)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4174 (((-3 $ "failed") $) 39)) (-4382 (($ $ (-919)) 27) (($ $ (-765)) 34)) (-2611 (((-3 $ "failed") $) 37)) (-3934 (((-121) $) 33)) (-2983 (((-3 $ "failed") $) 38)) (-2846 (($ $ (-919)) 28) (($ $ (-765)) 35)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2689 (($ $ $) 24)) (-3956 (((-852) $) 11) (($ (-569)) 30)) (-2320 (((-765)) 31)) (-4379 (($ $ $ $) 25)) (-3924 (($ $ $) 23)) (-2407 (($) 17 T CONST)) (-3297 (($) 32 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 29) (($ $ (-765)) 36)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 26))) 
+(((-757) (-1284)) (T -757)) 
+((-2320 (*1 *2) (-12 (-4 *1 (-757)) (-5 *2 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-757))))) 
+(-13 (-755) (-714) (-10 -8 (-15 -2320 ((-765))) (-15 -3956 ($ (-569))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-712) . T) ((-714) . T) ((-755) . T) ((-1093) . T)) 
+((-2704 (((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|) 27)) (-4019 (((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|) 19)) (-3033 (((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165)) 16) (((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569))))) 15))) 
+(((-758 |#1|) (-10 -7 (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))))) (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165))) (-15 -4019 ((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|)) (-15 -2704 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|))) (-13 (-366) (-842))) (T -758)) 
+((-2704 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 *4))))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) (-4019 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *4 (-1165)) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *5)) (-4 *5 (-13 (-366) (-842))))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))))) (-15 -3033 ((-955 (-170 (-410 (-569)))) (-681 (-170 (-410 (-569)))) (-1165))) (-15 -4019 ((-635 (-170 |#1|)) (-681 (-170 (-410 (-569)))) |#1|)) (-15 -2704 ((-635 (-2 (|:| |outval| (-170 |#1|)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 |#1|)))))) (-681 (-170 (-410 (-569)))) |#1|))) 
+((-2914 (((-174 (-569)) |#1|) 25))) 
+(((-759 |#1|) (-10 -7 (-15 -2914 ((-174 (-569)) |#1|))) (-407)) (T -759)) 
+((-2914 (*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-759 *3)) (-4 *3 (-407))))) 
+(-10 -7 (-15 -2914 ((-174 (-569)) |#1|))) 
+((-3602 ((|#1| |#1| |#1|) 24)) (-2807 ((|#1| |#1| |#1|) 23)) (-3262 ((|#1| |#1| |#1|) 31)) (-3336 ((|#1| |#1| |#1|) 27)) (-2336 (((-3 |#1| "failed") |#1| |#1|) 26)) (-3843 (((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|) 22))) 
+(((-760 |#1| |#2|) (-10 -7 (-15 -3843 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1| |#1|))) (-700 |#2|) (-366)) (T -760)) 
+((-3262 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3336 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-2336 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3602 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-2807 (*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) (-3843 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-760 *3 *4)) (-4 *3 (-700 *4))))) 
+(-10 -7 (-15 -3843 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -3262 (|#1| |#1| |#1|))) 
+((-3865 (((-1161 |#1|) (-635 |#1|)) 25))) 
+(((-761 |#1|) (-10 -7 (-15 -3865 ((-1161 |#1|) (-635 |#1|)))) (-559)) (T -761)) 
+((-3865 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1161 *4)) (-5 *1 (-761 *4))))) 
+(-10 -7 (-15 -3865 ((-1161 |#1|) (-635 |#1|)))) 
+((-4356 (((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)) 58)) (-1629 (((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) 56)) (-2925 (((-569)) 68))) 
+(((-762 |#1| |#2|) (-10 -7 (-15 -2925 ((-569))) (-15 -1629 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))))) (-15 -4356 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)))) (-1228 (-569)) (-412 (-569) |#1|)) (T -762)) 
+((-4356 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-762 *4 *5)) (-4 *5 (-412 *3 *4)))) (-1629 (*1 *2) (-12 (-4 *3 (-1228 (-569))) (-5 *2 (-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 (-569) *3)))) (-2925 (*1 *2) (-12 (-4 *3 (-1228 *2)) (-5 *2 (-569)) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 *2 *3))))) 
+(-10 -7 (-15 -2925 ((-569))) (-15 -1629 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))))) (-15 -4356 ((-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569)))) (-569)))) 
+((-1310 (((-121) $ $) NIL)) (-1321 (((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 14) (($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 10) (($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 12)) (-1326 (((-121) $ $) NIL))) 
+(((-763) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $))))) (T -763)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ($ (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) $)))) 
+((-3089 (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))) 14) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165))) 13)) (-2880 (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))) 16) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165))) 15))) 
+(((-764 |#1|) (-10 -7 (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))))) (-559)) (T -764)) 
+((-2880 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) (-3089 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) (-3089 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5))))) 
+(-10 -7 (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -3089 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-955 |#1|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4288 (($ $ $) 6)) (-3748 (((-3 $ "failed") $ $) 9)) (-2546 (($ $ (-569)) 7)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3964 (($ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-765) $) NIL) (($ (-919) $) NIL) (($ $ $) NIL))) 
+(((-765) (-13 (-790) (-718) (-10 -8 (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -3964 ($ $ $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2546 ($ $ (-569))) (-15 -3341 ($ $)) (-6 (-4573 "*"))))) (T -765)) 
+((-1626 (*1 *1 *1 *1) (-5 *1 (-765))) (-1614 (*1 *1 *1 *1) (-5 *1 (-765))) (-3964 (*1 *1 *1 *1) (-5 *1 (-765))) (-3135 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 (-765)) (|:| -3028 (-765)))) (-5 *1 (-765)))) (-1436 (*1 *1 *1 *1) (|partial| -5 *1 (-765))) (-2546 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-765)))) (-3341 (*1 *1 *1) (-5 *1 (-765)))) 
+(-13 (-790) (-718) (-10 -8 (-15 -1626 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -3964 ($ $ $)) (-15 -3135 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1436 ((-3 $ "failed") $ $)) (-15 -2546 ($ $ (-569))) (-15 -3341 ($ $)) (-6 (-4573 "*")))) 
+((-2880 (((-3 |#2| "failed") |#2| |#2| (-123) (-1165)) 35))) 
+(((-766 |#1| |#2|) (-10 -7 (-15 -2880 ((-3 |#2| "failed") |#2| |#2| (-123) (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -766)) 
+((-2880 (*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-766 *5 *2)) (-4 *2 (-13 (-29 *5) (-1185) (-961)))))) 
+(-10 -7 (-15 -2880 ((-3 |#2| "failed") |#2| |#2| (-123) (-1165)))) 
+((-3956 (((-768) |#1|) 8))) 
+(((-767 |#1|) (-10 -7 (-15 -3956 ((-768) |#1|))) (-1199)) (T -767)) 
+((-3956 (*1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-767 *3)) (-4 *3 (-1199))))) 
+(-10 -7 (-15 -3956 ((-768) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 7)) (-1326 (((-121) $ $) 9))) 
+(((-768) (-1093)) (T -768)) 
+NIL 
+(-1093) 
+((-3046 ((|#2| |#4|) 35))) 
+(((-769 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3046 (|#2| |#4|))) (-454) (-1228 |#1|) (-716 |#1| |#2|) (-1228 |#3|)) (T -769)) 
+((-3046 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-716 *4 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-769 *4 *2 *5 *3)) (-4 *3 (-1228 *5))))) 
+(-10 -7 (-15 -3046 (|#2| |#4|))) 
+((-2611 (((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|) 56)) (-4439 (((-1258) (-1147) (-1147) |#4| |#5|) 33)) (-2375 ((|#4| |#4| |#5|) 72)) (-1666 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 76)) (-3240 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 15))) 
+(((-770 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2611 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -2375 (|#4| |#4| |#5|)) (-15 -1666 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -4439 ((-1258) (-1147) (-1147) |#4| |#5|)) (-15 -3240 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -770)) 
+((-3240 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4439 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1147)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *4 (-1063 *6 *7 *8)) (-5 *2 (-1258)) (-5 *1 (-770 *6 *7 *8 *4 *5)) (-4 *5 (-1068 *6 *7 *8 *4)))) (-1666 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2375 (*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *2 (-1063 *4 *5 *6)) (-5 *1 (-770 *4 *5 *6 *2 *3)) (-4 *3 (-1068 *4 *5 *6 *2)))) (-2611 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(-10 -7 (-15 -2611 ((-2 (|:| |num| |#4|) (|:| |den| |#4|)) |#4| |#5|)) (-15 -2375 (|#4| |#4| |#5|)) (-15 -1666 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -4439 ((-1258) (-1147) (-1147) |#4| |#5|)) (-15 -3240 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|))) 
+((-3003 (((-3 (-1161 (-1161 |#1|)) "failed") |#4|) 43)) (-4464 (((-635 |#4|) |#4|) 15)) (-4167 ((|#4| |#4|) 11))) 
+(((-771 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4464 ((-635 |#4|) |#4|)) (-15 -3003 ((-3 (-1161 (-1161 |#1|)) "failed") |#4|)) (-15 -4167 (|#4| |#4|))) (-351) (-328 |#1|) (-1228 |#2|) (-1228 |#3|) (-919)) (T -771)) 
+((-4167 (*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1228 *4)) (-5 *1 (-771 *3 *4 *5 *2 *6)) (-4 *2 (-1228 *5)) (-14 *6 (-919)))) (-3003 (*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919)))) (-4464 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-635 *3)) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919))))) 
+(-10 -7 (-15 -4464 ((-635 |#4|) |#4|)) (-15 -3003 ((-3 (-1161 (-1161 |#1|)) "failed") |#4|)) (-15 -4167 (|#4| |#4|))) 
+((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1321 (($ (-1210 |#1|)) 21)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 26)) (-1912 (((-1111) $) NIL)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 18 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 24))) 
+(((-772 |#1|) (-13 (-479) (-10 -8 (-15 -1321 ($ (-1210 |#1|))))) (-351)) (T -772)) 
+((-1321 (*1 *1 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-351)) (-5 *1 (-772 *3))))) 
+(-13 (-479) (-10 -8 (-15 -1321 ($ (-1210 |#1|))))) 
+((-1531 (((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|)) 51)) (-4375 (((-635 (-765)) |#1|) 12))) 
+(((-773 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1531 ((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -4375 ((-635 (-765)) |#1|))) (-1228 |#4|) (-790) (-844) (-302) (-952 |#4| |#2| |#3|)) (T -773)) 
+((-4375 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-773 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *6)) (-4 *7 (-952 *6 *4 *5)))) (-1531 (*1 *2 *3 *4 *5) (-12 (-4 *6 (-1228 *9)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-302)) (-4 *10 (-952 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1161 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-773 *6 *7 *8 *9 *10)) (-5 *3 (-1161 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
+(-10 -7 (-15 -1531 ((-2 (|:| |deter| (-635 (-1161 |#5|))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| |#5|))))) (|:| |nfacts| (-635 |#1|)) (|:| |nlead| (-635 |#5|))) (-1161 |#5|) (-635 |#1|) (-635 |#5|))) (-15 -4375 ((-635 (-765)) |#1|))) 
+((-2816 (((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)) 18) (((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|) 16)) (-1513 (((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal")) 32)) (-1934 (((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|))) 24)) (-2618 (((-765) (-635 (-635 |#2|))) 27))) 
+(((-774 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1513 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2618 ((-765) (-635 (-635 |#2|)))) (-15 -1934 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) (-1049) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765)) (T -774)) 
+((-2816 (*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *5 *6 *7)))) (-2816 (*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1934 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-774 *4 *3 *5 *6)))) (-2618 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1049)) (-5 *2 (-765)) (-5 *1 (-774 *4 *5 *6 *7)))) (-1513 (*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1049)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-774 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(-10 -7 (-15 -1513 ((-635 (-635 |#2|)) |#2| (-569) (-569) (-3 "left" "center" "right" "vertical" "horizontal"))) (-15 -2618 ((-765) (-635 (-635 |#2|)))) (-15 -1934 ((-635 (-635 |#2|)) |#2| (-635 (-635 |#2|)))) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) |#2| |#2|)) (-15 -2816 ((-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal"))) (-635 |#2|)))) 
+((-3252 (((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|) 27)) (-4402 (((-635 |#1|) (-681 (-410 (-569))) |#1|) 19)) (-3033 (((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165)) 16) (((-955 (-410 (-569))) (-681 (-410 (-569)))) 15))) 
+(((-775 |#1|) (-10 -7 (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))))) (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165))) (-15 -4402 ((-635 |#1|) (-681 (-410 (-569))) |#1|)) (-15 -3252 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|))) (-13 (-366) (-842))) (T -775)) 
+((-3252 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *4)))))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) (-4402 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) (-3033 (*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *4 (-1165)) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *5)) (-4 *5 (-13 (-366) (-842))))) (-3033 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(-10 -7 (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))))) (-15 -3033 ((-955 (-410 (-569))) (-681 (-410 (-569))) (-1165))) (-15 -4402 ((-635 |#1|) (-681 (-410 (-569))) |#1|)) (-15 -3252 ((-635 (-2 (|:| |outval| |#1|) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 |#1|))))) (-681 (-410 (-569))) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 10)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2756 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3146 (($ $ (-569) (-569)) NIL) (($ $ (-569)) NIL)) (-1823 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2394 (($ $) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2627 (($ $ (-569)) NIL (|has| $ (-6 -4572)))) (-2889 (((-121) $ $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2546 (($ $ (-569)) 36)) (-4548 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2450 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2062 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-2511 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-1219 (-569)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (($ $ "rest" $) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value" (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4314 (($ (-569) |#1| $) 41)) (-2140 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-4024 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-1887 (($ $ $) 51)) (-4483 (($) NIL T CONST)) (-3788 (($ $) 21)) (-1864 (($ $ (-765)) NIL) (($ $) 14)) (-4339 (($ (-569) $) 78) (($ $) 31)) (-4187 (($ $) 35)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-3503 (($ (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-1614 (($ $ $) NIL)) (-3373 (($ $) NIL)) (-2793 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2611 (((-3 $ "failed") $) 38)) (-1626 (($ $ $) NIL)) (-3982 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-4124 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL)) (-2847 (((-121) (-121)) 30) (((-121)) 29)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1292 (((-121) $) NIL)) (-4120 (($ $) 22)) (-2641 (((-121) $) NIL)) (-4303 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-4398 (((-3 (-569) "failed") $) 16)) (-4433 (((-569) $ (-569)) NIL) (((-569) $) 19) (((-569) $) 19)) (-3934 (((-121) $) NIL)) (-1938 (((-765) $) NIL)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (-2446 (($ (-765) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL)) (-2058 (($ $ (-919)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3052 (((-121) $) NIL)) (-1548 (($ (-635 $) (-635 (-765)) (-569)) 85)) (-3179 (($ $ (-635 (-1077)) (-635 (-569))) NIL) (($ $ (-1077) (-569)) NIL) (($ |#1| (-569)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $ $) NIL) (($ (-1 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3491 (((-121) $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2176 (($ $) NIL)) (-1849 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (($ $ (-765)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-3243 (($ $) 39)) (-2583 (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2409 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 12)) (-1816 (($ $ (-765)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL)) (-4511 (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) 24)) (-2765 ((|#1| $ (-569)) 25)) (-2569 (((-3 (-2 (|:| |k| (-569)) (|:| |c| |#1|)) "failed") (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-3241 (($ $ (-569)) 89)) (-2417 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4363 (((-121) $) NIL)) (-1385 (((-121) $) NIL)) (-3522 (((-121) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (($ $ (-635 (-289 (-2 (|:| |k| (-569)) (|:| |c| |#1|))))) NIL (-12 (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-304 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-2061 (((-765) $) NIL)) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093))))) (-4283 (((-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1668 (((-121) $) 23)) (-4016 (($) 94)) (-2503 (($ $ $) NIL (|has| (-569) (-1105))) ((|#1| $ (-569)) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "last") NIL) (($ $ "rest") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "first") NIL) (((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ "value") NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3248 (((-569) $ $) NIL)) (-3289 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2393 (($ (-1 $)) 34)) (-2284 (((-569) $) NIL)) (-1630 (((-121) $) NIL)) (-2588 (($ $) NIL)) (-1390 (($ $) NIL (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (((-765) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 95)) (-4422 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL (|has| $ (-6 -4572))) (($ $ $) NIL (|has| $ (-6 -4572)))) (-4456 (($ $ (-2 (|:| |k| (-569)) (|:| |c| |#1|))) NIL) (($ (-635 $)) NIL) (($ (-2 (|:| |k| (-569)) (|:| |c| |#1|)) $) 32) (($ $ $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) 65) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 27) (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 26)) (-3802 ((|#1| $ (-569)) NIL)) (-4220 ((|#1| $) 86)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| (-2 (|:| |k| (-569)) (|:| |c| |#1|)) (-1093)))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3776 (((-121) (-1 (-121) (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 74 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL) (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 47) (($ $ $) 43)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) 79) (($ $ (-569)) 52)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 42) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 46) (($ $ |#1|) 100)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-776 |#1|) (-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -4511 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) (-366)) (T -776)) 
+((-4511 (*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-776 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
+(-13 (-642 |#1|) (-666 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) (-10 -8 (-15 -4511 ((-2 (|:| |k| (-569)) (|:| |c| |#1|)) $ (-569))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 34)) (-3195 (((-635 |#2|) $) NIL)) (-3132 (((-1161 $) $ |#2|) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#2|)) NIL)) (-2394 (($ $) 28)) (-1712 (((-121) $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) 92 (|has| |#1| (-559)))) (-4507 (((-635 $) $ $) 105 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#2| "failed") $) NIL) (((-3 $ "failed") (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (((-3 $ "failed") (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (((-3 $ "failed") (-955 |#1|)) NIL (-1929 (-12 (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-995 (-569))))))) (((-3 (-1116 |#1| |#2|) "failed") $) 18)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#2| $) NIL) (($ (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (($ (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (($ (-955 |#1|)) NIL (-1929 (-12 (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569))))) (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-551)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-995 (-569))))))) (((-1116 |#1| |#2|) $) NIL)) (-3673 (($ $ $ |#2|) NIL (|has| |#1| (-173))) (($ $ $) 103 (|has| |#1| (-559)))) (-3373 (($ $) NIL) (($ $ |#2|) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-3782 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-4325 (((-121) $) NIL)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 69)) (-4186 (($ $) 118 (|has| |#1| (-454)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2823 (($ $) NIL (|has| |#1| (-559)))) (-2145 (($ $) NIL (|has| |#1| (-559)))) (-3706 (($ $ $) 64) (($ $ $ |#2|) NIL)) (-4027 (($ $ $) 67) (($ $ $ |#2|) NIL)) (-2916 (($ $ |#1| (-535 |#2|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1660 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-3151 (($ $ $ $ $) 89 (|has| |#1| (-559)))) (-1473 ((|#2| $) 19)) (-3187 (($ (-1161 |#1|) |#2|) NIL) (($ (-1161 $) |#2|) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-765)) 36) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4518 (($ $ $) 60)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-3312 (((-121) $) NIL)) (-4294 (((-535 |#2|) $) NIL) (((-765) $ |#2|) NIL) (((-635 (-765)) $ (-635 |#2|)) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-3889 (((-765) $) 20)) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3407 (((-3 |#2| "failed") $) NIL)) (-3675 (($ $) NIL (|has| |#1| (-454)))) (-2796 (($ $) NIL (|has| |#1| (-454)))) (-2047 (((-635 $) $) NIL)) (-3866 (($ $) 37)) (-1564 (($ $) NIL (|has| |#1| (-454)))) (-2248 (((-635 $) $) 41)) (-3516 (($ $) 39)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL) (($ $ |#2|) 45)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 81)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 66) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) NIL) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#2|) NIL)) (-3181 (($ $ $) 71) (($ $ $ |#2|) NIL)) (-3253 (($ $ $) 74) (($ $ $ |#2|) NIL)) (-2605 (((-1147) $) NIL)) (-1961 (($ $ $) 107 (|has| |#1| (-559)))) (-3940 (((-635 $) $) 30)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-765))) "failed") $) NIL)) (-2114 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-2709 (($ $ $) NIL)) (-1423 (($ $) 21)) (-1861 (((-121) $ $) NIL)) (-3072 (((-121) $ $) NIL) (((-121) $ (-635 $)) NIL)) (-1910 (($ $ $) NIL)) (-1603 (($ $) 23)) (-1912 (((-1111) $) NIL)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 98 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 95 (|has| |#1| (-559)))) (-3249 (((-121) $) 52)) (-3256 ((|#1| $) 55)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 ((|#1| |#1| $) 115 (|has| |#1| (-454))) (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 101 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 83 (|has| |#1| (-559)))) (-2056 (($ $ |#1|) 111 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-4239 (($ $ |#1|) 110 (|has| |#1| (-559))) (($ $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) NIL) (($ $ (-635 |#2|) (-635 |#1|)) NIL) (($ $ |#2| $) NIL) (($ $ (-635 |#2|) (-635 $)) NIL)) (-2925 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) NIL) (((-765) $ |#2|) 43) (((-635 (-765)) $ (-635 |#2|)) NIL)) (-1444 (($ $) NIL)) (-3486 (($ $) 33)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542))))) (($ (-955 (-410 (-569)))) NIL (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165))))) (($ (-955 (-569))) NIL (-1929 (-12 (|has| |#1| (-43 (-569))) (|has| |#2| (-610 (-1165))) (-3182 (|has| |#1| (-43 (-410 (-569)))))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#2| (-610 (-1165)))))) (($ (-955 |#1|)) NIL (|has| |#2| (-610 (-1165)))) (((-1147) $) NIL (-12 (|has| |#1| (-1039 (-569))) (|has| |#2| (-610 (-1165))))) (((-955 |#1|) $) NIL (|has| |#2| (-610 (-1165))))) (-2363 ((|#1| $) 114 (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#2|) NIL) (((-955 |#1|) $) NIL (|has| |#2| (-610 (-1165)))) (((-1116 |#1| |#2|) $) 15) (($ (-1116 |#1| |#2|)) 16) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 |#2|)) NIL) (($ $ |#2| (-765)) 44) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 13 T CONST)) (-3183 (((-3 (-121) "failed") $ $) NIL)) (-3297 (($) 35 T CONST)) (-2088 (($ $ $ $ (-765)) 87 (|has| |#1| (-559)))) (-4117 (($ $ $ (-765)) 86 (|has| |#1| (-559)))) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 54)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 63)) (-1371 (($ $ $) 73)) (** (($ $ (-919)) NIL) (($ $ (-765)) 61)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 59) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 58) (($ $ |#1|) NIL))) 
+(((-777 |#1| |#2|) (-13 (-1063 |#1| (-535 |#2|) |#2|) (-609 (-1116 |#1| |#2|)) (-1039 (-1116 |#1| |#2|))) (-1049) (-844)) (T -777)) 
+NIL 
+(-13 (-1063 |#1| (-535 |#2|) |#2|) (-609 (-1116 |#1| |#2|)) (-1039 (-1116 |#1| |#2|))) 
+((-4188 (((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)) 13))) 
+(((-778 |#1| |#2|) (-10 -7 (-15 -4188 ((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)))) (-1049) (-1049)) (T -778)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-779 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-779 *6)) (-5 *1 (-778 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-779 |#2|) (-1 |#2| |#1|) (-779 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 12)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1956 (((-635 $) $ $) 39 (|has| |#1| (-559)))) (-2594 (($ $ $) 35 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL) (((-3 (-1161 |#1|) "failed") $) 10)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL) (((-1161 |#1|) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) 43 (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) 71 (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) 70 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4518 (($ $ $) 20)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $) 26)) (-1388 (($ $ $) 29)) (-2149 (($ $ $) 32)) (-2579 (((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 31)) (-2605 (((-1147) $) NIL)) (-1961 (($ $ $) 41 (|has| |#1| (-559)))) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 67 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 63 (|has| |#1| (-559)))) (-2806 (((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $) 55 (|has| |#1| (-559)))) (-2066 (((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $) 51 (|has| |#1| (-559)))) (-3249 (((-121) $) 13)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-4259 (($ $ (-765) |#1| $) 19)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 59 (|has| |#1| (-559)))) (-3981 (((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $) 47 (|has| |#1| (-559)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1077)) NIL) (((-1161 |#1|) $) 7) (($ (-1161 |#1|)) 8) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 24 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) 28) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 23) (($ $ |#1|) NIL))) 
+(((-779 |#1|) (-13 (-1228 |#1|) (-609 (-1161 |#1|)) (-1039 (-1161 |#1|)) (-10 -8 (-15 -4259 ($ $ (-765) |#1| $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $)) (-15 -1388 ($ $ $)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2149 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -1956 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3981 ((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2066 ((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $)) (-15 -2806 ((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) (-1049)) (T -779)) 
+((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-4518 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-2879 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-779 *3)) (|:| |polden| *3) (|:| -2978 (-765)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-1388 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-2579 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3550 *3) (|:| |gap| (-765)) (|:| -3483 (-779 *3)) (|:| -3028 (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) (-2149 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) (-1956 (*1 *2 *1 *1) (-12 (-5 *2 (-635 (-779 *3))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-1961 (*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-559)) (-4 *2 (-1049)))) (-3061 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3178 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3049 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-3981 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-2066 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) (-2806 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(-13 (-1228 |#1|) (-609 (-1161 |#1|)) (-1039 (-1161 |#1|)) (-10 -8 (-15 -4259 ($ $ (-765) |#1| $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| |#1|) (|:| -2978 (-765))) $ $)) (-15 -1388 ($ $ $)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2149 ($ $ $)) (IF (|has| |#1| (-559)) (PROGN (-15 -1956 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3981 ((-2 (|:| -3673 |#1|) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2066 ((-2 (|:| -3673 |#1|) (|:| |coef1| $)) $ $)) (-15 -2806 ((-2 (|:| -3673 |#1|) (|:| |coef2| $)) $ $))) |noBranch|))) 
+((-2116 ((|#1| (-765) |#1|) 32 (|has| |#1| (-43 (-410 (-569)))))) (-1320 ((|#1| (-765) |#1|) 22)) (-2616 ((|#1| (-765) |#1|) 34 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-780 |#1|) (-10 -7 (-15 -1320 (|#1| (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2616 (|#1| (-765) |#1|)) (-15 -2116 (|#1| (-765) |#1|))) |noBranch|)) (-173)) (T -780)) 
+((-2116 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2616 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-1320 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -1320 (|#1| (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2616 (|#1| (-765) |#1|)) (-15 -2116 (|#1| (-765) |#1|))) |noBranch|)) 
+((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-781 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -781)) 
+NIL 
+(-13 (-1068 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
+((-2981 (((-3 (-382) "failed") (-311 |#1|) (-919)) 60 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-382) "failed") (-311 |#1|)) 52 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-382) "failed") (-410 (-955 |#1|)) (-919)) 39 (|has| |#1| (-559))) (((-3 (-382) "failed") (-410 (-955 |#1|))) 35 (|has| |#1| (-559))) (((-3 (-382) "failed") (-955 |#1|) (-919)) 30 (|has| |#1| (-1049))) (((-3 (-382) "failed") (-955 |#1|)) 24 (|has| |#1| (-1049)))) (-1382 (((-382) (-311 |#1|) (-919)) 92 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-382) (-311 |#1|)) 87 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-382) (-410 (-955 |#1|)) (-919)) 84 (|has| |#1| (-559))) (((-382) (-410 (-955 |#1|))) 81 (|has| |#1| (-559))) (((-382) (-955 |#1|) (-919)) 80 (|has| |#1| (-1049))) (((-382) (-955 |#1|)) 77 (|has| |#1| (-1049))) (((-382) |#1| (-919)) 73) (((-382) |#1|) 22)) (-4410 (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)) 68 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 (-170 |#1|))) 58 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 |#1|) (-919)) 61 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-311 |#1|)) 59 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919)) 44 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|)))) 43 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919)) 38 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-410 (-955 |#1|))) 37 (|has| |#1| (-559))) (((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)) 28 (|has| |#1| (-1049))) (((-3 (-170 (-382)) "failed") (-955 |#1|)) 26 (|has| |#1| (-1049))) (((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)) 17 (|has| |#1| (-173))) (((-3 (-170 (-382)) "failed") (-955 (-170 |#1|))) 14 (|has| |#1| (-173)))) (-3115 (((-170 (-382)) (-311 (-170 |#1|)) (-919)) 95 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 (-170 |#1|))) 94 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 |#1|) (-919)) 93 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-311 |#1|)) 91 (-12 (|has| |#1| (-559)) (|has| |#1| (-844)))) (((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919)) 86 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 (-170 |#1|)))) 85 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 |#1|)) (-919)) 83 (|has| |#1| (-559))) (((-170 (-382)) (-410 (-955 |#1|))) 82 (|has| |#1| (-559))) (((-170 (-382)) (-955 |#1|) (-919)) 79 (|has| |#1| (-1049))) (((-170 (-382)) (-955 |#1|)) 78 (|has| |#1| (-1049))) (((-170 (-382)) (-955 (-170 |#1|)) (-919)) 75 (|has| |#1| (-173))) (((-170 (-382)) (-955 (-170 |#1|))) 74 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|) (-919)) 16 (|has| |#1| (-173))) (((-170 (-382)) (-170 |#1|)) 12 (|has| |#1| (-173))) (((-170 (-382)) |#1| (-919)) 27) (((-170 (-382)) |#1|) 25))) 
+(((-782 |#1|) (-10 -7 (-15 -1382 ((-382) |#1|)) (-15 -1382 ((-382) |#1| (-919))) (-15 -3115 ((-170 (-382)) |#1|)) (-15 -3115 ((-170 (-382)) |#1| (-919))) (IF (|has| |#1| (-173)) (PROGN (-15 -3115 ((-170 (-382)) (-170 |#1|))) (-15 -3115 ((-170 (-382)) (-170 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -1382 ((-382) (-955 |#1|))) (-15 -1382 ((-382) (-955 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 |#1|))) (-15 -3115 ((-170 (-382)) (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1382 ((-382) (-410 (-955 |#1|)))) (-15 -1382 ((-382) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -1382 ((-382) (-311 |#1|))) (-15 -1382 ((-382) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 |#1|))) (-15 -3115 ((-170 (-382)) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-955 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-955 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)))) (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-311 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|)) (-610 (-382))) (T -782)) 
+((-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-2981 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-2981 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-4410 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-4410 (*1 *2 *3) (|partial| -12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-1382 (*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) (-3115 (*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) (-3115 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) (-3115 (*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) (-1382 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) (-1382 (*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2))))) 
+(-10 -7 (-15 -1382 ((-382) |#1|)) (-15 -1382 ((-382) |#1| (-919))) (-15 -3115 ((-170 (-382)) |#1|)) (-15 -3115 ((-170 (-382)) |#1| (-919))) (IF (|has| |#1| (-173)) (PROGN (-15 -3115 ((-170 (-382)) (-170 |#1|))) (-15 -3115 ((-170 (-382)) (-170 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -1382 ((-382) (-955 |#1|))) (-15 -1382 ((-382) (-955 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-955 |#1|))) (-15 -3115 ((-170 (-382)) (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -1382 ((-382) (-410 (-955 |#1|)))) (-15 -1382 ((-382) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)))) (-15 -3115 ((-170 (-382)) (-410 (-955 |#1|)) (-919))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))))) (-15 -3115 ((-170 (-382)) (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -1382 ((-382) (-311 |#1|))) (-15 -1382 ((-382) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 |#1|))) (-15 -3115 ((-170 (-382)) (-311 |#1|) (-919))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)))) (-15 -3115 ((-170 (-382)) (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 (-170 |#1|)) (-919)))) |noBranch|) (IF (|has| |#1| (-1049)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-955 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-955 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-955 |#1|) (-919)))) |noBranch|) (IF (|has| |#1| (-559)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)))) (-15 -2981 ((-3 (-382) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 |#1|)) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-410 (-955 (-170 |#1|))) (-919))) (IF (|has| |#1| (-844)) (PROGN (-15 -2981 ((-3 (-382) "failed") (-311 |#1|))) (-15 -2981 ((-3 (-382) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 |#1|) (-919))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)))) (-15 -4410 ((-3 (-170 (-382)) "failed") (-311 (-170 |#1|)) (-919)))) |noBranch|)) |noBranch|)) 
+((-1378 (((-919) (-1147)) 63)) (-3859 (((-3 (-382) "failed") (-1147)) 32)) (-1460 (((-382) (-1147)) 30)) (-3523 (((-919) (-1147)) 53)) (-4132 (((-1147) (-919)) 54)) (-2203 (((-1147) (-919)) 52))) 
+(((-783) (-10 -7 (-15 -2203 ((-1147) (-919))) (-15 -3523 ((-919) (-1147))) (-15 -4132 ((-1147) (-919))) (-15 -1378 ((-919) (-1147))) (-15 -1460 ((-382) (-1147))) (-15 -3859 ((-3 (-382) "failed") (-1147))))) (T -783)) 
+((-3859 (*1 *2 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783)))) (-1460 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783)))) (-1378 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783)))) (-4132 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783)))) (-3523 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783)))) (-2203 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
+(-10 -7 (-15 -2203 ((-1147) (-919))) (-15 -3523 ((-919) (-1147))) (-15 -4132 ((-1147) (-919))) (-15 -1378 ((-919) (-1147))) (-15 -1460 ((-382) (-1147))) (-15 -3859 ((-3 (-382) "failed") (-1147)))) 
+((-1310 (((-121) $ $) 7)) (-4488 (((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 14) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037)) 12)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 15) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-784) (-1284)) (T -784)) 
+((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) (-4488 (*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) (-4488 (*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4488 ((-1037) (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -4488 ((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) (-1037))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2783 (((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382))) 44) (((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 43)) (-2886 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 50)) (-3635 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 41)) (-4376 (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382))) 52) (((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))) 51))) 
+(((-785) (-10 -7 (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -3635 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -2886 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))))) (T -785)) 
+((-2886 (*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-2783 (*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-2783 (*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-3635 (*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-4376 (*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) (-4376 (*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
+(-10 -7 (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -4376 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -3635 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)))) (-15 -2783 ((-1258) (-1253 (-382)) (-569) (-382) (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382))) (-382) (-1253 (-382)) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)) (-1253 (-382)))) (-15 -2886 ((-1258) (-1253 (-382)) (-569) (-382) (-382) (-569) (-1 (-1258) (-1253 (-382)) (-1253 (-382)) (-382))))) 
+((-2834 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 53)) (-3580 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 30)) (-2573 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 52)) (-4040 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 28)) (-2328 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 51)) (-3229 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)) 18)) (-1576 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 31)) (-1994 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 29)) (-1533 (((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569)) 27))) 
+(((-786) (-10 -7 (-15 -1533 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1994 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1576 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3229 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4040 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3580 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2328 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2573 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2834 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))))) (T -786)) 
+((-2834 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-2573 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-2328 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-3580 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-4040 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-3229 (*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1576 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1994 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569)))) (-1533 (*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(-10 -7 (-15 -1533 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1994 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -1576 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569) (-569))) (-15 -3229 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -4040 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -3580 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2328 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2573 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569))) (-15 -2834 ((-2 (|:| -2756 (-382)) (|:| -3896 (-382)) (|:| |totalpts| (-569)) (|:| |success| (-121))) (-1 (-382) (-382)) (-382) (-382) (-382) (-382) (-569) (-569)))) 
+((-4238 (((-1195 |#1|) |#1| (-216) (-569)) 45))) 
+(((-787 |#1|) (-10 -7 (-15 -4238 ((-1195 |#1|) |#1| (-216) (-569)))) (-977)) (T -787)) 
+((-4238 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1195 *3)) (-5 *1 (-787 *3)) (-4 *3 (-977))))) 
+(-10 -7 (-15 -4238 ((-1195 |#1|) |#1| (-216) (-569)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1377 (($ $ $) 27) (($ $) 26)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20) (($ (-569) $) 28))) 
+(((-788) (-1284)) (T -788)) 
+NIL 
+(-13 (-792) (-21)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
+(((-789) (-1284)) (T -789)) 
+NIL 
+(-13 (-791) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-791) . T) ((-844) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4288 (($ $ $) 26)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
+(((-790) (-1284)) (T -790)) 
+((-4288 (*1 *1 *1 *1) (-4 *1 (-790)))) 
+(-13 (-792) (-10 -8 (-15 -4288 ($ $ $)))) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
+(((-791) (-1284)) (T -791)) 
+NIL 
+(-13 (-844) (-23)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-609 (-852)) . T) ((-844) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-4483 (($) 22 T CONST)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 21 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1371 (($ $ $) 19)) (* (($ (-765) $) 24) (($ (-919) $) 20))) 
+(((-792) (-1284)) (T -792)) 
+NIL 
+(-13 (-789) (-138)) 
+(((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-789) . T) ((-791) . T) ((-844) . T) ((-1093) . T)) 
+((-2225 (((-121) $) 41)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 44)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 42)) (-1330 (((-3 (-410 (-569)) "failed") $) 78)) (-4429 (((-121) $) 72)) (-2096 (((-410 (-569)) $) 76)) (-3046 ((|#2| $) 26)) (-4188 (($ (-1 |#2| |#2|) $) 23)) (-3243 (($ $) 61)) (-4035 (((-542) $) 67)) (-3980 (($ $) 21)) (-3956 (((-852) $) 56) (($ (-569)) 39) (($ |#2|) 37) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 10)) (-4080 ((|#2| $) 71)) (-1326 (((-121) $ $) 29)) (-1337 (((-121) $ $) 69)) (-1377 (($ $) 31) (($ $ $) NIL)) (-1371 (($ $ $) 30)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 35) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 32))) 
+(((-793 |#1| |#2|) (-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-794 |#2|) (-173)) (T -793)) 
+((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-793 *3 *4)) (-4 *3 (-794 *4))))) 
+(-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -3243 (|#1| |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-2675 (((-765)) 51 (|has| |#1| (-371)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 92 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 90 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 88)) (-1321 (((-569) $) 93 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 91 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 87)) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 77)) (-1330 (((-3 (-410 (-569)) "failed") $) 64 (|has| |#1| (-551)))) (-4429 (((-121) $) 66 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 65 (|has| |#1| (-551)))) (-3341 (($) 54 (|has| |#1| (-371)))) (-3934 (((-121) $) 30)) (-1580 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 68)) (-3046 ((|#1| $) 69)) (-2157 (($ $ $) 60 (|has| |#1| (-844)))) (-2713 (($ $ $) 59 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 79)) (-2862 (((-919) $) 53 (|has| |#1| (-371)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 63 (|has| |#1| (-366)))) (-1333 (($ (-919)) 52 (|has| |#1| (-371)))) (-4445 ((|#1| $) 74)) (-2189 ((|#1| $) 75)) (-3913 ((|#1| $) 76)) (-4455 ((|#1| $) 70)) (-3226 ((|#1| $) 71)) (-1952 ((|#1| $) 72)) (-4227 ((|#1| $) 73)) (-1912 (((-1111) $) 10)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 85 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 84 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 83 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 82 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 81 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 80 (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) 86 (|has| |#1| (-282 |#1| |#1|)))) (-4035 (((-542) $) 61 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 78)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 89 (|has| |#1| (-1039 (-410 (-569)))))) (-2277 (((-3 $ "failed") $) 62 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-4080 ((|#1| $) 67 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 57 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 56 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 58 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 55 (|has| |#1| (-844)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37))) 
+(((-794 |#1|) (-1284) (-173)) (T -794)) 
+((-3980 (*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3913 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-2189 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4445 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4227 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-1952 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3226 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4455 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-1580 (*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) (-4080 (*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-3243 (*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(-13 (-43 |t#1|) (-414 |t#1|) (-337 |t#1|) (-10 -8 (-15 -3980 ($ $)) (-15 -3147 (|t#1| $)) (-15 -3913 (|t#1| $)) (-15 -2189 (|t#1| $)) (-15 -4445 (|t#1| $)) (-15 -4227 (|t#1| $)) (-15 -1952 (|t#1| $)) (-15 -3226 (|t#1| $)) (-15 -4455 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -1580 ($ |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1| |t#1|)) (IF (|has| |t#1| (-371)) (-6 (-371)) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|) (IF (|has| |t#1| (-366)) (-15 -3243 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-371) |has| |#1| (-371)) ((-337 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 20))) 
+(((-795 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-794 |#2|) (-173) (-794 |#4|) (-173)) (T -795)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-794 *6)) (-5 *1 (-795 *4 *5 *2 *6)) (-4 *4 (-794 *5))))) 
+(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-1001 |#1|) "failed") $) 35) (((-3 (-569) "failed") $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-1321 ((|#1| $) NIL) (((-1001 |#1|) $) 33) (((-569) $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-569))) (|has| |#1| (-1039 (-569))))) (((-410 (-569)) $) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 16)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-3341 (($) NIL (|has| |#1| (-371)))) (-3934 (((-121) $) NIL)) (-1580 (($ |#1| |#1| |#1| |#1| |#1| |#1| |#1| |#1|) 28) (($ (-1001 |#1|) (-1001 |#1|)) 29)) (-3046 ((|#1| $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-4445 ((|#1| $) 22)) (-2189 ((|#1| $) 20)) (-3913 ((|#1| $) 18)) (-4455 ((|#1| $) 26)) (-3226 ((|#1| $) 25)) (-1952 ((|#1| $) 24)) (-4227 ((|#1| $) 23)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1001 |#1|)) 30) (($ (-410 (-569))) NIL (-1929 (|has| (-1001 |#1|) (-1039 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-4080 ((|#1| $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 8 T CONST)) (-3297 (($) 12 T CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 40) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-796 |#1|) (-13 (-794 |#1|) (-414 (-1001 |#1|)) (-10 -8 (-15 -1580 ($ (-1001 |#1|) (-1001 |#1|))))) (-173)) (T -796)) 
+((-1580 (*1 *1 *2 *2) (-12 (-5 *2 (-1001 *3)) (-4 *3 (-173)) (-5 *1 (-796 *3))))) 
+(-13 (-794 |#1|) (-414 (-1001 |#1|)) (-10 -8 (-15 -1580 ($ (-1001 |#1|) (-1001 |#1|))))) 
+((-1310 (((-121) $ $) 7)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3476 (((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 12)) (-1326 (((-121) $ $) 6))) 
+(((-797) (-1284)) (T -797)) 
+((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-797)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-3476 (*1 *2 *3) (-12 (-4 *1 (-797)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1037))))) 
+(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3476 ((-1037) (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2548 (((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)) 19))) 
+(((-798 |#1| |#2| |#3|) (-10 -7 (-15 -2548 ((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961)) (-647 |#2|)) (T -798)) 
+((-2548 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-798 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -2548 ((-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#3| |#2| (-1165)))) 
+((-2880 (((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)) 26) (((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|)) 27) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165)) 16) (((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165)) 17) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165)) 22) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165)) 24) (((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165)) 36) (((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165)) 34))) 
+(((-799 |#1| |#2|) (-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165))) (-15 -2880 ((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165))) (-15 -2880 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -2880 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -799)) 
+((-2880 (*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-799 *6 *2)))) (-2880 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-5 *1 (-799 *6 *2)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))))) (-2880 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -4079 (-635 *3))) *3 "failed")) (-5 *1 (-799 *6 *3)) (-4 *3 (-13 (-29 *6) (-1185) (-961))))) (-2880 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -4079 (-635 *7))) *7 "failed")) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) (-2880 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-681 *6)) (-5 *4 (-1165)) (-4 *6 (-13 (-29 *5) (-1185) (-961))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1253 *6))) (-5 *1 (-799 *5 *6)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-681 *7)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)) (-5 *4 (-1253 *7))))) 
+(-10 -7 (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-681 |#2|) (-1253 |#2|) (-1165))) (-15 -2880 ((-3 (-635 (-1253 |#2|)) "failed") (-681 |#2|) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 (-289 |#2|)) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#2|)) (|:| -4079 (-635 (-1253 |#2|)))) "failed") (-635 |#2|) (-635 (-123)) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") (-289 |#2|) (-123) (-1165))) (-15 -2880 ((-3 (-2 (|:| |particular| |#2|) (|:| -4079 (-635 |#2|))) |#2| "failed") |#2| (-123) (-1165))) (-15 -2880 ((-3 |#2| "failed") (-289 |#2|) (-123) (-289 |#2|) (-635 |#2|))) (-15 -2880 ((-3 |#2| "failed") |#2| (-123) (-289 |#2|) (-635 |#2|)))) 
+((-3840 (($) 9)) (-3156 (((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 26)) (-1316 (((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $) 23)) (-2351 (($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) 20)) (-2083 (($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) 18)) (-1716 (((-1258)) 12))) 
+(((-800) (-10 -8 (-15 -3840 ($)) (-15 -1716 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -2083 ($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -3156 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) (T -800)) 
+((-3156 (*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-800)))) (-2351 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-800)))) (-2083 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-800)))) (-1316 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-800)))) (-1716 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-800)))) (-3840 (*1 *1) (-5 *1 (-800)))) 
+(-10 -8 (-15 -3840 ($)) (-15 -1716 ((-1258))) (-15 -1316 ((-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) $)) (-15 -2083 ($ (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))))) (-15 -2351 ($ (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-15 -3156 ((-3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))) "failed") (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) 
+((-1763 ((|#2| |#2| (-1165)) 15)) (-1802 ((|#2| |#2| (-1165)) 47)) (-1574 (((-1 |#2| |#2|) (-1165)) 11))) 
+(((-801 |#1| |#2|) (-10 -7 (-15 -1763 (|#2| |#2| (-1165))) (-15 -1802 (|#2| |#2| (-1165))) (-15 -1574 ((-1 |#2| |#2|) (-1165)))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151)) (-13 (-29 |#1|) (-1185) (-961))) (T -801)) 
+((-1574 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-801 *4 *5)) (-4 *5 (-13 (-29 *4) (-1185) (-961))))) (-1802 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961))))) (-1763 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961)))))) 
+(-10 -7 (-15 -1763 (|#2| |#2| (-1165))) (-15 -1802 (|#2| |#2| (-1165))) (-15 -1574 ((-1 |#2| |#2|) (-1165)))) 
+((-2880 (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382)) 114) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382)) 115) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382)) 117) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382)) 118) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382)) 119) (((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382))) 120) (((-1037) (-805) (-1061)) 105) (((-1037) (-805)) 106)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061)) 71) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805)) 73))) 
+(((-802) (-10 -7 (-15 -2880 ((-1037) (-805))) (-15 -2880 ((-1037) (-805) (-1061))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061))))) (T -802)) 
+((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-802)))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-1037)) (-5 *1 (-802))))) 
+(-10 -7 (-15 -2880 ((-1037) (-805))) (-15 -2880 ((-1037) (-805) (-1061))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382))) (-15 -2880 ((-1037) (-1253 (-311 (-382))) (-382) (-382) (-635 (-382)) (-311 (-382)) (-635 (-382)) (-382) (-382))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-805) (-1061)))) 
+((-3059 (((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|) 32))) 
+(((-803 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3059 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|))) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|)) (T -803)) 
+((-3059 (*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-803 *5 *6 *7 *4))))) 
+(-10 -7 (-15 -3059 ((-2 (|:| |particular| (-3 |#4| "failed")) (|:| -4079 (-635 |#4|))) (-644 |#4|) |#4|))) 
+((-3979 (((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))) 51)) (-2901 (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|) 59) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|) 58) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|) 20) (((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|) 21)) (-3815 ((|#2| |#4| |#1|) 60) ((|#2| |#3| |#1|) 27)) (-1654 ((|#2| |#3| (-635 (-410 |#2|))) 93) (((-3 |#2| "failed") |#3| (-410 |#2|)) 90))) 
+(((-804 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1654 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -1654 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|)) (-15 -3815 (|#2| |#3| |#1|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|)) (-15 -3815 (|#2| |#4| |#1|)) (-15 -3979 ((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-410 (-569)))) (-1228 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -804)) 
+((-3979 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -4399 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-804 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) (-3815 (*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2))))) (-2901 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4))))) (-2901 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) (-3815 (*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) (-2901 (*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) (-2901 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-1654 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2))))) (-1654 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4))))) 
+(-10 -7 (-15 -1654 ((-3 |#2| "failed") |#3| (-410 |#2|))) (-15 -1654 (|#2| |#3| (-635 (-410 |#2|)))) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#3| |#2|)) (-15 -3815 (|#2| |#3| |#1|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4|)) (-15 -2901 ((-635 (-2 (|:| -1736 |#2|) (|:| -4183 |#2|))) |#4| |#2|)) (-15 -3815 (|#2| |#4| |#1|)) (-15 -3979 ((-2 (|:| -4399 |#3|) (|:| |rh| (-635 (-410 |#2|)))) |#4| (-635 (-410 |#2|))))) 
+((-1310 (((-121) $ $) NIL)) (-1321 (((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11) (($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) 8)) (-1326 (((-121) $ $) NIL))) 
+(((-805) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $))))) (T -805)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-805)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))) $)))) 
+((-4540 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|)) 118)) (-1898 (((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 45)) (-1679 (((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|) 95)) (-1855 ((|#2| |#3|) 37)) (-4007 (((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|)) 82)) (-3668 ((|#3| |#3| (-410 |#2|)) 63) ((|#3| |#3| |#2|) 79))) 
+(((-806 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1855 (|#2| |#3|)) (-15 -1679 ((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|)) (-15 -4007 ((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -3668 (|#3| |#3| |#2|)) (-15 -3668 (|#3| |#3| (-410 |#2|)))) (-13 (-366) (-151) (-1039 (-410 (-569)))) (-1228 |#1|) (-647 |#2|) (-647 (-410 |#2|))) (T -806)) 
+((-3668 (*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *1 (-806 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3)))) (-3668 (*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-1228 *4)) (-5 *1 (-806 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) (-4540 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1161 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -4399 *3)))) (-5 *1 (-806 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) (-1898 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-4007 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -3575 *5) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) (-1679 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -4399 *5)))) (-5 *1 (-806 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) (-1855 (*1 *2 *3) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-806 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
+(-10 -7 (-15 -1855 (|#2| |#3|)) (-15 -1679 ((-635 (-2 (|:| |deg| (-765)) (|:| -4399 |#2|))) |#3|)) (-15 -4007 ((-635 (-2 (|:| -3575 |#1|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 |#3|))) |#3| (-1 (-635 |#1|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 |#3|))) |#3| (-1 (-635 |#2|) |#2| (-1161 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -3668 (|#3| |#3| |#2|)) (-15 -3668 (|#3| |#3| (-410 |#2|)))) 
+((-1568 (((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|))) 117) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|)) 116) (((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|))) 111) (((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|)) 109)) (-2635 ((|#2| (-645 |#2| (-410 |#2|))) 77) ((|#2| (-644 (-410 |#2|))) 81))) 
+(((-807 |#1| |#2|) (-10 -7 (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2635 (|#2| (-644 (-410 |#2|)))) (-15 -2635 (|#2| (-645 |#2| (-410 |#2|))))) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -807)) 
+((-2635 (*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) (-2635 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) (-1568 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6))))) 
+(-10 -7 (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-644 (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-644 (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -1568 ((-2 (|:| |particular| (-3 (-410 |#2|) "failed")) (|:| -4079 (-635 (-410 |#2|)))) (-645 |#2| (-410 |#2|)) (-410 |#2|))) (-15 -1568 ((-2 (|:| -4079 (-635 (-410 |#2|))) (|:| -4463 (-681 |#1|))) (-645 |#2| (-410 |#2|)) (-635 (-410 |#2|)))) (-15 -2635 (|#2| (-644 (-410 |#2|)))) (-15 -2635 (|#2| (-645 |#2| (-410 |#2|))))) 
+((-3092 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|) 47))) 
+(((-808 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3092 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|))) (-366) (-647 |#1|) (-1228 |#1|) (-716 |#1| |#3|) (-647 |#4|)) (T -808)) 
+((-3092 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1228 *5)) (-4 *4 (-716 *5 *7)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-808 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
+(-10 -7 (-15 -3092 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) |#5| |#4|))) 
+((-4540 (((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 43)) (-1740 (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 133 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|))) 134 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|)) 135 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-644 (-410 |#2|))) 136 (|has| |#1| (-27))) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 36) (((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 37) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|)) 34) (((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 35)) (-1898 (((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|)) 80))) 
+(((-809 |#1| |#2|) (-10 -7 (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))) (-1228 |#1|)) (T -809)) 
+((-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) (-1898 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-4540 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6))))) (-1740 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) (-1740 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) (-1740 (*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6))))) 
+(-10 -7 (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|) (-1 (-421 |#2|) |#2|))) (-15 -4540 ((-635 (-2 (|:| |frac| (-410 |#2|)) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1898 ((-635 (-2 (|:| |poly| |#2|) (|:| -4399 (-645 |#2| (-410 |#2|))))) (-645 |#2| (-410 |#2|)) (-1 (-635 |#1|) |#2|))) (IF (|has| |#1| (-27)) (PROGN (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-644 (-410 |#2|)) (-1 (-421 |#2|) |#2|))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)))) (-15 -1740 ((-635 (-410 |#2|)) (-645 |#2| (-410 |#2|)) (-1 (-421 |#2|) |#2|)))) |noBranch|)) 
+((-3265 (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|)) 86) (((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|)) 14)) (-3089 (((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)) 92)) (-2880 (((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|)) 45))) 
+(((-810 |#1| |#2|) (-10 -7 (-15 -3265 ((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|))) (-15 -3265 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -3089 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)))) (-366) (-647 |#1|)) (T -810)) 
+((-3089 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -4079 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *6) "failed")) (|:| -4079 (-635 (-1253 *6))))) (-5 *1 (-810 *6 *7)) (-5 *4 (-1253 *6)))) (-2880 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -4079 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1253 *6)) (|:| -4079 (-681 *6)))) (-5 *1 (-810 *6 *7)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *6)))) (-3265 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *5)))) (-3265 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-681 *5)) (|:| |eqs| (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5)) (|:| -4399 *6) (|:| |rh| *5)))))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *6 (-647 *5))))) 
+(-10 -7 (-15 -3265 ((-2 (|:| A (-681 |#1|)) (|:| |eqs| (-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)) (|:| -4399 |#2|) (|:| |rh| |#1|))))) (-681 |#1|) (-1253 |#1|))) (-15 -3265 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#1|))) (-681 |#2|) (-1253 |#1|))) (-15 -2880 ((-3 (-2 (|:| |particular| (-1253 |#1|)) (|:| -4079 (-681 |#1|))) "failed") (-681 |#1|) (-1253 |#1|) (-1 (-3 (-2 (|:| |particular| |#1|) (|:| -4079 (-635 |#1|))) "failed") |#2| |#1|))) (-15 -3089 ((-2 (|:| |particular| (-3 (-1253 |#1|) "failed")) (|:| -4079 (-635 (-1253 |#1|)))) (-681 |#2|) (-1253 |#1|) (-1 (-2 (|:| |particular| (-3 |#1| "failed")) (|:| -4079 (-635 |#1|))) |#2| |#1|)))) 
+((-3984 (((-681 |#1|) (-635 |#1|) (-765)) 13) (((-681 |#1|) (-635 |#1|)) 14)) (-1502 (((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|)) 34)) (-4192 (((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)) 42))) 
+(((-811 |#1| |#2|) (-10 -7 (-15 -3984 ((-681 |#1|) (-635 |#1|))) (-15 -3984 ((-681 |#1|) (-635 |#1|) (-765))) (-15 -1502 ((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -4192 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) (-366) (-647 |#1|)) (T -811)) 
+((-4192 (*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-811 *2 *3)) (-4 *3 (-647 *2)))) (-1502 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1253 *4)) (-5 *1 (-811 *4 *3)) (-4 *3 (-647 *4)))) (-3984 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-811 *5 *6)) (-4 *6 (-647 *5)))) (-3984 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-811 *4 *5)) (-4 *5 (-647 *4))))) 
+(-10 -7 (-15 -3984 ((-681 |#1|) (-635 |#1|))) (-15 -3984 ((-681 |#1|) (-635 |#1|) (-765))) (-15 -1502 ((-3 (-1253 |#1|) "failed") |#2| |#1| (-635 |#1|))) (-15 -4192 ((-3 |#1| "failed") |#2| |#1| (-635 |#1|) (-1 |#1| |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-2225 (((-121) $) NIL (|has| |#2| (-138)))) (-4148 (($ (-919)) NIL (|has| |#2| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#2| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#2| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#2| (-371)))) (-3817 (((-569) $) NIL (|has| |#2| (-842)))) (-2511 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (((-3 |#2| "failed") $) NIL (|has| |#2| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) ((|#2| $) NIL (|has| |#2| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#2| (-1049)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#2| (-1049))) (((-681 |#2|) (-681 $)) NIL (|has| |#2| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#2| (-718)))) (-3341 (($) NIL (|has| |#2| (-371)))) (-3982 ((|#2| $ (-569) |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ (-569)) NIL)) (-1863 (((-121) $) NIL (|has| |#2| (-842)))) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#2| (-718)))) (-4311 (((-121) $) NIL (|has| |#2| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#2| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#2| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#2| (-371)))) (-1912 (((-1111) $) NIL (|has| |#2| (-1093)))) (-1816 ((|#2| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) |#2|) NIL) ((|#2| $ (-569)) NIL)) (-4510 ((|#2| $ $) NIL (|has| |#2| (-1049)))) (-3161 (($ (-1253 |#2|)) NIL)) (-2174 (((-140)) NIL (|has| |#2| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#2|) $) NIL) (((-852) $) NIL (|has| |#2| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#2| (-1039 (-569))) (|has| |#2| (-1093))) (|has| |#2| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#2| (-1039 (-410 (-569)))) (|has| |#2| (-1093)))) (($ |#2|) NIL (|has| |#2| (-1093)))) (-2320 (((-765)) NIL (|has| |#2| (-1049)))) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#2| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (-2407 (($) NIL (|has| |#2| (-138)) CONST)) (-3297 (($) NIL (|has| |#2| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#2| (-226)) (|has| |#2| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#2| (-897 (-1165))) (|has| |#2| (-1049)))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#2| (-1049))) (($ $ (-1 |#2| |#2|)) NIL (|has| |#2| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#2| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1337 (((-121) $ $) 11 (-1929 (|has| |#2| (-790)) (|has| |#2| (-842))))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $ $) NIL (|has| |#2| (-1049))) (($ $) NIL (|has| |#2| (-1049)))) (-1371 (($ $ $) NIL (|has| |#2| (-25)))) (** (($ $ (-765)) NIL (|has| |#2| (-718))) (($ $ (-919)) NIL (|has| |#2| (-718)))) (* (($ (-569) $) NIL (|has| |#2| (-1049))) (($ $ $) NIL (|has| |#2| (-718))) (($ $ |#2|) NIL (|has| |#2| (-1049))) (($ |#2| $) NIL (|has| |#2| (-1049))) (($ (-765) $) NIL (|has| |#2| (-138))) (($ (-919) $) NIL (|has| |#2| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-812 |#1| |#2| |#3|) (-231 |#1| |#2|) (-765) (-790) (-1 (-121) (-1253 |#2|) (-1253 |#2|))) (T -812)) 
 NIL 
 (-231 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ (-1163)) NIL)) (-2496 (((-764) $) NIL) (((-764) $ (-1163)) NIL)) (-1773 (((-635 (-814 (-1163))) $) NIL)) (-1739 (((-1159 $) $ (-814 (-1163))) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-814 (-1163)))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-814 (-1163)) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 (-1114 |#1| (-1163)) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-814 (-1163)) $) NIL) (((-1163) $) NIL) (((-1114 |#1| (-1163)) $) NIL)) (-3493 (($ $ $ (-814 (-1163))) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-814 (-1163))) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-814 (-1163))) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-814 (-1163)) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-814 (-1163)) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-814 (-1163))) NIL) (($ (-1159 $) (-814 (-1163))) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-814 (-1163))) NIL)) (-4002 (((-535 (-814 (-1163))) $) NIL) (((-764) $ (-814 (-1163))) NIL) (((-635 (-764)) $ (-635 (-814 (-1163)))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-814 (-1163))) (-535 (-814 (-1163)))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) (-1163)) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 (-814 (-1163)) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 (((-814 (-1163)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-814 (-1163))) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-814 (-1163)) |#1|) NIL) (($ $ (-635 (-814 (-1163))) (-635 |#1|)) NIL) (($ $ (-814 (-1163)) $) NIL) (($ $ (-635 (-814 (-1163))) (-635 $)) NIL) (($ $ (-1163) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ (-814 (-1163))) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-814 (-1163))) NIL) (($ $ (-635 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 (-1163)) $) NIL)) (-2492 (((-535 (-814 (-1163))) $) NIL) (((-764) $ (-814 (-1163))) NIL) (((-635 (-764)) $ (-635 (-814 (-1163)))) NIL) (((-764) $ (-1163)) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-814 (-1163)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-814 (-1163))) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-814 (-1163))) NIL) (($ (-1163)) NIL) (($ (-1114 |#1| (-1163))) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-814 (-1163))) NIL) (($ $ (-635 (-814 (-1163)))) NIL) (($ $ (-814 (-1163)) (-764)) NIL) (($ $ (-635 (-814 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-812 |#1|) (-13 (-247 |#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) (-1038 (-1114 |#1| (-1163)))) (-1048)) (T -812)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ (-1165)) NIL)) (-2402 (((-765) $) NIL) (((-765) $ (-1165)) NIL)) (-3195 (((-635 (-815 (-1165))) $) NIL)) (-3132 (((-1161 $) $ (-815 (-1165))) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-815 (-1165)))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-815 (-1165)) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 (-1116 |#1| (-1165)) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-815 (-1165)) $) NIL) (((-1165) $) NIL) (((-1116 |#1| (-1165)) $) NIL)) (-3673 (($ $ $ (-815 (-1165))) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-815 (-1165))) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-815 (-1165))) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-815 (-1165)) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-815 (-1165)) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-815 (-1165))) NIL) (($ (-1161 $) (-815 (-1165))) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-815 (-1165))) NIL)) (-4294 (((-535 (-815 (-1165))) $) NIL) (((-765) $ (-815 (-1165))) NIL) (((-635 (-765)) $ (-635 (-815 (-1165)))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-815 (-1165))) (-535 (-815 (-1165)))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) (-1165)) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 (-815 (-1165)) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 (((-815 (-1165)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-815 (-1165))) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-815 (-1165)) |#1|) NIL) (($ $ (-635 (-815 (-1165))) (-635 |#1|)) NIL) (($ $ (-815 (-1165)) $) NIL) (($ $ (-635 (-815 (-1165))) (-635 $)) NIL) (($ $ (-1165) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ (-815 (-1165))) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-815 (-1165))) NIL) (($ $ (-635 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 (-1165)) $) NIL)) (-2284 (((-535 (-815 (-1165))) $) NIL) (((-765) $ (-815 (-1165))) NIL) (((-635 (-765)) $ (-635 (-815 (-1165)))) NIL) (((-765) $ (-1165)) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-815 (-1165)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-815 (-1165))) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-815 (-1165))) NIL) (($ (-1165)) NIL) (($ (-1116 |#1| (-1165))) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-815 (-1165))) NIL) (($ $ (-635 (-815 (-1165)))) NIL) (($ $ (-815 (-1165)) (-765)) NIL) (($ $ (-635 (-815 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-813 |#1|) (-13 (-247 |#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) (-1039 (-1116 |#1| (-1165)))) (-1049)) (T -813)) 
 NIL 
-(-13 (-247 |#1| (-1163) (-814 (-1163)) (-535 (-814 (-1163)))) (-1038 (-1114 |#1| (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-366)))) (-3383 (($ $) NIL (|has| |#2| (-366)))) (-4354 (((-121) $) NIL (|has| |#2| (-366)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#2| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-366)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-3726 (((-121) $) NIL (|has| |#2| (-366)))) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2665 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 20 (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-3899 (($ $ (-764)) NIL) (($ $) 13)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-410 (-569))) NIL (|has| |#2| (-366))) (($ $) NIL (|has| |#2| (-366)))) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL (|has| |#2| (-366)))) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) 15 (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ $ (-569)) 18 (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) NIL (|has| |#2| (-366))) (($ $ (-410 (-569))) NIL (|has| |#2| (-366))))) 
-(((-813 |#1| |#2| |#3|) (-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -2185 ($ |#2|)) (-15 -2185 (|#2| $)))) (-1091) (-896 |#1|) |#1|) (T -813)) 
-((-2185 (*1 *1 *2) (-12 (-4 *3 (-1091)) (-14 *4 *3) (-5 *1 (-813 *3 *2 *4)) (-4 *2 (-896 *3)))) (-2185 (*1 *2 *1) (-12 (-4 *2 (-896 *3)) (-5 *1 (-813 *3 *2 *4)) (-4 *3 (-1091)) (-14 *4 *3)))) 
-(-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -2185 ($ |#2|)) (-15 -2185 (|#2| $)))) 
-((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) NIL)) (-3534 ((|#1| $) 10)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2558 (((-764) $) 11)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1918 (($ |#1| (-764)) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL))) 
-(((-814 |#1|) (-263 |#1|) (-843)) (T -814)) 
+(-13 (-247 |#1| (-1165) (-815 (-1165)) (-535 (-815 (-1165)))) (-1039 (-1116 |#1| (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-366)))) (-2915 (($ $) NIL (|has| |#2| (-366)))) (-2735 (((-121) $) NIL (|has| |#2| (-366)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#2| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2005 (((-121) $) NIL (|has| |#2| (-366)))) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1657 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 20 (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-366))) (($ $ $) NIL (|has| |#2| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3289 (($ $ (-765)) NIL) (($ $) 13)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) 10) ((|#2| $) 11) (($ (-410 (-569))) NIL (|has| |#2| (-366))) (($ $) NIL (|has| |#2| (-366)))) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) NIL (|has| |#2| (-366)))) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) 15 (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ $ (-569)) 18 (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ $) NIL) (($ (-410 (-569)) $) NIL (|has| |#2| (-366))) (($ $ (-410 (-569))) NIL (|has| |#2| (-366))))) 
+(((-814 |#1| |#2| |#3|) (-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -3956 ($ |#2|)) (-15 -3956 (|#2| $)))) (-1093) (-897 |#1|) |#1|) (T -814)) 
+((-3956 (*1 *1 *2) (-12 (-4 *3 (-1093)) (-14 *4 *3) (-5 *1 (-814 *3 *2 *4)) (-4 *2 (-897 *3)))) (-3956 (*1 *2 *1) (-12 (-4 *2 (-897 *3)) (-5 *1 (-814 *3 *2 *4)) (-4 *3 (-1093)) (-14 *4 *3)))) 
+(-13 (-120 $ $) (-226) (-10 -8 (IF (|has| |#2| (-366)) (-6 (-366)) |noBranch|) (-15 -3956 ($ |#2|)) (-15 -3956 (|#2| $)))) 
+((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) NIL)) (-1948 ((|#1| $) 10)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-4433 (((-765) $) 11)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4428 (($ |#1| (-765)) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL))) 
+(((-815 |#1|) (-263 |#1|) (-844)) (T -815)) 
 NIL 
 (-263 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 34)) (-2085 (((-764) $) NIL)) (-2820 (($) NIL T CONST)) (-2123 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2046 (($ $) 36)) (-3428 (((-3 $ "failed") $) NIL)) (-3560 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-1407 (((-121) $) NIL)) (-3082 ((|#1| $ (-569)) NIL)) (-2248 (((-764) $ (-569)) NIL)) (-2208 (($ $) 40)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-3642 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-2152 (((-121) $ $) 38)) (-1906 (((-764) $) 30)) (-2776 (((-1145) $) NIL)) (-2069 (($ $ $) NIL)) (-1466 (($ $ $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 ((|#1| $) 35)) (-1640 (((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $) NIL)) (-2609 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-1556 (($) 14 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 39)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL) (($ |#1| (-764)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-815 |#1|) (-13 (-839) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -4353 (|#1| $)) (-15 -2046 ($ $)) (-15 -2208 ($ $)) (-15 -2152 ((-121) $ $)) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -3642 ((-3 $ "failed") $ |#1|)) (-15 -2123 ((-3 $ "failed") $ |#1|)) (-15 -2609 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -1906 ((-764) $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -815)) 
-((* (*1 *1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2208 (*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2152 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-1466 (*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2069 (*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-3642 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2123 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-3642 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2123 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-2609 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-815 *3) "failed")) (|:| |rm| (-3 (-815 *3) "failed")))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-3560 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-815 *3)) (|:| |mm| (-815 *3)) (|:| |rm| (-815 *3)))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-2085 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-2248 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-815 *4)) (-4 *4 (-843)))) (-3082 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) (-1640 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
-(-13 (-839) (-1038 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-764))) (-15 -4353 (|#1| $)) (-15 -2046 ($ $)) (-15 -2208 ($ $)) (-15 -2152 ((-121) $ $)) (-15 -1466 ($ $ $)) (-15 -2069 ($ $ $)) (-15 -3642 ((-3 $ "failed") $ $)) (-15 -2123 ((-3 $ "failed") $ $)) (-15 -3642 ((-3 $ "failed") $ |#1|)) (-15 -2123 ((-3 $ "failed") $ |#1|)) (-15 -2609 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -3560 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2085 ((-764) $)) (-15 -2248 ((-764) $ (-569))) (-15 -3082 (|#1| $ (-569))) (-15 -1640 ((-635 (-2 (|:| |gen| |#1|) (|:| -2436 (-764)))) $)) (-15 -1906 ((-764) $)) (-15 -3914 ((-635 |#1|) $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-3638 (((-569) $) 52)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-2403 (((-121) $) 50)) (-1407 (((-121) $) 30)) (-1781 (((-121) $) 51)) (-3291 (($ $ $) 49)) (-1538 (($ $ $) 48)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 53)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 46)) (-1684 (((-121) $ $) 45)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 47)) (-1678 (((-121) $ $) 44)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-816) (-1278)) (T -816)) 
-NIL 
-(-13 (-559) (-841)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3728 (($ (-1109)) 7)) (-3729 (((-121) $ (-1145) (-1109)) 15)) (-3863 (((-818) $) 12)) (-4485 (((-818) $) 11)) (-1507 (((-1252) $) 9)) (-1454 (((-121) $ (-1109)) 16))) 
-(((-817) (-10 -8 (-15 -3728 ($ (-1109))) (-15 -1507 ((-1252) $)) (-15 -4485 ((-818) $)) (-15 -3863 ((-818) $)) (-15 -3729 ((-121) $ (-1145) (-1109))) (-15 -1454 ((-121) $ (-1109))))) (T -817)) 
-((-1454 (*1 *2 *1 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-121)) (-5 *1 (-817)))) (-3729 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-1109)) (-5 *2 (-121)) (-5 *1 (-817)))) (-3863 (*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817)))) (-4485 (*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817)))) (-1507 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-817)))) (-3728 (*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-817))))) 
-(-10 -8 (-15 -3728 ($ (-1109))) (-15 -1507 ((-1252) $)) (-15 -4485 ((-818) $)) (-15 -3863 ((-818) $)) (-15 -3729 ((-121) $ (-1145) (-1109))) (-15 -1454 ((-121) $ (-1109)))) 
-((-1862 (((-1252) $ (-819)) 12)) (-3220 (((-1252) $ (-1163)) 32)) (-3026 (((-1252) $ (-1145) (-1145)) 34)) (-3973 (((-1252) $ (-1145)) 33)) (-1412 (((-1252) $) 19)) (-4019 (((-1252) $ (-569)) 28)) (-4158 (((-1252) $ (-216)) 30)) (-2875 (((-1252) $) 18)) (-3826 (((-1252) $) 26)) (-4492 (((-1252) $) 25)) (-1843 (((-1252) $) 23)) (-1543 (((-1252) $) 24)) (-4081 (((-1252) $) 22)) (-3002 (((-1252) $) 21)) (-3696 (((-1252) $) 20)) (-3736 (((-1252) $) 16)) (-4083 (((-1252) $) 17)) (-3259 (((-1252) $) 15)) (-2625 (((-1252) $) 14)) (-4211 (((-1252) $) 13)) (-1562 (($ (-1145) (-819)) 9)) (-2002 (($ (-1145) (-1145) (-819)) 8)) (-4478 (((-1163) $) 51)) (-2560 (((-1163) $) 55)) (-1415 (((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $) 54)) (-1826 (((-1145) $) 52)) (-4010 (((-1252) $) 41)) (-1888 (((-569) $) 49)) (-1608 (((-216) $) 50)) (-1312 (((-1252) $) 40)) (-4471 (((-1252) $) 48)) (-4123 (((-1252) $) 47)) (-1717 (((-1252) $) 45)) (-3630 (((-1252) $) 46)) (-4138 (((-1252) $) 44)) (-3319 (((-1252) $) 43)) (-4500 (((-1252) $) 42)) (-3268 (((-1252) $) 38)) (-3463 (((-1252) $) 39)) (-1878 (((-1252) $) 37)) (-2480 (((-1252) $) 36)) (-2106 (((-1252) $) 35)) (-2913 (((-1252) $) 11))) 
-(((-818) (-10 -8 (-15 -2002 ($ (-1145) (-1145) (-819))) (-15 -1562 ($ (-1145) (-819))) (-15 -2913 ((-1252) $)) (-15 -1862 ((-1252) $ (-819))) (-15 -4211 ((-1252) $)) (-15 -2625 ((-1252) $)) (-15 -3259 ((-1252) $)) (-15 -3736 ((-1252) $)) (-15 -4083 ((-1252) $)) (-15 -2875 ((-1252) $)) (-15 -1412 ((-1252) $)) (-15 -3696 ((-1252) $)) (-15 -3002 ((-1252) $)) (-15 -4081 ((-1252) $)) (-15 -1843 ((-1252) $)) (-15 -1543 ((-1252) $)) (-15 -4492 ((-1252) $)) (-15 -3826 ((-1252) $)) (-15 -4019 ((-1252) $ (-569))) (-15 -4158 ((-1252) $ (-216))) (-15 -3220 ((-1252) $ (-1163))) (-15 -3973 ((-1252) $ (-1145))) (-15 -3026 ((-1252) $ (-1145) (-1145))) (-15 -2106 ((-1252) $)) (-15 -2480 ((-1252) $)) (-15 -1878 ((-1252) $)) (-15 -3268 ((-1252) $)) (-15 -3463 ((-1252) $)) (-15 -1312 ((-1252) $)) (-15 -4010 ((-1252) $)) (-15 -4500 ((-1252) $)) (-15 -3319 ((-1252) $)) (-15 -4138 ((-1252) $)) (-15 -1717 ((-1252) $)) (-15 -3630 ((-1252) $)) (-15 -4123 ((-1252) $)) (-15 -4471 ((-1252) $)) (-15 -1888 ((-569) $)) (-15 -1608 ((-216) $)) (-15 -4478 ((-1163) $)) (-15 -1826 ((-1145) $)) (-15 -1415 ((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $)) (-15 -2560 ((-1163) $)))) (T -818)) 
-((-2560 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818)))) (-1415 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1145)) (|:| -1486 (-1145)))) (-5 *1 (-818)))) (-1826 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-818)))) (-4478 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818)))) (-1608 (*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-818)))) (-1888 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-818)))) (-4471 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4123 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3630 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1717 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4138 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3319 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4500 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4010 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1312 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3463 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3268 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1878 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2480 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2106 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3026 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3973 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3220 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-4158 (*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-4019 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-3826 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4492 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1543 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1843 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4081 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3002 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3696 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1412 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2875 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4083 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3736 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-3259 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-2625 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-4211 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1862 (*1 *2 *1 *3) (-12 (-5 *3 (-819)) (-5 *2 (-1252)) (-5 *1 (-818)))) (-2913 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818)))) (-1562 (*1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818)))) (-2002 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
-(-10 -8 (-15 -2002 ($ (-1145) (-1145) (-819))) (-15 -1562 ($ (-1145) (-819))) (-15 -2913 ((-1252) $)) (-15 -1862 ((-1252) $ (-819))) (-15 -4211 ((-1252) $)) (-15 -2625 ((-1252) $)) (-15 -3259 ((-1252) $)) (-15 -3736 ((-1252) $)) (-15 -4083 ((-1252) $)) (-15 -2875 ((-1252) $)) (-15 -1412 ((-1252) $)) (-15 -3696 ((-1252) $)) (-15 -3002 ((-1252) $)) (-15 -4081 ((-1252) $)) (-15 -1843 ((-1252) $)) (-15 -1543 ((-1252) $)) (-15 -4492 ((-1252) $)) (-15 -3826 ((-1252) $)) (-15 -4019 ((-1252) $ (-569))) (-15 -4158 ((-1252) $ (-216))) (-15 -3220 ((-1252) $ (-1163))) (-15 -3973 ((-1252) $ (-1145))) (-15 -3026 ((-1252) $ (-1145) (-1145))) (-15 -2106 ((-1252) $)) (-15 -2480 ((-1252) $)) (-15 -1878 ((-1252) $)) (-15 -3268 ((-1252) $)) (-15 -3463 ((-1252) $)) (-15 -1312 ((-1252) $)) (-15 -4010 ((-1252) $)) (-15 -4500 ((-1252) $)) (-15 -3319 ((-1252) $)) (-15 -4138 ((-1252) $)) (-15 -1717 ((-1252) $)) (-15 -3630 ((-1252) $)) (-15 -4123 ((-1252) $)) (-15 -4471 ((-1252) $)) (-15 -1888 ((-569) $)) (-15 -1608 ((-216) $)) (-15 -4478 ((-1163) $)) (-15 -1826 ((-1145) $)) (-15 -1415 ((-2 (|:| |cd| (-1145)) (|:| -1486 (-1145))) $)) (-15 -2560 ((-1163) $))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 12)) (-3773 (($) 15)) (-2380 (($) 13)) (-4273 (($) 16)) (-4092 (($) 14)) (-1668 (((-121) $ $) 8))) 
-(((-819) (-13 (-1091) (-10 -8 (-15 -2380 ($)) (-15 -3773 ($)) (-15 -4273 ($)) (-15 -4092 ($))))) (T -819)) 
-((-2380 (*1 *1) (-5 *1 (-819))) (-3773 (*1 *1) (-5 *1 (-819))) (-4273 (*1 *1) (-5 *1 (-819))) (-4092 (*1 *1) (-5 *1 (-819)))) 
-(-13 (-1091) (-10 -8 (-15 -2380 ($)) (-15 -3773 ($)) (-15 -4273 ($)) (-15 -4092 ($)))) 
-((-2568 (((-121) $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 21) (($ (-1163)) 17)) (-3932 (((-121) $) 10)) (-4069 (((-121) $) 9)) (-3482 (((-121) $) 11)) (-2816 (((-121) $) 8)) (-1668 (((-121) $ $) 19))) 
-(((-820) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2816 ((-121) $)) (-15 -4069 ((-121) $)) (-15 -3932 ((-121) $)) (-15 -3482 ((-121) $))))) (T -820)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-820)))) (-2816 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-4069 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-3932 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820)))) (-3482 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2816 ((-121) $)) (-15 -4069 ((-121) $)) (-15 -3932 ((-121) $)) (-15 -3482 ((-121) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3184 (($ (-820) (-635 (-1163))) 24)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4390 (((-820) $) 25)) (-1895 (((-635 (-1163)) $) 26)) (-2185 (((-851) $) 23)) (-1668 (((-121) $ $) NIL))) 
-(((-821) (-13 (-1091) (-10 -8 (-15 -4390 ((-820) $)) (-15 -1895 ((-635 (-1163)) $)) (-15 -3184 ($ (-820) (-635 (-1163))))))) (T -821)) 
-((-4390 (*1 *2 *1) (-12 (-5 *2 (-820)) (-5 *1 (-821)))) (-1895 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-821)))) (-3184 (*1 *1 *2 *3) (-12 (-5 *2 (-820)) (-5 *3 (-635 (-1163))) (-5 *1 (-821))))) 
-(-13 (-1091) (-10 -8 (-15 -4390 ((-820) $)) (-15 -1895 ((-635 (-1163)) $)) (-15 -3184 ($ (-820) (-635 (-1163)))))) 
-((-1940 (((-1252) (-818) (-311 |#1|) (-121)) 22) (((-1252) (-818) (-311 |#1|)) 76) (((-1145) (-311 |#1|) (-121)) 75) (((-1145) (-311 |#1|)) 74))) 
-(((-822 |#1|) (-10 -7 (-15 -1940 ((-1145) (-311 |#1|))) (-15 -1940 ((-1145) (-311 |#1|) (-121))) (-15 -1940 ((-1252) (-818) (-311 |#1|))) (-15 -1940 ((-1252) (-818) (-311 |#1|) (-121)))) (-13 (-824) (-843) (-1048))) (T -822)) 
-((-1940 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-818)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *6)))) (-1940 (*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *5)))) (-1940 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *5)))) (-1940 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *4))))) 
-(-10 -7 (-15 -1940 ((-1145) (-311 |#1|))) (-15 -1940 ((-1145) (-311 |#1|) (-121))) (-15 -1940 ((-1252) (-818) (-311 |#1|))) (-15 -1940 ((-1252) (-818) (-311 |#1|) (-121)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4190 ((|#1| $) 10)) (-2291 (($ |#1|) 9)) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) NIL)) (-4002 (((-764) $) NIL)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-2492 (((-764) $) NIL)) (-2185 (((-851) $) 17) (($ (-569)) NIL) (($ |#2|) NIL (|has| |#2| (-173)))) (-1653 ((|#2| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-823 |#1| |#2|) (-13 (-699 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2291 ($ |#1|)) (-15 -4190 (|#1| $)))) (-699 |#2|) (-1048)) (T -823)) 
-((-2291 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-823 *2 *3)) (-4 *2 (-699 *3)))) (-4190 (*1 *2 *1) (-12 (-4 *2 (-699 *3)) (-5 *1 (-823 *2 *3)) (-4 *3 (-1048))))) 
-(-13 (-699 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2291 ($ |#1|)) (-15 -4190 (|#1| $)))) 
-((-1940 (((-1252) (-818) $ (-121)) 9) (((-1252) (-818) $) 8) (((-1145) $ (-121)) 7) (((-1145) $) 6))) 
-(((-824) (-1278)) (T -824)) 
-((-1940 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *4 (-121)) (-5 *2 (-1252)))) (-1940 (*1 *2 *3 *1) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *2 (-1252)))) (-1940 (*1 *2 *1 *3) (-12 (-4 *1 (-824)) (-5 *3 (-121)) (-5 *2 (-1145)))) (-1940 (*1 *2 *1) (-12 (-4 *1 (-824)) (-5 *2 (-1145))))) 
-(-13 (-10 -8 (-15 -1940 ((-1145) $)) (-15 -1940 ((-1145) $ (-121))) (-15 -1940 ((-1252) (-818) $)) (-15 -1940 ((-1252) (-818) $ (-121))))) 
-((-3200 (((-306) (-1145) (-1145)) 12)) (-1919 (((-121) (-1145) (-1145)) 33)) (-3198 (((-121) (-1145)) 32)) (-1382 (((-57) (-1145)) 25)) (-1482 (((-57) (-1145)) 23)) (-3444 (((-57) (-818)) 17)) (-2435 (((-635 (-1145)) (-1145)) 28)) (-3586 (((-635 (-1145))) 27))) 
-(((-825) (-10 -7 (-15 -3444 ((-57) (-818))) (-15 -1482 ((-57) (-1145))) (-15 -1382 ((-57) (-1145))) (-15 -3586 ((-635 (-1145)))) (-15 -2435 ((-635 (-1145)) (-1145))) (-15 -3198 ((-121) (-1145))) (-15 -1919 ((-121) (-1145) (-1145))) (-15 -3200 ((-306) (-1145) (-1145))))) (T -825)) 
-((-3200 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-825)))) (-1919 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825)))) (-3198 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825)))) (-2435 (*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)) (-5 *3 (-1145)))) (-3586 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)))) (-1382 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825)))) (-1482 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825)))) (-3444 (*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-825))))) 
-(-10 -7 (-15 -3444 ((-57) (-818))) (-15 -1482 ((-57) (-1145))) (-15 -1382 ((-57) (-1145))) (-15 -3586 ((-635 (-1145)))) (-15 -2435 ((-635 (-1145)) (-1145))) (-15 -3198 ((-121) (-1145))) (-15 -1919 ((-121) (-1145) (-1145))) (-15 -3200 ((-306) (-1145) (-1145)))) 
-((-2568 (((-121) $ $) 18)) (-1752 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-1981 (($ $ $) 68)) (-2358 (((-121) $ $) 69)) (-1691 (((-121) $ (-764)) 8)) (-2195 (($ (-635 |#1|)) 64) (($) 63)) (-4216 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-3384 (($ $) 58)) (-2033 (($ $) 55 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ |#1| $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) 54 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3291 ((|#1| $) 74)) (-2854 (($ $ $) 77)) (-3288 (($ $ $) 76)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 75)) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22)) (-2652 (($ $ $) 65)) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37) (($ |#1| $ (-764)) 59)) (-3360 (((-1109) $) 21)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-3271 (((-635 (-2 (|:| -3782 |#1|) (|:| -2846 (-764)))) $) 57)) (-3290 (($ $ |#1|) 67) (($ $ $) 66)) (-2566 (($) 46) (($ (-635 |#1|)) 45)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 47)) (-2185 (((-851) $) 20)) (-1959 (($ (-635 |#1|)) 62) (($) 61)) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19)) (-1678 (((-121) $ $) 60)) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-826 |#1|) (-1278) (-843)) (T -826)) 
-((-3291 (*1 *2 *1) (-12 (-4 *1 (-826 *2)) (-4 *2 (-843))))) 
-(-13 (-727 |t#1|) (-970 |t#1|) (-10 -8 (-15 -3291 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-685 |#1|) . T) ((-727 |#1|) . T) ((-970 |#1|) . T) ((-1088 |#1|) . T) ((-1091) . T) ((-1197) . T)) 
-((-2211 (((-1252) (-1109) (-1109)) 47)) (-2882 (((-1252) (-817) (-57)) 44)) (-2228 (((-57) (-817)) 16))) 
-(((-827) (-10 -7 (-15 -2228 ((-57) (-817))) (-15 -2882 ((-1252) (-817) (-57))) (-15 -2211 ((-1252) (-1109) (-1109))))) (T -827)) 
-((-2211 (*1 *2 *3 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-1252)) (-5 *1 (-827)))) (-2882 (*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-57)) (-5 *2 (-1252)) (-5 *1 (-827)))) (-2228 (*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-827))))) 
-(-10 -7 (-15 -2228 ((-57) (-817))) (-15 -2882 ((-1252) (-817) (-57))) (-15 -2211 ((-1252) (-1109) (-1109)))) 
-((-1544 (((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)) 12) (((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|)) 13))) 
-(((-828 |#1| |#2|) (-10 -7 (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|))) (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)))) (-1091) (-1091)) (T -828)) 
-((-1544 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-829 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-828 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-829 *6)) (-5 *1 (-828 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|))) (-15 -1544 ((-829 |#2|) (-1 |#2| |#1|) (-829 |#1|) (-829 |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL (|has| |#1| (-21)) CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 15)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 9)) (-3428 (((-3 $ "failed") $) 40 (|has| |#1| (-841)))) (-4401 (((-3 (-410 (-569)) "failed") $) 48 (|has| |#1| (-551)))) (-3103 (((-121) $) 43 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 45 (|has| |#1| (-551)))) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-1407 (((-121) $) NIL (|has| |#1| (-841)))) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-1532 (($) 13)) (-1503 (((-121) $) 12)) (-3360 (((-1109) $) NIL)) (-4129 (((-121) $) 11)) (-2185 (((-851) $) 18) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-2232 (|has| |#1| (-841)) (|has| |#1| (-1038 (-569)))))) (-1991 (((-764)) 34 (|has| |#1| (-841)))) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (-3369 (($) 22 (|has| |#1| (-21)) CONST)) (-1556 (($) 31 (|has| |#1| (-841)) CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) 20)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) 42 (|has| |#1| (-841)))) (-1711 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1707 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (* (($ $ $) 37 (|has| |#1| (-841))) (($ (-569) $) 25 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-21))))) 
-(((-829 |#1|) (-13 (-1091) (-414 |#1|) (-10 -8 (-15 -1532 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1091)) (T -829)) 
-((-1532 (*1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-1091)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) (-1503 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091))))) 
-(-13 (-1091) (-414 |#1|) (-10 -8 (-15 -1532 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-123) $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1512 ((|#1| (-123) |#1|) NIL)) (-1407 (((-121) $) NIL)) (-2133 (($ |#1| (-364 (-123))) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2488 (($ $ (-1 |#1| |#1|)) NIL)) (-3350 (($ $ (-1 |#1| |#1|)) NIL)) (-1534 ((|#1| $ |#1|) NIL)) (-3965 ((|#1| |#1|) NIL (|has| |#1| (-173)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-3724 (($ $) NIL (|has| |#1| (-173))) (($ $ $) NIL (|has| |#1| (-173)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-830 |#1|) (-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#1| |#1|))) (-15 -2488 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#1| (-123) |#1|)) (-15 -2133 ($ |#1| (-364 (-123)))))) (-1048)) (T -830)) 
-((-3724 (*1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3724 (*1 *1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3965 (*1 *2 *2) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) (-3350 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3)))) (-2488 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-830 *4)) (-4 *4 (-1048)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-830 *3)) (-4 *3 (-1048)))) (-1512 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-830 *2)) (-4 *2 (-1048)))) (-2133 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
-(-13 (-1048) (-1038 |#1|) (-1038 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -3724 ($ $)) (-15 -3724 ($ $ $)) (-15 -3965 (|#1| |#1|))) |noBranch|) (-15 -3350 ($ $ (-1 |#1| |#1|))) (-15 -2488 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -1512 (|#1| (-123) |#1|)) (-15 -2133 ($ |#1| (-364 (-123)))))) 
-((-4414 (((-206 (-512)) (-1145)) 8))) 
-(((-831) (-10 -7 (-15 -4414 ((-206 (-512)) (-1145))))) (T -831)) 
-((-4414 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-206 (-512))) (-5 *1 (-831))))) 
-(-10 -7 (-15 -4414 ((-206 (-512)) (-1145)))) 
-((-2568 (((-121) $ $) 7)) (-4324 (((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 13) (((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 12)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 15) (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 14)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-832) (-1278)) (T -832)) 
-((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-4324 (*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-1036)))) (-4324 (*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-1036))))) 
-(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -4324 ((-1036) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -4324 ((-1036) (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-3575 (((-1036) (-635 (-311 (-382))) (-635 (-382))) 143) (((-1036) (-311 (-382)) (-635 (-382))) 141) (((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382)))) 140) (((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382)))) 139) (((-1036) (-834)) 112) (((-1036) (-834) (-1060)) 111)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060)) 76) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834)) 78)) (-2619 (((-1036) (-635 (-311 (-382))) (-635 (-382))) 144) (((-1036) (-834)) 128))) 
-(((-833) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060))) (-15 -3575 ((-1036) (-834) (-1060))) (-15 -3575 ((-1036) (-834))) (-15 -2619 ((-1036) (-834))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)))) (-15 -3575 ((-1036) (-635 (-311 (-382))) (-635 (-382)))) (-15 -2619 ((-1036) (-635 (-311 (-382))) (-635 (-382)))))) (T -833)) 
-((-2619 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) (-2619 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-3575 (*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-833)))) (-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833))))) 
-(-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-834) (-1060))) (-15 -3575 ((-1036) (-834) (-1060))) (-15 -3575 ((-1036) (-834))) (-15 -2619 ((-1036) (-834))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-311 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)) (-635 (-836 (-382))) (-635 (-836 (-382))))) (-15 -3575 ((-1036) (-311 (-382)) (-635 (-382)))) (-15 -3575 ((-1036) (-635 (-311 (-382))) (-635 (-382)))) (-15 -2619 ((-1036) (-635 (-311 (-382))) (-635 (-382))))) 
-((-2568 (((-121) $ $) NIL)) (-2428 (((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 14) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) 8) (($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) 12)) (-1668 (((-121) $ $) NIL))) 
-(((-834) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2185 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -2185 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $))))) (T -834)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *1 (-834)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216))))))) (-15 -2185 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) (-15 -2185 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216)))))) $)))) 
-((-1544 (((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)) 13) (((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|)) 14))) 
-(((-835 |#1| |#2|) (-10 -7 (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|))) (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)))) (-1091) (-1091)) (T -835)) 
-((-1544 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-836 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-835 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-836 *6)) (-5 *1 (-835 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|))) (-15 -1544 ((-836 |#2|) (-1 |#2| |#1|) (-836 |#1|) (-836 |#2|) (-836 |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (|has| |#1| (-21)))) (-3624 (((-1109) $) 24)) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3638 (((-569) $) NIL (|has| |#1| (-841)))) (-2820 (($) NIL (|has| |#1| (-21)) CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 16)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 9)) (-3428 (((-3 $ "failed") $) 47 (|has| |#1| (-841)))) (-4401 (((-3 (-410 (-569)) "failed") $) 54 (|has| |#1| (-551)))) (-3103 (((-121) $) 49 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 52 (|has| |#1| (-551)))) (-2403 (((-121) $) NIL (|has| |#1| (-841)))) (-3090 (($) 13)) (-1407 (((-121) $) NIL (|has| |#1| (-841)))) (-1781 (((-121) $) NIL (|has| |#1| (-841)))) (-3083 (($) 14)) (-3291 (($ $ $) NIL (|has| |#1| (-841)))) (-1538 (($ $ $) NIL (|has| |#1| (-841)))) (-2776 (((-1145) $) NIL)) (-1503 (((-121) $) 12)) (-3360 (((-1109) $) NIL)) (-4129 (((-121) $) 11)) (-2185 (((-851) $) 22) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-2232 (|has| |#1| (-841)) (|has| |#1| (-1038 (-569)))))) (-1991 (((-764)) 41 (|has| |#1| (-841)))) (-1616 (($ $) NIL (|has| |#1| (-841)))) (-2427 (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (-3369 (($) 29 (|has| |#1| (-21)) CONST)) (-1556 (($) 38 (|has| |#1| (-841)) CONST)) (-1693 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1668 (((-121) $ $) 27)) (-1688 (((-121) $ $) NIL (|has| |#1| (-841)))) (-1678 (((-121) $ $) 48 (|has| |#1| (-841)))) (-1711 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-1707 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-918)) NIL (|has| |#1| (-841))) (($ $ (-764)) NIL (|has| |#1| (-841)))) (* (($ $ $) 44 (|has| |#1| (-841))) (($ (-569) $) 32 (|has| |#1| (-21))) (($ (-764) $) NIL (|has| |#1| (-21))) (($ (-918) $) NIL (|has| |#1| (-21))))) 
-(((-836 |#1|) (-13 (-1091) (-414 |#1|) (-10 -8 (-15 -3090 ($)) (-15 -3083 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (-15 -3624 ((-1109) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1091)) (T -836)) 
-((-3090 (*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091)))) (-3083 (*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091)))) (-4129 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-1503 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-3624 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-836 *3)) (-4 *3 (-1091)))) (-3103 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-1442 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) (-4401 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091))))) 
-(-13 (-1091) (-414 |#1|) (-10 -8 (-15 -3090 ($)) (-15 -3083 ($)) (-15 -4129 ((-121) $)) (-15 -1503 ((-121) $)) (-15 -3624 ((-1109) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-841)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-((-2568 (((-121) $ $) 7)) (-2085 (((-764)) 19)) (-4327 (($) 22)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2083 (((-918) $) 21)) (-2776 (((-1145) $) 9)) (-3998 (($ (-918)) 20)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
-(((-837) (-1278)) (T -837)) 
-NIL 
-(-13 (-843) (-371)) 
-(((-105) . T) ((-609 (-851)) . T) ((-371) . T) ((-843) . T) ((-1091) . T)) 
-((-2118 (((-121) (-1247 |#2|) (-1247 |#2|)) 17)) (-3618 (((-121) (-1247 |#2|) (-1247 |#2|)) 18)) (-2130 (((-121) (-1247 |#2|) (-1247 |#2|)) 14))) 
-(((-838 |#1| |#2|) (-10 -7 (-15 -2130 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -2118 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -3618 ((-121) (-1247 |#2|) (-1247 |#2|)))) (-764) (-788)) (T -838)) 
-((-3618 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764)))) (-2118 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764)))) (-2130 (*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
-(-10 -7 (-15 -2130 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -2118 ((-121) (-1247 |#2|) (-1247 |#2|))) (-15 -3618 ((-121) (-1247 |#2|) (-1247 |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-2820 (($) 23 T CONST)) (-3428 (((-3 $ "failed") $) 27)) (-1407 (((-121) $) 24)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-764)) 26) (($ $ (-918)) 21)) (-1556 (($) 22 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (** (($ $ (-764)) 25) (($ $ (-918)) 20)) (* (($ $ $) 19))) 
-(((-839) (-1278)) (T -839)) 
-NIL 
-(-13 (-843) (-717)) 
-(((-105) . T) ((-609 (-851)) . T) ((-717) . T) ((-843) . T) ((-1103) . T) ((-1091) . T)) 
-((-3638 (((-569) $) 17)) (-2403 (((-121) $) 10)) (-1781 (((-121) $) 11)) (-1616 (($ $) 19))) 
-(((-840 |#1|) (-10 -8 (-15 -1616 (|#1| |#1|)) (-15 -3638 ((-569) |#1|)) (-15 -1781 ((-121) |#1|)) (-15 -2403 ((-121) |#1|))) (-841)) (T -840)) 
-NIL 
-(-10 -8 (-15 -1616 (|#1| |#1|)) (-15 -3638 ((-569) |#1|)) (-15 -1781 ((-121) |#1|)) (-15 -2403 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 23)) (-2327 (((-3 $ "failed") $ $) 25)) (-3638 (((-569) $) 32)) (-2820 (($) 22 T CONST)) (-3428 (((-3 $ "failed") $) 38)) (-2403 (((-121) $) 34)) (-1407 (((-121) $) 41)) (-1781 (((-121) $) 33)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 44)) (-1991 (((-764)) 43)) (-1616 (($ $) 31)) (-2427 (($ $ (-764)) 39) (($ $ (-918)) 35)) (-3369 (($) 21 T CONST)) (-1556 (($) 42 T CONST)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17)) (-1711 (($ $ $) 27) (($ $) 26)) (-1707 (($ $ $) 19)) (** (($ $ (-764)) 40) (($ $ (-918)) 36)) (* (($ (-764) $) 24) (($ (-918) $) 20) (($ (-569) $) 28) (($ $ $) 37))) 
-(((-841) (-1278)) (T -841)) 
-((-2403 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) (-1781 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) (-3638 (*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-569)))) (-1616 (*1 *1 *1) (-4 *1 (-841)))) 
-(-13 (-787) (-1048) (-717) (-10 -8 (-15 -2403 ((-121) $)) (-15 -1781 ((-121) $)) (-15 -3638 ((-569) $)) (-15 -1616 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-843) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3291 (($ $ $) 10)) (-1538 (($ $ $) 9)) (-1693 (((-121) $ $) 12)) (-1684 (((-121) $ $) 11)) (-1688 (((-121) $ $) 13))) 
-(((-842 |#1|) (-10 -8 (-15 -3291 (|#1| |#1| |#1|)) (-15 -1538 (|#1| |#1| |#1|)) (-15 -1688 ((-121) |#1| |#1|)) (-15 -1693 ((-121) |#1| |#1|)) (-15 -1684 ((-121) |#1| |#1|))) (-843)) (T -842)) 
-NIL 
-(-10 -8 (-15 -3291 (|#1| |#1| |#1|)) (-15 -1538 (|#1| |#1| |#1|)) (-15 -1688 ((-121) |#1| |#1|)) (-15 -1693 ((-121) |#1| |#1|)) (-15 -1684 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3291 (($ $ $) 12)) (-1538 (($ $ $) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1693 (((-121) $ $) 15)) (-1684 (((-121) $ $) 16)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 14)) (-1678 (((-121) $ $) 17))) 
-(((-843) (-1278)) (T -843)) 
-((-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1684 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1693 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1688 (*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) (-1538 (*1 *1 *1 *1) (-4 *1 (-843))) (-3291 (*1 *1 *1 *1) (-4 *1 (-843)))) 
-(-13 (-1091) (-10 -8 (-15 -1678 ((-121) $ $)) (-15 -1684 ((-121) $ $)) (-15 -1693 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -1538 ($ $ $)) (-15 -3291 ($ $ $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2812 (($ $ $) 45)) (-1709 (($ $ $) 44)) (-1341 (($ $ $) 42)) (-2818 (($ $ $) 51)) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 46)) (-3685 (((-3 $ "failed") $ $) 49)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-1340 (($ $) 35)) (-1811 (($ $ $) 39)) (-4040 (($ $ $) 38)) (-3029 (($ $ $) 47)) (-3402 (($ $ $) 53)) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41)) (-3551 (((-3 $ "failed") $ $) 48)) (-2941 (((-3 $ "failed") $ |#2|) 28)) (-3298 ((|#2| $) 32)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#2|) 12)) (-3382 (((-635 |#2|) $) 18)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
-(((-844 |#1| |#2|) (-10 -8 (-15 -3029 (|#1| |#1| |#1|)) (-15 -2995 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -3685 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2812 (|#1| |#1| |#1|)) (-15 -1709 (|#1| |#1| |#1|)) (-15 -1341 (|#1| |#1| |#1|)) (-15 -2092 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -2185 ((-851) |#1|))) (-845 |#2|) (-1048)) (T -844)) 
-NIL 
-(-10 -8 (-15 -3029 (|#1| |#1| |#1|)) (-15 -2995 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -2818 (|#1| |#1| |#1|)) (-15 -3685 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2812 (|#1| |#1| |#1|)) (-15 -1709 (|#1| |#1| |#1|)) (-15 -1341 (|#1| |#1| |#1|)) (-15 -2092 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1809 |#1|)) |#1| |#1|)) (-15 -3402 (|#1| |#1| |#1|)) (-15 -3551 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1811 (|#1| |#1| |#1|)) (-15 -4040 (|#1| |#1| |#1|)) (-15 -1340 (|#1| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -2941 ((-3 |#1| "failed") |#1| |#2|)) (-15 -3382 ((-635 |#2|) |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2812 (($ $ $) 44 (|has| |#1| (-366)))) (-1709 (($ $ $) 45 (|has| |#1| (-366)))) (-1341 (($ $ $) 47 (|has| |#1| (-366)))) (-2818 (($ $ $) 42 (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 41 (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 46 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-2428 (((-569) $) 74 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 67)) (-4020 (($ $) 63)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 54 (|has| |#1| (-454)))) (-1407 (((-121) $) 30)) (-1763 (($ |#1| (-764)) 61)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 56 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 57 (|has| |#1| (-559)))) (-4002 (((-764) $) 65)) (-1811 (($ $ $) 51 (|has| |#1| (-366)))) (-4040 (($ $ $) 52 (|has| |#1| (-366)))) (-3029 (($ $ $) 40 (|has| |#1| (-366)))) (-3402 (($ $ $) 49 (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 48 (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 53 (|has| |#1| (-366)))) (-4012 ((|#1| $) 64)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2492 (((-764) $) 66)) (-3298 ((|#1| $) 55 (|has| |#1| (-454)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) 69)) (-3382 (((-635 |#1|) $) 60)) (-1653 ((|#1| $ (-764)) 62)) (-1991 (((-764)) 28)) (-1943 ((|#1| $ |#1| |#1|) 59)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
-(((-845 |#1|) (-1278) (-1048)) (T -845)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4002 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4012 (*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-4020 (*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-1763 (*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-635 *3)))) (-1943 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-2443 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-3430 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-3298 (*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-1340 (*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) (-4286 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-4040 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-1811 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3551 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3402 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2092 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3)))) (-1341 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3603 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) (-1709 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2812 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-3685 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2818 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2995 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3)))) (-3029 (*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(-13 (-1048) (-120 |t#1| |t#1|) (-414 |t#1|) (-10 -8 (-15 -2492 ((-764) $)) (-15 -4002 ((-764) $)) (-15 -4012 (|t#1| $)) (-15 -4020 ($ $)) (-15 -1653 (|t#1| $ (-764))) (-15 -1763 ($ |t#1| (-764))) (-15 -3382 ((-635 |t#1|) $)) (-15 -1943 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -2941 ((-3 $ "failed") $ |t#1|)) (-15 -2443 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -3430 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3298 (|t#1| $)) (-15 -1340 ($ $))) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -4040 ($ $ $)) (-15 -1811 ($ $ $)) (-15 -3551 ((-3 $ "failed") $ $)) (-15 -3402 ($ $ $)) (-15 -2092 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -1341 ($ $ $)) (-15 -3603 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1709 ($ $ $)) (-15 -2812 ($ $ $)) (-15 -3685 ((-3 $ "failed") $ $)) (-15 -2818 ($ $ $)) (-15 -2995 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $)) (-15 -3029 ($ $ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-4090 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-3603 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-366)))) (-3430 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-559)))) (-4286 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-366)))) (-1943 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
-(((-846 |#1| |#2|) (-10 -7 (-15 -4090 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1943 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -2443 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3430 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3603 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1048) (-845 |#1|)) (T -846)) 
-((-3603 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-4286 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-3430 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-2443 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5)))) (-1943 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1048)) (-5 *1 (-846 *2 *3)) (-4 *3 (-845 *2)))) (-4090 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1048)) (-5 *1 (-846 *5 *2)) (-4 *2 (-845 *5))))) 
-(-10 -7 (-15 -4090 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1943 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -2443 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3430 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -4286 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -3603 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#1| (-366)))) (-1709 (($ $ $) NIL (|has| |#1| (-366)))) (-1341 (($ $ $) NIL (|has| |#1| (-366)))) (-2818 (($ $ $) NIL (|has| |#1| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 25 (|has| |#1| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1982 (((-851) $ (-851)) NIL)) (-1407 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 21 (|has| |#1| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 19 (|has| |#1| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#1| (-366)))) (-4040 (($ $ $) NIL (|has| |#1| (-366)))) (-3029 (($ $ $) NIL (|has| |#1| (-366)))) (-3402 (($ $ $) NIL (|has| |#1| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 23 (|has| |#1| (-366)))) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2492 (((-764) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1038 (-410 (-569))))) (($ |#1|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#1| $ |#1| |#1|) 15)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
-(((-847 |#1| |#2| |#3|) (-13 (-845 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))))) (-1048) (-101 |#1|) (-1 |#1| |#1|)) (T -847)) 
-((-1982 (*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-847 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
-(-13 (-845 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-2812 (($ $ $) NIL (|has| |#2| (-366)))) (-1709 (($ $ $) NIL (|has| |#2| (-366)))) (-1341 (($ $ $) NIL (|has| |#2| (-366)))) (-2818 (($ $ $) NIL (|has| |#2| (-366)))) (-2995 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-3685 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-3603 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#2| (-454)))) (-1407 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 16)) (-3430 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-2443 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4002 (((-764) $) NIL)) (-1811 (($ $ $) NIL (|has| |#2| (-366)))) (-4040 (($ $ $) NIL (|has| |#2| (-366)))) (-3029 (($ $ $) NIL (|has| |#2| (-366)))) (-3402 (($ $ $) NIL (|has| |#2| (-366)))) (-2092 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-3551 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4286 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2492 (((-764) $) NIL)) (-3298 ((|#2| $) NIL (|has| |#2| (-454)))) (-2185 (((-851) $) 23) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (($ (-1243 |#1|)) 18)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL)) (-1991 (((-764)) NIL)) (-1943 ((|#2| $ |#2| |#2|) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
-(((-848 |#1| |#2| |#3| |#4|) (-13 (-845 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))))) (-1163) (-1048) (-101 |#2|) (-1 |#2| |#2|)) (T -848)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-848 *3 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
-(-13 (-845 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))))) 
-((-2987 ((|#1| (-764) |#1|) 35 (|has| |#1| (-43 (-410 (-569)))))) (-2985 ((|#1| (-764) (-764) |#1|) 27) ((|#1| (-764) |#1|) 20)) (-3639 ((|#1| (-764) |#1|) 31)) (-1905 ((|#1| (-764) |#1|) 29)) (-2754 ((|#1| (-764) |#1|) 28))) 
-(((-849 |#1|) (-10 -7 (-15 -2754 (|#1| (-764) |#1|)) (-15 -1905 (|#1| (-764) |#1|)) (-15 -3639 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2987 (|#1| (-764) |#1|)) |noBranch|)) (-173)) (T -849)) 
-((-2987 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-2985 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-2985 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-3639 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-1905 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) (-2754 (*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
-(-10 -7 (-15 -2754 (|#1| (-764) |#1|)) (-15 -1905 (|#1| (-764) |#1|)) (-15 -3639 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) |#1|)) (-15 -2985 (|#1| (-764) (-764) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2987 (|#1| (-764) |#1|)) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-2247 (((-569) $) 12)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 18) (($ (-569)) 11)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 8)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 9))) 
-(((-850) (-13 (-843) (-10 -8 (-15 -2185 ($ (-569))) (-15 -2247 ((-569) $))))) (T -850)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) (-2247 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-850))))) 
-(-13 (-843) (-10 -8 (-15 -2185 ($ (-569))) (-15 -2247 ((-569) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3879 (($ $ $) 115)) (-1282 (((-569) $) 30) (((-569)) 35)) (-4156 (($ (-569)) 44)) (-1964 (($ $ $) 45) (($ (-635 $)) 76)) (-3985 (($ $ (-635 $)) 74)) (-2964 (((-569) $) 33)) (-2912 (($ $ $) 63)) (-2029 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-3157 (((-569) $) 32)) (-2766 (($ $ $) 62)) (-2257 (($ $) 105)) (-1577 (($ $ $) 119)) (-3883 (($ (-635 $)) 52)) (-1912 (($ $ (-635 $)) 69)) (-2127 (($ (-569) (-569)) 46)) (-2595 (($ $) 116) (($ $ $) 117)) (-1869 (($ $ (-569)) 40) (($ $) 43)) (-2506 (($ $ $) 89)) (-1729 (($ $ $) 122)) (-2413 (($ $) 106)) (-2524 (($ $ $) 90)) (-1551 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-2988 (((-1252) $) 8)) (-1578 (($ $) 109) (($ $ (-764)) 112)) (-3392 (($ $ $) 65)) (-1427 (($ $ $) 64)) (-3968 (($ $ (-635 $)) 100)) (-2437 (($ $ $) 104)) (-3307 (($ (-635 $)) 50)) (-2337 (($ $) 60) (($ (-635 $)) 61)) (-4416 (($ $ $) 113)) (-2339 (($ $) 107)) (-2895 (($ $ $) 118)) (-1982 (($ (-569)) 20) (($ (-1163)) 22) (($ (-1145)) 29) (($ (-216)) 24)) (-3447 (($ $ $) 93)) (-3864 (($ $) 94)) (-2786 (((-1252) (-1145)) 14)) (-2334 (($ (-1145)) 13)) (-1483 (($ (-635 (-635 $))) 48)) (-3833 (($ $ (-569)) 39) (($ $) 42)) (-2776 (((-1145) $) NIL)) (-2192 (($ $ $) 121)) (-1741 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-4314 (((-121) $) 98)) (-4243 (($ $ (-635 $)) 102) (($ $ $ $) 103)) (-3795 (($ (-569)) 36)) (-2626 (((-569) $) 31) (((-569)) 34)) (-2375 (($ $ $) 37) (($ (-635 $)) 75)) (-3360 (((-1109) $) NIL)) (-2941 (($ $ $) 91)) (-1296 (($) 12)) (-1534 (($ $ (-635 $)) 99)) (-2049 (($ $) 108) (($ $ (-764)) 111)) (-2945 (($ $ $) 88)) (-3899 (($ $ (-764)) 127)) (-2309 (($ (-635 $)) 51)) (-2185 (((-851) $) 18)) (-4030 (($ $ (-569)) 38) (($ $) 41)) (-1803 (($ $) 58) (($ (-635 $)) 59)) (-1959 (($ $) 56) (($ (-635 $)) 57)) (-4042 (($ $) 114)) (-1533 (($ (-635 $)) 55)) (-4248 (($ $ $) 97)) (-4384 (($ $ $) 120)) (-2206 (($ $ $) 92)) (-2952 (($ $ $) 77)) (-3778 (($ $ $) 95) (($ $) 96)) (-1693 (($ $ $) 81)) (-1684 (($ $ $) 79)) (-1668 (((-121) $ $) 15) (($ $ $) 16)) (-1688 (($ $ $) 80)) (-1678 (($ $ $) 78)) (-1715 (($ $ $) 86)) (-1711 (($ $ $) 83) (($ $) 84)) (-1707 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
-(((-851) (-13 (-1091) (-10 -8 (-15 -2988 ((-1252) $)) (-15 -2334 ($ (-1145))) (-15 -2786 ((-1252) (-1145))) (-15 -1982 ($ (-569))) (-15 -1982 ($ (-1163))) (-15 -1982 ($ (-1145))) (-15 -1982 ($ (-216))) (-15 -1296 ($)) (-15 -1282 ((-569) $)) (-15 -2626 ((-569) $)) (-15 -1282 ((-569))) (-15 -2626 ((-569))) (-15 -3157 ((-569) $)) (-15 -2964 ((-569) $)) (-15 -3795 ($ (-569))) (-15 -4156 ($ (-569))) (-15 -2127 ($ (-569) (-569))) (-15 -3833 ($ $ (-569))) (-15 -1869 ($ $ (-569))) (-15 -4030 ($ $ (-569))) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -4030 ($ $)) (-15 -2375 ($ $ $)) (-15 -1964 ($ $ $)) (-15 -2375 ($ (-635 $))) (-15 -1964 ($ (-635 $))) (-15 -3968 ($ $ (-635 $))) (-15 -4243 ($ $ (-635 $))) (-15 -4243 ($ $ $ $)) (-15 -2437 ($ $ $)) (-15 -4314 ((-121) $)) (-15 -1534 ($ $ (-635 $))) (-15 -2257 ($ $)) (-15 -2192 ($ $ $)) (-15 -4042 ($ $)) (-15 -1483 ($ (-635 (-635 $)))) (-15 -3879 ($ $ $)) (-15 -2595 ($ $)) (-15 -2595 ($ $ $)) (-15 -2895 ($ $ $)) (-15 -1577 ($ $ $)) (-15 -4384 ($ $ $)) (-15 -1729 ($ $ $)) (-15 -3899 ($ $ (-764))) (-15 -4248 ($ $ $)) (-15 -2766 ($ $ $)) (-15 -2912 ($ $ $)) (-15 -1427 ($ $ $)) (-15 -3392 ($ $ $)) (-15 -1912 ($ $ (-635 $))) (-15 -3985 ($ $ (-635 $))) (-15 -2413 ($ $)) (-15 -2049 ($ $)) (-15 -2049 ($ $ (-764))) (-15 -1578 ($ $)) (-15 -1578 ($ $ (-764))) (-15 -2339 ($ $)) (-15 -4416 ($ $ $)) (-15 -2029 ($ $)) (-15 -2029 ($ $ $)) (-15 -2029 ($ $ $ $)) (-15 -1551 ($ $)) (-15 -1551 ($ $ $)) (-15 -1551 ($ $ $ $)) (-15 -1741 ($ $)) (-15 -1741 ($ $ $)) (-15 -1741 ($ $ $ $)) (-15 -1959 ($ $)) (-15 -1959 ($ (-635 $))) (-15 -1803 ($ $)) (-15 -1803 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -3307 ($ (-635 $))) (-15 -2309 ($ (-635 $))) (-15 -3883 ($ (-635 $))) (-15 -1533 ($ (-635 $))) (-15 -1668 ($ $ $)) (-15 -2952 ($ $ $)) (-15 -1678 ($ $ $)) (-15 -1684 ($ $ $)) (-15 -1688 ($ $ $)) (-15 -1693 ($ $ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -2945 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2524 ($ $ $)) (-15 -2941 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -3864 ($ $)) (-15 -3778 ($ $ $)) (-15 -3778 ($ $))))) (T -851)) 
-((-2988 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-851)))) (-2334 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) (-2786 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) (-1982 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-851)))) (-1296 (*1 *1) (-5 *1 (-851))) (-1282 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2626 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1282 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2626 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3157 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2964 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3795 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-4156 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2127 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3833 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-1869 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-4030 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-3833 (*1 *1 *1) (-5 *1 (-851))) (-1869 (*1 *1 *1) (-5 *1 (-851))) (-4030 (*1 *1 *1) (-5 *1 (-851))) (-2375 (*1 *1 *1 *1) (-5 *1 (-851))) (-1964 (*1 *1 *1 *1) (-5 *1 (-851))) (-2375 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1964 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3968 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-4243 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-4243 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-2437 (*1 *1 *1 *1) (-5 *1 (-851))) (-4314 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-851)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2257 (*1 *1 *1) (-5 *1 (-851))) (-2192 (*1 *1 *1 *1) (-5 *1 (-851))) (-4042 (*1 *1 *1) (-5 *1 (-851))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-851)))) (-3879 (*1 *1 *1 *1) (-5 *1 (-851))) (-2595 (*1 *1 *1) (-5 *1 (-851))) (-2595 (*1 *1 *1 *1) (-5 *1 (-851))) (-2895 (*1 *1 *1 *1) (-5 *1 (-851))) (-1577 (*1 *1 *1 *1) (-5 *1 (-851))) (-4384 (*1 *1 *1 *1) (-5 *1 (-851))) (-1729 (*1 *1 *1 *1) (-5 *1 (-851))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-4248 (*1 *1 *1 *1) (-5 *1 (-851))) (-2766 (*1 *1 *1 *1) (-5 *1 (-851))) (-2912 (*1 *1 *1 *1) (-5 *1 (-851))) (-1427 (*1 *1 *1 *1) (-5 *1 (-851))) (-3392 (*1 *1 *1 *1) (-5 *1 (-851))) (-1912 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3985 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2413 (*1 *1 *1) (-5 *1 (-851))) (-2049 (*1 *1 *1) (-5 *1 (-851))) (-2049 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-1578 (*1 *1 *1) (-5 *1 (-851))) (-1578 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) (-2339 (*1 *1 *1) (-5 *1 (-851))) (-4416 (*1 *1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1 *1) (-5 *1 (-851))) (-2029 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1 *1) (-5 *1 (-851))) (-1551 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1 *1) (-5 *1 (-851))) (-1741 (*1 *1 *1 *1 *1) (-5 *1 (-851))) (-1959 (*1 *1 *1) (-5 *1 (-851))) (-1959 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1803 (*1 *1 *1) (-5 *1 (-851))) (-1803 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2337 (*1 *1 *1) (-5 *1 (-851))) (-2337 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3307 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-2309 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-3883 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1533 (*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) (-1668 (*1 *1 *1 *1) (-5 *1 (-851))) (-2952 (*1 *1 *1 *1) (-5 *1 (-851))) (-1678 (*1 *1 *1 *1) (-5 *1 (-851))) (-1684 (*1 *1 *1 *1) (-5 *1 (-851))) (-1688 (*1 *1 *1 *1) (-5 *1 (-851))) (-1693 (*1 *1 *1 *1) (-5 *1 (-851))) (-1707 (*1 *1 *1 *1) (-5 *1 (-851))) (-1711 (*1 *1 *1 *1) (-5 *1 (-851))) (-1711 (*1 *1 *1) (-5 *1 (-851))) (* (*1 *1 *1 *1) (-5 *1 (-851))) (-1715 (*1 *1 *1 *1) (-5 *1 (-851))) (** (*1 *1 *1 *1) (-5 *1 (-851))) (-2945 (*1 *1 *1 *1) (-5 *1 (-851))) (-2506 (*1 *1 *1 *1) (-5 *1 (-851))) (-2524 (*1 *1 *1 *1) (-5 *1 (-851))) (-2941 (*1 *1 *1 *1) (-5 *1 (-851))) (-2206 (*1 *1 *1 *1) (-5 *1 (-851))) (-3447 (*1 *1 *1 *1) (-5 *1 (-851))) (-3864 (*1 *1 *1) (-5 *1 (-851))) (-3778 (*1 *1 *1 *1) (-5 *1 (-851))) (-3778 (*1 *1 *1) (-5 *1 (-851)))) 
-(-13 (-1091) (-10 -8 (-15 -2988 ((-1252) $)) (-15 -2334 ($ (-1145))) (-15 -2786 ((-1252) (-1145))) (-15 -1982 ($ (-569))) (-15 -1982 ($ (-1163))) (-15 -1982 ($ (-1145))) (-15 -1982 ($ (-216))) (-15 -1296 ($)) (-15 -1282 ((-569) $)) (-15 -2626 ((-569) $)) (-15 -1282 ((-569))) (-15 -2626 ((-569))) (-15 -3157 ((-569) $)) (-15 -2964 ((-569) $)) (-15 -3795 ($ (-569))) (-15 -4156 ($ (-569))) (-15 -2127 ($ (-569) (-569))) (-15 -3833 ($ $ (-569))) (-15 -1869 ($ $ (-569))) (-15 -4030 ($ $ (-569))) (-15 -3833 ($ $)) (-15 -1869 ($ $)) (-15 -4030 ($ $)) (-15 -2375 ($ $ $)) (-15 -1964 ($ $ $)) (-15 -2375 ($ (-635 $))) (-15 -1964 ($ (-635 $))) (-15 -3968 ($ $ (-635 $))) (-15 -4243 ($ $ (-635 $))) (-15 -4243 ($ $ $ $)) (-15 -2437 ($ $ $)) (-15 -4314 ((-121) $)) (-15 -1534 ($ $ (-635 $))) (-15 -2257 ($ $)) (-15 -2192 ($ $ $)) (-15 -4042 ($ $)) (-15 -1483 ($ (-635 (-635 $)))) (-15 -3879 ($ $ $)) (-15 -2595 ($ $)) (-15 -2595 ($ $ $)) (-15 -2895 ($ $ $)) (-15 -1577 ($ $ $)) (-15 -4384 ($ $ $)) (-15 -1729 ($ $ $)) (-15 -3899 ($ $ (-764))) (-15 -4248 ($ $ $)) (-15 -2766 ($ $ $)) (-15 -2912 ($ $ $)) (-15 -1427 ($ $ $)) (-15 -3392 ($ $ $)) (-15 -1912 ($ $ (-635 $))) (-15 -3985 ($ $ (-635 $))) (-15 -2413 ($ $)) (-15 -2049 ($ $)) (-15 -2049 ($ $ (-764))) (-15 -1578 ($ $)) (-15 -1578 ($ $ (-764))) (-15 -2339 ($ $)) (-15 -4416 ($ $ $)) (-15 -2029 ($ $)) (-15 -2029 ($ $ $)) (-15 -2029 ($ $ $ $)) (-15 -1551 ($ $)) (-15 -1551 ($ $ $)) (-15 -1551 ($ $ $ $)) (-15 -1741 ($ $)) (-15 -1741 ($ $ $)) (-15 -1741 ($ $ $ $)) (-15 -1959 ($ $)) (-15 -1959 ($ (-635 $))) (-15 -1803 ($ $)) (-15 -1803 ($ (-635 $))) (-15 -2337 ($ $)) (-15 -2337 ($ (-635 $))) (-15 -3307 ($ (-635 $))) (-15 -2309 ($ (-635 $))) (-15 -3883 ($ (-635 $))) (-15 -1533 ($ (-635 $))) (-15 -1668 ($ $ $)) (-15 -2952 ($ $ $)) (-15 -1678 ($ $ $)) (-15 -1684 ($ $ $)) (-15 -1688 ($ $ $)) (-15 -1693 ($ $ $)) (-15 -1707 ($ $ $)) (-15 -1711 ($ $ $)) (-15 -1711 ($ $)) (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -2945 ($ $ $)) (-15 -2506 ($ $ $)) (-15 -2524 ($ $ $)) (-15 -2941 ($ $ $)) (-15 -2206 ($ $ $)) (-15 -3447 ($ $ $)) (-15 -3864 ($ $)) (-15 -3778 ($ $ $)) (-15 -3778 ($ $)))) 
-((-3469 (((-1252) (-635 (-57))) 24)) (-3020 (((-1252) (-1145) (-851)) 14) (((-1252) (-851)) 9) (((-1252) (-1145)) 11))) 
-(((-852) (-10 -7 (-15 -3020 ((-1252) (-1145))) (-15 -3020 ((-1252) (-851))) (-15 -3020 ((-1252) (-1145) (-851))) (-15 -3469 ((-1252) (-635 (-57)))))) (T -852)) 
-((-3469 (*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) (-3020 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-852))))) 
-(-10 -7 (-15 -3020 ((-1252) (-1145))) (-15 -3020 ((-1252) (-851))) (-15 -3020 ((-1252) (-1145) (-851))) (-15 -3469 ((-1252) (-635 (-57))))) 
-((-2568 (((-121) $ $) NIL)) (-3534 (((-3 $ "failed") (-1163)) 32)) (-2085 (((-764)) 30)) (-4327 (($) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2083 (((-918) $) 28)) (-2776 (((-1145) $) 38)) (-3998 (($ (-918)) 27)) (-3360 (((-1109) $) NIL)) (-3817 (((-1163) $) 13) (((-542) $) 19) (((-888 (-382)) $) 25) (((-888 (-569)) $) 22)) (-2185 (((-851) $) 16)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 35)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 34))) 
-(((-853 |#1|) (-13 (-837) (-610 (-1163)) (-610 (-542)) (-610 (-888 (-382))) (-610 (-888 (-569))) (-10 -8 (-15 -3534 ((-3 $ "failed") (-1163))))) (-635 (-1163))) (T -853)) 
-((-3534 (*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-853 *3)) (-14 *3 (-635 *2))))) 
-(-13 (-837) (-610 (-1163)) (-610 (-542)) (-610 (-888 (-382))) (-610 (-888 (-569))) (-10 -8 (-15 -3534 ((-3 $ "failed") (-1163))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (((-954 |#1|) $) NIL) (($ (-954 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-3763 (((-1252) (-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-854 |#1| |#2| |#3| |#4|) (-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ((-954 |#1|) $)) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3763 ((-1252) (-764))))) (-1048) (-635 (-1163)) (-635 (-764)) (-764)) (T -854)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-954 *3)) (-5 *1 (-854 *3 *4 *5 *6)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-854 *3 *4 *5 *6)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) (-1715 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-854 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-764))) (-14 *5 (-764)))) (-3763 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-854 *4 *5 *6 *7)) (-4 *4 (-1048)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 *3)) (-14 *7 *3)))) 
-(-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 ((-954 |#1|) $)) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3763 ((-1252) (-764))))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 111)) (-2031 (((-764)) 115)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104) (((-3 (-861) "failed") $) 136) (((-3 (-861) "failed") $) 130)) (-2428 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105) (((-861) $) 135) (((-861) $) 131)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 102 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-2558 (((-829 (-918)) $) 99 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 112)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 114)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-1291 (((-3 (-764) "failed") $ $) 100 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) 106)) (-2492 (((-829 (-918)) $) 113)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103) (($ (-861)) 137) (($ (-861)) 129)) (-3953 (((-3 $ "failed") $) 98 (-2232 (|has| (-861) (-149)) (|has| (-861) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $ (-764)) 117 (-2232 (|has| (-861) (-371)) (|has| (-410 (-569)) (-371)))) (($ $) 116 (-2232 (|has| (-861) (-371)) (|has| (-410 (-569)) (-371))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ (-410 (-569))) 107) (($ $ (-861)) 132)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108) (($ (-861) $) 134) (($ $ (-861)) 133))) 
-(((-855) (-1278)) (T -855)) 
-NIL 
-(-13 (-860) (-1038 (-861)) (-1264 (-861))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-861) (-861)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-861) (-371)) (|has| (-861) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 (-410 (-569))) . T) ((-1264 (-861)) . T) ((-366) . T) ((-405) -2232 (|has| (-861) (-371)) (|has| (-861) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-861)) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 (-861)) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-860) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1038 (-861)) . T) ((-1054 (-410 (-569))) . T) ((-1054 (-861)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 (-410 (-569))) . T) ((-1254 (-861)) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 47)) (-4411 (((-1247 $) $ $) 69)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-4076 (((-1252) $) 78)) (-2820 (($) NIL T CONST)) (-2755 (((-861) $) 17)) (-1647 (((-3 (-569) "failed") $) 75) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-861) "failed") $) 72) (((-3 (-861) "failed") $) 72)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) (((-410 (-569)) $) NIL) (((-861) $) 111) (((-861) $) 111)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) 59)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-3726 (((-121) $) NIL)) (-1745 (($ $) 63)) (-2558 (((-829 (-918)) $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-1407 (((-121) $) 117)) (-2772 (($ (-1159 $) $ (-1163)) 41) (($ (-1159 $) (-1163)) 94)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 61)) (-1769 (((-1159 $) $) 55) (((-1159 $) $ $) 56)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 101)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 62)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 124)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 37)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 96)) (-1291 (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-2369 (((-140)) NIL)) (-2492 (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 79) (((-1159 $) $) 64)) (-1414 (($ $) NIL)) (-2185 (((-851) $) 123) (($ (-569)) 44) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 44) (($ (-410 (-569))) NIL) (($ (-410 (-569))) NIL) (($ (-861)) 118) (($ (-861)) 118)) (-3953 (((-3 $ "failed") $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-861) (-149)) (|has| (-861) (-371))))) (-1991 (((-764)) 126)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 48 T CONST)) (-1556 (($) 38 T CONST)) (-1907 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-371)) (|has| (-861) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-371)) (|has| (-861) (-371))))) (-1668 (((-121) $ $) 114)) (-1715 (($ $ $) 102) (($ $ (-410 (-569))) NIL) (($ $ (-861)) NIL)) (-1711 (($ $) 35) (($ $ $) 105)) (-1707 (($ $ $) 81)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 53) (($ $ $) 31) (($ $ (-410 (-569))) 109) (($ (-410 (-569)) $) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) 109) (($ (-861) $) 103) (($ $ (-861)) 104))) 
-(((-856 |#1|) (-13 (-855) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2755 ((-861) $)))) (-861)) (T -856)) 
-((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-856 *3)) (-14 *3 (-861)))) (-2755 (*1 *2 *1) (-12 (-5 *2 (-861)) (-5 *1 (-856 *3)) (-14 *3 *2)))) 
-(-13 (-855) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2755 ((-861) $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 113)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2620 (((-1171 (-918) (-764)) (-569)) 88)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2085 (((-764)) 98)) (-4076 (((-1252) $) 117)) (-2820 (($) 16 T CONST)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 107)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 101)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3188 (($) 86)) (-3354 (((-121) $) 85)) (-2751 (($ $) 75) (($ $ (-764)) 74)) (-3726 (((-121) $) 69)) (-1745 (($ $) 112)) (-2558 (((-829 (-918)) $) 77) (((-918) $) 83)) (-1407 (((-121) $) 30)) (-3846 (((-3 $ "failed") $) 97)) (-2772 (($ (-1159 $) (-1163)) 116) (($ (-1159 $) $ (-1163)) 115)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 110)) (-2083 (((-918) $) 100)) (-1769 (((-1159 $) $ $) 106) (((-1159 $) $) 105)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 96 T CONST)) (-3998 (($ (-918)) 99)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 109)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 118)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) 89)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 111)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 108)) (-1291 (((-3 (-764) "failed") $ $) 76) (((-764) $) 84)) (-3899 (($ $ (-764)) 94) (($ $) 92)) (-2745 (((-1159 $) $) 104) (((-1159 $)) 103)) (-2319 (($) 87)) (-1414 (($ $) 114)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-3953 (((-3 $ "failed") $) 78) (($ $) 91)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-764)) 95) (($ $) 93)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-857) (-1278)) (T -857)) 
-NIL 
-(-13 (-351) (-859)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-851)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-351) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 29)) (-4411 (((-1247 $) $ $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 39)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) 52)) (-4076 (((-1252) $) 56)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 126)) (-2428 ((|#1| $) 85)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) 82)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-1745 (($ $) 41)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) 123)) (-3846 (((-3 $ "failed") $) NIL)) (-2772 (($ (-1159 $) (-1163)) 79) (($ (-1159 $) $ (-1163)) 99)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 104)) (-2083 (((-918) $) 134)) (-1769 (((-1159 $) $ $) NIL) (((-1159 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 27)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) 136)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 132)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 14)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 81)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-829 (-918)) $) 17)) (-2745 (((-1159 $) $) 20) (((-1159 $)) NIL)) (-2319 (($) NIL)) (-1414 (($ $) 90)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) 131) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 124)) (-3953 (((-3 $ "failed") $) NIL) (($ $) 89)) (-1991 (((-764)) 140)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 30 T CONST)) (-1556 (($) 21 T CONST)) (-1907 (($ $ (-764)) NIL (|has| |#1| (-371))) (($ $) NIL (|has| |#1| (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) 120)) (-1715 (($ $ $) 96) (($ $ |#1|) NIL)) (-1711 (($ $) 97) (($ $ $) 107)) (-1707 (($ $ $) 63)) (** (($ $ (-918)) 33) (($ $ (-764)) 34) (($ $ (-569)) 37)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 111) (($ $ $) 65) (($ $ (-410 (-569))) 112) (($ (-410 (-569)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
-(((-858 |#1|) (-13 (-857) (-1264 |#1|) (-10 -8 (-15 -2401 ((-851) $)))) (-351)) (T -858)) 
-((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-858 *3)) (-4 *3 (-351))))) 
-(-13 (-857) (-1264 |#1|) (-10 -8 (-15 -2401 ((-851) $)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-859) (-1278)) (T -859)) 
-((-2745 (*1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-2745 (*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1769 (*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1769 (*1 *2 *1 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-1774 (*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) (-3955 (*1 *2 *3 *1) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-859)) (-5 *2 (-635 *1)))) (-1798 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-121)))) (-2071 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-859)))) (-4053 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-918)))) (-1745 (*1 *1 *1) (-4 *1 (-859))) (-4411 (*1 *2 *1 *1) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-859)))) (-1414 (*1 *1 *1) (-4 *1 (-859))) (-2772 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) (-2772 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) (-4076 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-1252)))) (-2401 (*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-851))))) 
-(-13 (-366) (-10 -8 (-15 -2745 ((-1159 $))) (-15 -2745 ((-1159 $) $)) (-15 -1769 ((-1159 $) $)) (-15 -1769 ((-1159 $) $ $)) (-15 -1774 ($ (-1159 $))) (-15 -3955 ((-635 $) (-1159 $) $)) (-15 -1798 ((-121) $)) (-15 -2071 ($ (-635 $))) (-15 -4053 ((-918) $)) (-15 -1745 ($ $)) (-15 -4411 ((-1247 $) $ $)) (-15 -1414 ($ $)) (-15 -2772 ($ (-1159 $) $ (-1163))) (-15 -2772 ($ (-1159 $) (-1163))) (-15 -4076 ((-1252) $)) (-15 -2401 ((-851) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 $) $ $) 78)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 111)) (-2031 (((-764)) 115)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-4076 (((-1252) $) 74)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104)) (-2428 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105)) (-2506 (($ $ $) 53)) (-1774 (($ (-1159 $)) 84)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 102 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) 69)) (-1745 (($ $) 79)) (-2558 (((-829 (-918)) $) 99 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 30)) (-2772 (($ (-1159 $) $ (-1163)) 76) (($ (-1159 $) (-1163)) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2071 (($ (-635 $)) 81)) (-1769 (((-1159 $) $) 86) (((-1159 $) $ $) 85)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 112)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 82)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2401 (((-851) $) 73)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 114)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-4053 (((-918) $) 80)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3955 (((-635 $) (-1159 $) $) 83)) (-1291 (((-3 (-764) "failed") $ $) 100 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) 106)) (-2492 (((-829 (-918)) $) 113)) (-2745 (((-1159 $)) 88) (((-1159 $) $) 87)) (-1414 (($ $) 77)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103)) (-3953 (((-3 $ "failed") $) 98 (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $ (-764)) 117 (|has| (-410 (-569)) (-371))) (($ $) 116 (|has| (-410 (-569)) (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ (-410 (-569))) 107)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108))) 
-(((-860) (-1278)) (T -860)) 
-NIL 
-(-13 (-859) (-151) (-1038 (-569)) (-1038 (-410 (-569))) (-1264 (-410 (-569)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1264 (-410 (-569))) . T) ((-366) . T) ((-405) -2232 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-859) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 (-410 (-569))) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 16)) (-4411 (((-1247 $) $ $) 47)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-4076 (((-1252) $) 51)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 104) (((-3 (-410 (-569)) "failed") $) 106) (((-3 (-410 (-569)) "failed") $) 106)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) 94) (((-410 (-569)) $) 94)) (-2506 (($ $ $) NIL)) (-1774 (($ (-1159 $)) 34)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2751 (($ $ (-764)) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3726 (((-121) $) NIL)) (-1745 (($ $) 40)) (-2558 (((-829 (-918)) $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1407 (((-121) $) 100)) (-2772 (($ (-1159 $) $ (-1163)) 79) (($ (-1159 $) (-1163)) 70) (($ (-1159 $) (-1159 $) (-918) $ (-1163)) 80)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2071 (($ (-635 $)) 38)) (-1769 (((-1159 $) $) 29) (((-1159 $) $ $) 31)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 86)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 39)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2401 (((-851) $) 112)) (-1743 (((-421 $) $) NIL)) (-2578 (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-4053 (((-918) $) 30)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3955 (((-635 $) (-1159 $) $) 72)) (-1291 (((-3 (-764) "failed") $ $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2369 (((-140)) NIL)) (-2492 (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) 52) (((-1159 $) $) 41)) (-1414 (($ $) NIL)) (-2185 (((-851) $) 111) (($ (-569)) 14) (($ $) NIL) (($ (-410 (-569))) 101) (($ (-569)) 14) (($ (-410 (-569))) 101) (($ (-410 (-569))) 101)) (-3953 (((-3 $ "failed") $) NIL (-2232 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-1991 (((-764)) 114)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 73 T CONST)) (-1907 (($ $ (-764)) NIL (|has| (-410 (-569)) (-371))) (($ $) NIL (|has| (-410 (-569)) (-371)))) (-1668 (((-121) $ $) 97)) (-1715 (($ $ $) 78) (($ $ (-410 (-569))) NIL)) (-1711 (($ $) 19) (($ $ $) 89)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 18) (($ $ $) 57) (($ $ (-410 (-569))) 88) (($ (-410 (-569)) $) 87) (($ (-410 (-569)) $) 87) (($ $ (-410 (-569))) 88))) 
-(((-861) (-13 (-860) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2772 ($ (-1159 $) (-1159 $) (-918) $ (-1163)))))) (T -861)) 
-((-2401 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-861)))) (-2772 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1159 (-861))) (-5 *3 (-918)) (-5 *4 (-1163)) (-5 *1 (-861))))) 
-(-13 (-860) (-10 -8 (-15 -2401 ((-851) $)) (-15 -2772 ($ (-1159 $) (-1159 $) (-918) $ (-1163))))) 
-((-4109 (((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|) 31)) (-1838 (((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|) 24))) 
-(((-862 |#1| |#2| |#3|) (-10 -7 (-15 -1838 ((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|)) (-15 -4109 ((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|))) (-366) (-1237 |#1|) (-1222 |#1|)) (T -862)) 
-((-4109 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5)))) (-1838 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5))))) 
-(-10 -7 (-15 -1838 ((-3 (-410 |#3|) "failed") (-764) (-764) |#2| |#2|)) (-15 -4109 ((-3 (-174 |#3|) "failed") (-764) (-764) |#2| |#2|))) 
-((-1838 (((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)) 28) (((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) 26))) 
-(((-863 |#1| |#2| |#3|) (-10 -7 (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)))) (-366) (-1163) |#1|) (T -863)) 
-((-1838 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7)))) (-1838 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7))))) 
-(-10 -7 (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (-15 -1838 ((-3 (-410 (-1219 |#2| |#1|)) "failed") (-764) (-764) (-1238 |#1| |#2| |#3|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $ (-569)) 60)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-2595 (($ (-1159 (-569)) (-569)) 59)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-1333 (($ $) 62)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2558 (((-764) $) 67)) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3092 (((-569)) 64)) (-2340 (((-569) $) 63)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3499 (($ $ (-569)) 66)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-2855 (((-1143 (-569)) $) 68)) (-3659 (($ $) 65)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2994 (((-569) $ (-569)) 61)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-864 |#1|) (-1278) (-569)) (T -864)) 
-((-2855 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-1143 (-569))))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-764)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-3659 (*1 *1 *1) (-4 *1 (-864 *2))) (-3092 (*1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2340 (*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-1333 (*1 *1 *1) (-4 *1 (-864 *2))) (-2994 (*1 *2 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2454 (*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) (-2595 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *3 (-569)) (-4 *1 (-864 *4))))) 
-(-13 (-302) (-151) (-10 -8 (-15 -2855 ((-1143 (-569)) $)) (-15 -2558 ((-764) $)) (-15 -3499 ($ $ (-569))) (-15 -3659 ($ $)) (-15 -3092 ((-569))) (-15 -2340 ((-569) $)) (-15 -1333 ($ $)) (-15 -2994 ((-569) $ (-569))) (-15 -2454 ($ $ (-569))) (-15 -2595 ($ (-1159 (-569)) (-569))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2595 (($ (-1159 (-569)) (-569)) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1333 (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-2558 (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3092 (((-569)) NIL)) (-2340 (((-569) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2855 (((-1143 (-569)) $) NIL)) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-569) $ (-569)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-865 |#1|) (-864 |#1|) (-569)) (T -865)) 
-NIL 
-(-864 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-865 |#1|) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-865 |#1|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-865 |#1|) (-1038 (-569))))) (-2428 (((-865 |#1|) $) NIL) (((-1163) $) NIL (|has| (-865 |#1|) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-865 |#1|) (-1038 (-569)))) (((-569) $) NIL (|has| (-865 |#1|) (-1038 (-569))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-865 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-865 |#1|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-865 |#1|))) (|:| |vec| (-1247 (-865 |#1|)))) (-680 $) (-1247 $)) NIL) (((-680 (-865 |#1|)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-865 |#1|) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| (-865 |#1|) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-865 |#1|) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-865 |#1|) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-865 |#1|) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| (-865 |#1|) (-1137)))) (-1781 (((-121) $) NIL (|has| (-865 |#1|) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-865 |#1|) (-843)))) (-1538 (($ $ $) NIL (|has| (-865 |#1|) (-843)))) (-1544 (($ (-1 (-865 |#1|) (-865 |#1|)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-865 |#1|) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-865 |#1|) (-302)))) (-2942 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-865 |#1|) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-865 |#1|)) (-635 (-865 |#1|))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-865 |#1|) (-865 |#1|)) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-289 (-865 |#1|))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-635 (-289 (-865 |#1|)))) NIL (|has| (-865 |#1|) (-304 (-865 |#1|)))) (($ $ (-635 (-1163)) (-635 (-865 |#1|))) NIL (|has| (-865 |#1|) (-524 (-1163) (-865 |#1|)))) (($ $ (-1163) (-865 |#1|)) NIL (|has| (-865 |#1|) (-524 (-1163) (-865 |#1|))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-865 |#1|)) NIL (|has| (-865 |#1|) (-282 (-865 |#1|) (-865 |#1|))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| (-865 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-865 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1 (-865 |#1|) (-865 |#1|)) (-764)) NIL) (($ $ (-1 (-865 |#1|) (-865 |#1|))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-865 |#1|) $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| (-865 |#1|) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-865 |#1|) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-865 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-865 |#1|) (-1022))) (((-216) $) NIL (|has| (-865 |#1|) (-1022)))) (-1303 (((-174 (-410 (-569))) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-865 |#1|) (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-865 |#1|)) NIL) (($ (-1163)) NIL (|has| (-865 |#1|) (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-865 |#1|) (-905))) (|has| (-865 |#1|) (-149))))) (-1991 (((-764)) NIL)) (-2612 (((-865 |#1|) $) NIL (|has| (-865 |#1|) (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) NIL)) (-1616 (($ $) NIL (|has| (-865 |#1|) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $) NIL (|has| (-865 |#1|) (-226))) (($ $ (-764)) NIL (|has| (-865 |#1|) (-226))) (($ $ (-1163)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-865 |#1|) (-896 (-1163)))) (($ $ (-1 (-865 |#1|) (-865 |#1|)) (-764)) NIL) (($ $ (-1 (-865 |#1|) (-865 |#1|))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-865 |#1|) (-843)))) (-1715 (($ $ $) NIL) (($ (-865 |#1|) (-865 |#1|)) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-865 |#1|) $) NIL) (($ $ (-865 |#1|)) NIL))) 
-(((-866 |#1|) (-13 (-994 (-865 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569)) (T -866)) 
-((-2994 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-866 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-1303 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-866 *3)) (-14 *3 (-569)))) (-1783 (*1 *1 *1) (-12 (-5 *1 (-866 *2)) (-14 *2 (-569)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-866 *3)) (-14 *3 *2)))) 
-(-13 (-994 (-865 |#1|)) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#2| $) NIL (|has| |#2| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| |#2| (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (|has| |#2| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569))))) (-2428 ((|#2| $) NIL) (((-1163) $) NIL (|has| |#2| (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-569)))) (((-569) $) NIL (|has| |#2| (-1038 (-569))))) (-1783 (($ $) 31) (($ (-569) $) 32)) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 53)) (-4327 (($) NIL (|has| |#2| (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) NIL (|has| |#2| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| |#2| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| |#2| (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 ((|#2| $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1781 (((-121) $) NIL (|has| |#2| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 49)) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| |#2| (-302)))) (-2942 ((|#2| $) NIL (|has| |#2| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 |#2|) (-635 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-304 |#2|))) (($ $ (-289 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-289 |#2|))) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-1163)) (-635 |#2|)) NIL (|has| |#2| (-524 (-1163) |#2|))) (($ $ (-1163) |#2|) NIL (|has| |#2| (-524 (-1163) |#2|)))) (-2622 (((-764) $) NIL)) (-1534 (($ $ |#2|) NIL (|has| |#2| (-282 |#2| |#2|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) NIL (|has| |#2| (-226))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-4214 (($ $) NIL)) (-4121 ((|#2| $) NIL)) (-3817 (((-888 (-569)) $) NIL (|has| |#2| (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| |#2| (-610 (-888 (-382))))) (((-542) $) NIL (|has| |#2| (-610 (-542)))) (((-382) $) NIL (|has| |#2| (-1022))) (((-216) $) NIL (|has| |#2| (-1022)))) (-1303 (((-174 (-410 (-569))) $) 68)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-2185 (((-851) $) 85) (($ (-569)) 19) (($ $) NIL) (($ (-410 (-569))) 24) (($ |#2|) 18) (($ (-1163)) NIL (|has| |#2| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-2612 ((|#2| $) NIL (|has| |#2| (-551)))) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ (-569)) 60)) (-1616 (($ $) NIL (|has| |#2| (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 14 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $) NIL (|has| |#2| (-226))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) 35)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1711 (($ $) 39) (($ $ $) 41)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) 50)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 42) (($ $ $) 44) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
-(((-867 |#1| |#2|) (-13 (-994 |#2|) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) (-569) (-864 |#1|)) (T -867)) 
-((-2994 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-867 *4 *5)) (-5 *3 (-569)) (-4 *5 (-864 *4)))) (-1303 (*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3)))) (-1783 (*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-867 *2 *3)) (-4 *3 (-864 *2)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3))))) 
-(-13 (-994 |#2|) (-10 -8 (-15 -2994 ((-410 (-569)) $ (-569))) (-15 -1303 ((-174 (-410 (-569))) $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)))) 
-((-1992 (((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|)) NIL)) (-1692 (((-243 |#2| |#1|)) 107)) (-1366 (((-635 (-968 |#1|))) 116)) (-2122 (((-635 (-968 |#1|)) (-635 (-968 |#1|))) 27)) (-3718 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 35)) (-1818 (((-635 (-968 |#1|))) 60)) (-2516 (((-635 (-923 |#1|))) 58)) (-3039 (((-968 |#1|) (-635 (-858 |#1|))) 17)) (-3143 (((-968 |#1|) (-923 |#1|)) 21)) (-2411 (((-635 (-923 |#1|)) (-918)) 45 (|has| (-858 |#1|) (-371)))) (-2344 (((-635 (-923 |#1|)) (-968 |#1|)) 24)) (-1979 (((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|)) 119)) (-2747 (((-569) (-918)) 47 (|has| (-858 |#1|) (-371)))) (-3870 (((-569) (-918) (-918)) 49 (|has| (-858 |#1|) (-371)))) (-3049 (((-569) (-918)) 43 (|has| (-858 |#1|) (-371)))) (-3154 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|))) 62) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764)) NIL)) (-2346 (((-237 (-923 |#1|)) (-243 |#2| |#1|)) 135)) (-3408 (((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|))) 125)) (-1317 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764)) 123)) (-3875 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-2329 (((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|))) 67) (((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|))) 69)) (-3342 (((-569)) 105)) (-3950 (((-764)) 103)) (-1834 (((-1252)) 144)) (-2148 (((-1252)) 140)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569)) 32)) (-1361 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|)) 132) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 127) (((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|)) 96)) (-1468 ((|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|)) 133) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 63) ((|#1| (-243 |#2| |#1|) (-923 |#1|)) 98)) (-3347 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 112)) (-1844 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 110)) (-2184 (((-569)) 56 (|has| (-858 |#1|) (-371)))) (-2209 (((-237 (-923 |#1|))) 114)) (-1561 (((-1242 (-569) -3417) (-918)) 41 (|has| (-858 |#1|) (-371))) (((-1242 (-569) -3417)) 38 (|has| (-858 |#1|) (-371)))) (-4256 (((-1159 (-569)) (-918)) 54 (|has| (-858 |#1|) (-371))) (((-1159 (-569))) 52 (|has| (-858 |#1|) (-371))))) 
-(((-868 |#1| |#2| |#3|) (-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -1992 ((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -3143 ((-968 |#1|) (-923 |#1|))) (-15 -2344 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -3039 ((-968 |#1|) (-635 (-858 |#1|)))) (-15 -2122 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -2516 ((-635 (-923 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-968 |#1|)))) (-15 -1366 ((-635 (-968 |#1|)))) (-15 -1979 ((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3408 ((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2346 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-923 |#1|)))) (IF (|has| (-858 |#1|) (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-923 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-351) (-635 (-1163)) (-117)) (T -868)) 
-((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1561 (*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2184 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-4256 (*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2209 (*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2346 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3408 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-243 *6 (-858 *5)))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3154 (*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3154 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-1366 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1818 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1844 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3347 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3342 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3950 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1692 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2516 (*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-351)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3039 (*1 *2 *3) (-12 (-5 *3 (-635 (-858 *4))) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3143 (*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2329 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-680 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-2329 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1992 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-968 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-243 *6 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) (-3718 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117)))) (-1834 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -1992 ((-243 |#2| (-858 |#1|)) (-243 |#2| |#1|) (-968 |#1|))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -3143 ((-968 |#1|) (-923 |#1|))) (-15 -2344 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -3039 ((-968 |#1|) (-635 (-858 |#1|)))) (-15 -2122 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -2516 ((-635 (-923 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-968 |#1|)))) (-15 -1366 ((-635 (-968 |#1|)))) (-15 -1979 ((-775 (-858 |#1|)) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3408 ((-635 (-243 |#2| (-858 |#1|))) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2346 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-923 |#1|)))) (IF (|has| (-858 |#1|) (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-923 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
-((-1692 (((-243 |#2| |#1|)) 83)) (-1366 (((-635 (-967 |#1|))) 92)) (-2122 (((-635 (-967 |#1|)) (-635 (-967 |#1|))) 24)) (-3718 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 75)) (-1818 (((-635 (-967 |#1|))) 65)) (-2516 (((-635 (-922 |#1|))) 63)) (-3039 (((-967 |#1|) (-635 |#1|)) 27)) (-3143 (((-967 |#1|) (-922 |#1|)) 18)) (-2411 (((-635 (-922 |#1|)) (-918)) 50 (|has| |#1| (-371)))) (-2344 (((-635 (-922 |#1|)) (-967 |#1|)) 21)) (-1979 (((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|)) 95)) (-2747 (((-569) (-918)) 52 (|has| |#1| (-371)))) (-3870 (((-569) (-918) (-918)) 54 (|has| |#1| (-371)))) (-3049 (((-569) (-918)) 48 (|has| |#1| (-371)))) (-3154 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|))) 33) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764)) NIL)) (-2346 (((-237 (-922 |#1|)) (-243 |#2| |#1|)) 107)) (-3408 (((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|))) 31)) (-1317 (((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764)) 97)) (-3875 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-2329 (((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|))) 38) (((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|))) 40)) (-3342 (((-569)) 81)) (-3950 (((-764)) 79)) (-1834 (((-1252)) 116)) (-2148 (((-1252)) 112)) (-4362 (((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569)) NIL)) (-1361 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|)) 105) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|)) 104) (((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|)) 73)) (-1468 ((|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|)) 102) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|)) 34) ((|#1| (-243 |#2| |#1|) (-922 |#1|)) 70)) (-3347 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 88)) (-1844 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 86)) (-2184 (((-569)) 61 (|has| |#1| (-371)))) (-2209 (((-237 (-922 |#1|))) 90)) (-1561 (((-1242 (-569) -3417) (-918)) 46 (|has| |#1| (-371))) (((-1242 (-569) -3417)) 43 (|has| |#1| (-371)))) (-4256 (((-1159 (-569)) (-918)) 59 (|has| |#1| (-371))) (((-1159 (-569))) 57 (|has| |#1| (-371))))) 
-(((-869 |#1| |#2| |#3|) (-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -3408 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3039 ((-967 |#1|) (-635 |#1|))) (-15 -3143 ((-967 |#1|) (-922 |#1|))) (-15 -2344 ((-635 (-922 |#1|)) (-967 |#1|))) (-15 -2122 ((-635 (-967 |#1|)) (-635 (-967 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|)))) (-15 -2516 ((-635 (-922 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-967 |#1|)))) (-15 -1366 ((-635 (-967 |#1|)))) (-15 -1979 ((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -2346 ((-237 (-922 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-922 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-922 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) (-366) (-635 (-1163)) (-117)) (T -869)) 
-((-1561 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-1561 (*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3870 (*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2747 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3049 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2411 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2184 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-4256 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-4256 (*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2209 (*1 *2) (-12 (-5 *2 (-237 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2346 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1361 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1468 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1317 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-4362 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-3154 (*1 *2 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3154 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 *5)) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1366 (*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1818 (*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1844 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3347 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3342 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3950 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-1692 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2516 (*1 *2) (-12 (-5 *2 (-635 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2329 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-635 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) (-2329 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-2122 (*1 *2 *2) (-12 (-5 *2 (-635 (-967 *3))) (-4 *3 (-366)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3143 (*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3039 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) (-3718 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) (-1834 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-2148 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) (-3408 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
-(-10 -7 (-15 -3875 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -3408 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -2148 ((-1252))) (-15 -1834 ((-1252))) (-15 -3718 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -3039 ((-967 |#1|) (-635 |#1|))) (-15 -3143 ((-967 |#1|) (-922 |#1|))) (-15 -2344 ((-635 (-922 |#1|)) (-967 |#1|))) (-15 -2122 ((-635 (-967 |#1|)) (-635 (-967 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-237 (-922 |#1|)))) (-15 -2329 ((-680 |#1|) (-237 (-922 |#1|)) (-635 (-922 |#1|)))) (-15 -2516 ((-635 (-922 |#1|)))) (-15 -1692 ((-243 |#2| |#1|))) (-15 -3950 ((-764))) (-15 -3342 ((-569))) (-15 -3347 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1844 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -1818 ((-635 (-967 |#1|)))) (-15 -1366 ((-635 (-967 |#1|)))) (-15 -1979 ((-775 |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -3154 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-922 |#1|)) (-764))) (-15 -3154 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-922 |#1|)))) (-15 -4362 ((-2 (|:| -2599 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-922 |#1|)) (-569) (-569))) (-15 -1317 ((-635 (-243 |#2| |#1|)) (-237 (-922 |#1|)) (-764))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1468 (|#1| (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-922 |#1|))) (-15 -1361 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-922 |#1|))) (-15 -2346 ((-237 (-922 |#1|)) (-243 |#2| |#1|))) (-15 -2209 ((-237 (-922 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4256 ((-1159 (-569)))) (-15 -4256 ((-1159 (-569)) (-918))) (-15 -2184 ((-569))) (-15 -2411 ((-635 (-922 |#1|)) (-918))) (-15 -3049 ((-569) (-918))) (-15 -2747 ((-569) (-918))) (-15 -3870 ((-569) (-918) (-918))) (-15 -1561 ((-1242 (-569) -3417))) (-15 -1561 ((-1242 (-569) -3417) (-918)))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-3473 (((-569) $) 15)) (-4197 (($ (-159)) 11)) (-3578 (($ (-159)) 12)) (-2776 (((-1145) $) NIL)) (-1786 (((-159) $) 13)) (-3360 (((-1109) $) NIL)) (-4391 (($ (-159)) 9)) (-3779 (($ (-159)) 8)) (-2185 (((-851) $) 23) (($ (-159)) 16)) (-3013 (($ (-159)) 10)) (-1668 (((-121) $ $) NIL))) 
-(((-870) (-13 (-1091) (-10 -8 (-15 -3779 ($ (-159))) (-15 -4391 ($ (-159))) (-15 -3013 ($ (-159))) (-15 -4197 ($ (-159))) (-15 -3578 ($ (-159))) (-15 -1786 ((-159) $)) (-15 -3473 ((-569) $)) (-15 -2185 ($ (-159)))))) (T -870)) 
-((-3779 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-4391 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3013 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-4197 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3578 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) (-3473 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-870)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(-13 (-1091) (-10 -8 (-15 -3779 ($ (-159))) (-15 -4391 ($ (-159))) (-15 -3013 ($ (-159))) (-15 -4197 ($ (-159))) (-15 -3578 ($ (-159))) (-15 -1786 ((-159) $)) (-15 -3473 ((-569) $)) (-15 -2185 ($ (-159))))) 
-((-2185 (((-311 (-569)) (-410 (-954 (-53)))) 21) (((-311 (-569)) (-954 (-53))) 16))) 
-(((-871) (-10 -7 (-15 -2185 ((-311 (-569)) (-954 (-53)))) (-15 -2185 ((-311 (-569)) (-410 (-954 (-53))))))) (T -871)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) (-2185 (*1 *2 *3) (-12 (-5 *3 (-954 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-871))))) 
-(-10 -7 (-15 -2185 ((-311 (-569)) (-954 (-53)))) (-15 -2185 ((-311 (-569)) (-410 (-954 (-53)))))) 
-((-1979 ((|#6| |#3| |#7| (-569)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-635 |#6|)) 28))) 
-(((-872 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -1979 (|#6| |#3| (-635 |#6|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#7| (-569)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|) (-642 |#1|) (-921 |#1| |#6|)) (T -872)) 
-((-1979 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *2 (-642 *6)) (-5 *1 (-872 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *9 (-972 *6)) (-4 *4 (-921 *6 *2)))) (-1979 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) (-1979 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) (-1979 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *9 (-921 *5 *2))))) 
-(-10 -7 (-15 -1979 (|#6| |#3| (-635 |#6|))) (-15 -1979 (|#6| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#3| |#7|)) (-15 -1979 (|#6| |#3| |#7| (-569)))) 
-((-1544 (((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)) 14))) 
-(((-873 |#1| |#2|) (-10 -7 (-15 -1544 ((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)))) (-1197) (-1197)) (T -873)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-874 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-874 *6)) (-5 *1 (-873 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-874 |#2|) (-1 |#2| |#1|) (-874 |#1|)))) 
-((-1473 (($ |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
-(((-874 |#1|) (-10 -8 (-15 -1473 ($ |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -874)) 
-((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-874 *2)) (-4 *2 (-1197)))) (-1473 (*1 *1 *2 *2) (-12 (-5 *1 (-874 *2)) (-4 *2 (-1197))))) 
-(-10 -8 (-15 -1473 ($ |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
-((-1544 (((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)) 14))) 
-(((-875 |#1| |#2|) (-10 -7 (-15 -1544 ((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)))) (-1197) (-1197)) (T -875)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-876 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-876 *6)) (-5 *1 (-875 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-876 |#2|) (-1 |#2| |#1|) (-876 |#1|)))) 
-((-1473 (($ |#1| |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
-(((-876 |#1|) (-10 -8 (-15 -1473 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -876)) 
-((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-876 *2)) (-4 *2 (-1197)))) (-1473 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-876 *2)) (-4 *2 (-1197))))) 
-(-10 -8 (-15 -1473 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
-((-1544 (((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)) 14))) 
-(((-877 |#1| |#2|) (-10 -7 (-15 -1544 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) (-1197) (-1197)) (T -877)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-878 |#2|) (-1 |#2| |#1|) (-878 |#1|)))) 
-((-1988 (($ |#1| |#1| |#1|) 8)) (-4193 ((|#1| $ (-764)) 10))) 
-(((-878 |#1|) (-10 -8 (-15 -1988 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) (-1197)) (T -878)) 
-((-4193 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-878 *2)) (-4 *2 (-1197)))) (-1988 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
-(-10 -8 (-15 -1988 ($ |#1| |#1| |#1|)) (-15 -4193 (|#1| $ (-764)))) 
-((-1710 (((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569)))) 30)) (-1894 (((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569))) 26)) (-3923 (((-1143 (-635 (-569))) (-635 (-569))) 39) (((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569))) 38)) (-2229 (((-1143 (-635 (-569))) (-569)) 40)) (-3128 (((-1143 (-635 (-569))) (-569) (-569)) 22) (((-1143 (-635 (-569))) (-569)) 16) (((-1143 (-635 (-569))) (-569) (-569) (-569)) 12)) (-3165 (((-1143 (-635 (-569))) (-1143 (-635 (-569)))) 24)) (-1414 (((-635 (-569)) (-635 (-569))) 23))) 
-(((-879) (-10 -7 (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569))) (-15 -1414 ((-635 (-569)) (-635 (-569)))) (-15 -3165 ((-1143 (-635 (-569))) (-1143 (-635 (-569))))) (-15 -1894 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -1710 ((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569))))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)))) (-15 -2229 ((-1143 (-635 (-569))) (-569))))) (T -879)) 
-((-2229 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3923 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-3923 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-1710 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-879)))) (-1894 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) (-3165 (*1 *2 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)))) (-1414 (*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-879)))) (-3128 (*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3128 (*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) (-3128 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569))) (-15 -3128 ((-1143 (-635 (-569))) (-569) (-569))) (-15 -1414 ((-635 (-569)) (-635 (-569)))) (-15 -3165 ((-1143 (-635 (-569))) (-1143 (-635 (-569))))) (-15 -1894 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -1710 ((-1143 (-635 (-569))) (-635 (-569)) (-1143 (-635 (-569))))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3923 ((-1143 (-635 (-569))) (-635 (-569)))) (-15 -2229 ((-1143 (-635 (-569))) (-569)))) 
-((-3817 (((-888 (-382)) $) 9 (|has| |#1| (-610 (-888 (-382))))) (((-888 (-569)) $) 8 (|has| |#1| (-610 (-888 (-569))))))) 
-(((-880 |#1|) (-1278) (-1197)) (T -880)) 
-NIL 
-(-13 (-10 -7 (IF (|has| |t#1| (-610 (-888 (-569)))) (-6 (-610 (-888 (-569)))) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-382)))) (-6 (-610 (-888 (-382)))) |noBranch|))) 
-(((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569))))) 
-((-2568 (((-121) $ $) NIL)) (-2659 (($) 14)) (-2618 (($ (-885 |#1| |#2|) (-885 |#1| |#3|)) 27)) (-2240 (((-885 |#1| |#3|) $) 16)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2047 (((-121) $) 22)) (-1546 (($) 19)) (-2185 (((-851) $) 30)) (-3576 (((-885 |#1| |#2|) $) 15)) (-1668 (((-121) $ $) 25))) 
-(((-881 |#1| |#2| |#3|) (-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -2618 ($ (-885 |#1| |#2|) (-885 |#1| |#3|))) (-15 -3576 ((-885 |#1| |#2|) $)) (-15 -2240 ((-885 |#1| |#3|) $)))) (-1091) (-1091) (-659 |#2|)) (T -881)) 
-((-2047 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) (-1546 (*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) (-2659 (*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) (-2618 (*1 *1 *2 *3) (-12 (-5 *2 (-885 *4 *5)) (-5 *3 (-885 *4 *6)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-659 *5)) (-5 *1 (-881 *4 *5 *6)))) (-3576 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *4)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) (-2240 (*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *5)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
-(-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -2618 ($ (-885 |#1| |#2|) (-885 |#1| |#3|))) (-15 -3576 ((-885 |#1| |#2|) $)) (-15 -2240 ((-885 |#1| |#3|) $)))) 
-((-2568 (((-121) $ $) 7)) (-2883 (((-885 |#1| $) $ (-888 |#1|) (-885 |#1| $)) 12)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-882 |#1|) (-1278) (-1091)) (T -882)) 
-((-2883 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-885 *4 *1)) (-5 *3 (-888 *4)) (-4 *1 (-882 *4)) (-4 *4 (-1091))))) 
-(-13 (-1091) (-10 -8 (-15 -2883 ((-885 |t#1| $) $ (-888 |t#1|) (-885 |t#1| $))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-4029 (((-121) (-635 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-1326 (((-885 |#1| |#2|) |#2| |#3|) 42 (-12 (-3864 (|has| |#2| (-1038 (-1163)))) (-3864 (|has| |#2| (-1048))))) (((-635 (-289 (-954 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1048)) (-3864 (|has| |#2| (-1038 (-1163)))))) (((-635 (-289 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1038 (-1163)))) (((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|) 20))) 
-(((-883 |#1| |#2| |#3|) (-10 -7 (-15 -4029 ((-121) |#2| |#3|)) (-15 -4029 ((-121) (-635 |#2|) |#3|)) (-15 -1326 ((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1038 (-1163))) (-15 -1326 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1048)) (-15 -1326 ((-635 (-289 (-954 |#2|))) |#2| |#3|)) (-15 -1326 ((-885 |#1| |#2|) |#2| |#3|))))) (-1091) (-882 |#1|) (-610 (-888 |#1|))) (T -883)) 
-((-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-885 *5 *3)) (-5 *1 (-883 *5 *3 *4)) (-3864 (-4 *3 (-1038 (-1163)))) (-3864 (-4 *3 (-1048))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 (-954 *3)))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1048)) (-3864 (-4 *3 (-1038 (-1163)))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1038 (-1163))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) (-1326 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-5 *2 (-881 *5 *6 (-635 *6))) (-5 *1 (-883 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-888 *5))))) (-4029 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-882 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *6 *4)) (-4 *4 (-610 (-888 *5))))) (-4029 (*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5)))))) 
-(-10 -7 (-15 -4029 ((-121) |#2| |#3|)) (-15 -4029 ((-121) (-635 |#2|) |#3|)) (-15 -1326 ((-881 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1038 (-1163))) (-15 -1326 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1048)) (-15 -1326 ((-635 (-289 (-954 |#2|))) |#2| |#3|)) (-15 -1326 ((-885 |#1| |#2|) |#2| |#3|))))) 
-((-1544 (((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)) 21))) 
-(((-884 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)))) (-1091) (-1091) (-1091)) (T -884)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-885 *5 *6)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-885 *5 *7)) (-5 *1 (-884 *5 *6 *7))))) 
-(-10 -7 (-15 -1544 ((-885 |#1| |#3|) (-1 |#3| |#2|) (-885 |#1| |#2|)))) 
-((-2568 (((-121) $ $) NIL)) (-1752 (($ $ $) 37)) (-1418 (((-3 (-121) "failed") $ (-888 |#1|)) 34)) (-2659 (($) 11)) (-2776 (((-1145) $) NIL)) (-4104 (($ (-888 |#1|) |#2| $) 20)) (-3360 (((-1109) $) NIL)) (-4294 (((-3 |#2| "failed") (-888 |#1|) $) 48)) (-2047 (((-121) $) 14)) (-1546 (($) 12)) (-1759 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $) 25)) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|)))) 23)) (-2185 (((-851) $) 42)) (-4449 (($ (-888 |#1|) |#2| $ |#2|) 46)) (-3905 (($ (-888 |#1|) |#2| $) 45)) (-1668 (((-121) $ $) 39))) 
-(((-885 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -1752 ($ $ $)) (-15 -4294 ((-3 |#2| "failed") (-888 |#1|) $)) (-15 -3905 ($ (-888 |#1|) |#2| $)) (-15 -4104 ($ (-888 |#1|) |#2| $)) (-15 -4449 ($ (-888 |#1|) |#2| $ |#2|)) (-15 -1759 ((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))))) (-15 -1418 ((-3 (-121) "failed") $ (-888 |#1|))))) (-1091) (-1091)) (T -885)) 
-((-2047 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-1546 (*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2659 (*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1752 (*1 *1 *1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-4294 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-5 *1 (-885 *4 *2)))) (-3905 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-4104 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-4449 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091)))) (-1759 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-4 *4 (-1091)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)))) (-1418 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1091))))) 
-(-13 (-1091) (-10 -8 (-15 -2047 ((-121) $)) (-15 -1546 ($)) (-15 -2659 ($)) (-15 -1752 ($ $ $)) (-15 -4294 ((-3 |#2| "failed") (-888 |#1|) $)) (-15 -3905 ($ (-888 |#1|) |#2| $)) (-15 -4104 ($ (-888 |#1|) |#2| $)) (-15 -4449 ($ (-888 |#1|) |#2| $ |#2|)) (-15 -1759 ((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))) $)) (-15 -2139 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 |#2|))))) (-15 -1418 ((-3 (-121) "failed") $ (-888 |#1|))))) 
-((-1632 (((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|))) 30) (((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|))) 42) (((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|)) 33)) (-1418 (((-121) (-635 |#2|) (-888 |#1|)) 39) (((-121) |#2| (-888 |#1|)) 35)) (-4307 (((-1 (-121) |#2|) (-888 |#1|)) 14)) (-2103 (((-635 |#2|) (-888 |#1|)) 23)) (-3441 (((-888 |#1|) (-888 |#1|) |#2|) 19))) 
-(((-886 |#1| |#2|) (-10 -7 (-15 -1632 ((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|)))) (-15 -4307 ((-1 (-121) |#2|) (-888 |#1|))) (-15 -1418 ((-121) |#2| (-888 |#1|))) (-15 -1418 ((-121) (-635 |#2|) (-888 |#1|))) (-15 -3441 ((-888 |#1|) (-888 |#1|) |#2|)) (-15 -2103 ((-635 |#2|) (-888 |#1|)))) (-1091) (-1197)) (T -886)) 
-((-2103 (*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-635 *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197)))) (-3441 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1197)))) (-1418 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-121)) (-5 *1 (-886 *5 *6)))) (-1418 (*1 *2 *3 *4) (-12 (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-886 *5 *3)) (-4 *3 (-1197)))) (-4307 (*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197)))) (-1632 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-888 *5)) (-5 *3 (-635 (-1163))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-886 *5 *6)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5))))) 
-(-10 -7 (-15 -1632 ((-888 |#1|) (-888 |#1|) (-1 (-121) |#2|))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -1632 ((-888 |#1|) (-888 |#1|) (-635 (-1163)) (-1 (-121) (-635 |#2|)))) (-15 -4307 ((-1 (-121) |#2|) (-888 |#1|))) (-15 -1418 ((-121) |#2| (-888 |#1|))) (-15 -1418 ((-121) (-635 |#2|) (-888 |#1|))) (-15 -3441 ((-888 |#1|) (-888 |#1|) |#2|)) (-15 -2103 ((-635 |#2|) (-888 |#1|)))) 
-((-1544 (((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)) 17))) 
-(((-887 |#1| |#2|) (-10 -7 (-15 -1544 ((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)))) (-1091) (-1091)) (T -887)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-888 *6)) (-5 *1 (-887 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-888 |#2|) (-1 |#2| |#1|) (-888 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-1694 (($ $ (-635 (-57))) 62)) (-1773 (((-635 $) $) 116)) (-2902 (((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $) 22)) (-1508 (((-121) $) 29)) (-2019 (($ $ (-635 (-1163)) (-57)) 24)) (-3641 (($ $ (-635 (-57))) 61)) (-1647 (((-3 |#1| "failed") $) 59) (((-3 (-1163) "failed") $) 138)) (-2428 ((|#1| $) 55) (((-1163) $) NIL)) (-2884 (($ $) 106)) (-3411 (((-121) $) 45)) (-3920 (((-635 (-57)) $) 43)) (-3743 (($ (-1163) (-121) (-121) (-121)) 63)) (-2183 (((-3 (-635 $) "failed") (-635 $)) 70)) (-3514 (((-121) $) 48)) (-4252 (((-121) $) 47)) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) 34)) (-1695 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-2848 (((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $) 81)) (-3091 (((-3 (-635 $) "failed") $) 31)) (-4063 (((-3 (-635 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $) 93)) (-1675 (((-3 (-635 $) "failed") $) 35)) (-1874 (((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $) 38)) (-4515 (((-121) $) 28)) (-3360 (((-1109) $) NIL)) (-2409 (((-121) $) 20)) (-1911 (((-121) $) 44)) (-4009 (((-635 (-57)) $) 109)) (-1716 (((-121) $) 46)) (-1534 (($ (-123) (-635 $)) 90)) (-2835 (((-764) $) 27)) (-1971 (($ $) 60)) (-3817 (($ (-635 $)) 57)) (-1749 (((-121) $) 25)) (-2185 (((-851) $) 50) (($ |#1|) 18) (($ (-1163)) 64)) (-3441 (($ $ (-57)) 108)) (-3369 (($) 89 T CONST)) (-1556 (($) 71 T CONST)) (-1668 (((-121) $ $) 77)) (-1715 (($ $ $) 98)) (-1707 (($ $ $) 102)) (** (($ $ (-764)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
-(((-888 |#1|) (-13 (-1091) (-1038 |#1|) (-1038 (-1163)) (-10 -8 (-15 0 ($) -2043) (-15 1 ($) -2043) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -4063 ((-3 (-635 $) "failed") $ (-123))) (-15 -4063 ((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $)) (-15 -1695 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1675 ((-3 (-635 $) "failed") $)) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ $)) (-15 -1715 ($ $ $)) (-15 -2835 ((-764) $)) (-15 -3817 ($ (-635 $))) (-15 -1971 ($ $)) (-15 -4515 ((-121) $)) (-15 -3411 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -1749 ((-121) $)) (-15 -1716 ((-121) $)) (-15 -4252 ((-121) $)) (-15 -3514 ((-121) $)) (-15 -1911 ((-121) $)) (-15 -3920 ((-635 (-57)) $)) (-15 -3641 ($ $ (-635 (-57)))) (-15 -1694 ($ $ (-635 (-57)))) (-15 -3743 ($ (-1163) (-121) (-121) (-121))) (-15 -2019 ($ $ (-635 (-1163)) (-57))) (-15 -2902 ((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $)) (-15 -2409 ((-121) $)) (-15 -2884 ($ $)) (-15 -3441 ($ $ (-57))) (-15 -4009 ((-635 (-57)) $)) (-15 -1773 ((-635 $) $)) (-15 -2183 ((-3 (-635 $) "failed") (-635 $))))) (-1091)) (T -888)) 
-((-3369 (*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-1556 (*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-3091 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4087 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4063 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-4063 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 (-888 *3))))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1874 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-764)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1695 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-888 *3)) (|:| |den| (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1675 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2848 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1534 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-1707 (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-1715 (*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-4515 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3411 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1508 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1749 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1716 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4252 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3514 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1911 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3920 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3641 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1694 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-3743 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-121)) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-2019 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-57)) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) (-2902 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2409 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2884 (*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) (-3441 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-4009 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-1773 (*1 *2 *1) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) (-2183 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(-13 (-1091) (-1038 |#1|) (-1038 (-1163)) (-10 -8 (-15 (-3369) ($) -2043) (-15 (-1556) ($) -2043) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -4063 ((-3 (-635 $) "failed") $ (-123))) (-15 -4063 ((-3 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |val| $) (|:| -2356 (-764))) "failed") $)) (-15 -1695 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -1675 ((-3 (-635 $) "failed") $)) (-15 -2848 ((-3 (-2 (|:| |val| $) (|:| -2356 $)) "failed") $)) (-15 -1534 ($ (-123) (-635 $))) (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764))) (-15 ** ($ $ $)) (-15 -1715 ($ $ $)) (-15 -2835 ((-764) $)) (-15 -3817 ($ (-635 $))) (-15 -1971 ($ $)) (-15 -4515 ((-121) $)) (-15 -3411 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -1749 ((-121) $)) (-15 -1716 ((-121) $)) (-15 -4252 ((-121) $)) (-15 -3514 ((-121) $)) (-15 -1911 ((-121) $)) (-15 -3920 ((-635 (-57)) $)) (-15 -3641 ($ $ (-635 (-57)))) (-15 -1694 ($ $ (-635 (-57)))) (-15 -3743 ($ (-1163) (-121) (-121) (-121))) (-15 -2019 ($ $ (-635 (-1163)) (-57))) (-15 -2902 ((-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57))) $)) (-15 -2409 ((-121) $)) (-15 -2884 ($ $)) (-15 -3441 ($ $ (-57))) (-15 -4009 ((-635 (-57)) $)) (-15 -1773 ((-635 $) $)) (-15 -2183 ((-3 (-635 $) "failed") (-635 $))))) 
-((-2568 (((-121) $ $) NIL)) (-3914 (((-635 |#1|) $) 16)) (-3633 (((-121) $) 38)) (-1647 (((-3 (-664 |#1|) "failed") $) 41)) (-2428 (((-664 |#1|) $) 39)) (-2046 (($ $) 18)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1859 (((-635 (-664 |#1|)) $) 23)) (-1906 (((-764) $) 45)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-664 |#1|) $) 17)) (-2185 (((-851) $) 37) (($ (-664 |#1|)) 21) (((-815 |#1|) $) 27) (($ |#1|) 20)) (-1556 (($) 8 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 11)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 48))) 
-(((-889 |#1|) (-13 (-843) (-1038 (-664 |#1|)) (-10 -8 (-15 1 ($) -2043) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ($ |#1|)) (-15 -4353 ((-664 |#1|) $)) (-15 -1906 ((-764) $)) (-15 -1859 ((-635 (-664 |#1|)) $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -3914 ((-635 |#1|) $)))) (-843)) (T -889)) 
-((-1556 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-2185 (*1 *1 *2) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-4353 (*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-1859 (*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-2046 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) (-3633 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) (-3914 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
-(-13 (-843) (-1038 (-664 |#1|)) (-10 -8 (-15 (-1556) ($) -2043) (-15 -2185 ((-815 |#1|) $)) (-15 -2185 ($ |#1|)) (-15 -4353 ((-664 |#1|) $)) (-15 -1906 ((-764) $)) (-15 -1859 ((-635 (-664 |#1|)) $)) (-15 -2046 ($ $)) (-15 -3633 ((-121) $)) (-15 -3914 ((-635 |#1|) $)))) 
-((-3107 ((|#1| |#1| |#1|) 19))) 
-(((-890 |#1| |#2|) (-10 -7 (-15 -3107 (|#1| |#1| |#1|))) (-1222 |#2|) (-1048)) (T -890)) 
-((-3107 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-890 *2 *3)) (-4 *2 (-1222 *3))))) 
-(-10 -7 (-15 -3107 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-2703 (((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 13)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2677 (((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 12)) (-1668 (((-121) $ $) 6))) 
-(((-891) (-1278)) (T -891)) 
-((-2703 (*1 *2 *3 *4) (-12 (-4 *1 (-891)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) (-2677 (*1 *2 *3) (-12 (-4 *1 (-891)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-1036))))) 
-(-13 (-1091) (-10 -7 (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| |explanations| (-1145))) (-1060) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2677 ((-1036) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-1965 ((|#1| |#1| (-764)) 23)) (-2641 (((-3 |#1| "failed") |#1| |#1|) 22)) (-4157 (((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764)) 26) (((-635 |#1|) |#1|) 28))) 
-(((-892 |#1| |#2|) (-10 -7 (-15 -4157 ((-635 |#1|) |#1|)) (-15 -4157 ((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764))) (-15 -2641 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1965 (|#1| |#1| (-764)))) (-1222 |#2|) (-366)) (T -892)) 
-((-1965 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *1 (-892 *2 *4)) (-4 *2 (-1222 *4)))) (-2641 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-892 *2 *3)) (-4 *2 (-1222 *3)))) (-4157 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-892 *3 *5)) (-4 *3 (-1222 *5)))) (-4157 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-892 *3 *4)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -4157 ((-635 |#1|) |#1|)) (-15 -4157 ((-3 (-2 (|:| -3833 |#1|) (|:| -1869 |#1|)) "failed") |#1| (-764) (-764))) (-15 -2641 ((-3 |#1| "failed") |#1| |#1|)) (-15 -1965 (|#1| |#1| (-764)))) 
-((-4435 (((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145)) 92) (((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216)) 87) (((-1036) (-894) (-1060)) 76) (((-1036) (-894)) 77)) (-2703 (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060)) 50) (((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894)) 52))) 
-(((-893) (-10 -7 (-15 -4435 ((-1036) (-894))) (-15 -4435 ((-1036) (-894) (-1060))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060))))) (T -893)) 
-((-2703 (*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) (-2703 (*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-893)))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-1036)) (-5 *1 (-893))))) 
-(-10 -7 (-15 -4435 ((-1036) (-894))) (-15 -4435 ((-1036) (-894) (-1060))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145) (-216))) (-15 -4435 ((-1036) (-382) (-382) (-382) (-382) (-764) (-764) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1145))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894))) (-15 -2703 ((-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145)))) (-894) (-1060)))) 
-((-2568 (((-121) $ $) NIL)) (-2428 (((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 12) (($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) 9)) (-1668 (((-121) $ $) NIL))) 
-(((-894) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $))))) (T -894)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-894)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) (-2428 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))))) (-15 -2185 ((-851) $)) (-15 -2428 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216))) $)))) 
-((-3899 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) 10) (($ $ |#2| (-764)) 12) (($ $ (-635 |#2|) (-635 (-764))) 15)) (-3022 (($ $ |#2|) 16) (($ $ (-635 |#2|)) 18) (($ $ |#2| (-764)) 19) (($ $ (-635 |#2|) (-635 (-764))) 21))) 
-(((-895 |#1| |#2|) (-10 -8 (-15 -3022 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3022 (|#1| |#1| |#2| (-764))) (-15 -3022 (|#1| |#1| (-635 |#2|))) (-15 -3022 (|#1| |#1| |#2|)) (-15 -3899 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#2| (-764))) (-15 -3899 (|#1| |#1| (-635 |#2|))) (-15 -3899 (|#1| |#1| |#2|))) (-896 |#2|) (-1091)) (T -895)) 
-NIL 
-(-10 -8 (-15 -3022 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3022 (|#1| |#1| |#2| (-764))) (-15 -3022 (|#1| |#1| (-635 |#2|))) (-15 -3022 (|#1| |#1| |#2|)) (-15 -3899 (|#1| |#1| (-635 |#2|) (-635 (-764)))) (-15 -3899 (|#1| |#1| |#2| (-764))) (-15 -3899 (|#1| |#1| (-635 |#2|))) (-15 -3899 (|#1| |#1| |#2|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3899 (($ $ |#1|) 41) (($ $ (-635 |#1|)) 40) (($ $ |#1| (-764)) 39) (($ $ (-635 |#1|) (-635 (-764))) 38)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#1|) 37) (($ $ (-635 |#1|)) 36) (($ $ |#1| (-764)) 35) (($ $ (-635 |#1|) (-635 (-764))) 34)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-896 |#1|) (-1278) (-1091)) (T -896)) 
-((-3899 (*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3899 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) (-3022 (*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3022 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) (-3022 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091))))) 
-(-13 (-1048) (-10 -8 (-15 -3899 ($ $ |t#1|)) (-15 -3899 ($ $ (-635 |t#1|))) (-15 -3899 ($ $ |t#1| (-764))) (-15 -3899 ($ $ (-635 |t#1|) (-635 (-764)))) (-15 -3022 ($ $ |t#1|)) (-15 -3022 ($ $ (-635 |t#1|))) (-15 -3022 ($ $ |t#1| (-764))) (-15 -3022 ($ $ (-635 |t#1|) (-635 (-764)))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 26)) (-1691 (((-121) $ (-764)) NIL)) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-2587 (($ $ $) NIL (|has| $ (-6 -4536)))) (-1690 (($ $ $) NIL (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) (($ $ "left" $) NIL (|has| $ (-6 -4536))) (($ $ "right" $) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1869 (($ $) 25)) (-2119 (($ |#1|) 12) (($ $ $) 17)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-3833 (($ $) 23)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) 20)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) 29 (|has| |#1| (-1091))) (((-1184 |#1|) $) 9)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 21 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-897 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -2119 ($ |#1|)) (-15 -2119 ($ $ $)) (-15 -2185 ((-1184 |#1|) $)))) (-1091)) (T -897)) 
-((-2119 (*1 *1 *2) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) (-2119 (*1 *1 *1 *1) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1184 *3)) (-5 *1 (-897 *3)) (-4 *3 (-1091))))) 
-(-13 (-128 |#1|) (-10 -8 (-15 -2119 ($ |#1|)) (-15 -2119 ($ $ $)) (-15 -2185 ((-1184 |#1|) $)))) 
-((-1579 ((|#2| (-1128 |#1| |#2|)) 39))) 
-(((-898 |#1| |#2|) (-10 -7 (-15 -1579 (|#2| (-1128 |#1| |#2|)))) (-918) (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (T -898)) 
-((-1579 (*1 *2 *3) (-12 (-5 *3 (-1128 *4 *2)) (-14 *4 (-918)) (-4 *2 (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (-5 *1 (-898 *4 *2))))) 
-(-10 -7 (-15 -1579 (|#2| (-1128 |#1| |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-2820 (($) 19 T CONST)) (-3428 (((-3 $ "failed") $) 15)) (-1288 (((-1093 |#1|) $ |#1|) 34)) (-1407 (((-121) $) 18)) (-3291 (($ $ $) 32 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1538 (($ $ $) 31 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 26)) (-3360 (((-1109) $) 10)) (-1468 ((|#1| $ |#1|) 36)) (-1534 ((|#1| $ |#1|) 35)) (-3359 (($ (-635 (-635 |#1|))) 37)) (-4107 (($ (-635 |#1|)) 38)) (-1414 (($ $ $) 22)) (-4293 (($ $ $) 21)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12) (($ $ (-764)) 16) (($ $ (-569)) 23)) (-1556 (($) 20 T CONST)) (-1693 (((-121) $ $) 29 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1684 (((-121) $ $) 28 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 30 (-2232 (|has| |#1| (-843)) (|has| |#1| (-371))))) (-1678 (((-121) $ $) 33)) (-1715 (($ $ $) 25)) (** (($ $ (-918)) 13) (($ $ (-764)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
-(((-899 |#1|) (-1278) (-1091)) (T -899)) 
-((-4107 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-899 *3)))) (-3359 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-4 *1 (-899 *3)))) (-1468 (*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) (-1534 (*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-1093 *3)))) (-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(-13 (-479) (-10 -8 (-15 -4107 ($ (-635 |t#1|))) (-15 -3359 ($ (-635 (-635 |t#1|)))) (-15 -1468 (|t#1| $ |t#1|)) (-15 -1534 (|t#1| $ |t#1|)) (-15 -1288 ((-1093 |t#1|) $ |t#1|)) (-15 -1678 ((-121) $ $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-371)) (-6 (-843)) |noBranch|))) 
-(((-105) . T) ((-609 (-851)) . T) ((-479) . T) ((-717) . T) ((-843) -2232 (|has| |#1| (-843)) (|has| |#1| (-371))) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2511 (((-635 (-635 (-764))) $) 106)) (-3994 (((-635 (-764)) (-901 |#1|) $) 128)) (-2400 (((-635 (-764)) (-901 |#1|) $) 129)) (-3515 (((-635 (-901 |#1|)) $) 96)) (-4327 (((-901 |#1|) $ (-569)) 101) (((-901 |#1|) $) 102)) (-1626 (($ (-635 (-901 |#1|))) 108)) (-2558 (((-764) $) 103)) (-2729 (((-1093 (-1093 |#1|)) $) 126)) (-1288 (((-1093 |#1|) $ |#1|) 119) (((-1093 (-1093 |#1|)) $ (-1093 |#1|)) 137) (((-1093 (-635 |#1|)) $ (-635 |#1|)) 140)) (-3582 (((-1093 |#1|) $) 99)) (-3660 (((-121) (-901 |#1|) $) 90)) (-2776 (((-1145) $) NIL)) (-2757 (((-1252) $) 93) (((-1252) $ (-569) (-569)) 141)) (-3360 (((-1109) $) NIL)) (-2727 (((-635 (-901 |#1|)) $) 94)) (-1534 (((-901 |#1|) $ (-764)) 97)) (-2492 (((-764) $) 104)) (-2185 (((-851) $) 117) (((-635 (-901 |#1|)) $) 22) (($ (-635 (-901 |#1|))) 107)) (-1475 (((-635 |#1|) $) 105)) (-1668 (((-121) $ $) 134)) (-1688 (((-121) $ $) 132)) (-1678 (((-121) $ $) 131))) 
-(((-900 |#1|) (-13 (-1091) (-10 -8 (-15 -2185 ((-635 (-901 |#1|)) $)) (-15 -2727 ((-635 (-901 |#1|)) $)) (-15 -1534 ((-901 |#1|) $ (-764))) (-15 -4327 ((-901 |#1|) $ (-569))) (-15 -4327 ((-901 |#1|) $)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $)) (-15 -1475 ((-635 |#1|) $)) (-15 -3515 ((-635 (-901 |#1|)) $)) (-15 -2511 ((-635 (-635 (-764))) $)) (-15 -2185 ($ (-635 (-901 |#1|)))) (-15 -1626 ($ (-635 (-901 |#1|)))) (-15 -1288 ((-1093 |#1|) $ |#1|)) (-15 -2729 ((-1093 (-1093 |#1|)) $)) (-15 -1288 ((-1093 (-1093 |#1|)) $ (-1093 |#1|))) (-15 -1288 ((-1093 (-635 |#1|)) $ (-635 |#1|))) (-15 -3660 ((-121) (-901 |#1|) $)) (-15 -3994 ((-635 (-764)) (-901 |#1|) $)) (-15 -2400 ((-635 (-764)) (-901 |#1|) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -1678 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -2757 ((-1252) $)) (-15 -2757 ((-1252) $ (-569) (-569))))) (-1091)) (T -900)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2727 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) (-4327 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) (-4327 (*1 *2 *1) (-12 (-5 *2 (-901 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1475 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-3515 (*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2511 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) (-1626 (*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2729 (*1 *2 *1) (-12 (-5 *2 (-1093 (-1093 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-1093 *4))) (-5 *1 (-900 *4)) (-5 *3 (-1093 *4)))) (-1288 (*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-635 *4))) (-5 *1 (-900 *4)) (-5 *3 (-635 *4)))) (-3660 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-900 *4)))) (-3994 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4)))) (-2400 (*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4)))) (-3582 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1678 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-1688 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2757 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) (-2757 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-900 *4)) (-4 *4 (-1091))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ((-635 (-901 |#1|)) $)) (-15 -2727 ((-635 (-901 |#1|)) $)) (-15 -1534 ((-901 |#1|) $ (-764))) (-15 -4327 ((-901 |#1|) $ (-569))) (-15 -4327 ((-901 |#1|) $)) (-15 -2558 ((-764) $)) (-15 -2492 ((-764) $)) (-15 -1475 ((-635 |#1|) $)) (-15 -3515 ((-635 (-901 |#1|)) $)) (-15 -2511 ((-635 (-635 (-764))) $)) (-15 -2185 ($ (-635 (-901 |#1|)))) (-15 -1626 ($ (-635 (-901 |#1|)))) (-15 -1288 ((-1093 |#1|) $ |#1|)) (-15 -2729 ((-1093 (-1093 |#1|)) $)) (-15 -1288 ((-1093 (-1093 |#1|)) $ (-1093 |#1|))) (-15 -1288 ((-1093 (-635 |#1|)) $ (-635 |#1|))) (-15 -3660 ((-121) (-901 |#1|) $)) (-15 -3994 ((-635 (-764)) (-901 |#1|) $)) (-15 -2400 ((-635 (-764)) (-901 |#1|) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -1678 ((-121) $ $)) (-15 -1688 ((-121) $ $)) (-15 -2757 ((-1252) $)) (-15 -2757 ((-1252) $ (-569) (-569))))) 
-((-2568 (((-121) $ $) NIL)) (-3113 (((-635 $) (-635 $)) 76)) (-3638 (((-569) $) 59)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-2558 (((-764) $) 57)) (-1288 (((-1093 |#1|) $ |#1|) 48)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) 62)) (-1342 (((-764) $) 60)) (-3582 (((-1093 |#1|) $) 41)) (-3291 (($ $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1538 (($ $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1945 (((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $) 35)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 92)) (-3360 (((-1109) $) NIL)) (-2216 (((-1093 |#1|) $) 98 (|has| |#1| (-371)))) (-1657 (((-121) $) 58)) (-1468 ((|#1| $ |#1|) 46)) (-1534 ((|#1| $ |#1|) 93)) (-2492 (((-764) $) 43)) (-3359 (($ (-635 (-635 |#1|))) 84)) (-2523 (((-973) $) 52)) (-4107 (($ (-635 |#1|)) 21)) (-1414 (($ $ $) NIL)) (-4293 (($ $ $) NIL)) (-3852 (($ (-635 (-635 |#1|))) 38)) (-2986 (($ (-635 (-635 |#1|))) 87)) (-1904 (($ (-635 |#1|)) 95)) (-2185 (((-851) $) 83) (($ (-635 (-635 |#1|))) 65) (($ (-635 |#1|)) 66)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-1556 (($) 16 T CONST)) (-1693 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1668 (((-121) $ $) 44)) (-1688 (((-121) $ $) NIL (-2232 (|has| |#1| (-371)) (|has| |#1| (-843))))) (-1678 (((-121) $ $) 64)) (-1715 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 22))) 
-(((-901 |#1|) (-13 (-899 |#1|) (-10 -8 (-15 -1945 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -3852 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 |#1|))) (-15 -2986 ($ (-635 (-635 |#1|)))) (-15 -2492 ((-764) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -2523 ((-973) $)) (-15 -2558 ((-764) $)) (-15 -1342 ((-764) $)) (-15 -3638 ((-569) $)) (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $)) (-15 -3113 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2216 ((-1093 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -1904 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -1904 ($ (-635 |#1|))) |noBranch|)))) (-1091)) (T -901)) 
-((-1945 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3852 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2986 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3582 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2523 (*1 *2 *1) (-12 (-5 *2 (-973)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2558 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1342 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3638 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1657 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-1931 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-3113 (*1 *2 *2) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) (-2216 (*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-371)) (-4 *3 (-1091)))) (-1904 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
-(-13 (-899 |#1|) (-10 -8 (-15 -1945 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -3852 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 (-635 |#1|)))) (-15 -2185 ($ (-635 |#1|))) (-15 -2986 ($ (-635 (-635 |#1|)))) (-15 -2492 ((-764) $)) (-15 -3582 ((-1093 |#1|) $)) (-15 -2523 ((-973) $)) (-15 -2558 ((-764) $)) (-15 -1342 ((-764) $)) (-15 -3638 ((-569) $)) (-15 -1657 ((-121) $)) (-15 -1931 ((-121) $)) (-15 -3113 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2216 ((-1093 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -1904 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -1904 ($ (-635 |#1|))) |noBranch|)))) 
-((-3721 (((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|)) 127)) (-2553 ((|#1|) 75)) (-4217 (((-421 (-1159 |#4|)) (-1159 |#4|)) 136)) (-3465 (((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)) 67)) (-1536 (((-421 (-1159 |#4|)) (-1159 |#4|)) 146)) (-4287 (((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|) 91))) 
-(((-902 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|))) (-15 -1536 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -4217 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -2553 (|#1|)) (-15 -4287 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|)) (-15 -3465 ((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)))) (-905) (-789) (-843) (-951 |#1| |#2| |#3|)) (T -902)) 
-((-3465 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-843)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-902 *5 *6 *7 *8)) (-5 *4 (-1159 *8)))) (-4287 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *5 *6 *4)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *4 (-843)) (-5 *1 (-902 *5 *6 *4 *7)))) (-2553 (*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-902 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) (-4217 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-1536 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) (-3721 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-902 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|))) (-15 -1536 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -4217 ((-421 (-1159 |#4|)) (-1159 |#4|))) (-15 -2553 (|#1|)) (-15 -4287 ((-3 (-635 (-1159 |#4|)) "failed") (-635 (-1159 |#4|)) (-1159 |#4|) |#3|)) (-15 -3465 ((-421 (-1159 |#4|)) (-635 |#3|) (-1159 |#4|)))) 
-((-3721 (((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|)) 36)) (-2553 ((|#1|) 53)) (-4217 (((-421 (-1159 |#2|)) (-1159 |#2|)) 101)) (-3465 (((-421 (-1159 |#2|)) (-1159 |#2|)) 88)) (-1536 (((-421 (-1159 |#2|)) (-1159 |#2|)) 112))) 
-(((-903 |#1| |#2|) (-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|))) (-15 -1536 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -4217 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -2553 (|#1|)) (-15 -3465 ((-421 (-1159 |#2|)) (-1159 |#2|)))) (-905) (-1222 |#1|)) (T -903)) 
-((-3465 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-2553 (*1 *2) (-12 (-4 *2 (-905)) (-5 *1 (-903 *2 *3)) (-4 *3 (-1222 *2)))) (-4217 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-1536 (*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5)))) (-3721 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-905)) (-5 *1 (-903 *4 *5))))) 
-(-10 -7 (-15 -3721 ((-3 (-635 (-1159 |#2|)) "failed") (-635 (-1159 |#2|)) (-1159 |#2|))) (-15 -1536 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -4217 ((-421 (-1159 |#2|)) (-1159 |#2|))) (-15 -2553 (|#1|)) (-15 -3465 ((-421 (-1159 |#2|)) (-1159 |#2|)))) 
-((-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 39)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 18)) (-3953 (((-3 $ "failed") $) 33))) 
-(((-904 |#1|) (-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) (-905)) (T -904)) 
-NIL 
-(-10 -8 (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 57)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 54)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-3726 (((-121) $) 51)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1721 (((-421 (-1159 $)) (-1159 $)) 55)) (-1568 (((-421 (-1159 $)) (-1159 $)) 56)) (-1743 (((-421 $) $) 48)) (-2941 (((-3 $ "failed") $ $) 41)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 53 (|has| $ (-149)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-3953 (((-3 $ "failed") $) 52 (|has| $ (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-905) (-1278)) (T -905)) 
-((-4336 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-905)))) (-2379 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1568 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1721 (*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1)))) (-1593 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *1))) (-5 *3 (-1159 *1)) (-4 *1 (-905)))) (-2132 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-149)) (-4 *1 (-905)) (-5 *2 (-1247 *1)))) (-3953 (*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-905))))) 
-(-13 (-1202) (-10 -8 (-15 -2379 ((-421 (-1159 $)) (-1159 $))) (-15 -1568 ((-421 (-1159 $)) (-1159 $))) (-15 -1721 ((-421 (-1159 $)) (-1159 $))) (-15 -4336 ((-1159 $) (-1159 $) (-1159 $))) (-15 -1593 ((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $))) (IF (|has| $ (-149)) (PROGN (-15 -2132 ((-3 (-1247 $) "failed") (-680 $))) (-15 -3953 ((-3 $ "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3240 (((-121) $) NIL)) (-2031 (((-764)) NIL)) (-1377 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2085 (((-764)) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 $ "failed") $) NIL)) (-2428 (($ $) NIL)) (-2623 (($ (-1247 $)) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3188 (($) NIL)) (-3354 (((-121) $) NIL)) (-2751 (($ $) NIL) (($ $ (-764)) NIL)) (-3726 (((-121) $) NIL)) (-2558 (((-829 (-918)) $) NIL) (((-918) $) NIL)) (-1407 (((-121) $) NIL)) (-1490 (($) NIL (|has| $ (-371)))) (-3364 (((-121) $) NIL (|has| $ (-371)))) (-4308 (($ $ (-918)) NIL (|has| $ (-371))) (($ $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2770 (((-1159 $) $ (-918)) NIL (|has| $ (-371))) (((-1159 $) $) NIL)) (-2083 (((-918) $) NIL)) (-2486 (((-1159 $) $) NIL (|has| $ (-371)))) (-3697 (((-3 (-1159 $) "failed") $ $) NIL (|has| $ (-371))) (((-1159 $) $) NIL (|has| $ (-371)))) (-4421 (($ $ (-1159 $)) NIL (|has| $ (-371)))) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL T CONST)) (-3998 (($ (-918)) NIL)) (-2705 (((-121) $) NIL)) (-3360 (((-1109) $) NIL)) (-1809 (($) NIL (|has| $ (-371)))) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL)) (-1743 (((-421 $) $) NIL)) (-2578 (((-918)) NIL) (((-829 (-918))) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-1291 (((-3 (-764) "failed") $ $) NIL) (((-764) $) NIL)) (-2369 (((-140)) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-2492 (((-918) $) NIL) (((-829 (-918)) $) NIL)) (-2745 (((-1159 $)) NIL)) (-2319 (($) NIL)) (-3554 (($) NIL (|has| $ (-371)))) (-1648 (((-680 $) (-1247 $)) NIL) (((-1247 $) $) NIL)) (-3817 (((-569) $) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-1991 (((-764)) NIL)) (-3930 (((-1247 $) (-918)) NIL) (((-1247 $)) NIL)) (-1961 (((-121) $ $) NIL)) (-3673 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-1907 (($ $ (-764)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-906 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-918)) (T -906)) 
+((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 34)) (-2675 (((-765) $) NIL)) (-4483 (($) NIL T CONST)) (-2368 (((-3 $ "failed") $ $) 21) (((-3 $ "failed") $ |#1|) 19)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-1864 (($ $) 36)) (-2611 (((-3 $ "failed") $) NIL)) (-2598 (((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $) NIL)) (-3934 (((-121) $) NIL)) (-1906 ((|#1| $ (-569)) NIL)) (-2237 (((-765) $ (-569)) NIL)) (-2745 (($ $) 40)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3927 (((-3 $ "failed") $ $) 20) (((-3 $ "failed") $ |#1|) 16)) (-1873 (((-121) $ $) 38)) (-2718 (((-765) $) 30)) (-2605 (((-1147) $) NIL)) (-3856 (($ $ $) NIL)) (-1486 (($ $ $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 ((|#1| $) 35)) (-3459 (((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $) NIL)) (-3135 (((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $) 24)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-3297 (($) 14 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 39)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL) (($ |#1| (-765)) NIL)) (* (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-816 |#1|) (-13 (-840) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1816 (|#1| $)) (-15 -1864 ($ $)) (-15 -2745 ($ $)) (-15 -1873 ((-121) $ $)) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3927 ((-3 $ "failed") $ |#1|)) (-15 -2368 ((-3 $ "failed") $ |#1|)) (-15 -3135 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2718 ((-765) $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -816)) 
+((* (*1 *1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (* (*1 *1 *1 *2) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (** (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2745 (*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-1873 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-1486 (*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3856 (*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3927 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2368 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3927 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-2368 (*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3135 (*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-816 *3) "failed")) (|:| |rm| (-3 (-816 *3) "failed")))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2598 (*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-816 *3)) (|:| |mm| (-816 *3)) (|:| |rm| (-816 *3)))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2675 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2237 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-816 *4)) (-4 *4 (-844)))) (-1906 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
+(-13 (-840) (-1039 |#1|) (-10 -8 (-15 * ($ |#1| $)) (-15 * ($ $ |#1|)) (-15 ** ($ |#1| (-765))) (-15 -1816 (|#1| $)) (-15 -1864 ($ $)) (-15 -2745 ($ $)) (-15 -1873 ((-121) $ $)) (-15 -1486 ($ $ $)) (-15 -3856 ($ $ $)) (-15 -3927 ((-3 $ "failed") $ $)) (-15 -2368 ((-3 $ "failed") $ $)) (-15 -3927 ((-3 $ "failed") $ |#1|)) (-15 -2368 ((-3 $ "failed") $ |#1|)) (-15 -3135 ((-3 (-2 (|:| |lm| (-3 $ "failed")) (|:| |rm| (-3 $ "failed"))) "failed") $ $)) (-15 -2598 ((-2 (|:| |lm| $) (|:| |mm| $) (|:| |rm| $)) $ $)) (-15 -2675 ((-765) $)) (-15 -2237 ((-765) $ (-569))) (-15 -1906 (|#1| $ (-569))) (-15 -3459 ((-635 (-2 (|:| |gen| |#1|) (|:| -3408 (-765)))) $)) (-15 -2718 ((-765) $)) (-15 -3810 ((-635 |#1|) $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-3817 (((-569) $) 52)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-1863 (((-121) $) 50)) (-3934 (((-121) $) 30)) (-4311 (((-121) $) 51)) (-2157 (($ $ $) 49)) (-2713 (($ $ $) 48)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 53)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 46)) (-1343 (((-121) $ $) 45)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 47)) (-1337 (((-121) $ $) 44)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-817) (-1284)) (T -817)) 
+NIL 
+(-13 (-559) (-842)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2030 (($ (-1111)) 7)) (-2063 (((-121) $ (-1147) (-1111)) 15)) (-1951 (((-819) $) 12)) (-1810 (((-819) $) 11)) (-4529 (((-1258) $) 9)) (-2460 (((-121) $ (-1111)) 16))) 
+(((-818) (-10 -8 (-15 -2030 ($ (-1111))) (-15 -4529 ((-1258) $)) (-15 -1810 ((-819) $)) (-15 -1951 ((-819) $)) (-15 -2063 ((-121) $ (-1147) (-1111))) (-15 -2460 ((-121) $ (-1111))))) (T -818)) 
+((-2460 (*1 *2 *1 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-121)) (-5 *1 (-818)))) (-2063 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-1111)) (-5 *2 (-121)) (-5 *1 (-818)))) (-1951 (*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818)))) (-1810 (*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818)))) (-4529 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-818)))) (-2030 (*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-818))))) 
+(-10 -8 (-15 -2030 ($ (-1111))) (-15 -4529 ((-1258) $)) (-15 -1810 ((-819) $)) (-15 -1951 ((-819) $)) (-15 -2063 ((-121) $ (-1147) (-1111))) (-15 -2460 ((-121) $ (-1111)))) 
+((-2256 (((-1258) $ (-820)) 12)) (-4254 (((-1258) $ (-1165)) 32)) (-3176 (((-1258) $ (-1147) (-1147)) 34)) (-1553 (((-1258) $ (-1147)) 33)) (-4051 (((-1258) $) 19)) (-3587 (((-1258) $ (-569)) 28)) (-3887 (((-1258) $ (-216)) 30)) (-3076 (((-1258) $) 18)) (-2462 (((-1258) $) 26)) (-1982 (((-1258) $) 25)) (-3321 (((-1258) $) 23)) (-2830 (((-1258) $) 24)) (-2422 (((-1258) $) 22)) (-3937 (((-1258) $) 21)) (-2596 (((-1258) $) 20)) (-4250 (((-1258) $) 16)) (-2486 (((-1258) $) 17)) (-3873 (((-1258) $) 15)) (-2151 (((-1258) $) 14)) (-2504 (((-1258) $) 13)) (-3307 (($ (-1147) (-820)) 9)) (-2642 (($ (-1147) (-1147) (-820)) 8)) (-1599 (((-1165) $) 51)) (-4485 (((-1165) $) 55)) (-2697 (((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $) 54)) (-4010 (((-1147) $) 52)) (-4525 (((-1258) $) 41)) (-1632 (((-569) $) 49)) (-1885 (((-216) $) 50)) (-3118 (((-1258) $) 40)) (-2751 (((-1258) $) 48)) (-4232 (((-1258) $) 47)) (-2644 (((-1258) $) 45)) (-3662 (((-1258) $) 46)) (-1305 (((-1258) $) 44)) (-1625 (((-1258) $) 43)) (-4214 (((-1258) $) 42)) (-4044 (((-1258) $) 38)) (-4150 (((-1258) $) 39)) (-2699 (((-1258) $) 37)) (-3418 (((-1258) $) 36)) (-3293 (((-1258) $) 35)) (-2560 (((-1258) $) 11))) 
+(((-819) (-10 -8 (-15 -2642 ($ (-1147) (-1147) (-820))) (-15 -3307 ($ (-1147) (-820))) (-15 -2560 ((-1258) $)) (-15 -2256 ((-1258) $ (-820))) (-15 -2504 ((-1258) $)) (-15 -2151 ((-1258) $)) (-15 -3873 ((-1258) $)) (-15 -4250 ((-1258) $)) (-15 -2486 ((-1258) $)) (-15 -3076 ((-1258) $)) (-15 -4051 ((-1258) $)) (-15 -2596 ((-1258) $)) (-15 -3937 ((-1258) $)) (-15 -2422 ((-1258) $)) (-15 -3321 ((-1258) $)) (-15 -2830 ((-1258) $)) (-15 -1982 ((-1258) $)) (-15 -2462 ((-1258) $)) (-15 -3587 ((-1258) $ (-569))) (-15 -3887 ((-1258) $ (-216))) (-15 -4254 ((-1258) $ (-1165))) (-15 -1553 ((-1258) $ (-1147))) (-15 -3176 ((-1258) $ (-1147) (-1147))) (-15 -3293 ((-1258) $)) (-15 -3418 ((-1258) $)) (-15 -2699 ((-1258) $)) (-15 -4044 ((-1258) $)) (-15 -4150 ((-1258) $)) (-15 -3118 ((-1258) $)) (-15 -4525 ((-1258) $)) (-15 -4214 ((-1258) $)) (-15 -1625 ((-1258) $)) (-15 -1305 ((-1258) $)) (-15 -2644 ((-1258) $)) (-15 -3662 ((-1258) $)) (-15 -4232 ((-1258) $)) (-15 -2751 ((-1258) $)) (-15 -1632 ((-569) $)) (-15 -1885 ((-216) $)) (-15 -1599 ((-1165) $)) (-15 -4010 ((-1147) $)) (-15 -2697 ((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $)) (-15 -4485 ((-1165) $)))) (T -819)) 
+((-4485 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819)))) (-2697 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1147)) (|:| -2798 (-1147)))) (-5 *1 (-819)))) (-4010 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-819)))) (-1599 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819)))) (-1885 (*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-819)))) (-1632 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-819)))) (-2751 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4232 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3662 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2644 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1305 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1625 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4214 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4525 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3118 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4150 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4044 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2699 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3418 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3293 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3176 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-1553 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-4254 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-3887 (*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-3587 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-2462 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-1982 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2830 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3321 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2422 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3937 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2596 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4051 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3076 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2486 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-4250 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3873 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2151 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2504 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-2256 (*1 *2 *1 *3) (-12 (-5 *3 (-820)) (-5 *2 (-1258)) (-5 *1 (-819)))) (-2560 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819)))) (-3307 (*1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819)))) (-2642 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
+(-10 -8 (-15 -2642 ($ (-1147) (-1147) (-820))) (-15 -3307 ($ (-1147) (-820))) (-15 -2560 ((-1258) $)) (-15 -2256 ((-1258) $ (-820))) (-15 -2504 ((-1258) $)) (-15 -2151 ((-1258) $)) (-15 -3873 ((-1258) $)) (-15 -4250 ((-1258) $)) (-15 -2486 ((-1258) $)) (-15 -3076 ((-1258) $)) (-15 -4051 ((-1258) $)) (-15 -2596 ((-1258) $)) (-15 -3937 ((-1258) $)) (-15 -2422 ((-1258) $)) (-15 -3321 ((-1258) $)) (-15 -2830 ((-1258) $)) (-15 -1982 ((-1258) $)) (-15 -2462 ((-1258) $)) (-15 -3587 ((-1258) $ (-569))) (-15 -3887 ((-1258) $ (-216))) (-15 -4254 ((-1258) $ (-1165))) (-15 -1553 ((-1258) $ (-1147))) (-15 -3176 ((-1258) $ (-1147) (-1147))) (-15 -3293 ((-1258) $)) (-15 -3418 ((-1258) $)) (-15 -2699 ((-1258) $)) (-15 -4044 ((-1258) $)) (-15 -4150 ((-1258) $)) (-15 -3118 ((-1258) $)) (-15 -4525 ((-1258) $)) (-15 -4214 ((-1258) $)) (-15 -1625 ((-1258) $)) (-15 -1305 ((-1258) $)) (-15 -2644 ((-1258) $)) (-15 -3662 ((-1258) $)) (-15 -4232 ((-1258) $)) (-15 -2751 ((-1258) $)) (-15 -1632 ((-569) $)) (-15 -1885 ((-216) $)) (-15 -1599 ((-1165) $)) (-15 -4010 ((-1147) $)) (-15 -2697 ((-2 (|:| |cd| (-1147)) (|:| -2798 (-1147))) $)) (-15 -4485 ((-1165) $))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 12)) (-3936 (($) 15)) (-2542 (($) 13)) (-3614 (($) 16)) (-1427 (($) 14)) (-1326 (((-121) $ $) 8))) 
+(((-820) (-13 (-1093) (-10 -8 (-15 -2542 ($)) (-15 -3936 ($)) (-15 -3614 ($)) (-15 -1427 ($))))) (T -820)) 
+((-2542 (*1 *1) (-5 *1 (-820))) (-3936 (*1 *1) (-5 *1 (-820))) (-3614 (*1 *1) (-5 *1 (-820))) (-1427 (*1 *1) (-5 *1 (-820)))) 
+(-13 (-1093) (-10 -8 (-15 -2542 ($)) (-15 -3936 ($)) (-15 -3614 ($)) (-15 -1427 ($)))) 
+((-1310 (((-121) $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 21) (($ (-1165)) 17)) (-2852 (((-121) $) 10)) (-2092 (((-121) $) 9)) (-1300 (((-121) $) 11)) (-4405 (((-121) $) 8)) (-1326 (((-121) $ $) 19))) 
+(((-821) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -4405 ((-121) $)) (-15 -2092 ((-121) $)) (-15 -2852 ((-121) $)) (-15 -1300 ((-121) $))))) (T -821)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-821)))) (-4405 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-2092 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-2852 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821)))) (-1300 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -4405 ((-121) $)) (-15 -2092 ((-121) $)) (-15 -2852 ((-121) $)) (-15 -1300 ((-121) $)))) 
+((-1310 (((-121) $ $) NIL)) (-2711 (($ (-821) (-635 (-1165))) 24)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4332 (((-821) $) 25)) (-1846 (((-635 (-1165)) $) 26)) (-3956 (((-852) $) 23)) (-1326 (((-121) $ $) NIL))) 
+(((-822) (-13 (-1093) (-10 -8 (-15 -4332 ((-821) $)) (-15 -1846 ((-635 (-1165)) $)) (-15 -2711 ($ (-821) (-635 (-1165))))))) (T -822)) 
+((-4332 (*1 *2 *1) (-12 (-5 *2 (-821)) (-5 *1 (-822)))) (-1846 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-822)))) (-2711 (*1 *1 *2 *3) (-12 (-5 *2 (-821)) (-5 *3 (-635 (-1165))) (-5 *1 (-822))))) 
+(-13 (-1093) (-10 -8 (-15 -4332 ((-821) $)) (-15 -1846 ((-635 (-1165)) $)) (-15 -2711 ($ (-821) (-635 (-1165)))))) 
+((-3685 (((-1258) (-819) (-311 |#1|) (-121)) 22) (((-1258) (-819) (-311 |#1|)) 76) (((-1147) (-311 |#1|) (-121)) 75) (((-1147) (-311 |#1|)) 74))) 
+(((-823 |#1|) (-10 -7 (-15 -3685 ((-1147) (-311 |#1|))) (-15 -3685 ((-1147) (-311 |#1|) (-121))) (-15 -3685 ((-1258) (-819) (-311 |#1|))) (-15 -3685 ((-1258) (-819) (-311 |#1|) (-121)))) (-13 (-825) (-844) (-1049))) (T -823)) 
+((-3685 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-819)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *6)))) (-3685 (*1 *2 *3 *4) (-12 (-5 *3 (-819)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *5)))) (-3685 (*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *5)))) (-3685 (*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *4))))) 
+(-10 -7 (-15 -3685 ((-1147) (-311 |#1|))) (-15 -3685 ((-1147) (-311 |#1|) (-121))) (-15 -3685 ((-1258) (-819) (-311 |#1|))) (-15 -3685 ((-1258) (-819) (-311 |#1|) (-121)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3353 ((|#1| $) 10)) (-2859 (($ |#1|) 9)) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) NIL)) (-4294 (((-765) $) NIL)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-2284 (((-765) $) NIL)) (-3956 (((-852) $) 17) (($ (-569)) NIL) (($ |#2|) NIL (|has| |#2| (-173)))) (-3802 ((|#2| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $) NIL (|has| |#1| (-226)))) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 12) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-824 |#1| |#2|) (-13 (-700 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2859 ($ |#1|)) (-15 -3353 (|#1| $)))) (-700 |#2|) (-1049)) (T -824)) 
+((-2859 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-824 *2 *3)) (-4 *2 (-700 *3)))) (-3353 (*1 *2 *1) (-12 (-4 *2 (-700 *3)) (-5 *1 (-824 *2 *3)) (-4 *3 (-1049))))) 
+(-13 (-700 |#2|) (-10 -8 (IF (|has| |#1| (-226)) (-6 (-226)) |noBranch|) (-15 -2859 ($ |#1|)) (-15 -3353 (|#1| $)))) 
+((-3685 (((-1258) (-819) $ (-121)) 9) (((-1258) (-819) $) 8) (((-1147) $ (-121)) 7) (((-1147) $) 6))) 
+(((-825) (-1284)) (T -825)) 
+((-3685 (*1 *2 *3 *1 *4) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *4 (-121)) (-5 *2 (-1258)))) (-3685 (*1 *2 *3 *1) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *2 (-1258)))) (-3685 (*1 *2 *1 *3) (-12 (-4 *1 (-825)) (-5 *3 (-121)) (-5 *2 (-1147)))) (-3685 (*1 *2 *1) (-12 (-4 *1 (-825)) (-5 *2 (-1147))))) 
+(-13 (-10 -8 (-15 -3685 ((-1147) $)) (-15 -3685 ((-1147) $ (-121))) (-15 -3685 ((-1258) (-819) $)) (-15 -3685 ((-1258) (-819) $ (-121))))) 
+((-1730 (((-306) (-1147) (-1147)) 12)) (-4454 (((-121) (-1147) (-1147)) 33)) (-1671 (((-121) (-1147)) 32)) (-4353 (((-57) (-1147)) 25)) (-1926 (((-57) (-1147)) 23)) (-1669 (((-57) (-819)) 17)) (-1398 (((-635 (-1147)) (-1147)) 28)) (-1843 (((-635 (-1147))) 27))) 
+(((-826) (-10 -7 (-15 -1669 ((-57) (-819))) (-15 -1926 ((-57) (-1147))) (-15 -4353 ((-57) (-1147))) (-15 -1843 ((-635 (-1147)))) (-15 -1398 ((-635 (-1147)) (-1147))) (-15 -1671 ((-121) (-1147))) (-15 -4454 ((-121) (-1147) (-1147))) (-15 -1730 ((-306) (-1147) (-1147))))) (T -826)) 
+((-1730 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-826)))) (-4454 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826)))) (-1671 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826)))) (-1398 (*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)) (-5 *3 (-1147)))) (-1843 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)))) (-4353 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826)))) (-1926 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826)))) (-1669 (*1 *2 *3) (-12 (-5 *3 (-819)) (-5 *2 (-57)) (-5 *1 (-826))))) 
+(-10 -7 (-15 -1669 ((-57) (-819))) (-15 -1926 ((-57) (-1147))) (-15 -4353 ((-57) (-1147))) (-15 -1843 ((-635 (-1147)))) (-15 -1398 ((-635 (-1147)) (-1147))) (-15 -1671 ((-121) (-1147))) (-15 -4454 ((-121) (-1147) (-1147))) (-15 -1730 ((-306) (-1147) (-1147)))) 
+((-1310 (((-121) $ $) 18)) (-3577 (($ |#1| $) 72) (($ $ |#1|) 71) (($ $ $) 70)) (-2045 (($ $ $) 68)) (-3254 (((-121) $ $) 69)) (-3350 (((-121) $ (-765)) 8)) (-4414 (($ (-635 |#1|)) 64) (($) 63)) (-1304 (($ (-1 (-121) |#1|) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) 52 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2938 (($ $) 58)) (-1858 (($ $) 55 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ |#1| $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) 43 (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) 54 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 51 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 53 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 50 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 49 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2157 ((|#1| $) 74)) (-4002 (($ $ $) 77)) (-2102 (($ $ $) 76)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 75)) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22)) (-1433 (($ $ $) 65)) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37) (($ |#1| $ (-765)) 59)) (-1912 (((-1111) $) 21)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 48)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2820 (((-635 (-2 (|:| -3175 |#1|) (|:| -2691 (-765)))) $) 57)) (-2127 (($ $ |#1|) 67) (($ $ $) 66)) (-1353 (($) 46) (($ (-635 |#1|)) 45)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 47)) (-3956 (((-852) $) 20)) (-1785 (($ (-635 |#1|)) 62) (($) 61)) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19)) (-1337 (((-121) $ $) 60)) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-827 |#1|) (-1284) (-844)) (T -827)) 
+((-2157 (*1 *2 *1) (-12 (-4 *1 (-827 *2)) (-4 *2 (-844))))) 
+(-13 (-728 |t#1|) (-971 |t#1|) (-10 -8 (-15 -2157 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-228 |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-686 |#1|) . T) ((-728 |#1|) . T) ((-971 |#1|) . T) ((-1090 |#1|) . T) ((-1093) . T) ((-1199) . T)) 
+((-2838 (((-1258) (-1111) (-1111)) 47)) (-3285 (((-1258) (-818) (-57)) 44)) (-3131 (((-57) (-818)) 16))) 
+(((-828) (-10 -7 (-15 -3131 ((-57) (-818))) (-15 -3285 ((-1258) (-818) (-57))) (-15 -2838 ((-1258) (-1111) (-1111))))) (T -828)) 
+((-2838 (*1 *2 *3 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-1258)) (-5 *1 (-828)))) (-3285 (*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-57)) (-5 *2 (-1258)) (-5 *1 (-828)))) (-3131 (*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-828))))) 
+(-10 -7 (-15 -3131 ((-57) (-818))) (-15 -3285 ((-1258) (-818) (-57))) (-15 -2838 ((-1258) (-1111) (-1111)))) 
+((-4188 (((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)) 12) (((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|)) 13))) 
+(((-829 |#1| |#2|) (-10 -7 (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|))) (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)))) (-1093) (-1093)) (T -829)) 
+((-4188 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-830 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-829 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-830 *6)) (-5 *1 (-829 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|))) (-15 -4188 ((-830 |#2|) (-1 |#2| |#1|) (-830 |#1|) (-830 |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL (|has| |#1| (-21)) CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 15)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 9)) (-2611 (((-3 $ "failed") $) 40 (|has| |#1| (-842)))) (-1330 (((-3 (-410 (-569)) "failed") $) 48 (|has| |#1| (-551)))) (-4429 (((-121) $) 43 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 45 (|has| |#1| (-551)))) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3934 (((-121) $) NIL (|has| |#1| (-842)))) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-2036 (($) 13)) (-4426 (((-121) $) 12)) (-1912 (((-1111) $) NIL)) (-4362 (((-121) $) 11)) (-3956 (((-852) $) 18) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-1929 (|has| |#1| (-842)) (|has| |#1| (-1039 (-569)))))) (-2320 (((-765)) 34 (|has| |#1| (-842)))) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (-2407 (($) 22 (|has| |#1| (-21)) CONST)) (-3297 (($) 31 (|has| |#1| (-842)) CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) 20)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) 42 (|has| |#1| (-842)))) (-1377 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 27 (|has| |#1| (-21)))) (-1371 (($ $ $) 29 (|has| |#1| (-21)))) (** (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (* (($ $ $) 37 (|has| |#1| (-842))) (($ (-569) $) 25 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-21))))) 
+(((-830 |#1|) (-13 (-1093) (-414 |#1|) (-10 -8 (-15 -2036 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1093)) (T -830)) 
+((-2036 (*1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-1093)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) (-4426 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093))))) 
+(-13 (-1093) (-414 |#1|) (-10 -8 (-15 -2036 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-123) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-123) $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3474 ((|#1| (-123) |#1|) NIL)) (-3934 (((-121) $) NIL)) (-1357 (($ |#1| (-364 (-123))) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2190 (($ $ (-1 |#1| |#1|)) NIL)) (-4520 (($ $ (-1 |#1| |#1|)) NIL)) (-2503 ((|#1| $ |#1|) NIL)) (-2663 ((|#1| |#1|) NIL (|has| |#1| (-173)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-123)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1947 (($ $) NIL (|has| |#1| (-173))) (($ $ $) NIL (|has| |#1| (-173)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ (-123) (-569)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-831 |#1|) (-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#1| |#1|))) (-15 -2190 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#1| (-123) |#1|)) (-15 -1357 ($ |#1| (-364 (-123)))))) (-1049)) (T -831)) 
+((-1947 (*1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-1947 (*1 *1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-2663 (*1 *2 *2) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) (-4520 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3)))) (-2190 (*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3)))) (** (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-831 *4)) (-4 *4 (-1049)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-831 *3)) (-4 *3 (-1049)))) (-3474 (*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-831 *2)) (-4 *2 (-1049)))) (-1357 (*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
+(-13 (-1049) (-1039 |#1|) (-1039 (-123)) (-282 |#1| |#1|) (-10 -8 (IF (|has| |#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |#1| (-173)) (PROGN (-6 (-43 |#1|)) (-15 -1947 ($ $)) (-15 -1947 ($ $ $)) (-15 -2663 (|#1| |#1|))) |noBranch|) (-15 -4520 ($ $ (-1 |#1| |#1|))) (-15 -2190 ($ $ (-1 |#1| |#1|))) (-15 ** ($ (-123) (-569))) (-15 ** ($ $ (-569))) (-15 -3474 (|#1| (-123) |#1|)) (-15 -1357 ($ |#1| (-364 (-123)))))) 
+((-3758 (((-206 (-512)) (-1147)) 8))) 
+(((-832) (-10 -7 (-15 -3758 ((-206 (-512)) (-1147))))) (T -832)) 
+((-3758 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-206 (-512))) (-5 *1 (-832))))) 
+(-10 -7 (-15 -3758 ((-206 (-512)) (-1147)))) 
+((-1310 (((-121) $ $) 7)) (-2044 (((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 13) (((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 12)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 15) (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 14)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-833) (-1284)) (T -833)) 
+((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-2044 (*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-1037)))) (-2044 (*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-1037))))) 
+(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -2044 ((-1037) (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -2044 ((-1037) (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2413 (((-1037) (-635 (-311 (-382))) (-635 (-382))) 143) (((-1037) (-311 (-382)) (-635 (-382))) 141) (((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382)))) 140) (((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382)))) 139) (((-1037) (-835)) 112) (((-1037) (-835) (-1061)) 111)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061)) 76) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835)) 78)) (-3398 (((-1037) (-635 (-311 (-382))) (-635 (-382))) 144) (((-1037) (-835)) 128))) 
+(((-834) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061))) (-15 -2413 ((-1037) (-835) (-1061))) (-15 -2413 ((-1037) (-835))) (-15 -3398 ((-1037) (-835))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)))) (-15 -2413 ((-1037) (-635 (-311 (-382))) (-635 (-382)))) (-15 -3398 ((-1037) (-635 (-311 (-382))) (-635 (-382)))))) (T -834)) 
+((-3398 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) (-3398 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-2413 (*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-834)))) (-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834))))) 
+(-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-835) (-1061))) (-15 -2413 ((-1037) (-835) (-1061))) (-15 -2413 ((-1037) (-835))) (-15 -3398 ((-1037) (-835))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-311 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)) (-635 (-837 (-382))) (-635 (-837 (-382))))) (-15 -2413 ((-1037) (-311 (-382)) (-635 (-382)))) (-15 -2413 ((-1037) (-635 (-311 (-382))) (-635 (-382)))) (-15 -3398 ((-1037) (-635 (-311 (-382))) (-635 (-382))))) 
+((-1310 (((-121) $ $) NIL)) (-1321 (((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 14) (($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) 8) (($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) 10) (($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) 12)) (-1326 (((-121) $ $) NIL))) 
+(((-835) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -3956 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3956 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $))))) (T -835)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *1 (-835)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216))))))) (-15 -3956 ($ (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) (-15 -3956 ($ (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216)))))) $)))) 
+((-4188 (((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)) 13) (((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|)) 14))) 
+(((-836 |#1| |#2|) (-10 -7 (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|))) (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)))) (-1093) (-1093)) (T -836)) 
+((-4188 (*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-837 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-836 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-837 *6)) (-5 *1 (-836 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|))) (-15 -4188 ((-837 |#2|) (-1 |#2| |#1|) (-837 |#1|) (-837 |#2|) (-837 |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (|has| |#1| (-21)))) (-3509 (((-1111) $) 24)) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#1| (-21)))) (-3817 (((-569) $) NIL (|has| |#1| (-842)))) (-4483 (($) NIL (|has| |#1| (-21)) CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 16)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 9)) (-2611 (((-3 $ "failed") $) 47 (|has| |#1| (-842)))) (-1330 (((-3 (-410 (-569)) "failed") $) 54 (|has| |#1| (-551)))) (-4429 (((-121) $) 49 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 52 (|has| |#1| (-551)))) (-1863 (((-121) $) NIL (|has| |#1| (-842)))) (-3420 (($) 13)) (-3934 (((-121) $) NIL (|has| |#1| (-842)))) (-4311 (((-121) $) NIL (|has| |#1| (-842)))) (-3413 (($) 14)) (-2157 (($ $ $) NIL (|has| |#1| (-842)))) (-2713 (($ $ $) NIL (|has| |#1| (-842)))) (-2605 (((-1147) $) NIL)) (-4426 (((-121) $) 12)) (-1912 (((-1111) $) NIL)) (-4362 (((-121) $) 11)) (-3956 (((-852) $) 22) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 8) (($ (-569)) NIL (-1929 (|has| |#1| (-842)) (|has| |#1| (-1039 (-569)))))) (-2320 (((-765)) 41 (|has| |#1| (-842)))) (-4080 (($ $) NIL (|has| |#1| (-842)))) (-3403 (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (-2407 (($) 29 (|has| |#1| (-21)) CONST)) (-3297 (($) 38 (|has| |#1| (-842)) CONST)) (-1355 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1326 (((-121) $ $) 27)) (-1349 (((-121) $ $) NIL (|has| |#1| (-842)))) (-1337 (((-121) $ $) 48 (|has| |#1| (-842)))) (-1377 (($ $ $) NIL (|has| |#1| (-21))) (($ $) 34 (|has| |#1| (-21)))) (-1371 (($ $ $) 36 (|has| |#1| (-21)))) (** (($ $ (-919)) NIL (|has| |#1| (-842))) (($ $ (-765)) NIL (|has| |#1| (-842)))) (* (($ $ $) 44 (|has| |#1| (-842))) (($ (-569) $) 32 (|has| |#1| (-21))) (($ (-765) $) NIL (|has| |#1| (-21))) (($ (-919) $) NIL (|has| |#1| (-21))))) 
+(((-837 |#1|) (-13 (-1093) (-414 |#1|) (-10 -8 (-15 -3420 ($)) (-15 -3413 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (-15 -3509 ((-1111) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) (-1093)) (T -837)) 
+((-3420 (*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093)))) (-3413 (*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093)))) (-4362 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-4426 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-3509 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-837 *3)) (-4 *3 (-1093)))) (-4429 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-2096 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) (-1330 (*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093))))) 
+(-13 (-1093) (-414 |#1|) (-10 -8 (-15 -3420 ($)) (-15 -3413 ($)) (-15 -4362 ((-121) $)) (-15 -4426 ((-121) $)) (-15 -3509 ((-1111) $)) (IF (|has| |#1| (-21)) (-6 (-21)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-842)) |noBranch|) (IF (|has| |#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+((-1310 (((-121) $ $) 7)) (-2675 (((-765)) 19)) (-3341 (($) 22)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2862 (((-919) $) 21)) (-2605 (((-1147) $) 9)) (-1333 (($ (-919)) 20)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
+(((-838) (-1284)) (T -838)) 
+NIL 
+(-13 (-844) (-371)) 
+(((-105) . T) ((-609 (-852)) . T) ((-371) . T) ((-844) . T) ((-1093) . T)) 
+((-2254 (((-121) (-1253 |#2|) (-1253 |#2|)) 17)) (-4528 (((-121) (-1253 |#2|) (-1253 |#2|)) 18)) (-2599 (((-121) (-1253 |#2|) (-1253 |#2|)) 14))) 
+(((-839 |#1| |#2|) (-10 -7 (-15 -2599 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -2254 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -4528 ((-121) (-1253 |#2|) (-1253 |#2|)))) (-765) (-789)) (T -839)) 
+((-4528 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765)))) (-2254 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765)))) (-2599 (*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
+(-10 -7 (-15 -2599 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -2254 ((-121) (-1253 |#2|) (-1253 |#2|))) (-15 -4528 ((-121) (-1253 |#2|) (-1253 |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-4483 (($) 23 T CONST)) (-2611 (((-3 $ "failed") $) 27)) (-3934 (((-121) $) 24)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-765)) 26) (($ $ (-919)) 21)) (-3297 (($) 22 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (** (($ $ (-765)) 25) (($ $ (-919)) 20)) (* (($ $ $) 19))) 
+(((-840) (-1284)) (T -840)) 
+NIL 
+(-13 (-844) (-718)) 
+(((-105) . T) ((-609 (-852)) . T) ((-718) . T) ((-844) . T) ((-1105) . T) ((-1093) . T)) 
+((-3817 (((-569) $) 17)) (-1863 (((-121) $) 10)) (-4311 (((-121) $) 11)) (-4080 (($ $) 19))) 
+(((-841 |#1|) (-10 -8 (-15 -4080 (|#1| |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -4311 ((-121) |#1|)) (-15 -1863 ((-121) |#1|))) (-842)) (T -841)) 
+NIL 
+(-10 -8 (-15 -4080 (|#1| |#1|)) (-15 -3817 ((-569) |#1|)) (-15 -4311 ((-121) |#1|)) (-15 -1863 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 23)) (-3748 (((-3 $ "failed") $ $) 25)) (-3817 (((-569) $) 32)) (-4483 (($) 22 T CONST)) (-2611 (((-3 $ "failed") $) 38)) (-1863 (((-121) $) 34)) (-3934 (((-121) $) 41)) (-4311 (((-121) $) 33)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 44)) (-2320 (((-765)) 43)) (-4080 (($ $) 31)) (-3403 (($ $ (-765)) 39) (($ $ (-919)) 35)) (-2407 (($) 21 T CONST)) (-3297 (($) 42 T CONST)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17)) (-1377 (($ $ $) 27) (($ $) 26)) (-1371 (($ $ $) 19)) (** (($ $ (-765)) 40) (($ $ (-919)) 36)) (* (($ (-765) $) 24) (($ (-919) $) 20) (($ (-569) $) 28) (($ $ $) 37))) 
+(((-842) (-1284)) (T -842)) 
+((-1863 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) (-3817 (*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-569)))) (-4080 (*1 *1 *1) (-4 *1 (-842)))) 
+(-13 (-788) (-1049) (-718) (-10 -8 (-15 -1863 ((-121) $)) (-15 -4311 ((-121) $)) (-15 -3817 ((-569) $)) (-15 -4080 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-844) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2157 (($ $ $) 10)) (-2713 (($ $ $) 9)) (-1355 (((-121) $ $) 12)) (-1343 (((-121) $ $) 11)) (-1349 (((-121) $ $) 13))) 
+(((-843 |#1|) (-10 -8 (-15 -2157 (|#1| |#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -1349 ((-121) |#1| |#1|)) (-15 -1355 ((-121) |#1| |#1|)) (-15 -1343 ((-121) |#1| |#1|))) (-844)) (T -843)) 
+NIL 
+(-10 -8 (-15 -2157 (|#1| |#1| |#1|)) (-15 -2713 (|#1| |#1| |#1|)) (-15 -1349 ((-121) |#1| |#1|)) (-15 -1355 ((-121) |#1| |#1|)) (-15 -1343 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2157 (($ $ $) 12)) (-2713 (($ $ $) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1355 (((-121) $ $) 15)) (-1343 (((-121) $ $) 16)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 14)) (-1337 (((-121) $ $) 17))) 
+(((-844) (-1284)) (T -844)) 
+((-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1343 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1355 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-1349 (*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) (-2713 (*1 *1 *1 *1) (-4 *1 (-844))) (-2157 (*1 *1 *1 *1) (-4 *1 (-844)))) 
+(-13 (-1093) (-10 -8 (-15 -1337 ((-121) $ $)) (-15 -1343 ((-121) $ $)) (-15 -1355 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2713 ($ $ $)) (-15 -2157 ($ $ $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-4298 (($ $ $) 45)) (-2425 (($ $ $) 44)) (-2581 (($ $ $) 42)) (-4431 (($ $ $) 51)) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 46)) (-2221 (((-3 $ "failed") $ $) 49)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 25)) (-2540 (($ $) 35)) (-3602 (($ $ $) 39)) (-2807 (($ $ $) 38)) (-3262 (($ $ $) 47)) (-3336 (($ $ $) 53)) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41)) (-2336 (((-3 $ "failed") $ $) 48)) (-1436 (((-3 $ "failed") $ |#2|) 28)) (-2363 ((|#2| $) 32)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#2|) 12)) (-2894 (((-635 |#2|) $) 18)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 22))) 
+(((-845 |#1| |#2|) (-10 -8 (-15 -3262 (|#1| |#1| |#1|)) (-15 -3785 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -4431 (|#1| |#1| |#1|)) (-15 -2221 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4298 (|#1| |#1| |#1|)) (-15 -2425 (|#1| |#1| |#1|)) (-15 -2581 (|#1| |#1| |#1|)) (-15 -2958 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -3956 ((-852) |#1|))) (-846 |#2|) (-1049)) (T -845)) 
+NIL 
+(-10 -8 (-15 -3262 (|#1| |#1| |#1|)) (-15 -3785 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -4431 (|#1| |#1| |#1|)) (-15 -2221 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4298 (|#1| |#1| |#1|)) (-15 -2425 (|#1| |#1| |#1|)) (-15 -2581 (|#1| |#1| |#1|)) (-15 -2958 ((-2 (|:| |coef1| |#1|) (|:| |coef2| |#1|) (|:| -1986 |#1|)) |#1| |#1|)) (-15 -3336 (|#1| |#1| |#1|)) (-15 -2336 ((-3 |#1| "failed") |#1| |#1|)) (-15 -3602 (|#1| |#1| |#1|)) (-15 -2807 (|#1| |#1| |#1|)) (-15 -2540 (|#1| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -1436 ((-3 |#1| "failed") |#1| |#2|)) (-15 -2894 ((-635 |#2|) |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-4298 (($ $ $) 44 (|has| |#1| (-366)))) (-2425 (($ $ $) 45 (|has| |#1| (-366)))) (-2581 (($ $ $) 47 (|has| |#1| (-366)))) (-4431 (($ $ $) 42 (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 41 (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) 43 (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 46 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) 73 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 71 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 68)) (-1321 (((-569) $) 74 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 72 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 67)) (-3373 (($ $) 63)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 54 (|has| |#1| (-454)))) (-3934 (((-121) $) 30)) (-3179 (($ |#1| (-765)) 61)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 56 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 57 (|has| |#1| (-559)))) (-4294 (((-765) $) 65)) (-3602 (($ $ $) 51 (|has| |#1| (-366)))) (-2807 (($ $ $) 52 (|has| |#1| (-366)))) (-3262 (($ $ $) 40 (|has| |#1| (-366)))) (-3336 (($ $ $) 49 (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 48 (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) 50 (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 53 (|has| |#1| (-366)))) (-3270 ((|#1| $) 64)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#1|) 58 (|has| |#1| (-559)))) (-2284 (((-765) $) 66)) (-2363 ((|#1| $) 55 (|has| |#1| (-454)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 70 (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) 69)) (-2894 (((-635 |#1|) $) 60)) (-3802 ((|#1| $ (-765)) 62)) (-2320 (((-765)) 28)) (-1772 ((|#1| $ |#1| |#1|) 59)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 76) (($ |#1| $) 75))) 
+(((-846 |#1|) (-1284) (-1049)) (T -846)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-4294 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-3270 (*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3373 (*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-3179 (*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-635 *3)))) (-1772 (*1 *2 *1 *2 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-3686 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-1339 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2363 (*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-2540 (*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) (-3843 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2807 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3602 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2336 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3336 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2958 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3)))) (-2581 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4241 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) (-2425 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4298 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-2221 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-4431 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-3785 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3)))) (-3262 (*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(-13 (-1049) (-120 |t#1| |t#1|) (-414 |t#1|) (-10 -8 (-15 -2284 ((-765) $)) (-15 -4294 ((-765) $)) (-15 -3270 (|t#1| $)) (-15 -3373 ($ $)) (-15 -3802 (|t#1| $ (-765))) (-15 -3179 ($ |t#1| (-765))) (-15 -2894 ((-635 |t#1|) $)) (-15 -1772 (|t#1| $ |t#1| |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1436 ((-3 $ "failed") $ |t#1|)) (-15 -3686 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1339 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2363 (|t#1| $)) (-15 -2540 ($ $))) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2807 ($ $ $)) (-15 -3602 ($ $ $)) (-15 -2336 ((-3 $ "failed") $ $)) (-15 -3336 ($ $ $)) (-15 -2958 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -2581 ($ $ $)) (-15 -4241 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2425 ($ $ $)) (-15 -4298 ($ $ $)) (-15 -2221 ((-3 $ "failed") $ $)) (-15 -4431 ($ $ $)) (-15 -3785 ((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $)) (-15 -3262 ($ $ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-414 |#1|) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1373 ((|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|)) 20)) (-4241 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 43 (|has| |#1| (-366)))) (-1339 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 40 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 39 (|has| |#1| (-559)))) (-3843 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)) 42 (|has| |#1| (-366)))) (-1772 ((|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|)) 31))) 
+(((-847 |#1| |#2|) (-10 -7 (-15 -1373 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1772 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -3686 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -1339 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -4241 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) (-1049) (-846 |#1|)) (T -847)) 
+((-4241 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-3843 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-1339 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-3686 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5)))) (-1772 (*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1049)) (-5 *1 (-847 *2 *3)) (-4 *3 (-846 *2)))) (-1373 (*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1049)) (-5 *1 (-847 *5 *2)) (-4 *2 (-846 *5))))) 
+(-10 -7 (-15 -1373 (|#2| |#2| |#2| (-101 |#1|) (-1 |#1| |#1|))) (-15 -1772 (|#1| |#2| |#1| |#1| (-101 |#1|) (-1 |#1| |#1|))) (IF (|has| |#1| (-559)) (PROGN (-15 -3686 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -1339 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3843 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|))) (-15 -4241 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2| (-101 |#1|)))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#1| (-366)))) (-2425 (($ $ $) NIL (|has| |#1| (-366)))) (-2581 (($ $ $) NIL (|has| |#1| (-366)))) (-4431 (($ $ $) NIL (|has| |#1| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 25 (|has| |#1| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2078 (((-852) $ (-852)) NIL)) (-3934 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 21 (|has| |#1| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 19 (|has| |#1| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#1| (-366)))) (-2807 (($ $ $) NIL (|has| |#1| (-366)))) (-3262 (($ $ $) NIL (|has| |#1| (-366)))) (-3336 (($ $ $) NIL (|has| |#1| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 23 (|has| |#1| (-366)))) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2284 (((-765) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-1039 (-410 (-569))))) (($ |#1|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#1| $ |#1| |#1|) 15)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 13) (($ $ |#1|) NIL) (($ |#1| $) NIL))) 
+(((-848 |#1| |#2| |#3|) (-13 (-846 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))))) (-1049) (-101 |#1|) (-1 |#1| |#1|)) (T -848)) 
+((-2078 (*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-848 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3))))) 
+(-13 (-846 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4298 (($ $ $) NIL (|has| |#2| (-366)))) (-2425 (($ $ $) NIL (|has| |#2| (-366)))) (-2581 (($ $ $) NIL (|has| |#2| (-366)))) (-4431 (($ $ $) NIL (|has| |#2| (-366)))) (-3785 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-2221 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-4241 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#2| (-454)))) (-3934 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 16)) (-1339 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-3686 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-4294 (((-765) $) NIL)) (-3602 (($ $ $) NIL (|has| |#2| (-366)))) (-2807 (($ $ $) NIL (|has| |#2| (-366)))) (-3262 (($ $ $) NIL (|has| |#2| (-366)))) (-3336 (($ $ $) NIL (|has| |#2| (-366)))) (-2958 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-2336 (((-3 $ "failed") $ $) NIL (|has| |#2| (-366)))) (-3843 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2284 (((-765) $) NIL)) (-2363 ((|#2| $) NIL (|has| |#2| (-454)))) (-3956 (((-852) $) 23) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (($ (-1249 |#1|)) 18)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL)) (-2320 (((-765)) NIL)) (-1772 ((|#2| $ |#2| |#2|) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL))) 
+(((-849 |#1| |#2| |#3| |#4|) (-13 (-846 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))))) (-1165) (-1049) (-101 |#2|) (-1 |#2| |#2|)) (T -849)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-849 *3 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4))))) 
+(-13 (-846 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))))) 
+((-3657 ((|#1| (-765) |#1|) 35 (|has| |#1| (-43 (-410 (-569)))))) (-3604 ((|#1| (-765) (-765) |#1|) 27) ((|#1| (-765) |#1|) 20)) (-3848 ((|#1| (-765) |#1|) 31)) (-4142 ((|#1| (-765) |#1|) 29)) (-3330 ((|#1| (-765) |#1|) 28))) 
+(((-850 |#1|) (-10 -7 (-15 -3330 (|#1| (-765) |#1|)) (-15 -4142 (|#1| (-765) |#1|)) (-15 -3848 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -3657 (|#1| (-765) |#1|)) |noBranch|)) (-173)) (T -850)) 
+((-3657 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173)))) (-3604 (*1 *2 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3604 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3848 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-4142 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) (-3330 (*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
+(-10 -7 (-15 -3330 (|#1| (-765) |#1|)) (-15 -4142 (|#1| (-765) |#1|)) (-15 -3848 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) |#1|)) (-15 -3604 (|#1| (-765) (-765) |#1|)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -3657 (|#1| (-765) |#1|)) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2756 (((-569) $) 12)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 18) (($ (-569)) 11)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 8)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 9))) 
+(((-851) (-13 (-844) (-10 -8 (-15 -3956 ($ (-569))) (-15 -2756 ((-569) $))))) (T -851)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) (-2756 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
+(-13 (-844) (-10 -8 (-15 -3956 ($ (-569))) (-15 -2756 ((-569) $)))) 
+((-1310 (((-121) $ $) NIL)) (-4310 (($ $ $) 115)) (-4469 (((-569) $) 30) (((-569)) 35)) (-3833 (($ (-569)) 44)) (-2944 (($ $ $) 45) (($ (-635 $)) 76)) (-1904 (($ $ (-635 $)) 74)) (-4287 (((-569) $) 33)) (-2526 (($ $ $) 63)) (-4286 (($ $) 128) (($ $ $) 129) (($ $ $ $) 130)) (-3399 (((-569) $) 32)) (-2282 (($ $ $) 62)) (-3257 (($ $) 105)) (-2287 (($ $ $) 119)) (-4364 (($ (-635 $)) 52)) (-2724 (($ $ (-635 $)) 69)) (-2498 (($ (-569) (-569)) 46)) (-3925 (($ $) 116) (($ $ $) 117)) (-3417 (($ $ (-569)) 40) (($ $) 43)) (-1614 (($ $ $) 89)) (-1616 (($ $ $) 122)) (-4163 (($ $) 106)) (-1626 (($ $ $) 90)) (-2988 (($ $) 131) (($ $ $) 132) (($ $ $ $) 133)) (-1905 (((-1258) $) 8)) (-2318 (($ $) 109) (($ $ (-765)) 112)) (-3096 (($ $ $) 65)) (-3026 (($ $ $) 64)) (-1410 (($ $ (-635 $)) 100)) (-1424 (($ $ $) 104)) (-2623 (($ (-635 $)) 50)) (-2674 (($ $) 60) (($ (-635 $)) 61)) (-3821 (($ $ $) 113)) (-2732 (($ $) 107)) (-2155 (($ $ $) 118)) (-2078 (($ (-569)) 20) (($ (-1165)) 22) (($ (-1147)) 29) (($ (-216)) 24)) (-2472 (($ $ $) 93)) (-3182 (($ $) 94)) (-1557 (((-1258) (-1147)) 14)) (-3932 (($ (-1147)) 13)) (-2926 (($ (-635 (-635 $))) 48)) (-3149 (($ $ (-569)) 39) (($ $) 42)) (-2605 (((-1147) $) NIL)) (-1651 (($ $ $) 121)) (-1763 (($ $) 134) (($ $ $) 135) (($ $ $ $) 136)) (-3328 (((-121) $) 98)) (-4096 (($ $ (-635 $)) 102) (($ $ $ $) 103)) (-2929 (($ (-569)) 36)) (-1468 (((-569) $) 31) (((-569)) 34)) (-2346 (($ $ $) 37) (($ (-635 $)) 75)) (-1912 (((-1111) $) NIL)) (-1436 (($ $ $) 91)) (-4016 (($) 12)) (-2503 (($ $ (-635 $)) 99)) (-4510 (($ $) 108) (($ $ (-765)) 111)) (-1442 (($ $ $) 88)) (-3289 (($ $ (-765)) 127)) (-4467 (($ (-635 $)) 51)) (-3956 (((-852) $) 18)) (-1736 (($ $ (-569)) 38) (($ $) 41)) (-1393 (($ $) 58) (($ (-635 $)) 59)) (-1785 (($ $) 56) (($ (-635 $)) 57)) (-2856 (($ $) 114)) (-3170 (($ (-635 $)) 55)) (-4196 (($ $ $) 97)) (-4205 (($ $ $) 120)) (-3993 (($ $ $) 92)) (-1452 (($ $ $) 77)) (-2705 (($ $ $) 95) (($ $) 96)) (-1355 (($ $ $) 81)) (-1343 (($ $ $) 79)) (-1326 (((-121) $ $) 15) (($ $ $) 16)) (-1349 (($ $ $) 80)) (-1337 (($ $ $) 78)) (-1383 (($ $ $) 86)) (-1377 (($ $ $) 83) (($ $) 84)) (-1371 (($ $ $) 82)) (** (($ $ $) 87)) (* (($ $ $) 85))) 
+(((-852) (-13 (-1093) (-10 -8 (-15 -1905 ((-1258) $)) (-15 -3932 ($ (-1147))) (-15 -1557 ((-1258) (-1147))) (-15 -2078 ($ (-569))) (-15 -2078 ($ (-1165))) (-15 -2078 ($ (-1147))) (-15 -2078 ($ (-216))) (-15 -4016 ($)) (-15 -4469 ((-569) $)) (-15 -1468 ((-569) $)) (-15 -4469 ((-569))) (-15 -1468 ((-569))) (-15 -3399 ((-569) $)) (-15 -4287 ((-569) $)) (-15 -2929 ($ (-569))) (-15 -3833 ($ (-569))) (-15 -2498 ($ (-569) (-569))) (-15 -3149 ($ $ (-569))) (-15 -3417 ($ $ (-569))) (-15 -1736 ($ $ (-569))) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -1736 ($ $)) (-15 -2346 ($ $ $)) (-15 -2944 ($ $ $)) (-15 -2346 ($ (-635 $))) (-15 -2944 ($ (-635 $))) (-15 -1410 ($ $ (-635 $))) (-15 -4096 ($ $ (-635 $))) (-15 -4096 ($ $ $ $)) (-15 -1424 ($ $ $)) (-15 -3328 ((-121) $)) (-15 -2503 ($ $ (-635 $))) (-15 -3257 ($ $)) (-15 -1651 ($ $ $)) (-15 -2856 ($ $)) (-15 -2926 ($ (-635 (-635 $)))) (-15 -4310 ($ $ $)) (-15 -3925 ($ $)) (-15 -3925 ($ $ $)) (-15 -2155 ($ $ $)) (-15 -2287 ($ $ $)) (-15 -4205 ($ $ $)) (-15 -1616 ($ $ $)) (-15 -3289 ($ $ (-765))) (-15 -4196 ($ $ $)) (-15 -2282 ($ $ $)) (-15 -2526 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3096 ($ $ $)) (-15 -2724 ($ $ (-635 $))) (-15 -1904 ($ $ (-635 $))) (-15 -4163 ($ $)) (-15 -4510 ($ $)) (-15 -4510 ($ $ (-765))) (-15 -2318 ($ $)) (-15 -2318 ($ $ (-765))) (-15 -2732 ($ $)) (-15 -3821 ($ $ $)) (-15 -4286 ($ $)) (-15 -4286 ($ $ $)) (-15 -4286 ($ $ $ $)) (-15 -2988 ($ $)) (-15 -2988 ($ $ $)) (-15 -2988 ($ $ $ $)) (-15 -1763 ($ $)) (-15 -1763 ($ $ $)) (-15 -1763 ($ $ $ $)) (-15 -1785 ($ $)) (-15 -1785 ($ (-635 $))) (-15 -1393 ($ $)) (-15 -1393 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2623 ($ (-635 $))) (-15 -4467 ($ (-635 $))) (-15 -4364 ($ (-635 $))) (-15 -3170 ($ (-635 $))) (-15 -1326 ($ $ $)) (-15 -1452 ($ $ $)) (-15 -1337 ($ $ $)) (-15 -1343 ($ $ $)) (-15 -1349 ($ $ $)) (-15 -1355 ($ $ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -1442 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -1626 ($ $ $)) (-15 -1436 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -3182 ($ $)) (-15 -2705 ($ $ $)) (-15 -2705 ($ $))))) (T -852)) 
+((-1905 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-852)))) (-3932 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) (-1557 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) (-2078 (*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-852)))) (-4016 (*1 *1) (-5 *1 (-852))) (-4469 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1468 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-4469 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1468 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3399 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-4287 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2929 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3833 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-2498 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3149 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3417 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-1736 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) (-3149 (*1 *1 *1) (-5 *1 (-852))) (-3417 (*1 *1 *1) (-5 *1 (-852))) (-1736 (*1 *1 *1) (-5 *1 (-852))) (-2346 (*1 *1 *1 *1) (-5 *1 (-852))) (-2944 (*1 *1 *1 *1) (-5 *1 (-852))) (-2346 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2944 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1410 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4096 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4096 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1424 (*1 *1 *1 *1) (-5 *1 (-852))) (-3328 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-852)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-3257 (*1 *1 *1) (-5 *1 (-852))) (-1651 (*1 *1 *1 *1) (-5 *1 (-852))) (-2856 (*1 *1 *1) (-5 *1 (-852))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-852)))) (-4310 (*1 *1 *1 *1) (-5 *1 (-852))) (-3925 (*1 *1 *1) (-5 *1 (-852))) (-3925 (*1 *1 *1 *1) (-5 *1 (-852))) (-2155 (*1 *1 *1 *1) (-5 *1 (-852))) (-2287 (*1 *1 *1 *1) (-5 *1 (-852))) (-4205 (*1 *1 *1 *1) (-5 *1 (-852))) (-1616 (*1 *1 *1 *1) (-5 *1 (-852))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-4196 (*1 *1 *1 *1) (-5 *1 (-852))) (-2282 (*1 *1 *1 *1) (-5 *1 (-852))) (-2526 (*1 *1 *1 *1) (-5 *1 (-852))) (-3026 (*1 *1 *1 *1) (-5 *1 (-852))) (-3096 (*1 *1 *1 *1) (-5 *1 (-852))) (-2724 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1904 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4163 (*1 *1 *1) (-5 *1 (-852))) (-4510 (*1 *1 *1) (-5 *1 (-852))) (-4510 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-2318 (*1 *1 *1) (-5 *1 (-852))) (-2318 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) (-2732 (*1 *1 *1) (-5 *1 (-852))) (-3821 (*1 *1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1 *1) (-5 *1 (-852))) (-4286 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1 *1) (-5 *1 (-852))) (-2988 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1 *1) (-5 *1 (-852))) (-1763 (*1 *1 *1 *1 *1) (-5 *1 (-852))) (-1785 (*1 *1 *1) (-5 *1 (-852))) (-1785 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1393 (*1 *1 *1) (-5 *1 (-852))) (-1393 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2674 (*1 *1 *1) (-5 *1 (-852))) (-2674 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-2623 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4467 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-4364 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-3170 (*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) (-1326 (*1 *1 *1 *1) (-5 *1 (-852))) (-1452 (*1 *1 *1 *1) (-5 *1 (-852))) (-1337 (*1 *1 *1 *1) (-5 *1 (-852))) (-1343 (*1 *1 *1 *1) (-5 *1 (-852))) (-1349 (*1 *1 *1 *1) (-5 *1 (-852))) (-1355 (*1 *1 *1 *1) (-5 *1 (-852))) (-1371 (*1 *1 *1 *1) (-5 *1 (-852))) (-1377 (*1 *1 *1 *1) (-5 *1 (-852))) (-1377 (*1 *1 *1) (-5 *1 (-852))) (* (*1 *1 *1 *1) (-5 *1 (-852))) (-1383 (*1 *1 *1 *1) (-5 *1 (-852))) (** (*1 *1 *1 *1) (-5 *1 (-852))) (-1442 (*1 *1 *1 *1) (-5 *1 (-852))) (-1614 (*1 *1 *1 *1) (-5 *1 (-852))) (-1626 (*1 *1 *1 *1) (-5 *1 (-852))) (-1436 (*1 *1 *1 *1) (-5 *1 (-852))) (-3993 (*1 *1 *1 *1) (-5 *1 (-852))) (-2472 (*1 *1 *1 *1) (-5 *1 (-852))) (-3182 (*1 *1 *1) (-5 *1 (-852))) (-2705 (*1 *1 *1 *1) (-5 *1 (-852))) (-2705 (*1 *1 *1) (-5 *1 (-852)))) 
+(-13 (-1093) (-10 -8 (-15 -1905 ((-1258) $)) (-15 -3932 ($ (-1147))) (-15 -1557 ((-1258) (-1147))) (-15 -2078 ($ (-569))) (-15 -2078 ($ (-1165))) (-15 -2078 ($ (-1147))) (-15 -2078 ($ (-216))) (-15 -4016 ($)) (-15 -4469 ((-569) $)) (-15 -1468 ((-569) $)) (-15 -4469 ((-569))) (-15 -1468 ((-569))) (-15 -3399 ((-569) $)) (-15 -4287 ((-569) $)) (-15 -2929 ($ (-569))) (-15 -3833 ($ (-569))) (-15 -2498 ($ (-569) (-569))) (-15 -3149 ($ $ (-569))) (-15 -3417 ($ $ (-569))) (-15 -1736 ($ $ (-569))) (-15 -3149 ($ $)) (-15 -3417 ($ $)) (-15 -1736 ($ $)) (-15 -2346 ($ $ $)) (-15 -2944 ($ $ $)) (-15 -2346 ($ (-635 $))) (-15 -2944 ($ (-635 $))) (-15 -1410 ($ $ (-635 $))) (-15 -4096 ($ $ (-635 $))) (-15 -4096 ($ $ $ $)) (-15 -1424 ($ $ $)) (-15 -3328 ((-121) $)) (-15 -2503 ($ $ (-635 $))) (-15 -3257 ($ $)) (-15 -1651 ($ $ $)) (-15 -2856 ($ $)) (-15 -2926 ($ (-635 (-635 $)))) (-15 -4310 ($ $ $)) (-15 -3925 ($ $)) (-15 -3925 ($ $ $)) (-15 -2155 ($ $ $)) (-15 -2287 ($ $ $)) (-15 -4205 ($ $ $)) (-15 -1616 ($ $ $)) (-15 -3289 ($ $ (-765))) (-15 -4196 ($ $ $)) (-15 -2282 ($ $ $)) (-15 -2526 ($ $ $)) (-15 -3026 ($ $ $)) (-15 -3096 ($ $ $)) (-15 -2724 ($ $ (-635 $))) (-15 -1904 ($ $ (-635 $))) (-15 -4163 ($ $)) (-15 -4510 ($ $)) (-15 -4510 ($ $ (-765))) (-15 -2318 ($ $)) (-15 -2318 ($ $ (-765))) (-15 -2732 ($ $)) (-15 -3821 ($ $ $)) (-15 -4286 ($ $)) (-15 -4286 ($ $ $)) (-15 -4286 ($ $ $ $)) (-15 -2988 ($ $)) (-15 -2988 ($ $ $)) (-15 -2988 ($ $ $ $)) (-15 -1763 ($ $)) (-15 -1763 ($ $ $)) (-15 -1763 ($ $ $ $)) (-15 -1785 ($ $)) (-15 -1785 ($ (-635 $))) (-15 -1393 ($ $)) (-15 -1393 ($ (-635 $))) (-15 -2674 ($ $)) (-15 -2674 ($ (-635 $))) (-15 -2623 ($ (-635 $))) (-15 -4467 ($ (-635 $))) (-15 -4364 ($ (-635 $))) (-15 -3170 ($ (-635 $))) (-15 -1326 ($ $ $)) (-15 -1452 ($ $ $)) (-15 -1337 ($ $ $)) (-15 -1343 ($ $ $)) (-15 -1349 ($ $ $)) (-15 -1355 ($ $ $)) (-15 -1371 ($ $ $)) (-15 -1377 ($ $ $)) (-15 -1377 ($ $)) (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -1442 ($ $ $)) (-15 -1614 ($ $ $)) (-15 -1626 ($ $ $)) (-15 -1436 ($ $ $)) (-15 -3993 ($ $ $)) (-15 -2472 ($ $ $)) (-15 -3182 ($ $)) (-15 -2705 ($ $ $)) (-15 -2705 ($ $)))) 
+((-4277 (((-1258) (-635 (-57))) 24)) (-1957 (((-1258) (-1147) (-852)) 14) (((-1258) (-852)) 9) (((-1258) (-1147)) 11))) 
+(((-853) (-10 -7 (-15 -1957 ((-1258) (-1147))) (-15 -1957 ((-1258) (-852))) (-15 -1957 ((-1258) (-1147) (-852))) (-15 -4277 ((-1258) (-635 (-57)))))) (T -853)) 
+((-4277 (*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) (-1957 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-853))))) 
+(-10 -7 (-15 -1957 ((-1258) (-1147))) (-15 -1957 ((-1258) (-852))) (-15 -1957 ((-1258) (-1147) (-852))) (-15 -4277 ((-1258) (-635 (-57))))) 
+((-1310 (((-121) $ $) NIL)) (-1948 (((-3 $ "failed") (-1165)) 32)) (-2675 (((-765)) 30)) (-3341 (($) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2862 (((-919) $) 28)) (-2605 (((-1147) $) 38)) (-1333 (($ (-919)) 27)) (-1912 (((-1111) $) NIL)) (-4035 (((-1165) $) 13) (((-542) $) 19) (((-889 (-382)) $) 25) (((-889 (-569)) $) 22)) (-3956 (((-852) $) 16)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 35)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 34))) 
+(((-854 |#1|) (-13 (-838) (-610 (-1165)) (-610 (-542)) (-610 (-889 (-382))) (-610 (-889 (-569))) (-10 -8 (-15 -1948 ((-3 $ "failed") (-1165))))) (-635 (-1165))) (T -854)) 
+((-1948 (*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-854 *3)) (-14 *3 (-635 *2))))) 
+(-13 (-838) (-610 (-1165)) (-610 (-542)) (-610 (-889 (-382))) (-610 (-889 (-569))) (-10 -8 (-15 -1948 ((-3 $ "failed") (-1165))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (((-955 |#1|) $) NIL) (($ (-955 |#1|)) NIL) (($ |#1|) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-3696 (((-1258) (-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-855 |#1| |#2| |#3| |#4|) (-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ((-955 |#1|) $)) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3696 ((-1258) (-765))))) (-1049) (-635 (-1165)) (-635 (-765)) (-765)) (T -855)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-955 *3)) (-5 *1 (-855 *3 *4 *5 *6)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-855 *3 *4 *5 *6)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) (-1383 (*1 *1 *1 *1) (|partial| -12 (-5 *1 (-855 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-765))) (-14 *5 (-765)))) (-3696 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-855 *4 *5 *6 *7)) (-4 *4 (-1049)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 *3)) (-14 *7 *3)))) 
+(-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 ((-955 |#1|) $)) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3696 ((-1258) (-765))))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 111)) (-4102 (((-765)) 115)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104) (((-3 (-862) "failed") $) 136) (((-3 (-862) "failed") $) 130)) (-1321 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105) (((-862) $) 135) (((-862) $) 131)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 102 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-4433 (((-830 (-919)) $) 99 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 112)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 114)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3600 (((-3 (-765) "failed") $ $) 100 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) 106)) (-2284 (((-830 (-919)) $) 113)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103) (($ (-862)) 137) (($ (-862)) 129)) (-2277 (((-3 $ "failed") $) 98 (-1929 (|has| (-862) (-149)) (|has| (-862) (-371)) (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $ (-765)) 117 (-1929 (|has| (-862) (-371)) (|has| (-410 (-569)) (-371)))) (($ $) 116 (-1929 (|has| (-862) (-371)) (|has| (-410 (-569)) (-371))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ (-410 (-569))) 107) (($ $ (-862)) 132)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108) (($ (-862) $) 134) (($ $ (-862)) 133))) 
+(((-856) (-1284)) (T -856)) 
+NIL 
+(-13 (-861) (-1039 (-862)) (-1270 (-862))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-862) (-862)) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-862) (-371)) (|has| (-862) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 (-410 (-569))) . T) ((-1270 (-862)) . T) ((-366) . T) ((-405) -1929 (|has| (-862) (-371)) (|has| (-862) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-862)) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 (-862)) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-861) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1039 (-862)) . T) ((-1055 (-410 (-569))) . T) ((-1055 (-862)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 (-410 (-569))) . T) ((-1260 (-862)) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 47)) (-3676 (((-1253 $) $ $) 69)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2264 (((-1258) $) 78)) (-4483 (($) NIL T CONST)) (-3357 (((-862) $) 17)) (-3003 (((-3 (-569) "failed") $) 75) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-862) "failed") $) 72) (((-3 (-862) "failed") $) 72)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) (((-410 (-569)) $) NIL) (((-862) $) 111) (((-862) $) 111)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) 59)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2005 (((-121) $) NIL)) (-1831 (($ $) 63)) (-4433 (((-830 (-919)) $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-3934 (((-121) $) 117)) (-2474 (($ (-1161 $) $ (-1165)) 41) (($ (-1161 $) (-1165)) 94)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 61)) (-2786 (((-1161 $) $) 55) (((-1161 $) $ $) 56)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 101)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 62)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 124)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 37)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 96)) (-3600 (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2174 (((-140)) NIL)) (-2284 (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 79) (((-1161 $) $) 64)) (-3980 (($ $) NIL)) (-3956 (((-852) $) 123) (($ (-569)) 44) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-569)) 44) (($ (-410 (-569))) NIL) (($ (-410 (-569))) NIL) (($ (-862)) 118) (($ (-862)) 118)) (-2277 (((-3 $ "failed") $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)) (|has| (-862) (-149)) (|has| (-862) (-371))))) (-2320 (((-765)) 126)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 48 T CONST)) (-3297 (($) 38 T CONST)) (-4167 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-371)) (|has| (-862) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-371)) (|has| (-862) (-371))))) (-1326 (((-121) $ $) 114)) (-1383 (($ $ $) 102) (($ $ (-410 (-569))) NIL) (($ $ (-862)) NIL)) (-1377 (($ $) 35) (($ $ $) 105)) (-1371 (($ $ $) 81)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 53) (($ $ $) 31) (($ $ (-410 (-569))) 109) (($ (-410 (-569)) $) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) 109) (($ (-862) $) 103) (($ $ (-862)) 104))) 
+(((-857 |#1|) (-13 (-856) (-10 -8 (-15 -1804 ((-852) $)) (-15 -3357 ((-862) $)))) (-862)) (T -857)) 
+((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-857 *3)) (-14 *3 (-862)))) (-3357 (*1 *2 *1) (-12 (-5 *2 (-862)) (-5 *1 (-857 *3)) (-14 *3 *2)))) 
+(-13 (-856) (-10 -8 (-15 -1804 ((-852) $)) (-15 -3357 ((-862) $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 113)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-2039 (((-1173 (-919) (-765)) (-569)) 88)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2675 (((-765)) 98)) (-2264 (((-1258) $) 117)) (-4483 (($) 16 T CONST)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 82)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 107)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 101)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-1456 (($) 86)) (-3462 (((-121) $) 85)) (-3238 (($ $) 75) (($ $ (-765)) 74)) (-2005 (((-121) $) 69)) (-1831 (($ $) 112)) (-4433 (((-830 (-919)) $) 77) (((-919) $) 83)) (-3934 (((-121) $) 30)) (-1542 (((-3 $ "failed") $) 97)) (-2474 (($ (-1161 $) (-1165)) 116) (($ (-1161 $) $ (-1165)) 115)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 110)) (-2862 (((-919) $) 100)) (-2786 (((-1161 $) $ $) 106) (((-1161 $) $) 105)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 96 T CONST)) (-1333 (($ (-919)) 99)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 109)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 118)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) 89)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 111)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 108)) (-3600 (((-3 (-765) "failed") $ $) 76) (((-765) $) 84)) (-3289 (($ $ (-765)) 94) (($ $) 92)) (-3036 (((-1161 $) $) 104) (((-1161 $)) 103)) (-3563 (($) 87)) (-3980 (($ $) 114)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2277 (((-3 $ "failed") $) 78) (($ $) 91)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-765)) 95) (($ $) 93)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-858) (-1284)) (T -858)) 
+NIL 
+(-13 (-351) (-860)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) . T) ((-609 (-852)) . T) ((-173) . T) ((-226) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) . T) ((-371) . T) ((-351) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 29)) (-3676 (((-1253 $) $ $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 39)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) 52)) (-2264 (((-1258) $) 56)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 126)) (-1321 ((|#1| $) 85)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) 139)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) 82)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-1831 (($ $) 41)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) 123)) (-1542 (((-3 $ "failed") $) NIL)) (-2474 (($ (-1161 $) (-1165)) 79) (($ (-1161 $) $ (-1165)) 99)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 104)) (-2862 (((-919) $) 134)) (-2786 (((-1161 $) $ $) NIL) (((-1161 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 27)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) 136)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 132)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 14)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 81)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-830 (-919)) $) 17)) (-3036 (((-1161 $) $) 20) (((-1161 $)) NIL)) (-3563 (($) NIL)) (-3980 (($ $) 90)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) 131) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 124)) (-2277 (((-3 $ "failed") $) NIL) (($ $) 89)) (-2320 (((-765)) 140)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 30 T CONST)) (-3297 (($) 21 T CONST)) (-4167 (($ $ (-765)) NIL (|has| |#1| (-371))) (($ $) NIL (|has| |#1| (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) 120)) (-1383 (($ $ $) 96) (($ $ |#1|) NIL)) (-1377 (($ $) 97) (($ $ $) 107)) (-1371 (($ $ $) 63)) (** (($ $ (-919)) 33) (($ $ (-765)) 34) (($ $ (-569)) 37)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 111) (($ $ $) 65) (($ $ (-410 (-569))) 112) (($ (-410 (-569)) $) NIL) (($ |#1| $) 105) (($ $ |#1|) 106))) 
+(((-859 |#1|) (-13 (-858) (-1270 |#1|) (-10 -8 (-15 -1804 ((-852) $)))) (-351)) (T -859)) 
+((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-859 *3)) (-4 *3 (-351))))) 
+(-13 (-858) (-1270 |#1|) (-10 -8 (-15 -1804 ((-852) $)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-860) (-1284)) (T -860)) 
+((-3036 (*1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-3036 (*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2786 (*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2786 (*1 *2 *1 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) (-2338 (*1 *2 *3 *1) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-860)) (-5 *2 (-635 *1)))) (-3249 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-121)))) (-3914 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-860)))) (-3064 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-919)))) (-1831 (*1 *1 *1) (-4 *1 (-860))) (-3676 (*1 *2 *1 *1) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-860)))) (-3980 (*1 *1 *1) (-4 *1 (-860))) (-2474 (*1 *1 *2 *1 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) (-2474 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) (-2264 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-1258)))) (-1804 (*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-852))))) 
+(-13 (-366) (-10 -8 (-15 -3036 ((-1161 $))) (-15 -3036 ((-1161 $) $)) (-15 -2786 ((-1161 $) $)) (-15 -2786 ((-1161 $) $ $)) (-15 -2793 ($ (-1161 $))) (-15 -2338 ((-635 $) (-1161 $) $)) (-15 -3249 ((-121) $)) (-15 -3914 ($ (-635 $))) (-15 -3064 ((-919) $)) (-15 -1831 ($ $)) (-15 -3676 ((-1253 $) $ $)) (-15 -3980 ($ $)) (-15 -2474 ($ (-1161 $) $ (-1165))) (-15 -2474 ($ (-1161 $) (-1165))) (-15 -2264 ((-1258) $)) (-15 -1804 ((-852) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 $) $ $) 78)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 111)) (-4102 (((-765)) 115)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-2264 (((-1258) $) 74)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 122) (((-3 (-410 (-569)) "failed") $) 119) (((-3 (-410 (-569)) "failed") $) 104)) (-1321 (((-569) $) 121) (((-410 (-569)) $) 118) (((-410 (-569)) $) 105)) (-1614 (($ $ $) 53)) (-2793 (($ (-1161 $)) 84)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 102 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) 101 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) 69)) (-1831 (($ $) 79)) (-4433 (((-830 (-919)) $) 99 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 30)) (-2474 (($ (-1161 $) $ (-1165)) 76) (($ (-1161 $) (-1165)) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3914 (($ (-635 $)) 81)) (-2786 (((-1161 $) $) 86) (((-1161 $) $ $) 85)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 112)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 82)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1804 (((-852) $) 73)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 114)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3064 (((-919) $) 80)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2338 (((-635 $) (-1161 $) $) 83)) (-3600 (((-3 (-765) "failed") $ $) 100 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) 106)) (-2284 (((-830 (-919)) $) 113)) (-3036 (((-1161 $)) 88) (((-1161 $) $) 87)) (-3980 (($ $) 77)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 123) (($ (-410 (-569))) 120) (($ (-410 (-569))) 103)) (-2277 (((-3 $ "failed") $) 98 (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $ (-765)) 117 (|has| (-410 (-569)) (-371))) (($ $) 116 (|has| (-410 (-569)) (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ (-410 (-569))) 107)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ (-410 (-569)) $) 109) (($ $ (-410 (-569))) 108))) 
+(((-861) (-1284)) (T -861)) 
+NIL 
+(-13 (-860) (-151) (-1039 (-569)) (-1039 (-410 (-569))) (-1270 (-410 (-569)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-1270 (-410 (-569))) . T) ((-366) . T) ((-405) -1929 (|has| (-410 (-569)) (-371)) (|has| (-410 (-569)) (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-860) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 (-410 (-569))) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 16)) (-3676 (((-1253 $) $ $) 47)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2264 (((-1258) $) 51)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 104) (((-3 (-410 (-569)) "failed") $) 106) (((-3 (-410 (-569)) "failed") $) 106)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) 94) (((-410 (-569)) $) 94)) (-1614 (($ $ $) NIL)) (-2793 (($ (-1161 $)) 34)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-3238 (($ $ (-765)) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371)))) (($ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2005 (((-121) $) NIL)) (-1831 (($ $) 40)) (-4433 (((-830 (-919)) $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-3934 (((-121) $) 100)) (-2474 (($ (-1161 $) $ (-1165)) 79) (($ (-1161 $) (-1165)) 70) (($ (-1161 $) (-1161 $) (-919) $ (-1165)) 80)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3914 (($ (-635 $)) 38)) (-2786 (((-1161 $) $) 29) (((-1161 $) $ $) 31)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 86)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 39)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1804 (((-852) $) 112)) (-3139 (((-421 $) $) NIL)) (-3648 (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3064 (((-919) $) 30)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2338 (((-635 $) (-1161 $) $) 72)) (-3600 (((-3 (-765) "failed") $ $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2174 (((-140)) NIL)) (-2284 (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) 52) (((-1161 $) $) 41)) (-3980 (($ $) NIL)) (-3956 (((-852) $) 111) (($ (-569)) 14) (($ $) NIL) (($ (-410 (-569))) 101) (($ (-569)) 14) (($ (-410 (-569))) 101) (($ (-410 (-569))) 101)) (-2277 (((-3 $ "failed") $) NIL (-1929 (|has| (-410 (-569)) (-149)) (|has| (-410 (-569)) (-371))))) (-2320 (((-765)) 114)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 73 T CONST)) (-4167 (($ $ (-765)) NIL (|has| (-410 (-569)) (-371))) (($ $) NIL (|has| (-410 (-569)) (-371)))) (-1326 (((-121) $ $) 97)) (-1383 (($ $ $) 78) (($ $ (-410 (-569))) NIL)) (-1377 (($ $) 19) (($ $ $) 89)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 18) (($ $ $) 57) (($ $ (-410 (-569))) 88) (($ (-410 (-569)) $) 87) (($ (-410 (-569)) $) 87) (($ $ (-410 (-569))) 88))) 
+(((-862) (-13 (-861) (-10 -8 (-15 -1804 ((-852) $)) (-15 -2474 ($ (-1161 $) (-1161 $) (-919) $ (-1165)))))) (T -862)) 
+((-1804 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-862)))) (-2474 (*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1161 (-862))) (-5 *3 (-919)) (-5 *4 (-1165)) (-5 *1 (-862))))) 
+(-13 (-861) (-10 -8 (-15 -1804 ((-852) $)) (-15 -2474 ($ (-1161 $) (-1161 $) (-919) $ (-1165))))) 
+((-1891 (((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|) 31)) (-3216 (((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|) 24))) 
+(((-863 |#1| |#2| |#3|) (-10 -7 (-15 -3216 ((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|)) (-15 -1891 ((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|))) (-366) (-1243 |#1|) (-1228 |#1|)) (T -863)) 
+((-1891 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5)))) (-3216 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5))))) 
+(-10 -7 (-15 -3216 ((-3 (-410 |#3|) "failed") (-765) (-765) |#2| |#2|)) (-15 -1891 ((-3 (-174 |#3|) "failed") (-765) (-765) |#2| |#2|))) 
+((-3216 (((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)) 28) (((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) 26))) 
+(((-864 |#1| |#2| |#3|) (-10 -7 (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)))) (-366) (-1165) |#1|) (T -864)) 
+((-3216 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7)))) (-3216 (*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7))))) 
+(-10 -7 (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (-15 -3216 ((-3 (-410 (-1225 |#2| |#1|)) "failed") (-765) (-765) (-1244 |#1| |#2| |#3|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $ (-569)) 60)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-3925 (($ (-1161 (-569)) (-569)) 59)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-2314 (($ $) 62)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-4433 (((-765) $) 67)) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-4138 (((-569)) 64)) (-2760 (((-569) $) 63)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-3803 (($ $ (-569)) 66)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-2721 (((-1145 (-569)) $) 68)) (-2994 (($ $) 65)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-4334 (((-569) $ (-569)) 61)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-865 |#1|) (-1284) (-569)) (T -865)) 
+((-2721 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-1145 (-569))))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-765)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2994 (*1 *1 *1) (-4 *1 (-865 *2))) (-4138 (*1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2760 (*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-2314 (*1 *1 *1) (-4 *1 (-865 *2))) (-4334 (*1 *2 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-3422 (*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) (-3925 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *3 (-569)) (-4 *1 (-865 *4))))) 
+(-13 (-302) (-151) (-10 -8 (-15 -2721 ((-1145 (-569)) $)) (-15 -4433 ((-765) $)) (-15 -3803 ($ $ (-569))) (-15 -2994 ($ $)) (-15 -4138 ((-569))) (-15 -2760 ((-569) $)) (-15 -2314 ($ $)) (-15 -4334 ((-569) $ (-569))) (-15 -3422 ($ $ (-569))) (-15 -3925 ($ (-1161 (-569)) (-569))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-302) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-3925 (($ (-1161 (-569)) (-569)) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2314 (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-4433 (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4138 (((-569)) NIL)) (-2760 (((-569) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-2721 (((-1145 (-569)) $) NIL)) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-569) $ (-569)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-866 |#1|) (-865 |#1|) (-569)) (T -866)) 
+NIL 
+(-865 |#1|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-866 |#1|) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-866 |#1|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| (-866 |#1|) (-1039 (-569))))) (-1321 (((-866 |#1|) $) NIL) (((-1165) $) NIL (|has| (-866 |#1|) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-866 |#1|) (-1039 (-569)))) (((-569) $) NIL (|has| (-866 |#1|) (-1039 (-569))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-866 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-866 |#1|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-866 |#1|))) (|:| |vec| (-1253 (-866 |#1|)))) (-681 $) (-1253 $)) NIL) (((-681 (-866 |#1|)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-866 |#1|) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| (-866 |#1|) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-866 |#1|) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-866 |#1|) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-866 |#1|) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| (-866 |#1|) (-1139)))) (-4311 (((-121) $) NIL (|has| (-866 |#1|) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-866 |#1|) (-844)))) (-2713 (($ $ $) NIL (|has| (-866 |#1|) (-844)))) (-4188 (($ (-1 (-866 |#1|) (-866 |#1|)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-866 |#1|) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-866 |#1|) (-302)))) (-1807 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-866 |#1|) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-866 |#1|)) (-635 (-866 |#1|))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-866 |#1|) (-866 |#1|)) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-289 (-866 |#1|))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-635 (-289 (-866 |#1|)))) NIL (|has| (-866 |#1|) (-304 (-866 |#1|)))) (($ $ (-635 (-1165)) (-635 (-866 |#1|))) NIL (|has| (-866 |#1|) (-524 (-1165) (-866 |#1|)))) (($ $ (-1165) (-866 |#1|)) NIL (|has| (-866 |#1|) (-524 (-1165) (-866 |#1|))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-866 |#1|)) NIL (|has| (-866 |#1|) (-282 (-866 |#1|) (-866 |#1|))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| (-866 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-866 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1 (-866 |#1|) (-866 |#1|)) (-765)) NIL) (($ $ (-1 (-866 |#1|) (-866 |#1|))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-866 |#1|) $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| (-866 |#1|) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-866 |#1|) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-866 |#1|) (-610 (-542)))) (((-382) $) NIL (|has| (-866 |#1|) (-1023))) (((-216) $) NIL (|has| (-866 |#1|) (-1023)))) (-2914 (((-174 (-410 (-569))) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-866 |#1|) (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL) (($ (-866 |#1|)) NIL) (($ (-1165)) NIL (|has| (-866 |#1|) (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-866 |#1|) (-906))) (|has| (-866 |#1|) (-149))))) (-2320 (((-765)) NIL)) (-3215 (((-866 |#1|) $) NIL (|has| (-866 |#1|) (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) NIL)) (-4080 (($ $) NIL (|has| (-866 |#1|) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $) NIL (|has| (-866 |#1|) (-226))) (($ $ (-765)) NIL (|has| (-866 |#1|) (-226))) (($ $ (-1165)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-866 |#1|) (-897 (-1165)))) (($ $ (-1 (-866 |#1|) (-866 |#1|)) (-765)) NIL) (($ $ (-1 (-866 |#1|) (-866 |#1|))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-866 |#1|) (-844)))) (-1383 (($ $ $) NIL) (($ (-866 |#1|) (-866 |#1|)) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-866 |#1|) $) NIL) (($ $ (-866 |#1|)) NIL))) 
+(((-867 |#1|) (-13 (-995 (-866 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569)) (T -867)) 
+((-4334 (*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-867 *4)) (-14 *4 *3) (-5 *3 (-569)))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3)) (-14 *3 (-569)))) (-4339 (*1 *1 *1) (-12 (-5 *1 (-867 *2)) (-14 *2 (-569)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-867 *3)) (-14 *3 *2)))) 
+(-13 (-995 (-866 |#1|)) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#2| $) NIL (|has| |#2| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| |#2| (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (|has| |#2| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569))))) (-1321 ((|#2| $) NIL) (((-1165) $) NIL (|has| |#2| (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-569)))) (((-569) $) NIL (|has| |#2| (-1039 (-569))))) (-4339 (($ $) 31) (($ (-569) $) 32)) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 53)) (-3341 (($) NIL (|has| |#2| (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) NIL (|has| |#2| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| |#2| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| |#2| (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 ((|#2| $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-4311 (((-121) $) NIL (|has| |#2| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 49)) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| |#2| (-302)))) (-1807 ((|#2| $) NIL (|has| |#2| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 |#2|) (-635 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ |#2| |#2|) NIL (|has| |#2| (-304 |#2|))) (($ $ (-289 |#2|)) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-289 |#2|))) NIL (|has| |#2| (-304 |#2|))) (($ $ (-635 (-1165)) (-635 |#2|)) NIL (|has| |#2| (-524 (-1165) |#2|))) (($ $ (-1165) |#2|) NIL (|has| |#2| (-524 (-1165) |#2|)))) (-2061 (((-765) $) NIL)) (-2503 (($ $ |#2|) NIL (|has| |#2| (-282 |#2| |#2|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) NIL (|has| |#2| (-226))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-2572 (($ $) NIL)) (-3524 ((|#2| $) NIL)) (-4035 (((-889 (-569)) $) NIL (|has| |#2| (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| |#2| (-610 (-889 (-382))))) (((-542) $) NIL (|has| |#2| (-610 (-542)))) (((-382) $) NIL (|has| |#2| (-1023))) (((-216) $) NIL (|has| |#2| (-1023)))) (-2914 (((-174 (-410 (-569))) $) 68)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-3956 (((-852) $) 85) (($ (-569)) 19) (($ $) NIL) (($ (-410 (-569))) 24) (($ |#2|) 18) (($ (-1165)) NIL (|has| |#2| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-3215 ((|#2| $) NIL (|has| |#2| (-551)))) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ (-569)) 60)) (-4080 (($ $) NIL (|has| |#2| (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 14 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $) NIL (|has| |#2| (-226))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) 35)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ $) 23) (($ |#2| |#2|) 54)) (-1377 (($ $) 39) (($ $ $) 41)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) 50)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 42) (($ $ $) 44) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#2| $) 55) (($ $ |#2|) NIL))) 
+(((-868 |#1| |#2|) (-13 (-995 |#2|) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) (-569) (-865 |#1|)) (T -868)) 
+((-4334 (*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-868 *4 *5)) (-5 *3 (-569)) (-4 *5 (-865 *4)))) (-2914 (*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3)))) (-4339 (*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-868 *2 *3)) (-4 *3 (-865 *2)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3))))) 
+(-13 (-995 |#2|) (-10 -8 (-15 -4334 ((-410 (-569)) $ (-569))) (-15 -2914 ((-174 (-410 (-569))) $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)))) 
+((-2350 (((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|)) NIL)) (-3370 (((-243 |#2| |#1|)) 107)) (-1940 (((-635 (-969 |#1|))) 116)) (-2337 (((-635 (-969 |#1|)) (-635 (-969 |#1|))) 27)) (-1818 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 35)) (-3768 (((-635 (-969 |#1|))) 60)) (-1559 (((-635 (-924 |#1|))) 58)) (-2110 (((-969 |#1|) (-635 (-859 |#1|))) 17)) (-2778 (((-969 |#1|) (-924 |#1|)) 21)) (-2080 (((-635 (-924 |#1|)) (-919)) 45 (|has| (-859 |#1|) (-371)))) (-2921 (((-635 (-924 |#1|)) (-969 |#1|)) 24)) (-3362 (((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|)) 119)) (-3088 (((-569) (-919)) 47 (|has| (-859 |#1|) (-371)))) (-4107 (((-569) (-919) (-919)) 49 (|has| (-859 |#1|) (-371)))) (-2390 (((-569) (-919)) 43 (|has| (-859 |#1|) (-371)))) (-3375 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|))) 62) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765)) NIL)) (-2966 (((-237 (-924 |#1|)) (-243 |#2| |#1|)) 135)) (-2087 (((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|))) 125)) (-3280 (((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765)) 123)) (-4209 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-3807 (((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|))) 67) (((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|))) 69)) (-4289 (((-569)) 105)) (-2196 (((-765)) 103)) (-3090 (((-1258)) 144)) (-1747 (((-1258)) 140)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569)) 32)) (-1788 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|)) 132) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|)) 127) (((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|)) 96)) (-1484 ((|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|)) 133) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|)) 63) ((|#1| (-243 |#2| |#1|) (-924 |#1|)) 98)) (-4427 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 112)) (-3344 (((-635 (-260 (-538 |#1| |#2| |#3|)))) 110)) (-3552 (((-569)) 56 (|has| (-859 |#1|) (-371)))) (-2774 (((-237 (-924 |#1|))) 114)) (-3278 (((-1248 (-569) -4542) (-919)) 41 (|has| (-859 |#1|) (-371))) (((-1248 (-569) -4542)) 38 (|has| (-859 |#1|) (-371)))) (-4377 (((-1161 (-569)) (-919)) 54 (|has| (-859 |#1|) (-371))) (((-1161 (-569))) 52 (|has| (-859 |#1|) (-371))))) 
+(((-869 |#1| |#2| |#3|) (-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2350 ((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|)))) (-15 -2778 ((-969 |#1|) (-924 |#1|))) (-15 -2921 ((-635 (-924 |#1|)) (-969 |#1|))) (-15 -2110 ((-969 |#1|) (-635 (-859 |#1|)))) (-15 -2337 ((-635 (-969 |#1|)) (-635 (-969 |#1|)))) (-15 -1559 ((-635 (-924 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-969 |#1|)))) (-15 -1940 ((-635 (-969 |#1|)))) (-15 -3362 ((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569))) (-15 -2087 ((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -2966 ((-237 (-924 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-924 |#1|)))) (IF (|has| (-859 |#1|) (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-924 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-351) (-635 (-1165)) (-117)) (T -869)) 
+((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3278 (*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3552 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-4377 (*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2774 (*1 *2) (-12 (-5 *2 (-237 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2966 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-2087 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-243 *6 (-859 *5)))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3375 (*1 *2 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3375 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-924 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1940 (*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3768 (*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3344 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4427 (*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4289 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2196 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3370 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1559 (*1 *2) (-12 (-5 *2 (-635 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 (-969 *3))) (-4 *3 (-351)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2110 (*1 *2 *3) (-12 (-5 *3 (-635 (-859 *4))) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2921 (*1 *2 *3) (-12 (-5 *3 (-969 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2778 (*1 *2 *3) (-12 (-5 *3 (-924 *4)) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-681 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3807 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2350 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-969 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-243 *6 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) (-1818 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) (-3090 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1747 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2350 ((-243 |#2| (-859 |#1|)) (-243 |#2| |#1|) (-969 |#1|))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-237 (-924 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-924 |#1|)) (-635 (-924 |#1|)))) (-15 -2778 ((-969 |#1|) (-924 |#1|))) (-15 -2921 ((-635 (-924 |#1|)) (-969 |#1|))) (-15 -2110 ((-969 |#1|) (-635 (-859 |#1|)))) (-15 -2337 ((-635 (-969 |#1|)) (-635 (-969 |#1|)))) (-15 -1559 ((-635 (-924 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-538 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-969 |#1|)))) (-15 -1940 ((-635 (-969 |#1|)))) (-15 -3362 ((-776 (-859 |#1|)) (-243 |#2| |#1|) (-924 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-924 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-924 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-924 |#1|)) (-569) (-569))) (-15 -2087 ((-635 (-243 |#2| (-859 |#1|))) (-237 (-924 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-924 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-924 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-924 |#1|))) (-15 -2966 ((-237 (-924 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-924 |#1|)))) (IF (|has| (-859 |#1|) (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-924 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
+((-3370 (((-243 |#2| |#1|)) 83)) (-1940 (((-635 (-968 |#1|))) 92)) (-2337 (((-635 (-968 |#1|)) (-635 (-968 |#1|))) 24)) (-1818 (((-243 |#2| |#1|) (-243 |#2| |#1|)) 75)) (-3768 (((-635 (-968 |#1|))) 65)) (-1559 (((-635 (-923 |#1|))) 63)) (-2110 (((-968 |#1|) (-635 |#1|)) 27)) (-2778 (((-968 |#1|) (-923 |#1|)) 18)) (-2080 (((-635 (-923 |#1|)) (-919)) 50 (|has| |#1| (-371)))) (-2921 (((-635 (-923 |#1|)) (-968 |#1|)) 21)) (-3362 (((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|)) 95)) (-3088 (((-569) (-919)) 52 (|has| |#1| (-371)))) (-4107 (((-569) (-919) (-919)) 54 (|has| |#1| (-371)))) (-2390 (((-569) (-919)) 48 (|has| |#1| (-371)))) (-3375 (((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|))) 33) (((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765)) NIL)) (-2966 (((-237 (-923 |#1|)) (-243 |#2| |#1|)) 107)) (-2087 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|))) 31)) (-3280 (((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765)) 97)) (-4209 (((-243 |#2| |#1|) (-243 |#2| |#1|) (-569)) 13)) (-3807 (((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|))) 38) (((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|))) 40)) (-4289 (((-569)) 81)) (-2196 (((-765)) 79)) (-3090 (((-1258)) 116)) (-1747 (((-1258)) 112)) (-1560 (((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569)) NIL)) (-1788 (((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|)) 105) (((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 104) (((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|)) 73)) (-1484 ((|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|)) 102) ((|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|)) 34) ((|#1| (-243 |#2| |#1|) (-923 |#1|)) 70)) (-4427 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 88)) (-3344 (((-635 (-260 (-514 |#1| |#2| |#3|)))) 86)) (-3552 (((-569)) 61 (|has| |#1| (-371)))) (-2774 (((-237 (-923 |#1|))) 90)) (-3278 (((-1248 (-569) -4542) (-919)) 46 (|has| |#1| (-371))) (((-1248 (-569) -4542)) 43 (|has| |#1| (-371)))) (-4377 (((-1161 (-569)) (-919)) 59 (|has| |#1| (-371))) (((-1161 (-569))) 57 (|has| |#1| (-371))))) 
+(((-870 |#1| |#2| |#3|) (-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2087 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2110 ((-968 |#1|) (-635 |#1|))) (-15 -2778 ((-968 |#1|) (-923 |#1|))) (-15 -2921 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -2337 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -1559 ((-635 (-923 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-968 |#1|)))) (-15 -1940 ((-635 (-968 |#1|)))) (-15 -3362 ((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2966 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-923 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-923 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) (-366) (-635 (-1165)) (-117)) (T -870)) 
+((-3278 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3278 (*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4107 (*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3088 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2390 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2080 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3552 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4377 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-4377 (*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2774 (*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2966 (*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1788 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-1484 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) (-3280 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-1560 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-870 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3375 (*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-3375 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 *5)) (-5 *1 (-870 *5 *6 *7)) (-4 *7 (-117)))) (-1940 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3768 (*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3344 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4427 (*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-4289 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2196 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3370 (*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1559 (*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-3807 (*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) (-3807 (*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2337 (*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-366)) (-5 *1 (-870 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2921 (*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2778 (*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-2110 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) (-1818 (*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-5 *1 (-870 *3 *4 *5)) (-4 *5 (-117)))) (-3090 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-1747 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) (-2087 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
+(-10 -7 (-15 -4209 ((-243 |#2| |#1|) (-243 |#2| |#1|) (-569))) (-15 -2087 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-635 (-243 |#2| |#1|)))) (-15 -1747 ((-1258))) (-15 -3090 ((-1258))) (-15 -1818 ((-243 |#2| |#1|) (-243 |#2| |#1|))) (-15 -2110 ((-968 |#1|) (-635 |#1|))) (-15 -2778 ((-968 |#1|) (-923 |#1|))) (-15 -2921 ((-635 (-923 |#1|)) (-968 |#1|))) (-15 -2337 ((-635 (-968 |#1|)) (-635 (-968 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-237 (-923 |#1|)))) (-15 -3807 ((-681 |#1|) (-237 (-923 |#1|)) (-635 (-923 |#1|)))) (-15 -1559 ((-635 (-923 |#1|)))) (-15 -3370 ((-243 |#2| |#1|))) (-15 -2196 ((-765))) (-15 -4289 ((-569))) (-15 -4427 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3344 ((-635 (-260 (-514 |#1| |#2| |#3|))))) (-15 -3768 ((-635 (-968 |#1|)))) (-15 -1940 ((-635 (-968 |#1|)))) (-15 -3362 ((-776 |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -3375 ((-635 (-410 (-243 |#2| |#1|))) (-237 (-923 |#1|)) (-765))) (-15 -3375 ((-2 (|:| |num| (-635 (-243 |#2| |#1|))) (|:| |den| (-243 |#2| |#1|))) (-237 (-923 |#1|)))) (-15 -1560 ((-2 (|:| -4004 (-569)) (|:| |num| (-243 |#2| |#1|)) (|:| |den| (-243 |#2| |#1|)) (|:| |upTo| (-569))) (-237 (-923 |#1|)) (-569) (-569))) (-15 -3280 ((-635 (-243 |#2| |#1|)) (-237 (-923 |#1|)) (-765))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1484 (|#1| (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-243 |#2| |#1|) (-243 |#2| |#1|) (-923 |#1|))) (-15 -1788 ((-3 |#1| "failed") (-410 (-243 |#2| |#1|)) (-923 |#1|))) (-15 -2966 ((-237 (-923 |#1|)) (-243 |#2| |#1|))) (-15 -2774 ((-237 (-923 |#1|)))) (IF (|has| |#1| (-371)) (PROGN (-15 -4377 ((-1161 (-569)))) (-15 -4377 ((-1161 (-569)) (-919))) (-15 -3552 ((-569))) (-15 -2080 ((-635 (-923 |#1|)) (-919))) (-15 -2390 ((-569) (-919))) (-15 -3088 ((-569) (-919))) (-15 -4107 ((-569) (-919) (-919))) (-15 -3278 ((-1248 (-569) -4542))) (-15 -3278 ((-1248 (-569) -4542) (-919)))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-4357 (((-569) $) 15)) (-2081 (($ (-159)) 11)) (-1658 (($ (-159)) 12)) (-2605 (((-1147) $) NIL)) (-4365 (((-159) $) 13)) (-1912 (((-1111) $) NIL)) (-4360 (($ (-159)) 9)) (-3154 (($ (-159)) 8)) (-3956 (((-852) $) 23) (($ (-159)) 16)) (-1945 (($ (-159)) 10)) (-1326 (((-121) $ $) NIL))) 
+(((-871) (-13 (-1093) (-10 -8 (-15 -3154 ($ (-159))) (-15 -4360 ($ (-159))) (-15 -1945 ($ (-159))) (-15 -2081 ($ (-159))) (-15 -1658 ($ (-159))) (-15 -4365 ((-159) $)) (-15 -4357 ((-569) $)) (-15 -3956 ($ (-159)))))) (T -871)) 
+((-3154 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4360 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-1945 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-2081 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-1658 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4365 (*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) (-4357 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-871)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(-13 (-1093) (-10 -8 (-15 -3154 ($ (-159))) (-15 -4360 ($ (-159))) (-15 -1945 ($ (-159))) (-15 -2081 ($ (-159))) (-15 -1658 ($ (-159))) (-15 -4365 ((-159) $)) (-15 -4357 ((-569) $)) (-15 -3956 ($ (-159))))) 
+((-3956 (((-311 (-569)) (-410 (-955 (-53)))) 21) (((-311 (-569)) (-955 (-53))) 16))) 
+(((-872) (-10 -7 (-15 -3956 ((-311 (-569)) (-955 (-53)))) (-15 -3956 ((-311 (-569)) (-410 (-955 (-53))))))) (T -872)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) (-3956 (*1 *2 *3) (-12 (-5 *3 (-955 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-872))))) 
+(-10 -7 (-15 -3956 ((-311 (-569)) (-955 (-53)))) (-15 -3956 ((-311 (-569)) (-410 (-955 (-53)))))) 
+((-3362 ((|#6| |#3| |#7| (-569)) 36) ((|#6| |#3| |#3| |#7|) 33) ((|#6| |#3| |#7|) 31) ((|#6| |#3| (-635 |#6|)) 28))) 
+(((-873 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-10 -7 (-15 -3362 (|#6| |#3| (-635 |#6|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#7| (-569)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|) (-642 |#1|) (-922 |#1| |#6|)) (T -873)) 
+((-3362 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *2 (-642 *6)) (-5 *1 (-873 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *9 (-973 *6)) (-4 *4 (-922 *6 *2)))) (-3362 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) (-3362 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *9 (-922 *5 *2))))) 
+(-10 -7 (-15 -3362 (|#6| |#3| (-635 |#6|))) (-15 -3362 (|#6| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#3| |#7|)) (-15 -3362 (|#6| |#3| |#7| (-569)))) 
+((-4188 (((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)) 14))) 
+(((-874 |#1| |#2|) (-10 -7 (-15 -4188 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) (-1199) (-1199)) (T -874)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-875 |#2|) (-1 |#2| |#1|) (-875 |#1|)))) 
+((-1653 (($ |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
+(((-875 |#1|) (-10 -8 (-15 -1653 ($ |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -875)) 
+((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-875 *2)) (-4 *2 (-1199)))) (-1653 (*1 *1 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1199))))) 
+(-10 -8 (-15 -1653 ($ |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
+((-4188 (((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)) 14))) 
+(((-876 |#1| |#2|) (-10 -7 (-15 -4188 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) (-1199) (-1199)) (T -876)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-877 |#2|) (-1 |#2| |#1|) (-877 |#1|)))) 
+((-1653 (($ |#1| |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
+(((-877 |#1|) (-10 -8 (-15 -1653 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -877)) 
+((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-877 *2)) (-4 *2 (-1199)))) (-1653 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1199))))) 
+(-10 -8 (-15 -1653 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
+((-4188 (((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)) 14))) 
+(((-878 |#1| |#2|) (-10 -7 (-15 -4188 ((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)))) (-1199) (-1199)) (T -878)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-879 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-879 *6)) (-5 *1 (-878 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-879 |#2|) (-1 |#2| |#1|) (-879 |#1|)))) 
+((-2234 (($ |#1| |#1| |#1|) 8)) (-2028 ((|#1| $ (-765)) 10))) 
+(((-879 |#1|) (-10 -8 (-15 -2234 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) (-1199)) (T -879)) 
+((-2028 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-879 *2)) (-4 *2 (-1199)))) (-2234 (*1 *1 *2 *2 *2) (-12 (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
+(-10 -8 (-15 -2234 ($ |#1| |#1| |#1|)) (-15 -2028 (|#1| $ (-765)))) 
+((-2463 (((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569)))) 30)) (-1817 (((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569))) 26)) (-3978 (((-1145 (-635 (-569))) (-635 (-569))) 39) (((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569))) 38)) (-3172 (((-1145 (-635 (-569))) (-569)) 40)) (-3874 (((-1145 (-635 (-569))) (-569) (-569)) 22) (((-1145 (-635 (-569))) (-569)) 16) (((-1145 (-635 (-569))) (-569) (-569) (-569)) 12)) (-2197 (((-1145 (-635 (-569))) (-1145 (-635 (-569)))) 24)) (-3980 (((-635 (-569)) (-635 (-569))) 23))) 
+(((-880) (-10 -7 (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569))) (-15 -3980 ((-635 (-569)) (-635 (-569)))) (-15 -2197 ((-1145 (-635 (-569))) (-1145 (-635 (-569))))) (-15 -1817 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -2463 ((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569))))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)))) (-15 -3172 ((-1145 (-635 (-569))) (-569))))) (T -880)) 
+((-3172 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3978 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-3978 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-2463 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-880)))) (-1817 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) (-2197 (*1 *2 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)))) (-3980 (*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-880)))) (-3874 (*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3874 (*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) (-3874 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569))) (-15 -3874 ((-1145 (-635 (-569))) (-569) (-569))) (-15 -3980 ((-635 (-569)) (-635 (-569)))) (-15 -2197 ((-1145 (-635 (-569))) (-1145 (-635 (-569))))) (-15 -1817 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -2463 ((-1145 (-635 (-569))) (-635 (-569)) (-1145 (-635 (-569))))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)) (-635 (-569)))) (-15 -3978 ((-1145 (-635 (-569))) (-635 (-569)))) (-15 -3172 ((-1145 (-635 (-569))) (-569)))) 
+((-4035 (((-889 (-382)) $) 9 (|has| |#1| (-610 (-889 (-382))))) (((-889 (-569)) $) 8 (|has| |#1| (-610 (-889 (-569))))))) 
+(((-881 |#1|) (-1284) (-1199)) (T -881)) 
+NIL 
+(-13 (-10 -7 (IF (|has| |t#1| (-610 (-889 (-569)))) (-6 (-610 (-889 (-569)))) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-382)))) (-6 (-610 (-889 (-382)))) |noBranch|))) 
+(((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569))))) 
+((-1310 (((-121) $ $) NIL)) (-2446 (($) 14)) (-3368 (($ (-886 |#1| |#2|) (-886 |#1| |#3|)) 27)) (-2037 (((-886 |#1| |#3|) $) 16)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4448 (((-121) $) 22)) (-2795 (($) 19)) (-3956 (((-852) $) 30)) (-1601 (((-886 |#1| |#2|) $) 15)) (-1326 (((-121) $ $) 25))) 
+(((-882 |#1| |#2| |#3|) (-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3368 ($ (-886 |#1| |#2|) (-886 |#1| |#3|))) (-15 -1601 ((-886 |#1| |#2|) $)) (-15 -2037 ((-886 |#1| |#3|) $)))) (-1093) (-1093) (-659 |#2|)) (T -882)) 
+((-4448 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) (-2795 (*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) (-2446 (*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) (-3368 (*1 *1 *2 *3) (-12 (-5 *2 (-886 *4 *5)) (-5 *3 (-886 *4 *6)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-659 *5)) (-5 *1 (-882 *4 *5 *6)))) (-1601 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *4)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) (-2037 (*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *5)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
+(-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3368 ($ (-886 |#1| |#2|) (-886 |#1| |#3|))) (-15 -1601 ((-886 |#1| |#2|) $)) (-15 -2037 ((-886 |#1| |#3|) $)))) 
+((-1310 (((-121) $ $) 7)) (-3318 (((-886 |#1| $) $ (-889 |#1|) (-886 |#1| $)) 12)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-883 |#1|) (-1284) (-1093)) (T -883)) 
+((-3318 (*1 *2 *1 *3 *2) (-12 (-5 *2 (-886 *4 *1)) (-5 *3 (-889 *4)) (-4 *1 (-883 *4)) (-4 *4 (-1093))))) 
+(-13 (-1093) (-10 -8 (-15 -3318 ((-886 |t#1| $) $ (-889 |t#1|) (-886 |t#1| $))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-3845 (((-121) (-635 |#2|) |#3|) 22) (((-121) |#2| |#3|) 17)) (-2108 (((-886 |#1| |#2|) |#2| |#3|) 42 (-12 (-3182 (|has| |#2| (-1039 (-1165)))) (-3182 (|has| |#2| (-1049))))) (((-635 (-289 (-955 |#2|))) |#2| |#3|) 41 (-12 (|has| |#2| (-1049)) (-3182 (|has| |#2| (-1039 (-1165)))))) (((-635 (-289 |#2|)) |#2| |#3|) 34 (|has| |#2| (-1039 (-1165)))) (((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|) 20))) 
+(((-884 |#1| |#2| |#3|) (-10 -7 (-15 -3845 ((-121) |#2| |#3|)) (-15 -3845 ((-121) (-635 |#2|) |#3|)) (-15 -2108 ((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1039 (-1165))) (-15 -2108 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1049)) (-15 -2108 ((-635 (-289 (-955 |#2|))) |#2| |#3|)) (-15 -2108 ((-886 |#1| |#2|) |#2| |#3|))))) (-1093) (-883 |#1|) (-610 (-889 |#1|))) (T -884)) 
+((-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-886 *5 *3)) (-5 *1 (-884 *5 *3 *4)) (-3182 (-4 *3 (-1039 (-1165)))) (-3182 (-4 *3 (-1049))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 (-955 *3)))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1049)) (-3182 (-4 *3 (-1039 (-1165)))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1039 (-1165))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) (-2108 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-5 *2 (-882 *5 *6 (-635 *6))) (-5 *1 (-884 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-889 *5))))) (-3845 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-883 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *6 *4)) (-4 *4 (-610 (-889 *5))))) (-3845 (*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5)))))) 
+(-10 -7 (-15 -3845 ((-121) |#2| |#3|)) (-15 -3845 ((-121) (-635 |#2|) |#3|)) (-15 -2108 ((-882 |#1| |#2| (-635 |#2|)) (-635 |#2|) |#3|)) (IF (|has| |#2| (-1039 (-1165))) (-15 -2108 ((-635 (-289 |#2|)) |#2| |#3|)) (IF (|has| |#2| (-1049)) (-15 -2108 ((-635 (-289 (-955 |#2|))) |#2| |#3|)) (-15 -2108 ((-886 |#1| |#2|) |#2| |#3|))))) 
+((-4188 (((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)) 21))) 
+(((-885 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)))) (-1093) (-1093) (-1093)) (T -885)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-886 *5 *6)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-886 *5 *7)) (-5 *1 (-885 *5 *6 *7))))) 
+(-10 -7 (-15 -4188 ((-886 |#1| |#3|) (-1 |#3| |#2|) (-886 |#1| |#2|)))) 
+((-1310 (((-121) $ $) NIL)) (-3577 (($ $ $) 37)) (-2785 (((-3 (-121) "failed") $ (-889 |#1|)) 34)) (-2446 (($) 11)) (-2605 (((-1147) $) NIL)) (-1733 (($ (-889 |#1|) |#2| $) 20)) (-1912 (((-1111) $) NIL)) (-2720 (((-3 |#2| "failed") (-889 |#1|) $) 48)) (-4448 (((-121) $) 14)) (-2795 (($) 12)) (-3171 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $) 25)) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|)))) 23)) (-3956 (((-852) $) 42)) (-3299 (($ (-889 |#1|) |#2| $ |#2|) 46)) (-3638 (($ (-889 |#1|) |#2| $) 45)) (-1326 (((-121) $ $) 39))) 
+(((-886 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3577 ($ $ $)) (-15 -2720 ((-3 |#2| "failed") (-889 |#1|) $)) (-15 -3638 ($ (-889 |#1|) |#2| $)) (-15 -1733 ($ (-889 |#1|) |#2| $)) (-15 -3299 ($ (-889 |#1|) |#2| $ |#2|)) (-15 -3171 ((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))))) (-15 -2785 ((-3 (-121) "failed") $ (-889 |#1|))))) (-1093) (-1093)) (T -886)) 
+((-4448 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2795 (*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2446 (*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-3577 (*1 *1 *1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-2720 (*1 *2 *3 *1) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-5 *1 (-886 *4 *2)))) (-3638 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-1733 (*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-3299 (*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093)))) (-3171 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-4 *4 (-1093)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)))) (-2785 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1093))))) 
+(-13 (-1093) (-10 -8 (-15 -4448 ((-121) $)) (-15 -2795 ($)) (-15 -2446 ($)) (-15 -3577 ($ $ $)) (-15 -2720 ((-3 |#2| "failed") (-889 |#1|) $)) (-15 -3638 ($ (-889 |#1|) |#2| $)) (-15 -1733 ($ (-889 |#1|) |#2| $)) (-15 -3299 ($ (-889 |#1|) |#2| $ |#2|)) (-15 -3171 ((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))) $)) (-15 -3124 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 |#2|))))) (-15 -2785 ((-3 (-121) "failed") $ (-889 |#1|))))) 
+((-3055 (((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|))) 30) (((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|))) 42) (((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|)) 33)) (-2785 (((-121) (-635 |#2|) (-889 |#1|)) 39) (((-121) |#2| (-889 |#1|)) 35)) (-3021 (((-1 (-121) |#2|) (-889 |#1|)) 14)) (-3230 (((-635 |#2|) (-889 |#1|)) 23)) (-1587 (((-889 |#1|) (-889 |#1|) |#2|) 19))) 
+(((-887 |#1| |#2|) (-10 -7 (-15 -3055 ((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|)))) (-15 -3021 ((-1 (-121) |#2|) (-889 |#1|))) (-15 -2785 ((-121) |#2| (-889 |#1|))) (-15 -2785 ((-121) (-635 |#2|) (-889 |#1|))) (-15 -1587 ((-889 |#1|) (-889 |#1|) |#2|)) (-15 -3230 ((-635 |#2|) (-889 |#1|)))) (-1093) (-1199)) (T -887)) 
+((-3230 (*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-635 *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199)))) (-1587 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-887 *4 *3)) (-4 *3 (-1199)))) (-2785 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6)))) (-2785 (*1 *2 *3 *4) (-12 (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3)) (-4 *3 (-1199)))) (-3021 (*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199)))) (-3055 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-889 *5)) (-5 *3 (-635 (-1165))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-887 *5 *6)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5))))) 
+(-10 -7 (-15 -3055 ((-889 |#1|) (-889 |#1|) (-1 (-121) |#2|))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1 (-121) |#2|)))) (-15 -3055 ((-889 |#1|) (-889 |#1|) (-635 (-1165)) (-1 (-121) (-635 |#2|)))) (-15 -3021 ((-1 (-121) |#2|) (-889 |#1|))) (-15 -2785 ((-121) |#2| (-889 |#1|))) (-15 -2785 ((-121) (-635 |#2|) (-889 |#1|))) (-15 -1587 ((-889 |#1|) (-889 |#1|) |#2|)) (-15 -3230 ((-635 |#2|) (-889 |#1|)))) 
+((-4188 (((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)) 17))) 
+(((-888 |#1| |#2|) (-10 -7 (-15 -4188 ((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)))) (-1093) (-1093)) (T -888)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-889 *6)) (-5 *1 (-888 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-889 |#2|) (-1 |#2| |#1|) (-889 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-3400 (($ $ (-635 (-57))) 62)) (-3195 (((-635 $) $) 116)) (-2300 (((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $) 22)) (-1285 (((-121) $) 29)) (-1761 (($ $ (-635 (-1165)) (-57)) 24)) (-3897 (($ $ (-635 (-57))) 61)) (-3003 (((-3 |#1| "failed") $) 59) (((-3 (-1165) "failed") $) 138)) (-1321 ((|#1| $) 55) (((-1165) $) NIL)) (-1969 (($ $) 106)) (-2177 (((-121) $) 45)) (-3915 (((-635 (-57)) $) 43)) (-4408 (($ (-1165) (-121) (-121) (-121)) 63)) (-3511 (((-3 (-635 $) "failed") (-635 $)) 70)) (-2850 (((-121) $) 48)) (-4271 (((-121) $) 47)) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) 34)) (-3961 (((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $) 41)) (-3903 (((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $) 81)) (-2085 (((-3 (-635 $) "failed") $) 31)) (-3338 (((-3 (-635 $) "failed") $ (-123)) 105) (((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $) 93)) (-3039 (((-3 (-635 $) "failed") $) 35)) (-2601 (((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $) 38)) (-1341 (((-121) $) 28)) (-1912 (((-1111) $) NIL)) (-2019 (((-121) $) 20)) (-4274 (((-121) $) 44)) (-4495 (((-635 (-57)) $) 109)) (-2614 (((-121) $) 46)) (-2503 (($ (-123) (-635 $)) 90)) (-2676 (((-765) $) 27)) (-1799 (($ $) 60)) (-4035 (($ (-635 $)) 57)) (-1894 (((-121) $) 25)) (-3956 (((-852) $) 50) (($ |#1|) 18) (($ (-1165)) 64)) (-1587 (($ $ (-57)) 108)) (-2407 (($) 89 T CONST)) (-3297 (($) 71 T CONST)) (-1326 (((-121) $ $) 77)) (-1383 (($ $ $) 98)) (-1371 (($ $ $) 102)) (** (($ $ (-765)) 97) (($ $ $) 51)) (* (($ $ $) 103))) 
+(((-889 |#1|) (-13 (-1093) (-1039 |#1|) (-1039 (-1165)) (-10 -8 (-15 0 ($) -3575) (-15 1 ($) -3575) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -3338 ((-3 (-635 $) "failed") $ (-123))) (-15 -3338 ((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $)) (-15 -3961 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3039 ((-3 (-635 $) "failed") $)) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ $)) (-15 -1383 ($ $ $)) (-15 -2676 ((-765) $)) (-15 -4035 ($ (-635 $))) (-15 -1799 ($ $)) (-15 -1341 ((-121) $)) (-15 -2177 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1894 ((-121) $)) (-15 -2614 ((-121) $)) (-15 -4271 ((-121) $)) (-15 -2850 ((-121) $)) (-15 -4274 ((-121) $)) (-15 -3915 ((-635 (-57)) $)) (-15 -3897 ($ $ (-635 (-57)))) (-15 -3400 ($ $ (-635 (-57)))) (-15 -4408 ($ (-1165) (-121) (-121) (-121))) (-15 -1761 ($ $ (-635 (-1165)) (-57))) (-15 -2300 ((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $)) (-15 -2019 ((-121) $)) (-15 -1969 ($ $)) (-15 -1587 ($ $ (-57))) (-15 -4495 ((-635 (-57)) $)) (-15 -3195 ((-635 $) $)) (-15 -3511 ((-3 (-635 $) "failed") (-635 $))))) (-1093)) (T -889)) 
+((-2407 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-3297 (*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-2085 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2617 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3338 (*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-3338 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 (-889 *3))))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2601 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-765)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3961 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-889 *3)) (|:| |den| (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3039 (*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3903 (*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2503 (*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-1371 (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (* (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (** (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1383 (*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1341 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2177 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1285 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1894 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2614 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4271 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2850 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4274 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3915 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3897 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3400 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4408 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-121)) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-1761 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-57)) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) (-2300 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-2019 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-1969 (*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) (-1587 (*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-4495 (*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3195 (*1 *2 *1) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) (-3511 (*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(-13 (-1093) (-1039 |#1|) (-1039 (-1165)) (-10 -8 (-15 (-2407) ($) -3575) (-15 (-3297) ($) -3575) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -3338 ((-3 (-635 $) "failed") $ (-123))) (-15 -3338 ((-3 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 $))) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |val| $) (|:| -3190 (-765))) "failed") $)) (-15 -3961 ((-3 (-2 (|:| |num| $) (|:| |den| $)) "failed") $)) (-15 -3039 ((-3 (-635 $) "failed") $)) (-15 -3903 ((-3 (-2 (|:| |val| $) (|:| -3190 $)) "failed") $)) (-15 -2503 ($ (-123) (-635 $))) (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765))) (-15 ** ($ $ $)) (-15 -1383 ($ $ $)) (-15 -2676 ((-765) $)) (-15 -4035 ($ (-635 $))) (-15 -1799 ($ $)) (-15 -1341 ((-121) $)) (-15 -2177 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1894 ((-121) $)) (-15 -2614 ((-121) $)) (-15 -4271 ((-121) $)) (-15 -2850 ((-121) $)) (-15 -4274 ((-121) $)) (-15 -3915 ((-635 (-57)) $)) (-15 -3897 ($ $ (-635 (-57)))) (-15 -3400 ($ $ (-635 (-57)))) (-15 -4408 ($ (-1165) (-121) (-121) (-121))) (-15 -1761 ($ $ (-635 (-1165)) (-57))) (-15 -2300 ((-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57))) $)) (-15 -2019 ((-121) $)) (-15 -1969 ($ $)) (-15 -1587 ($ $ (-57))) (-15 -4495 ((-635 (-57)) $)) (-15 -3195 ((-635 $) $)) (-15 -3511 ((-3 (-635 $) "failed") (-635 $))))) 
+((-1310 (((-121) $ $) NIL)) (-3810 (((-635 |#1|) $) 16)) (-3713 (((-121) $) 38)) (-3003 (((-3 (-664 |#1|) "failed") $) 41)) (-1321 (((-664 |#1|) $) 39)) (-1864 (($ $) 18)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2210 (((-635 (-664 |#1|)) $) 23)) (-2718 (((-765) $) 45)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-664 |#1|) $) 17)) (-3956 (((-852) $) 37) (($ (-664 |#1|)) 21) (((-816 |#1|) $) 27) (($ |#1|) 20)) (-3297 (($) 8 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 11)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 48))) 
+(((-890 |#1|) (-13 (-844) (-1039 (-664 |#1|)) (-10 -8 (-15 1 ($) -3575) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ($ |#1|)) (-15 -1816 ((-664 |#1|) $)) (-15 -2718 ((-765) $)) (-15 -2210 ((-635 (-664 |#1|)) $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3810 ((-635 |#1|) $)))) (-844)) (T -890)) 
+((-3297 (*1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-3956 (*1 *1 *2) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-1816 (*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-2210 (*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-1864 (*1 *1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) (-3713 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) (-3810 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
+(-13 (-844) (-1039 (-664 |#1|)) (-10 -8 (-15 (-3297) ($) -3575) (-15 -3956 ((-816 |#1|) $)) (-15 -3956 ($ |#1|)) (-15 -1816 ((-664 |#1|) $)) (-15 -2718 ((-765) $)) (-15 -2210 ((-635 (-664 |#1|)) $)) (-15 -1864 ($ $)) (-15 -3713 ((-121) $)) (-15 -3810 ((-635 |#1|) $)))) 
+((-4532 ((|#1| |#1| |#1|) 19))) 
+(((-891 |#1| |#2|) (-10 -7 (-15 -4532 (|#1| |#1| |#1|))) (-1228 |#2|) (-1049)) (T -891)) 
+((-4532 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1228 *3))))) 
+(-10 -7 (-15 -4532 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-1550 (((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 13)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1976 (((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 12)) (-1326 (((-121) $ $) 6))) 
+(((-892) (-1284)) (T -892)) 
+((-1550 (*1 *2 *3 *4) (-12 (-4 *1 (-892)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) (-1976 (*1 *2 *3) (-12 (-4 *1 (-892)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-1037))))) 
+(-13 (-1093) (-10 -7 (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| |explanations| (-1147))) (-1061) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -1976 ((-1037) (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2969 ((|#1| |#1| (-765)) 23)) (-2487 (((-3 |#1| "failed") |#1| |#1|) 22)) (-3861 (((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765)) 26) (((-635 |#1|) |#1|) 28))) 
+(((-893 |#1| |#2|) (-10 -7 (-15 -3861 ((-635 |#1|) |#1|)) (-15 -3861 ((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765))) (-15 -2487 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2969 (|#1| |#1| (-765)))) (-1228 |#2|) (-366)) (T -893)) 
+((-2969 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *1 (-893 *2 *4)) (-4 *2 (-1228 *4)))) (-2487 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-893 *2 *3)) (-4 *2 (-1228 *3)))) (-3861 (*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-893 *3 *5)) (-4 *3 (-1228 *5)))) (-3861 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-893 *3 *4)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3861 ((-635 |#1|) |#1|)) (-15 -3861 ((-3 (-2 (|:| -3149 |#1|) (|:| -3417 |#1|)) "failed") |#1| (-765) (-765))) (-15 -2487 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2969 (|#1| |#1| (-765)))) 
+((-2880 (((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147)) 92) (((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216)) 87) (((-1037) (-895) (-1061)) 76) (((-1037) (-895)) 77)) (-1550 (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061)) 50) (((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895)) 52))) 
+(((-894) (-10 -7 (-15 -2880 ((-1037) (-895))) (-15 -2880 ((-1037) (-895) (-1061))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061))))) (T -894)) 
+((-1550 (*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) (-1550 (*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-894)))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-1037)) (-5 *1 (-894))))) 
+(-10 -7 (-15 -2880 ((-1037) (-895))) (-15 -2880 ((-1037) (-895) (-1061))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147) (-216))) (-15 -2880 ((-1037) (-382) (-382) (-382) (-382) (-765) (-765) (-635 (-311 (-382))) (-635 (-635 (-311 (-382)))) (-1147))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895))) (-15 -1550 ((-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147)))) (-895) (-1061)))) 
+((-1310 (((-121) $ $) NIL)) (-1321 (((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 12) (($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) 9)) (-1326 (((-121) $ $) NIL))) 
+(((-895) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $))))) (T -895)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-895)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) (-1321 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))))) (-15 -3956 ((-852) $)) (-15 -1321 ((-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216))) $)))) 
+((-3289 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) 10) (($ $ |#2| (-765)) 12) (($ $ (-635 |#2|) (-635 (-765))) 15)) (-3712 (($ $ |#2|) 16) (($ $ (-635 |#2|)) 18) (($ $ |#2| (-765)) 19) (($ $ (-635 |#2|) (-635 (-765))) 21))) 
+(((-896 |#1| |#2|) (-10 -8 (-15 -3712 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3712 (|#1| |#1| |#2| (-765))) (-15 -3712 (|#1| |#1| (-635 |#2|))) (-15 -3712 (|#1| |#1| |#2|)) (-15 -3289 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#2| (-765))) (-15 -3289 (|#1| |#1| (-635 |#2|))) (-15 -3289 (|#1| |#1| |#2|))) (-897 |#2|) (-1093)) (T -896)) 
+NIL 
+(-10 -8 (-15 -3712 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3712 (|#1| |#1| |#2| (-765))) (-15 -3712 (|#1| |#1| (-635 |#2|))) (-15 -3712 (|#1| |#1| |#2|)) (-15 -3289 (|#1| |#1| (-635 |#2|) (-635 (-765)))) (-15 -3289 (|#1| |#1| |#2| (-765))) (-15 -3289 (|#1| |#1| (-635 |#2|))) (-15 -3289 (|#1| |#1| |#2|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3289 (($ $ |#1|) 41) (($ $ (-635 |#1|)) 40) (($ $ |#1| (-765)) 39) (($ $ (-635 |#1|) (-635 (-765))) 38)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#1|) 37) (($ $ (-635 |#1|)) 36) (($ $ |#1| (-765)) 35) (($ $ (-635 |#1|) (-635 (-765))) 34)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-897 |#1|) (-1284) (-1093)) (T -897)) 
+((-3289 (*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3289 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) (-3712 (*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3712 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) (-3712 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093))))) 
+(-13 (-1049) (-10 -8 (-15 -3289 ($ $ |t#1|)) (-15 -3289 ($ $ (-635 |t#1|))) (-15 -3289 ($ $ |t#1| (-765))) (-15 -3289 ($ $ (-635 |t#1|) (-635 (-765)))) (-15 -3712 ($ $ |t#1|)) (-15 -3712 ($ $ (-635 |t#1|))) (-15 -3712 ($ $ |t#1| (-765))) (-15 -3712 ($ $ (-635 |t#1|) (-635 (-765)))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 26)) (-3350 (((-121) $ (-765)) NIL)) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-3800 (($ $ $) NIL (|has| $ (-6 -4572)))) (-3324 (($ $ $) NIL (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) (($ $ "left" $) NIL (|has| $ (-6 -4572))) (($ $ "right" $) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3417 (($ $) 25)) (-3639 (($ |#1|) 12) (($ $ $) 17)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-3149 (($ $) 23)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) 20)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ "value") NIL) (($ $ "left") NIL) (($ $ "right") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) 29 (|has| |#1| (-1093))) (((-1186 |#1|) $) 9)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 21 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-898 |#1|) (-13 (-128 |#1|) (-10 -8 (-15 -3639 ($ |#1|)) (-15 -3639 ($ $ $)) (-15 -3956 ((-1186 |#1|) $)))) (-1093)) (T -898)) 
+((-3639 (*1 *1 *2) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) (-3639 (*1 *1 *1 *1) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1186 *3)) (-5 *1 (-898 *3)) (-4 *3 (-1093))))) 
+(-13 (-128 |#1|) (-10 -8 (-15 -3639 ($ |#1|)) (-15 -3639 ($ $ $)) (-15 -3956 ((-1186 |#1|) $)))) 
+((-2348 ((|#2| (-1130 |#1| |#2|)) 39))) 
+(((-899 |#1| |#2|) (-10 -7 (-15 -2348 (|#2| (-1130 |#1| |#2|)))) (-919) (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (T -899)) 
+((-2348 (*1 *2 *3) (-12 (-5 *3 (-1130 *4 *2)) (-14 *4 (-919)) (-4 *2 (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (-5 *1 (-899 *4 *2))))) 
+(-10 -7 (-15 -2348 (|#2| (-1130 |#1| |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-4483 (($) 19 T CONST)) (-2611 (((-3 $ "failed") $) 15)) (-3481 (((-1095 |#1|) $ |#1|) 34)) (-3934 (((-121) $) 18)) (-2157 (($ $ $) 32 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-2713 (($ $ $) 31 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 26)) (-1912 (((-1111) $) 10)) (-1484 ((|#1| $ |#1|) 36)) (-2503 ((|#1| $ |#1|) 35)) (-3647 (($ (-635 (-635 |#1|))) 37)) (-1834 (($ (-635 |#1|)) 38)) (-3980 (($ $ $) 22)) (-2689 (($ $ $) 21)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12) (($ $ (-765)) 16) (($ $ (-569)) 23)) (-3297 (($) 20 T CONST)) (-1355 (((-121) $ $) 29 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1343 (((-121) $ $) 28 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 30 (-1929 (|has| |#1| (-844)) (|has| |#1| (-371))))) (-1337 (((-121) $ $) 33)) (-1383 (($ $ $) 25)) (** (($ $ (-919)) 13) (($ $ (-765)) 17) (($ $ (-569)) 24)) (* (($ $ $) 14))) 
+(((-900 |#1|) (-1284) (-1093)) (T -900)) 
+((-1834 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-900 *3)))) (-3647 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-4 *1 (-900 *3)))) (-1484 (*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) (-2503 (*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-1095 *3)))) (-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(-13 (-479) (-10 -8 (-15 -1834 ($ (-635 |t#1|))) (-15 -3647 ($ (-635 (-635 |t#1|)))) (-15 -1484 (|t#1| $ |t#1|)) (-15 -2503 (|t#1| $ |t#1|)) (-15 -3481 ((-1095 |t#1|) $ |t#1|)) (-15 -1337 ((-121) $ $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-371)) (-6 (-844)) |noBranch|))) 
+(((-105) . T) ((-609 (-852)) . T) ((-479) . T) ((-718) . T) ((-844) -1929 (|has| |#1| (-844)) (|has| |#1| (-371))) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1450 (((-635 (-635 (-765))) $) 106)) (-4141 (((-635 (-765)) (-902 |#1|) $) 128)) (-1769 (((-635 (-765)) (-902 |#1|) $) 129)) (-2872 (((-635 (-902 |#1|)) $) 96)) (-3341 (((-902 |#1|) $ (-569)) 101) (((-902 |#1|) $) 102)) (-4328 (($ (-635 (-902 |#1|))) 108)) (-4433 (((-765) $) 103)) (-2768 (((-1095 (-1095 |#1|)) $) 126)) (-3481 (((-1095 |#1|) $ |#1|) 119) (((-1095 (-1095 |#1|)) $ (-1095 |#1|)) 137) (((-1095 (-635 |#1|)) $ (-635 |#1|)) 140)) (-1786 (((-1095 |#1|) $) 99)) (-3016 (((-121) (-902 |#1|) $) 90)) (-2605 (((-1147) $) NIL)) (-2032 (((-1258) $) 93) (((-1258) $ (-569) (-569)) 141)) (-1912 (((-1111) $) NIL)) (-4021 (((-635 (-902 |#1|)) $) 94)) (-2503 (((-902 |#1|) $ (-765)) 97)) (-2284 (((-765) $) 104)) (-3956 (((-852) $) 117) (((-635 (-902 |#1|)) $) 22) (($ (-635 (-902 |#1|))) 107)) (-1710 (((-635 |#1|) $) 105)) (-1326 (((-121) $ $) 134)) (-1349 (((-121) $ $) 132)) (-1337 (((-121) $ $) 131))) 
+(((-901 |#1|) (-13 (-1093) (-10 -8 (-15 -3956 ((-635 (-902 |#1|)) $)) (-15 -4021 ((-635 (-902 |#1|)) $)) (-15 -2503 ((-902 |#1|) $ (-765))) (-15 -3341 ((-902 |#1|) $ (-569))) (-15 -3341 ((-902 |#1|) $)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $)) (-15 -1710 ((-635 |#1|) $)) (-15 -2872 ((-635 (-902 |#1|)) $)) (-15 -1450 ((-635 (-635 (-765))) $)) (-15 -3956 ($ (-635 (-902 |#1|)))) (-15 -4328 ($ (-635 (-902 |#1|)))) (-15 -3481 ((-1095 |#1|) $ |#1|)) (-15 -2768 ((-1095 (-1095 |#1|)) $)) (-15 -3481 ((-1095 (-1095 |#1|)) $ (-1095 |#1|))) (-15 -3481 ((-1095 (-635 |#1|)) $ (-635 |#1|))) (-15 -3016 ((-121) (-902 |#1|) $)) (-15 -4141 ((-635 (-765)) (-902 |#1|) $)) (-15 -1769 ((-635 (-765)) (-902 |#1|) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1337 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2032 ((-1258) $)) (-15 -2032 ((-1258) $ (-569) (-569))))) (-1093)) (T -901)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-4021 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) (-3341 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) (-3341 (*1 *2 *1) (-12 (-5 *2 (-902 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1710 (*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2872 (*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1450 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) (-4328 (*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2768 (*1 *2 *1) (-12 (-5 *2 (-1095 (-1095 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-1095 *4))) (-5 *1 (-901 *4)) (-5 *3 (-1095 *4)))) (-3481 (*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-635 *4))) (-5 *1 (-901 *4)) (-5 *3 (-635 *4)))) (-3016 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-901 *4)))) (-4141 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4)))) (-1769 (*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1337 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-1349 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2032 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) (-2032 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-901 *4)) (-4 *4 (-1093))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ((-635 (-902 |#1|)) $)) (-15 -4021 ((-635 (-902 |#1|)) $)) (-15 -2503 ((-902 |#1|) $ (-765))) (-15 -3341 ((-902 |#1|) $ (-569))) (-15 -3341 ((-902 |#1|) $)) (-15 -4433 ((-765) $)) (-15 -2284 ((-765) $)) (-15 -1710 ((-635 |#1|) $)) (-15 -2872 ((-635 (-902 |#1|)) $)) (-15 -1450 ((-635 (-635 (-765))) $)) (-15 -3956 ($ (-635 (-902 |#1|)))) (-15 -4328 ($ (-635 (-902 |#1|)))) (-15 -3481 ((-1095 |#1|) $ |#1|)) (-15 -2768 ((-1095 (-1095 |#1|)) $)) (-15 -3481 ((-1095 (-1095 |#1|)) $ (-1095 |#1|))) (-15 -3481 ((-1095 (-635 |#1|)) $ (-635 |#1|))) (-15 -3016 ((-121) (-902 |#1|) $)) (-15 -4141 ((-635 (-765)) (-902 |#1|) $)) (-15 -1769 ((-635 (-765)) (-902 |#1|) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1337 ((-121) $ $)) (-15 -1349 ((-121) $ $)) (-15 -2032 ((-1258) $)) (-15 -2032 ((-1258) $ (-569) (-569))))) 
+((-1310 (((-121) $ $) NIL)) (-2930 (((-635 $) (-635 $)) 76)) (-3817 (((-569) $) 59)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-4433 (((-765) $) 57)) (-3481 (((-1095 |#1|) $ |#1|) 48)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) 62)) (-2612 (((-765) $) 60)) (-1786 (((-1095 |#1|) $) 41)) (-2157 (($ $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-2713 (($ $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-3772 (((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $) 35)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 92)) (-1912 (((-1111) $) NIL)) (-2891 (((-1095 |#1|) $) 98 (|has| |#1| (-371)))) (-3912 (((-121) $) 58)) (-1484 ((|#1| $ |#1|) 46)) (-2503 ((|#1| $ |#1|) 93)) (-2284 (((-765) $) 43)) (-3647 (($ (-635 (-635 |#1|))) 84)) (-1693 (((-974) $) 52)) (-1834 (($ (-635 |#1|)) 21)) (-3980 (($ $ $) NIL)) (-2689 (($ $ $) NIL)) (-1676 (($ (-635 (-635 |#1|))) 38)) (-3629 (($ (-635 (-635 |#1|))) 87)) (-4116 (($ (-635 |#1|)) 95)) (-3956 (((-852) $) 83) (($ (-635 (-635 |#1|))) 65) (($ (-635 |#1|)) 66)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-3297 (($) 16 T CONST)) (-1355 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1326 (((-121) $ $) 44)) (-1349 (((-121) $ $) NIL (-1929 (|has| |#1| (-371)) (|has| |#1| (-844))))) (-1337 (((-121) $ $) 64)) (-1383 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ $ $) 22))) 
+(((-902 |#1|) (-13 (-900 |#1|) (-10 -8 (-15 -3772 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -1676 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 |#1|))) (-15 -3629 ($ (-635 (-635 |#1|)))) (-15 -2284 ((-765) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1693 ((-974) $)) (-15 -4433 ((-765) $)) (-15 -2612 ((-765) $)) (-15 -3817 ((-569) $)) (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $)) (-15 -2930 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2891 ((-1095 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -4116 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -4116 ($ (-635 |#1|))) |noBranch|)))) (-1093)) (T -902)) 
+((-3772 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1676 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-3629 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) (-2284 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1786 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-1693 (*1 *2 *1) (-12 (-5 *2 (-974)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-4433 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2612 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3817 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3912 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-3520 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2930 (*1 *2 *2) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) (-2891 (*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-371)) (-4 *3 (-1093)))) (-4116 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
+(-13 (-900 |#1|) (-10 -8 (-15 -3772 ((-2 (|:| |preimage| (-635 |#1|)) (|:| |image| (-635 |#1|))) $)) (-15 -1676 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 (-635 |#1|)))) (-15 -3956 ($ (-635 |#1|))) (-15 -3629 ($ (-635 (-635 |#1|)))) (-15 -2284 ((-765) $)) (-15 -1786 ((-1095 |#1|) $)) (-15 -1693 ((-974) $)) (-15 -4433 ((-765) $)) (-15 -2612 ((-765) $)) (-15 -3817 ((-569) $)) (-15 -3912 ((-121) $)) (-15 -3520 ((-121) $)) (-15 -2930 ((-635 $) (-635 $))) (IF (|has| |#1| (-371)) (-15 -2891 ((-1095 |#1|) $)) |noBranch|) (IF (|has| |#1| (-551)) (-15 -4116 ($ (-635 |#1|))) (IF (|has| |#1| (-371)) (-15 -4116 ($ (-635 |#1|))) |noBranch|)))) 
+((-1876 (((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|)) 127)) (-4326 ((|#1|) 75)) (-1331 (((-421 (-1161 |#4|)) (-1161 |#4|)) 136)) (-4202 (((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)) 67)) (-2646 (((-421 (-1161 |#4|)) (-1161 |#4|)) 146)) (-3875 (((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|) 91))) 
+(((-903 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|))) (-15 -2646 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -1331 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -4326 (|#1|)) (-15 -3875 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|)) (-15 -4202 ((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)))) (-906) (-790) (-844) (-952 |#1| |#2| |#3|)) (T -903)) 
+((-4202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-844)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-903 *5 *6 *7 *8)) (-5 *4 (-1161 *8)))) (-3875 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *5 *6 *4)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *4 (-844)) (-5 *1 (-903 *5 *6 *4 *7)))) (-4326 (*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-903 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) (-1331 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-2646 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) (-1876 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-903 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|))) (-15 -2646 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -1331 ((-421 (-1161 |#4|)) (-1161 |#4|))) (-15 -4326 (|#1|)) (-15 -3875 ((-3 (-635 (-1161 |#4|)) "failed") (-635 (-1161 |#4|)) (-1161 |#4|) |#3|)) (-15 -4202 ((-421 (-1161 |#4|)) (-635 |#3|) (-1161 |#4|)))) 
+((-1876 (((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|)) 36)) (-4326 ((|#1|) 53)) (-1331 (((-421 (-1161 |#2|)) (-1161 |#2|)) 101)) (-4202 (((-421 (-1161 |#2|)) (-1161 |#2|)) 88)) (-2646 (((-421 (-1161 |#2|)) (-1161 |#2|)) 112))) 
+(((-904 |#1| |#2|) (-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|))) (-15 -2646 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -1331 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -4326 (|#1|)) (-15 -4202 ((-421 (-1161 |#2|)) (-1161 |#2|)))) (-906) (-1228 |#1|)) (T -904)) 
+((-4202 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-4326 (*1 *2) (-12 (-4 *2 (-906)) (-5 *1 (-904 *2 *3)) (-4 *3 (-1228 *2)))) (-1331 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-2646 (*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5)))) (-1876 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-906)) (-5 *1 (-904 *4 *5))))) 
+(-10 -7 (-15 -1876 ((-3 (-635 (-1161 |#2|)) "failed") (-635 (-1161 |#2|)) (-1161 |#2|))) (-15 -2646 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -1331 ((-421 (-1161 |#2|)) (-1161 |#2|))) (-15 -4326 (|#1|)) (-15 -4202 ((-421 (-1161 |#2|)) (-1161 |#2|)))) 
+((-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 39)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 18)) (-2277 (((-3 $ "failed") $) 33))) 
+(((-905 |#1|) (-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) (-906)) (T -905)) 
+NIL 
+(-10 -8 (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 57)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 54)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2005 (((-121) $) 51)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-2769 (((-421 (-1161 $)) (-1161 $)) 55)) (-2059 (((-421 (-1161 $)) (-1161 $)) 56)) (-3139 (((-421 $) $) 48)) (-1436 (((-3 $ "failed") $ $) 41)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 53 (|has| $ (-149)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2277 (((-3 $ "failed") $) 52 (|has| $ (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-906) (-1284)) (T -906)) 
+((-2257 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-906)))) (-2501 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-2059 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-2769 (*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1)))) (-1447 (*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *1))) (-5 *3 (-1161 *1)) (-4 *1 (-906)))) (-2662 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-149)) (-4 *1 (-906)) (-5 *2 (-1253 *1)))) (-2277 (*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-906))))) 
+(-13 (-1208) (-10 -8 (-15 -2501 ((-421 (-1161 $)) (-1161 $))) (-15 -2059 ((-421 (-1161 $)) (-1161 $))) (-15 -2769 ((-421 (-1161 $)) (-1161 $))) (-15 -2257 ((-1161 $) (-1161 $) (-1161 $))) (-15 -1447 ((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $))) (IF (|has| $ (-149)) (PROGN (-15 -2662 ((-3 (-1253 $) "failed") (-681 $))) (-15 -2277 ((-3 $ "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-1402 (((-121) $) NIL)) (-4102 (((-765)) NIL)) (-3588 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-2675 (((-765)) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 $ "failed") $) NIL)) (-1321 (($ $) NIL)) (-2097 (($ (-1253 $)) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-1456 (($) NIL)) (-3462 (((-121) $) NIL)) (-3238 (($ $) NIL) (($ $ (-765)) NIL)) (-2005 (((-121) $) NIL)) (-4433 (((-830 (-919)) $) NIL) (((-919) $) NIL)) (-3934 (((-121) $) NIL)) (-4109 (($) NIL (|has| $ (-371)))) (-3761 (((-121) $) NIL (|has| $ (-371)))) (-3046 (($ $ (-919)) NIL (|has| $ (-371))) (($ $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2415 (((-1161 $) $ (-919)) NIL (|has| $ (-371))) (((-1161 $) $) NIL)) (-2862 (((-919) $) NIL)) (-2130 (((-1161 $) $) NIL (|has| $ (-371)))) (-2632 (((-3 (-1161 $) "failed") $ $) NIL (|has| $ (-371))) (((-1161 $) $) NIL (|has| $ (-371)))) (-3946 (($ $ (-1161 $)) NIL (|has| $ (-371)))) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL T CONST)) (-1333 (($ (-919)) NIL)) (-1346 (((-121) $) NIL)) (-1912 (((-1111) $) NIL)) (-1986 (($) NIL (|has| $ (-371)))) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL)) (-3139 (((-421 $) $) NIL)) (-3648 (((-919)) NIL) (((-830 (-919))) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3600 (((-3 (-765) "failed") $ $) NIL) (((-765) $) NIL)) (-2174 (((-140)) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-2284 (((-919) $) NIL) (((-830 (-919)) $) NIL)) (-3036 (((-1161 $)) NIL)) (-3563 (($) NIL)) (-2433 (($) NIL (|has| $ (-371)))) (-3672 (((-681 $) (-1253 $)) NIL) (((-1253 $) $) NIL)) (-4035 (((-569) $) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL) (($ $) NIL)) (-2320 (((-765)) NIL)) (-4079 (((-1253 $) (-919)) NIL) (((-1253 $)) NIL)) (-2909 (((-121) $ $) NIL)) (-3345 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-4167 (($ $ (-765)) NIL (|has| $ (-371))) (($ $) NIL (|has| $ (-371)))) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-907 |#1|) (-13 (-351) (-328 $) (-610 (-569))) (-919)) (T -907)) 
 NIL 
 (-13 (-351) (-328 $) (-610 (-569))) 
-((-2278 (((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)) 76)) (-3442 (((-121) (-335 |#2| |#3| |#4| |#5|)) 16)) (-2558 (((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|)) 14))) 
-(((-907 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -3442 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) (-13 (-843) (-559) (-1038 (-569))) (-433 |#1|) (-1222 |#2|) (-1222 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -907)) 
-((-2278 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *8))) (-5 *1 (-907 *4 *5 *6 *7 *8)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) (-2558 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-764)) (-5 *1 (-907 *4 *5 *6 *7 *8))))) 
-(-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -3442 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) 
-((-2278 (((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 56)) (-3442 (((-121) (-335 (-410 (-569)) |#1| |#2| |#3|)) 13)) (-2558 (((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 11))) 
-(((-908 |#1| |#2| |#3|) (-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -3442 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) (-1222 (-410 (-569))) (-1222 (-410 |#1|)) (-341 (-410 (-569)) |#1| |#2|)) (T -908)) 
-((-2278 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *6))) (-5 *1 (-908 *4 *5 *6)))) (-3442 (*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6)))) (-2558 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-764)) (-5 *1 (-908 *4 *5 *6))))) 
-(-10 -7 (-15 -2558 ((-3 (-764) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -3442 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -2278 ((-3 (-2 (|:| -2558 (-764)) (|:| -1813 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) 
-((-1739 (((-1159 |#1|) |#2|) 36)) (-2894 ((|#2| |#2| (-635 |#1|)) 59) ((|#2| |#2| (-635 |#1|) (-569)) 61)) (-4011 (((-764) |#2|) 70)) (-4133 ((|#2| |#2| |#2| (-569)) 51)) (-3840 ((|#2| |#2| |#2|) 49)) (-2636 ((|#2| |#2| |#2|) 48)) (-2829 ((|#2| |#2| (-569)) 64)) (-1521 ((|#2| |#2| (-569)) 60)) (-2086 (((-635 |#2|) |#2|) 15)) (-2951 ((|#2| |#2|) 82)) (-2658 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-4103 (((-635 |#2|)) 26)) (-3780 (((-635 |#3|) (-569)) 92)) (-2255 (((-635 |#2|) (-764)) 93)) (-3875 ((|#2| |#2| (-569)) 71)) (-4047 ((|#3| |#2|) NIL)) (-3324 (((-764) |#2|) 83)) (-2492 (((-764) |#2| (-569)) 67)) (-3362 ((|#1| |#2| (-918)) 80)) (-2043 ((|#1| |#2|) 81))) 
-(((-909 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2658 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2492 ((-764) |#2| (-569))) (-15 -1739 ((-1159 |#1|) |#2|)) (-15 -4011 ((-764) |#2|)) (-15 -2636 (|#2| |#2| |#2|)) (-15 -3840 (|#2| |#2| |#2|)) (-15 -4133 (|#2| |#2| |#2| (-569))) (-15 -2951 (|#2| |#2|)) (-15 -4047 (|#3| |#2|)) (-15 -2829 (|#2| |#2| (-569))) (-15 -1521 (|#2| |#2| (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|))) (-15 -3362 (|#1| |#2| (-918))) (-15 -2043 (|#1| |#2|)) (-15 -3875 (|#2| |#2| (-569))) (-15 -3780 ((-635 |#3|) (-569))) (-15 -2255 ((-635 |#2|) (-764))) (-15 -3324 ((-764) |#2|)) (-15 -4103 ((-635 |#2|))) (-15 -2086 ((-635 |#2|) |#2|))) (-1048) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764)) (T -909)) 
-((-2086 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *3)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-4103 (*1 *2) (-12 (-4 *3 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *4)) (-5 *1 (-909 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5)))) (-3324 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2255 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3780 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *2 (-635 *6)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3875 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2043 (*1 *2 *3) (-12 (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) (-3362 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5)))) (-2894 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2894 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-909 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) (-1521 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2829 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-4047 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-231 *5 (-764))) (-5 *1 (-909 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-764)))) (-2951 (*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4133 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3840 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-2636 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4011 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1739 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2492 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-909 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) (-2658 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(-10 -7 (-15 -2658 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2492 ((-764) |#2| (-569))) (-15 -1739 ((-1159 |#1|) |#2|)) (-15 -4011 ((-764) |#2|)) (-15 -2636 (|#2| |#2| |#2|)) (-15 -3840 (|#2| |#2| |#2|)) (-15 -4133 (|#2| |#2| |#2| (-569))) (-15 -2951 (|#2| |#2|)) (-15 -4047 (|#3| |#2|)) (-15 -2829 (|#2| |#2| (-569))) (-15 -1521 (|#2| |#2| (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2894 (|#2| |#2| (-635 |#1|))) (-15 -3362 (|#1| |#2| (-918))) (-15 -2043 (|#1| |#2|)) (-15 -3875 (|#2| |#2| (-569))) (-15 -3780 ((-635 |#3|) (-569))) (-15 -2255 ((-635 |#2|) (-764))) (-15 -3324 ((-764) |#2|)) (-15 -4103 ((-635 |#2|))) (-15 -2086 ((-635 |#2|) |#2|))) 
-((-2466 ((|#2| |#2|) 25)) (-3634 (((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) 15)) (-3105 (((-918) (-569)) 35)) (-3848 (((-569) |#2|) 42)) (-3668 (((-569) |#2|) 21) (((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|) 20))) 
-(((-910 |#1| |#2|) (-10 -7 (-15 -3105 ((-918) (-569))) (-15 -3668 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3668 ((-569) |#2|)) (-15 -3634 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -3848 ((-569) |#2|)) (-15 -2466 (|#2| |#2|))) (-1222 (-410 (-569))) (-1222 (-410 |#1|))) (T -910)) 
-((-2466 (*1 *2 *2) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *1 (-910 *3 *2)) (-4 *2 (-1222 (-410 *3))))) (-3848 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-3634 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4))))) (-3668 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4))))) (-3668 (*1 *2 *3) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-910 *3 *4)) (-4 *4 (-1222 (-410 *3))))) (-3105 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 (-410 *3))) (-5 *2 (-918)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
-(-10 -7 (-15 -3105 ((-918) (-569))) (-15 -3668 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3668 ((-569) |#2|)) (-15 -3634 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -3848 ((-569) |#2|)) (-15 -2466 (|#2| |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 ((|#1| $) 80)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-2506 (($ $ $) NIL)) (-3428 (((-3 $ "failed") $) 74)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2015 (($ |#1| (-421 |#1|)) 72)) (-4394 (((-1159 |#1|) |#1| |#1|) 40)) (-3017 (($ $) 48)) (-1407 (((-121) $) NIL)) (-3888 (((-569) $) 77)) (-3921 (($ $ (-569)) 79)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2959 ((|#1| $) 76)) (-1287 (((-421 |#1|) $) 75)) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) 73)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2963 (($ $) 38)) (-2185 (((-851) $) 98) (($ (-569)) 53) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 30) (((-410 |#1|) $) 58) (($ (-410 (-421 |#1|))) 66)) (-1991 (((-764)) 51)) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 23 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (($ $ $) NIL)) (-1711 (($ $) 87) (($ $ $) NIL)) (-1707 (($ $ $) 37)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 89) (($ $ $) 36) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
-(((-911 |#1|) (-13 (-366) (-43 |#1|) (-10 -8 (-15 -2185 ((-410 |#1|) $)) (-15 -2185 ($ (-410 (-421 |#1|)))) (-15 -2963 ($ $)) (-15 -1287 ((-421 |#1|) $)) (-15 -2959 (|#1| $)) (-15 -3921 ($ $ (-569))) (-15 -3888 ((-569) $)) (-15 -4394 ((-1159 |#1|) |#1| |#1|)) (-15 -3017 ($ $)) (-15 -2015 ($ |#1| (-421 |#1|))) (-15 -3761 (|#1| $)))) (-302)) (T -911)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-911 *3)))) (-2963 (*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-1287 (*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-2959 (*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-3921 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-3888 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-4394 (*1 *2 *3 *3) (-12 (-5 *2 (-1159 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) (-3017 (*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) (-2015 (*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-911 *2)))) (-3761 (*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
-(-13 (-366) (-43 |#1|) (-10 -8 (-15 -2185 ((-410 |#1|) $)) (-15 -2185 ($ (-410 (-421 |#1|)))) (-15 -2963 ($ $)) (-15 -1287 ((-421 |#1|) $)) (-15 -2959 (|#1| $)) (-15 -3921 ($ $ (-569))) (-15 -3888 ((-569) $)) (-15 -4394 ((-1159 |#1|) |#1| |#1|)) (-15 -3017 ($ $)) (-15 -2015 ($ |#1| (-421 |#1|))) (-15 -3761 (|#1| $)))) 
-((-2015 (((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)) 16) (((-57) (-410 (-954 |#1|)) (-1163)) 17))) 
-(((-912 |#1|) (-10 -7 (-15 -2015 ((-57) (-410 (-954 |#1|)) (-1163))) (-15 -2015 ((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)))) (-13 (-302) (-151))) (T -912)) 
-((-2015 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-954 *6))) (-5 *5 (-1163)) (-5 *3 (-954 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *6)))) (-2015 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *5))))) 
-(-10 -7 (-15 -2015 ((-57) (-410 (-954 |#1|)) (-1163))) (-15 -2015 ((-57) (-954 |#1|) (-421 (-954 |#1|)) (-1163)))) 
-((-2967 ((|#4| (-635 |#4|)) 118) (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-2714 (((-1159 |#4|) (-635 (-1159 |#4|))) 111) (((-1159 |#4|) (-1159 |#4|) (-1159 |#4|)) 48) ((|#4| (-635 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
-(((-913 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2714 (|#4| |#4| |#4|)) (-15 -2714 (|#4| (-635 |#4|))) (-15 -2714 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2714 ((-1159 |#4|) (-635 (-1159 |#4|)))) (-15 -2967 (|#4| |#4| |#4|)) (-15 -2967 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2967 (|#4| (-635 |#4|)))) (-789) (-843) (-302) (-951 |#3| |#1| |#2|)) (T -913)) 
-((-2967 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) (-2967 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) (-2967 (*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 (-1159 *7))) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-1159 *7)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) (-2714 (*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) (-2714 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) (-2714 (*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4))))) 
-(-10 -7 (-15 -2714 (|#4| |#4| |#4|)) (-15 -2714 (|#4| (-635 |#4|))) (-15 -2714 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2714 ((-1159 |#4|) (-635 (-1159 |#4|)))) (-15 -2967 (|#4| |#4| |#4|)) (-15 -2967 ((-1159 |#4|) (-1159 |#4|) (-1159 |#4|))) (-15 -2967 (|#4| (-635 |#4|)))) 
-((-4094 (((-900 (-569)) (-973)) 22) (((-900 (-569)) (-635 (-569))) 19)) (-1347 (((-900 (-569)) (-635 (-569))) 46) (((-900 (-569)) (-918)) 47)) (-3980 (((-900 (-569))) 23)) (-2775 (((-900 (-569))) 36) (((-900 (-569)) (-635 (-569))) 35)) (-1353 (((-900 (-569))) 34) (((-900 (-569)) (-635 (-569))) 33)) (-4097 (((-900 (-569))) 32) (((-900 (-569)) (-635 (-569))) 31)) (-3990 (((-900 (-569))) 30) (((-900 (-569)) (-635 (-569))) 29)) (-3543 (((-900 (-569))) 28) (((-900 (-569)) (-635 (-569))) 27)) (-1623 (((-900 (-569))) 38) (((-900 (-569)) (-635 (-569))) 37)) (-4504 (((-900 (-569)) (-635 (-569))) 50) (((-900 (-569)) (-918)) 51)) (-4350 (((-900 (-569)) (-635 (-569))) 48) (((-900 (-569)) (-918)) 49)) (-3453 (((-900 (-569)) (-635 (-569))) 43) (((-900 (-569)) (-918)) 45)) (-3144 (((-900 (-569)) (-635 (-918))) 40))) 
-(((-914) (-10 -7 (-15 -1347 ((-900 (-569)) (-918))) (-15 -1347 ((-900 (-569)) (-635 (-569)))) (-15 -3453 ((-900 (-569)) (-918))) (-15 -3453 ((-900 (-569)) (-635 (-569)))) (-15 -3144 ((-900 (-569)) (-635 (-918)))) (-15 -4350 ((-900 (-569)) (-918))) (-15 -4350 ((-900 (-569)) (-635 (-569)))) (-15 -4504 ((-900 (-569)) (-918))) (-15 -4504 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)))) (-15 -3990 ((-900 (-569)) (-635 (-569)))) (-15 -3990 ((-900 (-569)))) (-15 -4097 ((-900 (-569)) (-635 (-569)))) (-15 -4097 ((-900 (-569)))) (-15 -1353 ((-900 (-569)) (-635 (-569)))) (-15 -1353 ((-900 (-569)))) (-15 -2775 ((-900 (-569)) (-635 (-569)))) (-15 -2775 ((-900 (-569)))) (-15 -1623 ((-900 (-569)) (-635 (-569)))) (-15 -1623 ((-900 (-569)))) (-15 -3980 ((-900 (-569)))) (-15 -4094 ((-900 (-569)) (-635 (-569)))) (-15 -4094 ((-900 (-569)) (-973))))) (T -914)) 
-((-4094 (*1 *2 *3) (-12 (-5 *3 (-973)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4094 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3980 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1623 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1623 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-2775 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-2775 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1353 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1353 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4097 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4097 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3990 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3990 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3543 (*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3543 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4504 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4504 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4350 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-4350 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3144 (*1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3453 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-3453 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1347 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) (-1347 (*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(-10 -7 (-15 -1347 ((-900 (-569)) (-918))) (-15 -1347 ((-900 (-569)) (-635 (-569)))) (-15 -3453 ((-900 (-569)) (-918))) (-15 -3453 ((-900 (-569)) (-635 (-569)))) (-15 -3144 ((-900 (-569)) (-635 (-918)))) (-15 -4350 ((-900 (-569)) (-918))) (-15 -4350 ((-900 (-569)) (-635 (-569)))) (-15 -4504 ((-900 (-569)) (-918))) (-15 -4504 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)) (-635 (-569)))) (-15 -3543 ((-900 (-569)))) (-15 -3990 ((-900 (-569)) (-635 (-569)))) (-15 -3990 ((-900 (-569)))) (-15 -4097 ((-900 (-569)) (-635 (-569)))) (-15 -4097 ((-900 (-569)))) (-15 -1353 ((-900 (-569)) (-635 (-569)))) (-15 -1353 ((-900 (-569)))) (-15 -2775 ((-900 (-569)) (-635 (-569)))) (-15 -2775 ((-900 (-569)))) (-15 -1623 ((-900 (-569)) (-635 (-569)))) (-15 -1623 ((-900 (-569)))) (-15 -3980 ((-900 (-569)))) (-15 -4094 ((-900 (-569)) (-635 (-569)))) (-15 -4094 ((-900 (-569)) (-973)))) 
-((-3933 (((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))) 10)) (-3196 (((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))) 9))) 
-(((-915 |#1|) (-10 -7 (-15 -3196 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3933 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))))) (-454)) (T -915)) 
-((-3933 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4)))) (-3196 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
-(-10 -7 (-15 -3196 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3933 ((-635 (-954 |#1|)) (-635 (-954 |#1|)) (-635 (-1163))))) 
-((-2185 (((-311 |#1|) (-490)) 15))) 
-(((-916 |#1|) (-10 -7 (-15 -2185 ((-311 |#1|) (-490)))) (-13 (-843) (-559))) (T -916)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-916 *4)) (-4 *4 (-13 (-843) (-559)))))) 
-(-10 -7 (-15 -2185 ((-311 |#1|) (-490)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-917) (-1278)) (T -917)) 
-((-4332 (*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *2 (-2 (|:| -4140 (-635 *1)) (|:| -1809 *1))) (-5 *3 (-635 *1)))) (-4074 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-917))))) 
-(-13 (-454) (-10 -8 (-15 -4332 ((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $))) (-15 -4074 ((-3 (-635 $) "failed") (-635 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2714 (($ $ $) NIL)) (-2185 (((-851) $) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-1556 (($) NIL T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ $ $) NIL))) 
-(((-918) (-13 (-25) (-843) (-717) (-10 -8 (-15 -2714 ($ $ $)) (-6 (-4537 "*"))))) (T -918)) 
-((-2714 (*1 *1 *1 *1) (-5 *1 (-918)))) 
-(-13 (-25) (-843) (-717) (-10 -8 (-15 -2714 ($ $ $)) (-6 (-4537 "*")))) 
-((-2497 ((|#2| (-635 |#1|) (-635 |#1|)) 22))) 
-(((-919 |#1| |#2|) (-10 -7 (-15 -2497 (|#2| (-635 |#1|) (-635 |#1|)))) (-366) (-1222 |#1|)) (T -919)) 
-((-2497 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1222 *4)) (-5 *1 (-919 *4 *2))))) 
-(-10 -7 (-15 -2497 (|#2| (-635 |#1|) (-635 |#1|)))) 
-((-2479 (((-1159 |#2|) (-635 |#2|) (-635 |#2|)) 17) (((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|)) 13))) 
-(((-920 |#1| |#2|) (-10 -7 (-15 -2479 ((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -2479 ((-1159 |#2|) (-635 |#2|) (-635 |#2|)))) (-1163) (-366)) (T -920)) 
-((-2479 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1159 *5)) (-5 *1 (-920 *4 *5)) (-14 *4 (-1163)))) (-2479 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1219 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1163)) (-4 *5 (-366)) (-5 *1 (-920 *4 *5))))) 
-(-10 -7 (-15 -2479 ((-1219 |#1| |#2|) (-1219 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -2479 ((-1159 |#2|) (-635 |#2|) (-635 |#2|)))) 
-((-2568 (((-121) $ $) 7)) (-2145 (((-1252) $ (-635 |#2|)) 19)) (-4147 (((-635 $)) 14)) (-2162 (((-1252) $ (-918)) 18)) (-1774 (((-237 $) (-635 $)) 23)) (-3028 (((-635 |#2|) $) 20)) (-3486 (((-121) $) 17)) (-2776 (((-1145) $) 9)) (-3584 (((-1252) $) 16)) (-3360 (((-1109) $) 10)) (-2188 (((-635 $)) 15)) (-1534 ((|#1| $ (-569)) 13)) (-2492 (((-918) $) 12)) (-2946 (($ (-635 |#1|)) 22) (($ (-1163)) 21)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6)) (-1711 (((-237 $) $ $) 28) (((-237 $) (-237 $) $) 27) (((-237 $) $ (-237 $)) 26) (((-237 $) $) 25)) (-1707 (((-237 $) $ $) 31) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 24))) 
-(((-921 |#1| |#2|) (-1278) (-366) (-642 |t#1|)) (T -921)) 
-((-1707 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (-1707 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1707 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (-1711 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1711 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-921 *4 *5)))) (-1774 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) (-2946 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) (-2946 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) (-3028 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4)))) (-2145 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252)))) (-2162 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252)))) (-3486 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) (-3584 (*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1252)))) (-2188 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4)))) (-4147 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-921 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366))))) 
-(-13 (-1089) (-10 -8 (-15 -1707 ((-237 $) $ $)) (-15 -1707 ((-237 $) (-237 $) $)) (-15 -1707 ((-237 $) $ (-237 $))) (-15 -1711 ((-237 $) $ $)) (-15 -1711 ((-237 $) (-237 $) $)) (-15 -1711 ((-237 $) $ (-237 $))) (-15 -1711 ((-237 $) $)) (-15 * ((-237 $) (-569) $)) (-15 -1774 ((-237 $) (-635 $))) (-15 -2946 ($ (-635 |t#1|))) (-15 -2946 ($ (-1163))) (-15 -3028 ((-635 |t#2|) $)) (-15 -2145 ((-1252) $ (-635 |t#2|))) (-15 -2162 ((-1252) $ (-918))) (-15 -3486 ((-121) $)) (-15 -3584 ((-1252) $)) (-15 -2188 ((-635 $))) (-15 -4147 ((-635 $))) (-15 -1534 (|t#1| $ (-569))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 (-775 |#1|))) NIL)) (-4147 (((-635 $)) NIL)) (-2162 (((-1252) $ (-918)) NIL)) (-1774 (((-237 $) (-635 $)) NIL)) (-3028 (((-635 (-775 |#1|)) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) NIL)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2946 (($ (-635 |#1|)) NIL) (($ (-1163)) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1707 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
-(((-922 |#1|) (-921 |#1| (-775 |#1|)) (-366)) (T -922)) 
-NIL 
-(-921 |#1| (-775 |#1|)) 
-((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 (-775 (-858 |#1|)))) NIL)) (-4147 (((-635 $)) NIL)) (-2162 (((-1252) $ (-918)) NIL)) (-1774 (((-237 $) (-635 $)) NIL)) (-3028 (((-635 (-775 (-858 |#1|))) $) NIL)) (-3486 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) NIL)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2946 (($ (-635 (-858 |#1|))) NIL) (($ (-1163)) NIL)) (-2185 (((-851) $) NIL)) (-1668 (((-121) $ $) NIL)) (-1711 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1707 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
-(((-923 |#1|) (-921 (-858 |#1|) (-775 (-858 |#1|))) (-351)) (T -923)) 
-NIL 
-(-921 (-858 |#1|) (-775 (-858 |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-2145 (((-1252) $ (-635 |#2|)) 73)) (-4147 (((-635 $)) 62)) (-2162 (((-1252) $ (-918)) 71)) (-1774 (((-237 $) (-635 $)) 27)) (-3028 (((-635 |#2|) $) 74)) (-3486 (((-121) $) 54)) (-2776 (((-1145) $) NIL)) (-3584 (((-1252) $) 57)) (-3360 (((-1109) $) NIL)) (-2188 (((-635 $)) 59)) (-1534 ((|#1| $ (-569)) 53)) (-2492 (((-918) $) 42)) (-2946 (($ (-635 |#1|)) 69) (($ (-1163)) 70)) (-2185 (((-851) $) 45)) (-1668 (((-121) $ $) 50)) (-1711 (((-237 $) $ $) 18) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 31) (((-237 $) $) 33)) (-1707 (((-237 $) $ $) 16) (((-237 $) (-237 $) $) 28) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 21))) 
-(((-924 |#1| |#2|) (-921 |#1| |#2|) (-366) (-642 |#1|)) (T -924)) 
-NIL 
-(-921 |#1| |#2|) 
-((-4355 (((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145)) 137)) (-4425 ((|#4| |#4|) 153)) (-1335 (((-635 (-410 (-954 |#1|))) (-635 (-1163))) 116)) (-2294 (((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569)) 73)) (-2600 (((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|)) 57)) (-2057 (((-680 |#4|) (-680 |#4|) (-635 |#4|)) 53)) (-2219 (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145)) 149)) (-3046 (((-569) (-680 |#4|) (-918) (-1145)) 130) (((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145)) 129) (((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145)) 128) (((-569) (-680 |#4|) (-1145)) 125) (((-569) (-680 |#4|) (-635 (-1163)) (-1145)) 124) (((-569) (-680 |#4|) (-635 |#4|) (-1145)) 123) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918)) 122) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918)) 121) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918)) 120) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|)) 118) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163))) 117) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|)) 114)) (-1522 ((|#4| (-954 |#1|)) 66)) (-3823 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 150)) (-1510 (((-635 (-635 (-569))) (-569) (-569)) 127)) (-1444 (((-635 (-635 |#4|)) (-635 (-635 |#4|))) 85)) (-2457 (((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 83)) (-4078 (((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 82)) (-3109 (((-121) (-635 (-954 |#1|))) 17) (((-121) (-635 |#4|)) 13)) (-2273 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|)) 69)) (-2813 (((-635 |#4|) |#4|) 47)) (-4054 (((-635 (-410 (-954 |#1|))) (-635 |#4|)) 112) (((-680 (-410 (-954 |#1|))) (-680 |#4|)) 54) (((-410 (-954 |#1|)) |#4|) 109)) (-1611 (((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569)) 89)) (-1316 (((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764)) 81)) (-3789 (((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764)) 98)) (-2656 (((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) 46))) 
-(((-925 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-918) (-1145))) (-15 -4355 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -2219 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -1611 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569))) (-15 -4054 ((-410 (-954 |#1|)) |#4|)) (-15 -4054 ((-680 (-410 (-954 |#1|))) (-680 |#4|))) (-15 -4054 ((-635 (-410 (-954 |#1|))) (-635 |#4|))) (-15 -1335 ((-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1522 (|#4| (-954 |#1|))) (-15 -2273 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -1316 ((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764))) (-15 -2600 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|))) (-15 -2656 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -2813 ((-635 |#4|) |#4|)) (-15 -4078 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2457 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -1444 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -1510 ((-635 (-635 (-569))) (-569) (-569))) (-15 -3823 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -3789 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764))) (-15 -2057 ((-680 |#4|) (-680 |#4|) (-635 |#4|))) (-15 -2294 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569))) (-15 -4425 (|#4| |#4|)) (-15 -3109 ((-121) (-635 |#4|))) (-15 -3109 ((-121) (-635 (-954 |#1|))))) (-13 (-302) (-151)) (-13 (-843) (-610 (-1163))) (-789) (-951 |#1| |#3| |#2|)) (T -925)) 
-((-3109 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-3109 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)))) (-4425 (*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *2)) (-4 *2 (-951 *3 *5 *4)))) (-2294 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-680 *12)) (-5 *5 (-635 (-410 (-954 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-764)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-951 *9 *11 *10)) (-4 *10 (-13 (-843) (-610 (-1163)))) (-4 *11 (-789)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-954 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *9)))) (|:| -3930 (-635 (-1247 (-410 (-954 *9))))))))) (-5 *1 (-925 *9 *10 *11 *12)))) (-2057 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *7)) (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7)))) (-3789 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-764)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3823 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *5 *6 *7 *8)))) (-1510 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *6 *5)))) (-1444 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-951 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *6)))) (-2457 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7)))) (-4078 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7)))) (-2813 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 *3)) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) (-2656 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3477 (-680 (-410 (-954 *4)))) (|:| |vec| (-635 (-410 (-954 *4)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-2600 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-951 *4 *6 *5)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7)))) (-1316 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-764)))) (-2273 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-4 *7 (-951 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-1522 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-951 *4 *6 *5)) (-5 *1 (-925 *4 *5 *6 *2)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)))) (-1335 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-4054 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) (-4054 (*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-680 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) (-4054 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-410 (-954 *4))) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) (-1611 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-680 *11)) (-5 *4 (-635 (-410 (-954 *8)))) (-5 *5 (-764)) (-5 *6 (-1145)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-951 *8 *10 *9)) (-4 *9 (-13 (-843) (-610 (-1163)))) (-4 *10 (-789)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-954 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *8)))) (|:| -3930 (-635 (-1247 (-410 (-954 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-925 *8 *9 *10 *11)) (-5 *7 (-569)))) (-2219 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5)))) (-4355 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *4 (-1145)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-951 *5 *7 *6)) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-918)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) (-3046 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 *10)) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-1145)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-918)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)))) (-3046 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) (-3046 (*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-635 (-1163))) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) (-3046 (*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(-10 -7 (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 |#4|) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-635 (-1163)) (-918))) (-15 -3046 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-680 |#4|) (-918))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 |#4|) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-635 (-1163)) (-918) (-1145))) (-15 -3046 ((-569) (-680 |#4|) (-918) (-1145))) (-15 -4355 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -2219 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|))))))))) (-1145))) (-15 -1611 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))))) (|:| |rgsz| (-569))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-764) (-1145) (-569))) (-15 -4054 ((-410 (-954 |#1|)) |#4|)) (-15 -4054 ((-680 (-410 (-954 |#1|))) (-680 |#4|))) (-15 -4054 ((-635 (-410 (-954 |#1|))) (-635 |#4|))) (-15 -1335 ((-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1522 (|#4| (-954 |#1|))) (-15 -2273 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -1316 ((-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-680 |#4|) (-764))) (-15 -2600 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-635 |#4|))) (-15 -2656 ((-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))) (-2 (|:| -3477 (-680 (-410 (-954 |#1|)))) (|:| |vec| (-635 (-410 (-954 |#1|)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -2813 ((-635 |#4|) |#4|)) (-15 -4078 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2457 ((-764) (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -1444 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -1510 ((-635 (-635 (-569))) (-569) (-569))) (-15 -3823 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -3789 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-680 |#4|) (-764))) (-15 -2057 ((-680 |#4|) (-680 |#4|) (-635 |#4|))) (-15 -2294 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-954 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 |#1|)))) (|:| -3930 (-635 (-1247 (-410 (-954 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-680 |#4|) (-635 (-410 (-954 |#1|))) (-635 (-635 |#4|)) (-764) (-764) (-569))) (-15 -4425 (|#4| |#4|)) (-15 -3109 ((-121) (-635 |#4|))) (-15 -3109 ((-121) (-635 (-954 |#1|))))) 
-((-4388 (((-928) |#1| (-1163)) 16) (((-928) |#1| (-1163) (-1085 (-216))) 20)) (-4438 (((-928) |#1| |#1| (-1163) (-1085 (-216))) 18) (((-928) |#1| (-1163) (-1085 (-216))) 14))) 
-(((-926 |#1|) (-10 -7 (-15 -4438 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4438 ((-928) |#1| |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163)))) (-610 (-542))) (T -926)) 
-((-4388 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4388 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4438 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) (-4438 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542)))))) 
-(-10 -7 (-15 -4438 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4438 ((-928) |#1| |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163) (-1085 (-216)))) (-15 -4388 ((-928) |#1| (-1163)))) 
-((-2798 (($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 68)) (-3080 (((-1085 (-216)) $) 40)) (-3740 (((-1085 (-216)) $) 39)) (-3495 (((-1085 (-216)) $) 38)) (-2068 (((-635 (-635 (-216))) $) 43)) (-2914 (((-1085 (-216)) $) 41)) (-2274 (((-569) (-569)) 32)) (-1800 (((-569) (-569)) 28)) (-4143 (((-569) (-569)) 30)) (-2425 (((-121) (-121)) 35)) (-2647 (((-569)) 31)) (-1595 (($ $ (-1085 (-216))) 71) (($ $) 72)) (-1857 (($ (-1 (-945 (-216)) (-216)) (-1085 (-216))) 76) (($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 77)) (-4438 (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216))) 79) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 80) (($ $ (-1085 (-216))) 74)) (-1887 (((-569)) 36)) (-3395 (((-569)) 27)) (-1728 (((-569)) 29)) (-2707 (((-635 (-635 (-945 (-216)))) $) 92)) (-2353 (((-121) (-121)) 37)) (-2185 (((-851) $) 91)) (-2154 (((-121)) 34))) 
-(((-927) (-13 (-976) (-10 -8 (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2068 ((-635 (-635 (-216))) $)) (-15 -3395 ((-569))) (-15 -1800 ((-569) (-569))) (-15 -1728 ((-569))) (-15 -4143 ((-569) (-569))) (-15 -2647 ((-569))) (-15 -2274 ((-569) (-569))) (-15 -2154 ((-121))) (-15 -2425 ((-121) (-121))) (-15 -1887 ((-569))) (-15 -2353 ((-121) (-121)))))) (T -927)) 
-((-1857 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-1857 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) (-4438 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-2798 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-1595 (*1 *1 *1) (-5 *1 (-927))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) (-2068 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-927)))) (-3395 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-1800 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-1728 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-4143 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2647 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2274 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2154 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-2425 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927)))) (-1887 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927)))) (-2353 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(-13 (-976) (-10 -8 (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2068 ((-635 (-635 (-216))) $)) (-15 -3395 ((-569))) (-15 -1800 ((-569) (-569))) (-15 -1728 ((-569))) (-15 -4143 ((-569) (-569))) (-15 -2647 ((-569))) (-15 -2274 ((-569) (-569))) (-15 -2154 ((-121))) (-15 -2425 ((-121) (-121))) (-15 -1887 ((-569))) (-15 -2353 ((-121) (-121))))) 
-((-2798 (($ $ (-1085 (-216))) 69) (($ $ (-1085 (-216)) (-1085 (-216))) 70)) (-3740 (((-1085 (-216)) $) 43)) (-3495 (((-1085 (-216)) $) 42)) (-2914 (((-1085 (-216)) $) 44)) (-3489 (((-569) (-569)) 36)) (-2682 (((-569) (-569)) 32)) (-4396 (((-569) (-569)) 34)) (-3970 (((-121) (-121)) 38)) (-4319 (((-569)) 35)) (-1595 (($ $ (-1085 (-216))) 73) (($ $) 74)) (-1857 (($ (-1 (-945 (-216)) (-216)) (-1085 (-216))) 83) (($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 84)) (-4388 (($ (-1 (-216) (-216)) (-1085 (-216))) 91) (($ (-1 (-216) (-216))) 94)) (-4438 (($ (-1 (-216) (-216)) (-1085 (-216))) 78) (($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216))) 79) (($ (-635 (-1 (-216) (-216))) (-1085 (-216))) 86) (($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216))) 87) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216))) 80) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216))) 81) (($ $ (-1085 (-216))) 75)) (-1369 (((-121) $) 39)) (-2739 (((-569)) 40)) (-2795 (((-569)) 31)) (-1329 (((-569)) 33)) (-2707 (((-635 (-635 (-945 (-216)))) $) 22)) (-2105 (((-121) (-121)) 41)) (-2185 (((-851) $) 105)) (-3999 (((-121)) 37))) 
-(((-928) (-13 (-956) (-10 -8 (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -1369 ((-121) $)) (-15 -2798 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2795 ((-569))) (-15 -2682 ((-569) (-569))) (-15 -1329 ((-569))) (-15 -4396 ((-569) (-569))) (-15 -4319 ((-569))) (-15 -3489 ((-569) (-569))) (-15 -3999 ((-121))) (-15 -3970 ((-121) (-121))) (-15 -2739 ((-569))) (-15 -2105 ((-121) (-121)))))) (T -928)) 
-((-4438 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-1857 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-1857 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4388 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) (-4388 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-928)))) (-4438 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1369 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-2798 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-2798 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1595 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-1595 (*1 *1 *1) (-5 *1 (-928))) (-2914 (*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) (-2795 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2682 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1329 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-4396 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-4319 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3489 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3999 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-3970 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-2739 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2105 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(-13 (-956) (-10 -8 (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)))) (-15 -4438 ($ (-635 (-1 (-216) (-216))) (-1085 (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4438 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)))) (-15 -1857 ($ (-1 (-945 (-216)) (-216)) (-1085 (-216)) (-1085 (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)) (-1085 (-216)))) (-15 -4388 ($ (-1 (-216) (-216)))) (-15 -4438 ($ $ (-1085 (-216)))) (-15 -1369 ((-121) $)) (-15 -2798 ($ $ (-1085 (-216)))) (-15 -2798 ($ $ (-1085 (-216)) (-1085 (-216)))) (-15 -1595 ($ $ (-1085 (-216)))) (-15 -1595 ($ $)) (-15 -2914 ((-1085 (-216)) $)) (-15 -2795 ((-569))) (-15 -2682 ((-569) (-569))) (-15 -1329 ((-569))) (-15 -4396 ((-569) (-569))) (-15 -4319 ((-569))) (-15 -3489 ((-569) (-569))) (-15 -3999 ((-121))) (-15 -3970 ((-121) (-121))) (-15 -2739 ((-569))) (-15 -2105 ((-121) (-121))))) 
-((-2768 (((-635 (-1085 (-216))) (-635 (-635 (-945 (-216))))) 23))) 
-(((-929) (-10 -7 (-15 -2768 ((-635 (-1085 (-216))) (-635 (-635 (-945 (-216)))))))) (T -929)) 
-((-2768 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-1085 (-216)))) (-5 *1 (-929))))) 
-(-10 -7 (-15 -2768 ((-635 (-1085 (-216))) (-635 (-635 (-945 (-216))))))) 
-((-1992 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-569)) 20)) (-3541 (((-121) (-635 |#2|) |#5|) 23)) (-2646 (((-764) |#2| |#5| (-569)) 42) (((-764) |#2| |#5|) 41)) (-2951 ((|#2| |#2| |#5| (-569)) 45) ((|#2| |#2| |#5|) 44)) (-1468 ((|#1| |#2| |#5|) 21))) 
-(((-930 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3541 ((-121) (-635 |#2|) |#5|)) (-15 -1468 (|#1| |#2| |#5|)) (-15 -1992 (|#2| |#2| |#5| (-569))) (-15 -1992 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5| (-569))) (-15 -2646 ((-764) |#2| |#5|)) (-15 -2646 ((-764) |#2| |#5| (-569)))) (-366) (-325 |#1| |#3|) (-231 |#4| (-764)) (-764) (-972 |#1|)) (T -930)) 
-((-2646 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-764)) (-5 *1 (-930 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-972 *6)))) (-2646 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-930 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-972 *5)))) (-2951 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) (-2951 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) (-1992 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) (-1992 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) (-1468 (*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-366)) (-5 *1 (-930 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-972 *2)))) (-3541 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-930 *5 *6 *7 *8 *4)) (-4 *4 (-972 *5))))) 
-(-10 -7 (-15 -3541 ((-121) (-635 |#2|) |#5|)) (-15 -1468 (|#1| |#2| |#5|)) (-15 -1992 (|#2| |#2| |#5| (-569))) (-15 -1992 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5|)) (-15 -2951 (|#2| |#2| |#5| (-569))) (-15 -2646 ((-764) |#2| |#5|)) (-15 -2646 ((-764) |#2| |#5| (-569)))) 
-((-3849 ((|#2| |#2|) 25)) (-3841 ((|#2| |#2|) 26)) (-2043 ((|#2| |#2|) 24)) (-4399 ((|#2| |#2| (-1145)) 23))) 
-(((-931 |#1| |#2|) (-10 -7 (-15 -4399 (|#2| |#2| (-1145))) (-15 -2043 (|#2| |#2|)) (-15 -3849 (|#2| |#2|)) (-15 -3841 (|#2| |#2|))) (-843) (-433 |#1|)) (T -931)) 
-((-3841 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-3849 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-2043 (*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) (-4399 (*1 *2 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-843)) (-5 *1 (-931 *4 *2)) (-4 *2 (-433 *4))))) 
-(-10 -7 (-15 -4399 (|#2| |#2| (-1145))) (-15 -2043 (|#2| |#2|)) (-15 -3849 (|#2| |#2|)) (-15 -3841 (|#2| |#2|))) 
-((-3849 (((-311 (-569)) (-1163)) 15)) (-3841 (((-311 (-569)) (-1163)) 13)) (-2043 (((-311 (-569)) (-1163)) 11)) (-4399 (((-311 (-569)) (-1163) (-1145)) 18))) 
-(((-932) (-10 -7 (-15 -4399 ((-311 (-569)) (-1163) (-1145))) (-15 -2043 ((-311 (-569)) (-1163))) (-15 -3849 ((-311 (-569)) (-1163))) (-15 -3841 ((-311 (-569)) (-1163))))) (T -932)) 
-((-3841 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-3849 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-2043 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) (-4399 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1145)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
-(-10 -7 (-15 -4399 ((-311 (-569)) (-1163) (-1145))) (-15 -2043 ((-311 (-569)) (-1163))) (-15 -3849 ((-311 (-569)) (-1163))) (-15 -3841 ((-311 (-569)) (-1163)))) 
-((-2883 (((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)) 24)) (-3426 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
-(((-933 |#1| |#2| |#3|) (-10 -7 (-15 -3426 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2883 ((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-882 |#1|) (-13 (-1091) (-1038 |#2|))) (T -933)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-13 (-1091) (-1038 *3))) (-4 *3 (-882 *5)) (-5 *1 (-933 *5 *3 *6)))) (-3426 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1091) (-1038 *5))) (-4 *5 (-882 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-933 *4 *5 *6))))) 
-(-10 -7 (-15 -3426 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -2883 ((-885 |#1| |#3|) |#2| (-888 |#1|) (-885 |#1| |#3|)))) 
-((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 29))) 
-(((-934 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-13 (-559) (-843) (-882 |#1|)) (-13 (-433 |#2|) (-610 (-888 |#1|)) (-882 |#1|) (-1038 (-608 $)))) (T -934)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-433 *6) (-610 *4) (-882 *5) (-1038 (-608 $)))) (-5 *4 (-888 *5)) (-4 *6 (-13 (-559) (-843) (-882 *5))) (-5 *1 (-934 *5 *6 *3))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) 
-((-2883 (((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)) 12))) 
-(((-935 |#1|) (-10 -7 (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)))) (-551)) (T -935)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 (-569) *3)) (-5 *4 (-888 (-569))) (-4 *3 (-551)) (-5 *1 (-935 *3))))) 
-(-10 -7 (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|)))) 
-((-2883 (((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)) 52))) 
-(((-936 |#1| |#2|) (-10 -7 (-15 -2883 ((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)))) (-1091) (-13 (-843) (-1038 (-608 $)) (-610 (-888 |#1|)) (-882 |#1|))) (T -936)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1091)) (-4 *6 (-13 (-843) (-1038 (-608 $)) (-610 *4) (-882 *5))) (-5 *4 (-888 *5)) (-5 *1 (-936 *5 *6))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| |#2|) (-608 |#2|) (-888 |#1|) (-885 |#1| |#2|)))) 
-((-2883 (((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)) 14))) 
-(((-937 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)))) (-1091) (-882 |#1|) (-659 |#2|)) (T -937)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-881 *5 *6 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-4 *3 (-659 *6)) (-5 *1 (-937 *5 *6 *3))))) 
-(-10 -7 (-15 -2883 ((-881 |#1| |#2| |#3|) |#3| (-888 |#1|) (-881 |#1| |#2| |#3|)))) 
-((-2883 (((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|)) 17 (|has| |#3| (-882 |#1|))) (((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|))) 16))) 
-(((-938 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|)))) (IF (|has| |#3| (-882 |#1|)) (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|))) |noBranch|)) (-1091) (-789) (-843) (-13 (-1048) (-843) (-882 |#1|)) (-13 (-951 |#4| |#2| |#3|) (-610 (-888 |#1|)))) (T -938)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-951 *8 *6 *7) (-610 *4))) (-5 *4 (-888 *5)) (-4 *7 (-882 *5)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-13 (-1048) (-843) (-882 *5))) (-5 *1 (-938 *5 *6 *7 *8 *3)))) (-2883 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-885 *6 *3) *8 (-888 *6) (-885 *6 *3))) (-4 *8 (-843)) (-5 *2 (-885 *6 *3)) (-5 *4 (-888 *6)) (-4 *6 (-1091)) (-4 *3 (-13 (-951 *9 *7 *8) (-610 *4))) (-4 *7 (-789)) (-4 *9 (-13 (-1048) (-843) (-882 *6))) (-5 *1 (-938 *6 *7 *8 *9 *3))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|) (-1 (-885 |#1| |#5|) |#3| (-888 |#1|) (-885 |#1| |#5|)))) (IF (|has| |#3| (-882 |#1|)) (-15 -2883 ((-885 |#1| |#5|) |#5| (-888 |#1|) (-885 |#1| |#5|))) |noBranch|)) 
-((-1632 ((|#2| |#2| (-635 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
-(((-939 |#1| |#2| |#3|) (-10 -7 (-15 -1632 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1632 (|#2| |#2| (-635 (-1 (-121) |#3|))))) (-843) (-433 |#1|) (-1197)) (T -939)) 
-((-1632 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) (-1632 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4))))) 
-(-10 -7 (-15 -1632 (|#2| |#2| (-1 (-121) |#3|))) (-15 -1632 (|#2| |#2| (-635 (-1 (-121) |#3|))))) 
-((-1632 (((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))) 16) (((-311 (-569)) (-1163) (-1 (-121) |#1|)) 13))) 
-(((-940 |#1|) (-10 -7 (-15 -1632 ((-311 (-569)) (-1163) (-1 (-121) |#1|))) (-15 -1632 ((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))))) (-1197)) (T -940)) 
-((-1632 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) (-1632 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5))))) 
-(-10 -7 (-15 -1632 ((-311 (-569)) (-1163) (-1 (-121) |#1|))) (-15 -1632 ((-311 (-569)) (-1163) (-635 (-1 (-121) |#1|))))) 
-((-2883 (((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)) 25))) 
-(((-941 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-1091) (-13 (-559) (-882 |#1|) (-610 (-888 |#1|))) (-994 |#2|)) (T -941)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-994 *6)) (-4 *6 (-13 (-559) (-882 *5) (-610 *4))) (-5 *4 (-888 *5)) (-5 *1 (-941 *5 *6 *3))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) 
-((-2883 (((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))) 17))) 
-(((-942 |#1|) (-10 -7 (-15 -2883 ((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))))) (-1091)) (T -942)) 
-((-2883 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 (-1163))) (-5 *3 (-1163)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *1 (-942 *5))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| (-1163)) (-1163) (-888 |#1|) (-885 |#1| (-1163))))) 
-((-3355 (((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) 33)) (-2883 (((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))) 32))) 
-(((-943 |#1| |#2| |#3|) (-10 -7 (-15 -2883 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-15 -3355 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))))) (-1091) (-13 (-1048) (-843)) (-13 (-1048) (-610 (-888 |#1|)) (-1038 |#2|))) (T -943)) 
-((-3355 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-888 *6))) (-5 *5 (-1 (-885 *6 *8) *8 (-888 *6) (-885 *6 *8))) (-4 *6 (-1091)) (-4 *8 (-13 (-1048) (-610 (-888 *6)) (-1038 *7))) (-5 *2 (-885 *6 *8)) (-4 *7 (-13 (-1048) (-843))) (-5 *1 (-943 *6 *7 *8)))) (-2883 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-888 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-885 *7 *9) *9 (-888 *7) (-885 *7 *9))) (-4 *7 (-1091)) (-4 *9 (-13 (-1048) (-610 (-888 *7)) (-1038 *8))) (-5 *2 (-885 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1048) (-843))) (-5 *1 (-943 *7 *8 *9))))) 
-(-10 -7 (-15 -2883 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-1 |#3| (-635 |#3|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|)))) (-15 -3355 ((-885 |#1| |#3|) (-635 |#3|) (-635 (-888 |#1|)) (-885 |#1| |#3|) (-1 (-885 |#1| |#3|) |#3| (-888 |#1|) (-885 |#1| |#3|))))) 
-((-4226 (((-1159 (-410 (-569))) (-569)) 61)) (-2930 (((-1159 (-569)) (-569)) 64)) (-3711 (((-1159 (-569)) (-569)) 58)) (-1776 (((-569) (-1159 (-569))) 53)) (-2832 (((-1159 (-410 (-569))) (-569)) 47)) (-2917 (((-1159 (-569)) (-569)) 36)) (-1905 (((-1159 (-569)) (-569)) 66)) (-2754 (((-1159 (-569)) (-569)) 65)) (-2517 (((-1159 (-410 (-569))) (-569)) 49))) 
-(((-944) (-10 -7 (-15 -2517 ((-1159 (-410 (-569))) (-569))) (-15 -2754 ((-1159 (-569)) (-569))) (-15 -1905 ((-1159 (-569)) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -2832 ((-1159 (-410 (-569))) (-569))) (-15 -1776 ((-569) (-1159 (-569)))) (-15 -3711 ((-1159 (-569)) (-569))) (-15 -2930 ((-1159 (-569)) (-569))) (-15 -4226 ((-1159 (-410 (-569))) (-569))))) (T -944)) 
-((-4226 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2930 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-3711 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-1776 (*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-569)) (-5 *1 (-944)))) (-2832 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2917 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-1905 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2754 (*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) (-2517 (*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(-10 -7 (-15 -2517 ((-1159 (-410 (-569))) (-569))) (-15 -2754 ((-1159 (-569)) (-569))) (-15 -1905 ((-1159 (-569)) (-569))) (-15 -2917 ((-1159 (-569)) (-569))) (-15 -2832 ((-1159 (-410 (-569))) (-569))) (-15 -1776 ((-569) (-1159 (-569)))) (-15 -3711 ((-1159 (-569)) (-569))) (-15 -2930 ((-1159 (-569)) (-569))) (-15 -4226 ((-1159 (-410 (-569))) (-569)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-2893 (($ (-635 |#1|)) 13)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 8)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 10 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-3499 (($ $ (-635 |#1|)) 24)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 18) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-2369 (((-918) $) 16)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) 22)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 17)) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) 14 (|has| $ (-6 -4535))))) 
-(((-945 |#1|) (-982 |#1|) (-1048)) (T -945)) 
-NIL 
-(-982 |#1|) 
-((-1283 (((-493 |#1| |#2|) (-954 |#2|)) 17)) (-2498 (((-243 |#1| |#2|) (-954 |#2|)) 29)) (-1387 (((-954 |#2|) (-493 |#1| |#2|)) 22)) (-3150 (((-243 |#1| |#2|) (-493 |#1| |#2|)) 53)) (-1445 (((-954 |#2|) (-243 |#1| |#2|)) 26)) (-2420 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 44))) 
-(((-946 |#1| |#2|) (-10 -7 (-15 -2420 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3150 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -1283 ((-493 |#1| |#2|) (-954 |#2|))) (-15 -1387 ((-954 |#2|) (-493 |#1| |#2|))) (-15 -1445 ((-954 |#2|) (-243 |#1| |#2|))) (-15 -2498 ((-243 |#1| |#2|) (-954 |#2|)))) (-635 (-1163)) (-1048)) (T -946)) 
-((-2498 (*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163))))) (-1445 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5)))) (-1387 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5)))) (-1283 (*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163))))) (-3150 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)))) (-2420 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5))))) 
-(-10 -7 (-15 -2420 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -3150 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -1283 ((-493 |#1| |#2|) (-954 |#2|))) (-15 -1387 ((-954 |#2|) (-493 |#1| |#2|))) (-15 -1445 ((-954 |#2|) (-243 |#1| |#2|))) (-15 -2498 ((-243 |#1| |#2|) (-954 |#2|)))) 
-((-2072 (((-635 |#2|) |#2| |#2|) 10)) (-3122 (((-764) (-635 |#1|)) 37 (|has| |#1| (-841)))) (-2325 (((-635 |#2|) |#2|) 11)) (-3474 (((-764) (-635 |#1|) (-569) (-569)) 36 (|has| |#1| (-841)))) (-4484 ((|#1| |#2|) 32 (|has| |#1| (-841))))) 
-(((-947 |#1| |#2|) (-10 -7 (-15 -2072 ((-635 |#2|) |#2| |#2|)) (-15 -2325 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-841)) (PROGN (-15 -4484 (|#1| |#2|)) (-15 -3122 ((-764) (-635 |#1|))) (-15 -3474 ((-764) (-635 |#1|) (-569) (-569)))) |noBranch|)) (-366) (-1222 |#1|)) (T -947)) 
-((-3474 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-841)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *5 *6)) (-4 *6 (-1222 *5)))) (-3122 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-841)) (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *4 *5)) (-4 *5 (-1222 *4)))) (-4484 (*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-841)) (-5 *1 (-947 *2 *3)) (-4 *3 (-1222 *2)))) (-2325 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4)))) (-2072 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -2072 ((-635 |#2|) |#2| |#2|)) (-15 -2325 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-841)) (PROGN (-15 -4484 (|#1| |#2|)) (-15 -3122 ((-764) (-635 |#1|))) (-15 -3474 ((-764) (-635 |#1|) (-569) (-569)))) |noBranch|)) 
-((-1544 (((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)) 18))) 
-(((-948 |#1| |#2|) (-10 -7 (-15 -1544 ((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)))) (-1048) (-1048)) (T -948)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-954 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-954 *6)) (-5 *1 (-948 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-954 |#2|) (-1 |#2| |#1|) (-954 |#1|)))) 
-((-1739 (((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)) 18))) 
-(((-949 |#1| |#2|) (-10 -7 (-15 -1739 ((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)))) (-1163) (-1048)) (T -949)) 
-((-1739 (*1 *2 *3 *4) (-12 (-5 *4 (-1243 *5)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-5 *2 (-1219 *5 (-954 *6))) (-5 *1 (-949 *5 *6)) (-5 *3 (-954 *6))))) 
-(-10 -7 (-15 -1739 ((-1219 |#1| (-954 |#2|)) (-954 |#2|) (-1243 |#1|)))) 
-((-4011 (((-764) $) 69) (((-764) $ (-635 |#4|)) 72)) (-2004 (($ $) 169)) (-2446 (((-421 $) $) 161)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 112)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) 57)) (-3493 (($ $ $ |#4|) 74)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 102) (((-680 |#2|) (-680 $)) 95)) (-1340 (($ $) 177) (($ $ |#4|) 180)) (-4015 (((-635 $) $) 61)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 195) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 189)) (-2086 (((-635 $) $) 27)) (-1763 (($ |#2| |#3|) NIL) (($ $ |#4| (-764)) NIL) (($ $ (-635 |#4|) (-635 (-764))) 55)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#4|) 158)) (-4087 (((-3 (-635 $) "failed") $) 41)) (-3091 (((-3 (-635 $) "failed") $) 30)) (-1874 (((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") $) 45)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 105)) (-1721 (((-421 (-1159 $)) (-1159 $)) 118)) (-1568 (((-421 (-1159 $)) (-1159 $)) 116)) (-1743 (((-421 $) $) 136)) (-1468 (($ $ (-635 (-289 $))) 20) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL)) (-2087 (($ $ |#4|) 76)) (-3817 (((-888 (-382)) $) 209) (((-888 (-569)) $) 202) (((-542) $) 217)) (-3298 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 150)) (-1653 ((|#2| $ |#3|) NIL) (($ $ |#4| (-764)) 50) (($ $ (-635 |#4|) (-635 (-764))) 53)) (-3953 (((-3 $ "failed") $) 152)) (-1678 (((-121) $ $) 183))) 
-(((-950 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -1340 (|#1| |#1| |#4|)) (-15 -3298 (|#1| |#1| |#4|)) (-15 -2087 (|#1| |#1| |#4|)) (-15 -3493 (|#1| |#1| |#1| |#4|)) (-15 -4015 ((-635 |#1|) |#1|)) (-15 -4011 ((-764) |#1| (-635 |#4|))) (-15 -4011 ((-764) |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1763 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1763 (|#1| |#1| |#4| (-764))) (-15 -2421 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2086 ((-635 |#1|) |#1|)) (-15 -1653 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1653 (|#1| |#1| |#4| (-764))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1763 (|#1| |#2| |#3|)) (-15 -1653 (|#2| |#1| |#3|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -1340 (|#1| |#1|))) (-951 |#2| |#3| |#4|) (-1048) (-789) (-843)) (T -950)) 
-NIL 
-(-10 -8 (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -3953 ((-3 |#1| "failed") |#1|)) (-15 -1678 ((-121) |#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -2132 ((-3 (-1247 |#1|) "failed") (-680 |#1|))) (-15 -1340 (|#1| |#1| |#4|)) (-15 -3298 (|#1| |#1| |#4|)) (-15 -2087 (|#1| |#1| |#4|)) (-15 -3493 (|#1| |#1| |#1| |#4|)) (-15 -4015 ((-635 |#1|) |#1|)) (-15 -4011 ((-764) |#1| (-635 |#4|))) (-15 -4011 ((-764) |#1|)) (-15 -1874 ((-3 (-2 (|:| |var| |#4|) (|:| -2356 (-764))) "failed") |#1|)) (-15 -4087 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3091 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -1763 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1763 (|#1| |#1| |#4| (-764))) (-15 -2421 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2086 ((-635 |#1|) |#1|)) (-15 -1653 (|#1| |#1| (-635 |#4|) (-635 (-764)))) (-15 -1653 (|#1| |#1| |#4| (-764))) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#4| |#1|)) (-15 -1468 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1468 (|#1| |#1| |#4| |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -1763 (|#1| |#2| |#3|)) (-15 -1653 (|#2| |#1| |#3|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -1340 (|#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133)) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| |#2| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#2|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-4002 ((|#2| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#2| |#2|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1637 (((-3 |#3| "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38)) (-2492 ((|#2| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-559))) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#2|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-951 |#1| |#2| |#3|) (-1278) (-1048) (-789) (-843)) (T -951)) 
-((-1340 (*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2492 (*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) (-2492 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) (-1653 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) (-2086 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-1739 (*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)))) (-1739 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *3)))) (-1637 (*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-4002 (*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) (-4002 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) (-2421 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-951 *4 *5 *3)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) (-1768 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *4)) (-4 *4 (-1048)) (-4 *1 (-951 *4 *5 *3)) (-4 *5 (-789)) (-4 *3 (-843)))) (-1768 (*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)))) (-3091 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-4087 (*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-1874 (*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-764)))))) (-4011 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764)))) (-4011 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) (-4015 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) (-3493 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) (-2087 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) (-3298 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) (-1340 (*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) (-2004 (*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2446 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-421 *1)) (-4 *1 (-951 *3 *4 *5))))) 
-(-13 (-896 |t#3|) (-325 |t#1| |t#2|) (-304 $) (-524 |t#3| |t#1|) (-524 |t#3| $) (-1038 |t#3|) (-380 |t#1|) (-10 -8 (-15 -2492 ((-764) $ |t#3|)) (-15 -2492 ((-635 (-764)) $ (-635 |t#3|))) (-15 -1653 ($ $ |t#3| (-764))) (-15 -1653 ($ $ (-635 |t#3|) (-635 (-764)))) (-15 -2086 ((-635 $) $)) (-15 -1739 ((-1159 $) $ |t#3|)) (-15 -1739 ((-1159 |t#1|) $)) (-15 -1637 ((-3 |t#3| "failed") $)) (-15 -4002 ((-764) $ |t#3|)) (-15 -4002 ((-635 (-764)) $ (-635 |t#3|))) (-15 -2421 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |t#3|)) (-15 -1763 ($ $ |t#3| (-764))) (-15 -1763 ($ $ (-635 |t#3|) (-635 (-764)))) (-15 -1768 ($ (-1159 |t#1|) |t#3|)) (-15 -1768 ($ (-1159 $) |t#3|)) (-15 -3091 ((-3 (-635 $) "failed") $)) (-15 -4087 ((-3 (-635 $) "failed") $)) (-15 -1874 ((-3 (-2 (|:| |var| |t#3|) (|:| -2356 (-764))) "failed") $)) (-15 -4011 ((-764) $)) (-15 -4011 ((-764) $ (-635 |t#3|))) (-15 -1773 ((-635 |t#3|) $)) (-15 -4015 ((-635 $) $)) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (IF (|has| |t#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-569)))) (IF (|has| |t#3| (-610 (-888 (-569)))) (-6 (-610 (-888 (-569)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-888 (-382)))) (IF (|has| |t#3| (-610 (-888 (-382)))) (-6 (-610 (-888 (-382)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-882 (-569))) (IF (|has| |t#3| (-882 (-569))) (-6 (-882 (-569))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-882 (-382))) (IF (|has| |t#3| (-882 (-382))) (-6 (-882 (-382))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -3493 ($ $ $ |t#3|)) (-15 -2087 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-6 (-454)) (-15 -3298 ($ $ |t#3|)) (-15 -1340 ($ $)) (-15 -1340 ($ $ |t#3|)) (-15 -2446 ((-421 $) $)) (-15 -2004 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4533)) (-6 -4533) |noBranch|) (IF (|has| |t#1| (-905)) (-6 (-905)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
-((-1773 (((-635 |#2|) |#5|) 36)) (-1739 (((-1159 |#5|) |#5| |#2| (-1159 |#5|)) 23) (((-410 (-1159 |#5|)) |#5| |#2|) 16)) (-1768 ((|#5| (-410 (-1159 |#5|)) |#2|) 30)) (-1637 (((-3 |#2| "failed") |#5|) 61)) (-4087 (((-3 (-635 |#5|) "failed") |#5|) 55)) (-2848 (((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|) 45)) (-3091 (((-3 (-635 |#5|) "failed") |#5|) 57)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|) 48))) 
-(((-952 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1773 ((-635 |#2|) |#5|)) (-15 -1637 ((-3 |#2| "failed") |#5|)) (-15 -1739 ((-410 (-1159 |#5|)) |#5| |#2|)) (-15 -1768 (|#5| (-410 (-1159 |#5|)) |#2|)) (-15 -1739 ((-1159 |#5|) |#5| |#2| (-1159 |#5|))) (-15 -3091 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -4087 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -1874 ((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|)) (-15 -2848 ((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -2185 ($ |#4|)) (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $))))) (T -952)) 
-((-2848 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1874 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-4087 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-3091 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1739 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-4 *7 (-951 *6 *5 *4)) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-5 *1 (-952 *5 *4 *6 *7 *3)))) (-1768 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 *2))) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *2 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-5 *1 (-952 *5 *4 *6 *7 *2)) (-4 *7 (-951 *6 *5 *4)))) (-1739 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-410 (-1159 *3))) (-5 *1 (-952 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) (-1637 (*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-1048)) (-4 *6 (-951 *5 *4 *2)) (-4 *2 (-843)) (-5 *1 (-952 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *6)) (-15 -4116 (*6 $)) (-15 -4121 (*6 $))))))) (-1773 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(-10 -7 (-15 -1773 ((-635 |#2|) |#5|)) (-15 -1637 ((-3 |#2| "failed") |#5|)) (-15 -1739 ((-410 (-1159 |#5|)) |#5| |#2|)) (-15 -1768 (|#5| (-410 (-1159 |#5|)) |#2|)) (-15 -1739 ((-1159 |#5|) |#5| |#2| (-1159 |#5|))) (-15 -3091 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -4087 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -1874 ((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-569))) "failed") |#5|)) (-15 -2848 ((-3 (-2 (|:| |val| |#5|) (|:| -2356 (-569))) "failed") |#5|))) 
-((-1544 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
-(((-953 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1544 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-789) (-843) (-1048) (-951 |#3| |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (T -953)) 
-((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *6 (-789)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (-5 *1 (-953 *6 *7 *8 *5 *2)) (-4 *5 (-951 *8 *6 *7))))) 
-(-10 -7 (-15 -1544 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) 15)) (-1739 (((-1159 $) $ (-1163)) 21) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1163))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 8) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1163) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1163) $) NIL)) (-3493 (($ $ $ (-1163)) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1163)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-1163)) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1163) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1163) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-1163)) NIL) (($ (-1159 $) (-1163)) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1163)) NIL)) (-4002 (((-535 (-1163)) $) NIL) (((-764) $ (-1163)) NIL) (((-635 (-764)) $ (-635 (-1163))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-1163)) (-535 (-1163))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1637 (((-3 (-1163) "failed") $) 19)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1163)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $ (-1163)) 29 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1163) |#1|) NIL) (($ $ (-635 (-1163)) (-635 |#1|)) NIL) (($ $ (-1163) $) NIL) (($ $ (-635 (-1163)) (-635 $)) NIL)) (-2087 (($ $ (-1163)) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2492 (((-535 (-1163)) $) NIL) (((-764) $ (-1163)) NIL) (((-635 (-764)) $ (-635 (-1163))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1163) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1163) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1163) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1163)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 25) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1163)) 27) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-954 |#1|) (-13 (-951 |#1| (-535 (-1163)) (-1163)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1163))) |noBranch|))) (-1048)) (T -954)) 
-((-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-954 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
-(-13 (-951 |#1| (-535 (-1163)) (-1163)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1163))) |noBranch|))) 
-((-3160 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764)) 37)) (-1537 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764)) 33)) (-2576 (((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)) 52)) (-3140 (((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764)) 62 (|has| |#3| (-454))))) 
-(((-955 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3160 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764))) (-15 -1537 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764))) (IF (|has| |#3| (-454)) (-15 -3140 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764))) |noBranch|) (-15 -2576 ((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)))) (-789) (-843) (-559) (-951 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -4116 (|#4| $)) (-15 -4121 (|#4| $)) (-15 -2185 ($ |#4|))))) (T -955)) 
-((-2576 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *3 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-955 *5 *6 *7 *3 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*3 $)) (-15 -4121 (*3 $)) (-15 -2185 ($ *3))))))) (-3140 (*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *3))) (-5 *1 (-955 *5 *6 *7 *8 *3)) (-5 *4 (-764)) (-4 *3 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8))))))) (-1537 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *9) (|:| |radicand| *9))) (-5 *1 (-955 *5 *6 *7 *8 *9)) (-5 *4 (-764)) (-4 *9 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8))))))) (-3160 (*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-559)) (-4 *7 (-951 *3 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *8) (|:| |radicand| *8))) (-5 *1 (-955 *5 *6 *3 *7 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*7 $)) (-15 -4121 (*7 $)) (-15 -2185 ($ *7)))))))) 
-(-10 -7 (-15 -3160 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#3| (-764))) (-15 -1537 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-764))) (IF (|has| |#3| (-454)) (-15 -3140 ((-2 (|:| -2356 (-764)) (|:| -4140 |#5|) (|:| |radicand| |#5|)) |#5| (-764))) |noBranch|) (-15 -2576 ((-2 (|:| -2356 (-764)) (|:| -4140 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-764)))) 
-((-3740 (((-1085 (-216)) $) 7)) (-3495 (((-1085 (-216)) $) 8)) (-2707 (((-635 (-635 (-945 (-216)))) $) 9)) (-2185 (((-851) $) 6))) 
-(((-956) (-1278)) (T -956)) 
-((-2707 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-635 (-635 (-945 (-216))))))) (-3495 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) (-3740 (*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216)))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -2707 ((-635 (-635 (-945 (-216)))) $)) (-15 -3495 ((-1085 (-216)) $)) (-15 -3740 ((-1085 (-216)) $)))) 
-(((-609 (-851)) . T)) 
-((-3675 (((-3 (-680 |#1|) "failed") |#2| (-918)) 14))) 
-(((-957 |#1| |#2|) (-10 -7 (-15 -3675 ((-3 (-680 |#1|) "failed") |#2| (-918)))) (-559) (-647 |#1|)) (T -957)) 
-((-3675 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-918)) (-4 *5 (-559)) (-5 *2 (-680 *5)) (-5 *1 (-957 *5 *3)) (-4 *3 (-647 *5))))) 
-(-10 -7 (-15 -3675 ((-3 (-680 |#1|) "failed") |#2| (-918)))) 
-((-3043 (((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|) 16)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|) 18)) (-1544 (((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)) 13))) 
-(((-958 |#1| |#2|) (-10 -7 (-15 -3043 ((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1544 ((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)))) (-1197) (-1197)) (T -958)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-959 *6)) (-5 *1 (-958 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-958 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-959 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-959 *5)) (-5 *1 (-958 *6 *5))))) 
-(-10 -7 (-15 -3043 ((-959 |#2|) (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-959 |#1|) |#2|)) (-15 -1544 ((-959 |#2|) (-1 |#2| |#1|) (-959 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) 17 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 16 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 14)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) |#1|) 13)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 10 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) 12 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 11)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 15) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) NIL)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-4168 (((-764) $) 8 (|has| $ (-6 -4535))))) 
-(((-959 |#1|) (-19 |#1|) (-1197)) (T -959)) 
+((-1673 (((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)) 76)) (-1613 (((-121) (-335 |#2| |#3| |#4| |#5|)) 16)) (-4433 (((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|)) 14))) 
+(((-908 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1613 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) (-13 (-844) (-559) (-1039 (-569))) (-433 |#1|) (-1228 |#2|) (-1228 (-410 |#3|)) (-341 |#2| |#3| |#4|)) (T -908)) 
+((-1673 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *8))) (-5 *1 (-908 *4 *5 *6 *7 *8)))) (-1613 (*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) (-4433 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-765)) (-5 *1 (-908 *4 *5 *6 *7 *8))))) 
+(-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 |#2| |#3| |#4| |#5|))) (-15 -1613 ((-121) (-335 |#2| |#3| |#4| |#5|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#5|)) "failed") (-335 |#2| |#3| |#4| |#5|)))) 
+((-1673 (((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 56)) (-1613 (((-121) (-335 (-410 (-569)) |#1| |#2| |#3|)) 13)) (-4433 (((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)) 11))) 
+(((-909 |#1| |#2| |#3|) (-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1613 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) (-1228 (-410 (-569))) (-1228 (-410 |#1|)) (-341 (-410 (-569)) |#1| |#2|)) (T -909)) 
+((-1673 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *6))) (-5 *1 (-909 *4 *5 *6)))) (-1613 (*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-909 *4 *5 *6)))) (-4433 (*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-765)) (-5 *1 (-909 *4 *5 *6))))) 
+(-10 -7 (-15 -4433 ((-3 (-765) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1613 ((-121) (-335 (-410 (-569)) |#1| |#2| |#3|))) (-15 -1673 ((-3 (-2 (|:| -4433 (-765)) (|:| -3659 |#3|)) "failed") (-335 (-410 (-569)) |#1| |#2| |#3|)))) 
+((-3132 (((-1161 |#1|) |#2|) 36)) (-2512 ((|#2| |#2| (-635 |#1|)) 59) ((|#2| |#2| (-635 |#1|) (-569)) 61)) (-1290 (((-765) |#2|) 70)) (-4442 ((|#2| |#2| |#2| (-569)) 51)) (-1429 ((|#2| |#2| |#2|) 49)) (-2388 ((|#2| |#2| |#2|) 48)) (-3518 ((|#2| |#2| (-569)) 64)) (-3708 ((|#2| |#2| (-569)) 60)) (-2905 (((-635 |#2|) |#2|) 15)) (-4068 ((|#2| |#2|) 82)) (-1541 ((|#2| (-1 |#3| |#3|) |#2|) 40)) (-1704 (((-635 |#2|)) 26)) (-3194 (((-635 |#3|) (-569)) 92)) (-2386 (((-635 |#2|) (-765)) 93)) (-4209 ((|#2| |#2| (-569)) 71)) (-2945 ((|#3| |#2|) NIL)) (-1775 (((-765) |#2|) 83)) (-2284 (((-765) |#2| (-569)) 67)) (-3709 ((|#1| |#2| (-919)) 80)) (-3575 ((|#1| |#2|) 81))) 
+(((-910 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1541 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2284 ((-765) |#2| (-569))) (-15 -3132 ((-1161 |#1|) |#2|)) (-15 -1290 ((-765) |#2|)) (-15 -2388 (|#2| |#2| |#2|)) (-15 -1429 (|#2| |#2| |#2|)) (-15 -4442 (|#2| |#2| |#2| (-569))) (-15 -4068 (|#2| |#2|)) (-15 -2945 (|#3| |#2|)) (-15 -3518 (|#2| |#2| (-569))) (-15 -3708 (|#2| |#2| (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|))) (-15 -3709 (|#1| |#2| (-919))) (-15 -3575 (|#1| |#2|)) (-15 -4209 (|#2| |#2| (-569))) (-15 -3194 ((-635 |#3|) (-569))) (-15 -2386 ((-635 |#2|) (-765))) (-15 -1775 ((-765) |#2|)) (-15 -1704 ((-635 |#2|))) (-15 -2905 ((-635 |#2|) |#2|))) (-1049) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765)) (T -910)) 
+((-2905 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *3)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-1704 (*1 *2) (-12 (-4 *3 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *4)) (-5 *1 (-910 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5)))) (-1775 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2386 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-3194 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *2 (-635 *6)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6)))) (-4209 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3575 (*1 *2 *3) (-12 (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) (-3709 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5)))) (-2512 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2512 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-910 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) (-3708 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-3518 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-2945 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-231 *5 (-765))) (-5 *1 (-910 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-765)))) (-4068 (*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-4442 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) (-1429 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-2388 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) (-1290 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-3132 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) (-2284 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-910 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) (-1541 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(-10 -7 (-15 -1541 (|#2| (-1 |#3| |#3|) |#2|)) (-15 -2284 ((-765) |#2| (-569))) (-15 -3132 ((-1161 |#1|) |#2|)) (-15 -1290 ((-765) |#2|)) (-15 -2388 (|#2| |#2| |#2|)) (-15 -1429 (|#2| |#2| |#2|)) (-15 -4442 (|#2| |#2| |#2| (-569))) (-15 -4068 (|#2| |#2|)) (-15 -2945 (|#3| |#2|)) (-15 -3518 (|#2| |#2| (-569))) (-15 -3708 (|#2| |#2| (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|) (-569))) (-15 -2512 (|#2| |#2| (-635 |#1|))) (-15 -3709 (|#1| |#2| (-919))) (-15 -3575 (|#1| |#2|)) (-15 -4209 (|#2| |#2| (-569))) (-15 -3194 ((-635 |#3|) (-569))) (-15 -2386 ((-635 |#2|) (-765))) (-15 -1775 ((-765) |#2|)) (-15 -1704 ((-635 |#2|))) (-15 -2905 ((-635 |#2|) |#2|))) 
+((-3191 ((|#2| |#2|) 25)) (-3738 (((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) 15)) (-4481 (((-919) (-569)) 35)) (-1594 (((-569) |#2|) 42)) (-3208 (((-569) |#2|) 21) (((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|) 20))) 
+(((-911 |#1| |#2|) (-10 -7 (-15 -4481 ((-919) (-569))) (-15 -3208 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3208 ((-569) |#2|)) (-15 -3738 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -1594 ((-569) |#2|)) (-15 -3191 (|#2| |#2|))) (-1228 (-410 (-569))) (-1228 (-410 |#1|))) (T -911)) 
+((-3191 (*1 *2 *2) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *1 (-911 *3 *2)) (-4 *2 (-1228 (-410 *3))))) (-1594 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-3738 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4))))) (-3208 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4))))) (-3208 (*1 *2 *3) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-911 *3 *4)) (-4 *4 (-1228 (-410 *3))))) (-4481 (*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 (-410 *3))) (-5 *2 (-919)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
+(-10 -7 (-15 -4481 ((-919) (-569))) (-15 -3208 ((-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))) |#1|)) (-15 -3208 ((-569) |#2|)) (-15 -3738 ((-569) (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))))) (-15 -1594 ((-569) |#2|)) (-15 -3191 (|#2| |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 ((|#1| $) 80)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-1614 (($ $ $) NIL)) (-2611 (((-3 $ "failed") $) 74)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1642 (($ |#1| (-421 |#1|)) 72)) (-4440 (((-1161 |#1|) |#1| |#1|) 40)) (-2989 (($ $) 48)) (-3934 (((-121) $) NIL)) (-4470 (((-569) $) 77)) (-3935 (($ $ (-569)) 79)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-4211 ((|#1| $) 76)) (-3446 (((-421 |#1|) $) 75)) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) 73)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4261 (($ $) 38)) (-3956 (((-852) $) 98) (($ (-569)) 53) (($ $) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 30) (((-410 |#1|) $) 58) (($ (-410 (-421 |#1|))) 66)) (-2320 (((-765)) 51)) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 23 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (($ $ $) NIL)) (-1377 (($ $) 87) (($ $ $) NIL)) (-1371 (($ $ $) 37)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 89) (($ $ $) 36) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ |#1| $) 88) (($ $ |#1|) NIL))) 
+(((-912 |#1|) (-13 (-366) (-43 |#1|) (-10 -8 (-15 -3956 ((-410 |#1|) $)) (-15 -3956 ($ (-410 (-421 |#1|)))) (-15 -4261 ($ $)) (-15 -3446 ((-421 |#1|) $)) (-15 -4211 (|#1| $)) (-15 -3935 ($ $ (-569))) (-15 -4470 ((-569) $)) (-15 -4440 ((-1161 |#1|) |#1| |#1|)) (-15 -2989 ($ $)) (-15 -1642 ($ |#1| (-421 |#1|))) (-15 -3644 (|#1| $)))) (-302)) (T -912)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-912 *3)))) (-4261 (*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-3446 (*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4211 (*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-3935 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4470 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-4440 (*1 *2 *3 *3) (-12 (-5 *2 (-1161 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) (-2989 (*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) (-1642 (*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-912 *2)))) (-3644 (*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
+(-13 (-366) (-43 |#1|) (-10 -8 (-15 -3956 ((-410 |#1|) $)) (-15 -3956 ($ (-410 (-421 |#1|)))) (-15 -4261 ($ $)) (-15 -3446 ((-421 |#1|) $)) (-15 -4211 (|#1| $)) (-15 -3935 ($ $ (-569))) (-15 -4470 ((-569) $)) (-15 -4440 ((-1161 |#1|) |#1| |#1|)) (-15 -2989 ($ $)) (-15 -1642 ($ |#1| (-421 |#1|))) (-15 -3644 (|#1| $)))) 
+((-1642 (((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)) 16) (((-57) (-410 (-955 |#1|)) (-1165)) 17))) 
+(((-913 |#1|) (-10 -7 (-15 -1642 ((-57) (-410 (-955 |#1|)) (-1165))) (-15 -1642 ((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)))) (-13 (-302) (-151))) (T -913)) 
+((-1642 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-955 *6))) (-5 *5 (-1165)) (-5 *3 (-955 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *6)))) (-1642 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *5))))) 
+(-10 -7 (-15 -1642 ((-57) (-410 (-955 |#1|)) (-1165))) (-15 -1642 ((-57) (-955 |#1|) (-421 (-955 |#1|)) (-1165)))) 
+((-4341 ((|#4| (-635 |#4|)) 118) (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 65) ((|#4| |#4| |#4|) 117)) (-3964 (((-1161 |#4|) (-635 (-1161 |#4|))) 111) (((-1161 |#4|) (-1161 |#4|) (-1161 |#4|)) 48) ((|#4| (-635 |#4|)) 53) ((|#4| |#4| |#4|) 82))) 
+(((-914 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3964 (|#4| |#4| |#4|)) (-15 -3964 (|#4| (-635 |#4|))) (-15 -3964 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -3964 ((-1161 |#4|) (-635 (-1161 |#4|)))) (-15 -4341 (|#4| |#4| |#4|)) (-15 -4341 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4341 (|#4| (-635 |#4|)))) (-790) (-844) (-302) (-952 |#3| |#1| |#2|)) (T -914)) 
+((-4341 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) (-4341 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) (-4341 (*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 (-1161 *7))) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-1161 *7)) (-5 *1 (-914 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) (-3964 (*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) (-3964 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) (-3964 (*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4))))) 
+(-10 -7 (-15 -3964 (|#4| |#4| |#4|)) (-15 -3964 (|#4| (-635 |#4|))) (-15 -3964 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -3964 ((-1161 |#4|) (-635 (-1161 |#4|)))) (-15 -4341 (|#4| |#4| |#4|)) (-15 -4341 ((-1161 |#4|) (-1161 |#4|) (-1161 |#4|))) (-15 -4341 (|#4| (-635 |#4|)))) 
+((-1480 (((-901 (-569)) (-974)) 22) (((-901 (-569)) (-635 (-569))) 19)) (-1420 (((-901 (-569)) (-635 (-569))) 46) (((-901 (-569)) (-919)) 47)) (-1748 (((-901 (-569))) 23)) (-2580 (((-901 (-569))) 36) (((-901 (-569)) (-635 (-569))) 35)) (-1583 (((-901 (-569))) 34) (((-901 (-569)) (-635 (-569))) 33)) (-1540 (((-901 (-569))) 32) (((-901 (-569)) (-635 (-569))) 31)) (-2013 (((-901 (-569))) 30) (((-901 (-569)) (-635 (-569))) 29)) (-2137 (((-901 (-569))) 28) (((-901 (-569)) (-635 (-569))) 27)) (-4251 (((-901 (-569))) 38) (((-901 (-569)) (-635 (-569))) 37)) (-4315 (((-901 (-569)) (-635 (-569))) 50) (((-901 (-569)) (-919)) 51)) (-2671 (((-901 (-569)) (-635 (-569))) 48) (((-901 (-569)) (-919)) 49)) (-1886 (((-901 (-569)) (-635 (-569))) 43) (((-901 (-569)) (-919)) 45)) (-2810 (((-901 (-569)) (-635 (-919))) 40))) 
+(((-915) (-10 -7 (-15 -1420 ((-901 (-569)) (-919))) (-15 -1420 ((-901 (-569)) (-635 (-569)))) (-15 -1886 ((-901 (-569)) (-919))) (-15 -1886 ((-901 (-569)) (-635 (-569)))) (-15 -2810 ((-901 (-569)) (-635 (-919)))) (-15 -2671 ((-901 (-569)) (-919))) (-15 -2671 ((-901 (-569)) (-635 (-569)))) (-15 -4315 ((-901 (-569)) (-919))) (-15 -4315 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)))) (-15 -2013 ((-901 (-569)) (-635 (-569)))) (-15 -2013 ((-901 (-569)))) (-15 -1540 ((-901 (-569)) (-635 (-569)))) (-15 -1540 ((-901 (-569)))) (-15 -1583 ((-901 (-569)) (-635 (-569)))) (-15 -1583 ((-901 (-569)))) (-15 -2580 ((-901 (-569)) (-635 (-569)))) (-15 -2580 ((-901 (-569)))) (-15 -4251 ((-901 (-569)) (-635 (-569)))) (-15 -4251 ((-901 (-569)))) (-15 -1748 ((-901 (-569)))) (-15 -1480 ((-901 (-569)) (-635 (-569)))) (-15 -1480 ((-901 (-569)) (-974))))) (T -915)) 
+((-1480 (*1 *2 *3) (-12 (-5 *3 (-974)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1480 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1748 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4251 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4251 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2580 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2580 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1583 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1583 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1540 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1540 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2013 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2013 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2137 (*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2137 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4315 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-4315 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2671 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2671 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-2810 (*1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1886 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1420 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) (-1420 (*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(-10 -7 (-15 -1420 ((-901 (-569)) (-919))) (-15 -1420 ((-901 (-569)) (-635 (-569)))) (-15 -1886 ((-901 (-569)) (-919))) (-15 -1886 ((-901 (-569)) (-635 (-569)))) (-15 -2810 ((-901 (-569)) (-635 (-919)))) (-15 -2671 ((-901 (-569)) (-919))) (-15 -2671 ((-901 (-569)) (-635 (-569)))) (-15 -4315 ((-901 (-569)) (-919))) (-15 -4315 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)) (-635 (-569)))) (-15 -2137 ((-901 (-569)))) (-15 -2013 ((-901 (-569)) (-635 (-569)))) (-15 -2013 ((-901 (-569)))) (-15 -1540 ((-901 (-569)) (-635 (-569)))) (-15 -1540 ((-901 (-569)))) (-15 -1583 ((-901 (-569)) (-635 (-569)))) (-15 -1583 ((-901 (-569)))) (-15 -2580 ((-901 (-569)) (-635 (-569)))) (-15 -2580 ((-901 (-569)))) (-15 -4251 ((-901 (-569)) (-635 (-569)))) (-15 -4251 ((-901 (-569)))) (-15 -1748 ((-901 (-569)))) (-15 -1480 ((-901 (-569)) (-635 (-569)))) (-15 -1480 ((-901 (-569)) (-974)))) 
+((-2869 (((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))) 10)) (-1643 (((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))) 9))) 
+(((-916 |#1|) (-10 -7 (-15 -1643 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2869 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))))) (-454)) (T -916)) 
+((-2869 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4)))) (-1643 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
+(-10 -7 (-15 -1643 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -2869 ((-635 (-955 |#1|)) (-635 (-955 |#1|)) (-635 (-1165))))) 
+((-3956 (((-311 |#1|) (-490)) 15))) 
+(((-917 |#1|) (-10 -7 (-15 -3956 ((-311 |#1|) (-490)))) (-13 (-844) (-559))) (T -917)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-917 *4)) (-4 *4 (-13 (-844) (-559)))))) 
+(-10 -7 (-15 -3956 ((-311 |#1|) (-490)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-918) (-1284)) (T -918)) 
+((-2153 (*1 *2 *3) (-12 (-4 *1 (-918)) (-5 *2 (-2 (|:| -3550 (-635 *1)) (|:| -1986 *1))) (-5 *3 (-635 *1)))) (-2213 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-918))))) 
+(-13 (-454) (-10 -8 (-15 -2153 ((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $))) (-15 -2213 ((-3 (-635 $) "failed") (-635 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3964 (($ $ $) NIL)) (-3956 (((-852) $) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-3297 (($) NIL T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ $ $) NIL))) 
+(((-919) (-13 (-25) (-844) (-718) (-10 -8 (-15 -3964 ($ $ $)) (-6 (-4573 "*"))))) (T -919)) 
+((-3964 (*1 *1 *1 *1) (-5 *1 (-919)))) 
+(-13 (-25) (-844) (-718) (-10 -8 (-15 -3964 ($ $ $)) (-6 (-4573 "*")))) 
+((-2443 ((|#2| (-635 |#1|) (-635 |#1|)) 22))) 
+(((-920 |#1| |#2|) (-10 -7 (-15 -2443 (|#2| (-635 |#1|) (-635 |#1|)))) (-366) (-1228 |#1|)) (T -920)) 
+((-2443 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1228 *4)) (-5 *1 (-920 *4 *2))))) 
+(-10 -7 (-15 -2443 (|#2| (-635 |#1|) (-635 |#1|)))) 
+((-3393 (((-1161 |#2|) (-635 |#2|) (-635 |#2|)) 17) (((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|)) 13))) 
+(((-921 |#1| |#2|) (-10 -7 (-15 -3393 ((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -3393 ((-1161 |#2|) (-635 |#2|) (-635 |#2|)))) (-1165) (-366)) (T -921)) 
+((-3393 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1161 *5)) (-5 *1 (-921 *4 *5)) (-14 *4 (-1165)))) (-3393 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1225 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1165)) (-4 *5 (-366)) (-5 *1 (-921 *4 *5))))) 
+(-10 -7 (-15 -3393 ((-1225 |#1| |#2|) (-1225 |#1| |#2|) (-635 |#2|) (-635 |#2|))) (-15 -3393 ((-1161 |#2|) (-635 |#2|) (-635 |#2|)))) 
+((-1310 (((-121) $ $) 7)) (-1659 (((-1258) $ (-635 |#2|)) 19)) (-3598 (((-635 $)) 14)) (-4170 (((-1258) $ (-919)) 18)) (-2793 (((-237 $) (-635 $)) 23)) (-3233 (((-635 |#2|) $) 20)) (-3491 (((-121) $) 17)) (-2605 (((-1147) $) 9)) (-1814 (((-1258) $) 16)) (-1912 (((-1111) $) 10)) (-3636 (((-635 $)) 15)) (-2503 ((|#1| $ (-569)) 13)) (-2284 (((-919) $) 12)) (-1896 (($ (-635 |#1|)) 22) (($ (-1165)) 21)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6)) (-1377 (((-237 $) $ $) 28) (((-237 $) (-237 $) $) 27) (((-237 $) $ (-237 $)) 26) (((-237 $) $) 25)) (-1371 (((-237 $) $ $) 31) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 24))) 
+(((-922 |#1| |#2|) (-1284) (-366) (-642 |t#1|)) (T -922)) 
+((-1371 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (-1371 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1371 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (-1377 (*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) (-1377 (*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) (* (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-922 *4 *5)))) (-2793 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) (-1896 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) (-1896 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) (-3233 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4)))) (-1659 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258)))) (-4170 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258)))) (-3491 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) (-1814 (*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1258)))) (-3636 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4)))) (-3598 (*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-922 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366))))) 
+(-13 (-1091) (-10 -8 (-15 -1371 ((-237 $) $ $)) (-15 -1371 ((-237 $) (-237 $) $)) (-15 -1371 ((-237 $) $ (-237 $))) (-15 -1377 ((-237 $) $ $)) (-15 -1377 ((-237 $) (-237 $) $)) (-15 -1377 ((-237 $) $ (-237 $))) (-15 -1377 ((-237 $) $)) (-15 * ((-237 $) (-569) $)) (-15 -2793 ((-237 $) (-635 $))) (-15 -1896 ($ (-635 |t#1|))) (-15 -1896 ($ (-1165))) (-15 -3233 ((-635 |t#2|) $)) (-15 -1659 ((-1258) $ (-635 |t#2|))) (-15 -4170 ((-1258) $ (-919))) (-15 -3491 ((-121) $)) (-15 -1814 ((-1258) $)) (-15 -3636 ((-635 $))) (-15 -3598 ((-635 $))) (-15 -2503 (|t#1| $ (-569))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 (-776 |#1|))) NIL)) (-3598 (((-635 $)) NIL)) (-4170 (((-1258) $ (-919)) NIL)) (-2793 (((-237 $) (-635 $)) NIL)) (-3233 (((-635 (-776 |#1|)) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) NIL)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-1896 (($ (-635 |#1|)) NIL) (($ (-1165)) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1371 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
+(((-923 |#1|) (-922 |#1| (-776 |#1|)) (-366)) (T -923)) 
+NIL 
+(-922 |#1| (-776 |#1|)) 
+((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 (-776 (-859 |#1|)))) NIL)) (-3598 (((-635 $)) NIL)) (-4170 (((-1258) $ (-919)) NIL)) (-2793 (((-237 $) (-635 $)) NIL)) (-3233 (((-635 (-776 (-859 |#1|))) $) NIL)) (-3491 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) NIL)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-1896 (($ (-635 (-859 |#1|))) NIL) (($ (-1165)) NIL)) (-3956 (((-852) $) NIL)) (-1326 (((-121) $ $) NIL)) (-1377 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL) (((-237 $) $) NIL)) (-1371 (((-237 $) $ $) NIL) (((-237 $) (-237 $) $) NIL) (((-237 $) $ (-237 $)) NIL)) (* (((-237 $) (-569) $) NIL))) 
+(((-924 |#1|) (-922 (-859 |#1|) (-776 (-859 |#1|))) (-351)) (T -924)) 
+NIL 
+(-922 (-859 |#1|) (-776 (-859 |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-1659 (((-1258) $ (-635 |#2|)) 73)) (-3598 (((-635 $)) 62)) (-4170 (((-1258) $ (-919)) 71)) (-2793 (((-237 $) (-635 $)) 27)) (-3233 (((-635 |#2|) $) 74)) (-3491 (((-121) $) 54)) (-2605 (((-1147) $) NIL)) (-1814 (((-1258) $) 57)) (-1912 (((-1111) $) NIL)) (-3636 (((-635 $)) 59)) (-2503 ((|#1| $ (-569)) 53)) (-2284 (((-919) $) 42)) (-1896 (($ (-635 |#1|)) 69) (($ (-1165)) 70)) (-3956 (((-852) $) 45)) (-1326 (((-121) $ $) 50)) (-1377 (((-237 $) $ $) 18) (((-237 $) (-237 $) $) 30) (((-237 $) $ (-237 $)) 31) (((-237 $) $) 33)) (-1371 (((-237 $) $ $) 16) (((-237 $) (-237 $) $) 28) (((-237 $) $ (-237 $)) 29)) (* (((-237 $) (-569) $) 21))) 
+(((-925 |#1| |#2|) (-922 |#1| |#2|) (-366) (-642 |#1|)) (T -925)) 
+NIL 
+(-922 |#1| |#2|) 
+((-2763 (((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147)) 137)) (-3162 ((|#4| |#4|) 153)) (-2381 (((-635 (-410 (-955 |#1|))) (-635 (-1165))) 116)) (-4104 (((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569)) 73)) (-4022 (((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|)) 57)) (-3573 (((-681 |#4|) (-681 |#4|) (-635 |#4|)) 53)) (-2972 (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147)) 149)) (-2279 (((-569) (-681 |#4|) (-919) (-1147)) 130) (((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147)) 129) (((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147)) 128) (((-569) (-681 |#4|) (-1147)) 125) (((-569) (-681 |#4|) (-635 (-1165)) (-1147)) 124) (((-569) (-681 |#4|) (-635 |#4|) (-1147)) 123) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919)) 122) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919)) 121) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919)) 120) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|)) 118) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165))) 117) (((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|)) 114)) (-3734 ((|#4| (-955 |#1|)) 66)) (-2424 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 150)) (-3423 (((-635 (-635 (-569))) (-569) (-569)) 127)) (-2156 (((-635 (-635 |#4|)) (-635 (-635 |#4|))) 85)) (-3138 (((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 83)) (-2325 (((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|))))) 82)) (-1319 (((-121) (-635 (-955 |#1|))) 17) (((-121) (-635 |#4|)) 13)) (-1539 (((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|)) 69)) (-4324 (((-635 |#4|) |#4|) 47)) (-3084 (((-635 (-410 (-955 |#1|))) (-635 |#4|)) 112) (((-681 (-410 (-955 |#1|))) (-681 |#4|)) 54) (((-410 (-955 |#1|)) |#4|) 109)) (-3996 (((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569)) 89)) (-3239 (((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765)) 81)) (-2784 (((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765)) 98)) (-1481 (((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) 46))) 
+(((-926 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-919) (-1147))) (-15 -2763 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -2972 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -3996 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569))) (-15 -3084 ((-410 (-955 |#1|)) |#4|)) (-15 -3084 ((-681 (-410 (-955 |#1|))) (-681 |#4|))) (-15 -3084 ((-635 (-410 (-955 |#1|))) (-635 |#4|))) (-15 -2381 ((-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3734 (|#4| (-955 |#1|))) (-15 -1539 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -3239 ((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765))) (-15 -4022 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|))) (-15 -1481 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -4324 ((-635 |#4|) |#4|)) (-15 -2325 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -3138 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2156 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -3423 ((-635 (-635 (-569))) (-569) (-569))) (-15 -2424 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -2784 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765))) (-15 -3573 ((-681 |#4|) (-681 |#4|) (-635 |#4|))) (-15 -4104 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569))) (-15 -3162 (|#4| |#4|)) (-15 -1319 ((-121) (-635 |#4|))) (-15 -1319 ((-121) (-635 (-955 |#1|))))) (-13 (-302) (-151)) (-13 (-844) (-610 (-1165))) (-790) (-952 |#1| |#3| |#2|)) (T -926)) 
+((-1319 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-1319 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)))) (-3162 (*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *2)) (-4 *2 (-952 *3 *5 *4)))) (-4104 (*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-681 *12)) (-5 *5 (-635 (-410 (-955 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-765)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-952 *9 *11 *10)) (-4 *10 (-13 (-844) (-610 (-1165)))) (-4 *11 (-790)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-955 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *9)))) (|:| -4079 (-635 (-1253 (-410 (-955 *9))))))))) (-5 *1 (-926 *9 *10 *11 *12)))) (-3573 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *7)) (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7)))) (-2784 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-765)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2424 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *5 *6 *7 *8)))) (-3423 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *6 *5)))) (-2156 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-952 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *6)))) (-3138 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7)))) (-2325 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7)))) (-4324 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 *3)) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) (-1481 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -4463 (-681 (-410 (-955 *4)))) (|:| |vec| (-635 (-410 (-955 *4)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-4022 (*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-952 *4 *6 *5)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7)))) (-3239 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-765)))) (-1539 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-4 *7 (-952 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3734 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-952 *4 *6 *5)) (-5 *1 (-926 *4 *5 *6 *2)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)))) (-2381 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-681 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) (-3084 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-410 (-955 *4))) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) (-3996 (*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-681 *11)) (-5 *4 (-635 (-410 (-955 *8)))) (-5 *5 (-765)) (-5 *6 (-1147)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-952 *8 *10 *9)) (-4 *9 (-13 (-844) (-610 (-1165)))) (-4 *10 (-790)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-955 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *8)))) (|:| -4079 (-635 (-1253 (-410 (-955 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-926 *8 *9 *10 *11)) (-5 *7 (-569)))) (-2972 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5)))) (-2763 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *4 (-1147)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-952 *5 *7 *6)) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-919)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) (-2279 (*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 *10)) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-1147)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-919)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)))) (-2279 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) (-2279 (*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-635 (-1165))) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) (-2279 (*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(-10 -7 (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 |#4|) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-635 (-1165)) (-919))) (-15 -2279 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-681 |#4|) (-919))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 |#4|) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-635 (-1165)) (-919) (-1147))) (-15 -2279 ((-569) (-681 |#4|) (-919) (-1147))) (-15 -2763 ((-569) (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -2972 ((-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|))))))))) (-1147))) (-15 -3996 ((-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))))) (|:| |rgsz| (-569))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-765) (-1147) (-569))) (-15 -3084 ((-410 (-955 |#1|)) |#4|)) (-15 -3084 ((-681 (-410 (-955 |#1|))) (-681 |#4|))) (-15 -3084 ((-635 (-410 (-955 |#1|))) (-635 |#4|))) (-15 -2381 ((-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3734 (|#4| (-955 |#1|))) (-15 -1539 ((-2 (|:| |sysok| (-121)) (|:| |z0| (-635 |#4|)) (|:| |n0| (-635 |#4|))) (-635 |#4|) (-635 |#4|))) (-15 -3239 ((-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))) (-681 |#4|) (-765))) (-15 -4022 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-635 |#4|))) (-15 -1481 ((-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))) (-2 (|:| -4463 (-681 (-410 (-955 |#1|)))) (|:| |vec| (-635 (-410 (-955 |#1|)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-15 -4324 ((-635 |#4|) |#4|)) (-15 -2325 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -3138 ((-765) (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 |#4|)))))) (-15 -2156 ((-635 (-635 |#4|)) (-635 (-635 |#4|)))) (-15 -3423 ((-635 (-635 (-569))) (-569) (-569))) (-15 -2424 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -2784 ((-635 (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-681 |#4|) (-765))) (-15 -3573 ((-681 |#4|) (-681 |#4|) (-635 |#4|))) (-15 -4104 ((-2 (|:| |eqzro| (-635 |#4|)) (|:| |neqzro| (-635 |#4|)) (|:| |wcond| (-635 (-955 |#1|))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 |#1|)))) (|:| -4079 (-635 (-1253 (-410 (-955 |#1|)))))))) (-2 (|:| |det| |#4|) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))) (-681 |#4|) (-635 (-410 (-955 |#1|))) (-635 (-635 |#4|)) (-765) (-765) (-569))) (-15 -3162 (|#4| |#4|)) (-15 -1319 ((-121) (-635 |#4|))) (-15 -1319 ((-121) (-635 (-955 |#1|))))) 
+((-4280 (((-929) |#1| (-1165)) 16) (((-929) |#1| (-1165) (-1087 (-216))) 20)) (-2962 (((-929) |#1| |#1| (-1165) (-1087 (-216))) 18) (((-929) |#1| (-1165) (-1087 (-216))) 14))) 
+(((-927 |#1|) (-10 -7 (-15 -2962 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -2962 ((-929) |#1| |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165)))) (-610 (-542))) (T -927)) 
+((-4280 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-4280 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-2962 (*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) (-2962 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542)))))) 
+(-10 -7 (-15 -2962 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -2962 ((-929) |#1| |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165) (-1087 (-216)))) (-15 -4280 ((-929) |#1| (-1165)))) 
+((-1908 (($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 68)) (-1842 (((-1087 (-216)) $) 40)) (-4327 (((-1087 (-216)) $) 39)) (-3724 (((-1087 (-216)) $) 38)) (-3829 (((-635 (-635 (-216))) $) 43)) (-2592 (((-1087 (-216)) $) 41)) (-1566 (((-569) (-569)) 32)) (-1336 (((-569) (-569)) 28)) (-3498 (((-569) (-569)) 30)) (-4450 (((-121) (-121)) 35)) (-2649 (((-569)) 31)) (-1504 (($ $ (-1087 (-216))) 71) (($ $) 72)) (-2184 (($ (-1 (-946 (-216)) (-216)) (-1087 (-216))) 76) (($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 77)) (-2962 (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216))) 79) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 80) (($ $ (-1087 (-216))) 74)) (-1604 (((-569)) 36)) (-3199 (((-569)) 27)) (-1590 (((-569)) 29)) (-3499 (((-635 (-635 (-946 (-216)))) $) 92)) (-3107 (((-121) (-121)) 37)) (-3956 (((-852) $) 91)) (-1932 (((-121)) 34))) 
+(((-928) (-13 (-977) (-10 -8 (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -3829 ((-635 (-635 (-216))) $)) (-15 -3199 ((-569))) (-15 -1336 ((-569) (-569))) (-15 -1590 ((-569))) (-15 -3498 ((-569) (-569))) (-15 -2649 ((-569))) (-15 -1566 ((-569) (-569))) (-15 -1932 ((-121))) (-15 -4450 ((-121) (-121))) (-15 -1604 ((-569))) (-15 -3107 ((-121) (-121)))))) (T -928)) 
+((-2184 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2184 (*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) (-2962 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1908 (*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-1504 (*1 *1 *1) (-5 *1 (-928))) (-2592 (*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) (-3829 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-928)))) (-3199 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1336 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1590 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3498 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-2649 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1566 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-1932 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928)))) (-1604 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928)))) (-3107 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(-13 (-977) (-10 -8 (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -3829 ((-635 (-635 (-216))) $)) (-15 -3199 ((-569))) (-15 -1336 ((-569) (-569))) (-15 -1590 ((-569))) (-15 -3498 ((-569) (-569))) (-15 -2649 ((-569))) (-15 -1566 ((-569) (-569))) (-15 -1932 ((-121))) (-15 -4450 ((-121) (-121))) (-15 -1604 ((-569))) (-15 -3107 ((-121) (-121))))) 
+((-1908 (($ $ (-1087 (-216))) 69) (($ $ (-1087 (-216)) (-1087 (-216))) 70)) (-4327 (((-1087 (-216)) $) 43)) (-3724 (((-1087 (-216)) $) 42)) (-2592 (((-1087 (-216)) $) 44)) (-3591 (((-569) (-569)) 36)) (-4106 (((-569) (-569)) 32)) (-4491 (((-569) (-569)) 34)) (-1466 (((-121) (-121)) 38)) (-3313 (((-569)) 35)) (-1504 (($ $ (-1087 (-216))) 73) (($ $) 74)) (-2184 (($ (-1 (-946 (-216)) (-216)) (-1087 (-216))) 83) (($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 84)) (-4280 (($ (-1 (-216) (-216)) (-1087 (-216))) 91) (($ (-1 (-216) (-216))) 94)) (-2962 (($ (-1 (-216) (-216)) (-1087 (-216))) 78) (($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216))) 79) (($ (-635 (-1 (-216) (-216))) (-1087 (-216))) 86) (($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216))) 87) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216))) 80) (($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216))) 81) (($ $ (-1087 (-216))) 75)) (-4058 (((-121) $) 39)) (-2970 (((-569)) 40)) (-1822 (((-569)) 31)) (-2209 (((-569)) 33)) (-3499 (((-635 (-635 (-946 (-216)))) $) 22)) (-3093 (((-121) (-121)) 41)) (-3956 (((-852) $) 105)) (-4243 (((-121)) 37))) 
+(((-929) (-13 (-957) (-10 -8 (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -4058 ((-121) $)) (-15 -1908 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -1822 ((-569))) (-15 -4106 ((-569) (-569))) (-15 -2209 ((-569))) (-15 -4491 ((-569) (-569))) (-15 -3313 ((-569))) (-15 -3591 ((-569) (-569))) (-15 -4243 ((-121))) (-15 -1466 ((-121) (-121))) (-15 -2970 ((-569))) (-15 -3093 ((-121) (-121)))))) (T -929)) 
+((-2962 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2184 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-2184 (*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-4280 (*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) (-4280 (*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-929)))) (-2962 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-4058 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-1908 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1908 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1504 (*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1504 (*1 *1 *1) (-5 *1 (-929))) (-2592 (*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) (-1822 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4106 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-2209 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4491 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3313 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3591 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-4243 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-1466 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929)))) (-2970 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929)))) (-3093 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
+(-13 (-957) (-10 -8 (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)))) (-15 -2962 ($ (-635 (-1 (-216) (-216))) (-1087 (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)))) (-15 -2962 ($ (-1 (-216) (-216)) (-1 (-216) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)))) (-15 -2184 ($ (-1 (-946 (-216)) (-216)) (-1087 (-216)) (-1087 (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)) (-1087 (-216)))) (-15 -4280 ($ (-1 (-216) (-216)))) (-15 -2962 ($ $ (-1087 (-216)))) (-15 -4058 ((-121) $)) (-15 -1908 ($ $ (-1087 (-216)))) (-15 -1908 ($ $ (-1087 (-216)) (-1087 (-216)))) (-15 -1504 ($ $ (-1087 (-216)))) (-15 -1504 ($ $)) (-15 -2592 ((-1087 (-216)) $)) (-15 -1822 ((-569))) (-15 -4106 ((-569) (-569))) (-15 -2209 ((-569))) (-15 -4491 ((-569) (-569))) (-15 -3313 ((-569))) (-15 -3591 ((-569) (-569))) (-15 -4243 ((-121))) (-15 -1466 ((-121) (-121))) (-15 -2970 ((-569))) (-15 -3093 ((-121) (-121))))) 
+((-2343 (((-635 (-1087 (-216))) (-635 (-635 (-946 (-216))))) 23))) 
+(((-930) (-10 -7 (-15 -2343 ((-635 (-1087 (-216))) (-635 (-635 (-946 (-216)))))))) (T -930)) 
+((-2343 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-1087 (-216)))) (-5 *1 (-930))))) 
+(-10 -7 (-15 -2343 ((-635 (-1087 (-216))) (-635 (-635 (-946 (-216))))))) 
+((-2350 ((|#2| |#2| |#5|) 39) ((|#2| |#2| |#5| (-569)) 20)) (-2076 (((-121) (-635 |#2|) |#5|) 23)) (-2618 (((-765) |#2| |#5| (-569)) 42) (((-765) |#2| |#5|) 41)) (-4068 ((|#2| |#2| |#5| (-569)) 45) ((|#2| |#2| |#5|) 44)) (-1484 ((|#1| |#2| |#5|) 21))) 
+(((-931 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2076 ((-121) (-635 |#2|) |#5|)) (-15 -1484 (|#1| |#2| |#5|)) (-15 -2350 (|#2| |#2| |#5| (-569))) (-15 -2350 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5| (-569))) (-15 -2618 ((-765) |#2| |#5|)) (-15 -2618 ((-765) |#2| |#5| (-569)))) (-366) (-325 |#1| |#3|) (-231 |#4| (-765)) (-765) (-973 |#1|)) (T -931)) 
+((-2618 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-765)) (-5 *1 (-931 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-973 *6)))) (-2618 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-931 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-973 *5)))) (-4068 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) (-4068 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) (-2350 (*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) (-2350 (*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) (-1484 (*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-366)) (-5 *1 (-931 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-973 *2)))) (-2076 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-931 *5 *6 *7 *8 *4)) (-4 *4 (-973 *5))))) 
+(-10 -7 (-15 -2076 ((-121) (-635 |#2|) |#5|)) (-15 -1484 (|#1| |#2| |#5|)) (-15 -2350 (|#2| |#2| |#5| (-569))) (-15 -2350 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5|)) (-15 -4068 (|#2| |#2| |#5| (-569))) (-15 -2618 ((-765) |#2| |#5|)) (-15 -2618 ((-765) |#2| |#5| (-569)))) 
+((-3167 ((|#2| |#2|) 25)) (-3159 ((|#2| |#2|) 26)) (-3575 ((|#2| |#2|) 24)) (-3753 ((|#2| |#2| (-1147)) 23))) 
+(((-932 |#1| |#2|) (-10 -7 (-15 -3753 (|#2| |#2| (-1147))) (-15 -3575 (|#2| |#2|)) (-15 -3167 (|#2| |#2|)) (-15 -3159 (|#2| |#2|))) (-844) (-433 |#1|)) (T -932)) 
+((-3159 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3167 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3575 (*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) (-3753 (*1 *2 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-844)) (-5 *1 (-932 *4 *2)) (-4 *2 (-433 *4))))) 
+(-10 -7 (-15 -3753 (|#2| |#2| (-1147))) (-15 -3575 (|#2| |#2|)) (-15 -3167 (|#2| |#2|)) (-15 -3159 (|#2| |#2|))) 
+((-3167 (((-311 (-569)) (-1165)) 15)) (-3159 (((-311 (-569)) (-1165)) 13)) (-3575 (((-311 (-569)) (-1165)) 11)) (-3753 (((-311 (-569)) (-1165) (-1147)) 18))) 
+(((-933) (-10 -7 (-15 -3753 ((-311 (-569)) (-1165) (-1147))) (-15 -3575 ((-311 (-569)) (-1165))) (-15 -3167 ((-311 (-569)) (-1165))) (-15 -3159 ((-311 (-569)) (-1165))))) (T -933)) 
+((-3159 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3167 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3575 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) (-3753 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1147)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
+(-10 -7 (-15 -3753 ((-311 (-569)) (-1165) (-1147))) (-15 -3575 ((-311 (-569)) (-1165))) (-15 -3167 ((-311 (-569)) (-1165))) (-15 -3159 ((-311 (-569)) (-1165)))) 
+((-3318 (((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)) 24)) (-2547 (((-1 (-121) |#2|) (-1 (-121) |#3|)) 12))) 
+(((-934 |#1| |#2| |#3|) (-10 -7 (-15 -2547 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -3318 ((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-883 |#1|) (-13 (-1093) (-1039 |#2|))) (T -934)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-13 (-1093) (-1039 *3))) (-4 *3 (-883 *5)) (-5 *1 (-934 *5 *3 *6)))) (-2547 (*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1093) (-1039 *5))) (-4 *5 (-883 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-934 *4 *5 *6))))) 
+(-10 -7 (-15 -2547 ((-1 (-121) |#2|) (-1 (-121) |#3|))) (-15 -3318 ((-886 |#1| |#3|) |#2| (-889 |#1|) (-886 |#1| |#3|)))) 
+((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 29))) 
+(((-935 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-13 (-559) (-844) (-883 |#1|)) (-13 (-433 |#2|) (-610 (-889 |#1|)) (-883 |#1|) (-1039 (-608 $)))) (T -935)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-433 *6) (-610 *4) (-883 *5) (-1039 (-608 $)))) (-5 *4 (-889 *5)) (-4 *6 (-13 (-559) (-844) (-883 *5))) (-5 *1 (-935 *5 *6 *3))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) 
+((-3318 (((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)) 12))) 
+(((-936 |#1|) (-10 -7 (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)))) (-551)) (T -936)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 (-569) *3)) (-5 *4 (-889 (-569))) (-4 *3 (-551)) (-5 *1 (-936 *3))))) 
+(-10 -7 (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|)))) 
+((-3318 (((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)) 52))) 
+(((-937 |#1| |#2|) (-10 -7 (-15 -3318 ((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)))) (-1093) (-13 (-844) (-1039 (-608 $)) (-610 (-889 |#1|)) (-883 |#1|))) (T -937)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1093)) (-4 *6 (-13 (-844) (-1039 (-608 $)) (-610 *4) (-883 *5))) (-5 *4 (-889 *5)) (-5 *1 (-937 *5 *6))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| |#2|) (-608 |#2|) (-889 |#1|) (-886 |#1| |#2|)))) 
+((-3318 (((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)) 14))) 
+(((-938 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)))) (-1093) (-883 |#1|) (-659 |#2|)) (T -938)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-882 *5 *6 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-4 *3 (-659 *6)) (-5 *1 (-938 *5 *6 *3))))) 
+(-10 -7 (-15 -3318 ((-882 |#1| |#2| |#3|) |#3| (-889 |#1|) (-882 |#1| |#2| |#3|)))) 
+((-3318 (((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|)) 17 (|has| |#3| (-883 |#1|))) (((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|))) 16))) 
+(((-939 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|)))) (IF (|has| |#3| (-883 |#1|)) (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|))) |noBranch|)) (-1093) (-790) (-844) (-13 (-1049) (-844) (-883 |#1|)) (-13 (-952 |#4| |#2| |#3|) (-610 (-889 |#1|)))) (T -939)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-952 *8 *6 *7) (-610 *4))) (-5 *4 (-889 *5)) (-4 *7 (-883 *5)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-13 (-1049) (-844) (-883 *5))) (-5 *1 (-939 *5 *6 *7 *8 *3)))) (-3318 (*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-886 *6 *3) *8 (-889 *6) (-886 *6 *3))) (-4 *8 (-844)) (-5 *2 (-886 *6 *3)) (-5 *4 (-889 *6)) (-4 *6 (-1093)) (-4 *3 (-13 (-952 *9 *7 *8) (-610 *4))) (-4 *7 (-790)) (-4 *9 (-13 (-1049) (-844) (-883 *6))) (-5 *1 (-939 *6 *7 *8 *9 *3))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|) (-1 (-886 |#1| |#5|) |#3| (-889 |#1|) (-886 |#1| |#5|)))) (IF (|has| |#3| (-883 |#1|)) (-15 -3318 ((-886 |#1| |#5|) |#5| (-889 |#1|) (-886 |#1| |#5|))) |noBranch|)) 
+((-3055 ((|#2| |#2| (-635 (-1 (-121) |#3|))) 11) ((|#2| |#2| (-1 (-121) |#3|)) 12))) 
+(((-940 |#1| |#2| |#3|) (-10 -7 (-15 -3055 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3055 (|#2| |#2| (-635 (-1 (-121) |#3|))))) (-844) (-433 |#1|) (-1199)) (T -940)) 
+((-3055 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) (-3055 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4))))) 
+(-10 -7 (-15 -3055 (|#2| |#2| (-1 (-121) |#3|))) (-15 -3055 (|#2| |#2| (-635 (-1 (-121) |#3|))))) 
+((-3055 (((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))) 16) (((-311 (-569)) (-1165) (-1 (-121) |#1|)) 13))) 
+(((-941 |#1|) (-10 -7 (-15 -3055 ((-311 (-569)) (-1165) (-1 (-121) |#1|))) (-15 -3055 ((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))))) (-1199)) (T -941)) 
+((-3055 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) (-3055 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5))))) 
+(-10 -7 (-15 -3055 ((-311 (-569)) (-1165) (-1 (-121) |#1|))) (-15 -3055 ((-311 (-569)) (-1165) (-635 (-1 (-121) |#1|))))) 
+((-3318 (((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)) 25))) 
+(((-942 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-1093) (-13 (-559) (-883 |#1|) (-610 (-889 |#1|))) (-995 |#2|)) (T -942)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-995 *6)) (-4 *6 (-13 (-559) (-883 *5) (-610 *4))) (-5 *4 (-889 *5)) (-5 *1 (-942 *5 *6 *3))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) 
+((-3318 (((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))) 17))) 
+(((-943 |#1|) (-10 -7 (-15 -3318 ((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))))) (-1093)) (T -943)) 
+((-3318 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 (-1165))) (-5 *3 (-1165)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *1 (-943 *5))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| (-1165)) (-1165) (-889 |#1|) (-886 |#1| (-1165))))) 
+((-3506 (((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) 33)) (-3318 (((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))) 32))) 
+(((-944 |#1| |#2| |#3|) (-10 -7 (-15 -3318 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-15 -3506 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))))) (-1093) (-13 (-1049) (-844)) (-13 (-1049) (-610 (-889 |#1|)) (-1039 |#2|))) (T -944)) 
+((-3506 (*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-889 *6))) (-5 *5 (-1 (-886 *6 *8) *8 (-889 *6) (-886 *6 *8))) (-4 *6 (-1093)) (-4 *8 (-13 (-1049) (-610 (-889 *6)) (-1039 *7))) (-5 *2 (-886 *6 *8)) (-4 *7 (-13 (-1049) (-844))) (-5 *1 (-944 *6 *7 *8)))) (-3318 (*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-889 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-886 *7 *9) *9 (-889 *7) (-886 *7 *9))) (-4 *7 (-1093)) (-4 *9 (-13 (-1049) (-610 (-889 *7)) (-1039 *8))) (-5 *2 (-886 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1049) (-844))) (-5 *1 (-944 *7 *8 *9))))) 
+(-10 -7 (-15 -3318 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-1 |#3| (-635 |#3|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|)))) (-15 -3506 ((-886 |#1| |#3|) (-635 |#3|) (-635 (-889 |#1|)) (-886 |#1| |#3|) (-1 (-886 |#1| |#3|) |#3| (-889 |#1|) (-886 |#1| |#3|))))) 
+((-1581 (((-1161 (-410 (-569))) (-569)) 61)) (-1571 (((-1161 (-569)) (-569)) 64)) (-1633 (((-1161 (-569)) (-569)) 58)) (-4235 (((-569) (-1161 (-569))) 53)) (-3615 (((-1161 (-410 (-569))) (-569)) 47)) (-1320 (((-1161 (-569)) (-569)) 36)) (-4142 (((-1161 (-569)) (-569)) 66)) (-3330 (((-1161 (-569)) (-569)) 65)) (-1584 (((-1161 (-410 (-569))) (-569)) 49))) 
+(((-945) (-10 -7 (-15 -1584 ((-1161 (-410 (-569))) (-569))) (-15 -3330 ((-1161 (-569)) (-569))) (-15 -4142 ((-1161 (-569)) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3615 ((-1161 (-410 (-569))) (-569))) (-15 -4235 ((-569) (-1161 (-569)))) (-15 -1633 ((-1161 (-569)) (-569))) (-15 -1571 ((-1161 (-569)) (-569))) (-15 -1581 ((-1161 (-410 (-569))) (-569))))) (T -945)) 
+((-1581 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1571 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1633 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-4235 (*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-569)) (-5 *1 (-945)))) (-3615 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1320 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-4142 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-3330 (*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) (-1584 (*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(-10 -7 (-15 -1584 ((-1161 (-410 (-569))) (-569))) (-15 -3330 ((-1161 (-569)) (-569))) (-15 -4142 ((-1161 (-569)) (-569))) (-15 -1320 ((-1161 (-569)) (-569))) (-15 -3615 ((-1161 (-410 (-569))) (-569))) (-15 -4235 ((-569) (-1161 (-569)))) (-15 -1633 ((-1161 (-569)) (-569))) (-15 -1571 ((-1161 (-569)) (-569))) (-15 -1581 ((-1161 (-410 (-569))) (-569)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 11 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-2131 (($ (-635 |#1|)) 13)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 8)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 10 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-3803 (($ $ (-635 |#1|)) 24)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 18) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2174 (((-919) $) 16)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) 22)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 17)) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) 23) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) 14 (|has| $ (-6 -4571))))) 
+(((-946 |#1|) (-983 |#1|) (-1049)) (T -946)) 
+NIL 
+(-983 |#1|) 
+((-4505 (((-493 |#1| |#2|) (-955 |#2|)) 17)) (-2468 (((-243 |#1| |#2|) (-955 |#2|)) 29)) (-4500 (((-955 |#2|) (-493 |#1| |#2|)) 22)) (-2952 (((-243 |#1| |#2|) (-493 |#1| |#2|)) 53)) (-2195 (((-955 |#2|) (-243 |#1| |#2|)) 26)) (-4316 (((-493 |#1| |#2|) (-243 |#1| |#2|)) 44))) 
+(((-947 |#1| |#2|) (-10 -7 (-15 -4316 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -2952 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -4505 ((-493 |#1| |#2|) (-955 |#2|))) (-15 -4500 ((-955 |#2|) (-493 |#1| |#2|))) (-15 -2195 ((-955 |#2|) (-243 |#1| |#2|))) (-15 -2468 ((-243 |#1| |#2|) (-955 |#2|)))) (-635 (-1165)) (-1049)) (T -947)) 
+((-2468 (*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165))))) (-2195 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5)))) (-4500 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5)))) (-4505 (*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165))))) (-2952 (*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)))) (-4316 (*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5))))) 
+(-10 -7 (-15 -4316 ((-493 |#1| |#2|) (-243 |#1| |#2|))) (-15 -2952 ((-243 |#1| |#2|) (-493 |#1| |#2|))) (-15 -4505 ((-493 |#1| |#2|) (-955 |#2|))) (-15 -4500 ((-955 |#2|) (-493 |#1| |#2|))) (-15 -2195 ((-955 |#2|) (-243 |#1| |#2|))) (-15 -2468 ((-243 |#1| |#2|) (-955 |#2|)))) 
+((-3939 (((-635 |#2|) |#2| |#2|) 10)) (-3691 (((-765) (-635 |#1|)) 37 (|has| |#1| (-842)))) (-3702 (((-635 |#2|) |#2|) 11)) (-4383 (((-765) (-635 |#1|) (-569) (-569)) 36 (|has| |#1| (-842)))) (-1776 ((|#1| |#2|) 32 (|has| |#1| (-842))))) 
+(((-948 |#1| |#2|) (-10 -7 (-15 -3939 ((-635 |#2|) |#2| |#2|)) (-15 -3702 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-842)) (PROGN (-15 -1776 (|#1| |#2|)) (-15 -3691 ((-765) (-635 |#1|))) (-15 -4383 ((-765) (-635 |#1|) (-569) (-569)))) |noBranch|)) (-366) (-1228 |#1|)) (T -948)) 
+((-4383 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-842)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *5 *6)) (-4 *6 (-1228 *5)))) (-3691 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-842)) (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *4 *5)) (-4 *5 (-1228 *4)))) (-1776 (*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-842)) (-5 *1 (-948 *2 *3)) (-4 *3 (-1228 *2)))) (-3702 (*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4)))) (-3939 (*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -3939 ((-635 |#2|) |#2| |#2|)) (-15 -3702 ((-635 |#2|) |#2|)) (IF (|has| |#1| (-842)) (PROGN (-15 -1776 (|#1| |#2|)) (-15 -3691 ((-765) (-635 |#1|))) (-15 -4383 ((-765) (-635 |#1|) (-569) (-569)))) |noBranch|)) 
+((-4188 (((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)) 18))) 
+(((-949 |#1| |#2|) (-10 -7 (-15 -4188 ((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)))) (-1049) (-1049)) (T -949)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-955 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-955 *6)) (-5 *1 (-949 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-955 |#2|) (-1 |#2| |#1|) (-955 |#1|)))) 
+((-3132 (((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)) 18))) 
+(((-950 |#1| |#2|) (-10 -7 (-15 -3132 ((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)))) (-1165) (-1049)) (T -950)) 
+((-3132 (*1 *2 *3 *4) (-12 (-5 *4 (-1249 *5)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-5 *2 (-1225 *5 (-955 *6))) (-5 *1 (-950 *5 *6)) (-5 *3 (-955 *6))))) 
+(-10 -7 (-15 -3132 ((-1225 |#1| (-955 |#2|)) (-955 |#2|) (-1249 |#1|)))) 
+((-1290 (((-765) $) 69) (((-765) $ (-635 |#4|)) 72)) (-2710 (($ $) 169)) (-3742 (((-421 $) $) 161)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 112)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) 58)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) 57)) (-3673 (($ $ $ |#4|) 74)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 102) (((-681 |#2|) (-681 $)) 95)) (-2540 (($ $) 177) (($ $ |#4|) 180)) (-3367 (((-635 $) $) 61)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 195) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 189)) (-2905 (((-635 $) $) 27)) (-3179 (($ |#2| |#3|) NIL) (($ $ |#4| (-765)) NIL) (($ $ (-635 |#4|) (-635 (-765))) 55)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#4|) 158)) (-2617 (((-3 (-635 $) "failed") $) 41)) (-2085 (((-3 (-635 $) "failed") $) 30)) (-2601 (((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") $) 45)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 105)) (-2769 (((-421 (-1161 $)) (-1161 $)) 118)) (-2059 (((-421 (-1161 $)) (-1161 $)) 116)) (-3139 (((-421 $) $) 136)) (-1484 (($ $ (-635 (-289 $))) 20) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#4| |#2|) NIL) (($ $ (-635 |#4|) (-635 |#2|)) NIL) (($ $ |#4| $) NIL) (($ $ (-635 |#4|) (-635 $)) NIL)) (-2925 (($ $ |#4|) 76)) (-4035 (((-889 (-382)) $) 209) (((-889 (-569)) $) 202) (((-542) $) 217)) (-2363 ((|#2| $) NIL) (($ $ |#4|) 171)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 150)) (-3802 ((|#2| $ |#3|) NIL) (($ $ |#4| (-765)) 50) (($ $ (-635 |#4|) (-635 (-765))) 53)) (-2277 (((-3 $ "failed") $) 152)) (-1337 (((-121) $ $) 183))) 
+(((-951 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2540 (|#1| |#1| |#4|)) (-15 -2363 (|#1| |#1| |#4|)) (-15 -2925 (|#1| |#1| |#4|)) (-15 -3673 (|#1| |#1| |#1| |#4|)) (-15 -3367 ((-635 |#1|) |#1|)) (-15 -1290 ((-765) |#1| (-635 |#4|))) (-15 -1290 ((-765) |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3179 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3179 (|#1| |#1| |#4| (-765))) (-15 -4345 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2905 ((-635 |#1|) |#1|)) (-15 -3802 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3802 (|#1| |#1| |#4| (-765))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -3179 (|#1| |#2| |#3|)) (-15 -3802 (|#2| |#1| |#3|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -2540 (|#1| |#1|))) (-952 |#2| |#3| |#4|) (-1049) (-790) (-844)) (T -951)) 
+NIL 
+(-10 -8 (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -2277 ((-3 |#1| "failed") |#1|)) (-15 -1337 ((-121) |#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2662 ((-3 (-1253 |#1|) "failed") (-681 |#1|))) (-15 -2540 (|#1| |#1| |#4|)) (-15 -2363 (|#1| |#1| |#4|)) (-15 -2925 (|#1| |#1| |#4|)) (-15 -3673 (|#1| |#1| |#1| |#4|)) (-15 -3367 ((-635 |#1|) |#1|)) (-15 -1290 ((-765) |#1| (-635 |#4|))) (-15 -1290 ((-765) |#1|)) (-15 -2601 ((-3 (-2 (|:| |var| |#4|) (|:| -3190 (-765))) "failed") |#1|)) (-15 -2617 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -2085 ((-3 (-635 |#1|) "failed") |#1|)) (-15 -3179 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3179 (|#1| |#1| |#4| (-765))) (-15 -4345 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2905 ((-635 |#1|) |#1|)) (-15 -3802 (|#1| |#1| (-635 |#4|) (-635 (-765)))) (-15 -3802 (|#1| |#1| |#4| (-765))) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#4| |#1|)) (-15 -1484 (|#1| |#1| (-635 |#4|) (-635 |#2|))) (-15 -1484 (|#1| |#1| |#4| |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -3179 (|#1| |#2| |#3|)) (-15 -3802 (|#2| |#1| |#3|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -2540 (|#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133)) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| |#2| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#2|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-4294 ((|#2| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#2| |#2|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3407 (((-3 |#3| "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38)) (-2284 ((|#2| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (($ $) 83 (|has| |#1| (-559))) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#2|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-952 |#1| |#2| |#3|) (-1284) (-1049) (-790) (-844)) (T -952)) 
+((-2540 (*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-2284 (*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) (-2284 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) (-3802 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) (-2905 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-3132 (*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)))) (-3132 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *3)))) (-3407 (*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-4294 (*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) (-4294 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) (-4345 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-952 *4 *5 *3)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) (-3187 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *4)) (-4 *4 (-1049)) (-4 *1 (-952 *4 *5 *3)) (-4 *5 (-790)) (-4 *3 (-844)))) (-3187 (*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)))) (-2085 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-2617 (*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-2601 (*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-765)))))) (-1290 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765)))) (-1290 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) (-3367 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) (-3673 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) (-2925 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) (-2363 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) (-2540 (*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) (-2710 (*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-3742 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-421 *1)) (-4 *1 (-952 *3 *4 *5))))) 
+(-13 (-897 |t#3|) (-325 |t#1| |t#2|) (-304 $) (-524 |t#3| |t#1|) (-524 |t#3| $) (-1039 |t#3|) (-380 |t#1|) (-10 -8 (-15 -2284 ((-765) $ |t#3|)) (-15 -2284 ((-635 (-765)) $ (-635 |t#3|))) (-15 -3802 ($ $ |t#3| (-765))) (-15 -3802 ($ $ (-635 |t#3|) (-635 (-765)))) (-15 -2905 ((-635 $) $)) (-15 -3132 ((-1161 $) $ |t#3|)) (-15 -3132 ((-1161 |t#1|) $)) (-15 -3407 ((-3 |t#3| "failed") $)) (-15 -4294 ((-765) $ |t#3|)) (-15 -4294 ((-635 (-765)) $ (-635 |t#3|))) (-15 -4345 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |t#3|)) (-15 -3179 ($ $ |t#3| (-765))) (-15 -3179 ($ $ (-635 |t#3|) (-635 (-765)))) (-15 -3187 ($ (-1161 |t#1|) |t#3|)) (-15 -3187 ($ (-1161 $) |t#3|)) (-15 -2085 ((-3 (-635 $) "failed") $)) (-15 -2617 ((-3 (-635 $) "failed") $)) (-15 -2601 ((-3 (-2 (|:| |var| |t#3|) (|:| -3190 (-765))) "failed") $)) (-15 -1290 ((-765) $)) (-15 -1290 ((-765) $ (-635 |t#3|))) (-15 -3195 ((-635 |t#3|) $)) (-15 -3367 ((-635 $) $)) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (IF (|has| |t#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-569)))) (IF (|has| |t#3| (-610 (-889 (-569)))) (-6 (-610 (-889 (-569)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-610 (-889 (-382)))) (IF (|has| |t#3| (-610 (-889 (-382)))) (-6 (-610 (-889 (-382)))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-883 (-569))) (IF (|has| |t#3| (-883 (-569))) (-6 (-883 (-569))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-883 (-382))) (IF (|has| |t#3| (-883 (-382))) (-6 (-883 (-382))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -3673 ($ $ $ |t#3|)) (-15 -2925 ($ $ |t#3|))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-6 (-454)) (-15 -2363 ($ $ |t#3|)) (-15 -2540 ($ $)) (-15 -2540 ($ $ |t#3|)) (-15 -3742 ((-421 $) $)) (-15 -2710 ($ $))) |noBranch|) (IF (|has| |t#1| (-6 -4569)) (-6 -4569) |noBranch|) (IF (|has| |t#1| (-906)) (-6 (-906)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
+((-3195 (((-635 |#2|) |#5|) 36)) (-3132 (((-1161 |#5|) |#5| |#2| (-1161 |#5|)) 23) (((-410 (-1161 |#5|)) |#5| |#2|) 16)) (-3187 ((|#5| (-410 (-1161 |#5|)) |#2|) 30)) (-3407 (((-3 |#2| "failed") |#5|) 61)) (-2617 (((-3 (-635 |#5|) "failed") |#5|) 55)) (-3903 (((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|) 45)) (-2085 (((-3 (-635 |#5|) "failed") |#5|) 57)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|) 48))) 
+(((-953 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3195 ((-635 |#2|) |#5|)) (-15 -3407 ((-3 |#2| "failed") |#5|)) (-15 -3132 ((-410 (-1161 |#5|)) |#5| |#2|)) (-15 -3187 (|#5| (-410 (-1161 |#5|)) |#2|)) (-15 -3132 ((-1161 |#5|) |#5| |#2| (-1161 |#5|))) (-15 -2085 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2601 ((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|)) (-15 -3903 ((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -3956 ($ |#4|)) (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $))))) (T -953)) 
+((-3903 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2601 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2617 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-2085 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-3132 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-4 *7 (-952 *6 *5 *4)) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-5 *1 (-953 *5 *4 *6 *7 *3)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 *2))) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *2 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-5 *1 (-953 *5 *4 *6 *7 *2)) (-4 *7 (-952 *6 *5 *4)))) (-3132 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-410 (-1161 *3))) (-5 *1 (-953 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) (-3407 (*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-1049)) (-4 *6 (-952 *5 *4 *2)) (-4 *2 (-844)) (-5 *1 (-953 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *6)) (-15 -3515 (*6 $)) (-15 -3524 (*6 $))))))) (-3195 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(-10 -7 (-15 -3195 ((-635 |#2|) |#5|)) (-15 -3407 ((-3 |#2| "failed") |#5|)) (-15 -3132 ((-410 (-1161 |#5|)) |#5| |#2|)) (-15 -3187 (|#5| (-410 (-1161 |#5|)) |#2|)) (-15 -3132 ((-1161 |#5|) |#5| |#2| (-1161 |#5|))) (-15 -2085 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2617 ((-3 (-635 |#5|) "failed") |#5|)) (-15 -2601 ((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-569))) "failed") |#5|)) (-15 -3903 ((-3 (-2 (|:| |val| |#5|) (|:| -3190 (-569))) "failed") |#5|))) 
+((-4188 ((|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|) 23))) 
+(((-954 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4188 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) (-790) (-844) (-1049) (-952 |#3| |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (T -954)) 
+((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *6 (-790)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (-5 *1 (-954 *6 *7 *8 *5 *2)) (-4 *5 (-952 *8 *6 *7))))) 
+(-10 -7 (-15 -4188 (|#5| (-1 |#5| |#2|) (-1 |#5| |#3|) |#4|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) 15)) (-3132 (((-1161 $) $ (-1165)) 21) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1165))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 8) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1165) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1165) $) NIL)) (-3673 (($ $ $ (-1165)) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1165)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-1165)) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1165) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1165) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-1165)) NIL) (($ (-1161 $) (-1165)) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1165)) NIL)) (-4294 (((-535 (-1165)) $) NIL) (((-765) $ (-1165)) NIL) (((-635 (-765)) $ (-635 (-1165))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-1165)) (-535 (-1165))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3407 (((-3 (-1165) "failed") $) 19)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1165)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $ (-1165)) 29 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1165) |#1|) NIL) (($ $ (-635 (-1165)) (-635 |#1|)) NIL) (($ $ (-1165) $) NIL) (($ $ (-635 (-1165)) (-635 $)) NIL)) (-2925 (($ $ (-1165)) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2284 (((-535 (-1165)) $) NIL) (((-765) $ (-1165)) NIL) (((-635 (-765)) $ (-635 (-1165))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1165) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1165) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1165) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1165)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 25) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1165)) 27) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-955 |#1|) (-13 (-952 |#1| (-535 (-1165)) (-1165)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1165))) |noBranch|))) (-1049)) (T -955)) 
+((-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-955 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
+(-13 (-952 |#1| (-535 (-1165)) (-1165)) (-10 -8 (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1165))) |noBranch|))) 
+((-2084 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765)) 37)) (-2682 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765)) 33)) (-3607 (((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)) 52)) (-2696 (((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765)) 62 (|has| |#3| (-454))))) 
+(((-956 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2084 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765))) (-15 -2682 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765))) (IF (|has| |#3| (-454)) (-15 -2696 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765))) |noBranch|) (-15 -3607 ((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)))) (-790) (-844) (-559) (-952 |#3| |#1| |#2|) (-13 (-366) (-10 -8 (-15 -3515 (|#4| $)) (-15 -3524 (|#4| $)) (-15 -3956 ($ |#4|))))) (T -956)) 
+((-3607 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *3 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-956 *5 *6 *7 *3 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*3 $)) (-15 -3524 (*3 $)) (-15 -3956 ($ *3))))))) (-2696 (*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *3))) (-5 *1 (-956 *5 *6 *7 *8 *3)) (-5 *4 (-765)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8))))))) (-2682 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *9) (|:| |radicand| *9))) (-5 *1 (-956 *5 *6 *7 *8 *9)) (-5 *4 (-765)) (-4 *9 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8))))))) (-2084 (*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-559)) (-4 *7 (-952 *3 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *8) (|:| |radicand| *8))) (-5 *1 (-956 *5 *6 *3 *7 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*7 $)) (-15 -3524 (*7 $)) (-15 -3956 ($ *7)))))))) 
+(-10 -7 (-15 -2084 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#3| (-765))) (-15 -2682 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) (-410 (-569)) (-765))) (IF (|has| |#3| (-454)) (-15 -2696 ((-2 (|:| -3190 (-765)) (|:| -3550 |#5|) (|:| |radicand| |#5|)) |#5| (-765))) |noBranch|) (-15 -3607 ((-2 (|:| -3190 (-765)) (|:| -3550 |#4|) (|:| |radicand| (-635 |#4|))) |#4| (-765)))) 
+((-4327 (((-1087 (-216)) $) 7)) (-3724 (((-1087 (-216)) $) 8)) (-3499 (((-635 (-635 (-946 (-216)))) $) 9)) (-3956 (((-852) $) 6))) 
+(((-957) (-1284)) (T -957)) 
+((-3499 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-635 (-635 (-946 (-216))))))) (-3724 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) (-4327 (*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216)))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -3499 ((-635 (-635 (-946 (-216)))) $)) (-15 -3724 ((-1087 (-216)) $)) (-15 -4327 ((-1087 (-216)) $)))) 
+(((-609 (-852)) . T)) 
+((-3364 (((-3 (-681 |#1|) "failed") |#2| (-919)) 14))) 
+(((-958 |#1| |#2|) (-10 -7 (-15 -3364 ((-3 (-681 |#1|) "failed") |#2| (-919)))) (-559) (-647 |#1|)) (T -958)) 
+((-3364 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-919)) (-4 *5 (-559)) (-5 *2 (-681 *5)) (-5 *1 (-958 *5 *3)) (-4 *3 (-647 *5))))) 
+(-10 -7 (-15 -3364 ((-3 (-681 |#1|) "failed") |#2| (-919)))) 
+((-2247 (((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|) 16)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|) 18)) (-4188 (((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)) 13))) 
+(((-959 |#1| |#2|) (-10 -7 (-15 -2247 ((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -4188 ((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)))) (-1199) (-1199)) (T -959)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-960 *6)) (-5 *1 (-959 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-959 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-960 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-960 *5)) (-5 *1 (-959 *6 *5))))) 
+(-10 -7 (-15 -2247 ((-960 |#2|) (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-960 |#1|) |#2|)) (-15 -4188 ((-960 |#2|) (-1 |#2| |#1|) (-960 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) 17 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 16 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 14)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) |#1|) 13)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 10 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) 12 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 11)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) 15) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) NIL)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-2946 (((-765) $) 8 (|has| $ (-6 -4571))))) 
+(((-960 |#1|) (-19 |#1|) (-1199)) (T -960)) 
 NIL 
 (-19 |#1|) 
-((-2261 (($ $ (-1083 $)) 7) (($ $ (-1163)) 6))) 
-(((-960) (-1278)) (T -960)) 
-((-2261 (*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-960)))) (-2261 (*1 *1 *1 *2) (-12 (-4 *1 (-960)) (-5 *2 (-1163))))) 
-(-13 (-10 -8 (-15 -2261 ($ $ (-1163))) (-15 -2261 ($ $ (-1083 $))))) 
-((-3188 (((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)) 23) (((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163))) 24) (((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163)) 41))) 
-(((-961 |#1|) (-10 -7 (-15 -3188 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)))) (-13 (-366) (-151))) (T -961)) 
-((-3188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-5 *5 (-1163)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *6))) (|:| |prim| (-1159 *6)))) (-5 *1 (-961 *6)))) (-3188 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) (-3188 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-1163)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5))))) 
-(-10 -7 (-15 -3188 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 |#1|))) (-954 |#1|) (-1163) (-954 |#1|) (-1163))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)))) (-15 -3188 ((-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 |#1|))) (|:| |prim| (-1159 |#1|))) (-635 (-954 |#1|)) (-635 (-1163)) (-1163)))) 
-((-2191 (((-635 |#1|) |#1| |#1|) 42)) (-3726 (((-121) |#1|) 39)) (-1820 ((|#1| |#1|) 64)) (-3655 ((|#1| |#1|) 63))) 
-(((-962 |#1|) (-10 -7 (-15 -3726 ((-121) |#1|)) (-15 -3655 (|#1| |#1|)) (-15 -1820 (|#1| |#1|)) (-15 -2191 ((-635 |#1|) |#1| |#1|))) (-551)) (T -962)) 
-((-2191 (*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-962 *3)) (-4 *3 (-551)))) (-1820 (*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551)))) (-3655 (*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551)))) (-3726 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-962 *3)) (-4 *3 (-551))))) 
-(-10 -7 (-15 -3726 ((-121) |#1|)) (-15 -3655 (|#1| |#1|)) (-15 -1820 (|#1| |#1|)) (-15 -2191 ((-635 |#1|) |#1| |#1|))) 
-((-2988 (((-1252) (-851)) 9))) 
-(((-963) (-10 -7 (-15 -2988 ((-1252) (-851))))) (T -963)) 
-((-2988 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-963))))) 
-(-10 -7 (-15 -2988 ((-1252) (-851)))) 
-((-4351 (((-635 |#5|) |#3| (-635 |#3|)) 70)) (-1366 (((-635 |#5|) |#3|) 45)) (-1818 (((-635 |#5|) |#3| (-918)) 58)) (-2557 (((-635 |#5|) (-635 |#3|)) 48))) 
-(((-964 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4351 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1366 ((-635 |#5|) |#3|)) (-15 -2557 ((-635 |#5|) (-635 |#3|))) (-15 -1818 ((-635 |#5|) |#3| (-918)))) (-366) (-635 (-1163)) (-951 |#1| |#4| (-853 |#2|)) (-231 (-4168 |#2|) (-764)) (-972 |#1|)) (T -964)) 
-((-1818 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) (-2557 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) (-1366 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-635 *7)) (-5 *1 (-964 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) (-4351 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *8 (-972 *5))))) 
-(-10 -7 (-15 -4351 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1366 ((-635 |#5|) |#3|)) (-15 -2557 ((-635 |#5|) (-635 |#3|))) (-15 -1818 ((-635 |#5|) |#3| (-918)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 62 (|has| |#1| (-559)))) (-3383 (($ $) 63 (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 28)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) 24)) (-3428 (((-3 $ "failed") $) 35)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1667 (($ $ |#1| |#2| $) 47)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 16)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| |#2|) NIL)) (-4002 ((|#2| $) 19)) (-2658 (($ (-1 |#2| |#2|) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1804 (($ $) 23)) (-4012 ((|#1| $) 21)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 40)) (-1801 ((|#1| $) NIL)) (-3877 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-138)) (|has| |#1| (-559))))) (-2941 (((-3 $ "failed") $ $) 73 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-559)))) (-2492 ((|#2| $) 17)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) 39) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 34) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ |#2|) 31)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 15)) (-4086 (($ $ $ (-764)) 58 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 68 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 54) (($ $ (-764)) 55)) (-3369 (($) 22 T CONST)) (-1556 (($) 12 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (($ $ |#1|) 74 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) 53) (($ $ (-764)) 51)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-965 |#1| |#2|) (-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -3877 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048) (-788)) (T -965)) 
-((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-965 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
-(-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -3877 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (-1498 (($ $ $) 63 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (-2327 (((-3 $ "failed") $ $) 50 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (-2085 (((-764)) 34 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3132 ((|#2| $) 21)) (-2481 ((|#1| $) 20)) (-2820 (($) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) CONST)) (-3428 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-4327 (($) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-1407 (((-121) $) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-3291 (($ $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-2577 (($ |#1| |#2|) 19)) (-2083 (((-918) $) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 37 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-3998 (($ (-918)) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3360 (((-1109) $) NIL)) (-1414 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-4293 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-2185 (((-851) $) 14)) (-2427 (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (-3369 (($) 40 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))) CONST)) (-1556 (($) 24 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))) CONST)) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1668 (((-121) $ $) 18)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1678 (((-121) $ $) 66 (-2232 (-12 (|has| |#1| (-789)) (|has| |#2| (-789))) (-12 (|has| |#1| (-843)) (|has| |#2| (-843)))))) (-1715 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1711 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1707 (($ $ $) 43 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789)))))) (** (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-764)) 31 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))) (($ $ (-918)) NIL (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717)))))) (* (($ (-569) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-764) $) 46 (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (($ (-918) $) NIL (-2232 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-789)) (|has| |#2| (-789))))) (($ $ $) 27 (-2232 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-717)) (|has| |#2| (-717))))))) 
-(((-966 |#1| |#2|) (-13 (-1091) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-717)) (IF (|has| |#2| (-717)) (-6 (-717)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-789)) (IF (|has| |#2| (-789)) (-6 (-789)) |noBranch|) |noBranch|) (IF (|has| |#1| (-843)) (IF (|has| |#2| (-843)) (-6 (-843)) |noBranch|) |noBranch|) (-15 -2577 ($ |#1| |#2|)) (-15 -2481 (|#1| $)) (-15 -3132 (|#2| $)))) (-1091) (-1091)) (T -966)) 
-((-2577 (*1 *1 *2 *3) (-12 (-5 *1 (-966 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2481 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *2 *3)) (-4 *3 (-1091)))) (-3132 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *3 *2)) (-4 *3 (-1091))))) 
-(-13 (-1091) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-717)) (IF (|has| |#2| (-717)) (-6 (-717)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-789)) (IF (|has| |#2| (-789)) (-6 (-789)) |noBranch|) |noBranch|) (IF (|has| |#1| (-843)) (IF (|has| |#2| (-843)) (-6 (-843)) |noBranch|) |noBranch|) (-15 -2577 ($ |#1| |#2|)) (-15 -2481 (|#1| $)) (-15 -3132 (|#2| $)))) 
-((-2568 (((-121) $ $) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-3039 (($ (-635 |#1|)) NIL)) (-1488 (((-635 |#1|) $) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) NIL)) (-1563 (((-569) $) NIL)) (-3875 (($ $ (-569)) NIL) (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#1| $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 ((|#1| $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-967 |#1|) (-972 |#1|) (-366)) (T -967)) 
-NIL 
-(-972 |#1|) 
-((-2568 (((-121) $ $) NIL)) (-4469 (((-858 |#1|) $ (-569) (-858 |#1|)) NIL)) (-1860 (((-635 $) (-635 $) (-764)) NIL) (((-635 $) (-635 $)) NIL)) (-3103 (((-121) $ (-764)) NIL) (((-121) $) NIL)) (-3039 (($ (-635 (-858 |#1|))) NIL)) (-1488 (((-635 (-858 |#1|)) $) NIL)) (-1288 (((-635 $) $) NIL) (((-635 $) $ (-764)) NIL)) (-2005 (((-635 (-858 |#1|)) $) NIL)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) NIL)) (-1563 (((-569) $) NIL)) (-3875 (($ $ (-569)) NIL) (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 (((-858 |#1|) $ (-569)) NIL)) (-2492 (((-918) $) NIL)) (-2955 (((-858 |#1|) $) NIL)) (-1414 (($ $ (-764)) NIL) (($ $) NIL)) (-2185 (((-851) $) NIL) (((-635 (-858 |#1|)) $) NIL) (($ (-635 (-858 |#1|))) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-968 |#1|) (-972 (-858 |#1|)) (-351)) (T -968)) 
-NIL 
-(-972 (-858 |#1|)) 
-((-2568 (((-121) $ $) NIL)) (-4469 ((|#2| $ (-569) |#2|) NIL)) (-1860 (((-635 $) (-635 $) (-764)) 41) (((-635 $) (-635 $)) 42)) (-3103 (((-121) $ (-764)) 38) (((-121) $) 40)) (-3039 (($ (-635 |#2|)) 25)) (-1488 (((-635 |#2|) $) 27)) (-1288 (((-635 $) $) 50) (((-635 $) $ (-764)) 47)) (-2005 (((-635 |#2|) $) 26)) (-2776 (((-1145) $) NIL)) (-3704 (((-569) $) 59)) (-1563 (((-569) $) 62)) (-3875 (($ $ (-569)) 36) (($ $) 52)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-569)) 32)) (-2492 (((-918) $) 16)) (-2955 ((|#2| $) 22)) (-1414 (($ $ (-764)) 30) (($ $) 49)) (-2185 (((-851) $) 19) (((-635 |#2|) $) 24) (($ (-635 |#2|)) 58)) (-1668 (((-121) $ $) 37))) 
-(((-969 |#1| |#2|) (-972 |#2|) (-764) (-366)) (T -969)) 
-NIL 
-(-972 |#2|) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-2854 (($ $ $) 40)) (-3288 (($ $ $) 41)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1538 ((|#1| $) 42)) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-970 |#1|) (-1278) (-843)) (T -970)) 
-((-1538 (*1 *2 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) (-2854 (*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -1538 (|t#1| $)) (-15 -3288 ($ $ $)) (-15 -2854 ($ $ $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-3847 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 84)) (-3306 ((|#2| |#2| |#2|) 82)) (-4499 (((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 86)) (-1421 (((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|) 88)) (-3353 (((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|) 106 (|has| |#1| (-454)))) (-2596 (((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 45)) (-3195 (((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 63)) (-1509 (((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 65)) (-1662 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-1294 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 70)) (-1746 (((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|) 96)) (-2749 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 73)) (-1938 (((-635 (-764)) |#2| |#2|) 81)) (-1870 ((|#1| |#2| |#2|) 41)) (-1441 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|) 104 (|has| |#1| (-454)))) (-3516 ((|#1| |#2| |#2|) 102 (|has| |#1| (-454)))) (-3500 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 43)) (-2614 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|) 62)) (-3493 ((|#1| |#2| |#2|) 60)) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|) 35)) (-3238 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-4507 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-3988 ((|#2| |#2| |#2|) 74)) (-3677 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 68)) (-2844 ((|#2| |#2| |#2| (-764)) 66)) (-2714 ((|#2| |#2| |#2|) 110 (|has| |#1| (-454)))) (-2941 (((-1247 |#2|) (-1247 |#2|) |#1|) 21)) (-2609 (((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|) 38)) (-4175 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|) 94)) (-2087 ((|#1| |#2|) 91)) (-2175 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764)) 72)) (-3081 ((|#2| |#2| |#2| (-764)) 71)) (-3418 (((-635 |#2|) |#2| |#2|) 79)) (-1619 ((|#2| |#2| |#1| |#1| (-764)) 49)) (-3943 ((|#1| |#1| |#1| (-764)) 48)) (* (((-1247 |#2|) |#1| (-1247 |#2|)) 16))) 
-(((-971 |#1| |#2|) (-10 -7 (-15 -3493 (|#1| |#2| |#2|)) (-15 -2614 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -3195 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -1509 ((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2844 (|#2| |#2| |#2| (-764))) (-15 -3677 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -1294 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3081 (|#2| |#2| |#2| (-764))) (-15 -2175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -2749 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3988 (|#2| |#2| |#2|)) (-15 -4507 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1662 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3306 (|#2| |#2| |#2|)) (-15 -3847 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -4499 ((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -1421 ((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -2087 (|#1| |#2|)) (-15 -4175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -1746 ((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -3418 ((-635 |#2|) |#2| |#2|)) (-15 -1938 ((-635 (-764)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -3516 (|#1| |#2| |#2|)) (-15 -1441 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -3353 ((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -2714 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1247 |#2|) |#1| (-1247 |#2|))) (-15 -2941 ((-1247 |#2|) (-1247 |#2|) |#1|)) (-15 -1884 ((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -2609 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -3943 (|#1| |#1| |#1| (-764))) (-15 -1619 (|#2| |#2| |#1| |#1| (-764))) (-15 -3238 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1870 (|#1| |#2| |#2|)) (-15 -3500 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2596 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|))) (-559) (-1222 |#1|)) (T -971)) 
-((-2596 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3500 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1870 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-3238 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-1619 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-3943 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *2 (-559)) (-5 *1 (-971 *2 *4)) (-4 *4 (-1222 *2)))) (-2609 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1884 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4140 *4) (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2941 (*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) (-2714 (*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-3353 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1441 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3516 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-1938 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-764))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3418 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-1746 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4175 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2087 (*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) (-1421 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4499 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3847 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3306 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-1662 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-4507 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3988 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) (-2749 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-2175 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-3081 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4)))) (-1294 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-3677 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5)))) (-2844 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4)))) (-1509 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3195 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-2614 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) (-3493 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
-(-10 -7 (-15 -3493 (|#1| |#2| |#2|)) (-15 -2614 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -3195 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -1509 ((-2 (|:| |coef1| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2844 (|#2| |#2| |#2| (-764))) (-15 -3677 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -1294 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3081 (|#2| |#2| |#2| (-764))) (-15 -2175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -2749 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-764))) (-15 -3988 (|#2| |#2| |#2|)) (-15 -4507 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -1662 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -3306 (|#2| |#2| |#2|)) (-15 -3847 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -4499 ((-2 (|:| |coef2| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -1421 ((-2 (|:| |coef1| |#2|) (|:| -2714 |#2|)) |#2| |#2|)) (-15 -2087 (|#1| |#2|)) (-15 -4175 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -1746 ((-2 (|:| |coef2| |#2|) (|:| -2087 |#1|)) |#2|)) (-15 -3418 ((-635 |#2|) |#2| |#2|)) (-15 -1938 ((-635 (-764)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -3516 (|#1| |#2| |#2|)) (-15 -1441 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -3353 ((-2 (|:| |coef2| |#2|) (|:| -3516 |#1|)) |#2| |#2|)) (-15 -2714 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1247 |#2|) |#1| (-1247 |#2|))) (-15 -2941 ((-1247 |#2|) (-1247 |#2|) |#1|)) (-15 -1884 ((-2 (|:| -4140 |#1|) (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -2609 ((-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) |#2| |#2|)) (-15 -3943 (|#1| |#1| |#1| (-764))) (-15 -1619 (|#2| |#2| |#1| |#1| (-764))) (-15 -3238 (|#2| |#2| |#2| |#2| |#1|)) (-15 -1870 (|#1| |#2| |#2|)) (-15 -3500 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|)) (-15 -2596 ((-2 (|:| |coef2| |#2|) (|:| -3493 |#1|)) |#2| |#2|))) 
-((-2568 (((-121) $ $) 7)) (-4469 ((|#1| $ (-569) |#1|) 14)) (-1860 (((-635 $) (-635 $) (-764)) 22) (((-635 $) (-635 $)) 21)) (-3103 (((-121) $ (-764)) 20) (((-121) $) 19)) (-3039 (($ (-635 |#1|)) 30)) (-1488 (((-635 |#1|) $) 13)) (-1288 (((-635 $) $) 26) (((-635 $) $ (-764)) 25)) (-2005 (((-635 |#1|) $) 16)) (-2776 (((-1145) $) 9)) (-3704 (((-569) $) 17)) (-1563 (((-569) $) 32)) (-3875 (($ $ (-569)) 31) (($ $) 18)) (-3360 (((-1109) $) 10)) (-1534 ((|#1| $ (-569)) 15)) (-2492 (((-918) $) 12)) (-2955 ((|#1| $) 29)) (-1414 (($ $ (-764)) 24) (($ $) 23)) (-2185 (((-851) $) 11) (((-635 |#1|) $) 28) (($ (-635 |#1|)) 27)) (-1668 (((-121) $ $) 6))) 
-(((-972 |#1|) (-1278) (-366)) (T -972)) 
-((-1563 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-3875 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-3039 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) (-2955 (*1 *2 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-2185 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) (-1288 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *3)))) (-1288 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *4)))) (-1414 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-1414 (*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-1860 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)))) (-1860 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) (-3103 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-3875 (*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-3704 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-2005 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) (-1488 (*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(-13 (-1089) (-10 -8 (-15 -1563 ((-569) $)) (-15 -3875 ($ $ (-569))) (-15 -3039 ($ (-635 |t#1|))) (-15 -2955 (|t#1| $)) (-15 -2185 ((-635 |t#1|) $)) (-15 -2185 ($ (-635 |t#1|))) (-15 -1288 ((-635 $) $)) (-15 -1288 ((-635 $) $ (-764))) (-15 -1414 ($ $ (-764))) (-15 -1414 ($ $)) (-15 -1860 ((-635 $) (-635 $) (-764))) (-15 -1860 ((-635 $) (-635 $))) (-15 -3103 ((-121) $ (-764))) (-15 -3103 ((-121) $)) (-15 -3875 ($ $)) (-15 -3704 ((-569) $)) (-15 -2005 ((-635 |t#1|) $)) (-15 -1534 (|t#1| $ (-569))) (-15 -4469 (|t#1| $ (-569) |t#1|)) (-15 -1488 ((-635 |t#1|) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T) ((-1089) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) 26)) (-2820 (($) NIL T CONST)) (-3816 (((-635 (-635 (-569))) (-635 (-569))) 28)) (-3882 (((-569) $) 44)) (-2431 (($ (-635 (-569))) 17)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3817 (((-635 (-569)) $) 11)) (-1414 (($ $) 31)) (-2185 (((-851) $) 42) (((-635 (-569)) $) 9)) (-3369 (($) 7 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 19)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 18)) (-1707 (($ $ $) 20)) (* (($ (-764) $) 24) (($ (-918) $) NIL))) 
-(((-973) (-13 (-791) (-610 (-635 (-569))) (-10 -8 (-15 -2431 ($ (-635 (-569)))) (-15 -3816 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -3882 ((-569) $)) (-15 -1414 ($ $)) (-15 -2185 ((-635 (-569)) $))))) (T -973)) 
-((-2431 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973)))) (-3816 (*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-973)) (-5 *3 (-635 (-569))))) (-3882 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-973)))) (-1414 (*1 *1 *1) (-5 *1 (-973))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973))))) 
-(-13 (-791) (-610 (-635 (-569))) (-10 -8 (-15 -2431 ($ (-635 (-569)))) (-15 -3816 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -3882 ((-569) $)) (-15 -1414 ($ $)) (-15 -2185 ((-635 (-569)) $)))) 
-((-1715 (($ $ |#2|) 30)) (-1711 (($ $) 22) (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-410 (-569)) $) 26) (($ $ (-410 (-569))) 28))) 
-(((-974 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) (-975 |#2| |#3| |#4|) (-1048) (-788) (-843)) (T -974)) 
-NIL 
-(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1715 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 * (|#1| (-918) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 70)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2777 (((-121) $) 69)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-635 |#3|) (-635 |#2|)) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2492 ((|#2| $) 63)) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-975 |#1| |#2| |#3|) (-1278) (-1048) (-788) (-843)) (T -975)) 
-((-4012 (*1 *2 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *3 (-788)) (-4 *4 (-843)) (-4 *2 (-1048)))) (-1804 (*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *2 *4)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *2 (-788)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-975 *4 *3 *2)) (-4 *4 (-1048)) (-4 *3 (-788)) (-4 *2 (-843)))) (-1763 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-975 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-788)) (-4 *6 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) (-2777 (*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3659 (*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
-(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -1763 ($ $ |t#3| |t#2|)) (-15 -1763 ($ $ (-635 |t#3|) (-635 |t#2|))) (-15 -1804 ($ $)) (-15 -4012 (|t#1| $)) (-15 -2492 (|t#2| $)) (-15 -1773 ((-635 |t#3|) $)) (-15 -2777 ((-121) $)) (-15 -3659 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-3080 (((-1085 (-216)) $) 7)) (-3740 (((-1085 (-216)) $) 8)) (-3495 (((-1085 (-216)) $) 9)) (-2707 (((-635 (-635 (-945 (-216)))) $) 10)) (-2185 (((-851) $) 6))) 
-(((-976) (-1278)) (T -976)) 
-((-2707 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-635 (-635 (-945 (-216))))))) (-3495 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216))))) (-3740 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216))))) (-3080 (*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -2707 ((-635 (-635 (-945 (-216)))) $)) (-15 -3495 ((-1085 (-216)) $)) (-15 -3740 ((-1085 (-216)) $)) (-15 -3080 ((-1085 (-216)) $)))) 
-(((-609 (-851)) . T)) 
-((-1773 (((-635 |#4|) $) 23)) (-3008 (((-121) $) 47)) (-3625 (((-121) $) 46)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#4|) 35)) (-4162 (((-121) $) 48)) (-2716 (((-121) $ $) 54)) (-3532 (((-121) $ $) 57)) (-2398 (((-121) $) 52)) (-4318 (((-635 |#5|) (-635 |#5|) $) 89)) (-1322 (((-635 |#5|) (-635 |#5|) $) 86)) (-1830 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-1833 (((-635 |#4|) $) 27)) (-2760 (((-121) |#4| $) 29)) (-2439 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-4201 (($ $ |#4|) 32)) (-3460 (($ $ |#4|) 31)) (-2630 (($ $ |#4|) 33)) (-1668 (((-121) $ $) 39))) 
-(((-977 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3625 ((-121) |#1|)) (-15 -4318 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1322 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1830 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2439 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4162 ((-121) |#1|)) (-15 -3532 ((-121) |#1| |#1|)) (-15 -2716 ((-121) |#1| |#1|)) (-15 -2398 ((-121) |#1|)) (-15 -3008 ((-121) |#1|)) (-15 -3113 ((-2 (|:| |under| |#1|) (|:| -2942 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -2630 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -2760 ((-121) |#4| |#1|)) (-15 -1833 ((-635 |#4|) |#1|)) (-15 -1773 ((-635 |#4|) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-978 |#2| |#3| |#4| |#5|) (-1048) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -977)) 
-NIL 
-(-10 -8 (-15 -3625 ((-121) |#1|)) (-15 -4318 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1322 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -1830 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -2439 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -4162 ((-121) |#1|)) (-15 -3532 ((-121) |#1| |#1|)) (-15 -2716 ((-121) |#1| |#1|)) (-15 -2398 ((-121) |#1|)) (-15 -3008 ((-121) |#1|)) (-15 -3113 ((-2 (|:| |under| |#1|) (|:| -2942 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -2630 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -2760 ((-121) |#4| |#1|)) (-15 -1833 ((-635 |#4|) |#1|)) (-15 -1773 ((-635 |#4|) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535)))) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535)))) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3360 (((-1109) $) 10)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-978 |#1| |#2| |#3| |#4|) (-1278) (-1048) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -978)) 
-((-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) (-4357 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-1062 *3 *4 *2)) (-4 *2 (-843)))) (-1773 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-1833 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-2760 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *3 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) (-3460 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-2630 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-4201 (*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2)))) (-3113 (*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2942 *1) (|:| |upper| *1))) (-4 *1 (-978 *4 *5 *3 *6)))) (-3008 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-2398 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-2716 (*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3532 (*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-4162 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-2439 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-1830 (*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-1322 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)))) (-4318 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)))) (-3625 (*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(-13 (-1091) (-155 |t#4|) (-609 (-635 |t#4|)) (-10 -8 (-6 -4535) (-15 -1647 ((-3 $ "failed") (-635 |t#4|))) (-15 -2428 ($ (-635 |t#4|))) (-15 -4357 (|t#3| $)) (-15 -1773 ((-635 |t#3|) $)) (-15 -1833 ((-635 |t#3|) $)) (-15 -2760 ((-121) |t#3| $)) (-15 -3460 ($ $ |t#3|)) (-15 -2630 ($ $ |t#3|)) (-15 -4201 ($ $ |t#3|)) (-15 -3113 ((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |t#3|)) (-15 -3008 ((-121) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -2398 ((-121) $)) (-15 -2716 ((-121) $ $)) (-15 -3532 ((-121) $ $)) (-15 -4162 ((-121) $)) (-15 -2439 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -1830 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -1322 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -4318 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3625 ((-121) $))) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-1091) . T) ((-1197) . T)) 
-((-3317 (((-635 |#4|) |#4| |#4|) 114)) (-3038 (((-635 |#4|) (-635 |#4|) (-121)) 103 (|has| |#1| (-454))) (((-635 |#4|) (-635 |#4|)) 104 (|has| |#1| (-454)))) (-3097 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 34)) (-3219 (((-121) |#4|) 33)) (-2548 (((-635 |#4|) |#4|) 100 (|has| |#1| (-454)))) (-2711 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|)) 19)) (-3344 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 21)) (-2735 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 22)) (-3834 (((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|)) 72)) (-4206 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-2989 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3033 (((-635 |#4|) (-635 |#4|)) 106)) (-3006 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121)) 47) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 49)) (-4370 ((|#4| |#4| (-635 |#4|)) 48)) (-3686 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 110 (|has| |#1| (-454)))) (-2023 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 113 (|has| |#1| (-454)))) (-4458 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 112 (|has| |#1| (-454)))) (-2350 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|))) 86) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 88) (((-635 |#4|) (-635 |#4|) |#4|) 117) (((-635 |#4|) |#4| |#4|) 115) (((-635 |#4|) (-635 |#4|)) 87)) (-2391 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 97 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2934 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 40)) (-1922 (((-121) (-635 |#4|)) 61)) (-3741 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 52)) (-3247 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 28)) (-3646 (((-121) |#4|) 27)) (-2218 (((-635 |#4|) (-635 |#4|)) 96 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2386 (((-635 |#4|) (-635 |#4|)) 95 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2603 (((-635 |#4|) (-635 |#4|)) 65)) (-2448 (((-635 |#4|) (-635 |#4|)) 78)) (-2918 (((-121) (-635 |#4|) (-635 |#4|)) 50)) (-1425 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 38)) (-2115 (((-121) |#4|) 35))) 
-(((-979 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2350 ((-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) |#4| |#4|)) (-15 -3033 ((-635 |#4|) (-635 |#4|))) (-15 -3317 ((-635 |#4|) |#4| |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -2918 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3741 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -1922 ((-121) (-635 |#4|))) (-15 -2711 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -3344 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2735 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2934 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3219 ((-121) |#4|)) (-15 -3097 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3646 ((-121) |#4|)) (-15 -3247 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2115 ((-121) |#4|)) (-15 -1425 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4370 (|#4| |#4| (-635 |#4|))) (-15 -2603 ((-635 |#4|) (-635 |#4|))) (-15 -3834 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -2448 ((-635 |#4|) (-635 |#4|))) (-15 -4206 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2989 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2548 ((-635 |#4|) |#4|)) (-15 -3038 ((-635 |#4|) (-635 |#4|))) (-15 -3038 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -3686 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -4458 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2023 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2386 ((-635 |#4|) (-635 |#4|))) (-15 -2218 ((-635 |#4|) (-635 |#4|))) (-15 -2391 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -979)) 
-((-2391 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2218 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2386 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2023 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-4458 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3686 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3038 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3038 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2548 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2989 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-979 *5 *6 *7 *8)))) (-4206 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *1 (-979 *6 *7 *8 *9)))) (-2448 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-3834 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -3275 (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2603 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-4370 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *2)))) (-3006 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3006 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-1425 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2115 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3247 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3646 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3097 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-3219 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2934 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2735 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-3344 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-2711 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-1922 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7)))) (-3741 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *5 *6 *7 *8)))) (-2918 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7)))) (-2350 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7)))) (-2350 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2350 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *3)))) (-3317 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-3033 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) (-2350 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) (-2350 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(-10 -7 (-15 -2350 ((-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) |#4| |#4|)) (-15 -3033 ((-635 |#4|) (-635 |#4|))) (-15 -3317 ((-635 |#4|) |#4| |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2350 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -2918 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3741 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -1922 ((-121) (-635 |#4|))) (-15 -2711 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -3344 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2735 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2934 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3219 ((-121) |#4|)) (-15 -3097 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3646 ((-121) |#4|)) (-15 -3247 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2115 ((-121) |#4|)) (-15 -1425 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3006 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -4370 (|#4| |#4| (-635 |#4|))) (-15 -2603 ((-635 |#4|) (-635 |#4|))) (-15 -3834 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -2448 ((-635 |#4|) (-635 |#4|))) (-15 -4206 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2989 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2548 ((-635 |#4|) |#4|)) (-15 -3038 ((-635 |#4|) (-635 |#4|))) (-15 -3038 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -3686 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -4458 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2023 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2386 ((-635 |#4|) (-635 |#4|))) (-15 -2218 ((-635 |#4|) (-635 |#4|))) (-15 -2391 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) 
-((-2286 (((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-3716 (((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)) 35)) (-3053 (((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
-(((-980 |#1|) (-10 -7 (-15 -2286 ((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3053 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3716 ((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)))) (-366)) (T -980)) 
-((-3716 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5))))) (-5 *1 (-980 *5)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)))) (-3053 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-680 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-980 *5)))) (-2286 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-680 *6)) (|:| A (-680 *6)) (|:| |Ainv| (-680 *6)))) (-5 *1 (-980 *6)) (-5 *3 (-680 *6))))) 
-(-10 -7 (-15 -2286 ((-2 (|:| R (-680 |#1|)) (|:| A (-680 |#1|)) (|:| |Ainv| (-680 |#1|))) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3053 ((-680 |#1|) (-680 |#1|) (-680 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -3716 ((-635 (-2 (|:| C (-680 |#1|)) (|:| |g| (-1247 |#1|)))) (-680 |#1|) (-1247 |#1|)))) 
-((-2446 (((-421 |#4|) |#4|) 47))) 
-(((-981 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2446 ((-421 |#4|) |#4|))) (-843) (-789) (-454) (-951 |#3| |#2| |#1|)) (T -981)) 
-((-2446 (*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-981 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
-(-10 -7 (-15 -2446 ((-421 |#4|) |#4|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764)) 105 (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-2893 (($ (-635 |#1|)) 110)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) 98 (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2456 ((|#1| $) 95 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2006 (((-121) $ (-764)) 10)) (-1906 ((|#1| $) 96 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-3499 (($ $ (-635 |#1|)) 107)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-2049 ((|#1| $ $) 99 (|has| |#1| (-1048)))) (-2369 (((-918) $) 109)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-3904 (($ $ $) 97)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 108)) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1711 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1707 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-717))) (($ $ |#1|) 100 (|has| |#1| (-717)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-982 |#1|) (-1278) (-1048)) (T -982)) 
-((-2893 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) (-2369 (*1 *2 *1) (-12 (-4 *1 (-982 *3)) (-4 *3 (-1048)) (-5 *2 (-918)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) (-3904 (*1 *1 *1 *1) (-12 (-4 *1 (-982 *2)) (-4 *2 (-1048)))) (-3499 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-982 *3)) (-4 *3 (-1048))))) 
-(-13 (-1245 |t#1|) (-10 -8 (-15 -2893 ($ (-635 |t#1|))) (-15 -2369 ((-918) $)) (-15 -3817 ($ (-635 |t#1|))) (-15 -3904 ($ $ $)) (-15 -3499 ($ $ (-635 |t#1|))))) 
-(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T) ((-1245 |#1|) . T)) 
-((-1544 (((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)) 17))) 
-(((-983 |#1| |#2|) (-10 -7 (-15 -1544 ((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)))) (-1048) (-1048)) (T -983)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-945 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-945 *6)) (-5 *1 (-983 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-945 |#2|) (-1 |#2| |#1|) (-945 |#1|)))) 
-((-3363 ((|#1| (-945 |#1|)) 13)) (-4016 ((|#1| (-945 |#1|)) 12)) (-2308 ((|#1| (-945 |#1|)) 11)) (-2293 ((|#1| (-945 |#1|)) 15)) (-3473 ((|#1| (-945 |#1|)) 21)) (-1687 ((|#1| (-945 |#1|)) 14)) (-2285 ((|#1| (-945 |#1|)) 16)) (-1786 ((|#1| (-945 |#1|)) 20)) (-3742 ((|#1| (-945 |#1|)) 19))) 
-(((-984 |#1|) (-10 -7 (-15 -2308 (|#1| (-945 |#1|))) (-15 -4016 (|#1| (-945 |#1|))) (-15 -3363 (|#1| (-945 |#1|))) (-15 -1687 (|#1| (-945 |#1|))) (-15 -2293 (|#1| (-945 |#1|))) (-15 -2285 (|#1| (-945 |#1|))) (-15 -3742 (|#1| (-945 |#1|))) (-15 -1786 (|#1| (-945 |#1|))) (-15 -3473 (|#1| (-945 |#1|)))) (-1048)) (T -984)) 
-((-3473 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-1786 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-3742 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2285 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2293 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-1687 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-3363 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-4016 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048)))) (-2308 (*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(-10 -7 (-15 -2308 (|#1| (-945 |#1|))) (-15 -4016 (|#1| (-945 |#1|))) (-15 -3363 (|#1| (-945 |#1|))) (-15 -1687 (|#1| (-945 |#1|))) (-15 -2293 (|#1| (-945 |#1|))) (-15 -2285 (|#1| (-945 |#1|))) (-15 -3742 (|#1| (-945 |#1|))) (-15 -1786 (|#1| (-945 |#1|))) (-15 -3473 (|#1| (-945 |#1|)))) 
-((-1465 (((-3 |#1| "failed") |#1|) 18)) (-3037 (((-3 |#1| "failed") |#1|) 6)) (-4467 (((-3 |#1| "failed") |#1|) 16)) (-1549 (((-3 |#1| "failed") |#1|) 4)) (-2847 (((-3 |#1| "failed") |#1|) 20)) (-2971 (((-3 |#1| "failed") |#1|) 8)) (-2657 (((-3 |#1| "failed") |#1| (-764)) 1)) (-1552 (((-3 |#1| "failed") |#1|) 3)) (-3331 (((-3 |#1| "failed") |#1|) 2)) (-4331 (((-3 |#1| "failed") |#1|) 21)) (-2957 (((-3 |#1| "failed") |#1|) 9)) (-1371 (((-3 |#1| "failed") |#1|) 19)) (-4267 (((-3 |#1| "failed") |#1|) 7)) (-4254 (((-3 |#1| "failed") |#1|) 17)) (-4046 (((-3 |#1| "failed") |#1|) 5)) (-4389 (((-3 |#1| "failed") |#1|) 24)) (-4299 (((-3 |#1| "failed") |#1|) 12)) (-2597 (((-3 |#1| "failed") |#1|) 22)) (-2859 (((-3 |#1| "failed") |#1|) 10)) (-4430 (((-3 |#1| "failed") |#1|) 26)) (-1338 (((-3 |#1| "failed") |#1|) 14)) (-2264 (((-3 |#1| "failed") |#1|) 27)) (-2226 (((-3 |#1| "failed") |#1|) 15)) (-2368 (((-3 |#1| "failed") |#1|) 25)) (-2042 (((-3 |#1| "failed") |#1|) 13)) (-2858 (((-3 |#1| "failed") |#1|) 23)) (-3768 (((-3 |#1| "failed") |#1|) 11))) 
-(((-985 |#1|) (-1278) (-1183)) (T -985)) 
-((-2264 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4430 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2368 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4389 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2858 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2597 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4331 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2847 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1371 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1465 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4254 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4467 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2226 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1338 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2042 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4299 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3768 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2859 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2957 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2971 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4267 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3037 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-4046 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1549 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-1552 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-3331 (*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183)))) (-2657 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(-13 (-10 -7 (-15 -2657 ((-3 |t#1| "failed") |t#1| (-764))) (-15 -3331 ((-3 |t#1| "failed") |t#1|)) (-15 -1552 ((-3 |t#1| "failed") |t#1|)) (-15 -1549 ((-3 |t#1| "failed") |t#1|)) (-15 -4046 ((-3 |t#1| "failed") |t#1|)) (-15 -3037 ((-3 |t#1| "failed") |t#1|)) (-15 -4267 ((-3 |t#1| "failed") |t#1|)) (-15 -2971 ((-3 |t#1| "failed") |t#1|)) (-15 -2957 ((-3 |t#1| "failed") |t#1|)) (-15 -2859 ((-3 |t#1| "failed") |t#1|)) (-15 -3768 ((-3 |t#1| "failed") |t#1|)) (-15 -4299 ((-3 |t#1| "failed") |t#1|)) (-15 -2042 ((-3 |t#1| "failed") |t#1|)) (-15 -1338 ((-3 |t#1| "failed") |t#1|)) (-15 -2226 ((-3 |t#1| "failed") |t#1|)) (-15 -4467 ((-3 |t#1| "failed") |t#1|)) (-15 -4254 ((-3 |t#1| "failed") |t#1|)) (-15 -1465 ((-3 |t#1| "failed") |t#1|)) (-15 -1371 ((-3 |t#1| "failed") |t#1|)) (-15 -2847 ((-3 |t#1| "failed") |t#1|)) (-15 -4331 ((-3 |t#1| "failed") |t#1|)) (-15 -2597 ((-3 |t#1| "failed") |t#1|)) (-15 -2858 ((-3 |t#1| "failed") |t#1|)) (-15 -4389 ((-3 |t#1| "failed") |t#1|)) (-15 -2368 ((-3 |t#1| "failed") |t#1|)) (-15 -4430 ((-3 |t#1| "failed") |t#1|)) (-15 -2264 ((-3 |t#1| "failed") |t#1|)))) 
-((-3277 ((|#4| |#4| (-635 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-2699 ((|#4| |#4| (-635 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-1544 ((|#4| (-1 |#4| (-954 |#1|)) |#4|) 30))) 
-(((-986 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2699 (|#4| |#4| |#3|)) (-15 -2699 (|#4| |#4| (-635 |#3|))) (-15 -3277 (|#4| |#4| |#3|)) (-15 -3277 (|#4| |#4| (-635 |#3|))) (-15 -1544 (|#4| (-1 |#4| (-954 |#1|)) |#4|))) (-1048) (-789) (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163))))) (-951 (-954 |#1|) |#2| |#3|)) (T -986)) 
-((-1544 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-954 *4))) (-4 *4 (-1048)) (-4 *2 (-951 (-954 *4) *5 *6)) (-4 *5 (-789)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *6 *2)))) (-3277 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6)))) (-3277 (*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) (-2699 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6)))) (-2699 (*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3))))) 
-(-10 -7 (-15 -2699 (|#4| |#4| |#3|)) (-15 -2699 (|#4| |#4| (-635 |#3|))) (-15 -3277 (|#4| |#4| |#3|)) (-15 -3277 (|#4| |#4| (-635 |#3|))) (-15 -1544 (|#4| (-1 |#4| (-954 |#1|)) |#4|))) 
-((-4004 ((|#2| |#3|) 34)) (-1627 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|) 71)) (-3577 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) 86))) 
-(((-987 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|)) (-15 -4004 (|#2| |#3|))) (-351) (-1222 |#1|) (-1222 |#2|) (-715 |#2| |#3|)) (T -987)) 
-((-4004 (*1 *2 *3) (-12 (-4 *3 (-1222 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-987 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-715 *2 *3)))) (-1627 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-987 *4 *3 *5 *6)) (-4 *6 (-715 *3 *5)))) (-3577 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-987 *3 *4 *5 *6)) (-4 *6 (-715 *4 *5))))) 
-(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|)) (-15 -4004 (|#2| |#3|))) 
-((-3909 (((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))) 64))) 
-(((-988 |#1| |#2|) (-10 -7 (-15 -3909 ((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))))) (-635 (-1163)) (-764)) (T -988)) 
-((-3909 (*1 *2 *2) (-12 (-5 *2 (-989 (-410 (-569)) (-853 *3) (-233 *4 (-764)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-988 *3 *4))))) 
-(-10 -7 (-15 -3909 ((-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569)))) (-989 (-410 (-569)) (-853 |#1|) (-233 |#2| (-764)) (-243 |#1| (-410 (-569))))))) 
-((-2568 (((-121) $ $) NIL)) (-3156 (((-3 (-121) "failed") $) 67)) (-4490 (($ $) 35 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2316 (($ $ (-3 (-121) "failed")) 68)) (-2292 (($ (-635 |#4|) |#4|) 24)) (-2776 (((-1145) $) NIL)) (-4125 (($ $) 65)) (-3360 (((-1109) $) NIL)) (-1601 (((-121) $) 66)) (-1296 (($) 29)) (-2426 ((|#4| $) 70)) (-1399 (((-635 |#4|) $) 69)) (-2185 (((-851) $) 64)) (-1668 (((-121) $ $) NIL))) 
-(((-989 |#1| |#2| |#3| |#4|) (-13 (-1091) (-609 (-851)) (-10 -8 (-15 -1296 ($)) (-15 -2292 ($ (-635 |#4|) |#4|)) (-15 -3156 ((-3 (-121) "failed") $)) (-15 -2316 ($ $ (-3 (-121) "failed"))) (-15 -1601 ((-121) $)) (-15 -1399 ((-635 |#4|) $)) (-15 -2426 (|#4| $)) (-15 -4125 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -4490 ($ $)) |noBranch|) |noBranch|))) (-454) (-843) (-789) (-951 |#1| |#3| |#2|)) (T -989)) 
-((-1296 (*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) (-2292 (*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-951 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *1 (-989 *4 *5 *6 *3)))) (-3156 (*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-2316 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-1601 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-1399 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-635 *6)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) (-2426 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-989 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)))) (-4125 (*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) (-4490 (*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3))))) 
-(-13 (-1091) (-609 (-851)) (-10 -8 (-15 -1296 ($)) (-15 -2292 ($ (-635 |#4|) |#4|)) (-15 -3156 ((-3 (-121) "failed") $)) (-15 -2316 ($ $ (-3 (-121) "failed"))) (-15 -1601 ((-121) $)) (-15 -1399 ((-635 |#4|) $)) (-15 -2426 (|#4| $)) (-15 -4125 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -4490 ($ $)) |noBranch|) |noBranch|))) 
-((-3099 (((-121) |#5| |#5|) 37)) (-1501 (((-121) |#5| |#5|) 51)) (-1877 (((-121) |#5| (-635 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-1941 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-2149 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 62)) (-2737 (((-1252)) 33)) (-2371 (((-1252) (-1145) (-1145) (-1145)) 29)) (-1890 (((-635 |#5|) (-635 |#5|)) 80)) (-1428 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) 78)) (-1659 (((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 100)) (-1602 (((-121) |#5| |#5|) 46)) (-4393 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4461 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-3269 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-2673 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-3590 (((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-2514 (((-635 |#5|) (-635 |#5|)) 42))) 
-(((-990 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -990)) 
-((-3590 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-990 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) (-1659 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-990 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-1428 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-2149 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)))) (-1890 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-1877 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-990 *5 *6 *7 *8 *3)))) (-1877 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-4393 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2673 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3269 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-4461 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1941 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1501 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-1602 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2514 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) (-3099 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2737 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-990 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-2371 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-3534 (((-1163) $) 15)) (-2247 (((-1145) $) 16)) (-1539 (($ (-1163) (-1145)) 14)) (-2185 (((-851) $) 13))) 
-(((-991) (-13 (-609 (-851)) (-10 -8 (-15 -1539 ($ (-1163) (-1145))) (-15 -3534 ((-1163) $)) (-15 -2247 ((-1145) $))))) (T -991)) 
-((-1539 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-991)))) (-3534 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-991)))) (-2247 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-991))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -1539 ($ (-1163) (-1145))) (-15 -3534 ((-1163) $)) (-15 -2247 ((-1145) $)))) 
-((-1544 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
-(((-992 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) (-559) (-559) (-994 |#1|) (-994 |#2|)) (T -992)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-994 *6)) (-5 *1 (-992 *5 *6 *4 *2)) (-4 *4 (-994 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-1163) "failed") $) 65) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) 95)) (-2428 ((|#2| $) NIL) (((-1163) $) 60) (((-410 (-569)) $) NIL) (((-569) $) 92)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 112) (((-680 |#2|) (-680 $)) 28)) (-4327 (($) 98)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 74) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 83)) (-4052 (($ $) 10)) (-3846 (((-3 $ "failed") $) 20)) (-1544 (($ (-1 |#2| |#2|) $) 22)) (-4043 (($) 16)) (-1346 (($ $) 54)) (-3899 (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-4214 (($ $) 12)) (-3817 (((-888 (-569)) $) 69) (((-888 (-382)) $) 78) (((-542) $) 40) (((-382) $) 44) (((-216) $) 47)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 90) (($ |#2|) NIL) (($ (-1163)) 57)) (-1991 (((-764)) 31)) (-1678 (((-121) $ $) 50))) 
-(((-993 |#1| |#2|) (-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -4327 (|#1|)) (-15 -1346 (|#1| |#1|)) (-15 -4214 (|#1| |#1|)) (-15 -4052 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) (-994 |#2|) (-559)) (T -993)) 
-((-1991 (*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-993 *3 *4)) (-4 *3 (-994 *4))))) 
-(-10 -8 (-15 -1678 ((-121) |#1| |#1|)) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2185 (|#1| (-1163))) (-15 -4327 (|#1|)) (-15 -1346 (|#1| |#1|)) (-15 -4214 (|#1| |#1|)) (-15 -4052 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -2883 ((-885 (-569) |#1|) |#1| (-888 (-569)) (-885 (-569) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -1696 ((-680 |#2|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 ((|#1| $) 135 (|has| |#1| (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 126 (|has| |#1| (-905)))) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 129 (|has| |#1| (-905)))) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 116 (|has| |#1| (-816)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 174) (((-3 (-1163) "failed") $) 124 (|has| |#1| (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 108 (|has| |#1| (-1038 (-569)))) (((-3 (-569) "failed") $) 106 (|has| |#1| (-1038 (-569))))) (-2428 ((|#1| $) 173) (((-1163) $) 123 (|has| |#1| (-1038 (-1163)))) (((-410 (-569)) $) 107 (|has| |#1| (-1038 (-569)))) (((-569) $) 105 (|has| |#1| (-1038 (-569))))) (-2506 (($ $ $) 53)) (-1696 (((-680 (-569)) (-680 $)) 148 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 147 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 146) (((-680 |#1|) (-680 $)) 145)) (-3428 (((-3 $ "failed") $) 33)) (-4327 (($) 133 (|has| |#1| (-551)))) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2403 (((-121) $) 118 (|has| |#1| (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 142 (|has| |#1| (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 141 (|has| |#1| (-882 (-382))))) (-1407 (((-121) $) 30)) (-4052 (($ $) 137)) (-4116 ((|#1| $) 139)) (-3846 (((-3 $ "failed") $) 104 (|has| |#1| (-1137)))) (-1781 (((-121) $) 117 (|has| |#1| (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 114 (|has| |#1| (-843)))) (-1538 (($ $ $) 113 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 165)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-4043 (($) 103 (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 134 (|has| |#1| (-302)))) (-2942 ((|#1| $) 131 (|has| |#1| (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 128 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 127 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 171 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 169 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 168 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 167 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 166 (|has| |#1| (-524 (-1163) |#1|)))) (-2622 (((-764) $) 56)) (-1534 (($ $ |#1|) 172 (|has| |#1| (-282 |#1| |#1|)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3899 (($ $) 164 (|has| |#1| (-226))) (($ $ (-764)) 162 (|has| |#1| (-226))) (($ $ (-1163)) 160 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 159 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 158 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 157 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-4214 (($ $) 136)) (-4121 ((|#1| $) 138)) (-3817 (((-888 (-569)) $) 144 (|has| |#1| (-610 (-888 (-569))))) (((-888 (-382)) $) 143 (|has| |#1| (-610 (-888 (-382))))) (((-542) $) 121 (|has| |#1| (-610 (-542)))) (((-382) $) 120 (|has| |#1| (-1022))) (((-216) $) 119 (|has| |#1| (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 130 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 177) (($ (-1163)) 125 (|has| |#1| (-1038 (-1163))))) (-3953 (((-3 $ "failed") $) 122 (-2232 (|has| |#1| (-149)) (-2206 (|has| $ (-149)) (|has| |#1| (-905)))))) (-1991 (((-764)) 28)) (-2612 ((|#1| $) 132 (|has| |#1| (-551)))) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 115 (|has| |#1| (-816)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 163 (|has| |#1| (-226))) (($ $ (-764)) 161 (|has| |#1| (-226))) (($ $ (-1163)) 156 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 155 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 154 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 153 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1693 (((-121) $ $) 111 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 110 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 112 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 109 (|has| |#1| (-843)))) (-1715 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
-(((-994 |#1|) (-1278) (-559)) (T -994)) 
-((-1715 (*1 *1 *2 *2) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4116 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4121 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4052 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-4214 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-1346 (*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-4327 (*1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-551)) (-4 *2 (-559)))) (-2612 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) (-2942 (*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551))))) 
-(-13 (-366) (-43 |t#1|) (-1038 |t#1|) (-337 |t#1|) (-224 |t#1|) (-380 |t#1|) (-880 |t#1|) (-403 |t#1|) (-10 -8 (-15 -1715 ($ |t#1| |t#1|)) (-15 -4116 (|t#1| $)) (-15 -4121 (|t#1| $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (IF (|has| |t#1| (-1137)) (-6 (-1137)) |noBranch|) (IF (|has| |t#1| (-1038 (-569))) (PROGN (-6 (-1038 (-569))) (-6 (-1038 (-410 (-569))))) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-816)) (-6 (-816)) |noBranch|) (IF (|has| |t#1| (-1022)) (-6 (-1022)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1038 (-1163))) (-6 (-1038 (-1163))) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -3761 (|t#1| $)) (-15 -1346 ($ $))) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4327 ($)) (-15 -2612 (|t#1| $)) (-15 -2942 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-905)) (-6 (-905)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) |has| |#1| (-1022)) ((-610 (-382)) |has| |#1| (-1022)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-888 (-382))) |has| |#1| (-610 (-888 (-382)))) ((-610 (-888 (-569))) |has| |#1| (-610 (-888 (-569)))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) . T) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) . T) ((-302) . T) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-454) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-787) |has| |#1| (-816)) ((-788) |has| |#1| (-816)) ((-790) |has| |#1| (-816)) ((-791) |has| |#1| (-816)) ((-816) |has| |#1| (-816)) ((-841) |has| |#1| (-816)) ((-843) -2232 (|has| |#1| (-843)) (|has| |#1| (-816))) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) |has| |#1| (-882 (-382))) ((-882 (-569)) |has| |#1| (-882 (-569))) ((-880 |#1|) . T) ((-905) |has| |#1| (-905)) ((-917) . T) ((-1022) |has| |#1| (-1022)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-569))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-1163)) |has| |#1| (-1038 (-1163))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-1137)) ((-1197) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3996 (($ (-1128 |#1| |#2|)) 11)) (-1483 (((-1128 |#1| |#2|) $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#2| $ (-233 |#1| |#2|)) 16)) (-2185 (((-851) $) NIL)) (-3369 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL))) 
-(((-995 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -3996 ($ (-1128 |#1| |#2|))) (-15 -1483 ((-1128 |#1| |#2|) $)) (-15 -1534 (|#2| $ (-233 |#1| |#2|))))) (-918) (-366)) (T -995)) 
-((-3996 (*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)) (-5 *1 (-995 *3 *4)))) (-1483 (*1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-5 *1 (-995 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-918)) (-4 *2 (-366)) (-5 *1 (-995 *4 *2))))) 
-(-13 (-21) (-10 -8 (-15 -3996 ($ (-1128 |#1| |#2|))) (-15 -1483 ((-1128 |#1| |#2|) $)) (-15 -1534 (|#2| $ (-233 |#1| |#2|))))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3929 (($ $) 43)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-1906 (((-764) $) 42)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-2935 ((|#1| $) 41)) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-4065 ((|#1| |#1| $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2819 ((|#1| $) 44)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-1309 ((|#1| $) 40)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-996 |#1|) (-1278) (-1197)) (T -996)) 
-((-4065 (*1 *2 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-2819 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-3929 (*1 *1 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-1906 (*1 *2 *1) (-12 (-4 *1 (-996 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-2935 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) (-1309 (*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -4065 (|t#1| |t#1| $)) (-15 -2819 (|t#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2935 (|t#1| $)) (-15 -1309 (|t#1| $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-3813 (((-121) $) 42)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 43)) (-4401 (((-3 (-410 (-569)) "failed") $) 78)) (-3103 (((-121) $) 72)) (-1442 (((-410 (-569)) $) 76)) (-1407 (((-121) $) 41)) (-4308 ((|#2| $) 22)) (-1544 (($ (-1 |#2| |#2|) $) 19)) (-1795 (($ $) 61)) (-3899 (($ $) NIL) (($ $ (-764)) NIL) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-3817 (((-542) $) 67)) (-1414 (($ $) 17)) (-2185 (((-851) $) 56) (($ (-569)) 38) (($ |#2|) 36) (($ (-410 (-569))) NIL)) (-1991 (((-764)) 10)) (-1616 ((|#2| $) 71)) (-1668 (((-121) $ $) 25)) (-1678 (((-121) $ $) 69)) (-1711 (($ $) 29) (($ $ $) 28)) (-1707 (($ $ $) 26)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
-(((-997 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -1795 (|#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -1407 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-998 |#2|) (-173)) (T -997)) 
-((-1991 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-997 *3 *4)) (-4 *3 (-998 *4))))) 
-(-10 -8 (-15 -2185 (|#1| (-410 (-569)))) (-15 -1678 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -1795 (|#1| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -1616 (|#2| |#1|)) (-15 -4308 (|#2| |#1|)) (-15 -1414 (|#1| |#1|)) (-15 -1544 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -2185 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -1407 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 * (|#1| (-764) |#1|)) (-15 -3813 ((-121) |#1|)) (-15 * (|#1| (-918) |#1|)) (-15 -1707 (|#1| |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-1647 (((-3 (-569) "failed") $) 117 (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 115 (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) 114)) (-2428 (((-569) $) 118 (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) 116 (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) 113)) (-1696 (((-680 (-569)) (-680 $)) 88 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 87 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 86) (((-680 |#1|) (-680 $)) 85)) (-3428 (((-3 $ "failed") $) 33)) (-1747 ((|#1| $) 78)) (-4401 (((-3 (-410 (-569)) "failed") $) 74 (|has| |#1| (-551)))) (-3103 (((-121) $) 76 (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) 75 (|has| |#1| (-551)))) (-2908 (($ |#1| |#1| |#1| |#1|) 79)) (-1407 (((-121) $) 30)) (-4308 ((|#1| $) 80)) (-3291 (($ $ $) 66 (|has| |#1| (-843)))) (-1538 (($ $ $) 65 (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) 89)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 71 (|has| |#1| (-366)))) (-3104 ((|#1| $) 81)) (-2357 ((|#1| $) 82)) (-4375 ((|#1| $) 83)) (-3360 (((-1109) $) 10)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 95 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 93 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 92 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) 91 (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) 90 (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) 96 (|has| |#1| (-282 |#1| |#1|)))) (-3899 (($ $) 112 (|has| |#1| (-226))) (($ $ (-764)) 110 (|has| |#1| (-226))) (($ $ (-1163)) 108 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 107 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 106 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 105 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-3817 (((-542) $) 72 (|has| |#1| (-610 (-542))))) (-1414 (($ $) 84)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 60 (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) 73 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-1616 ((|#1| $) 77 (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 70 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $) 111 (|has| |#1| (-226))) (($ $ (-764)) 109 (|has| |#1| (-226))) (($ $ (-1163)) 104 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 103 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 102 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 101 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1693 (((-121) $ $) 63 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 62 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 64 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 61 (|has| |#1| (-843)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 69 (|has| |#1| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-410 (-569))) 68 (|has| |#1| (-366))) (($ (-410 (-569)) $) 67 (|has| |#1| (-366))))) 
-(((-998 |#1|) (-1278) (-173)) (T -998)) 
-((-1414 (*1 *1 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-4375 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-2357 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-3104 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-4308 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-2908 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-1747 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) (-1616 (*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) (-3103 (*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-1442 (*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-4401 (*1 *2 *1) (|partial| -12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
-(-13 (-43 |t#1|) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-380 |t#1|) (-10 -8 (-15 -1414 ($ $)) (-15 -4375 (|t#1| $)) (-15 -2357 (|t#1| $)) (-15 -3104 (|t#1| $)) (-15 -4308 (|t#1| $)) (-15 -2908 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -1747 (|t#1| $)) (IF (|has| |t#1| (-286)) (-6 (-286)) |noBranch|) (IF (|has| |t#1| (-843)) (-6 (-843)) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-239)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1057)) (-15 -1616 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3103 ((-121) $)) (-15 -1442 ((-410 (-569)) $)) (-15 -4401 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-366)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-366)) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) |has| |#1| (-366)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1163) |#1|) |has| |#1| (-524 (-1163) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 (-410 (-569))) |has| |#1| (-366)) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-366)) ((-708 |#1|) . T) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-366)) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-1544 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
-(((-999 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) (-998 |#2|) (-173) (-998 |#4|) (-173)) (T -999)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-998 *6)) (-5 *1 (-999 *4 *5 *2 *6)) (-4 *4 (-998 *5))))) 
-(-10 -7 (-15 -1544 (|#3| (-1 |#4| |#2|) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1747 ((|#1| $) 12)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-3103 (((-121) $) NIL (|has| |#1| (-551)))) (-1442 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-2908 (($ |#1| |#1| |#1| |#1|) 16)) (-1407 (((-121) $) NIL)) (-4308 ((|#1| $) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-3104 ((|#1| $) 15)) (-2357 ((|#1| $) 14)) (-4375 ((|#1| $) 13)) (-3360 (((-1109) $) NIL)) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1163) |#1|))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-524 (-1163) |#1|)))) (-1534 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3899 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-1414 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1616 ((|#1| $) NIL (|has| |#1| (-1057)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 8 T CONST)) (-1556 (($) 10 T CONST)) (-3022 (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))))) 
-(((-1000 |#1|) (-998 |#1|) (-173)) (T -1000)) 
-NIL 
-(-998 |#1|) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3929 (($ $) 20)) (-2972 (($ (-635 |#1|)) 29)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-1906 (((-764) $) 22)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 24)) (-3172 (($ |#1| $) 15)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2935 ((|#1| $) 23)) (-1856 ((|#1| $) 19)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-4065 ((|#1| |#1| $) 14)) (-1601 (((-121) $) 17)) (-1296 (($) NIL)) (-2819 ((|#1| $) 18)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-1309 ((|#1| $) 26)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1001 |#1|) (-13 (-996 |#1|) (-10 -8 (-15 -2972 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -1001)) 
-((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1001 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-4065 (*1 *2 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-2819 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-3929 (*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) (-2935 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-1309 (*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) (-2972 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3))))) 
-(-13 (-996 |#1|) (-10 -8 (-15 -2972 ($ (-635 |#1|))) (-15 -2819 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -4065 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -2935 (|#1| $)) (-15 -1309 (|#1| $)) (-15 -3929 ($ $)) (-15 -1906 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
-((-2454 (($ $) 12)) (-4344 (($ $ (-569)) 13))) 
-(((-1002 |#1|) (-10 -8 (-15 -2454 (|#1| |#1|)) (-15 -4344 (|#1| |#1| (-569)))) (-1003)) (T -1002)) 
-NIL 
-(-10 -8 (-15 -2454 (|#1| |#1|)) (-15 -4344 (|#1| |#1| (-569)))) 
-((-2454 (($ $) 6)) (-4344 (($ $ (-569)) 7)) (** (($ $ (-410 (-569))) 8))) 
-(((-1003) (-1278)) (T -1003)) 
-((** (*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-410 (-569))))) (-4344 (*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-569)))) (-2454 (*1 *1 *1) (-4 *1 (-1003)))) 
-(-13 (-10 -8 (-15 -2454 ($ $)) (-15 -4344 ($ $ (-569))) (-15 ** ($ $ (-410 (-569)))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4062 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-3383 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4354 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-3294 (((-680 (-410 |#2|)) (-1247 $)) NIL) (((-680 (-410 |#2|))) NIL)) (-1377 (((-410 |#2|) $) NIL)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2446 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-3934 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2085 (((-764)) NIL (|has| (-410 |#2|) (-371)))) (-3681 (((-121)) NIL)) (-4037 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| (-410 |#2|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1038 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2623 (($ (-1247 (-410 |#2|)) (-1247 $)) NIL) (($ (-1247 (-410 |#2|))) 70) (($ (-1247 |#2|) |#2|) NIL)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-2506 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3325 (((-680 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-410 |#2|))) (|:| |vec| (-1247 (-410 |#2|)))) (-680 $) (-1247 $)) NIL) (((-680 (-410 |#2|)) (-680 $)) NIL)) (-2326 (((-1247 $) (-1247 $)) NIL)) (-1774 (($ |#3|) 65) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1818 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-2275 (((-121) |#1| |#1|) NIL)) (-1321 (((-918)) NIL)) (-4327 (($) NIL (|has| (-410 |#2|) (-371)))) (-3123 (((-121)) NIL)) (-2642 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-2524 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-1340 (($ $) NIL)) (-3188 (($) NIL (|has| (-410 |#2|) (-351)))) (-3354 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-2751 (($ $ (-764)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-3726 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2558 (((-918) $) NIL (|has| (-410 |#2|) (-351))) (((-829 (-918)) $) NIL (|has| (-410 |#2|) (-351)))) (-1407 (((-121) $) NIL)) (-1607 (((-764)) NIL)) (-4296 (((-1247 $) (-1247 $)) NIL)) (-4308 (((-410 |#2|) $) NIL)) (-4367 (((-635 (-954 |#1|)) (-1163)) NIL (|has| |#1| (-366)))) (-3846 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2770 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2083 (((-918) $) NIL (|has| (-410 |#2|) (-371)))) (-1769 ((|#3| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2776 (((-1145) $) NIL)) (-3243 (((-680 (-410 |#2|))) 52)) (-3837 (((-680 (-410 |#2|))) 51)) (-1795 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3878 (($ (-1247 |#2|) |#2|) 71)) (-3804 (((-680 (-410 |#2|))) 50)) (-2865 (((-680 (-410 |#2|))) 49)) (-2661 (((-2 (|:| |num| (-680 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-3843 (((-2 (|:| |num| (-1247 |#2|)) (|:| |den| |#2|)) $) 77)) (-1802 (((-1247 $)) 46)) (-3577 (((-1247 $)) 45)) (-4470 (((-121) $) NIL)) (-3636 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-4043 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-3998 (($ (-918)) NIL (|has| (-410 |#2|) (-371)))) (-3264 (((-3 |#2| "failed")) 63)) (-3360 (((-1109) $) NIL)) (-3950 (((-764)) NIL)) (-1809 (($) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| (-410 |#2|) (-366)))) (-2714 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-1743 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2622 (((-764) $) NIL (|has| (-410 |#2|) (-366)))) (-1534 ((|#1| $ |#1| |#1|) NIL)) (-4005 (((-3 |#2| "failed")) 62)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2087 (((-410 |#2|) (-1247 $)) NIL) (((-410 |#2|)) 42)) (-1291 (((-764) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-764) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3899 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3497 (((-680 (-410 |#2|)) (-1247 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-2745 ((|#3|) 53)) (-2319 (($) NIL (|has| (-410 |#2|) (-351)))) (-1648 (((-1247 (-410 |#2|)) $ (-1247 $)) NIL) (((-680 (-410 |#2|)) (-1247 $) (-1247 $)) NIL) (((-1247 (-410 |#2|)) $) 72) (((-680 (-410 |#2|)) (-1247 $)) NIL)) (-3817 (((-1247 (-410 |#2|)) $) NIL) (($ (-1247 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| (-410 |#2|) (-351)))) (-4261 (((-1247 $) (-1247 $)) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1038 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3953 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-2742 ((|#3| $) NIL)) (-1991 (((-764)) NIL)) (-2808 (((-121)) 60)) (-2719 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-3930 (((-1247 $)) 124)) (-1961 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2801 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3670 (((-121)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-3369 (($) 94 T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-764)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-896 (-1163))))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-2232 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
-(((-1004 |#1| |#2| |#3| |#4| |#5|) (-341 |#1| |#2| |#3|) (-1202) (-1222 |#1|) (-1222 (-410 |#2|)) (-410 |#2|) (-764)) (T -1004)) 
+((-2553 (($ $ (-1085 $)) 7) (($ $ (-1165)) 6))) 
+(((-961) (-1284)) (T -961)) 
+((-2553 (*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-961)))) (-2553 (*1 *1 *1 *2) (-12 (-4 *1 (-961)) (-5 *2 (-1165))))) 
+(-13 (-10 -8 (-15 -2553 ($ $ (-1165))) (-15 -2553 ($ $ (-1085 $))))) 
+((-1456 (((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)) 23) (((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165))) 24) (((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165)) 41))) 
+(((-962 |#1|) (-10 -7 (-15 -1456 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)))) (-13 (-366) (-151))) (T -962)) 
+((-1456 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-5 *5 (-1165)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *6))) (|:| |prim| (-1161 *6)))) (-5 *1 (-962 *6)))) (-1456 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) (-1456 (*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-1165)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5))))) 
+(-10 -7 (-15 -1456 ((-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 |#1|))) (-955 |#1|) (-1165) (-955 |#1|) (-1165))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)))) (-15 -1456 ((-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 |#1|))) (|:| |prim| (-1161 |#1|))) (-635 (-955 |#1|)) (-635 (-1165)) (-1165)))) 
+((-3714 (((-635 |#1|) |#1| |#1|) 42)) (-2005 (((-121) |#1|) 39)) (-3831 ((|#1| |#1|) 64)) (-2913 ((|#1| |#1|) 63))) 
+(((-963 |#1|) (-10 -7 (-15 -2005 ((-121) |#1|)) (-15 -2913 (|#1| |#1|)) (-15 -3831 (|#1| |#1|)) (-15 -3714 ((-635 |#1|) |#1| |#1|))) (-551)) (T -963)) 
+((-3714 (*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-963 *3)) (-4 *3 (-551)))) (-3831 (*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551)))) (-2913 (*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551)))) (-2005 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-963 *3)) (-4 *3 (-551))))) 
+(-10 -7 (-15 -2005 ((-121) |#1|)) (-15 -2913 (|#1| |#1|)) (-15 -3831 (|#1| |#1|)) (-15 -3714 ((-635 |#1|) |#1| |#1|))) 
+((-1905 (((-1258) (-852)) 9))) 
+(((-964) (-10 -7 (-15 -1905 ((-1258) (-852))))) (T -964)) 
+((-1905 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-964))))) 
+(-10 -7 (-15 -1905 ((-1258) (-852)))) 
+((-2706 (((-635 |#5|) |#3| (-635 |#3|)) 70)) (-1940 (((-635 |#5|) |#3|) 45)) (-3768 (((-635 |#5|) |#3| (-919)) 58)) (-4407 (((-635 |#5|) (-635 |#3|)) 48))) 
+(((-965 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2706 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1940 ((-635 |#5|) |#3|)) (-15 -4407 ((-635 |#5|) (-635 |#3|))) (-15 -3768 ((-635 |#5|) |#3| (-919)))) (-366) (-635 (-1165)) (-952 |#1| |#4| (-854 |#2|)) (-231 (-2946 |#2|) (-765)) (-973 |#1|)) (T -965)) 
+((-3768 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) (-4407 (*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) (-1940 (*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-635 *7)) (-5 *1 (-965 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) (-2706 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *8 (-973 *5))))) 
+(-10 -7 (-15 -2706 ((-635 |#5|) |#3| (-635 |#3|))) (-15 -1940 ((-635 |#5|) |#3|)) (-15 -4407 ((-635 |#5|) (-635 |#3|))) (-15 -3768 ((-635 |#5|) |#3| (-919)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 62 (|has| |#1| (-559)))) (-2915 (($ $) 63 (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 28)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) 24)) (-2611 (((-3 $ "failed") $) 35)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2916 (($ $ |#1| |#2| $) 47)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 16)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| |#2|) NIL)) (-4294 ((|#2| $) 19)) (-1541 (($ (-1 |#2| |#2|) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3263 (($ $) 23)) (-3270 ((|#1| $) 21)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 40)) (-3256 ((|#1| $) NIL)) (-4259 (($ $ |#2| |#1| $) 71 (-12 (|has| |#2| (-138)) (|has| |#1| (-559))))) (-1436 (((-3 $ "failed") $ $) 73 (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) 69 (|has| |#1| (-559)))) (-2284 ((|#2| $) 17)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) 39) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 34) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ |#2|) 31)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 15)) (-2587 (($ $ $ (-765)) 58 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 68 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 54) (($ $ (-765)) 55)) (-2407 (($) 22 T CONST)) (-3297 (($) 12 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (($ $ |#1|) 74 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) 53) (($ $ (-765)) 51)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 50) (($ $ |#1|) 49) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-966 |#1| |#2|) (-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -4259 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049) (-789)) (T -966)) 
+((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-966 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
+(-13 (-325 |#1| |#2|) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| |#2| (-138)) (-15 -4259 ($ $ |#2| |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (-4288 (($ $ $) 63 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (-3748 (((-3 $ "failed") $ $) 50 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (-2675 (((-765)) 34 (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3995 ((|#2| $) 21)) (-3439 ((|#1| $) 20)) (-4483 (($) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) CONST)) (-2611 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-3341 (($) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-3934 (((-121) $) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-2157 (($ $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-3627 (($ |#1| |#2|) 19)) (-2862 (((-919) $) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 37 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1333 (($ (-919)) NIL (-12 (|has| |#1| (-371)) (|has| |#2| (-371))))) (-1912 (((-1111) $) NIL)) (-3980 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-2689 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-3956 (((-852) $) 14)) (-3403 (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (-2407 (($) 40 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))) CONST)) (-3297 (($) 24 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))) CONST)) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1326 (((-121) $ $) 18)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1337 (((-121) $ $) 66 (-1929 (-12 (|has| |#1| (-790)) (|has| |#2| (-790))) (-12 (|has| |#1| (-844)) (|has| |#2| (-844)))))) (-1383 (($ $ $) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479))))) (-1377 (($ $ $) 56 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ $) 53 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))))) (-1371 (($ $ $) 43 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790)))))) (** (($ $ (-569)) NIL (-12 (|has| |#1| (-479)) (|has| |#2| (-479)))) (($ $ (-765)) 31 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))) (($ $ (-919)) NIL (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718)))))) (* (($ (-569) $) 60 (-12 (|has| |#1| (-21)) (|has| |#2| (-21)))) (($ (-765) $) 46 (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (($ (-919) $) NIL (-1929 (-12 (|has| |#1| (-21)) (|has| |#2| (-21))) (-12 (|has| |#1| (-23)) (|has| |#2| (-23))) (-12 (|has| |#1| (-138)) (|has| |#2| (-138))) (-12 (|has| |#1| (-790)) (|has| |#2| (-790))))) (($ $ $) 27 (-1929 (-12 (|has| |#1| (-479)) (|has| |#2| (-479))) (-12 (|has| |#1| (-718)) (|has| |#2| (-718))))))) 
+(((-967 |#1| |#2|) (-13 (-1093) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-718)) (IF (|has| |#2| (-718)) (-6 (-718)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-790)) (IF (|has| |#2| (-790)) (-6 (-790)) |noBranch|) |noBranch|) (IF (|has| |#1| (-844)) (IF (|has| |#2| (-844)) (-6 (-844)) |noBranch|) |noBranch|) (-15 -3627 ($ |#1| |#2|)) (-15 -3439 (|#1| $)) (-15 -3995 (|#2| $)))) (-1093) (-1093)) (T -967)) 
+((-3627 (*1 *1 *2 *3) (-12 (-5 *1 (-967 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-3439 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *2 *3)) (-4 *3 (-1093)))) (-3995 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *3 *2)) (-4 *3 (-1093))))) 
+(-13 (-1093) (-10 -8 (IF (|has| |#1| (-371)) (IF (|has| |#2| (-371)) (-6 (-371)) |noBranch|) |noBranch|) (IF (|has| |#1| (-718)) (IF (|has| |#2| (-718)) (-6 (-718)) |noBranch|) |noBranch|) (IF (|has| |#1| (-23)) (IF (|has| |#2| (-23)) (-6 (-23)) |noBranch|) |noBranch|) (IF (|has| |#1| (-138)) (IF (|has| |#2| (-138)) (-6 (-138)) |noBranch|) |noBranch|) (IF (|has| |#1| (-479)) (IF (|has| |#2| (-479)) (-6 (-479)) |noBranch|) |noBranch|) (IF (|has| |#1| (-21)) (IF (|has| |#2| (-21)) (-6 (-21)) |noBranch|) |noBranch|) (IF (|has| |#1| (-790)) (IF (|has| |#2| (-790)) (-6 (-790)) |noBranch|) |noBranch|) (IF (|has| |#1| (-844)) (IF (|has| |#2| (-844)) (-6 (-844)) |noBranch|) |noBranch|) (-15 -3627 ($ |#1| |#2|)) (-15 -3439 (|#1| $)) (-15 -3995 (|#2| $)))) 
+((-1310 (((-121) $ $) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-2110 (($ (-635 |#1|)) NIL)) (-4069 (((-635 |#1|) $) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) NIL)) (-1959 (((-569) $) NIL)) (-4209 (($ $ (-569)) NIL) (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#1| $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 ((|#1| $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 |#1|) $) NIL) (($ (-635 |#1|)) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-968 |#1|) (-973 |#1|) (-366)) (T -968)) 
+NIL 
+(-973 |#1|) 
+((-1310 (((-121) $ $) NIL)) (-2511 (((-859 |#1|) $ (-569) (-859 |#1|)) NIL)) (-2230 (((-635 $) (-635 $) (-765)) NIL) (((-635 $) (-635 $)) NIL)) (-4429 (((-121) $ (-765)) NIL) (((-121) $) NIL)) (-2110 (($ (-635 (-859 |#1|))) NIL)) (-4069 (((-635 (-859 |#1|)) $) NIL)) (-3481 (((-635 $) $) NIL) (((-635 $) $ (-765)) NIL)) (-1832 (((-635 (-859 |#1|)) $) NIL)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) NIL)) (-1959 (((-569) $) NIL)) (-4209 (($ $ (-569)) NIL) (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 (((-859 |#1|) $ (-569)) NIL)) (-2284 (((-919) $) NIL)) (-4134 (((-859 |#1|) $) NIL)) (-3980 (($ $ (-765)) NIL) (($ $) NIL)) (-3956 (((-852) $) NIL) (((-635 (-859 |#1|)) $) NIL) (($ (-635 (-859 |#1|))) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-969 |#1|) (-973 (-859 |#1|)) (-351)) (T -969)) 
+NIL 
+(-973 (-859 |#1|)) 
+((-1310 (((-121) $ $) NIL)) (-2511 ((|#2| $ (-569) |#2|) NIL)) (-2230 (((-635 $) (-635 $) (-765)) 41) (((-635 $) (-635 $)) 42)) (-4429 (((-121) $ (-765)) 38) (((-121) $) 40)) (-2110 (($ (-635 |#2|)) 25)) (-4069 (((-635 |#2|) $) 27)) (-3481 (((-635 $) $) 50) (((-635 $) $ (-765)) 47)) (-1832 (((-635 |#2|) $) 26)) (-2605 (((-1147) $) NIL)) (-1467 (((-569) $) 59)) (-1959 (((-569) $) 62)) (-4209 (($ $ (-569)) 36) (($ $) 52)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-569)) 32)) (-2284 (((-919) $) 16)) (-4134 ((|#2| $) 22)) (-3980 (($ $ (-765)) 30) (($ $) 49)) (-3956 (((-852) $) 19) (((-635 |#2|) $) 24) (($ (-635 |#2|)) 58)) (-1326 (((-121) $ $) 37))) 
+(((-970 |#1| |#2|) (-973 |#2|) (-765) (-366)) (T -970)) 
+NIL 
+(-973 |#2|) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4002 (($ $ $) 40)) (-2102 (($ $ $) 41)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2713 ((|#1| $) 42)) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-971 |#1|) (-1284) (-844)) (T -971)) 
+((-2713 (*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) (-4002 (*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -2713 (|t#1| $)) (-15 -2102 ($ $ $)) (-15 -4002 ($ $ $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-1569 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 84)) (-2594 ((|#2| |#2| |#2|) 82)) (-4189 (((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 86)) (-2871 (((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|) 88)) (-1352 (((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|) 106 (|has| |#1| (-454)))) (-3945 (((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 45)) (-1615 (((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 63)) (-1311 (((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 65)) (-2808 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 77)) (-3694 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 70)) (-1857 (((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|) 96)) (-3157 (((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 73)) (-3665 (((-635 (-765)) |#2| |#2|) 81)) (-2476 ((|#1| |#2| |#2|) 41)) (-2071 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|) 104 (|has| |#1| (-454)))) (-2899 ((|#1| |#2| |#2|) 102 (|has| |#1| (-454)))) (-3828 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 43)) (-3273 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|) 62)) (-3673 ((|#1| |#2| |#2|) 60)) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|) 35)) (-1381 ((|#2| |#2| |#2| |#2| |#1|) 52)) (-4395 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|) 75)) (-1961 ((|#2| |#2| |#2|) 74)) (-3419 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 68)) (-3849 ((|#2| |#2| |#2| (-765)) 66)) (-3964 ((|#2| |#2| |#2|) 110 (|has| |#1| (-454)))) (-1436 (((-1253 |#2|) (-1253 |#2|) |#1|) 21)) (-3135 (((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|) 38)) (-2931 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|) 94)) (-2925 ((|#1| |#2|) 91)) (-4478 (((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765)) 72)) (-1869 ((|#2| |#2| |#2| (-765)) 71)) (-2319 (((-635 |#2|) |#2| |#2|) 79)) (-4149 ((|#2| |#2| |#1| |#1| (-765)) 49)) (-3075 ((|#1| |#1| |#1| (-765)) 48)) (* (((-1253 |#2|) |#1| (-1253 |#2|)) 16))) 
+(((-972 |#1| |#2|) (-10 -7 (-15 -3673 (|#1| |#2| |#2|)) (-15 -3273 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1615 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1311 ((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3849 (|#2| |#2| |#2| (-765))) (-15 -3419 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3694 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1869 (|#2| |#2| |#2| (-765))) (-15 -4478 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3157 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1961 (|#2| |#2| |#2|)) (-15 -4395 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2808 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2594 (|#2| |#2| |#2|)) (-15 -1569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -4189 ((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2871 ((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2925 (|#1| |#2|)) (-15 -2931 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -1857 ((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -2319 ((-635 |#2|) |#2| |#2|)) (-15 -3665 ((-635 (-765)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -2899 (|#1| |#2| |#2|)) (-15 -2071 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -3964 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1253 |#2|) |#1| (-1253 |#2|))) (-15 -1436 ((-1253 |#2|) (-1253 |#2|) |#1|)) (-15 -1530 ((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3135 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3075 (|#1| |#1| |#1| (-765))) (-15 -4149 (|#2| |#2| |#1| |#1| (-765))) (-15 -1381 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2476 (|#1| |#2| |#2|)) (-15 -3828 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3945 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|))) (-559) (-1228 |#1|)) (T -972)) 
+((-3945 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3828 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2476 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-1381 (*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-4149 (*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-3075 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *2 (-559)) (-5 *1 (-972 *2 *4)) (-4 *4 (-1228 *2)))) (-3135 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1530 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3550 *4) (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1436 (*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) (-3964 (*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-1352 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2071 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2899 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-3665 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-765))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2319 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1857 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2931 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2925 (*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) (-2871 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-4189 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1569 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-2594 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-2808 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-4395 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1961 (*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) (-3157 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-4478 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-1869 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4)))) (-3694 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-3419 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5)))) (-3849 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4)))) (-1311 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-1615 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3273 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) (-3673 (*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
+(-10 -7 (-15 -3673 (|#1| |#2| |#2|)) (-15 -3273 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1615 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -1311 ((-2 (|:| |coef1| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3849 (|#2| |#2| |#2| (-765))) (-15 -3419 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3694 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1869 (|#2| |#2| |#2| (-765))) (-15 -4478 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -3157 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2| (-765))) (-15 -1961 (|#2| |#2| |#2|)) (-15 -4395 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2808 ((-2 (|:| |coef2| |#2|) (|:| |subResultant| |#2|)) |#2| |#2|)) (-15 -2594 (|#2| |#2| |#2|)) (-15 -1569 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -4189 ((-2 (|:| |coef2| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2871 ((-2 (|:| |coef1| |#2|) (|:| -3964 |#2|)) |#2| |#2|)) (-15 -2925 (|#1| |#2|)) (-15 -2931 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -1857 ((-2 (|:| |coef2| |#2|) (|:| -2925 |#1|)) |#2|)) (-15 -2319 ((-635 |#2|) |#2| |#2|)) (-15 -3665 ((-635 (-765)) |#2| |#2|)) (IF (|has| |#1| (-454)) (PROGN (-15 -2899 (|#1| |#2| |#2|)) (-15 -2071 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -1352 ((-2 (|:| |coef2| |#2|) (|:| -2899 |#1|)) |#2| |#2|)) (-15 -3964 (|#2| |#2| |#2|))) |noBranch|) (-15 * ((-1253 |#2|) |#1| (-1253 |#2|))) (-15 -1436 ((-1253 |#2|) (-1253 |#2|) |#1|)) (-15 -1530 ((-2 (|:| -3550 |#1|) (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3135 ((-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) |#2| |#2|)) (-15 -3075 (|#1| |#1| |#1| (-765))) (-15 -4149 (|#2| |#2| |#1| |#1| (-765))) (-15 -1381 (|#2| |#2| |#2| |#2| |#1|)) (-15 -2476 (|#1| |#2| |#2|)) (-15 -3828 ((-2 (|:| |coef1| |#2|) (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|)) (-15 -3945 ((-2 (|:| |coef2| |#2|) (|:| -3673 |#1|)) |#2| |#2|))) 
+((-1310 (((-121) $ $) 7)) (-2511 ((|#1| $ (-569) |#1|) 14)) (-2230 (((-635 $) (-635 $) (-765)) 22) (((-635 $) (-635 $)) 21)) (-4429 (((-121) $ (-765)) 20) (((-121) $) 19)) (-2110 (($ (-635 |#1|)) 30)) (-4069 (((-635 |#1|) $) 13)) (-3481 (((-635 $) $) 26) (((-635 $) $ (-765)) 25)) (-1832 (((-635 |#1|) $) 16)) (-2605 (((-1147) $) 9)) (-1467 (((-569) $) 17)) (-1959 (((-569) $) 32)) (-4209 (($ $ (-569)) 31) (($ $) 18)) (-1912 (((-1111) $) 10)) (-2503 ((|#1| $ (-569)) 15)) (-2284 (((-919) $) 12)) (-4134 ((|#1| $) 29)) (-3980 (($ $ (-765)) 24) (($ $) 23)) (-3956 (((-852) $) 11) (((-635 |#1|) $) 28) (($ (-635 |#1|)) 27)) (-1326 (((-121) $ $) 6))) 
+(((-973 |#1|) (-1284) (-366)) (T -973)) 
+((-1959 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-4209 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-2110 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) (-4134 (*1 *2 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-3956 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) (-3481 (*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *3)))) (-3481 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *4)))) (-3980 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-3980 (*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-2230 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)))) (-2230 (*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) (-4429 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-4209 (*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-1467 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) (-1832 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) (-4069 (*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(-13 (-1091) (-10 -8 (-15 -1959 ((-569) $)) (-15 -4209 ($ $ (-569))) (-15 -2110 ($ (-635 |t#1|))) (-15 -4134 (|t#1| $)) (-15 -3956 ((-635 |t#1|) $)) (-15 -3956 ($ (-635 |t#1|))) (-15 -3481 ((-635 $) $)) (-15 -3481 ((-635 $) $ (-765))) (-15 -3980 ($ $ (-765))) (-15 -3980 ($ $)) (-15 -2230 ((-635 $) (-635 $) (-765))) (-15 -2230 ((-635 $) (-635 $))) (-15 -4429 ((-121) $ (-765))) (-15 -4429 ((-121) $)) (-15 -4209 ($ $)) (-15 -1467 ((-569) $)) (-15 -1832 ((-635 |t#1|) $)) (-15 -2503 (|t#1| $ (-569))) (-15 -2511 (|t#1| $ (-569) |t#1|)) (-15 -4069 ((-635 |t#1|) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T) ((-1091) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) 26)) (-4483 (($) NIL T CONST)) (-2297 (((-635 (-635 (-569))) (-635 (-569))) 28)) (-4338 (((-569) $) 44)) (-1288 (($ (-635 (-569))) 17)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-4035 (((-635 (-569)) $) 11)) (-3980 (($ $) 31)) (-3956 (((-852) $) 42) (((-635 (-569)) $) 9)) (-2407 (($) 7 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 19)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 18)) (-1371 (($ $ $) 20)) (* (($ (-765) $) 24) (($ (-919) $) NIL))) 
+(((-974) (-13 (-792) (-610 (-635 (-569))) (-10 -8 (-15 -1288 ($ (-635 (-569)))) (-15 -2297 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -4338 ((-569) $)) (-15 -3980 ($ $)) (-15 -3956 ((-635 (-569)) $))))) (T -974)) 
+((-1288 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974)))) (-2297 (*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-974)) (-5 *3 (-635 (-569))))) (-4338 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-974)))) (-3980 (*1 *1 *1) (-5 *1 (-974))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974))))) 
+(-13 (-792) (-610 (-635 (-569))) (-10 -8 (-15 -1288 ($ (-635 (-569)))) (-15 -2297 ((-635 (-635 (-569))) (-635 (-569)))) (-15 -4338 ((-569) $)) (-15 -3980 ($ $)) (-15 -3956 ((-635 (-569)) $)))) 
+((-1383 (($ $ |#2|) 30)) (-1377 (($ $) 22) (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 15) (($ $ $) NIL) (($ $ |#2|) 20) (($ |#2| $) 19) (($ (-410 (-569)) $) 26) (($ $ (-410 (-569))) 28))) 
+(((-975 |#1| |#2| |#3| |#4|) (-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) (-976 |#2| |#3| |#4|) (-1049) (-789) (-844)) (T -975)) 
+NIL 
+(-10 -8 (-15 * (|#1| |#1| (-410 (-569)))) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 -1383 (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 * (|#1| (-919) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 70)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2641 (((-121) $) 69)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60) (($ $ |#3| |#2|) 72) (($ $ (-635 |#3|) (-635 |#2|)) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2284 ((|#2| $) 63)) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-976 |#1| |#2| |#3|) (-1284) (-1049) (-789) (-844)) (T -976)) 
+((-3270 (*1 *2 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *3 (-789)) (-4 *4 (-844)) (-4 *2 (-1049)))) (-3263 (*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *2 *4)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *2 (-789)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-4 *1 (-976 *4 *3 *2)) (-4 *4 (-1049)) (-4 *3 (-789)) (-4 *2 (-844)))) (-3179 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-976 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-789)) (-4 *6 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) (-2641 (*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-121)))) (-2994 (*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
+(-13 (-52 |t#1| |t#2|) (-10 -8 (-15 -3179 ($ $ |t#3| |t#2|)) (-15 -3179 ($ $ (-635 |t#3|) (-635 |t#2|))) (-15 -3263 ($ $)) (-15 -3270 (|t#1| $)) (-15 -2284 (|t#2| $)) (-15 -3195 ((-635 |t#3|) $)) (-15 -2641 ((-121) $)) (-15 -2994 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1842 (((-1087 (-216)) $) 7)) (-4327 (((-1087 (-216)) $) 8)) (-3724 (((-1087 (-216)) $) 9)) (-3499 (((-635 (-635 (-946 (-216)))) $) 10)) (-3956 (((-852) $) 6))) 
+(((-977) (-1284)) (T -977)) 
+((-3499 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-635 (-635 (-946 (-216))))))) (-3724 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216))))) (-4327 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216))))) (-1842 (*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -3499 ((-635 (-635 (-946 (-216)))) $)) (-15 -3724 ((-1087 (-216)) $)) (-15 -4327 ((-1087 (-216)) $)) (-15 -1842 ((-1087 (-216)) $)))) 
+(((-609 (-852)) . T)) 
+((-3195 (((-635 |#4|) $) 23)) (-2800 (((-121) $) 47)) (-3543 (((-121) $) 46)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#4|) 35)) (-3987 (((-121) $) 48)) (-3756 (((-121) $ $) 54)) (-3258 (((-121) $ $) 57)) (-1707 (((-121) $) 52)) (-3279 (((-635 |#5|) (-635 |#5|) $) 89)) (-3385 (((-635 |#5|) (-635 |#5|) $) 86)) (-3028 (((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| $) 80)) (-3069 (((-635 |#4|) $) 27)) (-2107 (((-121) |#4| $) 29)) (-3574 (((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| $) 72)) (-2201 (($ $ |#4|) 32)) (-4081 (($ $ |#4|) 31)) (-2239 (($ $ |#4|) 33)) (-1326 (((-121) $ $) 39))) 
+(((-978 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3543 ((-121) |#1|)) (-15 -3279 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3385 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3028 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3574 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3987 ((-121) |#1|)) (-15 -3258 ((-121) |#1| |#1|)) (-15 -3756 ((-121) |#1| |#1|)) (-15 -1707 ((-121) |#1|)) (-15 -2800 ((-121) |#1|)) (-15 -2930 ((-2 (|:| |under| |#1|) (|:| -1807 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -2239 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -2107 ((-121) |#4| |#1|)) (-15 -3069 ((-635 |#4|) |#1|)) (-15 -3195 ((-635 |#4|) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-979 |#2| |#3| |#4| |#5|) (-1049) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -978)) 
+NIL 
+(-10 -8 (-15 -3543 ((-121) |#1|)) (-15 -3279 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3385 ((-635 |#5|) (-635 |#5|) |#1|)) (-15 -3028 ((-2 (|:| |rnum| |#2|) (|:| |polnum| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3574 ((-2 (|:| |num| |#5|) (|:| |den| |#2|)) |#5| |#1|)) (-15 -3987 ((-121) |#1|)) (-15 -3258 ((-121) |#1| |#1|)) (-15 -3756 ((-121) |#1| |#1|)) (-15 -1707 ((-121) |#1|)) (-15 -2800 ((-121) |#1|)) (-15 -2930 ((-2 (|:| |under| |#1|) (|:| -1807 |#1|) (|:| |upper| |#1|)) |#1| |#4|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -2239 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -2107 ((-121) |#4| |#1|)) (-15 -3069 ((-635 |#4|) |#1|)) (-15 -3195 ((-635 |#4|) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571)))) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571)))) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-1912 (((-1111) $) 10)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-979 |#1| |#2| |#3| |#4|) (-1284) (-1049) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -979)) 
+((-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) (-1473 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-1063 *3 *4 *2)) (-4 *2 (-844)))) (-3195 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3069 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-2107 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *3 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) (-4081 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2239 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2201 (*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2)))) (-2930 (*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -1807 *1) (|:| |upper| *1))) (-4 *1 (-979 *4 *5 *3 *6)))) (-2800 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-1707 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3756 (*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3258 (*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3987 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121)))) (-3574 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))))) (-3028 (*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4))))) (-3385 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)))) (-3279 (*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)))) (-3543 (*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(-13 (-1093) (-155 |t#4|) (-609 (-635 |t#4|)) (-10 -8 (-6 -4571) (-15 -3003 ((-3 $ "failed") (-635 |t#4|))) (-15 -1321 ($ (-635 |t#4|))) (-15 -1473 (|t#3| $)) (-15 -3195 ((-635 |t#3|) $)) (-15 -3069 ((-635 |t#3|) $)) (-15 -2107 ((-121) |t#3| $)) (-15 -4081 ($ $ |t#3|)) (-15 -2239 ($ $ |t#3|)) (-15 -2201 ($ $ |t#3|)) (-15 -2930 ((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |t#3|)) (-15 -2800 ((-121) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -1707 ((-121) $)) (-15 -3756 ((-121) $ $)) (-15 -3258 ((-121) $ $)) (-15 -3987 ((-121) $)) (-15 -3574 ((-2 (|:| |num| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3028 ((-2 (|:| |rnum| |t#1|) (|:| |polnum| |t#4|) (|:| |den| |t#1|)) |t#4| $)) (-15 -3385 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3279 ((-635 |t#4|) (-635 |t#4|) $)) (-15 -3543 ((-121) $))) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-1093) . T) ((-1199) . T)) 
+((-1573 (((-635 |#4|) |#4| |#4|) 114)) (-3463 (((-635 |#4|) (-635 |#4|) (-121)) 103 (|has| |#1| (-454))) (((-635 |#4|) (-635 |#4|)) 104 (|has| |#1| (-454)))) (-4270 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 34)) (-4229 (((-121) |#4|) 33)) (-4224 (((-635 |#4|) |#4|) 100 (|has| |#1| (-454)))) (-3642 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|)) 19)) (-4343 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 21)) (-2910 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|)) 22)) (-2650 (((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|)) 72)) (-2342 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 84)) (-3682 (((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 107)) (-3360 (((-635 |#4|) (-635 |#4|)) 106)) (-2738 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121)) 47) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 49)) (-1790 ((|#4| |#4| (-635 |#4|)) 48)) (-2252 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 110 (|has| |#1| (-454)))) (-1892 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 113 (|has| |#1| (-454)))) (-2364 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 112 (|has| |#1| (-454)))) (-3044 (((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|))) 86) (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 88) (((-635 |#4|) (-635 |#4|) |#4|) 117) (((-635 |#4|) |#4| |#4|) 115) (((-635 |#4|) (-635 |#4|)) 87)) (-1543 (((-635 |#4|) (-635 |#4|) (-635 |#4|)) 97 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-1652 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 40)) (-4531 (((-121) (-635 |#4|)) 61)) (-4355 (((-121) (-635 |#4|) (-635 (-635 |#4|))) 52)) (-3654 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 28)) (-2683 (((-121) |#4|) 27)) (-2947 (((-635 |#4|) (-635 |#4|)) 96 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-2747 (((-635 |#4|) (-635 |#4|)) 95 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-4071 (((-635 |#4|) (-635 |#4|)) 65)) (-3806 (((-635 |#4|) (-635 |#4|)) 78)) (-1350 (((-121) (-635 |#4|) (-635 |#4|)) 50)) (-2979 (((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|)) 38)) (-2164 (((-121) |#4|) 35))) 
+(((-980 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3044 ((-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) |#4| |#4|)) (-15 -3360 ((-635 |#4|) (-635 |#4|))) (-15 -1573 ((-635 |#4|) |#4| |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -1350 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4355 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -4531 ((-121) (-635 |#4|))) (-15 -3642 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -4343 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2910 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -1652 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -4229 ((-121) |#4|)) (-15 -4270 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2683 ((-121) |#4|)) (-15 -3654 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2164 ((-121) |#4|)) (-15 -2979 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -1790 (|#4| |#4| (-635 |#4|))) (-15 -4071 ((-635 |#4|) (-635 |#4|))) (-15 -2650 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -3806 ((-635 |#4|) (-635 |#4|))) (-15 -2342 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3682 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -4224 ((-635 |#4|) |#4|)) (-15 -3463 ((-635 |#4|) (-635 |#4|))) (-15 -3463 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -2252 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2364 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -1892 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2747 ((-635 |#4|) (-635 |#4|))) (-15 -2947 ((-635 |#4|) (-635 |#4|))) (-15 -1543 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -980)) 
+((-1543 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2947 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2747 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-1892 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2364 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2252 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3463 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3463 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-4224 (*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3682 (*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-980 *5 *6 *7 *8)))) (-2342 (*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *1 (-980 *6 *7 *8 *9)))) (-3806 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2650 (*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -1941 (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4071 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-1790 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *2)))) (-2738 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-2738 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-2979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2164 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3654 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2683 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-4270 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-4229 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-1652 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) (-2910 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-4343 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-3642 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) (-4531 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7)))) (-4355 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *5 *6 *7 *8)))) (-1350 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3044 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7)))) (-3044 (*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3044 (*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *3)))) (-1573 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3360 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) (-3044 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) (-3044 (*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(-10 -7 (-15 -3044 ((-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) |#4| |#4|)) (-15 -3360 ((-635 |#4|) (-635 |#4|))) (-15 -1573 ((-635 |#4|) |#4| |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) |#4|)) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -3044 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-1 (-635 |#4|) (-635 |#4|)))) (-15 -1350 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4355 ((-121) (-635 |#4|) (-635 (-635 |#4|)))) (-15 -4531 ((-121) (-635 |#4|))) (-15 -3642 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-1 (-121) |#4|) (-635 |#4|))) (-15 -4343 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -2910 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 (-1 (-121) |#4|)) (-635 |#4|))) (-15 -1652 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -4229 ((-121) |#4|)) (-15 -4270 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2683 ((-121) |#4|)) (-15 -3654 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2164 ((-121) |#4|)) (-15 -2979 ((-2 (|:| |goodPols| (-635 |#4|)) (|:| |badPols| (-635 |#4|))) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2738 ((-635 |#4|) (-635 |#4|) (-635 |#4|) (-121))) (-15 -1790 (|#4| |#4| (-635 |#4|))) (-15 -4071 ((-635 |#4|) (-635 |#4|))) (-15 -2650 ((-3 (-2 (|:| |bas| (-482 |#1| |#2| |#3| |#4|)) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|))) (-15 -3806 ((-635 |#4|) (-635 |#4|))) (-15 -2342 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3682 ((-635 |#4|) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (IF (|has| |#1| (-454)) (PROGN (-15 -4224 ((-635 |#4|) |#4|)) (-15 -3463 ((-635 |#4|) (-635 |#4|))) (-15 -3463 ((-635 |#4|) (-635 |#4|) (-121))) (-15 -2252 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -2364 ((-635 |#4|) (-635 |#4|) (-635 |#4|))) (-15 -1892 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (PROGN (-15 -2747 ((-635 |#4|) (-635 |#4|))) (-15 -2947 ((-635 |#4|) (-635 |#4|))) (-15 -1543 ((-635 |#4|) (-635 |#4|) (-635 |#4|)))) |noBranch|) |noBranch|)) 
+((-1890 (((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 19)) (-1783 (((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)) 35)) (-2550 (((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|)) 16))) 
+(((-981 |#1|) (-10 -7 (-15 -1890 ((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -2550 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1783 ((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)))) (-366)) (T -981)) 
+((-1783 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5))))) (-5 *1 (-981 *5)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)))) (-2550 (*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-681 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-981 *5)))) (-1890 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-681 *6)) (|:| A (-681 *6)) (|:| |Ainv| (-681 *6)))) (-5 *1 (-981 *6)) (-5 *3 (-681 *6))))) 
+(-10 -7 (-15 -1890 ((-2 (|:| R (-681 |#1|)) (|:| A (-681 |#1|)) (|:| |Ainv| (-681 |#1|))) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -2550 ((-681 |#1|) (-681 |#1|) (-681 |#1|) (-101 |#1|) (-1 |#1| |#1|))) (-15 -1783 ((-635 (-2 (|:| C (-681 |#1|)) (|:| |g| (-1253 |#1|)))) (-681 |#1|) (-1253 |#1|)))) 
+((-3742 (((-421 |#4|) |#4|) 47))) 
+(((-982 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3742 ((-421 |#4|) |#4|))) (-844) (-790) (-454) (-952 |#3| |#2| |#1|)) (T -982)) 
+((-3742 (*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-982 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
+(-10 -7 (-15 -3742 ((-421 |#4|) |#4|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765)) 105 (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-2131 (($ (-635 |#1|)) 110)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) 98 (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3108 ((|#1| $) 95 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-1396 (((-121) $ (-765)) 10)) (-2718 ((|#1| $) 96 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-3803 (($ $ (-635 |#1|)) 107)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-4510 ((|#1| $ $) 99 (|has| |#1| (-1049)))) (-2174 (((-919) $) 109)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-3617 (($ $ $) 97)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542)))) (($ (-635 |#1|)) 108)) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1377 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1371 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-718))) (($ $ |#1|) 100 (|has| |#1| (-718)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-983 |#1|) (-1284) (-1049)) (T -983)) 
+((-2131 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) (-2174 (*1 *2 *1) (-12 (-4 *1 (-983 *3)) (-4 *3 (-1049)) (-5 *2 (-919)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) (-3617 (*1 *1 *1 *1) (-12 (-4 *1 (-983 *2)) (-4 *2 (-1049)))) (-3803 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-983 *3)) (-4 *3 (-1049))))) 
+(-13 (-1251 |t#1|) (-10 -8 (-15 -2131 ($ (-635 |t#1|))) (-15 -2174 ((-919) $)) (-15 -4035 ($ (-635 |t#1|))) (-15 -3617 ($ $ $)) (-15 -3803 ($ $ (-635 |t#1|))))) 
+(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T) ((-1251 |#1|) . T)) 
+((-4188 (((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)) 17))) 
+(((-984 |#1| |#2|) (-10 -7 (-15 -4188 ((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)))) (-1049) (-1049)) (T -984)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-946 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-946 *6)) (-5 *1 (-984 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-946 |#2|) (-1 |#2| |#1|) (-946 |#1|)))) 
+((-3735 ((|#1| (-946 |#1|)) 13)) (-3468 ((|#1| (-946 |#1|)) 12)) (-4441 ((|#1| (-946 |#1|)) 11)) (-4083 ((|#1| (-946 |#1|)) 15)) (-4357 ((|#1| (-946 |#1|)) 21)) (-3275 ((|#1| (-946 |#1|)) 14)) (-1859 ((|#1| (-946 |#1|)) 16)) (-4365 ((|#1| (-946 |#1|)) 20)) (-4381 ((|#1| (-946 |#1|)) 19))) 
+(((-985 |#1|) (-10 -7 (-15 -4441 (|#1| (-946 |#1|))) (-15 -3468 (|#1| (-946 |#1|))) (-15 -3735 (|#1| (-946 |#1|))) (-15 -3275 (|#1| (-946 |#1|))) (-15 -4083 (|#1| (-946 |#1|))) (-15 -1859 (|#1| (-946 |#1|))) (-15 -4381 (|#1| (-946 |#1|))) (-15 -4365 (|#1| (-946 |#1|))) (-15 -4357 (|#1| (-946 |#1|)))) (-1049)) (T -985)) 
+((-4357 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4365 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4381 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-1859 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4083 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3275 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3735 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-3468 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049)))) (-4441 (*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(-10 -7 (-15 -4441 (|#1| (-946 |#1|))) (-15 -3468 (|#1| (-946 |#1|))) (-15 -3735 (|#1| (-946 |#1|))) (-15 -3275 (|#1| (-946 |#1|))) (-15 -4083 (|#1| (-946 |#1|))) (-15 -1859 (|#1| (-946 |#1|))) (-15 -4381 (|#1| (-946 |#1|))) (-15 -4365 (|#1| (-946 |#1|))) (-15 -4357 (|#1| (-946 |#1|)))) 
+((-1459 (((-3 |#1| "failed") |#1|) 18)) (-3443 (((-3 |#1| "failed") |#1|) 6)) (-2658 (((-3 |#1| "failed") |#1|) 16)) (-2942 (((-3 |#1| "failed") |#1|) 4)) (-3876 (((-3 |#1| "failed") |#1|) 20)) (-4446 (((-3 |#1| "failed") |#1|) 8)) (-1517 (((-3 |#1| "failed") |#1| (-765)) 1)) (-3015 (((-3 |#1| "failed") |#1|) 3)) (-1981 (((-3 |#1| "failed") |#1|) 2)) (-2123 (((-3 |#1| "failed") |#1|) 21)) (-4159 (((-3 |#1| "failed") |#1|) 9)) (-4098 (((-3 |#1| "failed") |#1|) 19)) (-3454 (((-3 |#1| "failed") |#1|) 7)) (-4323 (((-3 |#1| "failed") |#1|) 17)) (-2920 (((-3 |#1| "failed") |#1|) 5)) (-4306 (((-3 |#1| "failed") |#1|) 24)) (-2837 (((-3 |#1| "failed") |#1|) 12)) (-3968 (((-3 |#1| "failed") |#1|) 22)) (-2812 (((-3 |#1| "failed") |#1|) 10)) (-2737 (((-3 |#1| "failed") |#1|) 26)) (-2475 (((-3 |#1| "failed") |#1|) 14)) (-1315 (((-3 |#1| "failed") |#1|) 27)) (-3098 (((-3 |#1| "failed") |#1|) 15)) (-2135 (((-3 |#1| "failed") |#1|) 25)) (-4358 (((-3 |#1| "failed") |#1|) 13)) (-2780 (((-3 |#1| "failed") |#1|) 23)) (-3811 (((-3 |#1| "failed") |#1|) 11))) 
+(((-986 |#1|) (-1284) (-1185)) (T -986)) 
+((-1315 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2737 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2135 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4306 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2780 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3968 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2123 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3876 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4098 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1459 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4323 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2658 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3098 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2475 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4358 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2837 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3811 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2812 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4159 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-4446 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3454 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3443 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2920 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-2942 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-3015 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1981 (*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185)))) (-1517 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(-13 (-10 -7 (-15 -1517 ((-3 |t#1| "failed") |t#1| (-765))) (-15 -1981 ((-3 |t#1| "failed") |t#1|)) (-15 -3015 ((-3 |t#1| "failed") |t#1|)) (-15 -2942 ((-3 |t#1| "failed") |t#1|)) (-15 -2920 ((-3 |t#1| "failed") |t#1|)) (-15 -3443 ((-3 |t#1| "failed") |t#1|)) (-15 -3454 ((-3 |t#1| "failed") |t#1|)) (-15 -4446 ((-3 |t#1| "failed") |t#1|)) (-15 -4159 ((-3 |t#1| "failed") |t#1|)) (-15 -2812 ((-3 |t#1| "failed") |t#1|)) (-15 -3811 ((-3 |t#1| "failed") |t#1|)) (-15 -2837 ((-3 |t#1| "failed") |t#1|)) (-15 -4358 ((-3 |t#1| "failed") |t#1|)) (-15 -2475 ((-3 |t#1| "failed") |t#1|)) (-15 -3098 ((-3 |t#1| "failed") |t#1|)) (-15 -2658 ((-3 |t#1| "failed") |t#1|)) (-15 -4323 ((-3 |t#1| "failed") |t#1|)) (-15 -1459 ((-3 |t#1| "failed") |t#1|)) (-15 -4098 ((-3 |t#1| "failed") |t#1|)) (-15 -3876 ((-3 |t#1| "failed") |t#1|)) (-15 -2123 ((-3 |t#1| "failed") |t#1|)) (-15 -3968 ((-3 |t#1| "failed") |t#1|)) (-15 -2780 ((-3 |t#1| "failed") |t#1|)) (-15 -4306 ((-3 |t#1| "failed") |t#1|)) (-15 -2135 ((-3 |t#1| "failed") |t#1|)) (-15 -2737 ((-3 |t#1| "failed") |t#1|)) (-15 -1315 ((-3 |t#1| "failed") |t#1|)))) 
+((-2927 ((|#4| |#4| (-635 |#3|)) 55) ((|#4| |#4| |#3|) 54)) (-4453 ((|#4| |#4| (-635 |#3|)) 23) ((|#4| |#4| |#3|) 19)) (-4188 ((|#4| (-1 |#4| (-955 |#1|)) |#4|) 30))) 
+(((-987 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4453 (|#4| |#4| |#3|)) (-15 -4453 (|#4| |#4| (-635 |#3|))) (-15 -2927 (|#4| |#4| |#3|)) (-15 -2927 (|#4| |#4| (-635 |#3|))) (-15 -4188 (|#4| (-1 |#4| (-955 |#1|)) |#4|))) (-1049) (-790) (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165))))) (-952 (-955 |#1|) |#2| |#3|)) (T -987)) 
+((-4188 (*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-955 *4))) (-4 *4 (-1049)) (-4 *2 (-952 (-955 *4) *5 *6)) (-4 *5 (-790)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *6 *2)))) (-2927 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6)))) (-2927 (*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6)))) (-4453 (*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3))))) 
+(-10 -7 (-15 -4453 (|#4| |#4| |#3|)) (-15 -4453 (|#4| |#4| (-635 |#3|))) (-15 -2927 (|#4| |#4| |#3|)) (-15 -2927 (|#4| |#4| (-635 |#3|))) (-15 -4188 (|#4| (-1 |#4| (-955 |#1|)) |#4|))) 
+((-4348 ((|#2| |#3|) 34)) (-4356 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|) 71)) (-1629 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) 86))) 
+(((-988 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|)) (-15 -4348 (|#2| |#3|))) (-351) (-1228 |#1|) (-1228 |#2|) (-716 |#2| |#3|)) (T -988)) 
+((-4348 (*1 *2 *3) (-12 (-4 *3 (-1228 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-988 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-716 *2 *3)))) (-4356 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-988 *4 *3 *5 *6)) (-4 *6 (-716 *3 *5)))) (-1629 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-716 *4 *5))))) 
+(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|)) (-15 -4348 (|#2| |#3|))) 
+((-3700 (((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))) 64))) 
+(((-989 |#1| |#2|) (-10 -7 (-15 -3700 ((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))))) (-635 (-1165)) (-765)) (T -989)) 
+((-3700 (*1 *2 *2) (-12 (-5 *2 (-990 (-410 (-569)) (-854 *3) (-233 *4 (-765)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-989 *3 *4))))) 
+(-10 -7 (-15 -3700 ((-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569)))) (-990 (-410 (-569)) (-854 |#1|) (-233 |#2| (-765)) (-243 |#1| (-410 (-569))))))) 
+((-1310 (((-121) $ $) NIL)) (-1702 (((-3 (-121) "failed") $) 67)) (-1928 (($ $) 35 (-12 (|has| |#1| (-151)) (|has| |#1| (-302))))) (-3466 (($ $ (-3 (-121) "failed")) 68)) (-4064 (($ (-635 |#4|) |#4|) 24)) (-2605 (((-1147) $) NIL)) (-4282 (($ $) 65)) (-1912 (((-1111) $) NIL)) (-1668 (((-121) $) 66)) (-4016 (($) 29)) (-4476 ((|#4| $) 70)) (-3720 (((-635 |#4|) $) 69)) (-3956 (((-852) $) 64)) (-1326 (((-121) $ $) NIL))) 
+(((-990 |#1| |#2| |#3| |#4|) (-13 (-1093) (-609 (-852)) (-10 -8 (-15 -4016 ($)) (-15 -4064 ($ (-635 |#4|) |#4|)) (-15 -1702 ((-3 (-121) "failed") $)) (-15 -3466 ($ $ (-3 (-121) "failed"))) (-15 -1668 ((-121) $)) (-15 -3720 ((-635 |#4|) $)) (-15 -4476 (|#4| $)) (-15 -4282 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -1928 ($ $)) |noBranch|) |noBranch|))) (-454) (-844) (-790) (-952 |#1| |#3| |#2|)) (T -990)) 
+((-4016 (*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) (-4064 (*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-952 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *1 (-990 *4 *5 *6 *3)))) (-1702 (*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-3466 (*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-1668 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-3720 (*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-635 *6)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) (-4476 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-990 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)))) (-4282 (*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) (-1928 (*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3))))) 
+(-13 (-1093) (-609 (-852)) (-10 -8 (-15 -4016 ($)) (-15 -4064 ($ (-635 |#4|) |#4|)) (-15 -1702 ((-3 (-121) "failed") $)) (-15 -3466 ($ $ (-3 (-121) "failed"))) (-15 -1668 ((-121) $)) (-15 -3720 ((-635 |#4|) $)) (-15 -4476 (|#4| $)) (-15 -4282 ($ $)) (IF (|has| |#1| (-302)) (IF (|has| |#1| (-151)) (-15 -1928 ($ $)) |noBranch|) |noBranch|))) 
+((-4322 (((-121) |#5| |#5|) 37)) (-4368 (((-121) |#5| |#5|) 51)) (-2664 (((-121) |#5| (-635 |#5|)) 73) (((-121) |#5| |#5|) 60)) (-3705 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-1780 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 62)) (-2932 (((-1258)) 33)) (-2241 (((-1258) (-1147) (-1147) (-1147)) 29)) (-1687 (((-635 |#5|) (-635 |#5|)) 80)) (-3051 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) 78)) (-4034 (((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 100)) (-1703 (((-121) |#5| |#5|) 46)) (-4413 (((-3 (-121) "failed") |#5| |#5|) 70)) (-2456 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-4059 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-1861 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-4011 (((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 96)) (-1501 (((-635 |#5|) (-635 |#5|)) 42))) 
+(((-991 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -991)) 
+((-4011 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-991 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) (-4034 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-991 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-3051 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-1780 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)))) (-1687 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-2664 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-991 *5 *6 *7 *8 *3)))) (-2664 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-4413 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1861 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4059 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-2456 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-3705 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4368 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1703 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) (-4322 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-2932 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-991 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2241 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-1948 (((-1165) $) 15)) (-2756 (((-1147) $) 16)) (-4183 (($ (-1165) (-1147)) 14)) (-3956 (((-852) $) 13))) 
+(((-992) (-13 (-609 (-852)) (-10 -8 (-15 -4183 ($ (-1165) (-1147))) (-15 -1948 ((-1165) $)) (-15 -2756 ((-1147) $))))) (T -992)) 
+((-4183 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-992)))) (-1948 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-992)))) (-2756 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-992))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -4183 ($ (-1165) (-1147))) (-15 -1948 ((-1165) $)) (-15 -2756 ((-1147) $)))) 
+((-4188 ((|#4| (-1 |#2| |#1|) |#3|) 14))) 
+(((-993 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) (-559) (-559) (-995 |#1|) (-995 |#2|)) (T -993)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-995 *6)) (-5 *1 (-993 *5 *6 *4 *2)) (-4 *4 (-995 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-1165) "failed") $) 65) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) 95)) (-1321 ((|#2| $) NIL) (((-1165) $) 60) (((-410 (-569)) $) NIL) (((-569) $) 92)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 112) (((-681 |#2|) (-681 $)) 28)) (-3341 (($) 98)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 74) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 83)) (-3043 (($ $) 10)) (-1542 (((-3 $ "failed") $) 20)) (-4188 (($ (-1 |#2| |#2|) $) 22)) (-1423 (($) 16)) (-1391 (($ $) 54)) (-3289 (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 36)) (-2572 (($ $) 12)) (-4035 (((-889 (-569)) $) 69) (((-889 (-382)) $) 78) (((-542) $) 40) (((-382) $) 44) (((-216) $) 47)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 90) (($ |#2|) NIL) (($ (-1165)) 57)) (-2320 (((-765)) 31)) (-1337 (((-121) $ $) 50))) 
+(((-994 |#1| |#2|) (-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -3341 (|#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2572 (|#1| |#1|)) (-15 -3043 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) (-995 |#2|) (-559)) (T -994)) 
+((-2320 (*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-994 *3 *4)) (-4 *3 (-995 *4))))) 
+(-10 -8 (-15 -1337 ((-121) |#1| |#1|)) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -3956 (|#1| (-1165))) (-15 -3341 (|#1|)) (-15 -1391 (|#1| |#1|)) (-15 -2572 (|#1| |#1|)) (-15 -3043 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -3318 ((-886 (-569) |#1|) |#1| (-889 (-569)) (-886 (-569) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -3435 ((-681 |#2|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 ((|#1| $) 135 (|has| |#1| (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 126 (|has| |#1| (-906)))) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 129 (|has| |#1| (-906)))) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 116 (|has| |#1| (-817)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 174) (((-3 (-1165) "failed") $) 124 (|has| |#1| (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 108 (|has| |#1| (-1039 (-569)))) (((-3 (-569) "failed") $) 106 (|has| |#1| (-1039 (-569))))) (-1321 ((|#1| $) 173) (((-1165) $) 123 (|has| |#1| (-1039 (-1165)))) (((-410 (-569)) $) 107 (|has| |#1| (-1039 (-569)))) (((-569) $) 105 (|has| |#1| (-1039 (-569))))) (-1614 (($ $ $) 53)) (-3435 (((-681 (-569)) (-681 $)) 148 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 147 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 146) (((-681 |#1|) (-681 $)) 145)) (-2611 (((-3 $ "failed") $) 33)) (-3341 (($) 133 (|has| |#1| (-551)))) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1863 (((-121) $) 118 (|has| |#1| (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 142 (|has| |#1| (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 141 (|has| |#1| (-883 (-382))))) (-3934 (((-121) $) 30)) (-3043 (($ $) 137)) (-3515 ((|#1| $) 139)) (-1542 (((-3 $ "failed") $) 104 (|has| |#1| (-1139)))) (-4311 (((-121) $) 117 (|has| |#1| (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 114 (|has| |#1| (-844)))) (-2713 (($ $ $) 113 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 165)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1423 (($) 103 (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 134 (|has| |#1| (-302)))) (-1807 ((|#1| $) 131 (|has| |#1| (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 128 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 127 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 171 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 170 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 169 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 168 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 167 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 166 (|has| |#1| (-524 (-1165) |#1|)))) (-2061 (((-765) $) 56)) (-2503 (($ $ |#1|) 172 (|has| |#1| (-282 |#1| |#1|)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3289 (($ $) 164 (|has| |#1| (-226))) (($ $ (-765)) 162 (|has| |#1| (-226))) (($ $ (-1165)) 160 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 159 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 158 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 157 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 150) (($ $ (-1 |#1| |#1|)) 149)) (-2572 (($ $) 136)) (-3524 ((|#1| $) 138)) (-4035 (((-889 (-569)) $) 144 (|has| |#1| (-610 (-889 (-569))))) (((-889 (-382)) $) 143 (|has| |#1| (-610 (-889 (-382))))) (((-542) $) 121 (|has| |#1| (-610 (-542)))) (((-382) $) 120 (|has| |#1| (-1023))) (((-216) $) 119 (|has| |#1| (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 130 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 177) (($ (-1165)) 125 (|has| |#1| (-1039 (-1165))))) (-2277 (((-3 $ "failed") $) 122 (-1929 (|has| |#1| (-149)) (-3993 (|has| $ (-149)) (|has| |#1| (-906)))))) (-2320 (((-765)) 28)) (-3215 ((|#1| $) 132 (|has| |#1| (-551)))) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 115 (|has| |#1| (-817)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 163 (|has| |#1| (-226))) (($ $ (-765)) 161 (|has| |#1| (-226))) (($ $ (-1165)) 156 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 155 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 154 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 153 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 152) (($ $ (-1 |#1| |#1|)) 151)) (-1355 (((-121) $ $) 111 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 110 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 112 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 109 (|has| |#1| (-844)))) (-1383 (($ $ $) 62) (($ |#1| |#1|) 140)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ |#1| $) 176) (($ $ |#1|) 175))) 
+(((-995 |#1|) (-1284) (-559)) (T -995)) 
+((-1383 (*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3515 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3524 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3043 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-2572 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) (-3644 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-1391 (*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) (-3341 (*1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-551)) (-4 *2 (-559)))) (-3215 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) (-1807 (*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551))))) 
+(-13 (-366) (-43 |t#1|) (-1039 |t#1|) (-337 |t#1|) (-224 |t#1|) (-380 |t#1|) (-881 |t#1|) (-403 |t#1|) (-10 -8 (-15 -1383 ($ |t#1| |t#1|)) (-15 -3515 (|t#1| $)) (-15 -3524 (|t#1| $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (IF (|has| |t#1| (-1139)) (-6 (-1139)) |noBranch|) (IF (|has| |t#1| (-1039 (-569))) (PROGN (-6 (-1039 (-569))) (-6 (-1039 (-410 (-569))))) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-817)) (-6 (-817)) |noBranch|) (IF (|has| |t#1| (-1023)) (-6 (-1023)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1039 (-1165))) (-6 (-1039 (-1165))) |noBranch|) (IF (|has| |t#1| (-302)) (PROGN (-15 -3644 (|t#1| $)) (-15 -1391 ($ $))) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -3341 ($)) (-15 -3215 (|t#1| $)) (-15 -1807 (|t#1| $))) |noBranch|) (IF (|has| |t#1| (-906)) (-6 (-906)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 |#1|) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) |has| |#1| (-1023)) ((-610 (-382)) |has| |#1| (-1023)) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-610 (-889 (-382))) |has| |#1| (-610 (-889 (-382)))) ((-610 (-889 (-569))) |has| |#1| (-610 (-889 (-569)))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) . T) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) . T) ((-302) . T) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-366) . T) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-403 |#1|) . T) ((-454) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-788) |has| |#1| (-817)) ((-789) |has| |#1| (-817)) ((-791) |has| |#1| (-817)) ((-792) |has| |#1| (-817)) ((-817) |has| |#1| (-817)) ((-842) |has| |#1| (-817)) ((-844) -1929 (|has| |#1| (-844)) (|has| |#1| (-817))) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) |has| |#1| (-883 (-382))) ((-883 (-569)) |has| |#1| (-883 (-569))) ((-881 |#1|) . T) ((-906) |has| |#1| (-906)) ((-918) . T) ((-1023) |has| |#1| (-1023)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-569))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-1165)) |has| |#1| (-1039 (-1165))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-1139)) ((-1199) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-4193 (($ (-1130 |#1| |#2|)) 11)) (-2926 (((-1130 |#1| |#2|) $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#2| $ (-233 |#1| |#2|)) 16)) (-3956 (((-852) $) NIL)) (-2407 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL))) 
+(((-996 |#1| |#2|) (-13 (-21) (-10 -8 (-15 -4193 ($ (-1130 |#1| |#2|))) (-15 -2926 ((-1130 |#1| |#2|) $)) (-15 -2503 (|#2| $ (-233 |#1| |#2|))))) (-919) (-366)) (T -996)) 
+((-4193 (*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)) (-5 *1 (-996 *3 *4)))) (-2926 (*1 *2 *1) (-12 (-5 *2 (-1130 *3 *4)) (-5 *1 (-996 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-919)) (-4 *2 (-366)) (-5 *1 (-996 *4 *2))))) 
+(-13 (-21) (-10 -8 (-15 -4193 ($ (-1130 |#1| |#2|))) (-15 -2926 ((-1130 |#1| |#2|) $)) (-15 -2503 (|#2| $ (-233 |#1| |#2|))))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-4063 (($ $) 43)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2718 (((-765) $) 42)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1678 ((|#1| $) 41)) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3381 ((|#1| |#1| $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-4458 ((|#1| $) 44)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3063 ((|#1| $) 40)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-997 |#1|) (-1284) (-1199)) (T -997)) 
+((-3381 (*1 *2 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-4458 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-4063 (*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-2718 (*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-1678 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) (-3063 (*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -3381 (|t#1| |t#1| $)) (-15 -4458 (|t#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1678 (|t#1| $)) (-15 -3063 (|t#1| $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-2225 (((-121) $) 42)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#2| "failed") $) 45)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#2| $) 43)) (-1330 (((-3 (-410 (-569)) "failed") $) 78)) (-4429 (((-121) $) 72)) (-2096 (((-410 (-569)) $) 76)) (-3934 (((-121) $) 41)) (-3046 ((|#2| $) 22)) (-4188 (($ (-1 |#2| |#2|) $) 19)) (-3243 (($ $) 61)) (-3289 (($ $) NIL) (($ $ (-765)) NIL) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 34)) (-4035 (((-542) $) 67)) (-3980 (($ $) 17)) (-3956 (((-852) $) 56) (($ (-569)) 38) (($ |#2|) 36) (($ (-410 (-569))) NIL)) (-2320 (((-765)) 10)) (-4080 ((|#2| $) 71)) (-1326 (((-121) $ $) 25)) (-1337 (((-121) $ $) 69)) (-1377 (($ $) 29) (($ $ $) 28)) (-1371 (($ $ $) 26)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 33) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) 30) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL))) 
+(((-998 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -3243 (|#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3934 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-999 |#2|) (-173)) (T -998)) 
+((-2320 (*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4))))) 
+(-10 -8 (-15 -3956 (|#1| (-410 (-569)))) (-15 -1337 ((-121) |#1| |#1|)) (-15 * (|#1| (-410 (-569)) |#1|)) (-15 * (|#1| |#1| (-410 (-569)))) (-15 -3243 (|#1| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -4080 (|#2| |#1|)) (-15 -3046 (|#2| |#1|)) (-15 -3980 (|#1| |#1|)) (-15 -4188 (|#1| (-1 |#2| |#2|) |#1|)) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3956 (|#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3934 ((-121) |#1|)) (-15 * (|#1| |#1| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 * (|#1| (-765) |#1|)) (-15 -2225 ((-121) |#1|)) (-15 * (|#1| (-919) |#1|)) (-15 -1371 (|#1| |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3003 (((-3 (-569) "failed") $) 117 (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 115 (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) 114)) (-1321 (((-569) $) 118 (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) 116 (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) 113)) (-3435 (((-681 (-569)) (-681 $)) 88 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 87 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 86) (((-681 |#1|) (-681 $)) 85)) (-2611 (((-3 $ "failed") $) 33)) (-3147 ((|#1| $) 78)) (-1330 (((-3 (-410 (-569)) "failed") $) 74 (|has| |#1| (-551)))) (-4429 (((-121) $) 76 (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) 75 (|has| |#1| (-551)))) (-2427 (($ |#1| |#1| |#1| |#1|) 79)) (-3934 (((-121) $) 30)) (-3046 ((|#1| $) 80)) (-2157 (($ $ $) 66 (|has| |#1| (-844)))) (-2713 (($ $ $) 65 (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) 89)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 71 (|has| |#1| (-366)))) (-4455 ((|#1| $) 81)) (-3226 ((|#1| $) 82)) (-1952 ((|#1| $) 83)) (-1912 (((-1111) $) 10)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 95 (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) 94 (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) 93 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) 92 (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) 91 (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) 90 (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) 96 (|has| |#1| (-282 |#1| |#1|)))) (-3289 (($ $) 112 (|has| |#1| (-226))) (($ $ (-765)) 110 (|has| |#1| (-226))) (($ $ (-1165)) 108 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 107 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 106 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 105 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 98) (($ $ (-1 |#1| |#1|)) 97)) (-4035 (((-542) $) 72 (|has| |#1| (-610 (-542))))) (-3980 (($ $) 84)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 36) (($ (-410 (-569))) 60 (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) 73 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-4080 ((|#1| $) 77 (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 70 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $) 111 (|has| |#1| (-226))) (($ $ (-765)) 109 (|has| |#1| (-226))) (($ $ (-1165)) 104 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 103 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 102 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 101 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 100) (($ $ (-1 |#1| |#1|)) 99)) (-1355 (((-121) $ $) 63 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 62 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 64 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 61 (|has| |#1| (-844)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 69 (|has| |#1| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 38) (($ |#1| $) 37) (($ $ (-410 (-569))) 68 (|has| |#1| (-366))) (($ (-410 (-569)) $) 67 (|has| |#1| (-366))))) 
+(((-999 |#1|) (-1284) (-173)) (T -999)) 
+((-3980 (*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-1952 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3226 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-4455 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3046 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-2427 (*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-3147 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) (-4080 (*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) (-4429 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) (-2096 (*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) (-1330 (*1 *2 *1) (|partial| -12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569)))))) 
+(-13 (-43 |t#1|) (-414 |t#1|) (-224 |t#1|) (-337 |t#1|) (-380 |t#1|) (-10 -8 (-15 -3980 ($ $)) (-15 -1952 (|t#1| $)) (-15 -3226 (|t#1| $)) (-15 -4455 (|t#1| $)) (-15 -3046 (|t#1| $)) (-15 -2427 ($ |t#1| |t#1| |t#1| |t#1|)) (-15 -3147 (|t#1| $)) (IF (|has| |t#1| (-286)) (-6 (-286)) |noBranch|) (IF (|has| |t#1| (-844)) (-6 (-844)) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-239)) |noBranch|) (IF (|has| |t#1| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-149)) |noBranch|) (IF (|has| |t#1| (-1058)) (-15 -4080 (|t#1| $)) |noBranch|) (IF (|has| |t#1| (-551)) (PROGN (-15 -4429 ((-121) $)) (-15 -2096 ((-410 (-569)) $)) (-15 -1330 ((-3 (-410 (-569)) "failed") $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-366)) ((-43 |#1|) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-366)) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-224 |#1|) . T) ((-226) |has| |#1| (-226)) ((-239) |has| |#1| (-366)) ((-282 |#1| $) |has| |#1| (-282 |#1| |#1|)) ((-286) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-304 |#1|) |has| |#1| (-304 |#1|)) ((-337 |#1|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-524 (-1165) |#1|) |has| |#1| (-524 (-1165) |#1|)) ((-524 |#1| |#1|) |has| |#1| (-304 |#1|)) ((-638 (-410 (-569))) |has| |#1| (-366)) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-366)) ((-709 |#1|) . T) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-366)) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-366)) (|has| |#1| (-286))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-4188 ((|#3| (-1 |#4| |#2|) |#1|) 16))) 
+(((-1000 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) (-999 |#2|) (-173) (-999 |#4|) (-173)) (T -1000)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-999 *6)) (-5 *1 (-1000 *4 *5 *2 *6)) (-4 *4 (-999 *5))))) 
+(-10 -7 (-15 -4188 (|#3| (-1 |#4| |#2|) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3147 ((|#1| $) 12)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-551)))) (-4429 (((-121) $) NIL (|has| |#1| (-551)))) (-2096 (((-410 (-569)) $) NIL (|has| |#1| (-551)))) (-2427 (($ |#1| |#1| |#1| |#1|) 16)) (-3934 (((-121) $) NIL)) (-3046 ((|#1| $) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-4455 ((|#1| $) 15)) (-3226 ((|#1| $) 14)) (-1952 ((|#1| $) 13)) (-1912 (((-1111) $) NIL)) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ |#1| |#1|) NIL (|has| |#1| (-304 |#1|))) (($ $ (-289 |#1|)) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-289 |#1|))) NIL (|has| |#1| (-304 |#1|))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-524 (-1165) |#1|))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-524 (-1165) |#1|)))) (-2503 (($ $ |#1|) NIL (|has| |#1| (-282 |#1| |#1|)))) (-3289 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3980 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-4080 ((|#1| $) NIL (|has| |#1| (-1058)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 8 T CONST)) (-3297 (($) 10 T CONST)) (-3712 (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))))) 
+(((-1001 |#1|) (-999 |#1|) (-173)) (T -1001)) 
+NIL 
+(-999 |#1|) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4063 (($ $) 20)) (-4472 (($ (-635 |#1|)) 29)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2718 (((-765) $) 22)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 24)) (-2351 (($ |#1| $) 15)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1678 ((|#1| $) 23)) (-2166 ((|#1| $) 19)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3381 ((|#1| |#1| $) 14)) (-1668 (((-121) $) 17)) (-4016 (($) NIL)) (-4458 ((|#1| $) 18)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3063 ((|#1| $) 26)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1002 |#1|) (-13 (-997 |#1|) (-10 -8 (-15 -4472 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -1002)) 
+((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1002 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-3381 (*1 *2 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4458 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4063 (*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) (-1678 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-3063 (*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) (-4472 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3))))) 
+(-13 (-997 |#1|) (-10 -8 (-15 -4472 ($ (-635 |#1|))) (-15 -4458 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -3381 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1678 (|#1| $)) (-15 -3063 (|#1| $)) (-15 -4063 ($ $)) (-15 -2718 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
+((-3422 (($ $) 12)) (-2522 (($ $ (-569)) 13))) 
+(((-1003 |#1|) (-10 -8 (-15 -3422 (|#1| |#1|)) (-15 -2522 (|#1| |#1| (-569)))) (-1004)) (T -1003)) 
+NIL 
+(-10 -8 (-15 -3422 (|#1| |#1|)) (-15 -2522 (|#1| |#1| (-569)))) 
+((-3422 (($ $) 6)) (-2522 (($ $ (-569)) 7)) (** (($ $ (-410 (-569))) 8))) 
+(((-1004) (-1284)) (T -1004)) 
+((** (*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-410 (-569))))) (-2522 (*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-569)))) (-3422 (*1 *1 *1) (-4 *1 (-1004)))) 
+(-13 (-10 -8 (-15 -3422 ($ $)) (-15 -2522 ($ $ (-569))) (-15 ** ($ $ (-410 (-569)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3315 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| (-410 |#2|) (-366)))) (-2915 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2735 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-2245 (((-681 (-410 |#2|)) (-1253 $)) NIL) (((-681 (-410 |#2|))) NIL)) (-3588 (((-410 |#2|) $) NIL)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| (-410 |#2|) (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-3742 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2889 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2675 (((-765)) NIL (|has| (-410 |#2|) (-371)))) (-2147 (((-121)) NIL)) (-4017 (((-121) |#1|) 147) (((-121) |#2|) 152)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-3 (-410 |#2|) "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| (-410 |#2|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-410 |#2|) (-1039 (-410 (-569))))) (((-410 |#2|) $) NIL)) (-2097 (($ (-1253 (-410 |#2|)) (-1253 $)) NIL) (($ (-1253 (-410 |#2|))) 70) (($ (-1253 |#2|) |#2|) NIL)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| (-410 |#2|) (-351)))) (-1614 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1808 (((-681 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-410 |#2|) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-410 |#2|))) (|:| |vec| (-1253 (-410 |#2|)))) (-681 $) (-1253 $)) NIL) (((-681 (-410 |#2|)) (-681 $)) NIL)) (-3728 (((-1253 $) (-1253 $)) NIL)) (-2793 (($ |#3|) 65) (((-3 $ "failed") (-410 |#3|)) NIL (|has| (-410 |#2|) (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3768 (((-635 (-635 |#1|))) NIL (|has| |#1| (-371)))) (-1596 (((-121) |#1| |#1|) NIL)) (-3358 (((-919)) NIL)) (-3341 (($) NIL (|has| (-410 |#2|) (-371)))) (-3717 (((-121)) NIL)) (-2521 (((-121) |#1|) 56) (((-121) |#2|) 149)) (-1626 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| (-410 |#2|) (-366)))) (-2540 (($ $) NIL)) (-1456 (($) NIL (|has| (-410 |#2|) (-351)))) (-3462 (((-121) $) NIL (|has| (-410 |#2|) (-351)))) (-3238 (($ $ (-765)) NIL (|has| (-410 |#2|) (-351))) (($ $) NIL (|has| (-410 |#2|) (-351)))) (-2005 (((-121) $) NIL (|has| (-410 |#2|) (-366)))) (-4433 (((-919) $) NIL (|has| (-410 |#2|) (-351))) (((-830 (-919)) $) NIL (|has| (-410 |#2|) (-351)))) (-3934 (((-121) $) NIL)) (-1853 (((-765)) NIL)) (-2749 (((-1253 $) (-1253 $)) NIL)) (-3046 (((-410 |#2|) $) NIL)) (-1694 (((-635 (-955 |#1|)) (-1165)) NIL (|has| |#1| (-366)))) (-1542 (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2415 ((|#3| $) NIL (|has| (-410 |#2|) (-366)))) (-2862 (((-919) $) NIL (|has| (-410 |#2|) (-371)))) (-2786 ((|#3| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-2605 (((-1147) $) NIL)) (-3561 (((-681 (-410 |#2|))) 52)) (-2715 (((-681 (-410 |#2|))) 51)) (-3243 (($ $) NIL (|has| (-410 |#2|) (-366)))) (-4284 (($ (-1253 |#2|) |#2|) 71)) (-3145 (((-681 (-410 |#2|))) 50)) (-2949 (((-681 (-410 |#2|))) 49)) (-1593 (((-2 (|:| |num| (-681 |#2|)) (|:| |den| |#2|)) (-1 |#2| |#2|)) 86)) (-1482 (((-2 (|:| |num| (-1253 |#2|)) (|:| |den| |#2|)) $) 77)) (-1365 (((-1253 $)) 46)) (-1629 (((-1253 $)) 45)) (-2722 (((-121) $) NIL)) (-3759 (((-121) $) NIL) (((-121) $ |#1|) NIL) (((-121) $ |#2|) NIL)) (-1423 (($) NIL (|has| (-410 |#2|) (-351)) CONST)) (-1333 (($ (-919)) NIL (|has| (-410 |#2|) (-371)))) (-3973 (((-3 |#2| "failed")) 63)) (-1912 (((-1111) $) NIL)) (-2196 (((-765)) NIL)) (-1986 (($) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| (-410 |#2|) (-366)))) (-3964 (($ (-635 $)) NIL (|has| (-410 |#2|) (-366))) (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| (-410 |#2|) (-351)))) (-3139 (((-421 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| (-410 |#2|) (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| (-410 |#2|) (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| (-410 |#2|) (-366)))) (-2061 (((-765) $) NIL (|has| (-410 |#2|) (-366)))) (-2503 ((|#1| $ |#1| |#1|) NIL)) (-4374 (((-3 |#2| "failed")) 62)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| (-410 |#2|) (-366)))) (-2925 (((-410 |#2|) (-1253 $)) NIL) (((-410 |#2|)) 42)) (-3600 (((-765) $) NIL (|has| (-410 |#2|) (-351))) (((-3 (-765) "failed") $ $) NIL (|has| (-410 |#2|) (-351)))) (-3289 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-3775 (((-681 (-410 |#2|)) (-1253 $) (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366)))) (-3036 ((|#3|) 53)) (-3563 (($) NIL (|has| (-410 |#2|) (-351)))) (-3672 (((-1253 (-410 |#2|)) $ (-1253 $)) NIL) (((-681 (-410 |#2|)) (-1253 $) (-1253 $)) NIL) (((-1253 (-410 |#2|)) $) 72) (((-681 (-410 |#2|)) (-1253 $)) NIL)) (-4035 (((-1253 (-410 |#2|)) $) NIL) (($ (-1253 (-410 |#2|))) NIL) ((|#3| $) NIL) (($ |#3|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| (-410 |#2|) (-351)))) (-4482 (((-1253 $) (-1253 $)) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 |#2|)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-1039 (-410 (-569)))))) (($ $) NIL (|has| (-410 |#2|) (-366)))) (-2277 (($ $) NIL (|has| (-410 |#2|) (-351))) (((-3 $ "failed") $) NIL (|has| (-410 |#2|) (-149)))) (-3033 ((|#3| $) NIL)) (-2320 (((-765)) NIL)) (-4197 (((-121)) 60)) (-3834 (((-121) |#1|) 153) (((-121) |#2|) 154)) (-4079 (((-1253 $)) 124)) (-2909 (((-121) $ $) NIL (|has| (-410 |#2|) (-366)))) (-4037 (((-2 (|:| |num| $) (|:| |den| |#2|) (|:| |derivden| |#2|) (|:| |gd| |#2|)) $ (-1 |#2| |#2|)) NIL)) (-3268 (((-121)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (-2407 (($) 94 T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1 (-410 |#2|) (-410 |#2|)) (-765)) NIL (|has| (-410 |#2|) (-366))) (($ $ (-1 (-410 |#2|) (-410 |#2|))) NIL (|has| (-410 |#2|) (-366))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| (-410 |#2|) (-366)) (|has| (-410 |#2|) (-897 (-1165))))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351)))) (($ $) NIL (-1929 (-12 (|has| (-410 |#2|) (-226)) (|has| (-410 |#2|) (-366))) (|has| (-410 |#2|) (-351))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ $) NIL (|has| (-410 |#2|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-410 |#2|) (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 |#2|)) NIL) (($ (-410 |#2|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-410 |#2|) (-366))) (($ $ (-410 (-569))) NIL (|has| (-410 |#2|) (-366))))) 
+(((-1005 |#1| |#2| |#3| |#4| |#5|) (-341 |#1| |#2| |#3|) (-1208) (-1228 |#1|) (-1228 (-410 |#2|)) (-410 |#2|) (-765)) (T -1005)) 
 NIL 
 (-341 |#1| |#2| |#3|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3233 (((-635 (-569)) $) 54)) (-3949 (($ (-635 (-569))) 62)) (-3761 (((-569) $) 40 (|has| (-569) (-302)))) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL (|has| (-569) (-816)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) 49) (((-3 (-1163) "failed") $) NIL (|has| (-569) (-1038 (-1163)))) (((-3 (-410 (-569)) "failed") $) 47 (|has| (-569) (-1038 (-569)))) (((-3 (-569) "failed") $) 49 (|has| (-569) (-1038 (-569))))) (-2428 (((-569) $) NIL) (((-1163) $) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) NIL (|has| (-569) (-1038 (-569)))) (((-569) $) NIL (|has| (-569) (-1038 (-569))))) (-2506 (($ $ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4327 (($) NIL (|has| (-569) (-551)))) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1649 (((-635 (-569)) $) 60)) (-2403 (((-121) $) NIL (|has| (-569) (-816)))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (|has| (-569) (-882 (-569)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (|has| (-569) (-882 (-382))))) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL)) (-4116 (((-569) $) 37)) (-3846 (((-3 $ "failed") $) NIL (|has| (-569) (-1137)))) (-1781 (((-121) $) NIL (|has| (-569) (-816)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1544 (($ (-1 (-569) (-569)) $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL)) (-4043 (($) NIL (|has| (-569) (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1346 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) 42)) (-1535 (((-1143 (-569)) $) 59)) (-4198 (($ (-635 (-569)) (-635 (-569))) 63)) (-2942 (((-569) $) 53 (|has| (-569) (-551)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| (-569) (-905)))) (-1743 (((-421 $) $) NIL)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1468 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1163)) (-635 (-569))) NIL (|has| (-569) (-524 (-1163) (-569)))) (($ $ (-1163) (-569)) NIL (|has| (-569) (-524 (-1163) (-569))))) (-2622 (((-764) $) NIL)) (-1534 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $) 11 (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-4214 (($ $) NIL)) (-4121 (((-569) $) 39)) (-4196 (((-635 (-569)) $) 61)) (-3817 (((-888 (-569)) $) NIL (|has| (-569) (-610 (-888 (-569))))) (((-888 (-382)) $) NIL (|has| (-569) (-610 (-888 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1022))) (((-216) $) NIL (|has| (-569) (-1022)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-905))))) (-2185 (((-851) $) 77) (($ (-569)) 43) (($ $) NIL) (($ (-410 (-569))) 19) (($ (-569)) 43) (($ (-1163)) NIL (|has| (-569) (-1038 (-1163)))) (((-410 (-569)) $) 17)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-569) (-905))) (|has| (-569) (-149))))) (-1991 (((-764)) 9)) (-2612 (((-569) $) 51 (|has| (-569) (-551)))) (-1961 (((-121) $ $) NIL)) (-1616 (($ $) NIL (|has| (-569) (-816)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 10 T CONST)) (-1556 (($) 12 T CONST)) (-3022 (($ $) NIL (|has| (-569) (-226))) (($ $ (-764)) NIL (|has| (-569) (-226))) (($ $ (-1163)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| (-569) (-896 (-1163)))) (($ $ (-1 (-569) (-569)) (-764)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) 14)) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) 33 (|has| (-569) (-843)))) (-1715 (($ $ $) 29) (($ (-569) (-569)) 31)) (-1711 (($ $) 15) (($ $ $) 22)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 25) (($ $ $) 27) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) 25) (($ $ (-569)) NIL))) 
-(((-1005 |#1|) (-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -3233 ((-635 (-569)) $)) (-15 -1535 ((-1143 (-569)) $)) (-15 -1649 ((-635 (-569)) $)) (-15 -4196 ((-635 (-569)) $)) (-15 -3949 ($ (-635 (-569)))) (-15 -4198 ($ (-635 (-569)) (-635 (-569)))))) (-569)) (T -1005)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1346 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-3233 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1535 (*1 *2 *1) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-1649 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-4196 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-3949 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) (-4198 (*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(-13 (-994 (-569)) (-10 -8 (-15 -2185 ((-410 (-569)) $)) (-15 -1346 ((-410 (-569)) $)) (-15 -3233 ((-635 (-569)) $)) (-15 -1535 ((-1143 (-569)) $)) (-15 -1649 ((-635 (-569)) $)) (-15 -4196 ((-635 (-569)) $)) (-15 -3949 ($ (-635 (-569)))) (-15 -4198 ($ (-635 (-569)) (-635 (-569)))))) 
-((-1458 (((-57) (-410 (-569)) (-569)) 9))) 
-(((-1006) (-10 -7 (-15 -1458 ((-57) (-410 (-569)) (-569))))) (T -1006)) 
-((-1458 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1006))))) 
-(-10 -7 (-15 -1458 ((-57) (-410 (-569)) (-569)))) 
-((-2085 (((-569)) 13)) (-3335 (((-569)) 16)) (-1654 (((-1252) (-569)) 15)) (-1514 (((-569) (-569)) 17) (((-569)) 12))) 
-(((-1007) (-10 -7 (-15 -1514 ((-569))) (-15 -2085 ((-569))) (-15 -1514 ((-569) (-569))) (-15 -1654 ((-1252) (-569))) (-15 -3335 ((-569))))) (T -1007)) 
-((-3335 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-1654 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1007)))) (-1514 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-2085 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) (-1514 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
-(-10 -7 (-15 -1514 ((-569))) (-15 -2085 ((-569))) (-15 -1514 ((-569) (-569))) (-15 -1654 ((-1252) (-569))) (-15 -3335 ((-569)))) 
-((-2186 (((-421 |#1|) |#1|) 40)) (-1743 (((-421 |#1|) |#1|) 39))) 
-(((-1008 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|))) (-1222 (-410 (-569)))) (T -1008)) 
-((-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569))))))) 
-(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|))) 
-((-4401 (((-3 (-410 (-569)) "failed") |#1|) 14)) (-3103 (((-121) |#1|) 13)) (-1442 (((-410 (-569)) |#1|) 9))) 
-(((-1009 |#1|) (-10 -7 (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|))) (-1038 (-410 (-569)))) (T -1009)) 
-((-4401 (*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2)))) (-3103 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1009 *3)) (-4 *3 (-1038 (-410 (-569)))))) (-1442 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
-(-10 -7 (-15 -1442 ((-410 (-569)) |#1|)) (-15 -3103 ((-121) |#1|)) (-15 -4401 ((-3 (-410 (-569)) "failed") |#1|))) 
-((-4469 ((|#2| $ "value" |#2|) 12)) (-1534 ((|#2| $ "value") 10)) (-2447 (((-121) $ $) 18))) 
-(((-1010 |#1| |#2|) (-10 -8 (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1534 (|#2| |#1| "value"))) (-1011 |#2|) (-1197)) (T -1010)) 
-NIL 
-(-10 -8 (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -2447 ((-121) |#1| |#1|)) (-15 -1534 (|#2| |#1| "value"))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-2820 (($) 7 T CONST)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1011 |#1|) (-1278) (-1197)) (T -1011)) 
-((-4114 (*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) (-4032 (*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) (-3486 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2247 (*1 *2 *1) (-12 (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-1472 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-2824 (*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) (-1686 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-569)))) (-2447 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-4349 (*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-3725 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4536)) (-4 *1 (-1011 *3)) (-4 *3 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) (-3891 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197))))) 
-(-13 (-500 |t#1|) (-10 -8 (-15 -4114 ((-635 $) $)) (-15 -4032 ((-635 $) $)) (-15 -3486 ((-121) $)) (-15 -2247 (|t#1| $)) (-15 -1534 (|t#1| $ "value")) (-15 -1472 ((-121) $)) (-15 -2824 ((-635 |t#1|) $)) (-15 -1686 ((-569) $ $)) (IF (|has| |t#1| (-1091)) (PROGN (-15 -2447 ((-121) $ $)) (-15 -4349 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4536)) (PROGN (-15 -3725 ($ $ (-635 $))) (-15 -4469 (|t#1| $ "value" |t#1|)) (-15 -3891 (|t#1| $ |t#1|))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-2454 (($ $) 9) (($ $ (-764)) 43) (($ (-410 (-569))) 12) (($ (-569)) 15)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) 23) (((-3 $ "failed") (-1159 $) (-918)) 28)) (-4344 (($ $ (-569)) 49)) (-1991 (((-764)) 16)) (-2079 (((-635 $) (-1159 $)) NIL) (((-635 $) (-1159 (-410 (-569)))) 54) (((-635 $) (-1159 (-569))) 59) (((-635 $) (-954 $)) 63) (((-635 $) (-954 (-410 (-569)))) 67) (((-635 $) (-954 (-569))) 71)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 47))) 
-(((-1012 |#1|) (-10 -8 (-15 -2454 (|#1| (-569))) (-15 -2454 (|#1| (-410 (-569)))) (-15 -2454 (|#1| |#1| (-764))) (-15 -2079 ((-635 |#1|) (-954 (-569)))) (-15 -2079 ((-635 |#1|) (-954 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-954 |#1|))) (-15 -2079 ((-635 |#1|) (-1159 (-569)))) (-15 -2079 ((-635 |#1|) (-1159 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-1159 |#1|))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918) (-851))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -4344 (|#1| |#1| (-569))) (-15 -2454 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918)))) (-1013)) (T -1012)) 
-((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1012 *3)) (-4 *3 (-1013))))) 
-(-10 -8 (-15 -2454 (|#1| (-569))) (-15 -2454 (|#1| (-410 (-569)))) (-15 -2454 (|#1| |#1| (-764))) (-15 -2079 ((-635 |#1|) (-954 (-569)))) (-15 -2079 ((-635 |#1|) (-954 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-954 |#1|))) (-15 -2079 ((-635 |#1|) (-1159 (-569)))) (-15 -2079 ((-635 |#1|) (-1159 (-410 (-569))))) (-15 -2079 ((-635 |#1|) (-1159 |#1|))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918))) (-15 -3550 ((-3 |#1| "failed") (-1159 |#1|) (-918) (-851))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -4344 (|#1| |#1| (-569))) (-15 -2454 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -1991 ((-764))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 88)) (-3383 (($ $) 89)) (-4354 (((-121) $) 91)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 108)) (-2446 (((-421 $) $) 109)) (-2454 (($ $) 72) (($ $ (-764)) 58) (($ (-410 (-569))) 57) (($ (-569)) 56)) (-3934 (((-121) $ $) 99)) (-3638 (((-569) $) 126)) (-2820 (($) 16 T CONST)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) 66) (((-3 $ "failed") (-1159 $) (-918)) 65)) (-1647 (((-3 (-569) "failed") $) 84 (|has| (-410 (-569)) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 82 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) 80)) (-2428 (((-569) $) 85 (|has| (-410 (-569)) (-1038 (-569)))) (((-410 (-569)) $) 83 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-410 (-569)) $) 79)) (-3653 (($ $ (-851)) 55)) (-3179 (($ $ (-851)) 54)) (-2506 (($ $ $) 103)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 102)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 97)) (-3726 (((-121) $) 110)) (-2403 (((-121) $) 124)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 71)) (-1781 (((-121) $) 125)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 106)) (-3291 (($ $ $) 123)) (-1538 (($ $ $) 122)) (-2582 (((-3 (-1159 $) "failed") $) 67)) (-3490 (((-3 (-851) "failed") $) 69)) (-3767 (((-3 (-1159 $) "failed") $) 68)) (-2665 (($ (-635 $)) 95) (($ $ $) 94)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 111)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 96)) (-2714 (($ (-635 $)) 93) (($ $ $) 92)) (-1743 (((-421 $) $) 107)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 104)) (-2941 (((-3 $ "failed") $ $) 87)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 98)) (-2622 (((-764) $) 100)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 101)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 116) (($ $) 86) (($ (-410 (-569))) 81) (($ (-569)) 78) (($ (-410 (-569))) 75)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 90)) (-2994 (((-410 (-569)) $ $) 53)) (-2079 (((-635 $) (-1159 $)) 64) (((-635 $) (-1159 (-410 (-569)))) 63) (((-635 $) (-1159 (-569))) 62) (((-635 $) (-954 $)) 61) (((-635 $) (-954 (-410 (-569)))) 60) (((-635 $) (-954 (-569))) 59)) (-1616 (($ $) 127)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 112)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 120)) (-1684 (((-121) $ $) 119)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 121)) (-1678 (((-121) $ $) 118)) (-1715 (($ $ $) 117)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 113) (($ $ (-410 (-569))) 70)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 115) (($ $ (-410 (-569))) 114) (($ (-569) $) 77) (($ $ (-569)) 76) (($ (-410 (-569)) $) 74) (($ $ (-410 (-569))) 73))) 
-(((-1013) (-1278)) (T -1013)) 
-((-2454 (*1 *1 *1) (-4 *1 (-1013))) (-3490 (*1 *2 *1) (|partial| -12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-3767 (*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013)))) (-2582 (*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013)))) (-3550 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-5 *4 (-851)) (-4 *1 (-1013)))) (-3550 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2079 (*1 *2 *3) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) (-2454 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-764)))) (-2454 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1013)))) (-2454 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1013)))) (-3653 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-3179 (*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851)))) (-2994 (*1 *2 *1 *1) (-12 (-4 *1 (-1013)) (-5 *2 (-410 (-569)))))) 
-(-13 (-151) (-841) (-173) (-366) (-414 (-410 (-569))) (-43 (-569)) (-43 (-410 (-569))) (-1003) (-10 -8 (-15 -3490 ((-3 (-851) "failed") $)) (-15 -3767 ((-3 (-1159 $) "failed") $)) (-15 -2582 ((-3 (-1159 $) "failed") $)) (-15 -3550 ((-3 $ "failed") (-1159 $) (-918) (-851))) (-15 -3550 ((-3 $ "failed") (-1159 $) (-918))) (-15 -2079 ((-635 $) (-1159 $))) (-15 -2079 ((-635 $) (-1159 (-410 (-569))))) (-15 -2079 ((-635 $) (-1159 (-569)))) (-15 -2079 ((-635 $) (-954 $))) (-15 -2079 ((-635 $) (-954 (-410 (-569))))) (-15 -2079 ((-635 $) (-954 (-569)))) (-15 -2454 ($ $ (-764))) (-15 -2454 ($ $)) (-15 -2454 ($ (-410 (-569)))) (-15 -2454 ($ (-569))) (-15 -3653 ($ $ (-851))) (-15 -3179 ($ $ (-851))) (-15 -2994 ((-410 (-569)) $ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 (-569)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-569) (-569)) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-414 (-410 (-569))) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-569)) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 (-569)) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-917) . T) ((-1003) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) |has| (-410 (-569)) (-1038 (-569))) ((-1054 (-410 (-569))) . T) ((-1054 (-569)) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-1689 (((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
-(((-1014 |#1| |#2|) (-10 -7 (-15 -1689 ((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-27) (-433 |#1|))) (T -1014)) 
-((-1689 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121)))) (-5 *1 (-1014 *8 *4))))) 
-(-10 -7 (-15 -1689 ((-2 (|:| |ans| |#2|) (|:| -1869 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-2376 (((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
-(((-1015 |#1| |#2|) (-10 -7 (-15 -2376 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569))) (-13 (-1183) (-27) (-433 |#1|))) (T -1015)) 
-((-2376 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1015 *8 *4))))) 
-(-10 -7 (-15 -2376 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1163) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3032 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
-((-4160 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)) 30)) (-3687 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 56)) (-1433 (((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|)) 61))) 
-(((-1016 |#1| |#2|) (-10 -7 (-15 -3687 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1433 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -4160 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -1016)) 
-((-4160 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1016 *6 *3)))) (-1433 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-410 *5)))) (-3687 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -3687 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1433 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -4160 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) 
-((-3311 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 22)) (-1986 (((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 32))) 
-(((-1017 |#1| |#2|) (-10 -7 (-15 -3311 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1986 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) (-13 (-366) (-151) (-1038 (-569))) (-1222 |#1|)) (T -1017)) 
-((-1986 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5)))) (-3311 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
-(-10 -7 (-15 -3311 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -3417 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -1986 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) 
-((-3131 (((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569))))) 37)) (-1384 (((-1 |#1|) (-1093 |#1|)) 45)) (-4170 (((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)) 34))) 
-(((-1018 |#1|) (-10 -7 (-15 -1384 ((-1 |#1|) (-1093 |#1|))) (-15 -3131 ((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569)))))) (-15 -4170 ((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)))) (-1091)) (T -1018)) 
-((-4170 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 *6)) (-5 *4 (-1247 (-569))) (-5 *5 (-569)) (-4 *6 (-1091)) (-5 *2 (-1 *6)) (-5 *1 (-1018 *6)))) (-3131 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2247 *4) (|:| -2496 (-569))))) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4)))) (-1384 (*1 *2 *3) (-12 (-5 *3 (-1093 *4)) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4))))) 
-(-10 -7 (-15 -1384 ((-1 |#1|) (-1093 |#1|))) (-15 -3131 ((-1 |#1|) (-635 (-2 (|:| -2247 |#1|) (|:| -2496 (-569)))))) (-15 -4170 ((-1 |#1|) (-1247 |#1|) (-1247 (-569)) (-569)))) 
-((-2558 (((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
-(((-1019 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-366) (-1222 |#1|) (-1222 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-13 (-371) (-366))) (T -1019)) 
-((-2558 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-4 *4 (-1222 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-764)) (-5 *1 (-1019 *6 *7 *4 *8 *9))))) 
-(-10 -7 (-15 -2558 ((-764) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
-((-1595 (((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 31) (((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 28)) (-4048 (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 33) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569))) 29) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 32) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|) 27)) (-3832 (((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) 19)) (-3305 (((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 16))) 
-(((-1020 |#1|) (-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3305 ((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3832 ((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))))) (-1222 (-569))) (T -1020)) 
-((-3832 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569))))) (-3305 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569))))) (-1595 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) (-1595 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) (-4048 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-410 (-569))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-4048 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569)))))) 
-(-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3305 ((-410 (-569)) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -3832 ((-635 (-410 (-569))) (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))))) 
-((-1595 (((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 35) (((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 32)) (-4048 (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569))) 30) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569))) 26) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) 28) (((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|) 24))) 
-(((-1021 |#1|) (-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-1222 (-410 (-569)))) (T -1021)) 
-((-1595 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) (-1595 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) (-4048 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *5)) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) (-4048 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *4) (|:| -1869 *4)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) (-4048 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) (-4048 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569))))))) 
-(-10 -7 (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1|)) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -4048 ((-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-410 (-569)))) (-15 -1595 ((-3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) "failed") |#1| (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))) (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) 
-((-3817 (((-216) $) 6) (((-382) $) 8))) 
-(((-1022) (-1278)) (T -1022)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-4516 (((-635 (-569)) $) 54)) (-2165 (($ (-635 (-569))) 62)) (-3644 (((-569) $) 40 (|has| (-569) (-302)))) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL (|has| (-569) (-817)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) 49) (((-3 (-1165) "failed") $) NIL (|has| (-569) (-1039 (-1165)))) (((-3 (-410 (-569)) "failed") $) 47 (|has| (-569) (-1039 (-569)))) (((-3 (-569) "failed") $) 49 (|has| (-569) (-1039 (-569))))) (-1321 (((-569) $) NIL) (((-1165) $) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) NIL (|has| (-569) (-1039 (-569)))) (((-569) $) NIL (|has| (-569) (-1039 (-569))))) (-1614 (($ $ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| (-569) (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3341 (($) NIL (|has| (-569) (-551)))) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-3697 (((-635 (-569)) $) 60)) (-1863 (((-121) $) NIL (|has| (-569) (-817)))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (|has| (-569) (-883 (-569)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (|has| (-569) (-883 (-382))))) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL)) (-3515 (((-569) $) 37)) (-1542 (((-3 $ "failed") $) NIL (|has| (-569) (-1139)))) (-4311 (((-121) $) NIL (|has| (-569) (-817)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-4188 (($ (-1 (-569) (-569)) $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL)) (-1423 (($) NIL (|has| (-569) (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1391 (($ $) NIL (|has| (-569) (-302))) (((-410 (-569)) $) 42)) (-3211 (((-1145 (-569)) $) 59)) (-2106 (($ (-635 (-569)) (-635 (-569))) 63)) (-1807 (((-569) $) 53 (|has| (-569) (-551)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| (-569) (-906)))) (-3139 (((-421 $) $) NIL)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1484 (($ $ (-635 (-569)) (-635 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-569) (-569)) NIL (|has| (-569) (-304 (-569)))) (($ $ (-289 (-569))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-289 (-569)))) NIL (|has| (-569) (-304 (-569)))) (($ $ (-635 (-1165)) (-635 (-569))) NIL (|has| (-569) (-524 (-1165) (-569)))) (($ $ (-1165) (-569)) NIL (|has| (-569) (-524 (-1165) (-569))))) (-2061 (((-765) $) NIL)) (-2503 (($ $ (-569)) NIL (|has| (-569) (-282 (-569) (-569))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $) 11 (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-2572 (($ $) NIL)) (-3524 (((-569) $) 39)) (-2055 (((-635 (-569)) $) 61)) (-4035 (((-889 (-569)) $) NIL (|has| (-569) (-610 (-889 (-569))))) (((-889 (-382)) $) NIL (|has| (-569) (-610 (-889 (-382))))) (((-542) $) NIL (|has| (-569) (-610 (-542)))) (((-382) $) NIL (|has| (-569) (-1023))) (((-216) $) NIL (|has| (-569) (-1023)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-569) (-906))))) (-3956 (((-852) $) 77) (($ (-569)) 43) (($ $) NIL) (($ (-410 (-569))) 19) (($ (-569)) 43) (($ (-1165)) NIL (|has| (-569) (-1039 (-1165)))) (((-410 (-569)) $) 17)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-569) (-906))) (|has| (-569) (-149))))) (-2320 (((-765)) 9)) (-3215 (((-569) $) 51 (|has| (-569) (-551)))) (-2909 (((-121) $ $) NIL)) (-4080 (($ $) NIL (|has| (-569) (-817)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 10 T CONST)) (-3297 (($) 12 T CONST)) (-3712 (($ $) NIL (|has| (-569) (-226))) (($ $ (-765)) NIL (|has| (-569) (-226))) (($ $ (-1165)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| (-569) (-897 (-1165)))) (($ $ (-1 (-569) (-569)) (-765)) NIL) (($ $ (-1 (-569) (-569))) NIL)) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) 14)) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) 33 (|has| (-569) (-844)))) (-1383 (($ $ $) 29) (($ (-569) (-569)) 31)) (-1377 (($ $) 15) (($ $ $) 22)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 25) (($ $ $) 27) (($ $ (-410 (-569))) NIL) (($ (-410 (-569)) $) NIL) (($ (-569) $) 25) (($ $ (-569)) NIL))) 
+(((-1006 |#1|) (-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -4516 ((-635 (-569)) $)) (-15 -3211 ((-1145 (-569)) $)) (-15 -3697 ((-635 (-569)) $)) (-15 -2055 ((-635 (-569)) $)) (-15 -2165 ($ (-635 (-569)))) (-15 -2106 ($ (-635 (-569)) (-635 (-569)))))) (-569)) (T -1006)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-1391 (*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-4516 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-3211 (*1 *2 *1) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-3697 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2055 (*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2165 (*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) (-2106 (*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(-13 (-995 (-569)) (-10 -8 (-15 -3956 ((-410 (-569)) $)) (-15 -1391 ((-410 (-569)) $)) (-15 -4516 ((-635 (-569)) $)) (-15 -3211 ((-1145 (-569)) $)) (-15 -3697 ((-635 (-569)) $)) (-15 -2055 ((-635 (-569)) $)) (-15 -2165 ($ (-635 (-569)))) (-15 -2106 ($ (-635 (-569)) (-635 (-569)))))) 
+((-2593 (((-57) (-410 (-569)) (-569)) 9))) 
+(((-1007) (-10 -7 (-15 -2593 ((-57) (-410 (-569)) (-569))))) (T -1007)) 
+((-2593 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1007))))) 
+(-10 -7 (-15 -2593 ((-57) (-410 (-569)) (-569)))) 
+((-2675 (((-569)) 13)) (-4110 (((-569)) 16)) (-3832 (((-1258) (-569)) 15)) (-3545 (((-569) (-569)) 17) (((-569)) 12))) 
+(((-1008) (-10 -7 (-15 -3545 ((-569))) (-15 -2675 ((-569))) (-15 -3545 ((-569) (-569))) (-15 -3832 ((-1258) (-569))) (-15 -4110 ((-569))))) (T -1008)) 
+((-4110 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-3832 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1008)))) (-3545 (*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-2675 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) (-3545 (*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
+(-10 -7 (-15 -3545 ((-569))) (-15 -2675 ((-569))) (-15 -3545 ((-569) (-569))) (-15 -3832 ((-1258) (-569))) (-15 -4110 ((-569)))) 
+((-3576 (((-421 |#1|) |#1|) 40)) (-3139 (((-421 |#1|) |#1|) 39))) 
+(((-1009 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|))) (-1228 (-410 (-569)))) (T -1009)) 
+((-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569))))))) 
+(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|))) 
+((-1330 (((-3 (-410 (-569)) "failed") |#1|) 14)) (-4429 (((-121) |#1|) 13)) (-2096 (((-410 (-569)) |#1|) 9))) 
+(((-1010 |#1|) (-10 -7 (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|))) (-1039 (-410 (-569)))) (T -1010)) 
+((-1330 (*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2)))) (-4429 (*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1010 *3)) (-4 *3 (-1039 (-410 (-569)))))) (-2096 (*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
+(-10 -7 (-15 -2096 ((-410 (-569)) |#1|)) (-15 -4429 ((-121) |#1|)) (-15 -1330 ((-3 (-410 (-569)) "failed") |#1|))) 
+((-2511 ((|#2| $ "value" |#2|) 12)) (-2503 ((|#2| $ "value") 10)) (-3773 (((-121) $ $) 18))) 
+(((-1011 |#1| |#2|) (-10 -8 (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -2503 (|#2| |#1| "value"))) (-1012 |#2|) (-1199)) (T -1011)) 
+NIL 
+(-10 -8 (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -3773 ((-121) |#1| |#1|)) (-15 -2503 (|#2| |#1| "value"))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4483 (($) 7 T CONST)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1012 |#1|) (-1284) (-1199)) (T -1012)) 
+((-4065 (*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) (-3899 (*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) (-3491 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-2756 (*1 *2 *1) (-12 (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-1630 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1322 (*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) (-3248 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-569)))) (-3773 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-2638 (*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1978 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4572)) (-4 *1 (-1012 *3)) (-4 *3 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) (-4548 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199))))) 
+(-13 (-500 |t#1|) (-10 -8 (-15 -4065 ((-635 $) $)) (-15 -3899 ((-635 $) $)) (-15 -3491 ((-121) $)) (-15 -2756 (|t#1| $)) (-15 -2503 (|t#1| $ "value")) (-15 -1630 ((-121) $)) (-15 -1322 ((-635 |t#1|) $)) (-15 -3248 ((-569) $ $)) (IF (|has| |t#1| (-1093)) (PROGN (-15 -3773 ((-121) $ $)) (-15 -2638 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4572)) (PROGN (-15 -1978 ($ $ (-635 $))) (-15 -2511 (|t#1| $ "value" |t#1|)) (-15 -4548 (|t#1| $ |t#1|))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-3422 (($ $) 9) (($ $ (-765)) 43) (($ (-410 (-569))) 12) (($ (-569)) 15)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) 23) (((-3 $ "failed") (-1161 $) (-919)) 28)) (-2522 (($ $ (-569)) 49)) (-2320 (((-765)) 16)) (-2813 (((-635 $) (-1161 $)) NIL) (((-635 $) (-1161 (-410 (-569)))) 54) (((-635 $) (-1161 (-569))) 59) (((-635 $) (-955 $)) 63) (((-635 $) (-955 (-410 (-569)))) 67) (((-635 $) (-955 (-569))) 71)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) 47))) 
+(((-1013 |#1|) (-10 -8 (-15 -3422 (|#1| (-569))) (-15 -3422 (|#1| (-410 (-569)))) (-15 -3422 (|#1| |#1| (-765))) (-15 -2813 ((-635 |#1|) (-955 (-569)))) (-15 -2813 ((-635 |#1|) (-955 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-955 |#1|))) (-15 -2813 ((-635 |#1|) (-1161 (-569)))) (-15 -2813 ((-635 |#1|) (-1161 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-1161 |#1|))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919) (-852))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2522 (|#1| |#1| (-569))) (-15 -3422 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919)))) (-1014)) (T -1013)) 
+((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1013 *3)) (-4 *3 (-1014))))) 
+(-10 -8 (-15 -3422 (|#1| (-569))) (-15 -3422 (|#1| (-410 (-569)))) (-15 -3422 (|#1| |#1| (-765))) (-15 -2813 ((-635 |#1|) (-955 (-569)))) (-15 -2813 ((-635 |#1|) (-955 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-955 |#1|))) (-15 -2813 ((-635 |#1|) (-1161 (-569)))) (-15 -2813 ((-635 |#1|) (-1161 (-410 (-569))))) (-15 -2813 ((-635 |#1|) (-1161 |#1|))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919))) (-15 -2306 ((-3 |#1| "failed") (-1161 |#1|) (-919) (-852))) (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2522 (|#1| |#1| (-569))) (-15 -3422 (|#1| |#1|)) (-15 ** (|#1| |#1| (-569))) (-15 -2320 ((-765))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 88)) (-2915 (($ $) 89)) (-2735 (((-121) $) 91)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 108)) (-3742 (((-421 $) $) 109)) (-3422 (($ $) 72) (($ $ (-765)) 58) (($ (-410 (-569))) 57) (($ (-569)) 56)) (-2889 (((-121) $ $) 99)) (-3817 (((-569) $) 126)) (-4483 (($) 16 T CONST)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) 66) (((-3 $ "failed") (-1161 $) (-919)) 65)) (-3003 (((-3 (-569) "failed") $) 84 (|has| (-410 (-569)) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 82 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) 80)) (-1321 (((-569) $) 85 (|has| (-410 (-569)) (-1039 (-569)))) (((-410 (-569)) $) 83 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-410 (-569)) $) 79)) (-2860 (($ $ (-852)) 55)) (-2582 (($ $ (-852)) 54)) (-1614 (($ $ $) 103)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 102)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 97)) (-2005 (((-121) $) 110)) (-1863 (((-121) $) 124)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 71)) (-4311 (((-121) $) 125)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 106)) (-2157 (($ $ $) 123)) (-2713 (($ $ $) 122)) (-3710 (((-3 (-1161 $) "failed") $) 67)) (-3620 (((-3 (-852) "failed") $) 69)) (-3763 (((-3 (-1161 $) "failed") $) 68)) (-1657 (($ (-635 $)) 95) (($ $ $) 94)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 111)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 96)) (-3964 (($ (-635 $)) 93) (($ $ $) 92)) (-3139 (((-421 $) $) 107)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 105) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 104)) (-1436 (((-3 $ "failed") $ $) 87)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 98)) (-2061 (((-765) $) 100)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 101)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 116) (($ $) 86) (($ (-410 (-569))) 81) (($ (-569)) 78) (($ (-410 (-569))) 75)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 90)) (-4334 (((-410 (-569)) $ $) 53)) (-2813 (((-635 $) (-1161 $)) 64) (((-635 $) (-1161 (-410 (-569)))) 63) (((-635 $) (-1161 (-569))) 62) (((-635 $) (-955 $)) 61) (((-635 $) (-955 (-410 (-569)))) 60) (((-635 $) (-955 (-569))) 59)) (-4080 (($ $) 127)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 112)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 120)) (-1343 (((-121) $ $) 119)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 121)) (-1337 (((-121) $ $) 118)) (-1383 (($ $ $) 117)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 113) (($ $ (-410 (-569))) 70)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ (-410 (-569)) $) 115) (($ $ (-410 (-569))) 114) (($ (-569) $) 77) (($ $ (-569)) 76) (($ (-410 (-569)) $) 74) (($ $ (-410 (-569))) 73))) 
+(((-1014) (-1284)) (T -1014)) 
+((-3422 (*1 *1 *1) (-4 *1 (-1014))) (-3620 (*1 *2 *1) (|partial| -12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-3763 (*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014)))) (-3710 (*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014)))) (-2306 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-5 *4 (-852)) (-4 *1 (-1014)))) (-2306 (*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-2813 (*1 *2 *3) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) (-3422 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-765)))) (-3422 (*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1014)))) (-3422 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1014)))) (-2860 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-2582 (*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852)))) (-4334 (*1 *2 *1 *1) (-12 (-4 *1 (-1014)) (-5 *2 (-410 (-569)))))) 
+(-13 (-151) (-842) (-173) (-366) (-414 (-410 (-569))) (-43 (-569)) (-43 (-410 (-569))) (-1004) (-10 -8 (-15 -3620 ((-3 (-852) "failed") $)) (-15 -3763 ((-3 (-1161 $) "failed") $)) (-15 -3710 ((-3 (-1161 $) "failed") $)) (-15 -2306 ((-3 $ "failed") (-1161 $) (-919) (-852))) (-15 -2306 ((-3 $ "failed") (-1161 $) (-919))) (-15 -2813 ((-635 $) (-1161 $))) (-15 -2813 ((-635 $) (-1161 (-410 (-569))))) (-15 -2813 ((-635 $) (-1161 (-569)))) (-15 -2813 ((-635 $) (-955 $))) (-15 -2813 ((-635 $) (-955 (-410 (-569))))) (-15 -2813 ((-635 $) (-955 (-569)))) (-15 -3422 ($ $ (-765))) (-15 -3422 ($ $)) (-15 -3422 ($ (-410 (-569)))) (-15 -3422 ($ (-569))) (-15 -2860 ($ $ (-852))) (-15 -2582 ($ $ (-852))) (-15 -4334 ((-410 (-569)) $ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 (-569)) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 (-569) (-569)) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-414 (-410 (-569))) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 (-569)) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 (-569)) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-918) . T) ((-1004) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) |has| (-410 (-569)) (-1039 (-569))) ((-1055 (-410 (-569))) . T) ((-1055 (-569)) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-3303 (((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 61))) 
+(((-1015 |#1| |#2|) (-10 -7 (-15 -3303 ((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-27) (-433 |#1|))) (T -1015)) 
+((-3303 (*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121)))) (-5 *1 (-1015 *8 *4))))) 
+(-10 -7 (-15 -3303 ((-2 (|:| |ans| |#2|) (|:| -3417 |#2|) (|:| |sol?| (-121))) (-569) |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-2382 (((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)) 47))) 
+(((-1016 |#1| |#2|) (-10 -7 (-15 -2382 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569))) (-13 (-1185) (-27) (-433 |#1|))) (T -1016)) 
+((-2382 (*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1016 *8 *4))))) 
+(-10 -7 (-15 -2382 ((-3 (-635 |#2|) "failed") (-569) |#2| |#2| |#2| (-1165) (-1 (-3 (-2 (|:| |mainpart| |#2|) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| |#2|) (|:| |logand| |#2|))))) "failed") |#2| (-635 |#2|)) (-1 (-3 (-2 (|:| -3339 |#2|) (|:| |coeff| |#2|)) "failed") |#2| |#2|)))) 
+((-3938 (((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)) 30)) (-2285 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 56)) (-3223 (((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|)) 61))) 
+(((-1017 |#1| |#2|) (-10 -7 (-15 -2285 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -3223 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -3938 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -1017)) 
+((-3938 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1017 *6 *3)))) (-3223 (*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5)))) (-2285 (*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -2285 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |c| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -3223 ((-2 (|:| |ans| (-410 |#2|)) (|:| |nosol| (-121))) (-410 |#2|) (-410 |#2|))) (-15 -3938 ((-3 (|:| |ans| (-2 (|:| |ans| |#2|) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| |#2|) (|:| |c| |#2|) (|:| |m| (-569)) (|:| |alpha| |#2|) (|:| |beta| |#2|)))) |#2| |#2| |#2| (-569) (-1 |#2| |#2|)))) 
+((-1406 (((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|)) 22)) (-2178 (((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)) 32))) 
+(((-1018 |#1| |#2|) (-10 -7 (-15 -1406 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2178 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) (-13 (-366) (-151) (-1039 (-569))) (-1228 |#1|)) (T -1018)) 
+((-2178 (*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1018 *4 *5)) (-5 *3 (-410 *5)))) (-1406 (*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1018 *5 *6)) (-5 *3 (-410 *6))))) 
+(-10 -7 (-15 -1406 ((-3 (-2 (|:| |a| |#2|) (|:| |b| (-410 |#2|)) (|:| |h| |#2|) (|:| |c1| (-410 |#2|)) (|:| |c2| (-410 |#2|)) (|:| -4542 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|) (-1 |#2| |#2|))) (-15 -2178 ((-3 (-635 (-410 |#2|)) "failed") (-410 |#2|) (-410 |#2|) (-410 |#2|)))) 
+((-3969 (((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569))))) 37)) (-4411 (((-1 |#1|) (-1095 |#1|)) 45)) (-2855 (((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)) 34))) 
+(((-1019 |#1|) (-10 -7 (-15 -4411 ((-1 |#1|) (-1095 |#1|))) (-15 -3969 ((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569)))))) (-15 -2855 ((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)))) (-1093)) (T -1019)) 
+((-2855 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 *6)) (-5 *4 (-1253 (-569))) (-5 *5 (-569)) (-4 *6 (-1093)) (-5 *2 (-1 *6)) (-5 *1 (-1019 *6)))) (-3969 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2756 *4) (|:| -2402 (-569))))) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4)))) (-4411 (*1 *2 *3) (-12 (-5 *3 (-1095 *4)) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4))))) 
+(-10 -7 (-15 -4411 ((-1 |#1|) (-1095 |#1|))) (-15 -3969 ((-1 |#1|) (-635 (-2 (|:| -2756 |#1|) (|:| -2402 (-569)))))) (-15 -2855 ((-1 |#1|) (-1253 |#1|) (-1253 (-569)) (-569)))) 
+((-4433 (((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)) 23))) 
+(((-1020 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) (-366) (-1228 |#1|) (-1228 (-410 |#2|)) (-341 |#1| |#2| |#3|) (-13 (-371) (-366))) (T -1020)) 
+((-4433 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-4 *4 (-1228 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-765)) (-5 *1 (-1020 *6 *7 *4 *8 *9))))) 
+(-10 -7 (-15 -4433 ((-765) (-335 |#1| |#2| |#3| |#4|) |#3| (-1 |#5| |#1|)))) 
+((-1504 (((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 31) (((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 28)) (-2960 (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 33) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569))) 29) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 32) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|) 27)) (-2619 (((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) 19)) (-2562 (((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 16))) 
+(((-1021 |#1|) (-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2562 ((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2619 ((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))))) (-1228 (-569))) (T -1021)) 
+((-2619 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569))))) (-2562 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569))))) (-1504 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) (-1504 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) (-2960 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-410 (-569))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-2960 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569)))))) 
+(-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2562 ((-410 (-569)) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2619 ((-635 (-410 (-569))) (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))))) 
+((-1504 (((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 35) (((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 32)) (-2960 (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569))) 30) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569))) 26) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) 28) (((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|) 24))) 
+(((-1022 |#1|) (-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-1228 (-410 (-569)))) (T -1022)) 
+((-1504 (*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) (-1504 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) (-2960 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *5)) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) (-2960 (*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *4) (|:| -3417 *4)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) (-2960 (*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) (-2960 (*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569))))))) 
+(-10 -7 (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1|)) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-410 (-569)))) (-15 -2960 ((-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-410 (-569)))) (-15 -1504 ((-3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) "failed") |#1| (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))) (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) 
+((-4035 (((-216) $) 6) (((-382) $) 8))) 
+(((-1023) (-1284)) (T -1023)) 
 NIL 
 (-13 (-610 (-216)) (-610 (-382))) 
 (((-610 (-216)) . T) ((-610 (-382)) . T)) 
-((-4435 (((-635 (-382)) (-954 (-569)) (-382)) 27) (((-635 (-382)) (-954 (-410 (-569))) (-382)) 26)) (-3492 (((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382)) 36))) 
-(((-1023) (-10 -7 (-15 -4435 ((-635 (-382)) (-954 (-410 (-569))) (-382))) (-15 -4435 ((-635 (-382)) (-954 (-569)) (-382))) (-15 -3492 ((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382))))) (T -1023)) 
-((-3492 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1023)) (-5 *5 (-382)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382))))) 
-(-10 -7 (-15 -4435 ((-635 (-382)) (-954 (-410 (-569))) (-382))) (-15 -4435 ((-635 (-382)) (-954 (-569)) (-382))) (-15 -3492 ((-635 (-635 (-382))) (-635 (-954 (-569))) (-635 (-1163)) (-382)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 70)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-2454 (($ $) NIL) (($ $ (-764)) NIL) (($ (-410 (-569))) NIL) (($ (-569)) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) 65)) (-2820 (($) NIL T CONST)) (-3550 (((-3 $ "failed") (-1159 $) (-918) (-851)) NIL) (((-3 $ "failed") (-1159 $) (-918)) 49)) (-1647 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-569) "failed") $) NIL (-2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))))) (-2428 (((-410 (-569)) $) 14 (|has| (-410 (-569)) (-1038 (-410 (-569))))) (((-410 (-569)) $) 14) ((|#1| $) 109) (((-569) $) NIL (-2232 (|has| (-410 (-569)) (-1038 (-569))) (|has| |#1| (-1038 (-569)))))) (-3653 (($ $ (-851)) 40)) (-3179 (($ $ (-851)) 41)) (-2506 (($ $ $) NIL)) (-3555 (((-410 (-569)) $ $) 18)) (-3428 (((-3 $ "failed") $) 83)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-2403 (((-121) $) 60)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL)) (-1781 (((-121) $) 63)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2582 (((-3 (-1159 $) "failed") $) 78)) (-3490 (((-3 (-851) "failed") $) 77)) (-3767 (((-3 (-1159 $) "failed") $) 75)) (-4301 (((-3 (-1058 $ (-1159 $)) "failed") $) 73)) (-2665 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 84)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ (-635 $)) NIL) (($ $ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-2185 (((-851) $) 82) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) 57) (($ (-410 (-569))) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 111)) (-1991 (((-764)) NIL)) (-1961 (((-121) $ $) NIL)) (-2994 (((-410 (-569)) $ $) 24)) (-2079 (((-635 $) (-1159 $)) 55) (((-635 $) (-1159 (-410 (-569)))) NIL) (((-635 $) (-1159 (-569))) NIL) (((-635 $) (-954 $)) NIL) (((-635 $) (-954 (-410 (-569)))) NIL) (((-635 $) (-954 (-569))) NIL)) (-2472 (($ (-1058 $ (-1159 $)) (-851)) 39)) (-1616 (($ $) 19)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL)) (-3369 (($) 28 T CONST)) (-1556 (($) 34 T CONST)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 71)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 21)) (-1715 (($ $ $) 32)) (-1711 (($ $) 33) (($ $ $) 69)) (-1707 (($ $ $) 104)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 92) (($ $ $) 97) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ (-569) $) 92) (($ $ (-569)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
-(((-1024 |#1|) (-13 (-1013) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -2472 ($ (-1058 $ (-1159 $)) (-851))) (-15 -4301 ((-3 (-1058 $ (-1159 $)) "failed") $)) (-15 -3555 ((-410 (-569)) $ $)))) (-13 (-841) (-366) (-1022))) (T -1024)) 
-((-2472 (*1 *1 *2 *3) (-12 (-5 *2 (-1058 (-1024 *4) (-1159 (-1024 *4)))) (-5 *3 (-851)) (-5 *1 (-1024 *4)) (-4 *4 (-13 (-841) (-366) (-1022))))) (-4301 (*1 *2 *1) (|partial| -12 (-5 *2 (-1058 (-1024 *3) (-1159 (-1024 *3)))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022))))) (-3555 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022)))))) 
-(-13 (-1013) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -2472 ($ (-1058 $ (-1159 $)) (-851))) (-15 -4301 ((-3 (-1058 $ (-1159 $)) "failed") $)) (-15 -3555 ((-410 (-569)) $ $)))) 
-((-3902 (((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|) 59 (|has| |#1| (-1048)))) (-3074 (((-569) (-569) (-123) (-1163) |#2|) 76)) (-3581 (((-3 (-569) "failed") (-123) (-608 |#2|) (-1163)) 56 (|has| |#1| (-1048)))) (-4240 (((-123) |#2|) 103)) (-4488 ((|#2| |#2|) 102)) (-2322 ((|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|)) 72)) (-4323 ((|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|)) 100))) 
-(((-1025 |#1| |#2|) (-10 -7 (-15 -2322 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4323 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4488 (|#2| |#2|)) (-15 -4240 ((-123) |#2|)) (-15 -3074 ((-569) (-569) (-123) (-1163) |#2|)) (IF (|has| |#1| (-1048)) (PROGN (-15 -3581 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1163))) (-15 -3902 ((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|))) |noBranch|)) (-13 (-843) (-559) (-610 (-542))) (-13 (-433 |#1|) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))) (T -1025)) 
-((-3902 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))))) (-3581 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *5) (-896 *5) (-162))) (-5 *5 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1025 *6 *7)))) (-3074 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *4) (-896 *4) (-162))))) (-4240 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1025 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))))) (-4488 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162))))) (-4323 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2)))) (-2322 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
-(-10 -7 (-15 -2322 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4323 (|#2| (-123) (-1163) |#2| |#2| |#2| (-635 |#2|))) (-15 -4488 (|#2| |#2|)) (-15 -4240 ((-123) |#2|)) (-15 -3074 ((-569) (-569) (-123) (-1163) |#2|)) (IF (|has| |#1| (-1048)) (PROGN (-15 -3581 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1163))) (-15 -3902 ((-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1163) |#2|))) |noBranch|)) 
-((-2098 (((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
-(((-1026 |#1| |#2|) (-10 -7 (-15 -2098 (|#2| |#2| |#1|)) (-15 -2098 ((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)))) (-366) (-647 |#1|)) (T -1026)) 
-((-2098 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -1502 *3) (|:| -2291 (-635 *5)))) (-5 *1 (-1026 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5)))) (-2098 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1026 *3 *2)) (-4 *2 (-647 *3))))) 
-(-10 -7 (-15 -2098 (|#2| |#2| |#1|)) (-15 -2098 ((-2 (|:| -1502 |#2|) (|:| -2291 (-635 |#1|))) |#2| (-635 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2037 ((|#1| $ |#1|) 14)) (-4469 ((|#1| $ |#1|) 12)) (-1983 (($ |#1|) 10)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1534 ((|#1| $) 11)) (-3251 ((|#1| $) 13)) (-2185 (((-851) $) 21 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 9))) 
-(((-1027 |#1|) (-13 (-1197) (-10 -8 (-15 -1983 ($ |#1|)) (-15 -1534 (|#1| $)) (-15 -4469 (|#1| $ |#1|)) (-15 -3251 (|#1| $)) (-15 -2037 (|#1| $ |#1|)) (-15 -1668 ((-121) $ $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1027)) 
-((-1983 (*1 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-3251 (*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-2037 (*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1027 *3)) (-4 *3 (-1197))))) 
-(-13 (-1197) (-10 -8 (-15 -1983 ($ |#1|)) (-15 -1534 (|#1| $)) (-15 -4469 (|#1| $ |#1|)) (-15 -3251 (|#1| $)) (-15 -2037 (|#1| $ |#1|)) (-15 -1668 ((-121) $ $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 104) (((-635 $) (-635 |#4|) (-121)) 105) (((-635 $) (-635 |#4|) (-121) (-121)) 103) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 106)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 98)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 53)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) 56)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-1658 (((-121) |#4| $) NIL)) (-3903 (((-121) |#4| $) NIL)) (-3617 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3152 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 118)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 96)) (-4213 (((-3 |#4| "failed") $) 37)) (-2482 (((-635 $) |#4| $) 79)) (-3730 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-2652 (((-635 $) |#4| $) 101) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 102) (((-635 $) |#4| (-635 $)) NIL)) (-4164 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 113)) (-3897 (($ |#4| $) 69) (($ (-635 |#4|) $) 70) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 47)) (-3499 (($ $ |#4|) NIL) (((-635 $) |#4| $) 81) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 76)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-4455 (((-635 $) |#4| $) 78) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-4060 (((-121) |#4| $) NIL)) (-3673 (((-121) |#3| $) 52)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1028 |#1| |#2| |#3| |#4|) (-13 (-1067 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1028)) 
-((-3897 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *3))) (-5 *1 (-1028 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) (-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-4426 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-4164 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) (-3152 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1028 *5 *6 *7 *8))))) (-5 *1 (-1028 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(-13 (-1067 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
-((-3348 (((-635 (-680 |#1|)) (-635 (-680 |#1|))) 56) (((-680 |#1|) (-680 |#1|)) 55) (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|))) 54) (((-680 |#1|) (-680 |#1|) (-680 |#1|)) 51)) (-4453 (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918)) 50) (((-680 |#1|) (-680 |#1|) (-918)) 49)) (-2003 (((-635 (-680 (-569))) (-635 (-635 (-569)))) 66) (((-635 (-680 (-569))) (-635 (-901 (-569))) (-569)) 65) (((-680 (-569)) (-635 (-569))) 62) (((-680 (-569)) (-901 (-569)) (-569)) 61)) (-2650 (((-680 (-954 |#1|)) (-764)) 79)) (-3600 (((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918)) 36 (|has| |#1| (-6 (-4537 "*")))) (((-680 |#1|) (-680 |#1|) (-918)) 34 (|has| |#1| (-6 (-4537 "*")))))) 
-(((-1029 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-680 |#1|) (-680 |#1|) (-918))) |noBranch|) (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) |noBranch|) (-15 -2650 ((-680 (-954 |#1|)) (-764))) (-15 -4453 ((-680 |#1|) (-680 |#1|) (-918))) (-15 -4453 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) (-15 -3348 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -3348 ((-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2003 ((-680 (-569)) (-901 (-569)) (-569))) (-15 -2003 ((-680 (-569)) (-635 (-569)))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-901 (-569))) (-569))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-635 (-569)))))) (-1048)) (T -1029)) 
-((-2003 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-901 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-680 *4))) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) (-2003 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-2003 (*1 *2 *3 *4) (-12 (-5 *3 (-901 (-569))) (-5 *4 (-569)) (-5 *2 (-680 *4)) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) (-3348 (*1 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-3348 (*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-4453 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-2650 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-680 (-954 *4))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) (-3600 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) (-3600 (*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
-(-10 -7 (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-680 |#1|) (-680 |#1|) (-918))) |noBranch|) (IF (|has| |#1| (-6 (-4537 "*"))) (-15 -3600 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) |noBranch|) (-15 -2650 ((-680 (-954 |#1|)) (-764))) (-15 -4453 ((-680 |#1|) (-680 |#1|) (-918))) (-15 -4453 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-918))) (-15 -3348 ((-680 |#1|) (-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -3348 ((-680 |#1|) (-680 |#1|))) (-15 -3348 ((-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2003 ((-680 (-569)) (-901 (-569)) (-569))) (-15 -2003 ((-680 (-569)) (-635 (-569)))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-901 (-569))) (-569))) (-15 -2003 ((-635 (-680 (-569))) (-635 (-635 (-569)))))) 
-((-2731 (((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)) 48 (|has| |#1| (-302)))) (-4493 (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))) 71 (|has| |#1| (-366))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|)) 69 (|has| |#1| (-366)))) (-2438 (((-1247 |#1|) (-635 (-1247 |#1|)) (-569)) 73 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-3069 (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918)) 78 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121)) 76 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|))) 75 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569)) 74 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-1863 (((-121) (-635 (-680 |#1|))) 67 (|has| |#1| (-366))) (((-121) (-635 (-680 |#1|)) (-569)) 66 (|has| |#1| (-366)))) (-3519 (((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|)) 46 (|has| |#1| (-302)))) (-4258 (((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|)) 32)) (-1973 (((-680 |#1|) (-1247 (-1247 |#1|))) 29)) (-2666 (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569)) 62 (|has| |#1| (-366))) (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|))) 61 (|has| |#1| (-366))) (((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569)) 60 (|has| |#1| (-366))))) 
-(((-1030 |#1|) (-10 -7 (-15 -1973 ((-680 |#1|) (-1247 (-1247 |#1|)))) (-15 -4258 ((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3519 ((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -2731 ((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918))) (-15 -2438 ((-1247 |#1|) (-635 (-1247 |#1|)) (-569)))) |noBranch|) |noBranch|)) (-1048)) (T -1030)) 
-((-2438 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1247 *5))) (-5 *4 (-569)) (-5 *2 (-1247 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)))) (-3069 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-3069 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-3069 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1048)) (-5 *2 (-635 (-635 (-680 *4)))) (-5 *1 (-1030 *4)) (-5 *3 (-635 (-680 *4))))) (-3069 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1048)) (-5 *2 (-635 (-635 (-680 *6)))) (-5 *1 (-1030 *6)) (-5 *3 (-635 (-680 *6))))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1247 (-1247 *5))) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-4493 (*1 *2 *3 *4) (-12 (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) (-1863 (*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *4)))) (-1863 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *5)))) (-2666 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-1048)))) (-2666 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4)) (-4 *4 (-366)) (-4 *4 (-1048)))) (-2666 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-680 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-680 *6)) (-5 *1 (-1030 *6)) (-4 *6 (-366)) (-4 *6 (-1048)))) (-2731 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-1247 *5)) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)))) (-3519 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-1247 (-1247 *5))) (-5 *1 (-1030 *5)) (-5 *4 (-1247 *5)))) (-4258 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1030 *4)))) (-1973 (*1 *2 *3) (-12 (-5 *3 (-1247 (-1247 *4))) (-4 *4 (-1048)) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4))))) 
-(-10 -7 (-15 -1973 ((-680 |#1|) (-1247 (-1247 |#1|)))) (-15 -4258 ((-680 |#1|) (-635 (-680 |#1|)) (-680 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -3519 ((-1247 (-1247 |#1|)) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -2731 ((-680 |#1|) (-635 (-680 |#1|)) (-1247 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-121) (-569))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -2666 ((-680 |#1|) (-635 (-680 |#1|)) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)) (-569))) (-15 -1863 ((-121) (-635 (-680 |#1|)))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 |#1|))) (-15 -4493 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-1247 (-1247 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121) (-569) (-569))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-121))) (-15 -3069 ((-635 (-635 (-680 |#1|))) (-635 (-680 |#1|)) (-918))) (-15 -2438 ((-1247 |#1|) (-635 (-1247 |#1|)) (-569)))) |noBranch|) |noBranch|)) 
-((-1576 ((|#1| (-918) |#1|) 9))) 
-(((-1031 |#1|) (-10 -7 (-15 -1576 (|#1| (-918) |#1|))) (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $))))) (T -1031)) 
-((-1576 (*1 *2 *3 *2) (-12 (-5 *3 (-918)) (-5 *1 (-1031 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)))))))) 
-(-10 -7 (-15 -1576 (|#1| (-918) |#1|))) 
-((-3898 (((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569))))) 58)) (-4079 (((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569))))) 48)) (-3658 (((-635 (-311 (-569))) (-680 (-410 (-954 (-569))))) 41)) (-3831 (((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569))))) 67)) (-3110 (((-680 (-311 (-569))) (-680 (-311 (-569)))) 33)) (-2080 (((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569))))) 61)) (-3162 (((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569))))) 65))) 
-(((-1032) (-10 -7 (-15 -3898 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569)))))) (-15 -4079 ((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569)))))) (-15 -3658 ((-635 (-311 (-569))) (-680 (-410 (-954 (-569)))))) (-15 -3162 ((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569)))))) (-15 -3110 ((-680 (-311 (-569))) (-680 (-311 (-569))))) (-15 -2080 ((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569)))))) (-15 -3831 ((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569)))))))) (T -1032)) 
-((-3831 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)))) (-2080 (*1 *2 *2) (-12 (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)))) (-3110 (*1 *2 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032)))) (-3162 (*1 *2 *3) (|partial| -12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032)))) (-3658 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1032)))) (-4079 (*1 *2 *3 *4) (-12 (-5 *4 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)) (-5 *3 (-311 (-569))))) (-3898 (*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569)))))))) (-5 *1 (-1032))))) 
-(-10 -7 (-15 -3898 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569))))))) (-680 (-410 (-954 (-569)))))) (-15 -4079 ((-635 (-680 (-311 (-569)))) (-311 (-569)) (-680 (-410 (-954 (-569)))))) (-15 -3658 ((-635 (-311 (-569))) (-680 (-410 (-954 (-569)))))) (-15 -3162 ((-3 (-680 (-311 (-569))) "failed") (-680 (-410 (-954 (-569)))))) (-15 -3110 ((-680 (-311 (-569))) (-680 (-311 (-569))))) (-15 -2080 ((-635 (-680 (-311 (-569)))) (-635 (-680 (-311 (-569)))))) (-15 -3831 ((-635 (-680 (-311 (-569)))) (-680 (-410 (-954 (-569))))))) 
-((-3358 ((|#1| |#1| (-918)) 9))) 
-(((-1033 |#1|) (-10 -7 (-15 -3358 (|#1| |#1| (-918)))) (-13 (-1091) (-10 -8 (-15 * ($ $ $))))) (T -1033)) 
-((-3358 (*1 *2 *2 *3) (-12 (-5 *3 (-918)) (-5 *1 (-1033 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 * ($ $ $)))))))) 
-(-10 -7 (-15 -3358 (|#1| |#1| (-918)))) 
-((-2185 ((|#1| (-306)) 11) (((-1252) |#1|) 9))) 
-(((-1034 |#1|) (-10 -7 (-15 -2185 ((-1252) |#1|)) (-15 -2185 (|#1| (-306)))) (-1197)) (T -1034)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1034 *2)) (-4 *2 (-1197)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1252)) (-5 *1 (-1034 *3)) (-4 *3 (-1197))))) 
-(-10 -7 (-15 -2185 ((-1252) |#1|)) (-15 -2185 (|#1| (-306)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1774 (($ |#4|) 25)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-1769 ((|#4| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 46) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-1991 (((-764)) 43)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 23 T CONST)) (-1668 (((-121) $ $) 40)) (-1711 (($ $) 31) (($ $ $) NIL)) (-1707 (($ $ $) 29)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
-(((-1035 |#1| |#2| |#3| |#4| |#5|) (-13 (-173) (-43 |#1|) (-10 -8 (-15 -1774 ($ |#4|)) (-15 -2185 ($ |#4|)) (-15 -1769 (|#4| $)))) (-366) (-789) (-843) (-951 |#1| |#2| |#3|) (-635 |#4|)) (T -1035)) 
-((-1774 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) (-1769 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *4 *5)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-14 *6 (-635 *2))))) 
-(-13 (-173) (-43 |#1|) (-10 -8 (-15 -1774 ($ |#4|)) (-15 -2185 ($ |#4|)) (-15 -1769 (|#4| $)))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1163) (-1163)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-3375 (((-121) (-121)) 39)) (-2678 (((-121) (-121)) 38)) (-4469 (((-57) $ (-1163) (-57)) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1163) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1163) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-57) $ (-1163) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1163)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1163) $) NIL (|has| (-1163) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1163) $) NIL (|has| (-1163) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1163)) $) 34)) (-1598 (((-121) (-1163) $) NIL)) (-3889 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4166 (((-635 (-1163)) $) NIL)) (-3533 (((-121) (-1163) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4353 (((-57) $) NIL (|has| (-1163) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1163)) 35) (((-57) $ (-1163) (-57)) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2185 (((-851) $) 37 (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1036) (-13 (-1174 (-1163) (-57)) (-10 -7 (-15 -3375 ((-121) (-121))) (-15 -2678 ((-121) (-121))) (-6 -4535)))) (T -1036)) 
-((-3375 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036)))) (-2678 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
-(-13 (-1174 (-1163) (-57)) (-10 -7 (-15 -3375 ((-121) (-121))) (-15 -2678 ((-121) (-121))) (-6 -4535))) 
-((-2428 ((|#2| $) 10))) 
-(((-1037 |#1| |#2|) (-10 -8 (-15 -2428 (|#2| |#1|))) (-1038 |#2|) (-1197)) (T -1037)) 
-NIL 
-(-10 -8 (-15 -2428 (|#2| |#1|))) 
-((-1647 (((-3 |#1| "failed") $) 7)) (-2428 ((|#1| $) 8)) (-2185 (($ |#1|) 6))) 
-(((-1038 |#1|) (-1278) (-1197)) (T -1038)) 
-((-2428 (*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) (-1647 (*1 *2 *1) (|partial| -12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197))))) 
-(-13 (-10 -8 (-15 -2185 ($ |t#1|)) (-15 -1647 ((-3 |t#1| "failed") $)) (-15 -2428 (|t#1| $)))) 
-((-3205 (((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))) 35))) 
-(((-1039 |#1| |#2|) (-10 -7 (-15 -3205 ((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))))) (-559) (-13 (-559) (-1038 |#1|))) (T -1039)) 
-((-3205 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-13 (-559) (-1038 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *6)))))) (-5 *1 (-1039 *5 *6))))) 
-(-10 -7 (-15 -3205 ((-635 (-635 (-289 (-410 (-954 |#2|))))) (-635 (-954 |#2|)) (-635 (-1163))))) 
-((-2483 (((-382)) 15)) (-1384 (((-1 (-382)) (-382) (-382)) 20)) (-3417 (((-1 (-382)) (-764)) 42)) (-2014 (((-382)) 33)) (-2478 (((-1 (-382)) (-382) (-382)) 34)) (-2968 (((-382)) 26)) (-2545 (((-1 (-382)) (-382)) 27)) (-3207 (((-382) (-764)) 37)) (-3333 (((-1 (-382)) (-764)) 38)) (-1564 (((-1 (-382)) (-764) (-764)) 41)) (-1485 (((-1 (-382)) (-764) (-764)) 39))) 
-(((-1040) (-10 -7 (-15 -2483 ((-382))) (-15 -2014 ((-382))) (-15 -2968 ((-382))) (-15 -3207 ((-382) (-764))) (-15 -1384 ((-1 (-382)) (-382) (-382))) (-15 -2478 ((-1 (-382)) (-382) (-382))) (-15 -2545 ((-1 (-382)) (-382))) (-15 -3333 ((-1 (-382)) (-764))) (-15 -1485 ((-1 (-382)) (-764) (-764))) (-15 -1564 ((-1 (-382)) (-764) (-764))) (-15 -3417 ((-1 (-382)) (-764))))) (T -1040)) 
-((-3417 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-1564 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-1485 (*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-3333 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) (-2545 (*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-2478 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-1384 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) (-3207 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-382)) (-5 *1 (-1040)))) (-2968 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040)))) (-2014 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040)))) (-2483 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
-(-10 -7 (-15 -2483 ((-382))) (-15 -2014 ((-382))) (-15 -2968 ((-382))) (-15 -3207 ((-382) (-764))) (-15 -1384 ((-1 (-382)) (-382) (-382))) (-15 -2478 ((-1 (-382)) (-382) (-382))) (-15 -2545 ((-1 (-382)) (-382))) (-15 -3333 ((-1 (-382)) (-764))) (-15 -1485 ((-1 (-382)) (-764) (-764))) (-15 -1564 ((-1 (-382)) (-764) (-764))) (-15 -3417 ((-1 (-382)) (-764)))) 
-((-1743 (((-421 |#1|) |#1|) 31))) 
-(((-1041 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|))) (-1222 (-410 (-954 (-569))))) (T -1041)) 
-((-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1041 *3)) (-4 *3 (-1222 (-410 (-954 (-569)))))))) 
-(-10 -7 (-15 -1743 ((-421 |#1|) |#1|))) 
-((-3567 (((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))) 14))) 
-(((-1042 |#1|) (-10 -7 (-15 -3567 ((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))))) (-302)) (T -1042)) 
-((-3567 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-954 *4)))) (-5 *1 (-1042 *4))))) 
-(-10 -7 (-15 -3567 ((-410 (-421 (-954 |#1|))) (-410 (-954 |#1|))))) 
-((-1773 (((-635 (-1163)) (-410 (-954 |#1|))) 15)) (-1739 (((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163)) 22)) (-1768 (((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163)) 24)) (-1637 (((-3 (-1163) "failed") (-410 (-954 |#1|))) 18)) (-1468 (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|))))) 29) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|)))) 31) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|)))) 26) (((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|))) 27)) (-2185 (((-410 (-954 |#1|)) |#1|) 11))) 
-(((-1043 |#1|) (-10 -7 (-15 -1773 ((-635 (-1163)) (-410 (-954 |#1|)))) (-15 -1637 ((-3 (-1163) "failed") (-410 (-954 |#1|)))) (-15 -1739 ((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -1768 ((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -2185 ((-410 (-954 |#1|)) |#1|))) (-559)) (T -1043)) 
-((-2185 (*1 *2 *3) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-1043 *3)) (-4 *3 (-559)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1468 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-5 *4 (-635 (-410 (-954 *5)))) (-5 *2 (-410 (-954 *5))) (-4 *5 (-559)) (-5 *1 (-1043 *5)))) (-1468 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) (-1768 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 (-410 (-954 *5))))) (-5 *4 (-1163)) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1043 *5)) (-4 *5 (-559)))) (-1739 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-410 (-1159 (-410 (-954 *5))))) (-5 *1 (-1043 *5)) (-5 *3 (-410 (-954 *5))))) (-1637 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-1163)) (-5 *1 (-1043 *4)))) (-1773 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1163))) (-5 *1 (-1043 *4))))) 
-(-10 -7 (-15 -1773 ((-635 (-1163)) (-410 (-954 |#1|)))) (-15 -1637 ((-3 (-1163) "failed") (-410 (-954 |#1|)))) (-15 -1739 ((-410 (-1159 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -1768 ((-410 (-954 |#1|)) (-410 (-1159 (-410 (-954 |#1|)))) (-1163))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-1163)) (-635 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-289 (-410 (-954 |#1|))))) (-15 -1468 ((-410 (-954 |#1|)) (-410 (-954 |#1|)) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -2185 ((-410 (-954 |#1|)) |#1|))) 
-((-2573 (((-635 |#1|) (-635 |#1|)) 45)) (-3273 (((-635 |#1|)) 9)) (-3955 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|) 19)) (-1976 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|) 37))) 
-(((-1044 |#1|) (-10 -7 (-15 -3955 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|)) (-15 -1976 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|)) (-15 -3273 ((-635 |#1|))) (-15 -2573 ((-635 |#1|) (-635 |#1|)))) (-366)) (T -1044)) 
-((-2573 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1044 *3)))) (-3273 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1044 *3)) (-4 *3 (-366)))) (-1976 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1159 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4)))) (-3955 (*1 *2 *3 *4) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
-(-10 -7 (-15 -3955 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-1159 |#1|) |#1|)) (-15 -1976 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -4053 (-569))) (-635 (-1159 |#1|)) |#1|)) (-15 -3273 ((-635 |#1|))) (-15 -2573 ((-635 |#1|) (-635 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 (-776 |#1| (-853 |#2|)))))) (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-4426 (((-635 $) (-635 (-776 |#1| (-853 |#2|)))) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121)) NIL)) (-1773 (((-635 (-853 |#2|)) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3982 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2004 (((-635 (-2 (|:| |val| (-776 |#1| (-853 |#2|))) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ (-853 |#2|)) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 (-776 |#1| (-853 |#2|)) "failed") $ (-853 |#2|)) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-4318 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-2428 (($ (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-2046 (((-3 $ "failed") $) NIL)) (-4407 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-4347 (($ (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-776 |#1| (-853 |#2|))) (|:| |den| |#1|)) (-776 |#1| (-853 |#2|)) $) NIL (|has| |#1| (-559)))) (-3255 (((-121) (-776 |#1| (-853 |#2|)) $ (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-2045 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-1774 (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $ (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $ (-776 |#1| (-853 |#2|))) NIL (|has| $ (-6 -4535))) (((-776 |#1| (-853 |#2|)) (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-4038 (((-2 (|:| -3585 (-635 (-776 |#1| (-853 |#2|)))) (|:| -3230 (-635 (-776 |#1| (-853 |#2|))))) $) NIL)) (-1658 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3903 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3617 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3470 (((-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3977 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-4357 (((-853 |#2|) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-1853 (($ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) $) NIL)) (-1833 (((-635 (-853 |#2|)) $) NIL)) (-2760 (((-121) (-853 |#2|) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 (-776 |#1| (-853 |#2|)) (-635 $)) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-3988 (((-635 (-2 (|:| |val| (-776 |#1| (-853 |#2|))) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-4213 (((-3 (-776 |#1| (-853 |#2|)) "failed") $) NIL)) (-2482 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL)) (-3730 (((-3 (-121) (-635 $)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-2652 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL)) (-3897 (($ (-776 |#1| (-853 |#2|)) $) NIL) (($ (-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-2515 (((-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-3409 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-3005 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| (-776 |#1| (-853 |#2|))) (|:| |den| |#1|)) (-776 |#1| (-853 |#2|)) $) NIL (|has| |#1| (-559)))) (-4310 (((-121) (-776 |#1| (-853 |#2|)) $) NIL) (((-121) $) NIL)) (-2533 (((-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 (-776 |#1| (-853 |#2|)) "failed") $) NIL)) (-2502 (((-3 (-776 |#1| (-853 |#2|)) "failed") (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL)) (-1913 (((-3 $ "failed") $ (-776 |#1| (-853 |#2|))) NIL)) (-3499 (($ $ (-776 |#1| (-853 |#2|))) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL)) (-4177 (((-121) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-776 |#1| (-853 |#2|))) (-635 (-776 |#1| (-853 |#2|)))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-289 (-776 |#1| (-853 |#2|)))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (($ $ (-635 (-289 (-776 |#1| (-853 |#2|))))) NIL (-12 (|has| (-776 |#1| (-853 |#2|)) (-304 (-776 |#1| (-853 |#2|)))) (|has| (-776 |#1| (-853 |#2|)) (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-2492 (((-764) $) NIL)) (-2846 (((-764) (-776 |#1| (-853 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-776 |#1| (-853 |#2|)) (-1091)))) (((-764) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-776 |#1| (-853 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-776 |#1| (-853 |#2|)))) NIL)) (-4201 (($ $ (-853 |#2|)) NIL)) (-3460 (($ $ (-853 |#2|)) NIL)) (-4208 (($ $) NIL)) (-2630 (($ $ (-853 |#2|)) NIL)) (-2185 (((-851) $) NIL) (((-635 (-776 |#1| (-853 |#2|))) $) NIL)) (-3435 (((-764) $) NIL (|has| (-853 |#2|) (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 (-776 |#1| (-853 |#2|))))) "failed") (-635 (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 (-776 |#1| (-853 |#2|))))) "failed") (-635 (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|))) (-1 (-121) (-776 |#1| (-853 |#2|)) (-776 |#1| (-853 |#2|)))) NIL)) (-3321 (((-121) $ (-1 (-121) (-776 |#1| (-853 |#2|)) (-635 (-776 |#1| (-853 |#2|))))) NIL)) (-4455 (((-635 $) (-776 |#1| (-853 |#2|)) $) NIL) (((-635 $) (-776 |#1| (-853 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) $) NIL) (((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) (-776 |#1| (-853 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 (-853 |#2|)) $) NIL)) (-4060 (((-121) (-776 |#1| (-853 |#2|)) $) NIL)) (-3673 (((-121) (-853 |#2|) $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1045 |#1| |#2|) (-13 (-1067 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) (-10 -8 (-15 -4426 ((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121))))) (-454) (-635 (-1163))) (T -1045)) 
-((-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1045 *5 *6))))) 
-(-13 (-1067 |#1| (-535 (-853 |#2|)) (-853 |#2|) (-776 |#1| (-853 |#2|))) (-10 -8 (-15 -4426 ((-635 $) (-635 (-776 |#1| (-853 |#2|))) (-121) (-121))))) 
-((-1384 (((-1 (-569)) (-1085 (-569))) 33)) (-3416 (((-569) (-569) (-569) (-569) (-569)) 30)) (-4498 (((-1 (-569)) |RationalNumber|) NIL)) (-2288 (((-1 (-569)) |RationalNumber|) NIL)) (-4248 (((-1 (-569)) (-569) |RationalNumber|) NIL))) 
-(((-1046) (-10 -7 (-15 -1384 ((-1 (-569)) (-1085 (-569)))) (-15 -4248 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4498 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-1 (-569)) |RationalNumber|)) (-15 -3416 ((-569) (-569) (-569) (-569) (-569))))) (T -1046)) 
-((-3416 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1046)))) (-2288 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)))) (-4498 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)))) (-4248 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)) (-5 *3 (-569)))) (-1384 (*1 *2 *3) (-12 (-5 *3 (-1085 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
-(-10 -7 (-15 -1384 ((-1 (-569)) (-1085 (-569)))) (-15 -4248 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4498 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-1 (-569)) |RationalNumber|)) (-15 -3416 ((-569) (-569) (-569) (-569) (-569)))) 
-((-2185 (((-851) $) NIL) (($ (-569)) 10))) 
-(((-1047 |#1|) (-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1048)) (T -1047)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1048) (-1278)) (T -1048)) 
-((-1991 (*1 *2) (-12 (-4 *1 (-1048)) (-5 *2 (-764)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1048))))) 
-(-13 (-1055) (-717) (-638 $) (-10 -8 (-15 -1991 ((-764))) (-15 -2185 ($ (-569))) (-6 -4532))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 $) . T) ((-717) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2479 (((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)) 45))) 
-(((-1049 |#1| |#2|) (-10 -7 (-15 -2479 ((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)))) (-1163) (-366)) (T -1049)) 
-((-2479 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-764)) (-4 *6 (-366)) (-5 *2 (-410 (-954 *6))) (-5 *1 (-1049 *5 *6)) (-14 *5 (-1163))))) 
-(-10 -7 (-15 -2479 ((-410 (-954 |#2|)) (-635 |#2|) (-635 |#2|) (-764) (-764)))) 
-((-4144 (((-121) $) 27)) (-3569 (((-121) $) 16)) (-1810 (((-764) $) 13)) (-2806 (((-764) $) 14)) (-2584 (((-121) $) 25)) (-2256 (((-121) $) 29))) 
-(((-1050 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -2806 ((-764) |#1|)) (-15 -1810 ((-764) |#1|)) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|))) (-1051 |#2| |#3| |#4| |#5| |#6|) (-764) (-764) (-1048) (-231 |#3| |#4|) (-231 |#2| |#4|)) (T -1050)) 
-NIL 
-(-10 -8 (-15 -2806 ((-764) |#1|)) (-15 -1810 ((-764) |#1|)) (-15 -2256 ((-121) |#1|)) (-15 -4144 ((-121) |#1|)) (-15 -2584 ((-121) |#1|)) (-15 -3569 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4144 (((-121) $) 48)) (-2327 (((-3 $ "failed") $ $) 18)) (-3569 (((-121) $) 50)) (-1691 (((-121) $ (-764)) 58)) (-2820 (($) 16 T CONST)) (-4036 (($ $) 31 (|has| |#3| (-302)))) (-1765 ((|#4| $ (-569)) 36)) (-1321 (((-764) $) 30 (|has| |#3| (-559)))) (-1618 ((|#3| $ (-569) (-569)) 38)) (-3470 (((-635 |#3|) $) 65 (|has| $ (-6 -4535)))) (-3695 (((-764) $) 29 (|has| |#3| (-559)))) (-3645 (((-635 |#5|) $) 28 (|has| |#3| (-559)))) (-1810 (((-764) $) 42)) (-2806 (((-764) $) 41)) (-1974 (((-121) $ (-764)) 57)) (-3992 (((-569) $) 46)) (-3127 (((-569) $) 44)) (-4259 (((-635 |#3|) $) 66 (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 45)) (-1581 (((-569) $) 43)) (-1483 (($ (-635 (-635 |#3|))) 51)) (-1853 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-2550 (((-635 (-635 |#3|)) $) 40)) (-2006 (((-121) $ (-764)) 56)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-559)))) (-4177 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#3|) (-635 |#3|)) 72 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) 70 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 (-289 |#3|))) 69 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) 52)) (-1601 (((-121) $) 55)) (-1296 (($) 54)) (-1534 ((|#3| $ (-569) (-569)) 39) ((|#3| $ (-569) (-569) |#3|) 37)) (-2584 (((-121) $) 49)) (-2846 (((-764) |#3| $) 67 (-12 (|has| |#3| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4535)))) (-1971 (($ $) 53)) (-3419 ((|#5| $ (-569)) 35)) (-2185 (((-851) $) 11)) (-2066 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 47)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#3|) 32 (|has| |#3| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-4168 (((-764) $) 59 (|has| $ (-6 -4535))))) 
-(((-1051 |#1| |#2| |#3| |#4| |#5|) (-1278) (-764) (-764) (-1048) (-231 |t#2| |t#3|) (-231 |t#1| |t#3|)) (T -1051)) 
-((-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1483 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1048)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-3569 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2584 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4144 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2256 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3992 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1866 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3127 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1581 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-1810 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764)))) (-2806 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764)))) (-2550 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) (-1534 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) (-1618 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) (-1534 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *2 (-1048)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) (-1765 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *2 *7)) (-4 *6 (-1048)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6)))) (-3419 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *7 *2)) (-4 *6 (-1048)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-2941 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) (-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) (-4036 (*1 *1 *1) (-12 (-4 *1 (-1051 *2 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302)))) (-1321 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764)))) (-3695 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764)))) (-3645 (*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
-(-13 (-120 |t#3| |t#3|) (-500 |t#3|) (-10 -8 (-6 -4535) (IF (|has| |t#3| (-173)) (-6 (-708 |t#3|)) |noBranch|) (-15 -1483 ($ (-635 (-635 |t#3|)))) (-15 -3569 ((-121) $)) (-15 -2584 ((-121) $)) (-15 -4144 ((-121) $)) (-15 -2256 ((-121) $)) (-15 -3992 ((-569) $)) (-15 -1866 ((-569) $)) (-15 -3127 ((-569) $)) (-15 -1581 ((-569) $)) (-15 -1810 ((-764) $)) (-15 -2806 ((-764) $)) (-15 -2550 ((-635 (-635 |t#3|)) $)) (-15 -1534 (|t#3| $ (-569) (-569))) (-15 -1618 (|t#3| $ (-569) (-569))) (-15 -1534 (|t#3| $ (-569) (-569) |t#3|)) (-15 -1765 (|t#4| $ (-569))) (-15 -3419 (|t#5| $ (-569))) (-15 -1544 ($ (-1 |t#3| |t#3|) $)) (-15 -1544 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-559)) (-15 -2941 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-366)) (-15 -1715 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-302)) (-15 -4036 ($ $)) |noBranch|) (IF (|has| |t#3| (-559)) (PROGN (-15 -1321 ((-764) $)) (-15 -3695 ((-764) $)) (-15 -3645 ((-635 |t#5|) $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-138) . T) ((-609 (-851)) . T) ((-304 |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))) ((-500 |#3|) . T) ((-524 |#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))) ((-638 |#3|) . T) ((-708 |#3|) |has| |#3| (-173)) ((-1054 |#3|) . T) ((-1091) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 40 (|has| |#3| (-302)))) (-1765 (((-233 |#2| |#3|) $ (-569)) 29)) (-4130 (($ (-680 |#3|)) 38)) (-1321 (((-764) $) 42 (|has| |#3| (-559)))) (-1618 ((|#3| $ (-569) (-569)) NIL)) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3695 (((-764) $) 44 (|has| |#3| (-559)))) (-3645 (((-635 (-233 |#1| |#3|)) $) 48 (|has| |#3| (-559)))) (-1810 (((-764) $) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#3|))) 24)) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-2550 (((-635 (-635 |#3|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-559)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) (-569)) NIL) ((|#3| $ (-569) (-569) |#3|) NIL)) (-2369 (((-140)) 51 (|has| |#3| (-366)))) (-2584 (((-121) $) NIL)) (-2846 (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091)))) (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 60 (|has| |#3| (-610 (-542))))) (-3419 (((-233 |#1| |#3|) $ (-569)) 33)) (-2185 (((-851) $) 16) (((-680 |#3|) $) 35)) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-3369 (($) 13 T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1052 |#1| |#2| |#3|) (-13 (-1051 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-680 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1254 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4130 ($ (-680 |#3|))) (-15 -2185 ((-680 |#3|) $)))) (-764) (-764) (-1048)) (T -1052)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-680 *5)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-1048)))) (-4130 (*1 *1 *2) (-12 (-5 *2 (-680 *5)) (-4 *5 (-1048)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764))))) 
-(-13 (-1051 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-680 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1254 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4130 ($ (-680 |#3|))) (-15 -2185 ((-680 |#3|) $)))) 
-((-1774 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-1544 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
-(((-1053 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -1544 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -1774 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-764) (-764) (-1048) (-231 |#2| |#3|) (-231 |#1| |#3|) (-1051 |#1| |#2| |#3| |#4| |#5|) (-1048) (-231 |#2| |#7|) (-231 |#1| |#7|) (-1051 |#1| |#2| |#7| |#8| |#9|)) (T -1053)) 
-((-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1048)) (-4 *2 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *12 (-1051 *5 *6 *2 *10 *11)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1048)) (-4 *10 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1051 *5 *6 *10 *11 *12)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10))))) 
-(-10 -7 (-15 -1544 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -1774 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ |#1|) 22))) 
-(((-1054 |#1|) (-1278) (-1055)) (T -1054)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1054 *2)) (-4 *2 (-1055))))) 
+((-2880 (((-635 (-382)) (-955 (-569)) (-382)) 27) (((-635 (-382)) (-955 (-410 (-569))) (-382)) 26)) (-3646 (((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382)) 36))) 
+(((-1024) (-10 -7 (-15 -2880 ((-635 (-382)) (-955 (-410 (-569))) (-382))) (-15 -2880 ((-635 (-382)) (-955 (-569)) (-382))) (-15 -3646 ((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382))))) (T -1024)) 
+((-3646 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1024)) (-5 *5 (-382)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382))))) 
+(-10 -7 (-15 -2880 ((-635 (-382)) (-955 (-410 (-569))) (-382))) (-15 -2880 ((-635 (-382)) (-955 (-569)) (-382))) (-15 -3646 ((-635 (-635 (-382))) (-635 (-955 (-569))) (-635 (-1165)) (-382)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 70)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-3422 (($ $) NIL) (($ $ (-765)) NIL) (($ (-410 (-569))) NIL) (($ (-569)) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) 65)) (-4483 (($) NIL T CONST)) (-2306 (((-3 $ "failed") (-1161 $) (-919) (-852)) NIL) (((-3 $ "failed") (-1161 $) (-919)) 49)) (-3003 (((-3 (-410 (-569)) "failed") $) NIL (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#1| "failed") $) 108) (((-3 (-569) "failed") $) NIL (-1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))))) (-1321 (((-410 (-569)) $) 14 (|has| (-410 (-569)) (-1039 (-410 (-569))))) (((-410 (-569)) $) 14) ((|#1| $) 109) (((-569) $) NIL (-1929 (|has| (-410 (-569)) (-1039 (-569))) (|has| |#1| (-1039 (-569)))))) (-2860 (($ $ (-852)) 40)) (-2582 (($ $ (-852)) 41)) (-1614 (($ $ $) NIL)) (-2465 (((-410 (-569)) $ $) 18)) (-2611 (((-3 $ "failed") $) 83)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1863 (((-121) $) 60)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL)) (-4311 (((-121) $) 63)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-3710 (((-3 (-1161 $) "failed") $) 78)) (-3620 (((-3 (-852) "failed") $) 77)) (-3763 (((-3 (-1161 $) "failed") $) 75)) (-2892 (((-3 (-1059 $ (-1161 $)) "failed") $) 73)) (-1657 (($ (-635 $)) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 84)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ (-635 $)) NIL) (($ $ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3956 (((-852) $) 82) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) 57) (($ (-410 (-569))) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#1|) 111)) (-2320 (((-765)) NIL)) (-2909 (((-121) $ $) NIL)) (-4334 (((-410 (-569)) $ $) 24)) (-2813 (((-635 $) (-1161 $)) 55) (((-635 $) (-1161 (-410 (-569)))) NIL) (((-635 $) (-1161 (-569))) NIL) (((-635 $) (-955 $)) NIL) (((-635 $) (-955 (-410 (-569)))) NIL) (((-635 $) (-955 (-569))) NIL)) (-3310 (($ (-1059 $ (-1161 $)) (-852)) 39)) (-4080 (($ $) 19)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL)) (-2407 (($) 28 T CONST)) (-3297 (($) 34 T CONST)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 71)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 21)) (-1383 (($ $ $) 32)) (-1377 (($ $) 33) (($ $ $) 69)) (-1371 (($ $ $) 104)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL) (($ $ (-410 (-569))) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 92) (($ $ $) 97) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ (-569) $) 92) (($ $ (-569)) NIL) (($ (-410 (-569)) $) NIL) (($ $ (-410 (-569))) NIL) (($ |#1| $) 96) (($ $ |#1|) NIL))) 
+(((-1025 |#1|) (-13 (-1014) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -3310 ($ (-1059 $ (-1161 $)) (-852))) (-15 -2892 ((-3 (-1059 $ (-1161 $)) "failed") $)) (-15 -2465 ((-410 (-569)) $ $)))) (-13 (-842) (-366) (-1023))) (T -1025)) 
+((-3310 (*1 *1 *2 *3) (-12 (-5 *2 (-1059 (-1025 *4) (-1161 (-1025 *4)))) (-5 *3 (-852)) (-5 *1 (-1025 *4)) (-4 *4 (-13 (-842) (-366) (-1023))))) (-2892 (*1 *2 *1) (|partial| -12 (-5 *2 (-1059 (-1025 *3) (-1161 (-1025 *3)))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023))))) (-2465 (*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023)))))) 
+(-13 (-1014) (-414 |#1|) (-43 |#1|) (-10 -8 (-15 -3310 ($ (-1059 $ (-1161 $)) (-852))) (-15 -2892 ((-3 (-1059 $ (-1161 $)) "failed") $)) (-15 -2465 ((-410 (-569)) $ $)))) 
+((-3567 (((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|) 59 (|has| |#1| (-1049)))) (-1682 (((-569) (-569) (-123) (-1165) |#2|) 76)) (-1746 (((-3 (-569) "failed") (-123) (-608 |#2|) (-1165)) 56 (|has| |#1| (-1049)))) (-4036 (((-123) |#2|) 103)) (-1899 ((|#2| |#2|) 102)) (-3624 ((|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|)) 72)) (-2017 ((|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|)) 100))) 
+(((-1026 |#1| |#2|) (-10 -7 (-15 -3624 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -2017 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -1899 (|#2| |#2|)) (-15 -4036 ((-123) |#2|)) (-15 -1682 ((-569) (-569) (-123) (-1165) |#2|)) (IF (|has| |#1| (-1049)) (PROGN (-15 -1746 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1165))) (-15 -3567 ((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|))) |noBranch|)) (-13 (-844) (-559) (-610 (-542))) (-13 (-433 |#1|) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))) (T -1026)) 
+((-3567 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))))) (-1746 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *5) (-897 *5) (-162))) (-5 *5 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1026 *6 *7)))) (-1682 (*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *4) (-897 *4) (-162))))) (-4036 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1026 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))))) (-1899 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162))))) (-2017 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2)))) (-3624 (*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
+(-10 -7 (-15 -3624 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -2017 (|#2| (-123) (-1165) |#2| |#2| |#2| (-635 |#2|))) (-15 -1899 (|#2| |#2|)) (-15 -4036 ((-123) |#2|)) (-15 -1682 ((-569) (-569) (-123) (-1165) |#2|)) (IF (|has| |#1| (-1049)) (PROGN (-15 -1746 ((-3 (-569) "failed") (-123) (-608 |#2|) (-1165))) (-15 -3567 ((-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 |#2|))) (-123) (-1165) |#2|))) |noBranch|)) 
+((-3057 (((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)) 20) ((|#2| |#2| |#1|) 15))) 
+(((-1027 |#1| |#2|) (-10 -7 (-15 -3057 (|#2| |#2| |#1|)) (-15 -3057 ((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)))) (-366) (-647 |#1|)) (T -1027)) 
+((-3057 (*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -4399 *3) (|:| -2859 (-635 *5)))) (-5 *1 (-1027 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5)))) (-3057 (*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1027 *3 *2)) (-4 *2 (-647 *3))))) 
+(-10 -7 (-15 -3057 (|#2| |#2| |#1|)) (-15 -3057 ((-2 (|:| -4399 |#2|) (|:| -2859 (-635 |#1|))) |#2| (-635 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4228 ((|#1| $ |#1|) 14)) (-2511 ((|#1| $ |#1|) 12)) (-2093 (($ |#1|) 10)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2503 ((|#1| $) 11)) (-3716 ((|#1| $) 13)) (-3956 (((-852) $) 21 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 9))) 
+(((-1028 |#1|) (-13 (-1199) (-10 -8 (-15 -2093 ($ |#1|)) (-15 -2503 (|#1| $)) (-15 -2511 (|#1| $ |#1|)) (-15 -3716 (|#1| $)) (-15 -4228 (|#1| $ |#1|)) (-15 -1326 ((-121) $ $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1028)) 
+((-2093 (*1 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-3716 (*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-4228 (*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1028 *3)) (-4 *3 (-1199))))) 
+(-13 (-1199) (-10 -8 (-15 -2093 ($ |#1|)) (-15 -2503 (|#1| $)) (-15 -2511 (|#1| $ |#1|)) (-15 -3716 (|#1| $)) (-15 -4228 (|#1| $ |#1|)) (-15 -1326 ((-121) $ $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 104) (((-635 $) (-635 |#4|) (-121)) 105) (((-635 $) (-635 |#4|) (-121) (-121)) 103) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 106)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 98)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 53)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) 56)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 72 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4018 (((-121) |#4| $) NIL)) (-3594 (((-121) |#4| $) NIL)) (-4508 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3332 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 118)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 96)) (-3302 (((-3 |#4| "failed") $) 37)) (-2079 (((-635 $) |#4| $) 79)) (-2090 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 89) (((-121) |#4| $) 51)) (-1433 (((-635 $) |#4| $) 101) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 102) (((-635 $) |#4| (-635 $)) NIL)) (-4012 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 113)) (-3487 (($ |#4| $) 69) (($ (-635 |#4|) $) 70) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 66)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 47)) (-3803 (($ $ |#4|) NIL) (((-635 $) |#4| $) 81) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 76)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2272 (((-635 $) |#4| $) 78) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3267 (((-121) |#4| $) NIL)) (-3345 (((-121) |#3| $) 52)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1029 |#1| |#2| |#3| |#4|) (-13 (-1068 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1029)) 
+((-3487 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *3))) (-5 *1 (-1029 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) (-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-3202 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-4012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) (-3332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1029 *5 *6 *7 *8))))) (-5 *1 (-1029 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(-13 (-1068 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
+((-4459 (((-635 (-681 |#1|)) (-635 (-681 |#1|))) 56) (((-681 |#1|) (-681 |#1|)) 55) (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|))) 54) (((-681 |#1|) (-681 |#1|) (-681 |#1|)) 51)) (-1979 (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919)) 50) (((-681 |#1|) (-681 |#1|) (-919)) 49)) (-2677 (((-635 (-681 (-569))) (-635 (-635 (-569)))) 66) (((-635 (-681 (-569))) (-635 (-902 (-569))) (-569)) 65) (((-681 (-569)) (-635 (-569))) 62) (((-681 (-569)) (-902 (-569)) (-569)) 61)) (-1374 (((-681 (-955 |#1|)) (-765)) 79)) (-4191 (((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919)) 36 (|has| |#1| (-6 (-4573 "*")))) (((-681 |#1|) (-681 |#1|) (-919)) 34 (|has| |#1| (-6 (-4573 "*")))))) 
+(((-1030 |#1|) (-10 -7 (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-681 |#1|) (-681 |#1|) (-919))) |noBranch|) (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) |noBranch|) (-15 -1374 ((-681 (-955 |#1|)) (-765))) (-15 -1979 ((-681 |#1|) (-681 |#1|) (-919))) (-15 -1979 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) (-15 -4459 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -4459 ((-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -2677 ((-681 (-569)) (-902 (-569)) (-569))) (-15 -2677 ((-681 (-569)) (-635 (-569)))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-902 (-569))) (-569))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-635 (-569)))))) (-1049)) (T -1030)) 
+((-2677 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-2677 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-902 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-681 *4))) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) (-2677 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-2677 (*1 *2 *3 *4) (-12 (-5 *3 (-902 (-569))) (-5 *4 (-569)) (-5 *2 (-681 *4)) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) (-4459 (*1 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-4459 (*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) (-1979 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-1979 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-1374 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-681 (-955 *4))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) (-4191 (*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) (-4191 (*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
+(-10 -7 (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-681 |#1|) (-681 |#1|) (-919))) |noBranch|) (IF (|has| |#1| (-6 (-4573 "*"))) (-15 -4191 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) |noBranch|) (-15 -1374 ((-681 (-955 |#1|)) (-765))) (-15 -1979 ((-681 |#1|) (-681 |#1|) (-919))) (-15 -1979 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-919))) (-15 -4459 ((-681 |#1|) (-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -4459 ((-681 |#1|) (-681 |#1|))) (-15 -4459 ((-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -2677 ((-681 (-569)) (-902 (-569)) (-569))) (-15 -2677 ((-681 (-569)) (-635 (-569)))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-902 (-569))) (-569))) (-15 -2677 ((-635 (-681 (-569))) (-635 (-635 (-569)))))) 
+((-2819 (((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)) 48 (|has| |#1| (-302)))) (-2009 (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))) 71 (|has| |#1| (-366))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|)) 69 (|has| |#1| (-366)))) (-3541 (((-1253 |#1|) (-635 (-1253 |#1|)) (-569)) 73 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-1575 (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919)) 78 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121)) 76 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|))) 75 (-12 (|has| |#1| (-366)) (|has| |#1| (-371)))) (((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569)) 74 (-12 (|has| |#1| (-366)) (|has| |#1| (-371))))) (-2278 (((-121) (-635 (-681 |#1|))) 67 (|has| |#1| (-366))) (((-121) (-635 (-681 |#1|)) (-569)) 66 (|has| |#1| (-366)))) (-2980 (((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|)) 46 (|has| |#1| (-302)))) (-4430 (((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|)) 32)) (-3166 (((-681 |#1|) (-1253 (-1253 |#1|))) 29)) (-1675 (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569)) 62 (|has| |#1| (-366))) (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|))) 61 (|has| |#1| (-366))) (((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569)) 60 (|has| |#1| (-366))))) 
+(((-1031 |#1|) (-10 -7 (-15 -3166 ((-681 |#1|) (-1253 (-1253 |#1|)))) (-15 -4430 ((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -2980 ((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2819 ((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919))) (-15 -3541 ((-1253 |#1|) (-635 (-1253 |#1|)) (-569)))) |noBranch|) |noBranch|)) (-1049)) (T -1031)) 
+((-3541 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1253 *5))) (-5 *4 (-569)) (-5 *2 (-1253 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)))) (-1575 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-1575 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-1575 (*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1049)) (-5 *2 (-635 (-635 (-681 *4)))) (-5 *1 (-1031 *4)) (-5 *3 (-635 (-681 *4))))) (-1575 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1049)) (-5 *2 (-635 (-635 (-681 *6)))) (-5 *1 (-1031 *6)) (-5 *3 (-635 (-681 *6))))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1253 (-1253 *5))) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-2009 (*1 *2 *3 *4) (-12 (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) (-2278 (*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *4)))) (-2278 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *5)))) (-1675 (*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-1049)))) (-1675 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4)) (-4 *4 (-366)) (-4 *4 (-1049)))) (-1675 (*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-681 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-681 *6)) (-5 *1 (-1031 *6)) (-4 *6 (-366)) (-4 *6 (-1049)))) (-2819 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-1253 *5)) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)))) (-2980 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-1253 (-1253 *5))) (-5 *1 (-1031 *5)) (-5 *4 (-1253 *5)))) (-4430 (*1 *2 *3 *2) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1031 *4)))) (-3166 (*1 *2 *3) (-12 (-5 *3 (-1253 (-1253 *4))) (-4 *4 (-1049)) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4))))) 
+(-10 -7 (-15 -3166 ((-681 |#1|) (-1253 (-1253 |#1|)))) (-15 -4430 ((-681 |#1|) (-635 (-681 |#1|)) (-681 |#1|))) (IF (|has| |#1| (-302)) (PROGN (-15 -2980 ((-1253 (-1253 |#1|)) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2819 ((-681 |#1|) (-635 (-681 |#1|)) (-1253 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-121) (-569))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -1675 ((-681 |#1|) (-635 (-681 |#1|)) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)) (-569))) (-15 -2278 ((-121) (-635 (-681 |#1|)))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 |#1|))) (-15 -2009 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-1253 (-1253 |#1|))))) |noBranch|) (IF (|has| |#1| (-371)) (IF (|has| |#1| (-366)) (PROGN (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121) (-569) (-569))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-121))) (-15 -1575 ((-635 (-635 (-681 |#1|))) (-635 (-681 |#1|)) (-919))) (-15 -3541 ((-1253 |#1|) (-635 (-1253 |#1|)) (-569)))) |noBranch|) |noBranch|)) 
+((-2242 ((|#1| (-919) |#1|) 9))) 
+(((-1032 |#1|) (-10 -7 (-15 -2242 (|#1| (-919) |#1|))) (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $))))) (T -1032)) 
+((-2242 (*1 *2 *3 *2) (-12 (-5 *3 (-919)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)))))))) 
+(-10 -7 (-15 -2242 (|#1| (-919) |#1|))) 
+((-3513 (((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569))))) 58)) (-2355 (((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569))))) 48)) (-2968 (((-635 (-311 (-569))) (-681 (-410 (-955 (-569))))) 41)) (-2589 (((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569))))) 67)) (-1348 (((-681 (-311 (-569))) (-681 (-311 (-569)))) 33)) (-2839 (((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569))))) 61)) (-2122 (((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569))))) 65))) 
+(((-1033) (-10 -7 (-15 -3513 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569)))))) (-15 -2355 ((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569)))))) (-15 -2968 ((-635 (-311 (-569))) (-681 (-410 (-955 (-569)))))) (-15 -2122 ((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569)))))) (-15 -1348 ((-681 (-311 (-569))) (-681 (-311 (-569))))) (-15 -2839 ((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569)))))) (-15 -2589 ((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569)))))))) (T -1033)) 
+((-2589 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)))) (-2839 (*1 *2 *2) (-12 (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)))) (-1348 (*1 *2 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033)))) (-2122 (*1 *2 *3) (|partial| -12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033)))) (-2968 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1033)))) (-2355 (*1 *2 *3 *4) (-12 (-5 *4 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)) (-5 *3 (-311 (-569))))) (-3513 (*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569)))))))) (-5 *1 (-1033))))) 
+(-10 -7 (-15 -3513 ((-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569))))))) (-681 (-410 (-955 (-569)))))) (-15 -2355 ((-635 (-681 (-311 (-569)))) (-311 (-569)) (-681 (-410 (-955 (-569)))))) (-15 -2968 ((-635 (-311 (-569))) (-681 (-410 (-955 (-569)))))) (-15 -2122 ((-3 (-681 (-311 (-569))) "failed") (-681 (-410 (-955 (-569)))))) (-15 -1348 ((-681 (-311 (-569))) (-681 (-311 (-569))))) (-15 -2839 ((-635 (-681 (-311 (-569)))) (-635 (-681 (-311 (-569)))))) (-15 -2589 ((-635 (-681 (-311 (-569)))) (-681 (-410 (-955 (-569))))))) 
+((-3616 ((|#1| |#1| (-919)) 9))) 
+(((-1034 |#1|) (-10 -7 (-15 -3616 (|#1| |#1| (-919)))) (-13 (-1093) (-10 -8 (-15 * ($ $ $))))) (T -1034)) 
+((-3616 (*1 *2 *2 *3) (-12 (-5 *3 (-919)) (-5 *1 (-1034 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 * ($ $ $)))))))) 
+(-10 -7 (-15 -3616 (|#1| |#1| (-919)))) 
+((-3956 ((|#1| (-306)) 11) (((-1258) |#1|) 9))) 
+(((-1035 |#1|) (-10 -7 (-15 -3956 ((-1258) |#1|)) (-15 -3956 (|#1| (-306)))) (-1199)) (T -1035)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1035 *2)) (-4 *2 (-1199)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1258)) (-5 *1 (-1035 *3)) (-4 *3 (-1199))))) 
+(-10 -7 (-15 -3956 ((-1258) |#1|)) (-15 -3956 (|#1| (-306)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2793 (($ |#4|) 25)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2786 ((|#4| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 46) (($ (-569)) NIL) (($ |#1|) NIL) (($ |#4|) 26)) (-2320 (((-765)) 43)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 23 T CONST)) (-1326 (((-121) $ $) 40)) (-1377 (($ $) 31) (($ $ $) NIL)) (-1371 (($ $ $) 29)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 36) (($ $ $) 33) (($ |#1| $) 38) (($ $ |#1|) NIL))) 
+(((-1036 |#1| |#2| |#3| |#4| |#5|) (-13 (-173) (-43 |#1|) (-10 -8 (-15 -2793 ($ |#4|)) (-15 -3956 ($ |#4|)) (-15 -2786 (|#4| $)))) (-366) (-790) (-844) (-952 |#1| |#2| |#3|) (-635 |#4|)) (T -1036)) 
+((-2793 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) (-2786 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *4 *5)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-14 *6 (-635 *2))))) 
+(-13 (-173) (-43 |#1|) (-10 -8 (-15 -2793 ($ |#4|)) (-15 -3956 ($ |#4|)) (-15 -2786 (|#4| $)))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1165) (-1165)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4025 (((-121) (-121)) 39)) (-2003 (((-121) (-121)) 38)) (-2511 (((-57) $ (-1165) (-57)) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1165) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1165) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-57) $ (-1165) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1165)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1165) $) NIL (|has| (-1165) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1165) $) NIL (|has| (-1165) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1165)) $) 34)) (-1591 (((-121) (-1165) $) NIL)) (-4496 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2761 (((-635 (-1165)) $) NIL)) (-3292 (((-121) (-1165) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1816 (((-57) $) NIL (|has| (-1165) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1165)) 35) (((-57) $ (-1165) (-57)) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3956 (((-852) $) 37 (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1037) (-13 (-1176 (-1165) (-57)) (-10 -7 (-15 -4025 ((-121) (-121))) (-15 -2003 ((-121) (-121))) (-6 -4571)))) (T -1037)) 
+((-4025 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037)))) (-2003 (*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
+(-13 (-1176 (-1165) (-57)) (-10 -7 (-15 -4025 ((-121) (-121))) (-15 -2003 ((-121) (-121))) (-6 -4571))) 
+((-1321 ((|#2| $) 10))) 
+(((-1038 |#1| |#2|) (-10 -8 (-15 -1321 (|#2| |#1|))) (-1039 |#2|) (-1199)) (T -1038)) 
+NIL 
+(-10 -8 (-15 -1321 (|#2| |#1|))) 
+((-3003 (((-3 |#1| "failed") $) 7)) (-1321 ((|#1| $) 8)) (-3956 (($ |#1|) 6))) 
+(((-1039 |#1|) (-1284) (-1199)) (T -1039)) 
+((-1321 (*1 *2 *1) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) (-3003 (*1 *2 *1) (|partial| -12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199))))) 
+(-13 (-10 -8 (-15 -3956 ($ |t#1|)) (-15 -3003 ((-3 |t#1| "failed") $)) (-15 -1321 (|t#1| $)))) 
+((-1888 (((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))) 35))) 
+(((-1040 |#1| |#2|) (-10 -7 (-15 -1888 ((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))))) (-559) (-13 (-559) (-1039 |#1|))) (T -1040)) 
+((-1888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-13 (-559) (-1039 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *6)))))) (-5 *1 (-1040 *5 *6))))) 
+(-10 -7 (-15 -1888 ((-635 (-635 (-289 (-410 (-955 |#2|))))) (-635 (-955 |#2|)) (-635 (-1165))))) 
+((-2094 (((-382)) 15)) (-4411 (((-1 (-382)) (-382) (-382)) 20)) (-4542 (((-1 (-382)) (-765)) 42)) (-1612 (((-382)) 33)) (-2556 (((-1 (-382)) (-382) (-382)) 34)) (-4367 (((-382)) 26)) (-4199 (((-1 (-382)) (-382)) 27)) (-1916 (((-382) (-765)) 37)) (-4070 (((-1 (-382)) (-765)) 38)) (-1647 (((-1 (-382)) (-765) (-765)) 41)) (-4028 (((-1 (-382)) (-765) (-765)) 39))) 
+(((-1041) (-10 -7 (-15 -2094 ((-382))) (-15 -1612 ((-382))) (-15 -4367 ((-382))) (-15 -1916 ((-382) (-765))) (-15 -4411 ((-1 (-382)) (-382) (-382))) (-15 -2556 ((-1 (-382)) (-382) (-382))) (-15 -4199 ((-1 (-382)) (-382))) (-15 -4070 ((-1 (-382)) (-765))) (-15 -4028 ((-1 (-382)) (-765) (-765))) (-15 -1647 ((-1 (-382)) (-765) (-765))) (-15 -4542 ((-1 (-382)) (-765))))) (T -1041)) 
+((-4542 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-1647 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4028 (*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4070 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) (-4199 (*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-2556 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-4411 (*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) (-1916 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-382)) (-5 *1 (-1041)))) (-4367 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041)))) (-1612 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041)))) (-2094 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
+(-10 -7 (-15 -2094 ((-382))) (-15 -1612 ((-382))) (-15 -4367 ((-382))) (-15 -1916 ((-382) (-765))) (-15 -4411 ((-1 (-382)) (-382) (-382))) (-15 -2556 ((-1 (-382)) (-382) (-382))) (-15 -4199 ((-1 (-382)) (-382))) (-15 -4070 ((-1 (-382)) (-765))) (-15 -4028 ((-1 (-382)) (-765) (-765))) (-15 -1647 ((-1 (-382)) (-765) (-765))) (-15 -4542 ((-1 (-382)) (-765)))) 
+((-3139 (((-421 |#1|) |#1|) 31))) 
+(((-1042 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|))) (-1228 (-410 (-955 (-569))))) (T -1042)) 
+((-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1042 *3)) (-4 *3 (-1228 (-410 (-955 (-569)))))))) 
+(-10 -7 (-15 -3139 ((-421 |#1|) |#1|))) 
+((-1437 (((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))) 14))) 
+(((-1043 |#1|) (-10 -7 (-15 -1437 ((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))))) (-302)) (T -1043)) 
+((-1437 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-955 *4)))) (-5 *1 (-1043 *4))))) 
+(-10 -7 (-15 -1437 ((-410 (-421 (-955 |#1|))) (-410 (-955 |#1|))))) 
+((-3195 (((-635 (-1165)) (-410 (-955 |#1|))) 15)) (-3132 (((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165)) 22)) (-3187 (((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165)) 24)) (-3407 (((-3 (-1165) "failed") (-410 (-955 |#1|))) 18)) (-1484 (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|))))) 29) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|)))) 31) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|)))) 26) (((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|))) 27)) (-3956 (((-410 (-955 |#1|)) |#1|) 11))) 
+(((-1044 |#1|) (-10 -7 (-15 -3195 ((-635 (-1165)) (-410 (-955 |#1|)))) (-15 -3407 ((-3 (-1165) "failed") (-410 (-955 |#1|)))) (-15 -3132 ((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -3187 ((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -3956 ((-410 (-955 |#1|)) |#1|))) (-559)) (T -1044)) 
+((-3956 (*1 *2 *3) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-1044 *3)) (-4 *3 (-559)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-1484 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-5 *4 (-635 (-410 (-955 *5)))) (-5 *2 (-410 (-955 *5))) (-4 *5 (-559)) (-5 *1 (-1044 *5)))) (-1484 (*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) (-3187 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 (-410 (-955 *5))))) (-5 *4 (-1165)) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1044 *5)) (-4 *5 (-559)))) (-3132 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-410 (-1161 (-410 (-955 *5))))) (-5 *1 (-1044 *5)) (-5 *3 (-410 (-955 *5))))) (-3407 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-1165)) (-5 *1 (-1044 *4)))) (-3195 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1165))) (-5 *1 (-1044 *4))))) 
+(-10 -7 (-15 -3195 ((-635 (-1165)) (-410 (-955 |#1|)))) (-15 -3407 ((-3 (-1165) "failed") (-410 (-955 |#1|)))) (-15 -3132 ((-410 (-1161 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -3187 ((-410 (-955 |#1|)) (-410 (-1161 (-410 (-955 |#1|)))) (-1165))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-1165)) (-635 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-289 (-410 (-955 |#1|))))) (-15 -1484 ((-410 (-955 |#1|)) (-410 (-955 |#1|)) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -3956 ((-410 (-955 |#1|)) |#1|))) 
+((-3554 (((-635 |#1|) (-635 |#1|)) 45)) (-2863 (((-635 |#1|)) 9)) (-2338 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|) 19)) (-3287 (((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|) 37))) 
+(((-1045 |#1|) (-10 -7 (-15 -2338 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|)) (-15 -3287 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|)) (-15 -2863 ((-635 |#1|))) (-15 -3554 ((-635 |#1|) (-635 |#1|)))) (-366)) (T -1045)) 
+((-3554 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1045 *3)))) (-2863 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1045 *3)) (-4 *3 (-366)))) (-3287 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1161 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4)))) (-2338 (*1 *2 *3 *4) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
+(-10 -7 (-15 -2338 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-1161 |#1|) |#1|)) (-15 -3287 ((-2 (|:| |zeros| (-635 |#1|)) (|:| -3064 (-569))) (-635 (-1161 |#1|)) |#1|)) (-15 -2863 ((-635 |#1|))) (-15 -3554 ((-635 |#1|) (-635 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 (-777 |#1| (-854 |#2|)))))) (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-3202 (((-635 $) (-635 (-777 |#1| (-854 |#2|)))) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121)) NIL)) (-3195 (((-635 (-854 |#2|)) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1815 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2710 (((-635 (-2 (|:| |val| (-777 |#1| (-854 |#2|))) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ (-854 |#2|)) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 (-777 |#1| (-854 |#2|)) "failed") $ (-854 |#2|)) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-3279 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-1321 (($ (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-1864 (((-3 $ "failed") $) NIL)) (-3562 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-3503 (($ (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| (-777 |#1| (-854 |#2|))) (|:| |den| |#1|)) (-777 |#1| (-854 |#2|)) $) NIL (|has| |#1| (-559)))) (-3782 (((-121) (-777 |#1| (-854 |#2|)) $ (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-4417 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2793 (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $ (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $ (-777 |#1| (-854 |#2|))) NIL (|has| $ (-6 -4571))) (((-777 |#1| (-854 |#2|)) (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-4047 (((-2 (|:| -2412 (-635 (-777 |#1| (-854 |#2|)))) (|:| -4465 (-635 (-777 |#1| (-854 |#2|))))) $) NIL)) (-4018 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-3594 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-4508 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-4303 (((-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1660 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1473 (((-854 |#2|) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-2089 (($ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) $) NIL)) (-3069 (((-635 (-854 |#2|)) $) NIL)) (-2107 (((-121) (-854 |#2|) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 (-777 |#1| (-854 |#2|)) (-635 $)) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1961 (((-635 (-2 (|:| |val| (-777 |#1| (-854 |#2|))) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-3302 (((-3 (-777 |#1| (-854 |#2|)) "failed") $) NIL)) (-2079 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL)) (-2090 (((-3 (-121) (-635 $)) (-777 |#1| (-854 |#2|)) $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-1433 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL)) (-3487 (($ (-777 |#1| (-854 |#2|)) $) NIL) (($ (-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-1536 (((-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-2114 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-2709 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| (-777 |#1| (-854 |#2|))) (|:| |den| |#1|)) (-777 |#1| (-854 |#2|)) $) NIL (|has| |#1| (-559)))) (-3072 (((-121) (-777 |#1| (-854 |#2|)) $) NIL) (((-121) $) NIL)) (-1910 (((-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 (-777 |#1| (-854 |#2|)) "failed") $) NIL)) (-2569 (((-3 (-777 |#1| (-854 |#2|)) "failed") (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL)) (-4300 (((-3 $ "failed") $ (-777 |#1| (-854 |#2|))) NIL)) (-3803 (($ $ (-777 |#1| (-854 |#2|))) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL)) (-2985 (((-121) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-777 |#1| (-854 |#2|))) (-635 (-777 |#1| (-854 |#2|)))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-289 (-777 |#1| (-854 |#2|)))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (($ $ (-635 (-289 (-777 |#1| (-854 |#2|))))) NIL (-12 (|has| (-777 |#1| (-854 |#2|)) (-304 (-777 |#1| (-854 |#2|)))) (|has| (-777 |#1| (-854 |#2|)) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2284 (((-765) $) NIL)) (-2691 (((-765) (-777 |#1| (-854 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-777 |#1| (-854 |#2|)) (-1093)))) (((-765) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-777 |#1| (-854 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-777 |#1| (-854 |#2|)))) NIL)) (-2201 (($ $ (-854 |#2|)) NIL)) (-4081 (($ $ (-854 |#2|)) NIL)) (-2406 (($ $) NIL)) (-2239 (($ $ (-854 |#2|)) NIL)) (-3956 (((-852) $) NIL) (((-635 (-777 |#1| (-854 |#2|))) $) NIL)) (-1448 (((-765) $) NIL (|has| (-854 |#2|) (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 (-777 |#1| (-854 |#2|))))) "failed") (-635 (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 (-777 |#1| (-854 |#2|))))) "failed") (-635 (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|))) (-1 (-121) (-777 |#1| (-854 |#2|)) (-777 |#1| (-854 |#2|)))) NIL)) (-1680 (((-121) $ (-1 (-121) (-777 |#1| (-854 |#2|)) (-635 (-777 |#1| (-854 |#2|))))) NIL)) (-2272 (((-635 $) (-777 |#1| (-854 |#2|)) $) NIL) (((-635 $) (-777 |#1| (-854 |#2|)) (-635 $)) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) $) NIL) (((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) (-777 |#1| (-854 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 (-854 |#2|)) $) NIL)) (-3267 (((-121) (-777 |#1| (-854 |#2|)) $) NIL)) (-3345 (((-121) (-854 |#2|) $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1046 |#1| |#2|) (-13 (-1068 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) (-10 -8 (-15 -3202 ((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121))))) (-454) (-635 (-1165))) (T -1046)) 
+((-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1046 *5 *6))))) 
+(-13 (-1068 |#1| (-535 (-854 |#2|)) (-854 |#2|) (-777 |#1| (-854 |#2|))) (-10 -8 (-15 -3202 ((-635 $) (-635 (-777 |#1| (-854 |#2|))) (-121) (-121))))) 
+((-4411 (((-1 (-569)) (-1087 (-569))) 33)) (-2288 (((-569) (-569) (-569) (-569) (-569)) 30)) (-4162 (((-1 (-569)) |RationalNumber|) NIL)) (-4001 (((-1 (-569)) |RationalNumber|) NIL)) (-4196 (((-1 (-569)) (-569) |RationalNumber|) NIL))) 
+(((-1047) (-10 -7 (-15 -4411 ((-1 (-569)) (-1087 (-569)))) (-15 -4196 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4162 ((-1 (-569)) |RationalNumber|)) (-15 -4001 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-569) (-569) (-569) (-569) (-569))))) (T -1047)) 
+((-2288 (*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1047)))) (-4001 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)))) (-4162 (*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)))) (-4196 (*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)) (-5 *3 (-569)))) (-4411 (*1 *2 *3) (-12 (-5 *3 (-1087 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
+(-10 -7 (-15 -4411 ((-1 (-569)) (-1087 (-569)))) (-15 -4196 ((-1 (-569)) (-569) |RationalNumber|)) (-15 -4162 ((-1 (-569)) |RationalNumber|)) (-15 -4001 ((-1 (-569)) |RationalNumber|)) (-15 -2288 ((-569) (-569) (-569) (-569) (-569)))) 
+((-3956 (((-852) $) NIL) (($ (-569)) 10))) 
+(((-1048 |#1|) (-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1049)) (T -1048)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1049) (-1284)) (T -1049)) 
+((-2320 (*1 *2) (-12 (-4 *1 (-1049)) (-5 *2 (-765)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1049))))) 
+(-13 (-1056) (-718) (-638 $) (-10 -8 (-15 -2320 ((-765))) (-15 -3956 ($ (-569))) (-6 -4568))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 $) . T) ((-718) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3393 (((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)) 45))) 
+(((-1050 |#1| |#2|) (-10 -7 (-15 -3393 ((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)))) (-1165) (-366)) (T -1050)) 
+((-3393 (*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-765)) (-4 *6 (-366)) (-5 *2 (-410 (-955 *6))) (-5 *1 (-1050 *5 *6)) (-14 *5 (-1165))))) 
+(-10 -7 (-15 -3393 ((-410 (-955 |#2|)) (-635 |#2|) (-635 |#2|) (-765) (-765)))) 
+((-3531 (((-121) $) 27)) (-1491 (((-121) $) 16)) (-3568 (((-765) $) 13)) (-4145 (((-765) $) 14)) (-3757 (((-121) $) 25)) (-2421 (((-121) $) 29))) 
+(((-1051 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -8 (-15 -4145 ((-765) |#1|)) (-15 -3568 ((-765) |#1|)) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|))) (-1052 |#2| |#3| |#4| |#5| |#6|) (-765) (-765) (-1049) (-231 |#3| |#4|) (-231 |#2| |#4|)) (T -1051)) 
+NIL 
+(-10 -8 (-15 -4145 ((-765) |#1|)) (-15 -3568 ((-765) |#1|)) (-15 -2421 ((-121) |#1|)) (-15 -3531 ((-121) |#1|)) (-15 -3757 ((-121) |#1|)) (-15 -1491 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3531 (((-121) $) 48)) (-3748 (((-3 $ "failed") $ $) 18)) (-1491 (((-121) $) 50)) (-3350 (((-121) $ (-765)) 58)) (-4483 (($) 16 T CONST)) (-4003 (($ $) 31 (|has| |#3| (-302)))) (-4128 ((|#4| $ (-569)) 36)) (-3358 (((-765) $) 30 (|has| |#3| (-559)))) (-4124 ((|#3| $ (-569) (-569)) 38)) (-4303 (((-635 |#3|) $) 65 (|has| $ (-6 -4571)))) (-2557 (((-765) $) 29 (|has| |#3| (-559)))) (-3970 (((-635 |#5|) $) 28 (|has| |#3| (-559)))) (-3568 (((-765) $) 42)) (-4145 (((-765) $) 41)) (-3206 (((-121) $ (-765)) 57)) (-4094 (((-569) $) 46)) (-3841 (((-569) $) 44)) (-4457 (((-635 |#3|) $) 66 (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) 68 (-12 (|has| |#3| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 45)) (-2414 (((-569) $) 43)) (-2926 (($ (-635 (-635 |#3|))) 51)) (-2089 (($ (-1 |#3| |#3|) $) 61 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) 60) (($ (-1 |#3| |#3| |#3|) $ $) 34)) (-4269 (((-635 (-635 |#3|)) $) 40)) (-1396 (((-121) $ (-765)) 56)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#3|) 33 (|has| |#3| (-559)))) (-2985 (((-121) (-1 (-121) |#3|) $) 63 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#3|) (-635 |#3|)) 72 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) 71 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) 70 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 (-289 |#3|))) 69 (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) 52)) (-1668 (((-121) $) 55)) (-4016 (($) 54)) (-2503 ((|#3| $ (-569) (-569)) 39) ((|#3| $ (-569) (-569) |#3|) 37)) (-3757 (((-121) $) 49)) (-2691 (((-765) |#3| $) 67 (-12 (|has| |#3| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#3|) $) 64 (|has| $ (-6 -4571)))) (-1799 (($ $) 53)) (-2349 ((|#5| $ (-569)) 35)) (-3956 (((-852) $) 11)) (-3776 (((-121) (-1 (-121) |#3|) $) 62 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 47)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#3|) 32 (|has| |#3| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#3| $) 22) (($ $ |#3|) 24)) (-2946 (((-765) $) 59 (|has| $ (-6 -4571))))) 
+(((-1052 |#1| |#2| |#3| |#4| |#5|) (-1284) (-765) (-765) (-1049) (-231 |t#2| |t#3|) (-231 |t#1| |t#3|)) (T -1052)) 
+((-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-2926 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1049)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1491 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3757 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-3531 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-2421 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121)))) (-4094 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-2376 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3841 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-2414 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569)))) (-3568 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765)))) (-4145 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765)))) (-4269 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) (-2503 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) (-4124 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) (-2503 (*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *2 (-1049)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) (-4128 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *2 *7)) (-4 *6 (-1049)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6)))) (-2349 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *7 *2)) (-4 *6 (-1049)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) (-1436 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) (-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) (-4003 (*1 *1 *1) (-12 (-4 *1 (-1052 *2 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302)))) (-3358 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765)))) (-2557 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765)))) (-3970 (*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
+(-13 (-120 |t#3| |t#3|) (-500 |t#3|) (-10 -8 (-6 -4571) (IF (|has| |t#3| (-173)) (-6 (-709 |t#3|)) |noBranch|) (-15 -2926 ($ (-635 (-635 |t#3|)))) (-15 -1491 ((-121) $)) (-15 -3757 ((-121) $)) (-15 -3531 ((-121) $)) (-15 -2421 ((-121) $)) (-15 -4094 ((-569) $)) (-15 -2376 ((-569) $)) (-15 -3841 ((-569) $)) (-15 -2414 ((-569) $)) (-15 -3568 ((-765) $)) (-15 -4145 ((-765) $)) (-15 -4269 ((-635 (-635 |t#3|)) $)) (-15 -2503 (|t#3| $ (-569) (-569))) (-15 -4124 (|t#3| $ (-569) (-569))) (-15 -2503 (|t#3| $ (-569) (-569) |t#3|)) (-15 -4128 (|t#4| $ (-569))) (-15 -2349 (|t#5| $ (-569))) (-15 -4188 ($ (-1 |t#3| |t#3|) $)) (-15 -4188 ($ (-1 |t#3| |t#3| |t#3|) $ $)) (IF (|has| |t#3| (-559)) (-15 -1436 ((-3 $ "failed") $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-366)) (-15 -1383 ($ $ |t#3|)) |noBranch|) (IF (|has| |t#3| (-302)) (-15 -4003 ($ $)) |noBranch|) (IF (|has| |t#3| (-559)) (PROGN (-15 -3358 ((-765) $)) (-15 -2557 ((-765) $)) (-15 -3970 ((-635 |t#5|) $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-105) . T) ((-120 |#3| |#3|) . T) ((-138) . T) ((-609 (-852)) . T) ((-304 |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))) ((-500 |#3|) . T) ((-524 |#3| |#3|) -12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))) ((-638 |#3|) . T) ((-709 |#3|) |has| |#3| (-173)) ((-1055 |#3|) . T) ((-1093) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 40 (|has| |#3| (-302)))) (-4128 (((-233 |#2| |#3|) $ (-569)) 29)) (-4388 (($ (-681 |#3|)) 38)) (-3358 (((-765) $) 42 (|has| |#3| (-559)))) (-4124 ((|#3| $ (-569) (-569)) NIL)) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-2557 (((-765) $) 44 (|has| |#3| (-559)))) (-3970 (((-635 (-233 |#1| |#3|)) $) 48 (|has| |#3| (-559)))) (-3568 (((-765) $) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#3|))) 24)) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) NIL)) (-4269 (((-635 (-635 |#3|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#3|) NIL (|has| |#3| (-559)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) (-569)) NIL) ((|#3| $ (-569) (-569) |#3|) NIL)) (-2174 (((-140)) 51 (|has| |#3| (-366)))) (-3757 (((-121) $) NIL)) (-2691 (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093)))) (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 60 (|has| |#3| (-610 (-542))))) (-2349 (((-233 |#1| |#3|) $ (-569)) 33)) (-3956 (((-852) $) 16) (((-681 |#3|) $) 35)) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-2407 (($) 13 T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#3| $) NIL) (($ $ |#3|) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1053 |#1| |#2| |#3|) (-13 (-1052 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-681 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1260 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4388 ($ (-681 |#3|))) (-15 -3956 ((-681 |#3|) $)))) (-765) (-765) (-1049)) (T -1053)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-681 *5)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-1049)))) (-4388 (*1 *1 *2) (-12 (-5 *2 (-681 *5)) (-4 *5 (-1049)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765))))) 
+(-13 (-1052 |#1| |#2| |#3| (-233 |#2| |#3|) (-233 |#1| |#3|)) (-609 (-681 |#3|)) (-10 -8 (IF (|has| |#3| (-366)) (-6 (-1260 |#3|)) |noBranch|) (IF (|has| |#3| (-610 (-542))) (-6 (-610 (-542))) |noBranch|) (-15 -4388 ($ (-681 |#3|))) (-15 -3956 ((-681 |#3|) $)))) 
+((-2793 ((|#7| (-1 |#7| |#3| |#7|) |#6| |#7|) 34)) (-4188 ((|#10| (-1 |#7| |#3|) |#6|) 32))) 
+(((-1054 |#1| |#2| |#3| |#4| |#5| |#6| |#7| |#8| |#9| |#10|) (-10 -7 (-15 -4188 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -2793 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) (-765) (-765) (-1049) (-231 |#2| |#3|) (-231 |#1| |#3|) (-1052 |#1| |#2| |#3| |#4| |#5|) (-1049) (-231 |#2| |#7|) (-231 |#1| |#7|) (-1052 |#1| |#2| |#7| |#8| |#9|)) (T -1054)) 
+((-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1049)) (-4 *2 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *12 (-1052 *5 *6 *2 *10 *11)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1049)) (-4 *10 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1052 *5 *6 *10 *11 *12)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10))))) 
+(-10 -7 (-15 -4188 (|#10| (-1 |#7| |#3|) |#6|)) (-15 -2793 (|#7| (-1 |#7| |#3| |#7|) |#6| |#7|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ |#1|) 22))) 
+(((-1055 |#1|) (-1284) (-1056)) (T -1055)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1055 *2)) (-4 *2 (-1056))))) 
 (-13 (-21) (-10 -8 (-15 * ($ $ |t#1|)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 25)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1055) (-1278)) (T -1055)) 
-NIL 
-(-13 (-21) (-1103)) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-851)) . T) ((-1103) . T) ((-1091) . T)) 
-((-3136 (($ $) 16)) (-1847 (($ $) 22)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 49)) (-4308 (($ $) 24)) (-1346 (($ $) 11)) (-2942 (($ $) 38)) (-3817 (((-382) $) NIL) (((-216) $) NIL) (((-888 (-382)) $) 33)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 28) (($ (-569)) NIL) (($ (-410 (-569))) 28)) (-1991 (((-764)) 8)) (-2612 (($ $) 39))) 
-(((-1056 |#1|) (-10 -8 (-15 -1847 (|#1| |#1|)) (-15 -3136 (|#1| |#1|)) (-15 -1346 (|#1| |#1|)) (-15 -2942 (|#1| |#1|)) (-15 -2612 (|#1| |#1|)) (-15 -4308 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) (-1057)) (T -1056)) 
-((-1991 (*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1056 *3)) (-4 *3 (-1057))))) 
-(-10 -8 (-15 -1847 (|#1| |#1|)) (-15 -3136 (|#1| |#1|)) (-15 -1346 (|#1| |#1|)) (-15 -2942 (|#1| |#1|)) (-15 -2612 (|#1| |#1|)) (-15 -4308 (|#1| |#1|)) (-15 -2883 ((-885 (-382) |#1|) |#1| (-888 (-382)) (-885 (-382) |#1|))) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 -3817 ((-216) |#1|)) (-15 -3817 ((-382) |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -1991 ((-764))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 (((-569) $) 85)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3136 (($ $) 83)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-2454 (($ $) 93)) (-3934 (((-121) $ $) 57)) (-3638 (((-569) $) 110)) (-2820 (($) 16 T CONST)) (-1847 (($ $) 82)) (-1647 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-2428 (((-569) $) 97) (((-410 (-569)) $) 94)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-3726 (((-121) $) 69)) (-2403 (((-121) $) 108)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 89)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 92)) (-4308 (($ $) 88)) (-1781 (((-121) $) 109)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-3291 (($ $ $) 107)) (-1538 (($ $ $) 106)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1346 (($ $) 84)) (-2942 (($ $) 86)) (-1743 (((-421 $) $) 72)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-3817 (((-382) $) 101) (((-216) $) 100) (((-888 (-382)) $) 90)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-1991 (((-764)) 28)) (-2612 (($ $) 87)) (-1961 (((-121) $ $) 38)) (-1616 (($ $) 111)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1693 (((-121) $ $) 104)) (-1684 (((-121) $ $) 103)) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 105)) (-1678 (((-121) $ $) 102)) (-1715 (($ $ $) 62)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
-(((-1057) (-1278)) (T -1057)) 
-((-1616 (*1 *1 *1) (-4 *1 (-1057))) (-4308 (*1 *1 *1) (-4 *1 (-1057))) (-2612 (*1 *1 *1) (-4 *1 (-1057))) (-2942 (*1 *1 *1) (-4 *1 (-1057))) (-3761 (*1 *2 *1) (-12 (-4 *1 (-1057)) (-5 *2 (-569)))) (-1346 (*1 *1 *1) (-4 *1 (-1057))) (-3136 (*1 *1 *1) (-4 *1 (-1057))) (-1847 (*1 *1 *1) (-4 *1 (-1057)))) 
-(-13 (-366) (-841) (-1022) (-1038 (-569)) (-1038 (-410 (-569))) (-1003) (-610 (-888 (-382))) (-882 (-382)) (-151) (-10 -8 (-15 -4308 ($ $)) (-15 -2612 ($ $)) (-15 -2942 ($ $)) (-15 -3761 ((-569) $)) (-15 -1346 ($ $)) (-15 -3136 ($ $)) (-15 -1847 ($ $)) (-15 -1616 ($ $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-851)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-888 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 $) . T) ((-717) . T) ((-787) . T) ((-788) . T) ((-790) . T) ((-791) . T) ((-841) . T) ((-843) . T) ((-882 (-382)) . T) ((-917) . T) ((-1003) . T) ((-1022) . T) ((-1038 (-410 (-569))) . T) ((-1038 (-569)) . T) ((-1054 (-410 (-569))) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) |#2| $) 23)) (-2085 ((|#1| $) 10)) (-3638 (((-569) |#2| $) 88)) (-3550 (((-3 $ "failed") |#2| (-918)) 58)) (-1869 ((|#1| $) 28)) (-3555 ((|#1| |#2| $ |#1|) 37)) (-1595 (($ $) 25)) (-3428 (((-3 |#2| "failed") |#2| $) 87)) (-2403 (((-121) |#2| $) NIL)) (-1781 (((-121) |#2| $) NIL)) (-2541 (((-121) |#2| $) 24)) (-3769 ((|#1| $) 89)) (-3833 ((|#1| $) 27)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2745 ((|#2| $) 79)) (-2185 (((-851) $) 71)) (-2994 ((|#1| |#2| $ |#1|) 38)) (-2079 (((-635 $) |#2|) 60)) (-1668 (((-121) $ $) 74))) 
-(((-1058 |#1| |#2|) (-13 (-1064 |#1| |#2|) (-10 -8 (-15 -3833 (|#1| $)) (-15 -1869 (|#1| $)) (-15 -2085 (|#1| $)) (-15 -3769 (|#1| $)) (-15 -1595 ($ $)) (-15 -2541 ((-121) |#2| $)) (-15 -3555 (|#1| |#2| $ |#1|)))) (-13 (-841) (-366)) (-1222 |#1|)) (T -1058)) 
-((-3555 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-3833 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-1869 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-2085 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-3769 (*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-1595 (*1 *1 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) (-2541 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-841) (-366))) (-5 *2 (-121)) (-5 *1 (-1058 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-13 (-1064 |#1| |#2|) (-10 -8 (-15 -3833 (|#1| $)) (-15 -1869 (|#1| $)) (-15 -2085 (|#1| $)) (-15 -3769 (|#1| $)) (-15 -1595 ($ $)) (-15 -2541 ((-121) |#2| $)) (-15 -3555 (|#1| |#2| $ |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) NIL)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) NIL)) (-2820 (($) NIL T CONST)) (-3981 (($ (-1163)) 10) (($ (-569)) 7)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) NIL)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-680 (-569)) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) NIL) (($ $) NIL)) (-2524 (($ $ $) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) NIL)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) NIL)) (-1931 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) NIL)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-4372 (($ $) NIL)) (-1906 (($ $) NIL)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) NIL)) (-3360 (((-1109) $) NIL) (($ $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) NIL)) (-1971 (($ $) NIL)) (-3817 (((-569) $) 16) (((-542) $) NIL) (((-888 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL) (($ (-1163)) 9)) (-2185 (((-851) $) 20) (($ (-569)) 6) (($ $) NIL) (($ (-569)) 6)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) NIL)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) NIL)) (-1616 (($ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) NIL)) (-1711 (($ $) 19) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
-(((-1059) (-13 (-551) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -3817 ($ (-1163))) (-15 -3981 ($ (-1163))) (-15 -3981 ($ (-569)))))) (T -1059)) 
-((-3817 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) (-3981 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) (-3981 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1059))))) 
-(-13 (-551) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -3817 ($ (-1163))) (-15 -3981 ($ (-1163))) (-15 -3981 ($ (-569))))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-3112 (((-1252) $ (-1163) (-1163)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-1505 (($) 9)) (-4469 (((-57) $ (-1163) (-57)) NIL)) (-3787 (($ $) 23)) (-2266 (($ $) 21)) (-3027 (($ $) 20)) (-3260 (($ $) 22)) (-4348 (($ $) 25)) (-2512 (($ $) 26)) (-1319 (($ $) 19)) (-1936 (($ $) 24)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) 18 (|has| $ (-6 -4535)))) (-2082 (((-3 (-57) "failed") (-1163) $) 34)) (-2820 (($) NIL T CONST)) (-1327 (($) 7)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) 46 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-3 (-57) "failed") (-1163) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535)))) (-4204 (((-3 (-1145) "failed") $ (-1145) (-569)) 59)) (-2726 (((-57) $ (-1163) (-57)) NIL (|has| $ (-6 -4536)))) (-1618 (((-57) $ (-1163)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1163) $) NIL (|has| (-1163) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) 28 (|has| $ (-6 -4535))) (((-635 (-57)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-1285 (((-1163) $) NIL (|has| (-1163) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4536))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2179 (((-635 (-1163)) $) NIL)) (-1598 (((-121) (-1163) $) NIL)) (-3889 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) 37)) (-4166 (((-635 (-1163)) $) NIL)) (-3533 (((-121) (-1163) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-2104 (((-382) $ (-1163)) 45)) (-2767 (((-635 (-1145)) $ (-1145)) 60)) (-4353 (((-57) $) NIL (|has| (-1163) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) "failed") (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL)) (-3174 (($ $ (-57)) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL (-12 (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-304 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091))))) (-2691 (((-635 (-57)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-57) $ (-1163)) NIL) (((-57) $ (-1163) (-57)) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-1416 (($ $ (-1163)) 47)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091)))) (((-764) (-57) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-57) (-1091)))) (((-764) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) 30)) (-2250 (($ $ $) 31)) (-2185 (((-851) $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-3274 (($ $ (-1163) (-382)) 43)) (-4342 (($ $ (-1163) (-382)) 44)) (-2793 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1163)) (|:| -3782 (-57)))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-57) (-1091)) (|has| (-2 (|:| -2335 (-1163)) (|:| -3782 (-57))) (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1060) (-13 (-1174 (-1163) (-57)) (-10 -8 (-15 -2250 ($ $ $)) (-15 -1327 ($)) (-15 -1319 ($ $)) (-15 -3027 ($ $)) (-15 -2266 ($ $)) (-15 -3260 ($ $)) (-15 -1936 ($ $)) (-15 -3787 ($ $)) (-15 -4348 ($ $)) (-15 -2512 ($ $)) (-15 -3274 ($ $ (-1163) (-382))) (-15 -4342 ($ $ (-1163) (-382))) (-15 -2104 ((-382) $ (-1163))) (-15 -2767 ((-635 (-1145)) $ (-1145))) (-15 -1416 ($ $ (-1163))) (-15 -1505 ($)) (-15 -4204 ((-3 (-1145) "failed") $ (-1145) (-569))) (-6 -4535)))) (T -1060)) 
-((-2250 (*1 *1 *1 *1) (-5 *1 (-1060))) (-1327 (*1 *1) (-5 *1 (-1060))) (-1319 (*1 *1 *1) (-5 *1 (-1060))) (-3027 (*1 *1 *1) (-5 *1 (-1060))) (-2266 (*1 *1 *1) (-5 *1 (-1060))) (-3260 (*1 *1 *1) (-5 *1 (-1060))) (-1936 (*1 *1 *1) (-5 *1 (-1060))) (-3787 (*1 *1 *1) (-5 *1 (-1060))) (-4348 (*1 *1 *1) (-5 *1 (-1060))) (-2512 (*1 *1 *1) (-5 *1 (-1060))) (-3274 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060)))) (-4342 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060)))) (-2104 (*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-382)) (-5 *1 (-1060)))) (-2767 (*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1060)) (-5 *3 (-1145)))) (-1416 (*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1060)))) (-1505 (*1 *1) (-5 *1 (-1060))) (-4204 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-1060))))) 
-(-13 (-1174 (-1163) (-57)) (-10 -8 (-15 -2250 ($ $ $)) (-15 -1327 ($)) (-15 -1319 ($ $)) (-15 -3027 ($ $)) (-15 -2266 ($ $)) (-15 -3260 ($ $)) (-15 -1936 ($ $)) (-15 -3787 ($ $)) (-15 -4348 ($ $)) (-15 -2512 ($ $)) (-15 -3274 ($ $ (-1163) (-382))) (-15 -4342 ($ $ (-1163) (-382))) (-15 -2104 ((-382) $ (-1163))) (-15 -2767 ((-635 (-1145)) $ (-1145))) (-15 -1416 ($ $ (-1163))) (-15 -1505 ($)) (-15 -4204 ((-3 (-1145) "failed") $ (-1145) (-569))) (-6 -4535))) 
-((-4459 (($ $) 45)) (-4482 (((-121) $ $) 74)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-954 (-410 (-569)))) 226) (((-3 $ "failed") (-954 (-569))) 225) (((-3 $ "failed") (-954 |#2|)) 228)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) NIL) (($ (-954 (-410 (-569)))) 214) (($ (-954 (-569))) 210) (($ (-954 |#2|)) 230)) (-4020 (($ $) NIL) (($ $ |#4|) 43)) (-3255 (((-121) $ $) 111) (((-121) $ (-635 $)) 112)) (-1381 (((-121) $) 56)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 106)) (-2958 (($ $) 137)) (-4433 (($ $) 133)) (-1985 (($ $) 132)) (-1816 (($ $ $) 79) (($ $ $ |#4|) 84)) (-2949 (($ $ $) 82) (($ $ $ |#4|) 86)) (-3977 (((-121) $ $) 120) (((-121) $ (-635 $)) 121)) (-4357 ((|#4| $) 33)) (-1634 (($ $ $) 109)) (-2235 (((-121) $) 55)) (-2592 (((-764) $) 35)) (-3249 (($ $) 151)) (-4356 (($ $) 148)) (-2539 (((-635 $) $) 68)) (-1528 (($ $) 57)) (-3193 (($ $) 144)) (-3548 (((-635 $) $) 65)) (-4270 (($ $) 59)) (-4012 ((|#2| $) NIL) (($ $ |#4|) 38)) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 110)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 107) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#4|) 108)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) 103) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#4|) 104)) (-1432 (($ $ $) 89) (($ $ $ |#4|) 94)) (-2470 (($ $ $) 90) (($ $ $ |#4|) 95)) (-1955 (((-635 $) $) 51)) (-3409 (((-121) $ $) 117) (((-121) $ (-635 $)) 118)) (-3005 (($ $ $) 102)) (-4043 (($ $) 37)) (-2673 (((-121) $ $) 72)) (-4310 (((-121) $ $) 113) (((-121) $ (-635 $)) 115)) (-2533 (($ $ $) 100)) (-3975 (($ $) 40)) (-2714 ((|#2| |#2| $) 141) (($ (-635 $)) NIL) (($ $ $) NIL)) (-2111 (($ $ |#2|) NIL) (($ $ $) 130)) (-4501 (($ $ |#2|) 125) (($ $ $) 128)) (-2782 (($ $) 48)) (-1392 (($ $) 52)) (-3817 (((-888 (-382)) $) NIL) (((-888 (-569)) $) NIL) (((-542) $) NIL) (($ (-954 (-410 (-569)))) 216) (($ (-954 (-569))) 212) (($ (-954 |#2|)) 227) (((-1145) $) 249) (((-954 |#2|) $) 161)) (-2185 (((-851) $) 30) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-954 |#2|) $) 162) (($ (-410 (-569))) NIL) (($ $) NIL)) (-1837 (((-3 (-121) "failed") $ $) 71))) 
-(((-1061 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 ((-954 |#2|) |#1|)) (-15 -3817 ((-954 |#2|) |#1|)) (-15 -3817 ((-1145) |#1|)) (-15 -3249 (|#1| |#1|)) (-15 -4356 (|#1| |#1|)) (-15 -3193 (|#1| |#1|)) (-15 -2958 (|#1| |#1|)) (-15 -2714 (|#2| |#2| |#1|)) (-15 -2111 (|#1| |#1| |#1|)) (-15 -4501 (|#1| |#1| |#1|)) (-15 -2111 (|#1| |#1| |#2|)) (-15 -4501 (|#1| |#1| |#2|)) (-15 -4433 (|#1| |#1|)) (-15 -1985 (|#1| |#1|)) (-15 -3817 (|#1| (-954 |#2|))) (-15 -2428 (|#1| (-954 |#2|))) (-15 -1647 ((-3 |#1| "failed") (-954 |#2|))) (-15 -3817 (|#1| (-954 (-569)))) (-15 -2428 (|#1| (-954 (-569)))) (-15 -1647 ((-3 |#1| "failed") (-954 (-569)))) (-15 -3817 (|#1| (-954 (-410 (-569))))) (-15 -2428 (|#1| (-954 (-410 (-569))))) (-15 -1647 ((-3 |#1| "failed") (-954 (-410 (-569))))) (-15 -3005 (|#1| |#1| |#1|)) (-15 -2533 (|#1| |#1| |#1|)) (-15 -2342 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3797 (-764))) |#1| |#1|)) (-15 -1634 (|#1| |#1| |#1|)) (-15 -1884 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2470 (|#1| |#1| |#1| |#4|)) (-15 -1432 (|#1| |#1| |#1| |#4|)) (-15 -2470 (|#1| |#1| |#1|)) (-15 -1432 (|#1| |#1| |#1|)) (-15 -2949 (|#1| |#1| |#1| |#4|)) (-15 -1816 (|#1| |#1| |#1| |#4|)) (-15 -2949 (|#1| |#1| |#1|)) (-15 -1816 (|#1| |#1| |#1|)) (-15 -3977 ((-121) |#1| (-635 |#1|))) (-15 -3977 ((-121) |#1| |#1|)) (-15 -3409 ((-121) |#1| (-635 |#1|))) (-15 -3409 ((-121) |#1| |#1|)) (-15 -4310 ((-121) |#1| (-635 |#1|))) (-15 -4310 ((-121) |#1| |#1|)) (-15 -3255 ((-121) |#1| (-635 |#1|))) (-15 -3255 ((-121) |#1| |#1|)) (-15 -4482 ((-121) |#1| |#1|)) (-15 -2673 ((-121) |#1| |#1|)) (-15 -1837 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2539 ((-635 |#1|) |#1|)) (-15 -3548 ((-635 |#1|) |#1|)) (-15 -4270 (|#1| |#1|)) (-15 -1528 (|#1| |#1|)) (-15 -1381 ((-121) |#1|)) (-15 -2235 ((-121) |#1|)) (-15 -4020 (|#1| |#1| |#4|)) (-15 -4012 (|#1| |#1| |#4|)) (-15 -1392 (|#1| |#1|)) (-15 -1955 ((-635 |#1|) |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -3975 (|#1| |#1|)) (-15 -4043 (|#1| |#1|)) (-15 -2592 ((-764) |#1|)) (-15 -4357 (|#4| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -4012 (|#2| |#1|)) (-15 -4020 (|#1| |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1062 |#2| |#3| |#4|) (-1048) (-789) (-843)) (T -1061)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -2714 (|#1| |#1| |#1|)) (-15 -2714 (|#1| (-635 |#1|))) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 ((-954 |#2|) |#1|)) (-15 -3817 ((-954 |#2|) |#1|)) (-15 -3817 ((-1145) |#1|)) (-15 -3249 (|#1| |#1|)) (-15 -4356 (|#1| |#1|)) (-15 -3193 (|#1| |#1|)) (-15 -2958 (|#1| |#1|)) (-15 -2714 (|#2| |#2| |#1|)) (-15 -2111 (|#1| |#1| |#1|)) (-15 -4501 (|#1| |#1| |#1|)) (-15 -2111 (|#1| |#1| |#2|)) (-15 -4501 (|#1| |#1| |#2|)) (-15 -4433 (|#1| |#1|)) (-15 -1985 (|#1| |#1|)) (-15 -3817 (|#1| (-954 |#2|))) (-15 -2428 (|#1| (-954 |#2|))) (-15 -1647 ((-3 |#1| "failed") (-954 |#2|))) (-15 -3817 (|#1| (-954 (-569)))) (-15 -2428 (|#1| (-954 (-569)))) (-15 -1647 ((-3 |#1| "failed") (-954 (-569)))) (-15 -3817 (|#1| (-954 (-410 (-569))))) (-15 -2428 (|#1| (-954 (-410 (-569))))) (-15 -1647 ((-3 |#1| "failed") (-954 (-410 (-569))))) (-15 -3005 (|#1| |#1| |#1|)) (-15 -2533 (|#1| |#1| |#1|)) (-15 -2342 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -3797 (-764))) |#1| |#1|)) (-15 -1634 (|#1| |#1| |#1|)) (-15 -1884 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -1586 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1| |#4|)) (-15 -2280 ((-2 (|:| -4140 |#1|) (|:| |gap| (-764)) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2470 (|#1| |#1| |#1| |#4|)) (-15 -1432 (|#1| |#1| |#1| |#4|)) (-15 -2470 (|#1| |#1| |#1|)) (-15 -1432 (|#1| |#1| |#1|)) (-15 -2949 (|#1| |#1| |#1| |#4|)) (-15 -1816 (|#1| |#1| |#1| |#4|)) (-15 -2949 (|#1| |#1| |#1|)) (-15 -1816 (|#1| |#1| |#1|)) (-15 -3977 ((-121) |#1| (-635 |#1|))) (-15 -3977 ((-121) |#1| |#1|)) (-15 -3409 ((-121) |#1| (-635 |#1|))) (-15 -3409 ((-121) |#1| |#1|)) (-15 -4310 ((-121) |#1| (-635 |#1|))) (-15 -4310 ((-121) |#1| |#1|)) (-15 -3255 ((-121) |#1| (-635 |#1|))) (-15 -3255 ((-121) |#1| |#1|)) (-15 -4482 ((-121) |#1| |#1|)) (-15 -2673 ((-121) |#1| |#1|)) (-15 -1837 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2539 ((-635 |#1|) |#1|)) (-15 -3548 ((-635 |#1|) |#1|)) (-15 -4270 (|#1| |#1|)) (-15 -1528 (|#1| |#1|)) (-15 -1381 ((-121) |#1|)) (-15 -2235 ((-121) |#1|)) (-15 -4020 (|#1| |#1| |#4|)) (-15 -4012 (|#1| |#1| |#4|)) (-15 -1392 (|#1| |#1|)) (-15 -1955 ((-635 |#1|) |#1|)) (-15 -2782 (|#1| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -3975 (|#1| |#1|)) (-15 -4043 (|#1| |#1|)) (-15 -2592 ((-764) |#1|)) (-15 -4357 (|#4| |#1|)) (-15 -3817 ((-542) |#1|)) (-15 -3817 ((-888 (-569)) |#1|)) (-15 -3817 ((-888 (-382)) |#1|)) (-15 -2428 (|#4| |#1|)) (-15 -1647 ((-3 |#4| "failed") |#1|)) (-15 -2185 (|#1| |#4|)) (-15 -4012 (|#2| |#1|)) (-15 -4020 (|#1| |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 |#3|) $) 108)) (-1739 (((-1159 $) $ |#3|) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 |#3|)) 109)) (-4459 (($ $) 250)) (-4482 (((-121) $ $) 236)) (-2327 (((-3 $ "failed") $ $) 18)) (-3306 (($ $ $) 195 (|has| |#1| (-559)))) (-3106 (((-635 $) $ $) 190 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-954 (-410 (-569)))) 210 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (((-3 $ "failed") (-954 (-569))) 207 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (((-3 $ "failed") (-954 |#1|)) 204 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-551))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-994 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))))) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) ((|#3| $) 133) (($ (-954 (-410 (-569)))) 209 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (($ (-954 (-569))) 206 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (($ (-954 |#1|)) 203 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (-3864 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-551))) (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (-3864 (|has| |#1| (-994 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))))) (-3493 (($ $ $ |#3|) 106 (|has| |#1| (-173))) (($ $ $) 191 (|has| |#1| (-559)))) (-4020 (($ $) 152) (($ $ |#3|) 245)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3255 (((-121) $ $) 235) (((-121) $ (-635 $)) 234)) (-3428 (((-3 $ "failed") $) 33)) (-1381 (((-121) $) 243)) (-1884 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 215)) (-2958 (($ $) 184 (|has| |#1| (-454)))) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-4433 (($ $) 200 (|has| |#1| (-559)))) (-1985 (($ $) 201 (|has| |#1| (-559)))) (-1816 (($ $ $) 227) (($ $ $ |#3|) 225)) (-2949 (($ $ $) 226) (($ $ $ |#3|) 224)) (-1667 (($ $ |#1| |#2| $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| |#3| (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| |#3| (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-3977 (((-121) $ $) 229) (((-121) $ (-635 $)) 228)) (-2465 (($ $ $ $ $) 186 (|has| |#1| (-559)))) (-4357 ((|#3| $) 254)) (-1768 (($ (-1159 |#1|) |#3|) 115) (($ (-1159 $) |#3|) 114)) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| |#2|) 151) (($ $ |#3| (-764)) 117) (($ $ (-635 |#3|) (-635 (-764))) 116)) (-1634 (($ $ $) 214)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 118)) (-2235 (((-121) $) 244)) (-4002 ((|#2| $) 168) (((-764) $ |#3|) 120) (((-635 (-764)) $ (-635 |#3|)) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-2592 (((-764) $) 253)) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 |#2| |#2|) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-1637 (((-3 |#3| "failed") $) 121)) (-3249 (($ $) 181 (|has| |#1| (-454)))) (-4356 (($ $) 182 (|has| |#1| (-454)))) (-2539 (((-635 $) $) 239)) (-1528 (($ $) 242)) (-3193 (($ $) 183 (|has| |#1| (-454)))) (-3548 (((-635 $) $) 240)) (-4270 (($ $) 241)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146) (($ $ |#3|) 246)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2342 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $) 213)) (-1586 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $) 217) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |#3|) 216)) (-2280 (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $) 219) (((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |#3|) 218)) (-1432 (($ $ $) 223) (($ $ $ |#3|) 221)) (-2470 (($ $ $) 222) (($ $ $ |#3|) 220)) (-2776 (((-1145) $) 9)) (-3988 (($ $ $) 189 (|has| |#1| (-559)))) (-1955 (((-635 $) $) 248)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| |#3|) (|:| -2356 (-764))) "failed") $) 111)) (-3409 (((-121) $ $) 231) (((-121) $ (-635 $)) 230)) (-3005 (($ $ $) 211)) (-4043 (($ $) 252)) (-2673 (((-121) $ $) 237)) (-4310 (((-121) $ $) 233) (((-121) $ (-635 $)) 232)) (-2533 (($ $ $) 212)) (-3975 (($ $) 251)) (-3360 (((-1109) $) 10)) (-3019 (((-2 (|:| -2714 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-559)))) (-2458 (((-2 (|:| -2714 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-559)))) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 ((|#1| |#1| $) 185 (|has| |#1| (-454))) (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-4442 (((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-559)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2111 (($ $ |#1|) 198 (|has| |#1| (-559))) (($ $ $) 196 (|has| |#1| (-559)))) (-4501 (($ $ |#1|) 199 (|has| |#1| (-559))) (($ $ $) 197 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2087 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3899 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-764)) 39) (($ $ (-635 |#3|) (-635 (-764))) 38)) (-2492 ((|#2| $) 148) (((-764) $ |#3|) 128) (((-635 (-764)) $ (-635 |#3|)) 127)) (-2782 (($ $) 249)) (-1392 (($ $) 247)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| |#3| (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| |#3| (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542))))) (($ (-954 (-410 (-569)))) 208 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163))))) (($ (-954 (-569))) 205 (-2232 (-12 (-3864 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1163)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1163)))))) (($ (-954 |#1|)) 202 (|has| |#3| (-610 (-1163)))) (((-1145) $) 180 (-12 (|has| |#1| (-1038 (-569))) (|has| |#3| (-610 (-1163))))) (((-954 |#1|) $) 179 (|has| |#3| (-610 (-1163))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-954 |#1|) $) 178 (|has| |#3| (-610 (-1163)))) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ |#2|) 153) (($ $ |#3| (-764)) 126) (($ $ (-635 |#3|) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1837 (((-3 (-121) "failed") $ $) 238)) (-1556 (($) 29 T CONST)) (-1325 (($ $ $ $ (-764)) 187 (|has| |#1| (-559)))) (-4381 (($ $ $ (-764)) 188 (|has| |#1| (-559)))) (-3022 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-764)) 35) (($ $ (-635 |#3|) (-635 (-764))) 34)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1062 |#1| |#2| |#3|) (-1278) (-1048) (-789) (-843)) (T -1062)) 
-((-4357 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2592 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764)))) (-4043 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3975 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2782 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1955 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-1392 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4012 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-4020 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2235 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-1381 (*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-1528 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-4270 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3548 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-2539 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-1837 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-2673 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-4482 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3255 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3255 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-4310 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-4310 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-3409 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3409 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-3977 (*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) (-3977 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) (-1816 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2949 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1816 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2949 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-1432 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2470 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1432 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2470 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) (-2280 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-2280 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) (-1586 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-1586 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) (-1884 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) (-1634 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-2342 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3797 (-764)))) (-4 *1 (-1062 *3 *4 *5)))) (-2533 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-3005 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) (-1647 (*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-2428 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) (-1647 (*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-2428 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-3817 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) (-1647 (*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) (-2428 (*1 *1 *2) (-2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *5 (-610 (-1163))) (-4 *4 (-789)) (-4 *5 (-843)))) (-1985 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4433 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4501 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2111 (*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4501 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2111 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4442 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-2458 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-3019 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5)))) (-3493 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-3106 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5)))) (-3988 (*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-4381 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559)))) (-1325 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559)))) (-2465 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) (-2714 (*1 *2 *2 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-2958 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-3193 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-4356 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) (-3249 (*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(-13 (-951 |t#1| |t#2| |t#3|) (-10 -8 (-15 -4357 (|t#3| $)) (-15 -2592 ((-764) $)) (-15 -4043 ($ $)) (-15 -3975 ($ $)) (-15 -4459 ($ $)) (-15 -2782 ($ $)) (-15 -1955 ((-635 $) $)) (-15 -1392 ($ $)) (-15 -4012 ($ $ |t#3|)) (-15 -4020 ($ $ |t#3|)) (-15 -2235 ((-121) $)) (-15 -1381 ((-121) $)) (-15 -1528 ($ $)) (-15 -4270 ($ $)) (-15 -3548 ((-635 $) $)) (-15 -2539 ((-635 $) $)) (-15 -1837 ((-3 (-121) "failed") $ $)) (-15 -2673 ((-121) $ $)) (-15 -4482 ((-121) $ $)) (-15 -3255 ((-121) $ $)) (-15 -3255 ((-121) $ (-635 $))) (-15 -4310 ((-121) $ $)) (-15 -4310 ((-121) $ (-635 $))) (-15 -3409 ((-121) $ $)) (-15 -3409 ((-121) $ (-635 $))) (-15 -3977 ((-121) $ $)) (-15 -3977 ((-121) $ (-635 $))) (-15 -1816 ($ $ $)) (-15 -2949 ($ $ $)) (-15 -1816 ($ $ $ |t#3|)) (-15 -2949 ($ $ $ |t#3|)) (-15 -1432 ($ $ $)) (-15 -2470 ($ $ $)) (-15 -1432 ($ $ $ |t#3|)) (-15 -2470 ($ $ $ |t#3|)) (-15 -2280 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $)) (-15 -2280 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -1830 $)) $ $ |t#3|)) (-15 -1586 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1586 ((-2 (|:| -4140 $) (|:| |gap| (-764)) (|:| -4268 $) (|:| -1830 $)) $ $ |t#3|)) (-15 -1884 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -1634 ($ $ $)) (-15 -2342 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -3797 (-764))) $ $)) (-15 -2533 ($ $ $)) (-15 -3005 ($ $ $)) (IF (|has| |t#3| (-610 (-1163))) (PROGN (-6 (-609 (-954 |t#1|))) (-6 (-610 (-954 |t#1|))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1647 ((-3 $ "failed") (-954 (-410 (-569))))) (-15 -2428 ($ (-954 (-410 (-569))))) (-15 -3817 ($ (-954 (-410 (-569))))) (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-954 (-569)))) (-15 -3817 ($ (-954 (-569)))) (IF (|has| |t#1| (-994 (-569))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 (-569)))) (-15 -2428 ($ (-954 (-569)))) (-15 -3817 ($ (-954 (-569)))) (IF (|has| |t#1| (-551)) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) |noBranch| (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -1647 ((-3 $ "failed") (-954 |t#1|))) (-15 -2428 ($ (-954 |t#1|)))))) (-15 -3817 ($ (-954 |t#1|))) (IF (|has| |t#1| (-1038 (-569))) (-6 (-610 (-1145))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -1985 ($ $)) (-15 -4433 ($ $)) (-15 -4501 ($ $ |t#1|)) (-15 -2111 ($ $ |t#1|)) (-15 -4501 ($ $ $)) (-15 -2111 ($ $ $)) (-15 -3306 ($ $ $)) (-15 -4442 ((-2 (|:| -2714 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -2458 ((-2 (|:| -2714 $) (|:| |coef1| $)) $ $)) (-15 -3019 ((-2 (|:| -2714 $) (|:| |coef2| $)) $ $)) (-15 -3493 ($ $ $)) (-15 -3106 ((-635 $) $ $)) (-15 -3988 ($ $ $)) (-15 -4381 ($ $ $ (-764))) (-15 -1325 ($ $ $ $ (-764))) (-15 -2465 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -2714 (|t#1| |t#1| $)) (-15 -2958 ($ $)) (-15 -3193 ($ $)) (-15 -4356 ($ $)) (-15 -3249 ($ $))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-609 (-954 |#1|)) |has| |#3| (-610 (-1163))) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#3| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#3| (-610 (-888 (-569))))) ((-610 (-954 |#1|)) |has| |#3| (-610 (-1163))) ((-610 (-1145)) -12 (|has| |#1| (-1038 (-569))) (|has| |#3| (-610 (-1163)))) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 |#3|) . T) ((-882 (-382)) -12 (|has| |#1| (-882 (-382))) (|has| |#3| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-882 (-569))) (|has| |#3| (-882 (-569)))) ((-951 |#1| |#2| |#3|) . T) ((-905) |has| |#1| (-905)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 |#1|) . T) ((-1038 |#3|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) |has| |#1| (-905))) 
-((-3813 (((-121) |#3| $) 13)) (-3550 (((-3 $ "failed") |#3| (-918)) 23)) (-3428 (((-3 |#3| "failed") |#3| $) 37)) (-2403 (((-121) |#3| $) 16)) (-1781 (((-121) |#3| $) 14))) 
-(((-1063 |#1| |#2| |#3|) (-10 -8 (-15 -3550 ((-3 |#1| "failed") |#3| (-918))) (-15 -3428 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2403 ((-121) |#3| |#1|)) (-15 -1781 ((-121) |#3| |#1|)) (-15 -3813 ((-121) |#3| |#1|))) (-1064 |#2| |#3|) (-13 (-841) (-366)) (-1222 |#2|)) (T -1063)) 
-NIL 
-(-10 -8 (-15 -3550 ((-3 |#1| "failed") |#3| (-918))) (-15 -3428 ((-3 |#3| "failed") |#3| |#1|)) (-15 -2403 ((-121) |#3| |#1|)) (-15 -1781 ((-121) |#3| |#1|)) (-15 -3813 ((-121) |#3| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) |#2| $) 20)) (-3638 (((-569) |#2| $) 21)) (-3550 (((-3 $ "failed") |#2| (-918)) 14)) (-3555 ((|#1| |#2| $ |#1|) 12)) (-3428 (((-3 |#2| "failed") |#2| $) 17)) (-2403 (((-121) |#2| $) 18)) (-1781 (((-121) |#2| $) 19)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2745 ((|#2| $) 16)) (-2185 (((-851) $) 11)) (-2994 ((|#1| |#2| $ |#1|) 13)) (-2079 (((-635 $) |#2|) 15)) (-1668 (((-121) $ $) 6))) 
-(((-1064 |#1| |#2|) (-1278) (-13 (-841) (-366)) (-1222 |t#1|)) (T -1064)) 
-((-3638 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-569)))) (-3813 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-1781 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-2403 (*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121)))) (-3428 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) (-2745 (*1 *2 *1) (-12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) (-2079 (*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1064 *4 *3)))) (-3550 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-4 *4 (-13 (-841) (-366))) (-4 *1 (-1064 *4 *2)) (-4 *2 (-1222 *4)))) (-2994 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2)))) (-3555 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2))))) 
-(-13 (-1091) (-10 -8 (-15 -3638 ((-569) |t#2| $)) (-15 -3813 ((-121) |t#2| $)) (-15 -1781 ((-121) |t#2| $)) (-15 -2403 ((-121) |t#2| $)) (-15 -3428 ((-3 |t#2| "failed") |t#2| $)) (-15 -2745 (|t#2| $)) (-15 -2079 ((-635 $) |t#2|)) (-15 -3550 ((-3 $ "failed") |t#2| (-918))) (-15 -2994 (|t#1| |t#2| $ |t#1|)) (-15 -3555 (|t#1| |t#2| $ |t#1|)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-4410 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764)) 95)) (-1405 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 55)) (-3987 (((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)) 87)) (-2734 (((-764) (-635 |#4|) (-635 |#5|)) 27)) (-2500 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 57) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121)) 59)) (-4157 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 79)) (-3817 (((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 82)) (-2393 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121)) 54)) (-1828 (((-764) (-635 |#4|) (-635 |#5|)) 19))) 
-(((-1065 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1065)) 
-((-3987 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1065 *4 *5 *6 *7 *8)))) (-4410 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1067 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1065 *7 *8 *9 *10 *11)))) (-4157 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-4157 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-2500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2500 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2500 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *7 *8 *9 *3 *4)) (-4 *4 (-1067 *7 *8 *9 *3)))) (-1405 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-1405 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2393 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) (-1828 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-121))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) 
-((-1658 (((-121) |#5| $) 20)) (-3903 (((-121) |#5| $) 23)) (-3617 (((-121) |#5| $) 16) (((-121) $) 44)) (-2652 (((-635 $) |#5| $) NIL) (((-635 $) (-635 |#5|) $) 76) (((-635 $) (-635 |#5|) (-635 $)) 74) (((-635 $) |#5| (-635 $)) 77)) (-3499 (($ $ |#5|) NIL) (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 59) (((-635 $) (-635 |#5|) $) 61) (((-635 $) (-635 |#5|) (-635 $)) 63)) (-4455 (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 53) (((-635 $) (-635 |#5|) $) 55) (((-635 $) (-635 |#5|) (-635 $)) 57)) (-4060 (((-121) |#5| $) 26))) 
-(((-1066 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3499 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3499 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3499 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3499 ((-635 |#1|) |#5| |#1|)) (-15 -4455 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -4455 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -4455 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -4455 ((-635 |#1|) |#5| |#1|)) (-15 -2652 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2652 ((-635 |#1|) |#5| |#1|)) (-15 -3903 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#1|)) (-15 -4060 ((-121) |#5| |#1|)) (-15 -1658 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#5| |#1|)) (-15 -3499 (|#1| |#1| |#5|))) (-1067 |#2| |#3| |#4| |#5|) (-454) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -1066)) 
-NIL 
-(-10 -8 (-15 -3499 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3499 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3499 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3499 ((-635 |#1|) |#5| |#1|)) (-15 -4455 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -4455 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -4455 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -4455 ((-635 |#1|) |#5| |#1|)) (-15 -2652 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2652 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2652 ((-635 |#1|) |#5| |#1|)) (-15 -3903 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#1|)) (-15 -4060 ((-121) |#5| |#1|)) (-15 -1658 ((-121) |#5| |#1|)) (-15 -3617 ((-121) |#5| |#1|)) (-15 -3499 (|#1| |#1| |#5|))) 
-((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-1067 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1067)) 
-((-3617 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-1658 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-4060 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3617 (*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3903 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3730 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2253 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2253 (*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-2482 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2870 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-3988 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2004 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2652 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-2652 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-2652 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-2652 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-4455 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-4455 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-4455 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-4455 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-3897 (*1 *1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3897 (*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)))) (-3499 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) (-3499 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) (-3499 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) (-3499 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) (-4426 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *5 *6 *7 *8))))) 
-(-13 (-1191 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -3617 ((-121) |t#4| $)) (-15 -1658 ((-121) |t#4| $)) (-15 -4060 ((-121) |t#4| $)) (-15 -3617 ((-121) $)) (-15 -3903 ((-121) |t#4| $)) (-15 -3730 ((-3 (-121) (-635 $)) |t#4| $)) (-15 -2253 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |t#4| $)) (-15 -2253 ((-121) |t#4| $)) (-15 -2482 ((-635 $) |t#4| $)) (-15 -2870 ((-3 |t#4| (-635 $)) |t#4| |t#4| $)) (-15 -3988 ((-635 (-2 (|:| |val| |t#4|) (|:| -4003 $))) |t#4| |t#4| $)) (-15 -2004 ((-635 (-2 (|:| |val| |t#4|) (|:| -4003 $))) |t#4| $)) (-15 -2652 ((-635 $) |t#4| $)) (-15 -2652 ((-635 $) (-635 |t#4|) $)) (-15 -2652 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -2652 ((-635 $) |t#4| (-635 $))) (-15 -4455 ((-635 $) |t#4| $)) (-15 -4455 ((-635 $) |t#4| (-635 $))) (-15 -4455 ((-635 $) (-635 |t#4|) $)) (-15 -4455 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3897 ($ |t#4| $)) (-15 -3897 ($ (-635 |t#4|) $)) (-15 -3499 ((-635 $) |t#4| $)) (-15 -3499 ((-635 $) |t#4| (-635 $))) (-15 -3499 ((-635 $) (-635 |t#4|) $)) (-15 -3499 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -4426 ((-635 $) (-635 |t#4|) (-121))))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
-((-1500 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 81)) (-2861 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 112)) (-3042 (((-635 |#5|) |#4| |#5|) 70)) (-3651 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3522 (((-1252)) 35)) (-3976 (((-1252)) 25)) (-3650 (((-1252) (-1145) (-1145) (-1145)) 31)) (-3327 (((-1252) (-1145) (-1145) (-1145)) 20)) (-2135 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|) 95)) (-2410 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121)) 106) (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-2722 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 101))) 
-(((-1068 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -2135 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -2722 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2861 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -3651 ((-121) |#4| |#5|)) (-15 -3651 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3042 ((-635 |#5|) |#4| |#5|)) (-15 -1500 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1068)) 
-((-1500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3042 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3651 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3651 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2861 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2722 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2410 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1068 *6 *7 *4 *8 *9)))) (-2410 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-2135 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3522 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3650 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3976 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3327 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -2135 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2410 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -2722 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2861 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -3651 ((-121) |#4| |#5|)) (-15 -3651 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3042 ((-635 |#5|) |#4| |#5|)) (-15 -1500 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) 
-((-2568 (((-121) $ $) NIL)) (-1486 (((-1163) $) 8)) (-2776 (((-1145) $) 16)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 13))) 
-(((-1069 |#1|) (-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) (-1163)) (T -1069)) 
-((-1486 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1069 *3)) (-14 *3 *2)))) 
-(-13 (-1091) (-10 -8 (-15 -1486 ((-1163) $)))) 
-((-2568 (((-121) $ $) NIL)) (-1632 (($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|))) 29)) (-1932 (($ |#3| |#3|) 21) (($ |#3| |#3| (-635 (-1163))) 19)) (-4387 ((|#3| $) 13)) (-1647 (((-3 (-289 |#3|) "failed") $) 56)) (-2428 (((-289 |#3|) $) NIL)) (-2570 (((-635 (-1163)) $) 15)) (-4095 (((-888 |#1|) $) 11)) (-1589 ((|#3| $) 12)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-918)) 36)) (-2185 (((-851) $) 84) (($ (-289 |#3|)) 20)) (-1668 (((-121) $ $) 33))) 
-(((-1070 |#1| |#2| |#3|) (-13 (-1091) (-282 |#3| |#3|) (-1038 (-289 |#3|)) (-10 -8 (-15 -1932 ($ |#3| |#3|)) (-15 -1932 ($ |#3| |#3| (-635 (-1163)))) (-15 -1632 ($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|)))) (-15 -4095 ((-888 |#1|) $)) (-15 -1589 (|#3| $)) (-15 -4387 (|#3| $)) (-15 -1534 (|#3| $ |#3| (-918))) (-15 -2570 ((-635 (-1163)) $)))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -1070)) 
-((-1932 (*1 *1 *2 *2) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))))) (-1932 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-1632 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *6)))) (-4095 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 *2))) (-5 *2 (-888 *3)) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 *2))))) (-1589 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) (-4387 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) (-1534 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) (-2570 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1163))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
-(-13 (-1091) (-282 |#3| |#3|) (-1038 (-289 |#3|)) (-10 -8 (-15 -1932 ($ |#3| |#3|)) (-15 -1932 ($ |#3| |#3| (-635 (-1163)))) (-15 -1632 ($ $ (-635 (-1163)) (-1 (-121) (-635 |#3|)))) (-15 -4095 ((-888 |#1|) $)) (-15 -1589 (|#3| $)) (-15 -4387 (|#3| $)) (-15 -1534 (|#3| $ |#3| (-918))) (-15 -2570 ((-635 (-1163)) $)))) 
-((-2568 (((-121) $ $) NIL)) (-1956 (($ (-635 (-1070 |#1| |#2| |#3|))) 12)) (-1320 (((-635 (-1070 |#1| |#2| |#3|)) $) 19)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1534 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-918)) 25)) (-2185 (((-851) $) 15)) (-1668 (((-121) $ $) 18))) 
-(((-1071 |#1| |#2| |#3|) (-13 (-1091) (-282 |#3| |#3|) (-10 -8 (-15 -1956 ($ (-635 (-1070 |#1| |#2| |#3|)))) (-15 -1320 ((-635 (-1070 |#1| |#2| |#3|)) $)) (-15 -1534 (|#3| $ |#3| (-918))))) (-1091) (-13 (-1048) (-882 |#1|) (-843) (-610 (-888 |#1|))) (-13 (-433 |#2|) (-882 |#1|) (-610 (-888 |#1|)))) (T -1071)) 
-((-1956 (*1 *1 *2) (-12 (-5 *2 (-635 (-1070 *3 *4 *5))) (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1071 *3 *4 *5)))) (-1320 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1070 *3 *4 *5))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))))) (-1534 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4))))))) 
-(-13 (-1091) (-282 |#3| |#3|) (-10 -8 (-15 -1956 ($ (-635 (-1070 |#1| |#2| |#3|)))) (-15 -1320 ((-635 (-1070 |#1| |#2| |#3|)) $)) (-15 -1534 (|#3| $ |#3| (-918))))) 
-((-1590 (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)) 73) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|))) 75) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121)) 74))) 
-(((-1072 |#1| |#2|) (-10 -7 (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)))) (-13 (-302) (-151)) (-635 (-1163))) (T -1072)) 
-((-1590 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))))) (-1590 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1072 *4 *5)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))))) (-1590 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163)))))) 
-(-10 -7 (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -1590 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)))) 
-((-1743 (((-421 |#3|) |#3|) 16))) 
-(((-1073 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) (-1222 (-410 (-569))) (-13 (-366) (-151) (-715 (-410 (-569)) |#1|)) (-1222 |#2|)) (T -1073)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1073 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 125)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-366)))) (-3383 (($ $) NIL (|has| |#1| (-366)))) (-4354 (((-121) $) NIL (|has| |#1| (-366)))) (-3294 (((-680 |#1|) (-1247 $)) NIL) (((-680 |#1|)) 115)) (-1377 ((|#1| $) 119)) (-2620 (((-1171 (-918) (-764)) (-569)) NIL (|has| |#1| (-351)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2085 (((-764)) 40 (|has| |#1| (-371)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-2623 (($ (-1247 |#1|) (-1247 $)) NIL) (($ (-1247 |#1|)) 43)) (-3326 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-3325 (((-680 |#1|) $ (-1247 $)) NIL) (((-680 |#1|) $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 106) (((-680 |#1|) (-680 $)) 100)) (-1774 (($ |#2|) 61) (((-3 $ "failed") (-410 |#2|)) NIL (|has| |#1| (-366)))) (-3428 (((-3 $ "failed") $) NIL)) (-1321 (((-918)) 77)) (-4327 (($) 44 (|has| |#1| (-371)))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3188 (($) NIL (|has| |#1| (-351)))) (-3354 (((-121) $) NIL (|has| |#1| (-351)))) (-2751 (($ $ (-764)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2558 (((-918) $) NIL (|has| |#1| (-351))) (((-829 (-918)) $) NIL (|has| |#1| (-351)))) (-1407 (((-121) $) NIL)) (-4308 ((|#1| $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2770 ((|#2| $) 84 (|has| |#1| (-366)))) (-2083 (((-918) $) 129 (|has| |#1| (-371)))) (-1769 ((|#2| $) 58)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-4043 (($) NIL (|has| |#1| (-351)) CONST)) (-3998 (($ (-918)) 124 (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-1809 (($) 121)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3530 (((-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569))))) NIL (|has| |#1| (-351)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 ((|#1| (-1247 $)) NIL) ((|#1|) 109)) (-1291 (((-764) $) NIL (|has| |#1| (-351))) (((-3 (-764) "failed") $ $) NIL (|has| |#1| (-351)))) (-3899 (($ $) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1 |#1| |#1|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3497 (((-680 |#1|) (-1247 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-2745 ((|#2|) 73)) (-2319 (($) NIL (|has| |#1| (-351)))) (-1648 (((-1247 |#1|) $ (-1247 $)) 89) (((-680 |#1|) (-1247 $) (-1247 $)) NIL) (((-1247 |#1|) $) 71) (((-680 |#1|) (-1247 $)) 85)) (-3817 (((-1247 |#1|) $) NIL) (($ (-1247 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (|has| |#1| (-351)))) (-2185 (((-851) $) 57) (($ (-569)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-366))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-366)) (|has| |#1| (-1038 (-410 (-569))))))) (-3953 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2742 ((|#2| $) 82)) (-1991 (((-764)) 75)) (-3930 (((-1247 $)) 81)) (-1961 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 30 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-896 (-1163))))) (($ $ (-1 |#1| |#1|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-1668 (((-121) $ $) 63)) (-1715 (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) 67) (($ $ $) NIL)) (-1707 (($ $ $) 65)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
-(((-1074 |#1| |#2| |#3|) (-715 |#1| |#2|) (-173) (-1222 |#1|) |#2|) (T -1074)) 
-NIL 
-(-715 |#1| |#2|) 
-((-1743 (((-421 |#3|) |#3|) 16))) 
-(((-1075 |#1| |#2| |#3|) (-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) (-1222 (-410 (-954 (-569)))) (-13 (-366) (-151) (-715 (-410 (-954 (-569))) |#1|)) (-1222 |#2|)) (T -1075)) 
-((-1743 (*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-954 (-569))))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-954 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1075 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(-10 -7 (-15 -1743 ((-421 |#3|) |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-3291 (($ $ $) 14)) (-1538 (($ $ $) 15)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2946 (($) 6)) (-3817 (((-1163) $) 18)) (-2185 (((-851) $) 12)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 13)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 8))) 
-(((-1076) (-13 (-843) (-10 -8 (-15 -2946 ($)) (-15 -3817 ((-1163) $))))) (T -1076)) 
-((-2946 (*1 *1) (-5 *1 (-1076))) (-3817 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1076))))) 
-(-13 (-843) (-10 -8 (-15 -2946 ($)) (-15 -3817 ((-1163) $)))) 
-((-1824 ((|#1| |#1| (-1 (-569) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-4189 (((-1252)) 15)) (-1706 (((-635 |#1|)) 9))) 
-(((-1077 |#1|) (-10 -7 (-15 -4189 ((-1252))) (-15 -1706 ((-635 |#1|))) (-15 -1824 (|#1| |#1| (-1 (-121) |#1|))) (-15 -1824 (|#1| |#1| (-1 (-569) |#1| |#1|)))) (-139)) (T -1077)) 
-((-1824 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) (-1824 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) (-1706 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1077 *3)) (-4 *3 (-139)))) (-4189 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
-(-10 -7 (-15 -4189 ((-1252))) (-15 -1706 ((-635 |#1|))) (-15 -1824 (|#1| |#1| (-1 (-121) |#1|))) (-15 -1824 (|#1| |#1| (-1 (-569) |#1| |#1|)))) 
-((-4064 (((-1247 (-680 |#1|)) (-635 (-680 |#1|))) 41) (((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|))) 60) (((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|)))) 76)) (-1648 (((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))) 35))) 
-(((-1078 |#1|) (-10 -7 (-15 -4064 ((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|))))) (-15 -4064 ((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|)))) (-15 -4064 ((-1247 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -1648 ((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))))) (-366)) (T -1078)) 
-((-1648 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-680 *5))) (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-1247 *5)) (-5 *1 (-1078 *5)))) (-4064 (*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-1078 *4)))) (-4064 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-954 *5)))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-954 *5))))) (-4064 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-410 (-954 *5))))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
-(-10 -7 (-15 -4064 ((-1247 (-680 (-410 (-954 |#1|)))) (-635 (-1163)) (-680 (-410 (-954 |#1|))))) (-15 -4064 ((-1247 (-680 (-954 |#1|))) (-635 (-1163)) (-680 (-954 |#1|)))) (-15 -4064 ((-1247 (-680 |#1|)) (-635 (-680 |#1|)))) (-15 -1648 ((-1247 |#1|) (-680 |#1|) (-635 (-680 |#1|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1644 (((-635 (-764)) $) NIL) (((-635 (-764)) $ (-1163)) NIL)) (-2496 (((-764) $) NIL) (((-764) $ (-1163)) NIL)) (-1773 (((-635 (-1080 (-1163))) $) NIL)) (-1739 (((-1159 $) $ (-1080 (-1163))) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1080 (-1163)))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-4302 (($ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1080 (-1163)) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL) (((-3 (-1114 |#1| (-1163)) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1080 (-1163)) $) NIL) (((-1163) $) NIL) (((-1114 |#1| (-1163)) $) NIL)) (-3493 (($ $ $ (-1080 (-1163))) NIL (|has| |#1| (-173)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1080 (-1163))) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 (-1080 (-1163))) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1080 (-1163)) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1080 (-1163)) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-1768 (($ (-1159 |#1|) (-1080 (-1163))) NIL) (($ (-1159 $) (-1080 (-1163))) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-535 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1080 (-1163))) NIL)) (-4002 (((-535 (-1080 (-1163))) $) NIL) (((-764) $ (-1080 (-1163))) NIL) (((-635 (-764)) $ (-635 (-1080 (-1163)))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 (-1080 (-1163))) (-535 (-1080 (-1163)))) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1918 (((-1 $ (-764)) (-1163)) NIL) (((-1 $ (-764)) $) NIL (|has| |#1| (-226)))) (-1637 (((-3 (-1080 (-1163)) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-4163 (((-1080 (-1163)) $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4505 (((-121) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1080 (-1163))) (|:| -2356 (-764))) "failed") $) NIL)) (-4000 (($ $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1080 (-1163)) |#1|) NIL) (($ $ (-635 (-1080 (-1163))) (-635 |#1|)) NIL) (($ $ (-1080 (-1163)) $) NIL) (($ $ (-635 (-1080 (-1163))) (-635 $)) NIL) (($ $ (-1163) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1163)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2087 (($ $ (-1080 (-1163))) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1080 (-1163))) NIL) (($ $ (-635 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1511 (((-635 (-1163)) $) NIL)) (-2492 (((-535 (-1080 (-1163))) $) NIL) (((-764) $ (-1080 (-1163))) NIL) (((-635 (-764)) $ (-635 (-1080 (-1163)))) NIL) (((-764) $ (-1163)) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1080 (-1163)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1080 (-1163))) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1080 (-1163))) NIL) (($ (-1163)) NIL) (($ (-1114 |#1| (-1163))) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-535 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1080 (-1163))) NIL) (($ $ (-635 (-1080 (-1163)))) NIL) (($ $ (-1080 (-1163)) (-764)) NIL) (($ $ (-635 (-1080 (-1163))) (-635 (-764))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-764)) NIL (|has| |#1| (-226))) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1079 |#1|) (-13 (-247 |#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) (-1038 (-1114 |#1| (-1163)))) (-1048)) (T -1079)) 
-NIL 
-(-13 (-247 |#1| (-1163) (-1080 (-1163)) (-535 (-1080 (-1163)))) (-1038 (-1114 |#1| (-1163)))) 
-((-2568 (((-121) $ $) NIL)) (-2496 (((-764) $) NIL)) (-3534 ((|#1| $) 10)) (-1647 (((-3 |#1| "failed") $) NIL)) (-2428 ((|#1| $) NIL)) (-2558 (((-764) $) 11)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-1918 (($ |#1| (-764)) 9)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-3899 (($ $) NIL) (($ $ (-764)) NIL)) (-2185 (((-851) $) NIL) (($ |#1|) NIL)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 15))) 
-(((-1080 |#1|) (-263 |#1|) (-843)) (T -1080)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 25)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1056) (-1284)) (T -1056)) 
+NIL 
+(-13 (-21) (-1105)) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-138) . T) ((-609 (-852)) . T) ((-1105) . T) ((-1093) . T)) 
+((-3146 (($ $) 16)) (-3411 (($ $) 22)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 49)) (-3046 (($ $) 24)) (-1391 (($ $) 11)) (-1807 (($ $) 38)) (-4035 (((-382) $) NIL) (((-216) $) NIL) (((-889 (-382)) $) 33)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL) (($ (-410 (-569))) 28) (($ (-569)) NIL) (($ (-410 (-569))) 28)) (-2320 (((-765)) 8)) (-3215 (($ $) 39))) 
+(((-1057 |#1|) (-10 -8 (-15 -3411 (|#1| |#1|)) (-15 -3146 (|#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -1807 (|#1| |#1|)) (-15 -3215 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) (-1058)) (T -1057)) 
+((-2320 (*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1057 *3)) (-4 *3 (-1058))))) 
+(-10 -8 (-15 -3411 (|#1| |#1|)) (-15 -3146 (|#1| |#1|)) (-15 -1391 (|#1| |#1|)) (-15 -1807 (|#1| |#1|)) (-15 -3215 (|#1| |#1|)) (-15 -3046 (|#1| |#1|)) (-15 -3318 ((-886 (-382) |#1|) |#1| (-889 (-382)) (-886 (-382) |#1|))) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 -4035 ((-216) |#1|)) (-15 -4035 ((-382) |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -2320 ((-765))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 (((-569) $) 85)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3146 (($ $) 83)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-3422 (($ $) 93)) (-2889 (((-121) $ $) 57)) (-3817 (((-569) $) 110)) (-4483 (($) 16 T CONST)) (-3411 (($ $) 82)) (-3003 (((-3 (-569) "failed") $) 98) (((-3 (-410 (-569)) "failed") $) 95)) (-1321 (((-569) $) 97) (((-410 (-569)) $) 94)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-2005 (((-121) $) 69)) (-1863 (((-121) $) 108)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 89)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 92)) (-3046 (($ $) 88)) (-4311 (((-121) $) 109)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2157 (($ $ $) 107)) (-2713 (($ $ $) 106)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-1391 (($ $) 84)) (-1807 (($ $) 86)) (-3139 (((-421 $) $) 72)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-4035 (((-382) $) 101) (((-216) $) 100) (((-889 (-382)) $) 90)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ (-569)) 99) (($ (-410 (-569))) 96)) (-2320 (((-765)) 28)) (-3215 (($ $) 87)) (-2909 (((-121) $ $) 38)) (-4080 (($ $) 111)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1355 (((-121) $ $) 104)) (-1343 (((-121) $ $) 103)) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 105)) (-1337 (((-121) $ $) 102)) (-1383 (($ $ $) 62)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66) (($ $ (-410 (-569))) 91)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64))) 
+(((-1058) (-1284)) (T -1058)) 
+((-4080 (*1 *1 *1) (-4 *1 (-1058))) (-3046 (*1 *1 *1) (-4 *1 (-1058))) (-3215 (*1 *1 *1) (-4 *1 (-1058))) (-1807 (*1 *1 *1) (-4 *1 (-1058))) (-3644 (*1 *2 *1) (-12 (-4 *1 (-1058)) (-5 *2 (-569)))) (-1391 (*1 *1 *1) (-4 *1 (-1058))) (-3146 (*1 *1 *1) (-4 *1 (-1058))) (-3411 (*1 *1 *1) (-4 *1 (-1058)))) 
+(-13 (-366) (-842) (-1023) (-1039 (-569)) (-1039 (-410 (-569))) (-1004) (-610 (-889 (-382))) (-883 (-382)) (-151) (-10 -8 (-15 -3046 ($ $)) (-15 -3215 ($ $)) (-15 -1807 ($ $)) (-15 -3644 ((-569) $)) (-15 -1391 ($ $)) (-15 -3146 ($ $)) (-15 -3411 ($ $)) (-15 -4080 ($ $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 $ $) . T) ((-138) . T) ((-151) . T) ((-609 (-852)) . T) ((-173) . T) ((-610 (-216)) . T) ((-610 (-382)) . T) ((-610 (-889 (-382))) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 $) . T) ((-718) . T) ((-788) . T) ((-789) . T) ((-791) . T) ((-792) . T) ((-842) . T) ((-844) . T) ((-883 (-382)) . T) ((-918) . T) ((-1004) . T) ((-1023) . T) ((-1039 (-410 (-569))) . T) ((-1039 (-569)) . T) ((-1055 (-410 (-569))) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) |#2| $) 23)) (-2675 ((|#1| $) 10)) (-3817 (((-569) |#2| $) 88)) (-2306 (((-3 $ "failed") |#2| (-919)) 58)) (-3417 ((|#1| $) 28)) (-2465 ((|#1| |#2| $ |#1|) 37)) (-1504 (($ $) 25)) (-2611 (((-3 |#2| "failed") |#2| $) 87)) (-1863 (((-121) |#2| $) NIL)) (-4311 (((-121) |#2| $) NIL)) (-4099 (((-121) |#2| $) 24)) (-3826 ((|#1| $) 89)) (-3149 ((|#1| $) 27)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3036 ((|#2| $) 79)) (-3956 (((-852) $) 71)) (-4334 ((|#1| |#2| $ |#1|) 38)) (-2813 (((-635 $) |#2|) 60)) (-1326 (((-121) $ $) 74))) 
+(((-1059 |#1| |#2|) (-13 (-1065 |#1| |#2|) (-10 -8 (-15 -3149 (|#1| $)) (-15 -3417 (|#1| $)) (-15 -2675 (|#1| $)) (-15 -3826 (|#1| $)) (-15 -1504 ($ $)) (-15 -4099 ((-121) |#2| $)) (-15 -2465 (|#1| |#2| $ |#1|)))) (-13 (-842) (-366)) (-1228 |#1|)) (T -1059)) 
+((-2465 (*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3149 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3417 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-2675 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-3826 (*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-1504 (*1 *1 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) (-4099 (*1 *2 *3 *1) (-12 (-4 *4 (-13 (-842) (-366))) (-5 *2 (-121)) (-5 *1 (-1059 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-13 (-1065 |#1| |#2|) (-10 -8 (-15 -3149 (|#1| $)) (-15 -3417 (|#1| $)) (-15 -2675 (|#1| $)) (-15 -3826 (|#1| $)) (-15 -1504 ($ $)) (-15 -4099 ((-121) |#2| $)) (-15 -2465 (|#1| |#2| $ |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) NIL)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) NIL)) (-4483 (($) NIL T CONST)) (-1781 (($ (-1165)) 10) (($ (-569)) 7)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) NIL)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-681 (-569)) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) NIL) (($ $) NIL)) (-1626 (($ $ $) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) NIL)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) NIL)) (-3520 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) NIL)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1852 (($ $) NIL)) (-2718 (($ $) NIL)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) NIL)) (-1912 (((-1111) $) NIL) (($ $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) NIL) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) NIL)) (-1799 (($ $) NIL)) (-4035 (((-569) $) 16) (((-542) $) NIL) (((-889 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL) (($ (-1165)) 9)) (-3956 (((-852) $) 20) (($ (-569)) 6) (($ $) NIL) (($ (-569)) 6)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) NIL)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) NIL)) (-4080 (($ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) NIL)) (-1377 (($ $) 19) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL))) 
+(((-1060) (-13 (-551) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -4035 ($ (-1165))) (-15 -1781 ($ (-1165))) (-15 -1781 ($ (-569)))))) (T -1060)) 
+((-4035 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) (-1781 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) (-1781 (*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1060))))) 
+(-13 (-551) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -4035 ($ (-1165))) (-15 -1781 ($ (-1165))) (-15 -1781 ($ (-569))))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-1403 (((-1258) $ (-1165) (-1165)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4473 (($) 9)) (-2511 (((-57) $ (-1165) (-57)) NIL)) (-2759 (($ $) 23)) (-1372 (($ $) 21)) (-3200 (($ $) 20)) (-3884 (($ $) 22)) (-2602 (($ $) 25)) (-1472 (($ $) 26)) (-3331 (($ $) 19)) (-3622 (($ $) 24)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) 18 (|has| $ (-6 -4571)))) (-1809 (((-3 (-57) "failed") (-1165) $) 34)) (-4483 (($) NIL T CONST)) (-2139 (($) 7)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) 46 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-3 (-57) "failed") (-1165) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571)))) (-2281 (((-3 (-1147) "failed") $ (-1147) (-569)) 59)) (-3982 (((-57) $ (-1165) (-57)) NIL (|has| $ (-6 -4572)))) (-4124 (((-57) $ (-1165)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1165) $) NIL (|has| (-1165) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) 28 (|has| $ (-6 -4571))) (((-635 (-57)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-1301 (((-1165) $) NIL (|has| (-1165) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4572))) (($ (-1 (-57) (-57)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL) (($ (-1 (-57) (-57)) $) NIL) (($ (-1 (-57) (-57) (-57)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-1316 (((-635 (-1165)) $) NIL)) (-1591 (((-121) (-1165) $) NIL)) (-4496 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) 37)) (-2761 (((-635 (-1165)) $) NIL)) (-3292 (((-121) (-1165) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-3259 (((-382) $ (-1165)) 45)) (-2313 (((-635 (-1147)) $ (-1147)) 60)) (-1816 (((-57) $) NIL (|has| (-1165) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) "failed") (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL)) (-2417 (($ $ (-57)) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL (-12 (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-304 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (($ $ (-635 (-57)) (-635 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-57) (-57)) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-289 (-57))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093)))) (($ $ (-635 (-289 (-57)))) NIL (-12 (|has| (-57) (-304 (-57))) (|has| (-57) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093))))) (-4283 (((-635 (-57)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-57) $ (-1165)) NIL) (((-57) $ (-1165) (-57)) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-2726 (($ $ (-1165)) 47)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093)))) (((-765) (-57) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-57) (-1093)))) (((-765) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) 30)) (-4456 (($ $ $) 31)) (-3956 (((-852) $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2884 (($ $ (-1165) (-382)) 43)) (-2444 (($ $ (-1165) (-382)) 44)) (-1753 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1165)) (|:| -3175 (-57)))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) (-57)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-57) (-1093)) (|has| (-2 (|:| -3335 (-1165)) (|:| -3175 (-57))) (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1061) (-13 (-1176 (-1165) (-57)) (-10 -8 (-15 -4456 ($ $ $)) (-15 -2139 ($)) (-15 -3331 ($ $)) (-15 -3200 ($ $)) (-15 -1372 ($ $)) (-15 -3884 ($ $)) (-15 -3622 ($ $)) (-15 -2759 ($ $)) (-15 -2602 ($ $)) (-15 -1472 ($ $)) (-15 -2884 ($ $ (-1165) (-382))) (-15 -2444 ($ $ (-1165) (-382))) (-15 -3259 ((-382) $ (-1165))) (-15 -2313 ((-635 (-1147)) $ (-1147))) (-15 -2726 ($ $ (-1165))) (-15 -4473 ($)) (-15 -2281 ((-3 (-1147) "failed") $ (-1147) (-569))) (-6 -4571)))) (T -1061)) 
+((-4456 (*1 *1 *1 *1) (-5 *1 (-1061))) (-2139 (*1 *1) (-5 *1 (-1061))) (-3331 (*1 *1 *1) (-5 *1 (-1061))) (-3200 (*1 *1 *1) (-5 *1 (-1061))) (-1372 (*1 *1 *1) (-5 *1 (-1061))) (-3884 (*1 *1 *1) (-5 *1 (-1061))) (-3622 (*1 *1 *1) (-5 *1 (-1061))) (-2759 (*1 *1 *1) (-5 *1 (-1061))) (-2602 (*1 *1 *1) (-5 *1 (-1061))) (-1472 (*1 *1 *1) (-5 *1 (-1061))) (-2884 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061)))) (-2444 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061)))) (-3259 (*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-382)) (-5 *1 (-1061)))) (-2313 (*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1061)) (-5 *3 (-1147)))) (-2726 (*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1061)))) (-4473 (*1 *1) (-5 *1 (-1061))) (-2281 (*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-1061))))) 
+(-13 (-1176 (-1165) (-57)) (-10 -8 (-15 -4456 ($ $ $)) (-15 -2139 ($)) (-15 -3331 ($ $)) (-15 -3200 ($ $)) (-15 -1372 ($ $)) (-15 -3884 ($ $)) (-15 -3622 ($ $)) (-15 -2759 ($ $)) (-15 -2602 ($ $)) (-15 -1472 ($ $)) (-15 -2884 ($ $ (-1165) (-382))) (-15 -2444 ($ $ (-1165) (-382))) (-15 -3259 ((-382) $ (-1165))) (-15 -2313 ((-635 (-1147)) $ (-1147))) (-15 -2726 ($ $ (-1165))) (-15 -4473 ($)) (-15 -2281 ((-3 (-1147) "failed") $ (-1147) (-569))) (-6 -4571))) 
+((-2394 (($ $) 45)) (-1712 (((-121) $ $) 74)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 |#4| "failed") $) NIL) (((-3 $ "failed") (-955 (-410 (-569)))) 226) (((-3 $ "failed") (-955 (-569))) 225) (((-3 $ "failed") (-955 |#2|)) 228)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL) ((|#4| $) NIL) (($ (-955 (-410 (-569)))) 214) (($ (-955 (-569))) 210) (($ (-955 |#2|)) 230)) (-3373 (($ $) NIL) (($ $ |#4|) 43)) (-3782 (((-121) $ $) 111) (((-121) $ (-635 $)) 112)) (-4325 (((-121) $) 56)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 106)) (-4186 (($ $) 137)) (-2823 (($ $) 133)) (-2145 (($ $) 132)) (-3706 (($ $ $) 79) (($ $ $ |#4|) 84)) (-4027 (($ $ $) 82) (($ $ $ |#4|) 86)) (-1660 (((-121) $ $) 120) (((-121) $ (-635 $)) 121)) (-1473 ((|#4| $) 33)) (-4518 (($ $ $) 109)) (-3312 (((-121) $) 55)) (-3889 (((-765) $) 35)) (-3675 (($ $) 151)) (-2796 (($ $) 148)) (-2047 (((-635 $) $) 68)) (-3866 (($ $) 57)) (-1564 (($ $) 144)) (-2248 (((-635 $) $) 65)) (-3516 (($ $) 59)) (-3270 ((|#2| $) NIL) (($ $ |#4|) 38)) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 110)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 107) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#4|) 108)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) 103) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#4|) 104)) (-3181 (($ $ $) 89) (($ $ $ |#4|) 94)) (-3253 (($ $ $) 90) (($ $ $ |#4|) 95)) (-3940 (((-635 $) $) 51)) (-2114 (((-121) $ $) 117) (((-121) $ (-635 $)) 118)) (-2709 (($ $ $) 102)) (-1423 (($ $) 37)) (-1861 (((-121) $ $) 72)) (-3072 (((-121) $ $) 113) (((-121) $ (-635 $)) 115)) (-1910 (($ $ $) 100)) (-1603 (($ $) 40)) (-3964 ((|#2| |#2| $) 141) (($ (-635 $)) NIL) (($ $ $) NIL)) (-2056 (($ $ |#2|) NIL) (($ $ $) 130)) (-4239 (($ $ |#2|) 125) (($ $ $) 128)) (-1444 (($ $) 48)) (-3486 (($ $) 52)) (-4035 (((-889 (-382)) $) NIL) (((-889 (-569)) $) NIL) (((-542) $) NIL) (($ (-955 (-410 (-569)))) 216) (($ (-955 (-569))) 212) (($ (-955 |#2|)) 227) (((-1147) $) 249) (((-955 |#2|) $) 161)) (-3956 (((-852) $) 30) (($ (-569)) NIL) (($ |#2|) NIL) (($ |#4|) NIL) (((-955 |#2|) $) 162) (($ (-410 (-569))) NIL) (($ $) NIL)) (-3183 (((-3 (-121) "failed") $ $) 71))) 
+(((-1062 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3964 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 ((-955 |#2|) |#1|)) (-15 -4035 ((-955 |#2|) |#1|)) (-15 -4035 ((-1147) |#1|)) (-15 -3675 (|#1| |#1|)) (-15 -2796 (|#1| |#1|)) (-15 -1564 (|#1| |#1|)) (-15 -4186 (|#1| |#1|)) (-15 -3964 (|#2| |#2| |#1|)) (-15 -2056 (|#1| |#1| |#1|)) (-15 -4239 (|#1| |#1| |#1|)) (-15 -2056 (|#1| |#1| |#2|)) (-15 -4239 (|#1| |#1| |#2|)) (-15 -2823 (|#1| |#1|)) (-15 -2145 (|#1| |#1|)) (-15 -4035 (|#1| (-955 |#2|))) (-15 -1321 (|#1| (-955 |#2|))) (-15 -3003 ((-3 |#1| "failed") (-955 |#2|))) (-15 -4035 (|#1| (-955 (-569)))) (-15 -1321 (|#1| (-955 (-569)))) (-15 -3003 ((-3 |#1| "failed") (-955 (-569)))) (-15 -4035 (|#1| (-955 (-410 (-569))))) (-15 -1321 (|#1| (-955 (-410 (-569))))) (-15 -3003 ((-3 |#1| "failed") (-955 (-410 (-569))))) (-15 -2709 (|#1| |#1| |#1|)) (-15 -1910 (|#1| |#1| |#1|)) (-15 -2879 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2978 (-765))) |#1| |#1|)) (-15 -4518 (|#1| |#1| |#1|)) (-15 -1530 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -3253 (|#1| |#1| |#1| |#4|)) (-15 -3181 (|#1| |#1| |#1| |#4|)) (-15 -3253 (|#1| |#1| |#1|)) (-15 -3181 (|#1| |#1| |#1|)) (-15 -4027 (|#1| |#1| |#1| |#4|)) (-15 -3706 (|#1| |#1| |#1| |#4|)) (-15 -4027 (|#1| |#1| |#1|)) (-15 -3706 (|#1| |#1| |#1|)) (-15 -1660 ((-121) |#1| (-635 |#1|))) (-15 -1660 ((-121) |#1| |#1|)) (-15 -2114 ((-121) |#1| (-635 |#1|))) (-15 -2114 ((-121) |#1| |#1|)) (-15 -3072 ((-121) |#1| (-635 |#1|))) (-15 -3072 ((-121) |#1| |#1|)) (-15 -3782 ((-121) |#1| (-635 |#1|))) (-15 -3782 ((-121) |#1| |#1|)) (-15 -1712 ((-121) |#1| |#1|)) (-15 -1861 ((-121) |#1| |#1|)) (-15 -3183 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2047 ((-635 |#1|) |#1|)) (-15 -2248 ((-635 |#1|) |#1|)) (-15 -3516 (|#1| |#1|)) (-15 -3866 (|#1| |#1|)) (-15 -4325 ((-121) |#1|)) (-15 -3312 ((-121) |#1|)) (-15 -3373 (|#1| |#1| |#4|)) (-15 -3270 (|#1| |#1| |#4|)) (-15 -3486 (|#1| |#1|)) (-15 -3940 ((-635 |#1|) |#1|)) (-15 -1444 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -1603 (|#1| |#1|)) (-15 -1423 (|#1| |#1|)) (-15 -3889 ((-765) |#1|)) (-15 -1473 (|#4| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -3270 (|#2| |#1|)) (-15 -3373 (|#1| |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1063 |#2| |#3| |#4|) (-1049) (-790) (-844)) (T -1062)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -3964 (|#1| |#1| |#1|)) (-15 -3964 (|#1| (-635 |#1|))) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 ((-955 |#2|) |#1|)) (-15 -4035 ((-955 |#2|) |#1|)) (-15 -4035 ((-1147) |#1|)) (-15 -3675 (|#1| |#1|)) (-15 -2796 (|#1| |#1|)) (-15 -1564 (|#1| |#1|)) (-15 -4186 (|#1| |#1|)) (-15 -3964 (|#2| |#2| |#1|)) (-15 -2056 (|#1| |#1| |#1|)) (-15 -4239 (|#1| |#1| |#1|)) (-15 -2056 (|#1| |#1| |#2|)) (-15 -4239 (|#1| |#1| |#2|)) (-15 -2823 (|#1| |#1|)) (-15 -2145 (|#1| |#1|)) (-15 -4035 (|#1| (-955 |#2|))) (-15 -1321 (|#1| (-955 |#2|))) (-15 -3003 ((-3 |#1| "failed") (-955 |#2|))) (-15 -4035 (|#1| (-955 (-569)))) (-15 -1321 (|#1| (-955 (-569)))) (-15 -3003 ((-3 |#1| "failed") (-955 (-569)))) (-15 -4035 (|#1| (-955 (-410 (-569))))) (-15 -1321 (|#1| (-955 (-410 (-569))))) (-15 -3003 ((-3 |#1| "failed") (-955 (-410 (-569))))) (-15 -2709 (|#1| |#1| |#1|)) (-15 -1910 (|#1| |#1| |#1|)) (-15 -2879 ((-2 (|:| |polnum| |#1|) (|:| |polden| |#1|) (|:| -2978 (-765))) |#1| |#1|)) (-15 -4518 (|#1| |#1| |#1|)) (-15 -1530 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -2579 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1| |#4|)) (-15 -1734 ((-2 (|:| -3550 |#1|) (|:| |gap| (-765)) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -3253 (|#1| |#1| |#1| |#4|)) (-15 -3181 (|#1| |#1| |#1| |#4|)) (-15 -3253 (|#1| |#1| |#1|)) (-15 -3181 (|#1| |#1| |#1|)) (-15 -4027 (|#1| |#1| |#1| |#4|)) (-15 -3706 (|#1| |#1| |#1| |#4|)) (-15 -4027 (|#1| |#1| |#1|)) (-15 -3706 (|#1| |#1| |#1|)) (-15 -1660 ((-121) |#1| (-635 |#1|))) (-15 -1660 ((-121) |#1| |#1|)) (-15 -2114 ((-121) |#1| (-635 |#1|))) (-15 -2114 ((-121) |#1| |#1|)) (-15 -3072 ((-121) |#1| (-635 |#1|))) (-15 -3072 ((-121) |#1| |#1|)) (-15 -3782 ((-121) |#1| (-635 |#1|))) (-15 -3782 ((-121) |#1| |#1|)) (-15 -1712 ((-121) |#1| |#1|)) (-15 -1861 ((-121) |#1| |#1|)) (-15 -3183 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2047 ((-635 |#1|) |#1|)) (-15 -2248 ((-635 |#1|) |#1|)) (-15 -3516 (|#1| |#1|)) (-15 -3866 (|#1| |#1|)) (-15 -4325 ((-121) |#1|)) (-15 -3312 ((-121) |#1|)) (-15 -3373 (|#1| |#1| |#4|)) (-15 -3270 (|#1| |#1| |#4|)) (-15 -3486 (|#1| |#1|)) (-15 -3940 ((-635 |#1|) |#1|)) (-15 -1444 (|#1| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -1603 (|#1| |#1|)) (-15 -1423 (|#1| |#1|)) (-15 -3889 ((-765) |#1|)) (-15 -1473 (|#4| |#1|)) (-15 -4035 ((-542) |#1|)) (-15 -4035 ((-889 (-569)) |#1|)) (-15 -4035 ((-889 (-382)) |#1|)) (-15 -1321 (|#4| |#1|)) (-15 -3003 ((-3 |#4| "failed") |#1|)) (-15 -3956 (|#1| |#4|)) (-15 -3270 (|#2| |#1|)) (-15 -3373 (|#1| |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 |#3|) $) 108)) (-3132 (((-1161 $) $ |#3|) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 |#3|)) 109)) (-2394 (($ $) 250)) (-1712 (((-121) $ $) 236)) (-3748 (((-3 $ "failed") $ $) 18)) (-2594 (($ $ $) 195 (|has| |#1| (-559)))) (-4507 (((-635 $) $ $) 190 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 |#3| "failed") $) 134) (((-3 $ "failed") (-955 (-410 (-569)))) 210 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (((-3 $ "failed") (-955 (-569))) 207 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (((-3 $ "failed") (-955 |#1|)) 204 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-551))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-995 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))))) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) ((|#3| $) 133) (($ (-955 (-410 (-569)))) 209 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (($ (-955 (-569))) 206 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (($ (-955 |#1|)) 203 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (-3182 (|has| |#1| (-43 (-569)))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-551))) (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (-3182 (|has| |#1| (-995 (-569)))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))))) (-3673 (($ $ $ |#3|) 106 (|has| |#1| (-173))) (($ $ $) 191 (|has| |#1| (-559)))) (-3373 (($ $) 152) (($ $ |#3|) 245)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-3782 (((-121) $ $) 235) (((-121) $ (-635 $)) 234)) (-2611 (((-3 $ "failed") $) 33)) (-4325 (((-121) $) 243)) (-1530 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 215)) (-4186 (($ $) 184 (|has| |#1| (-454)))) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ |#3|) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2823 (($ $) 200 (|has| |#1| (-559)))) (-2145 (($ $) 201 (|has| |#1| (-559)))) (-3706 (($ $ $) 227) (($ $ $ |#3|) 225)) (-4027 (($ $ $) 226) (($ $ $ |#3|) 224)) (-2916 (($ $ |#1| |#2| $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| |#3| (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| |#3| (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-1660 (((-121) $ $) 229) (((-121) $ (-635 $)) 228)) (-3151 (($ $ $ $ $) 186 (|has| |#1| (-559)))) (-1473 ((|#3| $) 254)) (-3187 (($ (-1161 |#1|) |#3|) 115) (($ (-1161 $) |#3|) 114)) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| |#2|) 151) (($ $ |#3| (-765)) 117) (($ $ (-635 |#3|) (-635 (-765))) 116)) (-4518 (($ $ $) 214)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 118)) (-3312 (((-121) $) 244)) (-4294 ((|#2| $) 168) (((-765) $ |#3|) 120) (((-635 (-765)) $ (-635 |#3|)) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-3889 (((-765) $) 253)) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 |#2| |#2|) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3407 (((-3 |#3| "failed") $) 121)) (-3675 (($ $) 181 (|has| |#1| (-454)))) (-2796 (($ $) 182 (|has| |#1| (-454)))) (-2047 (((-635 $) $) 239)) (-3866 (($ $) 242)) (-1564 (($ $) 183 (|has| |#1| (-454)))) (-2248 (((-635 $) $) 240)) (-3516 (($ $) 241)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146) (($ $ |#3|) 246)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2879 (((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $) 213)) (-2579 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $) 217) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |#3|) 216)) (-1734 (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $) 219) (((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |#3|) 218)) (-3181 (($ $ $) 223) (($ $ $ |#3|) 221)) (-3253 (($ $ $) 222) (($ $ $ |#3|) 220)) (-2605 (((-1147) $) 9)) (-1961 (($ $ $) 189 (|has| |#1| (-559)))) (-3940 (((-635 $) $) 248)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| |#3|) (|:| -3190 (-765))) "failed") $) 111)) (-2114 (((-121) $ $) 231) (((-121) $ (-635 $)) 230)) (-2709 (($ $ $) 211)) (-1423 (($ $) 252)) (-1861 (((-121) $ $) 237)) (-3072 (((-121) $ $) 233) (((-121) $ (-635 $)) 232)) (-1910 (($ $ $) 212)) (-1603 (($ $) 251)) (-1912 (((-1111) $) 10)) (-3049 (((-2 (|:| -3964 $) (|:| |coef2| $)) $ $) 192 (|has| |#1| (-559)))) (-3178 (((-2 (|:| -3964 $) (|:| |coef1| $)) $ $) 193 (|has| |#1| (-559)))) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 ((|#1| |#1| $) 185 (|has| |#1| (-454))) (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-3061 (((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $) 194 (|has| |#1| (-559)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2056 (($ $ |#1|) 198 (|has| |#1| (-559))) (($ $ $) 196 (|has| |#1| (-559)))) (-4239 (($ $ |#1|) 199 (|has| |#1| (-559))) (($ $ $) 197 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ |#3| |#1|) 139) (($ $ (-635 |#3|) (-635 |#1|)) 138) (($ $ |#3| $) 137) (($ $ (-635 |#3|) (-635 $)) 136)) (-2925 (($ $ |#3|) 105 (|has| |#1| (-173)))) (-3289 (($ $ |#3|) 41) (($ $ (-635 |#3|)) 40) (($ $ |#3| (-765)) 39) (($ $ (-635 |#3|) (-635 (-765))) 38)) (-2284 ((|#2| $) 148) (((-765) $ |#3|) 128) (((-635 (-765)) $ (-635 |#3|)) 127)) (-1444 (($ $) 249)) (-3486 (($ $) 247)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| |#3| (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| |#3| (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| |#3| (-610 (-542))) (|has| |#1| (-610 (-542))))) (($ (-955 (-410 (-569)))) 208 (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165))))) (($ (-955 (-569))) 205 (-1929 (-12 (-3182 (|has| |#1| (-43 (-410 (-569))))) (|has| |#1| (-43 (-569))) (|has| |#3| (-610 (-1165)))) (-12 (|has| |#1| (-43 (-410 (-569)))) (|has| |#3| (-610 (-1165)))))) (($ (-955 |#1|)) 202 (|has| |#3| (-610 (-1165)))) (((-1147) $) 180 (-12 (|has| |#1| (-1039 (-569))) (|has| |#3| (-610 (-1165))))) (((-955 |#1|) $) 179 (|has| |#3| (-610 (-1165))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ |#3|) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ |#3|) 135) (((-955 |#1|) $) 178 (|has| |#3| (-610 (-1165)))) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ |#2|) 153) (($ $ |#3| (-765)) 126) (($ $ (-635 |#3|) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3183 (((-3 (-121) "failed") $ $) 238)) (-3297 (($) 29 T CONST)) (-2088 (($ $ $ $ (-765)) 187 (|has| |#1| (-559)))) (-4117 (($ $ $ (-765)) 188 (|has| |#1| (-559)))) (-3712 (($ $ |#3|) 37) (($ $ (-635 |#3|)) 36) (($ $ |#3| (-765)) 35) (($ $ (-635 |#3|) (-635 (-765))) 34)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1063 |#1| |#2| |#3|) (-1284) (-1049) (-790) (-844)) (T -1063)) 
+((-1473 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3889 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765)))) (-1423 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-1603 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-1444 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3940 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-3486 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3270 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3373 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3312 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-4325 (*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3866 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3516 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2248 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-2047 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-3183 (*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1861 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1712 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3782 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3782 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-3072 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-3072 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-2114 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-2114 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-1660 (*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) (-1660 (*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) (-3706 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-4027 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3706 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-4027 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3181 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3253 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3181 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-3253 (*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) (-1734 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-1734 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) (-2579 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-2579 (*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) (-1530 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) (-4518 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2879 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2978 (-765)))) (-4 *1 (-1063 *3 *4 *5)))) (-1910 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-2709 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) (-3003 (*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-1321 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) (-3003 (*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-1321 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-4035 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) (-3003 (*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) (-1321 (*1 *1 *2) (-1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *5 (-610 (-1165))) (-4 *4 (-790)) (-4 *5 (-844)))) (-2145 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2823 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4239 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2056 (*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4239 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2056 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-2594 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-3061 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3178 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3049 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5)))) (-3673 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4507 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5)))) (-1961 (*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-4117 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559)))) (-2088 (*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559)))) (-3151 (*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) (-3964 (*1 *2 *2 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-4186 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-1564 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-2796 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) (-3675 (*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(-13 (-952 |t#1| |t#2| |t#3|) (-10 -8 (-15 -1473 (|t#3| $)) (-15 -3889 ((-765) $)) (-15 -1423 ($ $)) (-15 -1603 ($ $)) (-15 -2394 ($ $)) (-15 -1444 ($ $)) (-15 -3940 ((-635 $) $)) (-15 -3486 ($ $)) (-15 -3270 ($ $ |t#3|)) (-15 -3373 ($ $ |t#3|)) (-15 -3312 ((-121) $)) (-15 -4325 ((-121) $)) (-15 -3866 ($ $)) (-15 -3516 ($ $)) (-15 -2248 ((-635 $) $)) (-15 -2047 ((-635 $) $)) (-15 -3183 ((-3 (-121) "failed") $ $)) (-15 -1861 ((-121) $ $)) (-15 -1712 ((-121) $ $)) (-15 -3782 ((-121) $ $)) (-15 -3782 ((-121) $ (-635 $))) (-15 -3072 ((-121) $ $)) (-15 -3072 ((-121) $ (-635 $))) (-15 -2114 ((-121) $ $)) (-15 -2114 ((-121) $ (-635 $))) (-15 -1660 ((-121) $ $)) (-15 -1660 ((-121) $ (-635 $))) (-15 -3706 ($ $ $)) (-15 -4027 ($ $ $)) (-15 -3706 ($ $ $ |t#3|)) (-15 -4027 ($ $ $ |t#3|)) (-15 -3181 ($ $ $)) (-15 -3253 ($ $ $)) (-15 -3181 ($ $ $ |t#3|)) (-15 -3253 ($ $ $ |t#3|)) (-15 -1734 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $)) (-15 -1734 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3028 $)) $ $ |t#3|)) (-15 -2579 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -2579 ((-2 (|:| -3550 $) (|:| |gap| (-765)) (|:| -3483 $) (|:| -3028 $)) $ $ |t#3|)) (-15 -1530 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -4518 ($ $ $)) (-15 -2879 ((-2 (|:| |polnum| $) (|:| |polden| $) (|:| -2978 (-765))) $ $)) (-15 -1910 ($ $ $)) (-15 -2709 ($ $ $)) (IF (|has| |t#3| (-610 (-1165))) (PROGN (-6 (-609 (-955 |t#1|))) (-6 (-610 (-955 |t#1|))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -3003 ((-3 $ "failed") (-955 (-410 (-569))))) (-15 -1321 ($ (-955 (-410 (-569))))) (-15 -4035 ($ (-955 (-410 (-569))))) (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-955 (-569)))) (-15 -4035 ($ (-955 (-569)))) (IF (|has| |t#1| (-995 (-569))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|)))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 (-569)))) (-15 -1321 ($ (-955 (-569)))) (-15 -4035 ($ (-955 (-569)))) (IF (|has| |t#1| (-551)) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|))))))) |noBranch|) (IF (|has| |t#1| (-43 (-569))) |noBranch| (IF (|has| |t#1| (-43 (-410 (-569)))) |noBranch| (PROGN (-15 -3003 ((-3 $ "failed") (-955 |t#1|))) (-15 -1321 ($ (-955 |t#1|)))))) (-15 -4035 ($ (-955 |t#1|))) (IF (|has| |t#1| (-1039 (-569))) (-6 (-610 (-1147))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-15 -2145 ($ $)) (-15 -2823 ($ $)) (-15 -4239 ($ $ |t#1|)) (-15 -2056 ($ $ |t#1|)) (-15 -4239 ($ $ $)) (-15 -2056 ($ $ $)) (-15 -2594 ($ $ $)) (-15 -3061 ((-2 (|:| -3964 $) (|:| |coef1| $) (|:| |coef2| $)) $ $)) (-15 -3178 ((-2 (|:| -3964 $) (|:| |coef1| $)) $ $)) (-15 -3049 ((-2 (|:| -3964 $) (|:| |coef2| $)) $ $)) (-15 -3673 ($ $ $)) (-15 -4507 ((-635 $) $ $)) (-15 -1961 ($ $ $)) (-15 -4117 ($ $ $ (-765))) (-15 -2088 ($ $ $ $ (-765))) (-15 -3151 ($ $ $ $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (PROGN (-15 -3964 (|t#1| |t#1| $)) (-15 -4186 ($ $)) (-15 -1564 ($ $)) (-15 -2796 ($ $)) (-15 -3675 ($ $))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-609 (-955 |#1|)) |has| |#3| (-610 (-1165))) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| |#1| (-610 (-542))) (|has| |#3| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#3| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#3| (-610 (-889 (-569))))) ((-610 (-955 |#1|)) |has| |#3| (-610 (-1165))) ((-610 (-1147)) -12 (|has| |#1| (-1039 (-569))) (|has| |#3| (-610 (-1165)))) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-304 $) . T) ((-325 |#1| |#2|) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454))) ((-524 |#3| |#1|) . T) ((-524 |#3| $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 |#3|) . T) ((-883 (-382)) -12 (|has| |#1| (-883 (-382))) (|has| |#3| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-883 (-569))) (|has| |#3| (-883 (-569)))) ((-952 |#1| |#2| |#3|) . T) ((-906) |has| |#1| (-906)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 |#1|) . T) ((-1039 |#3|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) |has| |#1| (-906))) 
+((-2225 (((-121) |#3| $) 13)) (-2306 (((-3 $ "failed") |#3| (-919)) 23)) (-2611 (((-3 |#3| "failed") |#3| $) 37)) (-1863 (((-121) |#3| $) 16)) (-4311 (((-121) |#3| $) 14))) 
+(((-1064 |#1| |#2| |#3|) (-10 -8 (-15 -2306 ((-3 |#1| "failed") |#3| (-919))) (-15 -2611 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1863 ((-121) |#3| |#1|)) (-15 -4311 ((-121) |#3| |#1|)) (-15 -2225 ((-121) |#3| |#1|))) (-1065 |#2| |#3|) (-13 (-842) (-366)) (-1228 |#2|)) (T -1064)) 
+NIL 
+(-10 -8 (-15 -2306 ((-3 |#1| "failed") |#3| (-919))) (-15 -2611 ((-3 |#3| "failed") |#3| |#1|)) (-15 -1863 ((-121) |#3| |#1|)) (-15 -4311 ((-121) |#3| |#1|)) (-15 -2225 ((-121) |#3| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) |#2| $) 20)) (-3817 (((-569) |#2| $) 21)) (-2306 (((-3 $ "failed") |#2| (-919)) 14)) (-2465 ((|#1| |#2| $ |#1|) 12)) (-2611 (((-3 |#2| "failed") |#2| $) 17)) (-1863 (((-121) |#2| $) 18)) (-4311 (((-121) |#2| $) 19)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3036 ((|#2| $) 16)) (-3956 (((-852) $) 11)) (-4334 ((|#1| |#2| $ |#1|) 13)) (-2813 (((-635 $) |#2|) 15)) (-1326 (((-121) $ $) 6))) 
+(((-1065 |#1| |#2|) (-1284) (-13 (-842) (-366)) (-1228 |t#1|)) (T -1065)) 
+((-3817 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-569)))) (-2225 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-4311 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-1863 (*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121)))) (-2611 (*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) (-3036 (*1 *2 *1) (-12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) (-2813 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1065 *4 *3)))) (-2306 (*1 *1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-4 *4 (-13 (-842) (-366))) (-4 *1 (-1065 *4 *2)) (-4 *2 (-1228 *4)))) (-4334 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2)))) (-2465 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2))))) 
+(-13 (-1093) (-10 -8 (-15 -3817 ((-569) |t#2| $)) (-15 -2225 ((-121) |t#2| $)) (-15 -4311 ((-121) |t#2| $)) (-15 -1863 ((-121) |t#2| $)) (-15 -2611 ((-3 |t#2| "failed") |t#2| $)) (-15 -3036 (|t#2| $)) (-15 -2813 ((-635 $) |t#2|)) (-15 -2306 ((-3 $ "failed") |t#2| (-919))) (-15 -4334 (|t#1| |t#2| $ |t#1|)) (-15 -2465 (|t#1| |t#2| $ |t#1|)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-3649 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765)) 95)) (-3877 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 55)) (-2847 (((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)) 87)) (-2888 (((-765) (-635 |#4|) (-635 |#5|)) 27)) (-2541 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 58) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 57) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121)) 59)) (-3861 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 78) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 79)) (-4035 (((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 82)) (-1570 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121)) 54)) (-2986 (((-765) (-635 |#4|) (-635 |#5|)) 19))) 
+(((-1066 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1066)) 
+((-2847 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1066 *4 *5 *6 *7 *8)))) (-3649 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1068 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1066 *7 *8 *9 *10 *11)))) (-3861 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-3861 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-2541 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2541 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-2541 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *7 *8 *9 *3 *4)) (-4 *4 (-1068 *7 *8 *9 *3)))) (-3877 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3877 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-1570 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-2888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) (-2986 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-121))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) 
+((-4018 (((-121) |#5| $) 20)) (-3594 (((-121) |#5| $) 23)) (-4508 (((-121) |#5| $) 16) (((-121) $) 44)) (-1433 (((-635 $) |#5| $) NIL) (((-635 $) (-635 |#5|) $) 76) (((-635 $) (-635 |#5|) (-635 $)) 74) (((-635 $) |#5| (-635 $)) 77)) (-3803 (($ $ |#5|) NIL) (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 59) (((-635 $) (-635 |#5|) $) 61) (((-635 $) (-635 |#5|) (-635 $)) 63)) (-2272 (((-635 $) |#5| $) NIL) (((-635 $) |#5| (-635 $)) 53) (((-635 $) (-635 |#5|) $) 55) (((-635 $) (-635 |#5|) (-635 $)) 57)) (-3267 (((-121) |#5| $) 26))) 
+(((-1067 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3803 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3803 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3803 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3803 ((-635 |#1|) |#5| |#1|)) (-15 -2272 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2272 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2272 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2272 ((-635 |#1|) |#5| |#1|)) (-15 -1433 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -1433 ((-635 |#1|) |#5| |#1|)) (-15 -3594 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#1|)) (-15 -3267 ((-121) |#5| |#1|)) (-15 -4018 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#5| |#1|)) (-15 -3803 (|#1| |#1| |#5|))) (-1068 |#2| |#3| |#4| |#5|) (-454) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -1067)) 
+NIL 
+(-10 -8 (-15 -3803 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -3803 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -3803 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -3803 ((-635 |#1|) |#5| |#1|)) (-15 -2272 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -2272 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -2272 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -2272 ((-635 |#1|) |#5| |#1|)) (-15 -1433 ((-635 |#1|) |#5| (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) (-635 |#1|))) (-15 -1433 ((-635 |#1|) (-635 |#5|) |#1|)) (-15 -1433 ((-635 |#1|) |#5| |#1|)) (-15 -3594 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#1|)) (-15 -3267 ((-121) |#5| |#1|)) (-15 -4018 ((-121) |#5| |#1|)) (-15 -4508 ((-121) |#5| |#1|)) (-15 -3803 (|#1| |#1| |#5|))) 
+((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-1068 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1068)) 
+((-4508 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-4018 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3267 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-4508 (*1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3594 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2090 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2324 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2324 (*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2079 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2998 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1961 (*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2710 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1433 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-1433 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-1433 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-1433 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-2272 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-2272 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-2272 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-2272 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-3487 (*1 *1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3487 (*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)))) (-3803 (*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) (-3803 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) (-3803 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) (-3803 (*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) (-3202 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *5 *6 *7 *8))))) 
+(-13 (-1193 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-15 -4508 ((-121) |t#4| $)) (-15 -4018 ((-121) |t#4| $)) (-15 -3267 ((-121) |t#4| $)) (-15 -4508 ((-121) $)) (-15 -3594 ((-121) |t#4| $)) (-15 -2090 ((-3 (-121) (-635 $)) |t#4| $)) (-15 -2324 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |t#4| $)) (-15 -2324 ((-121) |t#4| $)) (-15 -2079 ((-635 $) |t#4| $)) (-15 -2998 ((-3 |t#4| (-635 $)) |t#4| |t#4| $)) (-15 -1961 ((-635 (-2 (|:| |val| |t#4|) (|:| -4320 $))) |t#4| |t#4| $)) (-15 -2710 ((-635 (-2 (|:| |val| |t#4|) (|:| -4320 $))) |t#4| $)) (-15 -1433 ((-635 $) |t#4| $)) (-15 -1433 ((-635 $) (-635 |t#4|) $)) (-15 -1433 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -1433 ((-635 $) |t#4| (-635 $))) (-15 -2272 ((-635 $) |t#4| $)) (-15 -2272 ((-635 $) |t#4| (-635 $))) (-15 -2272 ((-635 $) (-635 |t#4|) $)) (-15 -2272 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3487 ($ |t#4| $)) (-15 -3487 ($ (-635 |t#4|) $)) (-15 -3803 ((-635 $) |t#4| $)) (-15 -3803 ((-635 $) |t#4| (-635 $))) (-15 -3803 ((-635 $) (-635 |t#4|) $)) (-15 -3803 ((-635 $) (-635 |t#4|) (-635 $))) (-15 -3202 ((-635 $) (-635 |t#4|) (-121))))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
+((-4342 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 81)) (-2867 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 112)) (-2216 (((-635 |#5|) |#4| |#5|) 70)) (-2805 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3032 (((-1258)) 35)) (-1631 (((-1258)) 25)) (-2773 (((-1258) (-1147) (-1147) (-1147)) 31)) (-1867 (((-1258) (-1147) (-1147) (-1147)) 20)) (-1409 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|) 95)) (-2054 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121)) 106) (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-3919 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 101))) 
+(((-1069 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -1409 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -3919 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2867 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2805 ((-121) |#4| |#5|)) (-15 -2805 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2216 ((-635 |#5|) |#4| |#5|)) (-15 -4342 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1069)) 
+((-4342 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2216 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2805 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2805 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2867 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3919 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2054 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1069 *6 *7 *4 *8 *9)))) (-2054 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-1409 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3032 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2773 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-1631 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-1867 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -1409 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2054 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -3919 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2867 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -2805 ((-121) |#4| |#5|)) (-15 -2805 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2216 ((-635 |#5|) |#4| |#5|)) (-15 -4342 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) 
+((-1310 (((-121) $ $) NIL)) (-2798 (((-1165) $) 8)) (-2605 (((-1147) $) 16)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 13))) 
+(((-1070 |#1|) (-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) (-1165)) (T -1070)) 
+((-2798 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1070 *3)) (-14 *3 *2)))) 
+(-13 (-1093) (-10 -8 (-15 -2798 ((-1165) $)))) 
+((-1310 (((-121) $ $) NIL)) (-3055 (($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|))) 29)) (-3469 (($ |#3| |#3|) 21) (($ |#3| |#3| (-635 (-1165))) 19)) (-4255 ((|#3| $) 13)) (-3003 (((-3 (-289 |#3|) "failed") $) 56)) (-1321 (((-289 |#3|) $) NIL)) (-1397 (((-635 (-1165)) $) 15)) (-1511 (((-889 |#1|) $) 11)) (-1338 ((|#3| $) 12)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $ |#3|) 25) ((|#3| $ |#3| (-919)) 36)) (-3956 (((-852) $) 84) (($ (-289 |#3|)) 20)) (-1326 (((-121) $ $) 33))) 
+(((-1071 |#1| |#2| |#3|) (-13 (-1093) (-282 |#3| |#3|) (-1039 (-289 |#3|)) (-10 -8 (-15 -3469 ($ |#3| |#3|)) (-15 -3469 ($ |#3| |#3| (-635 (-1165)))) (-15 -3055 ($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|)))) (-15 -1511 ((-889 |#1|) $)) (-15 -1338 (|#3| $)) (-15 -4255 (|#3| $)) (-15 -2503 (|#3| $ |#3| (-919))) (-15 -1397 ((-635 (-1165)) $)))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -1071)) 
+((-3469 (*1 *1 *2 *2) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))))) (-3469 (*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-3055 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *6)))) (-1511 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 *2))) (-5 *2 (-889 *3)) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 *2))))) (-1338 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) (-4255 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) (-2503 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) (-1397 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1165))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
+(-13 (-1093) (-282 |#3| |#3|) (-1039 (-289 |#3|)) (-10 -8 (-15 -3469 ($ |#3| |#3|)) (-15 -3469 ($ |#3| |#3| (-635 (-1165)))) (-15 -3055 ($ $ (-635 (-1165)) (-1 (-121) (-635 |#3|)))) (-15 -1511 ((-889 |#1|) $)) (-15 -1338 (|#3| $)) (-15 -4255 (|#3| $)) (-15 -2503 (|#3| $ |#3| (-919))) (-15 -1397 ((-635 (-1165)) $)))) 
+((-1310 (((-121) $ $) NIL)) (-3488 (($ (-635 (-1071 |#1| |#2| |#3|))) 12)) (-2728 (((-635 (-1071 |#1| |#2| |#3|)) $) 19)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2503 ((|#3| $ |#3|) 22) ((|#3| $ |#3| (-919)) 25)) (-3956 (((-852) $) 15)) (-1326 (((-121) $ $) 18))) 
+(((-1072 |#1| |#2| |#3|) (-13 (-1093) (-282 |#3| |#3|) (-10 -8 (-15 -3488 ($ (-635 (-1071 |#1| |#2| |#3|)))) (-15 -2728 ((-635 (-1071 |#1| |#2| |#3|)) $)) (-15 -2503 (|#3| $ |#3| (-919))))) (-1093) (-13 (-1049) (-883 |#1|) (-844) (-610 (-889 |#1|))) (-13 (-433 |#2|) (-883 |#1|) (-610 (-889 |#1|)))) (T -1072)) 
+((-3488 (*1 *1 *2) (-12 (-5 *2 (-635 (-1071 *3 *4 *5))) (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1072 *3 *4 *5)))) (-2728 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1071 *3 *4 *5))) (-5 *1 (-1072 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))))) (-2503 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1072 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4))))))) 
+(-13 (-1093) (-282 |#3| |#3|) (-10 -8 (-15 -3488 ($ (-635 (-1071 |#1| |#2| |#3|)))) (-15 -2728 ((-635 (-1071 |#1| |#2| |#3|)) $)) (-15 -2503 (|#3| $ |#3| (-919))))) 
+((-1366 (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)) 73) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|))) 75) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121)) 74))) 
+(((-1073 |#1| |#2|) (-10 -7 (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)))) (-13 (-302) (-151)) (-635 (-1165))) (T -1073)) 
+((-1366 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))))) (-1366 (*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1073 *4 *5)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))))) (-1366 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165)))))) 
+(-10 -7 (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -1366 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)))) 
+((-3139 (((-421 |#3|) |#3|) 16))) 
+(((-1074 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) (-1228 (-410 (-569))) (-13 (-366) (-151) (-716 (-410 (-569)) |#1|)) (-1228 |#2|)) (T -1074)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 125)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-366)))) (-2915 (($ $) NIL (|has| |#1| (-366)))) (-2735 (((-121) $) NIL (|has| |#1| (-366)))) (-2245 (((-681 |#1|) (-1253 $)) NIL) (((-681 |#1|)) 115)) (-3588 ((|#1| $) 119)) (-2039 (((-1173 (-919) (-765)) (-569)) NIL (|has| |#1| (-351)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-2675 (((-765)) 40 (|has| |#1| (-371)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-2097 (($ (-1253 |#1|) (-1253 $)) NIL) (($ (-1253 |#1|)) 43)) (-1840 (((-3 "prime" "polynomial" "normal" "cyclic")) NIL (|has| |#1| (-351)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-1808 (((-681 |#1|) $ (-1253 $)) NIL) (((-681 |#1|) $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 106) (((-681 |#1|) (-681 $)) 100)) (-2793 (($ |#2|) 61) (((-3 $ "failed") (-410 |#2|)) NIL (|has| |#1| (-366)))) (-2611 (((-3 $ "failed") $) NIL)) (-3358 (((-919)) 77)) (-3341 (($) 44 (|has| |#1| (-371)))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1456 (($) NIL (|has| |#1| (-351)))) (-3462 (((-121) $) NIL (|has| |#1| (-351)))) (-3238 (($ $ (-765)) NIL (|has| |#1| (-351))) (($ $) NIL (|has| |#1| (-351)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-4433 (((-919) $) NIL (|has| |#1| (-351))) (((-830 (-919)) $) NIL (|has| |#1| (-351)))) (-3934 (((-121) $) NIL)) (-3046 ((|#1| $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-351)))) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2415 ((|#2| $) 84 (|has| |#1| (-366)))) (-2862 (((-919) $) 129 (|has| |#1| (-371)))) (-2786 ((|#2| $) 58)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1423 (($) NIL (|has| |#1| (-351)) CONST)) (-1333 (($ (-919)) 124 (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-1986 (($) 121)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3219 (((-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569))))) NIL (|has| |#1| (-351)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 ((|#1| (-1253 $)) NIL) ((|#1|) 109)) (-3600 (((-765) $) NIL (|has| |#1| (-351))) (((-3 (-765) "failed") $ $) NIL (|has| |#1| (-351)))) (-3289 (($ $) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1 |#1| |#1|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3775 (((-681 |#1|) (-1253 $) (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-3036 ((|#2|) 73)) (-3563 (($) NIL (|has| |#1| (-351)))) (-3672 (((-1253 |#1|) $ (-1253 $)) 89) (((-681 |#1|) (-1253 $) (-1253 $)) NIL) (((-1253 |#1|) $) 71) (((-681 |#1|) (-1253 $)) 85)) (-4035 (((-1253 |#1|) $) NIL) (($ (-1253 |#1|)) NIL) ((|#2| $) NIL) (($ |#2|) NIL)) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (|has| |#1| (-351)))) (-3956 (((-852) $) 57) (($ (-569)) 53) (($ |#1|) 54) (($ $) NIL (|has| |#1| (-366))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-366)) (|has| |#1| (-1039 (-410 (-569))))))) (-2277 (($ $) NIL (|has| |#1| (-351))) (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-3033 ((|#2| $) 82)) (-2320 (((-765)) 75)) (-4079 (((-1253 $)) 81)) (-2909 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 30 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#1| (-226)) (|has| |#1| (-366))) (|has| |#1| (-351)))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-366)) (|has| |#1| (-897 (-1165))))) (($ $ (-1 |#1| |#1|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1 |#1| |#1|)) NIL (|has| |#1| (-366)))) (-1326 (((-121) $ $) 63)) (-1383 (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) 67) (($ $ $) NIL)) (-1371 (($ $ $) 65)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 51) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 48) (($ (-410 (-569)) $) NIL (|has| |#1| (-366))) (($ $ (-410 (-569))) NIL (|has| |#1| (-366))))) 
+(((-1075 |#1| |#2| |#3|) (-716 |#1| |#2|) (-173) (-1228 |#1|) |#2|) (T -1075)) 
+NIL 
+(-716 |#1| |#2|) 
+((-3139 (((-421 |#3|) |#3|) 16))) 
+(((-1076 |#1| |#2| |#3|) (-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) (-1228 (-410 (-955 (-569)))) (-13 (-366) (-151) (-716 (-410 (-955 (-569))) |#1|)) (-1228 |#2|)) (T -1076)) 
+((-3139 (*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-955 (-569))))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-955 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1076 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(-10 -7 (-15 -3139 ((-421 |#3|) |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-2157 (($ $ $) 14)) (-2713 (($ $ $) 15)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1896 (($) 6)) (-4035 (((-1165) $) 18)) (-3956 (((-852) $) 12)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 13)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 8))) 
+(((-1077) (-13 (-844) (-10 -8 (-15 -1896 ($)) (-15 -4035 ((-1165) $))))) (T -1077)) 
+((-1896 (*1 *1) (-5 *1 (-1077))) (-4035 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1077))))) 
+(-13 (-844) (-10 -8 (-15 -1896 ($)) (-15 -4035 ((-1165) $)))) 
+((-3963 ((|#1| |#1| (-1 (-569) |#1| |#1|)) 21) ((|#1| |#1| (-1 (-121) |#1|)) 18)) (-3133 (((-1258)) 15)) (-2420 (((-635 |#1|)) 9))) 
+(((-1078 |#1|) (-10 -7 (-15 -3133 ((-1258))) (-15 -2420 ((-635 |#1|))) (-15 -3963 (|#1| |#1| (-1 (-121) |#1|))) (-15 -3963 (|#1| |#1| (-1 (-569) |#1| |#1|)))) (-139)) (T -1078)) 
+((-3963 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) (-3963 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) (-2420 (*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1078 *3)) (-4 *3 (-139)))) (-3133 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
+(-10 -7 (-15 -3133 ((-1258))) (-15 -2420 ((-635 |#1|))) (-15 -3963 (|#1| |#1| (-1 (-121) |#1|))) (-15 -3963 (|#1| |#1| (-1 (-569) |#1| |#1|)))) 
+((-3359 (((-1253 (-681 |#1|)) (-635 (-681 |#1|))) 41) (((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|))) 60) (((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|)))) 76)) (-3672 (((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))) 35))) 
+(((-1079 |#1|) (-10 -7 (-15 -3359 ((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|))))) (-15 -3359 ((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|)))) (-15 -3359 ((-1253 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -3672 ((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))))) (-366)) (T -1079)) 
+((-3672 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-681 *5))) (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-1253 *5)) (-5 *1 (-1079 *5)))) (-3359 (*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-1079 *4)))) (-3359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-955 *5)))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-955 *5))))) (-3359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-410 (-955 *5))))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
+(-10 -7 (-15 -3359 ((-1253 (-681 (-410 (-955 |#1|)))) (-635 (-1165)) (-681 (-410 (-955 |#1|))))) (-15 -3359 ((-1253 (-681 (-955 |#1|))) (-635 (-1165)) (-681 (-955 |#1|)))) (-15 -3359 ((-1253 (-681 |#1|)) (-635 (-681 |#1|)))) (-15 -3672 ((-1253 |#1|) (-681 |#1|) (-635 (-681 |#1|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3752 (((-121) $ $) 89) (((-121) (-635 $) (-635 $)) 94) (((-121) (-635 (-635 $))) 97)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3783 (((-852)) 88)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-130) "failed") $) NIL)) (-1321 (((-130) $) 68)) (-3816 (((-635 (-130)) $) 70)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2400 (((-121) $ (-130)) 64)) (-4183 (((-3 (-289 $) "failed") $ |#1|) 75) (((-3 (-289 $) "failed") |#1| $) 76)) (-3847 (($ $) 62)) (-3869 (((-1173 $ $)) 79)) (-3911 (((-1173 $ $)) 78)) (-3956 (((-852) $) 47) (($ (-130)) 35)) (-3802 (((-311 |#1|) $ (-130)) 66)) (-3941 (((-3 $ "failed") (-130) (-130) $) 39)) (-3974 (((-3 $ "failed") (-130) $) 40)) (-3403 (($ $ (-919)) 61)) (-2407 (($) 21 T CONST)) (-1326 (((-121) $ $) 33)) (-1383 (($ $ (-311 |#1|)) 11)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 56)) (** (($ $ (-919)) 60)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ (-311 |#1|)) NIL) (($ (-311 |#1|) $) 10))) 
+(((-1080 |#1|) (-13 (-1056) (-709 (-311 |#1|)) (-10 -8 (-6 (-1039 (-130))) (-15 -3941 ((-3 $ "failed") (-130) (-130) $)) (-15 -3974 ((-3 $ "failed") (-130) $)) (-15 -3847 ($ $)) (-15 -2400 ((-121) $ (-130))) (-15 -3802 ((-311 |#1|) $ (-130))) (-15 -3816 ((-635 (-130)) $)) (-15 -4183 ((-3 (-289 $) "failed") $ |#1|)) (-15 -4183 ((-3 (-289 $) "failed") |#1| $)) (-15 -3911 ((-1173 $ $))) (-15 -3869 ((-1173 $ $))) (-15 -1383 ($ $ (-311 |#1|))) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))) (-15 -3783 ((-852))) (-15 -3752 ((-121) $ $)) (-15 -3752 ((-121) (-635 $) (-635 $))) (-15 -3752 ((-121) (-635 (-635 $)))))) (-13 (-844) (-559))) (T -1080)) 
+((-3403 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3941 (*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3974 (*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3847 (*1 *1 *1) (-12 (-5 *1 (-1080 *2)) (-4 *2 (-13 (-844) (-559))))) (-2400 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3816 (*1 *2 *1) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-4183 (*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-4183 (*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3911 (*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3869 (*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-1383 (*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-1080 *3)))) (-3783 (*1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3752 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) (-3752 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1080 *4))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) (-3752 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-1080 *4)))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559)))))) 
+(-13 (-1056) (-709 (-311 |#1|)) (-10 -8 (-6 (-1039 (-130))) (-15 -3941 ((-3 $ "failed") (-130) (-130) $)) (-15 -3974 ((-3 $ "failed") (-130) $)) (-15 -3847 ($ $)) (-15 -2400 ((-121) $ (-130))) (-15 -3802 ((-311 |#1|) $ (-130))) (-15 -3816 ((-635 (-130)) $)) (-15 -4183 ((-3 (-289 $) "failed") $ |#1|)) (-15 -4183 ((-3 (-289 $) "failed") |#1| $)) (-15 -3911 ((-1173 $ $))) (-15 -3869 ((-1173 $ $))) (-15 -1383 ($ $ (-311 |#1|))) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))) (-15 -3783 ((-852))) (-15 -3752 ((-121) $ $)) (-15 -3752 ((-121) (-635 $) (-635 $))) (-15 -3752 ((-121) (-635 (-635 $)))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3590 (((-635 (-765)) $) NIL) (((-635 (-765)) $ (-1165)) NIL)) (-2402 (((-765) $) NIL) (((-765) $ (-1165)) NIL)) (-3195 (((-635 (-1082 (-1165))) $) NIL)) (-3132 (((-1161 $) $ (-1082 (-1165))) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1082 (-1165)))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2918 (($ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1082 (-1165)) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL) (((-3 (-1116 |#1| (-1165)) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1082 (-1165)) $) NIL) (((-1165) $) NIL) (((-1116 |#1| (-1165)) $) NIL)) (-3673 (($ $ $ (-1082 (-1165))) NIL (|has| |#1| (-173)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1082 (-1165))) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 (-1082 (-1165))) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1082 (-1165)) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1082 (-1165)) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3187 (($ (-1161 |#1|) (-1082 (-1165))) NIL) (($ (-1161 $) (-1082 (-1165))) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-535 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1082 (-1165))) NIL)) (-4294 (((-535 (-1082 (-1165))) $) NIL) (((-765) $ (-1082 (-1165))) NIL) (((-635 (-765)) $ (-635 (-1082 (-1165)))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 (-1082 (-1165))) (-535 (-1082 (-1165)))) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-4428 (((-1 $ (-765)) (-1165)) NIL) (((-1 $ (-765)) $) NIL (|has| |#1| (-226)))) (-3407 (((-3 (-1082 (-1165)) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2934 (((-1082 (-1165)) $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-4344 (((-121) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1082 (-1165))) (|:| -3190 (-765))) "failed") $) NIL)) (-2690 (($ $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1082 (-1165)) |#1|) NIL) (($ $ (-635 (-1082 (-1165))) (-635 |#1|)) NIL) (($ $ (-1082 (-1165)) $) NIL) (($ $ (-635 (-1082 (-1165))) (-635 $)) NIL) (($ $ (-1165) $) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 $)) NIL (|has| |#1| (-226))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-226))) (($ $ (-635 (-1165)) (-635 |#1|)) NIL (|has| |#1| (-226)))) (-2925 (($ $ (-1082 (-1165))) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1082 (-1165))) NIL) (($ $ (-635 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-3445 (((-635 (-1165)) $) NIL)) (-2284 (((-535 (-1082 (-1165))) $) NIL) (((-765) $ (-1082 (-1165))) NIL) (((-635 (-765)) $ (-635 (-1082 (-1165)))) NIL) (((-765) $ (-1165)) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1082 (-1165)) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1082 (-1165))) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-1082 (-1165))) NIL) (($ (-1165)) NIL) (($ (-1116 |#1| (-1165))) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-535 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1082 (-1165))) NIL) (($ $ (-635 (-1082 (-1165)))) NIL) (($ $ (-1082 (-1165)) (-765)) NIL) (($ $ (-635 (-1082 (-1165))) (-635 (-765))) NIL) (($ $) NIL (|has| |#1| (-226))) (($ $ (-765)) NIL (|has| |#1| (-226))) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1081 |#1|) (-13 (-247 |#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) (-1039 (-1116 |#1| (-1165)))) (-1049)) (T -1081)) 
+NIL 
+(-13 (-247 |#1| (-1165) (-1082 (-1165)) (-535 (-1082 (-1165)))) (-1039 (-1116 |#1| (-1165)))) 
+((-1310 (((-121) $ $) NIL)) (-2402 (((-765) $) NIL)) (-1948 ((|#1| $) 10)) (-3003 (((-3 |#1| "failed") $) NIL)) (-1321 ((|#1| $) NIL)) (-4433 (((-765) $) 11)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-4428 (($ |#1| (-765)) 9)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3289 (($ $) NIL) (($ $ (-765)) NIL)) (-3956 (((-852) $) NIL) (($ |#1|) NIL)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 15))) 
+(((-1082 |#1|) (-263 |#1|) (-844)) (T -1082)) 
 NIL 
 (-263 |#1|) 
-((-1544 (((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 23 (|has| |#1| (-841))) (((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 14))) 
-(((-1081 |#1| |#2|) (-10 -7 (-15 -1544 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) |noBranch|)) (-1197) (-1197)) (T -1081)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-1081 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1085 *6)) (-5 *1 (-1081 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-635 |#2|) (-1 |#2| |#1|) (-1085 |#1|))) |noBranch|)) 
-((-1544 (((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)) 19))) 
-(((-1082 |#1| |#2|) (-10 -7 (-15 -1544 ((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)))) (-1197) (-1197)) (T -1082)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1083 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1083 *6)) (-5 *1 (-1082 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-1083 |#2|) (-1 |#2| |#1|) (-1083 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3534 (((-1163) $) 11)) (-1832 (((-1085 |#1|) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1539 (($ (-1163) (-1085 |#1|)) 10)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 15 (|has| |#1| (-1091))))) 
-(((-1083 |#1|) (-13 (-1197) (-10 -8 (-15 -1539 ($ (-1163) (-1085 |#1|))) (-15 -3534 ((-1163) $)) (-15 -1832 ((-1085 |#1|) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1083)) 
-((-1539 (*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1085 *4)) (-4 *4 (-1197)) (-5 *1 (-1083 *4)))) (-3534 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) (-1832 (*1 *2 *1) (-12 (-5 *2 (-1085 *3)) (-5 *1 (-1083 *3)) (-4 *3 (-1197))))) 
-(-13 (-1197) (-10 -8 (-15 -1539 ($ (-1163) (-1085 |#1|))) (-15 -3534 ((-1163) $)) (-15 -1832 ((-1085 |#1|) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
-((-1832 (($ |#1| |#1|) 7)) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 12)) (-1852 (((-569) $) 8)) (-1990 ((|#1| $) 9)) (-1858 ((|#1| $) 11)) (-3817 (($ |#1|) 6)) (-3778 (($ |#1| |#1|) 14)) (-4171 (($ $ (-569)) 13))) 
-(((-1084 |#1|) (-1278) (-1197)) (T -1084)) 
-((-3778 (*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-4171 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1084 *3)) (-4 *3 (-1197)))) (-1848 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1858 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-4073 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1990 (*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-1852 (*1 *2 *1) (-12 (-4 *1 (-1084 *3)) (-4 *3 (-1197)) (-5 *2 (-569)))) (-1832 (*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
-(-13 (-1197) (-10 -8 (-15 -3778 ($ |t#1| |t#1|)) (-15 -4171 ($ $ (-569))) (-15 -1848 (|t#1| $)) (-15 -1858 (|t#1| $)) (-15 -4073 (|t#1| $)) (-15 -1990 (|t#1| $)) (-15 -1852 ((-569) $)) (-15 -1832 ($ |t#1| |t#1|)) (-15 -3817 ($ |t#1|)))) 
-(((-1197) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1832 (($ |#1| |#1|) 15)) (-1544 (((-635 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-841)))) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 9)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1852 (((-569) $) 14)) (-1990 ((|#1| $) 12)) (-1858 ((|#1| $) 11)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1939 (((-635 |#1|) $) 35 (|has| |#1| (-841))) (((-635 |#1|) (-635 $)) 34 (|has| |#1| (-841)))) (-3817 (($ |#1|) 26)) (-2185 (((-851) $) 25 (|has| |#1| (-1091)))) (-3778 (($ |#1| |#1|) 8)) (-4171 (($ $ (-569)) 16)) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091))))) 
-(((-1085 |#1|) (-13 (-1084 |#1|) (-10 -7 (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-635 |#1|))) |noBranch|))) (-1197)) (T -1085)) 
-NIL 
-(-13 (-1084 |#1|) (-10 -7 (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-635 |#1|))) |noBranch|))) 
-((-1832 (($ |#1| |#1|) 7)) (-1544 ((|#2| (-1 |#1| |#1|) $) 15)) (-4073 ((|#1| $) 10)) (-1848 ((|#1| $) 12)) (-1852 (((-569) $) 8)) (-1990 ((|#1| $) 9)) (-1858 ((|#1| $) 11)) (-1939 ((|#2| (-635 $)) 17) ((|#2| $) 16)) (-3817 (($ |#1|) 6)) (-3778 (($ |#1| |#1|) 14)) (-4171 (($ $ (-569)) 13))) 
-(((-1086 |#1| |#2|) (-1278) (-841) (-1135 |t#1|)) (T -1086)) 
-((-1939 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) (-1939 (*1 *2 *1) (-12 (-4 *1 (-1086 *3 *2)) (-4 *3 (-841)) (-4 *2 (-1135 *3)))) (-1544 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4))))) 
-(-13 (-1084 |t#1|) (-10 -8 (-15 -1939 (|t#2| (-635 $))) (-15 -1939 (|t#2| $)) (-15 -1544 (|t#2| (-1 |t#1| |t#1|) $)))) 
-(((-1084 |#1|) . T) ((-1197) . T)) 
-((-1752 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-1981 (($ $ $) 10)) (-3290 (($ $ $) NIL) (($ $ |#2|) 15))) 
-(((-1087 |#1| |#2|) (-10 -8 (-15 -1752 (|#1| |#2| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -3290 (|#1| |#1| |#1|))) (-1088 |#2|) (-1091)) (T -1087)) 
-NIL 
-(-10 -8 (-15 -1752 (|#1| |#2| |#1|)) (-15 -1752 (|#1| |#1| |#2|)) (-15 -1752 (|#1| |#1| |#1|)) (-15 -1981 (|#1| |#1| |#1|)) (-15 -3290 (|#1| |#1| |#2|)) (-15 -3290 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-1752 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-1981 (($ $ $) 19)) (-2358 (((-121) $ $) 18)) (-1691 (((-121) $ (-764)) 34)) (-2195 (($) 24) (($ (-635 |#1|)) 23)) (-1962 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4535)))) (-2820 (($) 35 T CONST)) (-2033 (($ $) 58 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 57 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4535)))) (-3470 (((-635 |#1|) $) 42 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 33)) (-4259 (((-635 |#1|) $) 43 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) 32)) (-2776 (((-1145) $) 9)) (-2652 (($ $ $) 22)) (-3360 (((-1109) $) 10)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-4177 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#1|) (-635 |#1|)) 49 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 47 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-289 |#1|))) 46 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 28)) (-1601 (((-121) $) 31)) (-1296 (($) 30)) (-3290 (($ $ $) 21) (($ $ |#1|) 20)) (-2846 (((-764) |#1| $) 44 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4535)))) (-1971 (($ $) 29)) (-3817 (((-542) $) 59 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 50)) (-2185 (((-851) $) 11)) (-1959 (($) 26) (($ (-635 |#1|)) 25)) (-2066 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 6)) (-1678 (((-121) $ $) 27)) (-4168 (((-764) $) 36 (|has| $ (-6 -4535))))) 
-(((-1088 |#1|) (-1278) (-1091)) (T -1088)) 
-((-1678 (*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1959 (*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1959 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) (-2195 (*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-2195 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) (-2652 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-3290 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-3290 (*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1981 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-2358 (*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) (-1752 (*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1752 (*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) (-1752 (*1 *1 *2 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(-13 (-1091) (-155 |t#1|) (-10 -8 (-6 -4525) (-15 -1678 ((-121) $ $)) (-15 -1959 ($)) (-15 -1959 ($ (-635 |t#1|))) (-15 -2195 ($)) (-15 -2195 ($ (-635 |t#1|))) (-15 -2652 ($ $ $)) (-15 -3290 ($ $ $)) (-15 -3290 ($ $ |t#1|)) (-15 -1981 ($ $ $)) (-15 -2358 ((-121) $ $)) (-15 -1752 ($ $ $)) (-15 -1752 ($ $ |t#1|)) (-15 -1752 ($ |t#1| $)))) 
-(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-918) $) 12)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-1089) (-1278)) (T -1089)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-1089)) (-5 *2 (-918))))) 
-(-13 (-1091) (-10 -8 (-15 -2492 ((-918) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2776 (((-1145) $) 10)) (-3360 (((-1109) $) 8))) 
-(((-1090 |#1|) (-10 -8 (-15 -2776 ((-1145) |#1|)) (-15 -3360 ((-1109) |#1|))) (-1091)) (T -1090)) 
-NIL 
-(-10 -8 (-15 -2776 ((-1145) |#1|)) (-15 -3360 ((-1109) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-1091) (-1278)) (T -1091)) 
-((-3360 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1109)))) (-2776 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1145))))) 
-(-13 (-105) (-609 (-851)) (-10 -8 (-15 -3360 ((-1109) $)) (-15 -2776 ((-1145) $)))) 
-(((-105) . T) ((-609 (-851)) . T)) 
-((-2568 (((-121) $ $) NIL)) (-2085 (((-764)) 30)) (-3706 (($ (-635 (-918))) 52)) (-4072 (((-3 $ "failed") $ (-918) (-918)) 57)) (-4327 (($) 32)) (-3660 (((-121) (-918) $) 35)) (-2083 (((-918) $) 50)) (-2776 (((-1145) $) NIL)) (-3998 (($ (-918)) 31)) (-2694 (((-3 $ "failed") $ (-918)) 55)) (-3360 (((-1109) $) NIL)) (-1714 (((-1247 $)) 40)) (-3459 (((-635 (-918)) $) 23)) (-2385 (((-764) $ (-918) (-918)) 56)) (-2185 (((-851) $) 29)) (-1668 (((-121) $ $) 21))) 
-(((-1092 |#1| |#2|) (-13 (-371) (-10 -8 (-15 -2694 ((-3 $ "failed") $ (-918))) (-15 -4072 ((-3 $ "failed") $ (-918) (-918))) (-15 -3459 ((-635 (-918)) $)) (-15 -3706 ($ (-635 (-918)))) (-15 -1714 ((-1247 $))) (-15 -3660 ((-121) (-918) $)) (-15 -2385 ((-764) $ (-918) (-918))))) (-918) (-918)) (T -1092)) 
-((-2694 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-4072 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-3459 (*1 *2 *1) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-3706 (*1 *1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-1714 (*1 *2) (-12 (-5 *2 (-1247 (-1092 *3 *4))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) (-3660 (*1 *2 *3 *1) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2385 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-764)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(-13 (-371) (-10 -8 (-15 -2694 ((-3 $ "failed") $ (-918))) (-15 -4072 ((-3 $ "failed") $ (-918) (-918))) (-15 -3459 ((-635 (-918)) $)) (-15 -3706 ($ (-635 (-918)))) (-15 -1714 ((-1247 $))) (-15 -3660 ((-121) (-918) $)) (-15 -2385 ((-764) $ (-918) (-918))))) 
-((-2568 (((-121) $ $) NIL)) (-1460 (($) NIL (|has| |#1| (-371)))) (-1752 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-1981 (($ $ $) 71)) (-2358 (((-121) $ $) 72)) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#1| (-371)))) (-2195 (($ (-635 |#1|)) NIL) (($) 13)) (-4216 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4454 (($ |#1| $) 67 (|has| $ (-6 -4535))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4535)))) (-4327 (($) NIL (|has| |#1| (-371)))) (-3470 (((-635 |#1|) $) 19 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3291 ((|#1| $) 57 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1538 ((|#1| $) 55 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 34)) (-2083 (((-918) $) NIL (|has| |#1| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2652 (($ $ $) 69)) (-3889 ((|#1| $) 25)) (-3172 (($ |#1| $) 65)) (-3998 (($ (-918)) NIL (|has| |#1| (-371)))) (-3360 (((-1109) $) NIL)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-1856 ((|#1| $) 27)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 21)) (-1296 (($) 11)) (-3290 (($ $ |#1|) NIL) (($ $ $) 70)) (-2566 (($) NIL) (($ (-635 |#1|)) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 16)) (-3817 (((-542) $) 52 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 61)) (-3604 (($ $) NIL (|has| |#1| (-371)))) (-2185 (((-851) $) NIL)) (-1573 (((-764) $) NIL)) (-1959 (($ (-635 |#1|)) NIL) (($) 12)) (-2793 (($ (-635 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 54)) (-1678 (((-121) $ $) NIL)) (-4168 (((-764) $) 10 (|has| $ (-6 -4535))))) 
-(((-1093 |#1|) (-428 |#1|) (-1091)) (T -1093)) 
+((-4188 (((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|)) 23 (|has| |#1| (-842))) (((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|)) 14))) 
+(((-1083 |#1| |#2|) (-10 -7 (-15 -4188 ((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) |noBranch|)) (-1199) (-1199)) (T -1083)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-1083 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1087 *6)) (-5 *1 (-1083 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-1087 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-635 |#2|) (-1 |#2| |#1|) (-1087 |#1|))) |noBranch|)) 
+((-4188 (((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)) 19))) 
+(((-1084 |#1| |#2|) (-10 -7 (-15 -4188 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)))) (-1199) (-1199)) (T -1084)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1085 *6)) (-5 *1 (-1084 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-1085 |#2|) (-1 |#2| |#1|) (-1085 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1948 (((-1165) $) 11)) (-4127 (((-1087 |#1|) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-4183 (($ (-1165) (-1087 |#1|)) 10)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 15 (|has| |#1| (-1093))))) 
+(((-1085 |#1|) (-13 (-1199) (-10 -8 (-15 -4183 ($ (-1165) (-1087 |#1|))) (-15 -1948 ((-1165) $)) (-15 -4127 ((-1087 |#1|) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1085)) 
+((-4183 (*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1087 *4)) (-4 *4 (-1199)) (-5 *1 (-1085 *4)))) (-1948 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) (-4127 (*1 *2 *1) (-12 (-5 *2 (-1087 *3)) (-5 *1 (-1085 *3)) (-4 *3 (-1199))))) 
+(-13 (-1199) (-10 -8 (-15 -4183 ($ (-1165) (-1087 |#1|))) (-15 -1948 ((-1165) $)) (-15 -4127 ((-1087 |#1|) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
+((-4127 (($ |#1| |#1|) 7)) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 12)) (-2046 (((-569) $) 8)) (-2289 ((|#1| $) 9)) (-2052 ((|#1| $) 11)) (-4035 (($ |#1|) 6)) (-2705 (($ |#1| |#1|) 14)) (-3880 (($ $ (-569)) 13))) 
+(((-1086 |#1|) (-1284) (-1199)) (T -1086)) 
+((-2705 (*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-3880 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1086 *3)) (-4 *3 (-1199)))) (-2040 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2052 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2182 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2289 (*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-2046 (*1 *2 *1) (-12 (-4 *1 (-1086 *3)) (-4 *3 (-1199)) (-5 *2 (-569)))) (-4127 (*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
+(-13 (-1199) (-10 -8 (-15 -2705 ($ |t#1| |t#1|)) (-15 -3880 ($ $ (-569))) (-15 -2040 (|t#1| $)) (-15 -2052 (|t#1| $)) (-15 -2182 (|t#1| $)) (-15 -2289 (|t#1| $)) (-15 -2046 ((-569) $)) (-15 -4127 ($ |t#1| |t#1|)) (-15 -4035 ($ |t#1|)))) 
+(((-1199) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4127 (($ |#1| |#1|) 15)) (-4188 (((-635 |#1|) (-1 |#1| |#1|) $) 37 (|has| |#1| (-842)))) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 9)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2046 (((-569) $) 14)) (-2289 ((|#1| $) 12)) (-2052 ((|#1| $) 11)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2121 (((-635 |#1|) $) 35 (|has| |#1| (-842))) (((-635 |#1|) (-635 $)) 34 (|has| |#1| (-842)))) (-4035 (($ |#1|) 26)) (-3956 (((-852) $) 25 (|has| |#1| (-1093)))) (-2705 (($ |#1| |#1|) 8)) (-3880 (($ $ (-569)) 16)) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093))))) 
+(((-1087 |#1|) (-13 (-1086 |#1|) (-10 -7 (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-635 |#1|))) |noBranch|))) (-1199)) (T -1087)) 
+NIL 
+(-13 (-1086 |#1|) (-10 -7 (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-635 |#1|))) |noBranch|))) 
+((-4127 (($ |#1| |#1|) 7)) (-4188 ((|#2| (-1 |#1| |#1|) $) 15)) (-2182 ((|#1| $) 10)) (-2040 ((|#1| $) 12)) (-2046 (((-569) $) 8)) (-2289 ((|#1| $) 9)) (-2052 ((|#1| $) 11)) (-2121 ((|#2| (-635 $)) 17) ((|#2| $) 16)) (-4035 (($ |#1|) 6)) (-2705 (($ |#1| |#1|) 14)) (-3880 (($ $ (-569)) 13))) 
+(((-1088 |#1| |#2|) (-1284) (-842) (-1137 |t#1|)) (T -1088)) 
+((-2121 (*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) (-2121 (*1 *2 *1) (-12 (-4 *1 (-1088 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1137 *3)))) (-4188 (*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4))))) 
+(-13 (-1086 |t#1|) (-10 -8 (-15 -2121 (|t#2| (-635 $))) (-15 -2121 (|t#2| $)) (-15 -4188 (|t#2| (-1 |t#1| |t#1|) $)))) 
+(((-1086 |#1|) . T) ((-1199) . T)) 
+((-3577 (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (-2045 (($ $ $) 10)) (-2127 (($ $ $) NIL) (($ $ |#2|) 15))) 
+(((-1089 |#1| |#2|) (-10 -8 (-15 -3577 (|#1| |#2| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2127 (|#1| |#1| |#1|))) (-1090 |#2|) (-1093)) (T -1089)) 
+NIL 
+(-10 -8 (-15 -3577 (|#1| |#2| |#1|)) (-15 -3577 (|#1| |#1| |#2|)) (-15 -3577 (|#1| |#1| |#1|)) (-15 -2045 (|#1| |#1| |#1|)) (-15 -2127 (|#1| |#1| |#2|)) (-15 -2127 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-3577 (($ $ $) 17) (($ $ |#1|) 16) (($ |#1| $) 15)) (-2045 (($ $ $) 19)) (-3254 (((-121) $ $) 18)) (-3350 (((-121) $ (-765)) 34)) (-4414 (($) 24) (($ (-635 |#1|)) 23)) (-2140 (($ (-1 (-121) |#1|) $) 55 (|has| $ (-6 -4571)))) (-4483 (($) 35 T CONST)) (-1858 (($ $) 58 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 57 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 54 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 56 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 53 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 52 (|has| $ (-6 -4571)))) (-4303 (((-635 |#1|) $) 42 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 33)) (-4457 (((-635 |#1|) $) 43 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 45 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 38 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) 32)) (-2605 (((-1147) $) 9)) (-1433 (($ $ $) 22)) (-1912 (((-1111) $) 10)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 51)) (-2985 (((-121) (-1 (-121) |#1|) $) 40 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#1|) (-635 |#1|)) 49 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 48 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 47 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-289 |#1|))) 46 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 28)) (-1668 (((-121) $) 31)) (-4016 (($) 30)) (-2127 (($ $ $) 21) (($ $ |#1|) 20)) (-2691 (((-765) |#1| $) 44 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#1|) $) 41 (|has| $ (-6 -4571)))) (-1799 (($ $) 29)) (-4035 (((-542) $) 59 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 50)) (-3956 (((-852) $) 11)) (-1785 (($) 26) (($ (-635 |#1|)) 25)) (-3776 (((-121) (-1 (-121) |#1|) $) 39 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 6)) (-1337 (((-121) $ $) 27)) (-2946 (((-765) $) 36 (|has| $ (-6 -4571))))) 
+(((-1090 |#1|) (-1284) (-1093)) (T -1090)) 
+((-1337 (*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-1785 (*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-1785 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) (-4414 (*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-4414 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) (-1433 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2127 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2127 (*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-2045 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3254 (*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) (-3577 (*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3577 (*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) (-3577 (*1 *1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(-13 (-1093) (-155 |t#1|) (-10 -8 (-6 -4561) (-15 -1337 ((-121) $ $)) (-15 -1785 ($)) (-15 -1785 ($ (-635 |t#1|))) (-15 -4414 ($)) (-15 -4414 ($ (-635 |t#1|))) (-15 -1433 ($ $ $)) (-15 -2127 ($ $ $)) (-15 -2127 ($ $ |t#1|)) (-15 -2045 ($ $ $)) (-15 -3254 ((-121) $ $)) (-15 -3577 ($ $ $)) (-15 -3577 ($ $ |t#1|)) (-15 -3577 ($ |t#1| $)))) 
+(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-919) $) 12)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-1091) (-1284)) (T -1091)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-919))))) 
+(-13 (-1093) (-10 -8 (-15 -2284 ((-919) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-2605 (((-1147) $) 10)) (-1912 (((-1111) $) 8))) 
+(((-1092 |#1|) (-10 -8 (-15 -2605 ((-1147) |#1|)) (-15 -1912 ((-1111) |#1|))) (-1093)) (T -1092)) 
+NIL 
+(-10 -8 (-15 -2605 ((-1147) |#1|)) (-15 -1912 ((-1111) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-1093) (-1284)) (T -1093)) 
+((-1912 (*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1111)))) (-2605 (*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1147))))) 
+(-13 (-105) (-609 (-852)) (-10 -8 (-15 -1912 ((-1111) $)) (-15 -2605 ((-1147) $)))) 
+(((-105) . T) ((-609 (-852)) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2675 (((-765)) 30)) (-1525 (($ (-635 (-919))) 52)) (-2150 (((-3 $ "failed") $ (-919) (-919)) 57)) (-3341 (($) 32)) (-3016 (((-121) (-919) $) 35)) (-2862 (((-919) $) 50)) (-2605 (((-1147) $) NIL)) (-1333 (($ (-919)) 31)) (-4337 (((-3 $ "failed") $ (-919)) 55)) (-1912 (((-1111) $) NIL)) (-2576 (((-1253 $)) 40)) (-4061 (((-635 (-919)) $) 23)) (-2716 (((-765) $ (-919) (-919)) 56)) (-3956 (((-852) $) 29)) (-1326 (((-121) $ $) 21))) 
+(((-1094 |#1| |#2|) (-13 (-371) (-10 -8 (-15 -4337 ((-3 $ "failed") $ (-919))) (-15 -2150 ((-3 $ "failed") $ (-919) (-919))) (-15 -4061 ((-635 (-919)) $)) (-15 -1525 ($ (-635 (-919)))) (-15 -2576 ((-1253 $))) (-15 -3016 ((-121) (-919) $)) (-15 -2716 ((-765) $ (-919) (-919))))) (-919) (-919)) (T -1094)) 
+((-4337 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-2150 (*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2))) (-4061 (*1 *2 *1) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-1525 (*1 *1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-2576 (*1 *2) (-12 (-5 *2 (-1253 (-1094 *3 *4))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) (-3016 (*1 *2 *3 *1) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3))) (-2716 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-765)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(-13 (-371) (-10 -8 (-15 -4337 ((-3 $ "failed") $ (-919))) (-15 -2150 ((-3 $ "failed") $ (-919) (-919))) (-15 -4061 ((-635 (-919)) $)) (-15 -1525 ($ (-635 (-919)))) (-15 -2576 ((-1253 $))) (-15 -3016 ((-121) (-919) $)) (-15 -2716 ((-765) $ (-919) (-919))))) 
+((-1310 (((-121) $ $) NIL)) (-2656 (($) NIL (|has| |#1| (-371)))) (-3577 (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ $ $) 73)) (-2045 (($ $ $) 71)) (-3254 (((-121) $ $) 72)) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#1| (-371)))) (-4414 (($ (-635 |#1|)) NIL) (($) 13)) (-1304 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2006 (($ |#1| $) 67 (|has| $ (-6 -4571))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 43 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 41 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 39 (|has| $ (-6 -4571)))) (-3341 (($) NIL (|has| |#1| (-371)))) (-4303 (((-635 |#1|) $) 19 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2157 ((|#1| $) 57 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 66 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2713 ((|#1| $) 55 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 33 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 34)) (-2862 (((-919) $) NIL (|has| |#1| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1433 (($ $ $) 69)) (-4496 ((|#1| $) 25)) (-2351 (($ |#1| $) 65)) (-1333 (($ (-919)) NIL (|has| |#1| (-371)))) (-1912 (((-1111) $) NIL)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 31)) (-2166 ((|#1| $) 27)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 21)) (-4016 (($) 11)) (-2127 (($ $ |#1|) NIL) (($ $ $) 70)) (-1353 (($) NIL) (($ (-635 |#1|)) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 16)) (-4035 (((-542) $) 52 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 61)) (-4266 (($ $) NIL (|has| |#1| (-371)))) (-3956 (((-852) $) NIL)) (-2207 (((-765) $) NIL)) (-1785 (($ (-635 |#1|)) NIL) (($) 12)) (-1753 (($ (-635 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 54)) (-1337 (((-121) $ $) NIL)) (-2946 (((-765) $) 10 (|has| $ (-6 -4571))))) 
+(((-1095 |#1|) (-428 |#1|) (-1093)) (T -1095)) 
 NIL 
 (-428 |#1|) 
-((-2568 (((-121) $ $) 7)) (-1508 (((-121) $) 31)) (-2392 ((|#2| $) 26)) (-2549 (((-121) $) 32)) (-2257 ((|#1| $) 27)) (-4026 (((-121) $) 34)) (-1298 (((-121) $) 36)) (-3118 (((-121) $) 33)) (-2776 (((-1145) $) 9)) (-3750 (((-121) $) 30)) (-2234 ((|#3| $) 25)) (-3360 (((-1109) $) 10)) (-3549 (((-121) $) 29)) (-2215 ((|#4| $) 24)) (-2252 ((|#5| $) 23)) (-1502 (((-121) $ $) 37)) (-1534 (($ $ (-569)) 13) (($ $ (-635 (-569))) 12)) (-1759 (((-635 $) $) 28)) (-3817 (($ (-635 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-2185 (((-851) $) 11)) (-1525 (($ $) 15)) (-1520 (($ $) 16)) (-3691 (((-121) $) 35)) (-1668 (((-121) $ $) 6)) (-4168 (((-569) $) 14))) 
-(((-1094 |#1| |#2| |#3| |#4| |#5|) (-1278) (-1091) (-1091) (-1091) (-1091) (-1091)) (T -1094)) 
-((-1502 (*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1298 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3691 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-4026 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3118 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-2549 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1508 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3750 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-3549 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121)))) (-1759 (*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)))) (-2257 (*1 *2 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2392 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2234 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2215 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-2252 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-3817 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *2 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-4 *6 (-1091)))) (-3817 (*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) (-1520 (*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-1525 (*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) (-4168 (*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-569)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091))))) 
-(-13 (-1091) (-10 -8 (-15 -1502 ((-121) $ $)) (-15 -1298 ((-121) $)) (-15 -3691 ((-121) $)) (-15 -4026 ((-121) $)) (-15 -3118 ((-121) $)) (-15 -2549 ((-121) $)) (-15 -1508 ((-121) $)) (-15 -3750 ((-121) $)) (-15 -3549 ((-121) $)) (-15 -1759 ((-635 $) $)) (-15 -2257 (|t#1| $)) (-15 -2392 (|t#2| $)) (-15 -2234 (|t#3| $)) (-15 -2215 (|t#4| $)) (-15 -2252 (|t#5| $)) (-15 -3817 ($ (-635 $))) (-15 -3817 ($ |t#1|)) (-15 -3817 ($ |t#2|)) (-15 -3817 ($ |t#3|)) (-15 -3817 ($ |t#4|)) (-15 -3817 ($ |t#5|)) (-15 -1520 ($ $)) (-15 -1525 ($ $)) (-15 -4168 ((-569) $)) (-15 -1534 ($ $ (-569))) (-15 -1534 ($ $ (-635 (-569)))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-1508 (((-121) $) NIL)) (-2392 (((-1163) $) NIL)) (-2549 (((-121) $) NIL)) (-2257 (((-1145) $) NIL)) (-4026 (((-121) $) NIL)) (-1298 (((-121) $) NIL)) (-3118 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3750 (((-121) $) NIL)) (-2234 (((-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-3549 (((-121) $) NIL)) (-2215 (((-216) $) NIL)) (-2252 (((-851) $) NIL)) (-1502 (((-121) $ $) NIL)) (-1534 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-1759 (((-635 $) $) NIL)) (-3817 (($ (-635 $)) NIL) (($ (-1145)) NIL) (($ (-1163)) NIL) (($ (-569)) NIL) (($ (-216)) NIL) (($ (-851)) NIL)) (-2185 (((-851) $) NIL)) (-1525 (($ $) NIL)) (-1520 (($ $) NIL)) (-3691 (((-121) $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-569) $) NIL))) 
-(((-1095) (-1094 (-1145) (-1163) (-569) (-216) (-851))) (T -1095)) 
-NIL 
-(-1094 (-1145) (-1163) (-569) (-216) (-851)) 
-((-2568 (((-121) $ $) NIL)) (-1508 (((-121) $) 37)) (-2392 ((|#2| $) 41)) (-2549 (((-121) $) 36)) (-2257 ((|#1| $) 40)) (-4026 (((-121) $) 34)) (-1298 (((-121) $) 14)) (-3118 (((-121) $) 35)) (-2776 (((-1145) $) NIL)) (-3750 (((-121) $) 38)) (-2234 ((|#3| $) 43)) (-3360 (((-1109) $) NIL)) (-3549 (((-121) $) 39)) (-2215 ((|#4| $) 42)) (-2252 ((|#5| $) 44)) (-1502 (((-121) $ $) 33)) (-1534 (($ $ (-569)) 55) (($ $ (-635 (-569))) 57)) (-1759 (((-635 $) $) 21)) (-3817 (($ (-635 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-2185 (((-851) $) 22)) (-1525 (($ $) 20)) (-1520 (($ $) 51)) (-3691 (((-121) $) 18)) (-1668 (((-121) $ $) 32)) (-4168 (((-569) $) 53))) 
-(((-1096 |#1| |#2| |#3| |#4| |#5|) (-1094 |#1| |#2| |#3| |#4| |#5|) (-1091) (-1091) (-1091) (-1091) (-1091)) (T -1096)) 
-NIL 
-(-1094 |#1| |#2| |#3| |#4| |#5|) 
-((-3836 (((-1252) $) 23)) (-3771 (($ (-1163) (-437) |#2|) 11)) (-2185 (((-851) $) 16))) 
-(((-1097 |#1| |#2|) (-13 (-398) (-10 -8 (-15 -3771 ($ (-1163) (-437) |#2|)))) (-843) (-433 |#1|)) (T -1097)) 
-((-3771 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-437)) (-4 *5 (-843)) (-5 *1 (-1097 *5 *4)) (-4 *4 (-433 *5))))) 
-(-13 (-398) (-10 -8 (-15 -3771 ($ (-1163) (-437) |#2|)))) 
-((-3099 (((-121) |#5| |#5|) 37)) (-1501 (((-121) |#5| |#5|) 51)) (-1877 (((-121) |#5| (-635 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-1941 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-2149 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 62)) (-2737 (((-1252)) 33)) (-2371 (((-1252) (-1145) (-1145) (-1145)) 29)) (-1890 (((-635 |#5|) (-635 |#5|)) 81)) (-1428 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) 79)) (-1659 (((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 101)) (-1602 (((-121) |#5| |#5|) 46)) (-4393 (((-3 (-121) "failed") |#5| |#5|) 70)) (-4461 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-3269 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-2673 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-3590 (((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-2514 (((-635 |#5|) (-635 |#5|)) 42))) 
-(((-1098 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1098)) 
-((-3590 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1098 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) (-1659 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1098 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-1428 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-2149 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)))) (-1890 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-1877 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *8 *3)))) (-1877 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-4393 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2673 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3269 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-4461 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1941 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-1501 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-1602 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2514 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7)))) (-3099 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) (-2737 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-2371 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -2371 ((-1252) (-1145) (-1145) (-1145))) (-15 -2737 ((-1252))) (-15 -3099 ((-121) |#5| |#5|)) (-15 -2514 ((-635 |#5|) (-635 |#5|))) (-15 -1602 ((-121) |#5| |#5|)) (-15 -1501 ((-121) |#5| |#5|)) (-15 -1941 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4461 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -3269 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2673 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4393 ((-3 (-121) "failed") |#5| |#5|)) (-15 -1877 ((-121) |#5| |#5|)) (-15 -1877 ((-121) |#5| (-635 |#5|))) (-15 -1890 ((-635 |#5|) (-635 |#5|))) (-15 -2149 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -1428 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-15 -1659 ((-635 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3590 ((-3 (-2 (|:| -1502 (-635 |#4|)) (|:| -4003 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
-((-4275 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|) 94)) (-3284 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|) 70)) (-2783 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 88)) (-4223 (((-635 |#5|) |#4| |#5|) 109)) (-3835 (((-635 |#5|) |#4| |#5|) 116)) (-2635 (((-635 |#5|) |#4| |#5|) 117)) (-2969 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 95)) (-3806 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 115)) (-2571 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-2336 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121)) 82) (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-4135 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|) 77)) (-3522 (((-1252)) 35)) (-3976 (((-1252)) 25)) (-3650 (((-1252) (-1145) (-1145) (-1145)) 31)) (-3327 (((-1252) (-1145) (-1145) (-1145)) 20))) 
-(((-1099 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -3284 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -4135 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2783 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2571 ((-121) |#4| |#5|)) (-15 -2969 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -4223 ((-635 |#5|) |#4| |#5|)) (-15 -3806 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3835 ((-635 |#5|) |#4| |#5|)) (-15 -2571 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -2635 ((-635 |#5|) |#4| |#5|)) (-15 -4275 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1067 |#1| |#2| |#3| |#4|)) (T -1099)) 
-((-4275 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2635 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2571 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3835 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3806 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-4223 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2969 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2571 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2783 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-4135 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-2336 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1099 *6 *7 *4 *8 *9)))) (-2336 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) (-3284 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) (-3522 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3650 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) (-3976 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) (-3327 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(-10 -7 (-15 -3327 ((-1252) (-1145) (-1145) (-1145))) (-15 -3976 ((-1252))) (-15 -3650 ((-1252) (-1145) (-1145) (-1145))) (-15 -3522 ((-1252))) (-15 -3284 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -2336 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) |#3| (-121))) (-15 -4135 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2783 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#4| |#5|)) (-15 -2571 ((-121) |#4| |#5|)) (-15 -2969 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -4223 ((-635 |#5|) |#4| |#5|)) (-15 -3806 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -3835 ((-635 |#5|) |#4| |#5|)) (-15 -2571 ((-635 (-2 (|:| |val| (-121)) (|:| -4003 |#5|))) |#4| |#5|)) (-15 -2635 ((-635 |#5|) |#4| |#5|)) (-15 -4275 ((-635 (-2 (|:| |val| |#4|) (|:| -4003 |#5|))) |#4| |#5|))) 
-((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-1100 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1100)) 
-NIL 
-(-13 (-1067 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
-((-3676 (((-635 (-569)) (-569) (-569) (-569)) 20)) (-3471 (((-635 (-569)) (-569) (-569) (-569)) 12)) (-1557 (((-635 (-569)) (-569) (-569) (-569)) 16)) (-2303 (((-569) (-569) (-569)) 9)) (-4210 (((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569)) 44) (((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569)) 39)) (-4165 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121)) 26)) (-2150 (((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569))) 43)) (-1699 (((-680 (-569)) (-635 (-569)) (-635 (-569))) 31)) (-1902 (((-635 (-680 (-569))) (-635 (-569))) 33)) (-2896 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569))) 46)) (-3908 (((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569))) 54))) 
-(((-1101) (-10 -7 (-15 -3908 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2896 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -1902 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -1699 ((-680 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2150 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -4165 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -4210 ((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569))) (-15 -4210 ((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569))) (-15 -2303 ((-569) (-569) (-569))) (-15 -1557 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3471 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3676 ((-635 (-569)) (-569) (-569) (-569))))) (T -1101)) 
-((-3676 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-3471 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-1557 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569)))) (-2303 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1101)))) (-4210 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1101)))) (-4210 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-569)) (-5 *1 (-1101)))) (-4165 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1101)))) (-2150 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-680 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1101)))) (-1699 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101)))) (-1902 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1101)))) (-2896 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-680 (-569))) (-5 *1 (-1101)))) (-3908 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
-(-10 -7 (-15 -3908 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2896 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -1902 ((-635 (-680 (-569))) (-635 (-569)))) (-15 -1699 ((-680 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2150 ((-680 (-569)) (-635 (-569)) (-635 (-569)) (-680 (-569)))) (-15 -4165 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -4210 ((-1247 (-569)) (-1247 (-569)) (-1247 (-569)) (-569))) (-15 -4210 ((-1247 (-569)) (-635 (-569)) (-1247 (-569)) (-569))) (-15 -2303 ((-569) (-569) (-569))) (-15 -1557 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3471 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3676 ((-635 (-569)) (-569) (-569) (-569)))) 
-((-2427 (($ $ (-918)) 12)) (** (($ $ (-918)) 10))) 
-(((-1102 |#1|) (-10 -8 (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) (-1103)) (T -1102)) 
-NIL 
-(-10 -8 (-15 -2427 (|#1| |#1| (-918))) (-15 ** (|#1| |#1| (-918)))) 
-((-2568 (((-121) $ $) 7)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-2427 (($ $ (-918)) 12)) (-1668 (((-121) $ $) 6)) (** (($ $ (-918)) 13)) (* (($ $ $) 14))) 
-(((-1103) (-1278)) (T -1103)) 
-((* (*1 *1 *1 *1) (-4 *1 (-1103))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918)))) (-2427 (*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918))))) 
-(-13 (-1091) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-918))) (-15 -2427 ($ $ (-918))))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#3| (-1091)))) (-3813 (((-121) $) NIL (|has| |#3| (-138)))) (-4382 (($ (-918)) NIL (|has| |#3| (-1048)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-1498 (($ $ $) NIL (|has| |#3| (-789)))) (-2327 (((-3 $ "failed") $ $) NIL (|has| |#3| (-138)))) (-1691 (((-121) $ (-764)) NIL)) (-2085 (((-764)) NIL (|has| |#3| (-371)))) (-3638 (((-569) $) NIL (|has| |#3| (-841)))) (-4469 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1091)))) (-2428 (((-569) $) NIL (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) ((|#3| $) NIL (|has| |#3| (-1091)))) (-1696 (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1048)))) (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) NIL (|has| |#3| (-1048))) (((-680 |#3|) (-680 $)) NIL (|has| |#3| (-1048)))) (-3428 (((-3 $ "failed") $) NIL (|has| |#3| (-717)))) (-4327 (($) NIL (|has| |#3| (-371)))) (-2726 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#3| $ (-569)) 12)) (-2403 (((-121) $) NIL (|has| |#3| (-841)))) (-3470 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL (|has| |#3| (-717)))) (-1781 (((-121) $) NIL (|has| |#3| (-841)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-4259 (((-635 |#3|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1853 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#3| |#3|) $) NIL)) (-2083 (((-918) $) NIL (|has| |#3| (-371)))) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#3| (-1091)))) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3998 (($ (-918)) NIL (|has| |#3| (-371)))) (-3360 (((-1109) $) NIL (|has| |#3| (-1091)))) (-4353 ((|#3| $) NIL (|has| (-569) (-843)))) (-3174 (($ $ |#3|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-2691 (((-635 |#3|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) NIL)) (-2049 ((|#3| $ $) NIL (|has| |#3| (-1048)))) (-1755 (($ (-1247 |#3|)) NIL)) (-2369 (((-140)) NIL (|has| |#3| (-366)))) (-3899 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048)))) (-2846 (((-764) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535))) (((-764) |#3| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#3| (-1091))))) (-1971 (($ $) NIL)) (-2185 (((-1247 |#3|) $) NIL) (((-851) $) NIL (|has| |#3| (-1091))) (($ (-569)) NIL (-2232 (-12 (|has| |#3| (-1038 (-569))) (|has| |#3| (-1091))) (|has| |#3| (-1048)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1038 (-410 (-569)))) (|has| |#3| (-1091)))) (($ |#3|) NIL (|has| |#3| (-1091)))) (-1991 (((-764)) NIL (|has| |#3| (-1048)))) (-2066 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4535)))) (-1616 (($ $) NIL (|has| |#3| (-841)))) (-2427 (($ $ (-764)) NIL (|has| |#3| (-717))) (($ $ (-918)) NIL (|has| |#3| (-717)))) (-3369 (($) NIL (|has| |#3| (-138)) CONST)) (-1556 (($) NIL (|has| |#3| (-717)) CONST)) (-3022 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-764)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1048)))) (($ $ (-1163)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#3| (-896 (-1163))) (|has| |#3| (-1048)))) (($ $ (-1 |#3| |#3|) (-764)) NIL (|has| |#3| (-1048))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1048)))) (-1693 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1684 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1668 (((-121) $ $) NIL (|has| |#3| (-1091)))) (-1688 (((-121) $ $) NIL (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1678 (((-121) $ $) 17 (-2232 (|has| |#3| (-789)) (|has| |#3| (-841))))) (-1715 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1711 (($ $ $) NIL (|has| |#3| (-1048))) (($ $) NIL (|has| |#3| (-1048)))) (-1707 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-764)) NIL (|has| |#3| (-717))) (($ $ (-918)) NIL (|has| |#3| (-717)))) (* (($ (-569) $) NIL (|has| |#3| (-1048))) (($ $ $) NIL (|has| |#3| (-717))) (($ $ |#3|) NIL (|has| |#3| (-1048))) (($ |#3| $) NIL (|has| |#3| (-1048))) (($ (-764) $) NIL (|has| |#3| (-138))) (($ (-918) $) NIL (|has| |#3| (-25)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1104 |#1| |#2| |#3|) (-231 |#1| |#3|) (-764) (-764) (-789)) (T -1104)) 
+((-1310 (((-121) $ $) 7)) (-1285 (((-121) $) 31)) (-3379 ((|#2| $) 26)) (-4249 (((-121) $) 32)) (-3257 ((|#1| $) 27)) (-3766 (((-121) $) 34)) (-2767 (((-121) $) 36)) (-3613 (((-121) $) 33)) (-2605 (((-1147) $) 9)) (-1325 (((-121) $) 30)) (-3237 ((|#3| $) 25)) (-1912 (((-1111) $) 10)) (-2275 (((-121) $) 29)) (-3222 ((|#4| $) 24)) (-2824 ((|#5| $) 23)) (-4399 (((-121) $ $) 37)) (-2503 (($ $ (-569)) 13) (($ $ (-635 (-569))) 12)) (-3171 (((-635 $) $) 28)) (-4035 (($ (-635 $)) 22) (($ |#1|) 21) (($ |#2|) 20) (($ |#3|) 19) (($ |#4|) 18) (($ |#5|) 17)) (-3956 (((-852) $) 11)) (-3860 (($ $) 15)) (-3854 (($ $) 16)) (-2437 (((-121) $) 35)) (-1326 (((-121) $ $) 6)) (-2946 (((-569) $) 14))) 
+(((-1096 |#1| |#2| |#3| |#4| |#5|) (-1284) (-1093) (-1093) (-1093) (-1093) (-1093)) (T -1096)) 
+((-4399 (*1 *2 *1 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2767 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2437 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3766 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3613 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-4249 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-1285 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-1325 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-2275 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121)))) (-3171 (*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)))) (-3257 (*1 *2 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3379 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3237 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3222 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-2824 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-4035 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *2 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-4 *6 (-1093)))) (-4035 (*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) (-3854 (*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-3860 (*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) (-2946 (*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-569)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093))))) 
+(-13 (-1093) (-10 -8 (-15 -4399 ((-121) $ $)) (-15 -2767 ((-121) $)) (-15 -2437 ((-121) $)) (-15 -3766 ((-121) $)) (-15 -3613 ((-121) $)) (-15 -4249 ((-121) $)) (-15 -1285 ((-121) $)) (-15 -1325 ((-121) $)) (-15 -2275 ((-121) $)) (-15 -3171 ((-635 $) $)) (-15 -3257 (|t#1| $)) (-15 -3379 (|t#2| $)) (-15 -3237 (|t#3| $)) (-15 -3222 (|t#4| $)) (-15 -2824 (|t#5| $)) (-15 -4035 ($ (-635 $))) (-15 -4035 ($ |t#1|)) (-15 -4035 ($ |t#2|)) (-15 -4035 ($ |t#3|)) (-15 -4035 ($ |t#4|)) (-15 -4035 ($ |t#5|)) (-15 -3854 ($ $)) (-15 -3860 ($ $)) (-15 -2946 ((-569) $)) (-15 -2503 ($ $ (-569))) (-15 -2503 ($ $ (-635 (-569)))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-1285 (((-121) $) NIL)) (-3379 (((-1165) $) NIL)) (-4249 (((-121) $) NIL)) (-3257 (((-1147) $) NIL)) (-3766 (((-121) $) NIL)) (-2767 (((-121) $) NIL)) (-3613 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1325 (((-121) $) NIL)) (-3237 (((-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-2275 (((-121) $) NIL)) (-3222 (((-216) $) NIL)) (-2824 (((-852) $) NIL)) (-4399 (((-121) $ $) NIL)) (-2503 (($ $ (-569)) NIL) (($ $ (-635 (-569))) NIL)) (-3171 (((-635 $) $) NIL)) (-4035 (($ (-635 $)) NIL) (($ (-1147)) NIL) (($ (-1165)) NIL) (($ (-569)) NIL) (($ (-216)) NIL) (($ (-852)) NIL)) (-3956 (((-852) $) NIL)) (-3860 (($ $) NIL)) (-3854 (($ $) NIL)) (-2437 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-569) $) NIL))) 
+(((-1097) (-1096 (-1147) (-1165) (-569) (-216) (-852))) (T -1097)) 
+NIL 
+(-1096 (-1147) (-1165) (-569) (-216) (-852)) 
+((-1310 (((-121) $ $) NIL)) (-1285 (((-121) $) 37)) (-3379 ((|#2| $) 41)) (-4249 (((-121) $) 36)) (-3257 ((|#1| $) 40)) (-3766 (((-121) $) 34)) (-2767 (((-121) $) 14)) (-3613 (((-121) $) 35)) (-2605 (((-1147) $) NIL)) (-1325 (((-121) $) 38)) (-3237 ((|#3| $) 43)) (-1912 (((-1111) $) NIL)) (-2275 (((-121) $) 39)) (-3222 ((|#4| $) 42)) (-2824 ((|#5| $) 44)) (-4399 (((-121) $ $) 33)) (-2503 (($ $ (-569)) 55) (($ $ (-635 (-569))) 57)) (-3171 (((-635 $) $) 21)) (-4035 (($ (-635 $)) 45) (($ |#1|) 46) (($ |#2|) 47) (($ |#3|) 48) (($ |#4|) 49) (($ |#5|) 50)) (-3956 (((-852) $) 22)) (-3860 (($ $) 20)) (-3854 (($ $) 51)) (-2437 (((-121) $) 18)) (-1326 (((-121) $ $) 32)) (-2946 (((-569) $) 53))) 
+(((-1098 |#1| |#2| |#3| |#4| |#5|) (-1096 |#1| |#2| |#3| |#4| |#5|) (-1093) (-1093) (-1093) (-1093) (-1093)) (T -1098)) 
+NIL 
+(-1096 |#1| |#2| |#3| |#4| |#5|) 
+((-3225 (((-1258) $) 23)) (-4366 (($ (-1165) (-437) |#2|) 11)) (-3956 (((-852) $) 16))) 
+(((-1099 |#1| |#2|) (-13 (-398) (-10 -8 (-15 -4366 ($ (-1165) (-437) |#2|)))) (-844) (-433 |#1|)) (T -1099)) 
+((-4366 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-437)) (-4 *5 (-844)) (-5 *1 (-1099 *5 *4)) (-4 *4 (-433 *5))))) 
+(-13 (-398) (-10 -8 (-15 -4366 ($ (-1165) (-437) |#2|)))) 
+((-4322 (((-121) |#5| |#5|) 37)) (-4368 (((-121) |#5| |#5|) 51)) (-2664 (((-121) |#5| (-635 |#5|)) 74) (((-121) |#5| |#5|) 60)) (-3705 (((-121) (-635 |#4|) (-635 |#4|)) 57)) (-1780 (((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 62)) (-2932 (((-1258)) 33)) (-2241 (((-1258) (-1147) (-1147) (-1147)) 29)) (-1687 (((-635 |#5|) (-635 |#5|)) 81)) (-3051 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) 79)) (-4034 (((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121)) 101)) (-1703 (((-121) |#5| |#5|) 46)) (-4413 (((-3 (-121) "failed") |#5| |#5|) 70)) (-2456 (((-121) (-635 |#4|) (-635 |#4|)) 56)) (-4059 (((-121) (-635 |#4|) (-635 |#4|)) 58)) (-1861 (((-121) (-635 |#4|) (-635 |#4|)) 59)) (-4011 (((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)) 97)) (-1501 (((-635 |#5|) (-635 |#5|)) 42))) 
+(((-1100 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1100)) 
+((-4011 (*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1100 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) (-4034 (*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1100 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) (-3051 (*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-1780 (*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)))) (-1687 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-2664 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1100 *5 *6 *7 *8 *3)))) (-2664 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-4413 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1861 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4059 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-2456 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-3705 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-4368 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1703 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-1501 (*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7)))) (-4322 (*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) (-2932 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2241 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -2241 ((-1258) (-1147) (-1147) (-1147))) (-15 -2932 ((-1258))) (-15 -4322 ((-121) |#5| |#5|)) (-15 -1501 ((-635 |#5|) (-635 |#5|))) (-15 -1703 ((-121) |#5| |#5|)) (-15 -4368 ((-121) |#5| |#5|)) (-15 -3705 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -2456 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4059 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -1861 ((-121) (-635 |#4|) (-635 |#4|))) (-15 -4413 ((-3 (-121) "failed") |#5| |#5|)) (-15 -2664 ((-121) |#5| |#5|)) (-15 -2664 ((-121) |#5| (-635 |#5|))) (-15 -1687 ((-635 |#5|) (-635 |#5|))) (-15 -1780 ((-121) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -3051 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-15 -4034 ((-635 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|)))) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4011 ((-3 (-2 (|:| -4399 (-635 |#4|)) (|:| -4320 |#5|) (|:| |ineq| (-635 |#4|))) "failed") (-635 |#4|) |#5| (-635 |#4|) (-121) (-121) (-121) (-121) (-121)))) 
+((-3640 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|) 94)) (-3374 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|) 70)) (-1470 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 88)) (-1498 (((-635 |#5|) |#4| |#5|) 109)) (-2685 (((-635 |#5|) |#4| |#5|) 116)) (-2356 (((-635 |#5|) |#4| |#5|) 117)) (-4392 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 95)) (-2103 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 115)) (-3500 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|) 44) (((-121) |#4| |#5|) 52)) (-3959 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121)) 82) (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121)) 49)) (-4494 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|) 77)) (-3032 (((-1258)) 35)) (-1631 (((-1258)) 25)) (-2773 (((-1258) (-1147) (-1147) (-1147)) 31)) (-1867 (((-1258) (-1147) (-1147) (-1147)) 20))) 
+(((-1101 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -3374 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -4494 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -1470 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3500 ((-121) |#4| |#5|)) (-15 -4392 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -1498 ((-635 |#5|) |#4| |#5|)) (-15 -2103 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2685 ((-635 |#5|) |#4| |#5|)) (-15 -3500 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2356 ((-635 |#5|) |#4| |#5|)) (-15 -3640 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1068 |#1| |#2| |#3| |#4|)) (T -1101)) 
+((-3640 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2356 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2685 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-2103 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-1498 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4392 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-1470 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-4494 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3959 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1101 *6 *7 *4 *8 *9)))) (-3959 (*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) (-3374 (*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) (-3032 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-2773 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) (-1631 (*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) (-1867 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(-10 -7 (-15 -1867 ((-1258) (-1147) (-1147) (-1147))) (-15 -1631 ((-1258))) (-15 -2773 ((-1258) (-1147) (-1147) (-1147))) (-15 -3032 ((-1258))) (-15 -3374 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5| (-121) (-121))) (-15 -3959 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) |#3| (-121))) (-15 -4494 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -1470 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#4| |#5|)) (-15 -3500 ((-121) |#4| |#5|)) (-15 -4392 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -1498 ((-635 |#5|) |#4| |#5|)) (-15 -2103 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2685 ((-635 |#5|) |#4| |#5|)) (-15 -3500 ((-635 (-2 (|:| |val| (-121)) (|:| -4320 |#5|))) |#4| |#5|)) (-15 -2356 ((-635 |#5|) |#4| |#5|)) (-15 -3640 ((-635 (-2 (|:| |val| |#4|) (|:| -4320 |#5|))) |#4| |#5|))) 
+((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-1102 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1102)) 
+NIL 
+(-13 (-1068 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
+((-3387 (((-635 (-569)) (-569) (-569) (-569)) 20)) (-4329 (((-635 (-569)) (-569) (-569) (-569)) 12)) (-3123 (((-635 (-569)) (-569) (-569) (-569)) 16)) (-4307 (((-569) (-569) (-569)) 9)) (-2473 (((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569)) 44) (((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569)) 39)) (-2733 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121)) 26)) (-1813 (((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569))) 43)) (-2129 (((-681 (-569)) (-635 (-569)) (-635 (-569))) 31)) (-2041 (((-635 (-681 (-569))) (-635 (-569))) 33)) (-2187 (((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569))) 46)) (-3680 (((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569))) 54))) 
+(((-1103) (-10 -7 (-15 -3680 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2187 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2041 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -2129 ((-681 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -1813 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2733 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -2473 ((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569))) (-15 -2473 ((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569))) (-15 -4307 ((-569) (-569) (-569))) (-15 -3123 ((-635 (-569)) (-569) (-569) (-569))) (-15 -4329 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3387 ((-635 (-569)) (-569) (-569) (-569))))) (T -1103)) 
+((-3387 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-4329 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-3123 (*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569)))) (-4307 (*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1103)))) (-2473 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1103)))) (-2473 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-569)) (-5 *1 (-1103)))) (-2733 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1103)))) (-1813 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-681 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1103)))) (-2129 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103)))) (-2041 (*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1103)))) (-2187 (*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-681 (-569))) (-5 *1 (-1103)))) (-3680 (*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
+(-10 -7 (-15 -3680 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -2187 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2041 ((-635 (-681 (-569))) (-635 (-569)))) (-15 -2129 ((-681 (-569)) (-635 (-569)) (-635 (-569)))) (-15 -1813 ((-681 (-569)) (-635 (-569)) (-635 (-569)) (-681 (-569)))) (-15 -2733 ((-635 (-569)) (-635 (-569)) (-635 (-569)) (-121))) (-15 -2473 ((-1253 (-569)) (-1253 (-569)) (-1253 (-569)) (-569))) (-15 -2473 ((-1253 (-569)) (-635 (-569)) (-1253 (-569)) (-569))) (-15 -4307 ((-569) (-569) (-569))) (-15 -3123 ((-635 (-569)) (-569) (-569) (-569))) (-15 -4329 ((-635 (-569)) (-569) (-569) (-569))) (-15 -3387 ((-635 (-569)) (-569) (-569) (-569)))) 
+((-3403 (($ $ (-919)) 12)) (** (($ $ (-919)) 10))) 
+(((-1104 |#1|) (-10 -8 (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) (-1105)) (T -1104)) 
+NIL 
+(-10 -8 (-15 -3403 (|#1| |#1| (-919))) (-15 ** (|#1| |#1| (-919)))) 
+((-1310 (((-121) $ $) 7)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-3403 (($ $ (-919)) 12)) (-1326 (((-121) $ $) 6)) (** (($ $ (-919)) 13)) (* (($ $ $) 14))) 
+(((-1105) (-1284)) (T -1105)) 
+((* (*1 *1 *1 *1) (-4 *1 (-1105))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919)))) (-3403 (*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919))))) 
+(-13 (-1093) (-10 -8 (-15 * ($ $ $)) (-15 ** ($ $ (-919))) (-15 -3403 ($ $ (-919))))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#3| (-1093)))) (-2225 (((-121) $) NIL (|has| |#3| (-138)))) (-4148 (($ (-919)) NIL (|has| |#3| (-1049)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-4288 (($ $ $) NIL (|has| |#3| (-790)))) (-3748 (((-3 $ "failed") $ $) NIL (|has| |#3| (-138)))) (-3350 (((-121) $ (-765)) NIL)) (-2675 (((-765)) NIL (|has| |#3| (-371)))) (-3817 (((-569) $) NIL (|has| |#3| (-842)))) (-2511 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) (((-3 |#3| "failed") $) NIL (|has| |#3| (-1093)))) (-1321 (((-569) $) NIL (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093)))) (((-410 (-569)) $) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) ((|#3| $) NIL (|has| |#3| (-1093)))) (-3435 (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#3| (-631 (-569))) (|has| |#3| (-1049)))) (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) NIL (|has| |#3| (-1049))) (((-681 |#3|) (-681 $)) NIL (|has| |#3| (-1049)))) (-2611 (((-3 $ "failed") $) NIL (|has| |#3| (-718)))) (-3341 (($) NIL (|has| |#3| (-371)))) (-3982 ((|#3| $ (-569) |#3|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#3| $ (-569)) 12)) (-1863 (((-121) $) NIL (|has| |#3| (-842)))) (-4303 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL (|has| |#3| (-718)))) (-4311 (((-121) $) NIL (|has| |#3| (-842)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-4457 (((-635 |#3|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-2089 (($ (-1 |#3| |#3|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#3| |#3|) $) NIL)) (-2862 (((-919) $) NIL (|has| |#3| (-371)))) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#3| (-1093)))) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1333 (($ (-919)) NIL (|has| |#3| (-371)))) (-1912 (((-1111) $) NIL (|has| |#3| (-1093)))) (-1816 ((|#3| $) NIL (|has| (-569) (-844)))) (-2417 (($ $ |#3|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#3|))) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-289 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ |#3| |#3|) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093)))) (($ $ (-635 |#3|) (-635 |#3|)) NIL (-12 (|has| |#3| (-304 |#3|)) (|has| |#3| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-4283 (((-635 |#3|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#3| $ (-569) |#3|) NIL) ((|#3| $ (-569)) NIL)) (-4510 ((|#3| $ $) NIL (|has| |#3| (-1049)))) (-3161 (($ (-1253 |#3|)) NIL)) (-2174 (((-140)) NIL (|has| |#3| (-366)))) (-3289 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049)))) (-2691 (((-765) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571))) (((-765) |#3| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#3| (-1093))))) (-1799 (($ $) NIL)) (-3956 (((-1253 |#3|) $) NIL) (((-852) $) NIL (|has| |#3| (-1093))) (($ (-569)) NIL (-1929 (-12 (|has| |#3| (-1039 (-569))) (|has| |#3| (-1093))) (|has| |#3| (-1049)))) (($ (-410 (-569))) NIL (-12 (|has| |#3| (-1039 (-410 (-569)))) (|has| |#3| (-1093)))) (($ |#3|) NIL (|has| |#3| (-1093)))) (-2320 (((-765)) NIL (|has| |#3| (-1049)))) (-3776 (((-121) (-1 (-121) |#3|) $) NIL (|has| $ (-6 -4571)))) (-4080 (($ $) NIL (|has| |#3| (-842)))) (-3403 (($ $ (-765)) NIL (|has| |#3| (-718))) (($ $ (-919)) NIL (|has| |#3| (-718)))) (-2407 (($) NIL (|has| |#3| (-138)) CONST)) (-3297 (($) NIL (|has| |#3| (-718)) CONST)) (-3712 (($ $) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-765)) NIL (-12 (|has| |#3| (-226)) (|has| |#3| (-1049)))) (($ $ (-1165)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#3| (-897 (-1165))) (|has| |#3| (-1049)))) (($ $ (-1 |#3| |#3|) (-765)) NIL (|has| |#3| (-1049))) (($ $ (-1 |#3| |#3|)) NIL (|has| |#3| (-1049)))) (-1355 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1343 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1326 (((-121) $ $) NIL (|has| |#3| (-1093)))) (-1349 (((-121) $ $) NIL (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1337 (((-121) $ $) 17 (-1929 (|has| |#3| (-790)) (|has| |#3| (-842))))) (-1383 (($ $ |#3|) NIL (|has| |#3| (-366)))) (-1377 (($ $ $) NIL (|has| |#3| (-1049))) (($ $) NIL (|has| |#3| (-1049)))) (-1371 (($ $ $) NIL (|has| |#3| (-25)))) (** (($ $ (-765)) NIL (|has| |#3| (-718))) (($ $ (-919)) NIL (|has| |#3| (-718)))) (* (($ (-569) $) NIL (|has| |#3| (-1049))) (($ $ $) NIL (|has| |#3| (-718))) (($ $ |#3|) NIL (|has| |#3| (-1049))) (($ |#3| $) NIL (|has| |#3| (-1049))) (($ (-765) $) NIL (|has| |#3| (-138))) (($ (-919) $) NIL (|has| |#3| (-25)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1106 |#1| |#2| |#3|) (-231 |#1| |#3|) (-765) (-765) (-790)) (T -1106)) 
 NIL 
 (-231 |#1| |#3|) 
-((-2785 (((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 36)) (-2759 (((-569) (-1219 |#2| |#1|)) 67 (|has| |#1| (-454)))) (-2631 (((-569) (-1219 |#2| |#1|)) 53)) (-1461 (((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 44)) (-3299 (((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 55 (|has| |#1| (-454)))) (-3521 (((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 47)) (-4024 (((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|)) 52))) 
-(((-1105 |#1| |#2|) (-10 -7 (-15 -2785 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -1461 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -3521 ((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -4024 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2631 ((-569) (-1219 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -3299 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2759 ((-569) (-1219 |#2| |#1|)))) |noBranch|)) (-816) (-1163)) (T -1105)) 
-((-2759 (*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-3299 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-2631 (*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-4024 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5)))) (-3521 (*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 *4)) (-5 *1 (-1105 *4 *5)))) (-1461 (*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4)))) (-2785 (*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
-(-10 -7 (-15 -2785 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -1461 ((-635 (-1219 |#2| |#1|)) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -3521 ((-635 |#1|) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -4024 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2631 ((-569) (-1219 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -3299 ((-569) (-1219 |#2| |#1|) (-1219 |#2| |#1|))) (-15 -2759 ((-569) (-1219 |#2| |#1|)))) |noBranch|)) 
-((-3638 (((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)) 16) (((-3 (-569) "failed") |#2| (-1163) (-836 |#2|)) 14) (((-3 (-569) "failed") |#2|) 51))) 
-(((-1106 |#1| |#2|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") |#2|)) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) (-836 |#2|))) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|))) (T -1106)) 
-((-3638 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))))) (-3638 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)))) (-3638 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
-(-10 -7 (-15 -3638 ((-3 (-569) "failed") |#2|)) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) (-836 |#2|))) (-15 -3638 ((-3 (-569) "failed") |#2| (-1163) |#2| (-1145)))) 
-((-3638 (((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)) 34) (((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|)))) 29) (((-3 (-569) "failed") (-410 (-954 |#1|))) 12))) 
-(((-1107 |#1|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|))))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)))) (-454)) (T -1107)) 
-((-3638 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) (-3638 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) (-3638 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *4))))) 
-(-10 -7 (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-836 (-410 (-954 |#1|))))) (-15 -3638 ((-3 (-569) "failed") (-410 (-954 |#1|)) (-1163) (-410 (-954 |#1|)) (-1145)))) 
-((-4490 (((-311 (-569)) (-53)) 11))) 
-(((-1108) (-10 -7 (-15 -4490 ((-311 (-569)) (-53))))) (T -1108)) 
-((-4490 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1108))))) 
-(-10 -7 (-15 -4490 ((-311 (-569)) (-53)))) 
-((-2568 (((-121) $ $) NIL)) (-1679 (($ $) 41)) (-3813 (((-121) $) 65)) (-2283 (($ $ $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 84)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-3394 (($ $ $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3202 (($ $ $ $) 74)) (-2004 (($ $) NIL)) (-2446 (((-421 $) $) NIL)) (-3934 (((-121) $ $) NIL)) (-3638 (((-569) $) NIL)) (-3036 (($ $ $) 71)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL)) (-2428 (((-569) $) NIL)) (-2506 (($ $ $) 59)) (-1696 (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 78) (((-680 (-569)) (-680 $)) 28)) (-3428 (((-3 $ "failed") $) NIL)) (-4401 (((-3 (-410 (-569)) "failed") $) NIL)) (-3103 (((-121) $) NIL)) (-1442 (((-410 (-569)) $) NIL)) (-4327 (($) 81) (($ $) 82)) (-2524 (($ $ $) 58)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL)) (-3726 (((-121) $) NIL)) (-1389 (($ $ $ $) NIL)) (-4031 (($ $ $) 79)) (-2403 (((-121) $) NIL)) (-2381 (($ $ $) NIL)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL)) (-1407 (((-121) $) 66)) (-1931 (((-121) $) 64)) (-3864 (($ $) 42)) (-3846 (((-3 $ "failed") $) NIL)) (-1781 (((-121) $) 75)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4131 (($ $ $ $) 72)) (-3291 (($ $ $) 68) (($) 39)) (-1538 (($ $ $) 67) (($) 38)) (-4372 (($ $) NIL)) (-1906 (($ $) 70)) (-2665 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2776 (((-1145) $) NIL)) (-4466 (($ $ $) NIL)) (-4043 (($) NIL T CONST)) (-2761 (($ $) 50)) (-3360 (((-1109) $) NIL) (($ $) 69)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL)) (-2714 (($ $ $) 62) (($ (-635 $)) NIL)) (-1484 (($ $) NIL)) (-1743 (((-421 $) $) NIL)) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL)) (-2941 (((-3 $ "failed") $ $) NIL)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-1657 (((-121) $) NIL)) (-2622 (((-764) $) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 61)) (-3899 (($ $ (-764)) NIL) (($ $) NIL)) (-4185 (($ $) 51)) (-1971 (($ $) NIL)) (-3817 (((-569) $) 32) (((-542) $) NIL) (((-888 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL)) (-2185 (((-851) $) 31) (($ (-569)) 80) (($ $) NIL) (($ (-569)) 80)) (-1991 (((-764)) NIL)) (-4317 (((-121) $ $) NIL)) (-4248 (($ $ $) NIL)) (-1475 (($) 37)) (-1961 (((-121) $ $) NIL)) (-4423 (($ $ $ $) 73)) (-1616 (($ $) 63)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-2547 (($ $ $) 44)) (-3369 (($) 35 T CONST)) (-1875 (($ $ $) 47)) (-1556 (($) 36 T CONST)) (-1940 (((-1145) $) 21) (((-1145) $ (-121)) 23) (((-1252) (-818) $) 24) (((-1252) (-818) $ (-121)) 25)) (-1849 (($ $) 45)) (-3022 (($ $ (-764)) NIL) (($ $) NIL)) (-3788 (($ $ $) 46)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 40)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 49)) (-2540 (($ $ $) 43)) (-1711 (($ $) 52) (($ $ $) 54)) (-1707 (($ $ $) 53)) (** (($ $ (-918)) NIL) (($ $ (-764)) 57)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 34) (($ $ $) 55))) 
-(((-1109) (-13 (-551) (-652) (-824) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -1538 ($)) (-15 -3291 ($)) (-15 -3864 ($ $)) (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -1849 ($ $)) (-15 -3788 ($ $ $)) (-15 -1875 ($ $ $))))) (T -1109)) 
-((-2547 (*1 *1 *1 *1) (-5 *1 (-1109))) (-2540 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1679 (*1 *1 *1) (-5 *1 (-1109))) (-1538 (*1 *1) (-5 *1 (-1109))) (-3291 (*1 *1) (-5 *1 (-1109))) (-3864 (*1 *1 *1) (-5 *1 (-1109))) (-2283 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1849 (*1 *1 *1) (-5 *1 (-1109))) (-3788 (*1 *1 *1 *1) (-5 *1 (-1109))) (-1875 (*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(-13 (-551) (-652) (-824) (-10 -8 (-6 -4522) (-6 -4527) (-6 -4523) (-15 -1538 ($)) (-15 -3291 ($)) (-15 -3864 ($ $)) (-15 -1679 ($ $)) (-15 -2540 ($ $ $)) (-15 -2547 ($ $ $)) (-15 -2283 ($ $ $)) (-15 -1849 ($ $)) (-15 -3788 ($ $ $)) (-15 -1875 ($ $ $)))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-3275 ((|#1| $) 41)) (-1691 (((-121) $ (-764)) 8)) (-2820 (($) 7 T CONST)) (-3309 ((|#1| |#1| $) 43)) (-1646 ((|#1| $) 42)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3889 ((|#1| $) 36)) (-3172 (($ |#1| $) 37)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-1856 ((|#1| $) 38)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-2835 (((-764) $) 40)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) 39)) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1110 |#1|) (-1278) (-1197)) (T -1110)) 
-((-3309 (*1 *2 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-1646 (*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-3275 (*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) (-2835 (*1 *2 *1) (-12 (-4 *1 (-1110 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
-(-13 (-111 |t#1|) (-10 -8 (-6 -4535) (-15 -3309 (|t#1| |t#1| $)) (-15 -1646 (|t#1| $)) (-15 -3275 (|t#1| $)) (-15 -2835 ((-764) $)))) 
-(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-1377 ((|#3| $) 76)) (-1647 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-2428 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#3| $) 37)) (-1696 (((-680 (-569)) (-680 $)) NIL) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL) (((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 $) (-1247 $)) 73) (((-680 |#3|) (-680 $)) 65)) (-3899 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163)) NIL) (($ $ (-764)) NIL) (($ $) NIL)) (-4397 ((|#3| $) 78)) (-3425 ((|#4| $) 32)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#3|) 16)) (** (($ $ (-918)) NIL) (($ $ (-764)) 15) (($ $ (-569)) 82))) 
-(((-1111 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4397 (|#3| |#1|)) (-15 -1377 (|#3| |#1|)) (-15 -3425 (|#4| |#1|)) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -2185 ((-851) |#1|))) (-1112 |#2| |#3| |#4| |#5|) (-764) (-1048) (-231 |#2| |#3|) (-231 |#2| |#3|)) (T -1111)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4397 (|#3| |#1|)) (-15 -1377 (|#3| |#1|)) (-15 -3425 (|#4| |#1|)) (-15 -1696 ((-680 |#3|) (-680 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 |#3|)) (|:| |vec| (-1247 |#3|))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 |#1|) (-1247 |#1|))) (-15 -1696 ((-680 (-569)) (-680 |#1|))) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -2185 (|#1| |#3|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-569) |#1|)) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|) (-764))) (-15 -3899 (|#1| |#1| (-1 |#3| |#3|))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1377 ((|#2| $) 69)) (-4144 (((-121) $) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-3569 (((-121) $) 107)) (-1691 (((-121) $ (-764)) 99)) (-1574 (($ |#2|) 72)) (-2820 (($) 16 T CONST)) (-4036 (($ $) 126 (|has| |#2| (-302)))) (-1765 ((|#3| $ (-569)) 121)) (-1647 (((-3 (-569) "failed") $) 83 (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) 81 (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) 78)) (-2428 (((-569) $) 84 (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) 82 (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) 77)) (-1696 (((-680 (-569)) (-680 $)) 76 (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 75 (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 74) (((-680 |#2|) (-680 $)) 73)) (-3428 (((-3 $ "failed") $) 33)) (-1321 (((-764) $) 127 (|has| |#2| (-559)))) (-1618 ((|#2| $ (-569) (-569)) 119)) (-3470 (((-635 |#2|) $) 92 (|has| $ (-6 -4535)))) (-1407 (((-121) $) 30)) (-3695 (((-764) $) 128 (|has| |#2| (-559)))) (-3645 (((-635 |#4|) $) 129 (|has| |#2| (-559)))) (-1810 (((-764) $) 115)) (-2806 (((-764) $) 116)) (-1974 (((-121) $ (-764)) 100)) (-1558 ((|#2| $) 64 (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) 111)) (-3127 (((-569) $) 113)) (-4259 (((-635 |#2|) $) 91 (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1866 (((-569) $) 112)) (-1581 (((-569) $) 114)) (-1483 (($ (-635 (-635 |#2|))) 106)) (-1853 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-2550 (((-635 (-635 |#2|)) $) 117)) (-2006 (((-121) $ (-764)) 101)) (-2776 (((-1145) $) 9)) (-4480 (((-3 $ "failed") $) 63 (|has| |#2| (-366)))) (-3360 (((-1109) $) 10)) (-2941 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) 88 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 87 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 85 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 105)) (-1601 (((-121) $) 102)) (-1296 (($) 103)) (-1534 ((|#2| $ (-569) (-569) |#2|) 120) ((|#2| $ (-569) (-569)) 118)) (-3899 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-764)) 50) (($ $ (-635 (-1163)) (-635 (-764))) 43 (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) 42 (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) 41 (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) 40 (|has| |#2| (-896 (-1163)))) (($ $ (-764)) 38 (|has| |#2| (-226))) (($ $) 36 (|has| |#2| (-226)))) (-4397 ((|#2| $) 68)) (-2455 (($ (-635 |#2|)) 71)) (-2584 (((-121) $) 108)) (-3425 ((|#3| $) 70)) (-1787 ((|#2| $) 65 (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4535))) (((-764) |#2| $) 90 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 104)) (-3419 ((|#4| $ (-569)) 122)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 80 (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) 79)) (-1991 (((-764)) 28)) (-2066 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4535)))) (-2256 (((-121) $) 110)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-764)) 48) (($ $ (-635 (-1163)) (-635 (-764))) 47 (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) 46 (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) 45 (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) 44 (|has| |#2| (-896 (-1163)))) (($ $ (-764)) 39 (|has| |#2| (-226))) (($ $) 37 (|has| |#2| (-226)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#2|) 125 (|has| |#2| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 62 (|has| |#2| (-366)))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-4168 (((-764) $) 98 (|has| $ (-6 -4535))))) 
-(((-1112 |#1| |#2| |#3| |#4|) (-1278) (-764) (-1048) (-231 |t#1| |t#2|) (-231 |t#1| |t#2|)) (T -1112)) 
-((-1574 (*1 *1 *2) (-12 (-4 *2 (-1048)) (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)))) (-2455 (*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1048)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)))) (-3425 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (-1377 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048)))) (-4397 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1112 *3 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) (-1787 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-1558 (*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) (-4480 (*1 *1 *1) (|partial| -12 (-4 *1 (-1112 *2 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366))))) 
-(-13 (-224 |t#2|) (-120 |t#2| |t#2|) (-1051 |t#1| |t#1| |t#2| |t#3| |t#4|) (-414 |t#2|) (-380 |t#2|) (-10 -8 (IF (|has| |t#2| (-173)) (-6 (-708 |t#2|)) |noBranch|) (-15 -1574 ($ |t#2|)) (-15 -2455 ($ (-635 |t#2|))) (-15 -3425 (|t#3| $)) (-15 -1377 (|t#2| $)) (-15 -4397 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4537 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -1787 (|t#2| $)) (-15 -1558 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-366)) (PROGN (-15 -4480 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4537 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-224 |#2|) . T) ((-226) |has| |#2| (-226)) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-380 |#2|) . T) ((-414 |#2|) . T) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-638 |#2|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#2| (-631 (-569))) ((-631 |#2|) . T) ((-708 |#2|) -2232 (|has| |#2| (-173)) (|has| |#2| (-6 (-4537 "*")))) ((-717) . T) ((-896 (-1163)) |has| |#2| (-896 (-1163))) ((-1051 |#1| |#1| |#2| |#3| |#4|) . T) ((-1038 (-410 (-569))) |has| |#2| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#2| (-1038 (-569))) ((-1038 |#2|) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1197) . T)) 
-((-3525 ((|#4| |#4|) 67)) (-3711 ((|#4| |#4|) 62)) (-4115 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|) 75)) (-2013 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-2424 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
-(((-1113 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3711 (|#4| |#4|)) (-15 -2424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3525 (|#4| |#4|)) (-15 -2013 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4115 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|))) (-302) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -1113)) 
-((-4115 (*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-1113 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) (-2013 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3525 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-2424 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) (-3711 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(-10 -7 (-15 -3711 (|#4| |#4|)) (-15 -2424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3525 (|#4| |#4|)) (-15 -2013 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4115 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -3930 (-635 |#3|))) |#4| |#3|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 17)) (-1773 (((-635 |#2|) $) 160)) (-1739 (((-1159 $) $ |#2|) 54) (((-1159 |#1|) $) 43)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 110 (|has| |#1| (-559)))) (-3383 (($ $) 112 (|has| |#1| (-559)))) (-4354 (((-121) $) 114 (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 |#2|)) 193)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) 157) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 |#2| "failed") $) NIL)) (-2428 ((|#1| $) 155) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) ((|#2| $) NIL)) (-3493 (($ $ $ |#2|) NIL (|has| |#1| (-173)))) (-4020 (($ $) 197)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 82)) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-535 |#2|) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#1| (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#1| (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-1407 (((-121) $) 19)) (-4244 (((-764) $) 26)) (-1768 (($ (-1159 |#1|) |#2|) 48) (($ (-1159 $) |#2|) 64)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) 31)) (-1763 (($ |#1| (-535 |#2|)) 71) (($ $ |#2| (-764)) 52) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ |#2|) NIL)) (-4002 (((-535 |#2|) $) 187) (((-764) $ |#2|) 188) (((-635 (-764)) $ (-635 |#2|)) 189)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 122)) (-1637 (((-3 |#2| "failed") $) 162)) (-1804 (($ $) 196)) (-4012 ((|#1| $) 37)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| |#2|) (|:| -2356 (-764))) "failed") $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 32)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 140 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 145 (|has| |#1| (-454))) (($ $ $) 132 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-559)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-635 |#2|) (-635 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-635 |#2|) (-635 $)) 177)) (-2087 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3899 (($ $ |#2|) 195) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) 183) (((-764) $ |#2|) 179) (((-635 (-764)) $ (-635 |#2|)) 181)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| |#1| (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| |#1| (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#1| $) 128 (|has| |#1| (-454))) (($ $ |#2|) 131 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-2185 (((-851) $) 151) (($ (-569)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) 154)) (-1653 ((|#1| $ (-535 |#2|)) 73) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 79)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) 117 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 102) (($ $ (-764)) 104)) (-3369 (($) 12 T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 97)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 126 (|has| |#1| (-366)))) (-1711 (($ $) 85) (($ $ $) 95)) (-1707 (($ $ $) 49)) (** (($ $ (-918)) 103) (($ $ (-764)) 100)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 88) (($ $ $) 65) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
-(((-1114 |#1| |#2|) (-951 |#1| (-535 |#2|) |#2|) (-1048) (-843)) (T -1114)) 
-NIL 
-(-951 |#1| (-535 |#2|) |#2|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-1753 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2088 (((-954 |#1|) $ (-764)) NIL) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ |#2|) NIL) (((-764) $ |#2| (-764)) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) NIL)) (-1763 (($ $ (-635 |#2|) (-635 (-535 |#2|))) NIL) (($ $ |#2| (-535 |#2|)) NIL) (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-764)) 71) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $ |#2|) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3304 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3499 (($ $ (-764)) 15)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 102) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3899 (($ $ |#2|) 111) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-2492 (((-535 |#2|) $) NIL)) (-1660 (((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|))) 92)) (-1764 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 136 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 17)) (-2185 (((-851) $) 192) (($ (-569)) NIL) (($ |#1|) 59 (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#2|) 78) (($ |#3|) 76)) (-1653 ((|#1| $ (-535 |#2|)) 57) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) 50) ((|#3| $ (-764)) 42)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1779 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 138 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 18 T CONST)) (-1556 (($) 10 T CONST)) (-3022 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-764)) NIL) (($ $ (-635 |#2|) (-635 (-764))) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) 194 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 74)) (** (($ $ (-918)) NIL) (($ $ (-764)) 83) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 114 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 73) (($ $ (-410 (-569))) 119 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 117 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
-(((-1115 |#1| |#2| |#3|) (-13 (-731 |#1| |#2|) (-10 -8 (-15 -1653 (|#3| $ (-764))) (-15 -2185 ($ |#2|)) (-15 -2185 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |#2| |#1|)) (-15 -3304 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1048) (-843) (-951 |#1| (-535 |#2|) |#2|)) (T -1115)) 
-((-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *2 (-951 *4 (-535 *5) *5)) (-5 *1 (-1115 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-843)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) (-1660 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1143 *7))) (-4 *6 (-843)) (-4 *7 (-951 *5 (-535 *6) *6)) (-4 *5 (-1048)) (-5 *2 (-1 (-1143 *7) *7)) (-5 *1 (-1115 *5 *6 *7)))) (-2565 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) (-3304 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1115 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *1 (-1115 *4 *3 *5)) (-4 *5 (-951 *4 (-535 *3) *3))))) 
-(-13 (-731 |#1| |#2|) (-10 -8 (-15 -1653 (|#3| $ (-764))) (-15 -2185 ($ |#2|)) (-15 -2185 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -1660 ((-1 (-1143 |#3|) |#3|) (-635 |#2|) (-635 (-1143 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ |#2| |#1|)) (-15 -3304 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
-((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 119)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-1658 (((-121) |#4| $) 129)) (-3903 (((-121) |#4| $) 126)) (-3617 (((-121) |#4| $) 130) (((-121) $) 127)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 120)) (-4213 (((-3 |#4| "failed") $) 76)) (-2482 (((-635 $) |#4| $) 122)) (-3730 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-2652 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3897 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-4455 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-4060 (((-121) |#4| $) 128)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-1116 |#1| |#2| |#3| |#4|) (-1278) (-454) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1116)) 
-NIL 
-(-13 (-1100 |t#1| |t#2| |t#3| |t#4|) (-780 |t#1| |t#2| |t#3| |t#4|)) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-780 |#1| |#2| |#3| |#4|) . T) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1067 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1100 |#1| |#2| |#3| |#4|) . T) ((-1191 |#1| |#2| |#3| |#4|) . T) ((-1197) . T)) 
-((-4435 (((-635 |#2|) |#1|) 12)) (-3907 (((-635 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-635 |#2|) |#1|) 47)) (-2065 (((-635 |#2|) |#2| |#2| |#2|) 35) (((-635 |#2|) |#1|) 45)) (-2163 ((|#2| |#1|) 42)) (-2724 (((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-4055 (((-635 |#2|) |#2| |#2|) 34) (((-635 |#2|) |#1|) 44)) (-2035 (((-635 |#2|) |#2| |#2| |#2| |#2|) 36) (((-635 |#2|) |#1|) 46)) (-2996 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-2044 ((|#2| |#2| |#2| |#2|) 39)) (-4313 ((|#2| |#2| |#2|) 38)) (-2591 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
-(((-1117 |#1| |#2|) (-10 -7 (-15 -4435 ((-635 |#2|) |#1|)) (-15 -2163 (|#2| |#1|)) (-15 -2724 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4055 ((-635 |#2|) |#1|)) (-15 -2065 ((-635 |#2|) |#1|)) (-15 -2035 ((-635 |#2|) |#1|)) (-15 -3907 ((-635 |#2|) |#1|)) (-15 -4055 ((-635 |#2|) |#2| |#2|)) (-15 -2065 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -2035 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3907 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4313 (|#2| |#2| |#2|)) (-15 -2044 (|#2| |#2| |#2| |#2|)) (-15 -2591 (|#2| |#2| |#2| |#2| |#2|)) (-15 -2996 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1222 |#2|) (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (T -1117)) 
-((-2996 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-2591 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-2044 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-4313 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-3907 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-2035 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-2065 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-4055 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3)))) (-3907 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2035 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2065 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-4055 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) (-2724 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1117 *3 *5)) (-4 *3 (-1222 *5)))) (-2163 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -4435 ((-635 |#2|) |#1|)) (-15 -2163 (|#2| |#1|)) (-15 -2724 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -4055 ((-635 |#2|) |#1|)) (-15 -2065 ((-635 |#2|) |#1|)) (-15 -2035 ((-635 |#2|) |#1|)) (-15 -3907 ((-635 |#2|) |#1|)) (-15 -4055 ((-635 |#2|) |#2| |#2|)) (-15 -2065 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -2035 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3907 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -4313 (|#2| |#2| |#2|)) (-15 -2044 (|#2| |#2| |#2| |#2|)) (-15 -2591 (|#2| |#2| |#2| |#2| |#2|)) (-15 -2996 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
-((-1812 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|))))) 94) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163))) 93) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|)))) 91) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 89) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|)))) 75) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163)) 76) (((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|))) 70) (((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163)) 59)) (-3225 (((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 87) (((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163)) 43)) (-1631 (((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)) 97) (((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163)) 96))) 
-(((-1118 |#1|) (-10 -7 (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -3225 ((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -3225 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)))) (-13 (-302) (-843) (-151))) (T -1118)) 
-((-1631 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1631 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1118 *5)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 *5))))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) (-1812 (*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) (-1812 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5))))) 
-(-10 -7 (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-410 (-954 |#1|)))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1812 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-954 |#1|))))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -1812 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -3225 ((-635 (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -3225 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -1631 ((-1152 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-954 |#1|)) (-1163)))) 
-((-3662 (((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)) 27)) (-2153 (((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|)))) 39))) 
-(((-1119 |#1|) (-10 -7 (-15 -2153 ((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))))) (-15 -3662 ((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)))) (-13 (-559) (-843))) (T -1119)) 
-((-3662 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1159 (-311 *5)))) (-5 *3 (-1247 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-1119 *5)))) (-2153 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1159 (-311 *3)))) (-4 *3 (-13 (-559) (-843))) (-5 *1 (-1119 *3))))) 
-(-10 -7 (-15 -2153 ((-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))) (-410 (-1159 (-311 |#1|))))) (-15 -3662 ((-410 (-1159 (-311 |#1|))) (-1247 (-311 |#1|)) (-410 (-1159 (-311 |#1|))) (-569)))) 
-((-4435 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))) 216) (((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163)) 20) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163)) 26) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|))) 25) (((-635 (-289 (-311 |#1|))) (-311 |#1|)) 21))) 
-(((-1120 |#1|) (-10 -7 (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163))) (-15 -4435 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))))) (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (T -1120)) 
-((-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-311 *5)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-289 (-311 *5))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-289 (-311 *4))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-311 *4))))) 
-(-10 -7 (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1163))) (-15 -4435 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1163))))) 
-((-3978 ((|#2| |#2|) 20 (|has| |#1| (-843))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-4110 ((|#2| |#2|) 19 (|has| |#1| (-843))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
-(((-1121 |#1| |#2|) (-10 -7 (-15 -4110 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3978 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-843)) (PROGN (-15 -4110 (|#2| |#2|)) (-15 -3978 (|#2| |#2|))) |noBranch|)) (-1197) (-13 (-602 (-569) |#1|) (-10 -7 (-6 -4535) (-6 -4536)))) (T -1121)) 
-((-3978 (*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536)))))) (-4110 (*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536)))))) (-3978 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) (-4110 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536))))))) 
-(-10 -7 (-15 -4110 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -3978 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-843)) (PROGN (-15 -4110 (|#2| |#2|)) (-15 -3978 (|#2| |#2|))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-2489 (((-1151 3 |#1|) $) 105)) (-1829 (((-121) $) 72)) (-4070 (($ $ (-635 (-945 |#1|))) 20) (($ $ (-635 (-635 |#1|))) 75) (($ (-635 (-945 |#1|))) 74) (((-635 (-945 |#1|)) $) 73)) (-4311 (((-121) $) 41)) (-2893 (($ $ (-945 |#1|)) 46) (($ $ (-635 |#1|)) 51) (($ $ (-764)) 53) (($ (-945 |#1|)) 47) (((-945 |#1|) $) 45)) (-2194 (((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $) 103)) (-4322 (((-764) $) 26)) (-1607 (((-764) $) 25)) (-3012 (($ $ (-764) (-945 |#1|)) 39)) (-2977 (((-121) $) 82)) (-1605 (($ $ (-635 (-635 (-945 |#1|))) (-635 (-172)) (-172)) 89) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 91) (($ $ (-635 (-635 (-945 |#1|))) (-121) (-121)) 85) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 93) (($ (-635 (-635 (-945 |#1|)))) 86) (($ (-635 (-635 (-945 |#1|))) (-121) (-121)) 87) (((-635 (-635 (-945 |#1|))) $) 84)) (-3288 (($ (-635 $)) 28) (($ $ $) 29)) (-1903 (((-635 (-172)) $) 101)) (-3796 (((-635 (-945 |#1|)) $) 96)) (-3405 (((-635 (-635 (-172))) $) 100)) (-2089 (((-635 (-635 (-635 (-945 |#1|)))) $) NIL)) (-4503 (((-635 (-635 (-635 (-764)))) $) 98)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2999 (((-764) $ (-635 (-945 |#1|))) 37)) (-1398 (((-121) $) 54)) (-1473 (($ $ (-635 (-945 |#1|))) 56) (($ $ (-635 (-635 |#1|))) 62) (($ (-635 (-945 |#1|))) 57) (((-635 (-945 |#1|)) $) 55)) (-3764 (($) 23) (($ (-1151 3 |#1|)) 24)) (-1971 (($ $) 35)) (-3572 (((-635 $) $) 34)) (-4091 (($ (-635 $)) 31)) (-3016 (((-635 $) $) 33)) (-2185 (((-851) $) 109)) (-3592 (((-121) $) 64)) (-4363 (($ $ (-635 (-945 |#1|))) 66) (($ $ (-635 (-635 |#1|))) 69) (($ (-635 (-945 |#1|))) 67) (((-635 (-945 |#1|)) $) 65)) (-4506 (($ $) 104)) (-1668 (((-121) $ $) NIL))) 
-(((-1122 |#1|) (-1123 |#1|) (-1048)) (T -1122)) 
-NIL 
-(-1123 |#1|) 
-((-2568 (((-121) $ $) 7)) (-2489 (((-1151 3 |#1|) $) 12)) (-1829 (((-121) $) 28)) (-4070 (($ $ (-635 (-945 |#1|))) 32) (($ $ (-635 (-635 |#1|))) 31) (($ (-635 (-945 |#1|))) 30) (((-635 (-945 |#1|)) $) 29)) (-4311 (((-121) $) 43)) (-2893 (($ $ (-945 |#1|)) 48) (($ $ (-635 |#1|)) 47) (($ $ (-764)) 46) (($ (-945 |#1|)) 45) (((-945 |#1|) $) 44)) (-2194 (((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $) 14)) (-4322 (((-764) $) 57)) (-1607 (((-764) $) 58)) (-3012 (($ $ (-764) (-945 |#1|)) 49)) (-2977 (((-121) $) 20)) (-1605 (($ $ (-635 (-635 (-945 |#1|))) (-635 (-172)) (-172)) 27) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 26) (($ $ (-635 (-635 (-945 |#1|))) (-121) (-121)) 25) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 24) (($ (-635 (-635 (-945 |#1|)))) 23) (($ (-635 (-635 (-945 |#1|))) (-121) (-121)) 22) (((-635 (-635 (-945 |#1|))) $) 21)) (-3288 (($ (-635 $)) 56) (($ $ $) 55)) (-1903 (((-635 (-172)) $) 15)) (-3796 (((-635 (-945 |#1|)) $) 19)) (-3405 (((-635 (-635 (-172))) $) 16)) (-2089 (((-635 (-635 (-635 (-945 |#1|)))) $) 17)) (-4503 (((-635 (-635 (-635 (-764)))) $) 18)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2999 (((-764) $ (-635 (-945 |#1|))) 50)) (-1398 (((-121) $) 38)) (-1473 (($ $ (-635 (-945 |#1|))) 42) (($ $ (-635 (-635 |#1|))) 41) (($ (-635 (-945 |#1|))) 40) (((-635 (-945 |#1|)) $) 39)) (-3764 (($) 60) (($ (-1151 3 |#1|)) 59)) (-1971 (($ $) 51)) (-3572 (((-635 $) $) 52)) (-4091 (($ (-635 $)) 54)) (-3016 (((-635 $) $) 53)) (-2185 (((-851) $) 11)) (-3592 (((-121) $) 33)) (-4363 (($ $ (-635 (-945 |#1|))) 37) (($ $ (-635 (-635 |#1|))) 36) (($ (-635 (-945 |#1|))) 35) (((-635 (-945 |#1|)) $) 34)) (-4506 (($ $) 13)) (-1668 (((-121) $ $) 6))) 
-(((-1123 |#1|) (-1278) (-1048)) (T -1123)) 
-((-2185 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-851)))) (-3764 (*1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-3764 (*1 *1 *2) (-12 (-5 *2 (-1151 3 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1607 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-4322 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) (-3288 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-3288 (*1 *1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-4091 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-3016 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)))) (-3572 (*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)))) (-1971 (*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-2999 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-945 *4))) (-4 *1 (-1123 *4)) (-4 *4 (-1048)) (-5 *2 (-764)))) (-3012 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *4)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-2893 (*1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-2893 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-945 *3)))) (-4311 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-1473 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-1473 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-1473 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1473 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-1398 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-4363 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4363 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4363 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-4363 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-3592 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-4070 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4070 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) (-4070 (*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-4070 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-1829 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-1605 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-1605 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) (-1605 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 *3)))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) (-1605 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *4 (-1048)) (-4 *1 (-1123 *4)))) (-1605 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-945 *3)))))) (-2977 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121)))) (-3796 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) (-4503 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-764))))))) (-2089 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-945 *3))))))) (-3405 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-172)))))) (-1903 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-172))))) (-2194 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764)))))) (-4506 (*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) (-2489 (*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-1151 3 *3))))) 
-(-13 (-1091) (-10 -8 (-15 -3764 ($)) (-15 -3764 ($ (-1151 3 |t#1|))) (-15 -1607 ((-764) $)) (-15 -4322 ((-764) $)) (-15 -3288 ($ (-635 $))) (-15 -3288 ($ $ $)) (-15 -4091 ($ (-635 $))) (-15 -3016 ((-635 $) $)) (-15 -3572 ((-635 $) $)) (-15 -1971 ($ $)) (-15 -2999 ((-764) $ (-635 (-945 |t#1|)))) (-15 -3012 ($ $ (-764) (-945 |t#1|))) (-15 -2893 ($ $ (-945 |t#1|))) (-15 -2893 ($ $ (-635 |t#1|))) (-15 -2893 ($ $ (-764))) (-15 -2893 ($ (-945 |t#1|))) (-15 -2893 ((-945 |t#1|) $)) (-15 -4311 ((-121) $)) (-15 -1473 ($ $ (-635 (-945 |t#1|)))) (-15 -1473 ($ $ (-635 (-635 |t#1|)))) (-15 -1473 ($ (-635 (-945 |t#1|)))) (-15 -1473 ((-635 (-945 |t#1|)) $)) (-15 -1398 ((-121) $)) (-15 -4363 ($ $ (-635 (-945 |t#1|)))) (-15 -4363 ($ $ (-635 (-635 |t#1|)))) (-15 -4363 ($ (-635 (-945 |t#1|)))) (-15 -4363 ((-635 (-945 |t#1|)) $)) (-15 -3592 ((-121) $)) (-15 -4070 ($ $ (-635 (-945 |t#1|)))) (-15 -4070 ($ $ (-635 (-635 |t#1|)))) (-15 -4070 ($ (-635 (-945 |t#1|)))) (-15 -4070 ((-635 (-945 |t#1|)) $)) (-15 -1829 ((-121) $)) (-15 -1605 ($ $ (-635 (-635 (-945 |t#1|))) (-635 (-172)) (-172))) (-15 -1605 ($ $ (-635 (-635 (-635 |t#1|))) (-635 (-172)) (-172))) (-15 -1605 ($ $ (-635 (-635 (-945 |t#1|))) (-121) (-121))) (-15 -1605 ($ $ (-635 (-635 (-635 |t#1|))) (-121) (-121))) (-15 -1605 ($ (-635 (-635 (-945 |t#1|))))) (-15 -1605 ($ (-635 (-635 (-945 |t#1|))) (-121) (-121))) (-15 -1605 ((-635 (-635 (-945 |t#1|))) $)) (-15 -2977 ((-121) $)) (-15 -3796 ((-635 (-945 |t#1|)) $)) (-15 -4503 ((-635 (-635 (-635 (-764)))) $)) (-15 -2089 ((-635 (-635 (-635 (-945 |t#1|)))) $)) (-15 -3405 ((-635 (-635 (-172))) $)) (-15 -1903 ((-635 (-172)) $)) (-15 -2194 ((-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))) $)) (-15 -4506 ($ $)) (-15 -2489 ((-1151 3 |t#1|) $)) (-15 -2185 ((-851) $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-3483 (((-1252) (-635 (-851))) 23) (((-1252) (-851)) 22)) (-4511 (((-1252) (-635 (-851))) 21) (((-1252) (-851)) 20)) (-3836 (((-1252) (-635 (-851))) 19) (((-1252) (-851)) 11) (((-1252) (-1145) (-851)) 17))) 
-(((-1124) (-10 -7 (-15 -3836 ((-1252) (-1145) (-851))) (-15 -3836 ((-1252) (-851))) (-15 -4511 ((-1252) (-851))) (-15 -3483 ((-1252) (-851))) (-15 -3836 ((-1252) (-635 (-851)))) (-15 -4511 ((-1252) (-635 (-851)))) (-15 -3483 ((-1252) (-635 (-851)))))) (T -1124)) 
-((-3483 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-4511 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3483 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-4511 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) (-3836 (*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
-(-10 -7 (-15 -3836 ((-1252) (-1145) (-851))) (-15 -3836 ((-1252) (-851))) (-15 -4511 ((-1252) (-851))) (-15 -3483 ((-1252) (-851))) (-15 -3836 ((-1252) (-635 (-851)))) (-15 -4511 ((-1252) (-635 (-851)))) (-15 -3483 ((-1252) (-635 (-851))))) 
-((-3429 (($ $ $) 10)) (-1394 (($ $) 9)) (-3367 (($ $ $) 13)) (-3349 (($ $ $) 15)) (-2178 (($ $ $) 12)) (-3627 (($ $ $) 14)) (-3759 (($ $) 17)) (-4395 (($ $) 16)) (-1616 (($ $) 6)) (-3814 (($ $ $) 11) (($ $) 7)) (-1485 (($ $ $) 8))) 
-(((-1125) (-1278)) (T -1125)) 
-((-3759 (*1 *1 *1) (-4 *1 (-1125))) (-4395 (*1 *1 *1) (-4 *1 (-1125))) (-3349 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3627 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3367 (*1 *1 *1 *1) (-4 *1 (-1125))) (-2178 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3814 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3429 (*1 *1 *1 *1) (-4 *1 (-1125))) (-1394 (*1 *1 *1) (-4 *1 (-1125))) (-1485 (*1 *1 *1 *1) (-4 *1 (-1125))) (-3814 (*1 *1 *1) (-4 *1 (-1125))) (-1616 (*1 *1 *1) (-4 *1 (-1125)))) 
-(-13 (-10 -8 (-15 -1616 ($ $)) (-15 -3814 ($ $)) (-15 -1485 ($ $ $)) (-15 -1394 ($ $)) (-15 -3429 ($ $ $)) (-15 -3814 ($ $ $)) (-15 -2178 ($ $ $)) (-15 -3367 ($ $ $)) (-15 -3627 ($ $ $)) (-15 -3349 ($ $ $)) (-15 -4395 ($ $)) (-15 -3759 ($ $)))) 
-((-2568 (((-121) $ $) 41)) (-2247 ((|#1| $) 15)) (-3073 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-3156 (((-121) $) 17)) (-2981 (($ $ |#1|) 28)) (-1633 (($ $ (-121)) 30)) (-4027 (($ $) 31)) (-3524 (($ $ |#2|) 29)) (-2776 (((-1145) $) NIL)) (-3173 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-3360 (((-1109) $) NIL)) (-1601 (((-121) $) 14)) (-1296 (($) 10)) (-1971 (($ $) 27)) (-2139 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) 21) (((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) 24) (((-635 $) |#1| (-635 |#2|)) 26)) (-1609 ((|#2| $) 16)) (-2185 (((-851) $) 50)) (-1668 (((-121) $ $) 39))) 
-(((-1126 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2247 (|#1| $)) (-15 -1609 (|#2| $)) (-15 -3156 ((-121) $)) (-15 -2139 ($ |#1| |#2| (-121))) (-15 -2139 ($ |#1| |#2|)) (-15 -2139 ($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) (-15 -2139 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))))) (-15 -2139 ((-635 $) |#1| (-635 |#2|))) (-15 -1971 ($ $)) (-15 -2981 ($ $ |#1|)) (-15 -3524 ($ $ |#2|)) (-15 -1633 ($ $ (-121))) (-15 -4027 ($ $)) (-15 -3173 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -3073 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1091) (-39)) (-13 (-1091) (-39))) (T -1126)) 
-((-1296 (*1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-2247 (*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *3 (-13 (-1091) (-39))))) (-1609 (*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))))) (-3156 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4003 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *4)))) (-2139 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4003 *5)))) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *4 *5))) (-5 *1 (-1126 *4 *5)))) (-2139 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *3 *5))) (-5 *1 (-1126 *3 *5)) (-4 *3 (-13 (-1091) (-39))))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2981 (*1 *1 *1 *2) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-3524 (*1 *1 *1 *2) (-12 (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))) (-4 *2 (-13 (-1091) (-39))))) (-1633 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-4027 (*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-3173 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6)))) (-3073 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39)))))) 
-(-13 (-1091) (-10 -8 (-15 -1296 ($)) (-15 -1601 ((-121) $)) (-15 -2247 (|#1| $)) (-15 -1609 (|#2| $)) (-15 -3156 ((-121) $)) (-15 -2139 ($ |#1| |#2| (-121))) (-15 -2139 ($ |#1| |#2|)) (-15 -2139 ($ (-2 (|:| |val| |#1|) (|:| -4003 |#2|)))) (-15 -2139 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))))) (-15 -2139 ((-635 $) |#1| (-635 |#2|))) (-15 -1971 ($ $)) (-15 -2981 ($ $ |#1|)) (-15 -3524 ($ $ |#2|)) (-15 -1633 ($ $ (-121))) (-15 -4027 ($ $)) (-15 -3173 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -3073 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
-((-2568 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-2247 (((-1126 |#1| |#2|) $) 25)) (-2464 (($ $) 75)) (-4475 (((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-4292 (($ $ $ (-635 (-1126 |#1| |#2|))) 89) (($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-1691 (((-121) $ (-764)) NIL)) (-3891 (((-1126 |#1| |#2|) $ (-1126 |#1| |#2|)) 42 (|has| $ (-6 -4536)))) (-4469 (((-1126 |#1| |#2|) $ "value" (-1126 |#1| |#2|)) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 40 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3971 (((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $) 79)) (-4454 (($ (-1126 |#1| |#2|) $) 38)) (-4347 (($ (-1126 |#1| |#2|) $) 30)) (-3470 (((-635 (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 50)) (-3048 (((-121) (-1126 |#1| |#2|) $) 81)) (-4349 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 (-1126 |#1| |#2|)) $) 54 (|has| $ (-6 -4535)))) (-3660 (((-121) (-1126 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-1126 |#1| |#2|) (-1091))))) (-1853 (($ (-1 (-1126 |#1| |#2|) (-1126 |#1| |#2|)) $) 46 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-1126 |#1| |#2|) (-1126 |#1| |#2|)) $) 45)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 (-1126 |#1| |#2|)) $) 52)) (-3486 (((-121) $) 41)) (-2776 (((-1145) $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-3360 (((-1109) $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-3009 (((-3 $ "failed") $) 74)) (-4177 (((-121) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-1126 |#1| |#2|)))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-289 (-1126 |#1| |#2|))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-1126 |#1| |#2|) (-1126 |#1| |#2|)) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091)))) (($ $ (-635 (-1126 |#1| |#2|)) (-635 (-1126 |#1| |#2|))) NIL (-12 (|has| (-1126 |#1| |#2|) (-304 (-1126 |#1| |#2|))) (|has| (-1126 |#1| |#2|) (-1091))))) (-3137 (((-121) $ $) 49)) (-1601 (((-121) $) 22)) (-1296 (($) 24)) (-1534 (((-1126 |#1| |#2|) $ "value") NIL)) (-1686 (((-569) $ $) NIL)) (-1472 (((-121) $) 43)) (-2846 (((-764) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535))) (((-764) (-1126 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-1126 |#1| |#2|) (-1091))))) (-1971 (($ $) 48)) (-2139 (($ (-1126 |#1| |#2|)) 9) (($ |#1| |#2| (-635 $)) 12) (($ |#1| |#2| (-635 (-1126 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-635 |#2|)) 17)) (-2349 (((-635 |#2|) $) 80)) (-2185 (((-851) $) 72 (|has| (-1126 |#1| |#2|) (-1091)))) (-4114 (((-635 $) $) 28)) (-2447 (((-121) $ $) NIL (|has| (-1126 |#1| |#2|) (-1091)))) (-2066 (((-121) (-1 (-121) (-1126 |#1| |#2|)) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 63 (|has| (-1126 |#1| |#2|) (-1091)))) (-4168 (((-764) $) 57 (|has| $ (-6 -4535))))) 
-(((-1127 |#1| |#2|) (-13 (-1011 (-1126 |#1| |#2|)) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3009 ((-3 $ "failed") $)) (-15 -2464 ($ $)) (-15 -2139 ($ (-1126 |#1| |#2|))) (-15 -2139 ($ |#1| |#2| (-635 $))) (-15 -2139 ($ |#1| |#2| (-635 (-1126 |#1| |#2|)))) (-15 -2139 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -2349 ((-635 |#2|) $)) (-15 -3971 ((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $)) (-15 -3048 ((-121) (-1126 |#1| |#2|) $)) (-15 -4475 ((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4347 ($ (-1126 |#1| |#2|) $)) (-15 -4454 ($ (-1126 |#1| |#2|) $)) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)))) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1091) (-39)) (-13 (-1091) (-39))) (T -1127)) 
-((-3009 (*1 *1 *1) (|partial| -12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2464 (*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1127 *2 *3))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) (-2139 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1126 *2 *3))) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)))) (-2139 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))))) (-2349 (*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-3971 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) (-3048 (*1 *2 *3 *1) (-12 (-5 *3 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *4 *5)))) (-4475 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1126 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *5 *6)))) (-4347 (*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4454 (*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4292 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1126 *3 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) (-4292 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1126 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *1 (-1127 *4 *5))))) 
-(-13 (-1011 (-1126 |#1| |#2|)) (-10 -8 (-6 -4536) (-6 -4535) (-15 -3009 ((-3 $ "failed") $)) (-15 -2464 ($ $)) (-15 -2139 ($ (-1126 |#1| |#2|))) (-15 -2139 ($ |#1| |#2| (-635 $))) (-15 -2139 ($ |#1| |#2| (-635 (-1126 |#1| |#2|)))) (-15 -2139 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -2349 ((-635 |#2|) $)) (-15 -3971 ((-635 (-2 (|:| |val| |#1|) (|:| -4003 |#2|))) $)) (-15 -3048 ((-121) (-1126 |#1| |#2|) $)) (-15 -4475 ((-121) (-1126 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -4347 ($ (-1126 |#1| |#2|) $)) (-15 -4454 ($ (-1126 |#1| |#2|) $)) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)))) (-15 -4292 ($ $ $ (-635 (-1126 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2853 (($ $) NIL)) (-1377 ((|#2| $) NIL)) (-4144 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2251 (($ (-680 |#2|)) 45)) (-3569 (((-121) $) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1574 (($ |#2|) 9)) (-2820 (($) NIL T CONST)) (-4036 (($ $) 58 (|has| |#2| (-302)))) (-1765 (((-233 |#1| |#2|) $ (-569)) 31)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) ((|#2| $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) 72)) (-1321 (((-764) $) 60 (|has| |#2| (-559)))) (-1618 ((|#2| $ (-569) (-569)) NIL)) (-3470 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1407 (((-121) $) NIL)) (-3695 (((-764) $) 62 (|has| |#2| (-559)))) (-3645 (((-635 (-233 |#1| |#2|)) $) 66 (|has| |#2| (-559)))) (-1810 (((-764) $) NIL)) (-2806 (((-764) $) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-1558 ((|#2| $) 56 (|has| |#2| (-6 (-4537 "*"))))) (-3992 (((-569) $) NIL)) (-3127 (((-569) $) NIL)) (-4259 (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1866 (((-569) $) NIL)) (-1581 (((-569) $) NIL)) (-1483 (($ (-635 (-635 |#2|))) 26)) (-1853 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-2550 (((-635 (-635 |#2|)) $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4480 (((-3 $ "failed") $) 69 (|has| |#2| (-366)))) (-3360 (((-1109) $) NIL)) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-4177 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) NIL)) (-3899 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4397 ((|#2| $) NIL)) (-2455 (($ (-635 |#2|)) 40)) (-2584 (((-121) $) NIL)) (-3425 (((-233 |#1| |#2|) $) NIL)) (-1787 ((|#2| $) 54 (|has| |#2| (-6 (-4537 "*"))))) (-2846 (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 81 (|has| |#2| (-610 (-542))))) (-3419 (((-233 |#1| |#2|) $ (-569)) 33)) (-2185 (((-851) $) 36) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1038 (-410 (-569))))) (($ |#2|) NIL) (((-680 |#2|) $) 42)) (-1991 (((-764)) 17)) (-2066 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-2256 (((-121) $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 11 T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-764)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) 52) (($ $ (-569)) 71 (|has| |#2| (-366)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) 48) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) 50)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1128 |#1| |#2|) (-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-10 -8 (-15 -2853 ($ $)) (-15 -2251 ($ (-680 |#2|))) (-15 -2185 ((-680 |#2|) $)) (IF (|has| |#2| (-6 (-4537 "*"))) (-6 -4524) |noBranch|) (IF (|has| |#2| (-6 (-4537 "*"))) (IF (|has| |#2| (-6 -4532)) (-6 -4532) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-764) (-1048)) (T -1128)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-680 *4)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764)) (-4 *4 (-1048)))) (-2853 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-14 *2 (-764)) (-4 *3 (-1048)))) (-2251 (*1 *1 *2) (-12 (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764))))) 
-(-13 (-1112 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-680 |#2|)) (-10 -8 (-15 -2853 ($ $)) (-15 -2251 ($ (-680 |#2|))) (-15 -2185 ((-680 |#2|) $)) (IF (|has| |#2| (-6 (-4537 "*"))) (-6 -4524) |noBranch|) (IF (|has| |#2| (-6 (-4537 "*"))) (IF (|has| |#2| (-6 -4532)) (-6 -4532) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
-((-2217 (($ $) 19)) (-2668 (($ $ (-148)) 10) (($ $ (-143)) 14)) (-3227 (((-121) $ $) 24)) (-2869 (($ $) 17)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (($ $ $) 29)) (-2185 (($ (-148)) 27) (((-851) $) NIL))) 
-(((-1129 |#1|) (-10 -8 (-15 -2185 ((-851) |#1|)) (-15 -1534 (|#1| |#1| |#1|)) (-15 -2668 (|#1| |#1| (-143))) (-15 -2668 (|#1| |#1| (-148))) (-15 -2185 (|#1| (-148))) (-15 -3227 ((-121) |#1| |#1|)) (-15 -2217 (|#1| |#1|)) (-15 -2869 (|#1| |#1|)) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1534 ((-148) |#1| (-569))) (-15 -1534 ((-148) |#1| (-569) (-148)))) (-1130)) (T -1129)) 
-NIL 
-(-10 -8 (-15 -2185 ((-851) |#1|)) (-15 -1534 (|#1| |#1| |#1|)) (-15 -2668 (|#1| |#1| (-143))) (-15 -2668 (|#1| |#1| (-148))) (-15 -2185 (|#1| (-148))) (-15 -3227 ((-121) |#1| |#1|)) (-15 -2217 (|#1| |#1|)) (-15 -2869 (|#1| |#1|)) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -1534 ((-148) |#1| (-569))) (-15 -1534 ((-148) |#1| (-569) (-148)))) 
-((-2568 (((-121) $ $) 18 (|has| (-148) (-1091)))) (-3241 (($ $) 113)) (-2217 (($ $) 114)) (-2668 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 111)) (-3254 (((-121) $ $ (-569)) 110)) (-4493 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| (-148) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1281 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-4149 (($ $ (-1213 (-569)) $) 107)) (-2033 (($ $) 73 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-148) $) 72 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) 48)) (-3227 (((-121) $ $) 112)) (-3727 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-3470 (((-635 (-148)) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 108)) (-4436 (((-764) $ $ (-148)) 109)) (-1853 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1390 (($ $) 115)) (-2869 (($ $) 116)) (-2006 (((-121) $ (-764)) 10)) (-2973 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2776 (((-1145) $) 22 (|has| (-148) (-1091)))) (-3614 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| (-148) (-1091)))) (-4353 (((-148) $) 39 (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-3174 (($ $ (-148)) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1213 (-569))) 58) (($ $ $) 95)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4535))) (((-764) (-148) $) 28 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) 65)) (-2250 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (($ (-148)) 104) (((-851) $) 20 (|has| (-148) (-1091)))) (-2066 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| (-148) (-843)))) (-1684 (((-121) $ $) 76 (|has| (-148) (-843)))) (-1668 (((-121) $ $) 19 (|has| (-148) (-1091)))) (-1688 (((-121) $ $) 78 (|has| (-148) (-843)))) (-1678 (((-121) $ $) 75 (|has| (-148) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1130) (-1278)) (T -1130)) 
-((-2869 (*1 *1 *1) (-4 *1 (-1130))) (-1390 (*1 *1 *1) (-4 *1 (-1130))) (-2217 (*1 *1 *1) (-4 *1 (-1130))) (-3241 (*1 *1 *1) (-4 *1 (-1130))) (-3227 (*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121)))) (-3134 (*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121)))) (-3254 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-569)) (-5 *2 (-121)))) (-4436 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-764)))) (-3536 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-121)))) (-4149 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-1213 (-569))))) (-3727 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)))) (-3727 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)) (-5 *3 (-143)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1130)))) (-4493 (*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) (-4493 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) (-2668 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-2668 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-2973 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-2973 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-1281 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148)))) (-1281 (*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) (-1534 (*1 *1 *1 *1) (-4 *1 (-1130)))) 
-(-13 (-19 (-148)) (-10 -8 (-15 -2869 ($ $)) (-15 -1390 ($ $)) (-15 -2217 ($ $)) (-15 -3241 ($ $)) (-15 -3227 ((-121) $ $)) (-15 -3134 ((-121) $ $)) (-15 -3254 ((-121) $ $ (-569))) (-15 -4436 ((-764) $ $ (-148))) (-15 -3536 ((-121) $ $ (-148))) (-15 -4149 ($ $ (-1213 (-569)) $)) (-15 -3727 ((-569) $ $ (-569))) (-15 -3727 ((-569) (-143) $ (-569))) (-15 -2185 ($ (-148))) (-15 -4493 ((-635 $) $ (-148))) (-15 -4493 ((-635 $) $ (-143))) (-15 -2668 ($ $ (-148))) (-15 -2668 ($ $ (-143))) (-15 -2973 ($ $ (-148))) (-15 -2973 ($ $ (-143))) (-15 -1281 ($ $ (-148))) (-15 -1281 ($ $ (-143))) (-15 -1534 ($ $ $)))) 
-(((-39) . T) ((-105) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-609 (-851)) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-843) |has| (-148) (-843)) ((-1091) -2232 (|has| (-148) (-1091)) (|has| (-148) (-843))) ((-1197) . T)) 
-((-4410 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764)) 93)) (-1405 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 53)) (-3987 (((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)) 85)) (-2734 (((-764) (-635 |#4|) (-635 |#5|)) 27)) (-2500 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764)) 55) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121)) 57)) (-4157 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 77)) (-3817 (((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) 80)) (-2393 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|) 52)) (-1828 (((-764) (-635 |#4|) (-635 |#5|)) 19))) 
-(((-1131 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|) (-1100 |#1| |#2| |#3| |#4|)) (T -1131)) 
-((-3987 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1100 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1131 *4 *5 *6 *7 *8)))) (-4410 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1100 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1131 *7 *8 *9 *10 *11)))) (-4157 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-4157 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-2500 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-2500 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) (-2500 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *7 *8 *9 *3 *4)) (-4 *4 (-1100 *7 *8 *9 *3)))) (-1405 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-1405 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) (-2393 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3)))) (-2734 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) (-1828 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
-(-10 -7 (-15 -1828 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2734 ((-764) (-635 |#4|) (-635 |#5|))) (-15 -2393 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -1405 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764) (-121))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5| (-764))) (-15 -2500 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) |#4| |#5|)) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -4157 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -4410 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))))) (-764))) (-15 -3817 ((-1145) (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|)))) (-15 -3987 ((-1252) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4003 |#5|))) (-764)))) 
-((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 109) (((-635 $) (-635 |#4|) (-121)) 110) (((-635 $) (-635 |#4|) (-121) (-121)) 108) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 111)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-2004 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| $) 83)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 61)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) 26 (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4318 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 39)) (-4407 ((|#4| |#4| $) 64)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-1658 (((-121) |#4| $) NIL)) (-3903 (((-121) |#4| $) NIL)) (-3617 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3152 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 123)) (-3470 (((-635 |#4|) $) 16 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 17 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-1853 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 21)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-2870 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-3988 (((-635 (-2 (|:| |val| |#4|) (|:| -4003 $))) |#4| |#4| $) 102)) (-4213 (((-3 |#4| "failed") $) 37)) (-2482 (((-635 $) |#4| $) 87)) (-3730 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2253 (((-635 (-2 (|:| |val| (-121)) (|:| -4003 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-2652 (((-635 $) |#4| $) 106) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 107) (((-635 $) |#4| (-635 $)) NIL)) (-4164 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 118)) (-3897 (($ |#4| $) 74) (($ (-635 |#4|) $) 75) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-2515 (((-635 |#4|) $) NIL)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) NIL)) (-2673 (((-121) $ $) NIL)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 35)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) 47)) (-3499 (($ $ |#4|) NIL) (((-635 $) |#4| $) 89) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 85)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 13)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) 12)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 20)) (-4201 (($ $ |#3|) 42)) (-3460 (($ $ |#3|) 43)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) 31) (((-635 |#4|) $) 40)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-4455 (((-635 $) |#4| $) 53) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-4060 (((-121) |#4| $) NIL)) (-3673 (((-121) |#3| $) 60)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1132 |#1| |#2| |#3| |#4|) (-13 (-1100 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1132)) 
-((-3897 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *3))) (-5 *1 (-1132 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) (-4426 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-4426 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-4164 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) (-3152 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1132 *5 *6 *7 *8))))) (-5 *1 (-1132 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(-13 (-1100 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3897 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -4426 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4164 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3152 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-3275 ((|#1| $) 28)) (-1725 (($ (-635 |#1|)) 33)) (-1691 (((-121) $ (-764)) NIL)) (-2820 (($) NIL T CONST)) (-3309 ((|#1| |#1| $) 30)) (-1646 ((|#1| $) 26)) (-3470 (((-635 |#1|) $) 34 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 37)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3889 ((|#1| $) 29)) (-3172 (($ |#1| $) 31)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1856 ((|#1| $) 27)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 24)) (-1296 (($) 32)) (-2835 (((-764) $) 22)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 20)) (-2185 (((-851) $) 17 (|has| |#1| (-1091)))) (-2793 (($ (-635 |#1|)) NIL)) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 12 (|has| |#1| (-1091)))) (-4168 (((-764) $) 23 (|has| $ (-6 -4535))))) 
-(((-1133 |#1|) (-13 (-1110 |#1|) (-10 -8 (-15 -1725 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) (-1091)) (T -1133)) 
-((-3137 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1971 (*1 *1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1296 (*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1601 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-2006 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-1974 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-1691 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) (-2820 (*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-4168 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-1853 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-2066 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4)))) (-4177 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4)))) (-2846 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1133 *4)))) (-3470 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-4259 (*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-2846 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3660 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2776 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-3360 (*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-1668 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2568 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) (-2793 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) (-1856 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3172 (*1 *1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3889 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3309 (*1 *2 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-1646 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-3275 (*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) (-2835 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) (-1725 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
-(-13 (-1110 |#1|) (-10 -8 (-15 -1725 ($ (-635 |#1|))) (-15 -1646 (|#1| $)) (-15 -1856 (|#1| $)) (-15 -3309 (|#1| |#1| $)) (-15 -3172 ($ |#1| $)) (-15 -3889 (|#1| $)) (-15 -3275 (|#1| $)) (-15 -2835 ((-764) $)) (-15 -2006 ((-121) $ (-764))) (-15 -1974 ((-121) $ (-764))) (-15 -1691 ((-121) $ (-764))) (-15 -2793 ($ (-635 |#1|))) (-15 -1601 ((-121) $)) (-15 -1296 ($)) (-15 -2820 ($)) (-15 -1971 ($ $)) (-15 -3137 ((-121) $ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4536)) (-15 -1853 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1091)) (PROGN (-15 -2776 ((-1145) $)) (-15 -3360 ((-1109) $)) (-15 -2185 ((-851) $)) (-15 -1668 ((-121) $ $)) (-15 -2568 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4535)) (PROGN (-15 -4177 ((-121) (-1 (-121) |#1|) $)) (-15 -2066 ((-121) (-1 (-121) |#1|) $)) (-15 -2846 ((-764) (-1 (-121) |#1|) $)) (-15 -4168 ((-764) $)) (-15 -3470 ((-635 |#1|) $)) (-15 -4259 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4535)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3660 ((-121) |#1| $)) (-15 -2846 ((-764) |#1| $))) |noBranch|) |noBranch|))) 
-((-4469 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1213 (-569)) |#2|) 43) ((|#2| $ (-569) |#2|) 40)) (-3108 (((-121) $) 11)) (-1853 (($ (-1 |#2| |#2|) $) 38)) (-4353 ((|#2| $) NIL) (($ $ (-764)) 16)) (-3174 (($ $ |#2|) 39)) (-2695 (((-121) $) 10)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1213 (-569))) 30) ((|#2| $ (-569)) 22) ((|#2| $ (-569) |#2|) NIL)) (-2697 (($ $ $) 46) (($ $ |#2|) NIL)) (-2250 (($ $ $) 32) (($ |#2| $) NIL) (($ (-635 $)) 35) (($ $ |#2|) NIL))) 
-(((-1134 |#1| |#2|) (-10 -8 (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| "last")) (-15 -1534 (|#1| |#1| "rest")) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -1534 (|#2| |#1| "value")) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|))) (-1135 |#2|) (-1197)) (T -1134)) 
-NIL 
-(-10 -8 (-15 -3108 ((-121) |#1|)) (-15 -2695 ((-121) |#1|)) (-15 -4469 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569) |#2|)) (-15 -1534 (|#2| |#1| (-569))) (-15 -3174 (|#1| |#1| |#2|)) (-15 -2250 (|#1| |#1| |#2|)) (-15 -2250 (|#1| (-635 |#1|))) (-15 -1534 (|#1| |#1| (-1213 (-569)))) (-15 -4469 (|#2| |#1| (-1213 (-569)) |#2|)) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2697 (|#1| |#1| |#2|)) (-15 -2697 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| "last")) (-15 -1534 (|#1| |#1| "rest")) (-15 -4353 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "first")) (-15 -4353 (|#2| |#1|)) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -1534 (|#2| |#1| "value")) (-15 -1853 (|#1| (-1 |#2| |#2|) |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3112 (((-1252) $ (-569) (-569)) 94 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 114 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4535)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-2033 (($ $) 96 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4535))) (($ |#1| $) 97 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-2726 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 84)) (-3108 (((-121) $) 80)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) 105)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 92 (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 91 (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3614 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-4166 (((-635 (-569)) $) 89)) (-3533 (((-121) (-569) $) 88)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-3174 (($ $ |#1|) 93 (|has| $ (-6 -4536)))) (-2695 (((-121) $) 81)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 87)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1213 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-1686 (((-569) $ $) 41)) (-3010 (($ $ (-1213 (-569))) 111) (($ $ (-569)) 110)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-3817 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 104)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1135 |#1|) (-1278) (-1197)) (T -1135)) 
-((-2695 (*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) (-3108 (*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(-13 (-1234 |t#1|) (-641 |t#1|) (-10 -8 (-15 -2695 ((-121) $)) (-15 -3108 ((-121) $)))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T) ((-1234 |#1|) . T)) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1136 |#1| |#2| |#3|) (-1174 |#1| |#2|) (-1091) (-1091) |#2|) (T -1136)) 
-NIL 
-(-1174 |#1| |#2|) 
-((-2568 (((-121) $ $) 7)) (-3846 (((-3 $ "failed") $) 12)) (-2776 (((-1145) $) 9)) (-4043 (($) 13 T CONST)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11)) (-1668 (((-121) $ $) 6))) 
-(((-1137) (-1278)) (T -1137)) 
-((-4043 (*1 *1) (-4 *1 (-1137))) (-3846 (*1 *1 *1) (|partial| -4 *1 (-1137)))) 
-(-13 (-1091) (-10 -8 (-15 -4043 ($) -2043) (-15 -3846 ((-3 $ "failed") $)))) 
-(((-105) . T) ((-609 (-851)) . T) ((-1091) . T)) 
-((-2877 (((-1143 |#1|) (-1143 |#1|)) 17)) (-4191 (((-1143 |#1|) (-1143 |#1|)) 13)) (-3094 (((-1143 |#1|) (-1143 |#1|) (-569) (-569)) 20)) (-2651 (((-1143 |#1|) (-1143 |#1|)) 15))) 
-(((-1138 |#1|) (-10 -7 (-15 -4191 ((-1143 |#1|) (-1143 |#1|))) (-15 -2651 ((-1143 |#1|) (-1143 |#1|))) (-15 -2877 ((-1143 |#1|) (-1143 |#1|))) (-15 -3094 ((-1143 |#1|) (-1143 |#1|) (-569) (-569)))) (-13 (-559) (-151))) (T -1138)) 
-((-3094 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1138 *4)))) (-2877 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3)))) (-2651 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3)))) (-4191 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
-(-10 -7 (-15 -4191 ((-1143 |#1|) (-1143 |#1|))) (-15 -2651 ((-1143 |#1|) (-1143 |#1|))) (-15 -2877 ((-1143 |#1|) (-1143 |#1|))) (-15 -3094 ((-1143 |#1|) (-1143 |#1|) (-569) (-569)))) 
-((-1582 (((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)) 16))) 
-(((-1139 |#1|) (-10 -7 (-15 -1582 ((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)))) (-1197)) (T -1139)) 
-((-1582 (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1197)) (-5 *1 (-1139 *4))))) 
-(-10 -7 (-15 -1582 ((-1143 |#1|) (-1143 |#1|) (-1 (-635 |#1|) |#1|)))) 
-((-2250 (((-1143 |#1|) (-1143 (-1143 |#1|))) 15))) 
-(((-1140 |#1|) (-10 -7 (-15 -2250 ((-1143 |#1|) (-1143 (-1143 |#1|))))) (-1197)) (T -1140)) 
-((-2250 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1140 *4)) (-4 *4 (-1197))))) 
-(-10 -7 (-15 -2250 ((-1143 |#1|) (-1143 (-1143 |#1|))))) 
-((-3043 (((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)) 25)) (-1774 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)) 26)) (-1544 (((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|)) 16))) 
-(((-1141 |#1| |#2|) (-10 -7 (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|))) (-15 -3043 ((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|))) (-15 -1774 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)))) (-1197) (-1197)) (T -1141)) 
-((-1774 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1141 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1143 *6)) (-4 *6 (-1197)) (-4 *3 (-1197)) (-5 *2 (-1143 *3)) (-5 *1 (-1141 *6 *3)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1141 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1143 |#1|))) (-15 -3043 ((-1143 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|))) (-15 -1774 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1143 |#1|)))) 
-((-1544 (((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)) 21))) 
-(((-1142 |#1| |#2| |#3|) (-10 -7 (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)))) (-1197) (-1197) (-1197)) (T -1142)) 
-((-1544 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-1142 *6 *7 *8))))) 
-(-10 -7 (-15 -1544 ((-1143 |#3|) (-1 |#3| |#1| |#2|) (-1143 |#1|) (-1143 |#2|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) NIL)) (-4360 ((|#1| $) NIL)) (-4459 (($ $) 48)) (-3112 (((-1252) $ (-569) (-569)) 73 (|has| $ (-6 -4536)))) (-3138 (($ $ (-569)) 107 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-2701 (((-851) $) 37 (|has| |#1| (-1091)))) (-4266 (((-121)) 38 (|has| |#1| (-1091)))) (-3891 ((|#1| $ |#1|) NIL (|has| $ (-6 -4536)))) (-3014 (($ $ $) 95 (|has| $ (-6 -4536))) (($ $ (-569) $) 117)) (-1868 ((|#1| $ |#1|) 104 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 99 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4536))) (($ $ "rest" $) 103 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 86 (|has| $ (-6 -4536))) ((|#1| $ (-569) |#1|) 52 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 55)) (-1669 ((|#1| $) NIL)) (-2820 (($) NIL T CONST)) (-3913 (($ $) 14)) (-2046 (($ $) 28) (($ $ (-764)) 85)) (-1301 (((-121) (-635 |#1|) $) 112 (|has| |#1| (-1091)))) (-3404 (($ (-635 |#1|)) 109)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) 54)) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3108 (((-121) $) NIL)) (-3470 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3020 (((-1252) (-569) $) 116 (|has| |#1| (-1091)))) (-2534 (((-764) $) 114)) (-4032 (((-635 $) $) NIL)) (-4349 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-2006 (((-121) $ (-764)) NIL)) (-2824 (((-635 |#1|) $) NIL)) (-3486 (((-121) $) NIL)) (-1572 (($ $) 87)) (-2796 (((-121) $) 13)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-4213 ((|#1| $) NIL) (($ $ (-764)) NIL)) (-3614 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) 71)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-1923 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-1867 ((|#1| $) 10)) (-4353 ((|#1| $) 27) (($ $ (-764)) 46)) (-3501 (((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $) 24)) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-1946 (($ (-1 (-121) |#1|) $) 121)) (-1953 (($ (-1 (-121) |#1|) $) 122)) (-3174 (($ $ |#1|) 65 (|has| $ (-6 -4536)))) (-3499 (($ $ (-569)) 31)) (-2695 (((-121) $) 69)) (-2134 (((-121) $) 12)) (-1642 (((-121) $) 113)) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 20)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) 15)) (-1296 (($) 40)) (-1534 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1213 (-569))) NIL) ((|#1| $ (-569)) 51) ((|#1| $ (-569) |#1|) NIL)) (-1686 (((-569) $ $) 45)) (-3010 (($ $ (-1213 (-569))) NIL) (($ $ (-569)) NIL)) (-2906 (($ (-1 $)) 44)) (-1472 (((-121) $) 66)) (-2645 (($ $) 67)) (-2780 (($ $) 96 (|has| $ (-6 -4536)))) (-4035 (((-764) $) NIL)) (-4343 (($ $) NIL)) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 41)) (-3817 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 50)) (-1963 (($ |#1| $) 94)) (-2697 (($ $ $) 97 (|has| $ (-6 -4536))) (($ $ |#1|) 98 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 42) (($ (-635 $)) 80) (($ $ |#1|) 74)) (-3659 (($ $) 47)) (-2185 (((-851) $) 39 (|has| |#1| (-1091))) (($ (-635 |#1|)) 108)) (-4114 (((-635 $) $) NIL)) (-2447 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 111 (|has| |#1| (-1091)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1143 |#1|) (-13 (-666 |#1|) (-10 -8 (-6 -4536) (-15 -2185 ($ (-635 |#1|))) (-15 -3404 ($ (-635 |#1|))) (IF (|has| |#1| (-1091)) (-15 -1301 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3501 ((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $)) (-15 -2906 ($ (-1 $))) (-15 -1963 ($ |#1| $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3020 ((-1252) (-569) $)) (-15 -2701 ((-851) $)) (-15 -4266 ((-121)))) |noBranch|) (-15 -3014 ($ $ (-569) $)) (-15 -1923 ($ (-1 |#1|))) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)))) (-1197)) (T -1143)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-3404 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1301 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)) (-5 *1 (-1143 *4)))) (-3501 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764)))) (-5 *1 (-1143 *4)) (-4 *4 (-1197)) (-5 *3 (-764)))) (-2906 (*1 *1 *2) (-12 (-5 *2 (-1 (-1143 *3))) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) (-1963 (*1 *1 *2 *1) (-12 (-5 *1 (-1143 *2)) (-4 *2 (-1197)))) (-3020 (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1143 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)))) (-2701 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)))) (-4266 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)))) (-3014 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) (-1923 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1923 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1946 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) (-1953 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
-(-13 (-666 |#1|) (-10 -8 (-6 -4536) (-15 -2185 ($ (-635 |#1|))) (-15 -3404 ($ (-635 |#1|))) (IF (|has| |#1| (-1091)) (-15 -1301 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3501 ((-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764))) (-764) $)) (-15 -2906 ($ (-1 $))) (-15 -1963 ($ |#1| $)) (IF (|has| |#1| (-1091)) (PROGN (-15 -3020 ((-1252) (-569) $)) (-15 -2701 ((-851) $)) (-15 -4266 ((-121)))) |noBranch|) (-15 -3014 ($ $ (-569) $)) (-15 -1923 ($ (-1 |#1|))) (-15 -1923 ($ (-1 |#1| |#1|) |#1|)) (-15 -1946 ($ (-1 (-121) |#1|) $)) (-15 -1953 ($ (-1 (-121) |#1|) $)))) 
-((-2568 (((-121) $ $) 18)) (-3241 (($ $) 113)) (-2217 (($ $) 114)) (-2668 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) 111)) (-3254 (((-121) $ $ (-569)) 110)) (-2257 (($ (-569)) 118)) (-4493 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| (-148) (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1281 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-4149 (($ $ (-1213 (-569)) $) 107)) (-2033 (($ $) 73 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ (-148) $) 72 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) 48)) (-3227 (((-121) $ $) 112)) (-3727 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1091))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-3470 (((-635 (-148)) $) 30 (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) 108)) (-4436 (((-764) $ $ (-148)) 109)) (-1853 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1390 (($ $) 115)) (-2869 (($ $) 116)) (-2006 (((-121) $ (-764)) 10)) (-2973 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2776 (((-1145) $) 22)) (-3614 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21)) (-4353 (((-148) $) 39 (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-3174 (($ $ (-148)) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1213 (-569))) 58) (($ $ $) 95)) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-2846 (((-764) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4535))) (((-764) (-148) $) 28 (-12 (|has| (-148) (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) 65)) (-2250 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (($ (-148)) 104) (((-851) $) 20)) (-2066 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 122) (((-1145) $ (-121)) 121) (((-1252) (-818) $) 120) (((-1252) (-818) $ (-121)) 119)) (-1693 (((-121) $ $) 77 (|has| (-148) (-843)))) (-1684 (((-121) $ $) 76 (|has| (-148) (-843)))) (-1668 (((-121) $ $) 19)) (-1688 (((-121) $ $) 78 (|has| (-148) (-843)))) (-1678 (((-121) $ $) 75 (|has| (-148) (-843)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1144) (-1278)) (T -1144)) 
-((-2257 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1144))))) 
-(-13 (-1130) (-1091) (-824) (-10 -8 (-15 -2257 ($ (-569))))) 
-(((-39) . T) ((-105) . T) ((-609 (-851)) . T) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-824) . T) ((-843) |has| (-148) (-843)) ((-1091) . T) ((-1130) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3241 (($ $) NIL)) (-2217 (($ $) NIL)) (-2668 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3134 (((-121) $ $) NIL)) (-3254 (((-121) $ $ (-569)) NIL)) (-2257 (($ (-569)) 7)) (-4493 (((-635 $) $ (-148)) NIL) (((-635 $) $ (-143)) NIL)) (-3034 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-843)))) (-3076 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-148) (-843))))) (-3113 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536))) (((-148) $ (-1213 (-569)) (-148)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1281 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-4149 (($ $ (-1213 (-569)) $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-4347 (($ (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4535))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4536)))) (-1618 (((-148) $ (-569)) NIL)) (-3227 (((-121) $ $) NIL)) (-3727 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1091))) (((-569) (-148) $ (-569)) NIL (|has| (-148) (-1091))) (((-569) $ $ (-569)) NIL) (((-569) (-143) $ (-569)) NIL)) (-3470 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-148)) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-148) (-843)))) (-3288 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-843)))) (-4259 (((-635 (-148)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-148) (-843)))) (-3536 (((-121) $ $ (-148)) NIL)) (-4436 (((-764) $ $ (-148)) NIL)) (-1853 (($ (-1 (-148) (-148)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1390 (($ $) NIL)) (-2869 (($ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2973 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2776 (((-1145) $) NIL)) (-3614 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-148) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-3174 (($ $ (-148)) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-2691 (((-635 (-148)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1213 (-569))) NIL) (($ $ $) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535))) (((-764) (-148) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-148) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-2139 (($ (-635 (-148))) NIL)) (-2250 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (($ (-148)) NIL) (((-851) $) NIL)) (-2066 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4535)))) (-1940 (((-1145) $) 18) (((-1145) $ (-121)) 20) (((-1252) (-818) $) 21) (((-1252) (-818) $ (-121)) 22)) (-1693 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| (-148) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-148) (-843)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1145) (-1144)) (T -1145)) 
-NIL 
-(-1144) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-3112 (((-1252) $ (-1145) (-1145)) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-1145) |#1|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#1| "failed") (-1145) $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#1| "failed") (-1145) $) NIL)) (-4347 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-1145) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-1145)) NIL)) (-3470 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-1145) $) NIL (|has| (-1145) (-843)))) (-4259 (((-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-1145) $) NIL (|has| (-1145) (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2179 (((-635 (-1145)) $) NIL)) (-1598 (((-121) (-1145) $) NIL)) (-3889 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4166 (((-635 (-1145)) $) NIL)) (-3533 (((-121) (-1145) $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-4353 ((|#1| $) NIL (|has| (-1145) (-843)))) (-2502 (((-3 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) "failed") (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL (-12 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-304 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-1145)) NIL) ((|#1| $ (-1145) |#1|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 (-1145)) (|:| -3782 |#1|)) (-1091)) (|has| |#1| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1146 |#1|) (-13 (-1174 (-1145) |#1|) (-10 -7 (-6 -4535))) (-1091)) (T -1146)) 
-NIL 
-(-13 (-1174 (-1145) |#1|) (-10 -7 (-6 -4535))) 
-((-1889 (((-1143 |#1|) (-1143 |#1|)) 77)) (-3428 (((-3 (-1143 |#1|) "failed") (-1143 |#1|)) 37)) (-4167 (((-1143 |#1|) (-410 (-569)) (-1143 |#1|)) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3797 (((-1143 |#1|) |#1| (-1143 |#1|)) 121 (|has| |#1| (-366)))) (-2787 (((-1143 |#1|) (-1143 |#1|)) 90)) (-1670 (((-1143 (-569)) (-569)) 57)) (-4212 (((-1143 |#1|) (-1143 (-1143 |#1|))) 108 (|has| |#1| (-43 (-410 (-569)))))) (-4173 (((-1143 |#1|) (-569) (-569) (-1143 |#1|)) 95)) (-4145 (((-1143 |#1|) |#1| (-569)) 45)) (-3062 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 60)) (-3125 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 119 (|has| |#1| (-366)))) (-3007 (((-1143 |#1|) |#1| (-1 (-1143 |#1|))) 107 (|has| |#1| (-43 (-410 (-569)))))) (-1827 (((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|))) 120 (|has| |#1| (-366)))) (-3380 (((-1143 |#1|) (-1143 |#1|)) 89)) (-1722 (((-1143 |#1|) (-1143 |#1|)) 76)) (-1357 (((-1143 |#1|) (-569) (-569) (-1143 |#1|)) 96)) (-2565 (((-1143 |#1|) |#1| (-1143 |#1|)) 105 (|has| |#1| (-43 (-410 (-569)))))) (-3169 (((-1143 (-569)) (-569)) 56)) (-1741 (((-1143 |#1|) |#1|) 59)) (-3235 (((-1143 |#1|) (-1143 |#1|) (-569) (-569)) 92)) (-2361 (((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|)) 66)) (-2941 (((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|)) 35)) (-2924 (((-1143 |#1|) (-1143 |#1|)) 91)) (-1468 (((-1143 |#1|) (-1143 |#1|) |#1|) 71)) (-3370 (((-1143 |#1|) (-1143 |#1|)) 62)) (-3107 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 72)) (-2185 (((-1143 |#1|) |#1|) 67)) (-3301 (((-1143 |#1|) (-1143 (-1143 |#1|))) 82)) (-1715 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 36)) (-1711 (((-1143 |#1|) (-1143 |#1|)) 21) (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 23)) (-1707 (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 17)) (* (((-1143 |#1|) (-1143 |#1|) |#1|) 29) (((-1143 |#1|) |#1| (-1143 |#1|)) 26) (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 27))) 
-(((-1147 |#1|) (-10 -7 (-15 -1707 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -2941 ((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|))) (-15 -1715 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3428 ((-3 (-1143 |#1|) "failed") (-1143 |#1|))) (-15 -4145 ((-1143 |#1|) |#1| (-569))) (-15 -3169 ((-1143 (-569)) (-569))) (-15 -1670 ((-1143 (-569)) (-569))) (-15 -1741 ((-1143 |#1|) |#1|)) (-15 -3062 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3370 ((-1143 |#1|) (-1143 |#1|))) (-15 -2361 ((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) |#1|)) (-15 -1468 ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -3107 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1722 ((-1143 |#1|) (-1143 |#1|))) (-15 -1889 ((-1143 |#1|) (-1143 |#1|))) (-15 -3301 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -3380 ((-1143 |#1|) (-1143 |#1|))) (-15 -2787 ((-1143 |#1|) (-1143 |#1|))) (-15 -2924 ((-1143 |#1|) (-1143 |#1|))) (-15 -3235 ((-1143 |#1|) (-1143 |#1|) (-569) (-569))) (-15 -4173 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (-15 -1357 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 -3007 ((-1143 |#1|) |#1| (-1 (-1143 |#1|)))) (-15 -4212 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -4167 ((-1143 |#1|) (-410 (-569)) (-1143 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3125 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1827 ((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|)))) (-15 -3797 ((-1143 |#1|) |#1| (-1143 |#1|)))) |noBranch|)) (-1048)) (T -1147)) 
-((-3797 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1827 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1143 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)))) (-3125 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-4167 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1048)) (-5 *3 (-410 (-569))) (-5 *1 (-1147 *4)))) (-4212 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)))) (-3007 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1143 *3))) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) (-2565 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1357 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-4173 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-3235 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-2924 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2787 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3380 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3301 (*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-1048)))) (-1889 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1722 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3107 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1468 (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2185 (*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-2361 (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) (-3370 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-3062 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1741 (*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-1670 (*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569)))) (-3169 (*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569)))) (-4145 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) (-3428 (*1 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1715 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-2941 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1711 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(-10 -7 (-15 -1707 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1711 ((-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 * ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 * ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -2941 ((-3 (-1143 |#1|) "failed") (-1143 |#1|) (-1143 |#1|))) (-15 -1715 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3428 ((-3 (-1143 |#1|) "failed") (-1143 |#1|))) (-15 -4145 ((-1143 |#1|) |#1| (-569))) (-15 -3169 ((-1143 (-569)) (-569))) (-15 -1670 ((-1143 (-569)) (-569))) (-15 -1741 ((-1143 |#1|) |#1|)) (-15 -3062 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -3370 ((-1143 |#1|) (-1143 |#1|))) (-15 -2361 ((-1143 |#1|) (-1 |#1| (-569)) (-1143 |#1|))) (-15 -2185 ((-1143 |#1|) |#1|)) (-15 -1468 ((-1143 |#1|) (-1143 |#1|) |#1|)) (-15 -3107 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1722 ((-1143 |#1|) (-1143 |#1|))) (-15 -1889 ((-1143 |#1|) (-1143 |#1|))) (-15 -3301 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -3380 ((-1143 |#1|) (-1143 |#1|))) (-15 -2787 ((-1143 |#1|) (-1143 |#1|))) (-15 -2924 ((-1143 |#1|) (-1143 |#1|))) (-15 -3235 ((-1143 |#1|) (-1143 |#1|) (-569) (-569))) (-15 -4173 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (-15 -1357 ((-1143 |#1|) (-569) (-569) (-1143 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ((-1143 |#1|) |#1| (-1143 |#1|))) (-15 -3007 ((-1143 |#1|) |#1| (-1 (-1143 |#1|)))) (-15 -4212 ((-1143 |#1|) (-1143 (-1143 |#1|)))) (-15 -4167 ((-1143 |#1|) (-410 (-569)) (-1143 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3125 ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1827 ((-1143 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1143 |#1|)))) (-15 -3797 ((-1143 |#1|) |#1| (-1143 |#1|)))) |noBranch|)) 
-((-1753 (((-1143 |#1|) (-1143 |#1|)) 57)) (-2530 (((-1143 |#1|) (-1143 |#1|)) 39)) (-1744 (((-1143 |#1|) (-1143 |#1|)) 53)) (-2513 (((-1143 |#1|) (-1143 |#1|)) 35)) (-1760 (((-1143 |#1|) (-1143 |#1|)) 60)) (-2546 (((-1143 |#1|) (-1143 |#1|)) 42)) (-4450 (((-1143 |#1|) (-1143 |#1|)) 31)) (-2436 (((-1143 |#1|) (-1143 |#1|)) 27)) (-1764 (((-1143 |#1|) (-1143 |#1|)) 61)) (-2554 (((-1143 |#1|) (-1143 |#1|)) 43)) (-1756 (((-1143 |#1|) (-1143 |#1|)) 58)) (-2538 (((-1143 |#1|) (-1143 |#1|)) 40)) (-1748 (((-1143 |#1|) (-1143 |#1|)) 55)) (-2522 (((-1143 |#1|) (-1143 |#1|)) 37)) (-1779 (((-1143 |#1|) (-1143 |#1|)) 65)) (-1727 (((-1143 |#1|) (-1143 |#1|)) 47)) (-1770 (((-1143 |#1|) (-1143 |#1|)) 63)) (-2561 (((-1143 |#1|) (-1143 |#1|)) 45)) (-1785 (((-1143 |#1|) (-1143 |#1|)) 68)) (-1736 (((-1143 |#1|) (-1143 |#1|)) 50)) (-2430 (((-1143 |#1|) (-1143 |#1|)) 69)) (-1740 (((-1143 |#1|) (-1143 |#1|)) 51)) (-1782 (((-1143 |#1|) (-1143 |#1|)) 67)) (-1731 (((-1143 |#1|) (-1143 |#1|)) 49)) (-1775 (((-1143 |#1|) (-1143 |#1|)) 66)) (-2569 (((-1143 |#1|) (-1143 |#1|)) 48)) (** (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 33))) 
-(((-1148 |#1|) (-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) (-43 (-410 (-569)))) (T -1148)) 
-((-2430 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1785 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1782 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1779 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1775 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1770 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1764 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1760 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1756 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1753 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1748 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1744 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1740 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1736 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1731 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-1727 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2569 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2561 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2554 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2546 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2538 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2530 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2522 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2513 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) (-2436 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3))))) 
-(-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) 
-((-1753 (((-1143 |#1|) (-1143 |#1|)) 100)) (-2530 (((-1143 |#1|) (-1143 |#1|)) 64)) (-3966 (((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|)) 96)) (-1744 (((-1143 |#1|) (-1143 |#1|)) 97)) (-1817 (((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|)) 53)) (-2513 (((-1143 |#1|) (-1143 |#1|)) 54)) (-1760 (((-1143 |#1|) (-1143 |#1|)) 102)) (-2546 (((-1143 |#1|) (-1143 |#1|)) 71)) (-4450 (((-1143 |#1|) (-1143 |#1|)) 39)) (-2436 (((-1143 |#1|) (-1143 |#1|)) 36)) (-1764 (((-1143 |#1|) (-1143 |#1|)) 103)) (-2554 (((-1143 |#1|) (-1143 |#1|)) 72)) (-1756 (((-1143 |#1|) (-1143 |#1|)) 101)) (-2538 (((-1143 |#1|) (-1143 |#1|)) 67)) (-1748 (((-1143 |#1|) (-1143 |#1|)) 98)) (-2522 (((-1143 |#1|) (-1143 |#1|)) 55)) (-1779 (((-1143 |#1|) (-1143 |#1|)) 111)) (-1727 (((-1143 |#1|) (-1143 |#1|)) 86)) (-1770 (((-1143 |#1|) (-1143 |#1|)) 105)) (-2561 (((-1143 |#1|) (-1143 |#1|)) 82)) (-1785 (((-1143 |#1|) (-1143 |#1|)) 115)) (-1736 (((-1143 |#1|) (-1143 |#1|)) 90)) (-2430 (((-1143 |#1|) (-1143 |#1|)) 117)) (-1740 (((-1143 |#1|) (-1143 |#1|)) 92)) (-1782 (((-1143 |#1|) (-1143 |#1|)) 113)) (-1731 (((-1143 |#1|) (-1143 |#1|)) 88)) (-1775 (((-1143 |#1|) (-1143 |#1|)) 107)) (-2569 (((-1143 |#1|) (-1143 |#1|)) 84)) (** (((-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) 40))) 
-(((-1149 |#1|) (-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1817 ((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -3966 ((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) (-43 (-410 (-569)))) (T -1149)) 
-((-2430 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1785 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1782 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1779 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1775 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1770 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1764 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1760 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1756 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1753 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1748 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1744 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-3966 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -1744 (-1143 *4)) (|:| -1748 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4)))) (-1740 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1736 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1731 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1727 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2569 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2561 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2554 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2546 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2538 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2530 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2522 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2513 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-1817 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -2513 (-1143 *4)) (|:| -2522 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-4450 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) (-2436 (*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(-10 -7 (-15 -2436 ((-1143 |#1|) (-1143 |#1|))) (-15 -4450 ((-1143 |#1|) (-1143 |#1|))) (-15 ** ((-1143 |#1|) (-1143 |#1|) (-1143 |#1|))) (-15 -1817 ((-2 (|:| -2513 (-1143 |#1|)) (|:| -2522 (-1143 |#1|))) (-1143 |#1|))) (-15 -2513 ((-1143 |#1|) (-1143 |#1|))) (-15 -2522 ((-1143 |#1|) (-1143 |#1|))) (-15 -2530 ((-1143 |#1|) (-1143 |#1|))) (-15 -2538 ((-1143 |#1|) (-1143 |#1|))) (-15 -2546 ((-1143 |#1|) (-1143 |#1|))) (-15 -2554 ((-1143 |#1|) (-1143 |#1|))) (-15 -2561 ((-1143 |#1|) (-1143 |#1|))) (-15 -2569 ((-1143 |#1|) (-1143 |#1|))) (-15 -1727 ((-1143 |#1|) (-1143 |#1|))) (-15 -1731 ((-1143 |#1|) (-1143 |#1|))) (-15 -1736 ((-1143 |#1|) (-1143 |#1|))) (-15 -1740 ((-1143 |#1|) (-1143 |#1|))) (-15 -3966 ((-2 (|:| -1744 (-1143 |#1|)) (|:| -1748 (-1143 |#1|))) (-1143 |#1|))) (-15 -1744 ((-1143 |#1|) (-1143 |#1|))) (-15 -1748 ((-1143 |#1|) (-1143 |#1|))) (-15 -1753 ((-1143 |#1|) (-1143 |#1|))) (-15 -1756 ((-1143 |#1|) (-1143 |#1|))) (-15 -1760 ((-1143 |#1|) (-1143 |#1|))) (-15 -1764 ((-1143 |#1|) (-1143 |#1|))) (-15 -1770 ((-1143 |#1|) (-1143 |#1|))) (-15 -1775 ((-1143 |#1|) (-1143 |#1|))) (-15 -1779 ((-1143 |#1|) (-1143 |#1|))) (-15 -1782 ((-1143 |#1|) (-1143 |#1|))) (-15 -1785 ((-1143 |#1|) (-1143 |#1|))) (-15 -2430 ((-1143 |#1|) (-1143 |#1|)))) 
-((-4122 (((-959 |#2|) |#2| |#2|) 35)) (-1340 ((|#2| |#2| |#1|) 19 (|has| |#1| (-302))))) 
-(((-1150 |#1| |#2|) (-10 -7 (-15 -4122 ((-959 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -1340 (|#2| |#2| |#1|)) |noBranch|)) (-559) (-1222 |#1|)) (T -1150)) 
-((-1340 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1222 *3)))) (-4122 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-959 *3)) (-5 *1 (-1150 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -4122 ((-959 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -1340 (|#2| |#2| |#1|)) |noBranch|)) 
-((-2568 (((-121) $ $) NIL)) (-4071 (($ $ (-635 (-764))) 66)) (-2489 (($) 25)) (-4006 (($ $) 41)) (-2499 (((-635 $) $) 50)) (-4408 (((-121) $) 16)) (-3413 (((-635 (-945 |#2|)) $) 73)) (-2878 (($ $) 67)) (-2792 (((-764) $) 36)) (-2659 (($) 24)) (-3513 (($ $ (-635 (-764)) (-945 |#2|)) 59) (($ $ (-635 (-764)) (-764)) 60) (($ $ (-764) (-945 |#2|)) 62)) (-3288 (($ $ $) 47) (($ (-635 $)) 49)) (-1840 (((-764) $) 74)) (-3486 (((-121) $) 15)) (-2776 (((-1145) $) NIL)) (-2259 (((-121) $) 17)) (-3360 (((-1109) $) NIL)) (-2771 (((-172) $) 72)) (-4247 (((-945 |#2|) $) 68)) (-1967 (((-764) $) 69)) (-1402 (((-121) $) 71)) (-1917 (($ $ (-635 (-764)) (-172)) 65)) (-4124 (($ $) 42)) (-2185 (((-851) $) 84)) (-2983 (($ $ (-635 (-764)) (-121)) 64)) (-4114 (((-635 $) $) 11)) (-2260 (($ $ (-764)) 35)) (-1666 (($ $) 31)) (-2490 (($ $ $ (-945 |#2|) (-764)) 55)) (-2640 (($ $ (-945 |#2|)) 54)) (-3786 (($ $ (-635 (-764)) (-945 |#2|)) 53) (($ $ (-635 (-764)) (-764)) 57) (((-764) $ (-945 |#2|)) 58)) (-1668 (((-121) $ $) 78))) 
-(((-1151 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -3486 ((-121) $)) (-15 -4408 ((-121) $)) (-15 -2259 ((-121) $)) (-15 -2659 ($)) (-15 -2489 ($)) (-15 -1666 ($ $)) (-15 -2260 ($ $ (-764))) (-15 -4114 ((-635 $) $)) (-15 -2792 ((-764) $)) (-15 -4006 ($ $)) (-15 -4124 ($ $)) (-15 -3288 ($ $ $)) (-15 -3288 ($ (-635 $))) (-15 -2499 ((-635 $) $)) (-15 -3786 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -2640 ($ $ (-945 |#2|))) (-15 -2490 ($ $ $ (-945 |#2|) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -3786 ($ $ (-635 (-764)) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-764))) (-15 -3786 ((-764) $ (-945 |#2|))) (-15 -3513 ($ $ (-764) (-945 |#2|))) (-15 -2983 ($ $ (-635 (-764)) (-121))) (-15 -1917 ($ $ (-635 (-764)) (-172))) (-15 -4071 ($ $ (-635 (-764)))) (-15 -4247 ((-945 |#2|) $)) (-15 -1967 ((-764) $)) (-15 -1402 ((-121) $)) (-15 -2771 ((-172) $)) (-15 -1840 ((-764) $)) (-15 -2878 ($ $)) (-15 -3413 ((-635 (-945 |#2|)) $)))) (-918) (-1048)) (T -1151)) 
-((-3486 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4408 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2259 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2659 (*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-2489 (*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-1666 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-2260 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4114 (*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2792 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4006 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-4124 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3288 (*1 *1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3288 (*1 *1 *2) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2499 (*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-3786 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-2640 (*1 *1 *1 *2) (-12 (-5 *2 (-945 *4)) (-4 *4 (-1048)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)))) (-2490 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-945 *5)) (-5 *3 (-764)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3786 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-3786 (*1 *2 *1 *3) (-12 (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *2 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-3513 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) (-2983 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-121)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-1917 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-172)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) (-4071 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-4247 (*1 *2 *1) (-12 (-5 *2 (-945 *4)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1967 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1402 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2771 (*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-1840 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) (-2878 (*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) (-3413 (*1 *2 *1) (-12 (-5 *2 (-635 (-945 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(-13 (-1091) (-10 -8 (-15 -3486 ((-121) $)) (-15 -4408 ((-121) $)) (-15 -2259 ((-121) $)) (-15 -2659 ($)) (-15 -2489 ($)) (-15 -1666 ($ $)) (-15 -2260 ($ $ (-764))) (-15 -4114 ((-635 $) $)) (-15 -2792 ((-764) $)) (-15 -4006 ($ $)) (-15 -4124 ($ $)) (-15 -3288 ($ $ $)) (-15 -3288 ($ (-635 $))) (-15 -2499 ((-635 $) $)) (-15 -3786 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -2640 ($ $ (-945 |#2|))) (-15 -2490 ($ $ $ (-945 |#2|) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-945 |#2|))) (-15 -3786 ($ $ (-635 (-764)) (-764))) (-15 -3513 ($ $ (-635 (-764)) (-764))) (-15 -3786 ((-764) $ (-945 |#2|))) (-15 -3513 ($ $ (-764) (-945 |#2|))) (-15 -2983 ($ $ (-635 (-764)) (-121))) (-15 -1917 ($ $ (-635 (-764)) (-172))) (-15 -4071 ($ $ (-635 (-764)))) (-15 -4247 ((-945 |#2|) $)) (-15 -1967 ((-764) $)) (-15 -1402 ((-121) $)) (-15 -2771 ((-172) $)) (-15 -1840 ((-764) $)) (-15 -2878 ($ $)) (-15 -3413 ((-635 (-945 |#2|)) $)))) 
-((-2568 (((-121) $ $) NIL)) (-4387 ((|#2| $) 11)) (-1589 ((|#1| $) 10)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2139 (($ |#1| |#2|) 9)) (-2185 (((-851) $) 16)) (-1668 (((-121) $ $) NIL))) 
-(((-1152 |#1| |#2|) (-13 (-1091) (-10 -8 (-15 -2139 ($ |#1| |#2|)) (-15 -1589 (|#1| $)) (-15 -4387 (|#2| $)))) (-1091) (-1091)) (T -1152)) 
-((-2139 (*1 *1 *2 *3) (-12 (-5 *1 (-1152 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-1589 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *2 *3)) (-4 *3 (-1091)))) (-4387 (*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *3 *2)) (-4 *3 (-1091))))) 
-(-13 (-1091) (-10 -8 (-15 -2139 ($ |#1| |#2|)) (-15 -1589 (|#1| $)) (-15 -4387 (|#2| $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3136 (($ $ (-569)) NIL) (($ $ (-569) (-569)) 66)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2051 (((-1161 |#1| |#2| |#3|) $) 36)) (-3690 (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 29)) (-1784 (((-1161 |#1| |#2| |#3|) $) 30)) (-1753 (($ $) 107 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 103 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1163) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-2428 (((-1161 |#1| |#2| |#3|) $) 131) (((-1163) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-1783 (($ $) 34) (($ (-569) $) 35)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-1161 |#1| |#2| |#3|)) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-1161 |#1| |#2| |#3|))) (|:| |vec| (-1247 (-1161 |#1| |#2| |#3|)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 48)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 65 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 67 (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 25)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-882 (-569))) (|has| |#1| (-366)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-882 (-382))) (|has| |#1| (-366))))) (-2558 (((-569) $) NIL) (((-569) $ (-569)) 24)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 (((-1161 |#1| |#2| |#3|) $) 38 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 18) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) (-1161 |#1| |#2| |#3|)) 33)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 70 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 71 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-2942 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 145)) (-2941 (((-3 $ "failed") $ $) 49 (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-524 (-1163) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1161 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1161 |#1| |#2| |#3|)) (-635 (-1161 |#1| |#2| |#3|))) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-304 (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) NIL) (($ $ $) 54 (|has| (-569) (-1103))) (($ $ (-1161 |#1| |#2| |#3|)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-282 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1243 |#2|)) 51) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 50 (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 (((-1161 |#1| |#2| |#3|) $) 41 (|has| |#1| (-366)))) (-2492 (((-569) $) 37)) (-1764 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 105 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-542) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 149) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1161 |#1| |#2| |#3|)) 27) (($ (-1243 |#2|)) 23) (($ (-1163)) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-1653 ((|#1| $ (-569)) 68)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-2612 (((-1161 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 95 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-1770 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 99 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 101 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 97 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 93 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 20 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1678 (((-121) $ $) NIL (-2232 (-12 (|has| (-1161 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1161 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 44 (|has| |#1| (-366))) (($ (-1161 |#1| |#2| |#3|) (-1161 |#1| |#2| |#3|)) 45 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 21)) (** (($ $ (-918)) NIL) (($ $ (-764)) 53) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) 74 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1161 |#1| |#2| |#3|)) 43 (|has| |#1| (-366))) (($ (-1161 |#1| |#2| |#3|) $) 42 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1153 |#1| |#2| |#3|) (-13 (-1208 |#1| (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1153)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1208 |#1| (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2029 ((|#2| |#2| (-1083 |#2|)) 26) ((|#2| |#2| (-1163)) 28))) 
-(((-1154 |#1| |#2|) (-10 -7 (-15 -2029 (|#2| |#2| (-1163))) (-15 -2029 (|#2| |#2| (-1083 |#2|)))) (-13 (-559) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-433 |#1|) (-162) (-27) (-1183))) (T -1154)) 
-((-2029 (*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)))) (-2029 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183)))))) 
-(-10 -7 (-15 -2029 (|#2| |#2| (-1163))) (-15 -2029 (|#2| |#2| (-1083 |#2|)))) 
-((-2029 (((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))) 30) (((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|))) 44) (((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163)) 32) (((-410 (-954 |#1|)) (-954 |#1|) (-1163)) 36))) 
-(((-1155 |#1|) (-10 -7 (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1163))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|)))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))))) (-13 (-559) (-843) (-1038 (-569)))) (T -1155)) 
-((-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1155 *5)))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-954 *5))) (-5 *3 (-954 *5)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1155 *5)))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 (-410 (-954 *5)) (-311 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-410 (-954 *5))))) (-2029 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-954 *5))))) 
-(-10 -7 (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1163))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1163))) (-15 -2029 ((-410 (-954 |#1|)) (-954 |#1|) (-1083 (-954 |#1|)))) (-15 -2029 ((-3 (-410 (-954 |#1|)) (-311 |#1|)) (-410 (-954 |#1|)) (-1083 (-410 (-954 |#1|)))))) 
-((-1544 (((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)) 13))) 
-(((-1156 |#1| |#2|) (-10 -7 (-15 -1544 ((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)))) (-1048) (-1048)) (T -1156)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1159 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-1156 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-1159 |#2|) (-1 |#2| |#1|) (-1159 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#1|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-1753 (($ $) NIL (|has| |#1| (-1183)))) (-2530 (($ $) NIL (|has| |#1| (-1183)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-1183)))) (-2513 (($ $) 22 (|has| |#1| (-1183)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-1760 (($ $) NIL (|has| |#1| (-1183)))) (-2546 (($ $) NIL (|has| |#1| (-1183)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) NIL)) (-2445 (($) NIL (|has| |#1| (-1183)))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-4450 (($ $) 18 (|has| |#1| (-1183)))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 8)) (-1801 ((|#1| $) 9)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#1| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 20 (|has| |#1| (-1183)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-1764 (($ $) NIL (|has| |#1| (-1183)))) (-2554 (($ $) NIL (|has| |#1| (-1183)))) (-1756 (($ $) NIL (|has| |#1| (-1183)))) (-2538 (($ $) NIL (|has| |#1| (-1183)))) (-1748 (($ $) NIL (|has| |#1| (-1183)))) (-2522 (($ $) 26 (|has| |#1| (-1183)))) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#1|) 11) (($ (-1076)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1779 (($ $) NIL (|has| |#1| (-1183)))) (-1727 (($ $) NIL (|has| |#1| (-1183)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-1183)))) (-2561 (($ $) 24 (|has| |#1| (-1183)))) (-1785 (($ $) NIL (|has| |#1| (-1183)))) (-1736 (($ $) NIL (|has| |#1| (-1183)))) (-2430 (($ $) NIL (|has| |#1| (-1183)))) (-1740 (($ $) NIL (|has| |#1| (-1183)))) (-1782 (($ $) NIL (|has| |#1| (-1183)))) (-1731 (($ $) NIL (|has| |#1| (-1183)))) (-1775 (($ $) NIL (|has| |#1| (-1183)))) (-2569 (($ $) 28 (|has| |#1| (-1183)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| |#1| (-1183)))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1157 |#1|) (-13 (-1222 |#1|) (-10 -7 (IF (|has| |#1| (-1183)) (-6 (-1183)) |noBranch|))) (-1048)) (T -1157)) 
-NIL 
-(-13 (-1222 |#1|) (-10 -7 (IF (|has| |#1| (-1183)) (-6 (-1183)) |noBranch|))) 
-((-2446 (((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))) 50)) (-1743 (((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))) 51))) 
-(((-1158 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1743 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|)))) (-15 -2446 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))))) (-789) (-843) (-454) (-951 |#3| |#1| |#2|)) (T -1158)) 
-((-2446 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) (-1743 (*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7)))))) 
-(-10 -7 (-15 -1743 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|)))) (-15 -2446 ((-421 (-1159 (-410 |#4|))) (-1159 (-410 |#4|))))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 30)) (-4411 (((-1247 |#1|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#1|)) NIL)) (-1739 (((-1159 $) $ (-1076)) 59) (((-1159 |#1|) $) 48)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) 132 (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) 126 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 72 (|has| |#1| (-905)))) (-2004 (($ $) NIL (|has| |#1| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 92 (|has| |#1| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1435 (($ $ (-764)) 42)) (-2399 (($ $ (-764)) 43)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $ $) 128 (|has| |#1| (-173)))) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) 57)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) NIL) (((-680 |#1|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4021 (($ $ $) 104)) (-3611 (($ $ $) NIL (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-1340 (($ $) 133 (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) 46)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-1982 (((-851) $ (-851)) 117)) (-2558 (((-764) $ $) NIL (|has| |#1| (-559)))) (-1407 (((-121) $) 32)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) 50) (($ (-1159 $) (-1076)) 66)) (-3089 (($ $ (-764)) 34)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 64) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 121)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-2225 (((-1159 |#1|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) 53)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 41)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) 33)) (-1801 ((|#1| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 80 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 135 (|has| |#1| (-454)))) (-3877 (($ $ (-764) |#1| $) 99)) (-1721 (((-421 (-1159 $)) (-1159 $)) 78 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 77 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 85 (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#1|) NIL) (($ $ (-635 (-1076)) (-635 |#1|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) 37)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 137 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#1| (-173))) ((|#1| $) 124 (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2492 (((-764) $) 55) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 130 (|has| |#1| (-454))) (($ $ (-1076)) NIL (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-2185 (((-851) $) 118) (($ (-569)) NIL) (($ |#1|) 54) (($ (-1076)) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) 28 (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 15) (($ $ (-764)) 16)) (-3369 (($) 17 T CONST)) (-1556 (($) 18 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) 97)) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 138 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 67)) (** (($ $ (-918)) 14) (($ $ (-764)) 12)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 27) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
-(((-1159 |#1|) (-13 (-1222 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))) (-15 -3877 ($ $ (-764) |#1| $)))) (-1048)) (T -1159)) 
-((-1982 (*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1159 *3)) (-4 *3 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1159 *3)) (-4 *3 (-1048))))) 
-(-13 (-1222 |#1|) (-10 -8 (-15 -1982 ((-851) $ (-851))) (-15 -3877 ($ $ (-764) |#1| $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1153 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1161 |#1| |#2| |#3|) "failed") $) 35)) (-2428 (((-1153 |#1| |#2| |#3|) $) NIL) (((-1161 |#1| |#2| |#3|) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3023 (((-410 (-569)) $) 55)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) (-1153 |#1| |#2| |#3|)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 19) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 (((-1153 |#1| |#2| |#3|) $) 40)) (-1379 (((-3 (-1153 |#1| |#2| |#3|) "failed") $) NIL)) (-1788 (((-1153 |#1| |#2| |#3|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 37)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 58) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1153 |#1| |#2| |#3|)) 29) (($ (-1161 |#1| |#2| |#3|)) 30) (($ (-1243 |#2|)) 25) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 21 T CONST)) (-1556 (($) 16 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 23)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1160 |#1| |#2| |#3|) (-13 (-1229 |#1| (-1153 |#1| |#2| |#3|)) (-1038 (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1160)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1229 |#1| (-1153 |#1| |#2| |#3|)) (-1038 (-1161 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 124)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 115)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 62)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 78) (($ $ (-764) (-764)) 75)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 101)) (-1753 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 114) (($ (-1143 |#1|)) 109)) (-1760 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 23)) (-2394 (($ $) 26)) (-2088 (((-954 |#1|) $ (-764)) 74) (((-954 |#1|) $ (-764) (-764)) 76)) (-2777 (((-121) $) 119)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) 121) (((-764) $ (-764)) 123)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 13) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3499 (($ $ (-764)) 15)) (-2941 (((-3 $ "failed") $ $) 24 (|has| |#1| (-559)))) (-2436 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 118) (($ $ $) 127 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 29)) (-2492 (((-764) $) NIL)) (-1764 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 200) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 125 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 50) (($ (-1243 |#2|)) 32)) (-3382 (((-1143 |#1|) $) 97)) (-1653 ((|#1| $ (-764)) 117)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 53)) (-1779 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 19 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 193)) (-1707 (($ $ $) 31)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 197 (|has| |#1| (-366))) (($ $ $) 133 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 136 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1161 |#1| |#2| |#3|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1161)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1161 *3 *4 *5)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1161 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2185 (((-851) $) 22) (($ (-1163)) 24)) (-2232 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 35)) (-2224 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 28) (($ $) 29)) (-2736 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 30)) (-2852 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 32)) (-2890 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 31)) (-2961 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 33)) (-3189 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 34))) 
-(((-1162) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2736 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2890 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2852 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2961 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2232 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -3189 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ $))))) (T -1162)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1162)))) (-2736 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2890 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2852 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2961 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2232 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-3189 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2224 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162)))) (-2224 (*1 *1 *1) (-5 *1 (-1162)))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -2185 ($ (-1163))) (-15 -2736 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2890 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2852 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2961 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2232 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -3189 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2224 ($ $)))) 
-((-2568 (((-121) $ $) NIL)) (-4298 (($ $ (-635 (-851))) 58)) (-4224 (($ $ (-635 (-851))) 56)) (-2257 (((-1145) $) 82)) (-1912 (((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $) 85)) (-1547 (((-121) $) 21)) (-3719 (($ $ (-635 (-635 (-851)))) 54) (($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) 80)) (-2820 (($) 122 T CONST)) (-4230 (((-1252)) 103)) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 65) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 71)) (-2659 (($) 92) (($ $) 98)) (-1486 (($ $) 81)) (-3291 (($ $ $) NIL)) (-1538 (($ $ $) NIL)) (-2005 (((-635 $) $) 104)) (-2776 (((-1145) $) 87)) (-3360 (((-1109) $) NIL)) (-1534 (($ $ (-635 (-851))) 57)) (-3817 (((-542) $) 45) (((-1163) $) 46) (((-888 (-569)) $) 75) (((-888 (-382)) $) 73)) (-2185 (((-851) $) 52) (($ (-1145)) 47)) (-1954 (($ $ (-635 (-851))) 59)) (-1940 (((-1145) $) 33) (((-1145) $ (-121)) 34) (((-1252) (-818) $) 35) (((-1252) (-818) $ (-121)) 36)) (-1693 (((-121) $ $) NIL)) (-1684 (((-121) $ $) NIL)) (-1668 (((-121) $ $) 48)) (-1688 (((-121) $ $) NIL)) (-1678 (((-121) $ $) 49))) 
-(((-1163) (-13 (-843) (-610 (-542)) (-824) (-610 (-1163)) (-610 (-888 (-569))) (-610 (-888 (-382))) (-882 (-569)) (-882 (-382)) (-10 -8 (-15 -2659 ($)) (-15 -2659 ($ $)) (-15 -4230 ((-1252))) (-15 -2185 ($ (-1145))) (-15 -1486 ($ $)) (-15 -1547 ((-121) $)) (-15 -1912 ((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $)) (-15 -3719 ($ $ (-635 (-635 (-851))))) (-15 -3719 ($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))))) (-15 -4224 ($ $ (-635 (-851)))) (-15 -4298 ($ $ (-635 (-851)))) (-15 -1954 ($ $ (-635 (-851)))) (-15 -1534 ($ $ (-635 (-851)))) (-15 -2257 ((-1145) $)) (-15 -2005 ((-635 $) $)) (-15 -2820 ($) -2043)))) (T -1163)) 
-((-2659 (*1 *1) (-5 *1 (-1163))) (-2659 (*1 *1 *1) (-5 *1 (-1163))) (-4230 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1163)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) (-1486 (*1 *1 *1) (-5 *1 (-1163))) (-1547 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1163)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) (-3719 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-1163)))) (-3719 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) (-4224 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-4298 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-1954 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) (-2257 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) (-2005 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1163)))) (-2820 (*1 *1) (-5 *1 (-1163)))) 
-(-13 (-843) (-610 (-542)) (-824) (-610 (-1163)) (-610 (-888 (-569))) (-610 (-888 (-382))) (-882 (-569)) (-882 (-382)) (-10 -8 (-15 -2659 ($)) (-15 -2659 ($ $)) (-15 -4230 ((-1252))) (-15 -2185 ($ (-1145))) (-15 -1486 ($ $)) (-15 -1547 ((-121) $)) (-15 -1912 ((-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))) $)) (-15 -3719 ($ $ (-635 (-635 (-851))))) (-15 -3719 ($ $ (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851)))))) (-15 -4224 ($ $ (-635 (-851)))) (-15 -4298 ($ $ (-635 (-851)))) (-15 -1954 ($ $ (-635 (-851)))) (-15 -1534 ($ $ (-635 (-851)))) (-15 -2257 ((-1145) $)) (-15 -2005 ((-635 $) $)) (-15 -2820 ($) -2043))) 
-((-3025 (((-1247 |#1|) |#1| (-918)) 16) (((-1247 |#1|) (-635 |#1|)) 20))) 
-(((-1164 |#1|) (-10 -7 (-15 -3025 ((-1247 |#1|) (-635 |#1|))) (-15 -3025 ((-1247 |#1|) |#1| (-918)))) (-1048)) (T -1164)) 
-((-3025 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1247 *3)) (-5 *1 (-1164 *3)) (-4 *3 (-1048)))) (-3025 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)) (-5 *1 (-1164 *4))))) 
-(-10 -7 (-15 -3025 ((-1247 |#1|) (-635 |#1|))) (-15 -3025 ((-1247 |#1|) |#1| (-918)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1038 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-2428 (((-569) $) NIL (|has| |#1| (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1038 (-410 (-569))))) ((|#1| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-1340 (($ $) NIL (|has| |#1| (-454)))) (-1667 (($ $ |#1| (-973) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-973)) NIL)) (-4002 (((-973) $) NIL)) (-2658 (($ (-1 (-973) (-973)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#1| $) NIL)) (-3877 (($ $ (-973) |#1| $) NIL (-12 (|has| (-973) (-138)) (|has| |#1| (-559))))) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2492 (((-973) $) NIL)) (-3298 ((|#1| $) NIL (|has| |#1| (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-2232 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1038 (-410 (-569))))))) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ (-973)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#1| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 9 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 16)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 19)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1165 |#1|) (-13 (-325 |#1| (-973)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-973) (-138)) (-15 -3877 ($ $ (-973) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048)) (T -1165)) 
-((-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-973)) (-4 *2 (-138)) (-5 *1 (-1165 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(-13 (-325 |#1| (-973)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-973) (-138)) (-15 -3877 ($ $ (-973) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
-((-2021 (((-1167) (-1163) $) 24)) (-4377 (($) 28)) (-1436 (((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $) 21)) (-2241 (((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $) 40) (((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) 41) (((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) 42)) (-1400 (((-1252) (-1163)) 57)) (-3850 (((-1252) (-1163) $) 54) (((-1252) (-1163)) 55) (((-1252)) 56)) (-1334 (((-1252) (-1163)) 36)) (-4221 (((-1163)) 35)) (-1296 (($) 33)) (-2873 (((-440) (-1163) (-440) (-1163) $) 44) (((-440) (-635 (-1163)) (-440) (-1163) $) 48) (((-440) (-1163) (-440)) 45) (((-440) (-1163) (-440) (-1163)) 49)) (-1652 (((-1163)) 34)) (-2185 (((-851) $) 27)) (-3385 (((-1252)) 29) (((-1252) (-1163)) 32)) (-3936 (((-635 (-1163)) (-1163) $) 23)) (-1504 (((-1252) (-1163) (-635 (-1163)) $) 37) (((-1252) (-1163) (-635 (-1163))) 38) (((-1252) (-635 (-1163))) 39))) 
-(((-1166) (-13 (-609 (-851)) (-10 -8 (-15 -4377 ($)) (-15 -3385 ((-1252))) (-15 -3385 ((-1252) (-1163))) (-15 -2873 ((-440) (-1163) (-440) (-1163) $)) (-15 -2873 ((-440) (-635 (-1163)) (-440) (-1163) $)) (-15 -2873 ((-440) (-1163) (-440))) (-15 -2873 ((-440) (-1163) (-440) (-1163))) (-15 -1334 ((-1252) (-1163))) (-15 -1652 ((-1163))) (-15 -4221 ((-1163))) (-15 -1504 ((-1252) (-1163) (-635 (-1163)) $)) (-15 -1504 ((-1252) (-1163) (-635 (-1163)))) (-15 -1504 ((-1252) (-635 (-1163)))) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -2241 ((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -3850 ((-1252) (-1163) $)) (-15 -3850 ((-1252) (-1163))) (-15 -3850 ((-1252))) (-15 -1400 ((-1252) (-1163))) (-15 -1296 ($)) (-15 -1436 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $)) (-15 -3936 ((-635 (-1163)) (-1163) $)) (-15 -2021 ((-1167) (-1163) $))))) (T -1166)) 
-((-4377 (*1 *1) (-5 *1 (-1166))) (-3385 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3385 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *4 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-2873 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) (-1334 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1652 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166)))) (-4221 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1504 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-2241 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-3850 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1400 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) (-1296 (*1 *1) (-5 *1 (-1166))) (-1436 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-1166)))) (-3936 (*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1166)) (-5 *3 (-1163)))) (-2021 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1167)) (-5 *1 (-1166))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -4377 ($)) (-15 -3385 ((-1252))) (-15 -3385 ((-1252) (-1163))) (-15 -2873 ((-440) (-1163) (-440) (-1163) $)) (-15 -2873 ((-440) (-635 (-1163)) (-440) (-1163) $)) (-15 -2873 ((-440) (-1163) (-440))) (-15 -2873 ((-440) (-1163) (-440) (-1163))) (-15 -1334 ((-1252) (-1163))) (-15 -1652 ((-1163))) (-15 -4221 ((-1163))) (-15 -1504 ((-1252) (-1163) (-635 (-1163)) $)) (-15 -1504 ((-1252) (-1163) (-635 (-1163)))) (-15 -1504 ((-1252) (-635 (-1163)))) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")) $)) (-15 -2241 ((-1252) (-1163) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -2241 ((-1252) (-3 (|:| |fst| (-437)) (|:| -1861 "void")))) (-15 -3850 ((-1252) (-1163) $)) (-15 -3850 ((-1252) (-1163))) (-15 -3850 ((-1252))) (-15 -1400 ((-1252) (-1163))) (-15 -1296 ($)) (-15 -1436 ((-3 (|:| |fst| (-437)) (|:| -1861 "void")) (-1163) $)) (-15 -3936 ((-635 (-1163)) (-1163) $)) (-15 -2021 ((-1167) (-1163) $)))) 
-((-4205 (((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $) 57)) (-2144 (((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $) 40)) (-3800 (($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) 15)) (-1400 (((-1252) $) 65)) (-3702 (((-635 (-1163)) $) 20)) (-4001 (((-1095) $) 53)) (-2449 (((-440) (-1163) $) 27)) (-2298 (((-635 (-1163)) $) 30)) (-1296 (($) 17)) (-2873 (((-440) (-635 (-1163)) (-440) $) 25) (((-440) (-1163) (-440) $) 24)) (-2185 (((-851) $) 9) (((-1171 (-1163) (-440)) $) 11))) 
-(((-1167) (-13 (-609 (-851)) (-10 -8 (-15 -2185 ((-1171 (-1163) (-440)) $)) (-15 -1296 ($)) (-15 -2873 ((-440) (-635 (-1163)) (-440) $)) (-15 -2873 ((-440) (-1163) (-440) $)) (-15 -2449 ((-440) (-1163) $)) (-15 -3702 ((-635 (-1163)) $)) (-15 -2144 ((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $)) (-15 -2298 ((-635 (-1163)) $)) (-15 -4205 ((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $)) (-15 -4001 ((-1095) $)) (-15 -1400 ((-1252) $)) (-15 -3800 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))))))) (T -1167)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-1171 (-1163) (-440))) (-5 *1 (-1167)))) (-1296 (*1 *1) (-5 *1 (-1167))) (-2873 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *1 (-1167)))) (-2873 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1167)))) (-2449 (*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-440)) (-5 *1 (-1167)))) (-3702 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167)))) (-2144 (*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) (-5 *1 (-1167)))) (-2298 (*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167)))) (-4205 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))))) (-5 *1 (-1167)))) (-4001 (*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-1167)))) (-1400 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1167)))) (-3800 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) (-5 *1 (-1167))))) 
-(-13 (-609 (-851)) (-10 -8 (-15 -2185 ((-1171 (-1163) (-440)) $)) (-15 -1296 ($)) (-15 -2873 ((-440) (-635 (-1163)) (-440) $)) (-15 -2873 ((-440) (-1163) (-440) $)) (-15 -2449 ((-440) (-1163) $)) (-15 -3702 ((-635 (-1163)) $)) (-15 -2144 ((-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))) (-437) $)) (-15 -2298 ((-635 (-1163)) $)) (-15 -4205 ((-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) $)) (-15 -4001 ((-1095) $)) (-15 -1400 ((-1252) $)) (-15 -3800 ($ (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440)))))))) 
-((-2032 (((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 55)) (-4435 (((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|)))) 66) (((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|))) 62) (((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163)) 67) (((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163)) 61) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|))))) 91) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|)))) 90) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163))) 92) (((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163))) 89))) 
-(((-1168 |#1|) (-10 -7 (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))))) (-15 -2032 ((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))))) (-559)) (T -1168)) 
-((-2032 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-954 *5)))) (-5 *1 (-1168 *5)))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-289 (-410 (-954 *4)))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-410 (-954 *4))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-289 (-410 (-954 *5)))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-410 (-954 *5))))) (-4435 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)) (-5 *3 (-635 (-289 (-410 (-954 *4))))))) (-4435 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)))) (-4435 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)) (-5 *3 (-635 (-289 (-410 (-954 *5))))))) (-4435 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5))))) 
-(-10 -7 (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))) (-635 (-1163)))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-410 (-954 |#1|))))) (-15 -4435 ((-635 (-635 (-289 (-410 (-954 |#1|))))) (-635 (-289 (-410 (-954 |#1|)))))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))) (-1163))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-410 (-954 |#1|)))) (-15 -4435 ((-635 (-289 (-410 (-954 |#1|)))) (-289 (-410 (-954 |#1|))))) (-15 -2032 ((-635 (-635 (-954 |#1|))) (-635 (-410 (-954 |#1|))) (-635 (-1163))))) 
-((-2579 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 38)) (-4112 (((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|))) 24)) (-1286 (((-1170 (-635 |#1|)) (-635 |#1|)) 34)) (-1348 (((-635 (-635 |#1|)) (-635 |#1|)) 30)) (-3146 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))) 37)) (-2807 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|)))) 36)) (-1443 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 28)) (-4480 (((-635 |#1|) (-635 |#1|)) 31)) (-1665 (((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 18)) (-3129 (((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 15)) (-2717 (((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|))) 13)) (-3989 (((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 39)) (-2402 (((-635 (-635 |#1|)) (-1170 (-635 |#1|))) 41))) 
-(((-1169 |#1|) (-10 -7 (-15 -2717 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3129 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -1665 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2579 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -3989 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -2402 ((-635 (-635 |#1|)) (-1170 (-635 |#1|)))) (-15 -4112 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1286 ((-1170 (-635 |#1|)) (-635 |#1|))) (-15 -1443 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1348 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -4480 ((-635 |#1|) (-635 |#1|))) (-15 -2807 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -3146 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) (-843)) (T -1169)) 
-((-3146 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 (-635 *4)))))) (-2807 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-843)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1169 *6)) (-5 *4 (-635 *5)))) (-4480 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-1169 *3)))) (-1348 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4)))) (-1443 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-843)) (-5 *1 (-1169 *3)))) (-1286 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-1170 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4)))) (-4112 (*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 *4))))) (-2402 (*1 *2 *3) (-12 (-5 *3 (-1170 (-635 *4))) (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)))) (-3989 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-4 *4 (-843)))) (-2579 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-843)) (-5 *1 (-1169 *4)))) (-1665 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *1 (-1169 *4)))) (-3129 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-843)) (-5 *1 (-1169 *5)))) (-2717 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-843)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1169 *6)) (-5 *5 (-635 *4))))) 
-(-10 -7 (-15 -2717 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3129 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -1665 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2579 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -3989 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -2402 ((-635 (-635 |#1|)) (-1170 (-635 |#1|)))) (-15 -4112 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1286 ((-1170 (-635 |#1|)) (-635 |#1|))) (-15 -1443 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1348 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -4480 ((-635 |#1|) (-635 |#1|))) (-15 -2807 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -3146 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) 
-((-1924 (($ (-635 (-635 |#1|))) 9)) (-2550 (((-635 (-635 |#1|)) $) 10)) (-2185 (((-851) $) 25))) 
-(((-1170 |#1|) (-10 -8 (-15 -1924 ($ (-635 (-635 |#1|)))) (-15 -2550 ((-635 (-635 |#1|)) $)) (-15 -2185 ((-851) $))) (-1091)) (T -1170)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) (-2550 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) (-1924 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-1170 *3))))) 
-(-10 -8 (-15 -1924 ($ (-635 (-635 |#1|)))) (-15 -2550 ((-635 (-635 |#1|)) $)) (-15 -2185 ((-851) $))) 
-((-2568 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2281 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-3112 (((-1252) $ |#1| |#1|) NIL (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#2| $ |#1| |#2|) NIL)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) NIL)) (-2820 (($) NIL T CONST)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) NIL)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) NIL)) (-3557 ((|#1| $) NIL (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-635 |#2|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-1285 ((|#1| $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2179 (((-635 |#1|) $) NIL)) (-1598 (((-121) |#1| $) NIL)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4166 (((-635 |#1|) $) NIL)) (-3533 (((-121) |#1| $) NIL)) (-3360 (((-1109) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4353 ((|#2| $) NIL (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL)) (-3174 (($ $ |#2|) NIL (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-2566 (($) NIL) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (((-764) |#2| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091)))) (((-764) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2185 (((-851) $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) NIL)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) NIL (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) NIL (-2232 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| |#2| (-1091))))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1171 |#1| |#2|) (-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) (-1091) (-1091)) (T -1171)) 
-NIL 
-(-13 (-1174 |#1| |#2|) (-10 -7 (-6 -4535))) 
-((-4325 ((|#1| (-635 |#1|)) 32)) (-3485 ((|#1| |#1| (-569)) 18)) (-1397 (((-1159 |#1|) |#1| (-918)) 15))) 
-(((-1172 |#1|) (-10 -7 (-15 -4325 (|#1| (-635 |#1|))) (-15 -1397 ((-1159 |#1|) |#1| (-918))) (-15 -3485 (|#1| |#1| (-569)))) (-366)) (T -1172)) 
-((-3485 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1172 *2)) (-4 *2 (-366)))) (-1397 (*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1159 *3)) (-5 *1 (-1172 *3)) (-4 *3 (-366)))) (-4325 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
-(-10 -7 (-15 -4325 (|#1| (-635 |#1|))) (-15 -1397 ((-1159 |#1|) |#1| (-918))) (-15 -3485 (|#1| |#1| (-569)))) 
-((-2281 (($) 10) (($ (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)))) 14)) (-4454 (($ (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-3470 (((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 39) (((-635 |#3|) $) 41)) (-1853 (($ (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-1544 (($ (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-3889 (((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 53)) (-3172 (($ (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 16)) (-4166 (((-635 |#2|) $) 19)) (-3533 (((-121) |#2| $) 58)) (-2502 (((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) 57)) (-1856 (((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) 62)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-2691 (((-635 |#3|) $) 43)) (-1534 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) $) NIL) (((-764) |#3| $) NIL) (((-764) (-1 (-121) |#3|) $) 66)) (-2185 (((-851) $) 27)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1668 (((-121) $ $) 48))) 
-(((-1173 |#1| |#2| |#3|) (-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2281 (|#1| (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))))) (-15 -2281 (|#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#3|) |#1|)) (-15 -3470 ((-635 |#3|) |#1|)) (-15 -2846 ((-764) |#3| |#1|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -3533 ((-121) |#2| |#1|)) (-15 -4166 ((-635 |#2|) |#1|)) (-15 -4454 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4454 (|#1| (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4454 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2502 ((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -3889 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3172 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -1856 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2846 ((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3470 ((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2846 ((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4177 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2066 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1853 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1544 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|))) (-1174 |#2| |#3|) (-1091) (-1091)) (T -1173)) 
-NIL 
-(-10 -8 (-15 -1668 ((-121) |#1| |#1|)) (-15 -2185 ((-851) |#1|)) (-15 -1544 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -2281 (|#1| (-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))))) (-15 -2281 (|#1|)) (-15 -1544 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -1853 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2066 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -4177 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2846 ((-764) (-1 (-121) |#3|) |#1|)) (-15 -3470 ((-635 |#3|) |#1|)) (-15 -2846 ((-764) |#3| |#1|)) (-15 -1534 (|#3| |#1| |#2| |#3|)) (-15 -1534 (|#3| |#1| |#2|)) (-15 -2691 ((-635 |#3|) |#1|)) (-15 -3533 ((-121) |#2| |#1|)) (-15 -4166 ((-635 |#2|) |#1|)) (-15 -4454 ((-3 |#3| "failed") |#2| |#1|)) (-15 -4454 (|#1| (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4454 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2502 ((-3 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) "failed") (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -3889 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3172 (|#1| (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -1856 ((-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -2846 ((-764) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) |#1|)) (-15 -3470 ((-635 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2846 ((-764) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -4177 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -2066 ((-121) (-1 (-121) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1853 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|)) (-15 -1544 (|#1| (-1 (-2 (|:| -2335 |#2|) (|:| -3782 |#3|)) (-2 (|:| -2335 |#2|) (|:| -3782 |#3|))) |#1|))) 
-((-2568 (((-121) $ $) 18 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2281 (($) 66) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 65)) (-3112 (((-1252) $ |#1| |#1|) 93 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#2| $ |#1| |#2|) 67)) (-4216 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 42 (|has| $ (-6 -4535)))) (-1962 (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 52 (|has| $ (-6 -4535)))) (-2082 (((-3 |#2| "failed") |#1| $) 57)) (-2820 (($) 7 T CONST)) (-2033 (($ $) 55 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535))))) (-4454 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 44 (|has| $ (-6 -4535))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 43 (|has| $ (-6 -4535))) (((-3 |#2| "failed") |#1| $) 58)) (-4347 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 54 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 51 (|has| $ (-6 -4535)))) (-1774 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 53 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 50 (|has| $ (-6 -4535))) (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 49 (|has| $ (-6 -4535)))) (-2726 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4536)))) (-1618 ((|#2| $ |#1|) 82)) (-3470 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 30 (|has| $ (-6 -4535))) (((-635 |#2|) $) 73 (|has| $ (-6 -4535)))) (-1974 (((-121) $ (-764)) 9)) (-3557 ((|#1| $) 90 (|has| |#1| (-843)))) (-4259 (((-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 29 (|has| $ (-6 -4535))) (((-635 |#2|) $) 74 (|has| $ (-6 -4535)))) (-3660 (((-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 27 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535))))) (-1285 ((|#1| $) 89 (|has| |#1| (-843)))) (-1853 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 34 (|has| $ (-6 -4536))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-2006 (((-121) $ (-764)) 10)) (-2776 (((-1145) $) 22 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2179 (((-635 |#1|) $) 59)) (-1598 (((-121) |#1| $) 60)) (-3889 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 36)) (-3172 (($ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 37)) (-4166 (((-635 |#1|) $) 87)) (-3533 (((-121) |#1| $) 86)) (-3360 (((-1109) $) 21 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4353 ((|#2| $) 91 (|has| |#1| (-843)))) (-2502 (((-3 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) "failed") (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 48)) (-3174 (($ $ |#2|) 92 (|has| $ (-6 -4536)))) (-1856 (((-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 38)) (-4177 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 32 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))))) 26 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-289 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 25 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) 24 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 23 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4535)) (|has| |#2| (-1091))))) (-2691 (((-635 |#2|) $) 85)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-2566 (($) 46) (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 45)) (-2846 (((-764) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 31 (|has| $ (-6 -4535))) (((-764) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) $) 28 (-12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091)) (|has| $ (-6 -4535)))) (((-764) |#2| $) 75 (-12 (|has| |#2| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4535)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 56 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))))) (-2139 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 47)) (-2185 (((-851) $) 20 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-2793 (($ (-635 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) 39)) (-2066 (((-121) (-1 (-121) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) $) 33 (|has| $ (-6 -4535))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (-2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1174 |#1| |#2|) (-1278) (-1091) (-1091)) (T -1174)) 
-((-4469 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1174 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) (-2281 (*1 *1) (-12 (-4 *1 (-1174 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) (-2281 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 *3) (|:| -3782 *4)))) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *1 (-1174 *3 *4)))) (-1544 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1174 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(-13 (-606 |t#1| |t#2|) (-602 |t#1| |t#2|) (-10 -8 (-15 -4469 (|t#2| $ |t#1| |t#2|)) (-15 -2281 ($)) (-15 -2281 ($ (-635 (-2 (|:| -2335 |t#1|) (|:| -3782 |t#2|))))) (-15 -1544 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
-(((-39) . T) ((-111 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-105) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-609 (-851)) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-155 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-228 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-500 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) . T) ((-500 |#2|) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-2 (|:| -2335 |#1|) (|:| -3782 |#2|))) -12 (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-304 (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)))) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1091))) ((-606 |#1| |#2|) . T) ((-1091) -2232 (|has| |#2| (-1091)) (|has| (-2 (|:| -2335 |#1|) (|:| -3782 |#2|)) (-1091))) ((-1197) . T)) 
-((-3253 (((-121)) 24)) (-3377 (((-1252) (-1145)) 26)) (-3302 (((-121)) 36)) (-4365 (((-1252)) 34)) (-2507 (((-1252) (-1145) (-1145)) 25)) (-3609 (((-121)) 37)) (-3172 (((-1252) |#1| |#2|) 44)) (-3505 (((-1252)) 20)) (-1957 (((-3 |#2| "failed") |#1|) 42)) (-3744 (((-1252)) 35))) 
-(((-1175 |#1| |#2|) (-10 -7 (-15 -3505 ((-1252))) (-15 -2507 ((-1252) (-1145) (-1145))) (-15 -3377 ((-1252) (-1145))) (-15 -4365 ((-1252))) (-15 -3744 ((-1252))) (-15 -3253 ((-121))) (-15 -3302 ((-121))) (-15 -3609 ((-121))) (-15 -1957 ((-3 |#2| "failed") |#1|)) (-15 -3172 ((-1252) |#1| |#2|))) (-1091) (-1091)) (T -1175)) 
-((-3172 (*1 *2 *3 *4) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-1957 (*1 *2 *3) (|partial| -12 (-4 *2 (-1091)) (-5 *1 (-1175 *3 *2)) (-4 *3 (-1091)))) (-3609 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3302 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3253 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3744 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-4365 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) (-3377 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)))) (-2507 (*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)))) (-3505 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(-10 -7 (-15 -3505 ((-1252))) (-15 -2507 ((-1252) (-1145) (-1145))) (-15 -3377 ((-1252) (-1145))) (-15 -4365 ((-1252))) (-15 -3744 ((-1252))) (-15 -3253 ((-121))) (-15 -3302 ((-121))) (-15 -3609 ((-121))) (-15 -1957 ((-3 |#2| "failed") |#1|)) (-15 -3172 ((-1252) |#1| |#2|))) 
-((-3064 (((-1145) (-1145)) 18)) (-2113 (((-57) (-1145)) 21))) 
-(((-1176) (-10 -7 (-15 -2113 ((-57) (-1145))) (-15 -3064 ((-1145) (-1145))))) (T -1176)) 
-((-3064 (*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1176)))) (-2113 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-1176))))) 
-(-10 -7 (-15 -2113 ((-57) (-1145))) (-15 -3064 ((-1145) (-1145)))) 
-((-2185 (((-1178) |#1|) 11))) 
-(((-1177 |#1|) (-10 -7 (-15 -2185 ((-1178) |#1|))) (-1091)) (T -1177)) 
-((-2185 (*1 *2 *3) (-12 (-5 *2 (-1178)) (-5 *1 (-1177 *3)) (-4 *3 (-1091))))) 
-(-10 -7 (-15 -2185 ((-1178) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3927 (((-635 (-1145)) $) 33)) (-1871 (((-635 (-1145)) $ (-635 (-1145))) 36)) (-4085 (((-635 (-1145)) $ (-635 (-1145))) 35)) (-3481 (((-635 (-1145)) $ (-635 (-1145))) 37)) (-2039 (((-635 (-1145)) $) 32)) (-2659 (($) 22)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2834 (((-635 (-1145)) $) 34)) (-3615 (((-1252) $ (-569)) 29) (((-1252) $) 30)) (-3817 (($ (-851) (-569)) 26) (($ (-851) (-569) (-851)) NIL)) (-2185 (((-851) $) 39) (($ (-851)) 24)) (-1668 (((-121) $ $) NIL))) 
-(((-1178) (-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3817 ($ (-851) (-569) (-851))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -3927 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -1871 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145))))))) (T -1178)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1178)))) (-3817 (*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) (-3817 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) (-3615 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1178)))) (-3615 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1178)))) (-2834 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-3927 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-2659 (*1 *1) (-5 *1 (-1178))) (-2039 (*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-3481 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-1871 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178)))) (-4085 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(-13 (-1091) (-10 -8 (-15 -2185 ($ (-851))) (-15 -3817 ($ (-851) (-569))) (-15 -3817 ($ (-851) (-569) (-851))) (-15 -3615 ((-1252) $ (-569))) (-15 -3615 ((-1252) $)) (-15 -2834 ((-635 (-1145)) $)) (-15 -3927 ((-635 (-1145)) $)) (-15 -2659 ($)) (-15 -2039 ((-635 (-1145)) $)) (-15 -3481 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -1871 ((-635 (-1145)) $ (-635 (-1145)))) (-15 -4085 ((-635 (-1145)) $ (-635 (-1145)))))) 
-((-2568 (((-121) $ $) NIL)) (-3111 (((-1145) $ (-1145)) 15) (((-1145) $) 14)) (-1331 (((-1145) $ (-1145)) 13)) (-3030 (($ $ (-1145)) NIL)) (-3693 (((-3 (-1145) "failed") $) 11)) (-2856 (((-1145) $) 8)) (-2948 (((-3 (-1145) "failed") $) 12)) (-4154 (((-1145) $) 9)) (-3230 (($ (-391)) NIL) (($ (-391) (-1145)) NIL)) (-1486 (((-391) $) NIL)) (-2776 (((-1145) $) NIL)) (-2160 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-4061 (((-1252) $) NIL)) (-1651 (((-121) $) 17)) (-2185 (((-851) $) NIL)) (-4084 (($ $) NIL)) (-1668 (((-121) $ $) NIL))) 
-(((-1179) (-13 (-367 (-391) (-1145)) (-10 -8 (-15 -3111 ((-1145) $ (-1145))) (-15 -3111 ((-1145) $)) (-15 -2856 ((-1145) $)) (-15 -3693 ((-3 (-1145) "failed") $)) (-15 -2948 ((-3 (-1145) "failed") $)) (-15 -1651 ((-121) $))))) (T -1179)) 
-((-3111 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-3111 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-2856 (*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-3693 (*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-2948 (*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179)))) (-1651 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1179))))) 
-(-13 (-367 (-391) (-1145)) (-10 -8 (-15 -3111 ((-1145) $ (-1145))) (-15 -3111 ((-1145) $)) (-15 -2856 ((-1145) $)) (-15 -3693 ((-3 (-1145) "failed") $)) (-15 -2948 ((-3 (-1145) "failed") $)) (-15 -1651 ((-121) $)))) 
-((-3638 (((-3 (-569) "failed") |#1|) 19)) (-3503 (((-3 (-569) "failed") |#1|) 13)) (-3403 (((-569) (-1145)) 28))) 
-(((-1180 |#1|) (-10 -7 (-15 -3638 ((-3 (-569) "failed") |#1|)) (-15 -3503 ((-3 (-569) "failed") |#1|)) (-15 -3403 ((-569) (-1145)))) (-1048)) (T -1180)) 
-((-3403 (*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-1180 *4)) (-4 *4 (-1048)))) (-3503 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048)))) (-3638 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
-(-10 -7 (-15 -3638 ((-3 (-569) "failed") |#1|)) (-15 -3503 ((-3 (-569) "failed") |#1|)) (-15 -3403 ((-569) (-1145)))) 
-((-2444 (((-1122 (-216))) 8))) 
-(((-1181) (-10 -7 (-15 -2444 ((-1122 (-216)))))) (T -1181)) 
-((-2444 (*1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1181))))) 
-(-10 -7 (-15 -2444 ((-1122 (-216))))) 
-((-2445 (($) 11)) (-1779 (($ $) 35)) (-1770 (($ $) 33)) (-2561 (($ $) 25)) (-1785 (($ $) 17)) (-2430 (($ $) 15)) (-1782 (($ $) 19)) (-1731 (($ $) 30)) (-1775 (($ $) 34)) (-2569 (($ $) 29))) 
-(((-1182 |#1|) (-10 -8 (-15 -2445 (|#1|)) (-15 -1779 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -2569 (|#1| |#1|))) (-1183)) (T -1182)) 
-NIL 
-(-10 -8 (-15 -2445 (|#1|)) (-15 -1779 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -2569 (|#1| |#1|))) 
-((-1753 (($ $) 26)) (-2530 (($ $) 11)) (-1744 (($ $) 27)) (-2513 (($ $) 10)) (-1760 (($ $) 28)) (-2546 (($ $) 9)) (-2445 (($) 16)) (-4450 (($ $) 19)) (-2436 (($ $) 18)) (-1764 (($ $) 29)) (-2554 (($ $) 8)) (-1756 (($ $) 30)) (-2538 (($ $) 7)) (-1748 (($ $) 31)) (-2522 (($ $) 6)) (-1779 (($ $) 20)) (-1727 (($ $) 32)) (-1770 (($ $) 21)) (-2561 (($ $) 33)) (-1785 (($ $) 22)) (-1736 (($ $) 34)) (-2430 (($ $) 23)) (-1740 (($ $) 35)) (-1782 (($ $) 24)) (-1731 (($ $) 36)) (-1775 (($ $) 25)) (-2569 (($ $) 37)) (** (($ $ $) 17))) 
-(((-1183) (-1278)) (T -1183)) 
-((-2445 (*1 *1) (-4 *1 (-1183)))) 
-(-13 (-1186) (-98) (-503) (-40) (-280) (-10 -8 (-15 -2445 ($)))) 
-(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-1186) . T)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2247 ((|#1| $) 17)) (-2943 (($ |#1| (-635 $)) 23) (($ (-635 |#1|)) 27) (($ |#1|) 25)) (-1691 (((-121) $ (-764)) 46)) (-3891 ((|#1| $ |#1|) 14 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 13 (|has| $ (-6 -4536)))) (-2820 (($) NIL T CONST)) (-3470 (((-635 |#1|) $) 50 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 41)) (-4349 (((-121) $ $) 32 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 39)) (-4259 (((-635 |#1|) $) 51 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1853 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 22)) (-2006 (((-121) $ (-764)) 38)) (-2824 (((-635 |#1|) $) 36)) (-3486 (((-121) $) 35)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4177 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 73)) (-1601 (((-121) $) 9)) (-1296 (($) 10)) (-1534 ((|#1| $ "value") NIL)) (-1686 (((-569) $ $) 31)) (-4186 (((-635 $) $) 57)) (-4474 (((-121) $ $) 75)) (-4364 (((-635 $) $) 70)) (-2100 (($ $) 71)) (-1472 (((-121) $) 54)) (-2846 (((-764) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4535))) (((-764) |#1| $) 16 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1971 (($ $) 56)) (-2185 (((-851) $) 59 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 12)) (-2447 (((-121) $ $) 29 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 28 (|has| |#1| (-1091)))) (-4168 (((-764) $) 37 (|has| $ (-6 -4535))))) 
-(((-1184 |#1|) (-13 (-1011 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2943 ($ |#1| (-635 $))) (-15 -2943 ($ (-635 |#1|))) (-15 -2943 ($ |#1|)) (-15 -1472 ((-121) $)) (-15 -2100 ($ $)) (-15 -4364 ((-635 $) $)) (-15 -4474 ((-121) $ $)) (-15 -4186 ((-635 $) $)))) (-1091)) (T -1184)) 
-((-1472 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-2943 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1184 *2))) (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-2943 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1184 *3)))) (-2943 (*1 *1 *2) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-2100 (*1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) (-4364 (*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-4474 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091)))) (-4186 (*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
-(-13 (-1011 |#1|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2943 ($ |#1| (-635 $))) (-15 -2943 ($ (-635 |#1|))) (-15 -2943 ($ |#1|)) (-15 -1472 ((-121) $)) (-15 -2100 ($ $)) (-15 -4364 ((-635 $) $)) (-15 -4474 ((-121) $ $)) (-15 -4186 ((-635 $) $)))) 
-((-2530 (($ $) 15)) (-2546 (($ $) 12)) (-2554 (($ $) 10)) (-2538 (($ $) 17))) 
-(((-1185 |#1|) (-10 -8 (-15 -2538 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2530 (|#1| |#1|))) (-1186)) (T -1185)) 
-NIL 
-(-10 -8 (-15 -2538 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2530 (|#1| |#1|))) 
-((-2530 (($ $) 11)) (-2513 (($ $) 10)) (-2546 (($ $) 9)) (-2554 (($ $) 8)) (-2538 (($ $) 7)) (-2522 (($ $) 6))) 
-(((-1186) (-1278)) (T -1186)) 
-((-2530 (*1 *1 *1) (-4 *1 (-1186))) (-2513 (*1 *1 *1) (-4 *1 (-1186))) (-2546 (*1 *1 *1) (-4 *1 (-1186))) (-2554 (*1 *1 *1) (-4 *1 (-1186))) (-2538 (*1 *1 *1) (-4 *1 (-1186))) (-2522 (*1 *1 *1) (-4 *1 (-1186)))) 
-(-13 (-10 -8 (-15 -2522 ($ $)) (-15 -2538 ($ $)) (-15 -2554 ($ $)) (-15 -2546 ($ $)) (-15 -2513 ($ $)) (-15 -2530 ($ $)))) 
-((-1977 ((|#2| |#2|) 85)) (-2387 (((-121) |#2|) 25)) (-1747 ((|#2| |#2|) 29)) (-1751 ((|#2| |#2|) 31)) (-3969 ((|#2| |#2| (-1163)) 79) ((|#2| |#2|) 80)) (-1354 (((-170 |#2|) |#2|) 27)) (-1388 ((|#2| |#2| (-1163)) 81) ((|#2| |#2|) 82))) 
-(((-1187 |#1| |#2|) (-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1977 (|#2| |#2|)) (-15 -1747 (|#2| |#2|)) (-15 -1751 (|#2| |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1354 ((-170 |#2|) |#2|))) (-13 (-454) (-843) (-1038 (-569)) (-631 (-569))) (-13 (-27) (-1183) (-433 |#1|))) (T -1187)) 
-((-1354 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-2387 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) (-1751 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1747 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1977 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-1388 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-1388 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) (-3969 (*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) (-3969 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
-(-10 -7 (-15 -3969 (|#2| |#2|)) (-15 -3969 (|#2| |#2| (-1163))) (-15 -1388 (|#2| |#2|)) (-15 -1388 (|#2| |#2| (-1163))) (-15 -1977 (|#2| |#2|)) (-15 -1747 (|#2| |#2|)) (-15 -1751 (|#2| |#2|)) (-15 -2387 ((-121) |#2|)) (-15 -1354 ((-170 |#2|) |#2|))) 
-((-4139 ((|#4| |#4| |#1|) 27)) (-1279 ((|#4| |#4| |#1|) 28))) 
-(((-1188 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4139 (|#4| |#4| |#1|)) (-15 -1279 (|#4| |#4| |#1|))) (-559) (-376 |#1|) (-376 |#1|) (-678 |#1| |#2| |#3|)) (T -1188)) 
-((-1279 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) (-4139 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(-10 -7 (-15 -4139 (|#4| |#4| |#1|)) (-15 -1279 (|#4| |#4| |#1|))) 
-((-1450 ((|#2| |#2|) 132)) (-2926 ((|#2| |#2|) 129)) (-2839 ((|#2| |#2|) 120)) (-1548 ((|#2| |#2|) 117)) (-2750 ((|#2| |#2|) 125)) (-2849 ((|#2| |#2|) 113)) (-3397 ((|#2| |#2|) 42)) (-1284 ((|#2| |#2|) 93)) (-4490 ((|#2| |#2|) 73)) (-1385 ((|#2| |#2|) 127)) (-2189 ((|#2| |#2|) 115)) (-3931 ((|#2| |#2|) 137)) (-3957 ((|#2| |#2|) 135)) (-4161 ((|#2| |#2|) 136)) (-1958 ((|#2| |#2|) 134)) (-4303 ((|#2| |#2|) 146)) (-2556 ((|#2| |#2|) 30 (-12 (|has| |#2| (-610 (-888 |#1|))) (|has| |#2| (-882 |#1|)) (|has| |#1| (-610 (-888 |#1|))) (|has| |#1| (-882 |#1|))))) (-4374 ((|#2| |#2|) 74)) (-1570 ((|#2| |#2|) 138)) (-1939 ((|#2| |#2|) 139)) (-1641 ((|#2| |#2|) 126)) (-3412 ((|#2| |#2|) 114)) (-4105 ((|#2| |#2|) 133)) (-2262 ((|#2| |#2|) 131)) (-2302 ((|#2| |#2|) 121)) (-2933 ((|#2| |#2|) 119)) (-4380 ((|#2| |#2|) 123)) (-3959 ((|#2| |#2|) 111))) 
-(((-1189 |#1| |#2|) (-10 -7 (-15 -1939 (|#2| |#2|)) (-15 -4490 (|#2| |#2|)) (-15 -4303 (|#2| |#2|)) (-15 -1284 (|#2| |#2|)) (-15 -3397 (|#2| |#2|)) (-15 -4374 (|#2| |#2|)) (-15 -1570 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -4380 (|#2| |#2|)) (-15 -2302 (|#2| |#2|)) (-15 -4105 (|#2| |#2|)) (-15 -3412 (|#2| |#2|)) (-15 -1641 (|#2| |#2|)) (-15 -2189 (|#2| |#2|)) (-15 -1385 (|#2| |#2|)) (-15 -2849 (|#2| |#2|)) (-15 -2750 (|#2| |#2|)) (-15 -2839 (|#2| |#2|)) (-15 -1450 (|#2| |#2|)) (-15 -1548 (|#2| |#2|)) (-15 -2926 (|#2| |#2|)) (-15 -2933 (|#2| |#2|)) (-15 -2262 (|#2| |#2|)) (-15 -1958 (|#2| |#2|)) (-15 -3957 (|#2| |#2|)) (-15 -4161 (|#2| |#2|)) (-15 -3931 (|#2| |#2|)) (IF (|has| |#1| (-882 |#1|)) (IF (|has| |#1| (-610 (-888 |#1|))) (IF (|has| |#2| (-610 (-888 |#1|))) (IF (|has| |#2| (-882 |#1|)) (-15 -2556 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-843) (-454)) (-13 (-433 |#1|) (-1183))) (T -1189)) 
-((-2556 (*1 *2 *2) (-12 (-4 *3 (-610 (-888 *3))) (-4 *3 (-882 *3)) (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-610 (-888 *3))) (-4 *2 (-882 *3)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3931 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4161 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3957 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1958 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2262 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2933 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2926 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1548 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1450 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2839 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2750 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2849 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1385 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2189 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1641 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3412 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4105 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-2302 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4380 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3959 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1570 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4374 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-3397 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1284 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4303 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-4490 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) (-1939 (*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(-10 -7 (-15 -1939 (|#2| |#2|)) (-15 -4490 (|#2| |#2|)) (-15 -4303 (|#2| |#2|)) (-15 -1284 (|#2| |#2|)) (-15 -3397 (|#2| |#2|)) (-15 -4374 (|#2| |#2|)) (-15 -1570 (|#2| |#2|)) (-15 -3959 (|#2| |#2|)) (-15 -4380 (|#2| |#2|)) (-15 -2302 (|#2| |#2|)) (-15 -4105 (|#2| |#2|)) (-15 -3412 (|#2| |#2|)) (-15 -1641 (|#2| |#2|)) (-15 -2189 (|#2| |#2|)) (-15 -1385 (|#2| |#2|)) (-15 -2849 (|#2| |#2|)) (-15 -2750 (|#2| |#2|)) (-15 -2839 (|#2| |#2|)) (-15 -1450 (|#2| |#2|)) (-15 -1548 (|#2| |#2|)) (-15 -2926 (|#2| |#2|)) (-15 -2933 (|#2| |#2|)) (-15 -2262 (|#2| |#2|)) (-15 -1958 (|#2| |#2|)) (-15 -3957 (|#2| |#2|)) (-15 -4161 (|#2| |#2|)) (-15 -3931 (|#2| |#2|)) (IF (|has| |#1| (-882 |#1|)) (IF (|has| |#1| (-610 (-888 |#1|))) (IF (|has| |#2| (-610 (-888 |#1|))) (IF (|has| |#2| (-882 |#1|)) (-15 -2556 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
-((-2061 (((-121) |#5| $) 59) (((-121) $) 101)) (-3982 ((|#5| |#5| $) 74)) (-1962 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-3694 (((-635 |#5|) (-635 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-1647 (((-3 $ "failed") (-635 |#5|)) 125)) (-2046 (((-3 $ "failed") $) 111)) (-4407 ((|#5| |#5| $) 93)) (-3255 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-2045 ((|#5| |#5| $) 97)) (-1774 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-4038 (((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) $) 54)) (-3977 (((-121) |#5| $) 57) (((-121) $) 102)) (-4357 ((|#4| $) 107)) (-4213 (((-3 |#5| "failed") $) 109)) (-2515 (((-635 |#5|) $) 48)) (-3409 (((-121) |#5| $) 66) (((-121) $) 106)) (-3005 ((|#5| |#5| $) 80)) (-2673 (((-121) $ $) 26)) (-4310 (((-121) |#5| $) 62) (((-121) $) 104)) (-2533 ((|#5| |#5| $) 77)) (-4353 (((-3 |#5| "failed") $) 108)) (-3499 (($ $ |#5|) 126)) (-2492 (((-764) $) 51)) (-2139 (($ (-635 |#5|)) 123)) (-4201 (($ $ |#4|) 121)) (-3460 (($ $ |#4|) 120)) (-4208 (($ $) 119)) (-2185 (((-851) $) NIL) (((-635 |#5|) $) 112)) (-3435 (((-764) $) 129)) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-3321 (((-121) $ (-1 (-121) |#5| (-635 |#5|))) 99)) (-3502 (((-635 |#4|) $) 114)) (-3673 (((-121) |#4| $) 117)) (-1668 (((-121) $ $) 19))) 
-(((-1190 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -3435 ((-764) |#1|)) (-15 -3499 (|#1| |#1| |#5|)) (-15 -1962 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3673 ((-121) |#4| |#1|)) (-15 -3502 ((-635 |#4|) |#1|)) (-15 -2046 ((-3 |#1| "failed") |#1|)) (-15 -4213 ((-3 |#5| "failed") |#1|)) (-15 -4353 ((-3 |#5| "failed") |#1|)) (-15 -2045 (|#5| |#5| |#1|)) (-15 -4208 (|#1| |#1|)) (-15 -4407 (|#5| |#5| |#1|)) (-15 -3005 (|#5| |#5| |#1|)) (-15 -2533 (|#5| |#5| |#1|)) (-15 -3982 (|#5| |#5| |#1|)) (-15 -3694 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -1774 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3409 ((-121) |#1|)) (-15 -4310 ((-121) |#1|)) (-15 -2061 ((-121) |#1|)) (-15 -3321 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -3409 ((-121) |#5| |#1|)) (-15 -4310 ((-121) |#5| |#1|)) (-15 -2061 ((-121) |#5| |#1|)) (-15 -3255 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3977 ((-121) |#1|)) (-15 -3977 ((-121) |#5| |#1|)) (-15 -4038 ((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) |#1|)) (-15 -2492 ((-764) |#1|)) (-15 -2515 ((-635 |#5|) |#1|)) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2673 ((-121) |#1| |#1|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -4357 (|#4| |#1|)) (-15 -1647 ((-3 |#1| "failed") (-635 |#5|))) (-15 -2185 ((-635 |#5|) |#1|)) (-15 -2139 (|#1| (-635 |#5|))) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -1962 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) (-1191 |#2| |#3| |#4| |#5|) (-559) (-789) (-843) (-1062 |#2| |#3| |#4|)) (T -1190)) 
-NIL 
-(-10 -8 (-15 -3435 ((-764) |#1|)) (-15 -3499 (|#1| |#1| |#5|)) (-15 -1962 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3673 ((-121) |#4| |#1|)) (-15 -3502 ((-635 |#4|) |#1|)) (-15 -2046 ((-3 |#1| "failed") |#1|)) (-15 -4213 ((-3 |#5| "failed") |#1|)) (-15 -4353 ((-3 |#5| "failed") |#1|)) (-15 -2045 (|#5| |#5| |#1|)) (-15 -4208 (|#1| |#1|)) (-15 -4407 (|#5| |#5| |#1|)) (-15 -3005 (|#5| |#5| |#1|)) (-15 -2533 (|#5| |#5| |#1|)) (-15 -3982 (|#5| |#5| |#1|)) (-15 -3694 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -1774 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -3409 ((-121) |#1|)) (-15 -4310 ((-121) |#1|)) (-15 -2061 ((-121) |#1|)) (-15 -3321 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -3409 ((-121) |#5| |#1|)) (-15 -4310 ((-121) |#5| |#1|)) (-15 -2061 ((-121) |#5| |#1|)) (-15 -3255 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -3977 ((-121) |#1|)) (-15 -3977 ((-121) |#5| |#1|)) (-15 -4038 ((-2 (|:| -3585 (-635 |#5|)) (|:| -3230 (-635 |#5|))) |#1|)) (-15 -2492 ((-764) |#1|)) (-15 -2515 ((-635 |#5|) |#1|)) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -1702 ((-3 (-2 (|:| |bas| |#1|) (|:| -3275 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -2673 ((-121) |#1| |#1|)) (-15 -4201 (|#1| |#1| |#4|)) (-15 -3460 (|#1| |#1| |#4|)) (-15 -4357 (|#4| |#1|)) (-15 -1647 ((-3 |#1| "failed") (-635 |#5|))) (-15 -2185 ((-635 |#5|) |#1|)) (-15 -2139 (|#1| (-635 |#5|))) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -1962 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -1774 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -2185 ((-851) |#1|)) (-15 -1668 ((-121) |#1| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) 78)) (-4426 (((-635 $) (-635 |#4|)) 79)) (-1773 (((-635 |#3|) $) 32)) (-3008 (((-121) $) 25)) (-3625 (((-121) $) 16 (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) 94) (((-121) $) 90)) (-3982 ((|#4| |#4| $) 85)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) 26)) (-1691 (((-121) $ (-764)) 43)) (-1962 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) 72)) (-2820 (($) 44 T CONST)) (-4162 (((-121) $) 21 (|has| |#1| (-559)))) (-2716 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3532 (((-121) $ $) 22 (|has| |#1| (-559)))) (-2398 (((-121) $) 24 (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-4318 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) 35)) (-2428 (($ (-635 |#4|)) 34)) (-2046 (((-3 $ "failed") $) 75)) (-4407 ((|#4| |#4| $) 82)) (-2033 (($ $) 67 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#4| $) 66 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-2045 ((|#4| |#4| $) 80)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) 98)) (-3470 (((-635 |#4|) $) 51 (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) 97) (((-121) $) 96)) (-4357 ((|#3| $) 33)) (-1974 (((-121) $ (-764)) 42)) (-4259 (((-635 |#4|) $) 52 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) 46)) (-1833 (((-635 |#3|) $) 31)) (-2760 (((-121) |#3| $) 30)) (-2006 (((-121) $ (-764)) 41)) (-2776 (((-1145) $) 9)) (-4213 (((-3 |#4| "failed") $) 76)) (-2515 (((-635 |#4|) $) 100)) (-3409 (((-121) |#4| $) 92) (((-121) $) 88)) (-3005 ((|#4| |#4| $) 83)) (-2673 (((-121) $ $) 103)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) 93) (((-121) $) 89)) (-2533 ((|#4| |#4| $) 84)) (-3360 (((-1109) $) 10)) (-4353 (((-3 |#4| "failed") $) 77)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-1913 (((-3 $ "failed") $ |#4|) 71)) (-3499 (($ $ |#4|) 70)) (-4177 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) 37)) (-1601 (((-121) $) 40)) (-1296 (($) 39)) (-2492 (((-764) $) 99)) (-2846 (((-764) |#4| $) 53 (-12 (|has| |#4| (-1091)) (|has| $ (-6 -4535)))) (((-764) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4535)))) (-1971 (($ $) 38)) (-3817 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) 59)) (-4201 (($ $ |#3|) 27)) (-3460 (($ $ |#3|) 29)) (-4208 (($ $) 81)) (-2630 (($ $ |#3|) 28)) (-2185 (((-851) $) 11) (((-635 |#4|) $) 36)) (-3435 (((-764) $) 69 (|has| |#3| (-371)))) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2066 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) 74)) (-3673 (((-121) |#3| $) 73)) (-1668 (((-121) $ $) 6)) (-4168 (((-764) $) 45 (|has| $ (-6 -4535))))) 
-(((-1191 |#1| |#2| |#3| |#4|) (-1278) (-559) (-789) (-843) (-1062 |t#1| |t#2| |t#3|)) (T -1191)) 
-((-2673 (*1 *2 *1 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-1702 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1191 *5 *6 *7 *8)))) (-1702 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1191 *6 *7 *8 *9)))) (-2515 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *6)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-764)))) (-4038 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-2 (|:| -3585 (-635 *6)) (|:| -3230 (-635 *6)))))) (-3977 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3977 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3255 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1191 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)))) (-2061 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-4310 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3409 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-3321 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1191 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)))) (-2061 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-4310 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-3409 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) (-1774 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1191 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *2 (-1062 *5 *6 *7)))) (-3694 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1191 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)))) (-3982 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-2533 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3005 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4407 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4208 (*1 *1 *1) (-12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) (-2045 (*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4426 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1191 *4 *5 *6 *7)))) (-3839 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -3585 *1) (|:| -3230 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1191 *4 *5 *6 *7)))) (-4353 (*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-4213 (*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-2046 (*1 *1 *1) (|partial| -12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) (-3502 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3673 (*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) (-1962 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1191 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *2 (-1062 *4 *5 *3)))) (-1913 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) (-3435 (*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-764))))) 
-(-13 (-978 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4535) (-6 -4536) (-15 -2673 ((-121) $ $)) (-15 -1702 ((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1702 ((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2515 ((-635 |t#4|) $)) (-15 -2492 ((-764) $)) (-15 -4038 ((-2 (|:| -3585 (-635 |t#4|)) (|:| -3230 (-635 |t#4|))) $)) (-15 -3977 ((-121) |t#4| $)) (-15 -3977 ((-121) $)) (-15 -3255 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -2061 ((-121) |t#4| $)) (-15 -4310 ((-121) |t#4| $)) (-15 -3409 ((-121) |t#4| $)) (-15 -3321 ((-121) $ (-1 (-121) |t#4| (-635 |t#4|)))) (-15 -2061 ((-121) $)) (-15 -4310 ((-121) $)) (-15 -3409 ((-121) $)) (-15 -1774 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3694 ((-635 |t#4|) (-635 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -3982 (|t#4| |t#4| $)) (-15 -2533 (|t#4| |t#4| $)) (-15 -3005 (|t#4| |t#4| $)) (-15 -4407 (|t#4| |t#4| $)) (-15 -4208 ($ $)) (-15 -2045 (|t#4| |t#4| $)) (-15 -4426 ((-635 $) (-635 |t#4|))) (-15 -3839 ((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |t#4|)))) (-635 |t#4|))) (-15 -4353 ((-3 |t#4| "failed") $)) (-15 -4213 ((-3 |t#4| "failed") $)) (-15 -2046 ((-3 $ "failed") $)) (-15 -3502 ((-635 |t#3|) $)) (-15 -3673 ((-121) |t#3| $)) (-15 -1962 ((-3 |t#4| "failed") $ |t#3|)) (-15 -1913 ((-3 $ "failed") $ |t#4|)) (-15 -3499 ($ $ |t#4|)) (IF (|has| |t#3| (-371)) (-15 -3435 ((-764) $)) |noBranch|))) 
-(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-851)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))) ((-978 |#1| |#2| |#3| |#4|) . T) ((-1091) . T) ((-1197) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1163)) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2088 (((-954 |#1|) $ (-764)) 16) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $ (-1163)) NIL) (((-764) $ (-1163) (-764)) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3523 (((-121) $) NIL)) (-1763 (($ $ (-635 (-1163)) (-635 (-535 (-1163)))) NIL) (($ $ (-1163) (-535 (-1163))) NIL) (($ |#1| (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-2565 (($ $ (-1163)) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3304 (($ (-1 $) (-1163) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3499 (($ $ (-764)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (($ $ (-1163) $) NIL) (($ $ (-635 (-1163)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3899 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-2492 (((-535 (-1163)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-1163)) NIL) (($ (-954 |#1|)) NIL)) (-1653 ((|#1| $ (-535 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (((-954 |#1|) $ (-764)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
-(((-1192 |#1|) (-13 (-731 |#1| (-1163)) (-10 -8 (-15 -1653 ((-954 |#1|) $ (-764))) (-15 -2185 ($ (-1163))) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ (-1163) |#1|)) (-15 -3304 ($ (-1 $) (-1163) |#1|))) |noBranch|))) (-1048)) (T -1192)) 
-((-1653 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-954 *4)) (-5 *1 (-1192 *4)) (-4 *4 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-1192 *3)))) (-2565 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) (-3304 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1192 *4))) (-5 *3 (-1163)) (-5 *1 (-1192 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
-(-13 (-731 |#1| (-1163)) (-10 -8 (-15 -1653 ((-954 |#1|) $ (-764))) (-15 -2185 ($ (-1163))) (-15 -2185 ($ (-954 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $ (-1163) |#1|)) (-15 -3304 ($ (-1 $) (-1163) |#1|))) |noBranch|))) 
-((-3340 (($ |#1| (-635 (-635 (-945 (-216)))) (-121)) 15)) (-3201 (((-121) $ (-121)) 14)) (-3003 (((-121) $) 13)) (-2585 (((-635 (-635 (-945 (-216)))) $) 10)) (-4288 ((|#1| $) 8)) (-4376 (((-121) $) 12))) 
-(((-1193 |#1|) (-10 -8 (-15 -4288 (|#1| $)) (-15 -2585 ((-635 (-635 (-945 (-216)))) $)) (-15 -4376 ((-121) $)) (-15 -3003 ((-121) $)) (-15 -3201 ((-121) $ (-121))) (-15 -3340 ($ |#1| (-635 (-635 (-945 (-216)))) (-121)))) (-976)) (T -1193)) 
-((-3340 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-121)) (-5 *1 (-1193 *2)) (-4 *2 (-976)))) (-3201 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-3003 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-4376 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-2585 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-1193 *3)) (-4 *3 (-976)))) (-4288 (*1 *2 *1) (-12 (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
-(-10 -8 (-15 -4288 (|#1| $)) (-15 -2585 ((-635 (-635 (-945 (-216)))) $)) (-15 -4376 ((-121) $)) (-15 -3003 ((-121) $)) (-15 -3201 ((-121) $ (-121))) (-15 -3340 ($ |#1| (-635 (-635 (-945 (-216)))) (-121)))) 
-((-4382 (((-945 (-216)) (-945 (-216))) 25)) (-2893 (((-945 (-216)) (-216) (-216) (-216) (-216)) 10)) (-3661 (((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216)))) 35)) (-2049 (((-216) (-945 (-216)) (-945 (-216))) 21)) (-3904 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 22)) (-3876 (((-635 (-635 (-216))) (-569)) 31)) (-1711 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 20)) (-1707 (((-945 (-216)) (-945 (-216)) (-945 (-216))) 19)) (* (((-945 (-216)) (-216) (-945 (-216))) 18))) 
-(((-1194) (-10 -7 (-15 -2893 ((-945 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-945 (-216)) (-216) (-945 (-216)))) (-15 -1707 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -1711 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -2049 ((-216) (-945 (-216)) (-945 (-216)))) (-15 -3904 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -4382 ((-945 (-216)) (-945 (-216)))) (-15 -3876 ((-635 (-635 (-216))) (-569))) (-15 -3661 ((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216))))))) (T -1194)) 
-((-3661 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-945 *4))) (-5 *1 (-1194)) (-5 *3 (-945 *4)))) (-3876 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1194)))) (-4382 (*1 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-3904 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-2049 (*1 *2 *3 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-216)) (-5 *1 (-1194)))) (-1711 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (-1707 (*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-945 (-216))) (-5 *3 (-216)) (-5 *1 (-1194)))) (-2893 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)) (-5 *3 (-216))))) 
-(-10 -7 (-15 -2893 ((-945 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-945 (-216)) (-216) (-945 (-216)))) (-15 -1707 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -1711 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -2049 ((-216) (-945 (-216)) (-945 (-216)))) (-15 -3904 ((-945 (-216)) (-945 (-216)) (-945 (-216)))) (-15 -4382 ((-945 (-216)) (-945 (-216)))) (-15 -3876 ((-635 (-635 (-216))) (-569))) (-15 -3661 ((-635 (-945 (-216))) (-945 (-216)) (-945 (-216)) (-945 (-216)) (-216) (-635 (-635 (-216)))))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1962 ((|#1| $ (-764)) 13)) (-1906 (((-764) $) 12)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-2185 (((-959 |#1|) $) 10) (($ (-959 |#1|)) 9) (((-851) $) 23 (|has| |#1| (-1091)))) (-1668 (((-121) $ $) 16 (|has| |#1| (-1091))))) 
-(((-1195 |#1|) (-13 (-609 (-959 |#1|)) (-10 -8 (-15 -2185 ($ (-959 |#1|))) (-15 -1962 (|#1| $ (-764))) (-15 -1906 ((-764) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) (-1197)) (T -1195)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-959 *3)) (-4 *3 (-1197)) (-5 *1 (-1195 *3)))) (-1962 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-1195 *2)) (-4 *2 (-1197)))) (-1906 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1195 *3)) (-4 *3 (-1197))))) 
-(-13 (-609 (-959 |#1|)) (-10 -8 (-15 -2185 ($ (-959 |#1|))) (-15 -1962 (|#1| $ (-764))) (-15 -1906 ((-764) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|))) 
-((-4402 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)) 79)) (-3458 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|))) 73)) (-2821 (((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|))) 58))) 
-(((-1196 |#1|) (-10 -7 (-15 -3458 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -2821 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -4402 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)))) (-351)) (T -1196)) 
-((-4402 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1159 (-1159 *5)))) (-5 *1 (-1196 *5)) (-5 *3 (-1159 (-1159 *5))))) (-2821 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4))))) (-3458 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
-(-10 -7 (-15 -3458 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -2821 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)))) (-15 -4402 ((-421 (-1159 (-1159 |#1|))) (-1159 (-1159 |#1|)) (-569)))) 
-NIL 
-(((-1197) (-1278)) (T -1197)) 
-NIL 
-(-13 (-10 -7 (-6 -2982))) 
-((-2568 (((-121) $ $) NIL (|has| (-569) (-1091)))) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-843)))) (-3076 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| (-569) (-843))))) (-3113 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4536))) (((-569) $ (-1213 (-569)) (-569)) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-4347 (($ (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1774 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4535))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4535)))) (-2726 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4536)))) (-1618 (((-569) $ (-569)) 12)) (-3727 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1091))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1091)))) (-3470 (((-635 (-569)) $) NIL (|has| $ (-6 -4535)))) (-2659 (($ (-764) (-569)) 11)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) 9 (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| (-569) (-843)))) (-3288 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-843)))) (-4259 (((-635 (-569)) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| (-569) (-843)))) (-1853 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL (|has| (-569) (-1091)))) (-3614 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| (-569) (-1091)))) (-4353 (((-569) $) NIL (|has| (-569) (-843)))) (-2502 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-3174 (($ $ (-569)) 16 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-2691 (((-635 (-569)) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) 10)) (-1534 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1213 (-569))) NIL)) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2846 (((-764) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535))) (((-764) (-569) $) NIL (-12 (|has| $ (-6 -4535)) (|has| (-569) (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-2139 (($ (-635 (-569))) NIL)) (-2250 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| (-569) (-1091)))) (-2066 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1684 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1668 (((-121) $ $) NIL (|has| (-569) (-1091)))) (-1688 (((-121) $ $) NIL (|has| (-569) (-843)))) (-1678 (((-121) $ $) NIL (|has| (-569) (-843)))) (-4168 (((-764) $) 7 (|has| $ (-6 -4535))))) 
-(((-1198) (-19 (-569))) (T -1198)) 
+((-1528 (((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 36)) (-2082 (((-569) (-1225 |#2| |#1|)) 67 (|has| |#1| (-454)))) (-2265 (((-569) (-1225 |#2| |#1|)) 53)) (-1351 (((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 44)) (-2395 (((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 55 (|has| |#1| (-454)))) (-3006 (((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 47)) (-3715 (((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|)) 52))) 
+(((-1107 |#1| |#2|) (-10 -7 (-15 -1528 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -1351 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3006 ((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3715 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2265 ((-569) (-1225 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2395 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2082 ((-569) (-1225 |#2| |#1|)))) |noBranch|)) (-817) (-1165)) (T -1107)) 
+((-2082 (*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-2395 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-2265 (*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-3715 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5)))) (-3006 (*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 *4)) (-5 *1 (-1107 *4 *5)))) (-1351 (*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4)))) (-1528 (*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
+(-10 -7 (-15 -1528 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -1351 ((-635 (-1225 |#2| |#1|)) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3006 ((-635 |#1|) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -3715 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2265 ((-569) (-1225 |#2| |#1|))) (IF (|has| |#1| (-454)) (PROGN (-15 -2395 ((-569) (-1225 |#2| |#1|) (-1225 |#2| |#1|))) (-15 -2082 ((-569) (-1225 |#2| |#1|)))) |noBranch|)) 
+((-3817 (((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)) 16) (((-3 (-569) "failed") |#2| (-1165) (-837 |#2|)) 14) (((-3 (-569) "failed") |#2|) 51))) 
+(((-1108 |#1| |#2|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") |#2|)) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) (-837 |#2|))) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|))) (T -1108)) 
+((-3817 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))))) (-3817 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)))) (-3817 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
+(-10 -7 (-15 -3817 ((-3 (-569) "failed") |#2|)) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) (-837 |#2|))) (-15 -3817 ((-3 (-569) "failed") |#2| (-1165) |#2| (-1147)))) 
+((-3817 (((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)) 34) (((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|)))) 29) (((-3 (-569) "failed") (-410 (-955 |#1|))) 12))) 
+(((-1109 |#1|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|))))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)))) (-454)) (T -1109)) 
+((-3817 (*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) (-3817 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) (-3817 (*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *4))))) 
+(-10 -7 (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-837 (-410 (-955 |#1|))))) (-15 -3817 ((-3 (-569) "failed") (-410 (-955 |#1|)) (-1165) (-410 (-955 |#1|)) (-1147)))) 
+((-1928 (((-311 (-569)) (-53)) 11))) 
+(((-1110) (-10 -7 (-15 -1928 ((-311 (-569)) (-53))))) (T -1110)) 
+((-1928 (*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1110))))) 
+(-10 -7 (-15 -1928 ((-311 (-569)) (-53)))) 
+((-1310 (((-121) $ $) NIL)) (-1771 (($ $) 41)) (-2225 (((-121) $) 65)) (-1800 (($ $ $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 84)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3163 (($ $ $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-1796 (($ $ $ $) 74)) (-2710 (($ $) NIL)) (-3742 (((-421 $) $) NIL)) (-2889 (((-121) $ $) NIL)) (-3817 (((-569) $) NIL)) (-2546 (($ $ $) 71)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL)) (-1321 (((-569) $) NIL)) (-1614 (($ $ $) 59)) (-3435 (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 78) (((-681 (-569)) (-681 $)) 28)) (-2611 (((-3 $ "failed") $) NIL)) (-1330 (((-3 (-410 (-569)) "failed") $) NIL)) (-4429 (((-121) $) NIL)) (-2096 (((-410 (-569)) $) NIL)) (-3341 (($) 81) (($ $) 82)) (-1626 (($ $ $) 58)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL)) (-2005 (((-121) $) NIL)) (-1306 (($ $ $ $) NIL)) (-3872 (($ $ $) 79)) (-1863 (((-121) $) NIL)) (-2578 (($ $ $) NIL)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL)) (-3934 (((-121) $) 66)) (-3520 (((-121) $) 64)) (-3182 (($ $) 42)) (-1542 (((-3 $ "failed") $) NIL)) (-4311 (((-121) $) 75)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-4416 (($ $ $ $) 72)) (-2157 (($ $ $) 68) (($) 39)) (-2713 (($ $ $) 67) (($) 38)) (-1852 (($ $) NIL)) (-2718 (($ $) 70)) (-1657 (($ $ $) NIL) (($ (-635 $)) NIL)) (-2605 (((-1147) $) NIL)) (-2624 (($ $ $) NIL)) (-1423 (($) NIL T CONST)) (-2144 (($ $) 50)) (-1912 (((-1111) $) NIL) (($ $) 69)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL)) (-3964 (($ $ $) 62) (($ (-635 $)) NIL)) (-1954 (($ $) NIL)) (-3139 (((-421 $) $) NIL)) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL)) (-1436 (((-3 $ "failed") $ $) NIL)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL)) (-3912 (((-121) $) NIL)) (-2061 (((-765) $) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 61)) (-3289 (($ $ (-765)) NIL) (($ $) NIL)) (-3231 (($ $) 51)) (-1799 (($ $) NIL)) (-4035 (((-569) $) 32) (((-542) $) NIL) (((-889 (-569)) $) NIL) (((-382) $) NIL) (((-216) $) NIL)) (-3956 (((-852) $) 31) (($ (-569)) 80) (($ $) NIL) (($ (-569)) 80)) (-2320 (((-765)) NIL)) (-3245 (((-121) $ $) NIL)) (-4196 (($ $ $) NIL)) (-1710 (($) 37)) (-2909 (((-121) $ $) NIL)) (-4005 (($ $ $ $) 73)) (-4080 (($ $) 63)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-1294 (($ $ $) 44)) (-2407 (($) 35 T CONST)) (-3424 (($ $ $) 47)) (-3297 (($) 36 T CONST)) (-3685 (((-1147) $) 21) (((-1147) $ (-121)) 23) (((-1258) (-819) $) 24) (((-1258) (-819) $ (-121)) 25)) (-3392 (($ $) 45)) (-3712 (($ $ (-765)) NIL) (($ $) NIL)) (-2384 (($ $ $) 46)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 40)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 49)) (-1637 (($ $ $) 43)) (-1377 (($ $) 52) (($ $ $) 54)) (-1371 (($ $ $) 53)) (** (($ $ (-919)) NIL) (($ $ (-765)) 57)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 34) (($ $ $) 55))) 
+(((-1111) (-13 (-551) (-652) (-825) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -2713 ($)) (-15 -2157 ($)) (-15 -3182 ($ $)) (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -3392 ($ $)) (-15 -2384 ($ $ $)) (-15 -3424 ($ $ $))))) (T -1111)) 
+((-1294 (*1 *1 *1 *1) (-5 *1 (-1111))) (-1637 (*1 *1 *1 *1) (-5 *1 (-1111))) (-1771 (*1 *1 *1) (-5 *1 (-1111))) (-2713 (*1 *1) (-5 *1 (-1111))) (-2157 (*1 *1) (-5 *1 (-1111))) (-3182 (*1 *1 *1) (-5 *1 (-1111))) (-1800 (*1 *1 *1 *1) (-5 *1 (-1111))) (-3392 (*1 *1 *1) (-5 *1 (-1111))) (-2384 (*1 *1 *1 *1) (-5 *1 (-1111))) (-3424 (*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(-13 (-551) (-652) (-825) (-10 -8 (-6 -4558) (-6 -4563) (-6 -4559) (-15 -2713 ($)) (-15 -2157 ($)) (-15 -3182 ($ $)) (-15 -1771 ($ $)) (-15 -1637 ($ $ $)) (-15 -1294 ($ $ $)) (-15 -1800 ($ $ $)) (-15 -3392 ($ $)) (-15 -2384 ($ $ $)) (-15 -3424 ($ $ $)))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-1941 ((|#1| $) 41)) (-3350 (((-121) $ (-765)) 8)) (-4483 (($) 7 T CONST)) (-2692 ((|#1| |#1| $) 43)) (-3651 ((|#1| $) 42)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-4496 ((|#1| $) 36)) (-2351 (($ |#1| $) 37)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-2166 ((|#1| $) 38)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2676 (((-765) $) 40)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) 39)) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1112 |#1|) (-1284) (-1199)) (T -1112)) 
+((-2692 (*1 *2 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-3651 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-1941 (*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) (-2676 (*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
+(-13 (-111 |t#1|) (-10 -8 (-6 -4571) (-15 -2692 (|t#1| |t#1| $)) (-15 -3651 (|t#1| $)) (-15 -1941 (|t#1| $)) (-15 -2676 ((-765) $)))) 
+(((-39) . T) ((-111 |#1|) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-3588 ((|#3| $) 76)) (-3003 (((-3 (-569) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 |#3| "failed") $) 40)) (-1321 (((-569) $) NIL) (((-410 (-569)) $) NIL) ((|#3| $) 37)) (-3435 (((-681 (-569)) (-681 $)) NIL) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL) (((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 $) (-1253 $)) 73) (((-681 |#3|) (-681 $)) 65)) (-3289 (($ $ (-1 |#3| |#3|)) 19) (($ $ (-1 |#3| |#3|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165)) NIL) (($ $ (-765)) NIL) (($ $) NIL)) (-4517 ((|#3| $) 78)) (-2513 ((|#4| $) 32)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ |#3|) 16)) (** (($ $ (-919)) NIL) (($ $ (-765)) 15) (($ $ (-569)) 82))) 
+(((-1113 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4517 (|#3| |#1|)) (-15 -3588 (|#3| |#1|)) (-15 -2513 (|#4| |#1|)) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -3956 ((-852) |#1|))) (-1114 |#2| |#3| |#4| |#5|) (-765) (-1049) (-231 |#2| |#3|) (-231 |#2| |#3|)) (T -1113)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-569))) (-15 -4517 (|#3| |#1|)) (-15 -3588 (|#3| |#1|)) (-15 -2513 (|#4| |#1|)) (-15 -3435 ((-681 |#3|) (-681 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 |#3|)) (|:| |vec| (-1253 |#3|))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 |#1|) (-1253 |#1|))) (-15 -3435 ((-681 (-569)) (-681 |#1|))) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -3956 (|#1| |#3|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-569) |#1|)) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|) (-765))) (-15 -3289 (|#1| |#1| (-1 |#3| |#3|))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3588 ((|#2| $) 69)) (-3531 (((-121) $) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-1491 (((-121) $) 107)) (-3350 (((-121) $ (-765)) 99)) (-2232 (($ |#2|) 72)) (-4483 (($) 16 T CONST)) (-4003 (($ $) 126 (|has| |#2| (-302)))) (-4128 ((|#3| $ (-569)) 121)) (-3003 (((-3 (-569) "failed") $) 83 (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) 81 (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) 78)) (-1321 (((-569) $) 84 (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) 82 (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) 77)) (-3435 (((-681 (-569)) (-681 $)) 76 (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 75 (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 74) (((-681 |#2|) (-681 $)) 73)) (-2611 (((-3 $ "failed") $) 33)) (-3358 (((-765) $) 127 (|has| |#2| (-559)))) (-4124 ((|#2| $ (-569) (-569)) 119)) (-4303 (((-635 |#2|) $) 92 (|has| $ (-6 -4571)))) (-3934 (((-121) $) 30)) (-2557 (((-765) $) 128 (|has| |#2| (-559)))) (-3970 (((-635 |#4|) $) 129 (|has| |#2| (-559)))) (-3568 (((-765) $) 115)) (-4145 (((-765) $) 116)) (-3206 (((-121) $ (-765)) 100)) (-3164 ((|#2| $) 64 (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) 111)) (-3841 (((-569) $) 113)) (-4457 (((-635 |#2|) $) 91 (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) 89 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-2376 (((-569) $) 112)) (-2414 (((-569) $) 114)) (-2926 (($ (-635 (-635 |#2|))) 106)) (-2089 (($ (-1 |#2| |#2|) $) 96 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) 123) (($ (-1 |#2| |#2|) $) 97)) (-4269 (((-635 (-635 |#2|)) $) 117)) (-1396 (((-121) $ (-765)) 101)) (-2605 (((-1147) $) 9)) (-1655 (((-3 $ "failed") $) 63 (|has| |#2| (-366)))) (-1912 (((-1111) $) 10)) (-1436 (((-3 $ "failed") $ |#2|) 124 (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) 94 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) 88 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 87 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 86 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 85 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 105)) (-1668 (((-121) $) 102)) (-4016 (($) 103)) (-2503 ((|#2| $ (-569) (-569) |#2|) 120) ((|#2| $ (-569) (-569)) 118)) (-3289 (($ $ (-1 |#2| |#2|)) 51) (($ $ (-1 |#2| |#2|) (-765)) 50) (($ $ (-635 (-1165)) (-635 (-765))) 43 (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) 42 (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) 41 (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) 40 (|has| |#2| (-897 (-1165)))) (($ $ (-765)) 38 (|has| |#2| (-226))) (($ $) 36 (|has| |#2| (-226)))) (-4517 ((|#2| $) 68)) (-3990 (($ (-635 |#2|)) 71)) (-3757 (((-121) $) 108)) (-2513 ((|#3| $) 70)) (-4396 ((|#2| $) 65 (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) 93 (|has| $ (-6 -4571))) (((-765) |#2| $) 90 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 104)) (-2349 ((|#4| $ (-569)) 122)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 80 (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) 79)) (-2320 (((-765)) 28)) (-3776 (((-121) (-1 (-121) |#2|) $) 95 (|has| $ (-6 -4571)))) (-2421 (((-121) $) 110)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) 49) (($ $ (-1 |#2| |#2|) (-765)) 48) (($ $ (-635 (-1165)) (-635 (-765))) 47 (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) 46 (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) 45 (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) 44 (|has| |#2| (-897 (-1165)))) (($ $ (-765)) 39 (|has| |#2| (-226))) (($ $) 37 (|has| |#2| (-226)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#2|) 125 (|has| |#2| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 62 (|has| |#2| (-366)))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#2|) 131) (($ |#2| $) 130) ((|#4| $ |#4|) 67) ((|#3| |#3| $) 66)) (-2946 (((-765) $) 98 (|has| $ (-6 -4571))))) 
+(((-1114 |#1| |#2| |#3| |#4|) (-1284) (-765) (-1049) (-231 |t#1| |t#2|) (-231 |t#1| |t#2|)) (T -1114)) 
+((-2232 (*1 *1 *2) (-12 (-4 *2 (-1049)) (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)))) (-3990 (*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1049)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)))) (-2513 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (-3588 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049)))) (-4517 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049)))) (* (*1 *2 *1 *2) (-12 (-4 *1 (-1114 *3 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) (* (*1 *2 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) (-4396 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-3164 (*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) (-1655 (*1 *1 *1) (|partial| -12 (-4 *1 (-1114 *2 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) (** (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366))))) 
+(-13 (-224 |t#2|) (-120 |t#2| |t#2|) (-1052 |t#1| |t#1| |t#2| |t#3| |t#4|) (-414 |t#2|) (-380 |t#2|) (-10 -8 (IF (|has| |t#2| (-173)) (-6 (-709 |t#2|)) |noBranch|) (-15 -2232 ($ |t#2|)) (-15 -3990 ($ (-635 |t#2|))) (-15 -2513 (|t#3| $)) (-15 -3588 (|t#2| $)) (-15 -4517 (|t#2| $)) (-15 * (|t#4| $ |t#4|)) (-15 * (|t#3| |t#3| $)) (IF (|has| |t#2| (-6 (-4573 "*"))) (PROGN (-6 (-43 |t#2|)) (-15 -4396 (|t#2| $)) (-15 -3164 (|t#2| $))) |noBranch|) (IF (|has| |t#2| (-366)) (PROGN (-15 -1655 ((-3 $ "failed") $)) (-15 ** ($ $ (-569)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-39) . T) ((-43 |#2|) |has| |#2| (-6 (-4573 "*"))) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-224 |#2|) . T) ((-226) |has| |#2| (-226)) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-380 |#2|) . T) ((-414 |#2|) . T) ((-500 |#2|) . T) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-638 |#2|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#2| (-631 (-569))) ((-631 |#2|) . T) ((-709 |#2|) -1929 (|has| |#2| (-173)) (|has| |#2| (-6 (-4573 "*")))) ((-718) . T) ((-897 (-1165)) |has| |#2| (-897 (-1165))) ((-1052 |#1| |#1| |#2| |#3| |#4|) . T) ((-1039 (-410 (-569))) |has| |#2| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#2| (-1039 (-569))) ((-1039 |#2|) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1199) . T)) 
+((-3105 ((|#4| |#4|) 67)) (-1633 ((|#4| |#4|) 62)) (-4084 (((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|) 75)) (-1588 (((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|) 66)) (-4424 (((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|) 64))) 
+(((-1115 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1633 (|#4| |#4|)) (-15 -4424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3105 (|#4| |#4|)) (-15 -1588 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4084 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|))) (-302) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -1115)) 
+((-4084 (*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-1115 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) (-1588 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-3105 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-4424 (*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) (-1633 (*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(-10 -7 (-15 -1633 (|#4| |#4|)) (-15 -4424 ((-2 (|:| |Hermite| |#4|) (|:| |eqMat| |#4|)) |#4|)) (-15 -3105 (|#4| |#4|)) (-15 -1588 ((-2 (|:| |Smith| |#4|) (|:| |leftEqMat| |#4|) (|:| |rightEqMat| |#4|)) |#4|)) (-15 -4084 ((-2 (|:| |particular| (-3 |#3| "failed")) (|:| -4079 (-635 |#3|))) |#4| |#3|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 17)) (-3195 (((-635 |#2|) $) 160)) (-3132 (((-1161 $) $ |#2|) 54) (((-1161 |#1|) $) 43)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 110 (|has| |#1| (-559)))) (-2915 (($ $) 112 (|has| |#1| (-559)))) (-2735 (((-121) $) 114 (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 |#2|)) 193)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) 157) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 |#2| "failed") $) NIL)) (-1321 ((|#1| $) 155) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) ((|#2| $) NIL)) (-3673 (($ $ $ |#2|) NIL (|has| |#1| (-173)))) (-3373 (($ $) 197)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 82)) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ |#2|) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-535 |#2|) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#1| (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#1| (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-3934 (((-121) $) 19)) (-4118 (((-765) $) 26)) (-3187 (($ (-1161 |#1|) |#2|) 48) (($ (-1161 $) |#2|) 64)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) 31)) (-3179 (($ |#1| (-535 |#2|)) 71) (($ $ |#2| (-765)) 52) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ |#2|) NIL)) (-4294 (((-535 |#2|) $) 187) (((-765) $ |#2|) 188) (((-635 (-765)) $ (-635 |#2|)) 189)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-535 |#2|) (-535 |#2|)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 122)) (-3407 (((-3 |#2| "failed") $) 162)) (-3263 (($ $) 196)) (-3270 ((|#1| $) 37)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| |#2|) (|:| -3190 (-765))) "failed") $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 32)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 140 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 145 (|has| |#1| (-454))) (($ $ $) 132 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) 120 (|has| |#1| (-559)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ |#2| |#1|) 165) (($ $ (-635 |#2|) (-635 |#1|)) 178) (($ $ |#2| $) 164) (($ $ (-635 |#2|) (-635 $)) 177)) (-2925 (($ $ |#2|) NIL (|has| |#1| (-173)))) (-3289 (($ $ |#2|) 195) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) 183) (((-765) $ |#2|) 179) (((-635 (-765)) $ (-635 |#2|)) 181)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| |#1| (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| |#1| (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| |#1| (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#1| $) 128 (|has| |#1| (-454))) (($ $ |#2|) 131 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-3956 (((-852) $) 151) (($ (-569)) 76) (($ |#1|) 77) (($ |#2|) 28) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) 154)) (-3802 ((|#1| $ (-535 |#2|)) 73) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 79)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) 117 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 102) (($ $ (-765)) 104)) (-2407 (($) 12 T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 97)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 126 (|has| |#1| (-366)))) (-1377 (($ $) 85) (($ $ $) 95)) (-1371 (($ $ $) 49)) (** (($ $ (-919)) 103) (($ $ (-765)) 100)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 88) (($ $ $) 65) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 90) (($ $ |#1|) NIL))) 
+(((-1116 |#1| |#2|) (-952 |#1| (-535 |#2|) |#2|) (-1049) (-844)) (T -1116)) 
+NIL 
+(-952 |#1| (-535 |#2|) |#2|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3544 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2849 (((-955 |#1|) $ (-765)) NIL) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ |#2|) NIL) (((-765) $ |#2| (-765)) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) NIL)) (-3179 (($ $ (-635 |#2|) (-635 (-535 |#2|))) NIL) (($ $ |#2| (-535 |#2|)) NIL) (($ |#1| (-535 |#2|)) NIL) (($ $ |#2| (-765)) 71) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $ |#2|) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ |#2| |#1|) 177 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2528 (($ (-1 $) |#2| |#1|) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3803 (($ $ (-765)) 15)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ |#2| $) 109) (($ $ (-635 |#2|) (-635 $)) 102) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3289 (($ $ |#2|) 111) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-2284 (((-535 |#2|) $) NIL)) (-4052 (((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|))) 92)) (-3565 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 136 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 17)) (-3956 (((-852) $) 192) (($ (-569)) NIL) (($ |#1|) 59 (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#2|) 78) (($ |#3|) 76)) (-3802 ((|#1| $ (-535 |#2|)) 57) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) 50) ((|#3| $ (-765)) 42)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3585 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 138 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 18 T CONST)) (-3297 (($) 10 T CONST)) (-3712 (($ $ |#2|) NIL) (($ $ (-635 |#2|)) NIL) (($ $ |#2| (-765)) NIL) (($ $ (-635 |#2|) (-635 (-765))) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) 194 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 74)) (** (($ $ (-919)) NIL) (($ $ (-765)) 83) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 114 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 73) (($ $ (-410 (-569))) 119 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 117 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 62) (($ $ |#1|) 63) (($ |#3| $) 61))) 
+(((-1117 |#1| |#2| |#3|) (-13 (-732 |#1| |#2|) (-10 -8 (-15 -3802 (|#3| $ (-765))) (-15 -3956 ($ |#2|)) (-15 -3956 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4052 ((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |#2| |#1|)) (-15 -2528 ($ (-1 $) |#2| |#1|))) |noBranch|))) (-1049) (-844) (-952 |#1| (-535 |#2|) |#2|)) (T -1117)) 
+((-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *2 (-952 *4 (-535 *5) *5)) (-5 *1 (-1117 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-844)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) (* (*1 *1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) (-4052 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1145 *7))) (-4 *6 (-844)) (-4 *7 (-952 *5 (-535 *6) *6)) (-4 *5 (-1049)) (-5 *2 (-1 (-1145 *7) *7)) (-5 *1 (-1117 *5 *6 *7)))) (-1324 (*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) (-2528 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1117 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *1 (-1117 *4 *3 *5)) (-4 *5 (-952 *4 (-535 *3) *3))))) 
+(-13 (-732 |#1| |#2|) (-10 -8 (-15 -3802 (|#3| $ (-765))) (-15 -3956 ($ |#2|)) (-15 -3956 ($ |#3|)) (-15 * ($ |#3| $)) (-15 -4052 ((-1 (-1145 |#3|) |#3|) (-635 |#2|) (-635 (-1145 |#3|)))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ |#2| |#1|)) (-15 -2528 ($ (-1 $) |#2| |#1|))) |noBranch|))) 
+((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79) (((-635 $) (-635 |#4|) (-121)) 104)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 119)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4018 (((-121) |#4| $) 129)) (-3594 (((-121) |#4| $) 126)) (-4508 (((-121) |#4| $) 130) (((-121) $) 127)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) 121)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 120)) (-3302 (((-3 |#4| "failed") $) 76)) (-2079 (((-635 $) |#4| $) 122)) (-2090 (((-3 (-121) (-635 $)) |#4| $) 125)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 124) (((-121) |#4| $) 123)) (-1433 (((-635 $) |#4| $) 118) (((-635 $) (-635 |#4|) $) 117) (((-635 $) (-635 |#4|) (-635 $)) 116) (((-635 $) |#4| (-635 $)) 115)) (-3487 (($ |#4| $) 110) (($ (-635 |#4|) $) 109)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70) (((-635 $) |#4| $) 108) (((-635 $) |#4| (-635 $)) 107) (((-635 $) (-635 |#4|) $) 106) (((-635 $) (-635 |#4|) (-635 $)) 105)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-2272 (((-635 $) |#4| $) 114) (((-635 $) |#4| (-635 $)) 113) (((-635 $) (-635 |#4|) $) 112) (((-635 $) (-635 |#4|) (-635 $)) 111)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3267 (((-121) |#4| $) 128)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-1118 |#1| |#2| |#3| |#4|) (-1284) (-454) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1118)) 
+NIL 
+(-13 (-1102 |t#1| |t#2| |t#3| |t#4|) (-781 |t#1| |t#2| |t#3| |t#4|)) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-781 |#1| |#2| |#3| |#4|) . T) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1068 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1102 |#1| |#2| |#3| |#4|) . T) ((-1193 |#1| |#2| |#3| |#4|) . T) ((-1199) . T)) 
+((-2880 (((-635 |#2|) |#1|) 12)) (-3660 (((-635 |#2|) |#2| |#2| |#2| |#2| |#2|) 37) (((-635 |#2|) |#1|) 47)) (-3750 (((-635 |#2|) |#2| |#2| |#2|) 35) (((-635 |#2|) |#1|) 45)) (-4192 ((|#2| |#1|) 42)) (-3967 (((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|)) 16)) (-3101 (((-635 |#2|) |#2| |#2|) 34) (((-635 |#2|) |#1|) 44)) (-4176 (((-635 |#2|) |#2| |#2| |#2| |#2|) 36) (((-635 |#2|) |#1|) 46)) (-3812 ((|#2| |#2| |#2| |#2| |#2| |#2|) 41)) (-4384 ((|#2| |#2| |#2| |#2|) 39)) (-3173 ((|#2| |#2| |#2|) 38)) (-3868 ((|#2| |#2| |#2| |#2| |#2|) 40))) 
+(((-1119 |#1| |#2|) (-10 -7 (-15 -2880 ((-635 |#2|) |#1|)) (-15 -4192 (|#2| |#1|)) (-15 -3967 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3101 ((-635 |#2|) |#1|)) (-15 -3750 ((-635 |#2|) |#1|)) (-15 -4176 ((-635 |#2|) |#1|)) (-15 -3660 ((-635 |#2|) |#1|)) (-15 -3101 ((-635 |#2|) |#2| |#2|)) (-15 -3750 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -4176 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3660 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -3173 (|#2| |#2| |#2|)) (-15 -4384 (|#2| |#2| |#2| |#2|)) (-15 -3868 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3812 (|#2| |#2| |#2| |#2| |#2| |#2|))) (-1228 |#2|) (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (T -1119)) 
+((-3812 (*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3868 (*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-4384 (*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3173 (*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-3660 (*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-4176 (*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3750 (*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3101 (*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3)))) (-3660 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-4176 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3750 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3101 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) (-3967 (*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1119 *3 *5)) (-4 *3 (-1228 *5)))) (-4192 (*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2)))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -2880 ((-635 |#2|) |#1|)) (-15 -4192 (|#2| |#1|)) (-15 -3967 ((-2 (|:| |solns| (-635 |#2|)) (|:| |maps| (-635 (-2 (|:| |arg| |#2|) (|:| |res| |#2|))))) |#1| (-1 |#2| |#2|))) (-15 -3101 ((-635 |#2|) |#1|)) (-15 -3750 ((-635 |#2|) |#1|)) (-15 -4176 ((-635 |#2|) |#1|)) (-15 -3660 ((-635 |#2|) |#1|)) (-15 -3101 ((-635 |#2|) |#2| |#2|)) (-15 -3750 ((-635 |#2|) |#2| |#2| |#2|)) (-15 -4176 ((-635 |#2|) |#2| |#2| |#2| |#2|)) (-15 -3660 ((-635 |#2|) |#2| |#2| |#2| |#2| |#2|)) (-15 -3173 (|#2| |#2| |#2|)) (-15 -4384 (|#2| |#2| |#2| |#2|)) (-15 -3868 (|#2| |#2| |#2| |#2| |#2|)) (-15 -3812 (|#2| |#2| |#2| |#2| |#2| |#2|))) 
+((-3628 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|))))) 94) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165))) 93) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|)))) 91) (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 89) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|)))) 75) (((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165)) 76) (((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|))) 70) (((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165)) 59)) (-4359 (((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 87) (((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165)) 43)) (-4462 (((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)) 97) (((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165)) 96))) 
+(((-1120 |#1|) (-10 -7 (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -4359 ((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4359 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)))) (-13 (-302) (-844) (-151))) (T -1120)) 
+((-4462 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-4462 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-4359 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1120 *5)))) (-4359 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 *5))))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) (-3628 (*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) (-3628 (*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5))))) 
+(-10 -7 (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-410 (-955 |#1|)))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -3628 ((-635 (-289 (-311 |#1|))) (-289 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-410 (-955 |#1|))))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -3628 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -4359 ((-635 (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4359 ((-635 (-635 (-311 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -4462 ((-1154 (-635 (-311 |#1|)) (-635 (-289 (-311 |#1|)))) (-410 (-955 |#1|)) (-1165)))) 
+((-3067 (((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)) 27)) (-1903 (((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|)))) 39))) 
+(((-1121 |#1|) (-10 -7 (-15 -1903 ((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))))) (-15 -3067 ((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)))) (-13 (-559) (-844))) (T -1121)) 
+((-3067 (*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1161 (-311 *5)))) (-5 *3 (-1253 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-1121 *5)))) (-1903 (*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1161 (-311 *3)))) (-4 *3 (-13 (-559) (-844))) (-5 *1 (-1121 *3))))) 
+(-10 -7 (-15 -1903 ((-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))) (-410 (-1161 (-311 |#1|))))) (-15 -3067 ((-410 (-1161 (-311 |#1|))) (-1253 (-311 |#1|)) (-410 (-1161 (-311 |#1|))) (-569)))) 
+((-2880 (((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))) 216) (((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165)) 20) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165)) 26) (((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|))) 25) (((-635 (-289 (-311 |#1|))) (-311 |#1|)) 21))) 
+(((-1122 |#1|) (-10 -7 (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165))) (-15 -2880 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))))) (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (T -1122)) 
+((-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1122 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-311 *5)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-289 (-311 *5))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-289 (-311 *4))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-311 *4))))) 
+(-10 -7 (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-289 (-311 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-311 |#1|))) (-311 |#1|) (-1165))) (-15 -2880 ((-635 (-635 (-289 (-311 |#1|)))) (-635 (-289 (-311 |#1|))) (-635 (-1165))))) 
+((-1686 ((|#2| |#2|) 20 (|has| |#1| (-844))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 16)) (-1920 ((|#2| |#2|) 19 (|has| |#1| (-844))) ((|#2| |#2| (-1 (-121) |#1| |#1|)) 15))) 
+(((-1123 |#1| |#2|) (-10 -7 (-15 -1920 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1686 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-844)) (PROGN (-15 -1920 (|#2| |#2|)) (-15 -1686 (|#2| |#2|))) |noBranch|)) (-1199) (-13 (-602 (-569) |#1|) (-10 -7 (-6 -4571) (-6 -4572)))) (T -1123)) 
+((-1686 (*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1920 (*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1686 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) (-1920 (*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572))))))) 
+(-10 -7 (-15 -1920 (|#2| |#2| (-1 (-121) |#1| |#1|))) (-15 -1686 (|#2| |#2| (-1 (-121) |#1| |#1|))) (IF (|has| |#1| (-844)) (PROGN (-15 -1920 (|#2| |#2|)) (-15 -1686 (|#2| |#2|))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2215 (((-1153 3 |#1|) $) 105)) (-3007 (((-121) $) 72)) (-2120 (($ $ (-635 (-946 |#1|))) 20) (($ $ (-635 (-635 |#1|))) 75) (($ (-635 (-946 |#1|))) 74) (((-635 (-946 |#1|)) $) 73)) (-3099 (((-121) $) 41)) (-2131 (($ $ (-946 |#1|)) 46) (($ $ (-635 |#1|)) 51) (($ $ (-765)) 53) (($ (-946 |#1|)) 47) (((-946 |#1|) $) 45)) (-3765 (((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $) 103)) (-1991 (((-765) $) 26)) (-1853 (((-765) $) 25)) (-2881 (($ $ (-765) (-946 |#1|)) 39)) (-3389 (((-121) $) 82)) (-1793 (($ $ (-635 (-635 (-946 |#1|))) (-635 (-172)) (-172)) 89) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 91) (($ $ (-635 (-635 (-946 |#1|))) (-121) (-121)) 85) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 93) (($ (-635 (-635 (-946 |#1|)))) 86) (($ (-635 (-635 (-946 |#1|))) (-121) (-121)) 87) (((-635 (-635 (-946 |#1|))) $) 84)) (-2102 (($ (-635 $)) 28) (($ $ $) 29)) (-4095 (((-635 (-172)) $) 101)) (-2957 (((-635 (-946 |#1|)) $) 96)) (-2038 (((-635 (-635 (-172))) $) 100)) (-2876 (((-635 (-635 (-635 (-946 |#1|)))) $) NIL)) (-4290 (((-635 (-635 (-635 (-765)))) $) 98)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3870 (((-765) $ (-635 (-946 |#1|))) 37)) (-3699 (((-121) $) 54)) (-1653 (($ $ (-635 (-946 |#1|))) 56) (($ $ (-635 (-635 |#1|))) 62) (($ (-635 (-946 |#1|))) 57) (((-635 (-946 |#1|)) $) 55)) (-3722 (($) 23) (($ (-1153 3 |#1|)) 24)) (-1799 (($ $) 35)) (-1551 (((-635 $) $) 34)) (-1400 (($ (-635 $)) 31)) (-2963 (((-635 $) $) 33)) (-3956 (((-852) $) 109)) (-4031 (((-121) $) 64)) (-1585 (($ $ (-635 (-946 |#1|))) 66) (($ $ (-635 (-635 |#1|))) 69) (($ (-635 (-946 |#1|))) 67) (((-635 (-946 |#1|)) $) 65)) (-4370 (($ $) 104)) (-1326 (((-121) $ $) NIL))) 
+(((-1124 |#1|) (-1125 |#1|) (-1049)) (T -1124)) 
+NIL 
+(-1125 |#1|) 
+((-1310 (((-121) $ $) 7)) (-2215 (((-1153 3 |#1|) $) 12)) (-3007 (((-121) $) 28)) (-2120 (($ $ (-635 (-946 |#1|))) 32) (($ $ (-635 (-635 |#1|))) 31) (($ (-635 (-946 |#1|))) 30) (((-635 (-946 |#1|)) $) 29)) (-3099 (((-121) $) 43)) (-2131 (($ $ (-946 |#1|)) 48) (($ $ (-635 |#1|)) 47) (($ $ (-765)) 46) (($ (-946 |#1|)) 45) (((-946 |#1|) $) 44)) (-3765 (((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $) 14)) (-1991 (((-765) $) 57)) (-1853 (((-765) $) 58)) (-2881 (($ $ (-765) (-946 |#1|)) 49)) (-3389 (((-121) $) 20)) (-1793 (($ $ (-635 (-635 (-946 |#1|))) (-635 (-172)) (-172)) 27) (($ $ (-635 (-635 (-635 |#1|))) (-635 (-172)) (-172)) 26) (($ $ (-635 (-635 (-946 |#1|))) (-121) (-121)) 25) (($ $ (-635 (-635 (-635 |#1|))) (-121) (-121)) 24) (($ (-635 (-635 (-946 |#1|)))) 23) (($ (-635 (-635 (-946 |#1|))) (-121) (-121)) 22) (((-635 (-635 (-946 |#1|))) $) 21)) (-2102 (($ (-635 $)) 56) (($ $ $) 55)) (-4095 (((-635 (-172)) $) 15)) (-2957 (((-635 (-946 |#1|)) $) 19)) (-2038 (((-635 (-635 (-172))) $) 16)) (-2876 (((-635 (-635 (-635 (-946 |#1|)))) $) 17)) (-4290 (((-635 (-635 (-635 (-765)))) $) 18)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3870 (((-765) $ (-635 (-946 |#1|))) 50)) (-3699 (((-121) $) 38)) (-1653 (($ $ (-635 (-946 |#1|))) 42) (($ $ (-635 (-635 |#1|))) 41) (($ (-635 (-946 |#1|))) 40) (((-635 (-946 |#1|)) $) 39)) (-3722 (($) 60) (($ (-1153 3 |#1|)) 59)) (-1799 (($ $) 51)) (-1551 (((-635 $) $) 52)) (-1400 (($ (-635 $)) 54)) (-2963 (((-635 $) $) 53)) (-3956 (((-852) $) 11)) (-4031 (((-121) $) 33)) (-1585 (($ $ (-635 (-946 |#1|))) 37) (($ $ (-635 (-635 |#1|))) 36) (($ (-635 (-946 |#1|))) 35) (((-635 (-946 |#1|)) $) 34)) (-4370 (($ $) 13)) (-1326 (((-121) $ $) 6))) 
+(((-1125 |#1|) (-1284) (-1049)) (T -1125)) 
+((-3956 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-852)))) (-3722 (*1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-3722 (*1 *1 *2) (-12 (-5 *2 (-1153 3 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1853 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-1991 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2102 (*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-1400 (*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2963 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)))) (-1551 (*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)))) (-1799 (*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-3870 (*1 *2 *1 *3) (-12 (-5 *3 (-635 (-946 *4))) (-4 *1 (-1125 *4)) (-4 *4 (-1049)) (-5 *2 (-765)))) (-2881 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *4)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2131 (*1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-2131 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-946 *3)))) (-3099 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1653 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1653 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1653 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1653 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-3699 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1585 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1585 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-1585 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1585 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-4031 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-2120 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2120 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) (-2120 (*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-2120 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-3007 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-1793 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-1793 (*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) (-1793 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 *3)))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) (-1793 (*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *4 (-1049)) (-4 *1 (-1125 *4)))) (-1793 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-946 *3)))))) (-3389 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121)))) (-2957 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) (-4290 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-765))))))) (-2876 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-946 *3))))))) (-2038 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-172)))))) (-4095 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-172))))) (-3765 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765)))))) (-4370 (*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) (-2215 (*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-1153 3 *3))))) 
+(-13 (-1093) (-10 -8 (-15 -3722 ($)) (-15 -3722 ($ (-1153 3 |t#1|))) (-15 -1853 ((-765) $)) (-15 -1991 ((-765) $)) (-15 -2102 ($ (-635 $))) (-15 -2102 ($ $ $)) (-15 -1400 ($ (-635 $))) (-15 -2963 ((-635 $) $)) (-15 -1551 ((-635 $) $)) (-15 -1799 ($ $)) (-15 -3870 ((-765) $ (-635 (-946 |t#1|)))) (-15 -2881 ($ $ (-765) (-946 |t#1|))) (-15 -2131 ($ $ (-946 |t#1|))) (-15 -2131 ($ $ (-635 |t#1|))) (-15 -2131 ($ $ (-765))) (-15 -2131 ($ (-946 |t#1|))) (-15 -2131 ((-946 |t#1|) $)) (-15 -3099 ((-121) $)) (-15 -1653 ($ $ (-635 (-946 |t#1|)))) (-15 -1653 ($ $ (-635 (-635 |t#1|)))) (-15 -1653 ($ (-635 (-946 |t#1|)))) (-15 -1653 ((-635 (-946 |t#1|)) $)) (-15 -3699 ((-121) $)) (-15 -1585 ($ $ (-635 (-946 |t#1|)))) (-15 -1585 ($ $ (-635 (-635 |t#1|)))) (-15 -1585 ($ (-635 (-946 |t#1|)))) (-15 -1585 ((-635 (-946 |t#1|)) $)) (-15 -4031 ((-121) $)) (-15 -2120 ($ $ (-635 (-946 |t#1|)))) (-15 -2120 ($ $ (-635 (-635 |t#1|)))) (-15 -2120 ($ (-635 (-946 |t#1|)))) (-15 -2120 ((-635 (-946 |t#1|)) $)) (-15 -3007 ((-121) $)) (-15 -1793 ($ $ (-635 (-635 (-946 |t#1|))) (-635 (-172)) (-172))) (-15 -1793 ($ $ (-635 (-635 (-635 |t#1|))) (-635 (-172)) (-172))) (-15 -1793 ($ $ (-635 (-635 (-946 |t#1|))) (-121) (-121))) (-15 -1793 ($ $ (-635 (-635 (-635 |t#1|))) (-121) (-121))) (-15 -1793 ($ (-635 (-635 (-946 |t#1|))))) (-15 -1793 ($ (-635 (-635 (-946 |t#1|))) (-121) (-121))) (-15 -1793 ((-635 (-635 (-946 |t#1|))) $)) (-15 -3389 ((-121) $)) (-15 -2957 ((-635 (-946 |t#1|)) $)) (-15 -4290 ((-635 (-635 (-635 (-765)))) $)) (-15 -2876 ((-635 (-635 (-635 (-946 |t#1|)))) $)) (-15 -2038 ((-635 (-635 (-172))) $)) (-15 -4095 ((-635 (-172)) $)) (-15 -3765 ((-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))) $)) (-15 -4370 ($ $)) (-15 -2215 ((-1153 3 |t#1|) $)) (-15 -3956 ((-852) $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-3409 (((-1258) (-635 (-852))) 23) (((-1258) (-852)) 22)) (-4501 (((-1258) (-635 (-852))) 21) (((-1258) (-852)) 20)) (-3225 (((-1258) (-635 (-852))) 19) (((-1258) (-852)) 11) (((-1258) (-1147) (-852)) 17))) 
+(((-1126) (-10 -7 (-15 -3225 ((-1258) (-1147) (-852))) (-15 -3225 ((-1258) (-852))) (-15 -4501 ((-1258) (-852))) (-15 -3409 ((-1258) (-852))) (-15 -3225 ((-1258) (-635 (-852)))) (-15 -4501 ((-1258) (-635 (-852)))) (-15 -3409 ((-1258) (-635 (-852)))))) (T -1126)) 
+((-3409 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-4501 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3409 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-4501 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) (-3225 (*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
+(-10 -7 (-15 -3225 ((-1258) (-1147) (-852))) (-15 -3225 ((-1258) (-852))) (-15 -4501 ((-1258) (-852))) (-15 -3409 ((-1258) (-852))) (-15 -3225 ((-1258) (-635 (-852)))) (-15 -4501 ((-1258) (-635 (-852)))) (-15 -3409 ((-1258) (-635 (-852))))) 
+((-2648 (($ $ $) 10)) (-3566 (($ $) 9)) (-3839 (($ $ $) 13)) (-4489 (($ $ $) 15)) (-1289 (($ $ $) 12)) (-3578 (($ $ $) 14)) (-3618 (($ $) 17)) (-4466 (($ $) 16)) (-4080 (($ $) 6)) (-2246 (($ $ $) 11) (($ $) 7)) (-4028 (($ $ $) 8))) 
+(((-1127) (-1284)) (T -1127)) 
+((-3618 (*1 *1 *1) (-4 *1 (-1127))) (-4466 (*1 *1 *1) (-4 *1 (-1127))) (-4489 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3578 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3839 (*1 *1 *1 *1) (-4 *1 (-1127))) (-1289 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2246 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2648 (*1 *1 *1 *1) (-4 *1 (-1127))) (-3566 (*1 *1 *1) (-4 *1 (-1127))) (-4028 (*1 *1 *1 *1) (-4 *1 (-1127))) (-2246 (*1 *1 *1) (-4 *1 (-1127))) (-4080 (*1 *1 *1) (-4 *1 (-1127)))) 
+(-13 (-10 -8 (-15 -4080 ($ $)) (-15 -2246 ($ $)) (-15 -4028 ($ $ $)) (-15 -3566 ($ $)) (-15 -2648 ($ $ $)) (-15 -2246 ($ $ $)) (-15 -1289 ($ $ $)) (-15 -3839 ($ $ $)) (-15 -3578 ($ $ $)) (-15 -4489 ($ $ $)) (-15 -4466 ($ $)) (-15 -3618 ($ $)))) 
+((-1310 (((-121) $ $) 41)) (-2756 ((|#1| $) 15)) (-1656 (((-121) $ $ (-1 (-121) |#2| |#2|)) 36)) (-1702 (((-121) $) 17)) (-3504 (($ $ |#1|) 28)) (-4493 (($ $ (-121)) 30)) (-3793 (($ $) 31)) (-3078 (($ $ |#2|) 29)) (-2605 (((-1147) $) NIL)) (-2383 (((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|)) 35)) (-1912 (((-1111) $) NIL)) (-1668 (((-121) $) 14)) (-4016 (($) 10)) (-1799 (($ $) 27)) (-3124 (($ |#1| |#2| (-121)) 18) (($ |#1| |#2|) 19) (($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) 21) (((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) 24) (((-635 $) |#1| (-635 |#2|)) 26)) (-1421 ((|#2| $) 16)) (-3956 (((-852) $) 50)) (-1326 (((-121) $ $) 39))) 
+(((-1128 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -2756 (|#1| $)) (-15 -1421 (|#2| $)) (-15 -1702 ((-121) $)) (-15 -3124 ($ |#1| |#2| (-121))) (-15 -3124 ($ |#1| |#2|)) (-15 -3124 ($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) (-15 -3124 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))))) (-15 -3124 ((-635 $) |#1| (-635 |#2|))) (-15 -1799 ($ $)) (-15 -3504 ($ $ |#1|)) (-15 -3078 ($ $ |#2|)) (-15 -4493 ($ $ (-121))) (-15 -3793 ($ $)) (-15 -2383 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1656 ((-121) $ $ (-1 (-121) |#2| |#2|))))) (-13 (-1093) (-39)) (-13 (-1093) (-39))) (T -1128)) 
+((-4016 (*1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-2756 (*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *2 *3)) (-4 *3 (-13 (-1093) (-39))))) (-1421 (*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))))) (-1702 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4320 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *4)))) (-3124 (*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4320 *5)))) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *4 *5))) (-5 *1 (-1128 *4 *5)))) (-3124 (*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *3 *5))) (-5 *1 (-1128 *3 *5)) (-4 *3 (-13 (-1093) (-39))))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3504 (*1 *1 *1 *2) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3078 (*1 *1 *1 *2) (-12 (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))) (-4 *2 (-13 (-1093) (-39))))) (-4493 (*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-3793 (*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-2383 (*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *5 *6)))) (-1656 (*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39)))))) 
+(-13 (-1093) (-10 -8 (-15 -4016 ($)) (-15 -1668 ((-121) $)) (-15 -2756 (|#1| $)) (-15 -1421 (|#2| $)) (-15 -1702 ((-121) $)) (-15 -3124 ($ |#1| |#2| (-121))) (-15 -3124 ($ |#1| |#2|)) (-15 -3124 ($ (-2 (|:| |val| |#1|) (|:| -4320 |#2|)))) (-15 -3124 ((-635 $) (-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))))) (-15 -3124 ((-635 $) |#1| (-635 |#2|))) (-15 -1799 ($ $)) (-15 -3504 ($ $ |#1|)) (-15 -3078 ($ $ |#2|)) (-15 -4493 ($ $ (-121))) (-15 -3793 ($ $)) (-15 -2383 ((-121) $ $ (-1 (-121) |#1| |#1|) (-1 (-121) |#2| |#2|))) (-15 -1656 ((-121) $ $ (-1 (-121) |#2| |#2|))))) 
+((-1310 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-2756 (((-1128 |#1| |#2|) $) 25)) (-3112 (($ $) 75)) (-1518 (((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|)) 84)) (-3975 (($ $ $ (-635 (-1128 |#1| |#2|))) 89) (($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|)) 90)) (-3350 (((-121) $ (-765)) NIL)) (-4548 (((-1128 |#1| |#2|) $ (-1128 |#1| |#2|)) 42 (|has| $ (-6 -4572)))) (-2511 (((-1128 |#1| |#2|) $ "value" (-1128 |#1| |#2|)) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 40 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-1493 (((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $) 79)) (-2006 (($ (-1128 |#1| |#2|) $) 38)) (-3503 (($ (-1128 |#1| |#2|) $) 30)) (-4303 (((-635 (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 50)) (-2352 (((-121) (-1128 |#1| |#2|) $) 81)) (-2638 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 (-1128 |#1| |#2|)) $) 54 (|has| $ (-6 -4571)))) (-3016 (((-121) (-1128 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-1128 |#1| |#2|) (-1093))))) (-2089 (($ (-1 (-1128 |#1| |#2|) (-1128 |#1| |#2|)) $) 46 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-1128 |#1| |#2|) (-1128 |#1| |#2|)) $) 45)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 (-1128 |#1| |#2|)) $) 52)) (-3491 (((-121) $) 41)) (-2605 (((-1147) $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-1912 (((-1111) $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-2831 (((-3 $ "failed") $) 74)) (-2985 (((-121) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-1128 |#1| |#2|)))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-289 (-1128 |#1| |#2|))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-1128 |#1| |#2|) (-1128 |#1| |#2|)) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093)))) (($ $ (-635 (-1128 |#1| |#2|)) (-635 (-1128 |#1| |#2|))) NIL (-12 (|has| (-1128 |#1| |#2|) (-304 (-1128 |#1| |#2|))) (|has| (-1128 |#1| |#2|) (-1093))))) (-3186 (((-121) $ $) 49)) (-1668 (((-121) $) 22)) (-4016 (($) 24)) (-2503 (((-1128 |#1| |#2|) $ "value") NIL)) (-3248 (((-569) $ $) NIL)) (-1630 (((-121) $) 43)) (-2691 (((-765) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571))) (((-765) (-1128 |#1| |#2|) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-1128 |#1| |#2|) (-1093))))) (-1799 (($ $) 48)) (-3124 (($ (-1128 |#1| |#2|)) 9) (($ |#1| |#2| (-635 $)) 12) (($ |#1| |#2| (-635 (-1128 |#1| |#2|))) 14) (($ |#1| |#2| |#1| (-635 |#2|)) 17)) (-3024 (((-635 |#2|) $) 80)) (-3956 (((-852) $) 72 (|has| (-1128 |#1| |#2|) (-1093)))) (-4065 (((-635 $) $) 28)) (-3773 (((-121) $ $) NIL (|has| (-1128 |#1| |#2|) (-1093)))) (-3776 (((-121) (-1 (-121) (-1128 |#1| |#2|)) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 63 (|has| (-1128 |#1| |#2|) (-1093)))) (-2946 (((-765) $) 57 (|has| $ (-6 -4571))))) 
+(((-1129 |#1| |#2|) (-13 (-1012 (-1128 |#1| |#2|)) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2831 ((-3 $ "failed") $)) (-15 -3112 ($ $)) (-15 -3124 ($ (-1128 |#1| |#2|))) (-15 -3124 ($ |#1| |#2| (-635 $))) (-15 -3124 ($ |#1| |#2| (-635 (-1128 |#1| |#2|)))) (-15 -3124 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -3024 ((-635 |#2|) $)) (-15 -1493 ((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $)) (-15 -2352 ((-121) (-1128 |#1| |#2|) $)) (-15 -1518 ((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3503 ($ (-1128 |#1| |#2|) $)) (-15 -2006 ($ (-1128 |#1| |#2|) $)) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)))) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) (-13 (-1093) (-39)) (-13 (-1093) (-39))) (T -1129)) 
+((-2831 (*1 *1 *1) (|partial| -12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3112 (*1 *1 *1) (-12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1129 *2 *3))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) (-3124 (*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1128 *2 *3))) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)))) (-3124 (*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))))) (-3024 (*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-1493 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) (-2352 (*1 *2 *3 *1) (-12 (-5 *3 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *4 *5)))) (-1518 (*1 *2 *3 *1 *4) (-12 (-5 *3 (-1128 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *5 *6)))) (-3503 (*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-2006 (*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3975 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1128 *3 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) (-3975 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1128 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *1 (-1129 *4 *5))))) 
+(-13 (-1012 (-1128 |#1| |#2|)) (-10 -8 (-6 -4572) (-6 -4571) (-15 -2831 ((-3 $ "failed") $)) (-15 -3112 ($ $)) (-15 -3124 ($ (-1128 |#1| |#2|))) (-15 -3124 ($ |#1| |#2| (-635 $))) (-15 -3124 ($ |#1| |#2| (-635 (-1128 |#1| |#2|)))) (-15 -3124 ($ |#1| |#2| |#1| (-635 |#2|))) (-15 -3024 ((-635 |#2|) $)) (-15 -1493 ((-635 (-2 (|:| |val| |#1|) (|:| -4320 |#2|))) $)) (-15 -2352 ((-121) (-1128 |#1| |#2|) $)) (-15 -1518 ((-121) (-1128 |#1| |#2|) $ (-1 (-121) |#2| |#2|))) (-15 -3503 ($ (-1128 |#1| |#2|) $)) (-15 -2006 ($ (-1128 |#1| |#2|) $)) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)))) (-15 -3975 ($ $ $ (-635 (-1128 |#1| |#2|)) (-1 (-121) |#2| |#2|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3976 (($ $) NIL)) (-3588 ((|#2| $) NIL)) (-3531 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2294 (($ (-681 |#2|)) 45)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2232 (($ |#2|) 9)) (-4483 (($) NIL T CONST)) (-4003 (($ $) 58 (|has| |#2| (-302)))) (-4128 (((-233 |#1| |#2|) $ (-569)) 31)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 |#2| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) ((|#2| $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) 72)) (-3358 (((-765) $) 60 (|has| |#2| (-559)))) (-4124 ((|#2| $ (-569) (-569)) NIL)) (-4303 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3934 (((-121) $) NIL)) (-2557 (((-765) $) 62 (|has| |#2| (-559)))) (-3970 (((-635 (-233 |#1| |#2|)) $) 66 (|has| |#2| (-559)))) (-3568 (((-765) $) NIL)) (-4145 (((-765) $) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-3164 ((|#2| $) 56 (|has| |#2| (-6 (-4573 "*"))))) (-4094 (((-569) $) NIL)) (-3841 (((-569) $) NIL)) (-4457 (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-2376 (((-569) $) NIL)) (-2414 (((-569) $) NIL)) (-2926 (($ (-635 (-635 |#2|))) 26)) (-2089 (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#2| |#2| |#2|) $ $) NIL) (($ (-1 |#2| |#2|) $) NIL)) (-4269 (((-635 (-635 |#2|)) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-1655 (((-3 $ "failed") $) 69 (|has| |#2| (-366)))) (-1912 (((-1111) $) NIL)) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559)))) (-2985 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ (-569) (-569) |#2|) NIL) ((|#2| $ (-569) (-569)) NIL)) (-3289 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-4517 ((|#2| $) NIL)) (-3990 (($ (-635 |#2|)) 40)) (-3757 (((-121) $) NIL)) (-2513 (((-233 |#1| |#2|) $) NIL)) (-4396 ((|#2| $) 54 (|has| |#2| (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 81 (|has| |#2| (-610 (-542))))) (-2349 (((-233 |#1| |#2|) $ (-569)) 33)) (-3956 (((-852) $) 36) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#2| (-1039 (-410 (-569))))) (($ |#2|) NIL) (((-681 |#2|) $) 42)) (-2320 (((-765)) 17)) (-3776 (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 11 T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-765)) NIL (|has| |#2| (-226))) (($ $) NIL (|has| |#2| (-226)))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) 52) (($ $ (-569)) 71 (|has| |#2| (-366)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#2|) NIL) (($ |#2| $) NIL) (((-233 |#1| |#2|) $ (-233 |#1| |#2|)) 48) (((-233 |#1| |#2|) (-233 |#1| |#2|) $) 50)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1130 |#1| |#2|) (-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-10 -8 (-15 -3976 ($ $)) (-15 -2294 ($ (-681 |#2|))) (-15 -3956 ((-681 |#2|) $)) (IF (|has| |#2| (-6 (-4573 "*"))) (-6 -4560) |noBranch|) (IF (|has| |#2| (-6 (-4573 "*"))) (IF (|has| |#2| (-6 -4568)) (-6 -4568) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) (-765) (-1049)) (T -1130)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-681 *4)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765)) (-4 *4 (-1049)))) (-3976 (*1 *1 *1) (-12 (-5 *1 (-1130 *2 *3)) (-14 *2 (-765)) (-4 *3 (-1049)))) (-2294 (*1 *1 *2) (-12 (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765))))) 
+(-13 (-1114 |#1| |#2| (-233 |#1| |#2|) (-233 |#1| |#2|)) (-609 (-681 |#2|)) (-10 -8 (-15 -3976 ($ $)) (-15 -2294 ($ (-681 |#2|))) (-15 -3956 ((-681 |#2|) $)) (IF (|has| |#2| (-6 (-4573 "*"))) (-6 -4560) |noBranch|) (IF (|has| |#2| (-6 (-4573 "*"))) (IF (|has| |#2| (-6 -4568)) (-6 -4568) |noBranch|) |noBranch|) (IF (|has| |#2| (-610 (-542))) (-6 (-610 (-542))) |noBranch|))) 
+((-2917 (($ $) 19)) (-1735 (($ $ (-148)) 10) (($ $ (-143)) 14)) (-2273 (((-121) $ $) 24)) (-3027 (($ $) 17)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (($ $ $) 29)) (-3956 (($ (-148)) 27) (((-852) $) NIL))) 
+(((-1131 |#1|) (-10 -8 (-15 -3956 ((-852) |#1|)) (-15 -2503 (|#1| |#1| |#1|)) (-15 -1735 (|#1| |#1| (-143))) (-15 -1735 (|#1| |#1| (-148))) (-15 -3956 (|#1| (-148))) (-15 -2273 ((-121) |#1| |#1|)) (-15 -2917 (|#1| |#1|)) (-15 -3027 (|#1| |#1|)) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2503 ((-148) |#1| (-569))) (-15 -2503 ((-148) |#1| (-569) (-148)))) (-1132)) (T -1131)) 
+NIL 
+(-10 -8 (-15 -3956 ((-852) |#1|)) (-15 -2503 (|#1| |#1| |#1|)) (-15 -1735 (|#1| |#1| (-143))) (-15 -1735 (|#1| |#1| (-148))) (-15 -3956 (|#1| (-148))) (-15 -2273 ((-121) |#1| |#1|)) (-15 -2917 (|#1| |#1|)) (-15 -3027 (|#1| |#1|)) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2503 ((-148) |#1| (-569))) (-15 -2503 ((-148) |#1| (-569) (-148)))) 
+((-1310 (((-121) $ $) 18 (|has| (-148) (-1093)))) (-3507 (($ $) 113)) (-2917 (($ $) 114)) (-1735 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 111)) (-2167 (((-121) $ $ (-569)) 110)) (-2009 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| (-148) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-3494 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-3652 (($ $ (-1219 (-569)) $) 107)) (-1858 (($ $) 73 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-148) $) 72 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) 48)) (-2273 (((-121) $ $) 112)) (-3988 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-4303 (((-635 (-148)) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 108)) (-2907 (((-765) $ $ (-148)) 109)) (-2089 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1328 (($ $) 115)) (-3027 (($ $) 116)) (-1396 (((-121) $ (-765)) 10)) (-1880 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2605 (((-1147) $) 22 (|has| (-148) (-1093)))) (-2583 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| (-148) (-1093)))) (-1816 (((-148) $) 39 (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-2417 (($ $ (-148)) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1219 (-569))) 58) (($ $ $) 95)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4571))) (((-765) (-148) $) 28 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) 65)) (-4456 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (($ (-148)) 104) (((-852) $) 20 (|has| (-148) (-1093)))) (-3776 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| (-148) (-844)))) (-1343 (((-121) $ $) 76 (|has| (-148) (-844)))) (-1326 (((-121) $ $) 19 (|has| (-148) (-1093)))) (-1349 (((-121) $ $) 78 (|has| (-148) (-844)))) (-1337 (((-121) $ $) 75 (|has| (-148) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1132) (-1284)) (T -1132)) 
+((-3027 (*1 *1 *1) (-4 *1 (-1132))) (-1328 (*1 *1 *1) (-4 *1 (-1132))) (-2917 (*1 *1 *1) (-4 *1 (-1132))) (-3507 (*1 *1 *1) (-4 *1 (-1132))) (-2273 (*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121)))) (-2211 (*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121)))) (-2167 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-569)) (-5 *2 (-121)))) (-2907 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-765)))) (-2523 (*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-121)))) (-3652 (*1 *1 *1 *2 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-1219 (-569))))) (-3988 (*1 *2 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)))) (-3988 (*1 *2 *3 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)) (-5 *3 (-143)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1132)))) (-2009 (*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) (-2009 (*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) (-1735 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-1735 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-1880 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-1880 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-3494 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148)))) (-3494 (*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) (-2503 (*1 *1 *1 *1) (-4 *1 (-1132)))) 
+(-13 (-19 (-148)) (-10 -8 (-15 -3027 ($ $)) (-15 -1328 ($ $)) (-15 -2917 ($ $)) (-15 -3507 ($ $)) (-15 -2273 ((-121) $ $)) (-15 -2211 ((-121) $ $)) (-15 -2167 ((-121) $ $ (-569))) (-15 -2907 ((-765) $ $ (-148))) (-15 -2523 ((-121) $ $ (-148))) (-15 -3652 ($ $ (-1219 (-569)) $)) (-15 -3988 ((-569) $ $ (-569))) (-15 -3988 ((-569) (-143) $ (-569))) (-15 -3956 ($ (-148))) (-15 -2009 ((-635 $) $ (-148))) (-15 -2009 ((-635 $) $ (-143))) (-15 -1735 ($ $ (-148))) (-15 -1735 ($ $ (-143))) (-15 -1880 ($ $ (-148))) (-15 -1880 ($ $ (-143))) (-15 -3494 ($ $ (-148))) (-15 -3494 ($ $ (-143))) (-15 -2503 ($ $ $)))) 
+(((-39) . T) ((-105) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-609 (-852)) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-844) |has| (-148) (-844)) ((-1093) -1929 (|has| (-148) (-1093)) (|has| (-148) (-844))) ((-1199) . T)) 
+((-3649 (((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765)) 93)) (-3877 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 54) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 53)) (-2847 (((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)) 85)) (-2888 (((-765) (-635 |#4|) (-635 |#5|)) 27)) (-2541 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 56) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765)) 55) (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121)) 57)) (-3861 (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121)) 76) (((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121)) 77)) (-4035 (((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) 80)) (-1570 (((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|) 52)) (-2986 (((-765) (-635 |#4|) (-635 |#5|)) 19))) 
+(((-1133 |#1| |#2| |#3| |#4| |#5|) (-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|) (-1102 |#1| |#2| |#3| |#4|)) (T -1133)) 
+((-2847 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1102 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1133 *4 *5 *6 *7 *8)))) (-3649 (*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1102 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1133 *7 *8 *9 *10 *11)))) (-3861 (*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-3861 (*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-2541 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-2541 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) (-2541 (*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *7 *8 *9 *3 *4)) (-4 *4 (-1102 *7 *8 *9 *3)))) (-3877 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-3877 (*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) (-1570 (*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3)))) (-2888 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) (-2986 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
+(-10 -7 (-15 -2986 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -2888 ((-765) (-635 |#4|) (-635 |#5|))) (-15 -1570 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -3877 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765) (-121))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5| (-765))) (-15 -2541 ((-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) |#4| |#5|)) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121))) (-15 -3861 ((-635 |#5|) (-635 |#4|) (-635 |#5|) (-121) (-121) (-121) (-121) (-121))) (-15 -3649 ((-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-635 |#4|) (-635 |#5|) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-2 (|:| |done| (-635 |#5|)) (|:| |todo| (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))))) (-765))) (-15 -4035 ((-1147) (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|)))) (-15 -2847 ((-1258) (-635 (-2 (|:| |val| (-635 |#4|)) (|:| -4320 |#5|))) (-765)))) 
+((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 109) (((-635 $) (-635 |#4|) (-121)) 110) (((-635 $) (-635 |#4|) (-121) (-121)) 108) (((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121)) 111)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2710 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| $) 83)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 61)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) 26 (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3279 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 39)) (-3562 ((|#4| |#4| $) 64)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 77 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4018 (((-121) |#4| $) NIL)) (-3594 (((-121) |#4| $) NIL)) (-4508 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3332 (((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121)) 123)) (-4303 (((-635 |#4|) $) 16 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 17 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 25 (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-2089 (($ (-1 |#4| |#4|) $) 23 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 21)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-2998 (((-3 |#4| (-635 $)) |#4| |#4| $) NIL)) (-1961 (((-635 (-2 (|:| |val| |#4|) (|:| -4320 $))) |#4| |#4| $) 102)) (-3302 (((-3 |#4| "failed") $) 37)) (-2079 (((-635 $) |#4| $) 87)) (-2090 (((-3 (-121) (-635 $)) |#4| $) NIL)) (-2324 (((-635 (-2 (|:| |val| (-121)) (|:| -4320 $))) |#4| $) 97) (((-121) |#4| $) 52)) (-1433 (((-635 $) |#4| $) 106) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 107) (((-635 $) |#4| (-635 $)) NIL)) (-4012 (((-635 $) (-635 |#4|) (-121) (-121) (-121)) 118)) (-3487 (($ |#4| $) 74) (($ (-635 |#4|) $) 75) (((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121)) 73)) (-1536 (((-635 |#4|) $) NIL)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) NIL)) (-1861 (((-121) $ $) NIL)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 35)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) 47)) (-3803 (($ $ |#4|) NIL) (((-635 $) |#4| $) 89) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) 85)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 13)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) 12)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 20)) (-2201 (($ $ |#3|) 42)) (-4081 (($ $ |#3|) 43)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) 31) (((-635 |#4|) $) 40)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) NIL) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2272 (((-635 $) |#4| $) 53) (((-635 $) |#4| (-635 $)) NIL) (((-635 $) (-635 |#4|) $) NIL) (((-635 $) (-635 |#4|) (-635 $)) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3267 (((-121) |#4| $) NIL)) (-3345 (((-121) |#3| $) 60)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1134 |#1| |#2| |#3| |#4|) (-13 (-1102 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) (-454) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1134)) 
+((-3487 (*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *3))) (-5 *1 (-1134 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) (-3202 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-3202 (*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-4012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) (-3332 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1134 *5 *6 *7 *8))))) (-5 *1 (-1134 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(-13 (-1102 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -3487 ((-635 $) |#4| $ (-121) (-121) (-121) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121))) (-15 -3202 ((-635 $) (-635 |#4|) (-121) (-121) (-121) (-121))) (-15 -4012 ((-635 $) (-635 |#4|) (-121) (-121) (-121))) (-15 -3332 ((-2 (|:| |val| (-635 |#4|)) (|:| |towers| (-635 $))) (-635 |#4|) (-121) (-121))))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1941 ((|#1| $) 28)) (-1537 (($ (-635 |#1|)) 33)) (-3350 (((-121) $ (-765)) NIL)) (-4483 (($) NIL T CONST)) (-2692 ((|#1| |#1| $) 30)) (-3651 ((|#1| $) 26)) (-4303 (((-635 |#1|) $) 34 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 39 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 37)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-4496 ((|#1| $) 29)) (-2351 (($ |#1| $) 31)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2166 ((|#1| $) 27)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 24)) (-4016 (($) 32)) (-2676 (((-765) $) 22)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 20)) (-3956 (((-852) $) 17 (|has| |#1| (-1093)))) (-1753 (($ (-635 |#1|)) NIL)) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 12 (|has| |#1| (-1093)))) (-2946 (((-765) $) 23 (|has| $ (-6 -4571))))) 
+(((-1135 |#1|) (-13 (-1112 |#1|) (-10 -8 (-15 -1537 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) (-1093)) (T -1135)) 
+((-3186 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1799 (*1 *1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-4016 (*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-1668 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1396 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-3206 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-3350 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) (-4483 (*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2946 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-2089 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-3776 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4)))) (-2985 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4)))) (-2691 (*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1135 *4)))) (-4303 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-4457 (*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-2691 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3016 (*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-2605 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1912 (*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1326 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1310 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) (-1753 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) (-2166 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2351 (*1 *1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-4496 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2692 (*1 *2 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-3651 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-1941 (*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) (-2676 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) (-1537 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
+(-13 (-1112 |#1|) (-10 -8 (-15 -1537 ($ (-635 |#1|))) (-15 -3651 (|#1| $)) (-15 -2166 (|#1| $)) (-15 -2692 (|#1| |#1| $)) (-15 -2351 ($ |#1| $)) (-15 -4496 (|#1| $)) (-15 -1941 (|#1| $)) (-15 -2676 ((-765) $)) (-15 -1396 ((-121) $ (-765))) (-15 -3206 ((-121) $ (-765))) (-15 -3350 ((-121) $ (-765))) (-15 -1753 ($ (-635 |#1|))) (-15 -1668 ((-121) $)) (-15 -4016 ($)) (-15 -4483 ($)) (-15 -1799 ($ $)) (-15 -3186 ((-121) $ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| $ (-6 -4572)) (-15 -2089 ($ (-1 |#1| |#1|) $)) |noBranch|) (IF (|has| |#1| (-1093)) (PROGN (-15 -2605 ((-1147) $)) (-15 -1912 ((-1111) $)) (-15 -3956 ((-852) $)) (-15 -1326 ((-121) $ $)) (-15 -1310 ((-121) $ $))) |noBranch|) (IF (|has| $ (-6 -4571)) (PROGN (-15 -2985 ((-121) (-1 (-121) |#1|) $)) (-15 -3776 ((-121) (-1 (-121) |#1|) $)) (-15 -2691 ((-765) (-1 (-121) |#1|) $)) (-15 -2946 ((-765) $)) (-15 -4303 ((-635 |#1|) $)) (-15 -4457 ((-635 |#1|) $))) |noBranch|) (IF (|has| $ (-6 -4571)) (IF (|has| |#1| (-1093)) (PROGN (-15 -3016 ((-121) |#1| $)) (-15 -2691 ((-765) |#1| $))) |noBranch|) |noBranch|))) 
+((-2511 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) NIL) (($ $ "rest" $) NIL) ((|#2| $ "last" |#2|) NIL) ((|#2| $ (-1219 (-569)) |#2|) 43) ((|#2| $ (-569) |#2|) 40)) (-1292 (((-121) $) 11)) (-2089 (($ (-1 |#2| |#2|) $) 38)) (-1816 ((|#2| $) NIL) (($ $ (-765)) 16)) (-2417 (($ $ |#2|) 39)) (-4363 (((-121) $) 10)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") NIL) (($ $ "rest") NIL) ((|#2| $ "last") NIL) (($ $ (-1219 (-569))) 30) ((|#2| $ (-569)) 22) ((|#2| $ (-569) |#2|) NIL)) (-4422 (($ $ $) 46) (($ $ |#2|) NIL)) (-4456 (($ $ $) 32) (($ |#2| $) NIL) (($ (-635 $)) 35) (($ $ |#2|) NIL))) 
+(((-1136 |#1| |#2|) (-10 -8 (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| "last")) (-15 -2503 (|#1| |#1| "rest")) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|))) (-1137 |#2|) (-1199)) (T -1136)) 
+NIL 
+(-10 -8 (-15 -1292 ((-121) |#1|)) (-15 -4363 ((-121) |#1|)) (-15 -2511 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569) |#2|)) (-15 -2503 (|#2| |#1| (-569))) (-15 -2417 (|#1| |#1| |#2|)) (-15 -4456 (|#1| |#1| |#2|)) (-15 -4456 (|#1| (-635 |#1|))) (-15 -2503 (|#1| |#1| (-1219 (-569)))) (-15 -2511 (|#2| |#1| (-1219 (-569)) |#2|)) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -4422 (|#1| |#1| |#2|)) (-15 -4422 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| "last")) (-15 -2503 (|#1| |#1| "rest")) (-15 -1816 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "first")) (-15 -1816 (|#2| |#1|)) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2089 (|#1| (-1 |#2| |#2|) |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-1403 (((-1258) $ (-569) (-569)) 94 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 114 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 83 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 99 (|has| $ (-6 -4571)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-1858 (($ $) 96 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-1 (-121) |#1|) $) 100 (|has| $ (-6 -4571))) (($ |#1| $) 97 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) 102 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 101 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 98 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3982 ((|#1| $ (-569) |#1|) 82 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 84)) (-1292 (((-121) $) 80)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) 105)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 92 (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 91 (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 108)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-2583 (($ $ $ (-569)) 113) (($ |#1| $ (-569)) 112)) (-2761 (((-635 (-569)) $) 89)) (-3292 (((-121) (-569) $) 88)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 103)) (-2417 (($ $ |#1|) 93 (|has| $ (-6 -4572)))) (-4363 (((-121) $) 81)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 90 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 87)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66) (($ $ (-1219 (-569))) 109) ((|#1| $ (-569)) 86) ((|#1| $ (-569) |#1|) 85)) (-3248 (((-569) $ $) 41)) (-2077 (($ $ (-1219 (-569))) 111) (($ $ (-569)) 110)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4035 (((-542) $) 95 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 104)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74) (($ (-635 $)) 107) (($ $ |#1|) 106)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1137 |#1|) (-1284) (-1199)) (T -1137)) 
+((-4363 (*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) (-1292 (*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(-13 (-1240 |t#1|) (-641 |t#1|) (-10 -8 (-15 -4363 ((-121) $)) (-15 -1292 ((-121) $)))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T) ((-1240 |#1|) . T)) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1138 |#1| |#2| |#3|) (-1176 |#1| |#2|) (-1093) (-1093) |#2|) (T -1138)) 
+NIL 
+(-1176 |#1| |#2|) 
+((-1310 (((-121) $ $) 7)) (-1542 (((-3 $ "failed") $) 12)) (-2605 (((-1147) $) 9)) (-1423 (($) 13 T CONST)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11)) (-1326 (((-121) $ $) 6))) 
+(((-1139) (-1284)) (T -1139)) 
+((-1423 (*1 *1) (-4 *1 (-1139))) (-1542 (*1 *1 *1) (|partial| -4 *1 (-1139)))) 
+(-13 (-1093) (-10 -8 (-15 -1423 ($) -3575) (-15 -1542 ((-3 $ "failed") $)))) 
+(((-105) . T) ((-609 (-852)) . T) ((-1093) . T)) 
+((-3140 (((-1145 |#1|) (-1145 |#1|)) 17)) (-3380 (((-1145 |#1|) (-1145 |#1|)) 13)) (-4195 (((-1145 |#1|) (-1145 |#1|) (-569) (-569)) 20)) (-1401 (((-1145 |#1|) (-1145 |#1|)) 15))) 
+(((-1140 |#1|) (-10 -7 (-15 -3380 ((-1145 |#1|) (-1145 |#1|))) (-15 -1401 ((-1145 |#1|) (-1145 |#1|))) (-15 -3140 ((-1145 |#1|) (-1145 |#1|))) (-15 -4195 ((-1145 |#1|) (-1145 |#1|) (-569) (-569)))) (-13 (-559) (-151))) (T -1140)) 
+((-4195 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1140 *4)))) (-3140 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3)))) (-1401 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3)))) (-3380 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
+(-10 -7 (-15 -3380 ((-1145 |#1|) (-1145 |#1|))) (-15 -1401 ((-1145 |#1|) (-1145 |#1|))) (-15 -3140 ((-1145 |#1|) (-1145 |#1|))) (-15 -4195 ((-1145 |#1|) (-1145 |#1|) (-569) (-569)))) 
+((-2447 (((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)) 16))) 
+(((-1141 |#1|) (-10 -7 (-15 -2447 ((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)))) (-1199)) (T -1141)) 
+((-2447 (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1199)) (-5 *1 (-1141 *4))))) 
+(-10 -7 (-15 -2447 ((-1145 |#1|) (-1145 |#1|) (-1 (-635 |#1|) |#1|)))) 
+((-4456 (((-1145 |#1|) (-1145 (-1145 |#1|))) 15))) 
+(((-1142 |#1|) (-10 -7 (-15 -4456 ((-1145 |#1|) (-1145 (-1145 |#1|))))) (-1199)) (T -1142)) 
+((-4456 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1142 *4)) (-4 *4 (-1199))))) 
+(-10 -7 (-15 -4456 ((-1145 |#1|) (-1145 (-1145 |#1|))))) 
+((-2247 (((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)) 25)) (-2793 ((|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)) 26)) (-4188 (((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|)) 16))) 
+(((-1143 |#1| |#2|) (-10 -7 (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|))) (-15 -2247 ((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|))) (-15 -2793 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)))) (-1199) (-1199)) (T -1143)) 
+((-2793 (*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1143 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1145 *6)) (-4 *6 (-1199)) (-4 *3 (-1199)) (-5 *2 (-1145 *3)) (-5 *1 (-1143 *6 *3)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1143 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1145 |#1|))) (-15 -2247 ((-1145 |#2|) |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|))) (-15 -2793 (|#2| |#2| (-1 |#2| |#1| |#2|) (-1145 |#1|)))) 
+((-4188 (((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)) 21))) 
+(((-1144 |#1| |#2| |#3|) (-10 -7 (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)))) (-1199) (-1199) (-1199)) (T -1144)) 
+((-4188 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-1144 *6 *7 *8))))) 
+(-10 -7 (-15 -4188 ((-1145 |#3|) (-1 |#3| |#1| |#2|) (-1145 |#1|) (-1145 |#2|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) NIL)) (-1823 ((|#1| $) NIL)) (-2394 (($ $) 48)) (-1403 (((-1258) $ (-569) (-569)) 73 (|has| $ (-6 -4572)))) (-2627 (($ $ (-569)) 107 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-4515 (((-852) $) 37 (|has| |#1| (-1093)))) (-3432 (((-121)) 38 (|has| |#1| (-1093)))) (-4548 ((|#1| $ |#1|) NIL (|has| $ (-6 -4572)))) (-2908 (($ $ $) 95 (|has| $ (-6 -4572))) (($ $ (-569) $) 117)) (-2450 ((|#1| $ |#1|) 104 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 99 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 101 (|has| $ (-6 -4572))) (($ $ "rest" $) 103 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 106 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 86 (|has| $ (-6 -4572))) ((|#1| $ (-569) |#1|) 52 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 55)) (-4024 ((|#1| $) NIL)) (-4483 (($) NIL T CONST)) (-3788 (($ $) 14)) (-1864 (($ $) 28) (($ $ (-765)) 85)) (-2861 (((-121) (-635 |#1|) $) 112 (|has| |#1| (-1093)))) (-2012 (($ (-635 |#1|)) 109)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) 54)) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-1292 (((-121) $) NIL)) (-4303 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-1957 (((-1258) (-569) $) 116 (|has| |#1| (-1093)))) (-1938 (((-765) $) 114)) (-3899 (((-635 $) $) NIL)) (-2638 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 70 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 60) (($ (-1 |#1| |#1| |#1|) $ $) 64)) (-1396 (((-121) $ (-765)) NIL)) (-1322 (((-635 |#1|) $) NIL)) (-3491 (((-121) $) NIL)) (-2176 (($ $) 87)) (-1849 (((-121) $) 13)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-3302 ((|#1| $) NIL) (($ $ (-765)) NIL)) (-2583 (($ $ $ (-569)) NIL) (($ |#1| $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) 71)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2109 (($ (-1 |#1|)) 119) (($ (-1 |#1| |#1|) |#1|) 120)) (-2409 ((|#1| $) 10)) (-1816 ((|#1| $) 27) (($ $ (-765)) 46)) (-3855 (((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $) 24)) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2128 (($ (-1 (-121) |#1|) $) 121)) (-2134 (($ (-1 (-121) |#1|) $) 122)) (-2417 (($ $ |#1|) 65 (|has| $ (-6 -4572)))) (-3803 (($ $ (-569)) 31)) (-4363 (((-121) $) 69)) (-1385 (((-121) $) 12)) (-3522 (((-121) $) 113)) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 20)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) 15)) (-4016 (($) 40)) (-2503 ((|#1| $ "value") NIL) ((|#1| $ "first") NIL) (($ $ "rest") NIL) ((|#1| $ "last") NIL) (($ $ (-1219 (-569))) NIL) ((|#1| $ (-569)) 51) ((|#1| $ (-569) |#1|) NIL)) (-3248 (((-569) $ $) 45)) (-2077 (($ $ (-1219 (-569))) NIL) (($ $ (-569)) NIL)) (-2393 (($ (-1 $)) 44)) (-1630 (((-121) $) 66)) (-2588 (($ $) 67)) (-1390 (($ $) 96 (|has| $ (-6 -4572)))) (-3977 (((-765) $) NIL)) (-2483 (($ $) NIL)) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 41)) (-4035 (((-542) $) NIL (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 50)) (-1792 (($ |#1| $) 94)) (-4422 (($ $ $) 97 (|has| $ (-6 -4572))) (($ $ |#1|) 98 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 42) (($ (-635 $)) 80) (($ $ |#1|) 74)) (-2994 (($ $) 47)) (-3956 (((-852) $) 39 (|has| |#1| (-1093))) (($ (-635 |#1|)) 108)) (-4065 (((-635 $) $) NIL)) (-3773 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 111 (|has| |#1| (-1093)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1145 |#1|) (-13 (-666 |#1|) (-10 -8 (-6 -4572) (-15 -3956 ($ (-635 |#1|))) (-15 -2012 ($ (-635 |#1|))) (IF (|has| |#1| (-1093)) (-15 -2861 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3855 ((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $)) (-15 -2393 ($ (-1 $))) (-15 -1792 ($ |#1| $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1957 ((-1258) (-569) $)) (-15 -4515 ((-852) $)) (-15 -3432 ((-121)))) |noBranch|) (-15 -2908 ($ $ (-569) $)) (-15 -2109 ($ (-1 |#1|))) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)))) (-1199)) (T -1145)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2012 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2861 (*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)) (-5 *1 (-1145 *4)))) (-3855 (*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765)))) (-5 *1 (-1145 *4)) (-4 *4 (-1199)) (-5 *3 (-765)))) (-2393 (*1 *1 *2) (-12 (-5 *2 (-1 (-1145 *3))) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) (-1792 (*1 *1 *2 *1) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1199)))) (-1957 (*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1145 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)))) (-4515 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)))) (-3432 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)))) (-2908 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) (-2109 (*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2109 (*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2128 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) (-2134 (*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
+(-13 (-666 |#1|) (-10 -8 (-6 -4572) (-15 -3956 ($ (-635 |#1|))) (-15 -2012 ($ (-635 |#1|))) (IF (|has| |#1| (-1093)) (-15 -2861 ((-121) (-635 |#1|) $)) |noBranch|) (-15 -3855 ((-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765))) (-765) $)) (-15 -2393 ($ (-1 $))) (-15 -1792 ($ |#1| $)) (IF (|has| |#1| (-1093)) (PROGN (-15 -1957 ((-1258) (-569) $)) (-15 -4515 ((-852) $)) (-15 -3432 ((-121)))) |noBranch|) (-15 -2908 ($ $ (-569) $)) (-15 -2109 ($ (-1 |#1|))) (-15 -2109 ($ (-1 |#1| |#1|) |#1|)) (-15 -2128 ($ (-1 (-121) |#1|) $)) (-15 -2134 ($ (-1 (-121) |#1|) $)))) 
+((-1310 (((-121) $ $) 18)) (-3507 (($ $) 113)) (-2917 (($ $) 114)) (-1735 (($ $ (-148)) 101) (($ $ (-143)) 100)) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) 111)) (-2167 (((-121) $ $ (-569)) 110)) (-3257 (($ (-569)) 118)) (-2009 (((-635 $) $ (-148)) 103) (((-635 $) $ (-143)) 102)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) 91) (((-121) $) 85 (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| (-148) (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) 92) (($ $) 86 (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 (((-148) $ (-569) (-148)) 49 (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-3494 (($ $ (-148)) 97) (($ $ (-143)) 96)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-3652 (($ $ (-1219 (-569)) $) 107)) (-1858 (($ $) 73 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ (-148) $) 72 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-148)) $) 69 (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) 71 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) 68 (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) 67 (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) 50 (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) 48)) (-2273 (((-121) $ $) 112)) (-3988 (((-569) (-1 (-121) (-148)) $) 90) (((-569) (-148) $) 89 (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) 88 (|has| (-148) (-1093))) (((-569) $ $ (-569)) 106) (((-569) (-143) $ (-569)) 105)) (-4303 (((-635 (-148)) $) 30 (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) 94) (($ $ $) 87 (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) 27 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) 108)) (-2907 (((-765) $ $ (-148)) 109)) (-2089 (($ (-1 (-148) (-148)) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) 35) (($ (-1 (-148) (-148) (-148)) $ $) 59)) (-1328 (($ $) 115)) (-3027 (($ $) 116)) (-1396 (((-121) $ (-765)) 10)) (-1880 (($ $ (-148)) 99) (($ $ (-143)) 98)) (-2605 (((-1147) $) 22)) (-2583 (($ (-148) $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21)) (-1816 (((-148) $) 39 (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) 66)) (-2417 (($ $ (-148)) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) 26 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) 25 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) 24 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) 23 (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) (-148) $) 42 (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 (((-148) $ (-569) (-148)) 47) (((-148) $ (-569)) 46) (($ $ (-1219 (-569))) 58) (($ $ $) 95)) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-2691 (((-765) (-1 (-121) (-148)) $) 31 (|has| $ (-6 -4571))) (((-765) (-148) $) 28 (-12 (|has| (-148) (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) 65)) (-4456 (($ $ (-148)) 63) (($ (-148) $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (($ (-148)) 104) (((-852) $) 20)) (-3776 (((-121) (-1 (-121) (-148)) $) 33 (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 122) (((-1147) $ (-121)) 121) (((-1258) (-819) $) 120) (((-1258) (-819) $ (-121)) 119)) (-1355 (((-121) $ $) 77 (|has| (-148) (-844)))) (-1343 (((-121) $ $) 76 (|has| (-148) (-844)))) (-1326 (((-121) $ $) 19)) (-1349 (((-121) $ $) 78 (|has| (-148) (-844)))) (-1337 (((-121) $ $) 75 (|has| (-148) (-844)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1146) (-1284)) (T -1146)) 
+((-3257 (*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1146))))) 
+(-13 (-1132) (-1093) (-825) (-10 -8 (-15 -3257 ($ (-569))))) 
+(((-39) . T) ((-105) . T) ((-609 (-852)) . T) ((-155 (-148)) . T) ((-610 (-542)) |has| (-148) (-610 (-542))) ((-282 (-569) (-148)) . T) ((-284 (-569) (-148)) . T) ((-304 (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-376 (-148)) . T) ((-500 (-148)) . T) ((-602 (-569) (-148)) . T) ((-524 (-148) (-148)) -12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))) ((-641 (-148)) . T) ((-19 (-148)) . T) ((-825) . T) ((-844) |has| (-148) (-844)) ((-1093) . T) ((-1132) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-3507 (($ $) NIL)) (-2917 (($ $) NIL)) (-1735 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-2211 (((-121) $ $) NIL)) (-2167 (((-121) $ $ (-569)) NIL)) (-3257 (($ (-569)) 7)) (-2009 (((-635 $) $ (-148)) NIL) (((-635 $) $ (-143)) NIL)) (-3382 (((-121) (-1 (-121) (-148) (-148)) $) NIL) (((-121) $) NIL (|has| (-148) (-844)))) (-1744 (($ (-1 (-121) (-148) (-148)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-148) (-844))))) (-2930 (($ (-1 (-121) (-148) (-148)) $) NIL) (($ $) NIL (|has| (-148) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572))) (((-148) $ (-1219 (-569)) (-148)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-3494 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-3652 (($ $ (-1219 (-569)) $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3503 (($ (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (($ (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-148) (-1 (-148) (-148) (-148)) $ (-148) (-148)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093)))) (((-148) (-1 (-148) (-148) (-148)) $ (-148)) NIL (|has| $ (-6 -4571))) (((-148) (-1 (-148) (-148) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-148) $ (-569) (-148)) NIL (|has| $ (-6 -4572)))) (-4124 (((-148) $ (-569)) NIL)) (-2273 (((-121) $ $) NIL)) (-3988 (((-569) (-1 (-121) (-148)) $) NIL) (((-569) (-148) $) NIL (|has| (-148) (-1093))) (((-569) (-148) $ (-569)) NIL (|has| (-148) (-1093))) (((-569) $ $ (-569)) NIL) (((-569) (-143) $ (-569)) NIL)) (-4303 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-148)) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-148) (-844)))) (-2102 (($ (-1 (-121) (-148) (-148)) $ $) NIL) (($ $ $) NIL (|has| (-148) (-844)))) (-4457 (((-635 (-148)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-148) (-844)))) (-2523 (((-121) $ $ (-148)) NIL)) (-2907 (((-765) $ $ (-148)) NIL)) (-2089 (($ (-1 (-148) (-148)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-148) (-148)) $) NIL) (($ (-1 (-148) (-148) (-148)) $ $) NIL)) (-1328 (($ $) NIL)) (-3027 (($ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-1880 (($ $ (-148)) NIL) (($ $ (-143)) NIL)) (-2605 (((-1147) $) NIL)) (-2583 (($ (-148) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-148) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-148) "failed") (-1 (-121) (-148)) $) NIL)) (-2417 (($ $ (-148)) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-148)))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-289 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-148) (-148)) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093)))) (($ $ (-635 (-148)) (-635 (-148))) NIL (-12 (|has| (-148) (-304 (-148))) (|has| (-148) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-4283 (((-635 (-148)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 (((-148) $ (-569) (-148)) NIL) (((-148) $ (-569)) NIL) (($ $ (-1219 (-569))) NIL) (($ $ $) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571))) (((-765) (-148) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-148) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-148) (-610 (-542))))) (-3124 (($ (-635 (-148))) NIL)) (-4456 (($ $ (-148)) NIL) (($ (-148) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (($ (-148)) NIL) (((-852) $) NIL)) (-3776 (((-121) (-1 (-121) (-148)) $) NIL (|has| $ (-6 -4571)))) (-3685 (((-1147) $) 18) (((-1147) $ (-121)) 20) (((-1258) (-819) $) 21) (((-1258) (-819) $ (-121)) 22)) (-1355 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| (-148) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-148) (-844)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1147) (-1146)) (T -1147)) 
+NIL 
+(-1146) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-1403 (((-1258) $ (-1147) (-1147)) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-1147) |#1|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#1| "failed") (-1147) $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#1| "failed") (-1147) $) NIL)) (-3503 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-1147) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-1147)) NIL)) (-4303 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-1147) $) NIL (|has| (-1147) (-844)))) (-4457 (((-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-1147) $) NIL (|has| (-1147) (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL) (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1316 (((-635 (-1147)) $) NIL)) (-1591 (((-121) (-1147) $) NIL)) (-4496 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2761 (((-635 (-1147)) $) NIL)) (-3292 (((-121) (-1147) $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1816 ((|#1| $) NIL (|has| (-1147) (-844)))) (-2569 (((-3 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) "failed") (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL (-12 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-304 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-1147)) NIL) ((|#1| $ (-1147) |#1|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 (-1147)) (|:| -3175 |#1|)) (-1093)) (|has| |#1| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1148 |#1|) (-13 (-1176 (-1147) |#1|) (-10 -7 (-6 -4571))) (-1093)) (T -1148)) 
+NIL 
+(-13 (-1176 (-1147) |#1|) (-10 -7 (-6 -4571))) 
+((-1661 (((-1145 |#1|) (-1145 |#1|)) 77)) (-2611 (((-3 (-1145 |#1|) "failed") (-1145 |#1|)) 37)) (-2794 (((-1145 |#1|) (-410 (-569)) (-1145 |#1|)) 117 (|has| |#1| (-43 (-410 (-569)))))) (-2978 (((-1145 |#1|) |#1| (-1145 |#1|)) 121 (|has| |#1| (-366)))) (-1582 (((-1145 |#1|) (-1145 |#1|)) 90)) (-2939 (((-1145 (-569)) (-569)) 57)) (-2538 (((-1145 |#1|) (-1145 (-1145 |#1|))) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2904 (((-1145 |#1|) (-569) (-569) (-1145 |#1|)) 95)) (-3558 (((-1145 |#1|) |#1| (-569)) 45)) (-2782 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 60)) (-3778 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 119 (|has| |#1| (-366)))) (-2766 (((-1145 |#1|) |#1| (-1 (-1145 |#1|))) 107 (|has| |#1| (-43 (-410 (-569)))))) (-2965 (((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|))) 120 (|has| |#1| (-366)))) (-2851 (((-1145 |#1|) (-1145 |#1|)) 89)) (-1451 (((-1145 |#1|) (-1145 |#1|)) 76)) (-1665 (((-1145 |#1|) (-569) (-569) (-1145 |#1|)) 96)) (-1324 (((-1145 |#1|) |#1| (-1145 |#1|)) 105 (|has| |#1| (-43 (-410 (-569)))))) (-2261 (((-1145 (-569)) (-569)) 56)) (-1763 (((-1145 |#1|) |#1|) 59)) (-1302 (((-1145 |#1|) (-1145 |#1|) (-569) (-569)) 92)) (-3333 (((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|)) 66)) (-1436 (((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|)) 35)) (-1458 (((-1145 |#1|) (-1145 |#1|)) 91)) (-1484 (((-1145 |#1|) (-1145 |#1|) |#1|) 71)) (-3893 (((-1145 |#1|) (-1145 |#1|)) 62)) (-4532 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 72)) (-3956 (((-1145 |#1|) |#1|) 67)) (-2429 (((-1145 |#1|) (-1145 (-1145 |#1|))) 82)) (-1383 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 36)) (-1377 (((-1145 |#1|) (-1145 |#1|)) 21) (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 23)) (-1371 (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 17)) (* (((-1145 |#1|) (-1145 |#1|) |#1|) 29) (((-1145 |#1|) |#1| (-1145 |#1|)) 26) (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 27))) 
+(((-1149 |#1|) (-10 -7 (-15 -1371 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -1436 ((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|))) (-15 -1383 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2611 ((-3 (-1145 |#1|) "failed") (-1145 |#1|))) (-15 -3558 ((-1145 |#1|) |#1| (-569))) (-15 -2261 ((-1145 (-569)) (-569))) (-15 -2939 ((-1145 (-569)) (-569))) (-15 -1763 ((-1145 |#1|) |#1|)) (-15 -2782 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3893 ((-1145 |#1|) (-1145 |#1|))) (-15 -3333 ((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) |#1|)) (-15 -1484 ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -4532 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1451 ((-1145 |#1|) (-1145 |#1|))) (-15 -1661 ((-1145 |#1|) (-1145 |#1|))) (-15 -2429 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2851 ((-1145 |#1|) (-1145 |#1|))) (-15 -1582 ((-1145 |#1|) (-1145 |#1|))) (-15 -1458 ((-1145 |#1|) (-1145 |#1|))) (-15 -1302 ((-1145 |#1|) (-1145 |#1|) (-569) (-569))) (-15 -2904 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (-15 -1665 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 -2766 ((-1145 |#1|) |#1| (-1 (-1145 |#1|)))) (-15 -2538 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2794 ((-1145 |#1|) (-410 (-569)) (-1145 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3778 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2965 ((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|)))) (-15 -2978 ((-1145 |#1|) |#1| (-1145 |#1|)))) |noBranch|)) (-1049)) (T -1149)) 
+((-2978 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2965 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1145 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)))) (-3778 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2794 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1049)) (-5 *3 (-410 (-569))) (-5 *1 (-1149 *4)))) (-2538 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)))) (-2766 (*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1145 *3))) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) (-1324 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1665 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-2904 (*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-1302 (*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-1458 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1582 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2851 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2429 (*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-1049)))) (-1661 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1451 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-4532 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1484 (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-3956 (*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-3333 (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) (-3893 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-2782 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1763 (*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-2939 (*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569)))) (-2261 (*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569)))) (-3558 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) (-2611 (*1 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1383 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1436 (*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (* (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1377 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(-10 -7 (-15 -1371 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1377 ((-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 * ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 * ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -1436 ((-3 (-1145 |#1|) "failed") (-1145 |#1|) (-1145 |#1|))) (-15 -1383 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2611 ((-3 (-1145 |#1|) "failed") (-1145 |#1|))) (-15 -3558 ((-1145 |#1|) |#1| (-569))) (-15 -2261 ((-1145 (-569)) (-569))) (-15 -2939 ((-1145 (-569)) (-569))) (-15 -1763 ((-1145 |#1|) |#1|)) (-15 -2782 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3893 ((-1145 |#1|) (-1145 |#1|))) (-15 -3333 ((-1145 |#1|) (-1 |#1| (-569)) (-1145 |#1|))) (-15 -3956 ((-1145 |#1|) |#1|)) (-15 -1484 ((-1145 |#1|) (-1145 |#1|) |#1|)) (-15 -4532 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -1451 ((-1145 |#1|) (-1145 |#1|))) (-15 -1661 ((-1145 |#1|) (-1145 |#1|))) (-15 -2429 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2851 ((-1145 |#1|) (-1145 |#1|))) (-15 -1582 ((-1145 |#1|) (-1145 |#1|))) (-15 -1458 ((-1145 |#1|) (-1145 |#1|))) (-15 -1302 ((-1145 |#1|) (-1145 |#1|) (-569) (-569))) (-15 -2904 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (-15 -1665 ((-1145 |#1|) (-569) (-569) (-1145 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ((-1145 |#1|) |#1| (-1145 |#1|))) (-15 -2766 ((-1145 |#1|) |#1| (-1 (-1145 |#1|)))) (-15 -2538 ((-1145 |#1|) (-1145 (-1145 |#1|)))) (-15 -2794 ((-1145 |#1|) (-410 (-569)) (-1145 |#1|)))) |noBranch|) (IF (|has| |#1| (-366)) (PROGN (-15 -3778 ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -2965 ((-1145 |#1|) (-1 |#1| (-569)) |#1| (-1 (-1145 |#1|)))) (-15 -2978 ((-1145 |#1|) |#1| (-1145 |#1|)))) |noBranch|)) 
+((-3544 (((-1145 |#1|) (-1145 |#1|)) 57)) (-3467 (((-1145 |#1|) (-1145 |#1|)) 39)) (-3530 (((-1145 |#1|) (-1145 |#1|)) 53)) (-3455 (((-1145 |#1|) (-1145 |#1|)) 35)) (-3559 (((-1145 |#1|) (-1145 |#1|)) 60)) (-3480 (((-1145 |#1|) (-1145 |#1|)) 42)) (-3597 (((-1145 |#1|) (-1145 |#1|)) 31)) (-3408 (((-1145 |#1|) (-1145 |#1|)) 27)) (-3565 (((-1145 |#1|) (-1145 |#1|)) 61)) (-3485 (((-1145 |#1|) (-1145 |#1|)) 43)) (-3551 (((-1145 |#1|) (-1145 |#1|)) 58)) (-3473 (((-1145 |#1|) (-1145 |#1|)) 40)) (-3538 (((-1145 |#1|) (-1145 |#1|)) 55)) (-3460 (((-1145 |#1|) (-1145 |#1|)) 37)) (-3585 (((-1145 |#1|) (-1145 |#1|)) 65)) (-3505 (((-1145 |#1|) (-1145 |#1|)) 47)) (-3572 (((-1145 |#1|) (-1145 |#1|)) 63)) (-3490 (((-1145 |#1|) (-1145 |#1|)) 45)) (-3599 (((-1145 |#1|) (-1145 |#1|)) 68)) (-3517 (((-1145 |#1|) (-1145 |#1|)) 50)) (-4527 (((-1145 |#1|) (-1145 |#1|)) 69)) (-3525 (((-1145 |#1|) (-1145 |#1|)) 51)) (-3592 (((-1145 |#1|) (-1145 |#1|)) 67)) (-3510 (((-1145 |#1|) (-1145 |#1|)) 49)) (-3579 (((-1145 |#1|) (-1145 |#1|)) 66)) (-3497 (((-1145 |#1|) (-1145 |#1|)) 48)) (** (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 33))) 
+(((-1150 |#1|) (-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) (-43 (-410 (-569)))) (T -1150)) 
+((-4527 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3599 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3592 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3585 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3579 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3572 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3565 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3559 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3544 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3538 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3530 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3525 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3517 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3505 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3497 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3490 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3485 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3480 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3473 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3467 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3460 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3455 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3597 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) (-3408 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3))))) 
+(-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) 
+((-3544 (((-1145 |#1|) (-1145 |#1|)) 100)) (-3467 (((-1145 |#1|) (-1145 |#1|)) 64)) (-2698 (((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|)) 96)) (-3530 (((-1145 |#1|) (-1145 |#1|)) 97)) (-3737 (((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|)) 53)) (-3455 (((-1145 |#1|) (-1145 |#1|)) 54)) (-3559 (((-1145 |#1|) (-1145 |#1|)) 102)) (-3480 (((-1145 |#1|) (-1145 |#1|)) 71)) (-3597 (((-1145 |#1|) (-1145 |#1|)) 39)) (-3408 (((-1145 |#1|) (-1145 |#1|)) 36)) (-3565 (((-1145 |#1|) (-1145 |#1|)) 103)) (-3485 (((-1145 |#1|) (-1145 |#1|)) 72)) (-3551 (((-1145 |#1|) (-1145 |#1|)) 101)) (-3473 (((-1145 |#1|) (-1145 |#1|)) 67)) (-3538 (((-1145 |#1|) (-1145 |#1|)) 98)) (-3460 (((-1145 |#1|) (-1145 |#1|)) 55)) (-3585 (((-1145 |#1|) (-1145 |#1|)) 111)) (-3505 (((-1145 |#1|) (-1145 |#1|)) 86)) (-3572 (((-1145 |#1|) (-1145 |#1|)) 105)) (-3490 (((-1145 |#1|) (-1145 |#1|)) 82)) (-3599 (((-1145 |#1|) (-1145 |#1|)) 115)) (-3517 (((-1145 |#1|) (-1145 |#1|)) 90)) (-4527 (((-1145 |#1|) (-1145 |#1|)) 117)) (-3525 (((-1145 |#1|) (-1145 |#1|)) 92)) (-3592 (((-1145 |#1|) (-1145 |#1|)) 113)) (-3510 (((-1145 |#1|) (-1145 |#1|)) 88)) (-3579 (((-1145 |#1|) (-1145 |#1|)) 107)) (-3497 (((-1145 |#1|) (-1145 |#1|)) 84)) (** (((-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) 40))) 
+(((-1151 |#1|) (-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3737 ((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -2698 ((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) (-43 (-410 (-569)))) (T -1151)) 
+((-4527 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3599 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3592 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3585 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3579 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3572 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3565 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3559 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3551 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3544 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3538 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3530 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-2698 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3530 (-1145 *4)) (|:| -3538 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4)))) (-3525 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3517 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3510 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3505 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3497 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3490 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3485 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3480 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3473 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3467 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3460 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3455 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3737 (*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3455 (-1145 *4)) (|:| -3460 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4)))) (** (*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3597 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) (-3408 (*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(-10 -7 (-15 -3408 ((-1145 |#1|) (-1145 |#1|))) (-15 -3597 ((-1145 |#1|) (-1145 |#1|))) (-15 ** ((-1145 |#1|) (-1145 |#1|) (-1145 |#1|))) (-15 -3737 ((-2 (|:| -3455 (-1145 |#1|)) (|:| -3460 (-1145 |#1|))) (-1145 |#1|))) (-15 -3455 ((-1145 |#1|) (-1145 |#1|))) (-15 -3460 ((-1145 |#1|) (-1145 |#1|))) (-15 -3467 ((-1145 |#1|) (-1145 |#1|))) (-15 -3473 ((-1145 |#1|) (-1145 |#1|))) (-15 -3480 ((-1145 |#1|) (-1145 |#1|))) (-15 -3485 ((-1145 |#1|) (-1145 |#1|))) (-15 -3490 ((-1145 |#1|) (-1145 |#1|))) (-15 -3497 ((-1145 |#1|) (-1145 |#1|))) (-15 -3505 ((-1145 |#1|) (-1145 |#1|))) (-15 -3510 ((-1145 |#1|) (-1145 |#1|))) (-15 -3517 ((-1145 |#1|) (-1145 |#1|))) (-15 -3525 ((-1145 |#1|) (-1145 |#1|))) (-15 -2698 ((-2 (|:| -3530 (-1145 |#1|)) (|:| -3538 (-1145 |#1|))) (-1145 |#1|))) (-15 -3530 ((-1145 |#1|) (-1145 |#1|))) (-15 -3538 ((-1145 |#1|) (-1145 |#1|))) (-15 -3544 ((-1145 |#1|) (-1145 |#1|))) (-15 -3551 ((-1145 |#1|) (-1145 |#1|))) (-15 -3559 ((-1145 |#1|) (-1145 |#1|))) (-15 -3565 ((-1145 |#1|) (-1145 |#1|))) (-15 -3572 ((-1145 |#1|) (-1145 |#1|))) (-15 -3579 ((-1145 |#1|) (-1145 |#1|))) (-15 -3585 ((-1145 |#1|) (-1145 |#1|))) (-15 -3592 ((-1145 |#1|) (-1145 |#1|))) (-15 -3599 ((-1145 |#1|) (-1145 |#1|))) (-15 -4527 ((-1145 |#1|) (-1145 |#1|)))) 
+((-4207 (((-960 |#2|) |#2| |#2|) 35)) (-2540 ((|#2| |#2| |#1|) 19 (|has| |#1| (-302))))) 
+(((-1152 |#1| |#2|) (-10 -7 (-15 -4207 ((-960 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -2540 (|#2| |#2| |#1|)) |noBranch|)) (-559) (-1228 |#1|)) (T -1152)) 
+((-2540 (*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1152 *3 *2)) (-4 *2 (-1228 *3)))) (-4207 (*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-960 *3)) (-5 *1 (-1152 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -4207 ((-960 |#2|) |#2| |#2|)) (IF (|has| |#1| (-302)) (-15 -2540 (|#2| |#2| |#1|)) |noBranch|)) 
+((-1310 (((-121) $ $) NIL)) (-2982 (($ $ (-635 (-765))) 66)) (-2215 (($) 25)) (-4400 (($ $) 41)) (-2507 (((-635 $) $) 50)) (-3595 (((-121) $) 16)) (-2233 (((-635 (-946 |#2|)) $) 73)) (-3180 (($ $) 67)) (-1722 (((-765) $) 36)) (-2446 (($) 24)) (-2818 (($ $ (-635 (-765)) (-946 |#2|)) 59) (($ $ (-635 (-765)) (-765)) 60) (($ $ (-765) (-946 |#2|)) 62)) (-2102 (($ $ $) 47) (($ (-635 $)) 49)) (-2113 (((-765) $) 74)) (-3491 (((-121) $) 15)) (-2605 (((-1147) $) NIL)) (-2485 (((-121) $) 17)) (-1912 (((-1111) $) NIL)) (-2448 (((-172) $) 72)) (-4169 (((-946 |#2|) $) 68)) (-3022 (((-765) $) 69)) (-3799 (((-121) $) 71)) (-4401 (($ $ (-635 (-765)) (-172)) 65)) (-4257 (($ $) 42)) (-3956 (((-852) $) 84)) (-3537 (($ $ (-635 (-765)) (-121)) 64)) (-4065 (((-635 $) $) 11)) (-2519 (($ $ (-765)) 35)) (-2895 (($ $) 31)) (-2235 (($ $ $ (-946 |#2|) (-765)) 55)) (-2455 (($ $ (-946 |#2|)) 54)) (-2731 (($ $ (-635 (-765)) (-946 |#2|)) 53) (($ $ (-635 (-765)) (-765)) 57) (((-765) $ (-946 |#2|)) 58)) (-1326 (((-121) $ $) 78))) 
+(((-1153 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -3491 ((-121) $)) (-15 -3595 ((-121) $)) (-15 -2485 ((-121) $)) (-15 -2446 ($)) (-15 -2215 ($)) (-15 -2895 ($ $)) (-15 -2519 ($ $ (-765))) (-15 -4065 ((-635 $) $)) (-15 -1722 ((-765) $)) (-15 -4400 ($ $)) (-15 -4257 ($ $)) (-15 -2102 ($ $ $)) (-15 -2102 ($ (-635 $))) (-15 -2507 ((-635 $) $)) (-15 -2731 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2455 ($ $ (-946 |#2|))) (-15 -2235 ($ $ $ (-946 |#2|) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2731 ($ $ (-635 (-765)) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-765))) (-15 -2731 ((-765) $ (-946 |#2|))) (-15 -2818 ($ $ (-765) (-946 |#2|))) (-15 -3537 ($ $ (-635 (-765)) (-121))) (-15 -4401 ($ $ (-635 (-765)) (-172))) (-15 -2982 ($ $ (-635 (-765)))) (-15 -4169 ((-946 |#2|) $)) (-15 -3022 ((-765) $)) (-15 -3799 ((-121) $)) (-15 -2448 ((-172) $)) (-15 -2113 ((-765) $)) (-15 -3180 ($ $)) (-15 -2233 ((-635 (-946 |#2|)) $)))) (-919) (-1049)) (T -1153)) 
+((-3491 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3595 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2485 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2446 (*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2215 (*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2895 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2519 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4065 (*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-1722 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4400 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-4257 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2102 (*1 *1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2102 (*1 *1 *2) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2507 (*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2731 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2455 (*1 *1 *1 *2) (-12 (-5 *2 (-946 *4)) (-4 *4 (-1049)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)))) (-2235 (*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-946 *5)) (-5 *3 (-765)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2731 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2731 (*1 *2 *1 *3) (-12 (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *2 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-2818 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) (-3537 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-121)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-4401 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-172)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) (-2982 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-4169 (*1 *2 *1) (-12 (-5 *2 (-946 *4)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3022 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3799 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2448 (*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-2113 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) (-3180 (*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) (-2233 (*1 *2 *1) (-12 (-5 *2 (-635 (-946 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(-13 (-1093) (-10 -8 (-15 -3491 ((-121) $)) (-15 -3595 ((-121) $)) (-15 -2485 ((-121) $)) (-15 -2446 ($)) (-15 -2215 ($)) (-15 -2895 ($ $)) (-15 -2519 ($ $ (-765))) (-15 -4065 ((-635 $) $)) (-15 -1722 ((-765) $)) (-15 -4400 ($ $)) (-15 -4257 ($ $)) (-15 -2102 ($ $ $)) (-15 -2102 ($ (-635 $))) (-15 -2507 ((-635 $) $)) (-15 -2731 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2455 ($ $ (-946 |#2|))) (-15 -2235 ($ $ $ (-946 |#2|) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-946 |#2|))) (-15 -2731 ($ $ (-635 (-765)) (-765))) (-15 -2818 ($ $ (-635 (-765)) (-765))) (-15 -2731 ((-765) $ (-946 |#2|))) (-15 -2818 ($ $ (-765) (-946 |#2|))) (-15 -3537 ($ $ (-635 (-765)) (-121))) (-15 -4401 ($ $ (-635 (-765)) (-172))) (-15 -2982 ($ $ (-635 (-765)))) (-15 -4169 ((-946 |#2|) $)) (-15 -3022 ((-765) $)) (-15 -3799 ((-121) $)) (-15 -2448 ((-172) $)) (-15 -2113 ((-765) $)) (-15 -3180 ($ $)) (-15 -2233 ((-635 (-946 |#2|)) $)))) 
+((-1310 (((-121) $ $) NIL)) (-4255 ((|#2| $) 11)) (-1338 ((|#1| $) 10)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3124 (($ |#1| |#2|) 9)) (-3956 (((-852) $) 16)) (-1326 (((-121) $ $) NIL))) 
+(((-1154 |#1| |#2|) (-13 (-1093) (-10 -8 (-15 -3124 ($ |#1| |#2|)) (-15 -1338 (|#1| $)) (-15 -4255 (|#2| $)))) (-1093) (-1093)) (T -1154)) 
+((-3124 (*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-1338 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *2 *3)) (-4 *3 (-1093)))) (-4255 (*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *3 *2)) (-4 *3 (-1093))))) 
+(-13 (-1093) (-10 -8 (-15 -3124 ($ |#1| |#2|)) (-15 -1338 (|#1| $)) (-15 -4255 (|#2| $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3146 (($ $ (-569)) NIL) (($ $ (-569) (-569)) 66)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1312 (((-1163 |#1| |#2| |#3|) $) 36)) (-2397 (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 29)) (-3221 (((-1163 |#1| |#2| |#3|) $) 30)) (-3544 (($ $) 107 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 83 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 103 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 79 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 87 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 31) (((-3 (-1165) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-1321 (((-1163 |#1| |#2| |#3|) $) 131) (((-1165) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-4339 (($ $) 34) (($ (-569) $) 35)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-1163 |#1| |#2| |#3|)) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-1163 |#1| |#2| |#3|))) (|:| |vec| (-1253 (-1163 |#1| |#2| |#3|)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 48)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 65 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 67 (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 25)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-883 (-569))) (|has| |#1| (-366)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-883 (-382))) (|has| |#1| (-366))))) (-4433 (((-569) $) NIL) (((-569) $ (-569)) 24)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 (((-1163 |#1| |#2| |#3|) $) 38 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 18) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) 72 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) (-1163 |#1| |#2| |#3|)) 33)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 70 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 71 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1807 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 145)) (-1436 (((-3 $ "failed") $ $) 49 (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 73 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-524 (-1165) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1163 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163 |#1| |#2| |#3|)) (-635 (-1163 |#1| |#2| |#3|))) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-304 (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) NIL) (($ $ $) 54 (|has| (-569) (-1105))) (($ $ (-1163 |#1| |#2| |#3|)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-282 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1249 |#2|)) 51) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 50 (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 (((-1163 |#1| |#2| |#3|) $) 41 (|has| |#1| (-366)))) (-2284 (((-569) $) 37)) (-3565 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 89 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 85 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 105 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 81 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-542) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 149) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1163 |#1| |#2| |#3|)) 27) (($ (-1249 |#2|)) 23) (($ (-1165)) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-3802 ((|#1| $ (-569)) 68)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3215 (((-1163 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 95 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3572 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 91 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 99 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 101 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 97 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 93 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 20 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1337 (((-121) $ $) NIL (-1929 (-12 (|has| (-1163 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1163 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 44 (|has| |#1| (-366))) (($ (-1163 |#1| |#2| |#3|) (-1163 |#1| |#2| |#3|)) 45 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 21)) (** (($ $ (-919)) NIL) (($ $ (-765)) 53) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) 74 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 32) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1163 |#1| |#2| |#3|)) 43 (|has| |#1| (-366))) (($ (-1163 |#1| |#2| |#3|) $) 42 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1155 |#1| |#2| |#3|) (-13 (-1214 |#1| (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1155)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1214 |#1| (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-4286 ((|#2| |#2| (-1085 |#2|)) 26) ((|#2| |#2| (-1165)) 28))) 
+(((-1156 |#1| |#2|) (-10 -7 (-15 -4286 (|#2| |#2| (-1165))) (-15 -4286 (|#2| |#2| (-1085 |#2|)))) (-13 (-559) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-433 |#1|) (-162) (-27) (-1185))) (T -1156)) 
+((-4286 (*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)))) (-4286 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185)))))) 
+(-10 -7 (-15 -4286 (|#2| |#2| (-1165))) (-15 -4286 (|#2| |#2| (-1085 |#2|)))) 
+((-4286 (((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))) 30) (((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|))) 44) (((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165)) 32) (((-410 (-955 |#1|)) (-955 |#1|) (-1165)) 36))) 
+(((-1157 |#1|) (-10 -7 (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1165))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|)))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))))) (-13 (-559) (-844) (-1039 (-569)))) (T -1157)) 
+((-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1157 *5)))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-955 *5))) (-5 *3 (-955 *5)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1157 *5)))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 (-410 (-955 *5)) (-311 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-410 (-955 *5))))) (-4286 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-955 *5))))) 
+(-10 -7 (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1165))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1165))) (-15 -4286 ((-410 (-955 |#1|)) (-955 |#1|) (-1085 (-955 |#1|)))) (-15 -4286 ((-3 (-410 (-955 |#1|)) (-311 |#1|)) (-410 (-955 |#1|)) (-1085 (-410 (-955 |#1|)))))) 
+((-4188 (((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)) 13))) 
+(((-1158 |#1| |#2|) (-10 -7 (-15 -4188 ((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)))) (-1049) (-1049)) (T -1158)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1161 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-1158 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-1161 |#2|) (-1 |#2| |#1|) (-1161 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#1|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3544 (($ $) NIL (|has| |#1| (-1185)))) (-3467 (($ $) NIL (|has| |#1| (-1185)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-1185)))) (-3455 (($ $) 22 (|has| |#1| (-1185)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-3559 (($ $) NIL (|has| |#1| (-1185)))) (-3480 (($ $) NIL (|has| |#1| (-1185)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) NIL (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) NIL)) (-3415 (($) NIL (|has| |#1| (-1185)))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3597 (($ $) 18 (|has| |#1| (-1185)))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 8)) (-3256 ((|#1| $) 9)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#1| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 20 (|has| |#1| (-1185)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) NIL (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-3565 (($ $) NIL (|has| |#1| (-1185)))) (-3485 (($ $) NIL (|has| |#1| (-1185)))) (-3551 (($ $) NIL (|has| |#1| (-1185)))) (-3473 (($ $) NIL (|has| |#1| (-1185)))) (-3538 (($ $) NIL (|has| |#1| (-1185)))) (-3460 (($ $) 26 (|has| |#1| (-1185)))) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) NIL (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#1|) 11) (($ (-1077)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-3585 (($ $) NIL (|has| |#1| (-1185)))) (-3505 (($ $) NIL (|has| |#1| (-1185)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-1185)))) (-3490 (($ $) 24 (|has| |#1| (-1185)))) (-3599 (($ $) NIL (|has| |#1| (-1185)))) (-3517 (($ $) NIL (|has| |#1| (-1185)))) (-4527 (($ $) NIL (|has| |#1| (-1185)))) (-3525 (($ $) NIL (|has| |#1| (-1185)))) (-3592 (($ $) NIL (|has| |#1| (-1185)))) (-3510 (($ $) NIL (|has| |#1| (-1185)))) (-3579 (($ $) NIL (|has| |#1| (-1185)))) (-3497 (($ $) 28 (|has| |#1| (-1185)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| |#1| (-1185)))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1159 |#1|) (-13 (-1228 |#1|) (-10 -7 (IF (|has| |#1| (-1185)) (-6 (-1185)) |noBranch|))) (-1049)) (T -1159)) 
+NIL 
+(-13 (-1228 |#1|) (-10 -7 (IF (|has| |#1| (-1185)) (-6 (-1185)) |noBranch|))) 
+((-3742 (((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))) 50)) (-3139 (((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))) 51))) 
+(((-1160 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3139 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|)))) (-15 -3742 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))))) (-790) (-844) (-454) (-952 |#3| |#1| |#2|)) (T -1160)) 
+((-3742 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) (-3139 (*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7)))))) 
+(-10 -7 (-15 -3139 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|)))) (-15 -3742 ((-421 (-1161 (-410 |#4|))) (-1161 (-410 |#4|))))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 30)) (-3676 (((-1253 |#1|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#1|)) NIL)) (-3132 (((-1161 $) $ (-1077)) 59) (((-1161 |#1|) $) 48)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) 132 (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) 126 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 72 (|has| |#1| (-906)))) (-2710 (($ $) NIL (|has| |#1| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 92 (|has| |#1| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3286 (($ $ (-765)) 42)) (-1738 (($ $ (-765)) 43)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#1| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#1| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#1| $) NIL) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $ $) 128 (|has| |#1| (-173)))) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) 57)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) NIL) (((-681 |#1|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3621 (($ $ $) 104)) (-4425 (($ $ $) NIL (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2540 (($ $) 133 (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) 46)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-2078 (((-852) $ (-852)) 117)) (-4433 (((-765) $ $) NIL (|has| |#1| (-559)))) (-3934 (((-121) $) 32)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) 50) (($ (-1161 $) (-1077)) 66)) (-2058 (($ $ (-765)) 34)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 64) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 121)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3071 (((-1161 |#1|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) 53)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) NIL (|has| |#1| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 41)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) 33)) (-3256 ((|#1| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 80 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-454))) (($ $ $) 135 (|has| |#1| (-454)))) (-4259 (($ $ (-765) |#1| $) 99)) (-2769 (((-421 (-1161 $)) (-1161 $)) 78 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 77 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 85 (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) 131 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 100 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#1|) NIL) (($ $ (-635 (-1077)) (-635 |#1|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) 119) (($ $ $) 120) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) NIL (|has| |#1| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) 37)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 137 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#1| (-173))) ((|#1| $) 124 (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL) (($ $ (-1 |#1| |#1|) $) NIL)) (-2284 (((-765) $) 55) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 130 (|has| |#1| (-454))) (($ $ (-1077)) NIL (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#1| (-559)))) (-3956 (((-852) $) 118) (($ (-569)) NIL) (($ |#1|) 54) (($ (-1077)) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) 28 (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 15) (($ $ (-765)) 16)) (-2407 (($) 17 T CONST)) (-3297 (($) 18 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) NIL) (($ $ (-1 |#1| |#1|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) 97)) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 138 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 67)) (** (($ $ (-919)) 14) (($ $ (-765)) 12)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 27) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 102) (($ $ |#1|) NIL))) 
+(((-1161 |#1|) (-13 (-1228 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))) (-15 -4259 ($ $ (-765) |#1| $)))) (-1049)) (T -1161)) 
+((-2078 (*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1161 *3)) (-4 *3 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1161 *3)) (-4 *3 (-1049))))) 
+(-13 (-1228 |#1|) (-10 -8 (-15 -2078 ((-852) $ (-852))) (-15 -4259 ($ $ (-765) |#1| $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1155 |#1| |#2| |#3|) "failed") $) 32) (((-3 (-1163 |#1| |#2| |#3|) "failed") $) 35)) (-1321 (((-1155 |#1| |#2| |#3|) $) NIL) (((-1163 |#1| |#2| |#3|) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3091 (((-410 (-569)) $) 55)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) (-1155 |#1| |#2| |#3|)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 19) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 (((-1155 |#1| |#2| |#3|) $) 40)) (-4273 (((-3 (-1155 |#1| |#2| |#3|) "failed") $) NIL)) (-3228 (((-1155 |#1| |#2| |#3|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 37)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 58) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1155 |#1| |#2| |#3|)) 29) (($ (-1163 |#1| |#2| |#3|)) 30) (($ (-1249 |#2|)) 25) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 21 T CONST)) (-3297 (($) 16 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 23)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1162 |#1| |#2| |#3|) (-13 (-1235 |#1| (-1155 |#1| |#2| |#3|)) (-1039 (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1162)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1235 |#1| (-1155 |#1| |#2| |#3|)) (-1039 (-1163 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 124)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 115)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 62)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 78) (($ $ (-765) (-765)) 75)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 101)) (-3544 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 140 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 114) (($ (-1145 |#1|)) 109)) (-3559 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 148 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 23)) (-1595 (($ $) 26)) (-2849 (((-955 |#1|) $ (-765)) 74) (((-955 |#1|) $ (-765) (-765)) 76)) (-2641 (((-121) $) 119)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) 121) (((-765) $ (-765)) 123)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 13) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-3803 (($ $ (-765)) 15)) (-1436 (((-3 $ "failed") $ $) 24 (|has| |#1| (-559)))) (-3408 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 118) (($ $ $) 127 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 27 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 29)) (-2284 (((-765) $) NIL)) (-3565 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 150 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 146 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 142 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 200) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 125 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 50) (($ (-1249 |#2|)) 32)) (-2894 (((-1145 |#1|) $) 97)) (-3802 ((|#1| $ (-765)) 117)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 53)) (-3585 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 156 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 152 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 158 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 154 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 19 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 193)) (-1371 (($ $ $) 31)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 197 (|has| |#1| (-366))) (($ $ $) 133 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 136 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 131) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1163 |#1| |#2| |#3|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1163)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1163 *3 *4 *5)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1163 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-3956 (((-852) $) 22) (($ (-1165)) 24)) (-1929 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 35)) (-1923 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 28) (($ $) 29)) (-2396 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 30)) (-1870 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 32)) (-2590 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 31)) (-2001 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 33)) (-2940 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 36)) (-12 (($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $))) 34))) 
+(((-1164) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -2396 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2590 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1870 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2001 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1929 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2940 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ $))))) (T -1164)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1164)))) (-2396 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2590 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1870 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2001 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1929 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-2940 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-12 (*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1923 (*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164)))) (-1923 (*1 *1 *1) (-5 *1 (-1164)))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -3956 ($ (-1165))) (-15 -2396 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2590 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1870 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2001 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1929 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -2940 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -12 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)) (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| $)))) (-15 -1923 ($ $)))) 
+((-1310 (((-121) $ $) NIL)) (-2811 (($ $ (-635 (-852))) 58)) (-1527 (($ $ (-635 (-852))) 56)) (-3257 (((-1147) $) 82)) (-2724 (((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $) 85)) (-2885 (((-121) $) 21)) (-4333 (($ $ (-635 (-635 (-852)))) 54) (($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) 80)) (-4483 (($) 122 T CONST)) (-1690 (((-1258)) 103)) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 65) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 71)) (-2446 (($) 92) (($ $) 98)) (-2798 (($ $) 81)) (-2157 (($ $ $) NIL)) (-2713 (($ $ $) NIL)) (-1832 (((-635 $) $) 104)) (-2605 (((-1147) $) 87)) (-1912 (((-1111) $) NIL)) (-2503 (($ $ (-635 (-852))) 57)) (-4035 (((-542) $) 45) (((-1165) $) 46) (((-889 (-569)) $) 75) (((-889 (-382)) $) 73)) (-3956 (((-852) $) 52) (($ (-1147)) 47)) (-3920 (($ $ (-635 (-852))) 59)) (-3685 (((-1147) $) 33) (((-1147) $ (-121)) 34) (((-1258) (-819) $) 35) (((-1258) (-819) $ (-121)) 36)) (-1355 (((-121) $ $) NIL)) (-1343 (((-121) $ $) NIL)) (-1326 (((-121) $ $) 48)) (-1349 (((-121) $ $) NIL)) (-1337 (((-121) $ $) 49))) 
+(((-1165) (-13 (-844) (-610 (-542)) (-825) (-610 (-1165)) (-610 (-889 (-569))) (-610 (-889 (-382))) (-883 (-569)) (-883 (-382)) (-10 -8 (-15 -2446 ($)) (-15 -2446 ($ $)) (-15 -1690 ((-1258))) (-15 -3956 ($ (-1147))) (-15 -2798 ($ $)) (-15 -2885 ((-121) $)) (-15 -2724 ((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $)) (-15 -4333 ($ $ (-635 (-635 (-852))))) (-15 -4333 ($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))))) (-15 -1527 ($ $ (-635 (-852)))) (-15 -2811 ($ $ (-635 (-852)))) (-15 -3920 ($ $ (-635 (-852)))) (-15 -2503 ($ $ (-635 (-852)))) (-15 -3257 ((-1147) $)) (-15 -1832 ((-635 $) $)) (-15 -4483 ($) -3575)))) (T -1165)) 
+((-2446 (*1 *1) (-5 *1 (-1165))) (-2446 (*1 *1 *1) (-5 *1 (-1165))) (-1690 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1165)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) (-2798 (*1 *1 *1) (-5 *1 (-1165))) (-2885 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1165)))) (-2724 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) (-4333 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-1165)))) (-4333 (*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) (-1527 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-2811 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-3920 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) (-3257 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) (-1832 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1165)))) (-4483 (*1 *1) (-5 *1 (-1165)))) 
+(-13 (-844) (-610 (-542)) (-825) (-610 (-1165)) (-610 (-889 (-569))) (-610 (-889 (-382))) (-883 (-569)) (-883 (-382)) (-10 -8 (-15 -2446 ($)) (-15 -2446 ($ $)) (-15 -1690 ((-1258))) (-15 -3956 ($ (-1147))) (-15 -2798 ($ $)) (-15 -2885 ((-121) $)) (-15 -2724 ((-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))) $)) (-15 -4333 ($ $ (-635 (-635 (-852))))) (-15 -4333 ($ $ (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852)))))) (-15 -1527 ($ $ (-635 (-852)))) (-15 -2811 ($ $ (-635 (-852)))) (-15 -3920 ($ $ (-635 (-852)))) (-15 -2503 ($ $ (-635 (-852)))) (-15 -3257 ((-1147) $)) (-15 -1832 ((-635 $) $)) (-15 -4483 ($) -3575))) 
+((-3144 (((-1253 |#1|) |#1| (-919)) 16) (((-1253 |#1|) (-635 |#1|)) 20))) 
+(((-1166 |#1|) (-10 -7 (-15 -3144 ((-1253 |#1|) (-635 |#1|))) (-15 -3144 ((-1253 |#1|) |#1| (-919)))) (-1049)) (T -1166)) 
+((-3144 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1253 *3)) (-5 *1 (-1166 *3)) (-4 *3 (-1049)))) (-3144 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)) (-5 *1 (-1166 *4))))) 
+(-10 -7 (-15 -3144 ((-1253 |#1|) (-635 |#1|))) (-15 -3144 ((-1253 |#1|) |#1| (-919)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| |#1| (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#1| (-1039 (-410 (-569))))) (((-3 |#1| "failed") $) NIL)) (-1321 (((-569) $) NIL (|has| |#1| (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| |#1| (-1039 (-410 (-569))))) ((|#1| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2540 (($ $) NIL (|has| |#1| (-454)))) (-2916 (($ $ |#1| (-974) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-974)) NIL)) (-4294 (((-974) $) NIL)) (-1541 (($ (-1 (-974) (-974)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#1| $) NIL)) (-4259 (($ $ (-974) |#1| $) NIL (-12 (|has| (-974) (-138)) (|has| |#1| (-559))))) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559))) (((-3 $ "failed") $ |#1|) NIL (|has| |#1| (-559)))) (-2284 (((-974) $) NIL)) (-2363 ((|#1| $) NIL (|has| |#1| (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL) (($ (-410 (-569))) NIL (-1929 (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-1039 (-410 (-569))))))) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ (-974)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#1| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 9 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 16)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 19)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 20) (($ $ |#1|) NIL) (($ |#1| $) 13) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1167 |#1|) (-13 (-325 |#1| (-974)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-974) (-138)) (-15 -4259 ($ $ (-974) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049)) (T -1167)) 
+((-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-974)) (-4 *2 (-138)) (-5 *1 (-1167 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(-13 (-325 |#1| (-974)) (-10 -8 (IF (|has| |#1| (-559)) (IF (|has| (-974) (-138)) (-15 -4259 ($ $ (-974) |#1| $)) |noBranch|) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
+((-1829 (((-1169) (-1165) $) 24)) (-2010 (($) 28)) (-3319 (((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $) 21)) (-2065 (((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $) 40) (((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) 41) (((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) 42)) (-3745 (((-1258) (-1165)) 57)) (-1620 (((-1258) (-1165) $) 54) (((-1258) (-1165)) 55) (((-1258)) 56)) (-2344 (((-1258) (-1165)) 36)) (-1443 (((-1165)) 35)) (-4016 (($) 33)) (-1627 (((-440) (-1165) (-440) (-1165) $) 44) (((-440) (-635 (-1165)) (-440) (-1165) $) 48) (((-440) (-1165) (-440)) 45) (((-440) (-1165) (-440) (-1165)) 49)) (-3774 (((-1165)) 34)) (-3956 (((-852) $) 27)) (-2955 (((-1258)) 29) (((-1258) (-1165)) 32)) (-2933 (((-635 (-1165)) (-1165) $) 23)) (-4447 (((-1258) (-1165) (-635 (-1165)) $) 37) (((-1258) (-1165) (-635 (-1165))) 38) (((-1258) (-635 (-1165))) 39))) 
+(((-1168) (-13 (-609 (-852)) (-10 -8 (-15 -2010 ($)) (-15 -2955 ((-1258))) (-15 -2955 ((-1258) (-1165))) (-15 -1627 ((-440) (-1165) (-440) (-1165) $)) (-15 -1627 ((-440) (-635 (-1165)) (-440) (-1165) $)) (-15 -1627 ((-440) (-1165) (-440))) (-15 -1627 ((-440) (-1165) (-440) (-1165))) (-15 -2344 ((-1258) (-1165))) (-15 -3774 ((-1165))) (-15 -1443 ((-1165))) (-15 -4447 ((-1258) (-1165) (-635 (-1165)) $)) (-15 -4447 ((-1258) (-1165) (-635 (-1165)))) (-15 -4447 ((-1258) (-635 (-1165)))) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -2065 ((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -1620 ((-1258) (-1165) $)) (-15 -1620 ((-1258) (-1165))) (-15 -1620 ((-1258))) (-15 -3745 ((-1258) (-1165))) (-15 -4016 ($)) (-15 -3319 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $)) (-15 -2933 ((-635 (-1165)) (-1165) $)) (-15 -1829 ((-1169) (-1165) $))))) (T -1168)) 
+((-2010 (*1 *1) (-5 *1 (-1168))) (-2955 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2955 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *4 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-1627 (*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) (-2344 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-3774 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168)))) (-1443 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4447 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3 *4 *1) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-2065 (*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-1620 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) (-3745 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) (-4016 (*1 *1) (-5 *1 (-1168))) (-3319 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-1168)))) (-2933 (*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1168)) (-5 *3 (-1165)))) (-1829 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1169)) (-5 *1 (-1168))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -2010 ($)) (-15 -2955 ((-1258))) (-15 -2955 ((-1258) (-1165))) (-15 -1627 ((-440) (-1165) (-440) (-1165) $)) (-15 -1627 ((-440) (-635 (-1165)) (-440) (-1165) $)) (-15 -1627 ((-440) (-1165) (-440))) (-15 -1627 ((-440) (-1165) (-440) (-1165))) (-15 -2344 ((-1258) (-1165))) (-15 -3774 ((-1165))) (-15 -1443 ((-1165))) (-15 -4447 ((-1258) (-1165) (-635 (-1165)) $)) (-15 -4447 ((-1258) (-1165) (-635 (-1165)))) (-15 -4447 ((-1258) (-635 (-1165)))) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")) $)) (-15 -2065 ((-1258) (-1165) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -2065 ((-1258) (-3 (|:| |fst| (-437)) (|:| -2667 "void")))) (-15 -1620 ((-1258) (-1165) $)) (-15 -1620 ((-1258) (-1165))) (-15 -1620 ((-1258))) (-15 -3745 ((-1258) (-1165))) (-15 -4016 ($)) (-15 -3319 ((-3 (|:| |fst| (-437)) (|:| -2667 "void")) (-1165) $)) (-15 -2933 ((-635 (-1165)) (-1165) $)) (-15 -1829 ((-1169) (-1165) $)))) 
+((-2312 (((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $) 57)) (-1636 (((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $) 40)) (-3192 (($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) 15)) (-3745 (((-1258) $) 65)) (-2757 (((-635 (-1165)) $) 20)) (-4268 (((-1097) $) 53)) (-3836 (((-440) (-1165) $) 27)) (-4206 (((-635 (-1165)) $) 30)) (-4016 (($) 17)) (-1627 (((-440) (-635 (-1165)) (-440) $) 25) (((-440) (-1165) (-440) $) 24)) (-3956 (((-852) $) 9) (((-1173 (-1165) (-440)) $) 11))) 
+(((-1169) (-13 (-609 (-852)) (-10 -8 (-15 -3956 ((-1173 (-1165) (-440)) $)) (-15 -4016 ($)) (-15 -1627 ((-440) (-635 (-1165)) (-440) $)) (-15 -1627 ((-440) (-1165) (-440) $)) (-15 -3836 ((-440) (-1165) $)) (-15 -2757 ((-635 (-1165)) $)) (-15 -1636 ((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $)) (-15 -4206 ((-635 (-1165)) $)) (-15 -2312 ((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $)) (-15 -4268 ((-1097) $)) (-15 -3745 ((-1258) $)) (-15 -3192 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))))))) (T -1169)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-1173 (-1165) (-440))) (-5 *1 (-1169)))) (-4016 (*1 *1) (-5 *1 (-1169))) (-1627 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *1 (-1169)))) (-1627 (*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1169)))) (-3836 (*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-440)) (-5 *1 (-1169)))) (-2757 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169)))) (-1636 (*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) (-5 *1 (-1169)))) (-4206 (*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169)))) (-2312 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))))) (-5 *1 (-1169)))) (-4268 (*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-1169)))) (-3745 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1169)))) (-3192 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) (-5 *1 (-1169))))) 
+(-13 (-609 (-852)) (-10 -8 (-15 -3956 ((-1173 (-1165) (-440)) $)) (-15 -4016 ($)) (-15 -1627 ((-440) (-635 (-1165)) (-440) $)) (-15 -1627 ((-440) (-1165) (-440) $)) (-15 -3836 ((-440) (-1165) $)) (-15 -2757 ((-635 (-1165)) $)) (-15 -1636 ((-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))) (-437) $)) (-15 -4206 ((-635 (-1165)) $)) (-15 -2312 ((-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) $)) (-15 -4268 ((-1097) $)) (-15 -3745 ((-1258) $)) (-15 -3192 ($ (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440)))))))) 
+((-4126 (((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 55)) (-2880 (((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|)))) 66) (((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|))) 62) (((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165)) 67) (((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165)) 61) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|))))) 91) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|)))) 90) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165))) 92) (((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165))) 89))) 
+(((-1170 |#1|) (-10 -7 (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))))) (-15 -4126 ((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))))) (-559)) (T -1170)) 
+((-4126 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-955 *5)))) (-5 *1 (-1170 *5)))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-289 (-410 (-955 *4)))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-410 (-955 *4))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-289 (-410 (-955 *5)))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-410 (-955 *5))))) (-2880 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)) (-5 *3 (-635 (-289 (-410 (-955 *4))))))) (-2880 (*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)))) (-2880 (*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)) (-5 *3 (-635 (-289 (-410 (-955 *5))))))) (-2880 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5))))) 
+(-10 -7 (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))) (-635 (-1165)))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-410 (-955 |#1|))))) (-15 -2880 ((-635 (-635 (-289 (-410 (-955 |#1|))))) (-635 (-289 (-410 (-955 |#1|)))))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))) (-1165))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-410 (-955 |#1|)))) (-15 -2880 ((-635 (-289 (-410 (-955 |#1|)))) (-289 (-410 (-955 |#1|))))) (-15 -4126 ((-635 (-635 (-955 |#1|))) (-635 (-410 (-955 |#1|))) (-635 (-1165))))) 
+((-3670 (((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 38)) (-1975 (((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|))) 24)) (-1334 (((-1172 (-635 |#1|)) (-635 |#1|)) 34)) (-1449 (((-635 (-635 |#1|)) (-635 |#1|)) 30)) (-2842 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))) 37)) (-4175 (((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|)))) 36)) (-2132 (((-635 (-635 |#1|)) (-635 (-635 |#1|))) 28)) (-1655 (((-635 |#1|) (-635 |#1|)) 31)) (-2874 (((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 18)) (-3906 (((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|)))) 15)) (-3781 (((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|))) 13)) (-1987 (((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|)))) 39)) (-1837 (((-635 (-635 |#1|)) (-1172 (-635 |#1|))) 41))) 
+(((-1171 |#1|) (-10 -7 (-15 -3781 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3906 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2874 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -3670 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1987 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1837 ((-635 (-635 |#1|)) (-1172 (-635 |#1|)))) (-15 -1975 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1334 ((-1172 (-635 |#1|)) (-635 |#1|))) (-15 -2132 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1449 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -1655 ((-635 |#1|) (-635 |#1|))) (-15 -4175 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -2842 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) (-844)) (T -1171)) 
+((-2842 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 (-635 *4)))))) (-4175 (*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-844)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1171 *6)) (-5 *4 (-635 *5)))) (-1655 (*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-1171 *3)))) (-1449 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4)))) (-2132 (*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-844)) (-5 *1 (-1171 *3)))) (-1334 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-1172 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4)))) (-1975 (*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 *4))))) (-1837 (*1 *2 *3) (-12 (-5 *3 (-1172 (-635 *4))) (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)))) (-1987 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-4 *4 (-844)))) (-3670 (*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-844)) (-5 *1 (-1171 *4)))) (-2874 (*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *1 (-1171 *4)))) (-3906 (*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-844)) (-5 *1 (-1171 *5)))) (-3781 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-844)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1171 *6)) (-5 *5 (-635 *4))))) 
+(-10 -7 (-15 -3781 ((-2 (|:| |fs| (-121)) (|:| |sd| (-635 |#1|)) (|:| |td| (-635 (-635 |#1|)))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 |#1|)))) (-15 -3906 ((-635 (-635 (-635 |#1|))) (-1 (-121) |#1| |#1|) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -2874 ((-635 (-635 (-635 |#1|))) (-635 |#1|) (-635 (-635 (-635 |#1|))))) (-15 -3670 ((-635 (-635 |#1|)) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1987 ((-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))))) (-15 -1837 ((-635 (-635 |#1|)) (-1172 (-635 |#1|)))) (-15 -1975 ((-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)))) (-15 -1334 ((-1172 (-635 |#1|)) (-635 |#1|))) (-15 -2132 ((-635 (-635 |#1|)) (-635 (-635 |#1|)))) (-15 -1449 ((-635 (-635 |#1|)) (-635 |#1|))) (-15 -1655 ((-635 |#1|) (-635 |#1|))) (-15 -4175 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 |#1|) (-635 (-635 (-635 |#1|))) (-635 (-635 |#1|)) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))) (-635 (-635 (-635 |#1|))))) (-15 -2842 ((-2 (|:| |f1| (-635 |#1|)) (|:| |f2| (-635 (-635 (-635 |#1|)))) (|:| |f3| (-635 (-635 |#1|))) (|:| |f4| (-635 (-635 (-635 |#1|))))) (-635 (-635 (-635 |#1|)))))) 
+((-1291 (($ (-635 (-635 |#1|))) 9)) (-4269 (((-635 (-635 |#1|)) $) 10)) (-3956 (((-852) $) 25))) 
+(((-1172 |#1|) (-10 -8 (-15 -1291 ($ (-635 (-635 |#1|)))) (-15 -4269 ((-635 (-635 |#1|)) $)) (-15 -3956 ((-852) $))) (-1093)) (T -1172)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) (-4269 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) (-1291 (*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-1172 *3))))) 
+(-10 -8 (-15 -1291 ($ (-635 (-635 |#1|)))) (-15 -4269 ((-635 (-635 |#1|)) $)) (-15 -3956 ((-852) $))) 
+((-1310 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-4404 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-1403 (((-1258) $ |#1| |#1|) NIL (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#2| $ |#1| |#2|) NIL)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) NIL)) (-4483 (($) NIL T CONST)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) NIL)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) NIL)) (-2497 ((|#1| $) NIL (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-635 |#2|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-1301 ((|#1| $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL) (($ (-1 |#2| |#2|) $) NIL) (($ (-1 |#2| |#2| |#2|) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1316 (((-635 |#1|) $) NIL)) (-1591 (((-121) |#1| $) NIL)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2761 (((-635 |#1|) $) NIL)) (-3292 (((-121) |#1| $) NIL)) (-1912 (((-1111) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1816 ((|#2| $) NIL (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL)) (-2417 (($ $ |#2|) NIL (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#2| $ |#1|) NIL) ((|#2| $ |#1| |#2|) NIL)) (-1353 (($) NIL) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (((-765) |#2| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093)))) (((-765) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3956 (((-852) $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) NIL)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) NIL (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) NIL (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) NIL (-1929 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| |#2| (-1093))))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1173 |#1| |#2|) (-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) (-1093) (-1093)) (T -1173)) 
+NIL 
+(-13 (-1176 |#1| |#2|) (-10 -7 (-6 -4571))) 
+((-3394 ((|#1| (-635 |#1|)) 32)) (-3461 ((|#1| |#1| (-569)) 18)) (-3674 (((-1161 |#1|) |#1| (-919)) 15))) 
+(((-1174 |#1|) (-10 -7 (-15 -3394 (|#1| (-635 |#1|))) (-15 -3674 ((-1161 |#1|) |#1| (-919))) (-15 -3461 (|#1| |#1| (-569)))) (-366)) (T -1174)) 
+((-3461 (*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1174 *2)) (-4 *2 (-366)))) (-3674 (*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1161 *3)) (-5 *1 (-1174 *3)) (-4 *3 (-366)))) (-3394 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
+(-10 -7 (-15 -3394 (|#1| (-635 |#1|))) (-15 -3674 ((-1161 |#1|) |#1| (-919))) (-15 -3461 (|#1| |#1| (-569)))) 
+((-4404 (($) 10) (($ (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)))) 14)) (-2006 (($ (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 60) (($ (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-3 |#3| "failed") |#2| $) NIL)) (-4303 (((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 39) (((-635 |#3|) $) 41)) (-2089 (($ (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 52) (($ (-1 |#3| |#3|) $) 33)) (-4188 (($ (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 50) (($ (-1 |#3| |#3|) $) NIL) (($ (-1 |#3| |#3| |#3|) $ $) 38)) (-4496 (((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 53)) (-2351 (($ (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 16)) (-2761 (((-635 |#2|) $) 19)) (-3292 (((-121) |#2| $) 58)) (-2569 (((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) 57)) (-2166 (((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) 62)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 65)) (-4283 (((-635 |#3|) $) 43)) (-2503 ((|#3| $ |#2|) 30) ((|#3| $ |#2| |#3|) 31)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) $) NIL) (((-765) |#3| $) NIL) (((-765) (-1 (-121) |#3|) $) 66)) (-3956 (((-852) $) 27)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) $) NIL) (((-121) (-1 (-121) |#3|) $) 64)) (-1326 (((-121) $ $) 48))) 
+(((-1175 |#1| |#2| |#3|) (-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4404 (|#1| (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))))) (-15 -4404 (|#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#3|) |#1|)) (-15 -4303 ((-635 |#3|) |#1|)) (-15 -2691 ((-765) |#3| |#1|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -3292 ((-121) |#2| |#1|)) (-15 -2761 ((-635 |#2|) |#1|)) (-15 -2006 ((-3 |#3| "failed") |#2| |#1|)) (-15 -2006 (|#1| (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2006 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2569 ((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4496 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2351 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2166 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2691 ((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -4303 ((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2691 ((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2985 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -3776 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2089 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4188 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|))) (-1176 |#2| |#3|) (-1093) (-1093)) (T -1175)) 
+NIL 
+(-10 -8 (-15 -1326 ((-121) |#1| |#1|)) (-15 -3956 ((-852) |#1|)) (-15 -4188 (|#1| (-1 |#3| |#3| |#3|) |#1| |#1|)) (-15 -4404 (|#1| (-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))))) (-15 -4404 (|#1|)) (-15 -4188 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -2089 (|#1| (-1 |#3| |#3|) |#1|)) (-15 -3776 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2985 ((-121) (-1 (-121) |#3|) |#1|)) (-15 -2691 ((-765) (-1 (-121) |#3|) |#1|)) (-15 -4303 ((-635 |#3|) |#1|)) (-15 -2691 ((-765) |#3| |#1|)) (-15 -2503 (|#3| |#1| |#2| |#3|)) (-15 -2503 (|#3| |#1| |#2|)) (-15 -4283 ((-635 |#3|) |#1|)) (-15 -3292 ((-121) |#2| |#1|)) (-15 -2761 ((-635 |#2|) |#1|)) (-15 -2006 ((-3 |#3| "failed") |#2| |#1|)) (-15 -2006 (|#1| (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2006 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2569 ((-3 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) "failed") (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4496 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2351 (|#1| (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2166 ((-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -2691 ((-765) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) |#1|)) (-15 -4303 ((-635 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2691 ((-765) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2985 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -3776 ((-121) (-1 (-121) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -2089 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|)) (-15 -4188 (|#1| (-1 (-2 (|:| -3335 |#2|) (|:| -3175 |#3|)) (-2 (|:| -3335 |#2|) (|:| -3175 |#3|))) |#1|))) 
+((-1310 (((-121) $ $) 18 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-4404 (($) 66) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 65)) (-1403 (((-1258) $ |#1| |#1|) 93 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#2| $ |#1| |#2|) 67)) (-1304 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 42 (|has| $ (-6 -4571)))) (-2140 (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 52 (|has| $ (-6 -4571)))) (-1809 (((-3 |#2| "failed") |#1| $) 57)) (-4483 (($) 7 T CONST)) (-1858 (($ $) 55 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571))))) (-2006 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 44 (|has| $ (-6 -4571))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 43 (|has| $ (-6 -4571))) (((-3 |#2| "failed") |#1| $) 58)) (-3503 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 54 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 51 (|has| $ (-6 -4571)))) (-2793 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 53 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 50 (|has| $ (-6 -4571))) (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 49 (|has| $ (-6 -4571)))) (-3982 ((|#2| $ |#1| |#2|) 81 (|has| $ (-6 -4572)))) (-4124 ((|#2| $ |#1|) 82)) (-4303 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 30 (|has| $ (-6 -4571))) (((-635 |#2|) $) 73 (|has| $ (-6 -4571)))) (-3206 (((-121) $ (-765)) 9)) (-2497 ((|#1| $) 90 (|has| |#1| (-844)))) (-4457 (((-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 29 (|has| $ (-6 -4571))) (((-635 |#2|) $) 74 (|has| $ (-6 -4571)))) (-3016 (((-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 27 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-121) |#2| $) 76 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571))))) (-1301 ((|#1| $) 89 (|has| |#1| (-844)))) (-2089 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 34 (|has| $ (-6 -4572))) (($ (-1 |#2| |#2|) $) 69 (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 35) (($ (-1 |#2| |#2|) $) 68) (($ (-1 |#2| |#2| |#2|) $ $) 64)) (-1396 (((-121) $ (-765)) 10)) (-2605 (((-1147) $) 22 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1316 (((-635 |#1|) $) 59)) (-1591 (((-121) |#1| $) 60)) (-4496 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 36)) (-2351 (($ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 37)) (-2761 (((-635 |#1|) $) 87)) (-3292 (((-121) |#1| $) 86)) (-1912 (((-1111) $) 21 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1816 ((|#2| $) 91 (|has| |#1| (-844)))) (-2569 (((-3 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) "failed") (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 48)) (-2417 (($ $ |#2|) 92 (|has| $ (-6 -4572)))) (-2166 (((-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 38)) (-2985 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 32 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 71 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))))) 26 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-289 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 25 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) 24 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 23 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)))) (($ $ (-635 |#2|) (-635 |#2|)) 80 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ |#2| |#2|) 79 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-289 |#2|)) 78 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093)))) (($ $ (-635 (-289 |#2|))) 77 (-12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#2| $) 88 (-12 (|has| $ (-6 -4571)) (|has| |#2| (-1093))))) (-4283 (((-635 |#2|) $) 85)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#2| $ |#1|) 84) ((|#2| $ |#1| |#2|) 83)) (-1353 (($) 46) (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 45)) (-2691 (((-765) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 31 (|has| $ (-6 -4571))) (((-765) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) $) 28 (-12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093)) (|has| $ (-6 -4571)))) (((-765) |#2| $) 75 (-12 (|has| |#2| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#2|) $) 72 (|has| $ (-6 -4571)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 56 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))))) (-3124 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 47)) (-3956 (((-852) $) 20 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-1753 (($ (-635 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) 39)) (-3776 (((-121) (-1 (-121) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) $) 33 (|has| $ (-6 -4571))) (((-121) (-1 (-121) |#2|) $) 70 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (-1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1176 |#1| |#2|) (-1284) (-1093) (-1093)) (T -1176)) 
+((-2511 (*1 *2 *1 *3 *2) (-12 (-4 *1 (-1176 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) (-4404 (*1 *1) (-12 (-4 *1 (-1176 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) (-4404 (*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 *3) (|:| -3175 *4)))) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *1 (-1176 *3 *4)))) (-4188 (*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1176 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(-13 (-606 |t#1| |t#2|) (-602 |t#1| |t#2|) (-10 -8 (-15 -2511 (|t#2| $ |t#1| |t#2|)) (-15 -4404 ($)) (-15 -4404 ($ (-635 (-2 (|:| -3335 |t#1|) (|:| -3175 |t#2|))))) (-15 -4188 ($ (-1 |t#2| |t#2| |t#2|) $ $)))) 
+(((-39) . T) ((-111 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-105) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-609 (-852)) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-155 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-610 (-542)) |has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-610 (-542))) ((-222 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-228 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-282 |#1| |#2|) . T) ((-284 |#1| |#2|) . T) ((-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-304 |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-500 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) . T) ((-500 |#2|) . T) ((-602 |#1| |#2|) . T) ((-524 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-2 (|:| -3335 |#1|) (|:| -3175 |#2|))) -12 (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-304 (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)))) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-524 |#2| |#2|) -12 (|has| |#2| (-304 |#2|)) (|has| |#2| (-1093))) ((-606 |#1| |#2|) . T) ((-1093) -1929 (|has| |#2| (-1093)) (|has| (-2 (|:| -3335 |#1|) (|:| -3175 |#2|)) (-1093))) ((-1199) . T)) 
+((-3762 (((-121)) 24)) (-2775 (((-1258) (-1147)) 26)) (-2461 (((-121)) 36)) (-1639 (((-1258)) 34)) (-2670 (((-1258) (-1147) (-1147)) 25)) (-4372 (((-121)) 37)) (-2351 (((-1258) |#1| |#2|) 44)) (-3960 (((-1258)) 20)) (-3962 (((-3 |#2| "failed") |#1|) 42)) (-4434 (((-1258)) 35))) 
+(((-1177 |#1| |#2|) (-10 -7 (-15 -3960 ((-1258))) (-15 -2670 ((-1258) (-1147) (-1147))) (-15 -2775 ((-1258) (-1147))) (-15 -1639 ((-1258))) (-15 -4434 ((-1258))) (-15 -3762 ((-121))) (-15 -2461 ((-121))) (-15 -4372 ((-121))) (-15 -3962 ((-3 |#2| "failed") |#1|)) (-15 -2351 ((-1258) |#1| |#2|))) (-1093) (-1093)) (T -1177)) 
+((-2351 (*1 *2 *3 *4) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3962 (*1 *2 *3) (|partial| -12 (-4 *2 (-1093)) (-5 *1 (-1177 *3 *2)) (-4 *3 (-1093)))) (-4372 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2461 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-3762 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-4434 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-1639 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) (-2775 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)))) (-2670 (*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)))) (-3960 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(-10 -7 (-15 -3960 ((-1258))) (-15 -2670 ((-1258) (-1147) (-1147))) (-15 -2775 ((-1258) (-1147))) (-15 -1639 ((-1258))) (-15 -4434 ((-1258))) (-15 -3762 ((-121))) (-15 -2461 ((-121))) (-15 -4372 ((-121))) (-15 -3962 ((-3 |#2| "failed") |#1|)) (-15 -2351 ((-1258) |#1| |#2|))) 
+((-1462 (((-1147) (-1147)) 18)) (-2101 (((-57) (-1147)) 21))) 
+(((-1178) (-10 -7 (-15 -2101 ((-57) (-1147))) (-15 -1462 ((-1147) (-1147))))) (T -1178)) 
+((-1462 (*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1178)))) (-2101 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-1178))))) 
+(-10 -7 (-15 -2101 ((-57) (-1147))) (-15 -1462 ((-1147) (-1147)))) 
+((-3956 (((-1180) |#1|) 11))) 
+(((-1179 |#1|) (-10 -7 (-15 -3956 ((-1180) |#1|))) (-1093)) (T -1179)) 
+((-3956 (*1 *2 *3) (-12 (-5 *2 (-1180)) (-5 *1 (-1179 *3)) (-4 *3 (-1093))))) 
+(-10 -7 (-15 -3956 ((-1180) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-3282 (((-635 (-1147)) $) 33)) (-2515 (((-635 (-1147)) $ (-635 (-1147))) 36)) (-2554 (((-635 (-1147)) $ (-635 (-1147))) 35)) (-4541 (((-635 (-1147)) $ (-635 (-1147))) 37)) (-4278 (((-635 (-1147)) $) 32)) (-2446 (($) 22)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3641 (((-635 (-1147)) $) 34)) (-2442 (((-1258) $ (-569)) 29) (((-1258) $) 30)) (-4035 (($ (-852) (-569)) 26) (($ (-852) (-569) (-852)) NIL)) (-3956 (((-852) $) 39) (($ (-852)) 24)) (-1326 (((-121) $ $) NIL))) 
+(((-1180) (-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -4035 ($ (-852) (-569) (-852))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3282 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2515 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147))))))) (T -1180)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1180)))) (-4035 (*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) (-4035 (*1 *1 *2 *3 *2) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) (-2442 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1180)))) (-2442 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1180)))) (-3641 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-3282 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2446 (*1 *1) (-5 *1 (-1180))) (-4278 (*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-4541 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2515 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180)))) (-2554 (*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(-13 (-1093) (-10 -8 (-15 -3956 ($ (-852))) (-15 -4035 ($ (-852) (-569))) (-15 -4035 ($ (-852) (-569) (-852))) (-15 -2442 ((-1258) $ (-569))) (-15 -2442 ((-1258) $)) (-15 -3641 ((-635 (-1147)) $)) (-15 -3282 ((-635 (-1147)) $)) (-15 -2446 ($)) (-15 -4278 ((-635 (-1147)) $)) (-15 -4541 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2515 ((-635 (-1147)) $ (-635 (-1147)))) (-15 -2554 ((-635 (-1147)) $ (-635 (-1147)))))) 
+((-1310 (((-121) $ $) NIL)) (-1376 (((-1147) $ (-1147)) 15) (((-1147) $) 14)) (-2255 (((-1147) $ (-1147)) 13)) (-3284 (($ $ (-1147)) NIL)) (-2477 (((-3 (-1147) "failed") $) 11)) (-2750 (((-1147) $) 8)) (-4006 (((-3 (-1147) "failed") $) 12)) (-3780 (((-1147) $) 9)) (-4465 (($ (-391)) NIL) (($ (-391) (-1147)) NIL)) (-2798 (((-391) $) NIL)) (-2605 (((-1147) $) NIL)) (-4114 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3295 (((-1258) $) NIL)) (-3754 (((-121) $) 17)) (-3956 (((-852) $) NIL)) (-2520 (($ $) NIL)) (-1326 (((-121) $ $) NIL))) 
+(((-1181) (-13 (-367 (-391) (-1147)) (-10 -8 (-15 -1376 ((-1147) $ (-1147))) (-15 -1376 ((-1147) $)) (-15 -2750 ((-1147) $)) (-15 -2477 ((-3 (-1147) "failed") $)) (-15 -4006 ((-3 (-1147) "failed") $)) (-15 -3754 ((-121) $))))) (T -1181)) 
+((-1376 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-1376 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-2750 (*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-2477 (*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-4006 (*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181)))) (-3754 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1181))))) 
+(-13 (-367 (-391) (-1147)) (-10 -8 (-15 -1376 ((-1147) $ (-1147))) (-15 -1376 ((-1147) $)) (-15 -2750 ((-1147) $)) (-15 -2477 ((-3 (-1147) "failed") $)) (-15 -4006 ((-3 (-1147) "failed") $)) (-15 -3754 ((-121) $)))) 
+((-3817 (((-3 (-569) "failed") |#1|) 19)) (-3908 (((-3 (-569) "failed") |#1|) 13)) (-1985 (((-569) (-1147)) 28))) 
+(((-1182 |#1|) (-10 -7 (-15 -3817 ((-3 (-569) "failed") |#1|)) (-15 -3908 ((-3 (-569) "failed") |#1|)) (-15 -1985 ((-569) (-1147)))) (-1049)) (T -1182)) 
+((-1985 (*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-1182 *4)) (-4 *4 (-1049)))) (-3908 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049)))) (-3817 (*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
+(-10 -7 (-15 -3817 ((-3 (-569) "failed") |#1|)) (-15 -3908 ((-3 (-569) "failed") |#1|)) (-15 -1985 ((-569) (-1147)))) 
+((-3711 (((-1124 (-216))) 8))) 
+(((-1183) (-10 -7 (-15 -3711 ((-1124 (-216)))))) (T -1183)) 
+((-3711 (*1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1183))))) 
+(-10 -7 (-15 -3711 ((-1124 (-216))))) 
+((-3415 (($) 11)) (-3585 (($ $) 35)) (-3572 (($ $) 33)) (-3490 (($ $) 25)) (-3599 (($ $) 17)) (-4527 (($ $) 15)) (-3592 (($ $) 19)) (-3510 (($ $) 30)) (-3579 (($ $) 34)) (-3497 (($ $) 29))) 
+(((-1184 |#1|) (-10 -8 (-15 -3415 (|#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3497 (|#1| |#1|))) (-1185)) (T -1184)) 
+NIL 
+(-10 -8 (-15 -3415 (|#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3497 (|#1| |#1|))) 
+((-3544 (($ $) 26)) (-3467 (($ $) 11)) (-3530 (($ $) 27)) (-3455 (($ $) 10)) (-3559 (($ $) 28)) (-3480 (($ $) 9)) (-3415 (($) 16)) (-3597 (($ $) 19)) (-3408 (($ $) 18)) (-3565 (($ $) 29)) (-3485 (($ $) 8)) (-3551 (($ $) 30)) (-3473 (($ $) 7)) (-3538 (($ $) 31)) (-3460 (($ $) 6)) (-3585 (($ $) 20)) (-3505 (($ $) 32)) (-3572 (($ $) 21)) (-3490 (($ $) 33)) (-3599 (($ $) 22)) (-3517 (($ $) 34)) (-4527 (($ $) 23)) (-3525 (($ $) 35)) (-3592 (($ $) 24)) (-3510 (($ $) 36)) (-3579 (($ $) 25)) (-3497 (($ $) 37)) (** (($ $ $) 17))) 
+(((-1185) (-1284)) (T -1185)) 
+((-3415 (*1 *1) (-4 *1 (-1185)))) 
+(-13 (-1188) (-98) (-503) (-40) (-280) (-10 -8 (-15 -3415 ($)))) 
+(((-40) . T) ((-98) . T) ((-280) . T) ((-503) . T) ((-1188) . T)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2756 ((|#1| $) 17)) (-1838 (($ |#1| (-635 $)) 23) (($ (-635 |#1|)) 27) (($ |#1|) 25)) (-3350 (((-121) $ (-765)) 46)) (-4548 ((|#1| $ |#1|) 14 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) NIL (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 13 (|has| $ (-6 -4572)))) (-4483 (($) NIL T CONST)) (-4303 (((-635 |#1|) $) 50 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 41)) (-2638 (((-121) $ $) 32 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 39)) (-4457 (((-635 |#1|) $) 51 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 49 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-2089 (($ (-1 |#1| |#1|) $) 24 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 22)) (-1396 (((-121) $ (-765)) 38)) (-1322 (((-635 |#1|) $) 36)) (-3491 (((-121) $) 35)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-2985 (((-121) (-1 (-121) |#1|) $) 48 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 73)) (-1668 (((-121) $) 9)) (-4016 (($) 10)) (-2503 ((|#1| $ "value") NIL)) (-3248 (((-569) $ $) 31)) (-3266 (((-635 $) $) 57)) (-1488 (((-121) $ $) 75)) (-1610 (((-635 $) $) 70)) (-3110 (($ $) 71)) (-1630 (((-121) $) 54)) (-2691 (((-765) (-1 (-121) |#1|) $) 20 (|has| $ (-6 -4571))) (((-765) |#1| $) 16 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1799 (($ $) 56)) (-3956 (((-852) $) 59 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 12)) (-3773 (((-121) $ $) 29 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 47 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 28 (|has| |#1| (-1093)))) (-2946 (((-765) $) 37 (|has| $ (-6 -4571))))) 
+(((-1186 |#1|) (-13 (-1012 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1838 ($ |#1| (-635 $))) (-15 -1838 ($ (-635 |#1|))) (-15 -1838 ($ |#1|)) (-15 -1630 ((-121) $)) (-15 -3110 ($ $)) (-15 -1610 ((-635 $) $)) (-15 -1488 ((-121) $ $)) (-15 -3266 ((-635 $) $)))) (-1093)) (T -1186)) 
+((-1630 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-1838 (*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1186 *2))) (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-1838 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1186 *3)))) (-1838 (*1 *1 *2) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-3110 (*1 *1 *1) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) (-1610 (*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-1488 (*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093)))) (-3266 (*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
+(-13 (-1012 |#1|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1838 ($ |#1| (-635 $))) (-15 -1838 ($ (-635 |#1|))) (-15 -1838 ($ |#1|)) (-15 -1630 ((-121) $)) (-15 -3110 ($ $)) (-15 -1610 ((-635 $) $)) (-15 -1488 ((-121) $ $)) (-15 -3266 ((-635 $) $)))) 
+((-3467 (($ $) 15)) (-3480 (($ $) 12)) (-3485 (($ $) 10)) (-3473 (($ $) 17))) 
+(((-1187 |#1|) (-10 -8 (-15 -3473 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3467 (|#1| |#1|))) (-1188)) (T -1187)) 
+NIL 
+(-10 -8 (-15 -3473 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3467 (|#1| |#1|))) 
+((-3467 (($ $) 11)) (-3455 (($ $) 10)) (-3480 (($ $) 9)) (-3485 (($ $) 8)) (-3473 (($ $) 7)) (-3460 (($ $) 6))) 
+(((-1188) (-1284)) (T -1188)) 
+((-3467 (*1 *1 *1) (-4 *1 (-1188))) (-3455 (*1 *1 *1) (-4 *1 (-1188))) (-3480 (*1 *1 *1) (-4 *1 (-1188))) (-3485 (*1 *1 *1) (-4 *1 (-1188))) (-3473 (*1 *1 *1) (-4 *1 (-1188))) (-3460 (*1 *1 *1) (-4 *1 (-1188)))) 
+(-13 (-10 -8 (-15 -3460 ($ $)) (-15 -3473 ($ $)) (-15 -3485 ($ $)) (-15 -3480 ($ $)) (-15 -3455 ($ $)) (-15 -3467 ($ $)))) 
+((-3309 ((|#2| |#2|) 85)) (-2776 (((-121) |#2|) 25)) (-3147 ((|#2| |#2|) 29)) (-3155 ((|#2| |#2|) 31)) (-1439 ((|#2| |#2| (-1165)) 79) ((|#2| |#2|) 80)) (-1608 (((-170 |#2|) |#2|) 27)) (-4536 ((|#2| |#2| (-1165)) 81) ((|#2| |#2|) 82))) 
+(((-1189 |#1| |#2|) (-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3309 (|#2| |#2|)) (-15 -3147 (|#2| |#2|)) (-15 -3155 (|#2| |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -1608 ((-170 |#2|) |#2|))) (-13 (-454) (-844) (-1039 (-569)) (-631 (-569))) (-13 (-27) (-1185) (-433 |#1|))) (T -1189)) 
+((-1608 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-2776 (*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) (-3155 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-3147 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-3309 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-4536 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-4536 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) (-1439 (*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) (-1439 (*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
+(-10 -7 (-15 -1439 (|#2| |#2|)) (-15 -1439 (|#2| |#2| (-1165))) (-15 -4536 (|#2| |#2|)) (-15 -4536 (|#2| |#2| (-1165))) (-15 -3309 (|#2| |#2|)) (-15 -3147 (|#2| |#2|)) (-15 -3155 (|#2| |#2|)) (-15 -2776 ((-121) |#2|)) (-15 -1608 ((-170 |#2|) |#2|))) 
+((-3416 ((|#4| |#4| |#1|) 27)) (-4406 ((|#4| |#4| |#1|) 28))) 
+(((-1190 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3416 (|#4| |#4| |#1|)) (-15 -4406 (|#4| |#4| |#1|))) (-559) (-376 |#1|) (-376 |#1|) (-679 |#1| |#2| |#3|)) (T -1190)) 
+((-4406 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) (-3416 (*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(-10 -7 (-15 -3416 (|#4| |#4| |#1|)) (-15 -4406 (|#4| |#4| |#1|))) 
+((-2331 ((|#2| |#2|) 144)) (-1515 ((|#2| |#2|) 142)) (-3744 ((|#2| |#2|) 134)) (-2912 ((|#2| |#2|) 131)) (-3197 ((|#2| |#2|) 139)) (-3928 ((|#2| |#2|) 127)) (-3261 ((|#2| |#2|) 59)) (-4530 ((|#2| |#2|) 109)) (-1928 ((|#2| |#2|) 89)) (-4443 ((|#2| |#2|) 141)) (-3663 ((|#2| |#2|) 129)) (-2827 ((|#2| |#2|) 149)) (-2401 ((|#2| |#2|) 147)) (-3966 ((|#2| |#2|) 148)) (-3989 ((|#2| |#2|) 146)) (-2948 ((|#2| |#2|) 158)) (-4380 ((|#2| |#2|) 48 (-12 (|has| |#2| (-610 (-889 |#1|))) (|has| |#2| (-883 |#1|)) (|has| |#1| (-610 (-889 |#1|))) (|has| |#1| (-883 |#1|))))) (-1917 ((|#2| |#2|) 90)) (-2119 ((|#2| |#2|) 150)) (-2121 ((|#2| |#2|) 151)) (-3489 ((|#2| |#2|) 140)) (-2208 ((|#2| |#2|) 128)) (-1766 ((|#2| |#2|) 145)) (-2586 ((|#2| |#2|) 143)) (-4281 ((|#2| |#2|) 135)) (-1624 ((|#2| |#2|) 133)) (-2069 ((|#2| |#2|) 137)) (-2467 ((|#2| |#2|) 125))) 
+(((-1191 |#1| |#2|) (-10 -7 (-15 -2121 (|#2| |#2|)) (-15 -1928 (|#2| |#2|)) (-15 -2948 (|#2| |#2|)) (-15 -4530 (|#2| |#2|)) (-15 -3261 (|#2| |#2|)) (-15 -1917 (|#2| |#2|)) (-15 -2119 (|#2| |#2|)) (-15 -2467 (|#2| |#2|)) (-15 -2069 (|#2| |#2|)) (-15 -4281 (|#2| |#2|)) (-15 -1766 (|#2| |#2|)) (-15 -2208 (|#2| |#2|)) (-15 -3489 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4443 (|#2| |#2|)) (-15 -3928 (|#2| |#2|)) (-15 -3197 (|#2| |#2|)) (-15 -3744 (|#2| |#2|)) (-15 -2331 (|#2| |#2|)) (-15 -2912 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -2586 (|#2| |#2|)) (-15 -3989 (|#2| |#2|)) (-15 -2401 (|#2| |#2|)) (-15 -3966 (|#2| |#2|)) (-15 -2827 (|#2| |#2|)) (IF (|has| |#1| (-883 |#1|)) (IF (|has| |#1| (-610 (-889 |#1|))) (IF (|has| |#2| (-610 (-889 |#1|))) (IF (|has| |#2| (-883 |#1|)) (-15 -4380 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) (-13 (-844) (-454)) (-13 (-433 |#1|) (-1185))) (T -1191)) 
+((-4380 (*1 *2 *2) (-12 (-4 *3 (-610 (-889 *3))) (-4 *3 (-883 *3)) (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-610 (-889 *3))) (-4 *2 (-883 *3)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2827 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3966 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2401 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3989 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2586 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1624 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1515 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2912 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2331 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3744 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3197 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3928 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4443 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3663 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3489 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2208 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1766 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4281 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2069 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2467 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2119 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1917 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-3261 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-4530 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2948 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-1928 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) (-2121 (*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(-10 -7 (-15 -2121 (|#2| |#2|)) (-15 -1928 (|#2| |#2|)) (-15 -2948 (|#2| |#2|)) (-15 -4530 (|#2| |#2|)) (-15 -3261 (|#2| |#2|)) (-15 -1917 (|#2| |#2|)) (-15 -2119 (|#2| |#2|)) (-15 -2467 (|#2| |#2|)) (-15 -2069 (|#2| |#2|)) (-15 -4281 (|#2| |#2|)) (-15 -1766 (|#2| |#2|)) (-15 -2208 (|#2| |#2|)) (-15 -3489 (|#2| |#2|)) (-15 -3663 (|#2| |#2|)) (-15 -4443 (|#2| |#2|)) (-15 -3928 (|#2| |#2|)) (-15 -3197 (|#2| |#2|)) (-15 -3744 (|#2| |#2|)) (-15 -2331 (|#2| |#2|)) (-15 -2912 (|#2| |#2|)) (-15 -1515 (|#2| |#2|)) (-15 -1624 (|#2| |#2|)) (-15 -2586 (|#2| |#2|)) (-15 -3989 (|#2| |#2|)) (-15 -2401 (|#2| |#2|)) (-15 -3966 (|#2| |#2|)) (-15 -2827 (|#2| |#2|)) (IF (|has| |#1| (-883 |#1|)) (IF (|has| |#1| (-610 (-889 |#1|))) (IF (|has| |#2| (-610 (-889 |#1|))) (IF (|has| |#2| (-883 |#1|)) (-15 -4380 (|#2| |#2|)) |noBranch|) |noBranch|) |noBranch|) |noBranch|)) 
+((-3679 (((-121) |#5| $) 59) (((-121) $) 101)) (-1815 ((|#5| |#5| $) 74)) (-2140 (($ (-1 (-121) |#5|) $) NIL) (((-3 |#5| "failed") $ |#4|) 118)) (-2516 (((-635 |#5|) (-635 |#5|) $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 72)) (-3003 (((-3 $ "failed") (-635 |#5|)) 125)) (-1864 (((-3 $ "failed") $) 111)) (-3562 ((|#5| |#5| $) 93)) (-3782 (((-121) |#5| $ (-1 (-121) |#5| |#5|)) 30)) (-4417 ((|#5| |#5| $) 97)) (-2793 ((|#5| (-1 |#5| |#5| |#5|) $ |#5| |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $ |#5|) NIL) ((|#5| (-1 |#5| |#5| |#5|) $) NIL) ((|#5| |#5| $ (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|)) 68)) (-4047 (((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) $) 54)) (-1660 (((-121) |#5| $) 57) (((-121) $) 102)) (-1473 ((|#4| $) 107)) (-3302 (((-3 |#5| "failed") $) 109)) (-1536 (((-635 |#5|) $) 48)) (-2114 (((-121) |#5| $) 66) (((-121) $) 106)) (-2709 ((|#5| |#5| $) 80)) (-1861 (((-121) $ $) 26)) (-3072 (((-121) |#5| $) 62) (((-121) $) 104)) (-1910 ((|#5| |#5| $) 77)) (-1816 (((-3 |#5| "failed") $) 108)) (-3803 (($ $ |#5|) 126)) (-2284 (((-765) $) 51)) (-3124 (($ (-635 |#5|)) 123)) (-2201 (($ $ |#4|) 121)) (-4081 (($ $ |#4|) 120)) (-2406 (($ $) 119)) (-3956 (((-852) $) NIL) (((-635 |#5|) $) 112)) (-1448 (((-765) $) 129)) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|)) 42) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|)) 44)) (-1680 (((-121) $ (-1 (-121) |#5| (-635 |#5|))) 99)) (-3882 (((-635 |#4|) $) 114)) (-3345 (((-121) |#4| $) 117)) (-1326 (((-121) $ $) 19))) 
+(((-1192 |#1| |#2| |#3| |#4| |#5|) (-10 -8 (-15 -1448 ((-765) |#1|)) (-15 -3803 (|#1| |#1| |#5|)) (-15 -2140 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3345 ((-121) |#4| |#1|)) (-15 -3882 ((-635 |#4|) |#1|)) (-15 -1864 ((-3 |#1| "failed") |#1|)) (-15 -3302 ((-3 |#5| "failed") |#1|)) (-15 -1816 ((-3 |#5| "failed") |#1|)) (-15 -4417 (|#5| |#5| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3562 (|#5| |#5| |#1|)) (-15 -2709 (|#5| |#5| |#1|)) (-15 -1910 (|#5| |#5| |#1|)) (-15 -1815 (|#5| |#5| |#1|)) (-15 -2516 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2793 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2114 ((-121) |#1|)) (-15 -3072 ((-121) |#1|)) (-15 -3679 ((-121) |#1|)) (-15 -1680 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -2114 ((-121) |#5| |#1|)) (-15 -3072 ((-121) |#5| |#1|)) (-15 -3679 ((-121) |#5| |#1|)) (-15 -3782 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1660 ((-121) |#1|)) (-15 -1660 ((-121) |#5| |#1|)) (-15 -4047 ((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) |#1|)) (-15 -2284 ((-765) |#1|)) (-15 -1536 ((-635 |#5|) |#1|)) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -1861 ((-121) |#1| |#1|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -1473 (|#4| |#1|)) (-15 -3003 ((-3 |#1| "failed") (-635 |#5|))) (-15 -3956 ((-635 |#5|) |#1|)) (-15 -3124 (|#1| (-635 |#5|))) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2140 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) (-1193 |#2| |#3| |#4| |#5|) (-559) (-790) (-844) (-1063 |#2| |#3| |#4|)) (T -1192)) 
+NIL 
+(-10 -8 (-15 -1448 ((-765) |#1|)) (-15 -3803 (|#1| |#1| |#5|)) (-15 -2140 ((-3 |#5| "failed") |#1| |#4|)) (-15 -3345 ((-121) |#4| |#1|)) (-15 -3882 ((-635 |#4|) |#1|)) (-15 -1864 ((-3 |#1| "failed") |#1|)) (-15 -3302 ((-3 |#5| "failed") |#1|)) (-15 -1816 ((-3 |#5| "failed") |#1|)) (-15 -4417 (|#5| |#5| |#1|)) (-15 -2406 (|#1| |#1|)) (-15 -3562 (|#5| |#5| |#1|)) (-15 -2709 (|#5| |#5| |#1|)) (-15 -1910 (|#5| |#5| |#1|)) (-15 -1815 (|#5| |#5| |#1|)) (-15 -2516 ((-635 |#5|) (-635 |#5|) |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2793 (|#5| |#5| |#1| (-1 |#5| |#5| |#5|) (-1 (-121) |#5| |#5|))) (-15 -2114 ((-121) |#1|)) (-15 -3072 ((-121) |#1|)) (-15 -3679 ((-121) |#1|)) (-15 -1680 ((-121) |#1| (-1 (-121) |#5| (-635 |#5|)))) (-15 -2114 ((-121) |#5| |#1|)) (-15 -3072 ((-121) |#5| |#1|)) (-15 -3679 ((-121) |#5| |#1|)) (-15 -3782 ((-121) |#5| |#1| (-1 (-121) |#5| |#5|))) (-15 -1660 ((-121) |#1|)) (-15 -1660 ((-121) |#5| |#1|)) (-15 -4047 ((-2 (|:| -2412 (-635 |#5|)) (|:| -4465 (-635 |#5|))) |#1|)) (-15 -2284 ((-765) |#1|)) (-15 -1536 ((-635 |#5|) |#1|)) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5|) (-1 (-121) |#5| |#5|))) (-15 -2236 ((-3 (-2 (|:| |bas| |#1|) (|:| -1941 (-635 |#5|))) "failed") (-635 |#5|) (-1 (-121) |#5| |#5|))) (-15 -1861 ((-121) |#1| |#1|)) (-15 -2201 (|#1| |#1| |#4|)) (-15 -4081 (|#1| |#1| |#4|)) (-15 -1473 (|#4| |#1|)) (-15 -3003 ((-3 |#1| "failed") (-635 |#5|))) (-15 -3956 ((-635 |#5|) |#1|)) (-15 -3124 (|#1| (-635 |#5|))) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5|)) (-15 -2140 (|#1| (-1 (-121) |#5|) |#1|)) (-15 -2793 (|#5| (-1 |#5| |#5| |#5|) |#1| |#5| |#5|)) (-15 -3956 ((-852) |#1|)) (-15 -1326 ((-121) |#1| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) 78)) (-3202 (((-635 $) (-635 |#4|)) 79)) (-3195 (((-635 |#3|) $) 32)) (-2800 (((-121) $) 25)) (-3543 (((-121) $) 16 (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) 94) (((-121) $) 90)) (-1815 ((|#4| |#4| $) 85)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) 26)) (-3350 (((-121) $ (-765)) 43)) (-2140 (($ (-1 (-121) |#4|) $) 64 (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) 72)) (-4483 (($) 44 T CONST)) (-3987 (((-121) $) 21 (|has| |#1| (-559)))) (-3756 (((-121) $ $) 23 (|has| |#1| (-559)))) (-3258 (((-121) $ $) 22 (|has| |#1| (-559)))) (-1707 (((-121) $) 24 (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 86)) (-3279 (((-635 |#4|) (-635 |#4|) $) 17 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) 18 (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) 35)) (-1321 (($ (-635 |#4|)) 34)) (-1864 (((-3 $ "failed") $) 75)) (-3562 ((|#4| |#4| $) 82)) (-1858 (($ $) 67 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#4| $) 66 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#4|) $) 63 (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) 19 (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) 95)) (-4417 ((|#4| |#4| $) 80)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) 65 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) 62 (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) 61 (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 87)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) 98)) (-4303 (((-635 |#4|) $) 51 (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) 97) (((-121) $) 96)) (-1473 ((|#3| $) 33)) (-3206 (((-121) $ (-765)) 42)) (-4457 (((-635 |#4|) $) 52 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) 54 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#4| |#4|) $) 47 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) 46)) (-3069 (((-635 |#3|) $) 31)) (-2107 (((-121) |#3| $) 30)) (-1396 (((-121) $ (-765)) 41)) (-2605 (((-1147) $) 9)) (-3302 (((-3 |#4| "failed") $) 76)) (-1536 (((-635 |#4|) $) 100)) (-2114 (((-121) |#4| $) 92) (((-121) $) 88)) (-2709 ((|#4| |#4| $) 83)) (-1861 (((-121) $ $) 103)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) 20 (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) 93) (((-121) $) 89)) (-1910 ((|#4| |#4| $) 84)) (-1912 (((-1111) $) 10)) (-1816 (((-3 |#4| "failed") $) 77)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) 60)) (-4300 (((-3 $ "failed") $ |#4|) 71)) (-3803 (($ $ |#4|) 70)) (-2985 (((-121) (-1 (-121) |#4|) $) 49 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) 58 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) 57 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) 56 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) 55 (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) 37)) (-1668 (((-121) $) 40)) (-4016 (($) 39)) (-2284 (((-765) $) 99)) (-2691 (((-765) |#4| $) 53 (-12 (|has| |#4| (-1093)) (|has| $ (-6 -4571)))) (((-765) (-1 (-121) |#4|) $) 50 (|has| $ (-6 -4571)))) (-1799 (($ $) 38)) (-4035 (((-542) $) 68 (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) 59)) (-2201 (($ $ |#3|) 27)) (-4081 (($ $ |#3|) 29)) (-2406 (($ $) 81)) (-2239 (($ $ |#3|) 28)) (-3956 (((-852) $) 11) (((-635 |#4|) $) 36)) (-1448 (((-765) $) 69 (|has| |#3| (-371)))) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 102) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) 101)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) 91)) (-3776 (((-121) (-1 (-121) |#4|) $) 48 (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) 74)) (-3345 (((-121) |#3| $) 73)) (-1326 (((-121) $ $) 6)) (-2946 (((-765) $) 45 (|has| $ (-6 -4571))))) 
+(((-1193 |#1| |#2| |#3| |#4|) (-1284) (-559) (-790) (-844) (-1063 |t#1| |t#2| |t#3|)) (T -1193)) 
+((-1861 (*1 *2 *1 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2236 (*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1193 *5 *6 *7 *8)))) (-2236 (*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1193 *6 *7 *8 *9)))) (-1536 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *6)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-765)))) (-4047 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-2 (|:| -2412 (-635 *6)) (|:| -4465 (-635 *6)))))) (-1660 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-1660 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3782 (*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1193 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)))) (-3679 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3072 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-2114 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-1680 (*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1193 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)))) (-3679 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-3072 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2114 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) (-2793 (*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1193 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *2 (-1063 *5 *6 *7)))) (-2516 (*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1193 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)))) (-1815 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1910 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-2709 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3562 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-2406 (*1 *1 *1) (-12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) (-4417 (*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3202 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1193 *4 *5 *6 *7)))) (-2746 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -2412 *1) (|:| -4465 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1193 *4 *5 *6 *7)))) (-1816 (*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3302 (*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1864 (*1 *1 *1) (|partial| -12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) (-3882 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) (-3345 (*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) (-2140 (*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1193 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *2 (-1063 *4 *5 *3)))) (-4300 (*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) (-1448 (*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-765))))) 
+(-13 (-979 |t#1| |t#2| |t#3| |t#4|) (-10 -8 (-6 -4571) (-6 -4572) (-15 -1861 ((-121) $ $)) (-15 -2236 ((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2236 ((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |t#4|))) "failed") (-635 |t#4|) (-1 (-121) |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1536 ((-635 |t#4|) $)) (-15 -2284 ((-765) $)) (-15 -4047 ((-2 (|:| -2412 (-635 |t#4|)) (|:| -4465 (-635 |t#4|))) $)) (-15 -1660 ((-121) |t#4| $)) (-15 -1660 ((-121) $)) (-15 -3782 ((-121) |t#4| $ (-1 (-121) |t#4| |t#4|))) (-15 -3679 ((-121) |t#4| $)) (-15 -3072 ((-121) |t#4| $)) (-15 -2114 ((-121) |t#4| $)) (-15 -1680 ((-121) $ (-1 (-121) |t#4| (-635 |t#4|)))) (-15 -3679 ((-121) $)) (-15 -3072 ((-121) $)) (-15 -2114 ((-121) $)) (-15 -2793 (|t#4| |t#4| $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -2516 ((-635 |t#4|) (-635 |t#4|) $ (-1 |t#4| |t#4| |t#4|) (-1 (-121) |t#4| |t#4|))) (-15 -1815 (|t#4| |t#4| $)) (-15 -1910 (|t#4| |t#4| $)) (-15 -2709 (|t#4| |t#4| $)) (-15 -3562 (|t#4| |t#4| $)) (-15 -2406 ($ $)) (-15 -4417 (|t#4| |t#4| $)) (-15 -3202 ((-635 $) (-635 |t#4|))) (-15 -2746 ((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |t#4|)))) (-635 |t#4|))) (-15 -1816 ((-3 |t#4| "failed") $)) (-15 -3302 ((-3 |t#4| "failed") $)) (-15 -1864 ((-3 $ "failed") $)) (-15 -3882 ((-635 |t#3|) $)) (-15 -3345 ((-121) |t#3| $)) (-15 -2140 ((-3 |t#4| "failed") $ |t#3|)) (-15 -4300 ((-3 $ "failed") $ |t#4|)) (-15 -3803 ($ $ |t#4|)) (IF (|has| |t#3| (-371)) (-15 -1448 ((-765) $)) |noBranch|))) 
+(((-39) . T) ((-105) . T) ((-609 (-635 |#4|)) . T) ((-609 (-852)) . T) ((-155 |#4|) . T) ((-610 (-542)) |has| |#4| (-610 (-542))) ((-304 |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-500 |#4|) . T) ((-524 |#4| |#4|) -12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))) ((-979 |#1| |#2| |#3| |#4|) . T) ((-1093) . T) ((-1199) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1165)) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2849 (((-955 |#1|) $ (-765)) 16) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $ (-1165)) NIL) (((-765) $ (-1165) (-765)) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3052 (((-121) $) NIL)) (-3179 (($ $ (-635 (-1165)) (-635 (-535 (-1165)))) NIL) (($ $ (-1165) (-535 (-1165))) NIL) (($ |#1| (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1324 (($ $ (-1165)) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2528 (($ (-1 $) (-1165) |#1|) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3803 (($ $ (-765)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (($ $ (-1165) $) NIL) (($ $ (-635 (-1165)) (-635 $)) NIL) (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL)) (-3289 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-2284 (((-535 (-1165)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ $) NIL (|has| |#1| (-559))) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-1165)) NIL) (($ (-955 |#1|)) NIL)) (-3802 ((|#1| $ (-535 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (((-955 |#1|) $ (-765)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) NIL) (($ $ |#1|) NIL))) 
+(((-1194 |#1|) (-13 (-732 |#1| (-1165)) (-10 -8 (-15 -3802 ((-955 |#1|) $ (-765))) (-15 -3956 ($ (-1165))) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ (-1165) |#1|)) (-15 -2528 ($ (-1 $) (-1165) |#1|))) |noBranch|))) (-1049)) (T -1194)) 
+((-3802 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-955 *4)) (-5 *1 (-1194 *4)) (-4 *4 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-1194 *3)))) (-1324 (*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) (-2528 (*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1194 *4))) (-5 *3 (-1165)) (-5 *1 (-1194 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
+(-13 (-732 |#1| (-1165)) (-10 -8 (-15 -3802 ((-955 |#1|) $ (-765))) (-15 -3956 ($ (-1165))) (-15 -3956 ($ (-955 |#1|))) (IF (|has| |#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $ (-1165) |#1|)) (-15 -2528 ($ (-1 $) (-1165) |#1|))) |noBranch|))) 
+((-4238 (($ |#1| (-635 (-635 (-946 (-216)))) (-121)) 15)) (-1762 (((-121) $ (-121)) 14)) (-3965 (((-121) $) 13)) (-3777 (((-635 (-635 (-946 (-216)))) $) 10)) (-3902 ((|#1| $) 8)) (-1980 (((-121) $) 12))) 
+(((-1195 |#1|) (-10 -8 (-15 -3902 (|#1| $)) (-15 -3777 ((-635 (-635 (-946 (-216)))) $)) (-15 -1980 ((-121) $)) (-15 -3965 ((-121) $)) (-15 -1762 ((-121) $ (-121))) (-15 -4238 ($ |#1| (-635 (-635 (-946 (-216)))) (-121)))) (-977)) (T -1195)) 
+((-4238 (*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-121)) (-5 *1 (-1195 *2)) (-4 *2 (-977)))) (-1762 (*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3965 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-1980 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3777 (*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-1195 *3)) (-4 *3 (-977)))) (-3902 (*1 *2 *1) (-12 (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
+(-10 -8 (-15 -3902 (|#1| $)) (-15 -3777 ((-635 (-635 (-946 (-216)))) $)) (-15 -1980 ((-121) $)) (-15 -3965 ((-121) $)) (-15 -1762 ((-121) $ (-121))) (-15 -4238 ($ |#1| (-635 (-635 (-946 (-216)))) (-121)))) 
+((-4148 (((-946 (-216)) (-946 (-216))) 25)) (-2131 (((-946 (-216)) (-216) (-216) (-216) (-216)) 10)) (-3041 (((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216)))) 35)) (-4510 (((-216) (-946 (-216)) (-946 (-216))) 21)) (-3617 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 22)) (-4234 (((-635 (-635 (-216))) (-569)) 31)) (-1377 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 20)) (-1371 (((-946 (-216)) (-946 (-216)) (-946 (-216))) 19)) (* (((-946 (-216)) (-216) (-946 (-216))) 18))) 
+(((-1196) (-10 -7 (-15 -2131 ((-946 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-946 (-216)) (-216) (-946 (-216)))) (-15 -1371 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -1377 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4510 ((-216) (-946 (-216)) (-946 (-216)))) (-15 -3617 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4148 ((-946 (-216)) (-946 (-216)))) (-15 -4234 ((-635 (-635 (-216))) (-569))) (-15 -3041 ((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216))))))) (T -1196)) 
+((-3041 (*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-946 *4))) (-5 *1 (-1196)) (-5 *3 (-946 *4)))) (-4234 (*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1196)))) (-4148 (*1 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-3617 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-4510 (*1 *2 *3 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-216)) (-5 *1 (-1196)))) (-1377 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (-1371 (*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) (* (*1 *2 *3 *2) (-12 (-5 *2 (-946 (-216))) (-5 *3 (-216)) (-5 *1 (-1196)))) (-2131 (*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)) (-5 *3 (-216))))) 
+(-10 -7 (-15 -2131 ((-946 (-216)) (-216) (-216) (-216) (-216))) (-15 * ((-946 (-216)) (-216) (-946 (-216)))) (-15 -1371 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -1377 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4510 ((-216) (-946 (-216)) (-946 (-216)))) (-15 -3617 ((-946 (-216)) (-946 (-216)) (-946 (-216)))) (-15 -4148 ((-946 (-216)) (-946 (-216)))) (-15 -4234 ((-635 (-635 (-216))) (-569))) (-15 -3041 ((-635 (-946 (-216))) (-946 (-216)) (-946 (-216)) (-946 (-216)) (-216) (-635 (-635 (-216)))))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-2140 ((|#1| $ (-765)) 13)) (-2718 (((-765) $) 12)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-3956 (((-960 |#1|) $) 10) (($ (-960 |#1|)) 9) (((-852) $) 23 (|has| |#1| (-1093)))) (-1326 (((-121) $ $) 16 (|has| |#1| (-1093))))) 
+(((-1197 |#1|) (-13 (-609 (-960 |#1|)) (-10 -8 (-15 -3956 ($ (-960 |#1|))) (-15 -2140 (|#1| $ (-765))) (-15 -2718 ((-765) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) (-1199)) (T -1197)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-960 *3)) (-4 *3 (-1199)) (-5 *1 (-1197 *3)))) (-2140 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-1197 *2)) (-4 *2 (-1199)))) (-2718 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1197 *3)) (-4 *3 (-1199))))) 
+(-13 (-609 (-960 |#1|)) (-10 -8 (-15 -3956 ($ (-960 |#1|))) (-15 -2140 (|#1| $ (-765))) (-15 -2718 ((-765) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|))) 
+((-1360 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)) 79)) (-4042 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|))) 73)) (-4509 (((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|))) 58))) 
+(((-1198 |#1|) (-10 -7 (-15 -4042 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -4509 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -1360 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)))) (-351)) (T -1198)) 
+((-1360 (*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1161 (-1161 *5)))) (-5 *1 (-1198 *5)) (-5 *3 (-1161 (-1161 *5))))) (-4509 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4))))) (-4042 (*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
+(-10 -7 (-15 -4042 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -4509 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)))) (-15 -1360 ((-421 (-1161 (-1161 |#1|))) (-1161 (-1161 |#1|)) (-569)))) 
+NIL 
+(((-1199) (-1284)) (T -1199)) 
+NIL 
+(-13 (-10 -7 (-6 -4317))) 
+((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1201)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-569) $ (-569) (-569) (-569)) 17) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1201)) NIL)) (-1622 (($ $ (-569) (-1201)) NIL)) (-2232 (($ (-765) (-569)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-569) (-302)))) (-4128 (((-1201) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-569) (-559)))) (-3982 (((-569) $ (-569) (-569) (-569)) 16)) (-2903 (($ (-569) (-569)) 19)) (-4124 (((-569) $ (-569) (-569)) 14)) (-3917 (((-569) $) NIL (|has| (-569) (-173)))) (-4303 (((-635 (-569)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-569) (-559)))) (-3970 (((-635 (-1201)) $) NIL (|has| (-569) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-569)) 20)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-569)))) NIL) (($ (-765) (-765) (-1 (-569) (-569) (-569))) NIL)) (-2089 (($ (-1 (-569) (-569)) $) NIL)) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL) (($ (-1 (-569) (-569) (-569)) $ $ (-569)) NIL)) (-4269 (((-635 (-635 (-569))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-569) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-2417 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ (-569)) NIL (|has| (-569) (-559)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 18)) (-2503 (((-569) $ (-569) (-569)) 15) (((-569) $ (-569) (-569) (-569)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-569))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1201)) $) NIL (|has| (-569) (-302)))) (-2349 (((-1201) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093))) (($ (-1201)) NIL)) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1383 (($ $ (-569)) NIL (|has| (-569) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-569) (-366)))) (* (($ $ $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) $) NIL) (((-1201) $ (-1201)) NIL) (((-1201) (-1201) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1200) (-13 (-679 (-569) (-1201) (-1201)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -1200)) 
+((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1200))))) 
+(-13 (-679 (-569) (-1201) (-1201)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
+((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
+(((-1201) (-19 (-569))) (T -1201)) 
+NIL 
+(-19 (-569)) 
+((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-3397 (($ (-765) (-765)) NIL)) (-1939 (($ $ $) NIL)) (-3976 (($ (-1203)) NIL) (($ $) NIL)) (-3531 (((-121) $) NIL)) (-1361 (($ $ (-569) (-569)) NIL)) (-4154 (($ $ (-569) (-569)) NIL)) (-4244 (($ $ (-569) (-569) (-569) (-569)) NIL)) (-3451 (($ $) NIL)) (-1491 (((-121) $) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-1506 (($ $ (-569) (-569) $) NIL)) (-2511 (((-569) $ (-569) (-569) (-569)) 17) (($ $ (-635 (-569)) (-635 (-569)) $) NIL)) (-3890 (($ $ (-569) (-1203)) NIL)) (-1622 (($ $ (-569) (-1203)) NIL)) (-2232 (($ (-765) (-569)) NIL)) (-4483 (($) NIL T CONST)) (-4003 (($ $) NIL (|has| (-569) (-302)))) (-4128 (((-1203) $ (-569)) NIL)) (-3358 (((-765) $) NIL (|has| (-569) (-559)))) (-3982 (((-569) $ (-569) (-569) (-569)) 16)) (-2903 (($ (-569) (-569)) 19)) (-4124 (((-569) $ (-569) (-569)) 14)) (-3917 (((-569) $) NIL (|has| (-569) (-173)))) (-4303 (((-635 (-569)) $) NIL)) (-2557 (((-765) $) NIL (|has| (-569) (-559)))) (-3970 (((-635 (-1203)) $) NIL (|has| (-569) (-559)))) (-3568 (((-765) $) 10)) (-2446 (($ (-765) (-765) (-569)) 20)) (-4145 (((-765) $) 11)) (-3206 (((-121) $ (-765)) NIL)) (-3164 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-4094 (((-569) $) 7)) (-3841 (((-569) $) 8)) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-2376 (((-569) $) 12)) (-2414 (((-569) $) 13)) (-2926 (($ (-635 (-635 (-569)))) NIL) (($ (-765) (-765) (-1 (-569) (-569) (-569))) NIL)) (-2089 (($ (-1 (-569) (-569)) $) NIL)) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL) (($ (-1 (-569) (-569) (-569)) $ $ (-569)) NIL)) (-4269 (((-635 (-635 (-569))) $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-1655 (((-3 $ "failed") $) NIL (|has| (-569) (-366)))) (-3116 (($ $ $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-2417 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ (-569)) NIL (|has| (-569) (-559)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 18)) (-2503 (((-569) $ (-569) (-569)) 15) (((-569) $ (-569) (-569) (-569)) NIL) (($ $ (-635 (-569)) (-635 (-569))) NIL)) (-3990 (($ (-635 (-569))) NIL) (($ (-635 $)) NIL)) (-3757 (((-121) $) NIL)) (-4396 (((-569) $) NIL (|has| (-569) (-6 (-4573 "*"))))) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1799 (($ $) NIL)) (-3300 (((-635 (-1203)) $) NIL (|has| (-569) (-302)))) (-2349 (((-1203) $ (-569)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093))) (($ (-1203)) NIL)) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2421 (((-121) $) NIL)) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1383 (($ $ (-569)) NIL (|has| (-569) (-366)))) (-1377 (($ $ $) NIL) (($ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| (-569) (-366)))) (* (($ $ $) NIL) (($ (-569) $) NIL) (($ $ (-569)) NIL) (($ (-569) $) NIL) (((-1203) $ (-1203)) NIL) (((-1203) (-1203) $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1202) (-13 (-679 (-569) (-1203) (-1203)) (-10 -8 (-15 -2903 ($ (-569) (-569)))))) (T -1202)) 
+((-2903 (*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1202))))) 
+(-13 (-679 (-569) (-1203) (-1203)) (-10 -8 (-15 -2903 ($ (-569) (-569))))) 
+((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
+(((-1203) (-19 (-569))) (T -1203)) 
+NIL 
+(-19 (-569)) 
+((-1310 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) (-569) (-569)) $) NIL) (((-121) $) NIL (|has| (-569) (-844)))) (-1744 (($ (-1 (-121) (-569) (-569)) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| (-569) (-844))))) (-2930 (($ (-1 (-121) (-569) (-569)) $) NIL) (($ $) NIL (|has| (-569) (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 (((-569) $ (-569) (-569)) 15 (|has| $ (-6 -4572))) (((-569) $ (-1219 (-569)) (-569)) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3503 (($ (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (($ (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-2793 (((-569) (-1 (-569) (-569) (-569)) $ (-569) (-569)) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093)))) (((-569) (-1 (-569) (-569) (-569)) $ (-569)) NIL (|has| $ (-6 -4571))) (((-569) (-1 (-569) (-569) (-569)) $) NIL (|has| $ (-6 -4571)))) (-3982 (((-569) $ (-569) (-569)) 14 (|has| $ (-6 -4572)))) (-4124 (((-569) $ (-569)) 12)) (-3988 (((-569) (-1 (-121) (-569)) $) NIL) (((-569) (-569) $) NIL (|has| (-569) (-1093))) (((-569) (-569) $ (-569)) NIL (|has| (-569) (-1093)))) (-4303 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-2446 (($ (-765) (-569)) 11)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) 9 (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| (-569) (-844)))) (-2102 (($ (-1 (-121) (-569) (-569)) $ $) NIL) (($ $ $) NIL (|has| (-569) (-844)))) (-4457 (((-635 (-569)) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| (-569) (-844)))) (-2089 (($ (-1 (-569) (-569)) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 (-569) (-569)) $) NIL) (($ (-1 (-569) (-569) (-569)) $ $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL (|has| (-569) (-1093)))) (-2583 (($ (-569) $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| (-569) (-1093)))) (-1816 (((-569) $) NIL (|has| (-569) (-844)))) (-2569 (((-3 (-569) "failed") (-1 (-121) (-569)) $) NIL)) (-2417 (($ $ (-569)) 16 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 (-569)))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-289 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-569) (-569)) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093)))) (($ $ (-635 (-569)) (-635 (-569))) NIL (-12 (|has| (-569) (-304 (-569))) (|has| (-569) (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-4283 (((-635 (-569)) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) 10)) (-2503 (((-569) $ (-569) (-569)) NIL) (((-569) $ (-569)) 13) (($ $ (-1219 (-569))) NIL)) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-2691 (((-765) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571))) (((-765) (-569) $) NIL (-12 (|has| $ (-6 -4571)) (|has| (-569) (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| (-569) (-610 (-542))))) (-3124 (($ (-635 (-569))) NIL)) (-4456 (($ $ (-569)) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| (-569) (-1093)))) (-3776 (((-121) (-1 (-121) (-569)) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1343 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1326 (((-121) $ $) NIL (|has| (-569) (-1093)))) (-1349 (((-121) $ $) NIL (|has| (-569) (-844)))) (-1337 (((-121) $ $) NIL (|has| (-569) (-844)))) (-2946 (((-765) $) 7 (|has| $ (-6 -4571))))) 
+(((-1204) (-19 (-569))) (T -1204)) 
 NIL 
 (-19 (-569)) 
-((-4067 (((-121)) 14)) (-3737 (((-1252) (-635 |#1|) (-635 |#1|)) 18) (((-1252) (-635 |#1|)) 19)) (-1974 (((-121) |#1| |#1|) 30 (|has| |#1| (-843)))) (-2006 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-3424 ((|#1| (-635 |#1|)) 31 (|has| |#1| (-843))) ((|#1| (-635 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-2305 (((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|)))) 16))) 
-(((-1199 |#1|) (-10 -7 (-15 -3737 ((-1252) (-635 |#1|))) (-15 -3737 ((-1252) (-635 |#1|) (-635 |#1|))) (-15 -2305 ((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|))))) (-15 -2006 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2006 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -3424 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -4067 ((-121))) (IF (|has| |#1| (-843)) (PROGN (-15 -3424 (|#1| (-635 |#1|))) (-15 -1974 ((-121) |#1| |#1|))) |noBranch|)) (-1091)) (T -1199)) 
-((-1974 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-843)) (-4 *3 (-1091)))) (-3424 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-1199 *2)))) (-4067 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-3424 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1199 *2)) (-4 *2 (-1091)))) (-2006 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1091)) (-5 *2 (-121)) (-5 *1 (-1199 *3)))) (-2006 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-2305 (*1 *2) (-12 (-5 *2 (-2 (|:| -4073 (-635 *3)) (|:| -1990 (-635 *3)))) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) (-3737 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4)))) (-3737 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4))))) 
-(-10 -7 (-15 -3737 ((-1252) (-635 |#1|))) (-15 -3737 ((-1252) (-635 |#1|) (-635 |#1|))) (-15 -2305 ((-2 (|:| -4073 (-635 |#1|)) (|:| -1990 (-635 |#1|))))) (-15 -2006 ((-3 (-121) "failed") |#1| |#1|)) (-15 -2006 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -3424 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -4067 ((-121))) (IF (|has| |#1| (-843)) (PROGN (-15 -3424 (|#1| (-635 |#1|))) (-15 -1974 ((-121) |#1| |#1|))) |noBranch|)) 
-((-4278 (((-1252) (-635 (-1163)) (-635 (-1163))) 12) (((-1252) (-635 (-1163))) 10)) (-3257 (((-1252)) 13)) (-4207 (((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) 17))) 
-(((-1200) (-10 -7 (-15 -4278 ((-1252) (-635 (-1163)))) (-15 -4278 ((-1252) (-635 (-1163)) (-635 (-1163)))) (-15 -4207 ((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163)))))) (-15 -3257 ((-1252))))) (T -1200)) 
-((-3257 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1200)))) (-4207 (*1 *2) (-12 (-5 *2 (-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) (-5 *1 (-1200)))) (-4278 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200)))) (-4278 (*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200))))) 
-(-10 -7 (-15 -4278 ((-1252) (-635 (-1163)))) (-15 -4278 ((-1252) (-635 (-1163)) (-635 (-1163)))) (-15 -4207 ((-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163)))))) (-15 -3257 ((-1252)))) 
-((-2004 (($ $) 16)) (-3726 (((-121) $) 23))) 
-(((-1201 |#1|) (-10 -8 (-15 -2004 (|#1| |#1|)) (-15 -3726 ((-121) |#1|))) (-1202)) (T -1201)) 
-NIL 
-(-10 -8 (-15 -2004 (|#1| |#1|)) (-15 -3726 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 49)) (-2446 (((-421 $) $) 50)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-3726 (((-121) $) 51)) (-1407 (((-121) $) 30)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 48)) (-2941 (((-3 $ "failed") $ $) 41)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42)) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
-(((-1202) (-1278)) (T -1202)) 
-((-3726 (*1 *2 *1) (-12 (-4 *1 (-1202)) (-5 *2 (-121)))) (-2446 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) (-2004 (*1 *1 *1) (-4 *1 (-1202))) (-1743 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202))))) 
-(-13 (-454) (-10 -8 (-15 -3726 ((-121) $)) (-15 -2446 ((-421 $) $)) (-15 -2004 ($ $)) (-15 -1743 ((-421 $) $)))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-851)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-708 $) . T) ((-717) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-4312 (((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)) 15))) 
-(((-1203 |#1|) (-10 -7 (-15 -4312 ((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)))) (-1048)) (T -1203)) 
-((-4312 (*1 *2 *2 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-1048)) (-5 *1 (-1203 *3))))) 
-(-10 -7 (-15 -4312 ((-1204 |#1|) (-1204 |#1|) (-1204 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) NIL)) (-3683 (((-1219 (QUOTE |x|) |#1|) $ (-764)) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-764)) NIL) (($ $ (-764) (-764)) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) NIL) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) NIL)) (-2088 (((-954 |#1|) $ (-764)) NIL) (((-954 |#1|) $ (-764) (-764)) NIL)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) NIL)) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) NIL)) (-1722 (($ $) NIL)) (-1357 (($ (-569) (-569) $) NIL)) (-2565 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 (QUOTE |x|))) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) NIL)) (-3499 (($ $ (-764)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) NIL)) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) NIL) (($ $ $) NIL (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 (QUOTE |x|))) NIL)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1219 (QUOTE |x|) |#1|)) NIL) (($ (-1243 (QUOTE |x|))) NIL)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) NIL)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) NIL T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1204 |#1|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 (QUOTE |x|) |#1|))) (-15 -3683 ((-1219 (QUOTE |x|) |#1|) $ (-764))) (-15 -2185 ($ (-1243 (QUOTE |x|)))) (-15 -3899 ($ $ (-1243 (QUOTE |x|)))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 (QUOTE |x|)))) |noBranch|))) (-1048)) (T -1204)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 (QUOTE |x|) *3)) (-4 *3 (-1048)) (-5 *1 (-1204 *3)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 (QUOTE |x|) *4)) (-5 *1 (-1204 *4)) (-4 *4 (-1048)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
-(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 (QUOTE |x|) |#1|))) (-15 -3683 ((-1219 (QUOTE |x|) |#1|) $ (-764))) (-15 -2185 ($ (-1243 (QUOTE |x|)))) (-15 -3899 ($ $ (-1243 (QUOTE |x|)))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 (QUOTE |x|)))) |noBranch|))) 
-((-1544 (((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)) 23))) 
-(((-1205 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 ((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)))) (-1048) (-1048) (-1163) (-1163) |#1| |#2|) (T -1205)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1210 *6 *8 *10)) (-5 *1 (-1205 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163))))) 
-(-10 -7 (-15 -1544 ((-1210 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1210 |#1| |#3| |#5|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-569) $) 95) (((-569) $ (-569)) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 165)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-569)) 60) (($ $ (-1076) (-569)) 72) (($ $ (-635 (-1076)) (-635 (-569))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2492 (((-569) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1206 |#1|) (-1278) (-1048)) (T -1206)) 
-((-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1206 *3)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1206 *3)) (-4 *3 (-1048)))) (-3068 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) (-3068 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1206 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1224 |t#1| (-569)) (-10 -8 (-15 -3343 ($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3622 ($ (-1 |t#1| (-569)) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -3068 ((-410 (-954 |t#1|)) $ (-569))) (-15 -3068 ((-410 (-954 |t#1|)) $ (-569) (-569)))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-569) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-569) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-569)) . T)) 
-((-3813 (((-121) $) 12)) (-1647 (((-3 |#3| "failed") $) 17) (((-3 (-1163) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL)) (-2428 ((|#3| $) 14) (((-1163) $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL))) 
-(((-1207 |#1| |#2| |#3|) (-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) (-1208 |#2| |#3|) (-1048) (-1237 |#2|)) (T -1207)) 
-NIL 
-(-10 -8 (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2428 ((-1163) |#1|)) (-15 -1647 ((-3 (-1163) "failed") |#1|)) (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3761 ((|#2| $) 219 (-2206 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-2051 ((|#2| $) 255)) (-3690 (((-3 |#2| "failed") $) 251)) (-1784 ((|#2| $) 252)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 228 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 225 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) 237 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 258) (((-3 (-569) "failed") $) 247 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) 245 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-1163) "failed") $) 230 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-2428 ((|#2| $) 257) (((-569) $) 248 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) 246 (-2206 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-1163) $) 231 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-1783 (($ $) 254) (($ (-569) $) 253)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-1696 (((-680 |#2|) (-680 $)) 209 (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) 208 (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 207 (-2206 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) 206 (-2206 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 33)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-4327 (($) 221 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2403 (((-121) $) 235 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 213 (-2206 (|has| |#2| (-882 (-382))) (|has| |#1| (-366)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 212 (-2206 (|has| |#2| (-882 (-569))) (|has| |#1| (-366))))) (-2558 (((-569) $) 95) (((-569) $ (-569)) 94)) (-1407 (((-121) $) 30)) (-4052 (($ $) 217 (|has| |#1| (-366)))) (-4116 ((|#2| $) 215 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) 249 (-2206 (|has| |#2| (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) 236 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 165)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-569)) 60) (($ $ (-1076) (-569)) 72) (($ $ (-635 (-1076)) (-635 (-569))) 71)) (-3291 (($ $ $) 239 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1538 (($ $ $) 240 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1544 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-366)))) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1788 (($ (-569) |#2|) 256)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-4043 (($) 250 (-2206 (|has| |#2| (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1346 (($ $) 220 (-2206 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-2942 ((|#2| $) 223 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) 226 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) 227 (-2206 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) |#2|) 200 (-2206 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 |#2|)) 199 (-2206 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) 198 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) 197 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) 196 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) 195 (-2206 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1103))) (($ $ |#2|) 194 (-2206 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) 204 (|has| |#1| (-366))) (($ $ (-764)) 79 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 77 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 84 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163) (-764)) 83 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1163))) 82 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163)) 81 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-4214 (($ $) 218 (|has| |#1| (-366)))) (-4121 ((|#2| $) 216 (|has| |#1| (-366)))) (-2492 (((-569) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-216) $) 234 (-2206 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-382) $) 233 (-2206 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-542) $) 232 (-2206 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-888 (-382)) $) 211 (-2206 (|has| |#2| (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) 210 (-2206 (|has| |#2| (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 224 (-2206 (-2206 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#1| (-366))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 259) (($ (-1163)) 229 (-2206 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366)))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 58)) (-3953 (((-3 $ "failed") $) 47 (-2232 (-2206 (-2232 (|has| |#2| (-149)) (-2206 (|has| $ (-149)) (|has| |#2| (-905)))) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-2612 ((|#2| $) 222 (-2206 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) 238 (-2206 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) 202 (|has| |#1| (-366))) (($ $ (-764)) 80 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 78 (-2232 (-2206 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) 88 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163) (-764)) 87 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1163))) 86 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1163)) 85 (-2232 (-2206 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-1693 (((-121) $ $) 242 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1684 (((-121) $ $) 243 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 241 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1678 (((-121) $ $) 244 (-2206 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366))) (($ |#2| |#2|) 214 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-366))) (($ |#2| $) 192 (|has| |#1| (-366))) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1208 |#1| |#2|) (-1278) (-1048) (-1237 |t#1|)) (T -1208)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)) (-5 *2 (-569)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1208 *3 *2)) (-4 *2 (-1237 *3)))) (-1788 (*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1048)) (-4 *1 (-1208 *4 *3)) (-4 *3 (-1237 *4)))) (-2051 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3)))) (-1783 (*1 *1 *1) (-12 (-4 *1 (-1208 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1237 *2)))) (-1783 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)))) (-1784 (*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3)))) (-3690 (*1 *2 *1) (|partial| -12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
-(-13 (-1206 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1788 ($ (-569) |t#2|)) (-15 -2492 ((-569) $)) (-15 -2051 (|t#2| $)) (-15 -1783 ($ $)) (-15 -1783 ($ (-569) $)) (-15 -2185 ($ |t#2|)) (-15 -1784 (|t#2| $)) (-15 -3690 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-366)) (-6 (-994 |t#2|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 |#2|) |has| |#1| (-366)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-366)) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-149))) (|has| |#1| (-149))) ((-151) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-151))) (|has| |#1| (-151))) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-610 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-610 (-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-888 (-569))))) ((-224 |#2|) |has| |#1| (-366)) ((-226) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-226))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 |#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) ((-282 $ $) |has| (-569) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-366) |has| |#1| (-366)) ((-337 |#2|) |has| |#1| (-366)) ((-380 |#2|) |has| |#1| (-366)) ((-403 |#2|) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 (-1163) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1163) |#2|))) ((-524 |#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 |#2|) |has| |#1| (-366)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((-631 |#2|) |has| |#1| (-366)) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 |#2|) |has| |#1| (-366)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-787) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-788) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-790) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-791) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-816) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-841) -12 (|has| |#1| (-366)) (|has| |#2| (-816))) ((-843) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-843))) (-12 (|has| |#1| (-366)) (|has| |#2| (-816)))) ((-896 (-1163)) -2232 (-12 (|has| |#1| (-366)) (|has| |#2| (-896 (-1163)))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))) ((-882 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-382)))) ((-882 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-882 (-569)))) ((-880 |#2|) |has| |#1| (-366)) ((-905) -12 (|has| |#1| (-366)) (|has| |#2| (-905))) ((-975 |#1| (-569) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-994 |#2|) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1022) -12 (|has| |#1| (-366)) (|has| |#2| (-1022))) ((-1038 (-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) ((-1038 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-569)))) ((-1038 (-1163)) -12 (|has| |#1| (-366)) (|has| |#2| (-1038 (-1163)))) ((-1038 |#2|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 |#2|) |has| |#1| (-366)) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) -12 (|has| |#1| (-366)) (|has| |#2| (-1137))) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1197) |has| |#1| (-366)) ((-1202) |has| |#1| (-366)) ((-1206 |#1|) . T) ((-1224 |#1| (-569)) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 70)) (-3761 ((|#2| $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 88)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-569)) 97) (($ $ (-569) (-569)) 99)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 47)) (-2051 ((|#2| $) 11)) (-3690 (((-3 |#2| "failed") $) 30)) (-1784 ((|#2| $) 31)) (-1753 (($ $) 192 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 188 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 57)) (-1760 (($ $) 196 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) 144) (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-1163) "failed") $) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-2428 ((|#2| $) 143) (((-569) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1038 (-569))) (|has| |#1| (-366)))) (((-1163) $) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366))))) (-1783 (($ $) 61) (($ (-569) $) 24)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 |#2|) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) 77)) (-3068 (((-410 (-954 |#1|)) $ (-569)) 112 (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) 114 (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) 64)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| |#2| (-882 (-382))) (|has| |#1| (-366)))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| |#2| (-882 (-569))) (|has| |#1| (-366))))) (-2558 (((-569) $) 93) (((-569) $ (-569)) 95)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 ((|#2| $) 151 (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) 136)) (-3622 (($ (-1 |#1| (-569)) $) 132)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 19) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1538 (($ $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1544 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) |#2|) 10)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 145 (|has| |#1| (-366)))) (-2565 (($ $) 214 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 219 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-4043 (($) NIL (-12 (|has| |#2| (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-2942 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| |#2| (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) 126)) (-2941 (((-3 $ "failed") $ $) 116 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) |#2|) NIL (-12 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 |#2|)) NIL (-12 (|has| |#2| (-524 (-1163) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) 91) (($ $ $) 79 (|has| (-569) (-1103))) (($ $ |#2|) NIL (-12 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 137 (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) 140 (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 ((|#2| $) 152 (|has| |#1| (-366)))) (-2492 (((-569) $) 12)) (-1764 (($ $) 198 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 194 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 190 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-216) $) NIL (-12 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| |#2| (-1022)) (|has| |#1| (-366)))) (((-542) $) NIL (-12 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| |#2| (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| |#2| (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905)) (|has| |#1| (-366))))) (-3659 (($ $) 124)) (-2185 (((-851) $) 242) (($ (-569)) 23) (($ |#1|) 21 (|has| |#1| (-173))) (($ |#2|) 20) (($ (-1163)) NIL (-12 (|has| |#2| (-1038 (-1163))) (|has| |#1| (-366)))) (($ (-410 (-569))) 155 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-569)) 74)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905)) (|has| |#1| (-366))) (-12 (|has| |#2| (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) 142)) (-4030 ((|#1| $) 90)) (-2612 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1779 (($ $) 204 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 200 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 208 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 210 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 206 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 202 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| |#2| (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 13 T CONST)) (-1556 (($) 17 T CONST)) (-3022 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#2| (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1684 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1668 (((-121) $ $) 63)) (-1688 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1678 (((-121) $ $) NIL (-12 (|has| |#2| (-843)) (|has| |#1| (-366))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 149 (|has| |#1| (-366))) (($ |#2| |#2|) 150 (|has| |#1| (-366)))) (-1711 (($ $) 213) (($ $ $) 68)) (-1707 (($ $ $) 66)) (** (($ $ (-918)) NIL) (($ $ (-764)) 73) (($ $ (-569)) 146 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 158 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-366))) (($ |#2| $) 147 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1209 |#1| |#2|) (-1208 |#1| |#2|) (-1048) (-1237 |#1|)) (T -1209)) 
-NIL 
-(-1208 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3761 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 10)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3383 (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4354 (((-121) $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3136 (($ $ (-569)) NIL) (($ $ (-569) (-569)) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-2051 (((-1238 |#1| |#2| |#3|) $) NIL)) (-3690 (((-3 (-1238 |#1| |#2| |#3|) "failed") $) NIL)) (-1784 (((-1238 |#1| |#2| |#3|) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3638 (((-569) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3343 (($ (-1143 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1238 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1163) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-2428 (((-1238 |#1| |#2| |#3|) $) NIL) (((-1163) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))))) (-1783 (($ $) NIL) (($ (-569) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-1238 |#1| |#2| |#3|)) (-680 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-1238 |#1| |#2| |#3|))) (|:| |vec| (-1247 (-1238 |#1| |#2| |#3|)))) (-680 $) (-1247 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-680 (-569)) (-680 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-3428 (((-3 $ "failed") $) NIL)) (-3068 (((-410 (-954 |#1|)) $ (-569)) NIL (|has| |#1| (-559))) (((-410 (-954 |#1|)) $ (-569) (-569)) NIL (|has| |#1| (-559)))) (-4327 (($) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2403 (((-121) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2883 (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-882 (-569))) (|has| |#1| (-366)))) (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-882 (-382))) (|has| |#1| (-366))))) (-2558 (((-569) $) NIL) (((-569) $ (-569)) NIL)) (-1407 (((-121) $) NIL)) (-4052 (($ $) NIL (|has| |#1| (-366)))) (-4116 (((-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3846 (((-3 $ "failed") $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))))) (-1781 (((-121) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-3089 (($ $ (-918)) NIL)) (-3622 (($ (-1 |#1| (-569)) $) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-569)) 17) (($ $ (-1076) (-569)) NIL) (($ $ (-635 (-1076)) (-635 (-569))) NIL)) (-3291 (($ $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1538 (($ $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1788 (($ (-569) (-1238 |#1| |#2| |#3|)) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 25 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 26 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1137)) (|has| |#1| (-366))) CONST)) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1346 (($ $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-2942 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-569)) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1163) (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1163)) (-635 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-524 (-1163) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1238 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1238 |#1| |#2| |#3|)) (-635 (-1238 |#1| |#2| |#3|))) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-304 (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-569)) NIL) (($ $ $) NIL (|has| (-569) (-1103))) (($ $ (-1238 |#1| |#2| |#3|)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-282 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-1243 |#2|)) 24) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 23 (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-4214 (($ $) NIL (|has| |#1| (-366)))) (-4121 (((-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2492 (((-569) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-542) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1022)) (|has| |#1| (-366)))) (((-888 (-382)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-888 (-382)))) (|has| |#1| (-366)))) (((-888 (-569)) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-610 (-888 (-569)))) (|has| |#1| (-366))))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1238 |#1| |#2| |#3|)) NIL) (($ (-1243 |#2|)) 22) (($ (-1163)) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-1163))) (|has| |#1| (-366)))) (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-1038 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-1653 ((|#1| $ (-569)) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 11)) (-2612 (((-1238 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-905)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1616 (($ $) NIL (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 19 T CONST)) (-1556 (($) 15 T CONST)) (-3022 (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) (-764)) NIL (|has| |#1| (-366))) (($ $ (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163) (-764)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-635 (-1163))) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163)))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-896 (-1163))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-896 (-1163))))))) (-1693 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1684 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1678 (((-121) $ $) NIL (-2232 (-12 (|has| (-1238 |#1| |#2| |#3|) (-816)) (|has| |#1| (-366))) (-12 (|has| (-1238 |#1| |#2| |#3|) (-843)) (|has| |#1| (-366)))))) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366))) (($ (-1238 |#1| |#2| |#3|) (-1238 |#1| |#2| |#3|)) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1238 |#1| |#2| |#3|)) NIL (|has| |#1| (-366))) (($ (-1238 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1210 |#1| |#2| |#3|) (-13 (-1208 |#1| (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1210)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1208 |#1| (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-3952 (((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)) 10)) (-2186 (((-421 |#1|) |#1|) 21)) (-1743 (((-421 |#1|) |#1|) 20))) 
-(((-1211 |#1|) (-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)))) (-1222 (-569))) (T -1211)) 
-((-3952 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569))))) (-2186 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569))))) (-1743 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
-(-10 -7 (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2186 ((-421 |#1|) |#1|)) (-15 -3952 ((-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| |#1|) (|:| -4245 (-569)))))) |#1| (-121)))) 
-((-1544 (((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|)) 23 (|has| |#1| (-841))) (((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|)) 17))) 
-(((-1212 |#1| |#2|) (-10 -7 (-15 -1544 ((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) |noBranch|)) (-1197) (-1197)) (T -1212)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1212 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1213 *6)) (-5 *1 (-1212 *5 *6))))) 
-(-10 -7 (-15 -1544 ((-1213 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) (IF (|has| |#1| (-841)) (-15 -1544 ((-1143 |#2|) (-1 |#2| |#1|) (-1213 |#1|))) |noBranch|)) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1832 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-1544 (((-1143 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-841)))) (-4073 ((|#1| $) 14)) (-1848 ((|#1| $) 10)) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-1852 (((-569) $) 18)) (-1990 ((|#1| $) 17)) (-1858 ((|#1| $) 11)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-3093 (((-121) $) 16)) (-1939 (((-1143 |#1|) $) 38 (|has| |#1| (-841))) (((-1143 |#1|) (-635 $)) 37 (|has| |#1| (-841)))) (-3817 (($ |#1|) 25)) (-2185 (($ (-1085 |#1|)) 24) (((-851) $) 34 (|has| |#1| (-1091)))) (-3778 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-4171 (($ $ (-569)) 13)) (-1668 (((-121) $ $) 27 (|has| |#1| (-1091))))) 
-(((-1213 |#1|) (-13 (-1084 |#1|) (-10 -8 (-15 -3778 ($ |#1|)) (-15 -1832 ($ |#1|)) (-15 -2185 ($ (-1085 |#1|))) (-15 -3093 ((-121) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-1143 |#1|))) |noBranch|))) (-1197)) (T -1213)) 
-((-3778 (*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197)))) (-1832 (*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1085 *3)) (-4 *3 (-1197)) (-5 *1 (-1213 *3)))) (-3093 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1213 *3)) (-4 *3 (-1197))))) 
-(-13 (-1084 |#1|) (-10 -8 (-15 -3778 ($ |#1|)) (-15 -1832 ($ |#1|)) (-15 -2185 ($ (-1085 |#1|))) (-15 -3093 ((-121) $)) (IF (|has| |#1| (-1091)) (-6 (-1091)) |noBranch|) (IF (|has| |#1| (-841)) (-6 (-1086 |#1| (-1143 |#1|))) |noBranch|))) 
-((-1544 (((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)) 15))) 
-(((-1214 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 ((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)))) (-1163) (-1048) (-1163) (-1048)) (T -1214)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1219 *5 *6)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-4 *8 (-1048)) (-5 *2 (-1219 *7 *8)) (-5 *1 (-1214 *5 *6 *7 *8)) (-14 *7 (-1163))))) 
-(-10 -7 (-15 -1544 ((-1219 |#3| |#4|) (-1 |#4| |#2|) (-1219 |#1| |#2|)))) 
-((-4422 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-1733 ((|#1| |#3|) 13)) (-1839 ((|#3| |#3|) 19))) 
-(((-1215 |#1| |#2| |#3|) (-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-994 |#1|) (-1222 |#2|)) (T -1215)) 
-((-4422 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1215 *4 *5 *3)) (-4 *3 (-1222 *5)))) (-1839 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-1215 *3 *4 *2)) (-4 *2 (-1222 *4)))) (-1733 (*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-1215 *2 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -1733 (|#1| |#3|)) (-15 -1839 (|#3| |#3|)) (-15 -4422 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
-((-1426 (((-3 |#2| "failed") |#2| (-764) |#1|) 29)) (-3937 (((-3 |#2| "failed") |#2| (-764)) 30)) (-3187 (((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|) 42)) (-4222 (((-635 |#2|) |#2|) 44)) (-3211 (((-3 |#2| "failed") |#2| |#2|) 39))) 
-(((-1216 |#1| |#2|) (-10 -7 (-15 -3937 ((-3 |#2| "failed") |#2| (-764))) (-15 -1426 ((-3 |#2| "failed") |#2| (-764) |#1|)) (-15 -3211 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3187 ((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|)) (-15 -4222 ((-635 |#2|) |#2|))) (-13 (-559) (-151)) (-1222 |#1|)) (T -1216)) 
-((-4222 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4)))) (-3187 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4)))) (-3211 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1216 *3 *2)) (-4 *2 (-1222 *3)))) (-1426 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4)))) (-3937 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
-(-10 -7 (-15 -3937 ((-3 |#2| "failed") |#2| (-764))) (-15 -1426 ((-3 |#2| "failed") |#2| (-764) |#1|)) (-15 -3211 ((-3 |#2| "failed") |#2| |#2|)) (-15 -3187 ((-3 (-2 (|:| -3833 |#2|) (|:| -1869 |#2|)) "failed") |#2|)) (-15 -4222 ((-635 |#2|) |#2|))) 
-((-1995 (((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|) 31))) 
-(((-1217 |#1| |#2|) (-10 -7 (-15 -1995 ((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|))) (-559) (-1222 |#1|)) (T -1217)) 
-((-1995 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-1217 *4 *3)) (-4 *3 (-1222 *4))))) 
-(-10 -7 (-15 -1995 ((-3 (-2 (|:| -4268 |#2|) (|:| -1830 |#2|)) "failed") |#2| |#2|))) 
-((-4297 ((|#2| |#2| |#2|) 19)) (-2696 ((|#2| |#2| |#2|) 30)) (-1360 ((|#2| |#2| |#2| (-764) (-764)) 36))) 
-(((-1218 |#1| |#2|) (-10 -7 (-15 -4297 (|#2| |#2| |#2|)) (-15 -2696 (|#2| |#2| |#2|)) (-15 -1360 (|#2| |#2| |#2| (-764) (-764)))) (-1048) (-1222 |#1|)) (T -1218)) 
-((-1360 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-1218 *4 *2)) (-4 *2 (-1222 *4)))) (-2696 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3)))) (-4297 (*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
-(-10 -7 (-15 -4297 (|#2| |#2| |#2|)) (-15 -2696 (|#2| |#2| |#2|)) (-15 -1360 (|#2| |#2| |#2| (-764) (-764)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-4411 (((-1247 |#2|) $ (-764)) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3707 (($ (-1159 |#2|)) NIL)) (-1739 (((-1159 $) $ (-1076)) NIL) (((-1159 |#2|) $) NIL)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-3383 (($ $) NIL (|has| |#2| (-559)))) (-4354 (((-121) $) NIL (|has| |#2| (-559)))) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-3306 (($ $ $) NIL (|has| |#2| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-2004 (($ $) NIL (|has| |#2| (-454)))) (-2446 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-3934 (((-121) $ $) NIL (|has| |#2| (-366)))) (-1435 (($ $ (-764)) NIL)) (-2399 (($ $ (-764)) NIL)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1038 (-569)))) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1038 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1038 (-569)))) (((-1076) $) NIL)) (-3493 (($ $ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-2506 (($ $ $) NIL (|has| |#2| (-366)))) (-4020 (($ $) NIL)) (-1696 (((-680 (-569)) (-680 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#2|)) (|:| |vec| (-1247 |#2|))) (-680 $) (-1247 $)) NIL) (((-680 |#2|) (-680 $)) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2524 (($ $ $) NIL (|has| |#2| (-366)))) (-4021 (($ $ $) NIL)) (-3611 (($ $ $) NIL (|has| |#2| (-559)))) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-1340 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-4015 (((-635 $) $) NIL)) (-3726 (((-121) $) NIL (|has| |#2| (-905)))) (-1667 (($ $ |#2| (-764) $) NIL)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) NIL (-12 (|has| (-1076) (-882 (-382))) (|has| |#2| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) NIL (-12 (|has| (-1076) (-882 (-569))) (|has| |#2| (-882 (-569)))))) (-2558 (((-764) $ $) NIL (|has| |#2| (-559)))) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-3846 (((-3 $ "failed") $) NIL (|has| |#2| (-1137)))) (-1768 (($ (-1159 |#2|) (-1076)) NIL) (($ (-1159 $) (-1076)) NIL)) (-3089 (($ $ (-764)) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-1763 (($ |#2| (-764)) 17) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) NIL) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3291 (($ $ $) NIL (|has| |#2| (-843)))) (-1538 (($ $ $) NIL (|has| |#2| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-2225 (((-1159 |#2|) $) NIL)) (-1637 (((-3 (-1076) "failed") $) NIL)) (-1804 (($ $) NIL)) (-4012 ((|#2| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2776 (((-1145) $) NIL)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) NIL)) (-4087 (((-3 (-635 $) "failed") $) NIL)) (-3091 (((-3 (-635 $) "failed") $) NIL)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) NIL)) (-2565 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-4043 (($) NIL (|has| |#2| (-1137)) CONST)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 ((|#2| $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#2| (-454)))) (-2714 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-3877 (($ $ (-764) |#2| $) NIL)) (-1721 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) NIL (|has| |#2| (-905)))) (-1743 (((-421 $) $) NIL (|has| |#2| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#2| (-366)))) (-2941 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1468 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) NIL) (($ $ (-635 (-1076)) (-635 |#2|)) NIL) (($ $ (-1076) $) NIL) (($ $ (-635 (-1076)) (-635 $)) NIL)) (-2622 (((-764) $) NIL (|has| |#2| (-366)))) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) NIL)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#2| (-366)))) (-2087 (($ $ (-1076)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3899 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) NIL) (((-635 (-764)) $ (-635 (-1076))) NIL)) (-3817 (((-888 (-382)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#2| (-610 (-888 (-382)))))) (((-888 (-569)) $) NIL (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#2| (-610 (-888 (-569)))))) (((-542) $) NIL (-12 (|has| (-1076) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-3298 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1076)) NIL (|has| |#2| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-905))))) (-4091 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-2185 (((-851) $) 13) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1076)) NIL) (($ (-1243 |#1|)) 19) (($ (-410 (-569))) NIL (-2232 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1038 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-764)) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-3953 (((-3 $ "failed") $) NIL (-2232 (-12 (|has| $ (-149)) (|has| |#2| (-905))) (|has| |#2| (-149))))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| |#2| (-173)))) (-1961 (((-121) $ $) NIL (|has| |#2| (-559)))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1556 (($) 14 T CONST)) (-3022 (($ $ (-1076)) NIL) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) NIL) (($ $ (-1163)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1163) (-764)) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) NIL (|has| |#2| (-896 (-1163)))) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1693 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1668 (((-121) $ $) NIL)) (-1688 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#2| (-843)))) (-1715 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
-(((-1219 |#1| |#2|) (-13 (-1222 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)))) (-1163) (-1048)) (T -1219)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-1219 *3 *4)) (-4 *4 (-1048)))) (-3877 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1219 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048))))) 
-(-13 (-1222 |#2|) (-10 -8 (-15 -2185 ($ (-1243 |#1|))) (-15 -3877 ($ $ (-764) |#2| $)))) 
-((-1544 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
-(((-1220 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) (-1048) (-1222 |#1|) (-1048) (-1222 |#3|)) (T -1220)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1222 *6)) (-5 *1 (-1220 *5 *4 *6 *2)) (-4 *4 (-1222 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#3| |#1|) |#2|))) 
-((-4411 (((-1247 |#2|) $ (-764)) 113)) (-1773 (((-635 (-1076)) $) 15)) (-3707 (($ (-1159 |#2|)) 66)) (-4011 (((-764) $) NIL) (((-764) $ (-635 (-1076))) 18)) (-2379 (((-421 (-1159 $)) (-1159 $)) 183)) (-2004 (($ $) 173)) (-2446 (((-421 $) $) 171)) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 81)) (-1435 (($ $ (-764)) 70)) (-2399 (($ $ (-764)) 72)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-1647 (((-3 |#2| "failed") $) 116) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-1076) "failed") $) NIL)) (-2428 ((|#2| $) 114) (((-410 (-569)) $) NIL) (((-569) $) NIL) (((-1076) $) NIL)) (-3611 (($ $ $) 150)) (-1884 (((-2 (|:| -4140 |#2|) (|:| -4268 $) (|:| -1830 $)) $ $) 152)) (-2558 (((-764) $ $) 168)) (-3846 (((-3 $ "failed") $) 122)) (-1763 (($ |#2| (-764)) NIL) (($ $ (-1076) (-764)) 46) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-4002 (((-764) $) NIL) (((-764) $ (-1076)) 41) (((-635 (-764)) $ (-635 (-1076))) 42)) (-2225 (((-1159 |#2|) $) 58)) (-1637 (((-3 (-1076) "failed") $) 39)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 69)) (-2565 (($ $) 194)) (-4043 (($) 118)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 180)) (-1721 (((-421 (-1159 $)) (-1159 $)) 87)) (-1568 (((-421 (-1159 $)) (-1159 $)) 85)) (-1743 (((-421 $) $) 105)) (-1468 (($ $ (-635 (-289 $))) 38) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1076) |#2|) 31) (($ $ (-635 (-1076)) (-635 |#2|)) 28) (($ $ (-1076) $) 25) (($ $ (-635 (-1076)) (-635 $)) 23)) (-2622 (((-764) $) 186)) (-1534 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) 146) ((|#2| (-410 $) |#2|) 185) (((-410 $) $ (-410 $)) 167)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 189)) (-3899 (($ $ (-1076)) 139) (($ $ (-635 (-1076))) NIL) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL) (($ $ (-764)) NIL) (($ $) 137) (($ $ (-1163)) NIL) (($ $ (-635 (-1163))) NIL) (($ $ (-1163) (-764)) NIL) (($ $ (-635 (-1163)) (-635 (-764))) NIL) (($ $ (-1 |#2| |#2|) (-764)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-2492 (((-764) $) NIL) (((-764) $ (-1076)) 16) (((-635 (-764)) $ (-635 (-1076))) 20)) (-3298 ((|#2| $) NIL) (($ $ (-1076)) 124)) (-4091 (((-3 $ "failed") $ $) 160) (((-3 (-410 $) "failed") (-410 $) $) 156)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1076)) 50) (($ (-410 (-569))) NIL) (($ $) NIL))) 
-(((-1221 |#1| |#2|) (-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1534 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2565 (|#1| |#1|)) (-15 -1534 (|#2| (-410 |#1|) |#2|)) (-15 -2499 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1884 ((-2 (|:| -4140 |#2|) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -3611 (|#1| |#1| |#1|)) (-15 -4091 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -4091 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2558 ((-764) |#1| |#1|)) (-15 -1534 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2399 (|#1| |#1| (-764))) (-15 -1435 (|#1| |#1| (-764))) (-15 -4451 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| (-764))) (-15 -3707 (|#1| (-1159 |#2|))) (-15 -2225 ((-1159 |#2|) |#1|)) (-15 -4411 ((-1247 |#2|) |#1| (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| |#2|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2379 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -3298 (|#1| |#1| (-1076))) (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -4011 ((-764) |#1| (-635 (-1076)))) (-15 -4011 ((-764) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -1763 (|#1| |#1| (-1076) (-764))) (-15 -4002 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -4002 ((-764) |#1| (-1076))) (-15 -1637 ((-3 (-1076) "failed") |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -2492 ((-764) |#1| (-1076))) (-15 -2428 ((-1076) |#1|)) (-15 -1647 ((-3 (-1076) "failed") |#1|)) (-15 -2185 (|#1| (-1076))) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-1076) |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1076) |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 ((-764) |#1|)) (-15 -1763 (|#1| |#2| (-764))) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -4002 ((-764) |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -3899 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1076) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1076)))) (-15 -3899 (|#1| |#1| (-1076))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) (-1222 |#2|) (-1048)) (T -1221)) 
-NIL 
-(-10 -8 (-15 -2185 (|#1| |#1|)) (-15 -4336 ((-1159 |#1|) (-1159 |#1|) (-1159 |#1|))) (-15 -2446 ((-421 |#1|) |#1|)) (-15 -2004 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -4043 (|#1|)) (-15 -3846 ((-3 |#1| "failed") |#1|)) (-15 -1534 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2622 ((-764) |#1|)) (-15 -2609 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -2565 (|#1| |#1|)) (-15 -1534 (|#2| (-410 |#1|) |#2|)) (-15 -2499 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1884 ((-2 (|:| -4140 |#2|) (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| |#1|)) (-15 -3611 (|#1| |#1| |#1|)) (-15 -4091 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -4091 ((-3 |#1| "failed") |#1| |#1|)) (-15 -2558 ((-764) |#1| |#1|)) (-15 -1534 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -2399 (|#1| |#1| (-764))) (-15 -1435 (|#1| |#1| (-764))) (-15 -4451 ((-2 (|:| -4268 |#1|) (|:| -1830 |#1|)) |#1| (-764))) (-15 -3707 (|#1| (-1159 |#2|))) (-15 -2225 ((-1159 |#2|) |#1|)) (-15 -4411 ((-1247 |#2|) |#1| (-764))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3899 (|#1| |#1| (-1 |#2| |#2|) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1163) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1163)))) (-15 -3899 (|#1| |#1| (-1163))) (-15 -3899 (|#1| |#1|)) (-15 -3899 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| |#1|)) (-15 -1534 (|#2| |#1| |#2|)) (-15 -1743 ((-421 |#1|) |#1|)) (-15 -2379 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1568 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1721 ((-421 (-1159 |#1|)) (-1159 |#1|))) (-15 -1593 ((-3 (-635 (-1159 |#1|)) "failed") (-635 (-1159 |#1|)) (-1159 |#1|))) (-15 -3298 (|#1| |#1| (-1076))) (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -4011 ((-764) |#1| (-635 (-1076)))) (-15 -4011 ((-764) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -1763 (|#1| |#1| (-1076) (-764))) (-15 -4002 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -4002 ((-764) |#1| (-1076))) (-15 -1637 ((-3 (-1076) "failed") |#1|)) (-15 -2492 ((-635 (-764)) |#1| (-635 (-1076)))) (-15 -2492 ((-764) |#1| (-1076))) (-15 -2428 ((-1076) |#1|)) (-15 -1647 ((-3 (-1076) "failed") |#1|)) (-15 -2185 (|#1| (-1076))) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#1|))) (-15 -1468 (|#1| |#1| (-1076) |#1|)) (-15 -1468 (|#1| |#1| (-635 (-1076)) (-635 |#2|))) (-15 -1468 (|#1| |#1| (-1076) |#2|)) (-15 -1468 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1468 (|#1| |#1| |#1| |#1|)) (-15 -1468 (|#1| |#1| (-289 |#1|))) (-15 -1468 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2492 ((-764) |#1|)) (-15 -1763 (|#1| |#2| (-764))) (-15 -2428 ((-569) |#1|)) (-15 -1647 ((-3 (-569) "failed") |#1|)) (-15 -2428 ((-410 (-569)) |#1|)) (-15 -1647 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -2185 (|#1| |#2|)) (-15 -1647 ((-3 |#2| "failed") |#1|)) (-15 -2428 (|#2| |#1|)) (-15 -4002 ((-764) |#1|)) (-15 -3298 (|#2| |#1|)) (-15 -3899 (|#1| |#1| (-635 (-1076)) (-635 (-764)))) (-15 -3899 (|#1| |#1| (-1076) (-764))) (-15 -3899 (|#1| |#1| (-635 (-1076)))) (-15 -3899 (|#1| |#1| (-1076))) (-15 -2185 (|#1| (-569))) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-4411 (((-1247 |#1|) $ (-764)) 217)) (-1773 (((-635 (-1076)) $) 108)) (-3707 (($ (-1159 |#1|)) 215)) (-1739 (((-1159 $) $ (-1076)) 123) (((-1159 |#1|) $) 122)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-3383 (($ $) 86 (|has| |#1| (-559)))) (-4354 (((-121) $) 88 (|has| |#1| (-559)))) (-4011 (((-764) $) 110) (((-764) $ (-635 (-1076))) 109)) (-2327 (((-3 $ "failed") $ $) 18)) (-3306 (($ $ $) 202 (|has| |#1| (-559)))) (-2379 (((-421 (-1159 $)) (-1159 $)) 98 (|has| |#1| (-905)))) (-2004 (($ $) 96 (|has| |#1| (-454)))) (-2446 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1593 (((-3 (-635 (-1159 $)) "failed") (-635 (-1159 $)) (-1159 $)) 101 (|has| |#1| (-905)))) (-3934 (((-121) $ $) 187 (|has| |#1| (-366)))) (-1435 (($ $ (-764)) 210)) (-2399 (($ $ (-764)) 209)) (-2499 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-454)))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1038 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1038 (-569)))) (((-3 (-1076) "failed") $) 134)) (-2428 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1038 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1038 (-569)))) (((-1076) $) 133)) (-3493 (($ $ $ (-1076)) 106 (|has| |#1| (-173))) ((|#1| $ $) 205 (|has| |#1| (-173)))) (-2506 (($ $ $) 191 (|has| |#1| (-366)))) (-4020 (($ $) 152)) (-1696 (((-680 (-569)) (-680 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 (-569))) (|:| |vec| (-1247 (-569)))) (-680 $) (-1247 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -3477 (-680 |#1|)) (|:| |vec| (-1247 |#1|))) (-680 $) (-1247 $)) 130) (((-680 |#1|) (-680 $)) 129)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 190 (|has| |#1| (-366)))) (-4021 (($ $ $) 208)) (-3611 (($ $ $) 199 (|has| |#1| (-559)))) (-1884 (((-2 (|:| -4140 |#1|) (|:| -4268 $) (|:| -1830 $)) $ $) 198 (|has| |#1| (-559)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 185 (|has| |#1| (-366)))) (-1340 (($ $) 174 (|has| |#1| (-454))) (($ $ (-1076)) 103 (|has| |#1| (-454)))) (-4015 (((-635 $) $) 107)) (-3726 (((-121) $) 94 (|has| |#1| (-905)))) (-1667 (($ $ |#1| (-764) $) 170)) (-2883 (((-885 (-382) $) $ (-888 (-382)) (-885 (-382) $)) 82 (-12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382))))) (((-885 (-569) $) $ (-888 (-569)) (-885 (-569) $)) 81 (-12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))))) (-2558 (((-764) $ $) 203 (|has| |#1| (-559)))) (-1407 (((-121) $) 30)) (-4244 (((-764) $) 167)) (-3846 (((-3 $ "failed") $) 183 (|has| |#1| (-1137)))) (-1768 (($ (-1159 |#1|) (-1076)) 115) (($ (-1159 $) (-1076)) 114)) (-3089 (($ $ (-764)) 214)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 194 (|has| |#1| (-366)))) (-2086 (((-635 $) $) 124)) (-3523 (((-121) $) 150)) (-1763 (($ |#1| (-764)) 151) (($ $ (-1076) (-764)) 117) (($ $ (-635 (-1076)) (-635 (-764))) 116)) (-2421 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $ (-1076)) 118) (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 212)) (-4002 (((-764) $) 168) (((-764) $ (-1076)) 120) (((-635 (-764)) $ (-635 (-1076))) 119)) (-3291 (($ $ $) 77 (|has| |#1| (-843)))) (-1538 (($ $ $) 76 (|has| |#1| (-843)))) (-2658 (($ (-1 (-764) (-764)) $) 169)) (-1544 (($ (-1 |#1| |#1|) $) 149)) (-2225 (((-1159 |#1|) $) 216)) (-1637 (((-3 (-1076) "failed") $) 121)) (-1804 (($ $) 147)) (-4012 ((|#1| $) 146)) (-2665 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2776 (((-1145) $) 9)) (-4451 (((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764)) 211)) (-4087 (((-3 (-635 $) "failed") $) 112)) (-3091 (((-3 (-635 $) "failed") $) 113)) (-1874 (((-3 (-2 (|:| |var| (-1076)) (|:| -2356 (-764))) "failed") $) 111)) (-2565 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-4043 (($) 182 (|has| |#1| (-1137)) CONST)) (-3360 (((-1109) $) 10)) (-1798 (((-121) $) 164)) (-1801 ((|#1| $) 165)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 93 (|has| |#1| (-454)))) (-2714 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-1721 (((-421 (-1159 $)) (-1159 $)) 100 (|has| |#1| (-905)))) (-1568 (((-421 (-1159 $)) (-1159 $)) 99 (|has| |#1| (-905)))) (-1743 (((-421 $) $) 97 (|has| |#1| (-905)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 192 (|has| |#1| (-366)))) (-2941 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 186 (|has| |#1| (-366)))) (-1468 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ (-1076) |#1|) 139) (($ $ (-635 (-1076)) (-635 |#1|)) 138) (($ $ (-1076) $) 137) (($ $ (-635 (-1076)) (-635 $)) 136)) (-2622 (((-764) $) 188 (|has| |#1| (-366)))) (-1534 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-410 $) (-410 $) (-410 $)) 204 (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) 196 (|has| |#1| (-366))) (((-410 $) $ (-410 $)) 184 (|has| |#1| (-559)))) (-2067 (((-3 $ "failed") $ (-764)) 213)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 189 (|has| |#1| (-366)))) (-2087 (($ $ (-1076)) 105 (|has| |#1| (-173))) ((|#1| $) 206 (|has| |#1| (-173)))) (-3899 (($ $ (-1076)) 41) (($ $ (-635 (-1076))) 40) (($ $ (-1076) (-764)) 39) (($ $ (-635 (-1076)) (-635 (-764))) 38) (($ $ (-764)) 232) (($ $) 230) (($ $ (-1163)) 229 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 228 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 227 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 226 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-2492 (((-764) $) 148) (((-764) $ (-1076)) 128) (((-635 (-764)) $ (-635 (-1076))) 127)) (-3817 (((-888 (-382)) $) 80 (-12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382)))))) (((-888 (-569)) $) 79 (-12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569)))))) (((-542) $) 78 (-12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-3298 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ (-1076)) 104 (|has| |#1| (-454)))) (-2132 (((-3 (-1247 $) "failed") (-680 $)) 102 (-2206 (|has| $ (-149)) (|has| |#1| (-905))))) (-4091 (((-3 $ "failed") $ $) 201 (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) 200 (|has| |#1| (-559)))) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ (-1076)) 135) (($ (-410 (-569))) 70 (-2232 (|has| |#1| (-1038 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-3382 (((-635 |#1|) $) 166)) (-1653 ((|#1| $ (-764)) 153) (($ $ (-1076) (-764)) 126) (($ $ (-635 (-1076)) (-635 (-764))) 125)) (-3953 (((-3 $ "failed") $) 71 (-2232 (-2206 (|has| $ (-149)) (|has| |#1| (-905))) (|has| |#1| (-149))))) (-1991 (((-764)) 28)) (-4086 (($ $ $ (-764)) 171 (|has| |#1| (-173)))) (-1961 (((-121) $ $) 87 (|has| |#1| (-559)))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-1076)) 37) (($ $ (-635 (-1076))) 36) (($ $ (-1076) (-764)) 35) (($ $ (-635 (-1076)) (-635 (-764))) 34) (($ $ (-764)) 233) (($ $) 231) (($ $ (-1163)) 225 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163))) 224 (|has| |#1| (-896 (-1163)))) (($ $ (-1163) (-764)) 223 (|has| |#1| (-896 (-1163)))) (($ $ (-635 (-1163)) (-635 (-764))) 222 (|has| |#1| (-896 (-1163)))) (($ $ (-1 |#1| |#1|) (-764)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1693 (((-121) $ $) 74 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 73 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 6)) (-1688 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 72 (|has| |#1| (-843)))) (-1715 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
-(((-1222 |#1|) (-1278) (-1048)) (T -1222)) 
-((-4411 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)))) (-2225 (*1 *2 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-5 *2 (-1159 *3)))) (-3707 (*1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-1048)) (-4 *1 (-1222 *3)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2067 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2421 (*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3)))) (-4451 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *4)))) (-1435 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2399 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-4021 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)))) (-3899 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) (-2087 (*1 *2 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-3493 (*1 *2 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173)))) (-1534 (*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) (-2558 (*1 *2 *1 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)) (-5 *2 (-764)))) (-3306 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-4091 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-4091 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) (-3611 (*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) (-1884 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4140 *3) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3)))) (-2499 (*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1222 *3)))) (-1534 (*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569))))))) 
-(-13 (-951 |t#1| (-764) (-1076)) (-282 |t#1| |t#1|) (-282 $ $) (-226) (-224 |t#1|) (-10 -8 (-15 -4411 ((-1247 |t#1|) $ (-764))) (-15 -2225 ((-1159 |t#1|) $)) (-15 -3707 ($ (-1159 |t#1|))) (-15 -3089 ($ $ (-764))) (-15 -2067 ((-3 $ "failed") $ (-764))) (-15 -2421 ((-2 (|:| -4268 $) (|:| -1830 $)) $ $)) (-15 -4451 ((-2 (|:| -4268 $) (|:| -1830 $)) $ (-764))) (-15 -1435 ($ $ (-764))) (-15 -2399 ($ $ (-764))) (-15 -4021 ($ $ $)) (-15 -3899 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1137)) (-6 (-1137)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -2087 (|t#1| $)) (-15 -3493 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-282 (-410 $) (-410 $))) (-15 -1534 ((-410 $) (-410 $) (-410 $))) (-15 -2558 ((-764) $ $)) (-15 -3306 ($ $ $)) (-15 -4091 ((-3 $ "failed") $ $)) (-15 -4091 ((-3 (-410 $) "failed") (-410 $) $)) (-15 -3611 ($ $ $)) (-15 -1884 ((-2 (|:| -4140 |t#1|) (|:| -4268 $) (|:| -1830 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (-15 -2499 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-302)) (-6 -4531) (-15 -1534 (|t#1| (-410 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-15 -2565 ($ $)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-764)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| (-1076) (-610 (-542))) (|has| |#1| (-610 (-542)))) ((-610 (-888 (-382))) -12 (|has| (-1076) (-610 (-888 (-382)))) (|has| |#1| (-610 (-888 (-382))))) ((-610 (-888 (-569))) -12 (|has| (-1076) (-610 (-888 (-569)))) (|has| |#1| (-610 (-888 (-569))))) ((-224 |#1|) . T) ((-226) . T) ((-282 (-410 $) (-410 $)) |has| |#1| (-559)) ((-282 |#1| |#1|) . T) ((-282 $ $) . T) ((-286) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 $) . T) ((-325 |#1| (-764)) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -2232 (|has| |#1| (-905)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-524 (-1076) |#1|) . T) ((-524 (-1076) $) . T) ((-524 $ $) . T) ((-559) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-717) . T) ((-843) |has| |#1| (-843)) ((-896 (-1076)) . T) ((-896 (-1163)) |has| |#1| (-896 (-1163))) ((-882 (-382)) -12 (|has| (-1076) (-882 (-382))) (|has| |#1| (-882 (-382)))) ((-882 (-569)) -12 (|has| (-1076) (-882 (-569))) (|has| |#1| (-882 (-569)))) ((-951 |#1| (-764) (-1076)) . T) ((-905) |has| |#1| (-905)) ((-917) |has| |#1| (-366)) ((-1038 (-410 (-569))) |has| |#1| (-1038 (-410 (-569)))) ((-1038 (-569)) |has| |#1| (-1038 (-569))) ((-1038 (-1076)) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-905)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1137) |has| |#1| (-1137)) ((-1202) |has| |#1| (-905))) 
-((-1773 (((-635 (-1076)) $) 28)) (-4020 (($ $) 25)) (-1763 (($ |#2| |#3|) NIL) (($ $ (-1076) |#3|) 22) (($ $ (-635 (-1076)) (-635 |#3|)) 20)) (-1804 (($ $) 14)) (-4012 ((|#2| $) 12)) (-2492 ((|#3| $) 10))) 
-(((-1223 |#1| |#2| |#3|) (-10 -8 (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 |#3|))) (-15 -1763 (|#1| |#1| (-1076) |#3|)) (-15 -4020 (|#1| |#1|)) (-15 -1763 (|#1| |#2| |#3|)) (-15 -2492 (|#3| |#1|)) (-15 -1804 (|#1| |#1|)) (-15 -4012 (|#2| |#1|))) (-1224 |#2| |#3|) (-1048) (-788)) (T -1223)) 
-NIL 
-(-10 -8 (-15 -1773 ((-635 (-1076)) |#1|)) (-15 -1763 (|#1| |#1| (-635 (-1076)) (-635 |#3|))) (-15 -1763 (|#1| |#1| (-1076) |#3|)) (-15 -4020 (|#1| |#1|)) (-15 -1763 (|#1| |#2| |#3|)) (-15 -2492 (|#3| |#1|)) (-15 -1804 (|#1| |#1|)) (-15 -4012 (|#2| |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-1403 (((-1143 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2777 (((-121) $) 69)) (-2558 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-1407 (((-121) $) 30)) (-3089 (($ $ (-918)) 96)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| |#2|) 60) (($ $ (-1076) |#2|) 72) (($ $ (-635 (-1076)) (-635 |#2|)) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-3499 (($ $ |#2|) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-1534 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-2492 ((|#2| $) 63)) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-1653 ((|#1| $ |#2|) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-2994 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1224 |#1| |#2|) (-1278) (-1048) (-788)) (T -1224)) 
-((-1403 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1143 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-1534 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3534 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1163)))) (-4030 (*1 *2 *1) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) (-2558 (*1 *2 *1) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2558 (*1 *2 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-3136 (*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-3136 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-2994 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2185 (*2 (-1163)))) (-4 *2 (-1048)))) (-3499 (*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) (-1468 (*1 *2 *1 *3) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1143 *3))))) 
-(-13 (-975 |t#1| |t#2| (-1076)) (-10 -8 (-15 -1403 ((-1143 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -1534 (|t#1| $ |t#2|)) (-15 -3534 ((-1163) $)) (-15 -4030 (|t#1| $)) (-15 -3089 ($ $ (-918))) (-15 -2558 (|t#2| $)) (-15 -2558 (|t#2| $ |t#2|)) (-15 -3136 ($ $ |t#2|)) (-15 -3136 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -2185 (|t#1| (-1163)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -2994 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -3499 ($ $ |t#2|)) (IF (|has| |t#2| (-1103)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-226)) (IF (|has| |t#1| (-896 (-1163))) (-6 (-896 (-1163))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -1468 ((-1143 |t#1|) $ |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-282 $ $) |has| |#2| (-1103)) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| |#2| (-1076)) . T) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2004 ((|#2| |#2|) 12)) (-2446 (((-421 |#2|) |#2|) 14)) (-4306 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))) 30))) 
-(((-1225 |#1| |#2|) (-10 -7 (-15 -2446 ((-421 |#2|) |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -4306 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) (-559) (-13 (-1222 |#1|) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (T -1225)) 
-((-4306 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1225 *3 *4)))) (-2004 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1225 *3 *2)) (-4 *2 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))))) (-2446 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1225 *4 *3)) (-4 *3 (-13 (-1222 *4) (-559) (-10 -8 (-15 -2714 ($ $ $)))))))) 
-(-10 -7 (-15 -2446 ((-421 |#2|) |#2|)) (-15 -2004 (|#2| |#2|)) (-15 -4306 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) 
-((-1544 (((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)) 23))) 
-(((-1226 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -1544 ((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)))) (-1048) (-1048) (-1163) (-1163) |#1| |#2|) (T -1226)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1231 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1231 *6 *8 *10)) (-5 *1 (-1226 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163))))) 
-(-10 -7 (-15 -1544 ((-1231 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1231 |#1| |#3| |#5|)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96) (($ $ (-410 (-569))) 163)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-410 (-569))) 60) (($ $ (-1076) (-410 (-569))) 72) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1227 |#1|) (-1278) (-1048)) (T -1227)) 
-((-3343 (*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1048)) (-4 *1 (-1227 *4)))) (-3089 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1227 *3)) (-4 *3 (-1048)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1227 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1224 |t#1| (-410 (-569))) (-10 -8 (-15 -3343 ($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |t#1|))))) (-15 -3089 ($ $ (-410 (-569)))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-410 (-569)) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-410 (-569))) . T)) 
-((-3813 (((-121) $) 12)) (-1647 (((-3 |#3| "failed") $) 17)) (-2428 ((|#3| $) 14))) 
-(((-1228 |#1| |#2| |#3|) (-10 -8 (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) (-1229 |#2| |#3|) (-1048) (-1206 |#2|)) (T -1228)) 
-NIL 
-(-10 -8 (-15 -2428 (|#3| |#1|)) (-15 -1647 ((-3 |#3| "failed") |#1|)) (-15 -3813 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 154 (|has| |#1| (-366)))) (-2446 (((-421 $) $) 155 (|has| |#1| (-366)))) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) 145 (|has| |#1| (-366)))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#2| "failed") $) 172)) (-2428 ((|#2| $) 171)) (-2506 (($ $ $) 149 (|has| |#1| (-366)))) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-3023 (((-410 (-569)) $) 169)) (-2524 (($ $ $) 148 (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) |#2|) 170)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-3726 (((-121) $) 156 (|has| |#1| (-366)))) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96) (($ $ (-410 (-569))) 163)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-410 (-569))) 60) (($ $ (-1076) (-410 (-569))) 72) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2665 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1883 ((|#2| $) 168)) (-1379 (((-3 |#2| "failed") $) 166)) (-1788 ((|#2| $) 167)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 157 (|has| |#1| (-366)))) (-2565 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 161 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 142 (|has| |#1| (-366)))) (-2714 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1743 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 150 (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) 146 (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 147 (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 173) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1229 |#1| |#2|) (-1278) (-1048) (-1206 |t#1|)) (T -1229)) 
-((-2492 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1229 *3 *2)) (-4 *2 (-1206 *3)))) (-1791 (*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1048)) (-4 *1 (-1229 *4 *3)) (-4 *3 (-1206 *4)))) (-3023 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) (-1883 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3)))) (-1788 (*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3)))) (-1379 (*1 *2 *1) (|partial| -12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
-(-13 (-1227 |t#1|) (-1038 |t#2|) (-10 -8 (-15 -1791 ($ (-410 (-569)) |t#2|)) (-15 -3023 ((-410 (-569)) $)) (-15 -1883 (|t#2| $)) (-15 -2492 ((-410 (-569)) $)) (-15 -2185 ($ |t#2|)) (-15 -1788 (|t#2| $)) (-15 -1379 ((-3 |t#2| "failed") $)))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1103)) ((-286) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-410 (-569)) (-1076)) . T) ((-917) |has| |#1| (-366)) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1038 |#2|) . T) ((-1054 (-410 (-569))) -2232 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1202) |has| |#1| (-366)) ((-1224 |#1| (-410 (-569))) . T) ((-1227 |#1|) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 96)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) 106) (($ $ (-410 (-569)) (-410 (-569))) 108)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 51)) (-1753 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) 175 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 151 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 61)) (-1760 (($ $) 183 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL)) (-2428 ((|#2| $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 79)) (-3023 (((-410 (-569)) $) 12)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) |#2|) 10)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) 68)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) 103) (((-410 (-569)) $ (-410 (-569))) 104)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 120) (($ $ (-410 (-569))) 118)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 31) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 115)) (-4450 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 ((|#2| $) 11)) (-1379 (((-3 |#2| "failed") $) 41)) (-1788 ((|#2| $) 42)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) 93 (|has| |#1| (-366)))) (-2565 (($ $) 135 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 140 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) 112)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) 100) (($ $ $) 86 (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 127 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2492 (((-410 (-569)) $) 16)) (-1764 (($ $) 185 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 161 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 110)) (-2185 (((-851) $) NIL) (($ (-569)) 35) (($ |#1|) 27 (|has| |#1| (-173))) (($ |#2|) 32) (($ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) 99)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) 117)) (-4030 ((|#1| $) 98)) (-1779 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 163 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 197 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 21 T CONST)) (-1556 (($) 17 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) 66)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 92 (|has| |#1| (-366)))) (-1711 (($ $) 131) (($ $ $) 72)) (-1707 (($ $ $) 70)) (** (($ $ (-918)) NIL) (($ $ (-764)) 76) (($ $ (-569)) 144 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1230 |#1| |#2|) (-1229 |#1| |#2|) (-1048) (-1206 |#1|)) (T -1230)) 
-NIL 
-(-1229 |#1| |#2|) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 11)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) NIL (|has| |#1| (-559)))) (-3136 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-1403 (((-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2004 (($ $) NIL (|has| |#1| (-366)))) (-2446 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3934 (((-121) $ $) NIL (|has| |#1| (-366)))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-764) (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-1210 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1238 |#1| |#2| |#3|) "failed") $) 22)) (-2428 (((-1210 |#1| |#2| |#3|) $) NIL) (((-1238 |#1| |#2| |#3|) $) NIL)) (-2506 (($ $ $) NIL (|has| |#1| (-366)))) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3023 (((-410 (-569)) $) 57)) (-2524 (($ $ $) NIL (|has| |#1| (-366)))) (-1791 (($ (-410 (-569)) (-1210 |#1| |#2| |#3|)) NIL)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-3726 (((-121) $) NIL (|has| |#1| (-366)))) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-1407 (((-121) $) NIL)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) NIL) (($ $ (-410 (-569))) NIL)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-410 (-569))) 29) (($ $ (-1076) (-410 (-569))) NIL) (($ $ (-635 (-1076)) (-635 (-410 (-569)))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2665 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1883 (((-1210 |#1| |#2| |#3|) $) 60)) (-1379 (((-3 (-1210 |#1| |#2| |#3|) "failed") $) NIL)) (-1788 (((-1210 |#1| |#2| |#3|) $) NIL)) (-2776 (((-1145) $) NIL)) (-1795 (($ $) NIL (|has| |#1| (-366)))) (-2565 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) NIL (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) NIL (|has| |#1| (-366)))) (-2714 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1743 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2212 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) NIL (|has| |#1| (-366)))) (-3499 (($ $ (-410 (-569))) NIL)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-4074 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2622 (((-764) $) NIL (|has| |#1| (-366)))) (-1534 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1103)))) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) NIL (|has| |#1| (-366)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1243 |#2|)) 37)) (-2492 (((-410 (-569)) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) NIL)) (-2185 (((-851) $) 87) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1210 |#1| |#2| |#3|)) 16) (($ (-1238 |#1| |#2| |#3|)) 17) (($ (-1243 |#2|)) 35) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-1653 ((|#1| $ (-410 (-569))) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 12)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-410 (-569))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-3369 (($) 31 T CONST)) (-1556 (($) 26 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 33)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1231 |#1| |#2| |#3|) (-13 (-1229 |#1| (-1210 |#1| |#2| |#3|)) (-1038 (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1231)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1229 |#1| (-1210 |#1| |#2| |#3|)) (-1038 (-1238 |#1| |#2| |#3|)) (-10 -8 (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 32)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL)) (-3383 (($ $) NIL)) (-4354 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 (-569) "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))) (((-3 (-1231 |#2| |#3| |#4|) "failed") $) 20)) (-2428 (((-569) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-569)))) (((-410 (-569)) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))) (((-1231 |#2| |#3| |#4|) $) NIL)) (-4020 (($ $) 33)) (-3428 (((-3 $ "failed") $) 25)) (-1340 (($ $) NIL (|has| (-1231 |#2| |#3| |#4|) (-454)))) (-1667 (($ $ (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|) $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) 11)) (-3523 (((-121) $) NIL)) (-1763 (($ (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) 23)) (-4002 (((-315 |#2| |#3| |#4|) $) NIL)) (-2658 (($ (-1 (-315 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) $) NIL)) (-1544 (($ (-1 (-1231 |#2| |#3| |#4|) (-1231 |#2| |#3| |#4|)) $) NIL)) (-3256 (((-3 (-836 |#2|) "failed") $) 72)) (-1804 (($ $) NIL)) (-4012 (((-1231 |#2| |#3| |#4|) $) 18)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1798 (((-121) $) NIL)) (-1801 (((-1231 |#2| |#3| |#4|) $) NIL)) (-2941 (((-3 $ "failed") $ (-1231 |#2| |#3| |#4|)) NIL (|has| (-1231 |#2| |#3| |#4|) (-559))) (((-3 $ "failed") $ $) NIL)) (-3518 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $) 55)) (-2492 (((-315 |#2| |#3| |#4|) $) 14)) (-3298 (((-1231 |#2| |#3| |#4|) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-454)))) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ (-1231 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL (-2232 (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569)))) (|has| (-1231 |#2| |#3| |#4|) (-1038 (-410 (-569))))))) (-3382 (((-635 (-1231 |#2| |#3| |#4|)) $) NIL)) (-1653 (((-1231 |#2| |#3| |#4|) $ (-315 |#2| |#3| |#4|)) NIL)) (-3953 (((-3 $ "failed") $) NIL (|has| (-1231 |#2| |#3| |#4|) (-149)))) (-1991 (((-764)) NIL)) (-4086 (($ $ $ (-764)) NIL (|has| (-1231 |#2| |#3| |#4|) (-173)))) (-1961 (((-121) $ $) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 60 T CONST)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ (-1231 |#2| |#3| |#4|)) NIL (|has| (-1231 |#2| |#3| |#4|) (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-1231 |#2| |#3| |#4|)) NIL) (($ (-1231 |#2| |#3| |#4|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| (-1231 |#2| |#3| |#4|) (-43 (-410 (-569))))))) 
-(((-1232 |#1| |#2| |#3| |#4|) (-13 (-325 (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -3518 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $)))) (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1183) (-433 |#1|)) (-1163) |#2|) (T -1232)) 
-((-3256 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4))) (-3518 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1145)))) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
-(-13 (-325 (-1231 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3256 ((-3 (-836 |#2|) "failed") $)) (-15 -3518 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1145))) "failed") $)))) 
-((-2247 ((|#2| $) 28)) (-4360 ((|#2| $) 18)) (-4459 (($ $) 35)) (-3138 (($ $ (-569)) 63)) (-1691 (((-121) $ (-764)) 32)) (-3891 ((|#2| $ |#2|) 60)) (-1868 ((|#2| $ |#2|) 58)) (-4469 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-3725 (($ $ (-635 $)) 59)) (-1669 ((|#2| $) 17)) (-2046 (($ $) NIL) (($ $ (-764)) 41)) (-4032 (((-635 $) $) 25)) (-4349 (((-121) $ $) 49)) (-1974 (((-121) $ (-764)) 31)) (-2006 (((-121) $ (-764)) 30)) (-3486 (((-121) $) 27)) (-4213 ((|#2| $) 23) (($ $ (-764)) 45)) (-1534 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-1472 (((-121) $) 21)) (-2645 (($ $) 38)) (-2780 (($ $) 64)) (-4035 (((-764) $) 40)) (-4343 (($ $) 39)) (-2250 (($ $ $) 57) (($ |#2| $) NIL)) (-4114 (((-635 $) $) 26)) (-1668 (((-121) $ $) 47)) (-4168 (((-764) $) 34))) 
-(((-1233 |#1| |#2|) (-10 -8 (-15 -3138 (|#1| |#1| (-569))) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -1868 (|#2| |#1| |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2780 (|#1| |#1|)) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4360 (|#2| |#1|)) (-15 -1669 (|#2| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -1534 (|#2| |#1| "first")) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -3891 (|#2| |#1| |#2|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -3725 (|#1| |#1| (-635 |#1|))) (-15 -4349 ((-121) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) (-1234 |#2|) (-1197)) (T -1233)) 
-NIL 
-(-10 -8 (-15 -3138 (|#1| |#1| (-569))) (-15 -4469 (|#2| |#1| "last" |#2|)) (-15 -1868 (|#2| |#1| |#2|)) (-15 -4469 (|#1| |#1| "rest" |#1|)) (-15 -4469 (|#2| |#1| "first" |#2|)) (-15 -2780 (|#1| |#1|)) (-15 -2645 (|#1| |#1|)) (-15 -4035 ((-764) |#1|)) (-15 -4343 (|#1| |#1|)) (-15 -4360 (|#2| |#1|)) (-15 -1669 (|#2| |#1|)) (-15 -4459 (|#1| |#1|)) (-15 -4213 (|#1| |#1| (-764))) (-15 -1534 (|#2| |#1| "last")) (-15 -4213 (|#2| |#1|)) (-15 -2046 (|#1| |#1| (-764))) (-15 -1534 (|#1| |#1| "rest")) (-15 -2046 (|#1| |#1|)) (-15 -1534 (|#2| |#1| "first")) (-15 -2250 (|#1| |#2| |#1|)) (-15 -2250 (|#1| |#1| |#1|)) (-15 -3891 (|#2| |#1| |#2|)) (-15 -4469 (|#2| |#1| "value" |#2|)) (-15 -3725 (|#1| |#1| (-635 |#1|))) (-15 -4349 ((-121) |#1| |#1|)) (-15 -1472 ((-121) |#1|)) (-15 -1534 (|#2| |#1| "value")) (-15 -2247 (|#2| |#1|)) (-15 -3486 ((-121) |#1|)) (-15 -4032 ((-635 |#1|) |#1|)) (-15 -4114 ((-635 |#1|) |#1|)) (-15 -1668 ((-121) |#1| |#1|)) (-15 -4168 ((-764) |#1|)) (-15 -1691 ((-121) |#1| (-764))) (-15 -1974 ((-121) |#1| (-764))) (-15 -2006 ((-121) |#1| (-764)))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2247 ((|#1| $) 45)) (-4360 ((|#1| $) 62)) (-4459 (($ $) 64)) (-3138 (($ $ (-569)) 49 (|has| $ (-6 -4536)))) (-1691 (((-121) $ (-764)) 8)) (-3891 ((|#1| $ |#1|) 36 (|has| $ (-6 -4536)))) (-3014 (($ $ $) 53 (|has| $ (-6 -4536)))) (-1868 ((|#1| $ |#1|) 51 (|has| $ (-6 -4536)))) (-3159 ((|#1| $ |#1|) 55 (|has| $ (-6 -4536)))) (-4469 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4536))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4536))) (($ $ "rest" $) 52 (|has| $ (-6 -4536))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4536)))) (-3725 (($ $ (-635 $)) 38 (|has| $ (-6 -4536)))) (-1669 ((|#1| $) 63)) (-2820 (($) 7 T CONST)) (-2046 (($ $) 70) (($ $ (-764)) 68)) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4032 (((-635 $) $) 47)) (-4349 (((-121) $ $) 39 (|has| |#1| (-1091)))) (-1974 (((-121) $ (-764)) 9)) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35)) (-2006 (((-121) $ (-764)) 10)) (-2824 (((-635 |#1|) $) 42)) (-3486 (((-121) $) 46)) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-4213 ((|#1| $) 67) (($ $ (-764)) 65)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 73) (($ $ (-764)) 71)) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-1686 (((-569) $ $) 41)) (-1472 (((-121) $) 43)) (-2645 (($ $) 59)) (-2780 (($ $) 56 (|has| $ (-6 -4536)))) (-4035 (((-764) $) 60)) (-4343 (($ $) 61)) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1971 (($ $) 13)) (-2697 (($ $ $) 58 (|has| $ (-6 -4536))) (($ $ |#1|) 57 (|has| $ (-6 -4536)))) (-2250 (($ $ $) 75) (($ |#1| $) 74)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-4114 (((-635 $) $) 48)) (-2447 (((-121) $ $) 40 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1234 |#1|) (-1278) (-1197)) (T -1234)) 
-((-2250 (*1 *1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2250 (*1 *1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4353 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4353 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-2046 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-2046 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-4213 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1534 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4213 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-4459 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-1669 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4360 (*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4343 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4035 (*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) (-2645 (*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2697 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-2780 (*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3159 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3014 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) (-1868 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-4469 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) (-3138 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197))))) 
-(-13 (-1011 |t#1|) (-10 -8 (-15 -2250 ($ $ $)) (-15 -2250 ($ |t#1| $)) (-15 -4353 (|t#1| $)) (-15 -1534 (|t#1| $ "first")) (-15 -4353 ($ $ (-764))) (-15 -2046 ($ $)) (-15 -1534 ($ $ "rest")) (-15 -2046 ($ $ (-764))) (-15 -4213 (|t#1| $)) (-15 -1534 (|t#1| $ "last")) (-15 -4213 ($ $ (-764))) (-15 -4459 ($ $)) (-15 -1669 (|t#1| $)) (-15 -4360 (|t#1| $)) (-15 -4343 ($ $)) (-15 -4035 ((-764) $)) (-15 -2645 ($ $)) (IF (|has| $ (-6 -4536)) (PROGN (-15 -2697 ($ $ $)) (-15 -2697 ($ $ |t#1|)) (-15 -2780 ($ $)) (-15 -3159 (|t#1| $ |t#1|)) (-15 -4469 (|t#1| $ "first" |t#1|)) (-15 -3014 ($ $ $)) (-15 -4469 ($ $ "rest" $)) (-15 -1868 (|t#1| $ |t#1|)) (-15 -4469 (|t#1| $ "last" |t#1|)) (-15 -3138 ($ $ (-569)))) |noBranch|))) 
-(((-39) . T) ((-105) |has| |#1| (-1091)) ((-609 (-851)) |has| |#1| (-1091)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-1011 |#1|) . T) ((-1091) |has| |#1| (-1091)) ((-1197) . T)) 
-((-1544 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
-(((-1235 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) (-1048) (-1048) (-1237 |#1|) (-1237 |#2|)) (T -1235)) 
-((-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1237 *6)) (-5 *1 (-1235 *5 *6 *4 *2)) (-4 *4 (-1237 *5))))) 
-(-10 -7 (-15 -1544 (|#4| (-1 |#2| |#1|) |#3|))) 
-((-3813 (((-121) $) 15)) (-1753 (($ $) 90)) (-2530 (($ $) 66)) (-1744 (($ $) 86)) (-2513 (($ $) 62)) (-1760 (($ $) 94)) (-2546 (($ $) 70)) (-4450 (($ $) 60)) (-2436 (($ $) 58)) (-1764 (($ $) 96)) (-2554 (($ $) 72)) (-1756 (($ $) 92)) (-2538 (($ $) 68)) (-1748 (($ $) 88)) (-2522 (($ $) 64)) (-2185 (((-851) $) 46) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-1779 (($ $) 102)) (-1727 (($ $) 78)) (-1770 (($ $) 98)) (-2561 (($ $) 74)) (-1785 (($ $) 106)) (-1736 (($ $) 82)) (-2430 (($ $) 108)) (-1740 (($ $) 84)) (-1782 (($ $) 104)) (-1731 (($ $) 80)) (-1775 (($ $) 100)) (-2569 (($ $) 76)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-410 (-569))) 56))) 
-(((-1236 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2538 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -3813 ((-121) |#1|)) (-15 -2185 ((-851) |#1|))) (-1237 |#2|) (-1048)) (T -1236)) 
-NIL 
-(-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -2530 (|#1| |#1|)) (-15 -2513 (|#1| |#1|)) (-15 -2546 (|#1| |#1|)) (-15 -2554 (|#1| |#1|)) (-15 -2538 (|#1| |#1|)) (-15 -2522 (|#1| |#1|)) (-15 -2569 (|#1| |#1|)) (-15 -1731 (|#1| |#1|)) (-15 -1740 (|#1| |#1|)) (-15 -1736 (|#1| |#1|)) (-15 -2561 (|#1| |#1|)) (-15 -1727 (|#1| |#1|)) (-15 -1748 (|#1| |#1|)) (-15 -1756 (|#1| |#1|)) (-15 -1764 (|#1| |#1|)) (-15 -1760 (|#1| |#1|)) (-15 -1744 (|#1| |#1|)) (-15 -1753 (|#1| |#1|)) (-15 -1775 (|#1| |#1|)) (-15 -1782 (|#1| |#1|)) (-15 -2430 (|#1| |#1|)) (-15 -1785 (|#1| |#1|)) (-15 -1770 (|#1| |#1|)) (-15 -1779 (|#1| |#1|)) (-15 -4450 (|#1| |#1|)) (-15 -2436 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -2185 (|#1| |#2|)) (-15 -2185 (|#1| |#1|)) (-15 -2185 (|#1| (-410 (-569)))) (-15 -2185 (|#1| (-569))) (-15 ** (|#1| |#1| (-764))) (-15 ** (|#1| |#1| (-918))) (-15 -3813 ((-121) |#1|)) (-15 -2185 ((-851) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1773 (((-635 (-1076)) $) 70)) (-3534 (((-1163) $) 98)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-3383 (($ $) 51 (|has| |#1| (-559)))) (-4354 (((-121) $) 53 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 93) (($ $ (-764) (-764)) 92)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 100)) (-1753 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) 18)) (-2454 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 147) (($ (-1143 |#1|)) 145)) (-1760 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) 16 T CONST)) (-4020 (($ $) 59)) (-3428 (((-3 $ "failed") $) 33)) (-2394 (($ $) 144)) (-2088 (((-954 |#1|) $ (-764)) 142) (((-954 |#1|) $ (-764) (-764)) 141)) (-2777 (((-121) $) 69)) (-2445 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) 95) (((-764) $ (-764)) 94)) (-1407 (((-121) $) 30)) (-4344 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-3089 (($ $ (-918)) 96)) (-3622 (($ (-1 |#1| (-569)) $) 143)) (-3523 (((-121) $) 61)) (-1763 (($ |#1| (-764)) 60) (($ $ (-1076) (-764)) 72) (($ $ (-635 (-1076)) (-635 (-764))) 71)) (-1544 (($ (-1 |#1| |#1|) $) 62)) (-4450 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) 64)) (-4012 ((|#1| $) 65)) (-2776 (((-1145) $) 9)) (-2565 (($ $) 139 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 138 (-2232 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-960)) (|has| |#1| (-1183)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-43 (-410 (-569)))))))) (-3360 (((-1109) $) 10)) (-3499 (($ $ (-764)) 90)) (-2941 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2436 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1468 (((-1143 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 99) (($ $ $) 76 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) 84 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163) (-764)) 83 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-635 (-1163))) 82 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163)) 81 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-764)) 79 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-2492 (((-764) $) 63)) (-1764 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 68)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3382 (((-1143 |#1|) $) 146)) (-1653 ((|#1| $ (-764)) 58)) (-3953 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-1991 (((-764)) 28)) (-4030 ((|#1| $) 97)) (-1779 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) 52 (|has| |#1| (-559)))) (-1770 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) 88 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163) (-764)) 87 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-635 (-1163))) 86 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-1163)) 85 (-12 (|has| |#1| (-896 (-1163))) (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (($ $ (-764)) 80 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ |#1|) 140 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1237 |#1|) (-1278) (-1048)) (T -1237)) 
-((-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-764)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) (-3382 (*1 *2 *1) (-12 (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-5 *2 (-1143 *3)))) (-3343 (*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)))) (-3622 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1237 *3)) (-4 *3 (-1048)))) (-2088 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) (-2088 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) (-2565 (*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) (-2565 (*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
-(-13 (-1224 |t#1| (-764)) (-10 -8 (-15 -3343 ($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |t#1|))))) (-15 -3382 ((-1143 |t#1|) $)) (-15 -3343 ($ (-1143 |t#1|))) (-15 -2394 ($ $)) (-15 -3622 ($ (-1 |t#1| (-569)) $)) (-15 -2088 ((-954 |t#1|) $ (-764))) (-15 -2088 ((-954 |t#1|) $ (-764) (-764))) (IF (|has| |t#1| (-366)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -2565 ($ $)) (IF (|has| |t#1| (-15 -2565 (|t#1| |t#1| (-1163)))) (IF (|has| |t#1| (-15 -1773 ((-635 (-1163)) |t#1|))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1183)) (IF (|has| |t#1| (-960)) (IF (|has| |t#1| (-29 (-569))) (-15 -2565 ($ $ (-1163))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1003)) (-6 (-1183))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-52 |#1| (-764)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-764) |#1|))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-764) (-1103)) ((-286) |has| |#1| (-559)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-708 |#1|) |has| |#1| (-173)) ((-708 $) |has| |#1| (-559)) ((-717) . T) ((-896 (-1163)) -12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163)))) ((-975 |#1| (-764) (-1076)) . T) ((-1003) |has| |#1| (-43 (-410 (-569)))) ((-1054 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1054 |#1|) . T) ((-1054 $) -2232 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1183) |has| |#1| (-43 (-410 (-569)))) ((-1186) |has| |#1| (-43 (-410 (-569)))) ((-1224 |#1| (-764)) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 86)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 73)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) 135 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 120) (($ $ (-764) (-764)) 122)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 42)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 53) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) 126)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) 133)) (-2088 (((-954 |#1|) $ (-764)) 63) (((-954 |#1|) $ (-764) (-764)) 65)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) 110)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) 128)) (-3089 (($ $ (-918)) 132)) (-3622 (($ (-1 |#1| (-569)) $) 104)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 15) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 92)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) 108)) (-1722 (($ $) 106)) (-1357 (($ (-569) (-569) $) 130)) (-2565 (($ $) 143 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 149 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 144 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) 114)) (-3499 (($ $ (-764)) 116)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) 112)) (-1468 (((-1143 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 89) (($ $ $) 124 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 101 (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 97)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 118)) (-2185 (((-851) $) NIL) (($ (-569)) 24) (($ (-410 (-569))) 141 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 23 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 79) (($ (-1243 |#2|)) 20)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 88)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 87)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 17 T CONST)) (-1556 (($) 13 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 100)) (-1707 (($ $ $) 18)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 138 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1238 |#1| |#2| |#3|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163) |#1|) (T -1238)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1238 *3 *4 *5)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1238 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3)))) 
-(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-1807 (((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|))) 24)) (-3158 (((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-3895 (((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|)) 13)) (-2975 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3770 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-2297 ((|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|)) 54)) (-3190 (((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))) 61)) (-2564 ((|#2| |#2| |#2|) 43))) 
-(((-1239 |#1| |#2|) (-10 -7 (-15 -3895 ((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|))) (-15 -3158 ((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1807 ((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -2564 (|#2| |#2| |#2|)) (-15 -3770 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2975 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2297 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -3190 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) (-43 (-410 (-569))) (-1237 |#1|)) (T -1239)) 
-((-3190 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1237 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1239 *5 *6)))) (-2297 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1237 *5)) (-5 *1 (-1239 *5 *2)))) (-2975 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-3770 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-2564 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1239 *3 *2)) (-4 *2 (-1237 *3)))) (-1807 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-635 (-1143 *4)))) (-5 *1 (-1239 *4 *5)))) (-3158 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5)))) (-3895 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
-(-10 -7 (-15 -3895 ((-1 (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2|))) (-15 -3158 ((-1 (-1143 |#1|) (-1143 |#1|) (-1143 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -1807 ((-1 (-1143 |#1|) (-635 (-1143 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -2564 (|#2| |#2| |#2|)) (-15 -3770 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -2975 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -2297 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -3190 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) 
-((-3361 ((|#2| |#4| (-764)) 30)) (-2070 ((|#4| |#2|) 25)) (-2249 ((|#4| (-410 |#2|)) 51 (|has| |#1| (-559)))) (-2434 (((-1 |#4| (-635 |#4|)) |#3|) 45))) 
-(((-1240 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -2070 (|#4| |#2|)) (-15 -3361 (|#2| |#4| (-764))) (-15 -2434 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2249 (|#4| (-410 |#2|))) |noBranch|)) (-1048) (-1222 |#1|) (-647 |#2|) (-1237 |#1|)) (T -1240)) 
-((-2249 (*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-559)) (-4 *4 (-1048)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *5 *6 *2)) (-4 *6 (-647 *5)))) (-2434 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-1222 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1240 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1237 *4)))) (-3361 (*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-1240 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1237 *5)))) (-2070 (*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-1222 *4)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
-(-10 -7 (-15 -2070 (|#4| |#2|)) (-15 -3361 (|#2| |#4| (-764))) (-15 -2434 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2249 (|#4| (-410 |#2|))) |noBranch|)) 
-((-3216 ((|#2| (-1 |#3| |#3|) (-635 |#1|)) 67))) 
-(((-1241 |#1| |#2| |#3|) (-10 -7 (-15 -3216 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) (-366) (-1237 |#1|) (-1237 (-1157 |#1|))) (T -1241)) 
-((-3216 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1237 (-1157 *5))) (-4 *2 (-1237 *5)) (-5 *1 (-1241 *5 *2 *6))))) 
-(-10 -7 (-15 -3216 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-1773 (((-635 (-1076)) $) NIL)) (-3534 (((-1163) $) 79)) (-3683 (((-1219 |#2| |#1|) $ (-764)) 68)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-3383 (($ $) NIL (|has| |#1| (-559)))) (-4354 (((-121) $) 128 (|has| |#1| (-559)))) (-3136 (($ $ (-764)) 113) (($ $ (-764) (-764)) 115)) (-1403 (((-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|))) $) 38)) (-1753 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2327 (((-3 $ "failed") $ $) NIL)) (-2454 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1744 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2513 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3343 (($ (-1143 (-2 (|:| |k| (-764)) (|:| |c| |#1|)))) 51) (($ (-1143 |#1|)) NIL)) (-1760 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2546 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2820 (($) NIL T CONST)) (-1889 (($ $) 119)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-2394 (($ $) 126)) (-2088 (((-954 |#1|) $ (-764)) 59) (((-954 |#1|) $ (-764) (-764)) 61)) (-2777 (((-121) $) NIL)) (-2445 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2558 (((-764) $) NIL) (((-764) $ (-764)) NIL)) (-1407 (((-121) $) NIL)) (-2787 (($ $) 103)) (-4344 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4173 (($ (-569) (-569) $) 121)) (-3089 (($ $ (-918)) 125)) (-3622 (($ (-1 |#1| (-569)) $) 97)) (-3523 (((-121) $) NIL)) (-1763 (($ |#1| (-764)) 12) (($ $ (-1076) (-764)) NIL) (($ $ (-635 (-1076)) (-635 (-764))) NIL)) (-1544 (($ (-1 |#1| |#1|) $) 85)) (-4450 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1804 (($ $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3380 (($ $) 101)) (-1722 (($ $) 99)) (-1357 (($ (-569) (-569) $) 123)) (-2565 (($ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1163)) 139 (-2232 (-12 (|has| |#1| (-15 -2565 (|#1| |#1| (-1163)))) (|has| |#1| (-15 -1773 ((-635 (-1163)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-960)) (|has| |#1| (-1183))))) (($ $ (-1243 |#2|)) 137 (|has| |#1| (-43 (-410 (-569)))))) (-3360 (((-1109) $) NIL)) (-3235 (($ $ (-569) (-569)) 107)) (-3499 (($ $ (-764)) 109)) (-2941 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2436 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2924 (($ $) 105)) (-1468 (((-1143 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-764)))))) (-1534 ((|#1| $ (-764)) 82) (($ $ $) 117 (|has| (-764) (-1103)))) (-3899 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) 92 (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $ (-1243 |#2|)) 90)) (-2492 (((-764) $) NIL)) (-1764 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2554 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1756 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1748 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2522 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3659 (($ $) 111)) (-2185 (((-851) $) NIL) (($ (-569)) 18) (($ (-410 (-569))) 134 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 17 (|has| |#1| (-173))) (($ (-1219 |#2| |#1|)) 73) (($ (-1243 |#2|)) 14)) (-3382 (((-1143 |#1|) $) NIL)) (-1653 ((|#1| $ (-764)) 81)) (-3953 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-1991 (((-764)) NIL)) (-4030 ((|#1| $) 80)) (-1779 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1727 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1961 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1770 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2561 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1785 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1736 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 ((|#1| $ (-764)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-764)))) (|has| |#1| (-15 -2185 (|#1| (-1163))))))) (-2430 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1740 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1782 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1731 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1775 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2569 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 44 T CONST)) (-1556 (($) 9 T CONST)) (-3022 (($ $ (-635 (-1163)) (-635 (-764))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163) (-764)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-635 (-1163))) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-1163)) NIL (-12 (|has| |#1| (-15 * (|#1| (-764) |#1|))) (|has| |#1| (-896 (-1163))))) (($ $ (-764)) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-764) |#1|))))) (-1668 (((-121) $ $) NIL)) (-1715 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) 94)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL) (($ $ |#1|) 131 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
-(((-1242 |#1| |#2|) (-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) (-1048) (-1163)) (T -1242)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)))) (-3683 (*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1242 *4 *5)) (-4 *4 (-1048)) (-14 *5 (-1163)))) (-2185 (*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) (-3899 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) (-1722 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-3380 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-2787 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-2924 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-3235 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-1889 (*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163)))) (-4173 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-1357 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163)))) (-2565 (*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
-(-13 (-1237 |#1|) (-10 -8 (-15 -2185 ($ (-1219 |#2| |#1|))) (-15 -3683 ((-1219 |#2| |#1|) $ (-764))) (-15 -2185 ($ (-1243 |#2|))) (-15 -3899 ($ $ (-1243 |#2|))) (-15 -1722 ($ $)) (-15 -3380 ($ $)) (-15 -2787 ($ $)) (-15 -2924 ($ $)) (-15 -3235 ($ $ (-569) (-569))) (-15 -1889 ($ $)) (-15 -4173 ($ (-569) (-569) $)) (-15 -1357 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -2565 ($ $ (-1243 |#2|))) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3534 (((-1163)) 12)) (-2776 (((-1145) $) 17)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 11) (((-1163) $) 8)) (-1668 (((-121) $ $) 14))) 
-(((-1243 |#1|) (-13 (-1091) (-609 (-1163)) (-10 -8 (-15 -2185 ((-1163) $)) (-15 -3534 ((-1163))))) (-1163)) (T -1243)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2))) (-3534 (*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2)))) 
-(-13 (-1091) (-609 (-1163)) (-10 -8 (-15 -2185 ((-1163) $)) (-15 -3534 ((-1163))))) 
-((-2418 (($ (-764)) 16)) (-4404 (((-680 |#2|) $ $) 37)) (-2456 ((|#2| $) 46)) (-1906 ((|#2| $) 45)) (-2049 ((|#2| $ $) 33)) (-3904 (($ $ $) 42)) (-1711 (($ $) 20) (($ $ $) 26)) (-1707 (($ $ $) 13)) (* (($ (-569) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
-(((-1244 |#1| |#2|) (-10 -8 (-15 -2456 (|#2| |#1|)) (-15 -1906 (|#2| |#1|)) (-15 -3904 (|#1| |#1| |#1|)) (-15 -4404 ((-680 |#2|) |#1| |#1|)) (-15 -2049 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2418 (|#1| (-764))) (-15 -1707 (|#1| |#1| |#1|))) (-1245 |#2|) (-1197)) (T -1244)) 
-NIL 
-(-10 -8 (-15 -2456 (|#2| |#1|)) (-15 -1906 (|#2| |#1|)) (-15 -3904 (|#1| |#1| |#1|)) (-15 -4404 ((-680 |#2|) |#1| |#1|)) (-15 -2049 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1711 (|#1| |#1| |#1|)) (-15 -1711 (|#1| |#1|)) (-15 -2418 (|#1| (-764))) (-15 -1707 (|#1| |#1| |#1|))) 
-((-2568 (((-121) $ $) 18 (|has| |#1| (-1091)))) (-2418 (($ (-764)) 105 (|has| |#1| (-23)))) (-3112 (((-1252) $ (-569) (-569)) 37 (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4536))) (($ $) 81 (-12 (|has| |#1| (-843)) (|has| $ (-6 -4536))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) 8)) (-4469 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) 53 (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4535)))) (-2820 (($) 7 T CONST)) (-1302 (($ $) 83 (|has| $ (-6 -4536)))) (-2052 (($ $) 93)) (-2033 (($ $) 73 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-4347 (($ |#1| $) 72 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) 48)) (-3727 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 30 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) 98 (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) 64)) (-1974 (((-121) $ (-764)) 9)) (-3557 (((-569) $) 40 (|has| (-569) (-843)))) (-3291 (($ $ $) 80 (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) 29 (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-1285 (((-569) $) 41 (|has| (-569) (-843)))) (-1538 (($ $ $) 79 (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-2456 ((|#1| $) 95 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2006 (((-121) $ (-764)) 10)) (-1906 ((|#1| $) 96 (-12 (|has| |#1| (-1048)) (|has| |#1| (-1003))))) (-2776 (((-1145) $) 22 (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-4166 (((-635 (-569)) $) 43)) (-3533 (((-121) (-569) $) 44)) (-3360 (((-1109) $) 21 (|has| |#1| (-1091)))) (-4353 ((|#1| $) 39 (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-3174 (($ $ |#1|) 38 (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) 14)) (-3672 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) 45)) (-1601 (((-121) $) 11)) (-1296 (($) 12)) (-1534 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1213 (-569))) 58)) (-2049 ((|#1| $ $) 99 (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) 57) (($ $ (-1213 (-569))) 56)) (-3904 (($ $ $) 97 (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4535))) (((-764) |#1| $) 28 (-12 (|has| |#1| (-1091)) (|has| $ (-6 -4535))))) (-3389 (($ $ $ (-569)) 84 (|has| $ (-6 -4536)))) (-1971 (($ $) 13)) (-3817 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 65)) (-2250 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-2185 (((-851) $) 20 (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) 77 (|has| |#1| (-843)))) (-1684 (((-121) $ $) 76 (|has| |#1| (-843)))) (-1668 (((-121) $ $) 19 (|has| |#1| (-1091)))) (-1688 (((-121) $ $) 78 (|has| |#1| (-843)))) (-1678 (((-121) $ $) 75 (|has| |#1| (-843)))) (-1711 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1707 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-717))) (($ $ |#1|) 100 (|has| |#1| (-717)))) (-4168 (((-764) $) 6 (|has| $ (-6 -4535))))) 
-(((-1245 |#1|) (-1278) (-1197)) (T -1245)) 
-((-1707 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-25)))) (-2418 (*1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1245 *3)) (-4 *3 (-23)) (-4 *3 (-1197)))) (-1711 (*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) (-1711 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) (-2049 (*1 *2 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) (-4404 (*1 *2 *1 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-1048)) (-5 *2 (-680 *3)))) (-3904 (*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) (-1906 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048)))) (-2456 (*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
-(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1707 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -2418 ($ (-764))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1711 ($ $)) (-15 -1711 ($ $ $)) (-15 * ($ (-569) $))) |noBranch|) (IF (|has| |t#1| (-717)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1048)) (PROGN (-15 -2049 (|t#1| $ $)) (-15 -4404 ((-680 |t#1|) $ $)) (-15 -3904 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1003)) (IF (|has| |t#1| (-1048)) (PROGN (-15 -1906 (|t#1| $)) (-15 -2456 (|t#1| $))) |noBranch|) |noBranch|))) 
-(((-39) . T) ((-105) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-609 (-851)) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-843) |has| |#1| (-843)) ((-1091) -2232 (|has| |#1| (-1091)) (|has| |#1| (-843))) ((-1197) . T)) 
-((-3043 (((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|) 13)) (-1774 ((|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|) 15)) (-1544 (((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)) 28) (((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|)) 18))) 
-(((-1246 |#1| |#2|) (-10 -7 (-15 -3043 ((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1544 ((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|))) (-15 -1544 ((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)))) (-1197) (-1197)) (T -1246)) 
-((-1544 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) (-1544 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) (-1774 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1246 *5 *2)))) (-3043 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1247 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-1247 *5)) (-5 *1 (-1246 *6 *5))))) 
-(-10 -7 (-15 -3043 ((-1247 |#2|) (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1774 (|#2| (-1 |#2| |#1| |#2|) (-1247 |#1|) |#2|)) (-15 -1544 ((-1247 |#2|) (-1 |#2| |#1|) (-1247 |#1|))) (-15 -1544 ((-3 (-1247 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1247 |#1|)))) 
-((-2568 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-2418 (($ (-764)) NIL (|has| |#1| (-23)))) (-3916 (($ (-635 |#1|)) 9)) (-3112 (((-1252) $ (-569) (-569)) NIL (|has| $ (-6 -4536)))) (-3034 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-843)))) (-3076 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4536))) (($ $) NIL (-12 (|has| $ (-6 -4536)) (|has| |#1| (-843))))) (-3113 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-843)))) (-1691 (((-121) $ (-764)) NIL)) (-4469 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536))) ((|#1| $ (-1213 (-569)) |#1|) NIL (|has| $ (-6 -4536)))) (-1962 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-2820 (($) NIL T CONST)) (-1302 (($ $) NIL (|has| $ (-6 -4536)))) (-2052 (($ $) NIL)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-4347 (($ |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1774 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4535))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4535)))) (-2726 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4536)))) (-1618 ((|#1| $ (-569)) NIL)) (-3727 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1091))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1091)))) (-3470 (((-635 |#1|) $) 15 (|has| $ (-6 -4535)))) (-4404 (((-680 |#1|) $ $) NIL (|has| |#1| (-1048)))) (-2659 (($ (-764) |#1|) NIL)) (-1974 (((-121) $ (-764)) NIL)) (-3557 (((-569) $) NIL (|has| (-569) (-843)))) (-3291 (($ $ $) NIL (|has| |#1| (-843)))) (-3288 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-843)))) (-4259 (((-635 |#1|) $) NIL (|has| $ (-6 -4535)))) (-3660 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-1285 (((-569) $) NIL (|has| (-569) (-843)))) (-1538 (($ $ $) NIL (|has| |#1| (-843)))) (-1853 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-2456 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2006 (((-121) $ (-764)) NIL)) (-1906 ((|#1| $) NIL (-12 (|has| |#1| (-1003)) (|has| |#1| (-1048))))) (-2776 (((-1145) $) NIL (|has| |#1| (-1091)))) (-3614 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-4166 (((-635 (-569)) $) NIL)) (-3533 (((-121) (-569) $) NIL)) (-3360 (((-1109) $) NIL (|has| |#1| (-1091)))) (-4353 ((|#1| $) NIL (|has| (-569) (-843)))) (-2502 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-3174 (($ $ |#1|) NIL (|has| $ (-6 -4536)))) (-4177 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1091))))) (-3137 (((-121) $ $) NIL)) (-3672 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-2691 (((-635 |#1|) $) NIL)) (-1601 (((-121) $) NIL)) (-1296 (($) NIL)) (-1534 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-2049 ((|#1| $ $) NIL (|has| |#1| (-1048)))) (-3010 (($ $ (-569)) NIL) (($ $ (-1213 (-569))) NIL)) (-3904 (($ $ $) NIL (|has| |#1| (-1048)))) (-2846 (((-764) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535))) (((-764) |#1| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#1| (-1091))))) (-3389 (($ $ $ (-569)) NIL (|has| $ (-6 -4536)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) 19 (|has| |#1| (-610 (-542))))) (-2139 (($ (-635 |#1|)) 8)) (-2250 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-2185 (((-851) $) NIL (|has| |#1| (-1091)))) (-2066 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4535)))) (-1693 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1684 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1668 (((-121) $ $) NIL (|has| |#1| (-1091)))) (-1688 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1678 (((-121) $ $) NIL (|has| |#1| (-843)))) (-1711 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1707 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-717))) (($ $ |#1|) NIL (|has| |#1| (-717)))) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1247 |#1|) (-13 (-1245 |#1|) (-10 -8 (-15 -3916 ($ (-635 |#1|))))) (-1197)) (T -1247)) 
-((-3916 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1247 *3))))) 
-(-13 (-1245 |#1|) (-10 -8 (-15 -3916 ($ (-635 |#1|))))) 
-((-2568 (((-121) $ $) NIL)) (-2960 (((-1145) $ (-1145)) 87) (((-1145) $ (-1145) (-1145)) 85) (((-1145) $ (-1145) (-635 (-1145))) 84)) (-2474 (($) 56)) (-2638 (((-1252) $ (-474) (-918)) 42)) (-3601 (((-1252) $ (-918) (-1145)) 70) (((-1252) $ (-918) (-870)) 71)) (-2894 (((-1252) $ (-918) (-382) (-382)) 45)) (-1318 (((-1252) $ (-1145)) 66)) (-4251 (((-1252) $ (-918) (-1145)) 75)) (-4265 (((-1252) $ (-918) (-382) (-382)) 46)) (-3191 (((-1252) $ (-918) (-918)) 43)) (-2956 (((-1252) $) 67)) (-3565 (((-1252) $ (-918) (-1145)) 74)) (-1881 (((-1252) $ (-474) (-918)) 30)) (-3047 (((-1252) $ (-918) (-1145)) 73)) (-3315 (((-635 (-257)) $) 22) (($ $ (-635 (-257))) 23)) (-3171 (((-1252) $ (-764) (-764)) 40)) (-2422 (($ $) 57) (($ (-474) (-635 (-257))) 58)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 37)) (-3360 (((-1109) $) NIL)) (-2107 (((-1247 (-3 (-474) "undefined")) $) 36)) (-1423 (((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $) 35)) (-2688 (((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569)) 65)) (-3602 (((-635 (-945 (-216))) $) NIL)) (-3244 (((-474) $ (-918)) 32)) (-2803 (((-1252) $ (-764) (-764) (-918) (-918)) 39)) (-2025 (((-1252) $ (-1145)) 76)) (-3323 (((-1252) $ (-918) (-1145)) 72)) (-2185 (((-851) $) 82)) (-3585 (((-1252) $) 77)) (-3671 (((-1252) $ (-918) (-1145)) 68) (((-1252) $ (-918) (-870)) 69)) (-1668 (((-121) $ $) NIL))) 
-(((-1248) (-13 (-1091) (-10 -8 (-15 -3602 ((-635 (-945 (-216))) $)) (-15 -2474 ($)) (-15 -2422 ($ $)) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -2422 ($ (-474) (-635 (-257)))) (-15 -2688 ((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569))) (-15 -1423 ((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $)) (-15 -2107 ((-1247 (-3 (-474) "undefined")) $)) (-15 -1318 ((-1252) $ (-1145))) (-15 -1881 ((-1252) $ (-474) (-918))) (-15 -3244 ((-474) $ (-918))) (-15 -3671 ((-1252) $ (-918) (-1145))) (-15 -3671 ((-1252) $ (-918) (-870))) (-15 -3601 ((-1252) $ (-918) (-1145))) (-15 -3601 ((-1252) $ (-918) (-870))) (-15 -3047 ((-1252) $ (-918) (-1145))) (-15 -3565 ((-1252) $ (-918) (-1145))) (-15 -3323 ((-1252) $ (-918) (-1145))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3585 ((-1252) $)) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -4265 ((-1252) $ (-918) (-382) (-382))) (-15 -2894 ((-1252) $ (-918) (-382) (-382))) (-15 -4251 ((-1252) $ (-918) (-1145))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -2638 ((-1252) $ (-474) (-918))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -2956 ((-1252) $)) (-15 -2335 ((-569) $)) (-15 -2185 ((-851) $))))) (T -1248)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1248)))) (-3602 (*1 *2 *1) (-12 (-5 *2 (-635 (-945 (-216)))) (-5 *1 (-1248)))) (-2474 (*1 *1) (-5 *1 (-1248))) (-2422 (*1 *1 *1) (-5 *1 (-1248))) (-3315 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) (-3315 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) (-2422 (*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1248)))) (-2688 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-918)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-1423 (*1 *2 *1) (-12 (-5 *2 (-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569))))) (-5 *1 (-1248)))) (-2107 (*1 *2 *1) (-12 (-5 *2 (-1247 (-3 (-474) "undefined"))) (-5 *1 (-1248)))) (-1318 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-1881 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3244 (*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-474)) (-5 *1 (-1248)))) (-3671 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3671 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3601 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3601 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3047 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3565 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3323 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2025 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3585 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2803 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-4265 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2894 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-4251 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3171 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2638 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-3191 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2960 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1248)))) (-2956 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248))))) 
-(-13 (-1091) (-10 -8 (-15 -3602 ((-635 (-945 (-216))) $)) (-15 -2474 ($)) (-15 -2422 ($ $)) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -2422 ($ (-474) (-635 (-257)))) (-15 -2688 ((-1252) $ (-918) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-870) (-569) (-870) (-569))) (-15 -1423 ((-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569)))) $)) (-15 -2107 ((-1247 (-3 (-474) "undefined")) $)) (-15 -1318 ((-1252) $ (-1145))) (-15 -1881 ((-1252) $ (-474) (-918))) (-15 -3244 ((-474) $ (-918))) (-15 -3671 ((-1252) $ (-918) (-1145))) (-15 -3671 ((-1252) $ (-918) (-870))) (-15 -3601 ((-1252) $ (-918) (-1145))) (-15 -3601 ((-1252) $ (-918) (-870))) (-15 -3047 ((-1252) $ (-918) (-1145))) (-15 -3565 ((-1252) $ (-918) (-1145))) (-15 -3323 ((-1252) $ (-918) (-1145))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3585 ((-1252) $)) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -4265 ((-1252) $ (-918) (-382) (-382))) (-15 -2894 ((-1252) $ (-918) (-382) (-382))) (-15 -4251 ((-1252) $ (-918) (-1145))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -2638 ((-1252) $ (-474) (-918))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -2956 ((-1252) $)) (-15 -2335 ((-569) $)) (-15 -2185 ((-851) $)))) 
-((-2568 (((-121) $ $) NIL)) (-2798 (((-1252) $ (-382)) 138) (((-1252) $ (-382) (-382) (-382)) 139)) (-2960 (((-1145) $ (-1145)) 146) (((-1145) $ (-1145) (-1145)) 144) (((-1145) $ (-1145) (-635 (-1145))) 143)) (-2053 (($) 49)) (-1526 (((-1252) $ (-382) (-382) (-382) (-382) (-382)) 114) (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $) 112) (((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 113) (((-1252) $ (-569) (-569) (-382) (-382) (-382)) 115) (((-1252) $ (-382) (-382)) 116) (((-1252) $ (-382) (-382) (-382)) 123)) (-1996 (((-382)) 96) (((-382) (-382)) 97)) (-2889 (((-382)) 91) (((-382) (-382)) 93)) (-2036 (((-382)) 94) (((-382) (-382)) 95)) (-3018 (((-382)) 100) (((-382) (-382)) 101)) (-3276 (((-382)) 98) (((-382) (-382)) 99)) (-2894 (((-1252) $ (-382) (-382)) 140)) (-1318 (((-1252) $ (-1145)) 124)) (-2489 (((-1122 (-216)) $) 50) (($ $ (-1122 (-216))) 51)) (-1471 (((-1252) $ (-1145)) 152)) (-4437 (((-1252) $ (-1145)) 153)) (-3278 (((-1252) $ (-382) (-382)) 122) (((-1252) $ (-569) (-569)) 137)) (-3191 (((-1252) $ (-918) (-918)) 130)) (-2956 (((-1252) $) 110)) (-3204 (((-1252) $ (-1145)) 151)) (-1630 (((-1252) $ (-1145)) 107)) (-3315 (((-635 (-257)) $) 52) (($ $ (-635 (-257))) 53)) (-3171 (((-1252) $ (-764) (-764)) 129)) (-3012 (((-1252) $ (-764) (-945 (-216))) 158)) (-3067 (($ $) 56) (($ (-1122 (-216)) (-1145)) 57) (($ (-1122 (-216)) (-635 (-257))) 58)) (-2850 (((-1252) $ (-382) (-382) (-382)) 104)) (-2776 (((-1145) $) NIL)) (-2335 (((-569) $) 102)) (-3011 (((-1252) $ (-382)) 141)) (-4188 (((-1252) $ (-382)) 156)) (-3360 (((-1109) $) NIL)) (-2676 (((-1252) $ (-382)) 155)) (-4305 (((-1252) $ (-1145)) 109)) (-2803 (((-1252) $ (-764) (-764) (-918) (-918)) 128)) (-2416 (((-1252) $ (-1145)) 106)) (-2025 (((-1252) $ (-1145)) 108)) (-2572 (((-1252) $ (-159) (-159)) 127)) (-2185 (((-851) $) 135)) (-3585 (((-1252) $) 111)) (-4077 (((-1252) $ (-1145)) 154)) (-3671 (((-1252) $ (-1145)) 105)) (-1668 (((-121) $ $) NIL))) 
-(((-1249) (-13 (-1091) (-10 -8 (-15 -2889 ((-382))) (-15 -2889 ((-382) (-382))) (-15 -2036 ((-382))) (-15 -2036 ((-382) (-382))) (-15 -1996 ((-382))) (-15 -1996 ((-382) (-382))) (-15 -3276 ((-382))) (-15 -3276 ((-382) (-382))) (-15 -3018 ((-382))) (-15 -3018 ((-382) (-382))) (-15 -2053 ($)) (-15 -3067 ($ $)) (-15 -3067 ($ (-1122 (-216)) (-1145))) (-15 -3067 ($ (-1122 (-216)) (-635 (-257)))) (-15 -2489 ((-1122 (-216)) $)) (-15 -2489 ($ $ (-1122 (-216)))) (-15 -3012 ((-1252) $ (-764) (-945 (-216)))) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -1318 ((-1252) $ (-1145))) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -1526 ((-1252) $ (-382) (-382) (-382) (-382) (-382))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -1526 ((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1526 ((-1252) $ (-569) (-569) (-382) (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382) (-382))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3671 ((-1252) $ (-1145))) (-15 -2416 ((-1252) $ (-1145))) (-15 -1630 ((-1252) $ (-1145))) (-15 -4305 ((-1252) $ (-1145))) (-15 -3278 ((-1252) $ (-382) (-382))) (-15 -3278 ((-1252) $ (-569) (-569))) (-15 -2798 ((-1252) $ (-382))) (-15 -2798 ((-1252) $ (-382) (-382) (-382))) (-15 -2894 ((-1252) $ (-382) (-382))) (-15 -3204 ((-1252) $ (-1145))) (-15 -2676 ((-1252) $ (-382))) (-15 -4188 ((-1252) $ (-382))) (-15 -1471 ((-1252) $ (-1145))) (-15 -4437 ((-1252) $ (-1145))) (-15 -4077 ((-1252) $ (-1145))) (-15 -2850 ((-1252) $ (-382) (-382) (-382))) (-15 -3011 ((-1252) $ (-382))) (-15 -2956 ((-1252) $)) (-15 -2572 ((-1252) $ (-159) (-159))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -3585 ((-1252) $)) (-15 -2335 ((-569) $))))) (T -1249)) 
-((-2889 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2889 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2036 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2036 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-1996 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-1996 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3276 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3276 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3018 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-3018 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) (-2053 (*1 *1) (-5 *1 (-1249))) (-3067 (*1 *1 *1) (-5 *1 (-1249))) (-3067 (*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1145)) (-5 *1 (-1249)))) (-3067 (*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1249)))) (-2489 (*1 *2 *1) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) (-2489 (*1 *1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) (-3012 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3315 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) (-3315 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) (-3171 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3191 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1318 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2803 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1526 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2025 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3671 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2416 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1630 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4305 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3278 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3278 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2798 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2798 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2894 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3204 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2676 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4188 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-1471 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4437 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-4077 (*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2850 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-3011 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2956 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2572 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) (-2960 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1249)))) (-3585 (*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249)))) (-2335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1249))))) 
-(-13 (-1091) (-10 -8 (-15 -2889 ((-382))) (-15 -2889 ((-382) (-382))) (-15 -2036 ((-382))) (-15 -2036 ((-382) (-382))) (-15 -1996 ((-382))) (-15 -1996 ((-382) (-382))) (-15 -3276 ((-382))) (-15 -3276 ((-382) (-382))) (-15 -3018 ((-382))) (-15 -3018 ((-382) (-382))) (-15 -2053 ($)) (-15 -3067 ($ $)) (-15 -3067 ($ (-1122 (-216)) (-1145))) (-15 -3067 ($ (-1122 (-216)) (-635 (-257)))) (-15 -2489 ((-1122 (-216)) $)) (-15 -2489 ($ $ (-1122 (-216)))) (-15 -3012 ((-1252) $ (-764) (-945 (-216)))) (-15 -3315 ((-635 (-257)) $)) (-15 -3315 ($ $ (-635 (-257)))) (-15 -3171 ((-1252) $ (-764) (-764))) (-15 -3191 ((-1252) $ (-918) (-918))) (-15 -1318 ((-1252) $ (-1145))) (-15 -2803 ((-1252) $ (-764) (-764) (-918) (-918))) (-15 -1526 ((-1252) $ (-382) (-382) (-382) (-382) (-382))) (-15 -1526 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -1526 ((-1252) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -1526 ((-1252) $ (-569) (-569) (-382) (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382))) (-15 -1526 ((-1252) $ (-382) (-382) (-382))) (-15 -2025 ((-1252) $ (-1145))) (-15 -3671 ((-1252) $ (-1145))) (-15 -2416 ((-1252) $ (-1145))) (-15 -1630 ((-1252) $ (-1145))) (-15 -4305 ((-1252) $ (-1145))) (-15 -3278 ((-1252) $ (-382) (-382))) (-15 -3278 ((-1252) $ (-569) (-569))) (-15 -2798 ((-1252) $ (-382))) (-15 -2798 ((-1252) $ (-382) (-382) (-382))) (-15 -2894 ((-1252) $ (-382) (-382))) (-15 -3204 ((-1252) $ (-1145))) (-15 -2676 ((-1252) $ (-382))) (-15 -4188 ((-1252) $ (-382))) (-15 -1471 ((-1252) $ (-1145))) (-15 -4437 ((-1252) $ (-1145))) (-15 -4077 ((-1252) $ (-1145))) (-15 -2850 ((-1252) $ (-382) (-382) (-382))) (-15 -3011 ((-1252) $ (-382))) (-15 -2956 ((-1252) $)) (-15 -2572 ((-1252) $ (-159) (-159))) (-15 -2960 ((-1145) $ (-1145))) (-15 -2960 ((-1145) $ (-1145) (-1145))) (-15 -2960 ((-1145) $ (-1145) (-635 (-1145)))) (-15 -3585 ((-1252) $)) (-15 -2335 ((-569) $)))) 
-((-2199 (((-635 (-1145)) (-635 (-1145))) 94) (((-635 (-1145))) 89)) (-2473 (((-635 (-1145))) 87)) (-3703 (((-635 (-918)) (-635 (-918))) 62) (((-635 (-918))) 59)) (-3168 (((-635 (-764)) (-635 (-764))) 56) (((-635 (-764))) 52)) (-3261 (((-1252)) 64)) (-3021 (((-918) (-918)) 80) (((-918)) 79)) (-1970 (((-918) (-918)) 78) (((-918)) 77)) (-4242 (((-870) (-870)) 74) (((-870)) 73)) (-3391 (((-216)) 84) (((-216) (-382)) 86)) (-1553 (((-918)) 81) (((-918) (-918)) 82)) (-2009 (((-918) (-918)) 76) (((-918)) 75)) (-2417 (((-870) (-870)) 68) (((-870)) 66)) (-4263 (((-870) (-870)) 70) (((-870)) 69)) (-2171 (((-870) (-870)) 72) (((-870)) 71))) 
-(((-1250) (-10 -7 (-15 -2417 ((-870))) (-15 -2417 ((-870) (-870))) (-15 -4263 ((-870))) (-15 -4263 ((-870) (-870))) (-15 -2171 ((-870))) (-15 -2171 ((-870) (-870))) (-15 -4242 ((-870))) (-15 -4242 ((-870) (-870))) (-15 -2009 ((-918))) (-15 -2009 ((-918) (-918))) (-15 -3168 ((-635 (-764)))) (-15 -3168 ((-635 (-764)) (-635 (-764)))) (-15 -3703 ((-635 (-918)))) (-15 -3703 ((-635 (-918)) (-635 (-918)))) (-15 -3261 ((-1252))) (-15 -2199 ((-635 (-1145)))) (-15 -2199 ((-635 (-1145)) (-635 (-1145)))) (-15 -2473 ((-635 (-1145)))) (-15 -1970 ((-918))) (-15 -3021 ((-918))) (-15 -1970 ((-918) (-918))) (-15 -3021 ((-918) (-918))) (-15 -1553 ((-918) (-918))) (-15 -1553 ((-918))) (-15 -3391 ((-216) (-382))) (-15 -3391 ((-216))))) (T -1250)) 
-((-3391 (*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1250)))) (-3391 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1250)))) (-1553 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1553 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-3021 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1970 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-3021 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-1970 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-2473 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-2199 (*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-2199 (*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) (-3261 (*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1250)))) (-3703 (*1 *2 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) (-3703 (*1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) (-3168 (*1 *2 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) (-3168 (*1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) (-2009 (*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-2009 (*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) (-4242 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4242 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2171 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2171 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4263 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-4263 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2417 (*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) (-2417 (*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
-(-10 -7 (-15 -2417 ((-870))) (-15 -2417 ((-870) (-870))) (-15 -4263 ((-870))) (-15 -4263 ((-870) (-870))) (-15 -2171 ((-870))) (-15 -2171 ((-870) (-870))) (-15 -4242 ((-870))) (-15 -4242 ((-870) (-870))) (-15 -2009 ((-918))) (-15 -2009 ((-918) (-918))) (-15 -3168 ((-635 (-764)))) (-15 -3168 ((-635 (-764)) (-635 (-764)))) (-15 -3703 ((-635 (-918)))) (-15 -3703 ((-635 (-918)) (-635 (-918)))) (-15 -3261 ((-1252))) (-15 -2199 ((-635 (-1145)))) (-15 -2199 ((-635 (-1145)) (-635 (-1145)))) (-15 -2473 ((-635 (-1145)))) (-15 -1970 ((-918))) (-15 -3021 ((-918))) (-15 -1970 ((-918) (-918))) (-15 -3021 ((-918) (-918))) (-15 -1553 ((-918) (-918))) (-15 -1553 ((-918))) (-15 -3391 ((-216) (-382))) (-15 -3391 ((-216)))) 
-((-2328 (((-474) (-635 (-635 (-945 (-216)))) (-635 (-257))) 17) (((-474) (-635 (-635 (-945 (-216))))) 16) (((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257))) 15)) (-2563 (((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257))) 23) (((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257))) 22)) (-2185 (((-1248) (-474)) 34))) 
-(((-1251) (-10 -7 (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2185 ((-1248) (-474))))) (T -1251)) 
-((-2185 (*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2563 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2563 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-474)) (-5 *1 (-1251)))) (-2328 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251))))) 
-(-10 -7 (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))))) (-15 -2328 ((-474) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-870) (-870) (-918) (-635 (-257)))) (-15 -2563 ((-1248) (-635 (-635 (-945 (-216)))) (-635 (-257)))) (-15 -2185 ((-1248) (-474)))) 
-((-1861 (($) 7)) (-2185 (((-851) $) 10))) 
-(((-1252) (-10 -8 (-15 -1861 ($)) (-15 -2185 ((-851) $)))) (T -1252)) 
-((-2185 (*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1252)))) (-1861 (*1 *1) (-5 *1 (-1252)))) 
-(-10 -8 (-15 -1861 ($)) (-15 -2185 ((-851) $))) 
-((-1715 (($ $ |#2|) 10))) 
-(((-1253 |#1| |#2|) (-10 -8 (-15 -1715 (|#1| |#1| |#2|))) (-1254 |#2|) (-366)) (T -1253)) 
-NIL 
-(-10 -8 (-15 -1715 (|#1| |#1| |#2|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2369 (((-140)) 25)) (-2185 (((-851) $) 11)) (-3369 (($) 17 T CONST)) (-1668 (((-121) $ $) 6)) (-1715 (($ $ |#1|) 26)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
-(((-1254 |#1|) (-1278) (-366)) (T -1254)) 
-((-1715 (*1 *1 *1 *2) (-12 (-4 *1 (-1254 *2)) (-4 *2 (-366)))) (-2369 (*1 *2) (-12 (-4 *1 (-1254 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
-(-13 (-708 |t#1|) (-10 -8 (-15 -1715 ($ $ |t#1|)) (-15 -2369 ((-140))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-708 |#1|) . T) ((-1054 |#1|) . T) ((-1091) . T)) 
-((-2095 (((-635 (-1192 |#1|)) (-1163) (-1192 |#1|)) 78)) (-3212 (((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|))) 57)) (-3986 (((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))) 68)) (-3688 (((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764)) 59)) (-3374 (((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163)) 27)) (-3084 (((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764)) 58))) 
-(((-1255 |#1|) (-10 -7 (-15 -3688 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3084 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3212 ((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|)))) (-15 -3374 ((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163))) (-15 -2095 ((-635 (-1192 |#1|)) (-1163) (-1192 |#1|))) (-15 -3986 ((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))))) (-366)) (T -1255)) 
-((-3986 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-764)) (-4 *6 (-366)) (-5 *4 (-1192 *6)) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1255 *6)) (-5 *5 (-1143 *4)))) (-2095 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-635 (-1192 *5))) (-5 *1 (-1255 *5)) (-5 *4 (-1192 *5)))) (-3374 (*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-1159 (-954 *4)) (-954 *4))) (-5 *1 (-1255 *4)) (-4 *4 (-366)))) (-3212 (*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-1143 (-1143 (-954 *5)))) (-5 *1 (-1255 *5)) (-5 *4 (-1143 (-954 *5))))) (-3084 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366)))) (-3688 (*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
-(-10 -7 (-15 -3688 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3084 ((-1 (-1143 (-954 |#1|)) (-1143 (-954 |#1|))) (-764))) (-15 -3212 ((-1143 (-1143 (-954 |#1|))) (-1163) (-1143 (-954 |#1|)))) (-15 -3374 ((-1 (-1159 (-954 |#1|)) (-954 |#1|)) (-1163))) (-15 -2095 ((-635 (-1192 |#1|)) (-1163) (-1192 |#1|))) (-15 -3986 ((-1 (-1143 (-1192 |#1|)) (-1143 (-1192 |#1|))) (-764) (-1192 |#1|) (-1143 (-1192 |#1|))))) 
-((-1627 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|) 74)) (-3577 (((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|)))) 73))) 
-(((-1256 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|))) (-351) (-1222 |#1|) (-1222 |#2|) (-412 |#2| |#3|)) (T -1256)) 
-((-1627 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-1256 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5)))) (-3577 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-1256 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
-(-10 -7 (-15 -3577 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))))) (-15 -1627 ((-2 (|:| -3930 (-680 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-680 |#2|))) |#2|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 41)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) NIL)) (-1407 (((-121) $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2185 (((-851) $) 62) (($ (-569)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-173)))) (-1991 (((-764)) NIL)) (-3763 (((-1252) (-764)) 16)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 26 T CONST)) (-1556 (($) 65 T CONST)) (-1668 (((-121) $ $) 67)) (-1715 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1711 (($ $) 69) (($ $ $) NIL)) (-1707 (($ $ $) 45)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
-(((-1257 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2185 ($ |#4|)) (-15 -3763 ((-1252) (-764))))) (-1048) (-843) (-789) (-951 |#1| |#3| |#2|) (-635 |#2|) (-635 (-764)) (-764)) (T -1257)) 
-((-2185 (*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-1715 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-789)) (-14 *6 (-635 *3)) (-5 *1 (-1257 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-951 *2 *4 *3)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-2185 (*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-951 *3 *5 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) (-3763 (*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-14 *8 (-635 *5)) (-5 *2 (-1252)) (-5 *1 (-1257 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-951 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
-(-13 (-1048) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -2185 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1715 ((-3 $ "failed") $ $)) |noBranch|) (-15 -2185 ($ |#4|)) (-15 -3763 ((-1252) (-764))))) 
-((-2568 (((-121) $ $) NIL)) (-3839 (((-635 (-2 (|:| -3585 $) (|:| -3230 (-635 |#4|)))) (-635 |#4|)) NIL)) (-4426 (((-635 $) (-635 |#4|)) 87)) (-1773 (((-635 |#3|) $) NIL)) (-3008 (((-121) $) NIL)) (-3625 (((-121) $) NIL (|has| |#1| (-559)))) (-2061 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3982 ((|#4| |#4| $) NIL)) (-3113 (((-2 (|:| |under| $) (|:| -2942 $) (|:| |upper| $)) $ |#3|) NIL)) (-1691 (((-121) $ (-764)) NIL)) (-1962 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535))) (((-3 |#4| "failed") $ |#3|) NIL)) (-2820 (($) NIL T CONST)) (-4162 (((-121) $) NIL (|has| |#1| (-559)))) (-2716 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3532 (((-121) $ $) NIL (|has| |#1| (-559)))) (-2398 (((-121) $) NIL (|has| |#1| (-559)))) (-3694 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-4318 (((-635 |#4|) (-635 |#4|) $) 24 (|has| |#1| (-559)))) (-1322 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-1647 (((-3 $ "failed") (-635 |#4|)) NIL)) (-2428 (($ (-635 |#4|)) NIL)) (-2046 (((-3 $ "failed") $) 69)) (-4407 ((|#4| |#4| $) 74)) (-2033 (($ $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-4347 (($ |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1830 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3255 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-2045 ((|#4| |#4| $) NIL)) (-1774 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4535))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4535))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4038 (((-2 (|:| -3585 (-635 |#4|)) (|:| -3230 (-635 |#4|))) $) NIL)) (-3470 (((-635 |#4|) $) NIL (|has| $ (-6 -4535)))) (-3977 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-4357 ((|#3| $) 75)) (-1974 (((-121) $ (-764)) NIL)) (-4259 (((-635 |#4|) $) 28 (|has| $ (-6 -4535)))) (-3660 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091))))) (-2602 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-635 |#4|)) 34)) (-1853 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4536)))) (-1544 (($ (-1 |#4| |#4|) $) NIL)) (-1833 (((-635 |#3|) $) NIL)) (-2760 (((-121) |#3| $) NIL)) (-2006 (((-121) $ (-764)) NIL)) (-2776 (((-1145) $) NIL)) (-4213 (((-3 |#4| "failed") $) NIL)) (-2515 (((-635 |#4|) $) 49)) (-3409 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-3005 ((|#4| |#4| $) 73)) (-2673 (((-121) $ $) 84)) (-2439 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-4310 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2533 ((|#4| |#4| $) NIL)) (-3360 (((-1109) $) NIL)) (-4353 (((-3 |#4| "failed") $) 68)) (-2502 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-1913 (((-3 $ "failed") $ |#4|) NIL)) (-3499 (($ $ |#4|) NIL)) (-4177 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1468 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1091))))) (-3137 (((-121) $ $) NIL)) (-1601 (((-121) $) 66)) (-1296 (($) 41)) (-2492 (((-764) $) NIL)) (-2846 (((-764) |#4| $) NIL (-12 (|has| $ (-6 -4535)) (|has| |#4| (-1091)))) (((-764) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-1971 (($ $) NIL)) (-3817 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-2139 (($ (-635 |#4|)) NIL)) (-4201 (($ $ |#3|) NIL)) (-3460 (($ $ |#3|) NIL)) (-4208 (($ $) NIL)) (-2630 (($ $ |#3|) NIL)) (-2185 (((-851) $) NIL) (((-635 |#4|) $) 56)) (-3435 (((-764) $) NIL (|has| |#3| (-371)))) (-1413 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-635 |#4|)) 40)) (-1575 (((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-635 $) (-635 |#4|)) 65)) (-1702 (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -3275 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-3321 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-2066 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4535)))) (-3502 (((-635 |#3|) $) NIL)) (-3673 (((-121) |#3| $) NIL)) (-1668 (((-121) $ $) NIL)) (-4168 (((-764) $) NIL (|has| $ (-6 -4535))))) 
-(((-1258 |#1| |#2| |#3| |#4|) (-13 (-1191 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2602 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2602 ((-3 $ "failed") (-635 |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|))) (-15 -1575 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1575 ((-635 $) (-635 |#4|))))) (-559) (-789) (-843) (-1062 |#1| |#2| |#3|)) (T -1258)) 
-((-2602 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8)))) (-2602 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) (-1413 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8)))) (-1413 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) (-1575 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-635 (-1258 *6 *7 *8 *9))) (-5 *1 (-1258 *6 *7 *8 *9)))) (-1575 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-1258 *4 *5 *6 *7))) (-5 *1 (-1258 *4 *5 *6 *7))))) 
-(-13 (-1191 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -2602 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2602 ((-3 $ "failed") (-635 |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1413 ((-3 $ "failed") (-635 |#4|))) (-15 -1575 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -1575 ((-635 $) (-635 |#4|))))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-2327 (((-3 $ "failed") $ $) 18)) (-2820 (($) 16 T CONST)) (-3428 (((-3 $ "failed") $) 33)) (-1407 (((-121) $) 30)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#1|) 37)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
-(((-1259 |#1|) (-1278) (-1048)) (T -1259)) 
-((-2185 (*1 *1 *2) (-12 (-4 *1 (-1259 *2)) (-4 *2 (-1048))))) 
-(-13 (-1048) (-120 |t#1| |t#1|) (-10 -8 (-15 -2185 ($ |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 |#1|) |has| |#1| (-173)) ((-717) . T) ((-1054 |#1|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 45)) (-1920 (($ $ (-764)) 39)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ (-764)) 17 (|has| |#2| (-173))) (($ $ $) 18 (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ $) 61) (($ $ (-815 |#1|)) 48) (($ $ |#1|) 52)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL)) (-4020 (($ $) 32)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) NIL)) (-4183 (($ $) NIL)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) 31)) (-2208 (($ $) 33)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 11)) (-3116 (((-815 |#1|) $) NIL)) (-1966 (((-815 |#1|) $) 34)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (($ $ $) 60) (($ $ (-815 |#1|)) 50) (($ $ |#1|) 54)) (-1859 (((-635 (-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-815 |#1|) $) 28)) (-4012 ((|#2| $) 30)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2492 (((-764) $) 36)) (-1749 (((-121) $) 40)) (-2043 ((|#2| $) NIL)) (-2185 (((-851) $) NIL) (($ (-815 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-569)) NIL)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-815 |#1|)) NIL)) (-4140 ((|#2| $ $) 63) ((|#2| $ (-815 |#1|)) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (-3369 (($) 12 T CONST)) (-1556 (($) 14 T CONST)) (-1668 (((-121) $ $) 38)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 21)) (** (($ $ (-764)) NIL) (($ $ (-918)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-815 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
-(((-1260 |#1| |#2|) (-13 (-385 |#2| (-815 |#1|)) (-1266 |#1| |#2|)) (-843) (-1048)) (T -1260)) 
-NIL 
-(-13 (-385 |#2| (-815 |#1|)) (-1266 |#1| |#2|)) 
-((-4450 ((|#3| |#3| (-764)) 23)) (-2436 ((|#3| |#3| (-764)) 28)) (-1358 ((|#3| |#3| |#3| (-764)) 29))) 
-(((-1261 |#1| |#2| |#3|) (-10 -7 (-15 -2436 (|#3| |#3| (-764))) (-15 -4450 (|#3| |#3| (-764))) (-15 -1358 (|#3| |#3| |#3| (-764)))) (-13 (-1048) (-708 (-410 (-569)))) (-843) (-1266 |#2| |#1|)) (T -1261)) 
-((-1358 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) (-4450 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) (-2436 (*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4))))) 
-(-10 -7 (-15 -2436 (|#3| |#3| (-764))) (-15 -4450 (|#3| |#3| (-764))) (-15 -1358 (|#3| |#3| |#3| (-764)))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 39)) (-2327 (((-3 $ "failed") $ $) 18)) (-1313 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-764)) 41 (|has| |#2| (-173)))) (-2820 (($) 16 T CONST)) (-2123 (($ $ |#1|) 53) (($ $ (-815 |#1|)) 52) (($ $ $) 51)) (-1647 (((-3 (-815 |#1|) "failed") $) 63)) (-2428 (((-815 |#1|) $) 62)) (-3428 (((-3 $ "failed") $) 33)) (-3088 (((-121) $) 44)) (-4183 (($ $) 43)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 49)) (-4145 (($ (-815 |#1|) |#2|) 50)) (-2208 (($ $) 48)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 59)) (-3116 (((-815 |#1|) $) 60)) (-1544 (($ (-1 |#2| |#2|) $) 40)) (-3642 (($ $ |#1|) 56) (($ $ (-815 |#1|)) 55) (($ $ $) 54)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-1749 (((-121) $) 46)) (-2043 ((|#2| $) 45)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-815 |#1|)) 64) (($ |#1|) 47)) (-4140 ((|#2| $ (-815 |#1|)) 58) ((|#2| $ $) 57)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1262 |#1| |#2|) (-1278) (-843) (-1048)) (T -1262)) 
-((* (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-3116 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) (-3087 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| |k| (-815 *3)) (|:| |c| *4))))) (-4140 (*1 *2 *1 *3) (-12 (-5 *3 (-815 *4)) (-4 *1 (-1262 *4 *2)) (-4 *4 (-843)) (-4 *2 (-1048)))) (-4140 (*1 *2 *1 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (-3642 (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-3642 (*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-3642 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2123 (*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2123 (*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-2123 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-4145 (*1 *1 *2 *3) (-12 (-5 *2 (-815 *4)) (-4 *4 (-843)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1048)))) (-3523 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-2208 (*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-2185 (*1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-1749 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-2043 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) (-3088 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) (-4183 (*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) (-1313 (*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)) (-4 *3 (-173)))) (-1313 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-4 *4 (-173)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-3914 (*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-635 *3))))) 
-(-13 (-1048) (-1259 |t#2|) (-1038 (-815 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -3116 ((-815 |t#1|) $)) (-15 -3087 ((-2 (|:| |k| (-815 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -4140 (|t#2| $ (-815 |t#1|))) (-15 -4140 (|t#2| $ $)) (-15 -3642 ($ $ |t#1|)) (-15 -3642 ($ $ (-815 |t#1|))) (-15 -3642 ($ $ $)) (-15 -2123 ($ $ |t#1|)) (-15 -2123 ($ $ (-815 |t#1|))) (-15 -2123 ($ $ $)) (-15 -4145 ($ (-815 |t#1|) |t#2|)) (-15 -3523 ((-121) $)) (-15 -2208 ($ $)) (-15 -2185 ($ |t#1|)) (-15 -1749 ((-121) $)) (-15 -2043 (|t#2| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (IF (|has| |t#2| (-173)) (PROGN (-15 -1313 ($ $ $)) (-15 -1313 ($ $ (-764)))) |noBranch|) (-15 -1544 ($ (-1 |t#2| |t#2|) $)) (-15 -3914 ((-635 |t#1|) $)) (IF (|has| |t#2| (-6 -4528)) (-6 -4528) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-708 |#2|) |has| |#2| (-173)) ((-717) . T) ((-1038 (-815 |#1|)) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1259 |#2|) . T)) 
-((-3240 (((-121) $) 13)) (-3673 (((-121) $) 12)) (-1907 (($ $) 17) (($ $ (-764)) 18))) 
-(((-1263 |#1| |#2|) (-10 -8 (-15 -1907 (|#1| |#1| (-764))) (-15 -1907 (|#1| |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|))) (-1264 |#2|) (-366)) (T -1263)) 
-NIL 
-(-10 -8 (-15 -1907 (|#1| |#1| (-764))) (-15 -1907 (|#1| |#1|)) (-15 -3240 ((-121) |#1|)) (-15 -3673 ((-121) |#1|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-1585 (((-2 (|:| -4276 $) (|:| -4522 $) (|:| |associate| $)) $) 40)) (-3383 (($ $) 39)) (-4354 (((-121) $) 37)) (-3240 (((-121) $) 90)) (-2031 (((-764)) 86)) (-2327 (((-3 $ "failed") $ $) 18)) (-2004 (($ $) 71)) (-2446 (((-421 $) $) 70)) (-3934 (((-121) $ $) 57)) (-2820 (($) 16 T CONST)) (-1647 (((-3 |#1| "failed") $) 97)) (-2428 ((|#1| $) 96)) (-2506 (($ $ $) 53)) (-3428 (((-3 $ "failed") $) 33)) (-2524 (($ $ $) 54)) (-4332 (((-2 (|:| -4140 (-635 $)) (|:| -1809 $)) (-635 $)) 49)) (-2751 (($ $ (-764)) 83 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3726 (((-121) $) 69)) (-2558 (((-829 (-918)) $) 80 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1407 (((-121) $) 30)) (-1767 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-2665 (($ $ $) 45) (($ (-635 $)) 44)) (-2776 (((-1145) $) 9)) (-1795 (($ $) 68)) (-2705 (((-121) $) 89)) (-3360 (((-1109) $) 10)) (-4336 (((-1159 $) (-1159 $) (-1159 $)) 43)) (-2714 (($ $ $) 47) (($ (-635 $)) 46)) (-1743 (((-421 $) $) 72)) (-2578 (((-829 (-918))) 87)) (-2212 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1809 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-2941 (((-3 $ "failed") $ $) 41)) (-4074 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2622 (((-764) $) 56)) (-2609 (((-2 (|:| -4268 $) (|:| -1830 $)) $ $) 55)) (-1291 (((-3 (-764) "failed") $ $) 81 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2369 (((-140)) 95)) (-2492 (((-829 (-918)) $) 88)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-3953 (((-3 $ "failed") $) 79 (-2232 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-1991 (((-764)) 28)) (-1961 (((-121) $ $) 38)) (-3673 (((-121) $) 91)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32) (($ $ (-569)) 67)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1907 (($ $) 85 (|has| |#1| (-371))) (($ $ (-764)) 84 (|has| |#1| (-371)))) (-1668 (((-121) $ $) 6)) (-1715 (($ $ $) 62) (($ $ |#1|) 94)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31) (($ $ (-569)) 66)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
-(((-1264 |#1|) (-1278) (-366)) (T -1264)) 
-((-3673 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-3240 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2705 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) (-2578 (*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) (-2031 (*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-764)))) (-1907 (*1 *1 *1) (-12 (-4 *1 (-1264 *2)) (-4 *2 (-366)) (-4 *2 (-371)))) (-1907 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-4 *3 (-371))))) 
-(-13 (-366) (-1038 |t#1|) (-1254 |t#1|) (-10 -8 (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-405)) |noBranch|) (-15 -3673 ((-121) $)) (-15 -3240 ((-121) $)) (-15 -2705 ((-121) $)) (-15 -2492 ((-829 (-918)) $)) (-15 -2578 ((-829 (-918)))) (-15 -2031 ((-764))) (IF (|has| |t#1| (-371)) (PROGN (-6 (-405)) (-15 -1907 ($ $)) (-15 -1907 ($ $ (-764)))) |noBranch|))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-851)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) -2232 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-708 (-410 (-569))) . T) ((-708 |#1|) . T) ((-708 $) . T) ((-717) . T) ((-917) . T) ((-1038 |#1|) . T) ((-1054 (-410 (-569))) . T) ((-1054 |#1|) . T) ((-1054 $) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1202) . T) ((-1254 |#1|) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 84)) (-1920 (($ $ (-764)) 87)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) NIL (|has| |#2| (-173))) (($ $ (-764)) NIL (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ |#1|) NIL) (($ $ (-815 |#1|)) NIL) (($ $ $) NIL)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL) (((-3 (-889 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL) (((-889 |#1|) $) NIL)) (-4020 (($ $) 86)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) 75)) (-4183 (($ $) 79)) (-1592 (($ $ $ (-764)) 88)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) NIL) (($ (-889 |#1|) |#2|) 25)) (-2208 (($ $) 101)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3116 (((-815 |#1|) $) NIL)) (-1966 (((-815 |#1|) $) NIL)) (-1544 (($ (-1 |#2| |#2|) $) NIL)) (-3642 (($ $ |#1|) NIL) (($ $ (-815 |#1|)) NIL) (($ $ $) NIL)) (-4450 (($ $ (-764)) 95 (|has| |#2| (-708 (-410 (-569)))))) (-1859 (((-635 (-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|))) $) NIL)) (-3948 (((-2 (|:| |k| (-889 |#1|)) (|:| |c| |#2|)) $) NIL)) (-1804 (((-889 |#1|) $) 69)) (-4012 ((|#2| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-2436 (($ $ (-764)) 92 (|has| |#2| (-708 (-410 (-569)))))) (-2492 (((-764) $) 85)) (-1749 (((-121) $) 70)) (-2043 ((|#2| $) 74)) (-2185 (((-851) $) 56) (($ (-569)) NIL) (($ |#2|) 50) (($ (-815 |#1|)) NIL) (($ |#1|) 58) (($ (-889 |#1|)) NIL) (($ (-657 |#1| |#2|)) 42) (((-1260 |#1| |#2|) $) 63) (((-1269 |#1| |#2|) $) 68)) (-3382 (((-635 |#2|) $) NIL)) (-1653 ((|#2| $ (-889 |#1|)) NIL)) (-4140 ((|#2| $ (-815 |#1|)) NIL) ((|#2| $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 21 T CONST)) (-1556 (($) 24 T CONST)) (-3287 (((-3 (-657 |#1| |#2|) "failed") $) 100)) (-1668 (((-121) $ $) 64)) (-1711 (($ $) 94) (($ $ $) 93)) (-1707 (($ $ $) 20)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-889 |#1|)) NIL))) 
-(((-1265 |#1| |#2|) (-13 (-1266 |#1| |#2|) (-385 |#2| (-889 |#1|)) (-10 -8 (-15 -2185 ($ (-657 |#1| |#2|))) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1269 |#1| |#2|) $)) (-15 -3287 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1592 ($ $ $ (-764))) (IF (|has| |#2| (-708 (-410 (-569)))) (PROGN (-15 -2436 ($ $ (-764))) (-15 -4450 ($ $ (-764)))) |noBranch|))) (-843) (-173)) (T -1265)) 
-((-2185 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-1265 *3 *4)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2185 (*1 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-3287 (*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-1592 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) (-2436 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173)))) (-4450 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
-(-13 (-1266 |#1| |#2|) (-385 |#2| (-889 |#1|)) (-10 -8 (-15 -2185 ($ (-657 |#1| |#2|))) (-15 -2185 ((-1260 |#1| |#2|) $)) (-15 -2185 ((-1269 |#1| |#2|) $)) (-15 -3287 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1592 ($ $ $ (-764))) (IF (|has| |#2| (-708 (-410 (-569)))) (PROGN (-15 -2436 ($ $ (-764))) (-15 -4450 ($ $ (-764)))) |noBranch|))) 
-((-2568 (((-121) $ $) 7)) (-3813 (((-121) $) 15)) (-3914 (((-635 |#1|) $) 39)) (-1920 (($ $ (-764)) 68)) (-2327 (((-3 $ "failed") $ $) 18)) (-1313 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-764)) 41 (|has| |#2| (-173)))) (-2820 (($) 16 T CONST)) (-2123 (($ $ |#1|) 53) (($ $ (-815 |#1|)) 52) (($ $ $) 51)) (-1647 (((-3 (-815 |#1|) "failed") $) 63)) (-2428 (((-815 |#1|) $) 62)) (-3428 (((-3 $ "failed") $) 33)) (-3088 (((-121) $) 44)) (-4183 (($ $) 43)) (-1407 (((-121) $) 30)) (-3523 (((-121) $) 49)) (-4145 (($ (-815 |#1|) |#2|) 50)) (-2208 (($ $) 48)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) 59)) (-3116 (((-815 |#1|) $) 60)) (-1966 (((-815 |#1|) $) 70)) (-1544 (($ (-1 |#2| |#2|) $) 40)) (-3642 (($ $ |#1|) 56) (($ $ (-815 |#1|)) 55) (($ $ $) 54)) (-2776 (((-1145) $) 9)) (-3360 (((-1109) $) 10)) (-2492 (((-764) $) 69)) (-1749 (((-121) $) 46)) (-2043 ((|#2| $) 45)) (-2185 (((-851) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-815 |#1|)) 64) (($ |#1|) 47)) (-4140 ((|#2| $ (-815 |#1|)) 58) ((|#2| $ $) 57)) (-1991 (((-764)) 28)) (-2427 (($ $ (-918)) 25) (($ $ (-764)) 32)) (-3369 (($) 17 T CONST)) (-1556 (($) 29 T CONST)) (-1668 (((-121) $ $) 6)) (-1711 (($ $) 21) (($ $ $) 20)) (-1707 (($ $ $) 13)) (** (($ $ (-918)) 24) (($ $ (-764)) 31)) (* (($ (-918) $) 12) (($ (-764) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
-(((-1266 |#1| |#2|) (-1278) (-843) (-1048)) (T -1266)) 
-((-1966 (*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) (-2492 (*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-764)))) (-1920 (*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
-(-13 (-1262 |t#1| |t#2|) (-10 -8 (-15 -1966 ((-815 |t#1|) $)) (-15 -2492 ((-764) $)) (-15 -1920 ($ $ (-764))))) 
-(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-851)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-708 |#2|) |has| |#2| (-173)) ((-717) . T) ((-1038 (-815 |#1|)) . T) ((-1054 |#2|) . T) ((-1048) . T) ((-1055) . T) ((-1103) . T) ((-1091) . T) ((-1259 |#2|) . T) ((-1262 |#1| |#2|) . T)) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 (-1163)) $) NIL)) (-2412 (($ (-1260 (-1163) |#1|)) NIL)) (-1920 (($ $ (-764)) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) NIL (|has| |#1| (-173))) (($ $ (-764)) NIL (|has| |#1| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ (-1163)) NIL) (($ $ (-815 (-1163))) NIL) (($ $ $) NIL)) (-1647 (((-3 (-815 (-1163)) "failed") $) NIL)) (-2428 (((-815 (-1163)) $) NIL)) (-3428 (((-3 $ "failed") $) NIL)) (-3088 (((-121) $) NIL)) (-4183 (($ $) NIL)) (-1407 (((-121) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 (-1163)) |#1|) NIL)) (-2208 (($ $) NIL)) (-3087 (((-2 (|:| |k| (-815 (-1163))) (|:| |c| |#1|)) $) NIL)) (-3116 (((-815 (-1163)) $) NIL)) (-1966 (((-815 (-1163)) $) NIL)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-3642 (($ $ (-1163)) NIL) (($ $ (-815 (-1163))) NIL) (($ $ $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1939 (((-1260 (-1163) |#1|) $) NIL)) (-2492 (((-764) $) NIL)) (-1749 (((-121) $) NIL)) (-2043 ((|#1| $) NIL)) (-2185 (((-851) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-815 (-1163))) NIL) (($ (-1163)) NIL)) (-4140 ((|#1| $ (-815 (-1163))) NIL) ((|#1| $ $) NIL)) (-1991 (((-764)) NIL)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) NIL T CONST)) (-1455 (((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $) NIL)) (-1556 (($) NIL T CONST)) (-1668 (((-121) $ $) NIL)) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) NIL)) (** (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1163) $) NIL))) 
-(((-1267 |#1|) (-13 (-1266 (-1163) |#1|) (-10 -8 (-15 -1939 ((-1260 (-1163) |#1|) $)) (-15 -2412 ($ (-1260 (-1163) |#1|))) (-15 -1455 ((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $)))) (-1048)) (T -1267)) 
-((-1939 (*1 *2 *1) (-12 (-5 *2 (-1260 (-1163) *3)) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) (-2412 (*1 *1 *2) (-12 (-5 *2 (-1260 (-1163) *3)) (-4 *3 (-1048)) (-5 *1 (-1267 *3)))) (-1455 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1163)) (|:| |c| (-1267 *3))))) (-5 *1 (-1267 *3)) (-4 *3 (-1048))))) 
-(-13 (-1266 (-1163) |#1|) (-10 -8 (-15 -1939 ((-1260 (-1163) |#1|) $)) (-15 -2412 ($ (-1260 (-1163) |#1|))) (-15 -1455 ((-635 (-2 (|:| |k| (-1163)) (|:| |c| $))) $)))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2820 (($) NIL T CONST)) (-1647 (((-3 |#2| "failed") $) NIL)) (-2428 ((|#2| $) NIL)) (-4020 (($ $) NIL)) (-3428 (((-3 $ "failed") $) 34)) (-3088 (((-121) $) 29)) (-4183 (($ $) 30)) (-1407 (((-121) $) NIL)) (-4244 (((-764) $) NIL)) (-2086 (((-635 $) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ |#2| |#1|) NIL)) (-3116 ((|#2| $) 19)) (-1966 ((|#2| $) 16)) (-1544 (($ (-1 |#1| |#1|) $) NIL)) (-1859 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-3948 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-1804 ((|#2| $) NIL)) (-4012 ((|#1| $) NIL)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1749 (((-121) $) 27)) (-2043 ((|#1| $) 28)) (-2185 (((-851) $) 53) (($ (-569)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-3382 (((-635 |#1|) $) NIL)) (-1653 ((|#1| $ |#2|) NIL)) (-4140 ((|#1| $ |#2|) 24)) (-1991 (((-764)) 14)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 25 T CONST)) (-1556 (($) 11 T CONST)) (-1668 (((-121) $ $) 26)) (-1715 (($ $ |#1|) 55 (|has| |#1| (-366)))) (-1711 (($ $) NIL) (($ $ $) NIL)) (-1707 (($ $ $) 42)) (** (($ $ (-918)) NIL) (($ $ (-764)) 44)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-4168 (((-764) $) 15))) 
-(((-1268 |#1| |#2|) (-13 (-1048) (-1259 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4168 ((-764) $)) (-15 -2185 ($ |#2|)) (-15 -1966 (|#2| $)) (-15 -3116 (|#2| $)) (-15 -4020 ($ $)) (-15 -4140 (|#1| $ |#2|)) (-15 -1749 ((-121) $)) (-15 -2043 (|#1| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1715 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4528)) (-6 -4528) |noBranch|) (IF (|has| |#1| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) (-1048) (-839)) (T -1268)) 
-((* (*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-4020 (*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-1544 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-1268 *3 *4)) (-4 *4 (-839)))) (-2185 (*1 *1 *2) (-12 (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-839)))) (-4168 (*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-1966 (*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)))) (-3116 (*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)))) (-4140 (*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839)))) (-1749 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-2043 (*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839)))) (-3088 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839)))) (-4183 (*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839)))) (-1715 (*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
-(-13 (-1048) (-1259 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -4168 ((-764) $)) (-15 -2185 ($ |#2|)) (-15 -1966 (|#2| $)) (-15 -3116 (|#2| $)) (-15 -4020 ($ $)) (-15 -4140 (|#1| $ |#2|)) (-15 -1749 ((-121) $)) (-15 -2043 (|#1| $)) (-15 -3088 ((-121) $)) (-15 -4183 ($ $)) (-15 -1544 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1715 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4528)) (-6 -4528) |noBranch|) (IF (|has| |#1| (-6 -4532)) (-6 -4532) |noBranch|) (IF (|has| |#1| (-6 -4533)) (-6 -4533) |noBranch|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) NIL)) (-3914 (((-635 |#1|) $) 119)) (-2412 (($ (-1260 |#1| |#2|)) 43)) (-1920 (($ $ (-764)) 31)) (-2327 (((-3 $ "failed") $ $) NIL)) (-1313 (($ $ $) 47 (|has| |#2| (-173))) (($ $ (-764)) 45 (|has| |#2| (-173)))) (-2820 (($) NIL T CONST)) (-2123 (($ $ |#1|) 101) (($ $ (-815 |#1|)) 102) (($ $ $) 25)) (-1647 (((-3 (-815 |#1|) "failed") $) NIL)) (-2428 (((-815 |#1|) $) NIL)) (-3428 (((-3 $ "failed") $) 109)) (-3088 (((-121) $) 104)) (-4183 (($ $) 105)) (-1407 (((-121) $) NIL)) (-3523 (((-121) $) NIL)) (-4145 (($ (-815 |#1|) |#2|) 19)) (-2208 (($ $) NIL)) (-3087 (((-2 (|:| |k| (-815 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3116 (((-815 |#1|) $) 110)) (-1966 (((-815 |#1|) $) 113)) (-1544 (($ (-1 |#2| |#2|) $) 118)) (-3642 (($ $ |#1|) 99) (($ $ (-815 |#1|)) 100) (($ $ $) 55)) (-2776 (((-1145) $) NIL)) (-3360 (((-1109) $) NIL)) (-1939 (((-1260 |#1| |#2|) $) 83)) (-2492 (((-764) $) 116)) (-1749 (((-121) $) 69)) (-2043 ((|#2| $) 27)) (-2185 (((-851) $) 62) (($ (-569)) 76) (($ |#2|) 73) (($ (-815 |#1|)) 17) (($ |#1|) 72)) (-4140 ((|#2| $ (-815 |#1|)) 103) ((|#2| $ $) 26)) (-1991 (((-764)) 107)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 14 T CONST)) (-1455 (((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-1556 (($) 28 T CONST)) (-1668 (((-121) $ $) 13)) (-1711 (($ $) 87) (($ $ $) 90)) (-1707 (($ $ $) 54)) (** (($ $ (-918)) NIL) (($ $ (-764)) 48)) (* (($ (-918) $) NIL) (($ (-764) $) 46) (($ (-569) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
-(((-1269 |#1| |#2|) (-13 (-1266 |#1| |#2|) (-10 -8 (-15 -1939 ((-1260 |#1| |#2|) $)) (-15 -2412 ($ (-1260 |#1| |#2|))) (-15 -1455 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-843) (-1048)) (T -1269)) 
-((-1939 (*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) (-2412 (*1 *1 *2) (-12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *1 (-1269 *3 *4)))) (-1455 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1269 *3 *4))))) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
-(-13 (-1266 |#1| |#2|) (-10 -8 (-15 -1939 ((-1260 |#1| |#2|) $)) (-15 -2412 ($ (-1260 |#1| |#2|))) (-15 -1455 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
-((-2374 (((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)) 15) (((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|))) 11))) 
-(((-1270 |#1|) (-10 -7 (-15 -2374 ((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|)))) (-15 -2374 ((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)))) (-1197)) (T -1270)) 
-((-2374 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1143 *5)) (-635 (-1143 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1143 *5))) (-5 *1 (-1270 *5)) (-4 *5 (-1197)))) (-2374 (*1 *2 *3) (-12 (-5 *3 (-1 (-1143 *4) (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1270 *4)) (-4 *4 (-1197))))) 
-(-10 -7 (-15 -2374 ((-1143 |#1|) (-1 (-1143 |#1|) (-1143 |#1|)))) (-15 -2374 ((-635 (-1143 |#1|)) (-1 (-635 (-1143 |#1|)) (-635 (-1143 |#1|))) (-569)))) 
-((-4178 (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|))) 145) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121)) 144) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121)) 143) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121)) 142) (((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|)) 127)) (-2762 (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|))) 70) (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121)) 69) (((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121)) 68)) (-2446 (((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|)) 59)) (-3492 (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|))) 112) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121)) 111) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121)) 110) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121)) 109) (((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|)) 104)) (-2662 (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|))) 117) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121)) 116) (((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121)) 115) (((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|)) 114)) (-3817 (((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) 96) (((-1159 (-1024 (-410 |#1|))) (-1159 |#1|)) 87) (((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|))) 94) (((-954 (-1024 (-410 |#1|))) (-954 |#1|)) 92) (((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|))) 32))) 
-(((-1271 |#1| |#2| |#3|) (-10 -7 (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2446 ((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|))) (-15 -3817 ((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|)))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-954 |#1|))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|)))) (-15 -3817 ((-1159 (-1024 (-410 |#1|))) (-1159 |#1|))) (-15 -3817 ((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))))) (-13 (-841) (-302) (-151) (-1022)) (-635 (-1163)) (-635 (-1163))) (T -1271)) 
-((-3817 (*1 *2 *3) (-12 (-5 *3 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6)))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-776 *4 (-853 *6)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-1159 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *6))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3817 (*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *5))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-776 *4 (-853 *6))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2446 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2662 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-2662 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2662 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2662 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-3492 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-3492 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-4178 (*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-4178 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-4178 (*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) (-2762 (*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *4 *5))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) (-2762 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) (-2762 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163)))))) 
-(-10 -7 (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)) (-121))) (-15 -2762 ((-635 (-1045 |#1| |#2|)) (-635 (-954 |#1|)))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-1045 |#1| |#2|))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)) (-121))) (-15 -4178 ((-635 (-2 (|:| -3807 (-1159 |#1|)) (|:| -1648 (-635 (-954 |#1|))))) (-635 (-954 |#1|)))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -3492 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-1045 |#1| |#2|))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)) (-121))) (-15 -2662 ((-635 (-635 (-1024 (-410 |#1|)))) (-635 (-954 |#1|)))) (-15 -2446 ((-635 (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))) (-1045 |#1| |#2|))) (-15 -3817 ((-776 |#1| (-853 |#3|)) (-776 |#1| (-853 |#2|)))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-954 |#1|))) (-15 -3817 ((-954 (-1024 (-410 |#1|))) (-776 |#1| (-853 |#3|)))) (-15 -3817 ((-1159 (-1024 (-410 |#1|))) (-1159 |#1|))) (-15 -3817 ((-635 (-776 |#1| (-853 |#3|))) (-1132 |#1| (-535 (-853 |#3|)) (-853 |#3|) (-776 |#1| (-853 |#3|)))))) 
-((-4018 (((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|) 17)) (-1972 (((-121) (-1247 |#1|)) 11)) (-3121 (((-3 (-1247 (-569)) "failed") (-1247 |#1|)) 14))) 
-(((-1272 |#1|) (-10 -7 (-15 -1972 ((-121) (-1247 |#1|))) (-15 -3121 ((-3 (-1247 (-569)) "failed") (-1247 |#1|))) (-15 -4018 ((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|))) (-631 (-569))) (T -1272)) 
-((-4018 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-410 (-569)))) (-5 *1 (-1272 *4)))) (-3121 (*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-569))) (-5 *1 (-1272 *4)))) (-1972 (*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1272 *4))))) 
-(-10 -7 (-15 -1972 ((-121) (-1247 |#1|))) (-15 -3121 ((-3 (-1247 (-569)) "failed") (-1247 |#1|))) (-15 -4018 ((-3 (-1247 (-410 (-569))) "failed") (-1247 |#1|) |#1|))) 
-((-2568 (((-121) $ $) NIL)) (-3813 (((-121) $) 11)) (-2327 (((-3 $ "failed") $ $) NIL)) (-2085 (((-764)) 8)) (-2820 (($) NIL T CONST)) (-3428 (((-3 $ "failed") $) 43)) (-4327 (($) 36)) (-1407 (((-121) $) NIL)) (-3846 (((-3 $ "failed") $) 29)) (-2083 (((-918) $) 15)) (-2776 (((-1145) $) NIL)) (-4043 (($) 25 T CONST)) (-3998 (($ (-918)) 37)) (-3360 (((-1109) $) NIL)) (-3817 (((-569) $) 13)) (-2185 (((-851) $) 22) (($ (-569)) 19)) (-1991 (((-764)) 9)) (-2427 (($ $ (-918)) NIL) (($ $ (-764)) NIL)) (-3369 (($) 23 T CONST)) (-1556 (($) 24 T CONST)) (-1668 (((-121) $ $) 27)) (-1711 (($ $) 38) (($ $ $) 35)) (-1707 (($ $ $) 26)) (** (($ $ (-918)) NIL) (($ $ (-764)) 40)) (* (($ (-918) $) NIL) (($ (-764) $) NIL) (($ (-569) $) 32) (($ $ $) 31))) 
-(((-1273 |#1|) (-13 (-173) (-371) (-610 (-569)) (-1137)) (-918)) (T -1273)) 
-NIL 
-(-13 (-173) (-371) (-610 (-569)) (-1137)) 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-NIL 
-((-1278 3588519 3588524 3588529 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3588504 3588509 3588514 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3588489 3588494 3588499 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3588474 3588479 3588484 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3588459 3588464 3588469 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1273 3587589 3588334 3588411 "ZMOD" 3588416 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1272 3586699 3586863 3587072 "ZLINDEP" 3587421 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1271 3576003 3577767 3579739 "ZDSOLVE" 3584829 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1270 3575249 3575390 3575579 "YSTREAM" 3575849 NIL YSTREAM (NIL T) -7 NIL NIL) (-1269 3573014 3574550 3574754 "XRPOLY" 3575092 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1268 3569468 3570797 3571377 "XPR" 3572481 NIL XPR (NIL T T) -8 NIL NIL) (-1267 3567178 3568799 3569003 "XPOLY" 3569299 NIL XPOLY (NIL T) -8 NIL NIL) (-1266 3564982 3566360 3566416 "XPOLYC" 3566704 NIL XPOLYC (NIL T T) -9 NIL 3566817) (-1265 3561356 3563501 3563888 "XPBWPOLY" 3564641 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1264 3557234 3559544 3559587 "XF" 3560208 NIL XF (NIL T) -9 NIL 3560605) (-1263 3556855 3556943 3557112 "XF-" 3557117 NIL XF- (NIL T T) -8 NIL NIL) (-1262 3552204 3553503 3553559 "XFALG" 3555731 NIL XFALG (NIL T T) -9 NIL 3556518) (-1261 3551337 3551441 3551646 "XEXPPKG" 3552096 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1260 3549434 3551187 3551283 "XDPOLY" 3551288 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1259 3548306 3548916 3548960 "XALG" 3549023 NIL XALG (NIL T) -9 NIL 3549142) (-1258 3541775 3546283 3546777 "WUTSET" 3547898 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1257 3539584 3540391 3540742 "WP" 3541558 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1256 3538470 3538668 3538963 "WFFINTBS" 3539381 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1255 3536374 3536801 3537263 "WEIER" 3538042 NIL WEIER (NIL T) -7 NIL NIL) (-1254 3535520 3535944 3535987 "VSPACE" 3536123 NIL VSPACE (NIL T) -9 NIL 3536197) (-1253 3535358 3535385 3535476 "VSPACE-" 3535481 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1252 3535104 3535147 3535218 "VOID" 3535309 T VOID (NIL) -8 NIL NIL) (-1251 3533240 3533599 3534005 "VIEW" 3534720 T VIEW (NIL) -7 NIL NIL) (-1250 3529665 3530303 3531040 "VIEWDEF" 3532525 T VIEWDEF (NIL) -7 NIL NIL) (-1249 3519004 3521213 3523386 "VIEW3D" 3527514 T VIEW3D (NIL) -8 NIL NIL) (-1248 3511286 3512915 3514494 "VIEW2D" 3517447 T VIEW2D (NIL) -8 NIL NIL) (-1247 3506694 3511056 3511148 "VECTOR" 3511229 NIL VECTOR (NIL T) -8 NIL NIL) (-1246 3505271 3505530 3505848 "VECTOR2" 3506424 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1245 3498836 3503082 3503126 "VECTCAT" 3504121 NIL VECTCAT (NIL T) -9 NIL 3504701) (-1244 3497850 3498104 3498494 "VECTCAT-" 3498499 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1243 3497331 3497501 3497621 "VARIABLE" 3497765 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1242 3489373 3495164 3495642 "UTSZ" 3496901 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1241 3488979 3489029 3489163 "UTSSOL" 3489317 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1240 3487811 3487965 3488226 "UTSODETL" 3488806 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1239 3485251 3485711 3486235 "UTSODE" 3487352 NIL UTSODE (NIL T T) -7 NIL NIL) (-1238 3477084 3482879 3483367 "UTS" 3484821 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1237 3468370 3473730 3473774 "UTSCAT" 3474886 NIL UTSCAT (NIL T) -9 NIL 3475637) (-1236 3465725 3466440 3467429 "UTSCAT-" 3467434 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1235 3465352 3465395 3465528 "UTS2" 3465676 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1234 3459666 3462225 3462269 "URAGG" 3464339 NIL URAGG (NIL T) -9 NIL 3465061) (-1233 3456605 3457468 3458591 "URAGG-" 3458596 NIL URAGG- (NIL T T) -8 NIL NIL) (-1232 3452283 3455219 3455691 "UPXSSING" 3456269 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1231 3444170 3451400 3451681 "UPXS" 3452060 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1230 3437198 3444074 3444146 "UPXSCONS" 3444151 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1229 3427410 3434235 3434298 "UPXSCCA" 3434954 NIL UPXSCCA (NIL T T) -9 NIL 3435196) (-1228 3427048 3427133 3427307 "UPXSCCA-" 3427312 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1227 3417192 3423790 3423834 "UPXSCAT" 3424482 NIL UPXSCAT (NIL T) -9 NIL 3425084) (-1226 3416622 3416701 3416880 "UPXS2" 3417107 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1225 3415276 3415529 3415880 "UPSQFREE" 3416365 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1224 3409111 3412161 3412217 "UPSCAT" 3413378 NIL UPSCAT (NIL T T) -9 NIL 3414146) (-1223 3408315 3408522 3408849 "UPSCAT-" 3408854 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1222 3394304 3402344 3402388 "UPOLYC" 3404489 NIL UPOLYC (NIL T) -9 NIL 3405704) (-1221 3385633 3388058 3391205 "UPOLYC-" 3391210 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1220 3385260 3385303 3385436 "UPOLYC2" 3385584 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1219 3376671 3384826 3384964 "UP" 3385170 NIL UP (NIL NIL T) -8 NIL NIL) (-1218 3376010 3376117 3376281 "UPMP" 3376560 NIL UPMP (NIL T T) -7 NIL NIL) (-1217 3375563 3375644 3375783 "UPDIVP" 3375923 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1216 3374131 3374380 3374696 "UPDECOMP" 3375312 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1215 3373366 3373478 3373663 "UPCDEN" 3374015 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1214 3372885 3372954 3373103 "UP2" 3373291 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1213 3371406 3372093 3372368 "UNISEG" 3372645 NIL UNISEG (NIL T) -8 NIL NIL) (-1212 3370623 3370750 3370954 "UNISEG2" 3371250 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1211 3369683 3369863 3370089 "UNIFACT" 3370439 NIL UNIFACT (NIL T) -7 NIL NIL) (-1210 3353567 3368862 3369112 "ULS" 3369491 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1209 3341522 3353471 3353543 "ULSCONS" 3353548 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1208 3324189 3336206 3336269 "ULSCCAT" 3336989 NIL ULSCCAT (NIL T T) -9 NIL 3337285) (-1207 3323239 3323484 3323872 "ULSCCAT-" 3323877 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1206 3313175 3319687 3319731 "ULSCAT" 3320594 NIL ULSCAT (NIL T) -9 NIL 3321317) (-1205 3312605 3312684 3312863 "ULS2" 3313090 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1204 3304743 3310596 3311096 "UFPS" 3312140 NIL UFPS (NIL T) -8 NIL NIL) (-1203 3304440 3304497 3304595 "UFPS1" 3304680 NIL UFPS1 (NIL T) -7 NIL NIL) (-1202 3302833 3303800 3303831 "UFD" 3304043 T UFD (NIL) -9 NIL 3304157) (-1201 3302627 3302673 3302768 "UFD-" 3302773 NIL UFD- (NIL T) -8 NIL NIL) (-1200 3301709 3301892 3302108 "UDVO" 3302433 T UDVO (NIL) -7 NIL NIL) (-1199 3299527 3299936 3300406 "UDPO" 3301274 NIL UDPO (NIL T) -7 NIL NIL) (-1198 3295490 3299472 3299508 "U32VEC" 3299513 T U32VEC (NIL) -8 NIL NIL) (-1197 3295422 3295427 3295458 "TYPE" 3295463 T TYPE (NIL) -9 NIL NIL) (-1196 3294393 3294595 3294835 "TWOFACT" 3295216 NIL TWOFACT (NIL T) -7 NIL NIL) (-1195 3293465 3293796 3293995 "TUPLE" 3294229 NIL TUPLE (NIL T) -8 NIL NIL) (-1194 3291156 3291675 3292214 "TUBETOOL" 3292948 T TUBETOOL (NIL) -7 NIL NIL) (-1193 3290005 3290210 3290451 "TUBE" 3290949 NIL TUBE (NIL T) -8 NIL NIL) (-1192 3284725 3288979 3289261 "TS" 3289758 NIL TS (NIL T) -8 NIL NIL) (-1191 3273399 3277484 3277582 "TSETCAT" 3282851 NIL TSETCAT (NIL T T T T) -9 NIL 3284381) (-1190 3268134 3269731 3271622 "TSETCAT-" 3271627 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1189 3262405 3263251 3264189 "TRMANIP" 3267274 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1188 3261846 3261909 3262072 "TRIMAT" 3262337 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1187 3259642 3259879 3260243 "TRIGMNIP" 3261595 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1186 3259161 3259274 3259305 "TRIGCAT" 3259518 T TRIGCAT (NIL) -9 NIL NIL) (-1185 3258830 3258909 3259050 "TRIGCAT-" 3259055 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1184 3255733 3257688 3257969 "TREE" 3258584 NIL TREE (NIL T) -8 NIL NIL) (-1183 3255006 3255534 3255565 "TRANFUN" 3255600 T TRANFUN (NIL) -9 NIL 3255666) (-1182 3254285 3254476 3254756 "TRANFUN-" 3254761 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1181 3254089 3254121 3254182 "TOPSP" 3254246 T TOPSP (NIL) -7 NIL NIL) (-1180 3253437 3253552 3253706 "TOOLSIGN" 3253970 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1179 3252072 3252614 3252853 "TEXTFILE" 3253220 T TEXTFILE (NIL) -8 NIL NIL) (-1178 3249937 3250451 3250889 "TEX" 3251656 T TEX (NIL) -8 NIL NIL) (-1177 3249718 3249749 3249821 "TEX1" 3249900 NIL TEX1 (NIL T) -7 NIL NIL) (-1176 3249366 3249429 3249519 "TEMUTL" 3249650 T TEMUTL (NIL) -7 NIL NIL) (-1175 3247520 3247800 3248125 "TBCMPPK" 3249089 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1174 3239265 3245525 3245582 "TBAGG" 3245982 NIL TBAGG (NIL T T) -9 NIL 3246193) (-1173 3234335 3235823 3237577 "TBAGG-" 3237582 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1172 3233719 3233826 3233971 "TANEXP" 3234224 NIL TANEXP (NIL T) -7 NIL NIL) (-1171 3227232 3233576 3233669 "TABLE" 3233674 NIL TABLE (NIL T T) -8 NIL NIL) (-1170 3226645 3226743 3226881 "TABLEAU" 3227129 NIL TABLEAU (NIL T) -8 NIL NIL) (-1169 3221253 3222473 3223721 "TABLBUMP" 3225431 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1168 3217716 3218411 3219194 "SYSSOLP" 3220504 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1167 3214850 3215458 3216096 "SYMTAB" 3217100 T SYMTAB (NIL) -8 NIL NIL) (-1166 3210099 3211001 3211984 "SYMS" 3213889 T SYMS (NIL) -8 NIL NIL) (-1165 3207331 3209563 3209790 "SYMPOLY" 3209907 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1164 3206848 3206923 3207046 "SYMFUNC" 3207243 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1163 3202826 3204085 3204907 "SYMBOL" 3206048 T SYMBOL (NIL) -8 NIL NIL) (-1162 3196365 3198054 3199774 "SWITCH" 3201128 T SWITCH (NIL) -8 NIL NIL) (-1161 3189591 3195188 3195490 "SUTS" 3196121 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1160 3181477 3188708 3188989 "SUPXS" 3189368 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1159 3172962 3181095 3181221 "SUP" 3181386 NIL SUP (NIL T) -8 NIL NIL) (-1158 3172121 3172248 3172465 "SUPFRACF" 3172830 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1157 3162693 3171923 3172037 "SUPEXPR" 3172042 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1156 3162314 3162373 3162486 "SUP2" 3162628 NIL SUP2 (NIL T T) -7 NIL NIL) (-1155 3160727 3161001 3161364 "SUMRF" 3162013 NIL SUMRF (NIL T) -7 NIL NIL) (-1154 3160041 3160107 3160306 "SUMFS" 3160648 NIL SUMFS (NIL T T) -7 NIL NIL) (-1153 3143965 3159220 3159470 "SULS" 3159849 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1152 3143287 3143490 3143630 "SUCH" 3143873 NIL SUCH (NIL T T) -8 NIL NIL) (-1151 3137181 3138193 3139152 "SUBSPACE" 3142375 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1150 3136613 3136703 3136866 "SUBRESP" 3137070 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1149 3129982 3131278 3132589 "STTF" 3135349 NIL STTF (NIL T) -7 NIL NIL) (-1148 3124155 3125275 3126422 "STTFNC" 3128882 NIL STTFNC (NIL T) -7 NIL NIL) (-1147 3115474 3117341 3119133 "STTAYLOR" 3122398 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1146 3108730 3115338 3115421 "STRTBL" 3115426 NIL STRTBL (NIL T) -8 NIL NIL) (-1145 3104121 3108685 3108716 "STRING" 3108721 T STRING (NIL) -8 NIL NIL) (-1144 3098985 3103463 3103494 "STRICAT" 3103553 T STRICAT (NIL) -9 NIL 3103615) (-1143 3091712 3096512 3097130 "STREAM" 3098402 NIL STREAM (NIL T) -8 NIL NIL) (-1142 3091222 3091299 3091443 "STREAM3" 3091629 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1141 3090204 3090387 3090622 "STREAM2" 3091035 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1140 3089892 3089944 3090037 "STREAM1" 3090146 NIL STREAM1 (NIL T) -7 NIL NIL) (-1139 3089536 3089602 3089709 "STNSR" 3089820 NIL STNSR (NIL T) -7 NIL NIL) (-1138 3088552 3088733 3088964 "STINPROD" 3089352 NIL STINPROD (NIL T) -7 NIL NIL) (-1137 3088129 3088313 3088344 "STEP" 3088424 T STEP (NIL) -9 NIL 3088502) (-1136 3081684 3088028 3088105 "STBL" 3088110 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1135 3076898 3080936 3080980 "STAGG" 3081133 NIL STAGG (NIL T) -9 NIL 3081222) (-1134 3074600 3075202 3076074 "STAGG-" 3076079 NIL STAGG- (NIL T T) -8 NIL NIL) (-1133 3068092 3069661 3070776 "STACK" 3073520 NIL STACK (NIL T) -8 NIL NIL) (-1132 3060817 3066233 3066689 "SREGSET" 3067722 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1131 3053243 3054611 3056124 "SRDCMPK" 3059423 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1130 3046221 3050681 3050712 "SRAGG" 3052015 T SRAGG (NIL) -9 NIL 3052623) (-1129 3045238 3045493 3045872 "SRAGG-" 3045877 NIL SRAGG- (NIL T) -8 NIL NIL) (-1128 3039686 3044161 3044585 "SQMATRIX" 3044861 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1127 3033442 3036404 3037131 "SPLTREE" 3039031 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1126 3029432 3030098 3030744 "SPLNODE" 3032868 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1125 3028478 3028711 3028742 "SPFCAT" 3029186 T SPFCAT (NIL) -9 NIL NIL) (-1124 3027215 3027425 3027689 "SPECOUT" 3028236 T SPECOUT (NIL) -7 NIL NIL) (-1123 3019185 3020932 3020976 "SPACEC" 3025349 NIL SPACEC (NIL T) -9 NIL 3027165) (-1122 3017356 3019117 3019166 "SPACE3" 3019171 NIL SPACE3 (NIL T) -8 NIL NIL) (-1121 3016110 3016281 3016571 "SORTPAK" 3017162 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1120 3014160 3014463 3014882 "SOLVETRA" 3015774 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1119 3013171 3013393 3013667 "SOLVESER" 3013933 NIL SOLVESER (NIL T) -7 NIL NIL) (-1118 3008391 3009272 3010274 "SOLVERAD" 3012223 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1117 3004206 3004815 3005544 "SOLVEFOR" 3007758 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1116 2998509 3003554 3003652 "SNTSCAT" 3003657 NIL SNTSCAT (NIL T T T T) -9 NIL 3003727) (-1115 2992607 2996834 2997224 "SMTS" 2998200 NIL SMTS (NIL T T T) -8 NIL NIL) (-1114 2987011 2992495 2992572 "SMP" 2992577 NIL SMP (NIL T T) -8 NIL NIL) (-1113 2985170 2985471 2985869 "SMITH" 2986708 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1112 2978112 2982310 2982414 "SMATCAT" 2983765 NIL SMATCAT (NIL NIL T T T) -9 NIL 2984312) (-1111 2975052 2975875 2977053 "SMATCAT-" 2977058 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1110 2972805 2974322 2974366 "SKAGG" 2974627 NIL SKAGG (NIL T) -9 NIL 2974762) (-1109 2968863 2971909 2972187 "SINT" 2972549 T SINT (NIL) -8 NIL NIL) (-1108 2968635 2968673 2968739 "SIMPAN" 2968819 T SIMPAN (NIL) -7 NIL NIL) (-1107 2967473 2967694 2967969 "SIGNRF" 2968394 NIL SIGNRF (NIL T) -7 NIL NIL) (-1106 2966278 2966429 2966720 "SIGNEF" 2967302 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1105 2963970 2964424 2964929 "SHP" 2965820 NIL SHP (NIL T NIL) -7 NIL NIL) (-1104 2957794 2963871 2963947 "SHDP" 2963952 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1103 2957282 2957474 2957505 "SGROUP" 2957657 T SGROUP (NIL) -9 NIL 2957744) (-1102 2957052 2957104 2957208 "SGROUP-" 2957213 NIL SGROUP- (NIL T) -8 NIL NIL) (-1101 2953888 2954585 2955308 "SGCF" 2956351 T SGCF (NIL) -7 NIL NIL) (-1100 2948289 2953334 2953432 "SFRTCAT" 2953437 NIL SFRTCAT (NIL T T T T) -9 NIL 2953476) (-1099 2941713 2942728 2943864 "SFRGCD" 2947272 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1098 2934841 2935912 2937098 "SFQCMPK" 2940646 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1097 2934463 2934552 2934662 "SFORT" 2934782 NIL SFORT (NIL T T) -8 NIL NIL) (-1096 2933608 2934303 2934424 "SEXOF" 2934429 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1095 2932742 2933489 2933557 "SEX" 2933562 T SEX (NIL) -8 NIL NIL) (-1094 2927517 2928206 2928302 "SEXCAT" 2932073 NIL SEXCAT (NIL T T T T T) -9 NIL 2932692) (-1093 2924697 2927451 2927499 "SET" 2927504 NIL SET (NIL T) -8 NIL NIL) (-1092 2922948 2923410 2923715 "SETMN" 2924438 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1091 2922553 2922679 2922710 "SETCAT" 2922827 T SETCAT (NIL) -9 NIL 2922912) (-1090 2922333 2922385 2922484 "SETCAT-" 2922489 NIL SETCAT- (NIL T) -8 NIL NIL) (-1089 2921996 2922146 2922177 "SETCATD" 2922236 T SETCATD (NIL) -9 NIL 2922283) (-1088 2918382 2920456 2920500 "SETAGG" 2921370 NIL SETAGG (NIL T) -9 NIL 2921710) (-1087 2917840 2917956 2918193 "SETAGG-" 2918198 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1086 2917043 2917336 2917398 "SEGXCAT" 2917684 NIL SEGXCAT (NIL T T) -9 NIL 2917804) (-1085 2916103 2916713 2916893 "SEG" 2916898 NIL SEG (NIL T) -8 NIL NIL) (-1084 2915009 2915222 2915266 "SEGCAT" 2915848 NIL SEGCAT (NIL T) -9 NIL 2916086) (-1083 2914060 2914390 2914589 "SEGBIND" 2914845 NIL SEGBIND (NIL T) -8 NIL NIL) (-1082 2913681 2913740 2913853 "SEGBIND2" 2913995 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1081 2912902 2913028 2913231 "SEG2" 2913526 NIL SEG2 (NIL T T) -7 NIL NIL) (-1080 2912339 2912837 2912884 "SDVAR" 2912889 NIL SDVAR (NIL T) -8 NIL NIL) (-1079 2904583 2912109 2912239 "SDPOL" 2912244 NIL SDPOL (NIL T) -8 NIL NIL) (-1078 2903176 2903442 2903761 "SCPKG" 2904298 NIL SCPKG (NIL T) -7 NIL NIL) (-1077 2902397 2902530 2902709 "SCACHE" 2903031 NIL SCACHE (NIL T) -7 NIL NIL) (-1076 2901836 2902157 2902242 "SAOS" 2902334 T SAOS (NIL) -8 NIL NIL) (-1075 2901401 2901436 2901609 "SAERFFC" 2901795 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1074 2895290 2901298 2901378 "SAE" 2901383 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1073 2894883 2894918 2895077 "SAEFACT" 2895249 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1072 2893204 2893518 2893919 "RURPK" 2894549 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1071 2891840 2892119 2892431 "RULESET" 2893038 NIL RULESET (NIL T T T) -8 NIL NIL) (-1070 2889027 2889530 2889995 "RULE" 2891521 NIL RULE (NIL T T T) -8 NIL NIL) (-1069 2888666 2888821 2888904 "RULECOLD" 2888979 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1068 2883515 2884309 2885229 "RSETGCD" 2887865 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1067 2872778 2877823 2877921 "RSETCAT" 2882040 NIL RSETCAT (NIL T T T T) -9 NIL 2883137) (-1066 2870705 2871244 2872068 "RSETCAT-" 2872073 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1065 2863092 2864467 2865987 "RSDCMPK" 2869304 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1064 2861096 2861537 2861612 "RRCC" 2862698 NIL RRCC (NIL T T) -9 NIL 2863042) (-1063 2860447 2860621 2860900 "RRCC-" 2860905 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1062 2834594 2844223 2844291 "RPOLCAT" 2854955 NIL RPOLCAT (NIL T T T) -9 NIL 2858103) (-1061 2826094 2828432 2831554 "RPOLCAT-" 2831559 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1060 2817153 2824305 2824787 "ROUTINE" 2825634 T ROUTINE (NIL) -8 NIL NIL) (-1059 2813853 2816704 2816853 "ROMAN" 2817026 T ROMAN (NIL) -8 NIL NIL) (-1058 2812128 2812713 2812973 "ROIRC" 2813658 NIL ROIRC (NIL T T) -8 NIL NIL) (-1057 2808466 2810766 2810797 "RNS" 2811101 T RNS (NIL) -9 NIL 2811375) (-1056 2806975 2807358 2807892 "RNS-" 2807967 NIL RNS- (NIL T) -8 NIL NIL) (-1055 2806397 2806805 2806836 "RNG" 2806841 T RNG (NIL) -9 NIL 2806862) (-1054 2805788 2806150 2806194 "RMODULE" 2806256 NIL RMODULE (NIL T) -9 NIL 2806298) (-1053 2804624 2804718 2805054 "RMCAT2" 2805689 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1052 2801333 2803802 2804125 "RMATRIX" 2804360 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1051 2794279 2796513 2796629 "RMATCAT" 2799988 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2800965) (-1050 2793654 2793801 2794108 "RMATCAT-" 2794113 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1049 2793221 2793296 2793424 "RINTERP" 2793573 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1048 2792264 2792828 2792859 "RING" 2792971 T RING (NIL) -9 NIL 2793066) (-1047 2792056 2792100 2792197 "RING-" 2792202 NIL RING- (NIL T) -8 NIL NIL) (-1046 2790897 2791134 2791392 "RIDIST" 2791820 T RIDIST (NIL) -7 NIL NIL) (-1045 2782213 2790365 2790571 "RGCHAIN" 2790745 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1044 2781013 2781254 2781533 "RFP" 2781968 NIL RFP (NIL T) -7 NIL NIL) (-1043 2778007 2778621 2779291 "RF" 2780377 NIL RF (NIL T) -7 NIL NIL) (-1042 2777653 2777716 2777819 "RFFACTOR" 2777938 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1041 2777378 2777413 2777510 "RFFACT" 2777612 NIL RFFACT (NIL T) -7 NIL NIL) (-1040 2775495 2775859 2776241 "RFDIST" 2777018 T RFDIST (NIL) -7 NIL NIL) (-1039 2774948 2775040 2775203 "RETSOL" 2775397 NIL RETSOL (NIL T T) -7 NIL NIL) (-1038 2774535 2774615 2774659 "RETRACT" 2774852 NIL RETRACT (NIL T) -9 NIL NIL) (-1037 2774384 2774409 2774496 "RETRACT-" 2774501 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1036 2767250 2774037 2774164 "RESULT" 2774279 T RESULT (NIL) -8 NIL NIL) (-1035 2765830 2766519 2766718 "RESRING" 2767153 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1034 2765466 2765515 2765613 "RESLATC" 2765767 NIL RESLATC (NIL T) -7 NIL NIL) (-1033 2765172 2765206 2765313 "REPSQ" 2765425 NIL REPSQ (NIL T) -7 NIL NIL) (-1032 2762594 2763174 2763776 "REP" 2764592 T REP (NIL) -7 NIL NIL) (-1031 2762292 2762326 2762437 "REPDB" 2762553 NIL REPDB (NIL T) -7 NIL NIL) (-1030 2756210 2757589 2758808 "REP2" 2761108 NIL REP2 (NIL T) -7 NIL NIL) (-1029 2752591 2753272 2754078 "REP1" 2755439 NIL REP1 (NIL T) -7 NIL NIL) (-1028 2745317 2750732 2751188 "REGSET" 2752221 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1027 2744132 2744467 2744716 "REF" 2745103 NIL REF (NIL T) -8 NIL NIL) (-1026 2743509 2743612 2743779 "REDORDER" 2744016 NIL REDORDER (NIL T T) -7 NIL NIL) (-1025 2740371 2740837 2741446 "RECOP" 2743043 NIL RECOP (NIL T T) -7 NIL NIL) (-1024 2736311 2739584 2739811 "RECLOS" 2740199 NIL RECLOS (NIL T) -8 NIL NIL) (-1023 2735363 2735544 2735759 "REALSOLV" 2736118 T REALSOLV (NIL) -7 NIL NIL) (-1022 2735208 2735249 2735280 "REAL" 2735285 T REAL (NIL) -9 NIL 2735320) (-1021 2731691 2732493 2733377 "REAL0Q" 2734373 NIL REAL0Q (NIL T) -7 NIL NIL) (-1020 2727292 2728280 2729341 "REAL0" 2730672 NIL REAL0 (NIL T) -7 NIL NIL) (-1019 2726697 2726769 2726976 "RDIV" 2727214 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1018 2725765 2725939 2726152 "RDIST" 2726519 NIL RDIST (NIL T) -7 NIL NIL) (-1017 2724362 2724649 2725021 "RDETRS" 2725473 NIL RDETRS (NIL T T) -7 NIL NIL) (-1016 2722174 2722628 2723166 "RDETR" 2723904 NIL RDETR (NIL T T) -7 NIL NIL) (-1015 2720785 2721063 2721467 "RDEEFS" 2721890 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1014 2719280 2719586 2720018 "RDEEF" 2720473 NIL RDEEF (NIL T T) -7 NIL NIL) (-1013 2713471 2716406 2716437 "RCFIELD" 2717732 T RCFIELD (NIL) -9 NIL 2718463) (-1012 2711535 2712039 2712735 "RCFIELD-" 2712810 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1011 2707893 2709672 2709716 "RCAGG" 2710800 NIL RCAGG (NIL T) -9 NIL 2711263) (-1010 2707521 2707615 2707778 "RCAGG-" 2707783 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1009 2706857 2706968 2707133 "RATRET" 2707405 NIL RATRET (NIL T) -7 NIL NIL) (-1008 2706410 2706477 2706598 "RATFACT" 2706785 NIL RATFACT (NIL T) -7 NIL NIL) (-1007 2705718 2705838 2705990 "RANDSRC" 2706280 T RANDSRC (NIL) -7 NIL NIL) (-1006 2705452 2705496 2705569 "RADUTIL" 2705667 T RADUTIL (NIL) -7 NIL NIL) (-1005 2698440 2704185 2704504 "RADIX" 2705167 NIL RADIX (NIL NIL) -8 NIL NIL) (-1004 2690003 2698282 2698412 "RADFF" 2698417 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1003 2689649 2689724 2689755 "RADCAT" 2689915 T RADCAT (NIL) -9 NIL NIL) (-1002 2689431 2689479 2689579 "RADCAT-" 2689584 NIL RADCAT- (NIL T) -8 NIL NIL) (-1001 2682678 2684296 2685449 "QUEUE" 2688313 NIL QUEUE (NIL T) -8 NIL NIL) (-1000 2679167 2682613 2682660 "QUAT" 2682665 NIL QUAT (NIL T) -8 NIL NIL) (-999 2678805 2678848 2678975 "QUATCT2" 2679118 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-998 2672542 2675926 2675967 "QUATCAT" 2676747 NIL QUATCAT (NIL T) -9 NIL 2677505) (-997 2668686 2669723 2671110 "QUATCAT-" 2671204 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-996 2666246 2667804 2667846 "QUAGG" 2668221 NIL QUAGG (NIL T) -9 NIL 2668396) (-995 2665171 2665644 2665816 "QFORM" 2666118 NIL QFORM (NIL NIL T) -8 NIL NIL) (-994 2656398 2661665 2661706 "QFCAT" 2662364 NIL QFCAT (NIL T) -9 NIL 2663353) (-993 2651970 2653171 2654762 "QFCAT-" 2654856 NIL QFCAT- (NIL T T) -8 NIL NIL) (-992 2651608 2651651 2651778 "QFCAT2" 2651921 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-991 2651068 2651178 2651308 "QEQUAT" 2651498 T QEQUAT (NIL) -8 NIL NIL) (-990 2644216 2645287 2646471 "QCMPACK" 2650001 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-989 2641796 2642217 2642643 "QALGSET" 2643873 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-988 2641041 2641215 2641447 "QALGSET2" 2641616 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-987 2639732 2639955 2640272 "PWFFINTB" 2640814 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-986 2637914 2638082 2638436 "PUSHVAR" 2639546 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-985 2633831 2634885 2634927 "PTRANFN" 2636811 NIL PTRANFN (NIL T) -9 NIL NIL) (-984 2632233 2632524 2632846 "PTPACK" 2633542 NIL PTPACK (NIL T) -7 NIL NIL) (-983 2631865 2631922 2632031 "PTFUNC2" 2632170 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-982 2626365 2630699 2630741 "PTCAT" 2631114 NIL PTCAT (NIL T) -9 NIL 2631276) (-981 2626023 2626058 2626182 "PSQFR" 2626324 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-980 2624610 2624910 2625246 "PSEUDLIN" 2625719 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-979 2611386 2613750 2616071 "PSETPK" 2622373 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-978 2604430 2607144 2607241 "PSETCAT" 2610262 NIL PSETCAT (NIL T T T T) -9 NIL 2611075) (-977 2602266 2602900 2603721 "PSETCAT-" 2603726 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-976 2601615 2601779 2601808 "PSCURVE" 2602076 T PSCURVE (NIL) -9 NIL 2602243) (-975 2598004 2599530 2599596 "PSCAT" 2600440 NIL PSCAT (NIL T T T) -9 NIL 2600680) (-974 2597067 2597283 2597683 "PSCAT-" 2597688 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-973 2595720 2596352 2596566 "PRTITION" 2596873 T PRTITION (NIL) -8 NIL NIL) (-972 2592884 2593533 2593574 "PRSPCAT" 2595088 NIL PRSPCAT (NIL T) -9 NIL 2595656) (-971 2581984 2584190 2586377 "PRS" 2590747 NIL PRS (NIL T T) -7 NIL NIL) (-970 2579882 2581368 2581409 "PRQAGG" 2581592 NIL PRQAGG (NIL T) -9 NIL 2581694) (-969 2579151 2579807 2579864 "PROJSP" 2579869 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-968 2578333 2579074 2579126 "PROJPLPS" 2579131 NIL PROJPLPS (NIL T) -8 NIL NIL) (-967 2577592 2578270 2578315 "PROJPL" 2578320 NIL PROJPL (NIL T) -8 NIL NIL) (-966 2571398 2575790 2576594 "PRODUCT" 2576834 NIL PRODUCT (NIL T T) -8 NIL NIL) (-965 2568673 2570862 2571093 "PR" 2571212 NIL PR (NIL T T) -8 NIL NIL) (-964 2567225 2567382 2567677 "PRJALGPK" 2568513 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-963 2567021 2567053 2567112 "PRINT" 2567186 T PRINT (NIL) -7 NIL NIL) (-962 2566361 2566478 2566630 "PRIMES" 2566901 NIL PRIMES (NIL T) -7 NIL NIL) (-961 2564426 2564827 2565293 "PRIMELT" 2565940 NIL PRIMELT (NIL T) -7 NIL NIL) (-960 2564154 2564203 2564232 "PRIMCAT" 2564356 T PRIMCAT (NIL) -9 NIL NIL) (-959 2560321 2564092 2564137 "PRIMARR" 2564142 NIL PRIMARR (NIL T) -8 NIL NIL) (-958 2559328 2559506 2559734 "PRIMARR2" 2560139 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-957 2558971 2559027 2559138 "PREASSOC" 2559266 NIL PREASSOC (NIL T T) -7 NIL NIL) (-956 2558446 2558578 2558607 "PPCURVE" 2558812 T PPCURVE (NIL) -9 NIL 2558948) (-955 2555807 2556206 2556797 "POLYROOT" 2558028 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-954 2549708 2555413 2555572 "POLY" 2555681 NIL POLY (NIL T) -8 NIL NIL) (-953 2549091 2549149 2549383 "POLYLIFT" 2549644 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-952 2545366 2545815 2546444 "POLYCATQ" 2548636 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-951 2532328 2537728 2537794 "POLYCAT" 2541308 NIL POLYCAT (NIL T T T) -9 NIL 2543221) (-950 2525778 2527639 2530023 "POLYCAT-" 2530028 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-949 2525365 2525433 2525553 "POLY2UP" 2525704 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-948 2524997 2525054 2525163 "POLY2" 2525302 NIL POLY2 (NIL T T) -7 NIL NIL) (-947 2523684 2523923 2524198 "POLUTIL" 2524772 NIL POLUTIL (NIL T T) -7 NIL NIL) (-946 2522039 2522316 2522647 "POLTOPOL" 2523406 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-945 2517561 2521975 2522021 "POINT" 2522026 NIL POINT (NIL T) -8 NIL NIL) (-944 2515748 2516105 2516480 "PNTHEORY" 2517206 T PNTHEORY (NIL) -7 NIL NIL) (-943 2514167 2514464 2514876 "PMTOOLS" 2515446 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-942 2513760 2513838 2513955 "PMSYM" 2514083 NIL PMSYM (NIL T) -7 NIL NIL) (-941 2513270 2513339 2513513 "PMQFCAT" 2513685 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-940 2512625 2512735 2512891 "PMPRED" 2513147 NIL PMPRED (NIL T) -7 NIL NIL) (-939 2512021 2512107 2512268 "PMPREDFS" 2512526 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-938 2510666 2510874 2511258 "PMPLCAT" 2511784 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-937 2510198 2510277 2510429 "PMLSAGG" 2510581 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-936 2509673 2509749 2509930 "PMKERNEL" 2510116 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-935 2509290 2509365 2509478 "PMINS" 2509592 NIL PMINS (NIL T) -7 NIL NIL) (-934 2508718 2508787 2509003 "PMFS" 2509215 NIL PMFS (NIL T T T) -7 NIL NIL) (-933 2507946 2508064 2508269 "PMDOWN" 2508595 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-932 2507109 2507268 2507450 "PMASS" 2507784 T PMASS (NIL) -7 NIL NIL) (-931 2506383 2506494 2506657 "PMASSFS" 2506995 NIL PMASSFS (NIL T T) -7 NIL NIL) (-930 2504143 2504396 2504779 "PLPKCRV" 2506107 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-929 2503798 2503866 2503960 "PLOTTOOL" 2504069 T PLOTTOOL (NIL) -7 NIL NIL) (-928 2498420 2499609 2500757 "PLOT" 2502670 T PLOT (NIL) -8 NIL NIL) (-927 2494234 2495268 2496189 "PLOT3D" 2497519 T PLOT3D (NIL) -8 NIL NIL) (-926 2493146 2493323 2493558 "PLOT1" 2494038 NIL PLOT1 (NIL T) -7 NIL NIL) (-925 2468541 2473212 2478063 "PLEQN" 2488412 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-924 2467781 2468451 2468518 "PLCS" 2468523 NIL PLCS (NIL T T) -8 NIL NIL) (-923 2466932 2467666 2467737 "PLACESPS" 2467742 NIL PLACESPS (NIL T) -8 NIL NIL) (-922 2466139 2466845 2466902 "PLACES" 2466907 NIL PLACES (NIL T) -8 NIL NIL) (-921 2462863 2463527 2463586 "PLACESC" 2465504 NIL PLACESC (NIL T T) -9 NIL 2466075) (-920 2462181 2462303 2462483 "PINTERP" 2462728 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-919 2461874 2461921 2462024 "PINTERPA" 2462128 NIL PINTERPA (NIL T T) -7 NIL NIL) (-918 2461101 2461668 2461761 "PI" 2461801 T PI (NIL) -8 NIL NIL) (-917 2459488 2460473 2460502 "PID" 2460684 T PID (NIL) -9 NIL 2460818) (-916 2459213 2459250 2459338 "PICOERCE" 2459445 NIL PICOERCE (NIL T) -7 NIL NIL) (-915 2458534 2458672 2458848 "PGROEB" 2459069 NIL PGROEB (NIL T) -7 NIL NIL) (-914 2454121 2454935 2455840 "PGE" 2457649 T PGE (NIL) -7 NIL NIL) (-913 2452245 2452491 2452857 "PGCD" 2453838 NIL PGCD (NIL T T T T) -7 NIL NIL) (-912 2451583 2451686 2451847 "PFRPAC" 2452129 NIL PFRPAC (NIL T) -7 NIL NIL) (-911 2448198 2450131 2450484 "PFR" 2451262 NIL PFR (NIL T) -8 NIL NIL) (-910 2446587 2446831 2447156 "PFOTOOLS" 2447945 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-909 2441452 2442117 2442866 "PFORP" 2445929 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-908 2439985 2440224 2440575 "PFOQ" 2441209 NIL PFOQ (NIL T T T) -7 NIL NIL) (-907 2438458 2438670 2439033 "PFO" 2439769 NIL PFO (NIL T T T T T) -7 NIL NIL) (-906 2434981 2438347 2438416 "PF" 2438421 NIL PF (NIL NIL) -8 NIL NIL) (-905 2432406 2433687 2433716 "PFECAT" 2434301 T PFECAT (NIL) -9 NIL 2434684) (-904 2431851 2432005 2432219 "PFECAT-" 2432224 NIL PFECAT- (NIL T) -8 NIL NIL) (-903 2430455 2430706 2431007 "PFBRU" 2431600 NIL PFBRU (NIL T T) -7 NIL NIL) (-902 2428322 2428673 2429105 "PFBR" 2430106 NIL PFBR (NIL T T T T) -7 NIL NIL) (-901 2424178 2425702 2426376 "PERM" 2427681 NIL PERM (NIL T) -8 NIL NIL) (-900 2419445 2420385 2421255 "PERMGRP" 2423341 NIL PERMGRP (NIL T) -8 NIL NIL) (-899 2417516 2418509 2418551 "PERMCAT" 2418997 NIL PERMCAT (NIL T) -9 NIL 2419300) (-898 2417169 2417210 2417334 "PERMAN" 2417469 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-897 2414615 2416738 2416869 "PENDTREE" 2417071 NIL PENDTREE (NIL T) -8 NIL NIL) (-896 2412683 2413461 2413503 "PDRING" 2414160 NIL PDRING (NIL T) -9 NIL 2414446) (-895 2411786 2412004 2412366 "PDRING-" 2412371 NIL PDRING- (NIL T T) -8 NIL NIL) (-894 2408928 2409678 2410369 "PDEPROB" 2411115 T PDEPROB (NIL) -8 NIL NIL) (-893 2406475 2406977 2407532 "PDEPACK" 2408393 T PDEPACK (NIL) -7 NIL NIL) (-892 2405387 2405577 2405828 "PDECOMP" 2406274 NIL PDECOMP (NIL T T) -7 NIL NIL) (-891 2402991 2403808 2403837 "PDECAT" 2404624 T PDECAT (NIL) -9 NIL 2405337) (-890 2402742 2402775 2402865 "PCOMP" 2402952 NIL PCOMP (NIL T T) -7 NIL NIL) (-889 2400947 2401543 2401840 "PBWLB" 2402471 NIL PBWLB (NIL T) -8 NIL NIL) (-888 2393452 2395020 2396358 "PATTERN" 2399630 NIL PATTERN (NIL T) -8 NIL NIL) (-887 2393084 2393141 2393250 "PATTERN2" 2393389 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-886 2390841 2391229 2391686 "PATTERN1" 2392673 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-885 2388236 2388790 2389271 "PATRES" 2390406 NIL PATRES (NIL T T) -8 NIL NIL) (-884 2387800 2387867 2387999 "PATRES2" 2388163 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-883 2385683 2386088 2386495 "PATMATCH" 2387467 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-882 2385218 2385401 2385443 "PATMAB" 2385550 NIL PATMAB (NIL T) -9 NIL 2385633) (-881 2383763 2384072 2384330 "PATLRES" 2385023 NIL PATLRES (NIL T T T) -8 NIL NIL) (-880 2383310 2383433 2383475 "PATAB" 2383480 NIL PATAB (NIL T) -9 NIL 2383650) (-879 2380791 2381323 2381896 "PARTPERM" 2382757 T PARTPERM (NIL) -7 NIL NIL) (-878 2380412 2380475 2380577 "PARSURF" 2380722 NIL PARSURF (NIL T) -8 NIL NIL) (-877 2380044 2380101 2380210 "PARSU2" 2380349 NIL PARSU2 (NIL T T) -7 NIL NIL) (-876 2379665 2379728 2379830 "PARSCURV" 2379975 NIL PARSCURV (NIL T) -8 NIL NIL) (-875 2379297 2379354 2379463 "PARSC2" 2379602 NIL PARSC2 (NIL T T) -7 NIL NIL) (-874 2378936 2378994 2379091 "PARPCURV" 2379233 NIL PARPCURV (NIL T) -8 NIL NIL) (-873 2378568 2378625 2378734 "PARPC2" 2378873 NIL PARPC2 (NIL T T) -7 NIL NIL) (-872 2377048 2377166 2377485 "PARAMP" 2378423 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-871 2376568 2376654 2376773 "PAN2EXPR" 2376949 T PAN2EXPR (NIL) -7 NIL NIL) (-870 2375374 2375689 2375917 "PALETTE" 2376360 T PALETTE (NIL) -8 NIL NIL) (-869 2363007 2365173 2367289 "PAFF" 2373322 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-868 2350003 2352331 2354542 "PAFFFF" 2360860 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-867 2343844 2349262 2349456 "PADICRC" 2349858 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-866 2337043 2343190 2343374 "PADICRAT" 2343692 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-865 2335347 2336980 2337025 "PADIC" 2337030 NIL PADIC (NIL NIL) -8 NIL NIL) (-864 2332547 2334121 2334162 "PADICCT" 2334743 NIL PADICCT (NIL NIL) -9 NIL 2335025) (-863 2331504 2331704 2331972 "PADEPAC" 2332334 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-862 2330716 2330849 2331055 "PADE" 2331366 NIL PADE (NIL T T T) -7 NIL NIL) (-861 2327193 2330334 2330453 "PACRAT" 2330617 T PACRAT (NIL) -8 NIL NIL) (-860 2323254 2326304 2326333 "PACRATC" 2326338 T PACRATC (NIL) -9 NIL 2326418) (-859 2319376 2321341 2321370 "PACPERC" 2322316 T PACPERC (NIL) -9 NIL 2322756) (-858 2316046 2319150 2319241 "PACOFF" 2319317 NIL PACOFF (NIL T) -8 NIL NIL) (-857 2312741 2315401 2315430 "PACFFC" 2315435 T PACFFC (NIL) -9 NIL 2315456) (-856 2308831 2312424 2312525 "PACEXT" 2312672 NIL PACEXT (NIL NIL) -8 NIL NIL) (-855 2304209 2307726 2307755 "PACEXTC" 2307760 T PACEXTC (NIL) -9 NIL 2307804) (-854 2302217 2303049 2303364 "OWP" 2303978 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-853 2301326 2301822 2301994 "OVAR" 2302085 NIL OVAR (NIL NIL) -8 NIL NIL) (-852 2300590 2300711 2300872 "OUT" 2301185 T OUT (NIL) -7 NIL NIL) (-851 2289636 2291815 2293985 "OUTFORM" 2298440 T OUTFORM (NIL) -8 NIL NIL) (-850 2289044 2289365 2289454 "OSI" 2289567 T OSI (NIL) -8 NIL NIL) (-849 2287791 2288018 2288302 "ORTHPOL" 2288792 NIL ORTHPOL (NIL T) -7 NIL NIL) (-848 2285153 2287448 2287588 "OREUP" 2287734 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-847 2282540 2284842 2284970 "ORESUP" 2285095 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-846 2280048 2280554 2281119 "OREPCTO" 2282025 NIL OREPCTO (NIL T T) -7 NIL NIL) (-845 2273918 2276129 2276171 "OREPCAT" 2278519 NIL OREPCAT (NIL T) -9 NIL 2279619) (-844 2271065 2271847 2272905 "OREPCAT-" 2272910 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-843 2270241 2270513 2270542 "ORDSET" 2270851 T ORDSET (NIL) -9 NIL 2271015) (-842 2269760 2269882 2270075 "ORDSET-" 2270080 NIL ORDSET- (NIL T) -8 NIL NIL) (-841 2268369 2269170 2269199 "ORDRING" 2269401 T ORDRING (NIL) -9 NIL 2269526) (-840 2268014 2268108 2268252 "ORDRING-" 2268257 NIL ORDRING- (NIL T) -8 NIL NIL) (-839 2267388 2267869 2267898 "ORDMON" 2267903 T ORDMON (NIL) -9 NIL 2267924) (-838 2266550 2266697 2266892 "ORDFUNS" 2267237 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-837 2266060 2266419 2266448 "ORDFIN" 2266453 T ORDFIN (NIL) -9 NIL 2266474) (-836 2262572 2264652 2265058 "ORDCOMP" 2265687 NIL ORDCOMP (NIL T) -8 NIL NIL) (-835 2261838 2261965 2262151 "ORDCOMP2" 2262432 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-834 2258346 2259228 2260065 "OPTPROB" 2261021 T OPTPROB (NIL) -8 NIL NIL) (-833 2255148 2255787 2256491 "OPTPACK" 2257662 T OPTPACK (NIL) -7 NIL NIL) (-832 2252860 2253600 2253629 "OPTCAT" 2254448 T OPTCAT (NIL) -9 NIL 2255098) (-831 2252628 2252667 2252733 "OPQUERY" 2252814 T OPQUERY (NIL) -7 NIL NIL) (-830 2249754 2250945 2251446 "OP" 2252160 NIL OP (NIL T) -8 NIL NIL) (-829 2246519 2248557 2248923 "ONECOMP" 2249421 NIL ONECOMP (NIL T) -8 NIL NIL) (-828 2245824 2245939 2246113 "ONECOMP2" 2246391 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-827 2245243 2245349 2245479 "OMSERVER" 2245714 T OMSERVER (NIL) -7 NIL NIL) (-826 2242130 2244682 2244723 "OMSAGG" 2244784 NIL OMSAGG (NIL T) -9 NIL 2244848) (-825 2240753 2241016 2241298 "OMPKG" 2241868 T OMPKG (NIL) -7 NIL NIL) (-824 2240182 2240285 2240314 "OM" 2240613 T OM (NIL) -9 NIL NIL) (-823 2238720 2239733 2239901 "OMLO" 2240064 NIL OMLO (NIL T T) -8 NIL NIL) (-822 2237645 2237792 2238019 "OMEXPR" 2238546 NIL OMEXPR (NIL T) -7 NIL NIL) (-821 2236963 2237191 2237327 "OMERR" 2237529 T OMERR (NIL) -8 NIL NIL) (-820 2236141 2236384 2236544 "OMERRK" 2236823 T OMERRK (NIL) -8 NIL NIL) (-819 2235619 2235818 2235926 "OMENC" 2236053 T OMENC (NIL) -8 NIL NIL) (-818 2229514 2230699 2231870 "OMDEV" 2234468 T OMDEV (NIL) -8 NIL NIL) (-817 2228583 2228754 2228948 "OMCONN" 2229340 T OMCONN (NIL) -8 NIL NIL) (-816 2227194 2228180 2228209 "OINTDOM" 2228214 T OINTDOM (NIL) -9 NIL 2228235) (-815 2222845 2224100 2224844 "OFMONOID" 2226482 NIL OFMONOID (NIL T) -8 NIL NIL) (-814 2222283 2222782 2222827 "ODVAR" 2222832 NIL ODVAR (NIL T) -8 NIL NIL) (-813 2219410 2221782 2221966 "ODR" 2222159 NIL ODR (NIL T T NIL) -8 NIL NIL) (-812 2211708 2219186 2219312 "ODPOL" 2219317 NIL ODPOL (NIL T) -8 NIL NIL) (-811 2205502 2211580 2211685 "ODP" 2211690 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-810 2204268 2204483 2204758 "ODETOOLS" 2205276 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-809 2201237 2201893 2202609 "ODESYS" 2203601 NIL ODESYS (NIL T T) -7 NIL NIL) (-808 2196121 2197029 2198053 "ODERTRIC" 2200313 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-807 2195547 2195629 2195823 "ODERED" 2196033 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-806 2192435 2192983 2193660 "ODERAT" 2194970 NIL ODERAT (NIL T T) -7 NIL NIL) (-805 2189395 2189859 2190456 "ODEPRRIC" 2191964 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-804 2187266 2187833 2188342 "ODEPROB" 2188906 T ODEPROB (NIL) -8 NIL NIL) (-803 2183788 2184271 2184918 "ODEPRIM" 2186745 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-802 2183037 2183139 2183399 "ODEPAL" 2183680 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-801 2179199 2179990 2180854 "ODEPACK" 2182193 T ODEPACK (NIL) -7 NIL NIL) (-800 2178232 2178339 2178568 "ODEINT" 2179088 NIL ODEINT (NIL T T) -7 NIL NIL) (-799 2172333 2173758 2175205 "ODEIFTBL" 2176805 T ODEIFTBL (NIL) -8 NIL NIL) (-798 2167668 2168454 2169413 "ODEEF" 2171492 NIL ODEEF (NIL T T) -7 NIL NIL) (-797 2167003 2167092 2167322 "ODECONST" 2167573 NIL ODECONST (NIL T T T) -7 NIL NIL) (-796 2165153 2165788 2165817 "ODECAT" 2166422 T ODECAT (NIL) -9 NIL 2166953) (-795 2161997 2164858 2164980 "OCT" 2165063 NIL OCT (NIL T) -8 NIL NIL) (-794 2161635 2161678 2161805 "OCTCT2" 2161948 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-793 2156459 2158903 2158944 "OC" 2160041 NIL OC (NIL T) -9 NIL 2160891) (-792 2153686 2154434 2155424 "OC-" 2155518 NIL OC- (NIL T T) -8 NIL NIL) (-791 2153063 2153505 2153534 "OCAMON" 2153539 T OCAMON (NIL) -9 NIL 2153560) (-790 2152515 2152922 2152951 "OASGP" 2152956 T OASGP (NIL) -9 NIL 2152976) (-789 2151801 2152264 2152293 "OAMONS" 2152333 T OAMONS (NIL) -9 NIL 2152376) (-788 2151240 2151647 2151676 "OAMON" 2151681 T OAMON (NIL) -9 NIL 2151701) (-787 2150543 2151035 2151064 "OAGROUP" 2151069 T OAGROUP (NIL) -9 NIL 2151089) (-786 2150233 2150283 2150371 "NUMTUBE" 2150487 NIL NUMTUBE (NIL T) -7 NIL NIL) (-785 2143806 2145324 2146860 "NUMQUAD" 2148717 T NUMQUAD (NIL) -7 NIL NIL) (-784 2139562 2140550 2141575 "NUMODE" 2142801 T NUMODE (NIL) -7 NIL NIL) (-783 2136942 2137796 2137825 "NUMINT" 2138748 T NUMINT (NIL) -9 NIL 2139512) (-782 2135890 2136087 2136305 "NUMFMT" 2136744 T NUMFMT (NIL) -7 NIL NIL) (-781 2122268 2125210 2127734 "NUMERIC" 2133405 NIL NUMERIC (NIL T) -7 NIL NIL) (-780 2116671 2121716 2121812 "NTSCAT" 2121817 NIL NTSCAT (NIL T T T T) -9 NIL 2121856) (-779 2115867 2116032 2116224 "NTPOLFN" 2116511 NIL NTPOLFN (NIL T) -7 NIL NIL) (-778 2103663 2112694 2113505 "NSUP" 2115089 NIL NSUP (NIL T) -8 NIL NIL) (-777 2103295 2103352 2103461 "NSUP2" 2103600 NIL NSUP2 (NIL T T) -7 NIL NIL) (-776 2093246 2103069 2103202 "NSMP" 2103207 NIL NSMP (NIL T T) -8 NIL NIL) (-775 2081338 2092828 2092992 "NSDPS" 2093114 NIL NSDPS (NIL T) -8 NIL NIL) (-774 2079770 2080071 2080428 "NREP" 2081026 NIL NREP (NIL T) -7 NIL NIL) (-773 2076859 2077407 2078056 "NPOLYGON" 2079212 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-772 2075450 2075702 2076060 "NPCOEF" 2076602 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-771 2074732 2075234 2075318 "NOTTING" 2075398 NIL NOTTING (NIL T) -8 NIL NIL) (-770 2073798 2073913 2074129 "NORMRETR" 2074613 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-769 2071839 2072129 2072538 "NORMPK" 2073506 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-768 2071524 2071552 2071676 "NORMMA" 2071805 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-767 2071351 2071481 2071510 "NONE" 2071515 T NONE (NIL) -8 NIL NIL) (-766 2071140 2071169 2071238 "NONE1" 2071315 NIL NONE1 (NIL T) -7 NIL NIL) (-765 2070623 2070685 2070871 "NODE1" 2071072 NIL NODE1 (NIL T T) -7 NIL NIL) (-764 2068917 2069786 2070041 "NNI" 2070388 T NNI (NIL) -8 NIL NIL) (-763 2067337 2067650 2068014 "NLINSOL" 2068585 NIL NLINSOL (NIL T) -7 NIL NIL) (-762 2063505 2064472 2065394 "NIPROB" 2066435 T NIPROB (NIL) -8 NIL NIL) (-761 2062262 2062496 2062798 "NFINTBAS" 2063267 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-760 2061991 2062034 2062115 "NEWTON" 2062213 NIL NEWTON (NIL T) -7 NIL NIL) (-759 2060699 2060930 2061211 "NCODIV" 2061759 NIL NCODIV (NIL T T) -7 NIL NIL) (-758 2060461 2060498 2060573 "NCNTFRAC" 2060656 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-757 2058641 2059005 2059425 "NCEP" 2060086 NIL NCEP (NIL T) -7 NIL NIL) (-756 2057551 2058290 2058319 "NASRING" 2058429 T NASRING (NIL) -9 NIL 2058503) (-755 2057346 2057390 2057484 "NASRING-" 2057489 NIL NASRING- (NIL T) -8 NIL NIL) (-754 2056498 2056997 2057026 "NARNG" 2057143 T NARNG (NIL) -9 NIL 2057234) (-753 2056190 2056257 2056391 "NARNG-" 2056396 NIL NARNG- (NIL T) -8 NIL NIL) (-752 2055069 2055276 2055511 "NAGSP" 2055975 T NAGSP (NIL) -7 NIL NIL) (-751 2046341 2048025 2049698 "NAGS" 2053416 T NAGS (NIL) -7 NIL NIL) (-750 2044889 2045197 2045528 "NAGF07" 2046030 T NAGF07 (NIL) -7 NIL NIL) (-749 2039427 2040718 2042025 "NAGF04" 2043602 T NAGF04 (NIL) -7 NIL NIL) (-748 2032395 2034009 2035642 "NAGF02" 2037814 T NAGF02 (NIL) -7 NIL NIL) (-747 2027619 2028719 2029836 "NAGF01" 2031298 T NAGF01 (NIL) -7 NIL NIL) (-746 2021247 2022813 2024398 "NAGE04" 2026054 T NAGE04 (NIL) -7 NIL NIL) (-745 2012416 2014537 2016667 "NAGE02" 2019137 T NAGE02 (NIL) -7 NIL NIL) (-744 2008369 2009316 2010280 "NAGE01" 2011472 T NAGE01 (NIL) -7 NIL NIL) (-743 2006164 2006698 2007256 "NAGD03" 2007831 T NAGD03 (NIL) -7 NIL NIL) (-742 1997914 1999842 2001796 "NAGD02" 2004230 T NAGD02 (NIL) -7 NIL NIL) (-741 1991725 1993150 1994590 "NAGD01" 1996494 T NAGD01 (NIL) -7 NIL NIL) (-740 1987934 1988756 1989593 "NAGC06" 1990908 T NAGC06 (NIL) -7 NIL NIL) (-739 1986399 1986731 1987087 "NAGC05" 1987598 T NAGC05 (NIL) -7 NIL NIL) (-738 1985775 1985894 1986038 "NAGC02" 1986275 T NAGC02 (NIL) -7 NIL NIL) (-737 1984834 1985391 1985432 "NAALG" 1985511 NIL NAALG (NIL T) -9 NIL 1985572) (-736 1984669 1984698 1984788 "NAALG-" 1984793 NIL NAALG- (NIL T T) -8 NIL NIL) (-735 1975545 1983785 1984060 "MYUP" 1984440 NIL MYUP (NIL NIL T) -8 NIL NIL) (-734 1965908 1974001 1974372 "MYEXPR" 1975240 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-733 1959858 1960966 1962153 "MULTSQFR" 1964804 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-732 1959177 1959252 1959436 "MULTFACT" 1959770 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-731 1952302 1956211 1956265 "MTSCAT" 1957335 NIL MTSCAT (NIL T T) -9 NIL 1957849) (-730 1952014 1952068 1952160 "MTHING" 1952242 NIL MTHING (NIL T) -7 NIL NIL) (-729 1951806 1951839 1951899 "MSYSCMD" 1951974 T MSYSCMD (NIL) -7 NIL NIL) (-728 1947918 1950561 1950881 "MSET" 1951519 NIL MSET (NIL T) -8 NIL NIL) (-727 1945012 1947478 1947520 "MSETAGG" 1947525 NIL MSETAGG (NIL T) -9 NIL 1947559) (-726 1940861 1942403 1943142 "MRING" 1944318 NIL MRING (NIL T T) -8 NIL NIL) (-725 1940427 1940494 1940625 "MRF2" 1940788 NIL MRF2 (NIL T T T) -7 NIL NIL) (-724 1940045 1940080 1940224 "MRATFAC" 1940386 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-723 1937657 1937952 1938383 "MPRFF" 1939750 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-722 1931671 1937511 1937608 "MPOLY" 1937613 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-721 1931161 1931196 1931404 "MPCPF" 1931630 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-720 1930675 1930718 1930902 "MPC3" 1931112 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-719 1929870 1929951 1930172 "MPC2" 1930590 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-718 1928171 1928508 1928898 "MONOTOOL" 1929530 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-717 1927294 1927629 1927658 "MONOID" 1927935 T MONOID (NIL) -9 NIL 1928107) (-716 1926672 1926835 1927078 "MONOID-" 1927083 NIL MONOID- (NIL T) -8 NIL NIL) (-715 1917598 1923583 1923643 "MONOGEN" 1924317 NIL MONOGEN (NIL T T) -9 NIL 1924770) (-714 1914816 1915551 1916551 "MONOGEN-" 1916670 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-713 1913674 1914094 1914123 "MONADWU" 1914515 T MONADWU (NIL) -9 NIL 1914753) (-712 1913046 1913205 1913453 "MONADWU-" 1913458 NIL MONADWU- (NIL T) -8 NIL NIL) (-711 1912430 1912648 1912677 "MONAD" 1912884 T MONAD (NIL) -9 NIL 1912996) (-710 1912115 1912193 1912325 "MONAD-" 1912330 NIL MONAD- (NIL T) -8 NIL NIL) (-709 1910366 1911028 1911307 "MOEBIUS" 1911868 NIL MOEBIUS (NIL T) -8 NIL NIL) (-708 1909757 1910135 1910176 "MODULE" 1910181 NIL MODULE (NIL T) -9 NIL 1910207) (-707 1909325 1909421 1909611 "MODULE-" 1909616 NIL MODULE- (NIL T T) -8 NIL NIL) (-706 1906994 1907689 1908016 "MODRING" 1909149 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-705 1903940 1905105 1905623 "MODOP" 1906526 NIL MODOP (NIL T T) -8 NIL NIL) (-704 1902127 1902579 1902920 "MODMONOM" 1903739 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-703 1891792 1900323 1900744 "MODMON" 1901757 NIL MODMON (NIL T T) -8 NIL NIL) (-702 1888918 1890636 1890912 "MODFIELD" 1891667 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-701 1887922 1888199 1888389 "MMLFORM" 1888748 T MMLFORM (NIL) -8 NIL NIL) (-700 1887448 1887491 1887670 "MMAP" 1887873 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-699 1885673 1886450 1886492 "MLO" 1886915 NIL MLO (NIL T) -9 NIL 1887156) (-698 1883040 1883555 1884157 "MLIFT" 1885154 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-697 1882431 1882515 1882669 "MKUCFUNC" 1882951 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-696 1882030 1882100 1882223 "MKRECORD" 1882354 NIL MKRECORD (NIL T T) -7 NIL NIL) (-695 1881078 1881239 1881467 "MKFUNC" 1881841 NIL MKFUNC (NIL T) -7 NIL NIL) (-694 1880466 1880570 1880726 "MKFLCFN" 1880961 NIL MKFLCFN (NIL T) -7 NIL NIL) (-693 1879892 1880259 1880348 "MKCHSET" 1880410 NIL MKCHSET (NIL T) -8 NIL NIL) (-692 1879169 1879271 1879456 "MKBCFUNC" 1879785 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-691 1875853 1878723 1878859 "MINT" 1879053 T MINT (NIL) -8 NIL NIL) (-690 1874665 1874908 1875185 "MHROWRED" 1875608 NIL MHROWRED (NIL T) -7 NIL NIL) (-689 1869932 1873106 1873532 "MFLOAT" 1874259 T MFLOAT (NIL) -8 NIL NIL) (-688 1869289 1869365 1869536 "MFINFACT" 1869844 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-687 1865604 1866452 1867336 "MESH" 1868425 T MESH (NIL) -7 NIL NIL) (-686 1863994 1864306 1864659 "MDDFACT" 1865291 NIL MDDFACT (NIL T) -7 NIL NIL) (-685 1860876 1863187 1863229 "MDAGG" 1863484 NIL MDAGG (NIL T) -9 NIL 1863627) (-684 1850564 1860169 1860376 "MCMPLX" 1860689 T MCMPLX (NIL) -8 NIL NIL) (-683 1849705 1849851 1850051 "MCDEN" 1850413 NIL MCDEN (NIL T T) -7 NIL NIL) (-682 1847595 1847865 1848245 "MCALCFN" 1849435 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-681 1845207 1845730 1846292 "MATSTOR" 1847066 NIL MATSTOR (NIL T) -7 NIL NIL) (-680 1841121 1844583 1844829 "MATRIX" 1844994 NIL MATRIX (NIL T) -8 NIL NIL) (-679 1836897 1837600 1838333 "MATLIN" 1840481 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-678 1826662 1829883 1829961 "MATCAT" 1835091 NIL MATCAT (NIL T T T) -9 NIL 1836598) (-677 1822861 1823929 1825340 "MATCAT-" 1825345 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-676 1821455 1821608 1821941 "MATCAT2" 1822696 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-675 1820195 1820461 1820776 "MAPPKG4" 1821186 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-674 1818307 1818631 1819015 "MAPPKG3" 1819870 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-673 1817288 1817461 1817683 "MAPPKG2" 1818131 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-672 1815787 1816071 1816398 "MAPPKG1" 1816994 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-671 1815398 1815456 1815579 "MAPHACK3" 1815723 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-670 1814990 1815051 1815165 "MAPHACK2" 1815330 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-669 1814428 1814531 1814673 "MAPHACK1" 1814881 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-668 1812534 1813128 1813432 "MAGMA" 1814156 NIL MAGMA (NIL T) -8 NIL NIL) (-667 1809009 1810775 1811235 "M3D" 1812107 NIL M3D (NIL T) -8 NIL NIL) (-666 1803203 1807409 1807451 "LZSTAGG" 1808233 NIL LZSTAGG (NIL T) -9 NIL 1808528) (-665 1799177 1800334 1801791 "LZSTAGG-" 1801796 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-664 1796291 1797068 1797555 "LWORD" 1798722 NIL LWORD (NIL T) -8 NIL NIL) (-663 1789446 1796062 1796196 "LSQM" 1796201 NIL LSQM (NIL NIL T) -8 NIL NIL) (-662 1788670 1788809 1789037 "LSPP" 1789301 NIL LSPP (NIL T T T T) -7 NIL NIL) (-661 1786482 1786783 1787239 "LSMP" 1788359 NIL LSMP (NIL T T T T) -7 NIL NIL) (-660 1783261 1783935 1784665 "LSMP1" 1785784 NIL LSMP1 (NIL T) -7 NIL NIL) (-659 1777218 1782451 1782493 "LSAGG" 1782555 NIL LSAGG (NIL T) -9 NIL 1782633) (-658 1773913 1774837 1776050 "LSAGG-" 1776055 NIL LSAGG- (NIL T T) -8 NIL NIL) (-657 1771539 1773057 1773306 "LPOLY" 1773708 NIL LPOLY (NIL T T) -8 NIL NIL) (-656 1771121 1771206 1771329 "LPEFRAC" 1771448 NIL LPEFRAC (NIL T) -7 NIL NIL) (-655 1768685 1768934 1769366 "LPARSPT" 1770863 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-654 1767160 1767487 1767847 "LOP" 1768357 NIL LOP (NIL T) -7 NIL NIL) (-653 1765509 1766256 1766508 "LO" 1766993 NIL LO (NIL T T T) -8 NIL NIL) (-652 1765160 1765272 1765301 "LOGIC" 1765412 T LOGIC (NIL) -9 NIL 1765493) (-651 1765022 1765045 1765116 "LOGIC-" 1765121 NIL LOGIC- (NIL T) -8 NIL NIL) (-650 1764215 1764355 1764548 "LODOOPS" 1764878 NIL LODOOPS (NIL T T) -7 NIL NIL) (-649 1761627 1764131 1764197 "LODO" 1764202 NIL LODO (NIL T NIL) -8 NIL NIL) (-648 1760167 1760402 1760754 "LODOF" 1761375 NIL LODOF (NIL T T) -7 NIL NIL) (-647 1756566 1759007 1759049 "LODOCAT" 1759487 NIL LODOCAT (NIL T) -9 NIL 1759697) (-646 1756299 1756357 1756484 "LODOCAT-" 1756489 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-645 1753608 1756140 1756258 "LODO2" 1756263 NIL LODO2 (NIL T T) -8 NIL NIL) (-644 1751032 1753545 1753590 "LODO1" 1753595 NIL LODO1 (NIL T) -8 NIL NIL) (-643 1749892 1750057 1750369 "LODEEF" 1750855 NIL LODEEF (NIL T T T) -7 NIL NIL) (-642 1742719 1746884 1746925 "LOCPOWC" 1748387 NIL LOCPOWC (NIL T) -9 NIL 1748964) (-641 1738043 1740881 1740923 "LNAGG" 1741870 NIL LNAGG (NIL T) -9 NIL 1742313) (-640 1737190 1737404 1737746 "LNAGG-" 1737751 NIL LNAGG- (NIL T T) -8 NIL NIL) (-639 1733353 1734115 1734754 "LMOPS" 1736605 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-638 1732747 1733109 1733151 "LMODULE" 1733212 NIL LMODULE (NIL T) -9 NIL 1733254) (-637 1729999 1732392 1732515 "LMDICT" 1732657 NIL LMDICT (NIL T) -8 NIL NIL) (-636 1729156 1729290 1729477 "LISYSER" 1729861 NIL LISYSER (NIL T T) -7 NIL NIL) (-635 1722393 1728106 1728402 "LIST" 1728893 NIL LIST (NIL T) -8 NIL NIL) (-634 1721918 1721992 1722131 "LIST3" 1722313 NIL LIST3 (NIL T T T) -7 NIL NIL) (-633 1720925 1721103 1721331 "LIST2" 1721736 NIL LIST2 (NIL T T) -7 NIL NIL) (-632 1719059 1719371 1719770 "LIST2MAP" 1720572 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-631 1717764 1718444 1718486 "LINEXP" 1718741 NIL LINEXP (NIL T) -9 NIL 1718890) (-630 1716411 1716671 1716968 "LINDEP" 1717516 NIL LINDEP (NIL T T) -7 NIL NIL) (-629 1713178 1713897 1714674 "LIMITRF" 1715666 NIL LIMITRF (NIL T) -7 NIL NIL) (-628 1711454 1711749 1712165 "LIMITPS" 1712873 NIL LIMITPS (NIL T T) -7 NIL NIL) (-627 1705913 1710969 1711195 "LIE" 1711277 NIL LIE (NIL T T) -8 NIL NIL) (-626 1704962 1705405 1705446 "LIECAT" 1705586 NIL LIECAT (NIL T) -9 NIL 1705736) (-625 1704803 1704830 1704918 "LIECAT-" 1704923 NIL LIECAT- (NIL T T) -8 NIL NIL) (-624 1697337 1704182 1704365 "LIB" 1704640 T LIB (NIL) -8 NIL NIL) (-623 1692974 1693855 1694790 "LGROBP" 1696454 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-622 1690455 1690779 1691190 "LF" 1692647 NIL LF (NIL T T) -7 NIL NIL) (-621 1689152 1689882 1689911 "LFCAT" 1690186 T LFCAT (NIL) -9 NIL 1690361) (-620 1686056 1686684 1687372 "LEXTRIPK" 1688516 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-619 1682762 1683626 1684129 "LEXP" 1685636 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-618 1681160 1681473 1681874 "LEADCDET" 1682444 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-617 1680350 1680424 1680653 "LAZM3PK" 1681081 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-616 1675266 1678433 1678968 "LAUPOL" 1679865 NIL LAUPOL (NIL T T) -8 NIL NIL) (-615 1674831 1674875 1675043 "LAPLACE" 1675216 NIL LAPLACE (NIL T T) -7 NIL NIL) (-614 1672761 1673934 1674184 "LA" 1674665 NIL LA (NIL T T T) -8 NIL NIL) (-613 1671817 1672411 1672453 "LALG" 1672515 NIL LALG (NIL T) -9 NIL 1672574) (-612 1671531 1671590 1671726 "LALG-" 1671731 NIL LALG- (NIL T T) -8 NIL NIL) (-611 1670435 1670622 1670921 "KOVACIC" 1671331 NIL KOVACIC (NIL T T) -7 NIL NIL) (-610 1670269 1670293 1670335 "KONVERT" 1670397 NIL KONVERT (NIL T) -9 NIL NIL) (-609 1670103 1670127 1670169 "KOERCE" 1670231 NIL KOERCE (NIL T) -9 NIL NIL) (-608 1667839 1668599 1668991 "KERNEL" 1669743 NIL KERNEL (NIL T) -8 NIL NIL) (-607 1667341 1667422 1667552 "KERNEL2" 1667753 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-606 1661024 1665706 1665761 "KDAGG" 1666138 NIL KDAGG (NIL T T) -9 NIL 1666344) (-605 1660553 1660677 1660882 "KDAGG-" 1660887 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-604 1653702 1660214 1660369 "KAFILE" 1660431 NIL KAFILE (NIL T) -8 NIL NIL) (-603 1648161 1653217 1653443 "JORDAN" 1653525 NIL JORDAN (NIL T T) -8 NIL NIL) (-602 1644504 1646404 1646459 "IXAGG" 1647388 NIL IXAGG (NIL T T) -9 NIL 1647843) (-601 1643423 1643729 1644148 "IXAGG-" 1644153 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-600 1639007 1643345 1643404 "IVECTOR" 1643409 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-599 1637773 1638010 1638276 "ITUPLE" 1638774 NIL ITUPLE (NIL T) -8 NIL NIL) (-598 1636197 1636374 1636682 "ITRIGMNP" 1637595 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-597 1634942 1635146 1635429 "ITFUN3" 1635973 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-596 1634574 1634631 1634740 "ITFUN2" 1634879 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-595 1632367 1633438 1633736 "ITAYLOR" 1634309 NIL ITAYLOR (NIL T) -8 NIL NIL) (-594 1621306 1626506 1627668 "ISUPS" 1631238 NIL ISUPS (NIL T) -8 NIL NIL) (-593 1620410 1620550 1620786 "ISUMP" 1621153 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-592 1615680 1620211 1620290 "ISTRING" 1620363 NIL ISTRING (NIL NIL) -8 NIL NIL) (-591 1614890 1614971 1615187 "IRURPK" 1615594 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-590 1613826 1614027 1614267 "IRSN" 1614670 T IRSN (NIL) -7 NIL NIL) (-589 1611857 1612212 1612647 "IRRF2F" 1613465 NIL IRRF2F (NIL T) -7 NIL NIL) (-588 1611604 1611642 1611718 "IRREDFFX" 1611813 NIL IRREDFFX (NIL T) -7 NIL NIL) (-587 1610219 1610478 1610777 "IROOT" 1611337 NIL IROOT (NIL T) -7 NIL NIL) (-586 1606855 1607907 1608597 "IR" 1609561 NIL IR (NIL T) -8 NIL NIL) (-585 1604468 1604963 1605529 "IR2" 1606333 NIL IR2 (NIL T T) -7 NIL NIL) (-584 1603540 1603653 1603874 "IR2F" 1604351 NIL IR2F (NIL T T) -7 NIL NIL) (-583 1603331 1603365 1603425 "IPRNTPK" 1603500 T IPRNTPK (NIL) -7 NIL NIL) (-582 1599885 1603220 1603289 "IPF" 1603294 NIL IPF (NIL NIL) -8 NIL NIL) (-581 1598202 1599810 1599867 "IPADIC" 1599872 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-580 1597699 1597757 1597947 "INVLAPLA" 1598138 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-579 1587348 1589701 1592087 "INTTR" 1595363 NIL INTTR (NIL T T) -7 NIL NIL) (-578 1583706 1584448 1585305 "INTTOOLS" 1586540 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-577 1583292 1583383 1583500 "INTSLPE" 1583609 T INTSLPE (NIL) -7 NIL NIL) (-576 1581242 1583215 1583274 "INTRVL" 1583279 NIL INTRVL (NIL T) -8 NIL NIL) (-575 1578844 1579356 1579931 "INTRF" 1580727 NIL INTRF (NIL T) -7 NIL NIL) (-574 1578255 1578352 1578494 "INTRET" 1578742 NIL INTRET (NIL T) -7 NIL NIL) (-573 1576252 1576641 1577111 "INTRAT" 1577863 NIL INTRAT (NIL T T) -7 NIL NIL) (-572 1573488 1574071 1574693 "INTPM" 1575741 NIL INTPM (NIL T T) -7 NIL NIL) (-571 1570193 1570792 1571536 "INTPAF" 1572875 NIL INTPAF (NIL T T T) -7 NIL NIL) (-570 1565372 1566334 1567385 "INTPACK" 1569162 T INTPACK (NIL) -7 NIL NIL) (-569 1562226 1565101 1565228 "INT" 1565265 T INT (NIL) -8 NIL NIL) (-568 1561478 1561630 1561838 "INTHERTR" 1562068 NIL INTHERTR (NIL T T) -7 NIL NIL) (-567 1560917 1560997 1561185 "INTHERAL" 1561392 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-566 1558763 1559206 1559663 "INTHEORY" 1560480 T INTHEORY (NIL) -7 NIL NIL) (-565 1550074 1551694 1553472 "INTG0" 1557116 NIL INTG0 (NIL T T T) -7 NIL NIL) (-564 1530647 1535437 1540247 "INTFTBL" 1545284 T INTFTBL (NIL) -8 NIL NIL) (-563 1528684 1528891 1529292 "INTFRSP" 1530437 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-562 1527933 1528071 1528244 "INTFACT" 1528543 NIL INTFACT (NIL T) -7 NIL NIL) (-561 1527523 1527565 1527716 "INTERGB" 1527885 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-560 1524908 1525354 1525918 "INTEF" 1527077 NIL INTEF (NIL T T) -7 NIL NIL) (-559 1523365 1524114 1524143 "INTDOM" 1524444 T INTDOM (NIL) -9 NIL 1524651) (-558 1522734 1522908 1523150 "INTDOM-" 1523155 NIL INTDOM- (NIL T) -8 NIL NIL) (-557 1521338 1521443 1521833 "INTDIVP" 1522624 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-556 1517824 1519754 1519809 "INTCAT" 1520608 NIL INTCAT (NIL T) -9 NIL 1520929) (-555 1517297 1517399 1517527 "INTBIT" 1517716 T INTBIT (NIL) -7 NIL NIL) (-554 1515968 1516122 1516436 "INTALG" 1517142 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-553 1515425 1515515 1515685 "INTAF" 1515872 NIL INTAF (NIL T T) -7 NIL NIL) (-552 1508891 1515235 1515375 "INTABL" 1515380 NIL INTABL (NIL T T T) -8 NIL NIL) (-551 1503836 1506562 1506591 "INS" 1507559 T INS (NIL) -9 NIL 1508242) (-550 1501076 1501847 1502821 "INS-" 1502894 NIL INS- (NIL T) -8 NIL NIL) (-549 1499851 1500078 1500376 "INPSIGN" 1500829 NIL INPSIGN (NIL T T) -7 NIL NIL) (-548 1498969 1499086 1499283 "INPRODPF" 1499731 NIL INPRODPF (NIL T T) -7 NIL NIL) (-547 1497863 1497980 1498217 "INPRODFF" 1498849 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-546 1496863 1497015 1497275 "INNMFACT" 1497699 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-545 1496060 1496157 1496345 "INMODGCD" 1496762 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-544 1494569 1494813 1495137 "INFSP" 1495805 NIL INFSP (NIL T T T) -7 NIL NIL) (-543 1493753 1493870 1494053 "INFPROD0" 1494449 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-542 1490634 1491818 1492333 "INFORM" 1493246 T INFORM (NIL) -8 NIL NIL) (-541 1490244 1490304 1490402 "INFORM1" 1490569 NIL INFORM1 (NIL T) -7 NIL NIL) (-540 1489767 1489856 1489970 "INFINITY" 1490150 T INFINITY (NIL) -7 NIL NIL) (-539 1487450 1488447 1488790 "INFCLSPT" 1489627 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-538 1485327 1486572 1486866 "INFCLSPS" 1487220 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-537 1477877 1478800 1479021 "INFCLCT" 1484452 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1485263) (-536 1476495 1476743 1477064 "INEP" 1477625 NIL INEP (NIL T T T) -7 NIL NIL) (-535 1475771 1476392 1476457 "INDE" 1476462 NIL INDE (NIL T) -8 NIL NIL) (-534 1475335 1475403 1475520 "INCRMAPS" 1475698 NIL INCRMAPS (NIL T) -7 NIL NIL) (-533 1470646 1471571 1472515 "INBFF" 1474423 NIL INBFF (NIL T) -7 NIL NIL) (-532 1467041 1470490 1470594 "IMATRIX" 1470599 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-531 1465755 1465878 1466192 "IMATQF" 1466898 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-530 1463977 1464204 1464540 "IMATLIN" 1465512 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-529 1458609 1463901 1463959 "ILIST" 1463964 NIL ILIST (NIL T NIL) -8 NIL NIL) (-528 1456568 1458469 1458582 "IIARRAY2" 1458587 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-527 1451936 1456479 1456543 "IFF" 1456548 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-526 1446985 1451228 1451416 "IFARRAY" 1451793 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-525 1446192 1446889 1446962 "IFAMON" 1446967 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-524 1445775 1445840 1445895 "IEVALAB" 1446102 NIL IEVALAB (NIL T T) -9 NIL NIL) (-523 1445450 1445518 1445678 "IEVALAB-" 1445683 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-522 1445108 1445364 1445427 "IDPO" 1445432 NIL IDPO (NIL T T) -8 NIL NIL) (-521 1444385 1444997 1445072 "IDPOAMS" 1445077 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-520 1443719 1444274 1444349 "IDPOAM" 1444354 NIL IDPOAM (NIL T T) -8 NIL NIL) (-519 1442803 1443053 1443107 "IDPC" 1443520 NIL IDPC (NIL T T) -9 NIL 1443669) (-518 1442299 1442695 1442768 "IDPAM" 1442773 NIL IDPAM (NIL T T) -8 NIL NIL) (-517 1441702 1442191 1442264 "IDPAG" 1442269 NIL IDPAG (NIL T T) -8 NIL NIL) (-516 1437957 1438805 1439700 "IDECOMP" 1440859 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-515 1430833 1431882 1432928 "IDEAL" 1436994 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-514 1428850 1429997 1430270 "ICP" 1430624 NIL ICP (NIL T NIL T) -8 NIL NIL) (-513 1428014 1428126 1428325 "ICDEN" 1428734 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-512 1427113 1427494 1427641 "ICARD" 1427887 T ICARD (NIL) -8 NIL NIL) (-511 1425173 1425486 1425891 "IBPTOOLS" 1426790 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-510 1420787 1424793 1424906 "IBITS" 1425092 NIL IBITS (NIL NIL) -8 NIL NIL) (-509 1417510 1418086 1418781 "IBATOOL" 1420204 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-508 1415290 1415751 1416284 "IBACHIN" 1417045 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-507 1413173 1415136 1415239 "IARRAY2" 1415244 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-506 1409332 1413099 1413156 "IARRAY1" 1413161 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-505 1403262 1407744 1408225 "IAN" 1408871 T IAN (NIL) -8 NIL NIL) (-504 1402773 1402830 1403003 "IALGFACT" 1403199 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-503 1402300 1402413 1402442 "HYPCAT" 1402649 T HYPCAT (NIL) -9 NIL NIL) (-502 1401838 1401955 1402141 "HYPCAT-" 1402146 NIL HYPCAT- (NIL T) -8 NIL NIL) (-501 1400842 1401119 1401309 "HTMLFORM" 1401668 T HTMLFORM (NIL) -8 NIL NIL) (-500 1397631 1398956 1398998 "HOAGG" 1399979 NIL HOAGG (NIL T) -9 NIL 1400588) (-499 1396225 1396624 1397150 "HOAGG-" 1397155 NIL HOAGG- (NIL T T) -8 NIL NIL) (-498 1390043 1395663 1395830 "HEXADEC" 1396078 T HEXADEC (NIL) -8 NIL NIL) (-497 1388791 1389013 1389276 "HEUGCD" 1389820 NIL HEUGCD (NIL T) -7 NIL NIL) (-496 1387894 1388628 1388758 "HELLFDIV" 1388763 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-495 1381611 1383154 1384235 "HEAP" 1386845 NIL HEAP (NIL T) -8 NIL NIL) (-494 1375449 1381526 1381588 "HDP" 1381593 NIL HDP (NIL NIL T) -8 NIL NIL) (-493 1369154 1375084 1375236 "HDMP" 1375350 NIL HDMP (NIL NIL T) -8 NIL NIL) (-492 1368479 1368618 1368782 "HB" 1369010 T HB (NIL) -7 NIL NIL) (-491 1361988 1368325 1368429 "HASHTBL" 1368434 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-490 1359735 1361610 1361792 "HACKPI" 1361826 T HACKPI (NIL) -8 NIL NIL) (-489 1341883 1345752 1349755 "GUESSUP" 1355765 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-488 1312980 1320021 1326717 "GUESSP" 1335207 T GUESSP (NIL) -7 NIL NIL) (-487 1279795 1285066 1290450 "GUESS" 1307924 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-486 1253300 1259697 1265833 "GUESSINT" 1273679 T GUESSINT (NIL) -7 NIL NIL) (-485 1228671 1234121 1239688 "GUESSF" 1247785 NIL GUESSF (NIL T) -7 NIL NIL) (-484 1228393 1228430 1228525 "GUESSF1" 1228628 NIL GUESSF1 (NIL T) -7 NIL NIL) (-483 1204554 1210088 1215703 "GUESSAN" 1222798 T GUESSAN (NIL) -7 NIL NIL) (-482 1200249 1204407 1204520 "GTSET" 1204525 NIL GTSET (NIL T T T T) -8 NIL NIL) (-481 1193787 1200127 1200225 "GSTBL" 1200230 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-480 1186017 1192820 1193084 "GSERIES" 1193579 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-479 1185038 1185491 1185520 "GROUP" 1185781 T GROUP (NIL) -9 NIL 1185940) (-478 1184154 1184377 1184721 "GROUP-" 1184726 NIL GROUP- (NIL T) -8 NIL NIL) (-477 1182523 1182842 1183229 "GROEBSOL" 1183831 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-476 1181462 1181724 1181776 "GRMOD" 1182305 NIL GRMOD (NIL T T) -9 NIL 1182473) (-475 1181230 1181266 1181394 "GRMOD-" 1181399 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-474 1176559 1177584 1178584 "GRIMAGE" 1180250 T GRIMAGE (NIL) -8 NIL NIL) (-473 1175026 1175286 1175610 "GRDEF" 1176255 T GRDEF (NIL) -7 NIL NIL) (-472 1174470 1174586 1174727 "GRAY" 1174905 T GRAY (NIL) -7 NIL NIL) (-471 1173700 1174080 1174132 "GRALG" 1174285 NIL GRALG (NIL T T) -9 NIL 1174378) (-470 1173361 1173434 1173597 "GRALG-" 1173602 NIL GRALG- (NIL T T T) -8 NIL NIL) (-469 1170165 1172946 1173124 "GPOLSET" 1173268 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-468 1152368 1153858 1155447 "GPAFF" 1168856 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-467 1151722 1151779 1152037 "GOSPER" 1152305 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-466 1148233 1149036 1149731 "GOPT" 1151047 T GOPT (NIL) -8 NIL NIL) (-465 1143712 1144730 1145638 "GOPT0" 1147345 T GOPT0 (NIL) -8 NIL NIL) (-464 1139471 1140150 1140676 "GMODPOL" 1143411 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-463 1138476 1138660 1138898 "GHENSEL" 1139283 NIL GHENSEL (NIL T T) -7 NIL NIL) (-462 1132527 1133370 1134397 "GENUPS" 1137560 NIL GENUPS (NIL T T) -7 NIL NIL) (-461 1132224 1132275 1132364 "GENUFACT" 1132470 NIL GENUFACT (NIL T) -7 NIL NIL) (-460 1131636 1131713 1131878 "GENPGCD" 1132142 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-459 1131110 1131145 1131358 "GENMFACT" 1131595 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-458 1129678 1129933 1130240 "GENEEZ" 1130853 NIL GENEEZ (NIL T T) -7 NIL NIL) (-457 1128222 1128499 1128823 "GDRAW" 1129374 T GDRAW (NIL) -7 NIL NIL) (-456 1122089 1127833 1127995 "GDMP" 1128145 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-455 1111473 1115862 1116967 "GCNAALG" 1121073 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-454 1109890 1110762 1110791 "GCDDOM" 1111046 T GCDDOM (NIL) -9 NIL 1111203) (-453 1109360 1109487 1109702 "GCDDOM-" 1109707 NIL GCDDOM- (NIL T) -8 NIL NIL) (-452 1108034 1108219 1108522 "GB" 1109140 NIL GB (NIL T T T T) -7 NIL NIL) (-451 1096654 1098980 1101372 "GBINTERN" 1105725 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-450 1094491 1094783 1095204 "GBF" 1096329 NIL GBF (NIL T T T T) -7 NIL NIL) (-449 1093272 1093437 1093704 "GBEUCLID" 1094307 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-448 1092621 1092746 1092895 "GAUSSFAC" 1093143 T GAUSSFAC (NIL) -7 NIL NIL) (-447 1090990 1091292 1091605 "GALUTIL" 1092341 NIL GALUTIL (NIL T) -7 NIL NIL) (-446 1089298 1089572 1089896 "GALPOLYU" 1090717 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-445 1086663 1086953 1087360 "GALFACTU" 1088995 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-444 1078469 1079968 1081576 "GALFACT" 1085095 NIL GALFACT (NIL T) -7 NIL NIL) (-443 1075857 1076514 1076543 "FVFUN" 1077699 T FVFUN (NIL) -9 NIL 1078419) (-442 1075123 1075304 1075333 "FVC" 1075624 T FVC (NIL) -9 NIL 1075807) (-441 1074765 1074920 1075001 "FUNCTION" 1075075 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-440 1072435 1072986 1073475 "FT" 1074296 T FT (NIL) -8 NIL NIL) (-439 1071227 1071736 1071939 "FTEM" 1072252 T FTEM (NIL) -8 NIL NIL) (-438 1069485 1069774 1070177 "FSUPFACT" 1070919 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-437 1067882 1068171 1068503 "FST" 1069173 T FST (NIL) -8 NIL NIL) (-436 1067053 1067159 1067354 "FSRED" 1067764 NIL FSRED (NIL T T) -7 NIL NIL) (-435 1065734 1065989 1066342 "FSPRMELT" 1066769 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-434 1061100 1061805 1062562 "FSPECF" 1065039 NIL FSPECF (NIL T T) -7 NIL NIL) (-433 1043358 1051947 1051988 "FS" 1055836 NIL FS (NIL T) -9 NIL 1058114) (-432 1032008 1034998 1039054 "FS-" 1039351 NIL FS- (NIL T T) -8 NIL NIL) (-431 1031522 1031576 1031753 "FSINT" 1031949 NIL FSINT (NIL T T) -7 NIL NIL) (-430 1029807 1030519 1030820 "FSERIES" 1031303 NIL FSERIES (NIL T T) -8 NIL NIL) (-429 1028821 1028937 1029168 "FSCINT" 1029687 NIL FSCINT (NIL T T) -7 NIL NIL) (-428 1025056 1027766 1027808 "FSAGG" 1028178 NIL FSAGG (NIL T) -9 NIL 1028435) (-427 1022818 1023419 1024215 "FSAGG-" 1024310 NIL FSAGG- (NIL T T) -8 NIL NIL) (-426 1021860 1022003 1022230 "FSAGG2" 1022671 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-425 1019515 1019794 1020348 "FS2UPS" 1021578 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-424 1019097 1019140 1019295 "FS2" 1019466 NIL FS2 (NIL T T T T) -7 NIL NIL) (-423 1017954 1018125 1018434 "FS2EXPXP" 1018922 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-422 1017380 1017495 1017647 "FRUTIL" 1017834 NIL FRUTIL (NIL T) -7 NIL NIL) (-421 1008806 1012891 1014241 "FR" 1016062 NIL FR (NIL T) -8 NIL NIL) (-420 1003886 1006524 1006565 "FRNAALG" 1007961 NIL FRNAALG (NIL T) -9 NIL 1008567) (-419 999565 1000635 1001910 "FRNAALG-" 1002660 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-418 999203 999246 999373 "FRNAAF2" 999516 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-417 997566 998059 998353 "FRMOD" 999016 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-416 995281 995949 996266 "FRIDEAL" 997357 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-415 994476 994563 994852 "FRIDEAL2" 995188 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-414 993719 994133 994175 "FRETRCT" 994180 NIL FRETRCT (NIL T) -9 NIL 994354) (-413 992831 993062 993413 "FRETRCT-" 993418 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-412 990036 991256 991316 "FRAMALG" 992198 NIL FRAMALG (NIL T T) -9 NIL 992490) (-411 988169 988625 989255 "FRAMALG-" 989478 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-410 982072 987654 987925 "FRAC" 987930 NIL FRAC (NIL T) -8 NIL NIL) (-409 981708 981765 981872 "FRAC2" 982009 NIL FRAC2 (NIL T T) -7 NIL NIL) (-408 981344 981401 981508 "FR2" 981645 NIL FR2 (NIL T T) -7 NIL NIL) (-407 975966 978875 978904 "FPS" 980023 T FPS (NIL) -9 NIL 980577) (-406 975415 975524 975688 "FPS-" 975834 NIL FPS- (NIL T) -8 NIL NIL) (-405 972811 974508 974537 "FPC" 974762 T FPC (NIL) -9 NIL 974904) (-404 972604 972644 972741 "FPC-" 972746 NIL FPC- (NIL T) -8 NIL NIL) (-403 971483 972093 972135 "FPATMAB" 972140 NIL FPATMAB (NIL T) -9 NIL 972290) (-402 969183 969659 970085 "FPARFRAC" 971120 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-401 964578 965075 965757 "FORTRAN" 968615 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-400 962294 962794 963333 "FORT" 964059 T FORT (NIL) -7 NIL NIL) (-399 959970 960531 960560 "FORTFN" 961620 T FORTFN (NIL) -9 NIL 962244) (-398 959733 959783 959812 "FORTCAT" 959871 T FORTCAT (NIL) -9 NIL 959933) (-397 957793 958276 958675 "FORMULA" 959354 T FORMULA (NIL) -8 NIL NIL) (-396 957581 957611 957680 "FORMULA1" 957757 NIL FORMULA1 (NIL T) -7 NIL NIL) (-395 957104 957156 957329 "FORDER" 957523 NIL FORDER (NIL T T T T) -7 NIL NIL) (-394 956200 956364 956557 "FOP" 956931 T FOP (NIL) -7 NIL NIL) (-393 954808 955480 955654 "FNLA" 956082 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-392 953475 953864 953893 "FNCAT" 954465 T FNCAT (NIL) -9 NIL 954758) (-391 953041 953434 953462 "FNAME" 953467 T FNAME (NIL) -8 NIL NIL) (-390 951694 952667 952696 "FMTC" 952701 T FMTC (NIL) -9 NIL 952737) (-389 948012 949219 949847 "FMONOID" 951099 NIL FMONOID (NIL T) -8 NIL NIL) (-388 947233 947756 947904 "FM" 947909 NIL FM (NIL T T) -8 NIL NIL) (-387 944657 945302 945331 "FMFUN" 946475 T FMFUN (NIL) -9 NIL 947183) (-386 943926 944106 944135 "FMC" 944425 T FMC (NIL) -9 NIL 944607) (-385 941138 941972 942027 "FMCAT" 943222 NIL FMCAT (NIL T T) -9 NIL 943716) (-384 940031 940904 941004 "FM1" 941083 NIL FM1 (NIL T T) -8 NIL NIL) (-383 937805 938221 938715 "FLOATRP" 939582 NIL FLOATRP (NIL T) -7 NIL NIL) (-382 931292 935461 936091 "FLOAT" 937195 T FLOAT (NIL) -8 NIL NIL) (-381 928730 929230 929808 "FLOATCP" 930759 NIL FLOATCP (NIL T) -7 NIL NIL) (-380 927515 928363 928405 "FLINEXP" 928410 NIL FLINEXP (NIL T) -9 NIL 928502) (-379 926669 926904 927232 "FLINEXP-" 927237 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-378 925745 925889 926113 "FLASORT" 926521 NIL FLASORT (NIL T T) -7 NIL NIL) (-377 922961 923803 923856 "FLALG" 925083 NIL FLALG (NIL T T) -9 NIL 925550) (-376 916780 920474 920516 "FLAGG" 921778 NIL FLAGG (NIL T) -9 NIL 922426) (-375 915506 915845 916335 "FLAGG-" 916340 NIL FLAGG- (NIL T T) -8 NIL NIL) (-374 914548 914691 914918 "FLAGG2" 915359 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-373 911519 912537 912597 "FINRALG" 913725 NIL FINRALG (NIL T T) -9 NIL 914230) (-372 910679 910908 911247 "FINRALG-" 911252 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-371 910084 910297 910326 "FINITE" 910522 T FINITE (NIL) -9 NIL 910629) (-370 902542 904703 904744 "FINAALG" 908411 NIL FINAALG (NIL T) -9 NIL 909863) (-369 897882 898924 900068 "FINAALG-" 901447 NIL FINAALG- (NIL T T) -8 NIL NIL) (-368 897252 897637 897740 "FILE" 897812 NIL FILE (NIL T) -8 NIL NIL) (-367 895792 896129 896184 "FILECAT" 896962 NIL FILECAT (NIL T T) -9 NIL 897202) (-366 893602 895158 895187 "FIELD" 895227 T FIELD (NIL) -9 NIL 895307) (-365 892222 892607 893118 "FIELD-" 893123 NIL FIELD- (NIL T) -8 NIL NIL) (-364 890035 890857 891204 "FGROUP" 891908 NIL FGROUP (NIL T) -8 NIL NIL) (-363 889125 889289 889509 "FGLMICPK" 889867 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-362 884927 889050 889107 "FFX" 889112 NIL FFX (NIL T NIL) -8 NIL NIL) (-361 884467 884534 884656 "FFSQFR" 884855 NIL FFSQFR (NIL T T) -7 NIL NIL) (-360 884068 884129 884264 "FFSLPE" 884400 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-359 880064 880840 881636 "FFPOLY" 883304 NIL FFPOLY (NIL T) -7 NIL NIL) (-358 879568 879604 879813 "FFPOLY2" 880022 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-357 875390 879487 879550 "FFP" 879555 NIL FFP (NIL T NIL) -8 NIL NIL) (-356 870758 875301 875365 "FF" 875370 NIL FF (NIL NIL NIL) -8 NIL NIL) (-355 865854 870101 870291 "FFNBX" 870612 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-354 860764 864989 865247 "FFNBP" 865708 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-353 855367 860048 860259 "FFNB" 860597 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-352 854199 854397 854712 "FFINTBAS" 855164 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-351 850375 852610 852639 "FFIELDC" 853259 T FFIELDC (NIL) -9 NIL 853635) (-350 849038 849408 849905 "FFIELDC-" 849910 NIL FFIELDC- (NIL T) -8 NIL NIL) (-349 848608 848653 848777 "FFHOM" 848980 NIL FFHOM (NIL T T T) -7 NIL NIL) (-348 846306 846790 847307 "FFF" 848123 NIL FFF (NIL T) -7 NIL NIL) (-347 842002 842767 843611 "FFFG" 845530 NIL FFFG (NIL T T) -7 NIL NIL) (-346 840728 840937 841259 "FFFGF" 841780 NIL FFFGF (NIL T T T) -7 NIL NIL) (-345 839479 839676 839924 "FFFACTSE" 840530 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-344 835067 839221 839322 "FFCGX" 839422 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-343 830669 834799 834906 "FFCGP" 835010 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-342 825822 830396 830504 "FFCG" 830605 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-341 807611 816733 816820 "FFCAT" 821985 NIL FFCAT (NIL T T T) -9 NIL 823470) (-340 802809 803856 805170 "FFCAT-" 806400 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-339 802220 802263 802498 "FFCAT2" 802760 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-338 791390 795196 796414 "FEXPR" 801074 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-337 790392 790827 790869 "FEVALAB" 790953 NIL FEVALAB (NIL T) -9 NIL 791211) (-336 789551 789761 790099 "FEVALAB-" 790104 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-335 788144 788934 789137 "FDIV" 789450 NIL FDIV (NIL T T T T) -8 NIL NIL) (-334 785209 785924 786040 "FDIVCAT" 787608 NIL FDIVCAT (NIL T T T T) -9 NIL 788045) (-333 784971 784998 785168 "FDIVCAT-" 785173 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-332 784191 784278 784555 "FDIV2" 784878 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-331 782877 783136 783425 "FCPAK1" 783922 T FCPAK1 (NIL) -7 NIL NIL) (-330 782005 782377 782518 "FCOMP" 782768 NIL FCOMP (NIL T) -8 NIL NIL) (-329 765633 769048 772611 "FC" 778462 T FC (NIL) -8 NIL NIL) (-328 758177 762220 762261 "FAXF" 764063 NIL FAXF (NIL T) -9 NIL 764754) (-327 755457 756111 756936 "FAXF-" 757401 NIL FAXF- (NIL T T) -8 NIL NIL) (-326 750563 754833 755009 "FARRAY" 755314 NIL FARRAY (NIL T) -8 NIL NIL) (-325 745881 747957 748011 "FAMR" 749034 NIL FAMR (NIL T T) -9 NIL 749491) (-324 744771 745073 745508 "FAMR-" 745513 NIL FAMR- (NIL T T T) -8 NIL NIL) (-323 744359 744402 744553 "FAMR2" 744722 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-322 743555 744281 744334 "FAMONOID" 744339 NIL FAMONOID (NIL T) -8 NIL NIL) (-321 741385 742069 742123 "FAMONC" 743064 NIL FAMONC (NIL T T) -9 NIL 743449) (-320 740079 741141 741277 "FAGROUP" 741282 NIL FAGROUP (NIL T) -8 NIL NIL) (-319 737874 738193 738596 "FACUTIL" 739760 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-318 737290 737399 737545 "FACTRN" 737760 NIL FACTRN (NIL T) -7 NIL NIL) (-317 736389 736574 736796 "FACTFUNC" 737100 NIL FACTFUNC (NIL T) -7 NIL NIL) (-316 735805 735914 736060 "FACTEXT" 736275 NIL FACTEXT (NIL T) -7 NIL NIL) (-315 728125 735056 735268 "EXPUPXS" 735661 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-314 725608 726148 726734 "EXPRTUBE" 727559 T EXPRTUBE (NIL) -7 NIL NIL) (-313 724779 724874 725094 "EXPRSOL" 725508 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-312 720973 721565 722302 "EXPRODE" 724118 NIL EXPRODE (NIL T T) -7 NIL NIL) (-311 705994 719634 720059 "EXPR" 720580 NIL EXPR (NIL T) -8 NIL NIL) (-310 700401 700988 701801 "EXPR2UPS" 705292 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-309 700037 700094 700201 "EXPR2" 700338 NIL EXPR2 (NIL T T) -7 NIL NIL) (-308 691377 699169 699466 "EXPEXPAN" 699874 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-307 691089 691140 691217 "EXP3D" 691320 T EXP3D (NIL) -7 NIL NIL) (-306 690916 691046 691075 "EXIT" 691080 T EXIT (NIL) -8 NIL NIL) (-305 690543 690605 690718 "EVALCYC" 690848 NIL EVALCYC (NIL T) -7 NIL NIL) (-304 690085 690201 690243 "EVALAB" 690413 NIL EVALAB (NIL T) -9 NIL 690517) (-303 689566 689688 689909 "EVALAB-" 689914 NIL EVALAB- (NIL T T) -8 NIL NIL) (-302 687024 688336 688365 "EUCDOM" 688920 T EUCDOM (NIL) -9 NIL 689270) (-301 685429 685871 686461 "EUCDOM-" 686466 NIL EUCDOM- (NIL T) -8 NIL NIL) (-300 672969 675727 678477 "ESTOOLS" 682699 T ESTOOLS (NIL) -7 NIL NIL) (-299 672601 672658 672767 "ESTOOLS2" 672906 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-298 672352 672394 672474 "ESTOOLS1" 672553 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-297 666278 668006 668035 "ES" 670803 T ES (NIL) -9 NIL 672210) (-296 661226 662512 664329 "ES-" 664493 NIL ES- (NIL T) -8 NIL NIL) (-295 657601 658361 659141 "ESCONT" 660466 T ESCONT (NIL) -7 NIL NIL) (-294 657346 657378 657460 "ESCONT1" 657563 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-293 657021 657071 657171 "ES2" 657290 NIL ES2 (NIL T T) -7 NIL NIL) (-292 656651 656709 656818 "ES1" 656957 NIL ES1 (NIL T T) -7 NIL NIL) (-291 655867 655996 656172 "ERROR" 656495 T ERROR (NIL) -7 NIL NIL) (-290 649382 655726 655817 "EQTBL" 655822 NIL EQTBL (NIL T T) -8 NIL NIL) (-289 641841 644724 646159 "EQ" 647980 NIL -3189 (NIL T) -8 NIL NIL) (-288 641473 641530 641639 "EQ2" 641778 NIL EQ2 (NIL T T) -7 NIL NIL) (-287 636765 637811 638904 "EP" 640412 NIL EP (NIL T) -7 NIL NIL) (-286 635919 636483 636512 "ENTIRER" 636517 T ENTIRER (NIL) -9 NIL 636563) (-285 632375 633874 634244 "EMR" 635718 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-284 631521 631704 631759 "ELTAGG" 632139 NIL ELTAGG (NIL T T) -9 NIL 632349) (-283 631240 631302 631443 "ELTAGG-" 631448 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-282 631028 631057 631112 "ELTAB" 631196 NIL ELTAB (NIL T T) -9 NIL NIL) (-281 630154 630300 630499 "ELFUTS" 630879 NIL ELFUTS (NIL T T) -7 NIL NIL) (-280 629895 629951 629980 "ELEMFUN" 630085 T ELEMFUN (NIL) -9 NIL NIL) (-279 629765 629786 629854 "ELEMFUN-" 629859 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-278 624695 627898 627940 "ELAGG" 628880 NIL ELAGG (NIL T) -9 NIL 629341) (-277 622980 623414 624077 "ELAGG-" 624082 NIL ELAGG- (NIL T T) -8 NIL NIL) (-276 615850 617649 618475 "EFUPXS" 622257 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-275 609302 611103 611912 "EFULS" 615127 NIL EFULS (NIL T T T) -8 NIL NIL) (-274 606724 607082 607561 "EFSTRUC" 608934 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-273 595736 597301 598862 "EF" 605239 NIL EF (NIL T T) -7 NIL NIL) (-272 594837 595221 595370 "EAB" 595607 T EAB (NIL) -8 NIL NIL) (-271 594046 594796 594824 "E04UCFA" 594829 T E04UCFA (NIL) -8 NIL NIL) (-270 593255 594005 594033 "E04NAFA" 594038 T E04NAFA (NIL) -8 NIL NIL) (-269 592464 593214 593242 "E04MBFA" 593247 T E04MBFA (NIL) -8 NIL NIL) (-268 591673 592423 592451 "E04JAFA" 592456 T E04JAFA (NIL) -8 NIL NIL) (-267 590884 591632 591660 "E04GCFA" 591665 T E04GCFA (NIL) -8 NIL NIL) (-266 590095 590843 590871 "E04FDFA" 590876 T E04FDFA (NIL) -8 NIL NIL) (-265 589304 590054 590082 "E04DGFA" 590087 T E04DGFA (NIL) -8 NIL NIL) (-264 583483 584829 586193 "E04AGNT" 587960 T E04AGNT (NIL) -7 NIL NIL) (-263 582206 582686 582727 "DVARCAT" 583202 NIL DVARCAT (NIL T) -9 NIL 583401) (-262 581410 581622 581936 "DVARCAT-" 581941 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-261 574379 574861 575610 "DTP" 580941 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-260 571828 573801 573958 "DSTREE" 574255 NIL DSTREE (NIL T) -8 NIL NIL) (-259 569297 571142 571184 "DSTRCAT" 571403 NIL DSTRCAT (NIL T) -9 NIL 571537) (-258 562151 569096 569225 "DSMP" 569230 NIL DSMP (NIL T T T) -8 NIL NIL) (-257 556961 558096 559164 "DROPT" 561103 T DROPT (NIL) -8 NIL NIL) (-256 556626 556685 556783 "DROPT1" 556896 NIL DROPT1 (NIL T) -7 NIL NIL) (-255 551741 552867 554004 "DROPT0" 555509 T DROPT0 (NIL) -7 NIL NIL) (-254 550086 550411 550797 "DRAWPT" 551375 T DRAWPT (NIL) -7 NIL NIL) (-253 544673 545596 546675 "DRAW" 549060 NIL DRAW (NIL T) -7 NIL NIL) (-252 544306 544359 544477 "DRAWHACK" 544614 NIL DRAWHACK (NIL T) -7 NIL NIL) (-251 543037 543306 543597 "DRAWCX" 544035 T DRAWCX (NIL) -7 NIL NIL) (-250 542553 542621 542772 "DRAWCURV" 542963 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-249 533025 534983 537098 "DRAWCFUN" 540458 T DRAWCFUN (NIL) -7 NIL NIL) (-248 529878 531754 531796 "DQAGG" 532425 NIL DQAGG (NIL T) -9 NIL 532698) (-247 518306 525047 525131 "DPOLCAT" 526983 NIL DPOLCAT (NIL T T T T) -9 NIL 527527) (-246 513145 514491 516449 "DPOLCAT-" 516454 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-245 505884 513006 513104 "DPMO" 513109 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-244 498526 505664 505831 "DPMM" 505836 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-243 492231 498161 498313 "DMP" 498427 NIL DMP (NIL NIL T) -8 NIL NIL) (-242 491831 491887 492031 "DLP" 492169 NIL DLP (NIL T) -7 NIL NIL) (-241 485481 490932 491159 "DLIST" 491636 NIL DLIST (NIL T) -8 NIL NIL) (-240 482366 484369 484411 "DLAGG" 484961 NIL DLAGG (NIL T) -9 NIL 485190) (-239 481023 481715 481744 "DIVRING" 481894 T DIVRING (NIL) -9 NIL 482002) (-238 480011 480264 480657 "DIVRING-" 480662 NIL DIVRING- (NIL T) -8 NIL NIL) (-237 478439 479604 479740 "DIV" 479908 NIL DIV (NIL T) -8 NIL NIL) (-236 475933 477001 477043 "DIVCAT" 477877 NIL DIVCAT (NIL T) -9 NIL 478208) (-235 474035 474392 474798 "DISPLAY" 475547 T DISPLAY (NIL) -7 NIL NIL) (-234 471528 472741 473123 "DIRRING" 473686 NIL DIRRING (NIL T) -8 NIL NIL) (-233 465388 471442 471505 "DIRPROD" 471510 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-232 464236 464439 464704 "DIRPROD2" 465181 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-231 453800 459829 459883 "DIRPCAT" 460141 NIL DIRPCAT (NIL NIL T) -9 NIL 460985) (-230 451126 451768 452649 "DIRPCAT-" 452986 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-229 450413 450573 450759 "DIOSP" 450960 T DIOSP (NIL) -7 NIL NIL) (-228 447156 449360 449402 "DIOPS" 449836 NIL DIOPS (NIL T) -9 NIL 450064) (-227 446705 446819 447010 "DIOPS-" 447015 NIL DIOPS- (NIL T T) -8 NIL NIL) (-226 445572 446210 446239 "DIFRING" 446426 T DIFRING (NIL) -9 NIL 446536) (-225 445218 445295 445447 "DIFRING-" 445452 NIL DIFRING- (NIL T) -8 NIL NIL) (-224 443000 444282 444324 "DIFEXT" 444687 NIL DIFEXT (NIL T) -9 NIL 444979) (-223 441285 441713 442379 "DIFEXT-" 442384 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-222 438647 440851 440893 "DIAGG" 440898 NIL DIAGG (NIL T) -9 NIL 440918) (-221 438031 438188 438440 "DIAGG-" 438445 NIL DIAGG- (NIL T T) -8 NIL NIL) (-220 433401 436990 437267 "DHMATRIX" 437800 NIL DHMATRIX (NIL T) -8 NIL NIL) (-219 428612 433215 433289 "DFVEC" 433347 T DFVEC (NIL) -8 NIL NIL) (-218 422213 423563 425000 "DFSFUN" 427195 T DFSFUN (NIL) -7 NIL NIL) (-217 418474 421984 422078 "DFMAT" 422139 T DFMAT (NIL) -8 NIL NIL) (-216 412751 416928 417361 "DFLOAT" 418061 T DFLOAT (NIL) -8 NIL NIL) (-215 410979 411260 411656 "DFINTTLS" 412459 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-214 407998 409000 409400 "DERHAM" 410645 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-213 399611 401528 402963 "DEQUEUE" 406596 NIL DEQUEUE (NIL T) -8 NIL NIL) (-212 398826 398959 399155 "DEGRED" 399473 NIL DEGRED (NIL T T) -7 NIL NIL) (-211 395221 395966 396819 "DEFINTRF" 398054 NIL DEFINTRF (NIL T) -7 NIL NIL) (-210 392748 393217 393816 "DEFINTEF" 394740 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-209 386566 392186 392353 "DECIMAL" 392601 T DECIMAL (NIL) -8 NIL NIL) (-208 384078 384536 385042 "DDFACT" 386110 NIL DDFACT (NIL T T) -7 NIL NIL) (-207 383674 383717 383868 "DBLRESP" 384029 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-206 381384 381718 382087 "DBASE" 383432 NIL DBASE (NIL T) -8 NIL NIL) (-205 380517 381343 381371 "D03FAFA" 381376 T D03FAFA (NIL) -8 NIL NIL) (-204 379651 380476 380504 "D03EEFA" 380509 T D03EEFA (NIL) -8 NIL NIL) (-203 377601 378067 378556 "D03AGNT" 379182 T D03AGNT (NIL) -7 NIL NIL) (-202 376917 377560 377588 "D02EJFA" 377593 T D02EJFA (NIL) -8 NIL NIL) (-201 376233 376876 376904 "D02CJFA" 376909 T D02CJFA (NIL) -8 NIL NIL) (-200 375549 376192 376220 "D02BHFA" 376225 T D02BHFA (NIL) -8 NIL NIL) (-199 374865 375508 375536 "D02BBFA" 375541 T D02BBFA (NIL) -8 NIL NIL) (-198 368064 369651 371257 "D02AGNT" 373279 T D02AGNT (NIL) -7 NIL NIL) (-197 365833 366355 366901 "D01WGTS" 367538 T D01WGTS (NIL) -7 NIL NIL) (-196 364928 365792 365820 "D01TRNS" 365825 T D01TRNS (NIL) -8 NIL NIL) (-195 364023 364887 364915 "D01GBFA" 364920 T D01GBFA (NIL) -8 NIL NIL) (-194 363118 363982 364010 "D01FCFA" 364015 T D01FCFA (NIL) -8 NIL NIL) (-193 362213 363077 363105 "D01ASFA" 363110 T D01ASFA (NIL) -8 NIL NIL) (-192 361308 362172 362200 "D01AQFA" 362205 T D01AQFA (NIL) -8 NIL NIL) (-191 360403 361267 361295 "D01APFA" 361300 T D01APFA (NIL) -8 NIL NIL) (-190 359498 360362 360390 "D01ANFA" 360395 T D01ANFA (NIL) -8 NIL NIL) (-189 358593 359457 359485 "D01AMFA" 359490 T D01AMFA (NIL) -8 NIL NIL) (-188 357688 358552 358580 "D01ALFA" 358585 T D01ALFA (NIL) -8 NIL NIL) (-187 356783 357647 357675 "D01AKFA" 357680 T D01AKFA (NIL) -8 NIL NIL) (-186 355878 356742 356770 "D01AJFA" 356775 T D01AJFA (NIL) -8 NIL NIL) (-185 349175 350726 352287 "D01AGNT" 354337 T D01AGNT (NIL) -7 NIL NIL) (-184 348512 348640 348792 "CYCLOTOM" 349043 T CYCLOTOM (NIL) -7 NIL NIL) (-183 345247 345960 346687 "CYCLES" 347805 T CYCLES (NIL) -7 NIL NIL) (-182 344559 344693 344864 "CVMP" 345108 NIL CVMP (NIL T) -7 NIL NIL) (-181 342331 342588 342964 "CTRIGMNP" 344287 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-180 341705 341804 341957 "CSTTOOLS" 342228 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-179 337504 338161 338919 "CRFP" 341017 NIL CRFP (NIL T T) -7 NIL NIL) (-178 336551 336736 336964 "CRAPACK" 337308 NIL CRAPACK (NIL T) -7 NIL NIL) (-177 335937 336038 336241 "CPMATCH" 336428 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-176 335662 335690 335796 "CPIMA" 335903 NIL CPIMA (NIL T T T) -7 NIL NIL) (-175 332010 332682 333401 "COORDSYS" 334997 NIL COORDSYS (NIL T) -7 NIL NIL) (-174 327871 330013 330505 "CONTFRAC" 331550 NIL CONTFRAC (NIL T) -8 NIL NIL) (-173 327019 327583 327612 "COMRING" 327617 T COMRING (NIL) -9 NIL 327669) (-172 326100 326377 326561 "COMPPROP" 326855 T COMPPROP (NIL) -8 NIL NIL) (-171 325761 325796 325924 "COMPLPAT" 326059 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-170 315732 325572 325680 "COMPLEX" 325685 NIL COMPLEX (NIL T) -8 NIL NIL) (-169 315368 315425 315532 "COMPLEX2" 315669 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-168 315086 315121 315219 "COMPFACT" 315327 NIL COMPFACT (NIL T T) -7 NIL NIL) (-167 299338 309638 309679 "COMPCAT" 310683 NIL COMPCAT (NIL T) -9 NIL 312064) (-166 288854 291777 295404 "COMPCAT-" 295760 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-165 288583 288611 288714 "COMMUPC" 288820 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-164 288378 288411 288470 "COMMONOP" 288544 T COMMONOP (NIL) -7 NIL NIL) (-163 287961 288129 288216 "COMM" 288311 T COMM (NIL) -8 NIL NIL) (-162 287209 287403 287432 "COMBOPC" 287770 T COMBOPC (NIL) -9 NIL 287945) (-161 286105 286315 286557 "COMBINAT" 286999 NIL COMBINAT (NIL T) -7 NIL NIL) (-160 282303 282876 283516 "COMBF" 285527 NIL COMBF (NIL T T) -7 NIL NIL) (-159 281089 281419 281654 "COLOR" 282088 T COLOR (NIL) -8 NIL NIL) (-158 280729 280776 280901 "CMPLXRT" 281036 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-157 276231 277259 278339 "CLIP" 279669 T CLIP (NIL) -7 NIL NIL) (-156 274567 275337 275576 "CLIF" 276058 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-155 270832 272750 272792 "CLAGG" 273721 NIL CLAGG (NIL T) -9 NIL 274254) (-154 269254 269711 270294 "CLAGG-" 270299 NIL CLAGG- (NIL T T) -8 NIL NIL) (-153 268798 268883 269023 "CINTSLPE" 269163 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-152 266299 266770 267318 "CHVAR" 268326 NIL CHVAR (NIL T T T) -7 NIL NIL) (-151 265517 266081 266110 "CHARZ" 266115 T CHARZ (NIL) -9 NIL 266130) (-150 265271 265311 265389 "CHARPOL" 265471 NIL CHARPOL (NIL T) -7 NIL NIL) (-149 264373 264970 264999 "CHARNZ" 265046 T CHARNZ (NIL) -9 NIL 265102) (-148 262396 263063 263398 "CHAR" 264058 T CHAR (NIL) -8 NIL NIL) (-147 262121 262182 262211 "CFCAT" 262322 T CFCAT (NIL) -9 NIL NIL) (-146 256254 261778 261896 "CDFVEC" 262023 T CDFVEC (NIL) -8 NIL NIL) (-145 251969 256011 256112 "CDFMAT" 256173 T CDFMAT (NIL) -8 NIL NIL) (-144 251214 251325 251507 "CDEN" 251853 NIL CDEN (NIL T T T) -7 NIL NIL) (-143 247206 250367 250647 "CCLASS" 250954 T CCLASS (NIL) -8 NIL NIL) (-142 242259 243235 243988 "CARTEN" 246509 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-141 241367 241515 241736 "CARTEN2" 242106 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-140 239662 240517 240774 "CARD" 241130 T CARD (NIL) -8 NIL NIL) (-139 239033 239361 239390 "CACHSET" 239522 T CACHSET (NIL) -9 NIL 239599) (-138 238528 238824 238853 "CABMON" 238903 T CABMON (NIL) -9 NIL 238959) (-137 236091 238220 238327 "BTREE" 238454 NIL BTREE (NIL T) -8 NIL NIL) (-136 233595 235739 235861 "BTOURN" 236001 NIL BTOURN (NIL T) -8 NIL NIL) (-135 231052 233099 233141 "BTCAT" 233209 NIL BTCAT (NIL T) -9 NIL 233286) (-134 230719 230799 230948 "BTCAT-" 230953 NIL BTCAT- (NIL T T) -8 NIL NIL) (-133 225909 229779 229808 "BTAGG" 230064 T BTAGG (NIL) -9 NIL 230243) (-132 225332 225476 225706 "BTAGG-" 225711 NIL BTAGG- (NIL T) -8 NIL NIL) (-131 222382 224610 224825 "BSTREE" 225149 NIL BSTREE (NIL T) -8 NIL NIL) (-130 220785 221332 221632 "BSD" 222102 T BSD (NIL) -8 NIL NIL) (-129 219923 220049 220233 "BRILL" 220641 NIL BRILL (NIL T) -7 NIL NIL) (-128 216663 218684 218726 "BRAGG" 219375 NIL BRAGG (NIL T) -9 NIL 219632) (-127 215192 215598 216153 "BRAGG-" 216158 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 208391 214538 214722 "BPADICRT" 215040 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 206695 208328 208373 "BPADIC" 208378 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 206393 206423 206537 "BOUNDZRO" 206659 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 201908 202999 203866 "BOP" 205546 T BOP (NIL) -8 NIL NIL) (-122 199531 199975 200494 "BOP1" 201422 NIL BOP1 (NIL T) -7 NIL NIL) (-121 197884 198574 198868 "BOOLEAN" 199257 T BOOLEAN (NIL) -8 NIL NIL) (-120 197245 197623 197678 "BMODULE" 197683 NIL BMODULE (NIL T T) -9 NIL 197748) (-119 193588 194258 195044 "BLUPPACK" 196577 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 192980 193465 193534 "BLQT" 193539 T BLQT (NIL) -8 NIL NIL) (-117 191409 191884 191913 "BLMETCT" 192558 T BLMETCT (NIL) -9 NIL 192930) (-116 190808 191290 191357 "BLHN" 191362 T BLHN (NIL) -8 NIL NIL) (-115 189626 189885 190168 "BLAS1" 190545 T BLAS1 (NIL) -7 NIL NIL) (-114 185436 189424 189497 "BITS" 189573 T BITS (NIL) -8 NIL NIL) (-113 184507 184968 185120 "BINFILE" 185304 T BINFILE (NIL) -8 NIL NIL) (-112 178329 183948 184114 "BINARY" 184361 T BINARY (NIL) -8 NIL NIL) (-111 176196 177618 177660 "BGAGG" 177920 NIL BGAGG (NIL T) -9 NIL 178057) (-110 176027 176059 176150 "BGAGG-" 176155 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175125 175411 175616 "BFUNCT" 175842 T BFUNCT (NIL) -8 NIL NIL) (-108 173817 173995 174282 "BEZOUT" 174950 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 172780 173002 173261 "BEZIER" 173591 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169303 171632 171962 "BBTREE" 172483 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169036 169089 169118 "BASTYPE" 169237 T BASTYPE (NIL) -9 NIL NIL) (-104 168889 168917 168990 "BASTYPE-" 168995 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168323 168399 168551 "BALFACT" 168800 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167687 167810 167958 "AXSERV" 168195 T AXSERV (NIL) -7 NIL NIL) (-101 166500 167097 167285 "AUTOMOR" 167532 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166212 166217 166246 "ATTREG" 166251 T ATTREG (NIL) -9 NIL NIL) (-99 164491 164909 165261 "ATTRBUT" 165878 T ATTRBUT (NIL) -8 NIL NIL) (-98 164026 164139 164166 "ATRIG" 164367 T ATRIG (NIL) -9 NIL NIL) (-97 163835 163876 163963 "ATRIG-" 163968 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157395 158964 160075 "ASTACK" 162755 NIL ASTACK (NIL T) -8 NIL NIL) (-95 155902 156199 156563 "ASSOCEQ" 157078 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 154934 155561 155685 "ASP9" 155809 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154698 154882 154921 "ASP8" 154926 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153568 154303 154445 "ASP80" 154587 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152467 153203 153335 "ASP7" 153467 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151423 152144 152262 "ASP78" 152380 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150394 151103 151220 "ASP77" 151337 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149309 150032 150163 "ASP74" 150294 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148210 148944 149076 "ASP73" 149208 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147165 147887 148005 "ASP6" 148123 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146114 146842 146960 "ASP55" 147078 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145064 145788 145907 "ASP50" 146026 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144152 144765 144875 "ASP4" 144985 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143240 143853 143963 "ASP49" 144073 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142025 142779 142947 "ASP42" 143129 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 140803 141558 141728 "ASP41" 141912 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 139755 140480 140598 "ASP35" 140716 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139520 139703 139742 "ASP34" 139747 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139257 139324 139400 "ASP33" 139475 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138153 138892 139024 "ASP31" 139156 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 137918 138101 138140 "ASP30" 138145 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137653 137722 137798 "ASP29" 137873 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137418 137601 137640 "ASP28" 137645 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137183 137366 137405 "ASP27" 137410 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136267 136881 136992 "ASP24" 137103 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135184 135908 136038 "ASP20" 136168 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134272 134885 134995 "ASP1" 135105 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133216 133946 134065 "ASP19" 134184 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 132953 133020 133096 "ASP12" 133171 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 131806 132552 132696 "ASP10" 132840 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129711 131650 131741 "ARRAY2" 131746 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125533 129359 129473 "ARRAY1" 129628 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124565 124738 124959 "ARRAY12" 125356 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 118964 120829 120905 "ARR2CAT" 123535 NIL ARR2CAT (NIL T T T) -9 NIL 124293) (-61 116398 117142 118096 "ARR2CAT-" 118101 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115146 115298 115604 "APPRULE" 116234 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 114797 114845 114964 "APPLYORE" 115092 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114321 114409 114519 "API" 114705 T API (NIL) -7 NIL NIL) (-57 113295 113586 113781 "ANY" 114144 T ANY (NIL) -8 NIL NIL) (-56 112573 112696 112853 "ANY1" 113169 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110092 111010 111337 "ANTISYM" 112297 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109919 110051 110078 "ANON" 110083 T ANON (NIL) -8 NIL NIL) (-53 103986 108458 108912 "AN" 109483 T AN (NIL) -8 NIL NIL) (-52 100281 101679 101731 "AMR" 102479 NIL AMR (NIL T T) -9 NIL 103073) (-51 99393 99614 99977 "AMR-" 99982 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 83955 99310 99371 "ALIST" 99376 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80792 83549 83718 "ALGSC" 83873 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77350 77904 78510 "ALGPKG" 80233 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76627 76728 76912 "ALGMFACT" 77236 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72375 73059 73710 "ALGMANIP" 76154 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72001 72151 "ALGFF" 72308 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
+((-3429 (((-121)) 14)) (-4275 (((-1258) (-635 |#1|) (-635 |#1|)) 18) (((-1258) (-635 |#1|)) 19)) (-3206 (((-121) |#1| |#1|) 30 (|has| |#1| (-844)))) (-1396 (((-121) |#1| |#1| (-1 (-121) |#1| |#1|)) 26) (((-3 (-121) "failed") |#1| |#1|) 24)) (-2480 ((|#1| (-635 |#1|)) 31 (|has| |#1| (-844))) ((|#1| (-635 |#1|) (-1 (-121) |#1| |#1|)) 27)) (-4361 (((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|)))) 16))) 
+(((-1205 |#1|) (-10 -7 (-15 -4275 ((-1258) (-635 |#1|))) (-15 -4275 ((-1258) (-635 |#1|) (-635 |#1|))) (-15 -4361 ((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|))))) (-15 -1396 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1396 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -2480 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3429 ((-121))) (IF (|has| |#1| (-844)) (PROGN (-15 -2480 (|#1| (-635 |#1|))) (-15 -3206 ((-121) |#1| |#1|))) |noBranch|)) (-1093)) (T -1205)) 
+((-3206 (*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-844)) (-4 *3 (-1093)))) (-2480 (*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-1205 *2)))) (-3429 (*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-2480 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1205 *2)) (-4 *2 (-1093)))) (-1396 (*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1093)) (-5 *2 (-121)) (-5 *1 (-1205 *3)))) (-1396 (*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-4361 (*1 *2) (-12 (-5 *2 (-2 (|:| -2182 (-635 *3)) (|:| -2289 (-635 *3)))) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) (-4275 (*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4)))) (-4275 (*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4))))) 
+(-10 -7 (-15 -4275 ((-1258) (-635 |#1|))) (-15 -4275 ((-1258) (-635 |#1|) (-635 |#1|))) (-15 -4361 ((-2 (|:| -2182 (-635 |#1|)) (|:| -2289 (-635 |#1|))))) (-15 -1396 ((-3 (-121) "failed") |#1| |#1|)) (-15 -1396 ((-121) |#1| |#1| (-1 (-121) |#1| |#1|))) (-15 -2480 (|#1| (-635 |#1|) (-1 (-121) |#1| |#1|))) (-15 -3429 ((-121))) (IF (|has| |#1| (-844)) (PROGN (-15 -2480 (|#1| (-635 |#1|))) (-15 -3206 ((-121) |#1| |#1|))) |noBranch|)) 
+((-3718 (((-1258) (-635 (-1165)) (-635 (-1165))) 12) (((-1258) (-635 (-1165))) 10)) (-3825 (((-1258)) 13)) (-2373 (((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) 17))) 
+(((-1206) (-10 -7 (-15 -3718 ((-1258) (-635 (-1165)))) (-15 -3718 ((-1258) (-635 (-1165)) (-635 (-1165)))) (-15 -2373 ((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165)))))) (-15 -3825 ((-1258))))) (T -1206)) 
+((-3825 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1206)))) (-2373 (*1 *2) (-12 (-5 *2 (-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) (-5 *1 (-1206)))) (-3718 (*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206)))) (-3718 (*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206))))) 
+(-10 -7 (-15 -3718 ((-1258) (-635 (-1165)))) (-15 -3718 ((-1258) (-635 (-1165)) (-635 (-1165)))) (-15 -2373 ((-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165)))))) (-15 -3825 ((-1258)))) 
+((-2710 (($ $) 16)) (-2005 (((-121) $) 23))) 
+(((-1207 |#1|) (-10 -8 (-15 -2710 (|#1| |#1|)) (-15 -2005 ((-121) |#1|))) (-1208)) (T -1207)) 
+NIL 
+(-10 -8 (-15 -2710 (|#1| |#1|)) (-15 -2005 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 49)) (-3742 (((-421 $) $) 50)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-2005 (((-121) $) 51)) (-3934 (((-121) $) 30)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 48)) (-1436 (((-3 $ "failed") $ $) 41)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42)) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23))) 
+(((-1208) (-1284)) (T -1208)) 
+((-2005 (*1 *2 *1) (-12 (-4 *1 (-1208)) (-5 *2 (-121)))) (-3742 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) (-2710 (*1 *1 *1) (-4 *1 (-1208))) (-3139 (*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208))))) 
+(-13 (-454) (-10 -8 (-15 -2005 ((-121) $)) (-15 -3742 ((-421 $) $)) (-15 -2710 ($ $)) (-15 -3139 ((-421 $) $)))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 $) . T) ((-105) . T) ((-120 $ $) . T) ((-138) . T) ((-609 (-852)) . T) ((-173) . T) ((-286) . T) ((-454) . T) ((-559) . T) ((-638 $) . T) ((-709 $) . T) ((-718) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-3134 (((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)) 15))) 
+(((-1209 |#1|) (-10 -7 (-15 -3134 ((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)))) (-1049)) (T -1209)) 
+((-3134 (*1 *2 *2 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-1049)) (-5 *1 (-1209 *3))))) 
+(-10 -7 (-15 -3134 ((-1210 |#1|) (-1210 |#1|) (-1210 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) NIL)) (-2185 (((-1225 (QUOTE |x|) |#1|) $ (-765)) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-765)) NIL) (($ $ (-765) (-765)) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) NIL) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) NIL)) (-2849 (((-955 |#1|) $ (-765)) NIL) (((-955 |#1|) $ (-765) (-765)) NIL)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) NIL)) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) NIL)) (-1451 (($ $) NIL)) (-1665 (($ (-569) (-569) $) NIL)) (-1324 (($ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 (QUOTE |x|))) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) NIL)) (-3803 (($ $ (-765)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) NIL)) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) NIL) (($ $ $) NIL (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 (QUOTE |x|))) NIL)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1225 (QUOTE |x|) |#1|)) NIL) (($ (-1249 (QUOTE |x|))) NIL)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) NIL)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) NIL T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1210 |#1|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 (QUOTE |x|) |#1|))) (-15 -2185 ((-1225 (QUOTE |x|) |#1|) $ (-765))) (-15 -3956 ($ (-1249 (QUOTE |x|)))) (-15 -3289 ($ $ (-1249 (QUOTE |x|)))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 (QUOTE |x|)))) |noBranch|))) (-1049)) (T -1210)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 (QUOTE |x|) *3)) (-4 *3 (-1049)) (-5 *1 (-1210 *3)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 (QUOTE |x|) *4)) (-5 *1 (-1210 *4)) (-4 *4 (-1049)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
+(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 (QUOTE |x|) |#1|))) (-15 -2185 ((-1225 (QUOTE |x|) |#1|) $ (-765))) (-15 -3956 ($ (-1249 (QUOTE |x|)))) (-15 -3289 ($ $ (-1249 (QUOTE |x|)))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 (QUOTE |x|)))) |noBranch|))) 
+((-4188 (((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)) 23))) 
+(((-1211 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 ((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)))) (-1049) (-1049) (-1165) (-1165) |#1| |#2|) (T -1211)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1216 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1216 *6 *8 *10)) (-5 *1 (-1211 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165))))) 
+(-10 -7 (-15 -4188 ((-1216 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1216 |#1| |#3| |#5|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-569) $) 95) (((-569) $ (-569)) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 165)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-569)) 60) (($ $ (-1077) (-569)) 72) (($ $ (-635 (-1077)) (-635 (-569))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569)))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-2284 (((-569) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-569) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1212 |#1|) (-1284) (-1049)) (T -1212)) 
+((-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1212 *3)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1212 *3)) (-4 *3 (-1049)))) (-1549 (*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) (-1549 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1212 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1230 |t#1| (-569)) (-10 -8 (-15 -4314 ($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |t#1|))))) (-15 -3449 ($ (-1 |t#1| (-569)) $)) (IF (|has| |t#1| (-559)) (PROGN (-15 -1549 ((-410 (-955 |t#1|)) $ (-569))) (-15 -1549 ((-410 (-955 |t#1|)) $ (-569) (-569)))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-569) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-569) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-569) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-569)) . T)) 
+((-2225 (((-121) $) 12)) (-3003 (((-3 |#3| "failed") $) 17) (((-3 (-1165) "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL)) (-1321 ((|#3| $) 14) (((-1165) $) NIL) (((-410 (-569)) $) NIL) (((-569) $) NIL))) 
+(((-1213 |#1| |#2| |#3|) (-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) (-1214 |#2| |#3|) (-1049) (-1243 |#2|)) (T -1213)) 
+NIL 
+(-10 -8 (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -1321 ((-1165) |#1|)) (-15 -3003 ((-3 (-1165) "failed") |#1|)) (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3644 ((|#2| $) 219 (-3993 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 93) (($ $ (-569) (-569)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 100)) (-1312 ((|#2| $) 255)) (-2397 (((-3 |#2| "failed") $) 251)) (-3221 ((|#2| $) 252)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 228 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 225 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) 237 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 166)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 258) (((-3 (-569) "failed") $) 247 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) 245 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-1165) "failed") $) 230 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-1321 ((|#2| $) 257) (((-569) $) 248 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) 246 (-3993 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-1165) $) 231 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-4339 (($ $) 254) (($ (-569) $) 253)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-3435 (((-681 |#2|) (-681 $)) 209 (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) 208 (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 207 (-3993 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) 206 (-3993 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 33)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 164 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 163 (|has| |#1| (-559)))) (-3341 (($) 221 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-1863 (((-121) $) 235 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 213 (-3993 (|has| |#2| (-883 (-382))) (|has| |#1| (-366)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 212 (-3993 (|has| |#2| (-883 (-569))) (|has| |#1| (-366))))) (-4433 (((-569) $) 95) (((-569) $ (-569)) 94)) (-3934 (((-121) $) 30)) (-3043 (($ $) 217 (|has| |#1| (-366)))) (-3515 ((|#2| $) 215 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) 249 (-3993 (|has| |#2| (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) 236 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 165)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-569)) 60) (($ $ (-1077) (-569)) 72) (($ $ (-635 (-1077)) (-635 (-569))) 71)) (-2157 (($ $ $) 239 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-2713 (($ $ $) 240 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-4188 (($ (-1 |#1| |#1|) $) 62) (($ (-1 |#2| |#2|) $) 201 (|has| |#1| (-366)))) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-3228 (($ (-569) |#2|) 256)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1423 (($) 250 (-3993 (|has| |#2| (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-1391 (($ $) 220 (-3993 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1807 ((|#2| $) 223 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) 226 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) 227 (-3993 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) |#2|) 200 (-3993 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 |#2|)) 199 (-3993 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) 198 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) 197 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) 196 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) 195 (-3993 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 99) (($ $ $) 76 (|has| (-569) (-1105))) (($ $ |#2|) 194 (-3993 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) 205 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) 204 (|has| |#1| (-366))) (($ $ (-765)) 79 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 77 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 84 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165) (-765)) 83 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1165))) 82 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165)) 81 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-2572 (($ $) 218 (|has| |#1| (-366)))) (-3524 ((|#2| $) 216 (|has| |#1| (-366)))) (-2284 (((-569) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-216) $) 234 (-3993 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-382) $) 233 (-3993 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-542) $) 232 (-3993 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-889 (-382)) $) 211 (-3993 (|has| |#2| (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) 210 (-3993 (|has| |#2| (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 224 (-3993 (-3993 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#1| (-366))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 259) (($ (-1165)) 229 (-3993 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366)))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 58)) (-2277 (((-3 $ "failed") $) 47 (-1929 (-3993 (-1929 (|has| |#2| (-149)) (-3993 (|has| $ (-149)) (|has| |#2| (-906)))) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3215 ((|#2| $) 222 (-3993 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) 238 (-3993 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) 203 (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) 202 (|has| |#1| (-366))) (($ $ (-765)) 80 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 78 (-1929 (-3993 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) 88 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165) (-765)) 87 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-635 (-1165))) 86 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))))) (($ $ (-1165)) 85 (-1929 (-3993 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))))) (-1355 (((-121) $ $) 242 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1343 (((-121) $ $) 243 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 241 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1337 (((-121) $ $) 244 (-3993 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366))) (($ |#2| |#2|) 214 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ $ |#2|) 193 (|has| |#1| (-366))) (($ |#2| $) 192 (|has| |#1| (-366))) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1214 |#1| |#2|) (-1284) (-1049) (-1243 |t#1|)) (T -1214)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)) (-5 *2 (-569)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1214 *3 *2)) (-4 *2 (-1243 *3)))) (-3228 (*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1049)) (-4 *1 (-1214 *4 *3)) (-4 *3 (-1243 *4)))) (-1312 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3)))) (-4339 (*1 *1 *1) (-12 (-4 *1 (-1214 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1243 *2)))) (-4339 (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)))) (-3221 (*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3)))) (-2397 (*1 *2 *1) (|partial| -12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
+(-13 (-1212 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -3228 ($ (-569) |t#2|)) (-15 -2284 ((-569) $)) (-15 -1312 (|t#2| $)) (-15 -4339 ($ $)) (-15 -4339 ($ (-569) $)) (-15 -3956 ($ |t#2|)) (-15 -3221 (|t#2| $)) (-15 -2397 ((-3 |t#2| "failed") $)) (IF (|has| |t#1| (-366)) (-6 (-995 |t#2|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-569)) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 |#2|) |has| |#1| (-366)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 |#2| |#2|) |has| |#1| (-366)) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-149))) (|has| |#1| (-149))) ((-151) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-151))) (|has| |#1| (-151))) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-216)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-610 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-610 (-542)) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-610 (-889 (-569))))) ((-224 |#2|) |has| |#1| (-366)) ((-226) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-226))) (|has| |#1| (-15 * (|#1| (-569) |#1|)))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 |#2| $) -12 (|has| |#1| (-366)) (|has| |#2| (-282 |#2| |#2|))) ((-282 $ $) |has| (-569) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-366) |has| |#1| (-366)) ((-337 |#2|) |has| |#1| (-366)) ((-380 |#2|) |has| |#1| (-366)) ((-403 |#2|) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-524 (-1165) |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-524 (-1165) |#2|))) ((-524 |#2| |#2|) -12 (|has| |#1| (-366)) (|has| |#2| (-304 |#2|))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 |#2|) |has| |#1| (-366)) ((-638 $) . T) ((-631 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-631 (-569)))) ((-631 |#2|) |has| |#1| (-366)) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 |#2|) |has| |#1| (-366)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-788) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-789) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-791) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-792) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-817) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-842) -12 (|has| |#1| (-366)) (|has| |#2| (-817))) ((-844) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-844))) (-12 (|has| |#1| (-366)) (|has| |#2| (-817)))) ((-897 (-1165)) -1929 (-12 (|has| |#1| (-366)) (|has| |#2| (-897 (-1165)))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))) ((-883 (-382)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-382)))) ((-883 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-883 (-569)))) ((-881 |#2|) |has| |#1| (-366)) ((-906) -12 (|has| |#1| (-366)) (|has| |#2| (-906))) ((-976 |#1| (-569) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-995 |#2|) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1023) -12 (|has| |#1| (-366)) (|has| |#2| (-1023))) ((-1039 (-410 (-569))) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) ((-1039 (-569)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-569)))) ((-1039 (-1165)) -12 (|has| |#1| (-366)) (|has| |#2| (-1039 (-1165)))) ((-1039 |#2|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 |#2|) |has| |#1| (-366)) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) -12 (|has| |#1| (-366)) (|has| |#2| (-1139))) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1199) |has| |#1| (-366)) ((-1208) |has| |#1| (-366)) ((-1212 |#1|) . T) ((-1230 |#1| (-569)) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 70)) (-3644 ((|#2| $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 88)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-569)) 97) (($ $ (-569) (-569)) 99)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) 47)) (-1312 ((|#2| $) 11)) (-2397 (((-3 |#2| "failed") $) 30)) (-3221 ((|#2| $) 31)) (-3544 (($ $) 192 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 168 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 188 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 164 (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) 57)) (-3559 (($ $) 196 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 172 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) 144) (((-3 (-569) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-1165) "failed") $) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-1321 ((|#2| $) 143) (((-569) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| |#2| (-1039 (-569))) (|has| |#1| (-366)))) (((-1165) $) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366))))) (-4339 (($ $) 61) (($ (-569) $) 24)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 |#2|) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| |#2| (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) 77)) (-1549 (((-410 (-955 |#1|)) $ (-569)) 112 (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) 114 (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) 64)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| |#2| (-883 (-382))) (|has| |#1| (-366)))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| |#2| (-883 (-569))) (|has| |#1| (-366))))) (-4433 (((-569) $) 93) (((-569) $ (-569)) 95)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 ((|#2| $) 151 (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| |#2| (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) 136)) (-3449 (($ (-1 |#1| (-569)) $) 132)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 19) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-2713 (($ $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-4188 (($ (-1 |#1| |#1|) $) 129) (($ (-1 |#2| |#2|) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) 162 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) |#2|) 10)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 145 (|has| |#1| (-366)))) (-1324 (($ $) 214 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 219 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1423 (($) NIL (-12 (|has| |#2| (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| |#2| (-302)) (|has| |#1| (-366))))) (-1807 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| |#2| (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) 126)) (-1436 (((-3 $ "failed") $ $) 116 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 160 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 85 (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) |#2|) NIL (-12 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 |#2|)) NIL (-12 (|has| |#2| (-524 (-1165) |#2|)) (|has| |#1| (-366)))) (($ $ (-635 (-289 |#2|))) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-289 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ |#2| |#2|) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366)))) (($ $ (-635 |#2|) (-635 |#2|)) NIL (-12 (|has| |#2| (-304 |#2|)) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) 91) (($ $ $) 79 (|has| (-569) (-1105))) (($ $ |#2|) NIL (-12 (|has| |#2| (-282 |#2| |#2|)) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 137 (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) 140 (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 ((|#2| $) 152 (|has| |#1| (-366)))) (-2284 (((-569) $) 12)) (-3565 (($ $) 198 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 174 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 194 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 170 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 190 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 166 (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-216) $) NIL (-12 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| |#2| (-1023)) (|has| |#1| (-366)))) (((-542) $) NIL (-12 (|has| |#2| (-610 (-542))) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| |#2| (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| |#2| (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906)) (|has| |#1| (-366))))) (-2994 (($ $) 124)) (-3956 (((-852) $) 242) (($ (-569)) 23) (($ |#1|) 21 (|has| |#1| (-173))) (($ |#2|) 20) (($ (-1165)) NIL (-12 (|has| |#2| (-1039 (-1165))) (|has| |#1| (-366)))) (($ (-410 (-569))) 155 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-569)) 74)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906)) (|has| |#1| (-366))) (-12 (|has| |#2| (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) 142)) (-1736 ((|#1| $) 90)) (-3215 ((|#2| $) NIL (-12 (|has| |#2| (-551)) (|has| |#1| (-366))))) (-3585 (($ $) 204 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 180 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 200 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 176 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 208 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 184 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) 122 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 210 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 186 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 206 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 182 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 202 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 178 (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| |#2| (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 13 T CONST)) (-3297 (($) 17 T CONST)) (-3712 (($ $ (-1 |#2| |#2|)) NIL (|has| |#1| (-366))) (($ $ (-1 |#2| |#2|) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| |#2| (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#2| (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1343 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1326 (((-121) $ $) 63)) (-1349 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1337 (((-121) $ $) NIL (-12 (|has| |#2| (-844)) (|has| |#1| (-366))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 149 (|has| |#1| (-366))) (($ |#2| |#2|) 150 (|has| |#1| (-366)))) (-1377 (($ $) 213) (($ $ $) 68)) (-1371 (($ $ $) 66)) (** (($ $ (-919)) NIL) (($ $ (-765)) 73) (($ $ (-569)) 146 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 158 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 69) (($ $ |#1|) NIL) (($ |#1| $) 139) (($ $ |#2|) 148 (|has| |#1| (-366))) (($ |#2| $) 147 (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1215 |#1| |#2|) (-1214 |#1| |#2|) (-1049) (-1243 |#1|)) (T -1215)) 
+NIL 
+(-1214 |#1| |#2|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3644 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 10)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2915 (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2735 (((-121) $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3146 (($ $ (-569)) NIL) (($ $ (-569) (-569)) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|))) $) NIL)) (-1312 (((-1244 |#1| |#2| |#3|) $) NIL)) (-2397 (((-3 (-1244 |#1| |#2| |#3|) "failed") $) NIL)) (-3221 (((-1244 |#1| |#2| |#3|) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3817 (((-569) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-4314 (($ (-1145 (-2 (|:| |k| (-569)) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1244 |#1| |#2| |#3|) "failed") $) NIL) (((-3 (-1165) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-3 (-410 (-569)) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-3 (-569) "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-1321 (((-1244 |#1| |#2| |#3|) $) NIL) (((-1165) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (((-410 (-569)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366)))) (((-569) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))))) (-4339 (($ $) NIL) (($ (-569) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-1244 |#1| |#2| |#3|)) (-681 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-1244 |#1| |#2| |#3|))) (|:| |vec| (-1253 (-1244 |#1| |#2| |#3|)))) (-681 $) (-1253 $)) NIL (|has| |#1| (-366))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366)))) (((-681 (-569)) (-681 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-631 (-569))) (|has| |#1| (-366))))) (-2611 (((-3 $ "failed") $) NIL)) (-1549 (((-410 (-955 |#1|)) $ (-569)) NIL (|has| |#1| (-559))) (((-410 (-955 |#1|)) $ (-569) (-569)) NIL (|has| |#1| (-559)))) (-3341 (($) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-1863 (((-121) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3318 (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-883 (-569))) (|has| |#1| (-366)))) (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-883 (-382))) (|has| |#1| (-366))))) (-4433 (((-569) $) NIL) (((-569) $ (-569)) NIL)) (-3934 (((-121) $) NIL)) (-3043 (($ $) NIL (|has| |#1| (-366)))) (-3515 (((-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1542 (((-3 $ "failed") $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))))) (-4311 (((-121) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-2058 (($ $ (-919)) NIL)) (-3449 (($ (-1 |#1| (-569)) $) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-569)) 17) (($ $ (-1077) (-569)) NIL) (($ $ (-635 (-1077)) (-635 (-569))) NIL)) (-2157 (($ $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-2713 (($ $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) $) NIL (|has| |#1| (-366)))) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3228 (($ (-569) (-1244 |#1| |#2| |#3|)) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 25 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 26 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1139)) (|has| |#1| (-366))) CONST)) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1391 (($ $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-302)) (|has| |#1| (-366))))) (-1807 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-569)) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-569))))) (($ $ (-1165) (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1165)) (-635 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-524 (-1165) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-289 (-1244 |#1| |#2| |#3|)))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-289 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366)))) (($ $ (-635 (-1244 |#1| |#2| |#3|)) (-635 (-1244 |#1| |#2| |#3|))) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-304 (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-569)) NIL) (($ $ $) NIL (|has| (-569) (-1105))) (($ $ (-1244 |#1| |#2| |#3|)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-282 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) (|has| |#1| (-366))))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-1249 |#2|)) 24) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) 23 (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-2572 (($ $) NIL (|has| |#1| (-366)))) (-3524 (((-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366)))) (-2284 (((-569) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4035 (((-542) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-542))) (|has| |#1| (-366)))) (((-382) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-216) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1023)) (|has| |#1| (-366)))) (((-889 (-382)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-889 (-382)))) (|has| |#1| (-366)))) (((-889 (-569)) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-610 (-889 (-569)))) (|has| |#1| (-366))))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1244 |#1| |#2| |#3|)) NIL) (($ (-1249 |#2|)) 22) (($ (-1165)) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-1165))) (|has| |#1| (-366)))) (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559)))) (($ (-410 (-569))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-1039 (-569))) (|has| |#1| (-366))) (|has| |#1| (-43 (-410 (-569))))))) (-3802 ((|#1| $ (-569)) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-149)) (|has| |#1| (-366))) (|has| |#1| (-149))))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 11)) (-3215 (((-1244 |#1| |#2| |#3|) $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-551)) (|has| |#1| (-366))))) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-906)) (|has| |#1| (-366))) (|has| |#1| (-559))))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-569)) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-569)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4080 (($ $) NIL (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 19 T CONST)) (-3297 (($) 15 T CONST)) (-3712 (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|))) NIL (|has| |#1| (-366))) (($ $ (-1 (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) (-765)) NIL (|has| |#1| (-366))) (($ $ (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-226)) (|has| |#1| (-366))) (|has| |#1| (-15 * (|#1| (-569) |#1|))))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165) (-765)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-635 (-1165))) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165)))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-897 (-1165))) (|has| |#1| (-366))) (-12 (|has| |#1| (-15 * (|#1| (-569) |#1|))) (|has| |#1| (-897 (-1165))))))) (-1355 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1343 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1337 (((-121) $ $) NIL (-1929 (-12 (|has| (-1244 |#1| |#2| |#3|) (-817)) (|has| |#1| (-366))) (-12 (|has| (-1244 |#1| |#2| |#3|) (-844)) (|has| |#1| (-366)))))) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366))) (($ (-1244 |#1| |#2| |#3|) (-1244 |#1| |#2| |#3|)) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ (-1244 |#1| |#2| |#3|)) NIL (|has| |#1| (-366))) (($ (-1244 |#1| |#2| |#3|) $) NIL (|has| |#1| (-366))) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1216 |#1| |#2| |#3|) (-13 (-1214 |#1| (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1216)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1214 |#1| (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-2250 (((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)) 10)) (-3576 (((-421 |#1|) |#1|) 21)) (-3139 (((-421 |#1|) |#1|) 20))) 
+(((-1217 |#1|) (-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)))) (-1228 (-569))) (T -1217)) 
+((-2250 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569))))) (-3576 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569))))) (-3139 (*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
+(-10 -7 (-15 -3139 ((-421 |#1|) |#1|)) (-15 -3576 ((-421 |#1|) |#1|)) (-15 -2250 ((-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| |#1|) (|:| -4144 (-569)))))) |#1| (-121)))) 
+((-4188 (((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|)) 23 (|has| |#1| (-842))) (((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|)) 17))) 
+(((-1218 |#1| |#2|) (-10 -7 (-15 -4188 ((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) |noBranch|)) (-1199) (-1199)) (T -1218)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1218 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1219 *6)) (-5 *1 (-1218 *5 *6))))) 
+(-10 -7 (-15 -4188 ((-1219 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) (IF (|has| |#1| (-842)) (-15 -4188 ((-1145 |#2|) (-1 |#2| |#1|) (-1219 |#1|))) |noBranch|)) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-4127 (($ |#1| |#1|) 9) (($ |#1|) 8)) (-4188 (((-1145 |#1|) (-1 |#1| |#1|) $) 41 (|has| |#1| (-842)))) (-2182 ((|#1| $) 14)) (-2040 ((|#1| $) 10)) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2046 (((-569) $) 18)) (-2289 ((|#1| $) 17)) (-2052 ((|#1| $) 11)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-4168 (((-121) $) 16)) (-2121 (((-1145 |#1|) $) 38 (|has| |#1| (-842))) (((-1145 |#1|) (-635 $)) 37 (|has| |#1| (-842)))) (-4035 (($ |#1|) 25)) (-3956 (($ (-1087 |#1|)) 24) (((-852) $) 34 (|has| |#1| (-1093)))) (-2705 (($ |#1| |#1|) 20) (($ |#1|) 19)) (-3880 (($ $ (-569)) 13)) (-1326 (((-121) $ $) 27 (|has| |#1| (-1093))))) 
+(((-1219 |#1|) (-13 (-1086 |#1|) (-10 -8 (-15 -2705 ($ |#1|)) (-15 -4127 ($ |#1|)) (-15 -3956 ($ (-1087 |#1|))) (-15 -4168 ((-121) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-1145 |#1|))) |noBranch|))) (-1199)) (T -1219)) 
+((-2705 (*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199)))) (-4127 (*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1087 *3)) (-4 *3 (-1199)) (-5 *1 (-1219 *3)))) (-4168 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1219 *3)) (-4 *3 (-1199))))) 
+(-13 (-1086 |#1|) (-10 -8 (-15 -2705 ($ |#1|)) (-15 -4127 ($ |#1|)) (-15 -3956 ($ (-1087 |#1|))) (-15 -4168 ((-121) $)) (IF (|has| |#1| (-1093)) (-6 (-1093)) |noBranch|) (IF (|has| |#1| (-842)) (-6 (-1088 |#1| (-1145 |#1|))) |noBranch|))) 
+((-4188 (((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)) 15))) 
+(((-1220 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 ((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)))) (-1165) (-1049) (-1165) (-1049)) (T -1220)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1225 *5 *6)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-4 *8 (-1049)) (-5 *2 (-1225 *7 *8)) (-5 *1 (-1220 *5 *6 *7 *8)) (-14 *7 (-1165))))) 
+(-10 -7 (-15 -4188 ((-1225 |#3| |#4|) (-1 |#4| |#2|) (-1225 |#1| |#2|)))) 
+((-3979 (((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|) 21)) (-1644 ((|#1| |#3|) 13)) (-3247 ((|#3| |#3|) 19))) 
+(((-1221 |#1| |#2| |#3|) (-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) (-559) (-995 |#1|) (-1228 |#2|)) (T -1221)) 
+((-3979 (*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1221 *4 *5 *3)) (-4 *3 (-1228 *5)))) (-3247 (*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-1221 *3 *4 *2)) (-4 *2 (-1228 *4)))) (-1644 (*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-1221 *2 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -1644 (|#1| |#3|)) (-15 -3247 (|#3| |#3|)) (-15 -3979 ((-2 (|:| |num| |#3|) (|:| |den| |#1|)) |#3|))) 
+((-3005 (((-3 |#2| "failed") |#2| (-765) |#1|) 29)) (-2956 (((-3 |#2| "failed") |#2| (-765)) 30)) (-1422 (((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|) 42)) (-1469 (((-635 |#2|) |#2|) 44)) (-2024 (((-3 |#2| "failed") |#2| |#2|) 39))) 
+(((-1222 |#1| |#2|) (-10 -7 (-15 -2956 ((-3 |#2| "failed") |#2| (-765))) (-15 -3005 ((-3 |#2| "failed") |#2| (-765) |#1|)) (-15 -2024 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1422 ((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|)) (-15 -1469 ((-635 |#2|) |#2|))) (-13 (-559) (-151)) (-1228 |#1|)) (T -1222)) 
+((-1469 (*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4)))) (-1422 (*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4)))) (-2024 (*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1222 *3 *2)) (-4 *2 (-1228 *3)))) (-3005 (*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4)))) (-2956 (*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
+(-10 -7 (-15 -2956 ((-3 |#2| "failed") |#2| (-765))) (-15 -3005 ((-3 |#2| "failed") |#2| (-765) |#1|)) (-15 -2024 ((-3 |#2| "failed") |#2| |#2|)) (-15 -1422 ((-3 (-2 (|:| -3149 |#2|) (|:| -3417 |#2|)) "failed") |#2|)) (-15 -1469 ((-635 |#2|) |#2|))) 
+((-2423 (((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|) 31))) 
+(((-1223 |#1| |#2|) (-10 -7 (-15 -2423 ((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|))) (-559) (-1228 |#1|)) (T -1223)) 
+((-2423 (*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-1223 *4 *3)) (-4 *3 (-1228 *4))))) 
+(-10 -7 (-15 -2423 ((-3 (-2 (|:| -3483 |#2|) (|:| -3028 |#2|)) "failed") |#2| |#2|))) 
+((-2779 ((|#2| |#2| |#2|) 19)) (-4389 ((|#2| |#2| |#2|) 30)) (-1754 ((|#2| |#2| |#2| (-765) (-765)) 36))) 
+(((-1224 |#1| |#2|) (-10 -7 (-15 -2779 (|#2| |#2| |#2|)) (-15 -4389 (|#2| |#2| |#2|)) (-15 -1754 (|#2| |#2| |#2| (-765) (-765)))) (-1049) (-1228 |#1|)) (T -1224)) 
+((-1754 (*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-1224 *4 *2)) (-4 *2 (-1228 *4)))) (-4389 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3)))) (-2779 (*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
+(-10 -7 (-15 -2779 (|#2| |#2| |#2|)) (-15 -4389 (|#2| |#2| |#2|)) (-15 -1754 (|#2| |#2| |#2| (-765) (-765)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3676 (((-1253 |#2|) $ (-765)) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1555 (($ (-1161 |#2|)) NIL)) (-3132 (((-1161 $) $ (-1077)) NIL) (((-1161 |#2|) $) NIL)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#2| (-559)))) (-2915 (($ $) NIL (|has| |#2| (-559)))) (-2735 (((-121) $) NIL (|has| |#2| (-559)))) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2594 (($ $ $) NIL (|has| |#2| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2710 (($ $) NIL (|has| |#2| (-454)))) (-3742 (((-421 $) $) NIL (|has| |#2| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2889 (((-121) $ $) NIL (|has| |#2| (-366)))) (-3286 (($ $ (-765)) NIL)) (-1738 (($ $ (-765)) NIL)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) NIL (|has| |#2| (-454)))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL) (((-3 (-410 (-569)) "failed") $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) NIL (|has| |#2| (-1039 (-569)))) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#2| $) NIL) (((-410 (-569)) $) NIL (|has| |#2| (-1039 (-410 (-569))))) (((-569) $) NIL (|has| |#2| (-1039 (-569)))) (((-1077) $) NIL)) (-3673 (($ $ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $ $) NIL (|has| |#2| (-173)))) (-1614 (($ $ $) NIL (|has| |#2| (-366)))) (-3373 (($ $) NIL)) (-3435 (((-681 (-569)) (-681 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) NIL (|has| |#2| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#2|)) (|:| |vec| (-1253 |#2|))) (-681 $) (-1253 $)) NIL) (((-681 |#2|) (-681 $)) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1626 (($ $ $) NIL (|has| |#2| (-366)))) (-3621 (($ $ $) NIL)) (-4425 (($ $ $) NIL (|has| |#2| (-559)))) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#2| (-366)))) (-2540 (($ $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-3367 (((-635 $) $) NIL)) (-2005 (((-121) $) NIL (|has| |#2| (-906)))) (-2916 (($ $ |#2| (-765) $) NIL)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) NIL (-12 (|has| (-1077) (-883 (-382))) (|has| |#2| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) NIL (-12 (|has| (-1077) (-883 (-569))) (|has| |#2| (-883 (-569)))))) (-4433 (((-765) $ $) NIL (|has| |#2| (-559)))) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-1542 (((-3 $ "failed") $) NIL (|has| |#2| (-1139)))) (-3187 (($ (-1161 |#2|) (-1077)) NIL) (($ (-1161 $) (-1077)) NIL)) (-2058 (($ $ (-765)) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3179 (($ |#2| (-765)) 17) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) NIL) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-2157 (($ $ $) NIL (|has| |#2| (-844)))) (-2713 (($ $ $) NIL (|has| |#2| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3071 (((-1161 |#2|) $) NIL)) (-3407 (((-3 (-1077) "failed") $) NIL)) (-3263 (($ $) NIL)) (-3270 ((|#2| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-2605 (((-1147) $) NIL)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) NIL)) (-2617 (((-3 (-635 $) "failed") $) NIL)) (-2085 (((-3 (-635 $) "failed") $) NIL)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) NIL)) (-1324 (($ $) NIL (|has| |#2| (-43 (-410 (-569)))))) (-1423 (($) NIL (|has| |#2| (-1139)) CONST)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 ((|#2| $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#2| (-454)))) (-3964 (($ (-635 $)) NIL (|has| |#2| (-454))) (($ $ $) NIL (|has| |#2| (-454)))) (-4259 (($ $ (-765) |#2| $) NIL)) (-2769 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) NIL (|has| |#2| (-906)))) (-3139 (((-421 $) $) NIL (|has| |#2| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#2| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#2| (-366)))) (-1436 (((-3 $ "failed") $ |#2|) NIL (|has| |#2| (-559))) (((-3 $ "failed") $ $) NIL (|has| |#2| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#2| (-366)))) (-1484 (($ $ (-635 (-289 $))) NIL) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) NIL) (($ $ (-635 (-1077)) (-635 |#2|)) NIL) (($ $ (-1077) $) NIL) (($ $ (-635 (-1077)) (-635 $)) NIL)) (-2061 (((-765) $) NIL (|has| |#2| (-366)))) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) NIL (|has| |#2| (-559))) ((|#2| (-410 $) |#2|) NIL (|has| |#2| (-366))) (((-410 $) $ (-410 $)) NIL (|has| |#2| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) NIL)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#2| (-366)))) (-2925 (($ $ (-1077)) NIL (|has| |#2| (-173))) ((|#2| $) NIL (|has| |#2| (-173)))) (-3289 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL) (($ $ (-1 |#2| |#2|) $) NIL)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) NIL) (((-635 (-765)) $ (-635 (-1077))) NIL)) (-4035 (((-889 (-382)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#2| (-610 (-889 (-382)))))) (((-889 (-569)) $) NIL (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#2| (-610 (-889 (-569)))))) (((-542) $) NIL (-12 (|has| (-1077) (-610 (-542))) (|has| |#2| (-610 (-542)))))) (-2363 ((|#2| $) NIL (|has| |#2| (-454))) (($ $ (-1077)) NIL (|has| |#2| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) NIL (-12 (|has| $ (-149)) (|has| |#2| (-906))))) (-1400 (((-3 $ "failed") $ $) NIL (|has| |#2| (-559))) (((-3 (-410 $) "failed") (-410 $) $) NIL (|has| |#2| (-559)))) (-3956 (((-852) $) 13) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1077)) NIL) (($ (-1249 |#1|)) 19) (($ (-410 (-569))) NIL (-1929 (|has| |#2| (-43 (-410 (-569)))) (|has| |#2| (-1039 (-410 (-569)))))) (($ $) NIL (|has| |#2| (-559)))) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-765)) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-2277 (((-3 $ "failed") $) NIL (-1929 (-12 (|has| $ (-149)) (|has| |#2| (-906))) (|has| |#2| (-149))))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| |#2| (-173)))) (-2909 (((-121) $ $) NIL (|has| |#2| (-559)))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-3297 (($) 14 T CONST)) (-3712 (($ $ (-1077)) NIL) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) NIL) (($ $ (-1165)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1165) (-765)) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) NIL (|has| |#2| (-897 (-1165)))) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) NIL)) (-1355 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1326 (((-121) $ $) NIL)) (-1349 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#2| (-844)))) (-1383 (($ $ |#2|) NIL (|has| |#2| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-410 (-569))) NIL (|has| |#2| (-43 (-410 (-569))))) (($ (-410 (-569)) $) NIL (|has| |#2| (-43 (-410 (-569))))) (($ |#2| $) NIL) (($ $ |#2|) NIL))) 
+(((-1225 |#1| |#2|) (-13 (-1228 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)))) (-1165) (-1049)) (T -1225)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-1225 *3 *4)) (-4 *4 (-1049)))) (-4259 (*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1225 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049))))) 
+(-13 (-1228 |#2|) (-10 -8 (-15 -3956 ($ (-1249 |#1|))) (-15 -4259 ($ $ (-765) |#2| $)))) 
+((-4188 ((|#4| (-1 |#3| |#1|) |#2|) 22))) 
+(((-1226 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) (-1049) (-1228 |#1|) (-1049) (-1228 |#3|)) (T -1226)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1228 *6)) (-5 *1 (-1226 *5 *4 *6 *2)) (-4 *4 (-1228 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#3| |#1|) |#2|))) 
+((-3676 (((-1253 |#2|) $ (-765)) 113)) (-3195 (((-635 (-1077)) $) 15)) (-1555 (($ (-1161 |#2|)) 66)) (-1290 (((-765) $) NIL) (((-765) $ (-635 (-1077))) 18)) (-2501 (((-421 (-1161 $)) (-1161 $)) 183)) (-2710 (($ $) 173)) (-3742 (((-421 $) $) 171)) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 81)) (-3286 (($ $ (-765)) 70)) (-1738 (($ $ (-765)) 72)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 129)) (-3003 (((-3 |#2| "failed") $) 116) (((-3 (-410 (-569)) "failed") $) NIL) (((-3 (-569) "failed") $) NIL) (((-3 (-1077) "failed") $) NIL)) (-1321 ((|#2| $) 114) (((-410 (-569)) $) NIL) (((-569) $) NIL) (((-1077) $) NIL)) (-4425 (($ $ $) 150)) (-1530 (((-2 (|:| -3550 |#2|) (|:| -3483 $) (|:| -3028 $)) $ $) 152)) (-4433 (((-765) $ $) 168)) (-1542 (((-3 $ "failed") $) 122)) (-3179 (($ |#2| (-765)) NIL) (($ $ (-1077) (-765)) 46) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4294 (((-765) $) NIL) (((-765) $ (-1077)) 41) (((-635 (-765)) $ (-635 (-1077))) 42)) (-3071 (((-1161 |#2|) $) 58)) (-3407 (((-3 (-1077) "failed") $) 39)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 69)) (-1324 (($ $) 194)) (-1423 (($) 118)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 180)) (-2769 (((-421 (-1161 $)) (-1161 $)) 87)) (-2059 (((-421 (-1161 $)) (-1161 $)) 85)) (-3139 (((-421 $) $) 105)) (-1484 (($ $ (-635 (-289 $))) 38) (($ $ (-289 $)) NIL) (($ $ $ $) NIL) (($ $ (-635 $) (-635 $)) NIL) (($ $ (-1077) |#2|) 31) (($ $ (-635 (-1077)) (-635 |#2|)) 28) (($ $ (-1077) $) 25) (($ $ (-635 (-1077)) (-635 $)) 23)) (-2061 (((-765) $) 186)) (-2503 ((|#2| $ |#2|) NIL) (($ $ $) NIL) (((-410 $) (-410 $) (-410 $)) 146) ((|#2| (-410 $) |#2|) 185) (((-410 $) $ (-410 $)) 167)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 189)) (-3289 (($ $ (-1077)) 139) (($ $ (-635 (-1077))) NIL) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL) (($ $ (-765)) NIL) (($ $) 137) (($ $ (-1165)) NIL) (($ $ (-635 (-1165))) NIL) (($ $ (-1165) (-765)) NIL) (($ $ (-635 (-1165)) (-635 (-765))) NIL) (($ $ (-1 |#2| |#2|) (-765)) NIL) (($ $ (-1 |#2| |#2|)) 136) (($ $ (-1 |#2| |#2|) $) 133)) (-2284 (((-765) $) NIL) (((-765) $ (-1077)) 16) (((-635 (-765)) $ (-635 (-1077))) 20)) (-2363 ((|#2| $) NIL) (($ $ (-1077)) 124)) (-1400 (((-3 $ "failed") $ $) 160) (((-3 (-410 $) "failed") (-410 $) $) 156)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#2|) NIL) (($ (-1077)) 50) (($ (-410 (-569))) NIL) (($ $) NIL))) 
+(((-1227 |#1| |#2|) (-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -2503 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1324 (|#1| |#1|)) (-15 -2503 (|#2| (-410 |#1|) |#2|)) (-15 -2507 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1530 ((-2 (|:| -3550 |#2|) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -4425 (|#1| |#1| |#1|)) (-15 -1400 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -1400 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4433 ((-765) |#1| |#1|)) (-15 -2503 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1738 (|#1| |#1| (-765))) (-15 -3286 (|#1| |#1| (-765))) (-15 -1953 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| (-765))) (-15 -1555 (|#1| (-1161 |#2|))) (-15 -3071 ((-1161 |#2|) |#1|)) (-15 -3676 ((-1253 |#2|) |#1| (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| |#2|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2501 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2363 (|#1| |#1| (-1077))) (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -1290 ((-765) |#1| (-635 (-1077)))) (-15 -1290 ((-765) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3179 (|#1| |#1| (-1077) (-765))) (-15 -4294 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -4294 ((-765) |#1| (-1077))) (-15 -3407 ((-3 (-1077) "failed") |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -2284 ((-765) |#1| (-1077))) (-15 -1321 ((-1077) |#1|)) (-15 -3003 ((-3 (-1077) "failed") |#1|)) (-15 -3956 (|#1| (-1077))) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-1077) |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1077) |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 ((-765) |#1|)) (-15 -3179 (|#1| |#2| (-765))) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -4294 ((-765) |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -3289 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1077) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1077)))) (-15 -3289 (|#1| |#1| (-1077))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) (-1228 |#2|) (-1049)) (T -1227)) 
+NIL 
+(-10 -8 (-15 -3956 (|#1| |#1|)) (-15 -2257 ((-1161 |#1|) (-1161 |#1|) (-1161 |#1|))) (-15 -3742 ((-421 |#1|) |#1|)) (-15 -2710 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -1423 (|#1|)) (-15 -1542 ((-3 |#1| "failed") |#1|)) (-15 -2503 ((-410 |#1|) |#1| (-410 |#1|))) (-15 -2061 ((-765) |#1|)) (-15 -3135 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -1324 (|#1| |#1|)) (-15 -2503 (|#2| (-410 |#1|) |#2|)) (-15 -2507 ((-2 (|:| |primePart| |#1|) (|:| |commonPart| |#1|)) |#1| |#1|)) (-15 -1530 ((-2 (|:| -3550 |#2|) (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| |#1|)) (-15 -4425 (|#1| |#1| |#1|)) (-15 -1400 ((-3 (-410 |#1|) "failed") (-410 |#1|) |#1|)) (-15 -1400 ((-3 |#1| "failed") |#1| |#1|)) (-15 -4433 ((-765) |#1| |#1|)) (-15 -2503 ((-410 |#1|) (-410 |#1|) (-410 |#1|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) |#1|)) (-15 -1738 (|#1| |#1| (-765))) (-15 -3286 (|#1| |#1| (-765))) (-15 -1953 ((-2 (|:| -3483 |#1|) (|:| -3028 |#1|)) |#1| (-765))) (-15 -1555 (|#1| (-1161 |#2|))) (-15 -3071 ((-1161 |#2|) |#1|)) (-15 -3676 ((-1253 |#2|) |#1| (-765))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|))) (-15 -3289 (|#1| |#1| (-1 |#2| |#2|) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1165) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1165)))) (-15 -3289 (|#1| |#1| (-1165))) (-15 -3289 (|#1| |#1|)) (-15 -3289 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| |#1|)) (-15 -2503 (|#2| |#1| |#2|)) (-15 -3139 ((-421 |#1|) |#1|)) (-15 -2501 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2059 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -2769 ((-421 (-1161 |#1|)) (-1161 |#1|))) (-15 -1447 ((-3 (-635 (-1161 |#1|)) "failed") (-635 (-1161 |#1|)) (-1161 |#1|))) (-15 -2363 (|#1| |#1| (-1077))) (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -1290 ((-765) |#1| (-635 (-1077)))) (-15 -1290 ((-765) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3179 (|#1| |#1| (-1077) (-765))) (-15 -4294 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -4294 ((-765) |#1| (-1077))) (-15 -3407 ((-3 (-1077) "failed") |#1|)) (-15 -2284 ((-635 (-765)) |#1| (-635 (-1077)))) (-15 -2284 ((-765) |#1| (-1077))) (-15 -1321 ((-1077) |#1|)) (-15 -3003 ((-3 (-1077) "failed") |#1|)) (-15 -3956 (|#1| (-1077))) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#1|))) (-15 -1484 (|#1| |#1| (-1077) |#1|)) (-15 -1484 (|#1| |#1| (-635 (-1077)) (-635 |#2|))) (-15 -1484 (|#1| |#1| (-1077) |#2|)) (-15 -1484 (|#1| |#1| (-635 |#1|) (-635 |#1|))) (-15 -1484 (|#1| |#1| |#1| |#1|)) (-15 -1484 (|#1| |#1| (-289 |#1|))) (-15 -1484 (|#1| |#1| (-635 (-289 |#1|)))) (-15 -2284 ((-765) |#1|)) (-15 -3179 (|#1| |#2| (-765))) (-15 -1321 ((-569) |#1|)) (-15 -3003 ((-3 (-569) "failed") |#1|)) (-15 -1321 ((-410 (-569)) |#1|)) (-15 -3003 ((-3 (-410 (-569)) "failed") |#1|)) (-15 -3956 (|#1| |#2|)) (-15 -3003 ((-3 |#2| "failed") |#1|)) (-15 -1321 (|#2| |#1|)) (-15 -4294 ((-765) |#1|)) (-15 -2363 (|#2| |#1|)) (-15 -3289 (|#1| |#1| (-635 (-1077)) (-635 (-765)))) (-15 -3289 (|#1| |#1| (-1077) (-765))) (-15 -3289 (|#1| |#1| (-635 (-1077)))) (-15 -3289 (|#1| |#1| (-1077))) (-15 -3956 (|#1| (-569))) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3676 (((-1253 |#1|) $ (-765)) 217)) (-3195 (((-635 (-1077)) $) 108)) (-1555 (($ (-1161 |#1|)) 215)) (-3132 (((-1161 $) $ (-1077)) 123) (((-1161 |#1|) $) 122)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 85 (|has| |#1| (-559)))) (-2915 (($ $) 86 (|has| |#1| (-559)))) (-2735 (((-121) $) 88 (|has| |#1| (-559)))) (-1290 (((-765) $) 110) (((-765) $ (-635 (-1077))) 109)) (-3748 (((-3 $ "failed") $ $) 18)) (-2594 (($ $ $) 202 (|has| |#1| (-559)))) (-2501 (((-421 (-1161 $)) (-1161 $)) 98 (|has| |#1| (-906)))) (-2710 (($ $) 96 (|has| |#1| (-454)))) (-3742 (((-421 $) $) 95 (|has| |#1| (-454)))) (-1447 (((-3 (-635 (-1161 $)) "failed") (-635 (-1161 $)) (-1161 $)) 101 (|has| |#1| (-906)))) (-2889 (((-121) $ $) 187 (|has| |#1| (-366)))) (-3286 (($ $ (-765)) 210)) (-1738 (($ $ (-765)) 209)) (-2507 (((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $) 197 (|has| |#1| (-454)))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 162) (((-3 (-410 (-569)) "failed") $) 160 (|has| |#1| (-1039 (-410 (-569))))) (((-3 (-569) "failed") $) 158 (|has| |#1| (-1039 (-569)))) (((-3 (-1077) "failed") $) 134)) (-1321 ((|#1| $) 163) (((-410 (-569)) $) 159 (|has| |#1| (-1039 (-410 (-569))))) (((-569) $) 157 (|has| |#1| (-1039 (-569)))) (((-1077) $) 133)) (-3673 (($ $ $ (-1077)) 106 (|has| |#1| (-173))) ((|#1| $ $) 205 (|has| |#1| (-173)))) (-1614 (($ $ $) 191 (|has| |#1| (-366)))) (-3373 (($ $) 152)) (-3435 (((-681 (-569)) (-681 $)) 132 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 (-569))) (|:| |vec| (-1253 (-569)))) (-681 $) (-1253 $)) 131 (|has| |#1| (-631 (-569)))) (((-2 (|:| -4463 (-681 |#1|)) (|:| |vec| (-1253 |#1|))) (-681 $) (-1253 $)) 130) (((-681 |#1|) (-681 $)) 129)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 190 (|has| |#1| (-366)))) (-3621 (($ $ $) 208)) (-4425 (($ $ $) 199 (|has| |#1| (-559)))) (-1530 (((-2 (|:| -3550 |#1|) (|:| -3483 $) (|:| -3028 $)) $ $) 198 (|has| |#1| (-559)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 185 (|has| |#1| (-366)))) (-2540 (($ $) 174 (|has| |#1| (-454))) (($ $ (-1077)) 103 (|has| |#1| (-454)))) (-3367 (((-635 $) $) 107)) (-2005 (((-121) $) 94 (|has| |#1| (-906)))) (-2916 (($ $ |#1| (-765) $) 170)) (-3318 (((-886 (-382) $) $ (-889 (-382)) (-886 (-382) $)) 82 (-12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382))))) (((-886 (-569) $) $ (-889 (-569)) (-886 (-569) $)) 81 (-12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))))) (-4433 (((-765) $ $) 203 (|has| |#1| (-559)))) (-3934 (((-121) $) 30)) (-4118 (((-765) $) 167)) (-1542 (((-3 $ "failed") $) 183 (|has| |#1| (-1139)))) (-3187 (($ (-1161 |#1|) (-1077)) 115) (($ (-1161 $) (-1077)) 114)) (-2058 (($ $ (-765)) 214)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 194 (|has| |#1| (-366)))) (-2905 (((-635 $) $) 124)) (-3052 (((-121) $) 150)) (-3179 (($ |#1| (-765)) 151) (($ $ (-1077) (-765)) 117) (($ $ (-635 (-1077)) (-635 (-765))) 116)) (-4345 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $ (-1077)) 118) (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 212)) (-4294 (((-765) $) 168) (((-765) $ (-1077)) 120) (((-635 (-765)) $ (-635 (-1077))) 119)) (-2157 (($ $ $) 77 (|has| |#1| (-844)))) (-2713 (($ $ $) 76 (|has| |#1| (-844)))) (-1541 (($ (-1 (-765) (-765)) $) 169)) (-4188 (($ (-1 |#1| |#1|) $) 149)) (-3071 (((-1161 |#1|) $) 216)) (-3407 (((-3 (-1077) "failed") $) 121)) (-3263 (($ $) 147)) (-3270 ((|#1| $) 146)) (-1657 (($ (-635 $)) 92 (|has| |#1| (-454))) (($ $ $) 91 (|has| |#1| (-454)))) (-2605 (((-1147) $) 9)) (-1953 (((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765)) 211)) (-2617 (((-3 (-635 $) "failed") $) 112)) (-2085 (((-3 (-635 $) "failed") $) 113)) (-2601 (((-3 (-2 (|:| |var| (-1077)) (|:| -3190 (-765))) "failed") $) 111)) (-1324 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-1423 (($) 182 (|has| |#1| (-1139)) CONST)) (-1912 (((-1111) $) 10)) (-3249 (((-121) $) 164)) (-3256 ((|#1| $) 165)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 93 (|has| |#1| (-454)))) (-3964 (($ (-635 $)) 90 (|has| |#1| (-454))) (($ $ $) 89 (|has| |#1| (-454)))) (-2769 (((-421 (-1161 $)) (-1161 $)) 100 (|has| |#1| (-906)))) (-2059 (((-421 (-1161 $)) (-1161 $)) 99 (|has| |#1| (-906)))) (-3139 (((-421 $) $) 97 (|has| |#1| (-906)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 193 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 192 (|has| |#1| (-366)))) (-1436 (((-3 $ "failed") $ |#1|) 172 (|has| |#1| (-559))) (((-3 $ "failed") $ $) 84 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 186 (|has| |#1| (-366)))) (-1484 (($ $ (-635 (-289 $))) 143) (($ $ (-289 $)) 142) (($ $ $ $) 141) (($ $ (-635 $) (-635 $)) 140) (($ $ (-1077) |#1|) 139) (($ $ (-635 (-1077)) (-635 |#1|)) 138) (($ $ (-1077) $) 137) (($ $ (-635 (-1077)) (-635 $)) 136)) (-2061 (((-765) $) 188 (|has| |#1| (-366)))) (-2503 ((|#1| $ |#1|) 235) (($ $ $) 234) (((-410 $) (-410 $) (-410 $)) 204 (|has| |#1| (-559))) ((|#1| (-410 $) |#1|) 196 (|has| |#1| (-366))) (((-410 $) $ (-410 $)) 184 (|has| |#1| (-559)))) (-3804 (((-3 $ "failed") $ (-765)) 213)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 189 (|has| |#1| (-366)))) (-2925 (($ $ (-1077)) 105 (|has| |#1| (-173))) ((|#1| $) 206 (|has| |#1| (-173)))) (-3289 (($ $ (-1077)) 41) (($ $ (-635 (-1077))) 40) (($ $ (-1077) (-765)) 39) (($ $ (-635 (-1077)) (-635 (-765))) 38) (($ $ (-765)) 232) (($ $) 230) (($ $ (-1165)) 229 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 228 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 227 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 226 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 219) (($ $ (-1 |#1| |#1|)) 218) (($ $ (-1 |#1| |#1|) $) 207)) (-2284 (((-765) $) 148) (((-765) $ (-1077)) 128) (((-635 (-765)) $ (-635 (-1077))) 127)) (-4035 (((-889 (-382)) $) 80 (-12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382)))))) (((-889 (-569)) $) 79 (-12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569)))))) (((-542) $) 78 (-12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))))) (-2363 ((|#1| $) 173 (|has| |#1| (-454))) (($ $ (-1077)) 104 (|has| |#1| (-454)))) (-2662 (((-3 (-1253 $) "failed") (-681 $)) 102 (-3993 (|has| $ (-149)) (|has| |#1| (-906))))) (-1400 (((-3 $ "failed") $ $) 201 (|has| |#1| (-559))) (((-3 (-410 $) "failed") (-410 $) $) 200 (|has| |#1| (-559)))) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 161) (($ (-1077)) 135) (($ (-410 (-569))) 70 (-1929 (|has| |#1| (-1039 (-410 (-569)))) (|has| |#1| (-43 (-410 (-569)))))) (($ $) 83 (|has| |#1| (-559)))) (-2894 (((-635 |#1|) $) 166)) (-3802 ((|#1| $ (-765)) 153) (($ $ (-1077) (-765)) 126) (($ $ (-635 (-1077)) (-635 (-765))) 125)) (-2277 (((-3 $ "failed") $) 71 (-1929 (-3993 (|has| $ (-149)) (|has| |#1| (-906))) (|has| |#1| (-149))))) (-2320 (((-765)) 28)) (-2587 (($ $ $ (-765)) 171 (|has| |#1| (-173)))) (-2909 (((-121) $ $) 87 (|has| |#1| (-559)))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-1077)) 37) (($ $ (-635 (-1077))) 36) (($ $ (-1077) (-765)) 35) (($ $ (-635 (-1077)) (-635 (-765))) 34) (($ $ (-765)) 233) (($ $) 231) (($ $ (-1165)) 225 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165))) 224 (|has| |#1| (-897 (-1165)))) (($ $ (-1165) (-765)) 223 (|has| |#1| (-897 (-1165)))) (($ $ (-635 (-1165)) (-635 (-765))) 222 (|has| |#1| (-897 (-1165)))) (($ $ (-1 |#1| |#1|) (-765)) 221) (($ $ (-1 |#1| |#1|)) 220)) (-1355 (((-121) $ $) 74 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 73 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 6)) (-1349 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 72 (|has| |#1| (-844)))) (-1383 (($ $ |#1|) 154 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 156 (|has| |#1| (-43 (-410 (-569))))) (($ (-410 (-569)) $) 155 (|has| |#1| (-43 (-410 (-569))))) (($ |#1| $) 145) (($ $ |#1|) 144))) 
+(((-1228 |#1|) (-1284) (-1049)) (T -1228)) 
+((-3676 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)))) (-3071 (*1 *2 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-5 *2 (-1161 *3)))) (-1555 (*1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-1049)) (-4 *1 (-1228 *3)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-3804 (*1 *1 *1 *2) (|partial| -12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-4345 (*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3)))) (-1953 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *4)))) (-3286 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-1738 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-3621 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)))) (-3289 (*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) (-2925 (*1 *2 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-3673 (*1 *2 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173)))) (-2503 (*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) (-4433 (*1 *2 *1 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)) (-5 *2 (-765)))) (-2594 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1400 (*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1400 (*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) (-4425 (*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) (-1530 (*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3550 *3) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3)))) (-2507 (*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1228 *3)))) (-2503 (*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569))))))) 
+(-13 (-952 |t#1| (-765) (-1077)) (-282 |t#1| |t#1|) (-282 $ $) (-226) (-224 |t#1|) (-10 -8 (-15 -3676 ((-1253 |t#1|) $ (-765))) (-15 -3071 ((-1161 |t#1|) $)) (-15 -1555 ($ (-1161 |t#1|))) (-15 -2058 ($ $ (-765))) (-15 -3804 ((-3 $ "failed") $ (-765))) (-15 -4345 ((-2 (|:| -3483 $) (|:| -3028 $)) $ $)) (-15 -1953 ((-2 (|:| -3483 $) (|:| -3028 $)) $ (-765))) (-15 -3286 ($ $ (-765))) (-15 -1738 ($ $ (-765))) (-15 -3621 ($ $ $)) (-15 -3289 ($ $ (-1 |t#1| |t#1|) $)) (IF (|has| |t#1| (-1139)) (-6 (-1139)) |noBranch|) (IF (|has| |t#1| (-173)) (PROGN (-15 -2925 (|t#1| $)) (-15 -3673 (|t#1| $ $))) |noBranch|) (IF (|has| |t#1| (-559)) (PROGN (-6 (-282 (-410 $) (-410 $))) (-15 -2503 ((-410 $) (-410 $) (-410 $))) (-15 -4433 ((-765) $ $)) (-15 -2594 ($ $ $)) (-15 -1400 ((-3 $ "failed") $ $)) (-15 -1400 ((-3 (-410 $) "failed") (-410 $) $)) (-15 -4425 ($ $ $)) (-15 -1530 ((-2 (|:| -3550 |t#1|) (|:| -3483 $) (|:| -3028 $)) $ $))) |noBranch|) (IF (|has| |t#1| (-454)) (-15 -2507 ((-2 (|:| |primePart| $) (|:| |commonPart| $)) $ $)) |noBranch|) (IF (|has| |t#1| (-366)) (PROGN (-6 (-302)) (-6 -4567) (-15 -2503 (|t#1| (-410 $) |t#1|))) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (-15 -1324 ($ $)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-765)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-610 (-542)) -12 (|has| (-1077) (-610 (-542))) (|has| |#1| (-610 (-542)))) ((-610 (-889 (-382))) -12 (|has| (-1077) (-610 (-889 (-382)))) (|has| |#1| (-610 (-889 (-382))))) ((-610 (-889 (-569))) -12 (|has| (-1077) (-610 (-889 (-569)))) (|has| |#1| (-610 (-889 (-569))))) ((-224 |#1|) . T) ((-226) . T) ((-282 (-410 $) (-410 $)) |has| |#1| (-559)) ((-282 |#1| |#1|) . T) ((-282 $ $) . T) ((-286) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-304 $) . T) ((-325 |#1| (-765)) . T) ((-380 |#1|) . T) ((-414 |#1|) . T) ((-454) -1929 (|has| |#1| (-906)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-524 (-1077) |#1|) . T) ((-524 (-1077) $) . T) ((-524 $ $) . T) ((-559) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-631 (-569)) |has| |#1| (-631 (-569))) ((-631 |#1|) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366))) ((-718) . T) ((-844) |has| |#1| (-844)) ((-897 (-1077)) . T) ((-897 (-1165)) |has| |#1| (-897 (-1165))) ((-883 (-382)) -12 (|has| (-1077) (-883 (-382))) (|has| |#1| (-883 (-382)))) ((-883 (-569)) -12 (|has| (-1077) (-883 (-569))) (|has| |#1| (-883 (-569)))) ((-952 |#1| (-765) (-1077)) . T) ((-906) |has| |#1| (-906)) ((-918) |has| |#1| (-366)) ((-1039 (-410 (-569))) |has| |#1| (-1039 (-410 (-569)))) ((-1039 (-569)) |has| |#1| (-1039 (-569))) ((-1039 (-1077)) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-906)) (|has| |#1| (-559)) (|has| |#1| (-454)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1139) |has| |#1| (-1139)) ((-1208) |has| |#1| (-906))) 
+((-3195 (((-635 (-1077)) $) 28)) (-3373 (($ $) 25)) (-3179 (($ |#2| |#3|) NIL) (($ $ (-1077) |#3|) 22) (($ $ (-635 (-1077)) (-635 |#3|)) 20)) (-3263 (($ $) 14)) (-3270 ((|#2| $) 12)) (-2284 ((|#3| $) 10))) 
+(((-1229 |#1| |#2| |#3|) (-10 -8 (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 |#3|))) (-15 -3179 (|#1| |#1| (-1077) |#3|)) (-15 -3373 (|#1| |#1|)) (-15 -3179 (|#1| |#2| |#3|)) (-15 -2284 (|#3| |#1|)) (-15 -3263 (|#1| |#1|)) (-15 -3270 (|#2| |#1|))) (-1230 |#2| |#3|) (-1049) (-789)) (T -1229)) 
+NIL 
+(-10 -8 (-15 -3195 ((-635 (-1077)) |#1|)) (-15 -3179 (|#1| |#1| (-635 (-1077)) (-635 |#3|))) (-15 -3179 (|#1| |#1| (-1077) |#3|)) (-15 -3373 (|#1| |#1|)) (-15 -3179 (|#1| |#2| |#3|)) (-15 -2284 (|#3| |#1|)) (-15 -3263 (|#1| |#1|)) (-15 -3270 (|#2| |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ |#2|) 93) (($ $ |#2| |#2|) 92)) (-3824 (((-1145 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) 100)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-2641 (((-121) $) 69)) (-4433 ((|#2| $) 95) ((|#2| $ |#2|) 94)) (-3934 (((-121) $) 30)) (-2058 (($ $ (-919)) 96)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| |#2|) 60) (($ $ (-1077) |#2|) 72) (($ $ (-635 (-1077)) (-635 |#2|)) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3803 (($ $ |#2|) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| |#2|))))) (-2503 ((|#1| $ |#2|) 99) (($ $ $) 76 (|has| |#2| (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-2284 ((|#2| $) 63)) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-3802 ((|#1| $ |#2|) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-4334 ((|#1| $ |#2|) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| |#2|))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| |#2| |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| |#2| |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1230 |#1| |#2|) (-1284) (-1049) (-789)) (T -1230)) 
+((-3824 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1145 (-2 (|:| |k| *4) (|:| |c| *3)))))) (-2503 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-1948 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1165)))) (-1736 (*1 *2 *1) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) (-4433 (*1 *2 *1) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4433 (*1 *2 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-3146 (*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-3146 (*1 *1 *1 *2 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-4334 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3956 (*2 (-1165)))) (-4 *2 (-1049)))) (-3803 (*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) (-1484 (*1 *2 *1 *3) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1145 *3))))) 
+(-13 (-976 |t#1| |t#2| (-1077)) (-10 -8 (-15 -3824 ((-1145 (-2 (|:| |k| |t#2|) (|:| |c| |t#1|))) $)) (-15 -2503 (|t#1| $ |t#2|)) (-15 -1948 ((-1165) $)) (-15 -1736 (|t#1| $)) (-15 -2058 ($ $ (-919))) (-15 -4433 (|t#2| $)) (-15 -4433 (|t#2| $ |t#2|)) (-15 -3146 ($ $ |t#2|)) (-15 -3146 ($ $ |t#2| |t#2|)) (IF (|has| |t#1| (-15 -3956 (|t#1| (-1165)))) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -4334 (|t#1| $ |t#2|)) |noBranch|) |noBranch|) (-15 -3803 ($ $ |t#2|)) (IF (|has| |t#2| (-1105)) (-6 (-282 $ $)) |noBranch|) (IF (|has| |t#1| (-15 * (|t#1| |t#2| |t#1|))) (PROGN (-6 (-226)) (IF (|has| |t#1| (-897 (-1165))) (-6 (-897 (-1165))) |noBranch|)) |noBranch|) (IF (|has| |t#1| (-15 ** (|t#1| |t#1| |t#2|))) (-15 -1484 ((-1145 |t#1|) $ |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| |#2|) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| |#2| |#1|))) ((-282 $ $) |has| |#2| (-1105)) ((-286) |has| |#1| (-559)) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| |#2| |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| |#2| (-1077)) . T) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-2710 ((|#2| |#2|) 12)) (-3742 (((-421 |#2|) |#2|) 14)) (-2999 (((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))) 30))) 
+(((-1231 |#1| |#2|) (-10 -7 (-15 -3742 ((-421 |#2|) |#2|)) (-15 -2710 (|#2| |#2|)) (-15 -2999 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) (-559) (-13 (-1228 |#1|) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (T -1231)) 
+((-2999 (*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1231 *3 *4)))) (-2710 (*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1231 *3 *2)) (-4 *2 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))))) (-3742 (*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1231 *4 *3)) (-4 *3 (-13 (-1228 *4) (-559) (-10 -8 (-15 -3964 ($ $ $)))))))) 
+(-10 -7 (-15 -3742 ((-421 |#2|) |#2|)) (-15 -2710 (|#2| |#2|)) (-15 -2999 ((-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569))) (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| |#2|) (|:| |xpnt| (-569)))))) 
+((-4188 (((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)) 23))) 
+(((-1232 |#1| |#2| |#3| |#4| |#5| |#6|) (-10 -7 (-15 -4188 ((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)))) (-1049) (-1049) (-1165) (-1165) |#1| |#2|) (T -1232)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1237 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1237 *6 *8 *10)) (-5 *1 (-1232 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165))))) 
+(-10 -7 (-15 -4188 ((-1237 |#2| |#4| |#6|) (-1 |#2| |#1|) (-1237 |#1| |#3| |#5|)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96) (($ $ (-410 (-569))) 163)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-410 (-569))) 60) (($ $ (-1077) (-410 (-569))) 72) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1233 |#1|) (-1284) (-1049)) (T -1233)) 
+((-4314 (*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1049)) (-4 *1 (-1233 *4)))) (-2058 (*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1233 *3)) (-4 *3 (-1049)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1230 |t#1| (-410 (-569))) (-10 -8 (-15 -4314 ($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |t#1|))))) (-15 -2058 ($ $ (-410 (-569)))) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|) (IF (|has| |t#1| (-366)) (-6 (-366)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-410 (-569)) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-410 (-569))) . T)) 
+((-2225 (((-121) $) 12)) (-3003 (((-3 |#3| "failed") $) 17)) (-1321 ((|#3| $) 14))) 
+(((-1234 |#1| |#2| |#3|) (-10 -8 (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) (-1235 |#2| |#3|) (-1049) (-1212 |#2|)) (T -1234)) 
+NIL 
+(-10 -8 (-15 -1321 (|#3| |#1|)) (-15 -3003 ((-3 |#3| "failed") |#1|)) (-15 -2225 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 93) (($ $ (-410 (-569)) (-410 (-569))) 92)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 154 (|has| |#1| (-366)))) (-3742 (((-421 $) $) 155 (|has| |#1| (-366)))) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) 145 (|has| |#1| (-366)))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 164)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#2| "failed") $) 172)) (-1321 ((|#2| $) 171)) (-1614 (($ $ $) 149 (|has| |#1| (-366)))) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-3091 (((-410 (-569)) $) 169)) (-1626 (($ $ $) 148 (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) |#2|) 170)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 143 (|has| |#1| (-366)))) (-2005 (((-121) $) 156 (|has| |#1| (-366)))) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 95) (((-410 (-569)) $ (-410 (-569))) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96) (($ $ (-410 (-569))) 163)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 152 (|has| |#1| (-366)))) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-410 (-569))) 60) (($ $ (-1077) (-410 (-569))) 72) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-1657 (($ (-635 $)) 141 (|has| |#1| (-366))) (($ $ $) 140 (|has| |#1| (-366)))) (-1494 ((|#2| $) 168)) (-4273 (((-3 |#2| "failed") $) 166)) (-3228 ((|#2| $) 167)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 157 (|has| |#1| (-366)))) (-1324 (($ $) 162 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 161 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 142 (|has| |#1| (-366)))) (-3964 (($ (-635 $)) 139 (|has| |#1| (-366))) (($ $ $) 138 (|has| |#1| (-366)))) (-3139 (((-421 $) $) 153 (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 151 (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 150 (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 144 (|has| |#1| (-366)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) 146 (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 99) (($ $ $) 76 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 147 (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 46 (|has| |#1| (-173))) (($ |#2|) 173) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 158 (|has| |#1| (-366)))) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366))) (($ $ $) 160 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 159 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1235 |#1| |#2|) (-1284) (-1049) (-1212 |t#1|)) (T -1235)) 
+((-2284 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1235 *3 *2)) (-4 *2 (-1212 *3)))) (-3236 (*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1049)) (-4 *1 (-1235 *4 *3)) (-4 *3 (-1212 *4)))) (-3091 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) (-1494 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3)))) (-3228 (*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3)))) (-4273 (*1 *2 *1) (|partial| -12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
+(-13 (-1233 |t#1|) (-1039 |t#2|) (-10 -8 (-15 -3236 ($ (-410 (-569)) |t#2|)) (-15 -3091 ((-410 (-569)) $)) (-15 -1494 (|t#2| $)) (-15 -2284 ((-410 (-569)) $)) (-15 -3956 ($ |t#2|)) (-15 -3228 (|t#2| $)) (-15 -4273 ((-3 |t#2| "failed") $)))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-410 (-569))) . T) ((-25) . T) ((-43 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) ((-239) |has| |#1| (-366)) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-410 (-569)) (-1105)) ((-286) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-302) |has| |#1| (-366)) ((-366) |has| |#1| (-366)) ((-454) |has| |#1| (-366)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-638 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366))) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-410 (-569)) (-1077)) . T) ((-918) |has| |#1| (-366)) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1039 |#2|) . T) ((-1055 (-410 (-569))) -1929 (|has| |#1| (-366)) (|has| |#1| (-43 (-410 (-569))))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-366)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1208) |has| |#1| (-366)) ((-1230 |#1| (-410 (-569))) . T) ((-1233 |#1|) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 96)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) 106) (($ $ (-410 (-569)) (-410 (-569))) 108)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) 51)) (-3544 (($ $) 179 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 155 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) 175 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 151 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) 61)) (-3559 (($ $) 183 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 159 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL)) (-1321 ((|#2| $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 79)) (-3091 (((-410 (-569)) $) 12)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) |#2|) 10)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) 68)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) 103) (((-410 (-569)) $ (-410 (-569))) 104)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 120) (($ $ (-410 (-569))) 118)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 31) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 115)) (-3597 (($ $) 149 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 ((|#2| $) 11)) (-4273 (((-3 |#2| "failed") $) 41)) (-3228 ((|#2| $) 42)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) 93 (|has| |#1| (-366)))) (-1324 (($ $) 135 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 140 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) 112)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) 147 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 90 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) 100) (($ $ $) 86 (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 127 (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 124 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-2284 (((-410 (-569)) $) 16)) (-3565 (($ $) 185 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 161 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 181 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 157 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 177 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 153 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 110)) (-3956 (((-852) $) NIL) (($ (-569)) 35) (($ |#1|) 27 (|has| |#1| (-173))) (($ |#2|) 32) (($ (-410 (-569))) 128 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) 99)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) 117)) (-1736 ((|#1| $) 98)) (-3585 (($ $) 191 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 167 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) 187 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 163 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 195 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 171 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) NIL (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 197 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 173 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 193 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 169 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 189 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 165 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 21 T CONST)) (-3297 (($) 17 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) 66)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) 92 (|has| |#1| (-366)))) (-1377 (($ $) 131) (($ $ $) 72)) (-1371 (($ $ $) 70)) (** (($ $ (-919)) NIL) (($ $ (-765)) 76) (($ $ (-569)) 144 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 145 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 74) (($ $ |#1|) NIL) (($ |#1| $) 126) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1236 |#1| |#2|) (-1235 |#1| |#2|) (-1049) (-1212 |#1|)) (T -1236)) 
+NIL 
+(-1235 |#1| |#2|) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 11)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) NIL (|has| |#1| (-559)))) (-3146 (($ $ (-410 (-569))) NIL) (($ $ (-410 (-569)) (-410 (-569))) NIL)) (-3824 (((-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|))) $) NIL)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-2710 (($ $) NIL (|has| |#1| (-366)))) (-3742 (((-421 $) $) NIL (|has| |#1| (-366)))) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2889 (((-121) $ $) NIL (|has| |#1| (-366)))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-765) (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#1|)))) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-1216 |#1| |#2| |#3|) "failed") $) 19) (((-3 (-1244 |#1| |#2| |#3|) "failed") $) 22)) (-1321 (((-1216 |#1| |#2| |#3|) $) NIL) (((-1244 |#1| |#2| |#3|) $) NIL)) (-1614 (($ $ $) NIL (|has| |#1| (-366)))) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-3091 (((-410 (-569)) $) 57)) (-1626 (($ $ $) NIL (|has| |#1| (-366)))) (-3236 (($ (-410 (-569)) (-1216 |#1| |#2| |#3|)) NIL)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) NIL (|has| |#1| (-366)))) (-2005 (((-121) $) NIL (|has| |#1| (-366)))) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-410 (-569)) $) NIL) (((-410 (-569)) $ (-410 (-569))) NIL)) (-3934 (((-121) $) NIL)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) NIL) (($ $ (-410 (-569))) NIL)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-410 (-569))) 29) (($ $ (-1077) (-410 (-569))) NIL) (($ $ (-635 (-1077)) (-635 (-410 (-569)))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-1657 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1494 (((-1216 |#1| |#2| |#3|) $) 60)) (-4273 (((-3 (-1216 |#1| |#2| |#3|) "failed") $) NIL)) (-3228 (((-1216 |#1| |#2| |#3|) $) NIL)) (-2605 (((-1147) $) NIL)) (-3243 (($ $) NIL (|has| |#1| (-366)))) (-1324 (($ $) 38 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) NIL (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 39 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) NIL (|has| |#1| (-366)))) (-3964 (($ (-635 $)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-3139 (((-421 $) $) NIL (|has| |#1| (-366)))) (-2804 (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) NIL (|has| |#1| (-366))) (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) NIL (|has| |#1| (-366)))) (-3803 (($ $ (-410 (-569))) NIL)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-2213 (((-3 (-635 $) "failed") (-635 $) $) NIL (|has| |#1| (-366)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) NIL (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))))) (-2061 (((-765) $) NIL (|has| |#1| (-366)))) (-2503 ((|#1| $ (-410 (-569))) NIL) (($ $ $) NIL (|has| (-410 (-569)) (-1105)))) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) NIL (|has| |#1| (-366)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) 36 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $ (-1249 |#2|)) 37)) (-2284 (((-410 (-569)) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) NIL)) (-3956 (((-852) $) 87) (($ (-569)) NIL) (($ |#1|) NIL (|has| |#1| (-173))) (($ (-1216 |#1| |#2| |#3|)) 16) (($ (-1244 |#1| |#2| |#3|)) 17) (($ (-1249 |#2|)) 35) (($ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559)))) (-3802 ((|#1| $ (-410 (-569))) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 12)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-410 (-569))) 62 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-410 (-569))))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366)))) (-2407 (($) 31 T CONST)) (-3297 (($) 26 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-410 (-569)) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 33)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ (-569)) NIL (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1237 |#1| |#2| |#3|) (-13 (-1235 |#1| (-1216 |#1| |#2| |#3|)) (-1039 (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1237)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1235 |#1| (-1216 |#1| |#2| |#3|)) (-1039 (-1244 |#1| |#2| |#3|)) (-10 -8 (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 32)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL)) (-2915 (($ $) NIL)) (-2735 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 (-569) "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-569)))) (((-3 (-410 (-569)) "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))) (((-3 (-1237 |#2| |#3| |#4|) "failed") $) 20)) (-1321 (((-569) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-569)))) (((-410 (-569)) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))) (((-1237 |#2| |#3| |#4|) $) NIL)) (-3373 (($ $) 33)) (-2611 (((-3 $ "failed") $) 25)) (-2540 (($ $) NIL (|has| (-1237 |#2| |#3| |#4|) (-454)))) (-2916 (($ $ (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|) $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) 11)) (-3052 (((-121) $) NIL)) (-3179 (($ (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) 23)) (-4294 (((-315 |#2| |#3| |#4|) $) NIL)) (-1541 (($ (-1 (-315 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) $) NIL)) (-4188 (($ (-1 (-1237 |#2| |#3| |#4|) (-1237 |#2| |#3| |#4|)) $) NIL)) (-3805 (((-3 (-837 |#2|) "failed") $) 72)) (-3263 (($ $) NIL)) (-3270 (((-1237 |#2| |#3| |#4|) $) 18)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3249 (((-121) $) NIL)) (-3256 (((-1237 |#2| |#3| |#4|) $) NIL)) (-1436 (((-3 $ "failed") $ (-1237 |#2| |#3| |#4|)) NIL (|has| (-1237 |#2| |#3| |#4|) (-559))) (((-3 $ "failed") $ $) NIL)) (-2954 (((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $) 55)) (-2284 (((-315 |#2| |#3| |#4|) $) 14)) (-2363 (((-1237 |#2| |#3| |#4|) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-454)))) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ (-1237 |#2| |#3| |#4|)) NIL) (($ $) NIL) (($ (-410 (-569))) NIL (-1929 (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569)))) (|has| (-1237 |#2| |#3| |#4|) (-1039 (-410 (-569))))))) (-2894 (((-635 (-1237 |#2| |#3| |#4|)) $) NIL)) (-3802 (((-1237 |#2| |#3| |#4|) $ (-315 |#2| |#3| |#4|)) NIL)) (-2277 (((-3 $ "failed") $) NIL (|has| (-1237 |#2| |#3| |#4|) (-149)))) (-2320 (((-765)) NIL)) (-2587 (($ $ $ (-765)) NIL (|has| (-1237 |#2| |#3| |#4|) (-173)))) (-2909 (((-121) $ $) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 60 T CONST)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ (-1237 |#2| |#3| |#4|)) NIL (|has| (-1237 |#2| |#3| |#4|) (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ (-1237 |#2| |#3| |#4|)) NIL) (($ (-1237 |#2| |#3| |#4|) $) NIL) (($ (-410 (-569)) $) NIL (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| (-1237 |#2| |#3| |#4|) (-43 (-410 (-569))))))) 
+(((-1238 |#1| |#2| |#3| |#4|) (-13 (-325 (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -2954 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $)))) (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454)) (-13 (-27) (-1185) (-433 |#1|)) (-1165) |#2|) (T -1238)) 
+((-3805 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4))) (-2954 (*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1147)))) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
+(-13 (-325 (-1237 |#2| |#3| |#4|) (-315 |#2| |#3| |#4|)) (-559) (-10 -8 (-15 -3805 ((-3 (-837 |#2|) "failed") $)) (-15 -2954 ((-3 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 |#2| |#3| |#4|)) (|:| |%expon| (-315 |#2| |#3| |#4|)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| |#2|)))))) (|:| |%type| (-1147))) "failed") $)))) 
+((-2756 ((|#2| $) 28)) (-1823 ((|#2| $) 18)) (-2394 (($ $) 35)) (-2627 (($ $ (-569)) 63)) (-3350 (((-121) $ (-765)) 32)) (-4548 ((|#2| $ |#2|) 60)) (-2450 ((|#2| $ |#2|) 58)) (-2511 ((|#2| $ "value" |#2|) NIL) ((|#2| $ "first" |#2|) 51) (($ $ "rest" $) 55) ((|#2| $ "last" |#2|) 53)) (-1978 (($ $ (-635 $)) 59)) (-4024 ((|#2| $) 17)) (-1864 (($ $) NIL) (($ $ (-765)) 41)) (-3899 (((-635 $) $) 25)) (-2638 (((-121) $ $) 49)) (-3206 (((-121) $ (-765)) 31)) (-1396 (((-121) $ (-765)) 30)) (-3491 (((-121) $) 27)) (-3302 ((|#2| $) 23) (($ $ (-765)) 45)) (-2503 ((|#2| $ "value") NIL) ((|#2| $ "first") 10) (($ $ "rest") 16) ((|#2| $ "last") 13)) (-1630 (((-121) $) 21)) (-2588 (($ $) 38)) (-1390 (($ $) 64)) (-3977 (((-765) $) 40)) (-2483 (($ $) 39)) (-4456 (($ $ $) 57) (($ |#2| $) NIL)) (-4065 (((-635 $) $) 26)) (-1326 (((-121) $ $) 47)) (-2946 (((-765) $) 34))) 
+(((-1239 |#1| |#2|) (-10 -8 (-15 -2627 (|#1| |#1| (-569))) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2450 (|#2| |#1| |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -1390 (|#1| |#1|)) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -1823 (|#2| |#1|)) (-15 -4024 (|#2| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -2503 (|#2| |#1| "first")) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4548 (|#2| |#1| |#2|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -1978 (|#1| |#1| (-635 |#1|))) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) (-1240 |#2|) (-1199)) (T -1239)) 
+NIL 
+(-10 -8 (-15 -2627 (|#1| |#1| (-569))) (-15 -2511 (|#2| |#1| "last" |#2|)) (-15 -2450 (|#2| |#1| |#2|)) (-15 -2511 (|#1| |#1| "rest" |#1|)) (-15 -2511 (|#2| |#1| "first" |#2|)) (-15 -1390 (|#1| |#1|)) (-15 -2588 (|#1| |#1|)) (-15 -3977 ((-765) |#1|)) (-15 -2483 (|#1| |#1|)) (-15 -1823 (|#2| |#1|)) (-15 -4024 (|#2| |#1|)) (-15 -2394 (|#1| |#1|)) (-15 -3302 (|#1| |#1| (-765))) (-15 -2503 (|#2| |#1| "last")) (-15 -3302 (|#2| |#1|)) (-15 -1864 (|#1| |#1| (-765))) (-15 -2503 (|#1| |#1| "rest")) (-15 -1864 (|#1| |#1|)) (-15 -2503 (|#2| |#1| "first")) (-15 -4456 (|#1| |#2| |#1|)) (-15 -4456 (|#1| |#1| |#1|)) (-15 -4548 (|#2| |#1| |#2|)) (-15 -2511 (|#2| |#1| "value" |#2|)) (-15 -1978 (|#1| |#1| (-635 |#1|))) (-15 -2638 ((-121) |#1| |#1|)) (-15 -1630 ((-121) |#1|)) (-15 -2503 (|#2| |#1| "value")) (-15 -2756 (|#2| |#1|)) (-15 -3491 ((-121) |#1|)) (-15 -3899 ((-635 |#1|) |#1|)) (-15 -4065 ((-635 |#1|) |#1|)) (-15 -1326 ((-121) |#1| |#1|)) (-15 -2946 ((-765) |#1|)) (-15 -3350 ((-121) |#1| (-765))) (-15 -3206 ((-121) |#1| (-765))) (-15 -1396 ((-121) |#1| (-765)))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-2756 ((|#1| $) 45)) (-1823 ((|#1| $) 62)) (-2394 (($ $) 64)) (-2627 (($ $ (-569)) 49 (|has| $ (-6 -4572)))) (-3350 (((-121) $ (-765)) 8)) (-4548 ((|#1| $ |#1|) 36 (|has| $ (-6 -4572)))) (-2908 (($ $ $) 53 (|has| $ (-6 -4572)))) (-2450 ((|#1| $ |#1|) 51 (|has| $ (-6 -4572)))) (-2062 ((|#1| $ |#1|) 55 (|has| $ (-6 -4572)))) (-2511 ((|#1| $ "value" |#1|) 37 (|has| $ (-6 -4572))) ((|#1| $ "first" |#1|) 54 (|has| $ (-6 -4572))) (($ $ "rest" $) 52 (|has| $ (-6 -4572))) ((|#1| $ "last" |#1|) 50 (|has| $ (-6 -4572)))) (-1978 (($ $ (-635 $)) 38 (|has| $ (-6 -4572)))) (-4024 ((|#1| $) 63)) (-4483 (($) 7 T CONST)) (-1864 (($ $) 70) (($ $ (-765)) 68)) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3899 (((-635 $) $) 47)) (-2638 (((-121) $ $) 39 (|has| |#1| (-1093)))) (-3206 (((-121) $ (-765)) 9)) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35)) (-1396 (((-121) $ (-765)) 10)) (-1322 (((-635 |#1|) $) 42)) (-3491 (((-121) $) 46)) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-3302 ((|#1| $) 67) (($ $ (-765)) 65)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 73) (($ $ (-765)) 71)) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ "value") 44) ((|#1| $ "first") 72) (($ $ "rest") 69) ((|#1| $ "last") 66)) (-3248 (((-569) $ $) 41)) (-1630 (((-121) $) 43)) (-2588 (($ $) 59)) (-1390 (($ $) 56 (|has| $ (-6 -4572)))) (-3977 (((-765) $) 60)) (-2483 (($ $) 61)) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1799 (($ $) 13)) (-4422 (($ $ $) 58 (|has| $ (-6 -4572))) (($ $ |#1|) 57 (|has| $ (-6 -4572)))) (-4456 (($ $ $) 75) (($ |#1| $) 74)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-4065 (((-635 $) $) 48)) (-3773 (((-121) $ $) 40 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1240 |#1|) (-1284) (-1199)) (T -1240)) 
+((-4456 (*1 *1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4456 (*1 *1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1816 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1816 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-1864 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-1864 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-3302 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2503 (*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-3302 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-2394 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4024 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1823 (*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2483 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-3977 (*1 *2 *1) (-12 (-4 *1 (-1240 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) (-2588 (*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-4422 (*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-1390 (*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2062 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2908 (*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) (-2450 (*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2511 (*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) (-2627 (*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199))))) 
+(-13 (-1012 |t#1|) (-10 -8 (-15 -4456 ($ $ $)) (-15 -4456 ($ |t#1| $)) (-15 -1816 (|t#1| $)) (-15 -2503 (|t#1| $ "first")) (-15 -1816 ($ $ (-765))) (-15 -1864 ($ $)) (-15 -2503 ($ $ "rest")) (-15 -1864 ($ $ (-765))) (-15 -3302 (|t#1| $)) (-15 -2503 (|t#1| $ "last")) (-15 -3302 ($ $ (-765))) (-15 -2394 ($ $)) (-15 -4024 (|t#1| $)) (-15 -1823 (|t#1| $)) (-15 -2483 ($ $)) (-15 -3977 ((-765) $)) (-15 -2588 ($ $)) (IF (|has| $ (-6 -4572)) (PROGN (-15 -4422 ($ $ $)) (-15 -4422 ($ $ |t#1|)) (-15 -1390 ($ $)) (-15 -2062 (|t#1| $ |t#1|)) (-15 -2511 (|t#1| $ "first" |t#1|)) (-15 -2908 ($ $ $)) (-15 -2511 ($ $ "rest" $)) (-15 -2450 (|t#1| $ |t#1|)) (-15 -2511 (|t#1| $ "last" |t#1|)) (-15 -2627 ($ $ (-569)))) |noBranch|))) 
+(((-39) . T) ((-105) |has| |#1| (-1093)) ((-609 (-852)) |has| |#1| (-1093)) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-500 |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-1012 |#1|) . T) ((-1093) |has| |#1| (-1093)) ((-1199) . T)) 
+((-4188 ((|#4| (-1 |#2| |#1|) |#3|) 17))) 
+(((-1241 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) (-1049) (-1049) (-1243 |#1|) (-1243 |#2|)) (T -1241)) 
+((-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1243 *6)) (-5 *1 (-1241 *5 *6 *4 *2)) (-4 *4 (-1243 *5))))) 
+(-10 -7 (-15 -4188 (|#4| (-1 |#2| |#1|) |#3|))) 
+((-2225 (((-121) $) 15)) (-3544 (($ $) 90)) (-3467 (($ $) 66)) (-3530 (($ $) 86)) (-3455 (($ $) 62)) (-3559 (($ $) 94)) (-3480 (($ $) 70)) (-3597 (($ $) 60)) (-3408 (($ $) 58)) (-3565 (($ $) 96)) (-3485 (($ $) 72)) (-3551 (($ $) 92)) (-3473 (($ $) 68)) (-3538 (($ $) 88)) (-3460 (($ $) 64)) (-3956 (((-852) $) 46) (($ (-569)) NIL) (($ (-410 (-569))) NIL) (($ $) NIL) (($ |#2|) NIL)) (-3585 (($ $) 102)) (-3505 (($ $) 78)) (-3572 (($ $) 98)) (-3490 (($ $) 74)) (-3599 (($ $) 106)) (-3517 (($ $) 82)) (-4527 (($ $) 108)) (-3525 (($ $) 84)) (-3592 (($ $) 104)) (-3510 (($ $) 80)) (-3579 (($ $) 100)) (-3497 (($ $) 76)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#2|) 50) (($ $ $) 53) (($ $ (-410 (-569))) 56))) 
+(((-1242 |#1| |#2|) (-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3473 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -2225 ((-121) |#1|)) (-15 -3956 ((-852) |#1|))) (-1243 |#2|) (-1049)) (T -1242)) 
+NIL 
+(-10 -8 (-15 ** (|#1| |#1| (-410 (-569)))) (-15 -3467 (|#1| |#1|)) (-15 -3455 (|#1| |#1|)) (-15 -3480 (|#1| |#1|)) (-15 -3485 (|#1| |#1|)) (-15 -3473 (|#1| |#1|)) (-15 -3460 (|#1| |#1|)) (-15 -3497 (|#1| |#1|)) (-15 -3510 (|#1| |#1|)) (-15 -3525 (|#1| |#1|)) (-15 -3517 (|#1| |#1|)) (-15 -3490 (|#1| |#1|)) (-15 -3505 (|#1| |#1|)) (-15 -3538 (|#1| |#1|)) (-15 -3551 (|#1| |#1|)) (-15 -3565 (|#1| |#1|)) (-15 -3559 (|#1| |#1|)) (-15 -3530 (|#1| |#1|)) (-15 -3544 (|#1| |#1|)) (-15 -3579 (|#1| |#1|)) (-15 -3592 (|#1| |#1|)) (-15 -4527 (|#1| |#1|)) (-15 -3599 (|#1| |#1|)) (-15 -3572 (|#1| |#1|)) (-15 -3585 (|#1| |#1|)) (-15 -3597 (|#1| |#1|)) (-15 -3408 (|#1| |#1|)) (-15 ** (|#1| |#1| |#1|)) (-15 ** (|#1| |#1| |#2|)) (-15 -3956 (|#1| |#2|)) (-15 -3956 (|#1| |#1|)) (-15 -3956 (|#1| (-410 (-569)))) (-15 -3956 (|#1| (-569))) (-15 ** (|#1| |#1| (-765))) (-15 ** (|#1| |#1| (-919))) (-15 -2225 ((-121) |#1|)) (-15 -3956 ((-852) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3195 (((-635 (-1077)) $) 70)) (-1948 (((-1165) $) 98)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 50 (|has| |#1| (-559)))) (-2915 (($ $) 51 (|has| |#1| (-559)))) (-2735 (((-121) $) 53 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 93) (($ $ (-765) (-765)) 92)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 100)) (-3544 (($ $) 127 (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) 110 (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) 18)) (-3422 (($ $) 109 (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) 126 (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) 111 (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 147) (($ (-1145 |#1|)) 145)) (-3559 (($ $) 125 (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) 112 (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) 16 T CONST)) (-3373 (($ $) 59)) (-2611 (((-3 $ "failed") $) 33)) (-1595 (($ $) 144)) (-2849 (((-955 |#1|) $ (-765)) 142) (((-955 |#1|) $ (-765) (-765)) 141)) (-2641 (((-121) $) 69)) (-3415 (($) 137 (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) 95) (((-765) $ (-765)) 94)) (-3934 (((-121) $) 30)) (-2522 (($ $ (-569)) 108 (|has| |#1| (-43 (-410 (-569)))))) (-2058 (($ $ (-919)) 96)) (-3449 (($ (-1 |#1| (-569)) $) 143)) (-3052 (((-121) $) 61)) (-3179 (($ |#1| (-765)) 60) (($ $ (-1077) (-765)) 72) (($ $ (-635 (-1077)) (-635 (-765))) 71)) (-4188 (($ (-1 |#1| |#1|) $) 62)) (-3597 (($ $) 134 (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) 64)) (-3270 ((|#1| $) 65)) (-2605 (((-1147) $) 9)) (-1324 (($ $) 139 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 138 (-1929 (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-961)) (|has| |#1| (-1185)) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-43 (-410 (-569)))))))) (-1912 (((-1111) $) 10)) (-3803 (($ $ (-765)) 90)) (-1436 (((-3 $ "failed") $ $) 49 (|has| |#1| (-559)))) (-3408 (($ $) 135 (|has| |#1| (-43 (-410 (-569)))))) (-1484 (((-1145 |#1|) $ |#1|) 89 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 99) (($ $ $) 76 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) 84 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165) (-765)) 83 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-635 (-1165))) 82 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165)) 81 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-765)) 79 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 77 (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-2284 (((-765) $) 63)) (-3565 (($ $) 124 (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) 113 (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) 123 (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) 114 (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) 122 (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) 115 (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 68)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ (-410 (-569))) 56 (|has| |#1| (-43 (-410 (-569))))) (($ $) 48 (|has| |#1| (-559))) (($ |#1|) 46 (|has| |#1| (-173)))) (-2894 (((-1145 |#1|) $) 146)) (-3802 ((|#1| $ (-765)) 58)) (-2277 (((-3 $ "failed") $) 47 (|has| |#1| (-149)))) (-2320 (((-765)) 28)) (-1736 ((|#1| $) 97)) (-3585 (($ $) 133 (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) 121 (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) 52 (|has| |#1| (-559)))) (-3572 (($ $) 132 (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) 120 (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) 131 (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) 119 (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 91 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) 130 (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) 118 (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) 129 (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) 117 (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) 128 (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) 116 (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) 88 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165) (-765)) 87 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-635 (-1165))) 86 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-1165)) 85 (-12 (|has| |#1| (-897 (-1165))) (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (($ $ (-765)) 80 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 78 (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 57 (|has| |#1| (-366)))) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ |#1|) 140 (|has| |#1| (-366))) (($ $ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 107 (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 67) (($ |#1| $) 66) (($ (-410 (-569)) $) 55 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) 54 (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1243 |#1|) (-1284) (-1049)) (T -1243)) 
+((-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-765)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) (-2894 (*1 *2 *1) (-12 (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-5 *2 (-1145 *3)))) (-4314 (*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) (-1595 (*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)))) (-3449 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1243 *3)) (-4 *3 (-1049)))) (-2849 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) (-2849 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) (** (*1 *1 *1 *2) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) (-1324 (*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) (-1324 (*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569))))))))) 
+(-13 (-1230 |t#1| (-765)) (-10 -8 (-15 -4314 ($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |t#1|))))) (-15 -2894 ((-1145 |t#1|) $)) (-15 -4314 ($ (-1145 |t#1|))) (-15 -1595 ($ $)) (-15 -3449 ($ (-1 |t#1| (-569)) $)) (-15 -2849 ((-955 |t#1|) $ (-765))) (-15 -2849 ((-955 |t#1|) $ (-765) (-765))) (IF (|has| |t#1| (-366)) (-15 ** ($ $ |t#1|)) |noBranch|) (IF (|has| |t#1| (-43 (-410 (-569)))) (PROGN (-15 -1324 ($ $)) (IF (|has| |t#1| (-15 -1324 (|t#1| |t#1| (-1165)))) (IF (|has| |t#1| (-15 -3195 ((-635 (-1165)) |t#1|))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) (IF (|has| |t#1| (-1185)) (IF (|has| |t#1| (-961)) (IF (|has| |t#1| (-29 (-569))) (-15 -1324 ($ $ (-1165))) |noBranch|) |noBranch|) |noBranch|) (-6 (-1004)) (-6 (-1185))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-52 |#1| (-765)) . T) ((-25) . T) ((-43 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-43 |#1|) |has| |#1| (-173)) ((-43 $) |has| |#1| (-559)) ((-40) |has| |#1| (-43 (-410 (-569)))) ((-98) |has| |#1| (-43 (-410 (-569)))) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-120 |#1| |#1|) . T) ((-120 $ $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-138) . T) ((-149) |has| |#1| (-149)) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-226) |has| |#1| (-15 * (|#1| (-765) |#1|))) ((-280) |has| |#1| (-43 (-410 (-569)))) ((-282 $ $) |has| (-765) (-1105)) ((-286) |has| |#1| (-559)) ((-503) |has| |#1| (-43 (-410 (-569)))) ((-559) |has| |#1| (-559)) ((-638 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-709 |#1|) |has| |#1| (-173)) ((-709 $) |has| |#1| (-559)) ((-718) . T) ((-897 (-1165)) -12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165)))) ((-976 |#1| (-765) (-1077)) . T) ((-1004) |has| |#1| (-43 (-410 (-569)))) ((-1055 (-410 (-569))) |has| |#1| (-43 (-410 (-569)))) ((-1055 |#1|) . T) ((-1055 $) -1929 (|has| |#1| (-559)) (|has| |#1| (-173))) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1185) |has| |#1| (-43 (-410 (-569)))) ((-1188) |has| |#1| (-43 (-410 (-569)))) ((-1230 |#1| (-765)) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 86)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 73)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) 135 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 120) (($ $ (-765) (-765)) 122)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 42)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 53) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) 126)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) 133)) (-2849 (((-955 |#1|) $ (-765)) 63) (((-955 |#1|) $ (-765) (-765)) 65)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) 110)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) 128)) (-2058 (($ $ (-919)) 132)) (-3449 (($ (-1 |#1| (-569)) $) 104)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 15) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 92)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) 108)) (-1451 (($ $) 106)) (-1665 (($ (-569) (-569) $) 130)) (-1324 (($ $) 143 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 149 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 144 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) 114)) (-3803 (($ $ (-765)) 116)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) 112)) (-1484 (((-1145 |#1|) $ |#1|) 94 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 89) (($ $ $) 124 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 101 (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 96 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 97)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 118)) (-3956 (((-852) $) NIL) (($ (-569)) 24) (($ (-410 (-569))) 141 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 23 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 79) (($ (-1249 |#2|)) 20)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 88)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 87)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 85 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 17 T CONST)) (-3297 (($) 13 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 100)) (-1371 (($ $ $) 18)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 138 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ $ |#1|) NIL) (($ |#1| $) 99) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1244 |#1| |#2| |#3|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165) |#1|) (T -1244)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1244 *3 *4 *5)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1244 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3)))) 
+(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-3534 (((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|))) 24)) (-3425 (((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|)) 16)) (-1364 (((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|)) 13)) (-4523 ((|#2| (-1 |#2| |#2| |#2|) |#1| |#1|) 48)) (-3879 ((|#2| (-1 |#2| |#2|) |#1|) 46)) (-4180 ((|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|)) 54)) (-1477 (((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))) 61)) (-1297 ((|#2| |#2| |#2|) 43))) 
+(((-1245 |#1| |#2|) (-10 -7 (-15 -1364 ((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|))) (-15 -3425 ((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -3534 ((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -1297 (|#2| |#2| |#2|)) (-15 -3879 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -4523 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4180 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -1477 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) (-43 (-410 (-569))) (-1243 |#1|)) (T -1245)) 
+((-1477 (*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1243 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1245 *5 *6)))) (-4180 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1243 *5)) (-5 *1 (-1245 *5 *2)))) (-4523 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-3879 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569)))))) (-1297 (*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1245 *3 *2)) (-4 *2 (-1243 *3)))) (-3534 (*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-635 (-1145 *4)))) (-5 *1 (-1245 *4 *5)))) (-3425 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5)))) (-1364 (*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
+(-10 -7 (-15 -1364 ((-1 (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2|))) (-15 -3425 ((-1 (-1145 |#1|) (-1145 |#1|) (-1145 |#1|)) (-1 |#2| |#2| |#2|))) (-15 -3534 ((-1 (-1145 |#1|) (-635 (-1145 |#1|))) (-1 |#2| (-635 |#2|)))) (-15 -1297 (|#2| |#2| |#2|)) (-15 -3879 (|#2| (-1 |#2| |#2|) |#1|)) (-15 -4523 (|#2| (-1 |#2| |#2| |#2|) |#1| |#1|)) (-15 -4180 (|#2| (-1 |#2| (-635 |#2|)) (-635 |#1|))) (-15 -1477 ((-635 |#2|) (-635 |#1|) (-635 (-1 |#2| (-635 |#2|)))))) 
+((-3689 ((|#2| |#4| (-765)) 30)) (-3883 ((|#4| |#2|) 25)) (-2263 ((|#4| (-410 |#2|)) 51 (|has| |#1| (-559)))) (-1370 (((-1 |#4| (-635 |#4|)) |#3|) 45))) 
+(((-1246 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -3883 (|#4| |#2|)) (-15 -3689 (|#2| |#4| (-765))) (-15 -1370 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2263 (|#4| (-410 |#2|))) |noBranch|)) (-1049) (-1228 |#1|) (-647 |#2|) (-1243 |#1|)) (T -1246)) 
+((-2263 (*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-559)) (-4 *4 (-1049)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *5 *6 *2)) (-4 *6 (-647 *5)))) (-1370 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-1228 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1246 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1243 *4)))) (-3689 (*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-1246 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1243 *5)))) (-3883 (*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-1228 *4)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
+(-10 -7 (-15 -3883 (|#4| |#2|)) (-15 -3689 (|#2| |#4| (-765))) (-15 -1370 ((-1 |#4| (-635 |#4|)) |#3|)) (IF (|has| |#1| (-559)) (-15 -2263 (|#4| (-410 |#2|))) |noBranch|)) 
+((-4152 ((|#2| (-1 |#3| |#3|) (-635 |#1|)) 67))) 
+(((-1247 |#1| |#2| |#3|) (-10 -7 (-15 -4152 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) (-366) (-1243 |#1|) (-1243 (-1159 |#1|))) (T -1247)) 
+((-4152 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1243 (-1159 *5))) (-4 *2 (-1243 *5)) (-5 *1 (-1247 *5 *2 *6))))) 
+(-10 -7 (-15 -4152 (|#2| (-1 |#3| |#3|) (-635 |#1|)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3195 (((-635 (-1077)) $) NIL)) (-1948 (((-1165) $) 79)) (-2185 (((-1225 |#2| |#1|) $ (-765)) 68)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) NIL (|has| |#1| (-559)))) (-2915 (($ $) NIL (|has| |#1| (-559)))) (-2735 (((-121) $) 128 (|has| |#1| (-559)))) (-3146 (($ $ (-765)) 113) (($ $ (-765) (-765)) 115)) (-3824 (((-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|))) $) 38)) (-3544 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3467 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3748 (((-3 $ "failed") $ $) NIL)) (-3422 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3530 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3455 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4314 (($ (-1145 (-2 (|:| |k| (-765)) (|:| |c| |#1|)))) 51) (($ (-1145 |#1|)) NIL)) (-3559 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3480 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4483 (($) NIL T CONST)) (-1661 (($ $) 119)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-1595 (($ $) 126)) (-2849 (((-955 |#1|) $ (-765)) 59) (((-955 |#1|) $ (-765) (-765)) 61)) (-2641 (((-121) $) NIL)) (-3415 (($) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4433 (((-765) $) NIL) (((-765) $ (-765)) NIL)) (-3934 (((-121) $) NIL)) (-1582 (($ $) 103)) (-2522 (($ $ (-569)) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2904 (($ (-569) (-569) $) 121)) (-2058 (($ $ (-919)) 125)) (-3449 (($ (-1 |#1| (-569)) $) 97)) (-3052 (((-121) $) NIL)) (-3179 (($ |#1| (-765)) 12) (($ $ (-1077) (-765)) NIL) (($ $ (-635 (-1077)) (-635 (-765))) NIL)) (-4188 (($ (-1 |#1| |#1|) $) 85)) (-3597 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3263 (($ $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-2851 (($ $) 101)) (-1451 (($ $) 99)) (-1665 (($ (-569) (-569) $) 123)) (-1324 (($ $) 136 (|has| |#1| (-43 (-410 (-569))))) (($ $ (-1165)) 139 (-1929 (-12 (|has| |#1| (-15 -1324 (|#1| |#1| (-1165)))) (|has| |#1| (-15 -3195 ((-635 (-1165)) |#1|))) (|has| |#1| (-43 (-410 (-569))))) (-12 (|has| |#1| (-29 (-569))) (|has| |#1| (-43 (-410 (-569)))) (|has| |#1| (-961)) (|has| |#1| (-1185))))) (($ $ (-1249 |#2|)) 137 (|has| |#1| (-43 (-410 (-569)))))) (-1912 (((-1111) $) NIL)) (-1302 (($ $ (-569) (-569)) 107)) (-3803 (($ $ (-765)) 109)) (-1436 (((-3 $ "failed") $ $) NIL (|has| |#1| (-559)))) (-3408 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-1458 (($ $) 105)) (-1484 (((-1145 |#1|) $ |#1|) 87 (|has| |#1| (-15 ** (|#1| |#1| (-765)))))) (-2503 ((|#1| $ (-765)) 82) (($ $ $) 117 (|has| (-765) (-1105)))) (-3289 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) 92 (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) 89 (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $ (-1249 |#2|)) 90)) (-2284 (((-765) $) NIL)) (-3565 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3485 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3551 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3473 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3538 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3460 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2994 (($ $) 111)) (-3956 (((-852) $) NIL) (($ (-569)) 18) (($ (-410 (-569))) 134 (|has| |#1| (-43 (-410 (-569))))) (($ $) NIL (|has| |#1| (-559))) (($ |#1|) 17 (|has| |#1| (-173))) (($ (-1225 |#2| |#1|)) 73) (($ (-1249 |#2|)) 14)) (-2894 (((-1145 |#1|) $) NIL)) (-3802 ((|#1| $ (-765)) 81)) (-2277 (((-3 $ "failed") $) NIL (|has| |#1| (-149)))) (-2320 (((-765)) NIL)) (-1736 ((|#1| $) 80)) (-3585 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3505 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-2909 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3572 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3490 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3599 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3517 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-4334 ((|#1| $ (-765)) 78 (-12 (|has| |#1| (-15 ** (|#1| |#1| (-765)))) (|has| |#1| (-15 -3956 (|#1| (-1165))))))) (-4527 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3525 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3592 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3510 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3579 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3497 (($ $) NIL (|has| |#1| (-43 (-410 (-569)))))) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 44 T CONST)) (-3297 (($) 9 T CONST)) (-3712 (($ $ (-635 (-1165)) (-635 (-765))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165) (-765)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-635 (-1165))) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-1165)) NIL (-12 (|has| |#1| (-15 * (|#1| (-765) |#1|))) (|has| |#1| (-897 (-1165))))) (($ $ (-765)) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|)))) (($ $) NIL (|has| |#1| (-15 * (|#1| (-765) |#1|))))) (-1326 (((-121) $ $) NIL)) (-1383 (($ $ |#1|) NIL (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) 94)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL) (($ $ |#1|) 131 (|has| |#1| (-366))) (($ $ $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569)))))) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 93) (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ (-410 (-569)) $) NIL (|has| |#1| (-43 (-410 (-569))))) (($ $ (-410 (-569))) NIL (|has| |#1| (-43 (-410 (-569))))))) 
+(((-1248 |#1| |#2|) (-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) (-1049) (-1165)) (T -1248)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)))) (-2185 (*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1248 *4 *5)) (-4 *4 (-1049)) (-14 *5 (-1165)))) (-3956 (*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) (-3289 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) (-1451 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-2851 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1582 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1458 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-1302 (*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1661 (*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165)))) (-2904 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1665 (*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165)))) (-1324 (*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
+(-13 (-1243 |#1|) (-10 -8 (-15 -3956 ($ (-1225 |#2| |#1|))) (-15 -2185 ((-1225 |#2| |#1|) $ (-765))) (-15 -3956 ($ (-1249 |#2|))) (-15 -3289 ($ $ (-1249 |#2|))) (-15 -1451 ($ $)) (-15 -2851 ($ $)) (-15 -1582 ($ $)) (-15 -1458 ($ $)) (-15 -1302 ($ $ (-569) (-569))) (-15 -1661 ($ $)) (-15 -2904 ($ (-569) (-569) $)) (-15 -1665 ($ (-569) (-569) $)) (IF (|has| |#1| (-43 (-410 (-569)))) (-15 -1324 ($ $ (-1249 |#2|))) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-1948 (((-1165)) 12)) (-2605 (((-1147) $) 17)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 11) (((-1165) $) 8)) (-1326 (((-121) $ $) 14))) 
+(((-1249 |#1|) (-13 (-1093) (-609 (-1165)) (-10 -8 (-15 -3956 ((-1165) $)) (-15 -1948 ((-1165))))) (-1165)) (T -1249)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2))) (-1948 (*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2)))) 
+(-13 (-1093) (-609 (-1165)) (-10 -8 (-15 -3956 ((-1165) $)) (-15 -1948 ((-1165))))) 
+((-3397 (($ (-765)) 16)) (-3410 (((-681 |#2|) $ $) 37)) (-3108 ((|#2| $) 46)) (-2718 ((|#2| $) 45)) (-4510 ((|#2| $ $) 33)) (-3617 (($ $ $) 42)) (-1377 (($ $) 20) (($ $ $) 26)) (-1371 (($ $ $) 13)) (* (($ (-569) $) 23) (($ |#2| $) 29) (($ $ |#2|) 28))) 
+(((-1250 |#1| |#2|) (-10 -8 (-15 -3108 (|#2| |#1|)) (-15 -2718 (|#2| |#1|)) (-15 -3617 (|#1| |#1| |#1|)) (-15 -3410 ((-681 |#2|) |#1| |#1|)) (-15 -4510 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3397 (|#1| (-765))) (-15 -1371 (|#1| |#1| |#1|))) (-1251 |#2|) (-1199)) (T -1250)) 
+NIL 
+(-10 -8 (-15 -3108 (|#2| |#1|)) (-15 -2718 (|#2| |#1|)) (-15 -3617 (|#1| |#1| |#1|)) (-15 -3410 ((-681 |#2|) |#1| |#1|)) (-15 -4510 (|#2| |#1| |#1|)) (-15 * (|#1| |#1| |#2|)) (-15 * (|#1| |#2| |#1|)) (-15 * (|#1| (-569) |#1|)) (-15 -1377 (|#1| |#1| |#1|)) (-15 -1377 (|#1| |#1|)) (-15 -3397 (|#1| (-765))) (-15 -1371 (|#1| |#1| |#1|))) 
+((-1310 (((-121) $ $) 18 (|has| |#1| (-1093)))) (-3397 (($ (-765)) 105 (|has| |#1| (-23)))) (-1403 (((-1258) $ (-569) (-569)) 37 (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) 91) (((-121) $) 85 (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) 82 (|has| $ (-6 -4572))) (($ $) 81 (-12 (|has| |#1| (-844)) (|has| $ (-6 -4572))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) 92) (($ $) 86 (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) 8)) (-2511 ((|#1| $ (-569) |#1|) 49 (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) 53 (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) 70 (|has| $ (-6 -4571)))) (-4483 (($) 7 T CONST)) (-2887 (($ $) 83 (|has| $ (-6 -4572)))) (-1871 (($ $) 93)) (-1858 (($ $) 73 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3503 (($ |#1| $) 72 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) (($ (-1 (-121) |#1|) $) 69 (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) 71 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) 68 (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) 67 (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) 50 (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) 48)) (-3988 (((-569) (-1 (-121) |#1|) $) 90) (((-569) |#1| $) 89 (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) 88 (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 30 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) 98 (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) 64)) (-3206 (((-121) $ (-765)) 9)) (-2497 (((-569) $) 40 (|has| (-569) (-844)))) (-2157 (($ $ $) 80 (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) 94) (($ $ $) 87 (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) 29 (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) 27 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-1301 (((-569) $) 41 (|has| (-569) (-844)))) (-2713 (($ $ $) 79 (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) 34 (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) 35) (($ (-1 |#1| |#1| |#1|) $ $) 59)) (-3108 ((|#1| $) 95 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-1396 (((-121) $ (-765)) 10)) (-2718 ((|#1| $) 96 (-12 (|has| |#1| (-1049)) (|has| |#1| (-1004))))) (-2605 (((-1147) $) 22 (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) 55) (($ $ $ (-569)) 54)) (-2761 (((-635 (-569)) $) 43)) (-3292 (((-121) (-569) $) 44)) (-1912 (((-1111) $) 21 (|has| |#1| (-1093)))) (-1816 ((|#1| $) 39 (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) 66)) (-2417 (($ $ |#1|) 38 (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) 32 (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) 26 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) 25 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) 24 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) 23 (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) 14)) (-3322 (((-121) |#1| $) 42 (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) 45)) (-1668 (((-121) $) 11)) (-4016 (($) 12)) (-2503 ((|#1| $ (-569) |#1|) 47) ((|#1| $ (-569)) 46) (($ $ (-1219 (-569))) 58)) (-4510 ((|#1| $ $) 99 (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) 57) (($ $ (-1219 (-569))) 56)) (-3617 (($ $ $) 97 (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) 31 (|has| $ (-6 -4571))) (((-765) |#1| $) 28 (-12 (|has| |#1| (-1093)) (|has| $ (-6 -4571))))) (-3038 (($ $ $ (-569)) 84 (|has| $ (-6 -4572)))) (-1799 (($ $) 13)) (-4035 (((-542) $) 74 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 65)) (-4456 (($ $ |#1|) 63) (($ |#1| $) 62) (($ $ $) 61) (($ (-635 $)) 60)) (-3956 (((-852) $) 20 (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) 33 (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) 77 (|has| |#1| (-844)))) (-1343 (((-121) $ $) 76 (|has| |#1| (-844)))) (-1326 (((-121) $ $) 19 (|has| |#1| (-1093)))) (-1349 (((-121) $ $) 78 (|has| |#1| (-844)))) (-1337 (((-121) $ $) 75 (|has| |#1| (-844)))) (-1377 (($ $) 104 (|has| |#1| (-21))) (($ $ $) 103 (|has| |#1| (-21)))) (-1371 (($ $ $) 106 (|has| |#1| (-25)))) (* (($ (-569) $) 102 (|has| |#1| (-21))) (($ |#1| $) 101 (|has| |#1| (-718))) (($ $ |#1|) 100 (|has| |#1| (-718)))) (-2946 (((-765) $) 6 (|has| $ (-6 -4571))))) 
+(((-1251 |#1|) (-1284) (-1199)) (T -1251)) 
+((-1371 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-25)))) (-3397 (*1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1251 *3)) (-4 *3 (-23)) (-4 *3 (-1199)))) (-1377 (*1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) (-1377 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) (* (*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-21)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) (* (*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) (-4510 (*1 *2 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) (-3410 (*1 *2 *1 *1) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-1049)) (-5 *2 (-681 *3)))) (-3617 (*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) (-2718 (*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049)))) (-3108 (*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
+(-13 (-19 |t#1|) (-10 -8 (IF (|has| |t#1| (-25)) (-15 -1371 ($ $ $)) |noBranch|) (IF (|has| |t#1| (-23)) (-15 -3397 ($ (-765))) |noBranch|) (IF (|has| |t#1| (-21)) (PROGN (-15 -1377 ($ $)) (-15 -1377 ($ $ $)) (-15 * ($ (-569) $))) |noBranch|) (IF (|has| |t#1| (-718)) (PROGN (-15 * ($ |t#1| $)) (-15 * ($ $ |t#1|))) |noBranch|) (IF (|has| |t#1| (-1049)) (PROGN (-15 -4510 (|t#1| $ $)) (-15 -3410 ((-681 |t#1|) $ $)) (-15 -3617 ($ $ $))) |noBranch|) (IF (|has| |t#1| (-1004)) (IF (|has| |t#1| (-1049)) (PROGN (-15 -2718 (|t#1| $)) (-15 -3108 (|t#1| $))) |noBranch|) |noBranch|))) 
+(((-39) . T) ((-105) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-609 (-852)) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-155 |#1|) . T) ((-610 (-542)) |has| |#1| (-610 (-542))) ((-282 (-569) |#1|) . T) ((-284 (-569) |#1|) . T) ((-304 |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-376 |#1|) . T) ((-500 |#1|) . T) ((-602 (-569) |#1|) . T) ((-524 |#1| |#1|) -12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))) ((-641 |#1|) . T) ((-19 |#1|) . T) ((-844) |has| |#1| (-844)) ((-1093) -1929 (|has| |#1| (-1093)) (|has| |#1| (-844))) ((-1199) . T)) 
+((-2247 (((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|) 13)) (-2793 ((|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|) 15)) (-4188 (((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)) 28) (((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|)) 18))) 
+(((-1252 |#1| |#2|) (-10 -7 (-15 -2247 ((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -4188 ((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|))) (-15 -4188 ((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)))) (-1199) (-1199)) (T -1252)) 
+((-4188 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) (-4188 (*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) (-2793 (*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1252 *5 *2)))) (-2247 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1253 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-1253 *5)) (-5 *1 (-1252 *6 *5))))) 
+(-10 -7 (-15 -2247 ((-1253 |#2|) (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -2793 (|#2| (-1 |#2| |#1| |#2|) (-1253 |#1|) |#2|)) (-15 -4188 ((-1253 |#2|) (-1 |#2| |#1|) (-1253 |#1|))) (-15 -4188 ((-3 (-1253 |#2|) "failed") (-1 (-3 |#2| "failed") |#1|) (-1253 |#1|)))) 
+((-1310 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-3397 (($ (-765)) NIL (|has| |#1| (-23)))) (-3311 (($ (-635 |#1|)) 9)) (-1403 (((-1258) $ (-569) (-569)) NIL (|has| $ (-6 -4572)))) (-3382 (((-121) (-1 (-121) |#1| |#1|) $) NIL) (((-121) $) NIL (|has| |#1| (-844)))) (-1744 (($ (-1 (-121) |#1| |#1|) $) NIL (|has| $ (-6 -4572))) (($ $) NIL (-12 (|has| $ (-6 -4572)) (|has| |#1| (-844))))) (-2930 (($ (-1 (-121) |#1| |#1|) $) NIL) (($ $) NIL (|has| |#1| (-844)))) (-3350 (((-121) $ (-765)) NIL)) (-2511 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572))) ((|#1| $ (-1219 (-569)) |#1|) NIL (|has| $ (-6 -4572)))) (-2140 (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-4483 (($) NIL T CONST)) (-2887 (($ $) NIL (|has| $ (-6 -4572)))) (-1871 (($ $) NIL)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3503 (($ |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) (($ (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-2793 ((|#1| (-1 |#1| |#1| |#1|) $ |#1| |#1|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093)))) ((|#1| (-1 |#1| |#1| |#1|) $ |#1|) NIL (|has| $ (-6 -4571))) ((|#1| (-1 |#1| |#1| |#1|) $) NIL (|has| $ (-6 -4571)))) (-3982 ((|#1| $ (-569) |#1|) NIL (|has| $ (-6 -4572)))) (-4124 ((|#1| $ (-569)) NIL)) (-3988 (((-569) (-1 (-121) |#1|) $) NIL) (((-569) |#1| $) NIL (|has| |#1| (-1093))) (((-569) |#1| $ (-569)) NIL (|has| |#1| (-1093)))) (-4303 (((-635 |#1|) $) 15 (|has| $ (-6 -4571)))) (-3410 (((-681 |#1|) $ $) NIL (|has| |#1| (-1049)))) (-2446 (($ (-765) |#1|) NIL)) (-3206 (((-121) $ (-765)) NIL)) (-2497 (((-569) $) NIL (|has| (-569) (-844)))) (-2157 (($ $ $) NIL (|has| |#1| (-844)))) (-2102 (($ (-1 (-121) |#1| |#1|) $ $) NIL) (($ $ $) NIL (|has| |#1| (-844)))) (-4457 (((-635 |#1|) $) NIL (|has| $ (-6 -4571)))) (-3016 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-1301 (((-569) $) NIL (|has| (-569) (-844)))) (-2713 (($ $ $) NIL (|has| |#1| (-844)))) (-2089 (($ (-1 |#1| |#1|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#1| |#1|) $) NIL) (($ (-1 |#1| |#1| |#1|) $ $) NIL)) (-3108 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-1396 (((-121) $ (-765)) NIL)) (-2718 ((|#1| $) NIL (-12 (|has| |#1| (-1004)) (|has| |#1| (-1049))))) (-2605 (((-1147) $) NIL (|has| |#1| (-1093)))) (-2583 (($ |#1| $ (-569)) NIL) (($ $ $ (-569)) NIL)) (-2761 (((-635 (-569)) $) NIL)) (-3292 (((-121) (-569) $) NIL)) (-1912 (((-1111) $) NIL (|has| |#1| (-1093)))) (-1816 ((|#1| $) NIL (|has| (-569) (-844)))) (-2569 (((-3 |#1| "failed") (-1 (-121) |#1|) $) NIL)) (-2417 (($ $ |#1|) NIL (|has| $ (-6 -4572)))) (-2985 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 (-289 |#1|))) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-289 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ |#1| |#1|) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093)))) (($ $ (-635 |#1|) (-635 |#1|)) NIL (-12 (|has| |#1| (-304 |#1|)) (|has| |#1| (-1093))))) (-3186 (((-121) $ $) NIL)) (-3322 (((-121) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-4283 (((-635 |#1|) $) NIL)) (-1668 (((-121) $) NIL)) (-4016 (($) NIL)) (-2503 ((|#1| $ (-569) |#1|) NIL) ((|#1| $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-4510 ((|#1| $ $) NIL (|has| |#1| (-1049)))) (-2077 (($ $ (-569)) NIL) (($ $ (-1219 (-569))) NIL)) (-3617 (($ $ $) NIL (|has| |#1| (-1049)))) (-2691 (((-765) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571))) (((-765) |#1| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#1| (-1093))))) (-3038 (($ $ $ (-569)) NIL (|has| $ (-6 -4572)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) 19 (|has| |#1| (-610 (-542))))) (-3124 (($ (-635 |#1|)) 8)) (-4456 (($ $ |#1|) NIL) (($ |#1| $) NIL) (($ $ $) NIL) (($ (-635 $)) NIL)) (-3956 (((-852) $) NIL (|has| |#1| (-1093)))) (-3776 (((-121) (-1 (-121) |#1|) $) NIL (|has| $ (-6 -4571)))) (-1355 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1343 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1326 (((-121) $ $) NIL (|has| |#1| (-1093)))) (-1349 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1337 (((-121) $ $) NIL (|has| |#1| (-844)))) (-1377 (($ $) NIL (|has| |#1| (-21))) (($ $ $) NIL (|has| |#1| (-21)))) (-1371 (($ $ $) NIL (|has| |#1| (-25)))) (* (($ (-569) $) NIL (|has| |#1| (-21))) (($ |#1| $) NIL (|has| |#1| (-718))) (($ $ |#1|) NIL (|has| |#1| (-718)))) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1253 |#1|) (-13 (-1251 |#1|) (-10 -8 (-15 -3311 ($ (-635 |#1|))))) (-1199)) (T -1253)) 
+((-3311 (*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1253 *3))))) 
+(-13 (-1251 |#1|) (-10 -8 (-15 -3311 ($ (-635 |#1|))))) 
+((-1310 (((-121) $ $) NIL)) (-3792 (((-1147) $ (-1147)) 87) (((-1147) $ (-1147) (-1147)) 85) (((-1147) $ (-1147) (-635 (-1147))) 84)) (-3349 (($) 56)) (-2829 (((-1258) $ (-474) (-919)) 42)) (-2175 (((-1258) $ (-919) (-1147)) 70) (((-1258) $ (-919) (-871)) 71)) (-2512 (((-1258) $ (-919) (-382) (-382)) 45)) (-3301 (((-1258) $ (-1147)) 66)) (-3242 (((-1258) $ (-919) (-1147)) 75)) (-3402 (((-1258) $ (-919) (-382) (-382)) 46)) (-1507 (((-1258) $ (-919) (-919)) 43)) (-3786 (((-1258) $) 67)) (-1384 (((-1258) $ (-919) (-1147)) 74)) (-1446 (((-1258) $ (-474) (-919)) 30)) (-2316 (((-1258) $ (-919) (-1147)) 73)) (-1523 (((-635 (-257)) $) 22) (($ $ (-635 (-257))) 23)) (-2321 (((-1258) $ (-765) (-765)) 40)) (-4371 (($ $) 57) (($ (-474) (-635 (-257))) 58)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 37)) (-1912 (((-1111) $) NIL)) (-3325 (((-1253 (-3 (-474) "undefined")) $) 36)) (-2924 (((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $) 35)) (-4233 (((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569)) 65)) (-4216 (((-635 (-946 (-216))) $) NIL)) (-3586 (((-474) $ (-919)) 32)) (-4077 (((-1258) $ (-765) (-765) (-919) (-919)) 39)) (-1944 (((-1258) $ (-1147)) 76)) (-1742 (((-1258) $ (-919) (-1147)) 72)) (-3956 (((-852) $) 82)) (-2412 (((-1258) $) 77)) (-3296 (((-1258) $ (-919) (-1147)) 68) (((-1258) $ (-919) (-871)) 69)) (-1326 (((-121) $ $) NIL))) 
+(((-1254) (-13 (-1093) (-10 -8 (-15 -4216 ((-635 (-946 (-216))) $)) (-15 -3349 ($)) (-15 -4371 ($ $)) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -4371 ($ (-474) (-635 (-257)))) (-15 -4233 ((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569))) (-15 -2924 ((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $)) (-15 -3325 ((-1253 (-3 (-474) "undefined")) $)) (-15 -3301 ((-1258) $ (-1147))) (-15 -1446 ((-1258) $ (-474) (-919))) (-15 -3586 ((-474) $ (-919))) (-15 -3296 ((-1258) $ (-919) (-1147))) (-15 -3296 ((-1258) $ (-919) (-871))) (-15 -2175 ((-1258) $ (-919) (-1147))) (-15 -2175 ((-1258) $ (-919) (-871))) (-15 -2316 ((-1258) $ (-919) (-1147))) (-15 -1384 ((-1258) $ (-919) (-1147))) (-15 -1742 ((-1258) $ (-919) (-1147))) (-15 -1944 ((-1258) $ (-1147))) (-15 -2412 ((-1258) $)) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3402 ((-1258) $ (-919) (-382) (-382))) (-15 -2512 ((-1258) $ (-919) (-382) (-382))) (-15 -3242 ((-1258) $ (-919) (-1147))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -2829 ((-1258) $ (-474) (-919))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -3786 ((-1258) $)) (-15 -3335 ((-569) $)) (-15 -3956 ((-852) $))))) (T -1254)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1254)))) (-4216 (*1 *2 *1) (-12 (-5 *2 (-635 (-946 (-216)))) (-5 *1 (-1254)))) (-3349 (*1 *1) (-5 *1 (-1254))) (-4371 (*1 *1 *1) (-5 *1 (-1254))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) (-1523 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) (-4371 (*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1254)))) (-4233 (*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-919)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2924 (*1 *2 *1) (-12 (-5 *2 (-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569))))) (-5 *1 (-1254)))) (-3325 (*1 *2 *1) (-12 (-5 *2 (-1253 (-3 (-474) "undefined"))) (-5 *1 (-1254)))) (-3301 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1446 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3586 (*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-474)) (-5 *1 (-1254)))) (-3296 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3296 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2175 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2175 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2316 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1384 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1742 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1944 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2412 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) (-4077 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3402 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2512 (*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3242 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2321 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-2829 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-1507 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3792 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1254)))) (-3786 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1254))))) 
+(-13 (-1093) (-10 -8 (-15 -4216 ((-635 (-946 (-216))) $)) (-15 -3349 ($)) (-15 -4371 ($ $)) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -4371 ($ (-474) (-635 (-257)))) (-15 -4233 ((-1258) $ (-919) (-216) (-216) (-216) (-216) (-569) (-569) (-569) (-569) (-871) (-569) (-871) (-569))) (-15 -2924 ((-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569)))) $)) (-15 -3325 ((-1253 (-3 (-474) "undefined")) $)) (-15 -3301 ((-1258) $ (-1147))) (-15 -1446 ((-1258) $ (-474) (-919))) (-15 -3586 ((-474) $ (-919))) (-15 -3296 ((-1258) $ (-919) (-1147))) (-15 -3296 ((-1258) $ (-919) (-871))) (-15 -2175 ((-1258) $ (-919) (-1147))) (-15 -2175 ((-1258) $ (-919) (-871))) (-15 -2316 ((-1258) $ (-919) (-1147))) (-15 -1384 ((-1258) $ (-919) (-1147))) (-15 -1742 ((-1258) $ (-919) (-1147))) (-15 -1944 ((-1258) $ (-1147))) (-15 -2412 ((-1258) $)) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3402 ((-1258) $ (-919) (-382) (-382))) (-15 -2512 ((-1258) $ (-919) (-382) (-382))) (-15 -3242 ((-1258) $ (-919) (-1147))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -2829 ((-1258) $ (-474) (-919))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -3786 ((-1258) $)) (-15 -3335 ((-569) $)) (-15 -3956 ((-852) $)))) 
+((-1310 (((-121) $ $) NIL)) (-1908 (((-1258) $ (-382)) 138) (((-1258) $ (-382) (-382) (-382)) 139)) (-3792 (((-1147) $ (-1147)) 146) (((-1147) $ (-1147) (-1147)) 144) (((-1147) $ (-1147) (-635 (-1147))) 143)) (-1340 (($) 49)) (-3818 (((-1258) $ (-382) (-382) (-382) (-382) (-382)) 114) (((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $) 112) (((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) 113) (((-1258) $ (-569) (-569) (-382) (-382) (-382)) 115) (((-1258) $ (-382) (-382)) 116) (((-1258) $ (-382) (-382) (-382)) 123)) (-2449 (((-382)) 96) (((-382) (-382)) 97)) (-2070 (((-382)) 91) (((-382) (-382)) 93)) (-4203 (((-382)) 94) (((-382) (-382)) 95)) (-3029 (((-382)) 100) (((-382) (-382)) 101)) (-2911 (((-382)) 98) (((-382) (-382)) 99)) (-2512 (((-1258) $ (-382) (-382)) 140)) (-3301 (((-1258) $ (-1147)) 124)) (-2215 (((-1124 (-216)) $) 50) (($ $ (-1124 (-216))) 51)) (-1597 (((-1258) $ (-1147)) 152)) (-2935 (((-1258) $ (-1147)) 153)) (-2951 (((-1258) $ (-382) (-382)) 122) (((-1258) $ (-569) (-569)) 137)) (-1507 (((-1258) $ (-919) (-919)) 130)) (-3786 (((-1258) $) 110)) (-1856 (((-1258) $ (-1147)) 151)) (-4436 (((-1258) $ (-1147)) 107)) (-1523 (((-635 (-257)) $) 52) (($ $ (-635 (-257))) 53)) (-2321 (((-1258) $ (-765) (-765)) 129)) (-2881 (((-1258) $ (-765) (-946 (-216))) 158)) (-1519 (($ $) 56) (($ (-1124 (-216)) (-1147)) 57) (($ (-1124 (-216)) (-635 (-257))) 58)) (-3954 (((-1258) $ (-382) (-382) (-382)) 104)) (-2605 (((-1147) $) NIL)) (-3335 (((-569) $) 102)) (-2854 (((-1258) $ (-382)) 141)) (-3326 (((-1258) $ (-382)) 156)) (-1912 (((-1111) $) NIL)) (-1950 (((-1258) $ (-382)) 155)) (-2973 (((-1258) $ (-1147)) 109)) (-4077 (((-1258) $ (-765) (-765) (-919) (-919)) 128)) (-4240 (((-1258) $ (-1147)) 106)) (-1944 (((-1258) $ (-1147)) 108)) (-3527 (((-1258) $ (-159) (-159)) 127)) (-3956 (((-852) $) 135)) (-2412 (((-1258) $) 111)) (-2295 (((-1258) $ (-1147)) 154)) (-3296 (((-1258) $ (-1147)) 105)) (-1326 (((-121) $ $) NIL))) 
+(((-1255) (-13 (-1093) (-10 -8 (-15 -2070 ((-382))) (-15 -2070 ((-382) (-382))) (-15 -4203 ((-382))) (-15 -4203 ((-382) (-382))) (-15 -2449 ((-382))) (-15 -2449 ((-382) (-382))) (-15 -2911 ((-382))) (-15 -2911 ((-382) (-382))) (-15 -3029 ((-382))) (-15 -3029 ((-382) (-382))) (-15 -1340 ($)) (-15 -1519 ($ $)) (-15 -1519 ($ (-1124 (-216)) (-1147))) (-15 -1519 ($ (-1124 (-216)) (-635 (-257)))) (-15 -2215 ((-1124 (-216)) $)) (-15 -2215 ($ $ (-1124 (-216)))) (-15 -2881 ((-1258) $ (-765) (-946 (-216)))) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3301 ((-1258) $ (-1147))) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3818 ((-1258) $ (-382) (-382) (-382) (-382) (-382))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3818 ((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3818 ((-1258) $ (-569) (-569) (-382) (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382) (-382))) (-15 -1944 ((-1258) $ (-1147))) (-15 -3296 ((-1258) $ (-1147))) (-15 -4240 ((-1258) $ (-1147))) (-15 -4436 ((-1258) $ (-1147))) (-15 -2973 ((-1258) $ (-1147))) (-15 -2951 ((-1258) $ (-382) (-382))) (-15 -2951 ((-1258) $ (-569) (-569))) (-15 -1908 ((-1258) $ (-382))) (-15 -1908 ((-1258) $ (-382) (-382) (-382))) (-15 -2512 ((-1258) $ (-382) (-382))) (-15 -1856 ((-1258) $ (-1147))) (-15 -1950 ((-1258) $ (-382))) (-15 -3326 ((-1258) $ (-382))) (-15 -1597 ((-1258) $ (-1147))) (-15 -2935 ((-1258) $ (-1147))) (-15 -2295 ((-1258) $ (-1147))) (-15 -3954 ((-1258) $ (-382) (-382) (-382))) (-15 -2854 ((-1258) $ (-382))) (-15 -3786 ((-1258) $)) (-15 -3527 ((-1258) $ (-159) (-159))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -2412 ((-1258) $)) (-15 -3335 ((-569) $))))) (T -1255)) 
+((-2070 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2070 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-4203 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-4203 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2449 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2449 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2911 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-2911 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-3029 (*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-3029 (*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) (-1340 (*1 *1) (-5 *1 (-1255))) (-1519 (*1 *1 *1) (-5 *1 (-1255))) (-1519 (*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1147)) (-5 *1 (-1255)))) (-1519 (*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1255)))) (-2215 (*1 *2 *1) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) (-2215 (*1 *1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) (-2881 (*1 *2 *1 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1523 (*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) (-1523 (*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) (-2321 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1507 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3301 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4077 (*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3818 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1944 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3296 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4240 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-4436 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2973 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2951 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2951 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1908 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1908 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2512 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1856 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1950 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3326 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-1597 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2935 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2295 (*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3954 (*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-2854 (*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3786 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3527 (*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) (-3792 (*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1255)))) (-2412 (*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255)))) (-3335 (*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1255))))) 
+(-13 (-1093) (-10 -8 (-15 -2070 ((-382))) (-15 -2070 ((-382) (-382))) (-15 -4203 ((-382))) (-15 -4203 ((-382) (-382))) (-15 -2449 ((-382))) (-15 -2449 ((-382) (-382))) (-15 -2911 ((-382))) (-15 -2911 ((-382) (-382))) (-15 -3029 ((-382))) (-15 -3029 ((-382) (-382))) (-15 -1340 ($)) (-15 -1519 ($ $)) (-15 -1519 ($ (-1124 (-216)) (-1147))) (-15 -1519 ($ (-1124 (-216)) (-635 (-257)))) (-15 -2215 ((-1124 (-216)) $)) (-15 -2215 ($ $ (-1124 (-216)))) (-15 -2881 ((-1258) $ (-765) (-946 (-216)))) (-15 -1523 ((-635 (-257)) $)) (-15 -1523 ($ $ (-635 (-257)))) (-15 -2321 ((-1258) $ (-765) (-765))) (-15 -1507 ((-1258) $ (-919) (-919))) (-15 -3301 ((-1258) $ (-1147))) (-15 -4077 ((-1258) $ (-765) (-765) (-919) (-919))) (-15 -3818 ((-1258) $ (-382) (-382) (-382) (-382) (-382))) (-15 -3818 ((-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))) $)) (-15 -3818 ((-1258) $ (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216))))) (-15 -3818 ((-1258) $ (-569) (-569) (-382) (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382))) (-15 -3818 ((-1258) $ (-382) (-382) (-382))) (-15 -1944 ((-1258) $ (-1147))) (-15 -3296 ((-1258) $ (-1147))) (-15 -4240 ((-1258) $ (-1147))) (-15 -4436 ((-1258) $ (-1147))) (-15 -2973 ((-1258) $ (-1147))) (-15 -2951 ((-1258) $ (-382) (-382))) (-15 -2951 ((-1258) $ (-569) (-569))) (-15 -1908 ((-1258) $ (-382))) (-15 -1908 ((-1258) $ (-382) (-382) (-382))) (-15 -2512 ((-1258) $ (-382) (-382))) (-15 -1856 ((-1258) $ (-1147))) (-15 -1950 ((-1258) $ (-382))) (-15 -3326 ((-1258) $ (-382))) (-15 -1597 ((-1258) $ (-1147))) (-15 -2935 ((-1258) $ (-1147))) (-15 -2295 ((-1258) $ (-1147))) (-15 -3954 ((-1258) $ (-382) (-382) (-382))) (-15 -2854 ((-1258) $ (-382))) (-15 -3786 ((-1258) $)) (-15 -3527 ((-1258) $ (-159) (-159))) (-15 -3792 ((-1147) $ (-1147))) (-15 -3792 ((-1147) $ (-1147) (-1147))) (-15 -3792 ((-1147) $ (-1147) (-635 (-1147)))) (-15 -2412 ((-1258) $)) (-15 -3335 ((-569) $)))) 
+((-3871 (((-635 (-1147)) (-635 (-1147))) 94) (((-635 (-1147))) 89)) (-3327 (((-635 (-1147))) 87)) (-2789 (((-635 (-919)) (-635 (-919))) 62) (((-635 (-919))) 59)) (-2240 (((-635 (-765)) (-635 (-765))) 56) (((-635 (-765))) 52)) (-3910 (((-1258)) 64)) (-3070 (((-919) (-919)) 80) (((-919)) 79)) (-3095 (((-919) (-919)) 78) (((-919)) 77)) (-4076 (((-871) (-871)) 74) (((-871)) 73)) (-3079 (((-216)) 84) (((-216) (-382)) 86)) (-3040 (((-919)) 81) (((-919) (-919)) 82)) (-1476 (((-919) (-919)) 76) (((-919)) 75)) (-4265 (((-871) (-871)) 68) (((-871)) 66)) (-4534 (((-871) (-871)) 70) (((-871)) 69)) (-4373 (((-871) (-871)) 72) (((-871)) 71))) 
+(((-1256) (-10 -7 (-15 -4265 ((-871))) (-15 -4265 ((-871) (-871))) (-15 -4534 ((-871))) (-15 -4534 ((-871) (-871))) (-15 -4373 ((-871))) (-15 -4373 ((-871) (-871))) (-15 -4076 ((-871))) (-15 -4076 ((-871) (-871))) (-15 -1476 ((-919))) (-15 -1476 ((-919) (-919))) (-15 -2240 ((-635 (-765)))) (-15 -2240 ((-635 (-765)) (-635 (-765)))) (-15 -2789 ((-635 (-919)))) (-15 -2789 ((-635 (-919)) (-635 (-919)))) (-15 -3910 ((-1258))) (-15 -3871 ((-635 (-1147)))) (-15 -3871 ((-635 (-1147)) (-635 (-1147)))) (-15 -3327 ((-635 (-1147)))) (-15 -3095 ((-919))) (-15 -3070 ((-919))) (-15 -3095 ((-919) (-919))) (-15 -3070 ((-919) (-919))) (-15 -3040 ((-919) (-919))) (-15 -3040 ((-919))) (-15 -3079 ((-216) (-382))) (-15 -3079 ((-216))))) (T -1256)) 
+((-3079 (*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1256)))) (-3079 (*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1256)))) (-3040 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3040 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3070 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3095 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3070 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3095 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-3327 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3871 (*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3871 (*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) (-3910 (*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1256)))) (-2789 (*1 *2 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) (-2789 (*1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) (-2240 (*1 *2 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) (-2240 (*1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) (-1476 (*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-1476 (*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) (-4076 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4076 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4373 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4373 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4534 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4534 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4265 (*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) (-4265 (*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
+(-10 -7 (-15 -4265 ((-871))) (-15 -4265 ((-871) (-871))) (-15 -4534 ((-871))) (-15 -4534 ((-871) (-871))) (-15 -4373 ((-871))) (-15 -4373 ((-871) (-871))) (-15 -4076 ((-871))) (-15 -4076 ((-871) (-871))) (-15 -1476 ((-919))) (-15 -1476 ((-919) (-919))) (-15 -2240 ((-635 (-765)))) (-15 -2240 ((-635 (-765)) (-635 (-765)))) (-15 -2789 ((-635 (-919)))) (-15 -2789 ((-635 (-919)) (-635 (-919)))) (-15 -3910 ((-1258))) (-15 -3871 ((-635 (-1147)))) (-15 -3871 ((-635 (-1147)) (-635 (-1147)))) (-15 -3327 ((-635 (-1147)))) (-15 -3095 ((-919))) (-15 -3070 ((-919))) (-15 -3095 ((-919) (-919))) (-15 -3070 ((-919) (-919))) (-15 -3040 ((-919) (-919))) (-15 -3040 ((-919))) (-15 -3079 ((-216) (-382))) (-15 -3079 ((-216)))) 
+((-3779 (((-474) (-635 (-635 (-946 (-216)))) (-635 (-257))) 17) (((-474) (-635 (-635 (-946 (-216))))) 16) (((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257))) 15)) (-4537 (((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257))) 23) (((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257))) 22)) (-3956 (((-1254) (-474)) 34))) 
+(((-1257) (-10 -7 (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -3956 ((-1254) (-474))))) (T -1257)) 
+((-3956 (*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-4537 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-4537 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-474)) (-5 *1 (-1257)))) (-3779 (*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257))))) 
+(-10 -7 (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))))) (-15 -3779 ((-474) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-871) (-871) (-919) (-635 (-257)))) (-15 -4537 ((-1254) (-635 (-635 (-946 (-216)))) (-635 (-257)))) (-15 -3956 ((-1254) (-474)))) 
+((-2667 (($) 7)) (-3956 (((-852) $) 10))) 
+(((-1258) (-10 -8 (-15 -2667 ($)) (-15 -3956 ((-852) $)))) (T -1258)) 
+((-3956 (*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1258)))) (-2667 (*1 *1) (-5 *1 (-1258)))) 
+(-10 -8 (-15 -2667 ($)) (-15 -3956 ((-852) $))) 
+((-1383 (($ $ |#2|) 10))) 
+(((-1259 |#1| |#2|) (-10 -8 (-15 -1383 (|#1| |#1| |#2|))) (-1260 |#2|) (-366)) (T -1259)) 
+NIL 
+(-10 -8 (-15 -1383 (|#1| |#1| |#2|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2174 (((-140)) 25)) (-3956 (((-852) $) 11)) (-2407 (($) 17 T CONST)) (-1326 (((-121) $ $) 6)) (-1383 (($ $ |#1|) 26)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ |#1| $) 22) (($ $ |#1|) 24))) 
+(((-1260 |#1|) (-1284) (-366)) (T -1260)) 
+((-1383 (*1 *1 *1 *2) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-366)))) (-2174 (*1 *2) (-12 (-4 *1 (-1260 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
+(-13 (-709 |t#1|) (-10 -8 (-15 -1383 ($ $ |t#1|)) (-15 -2174 ((-140))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-709 |#1|) . T) ((-1055 |#1|) . T) ((-1093) . T)) 
+((-3011 (((-635 (-1194 |#1|)) (-1165) (-1194 |#1|)) 78)) (-2053 (((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|))) 57)) (-1933 (((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))) 68)) (-2322 (((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765)) 59)) (-3998 (((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165)) 27)) (-1942 (((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765)) 58))) 
+(((-1261 |#1|) (-10 -7 (-15 -2322 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -1942 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -2053 ((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|)))) (-15 -3998 ((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165))) (-15 -3011 ((-635 (-1194 |#1|)) (-1165) (-1194 |#1|))) (-15 -1933 ((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))))) (-366)) (T -1261)) 
+((-1933 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-765)) (-4 *6 (-366)) (-5 *4 (-1194 *6)) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1261 *6)) (-5 *5 (-1145 *4)))) (-3011 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-635 (-1194 *5))) (-5 *1 (-1261 *5)) (-5 *4 (-1194 *5)))) (-3998 (*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-1161 (-955 *4)) (-955 *4))) (-5 *1 (-1261 *4)) (-4 *4 (-366)))) (-2053 (*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-1145 (-1145 (-955 *5)))) (-5 *1 (-1261 *5)) (-5 *4 (-1145 (-955 *5))))) (-1942 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366)))) (-2322 (*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
+(-10 -7 (-15 -2322 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -1942 ((-1 (-1145 (-955 |#1|)) (-1145 (-955 |#1|))) (-765))) (-15 -2053 ((-1145 (-1145 (-955 |#1|))) (-1165) (-1145 (-955 |#1|)))) (-15 -3998 ((-1 (-1161 (-955 |#1|)) (-955 |#1|)) (-1165))) (-15 -3011 ((-635 (-1194 |#1|)) (-1165) (-1194 |#1|))) (-15 -1933 ((-1 (-1145 (-1194 |#1|)) (-1145 (-1194 |#1|))) (-765) (-1194 |#1|) (-1145 (-1194 |#1|))))) 
+((-4356 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|) 74)) (-1629 (((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|)))) 73))) 
+(((-1262 |#1| |#2| |#3| |#4|) (-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|))) (-351) (-1228 |#1|) (-1228 |#2|) (-412 |#2| |#3|)) (T -1262)) 
+((-4356 (*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-1262 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5)))) (-1629 (*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-1262 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
+(-10 -7 (-15 -1629 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))))) (-15 -4356 ((-2 (|:| -4079 (-681 |#2|)) (|:| |basisDen| |#2|) (|:| |basisInv| (-681 |#2|))) |#2|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 41)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) NIL)) (-3934 (((-121) $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3956 (((-852) $) 62) (($ (-569)) NIL) ((|#4| $) 52) (($ |#4|) 47) (($ |#1|) NIL (|has| |#1| (-173)))) (-2320 (((-765)) NIL)) (-3696 (((-1258) (-765)) 16)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 26 T CONST)) (-3297 (($) 65 T CONST)) (-1326 (((-121) $ $) 67)) (-1383 (((-3 $ "failed") $ $) NIL (|has| |#1| (-366)))) (-1377 (($ $) 69) (($ $ $) NIL)) (-1371 (($ $ $) 45)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 71) (($ |#1| $) NIL (|has| |#1| (-173))) (($ $ |#1|) NIL (|has| |#1| (-173))))) 
+(((-1263 |#1| |#2| |#3| |#4| |#5| |#6| |#7|) (-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3956 ($ |#4|)) (-15 -3696 ((-1258) (-765))))) (-1049) (-844) (-790) (-952 |#1| |#3| |#2|) (-635 |#2|) (-635 (-765)) (-765)) (T -1263)) 
+((-3956 (*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-1383 (*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-790)) (-14 *6 (-635 *3)) (-5 *1 (-1263 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-952 *2 *4 *3)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-3956 (*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-952 *3 *5 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) (-3696 (*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-14 *8 (-635 *5)) (-5 *2 (-1258)) (-5 *1 (-1263 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-952 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
+(-13 (-1049) (-10 -8 (IF (|has| |#1| (-173)) (-6 (-43 |#1|)) |noBranch|) (-15 -3956 (|#4| $)) (IF (|has| |#1| (-366)) (-15 -1383 ((-3 $ "failed") $ $)) |noBranch|) (-15 -3956 ($ |#4|)) (-15 -3696 ((-1258) (-765))))) 
+((-1310 (((-121) $ $) NIL)) (-2746 (((-635 (-2 (|:| -2412 $) (|:| -4465 (-635 |#4|)))) (-635 |#4|)) NIL)) (-3202 (((-635 $) (-635 |#4|)) 87)) (-3195 (((-635 |#3|) $) NIL)) (-2800 (((-121) $) NIL)) (-3543 (((-121) $) NIL (|has| |#1| (-559)))) (-3679 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1815 ((|#4| |#4| $) NIL)) (-2930 (((-2 (|:| |under| $) (|:| -1807 $) (|:| |upper| $)) $ |#3|) NIL)) (-3350 (((-121) $ (-765)) NIL)) (-2140 (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571))) (((-3 |#4| "failed") $ |#3|) NIL)) (-4483 (($) NIL T CONST)) (-3987 (((-121) $) NIL (|has| |#1| (-559)))) (-3756 (((-121) $ $) NIL (|has| |#1| (-559)))) (-3258 (((-121) $ $) NIL (|has| |#1| (-559)))) (-1707 (((-121) $) NIL (|has| |#1| (-559)))) (-2516 (((-635 |#4|) (-635 |#4|) $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) 27)) (-3279 (((-635 |#4|) (-635 |#4|) $) 24 (|has| |#1| (-559)))) (-3385 (((-635 |#4|) (-635 |#4|) $) NIL (|has| |#1| (-559)))) (-3003 (((-3 $ "failed") (-635 |#4|)) NIL)) (-1321 (($ (-635 |#4|)) NIL)) (-1864 (((-3 $ "failed") $) 69)) (-3562 ((|#4| |#4| $) 74)) (-1858 (($ $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-3503 (($ |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (($ (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3028 (((-2 (|:| |rnum| |#1|) (|:| |polnum| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3782 (((-121) |#4| $ (-1 (-121) |#4| |#4|)) NIL)) (-4417 ((|#4| |#4| $) NIL)) (-2793 ((|#4| (-1 |#4| |#4| |#4|) $ |#4| |#4|) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) ((|#4| (-1 |#4| |#4| |#4|) $ |#4|) NIL (|has| $ (-6 -4571))) ((|#4| (-1 |#4| |#4| |#4|) $) NIL (|has| $ (-6 -4571))) ((|#4| |#4| $ (-1 |#4| |#4| |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-4047 (((-2 (|:| -2412 (-635 |#4|)) (|:| -4465 (-635 |#4|))) $) NIL)) (-4303 (((-635 |#4|) $) NIL (|has| $ (-6 -4571)))) (-1660 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1473 ((|#3| $) 75)) (-3206 (((-121) $ (-765)) NIL)) (-4457 (((-635 |#4|) $) 28 (|has| $ (-6 -4571)))) (-3016 (((-121) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093))))) (-4055 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 31) (((-3 $ "failed") (-635 |#4|)) 34)) (-2089 (($ (-1 |#4| |#4|) $) NIL (|has| $ (-6 -4572)))) (-4188 (($ (-1 |#4| |#4|) $) NIL)) (-3069 (((-635 |#3|) $) NIL)) (-2107 (((-121) |#3| $) NIL)) (-1396 (((-121) $ (-765)) NIL)) (-2605 (((-1147) $) NIL)) (-3302 (((-3 |#4| "failed") $) NIL)) (-1536 (((-635 |#4|) $) 49)) (-2114 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-2709 ((|#4| |#4| $) 73)) (-1861 (((-121) $ $) 84)) (-3574 (((-2 (|:| |num| |#4|) (|:| |den| |#1|)) |#4| $) NIL (|has| |#1| (-559)))) (-3072 (((-121) |#4| $) NIL) (((-121) $) NIL)) (-1910 ((|#4| |#4| $) NIL)) (-1912 (((-1111) $) NIL)) (-1816 (((-3 |#4| "failed") $) 68)) (-2569 (((-3 |#4| "failed") (-1 (-121) |#4|) $) NIL)) (-4300 (((-3 $ "failed") $ |#4|) NIL)) (-3803 (($ $ |#4|) NIL)) (-2985 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1484 (($ $ (-635 |#4|) (-635 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ |#4| |#4|) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-289 |#4|)) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093)))) (($ $ (-635 (-289 |#4|))) NIL (-12 (|has| |#4| (-304 |#4|)) (|has| |#4| (-1093))))) (-3186 (((-121) $ $) NIL)) (-1668 (((-121) $) 66)) (-4016 (($) 41)) (-2284 (((-765) $) NIL)) (-2691 (((-765) |#4| $) NIL (-12 (|has| $ (-6 -4571)) (|has| |#4| (-1093)))) (((-765) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-1799 (($ $) NIL)) (-4035 (((-542) $) NIL (|has| |#4| (-610 (-542))))) (-3124 (($ (-635 |#4|)) NIL)) (-2201 (($ $ |#3|) NIL)) (-4081 (($ $ |#3|) NIL)) (-2406 (($ $) NIL)) (-2239 (($ $ |#3|) NIL)) (-3956 (((-852) $) NIL) (((-635 |#4|) $) 56)) (-1448 (((-765) $) NIL (|has| |#3| (-371)))) (-3953 (((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 39) (((-3 $ "failed") (-635 |#4|)) 40)) (-2258 (((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|)) 64) (((-635 $) (-635 |#4|)) 65)) (-2236 (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4| |#4|)) 23) (((-3 (-2 (|:| |bas| $) (|:| -1941 (-635 |#4|))) "failed") (-635 |#4|) (-1 (-121) |#4|) (-1 (-121) |#4| |#4|)) NIL)) (-1680 (((-121) $ (-1 (-121) |#4| (-635 |#4|))) NIL)) (-3776 (((-121) (-1 (-121) |#4|) $) NIL (|has| $ (-6 -4571)))) (-3882 (((-635 |#3|) $) NIL)) (-3345 (((-121) |#3| $) NIL)) (-1326 (((-121) $ $) NIL)) (-2946 (((-765) $) NIL (|has| $ (-6 -4571))))) 
+(((-1264 |#1| |#2| |#3| |#4|) (-13 (-1193 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4055 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4055 ((-3 $ "failed") (-635 |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|))) (-15 -2258 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2258 ((-635 $) (-635 |#4|))))) (-559) (-790) (-844) (-1063 |#1| |#2| |#3|)) (T -1264)) 
+((-4055 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8)))) (-4055 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) (-3953 (*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8)))) (-3953 (*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) (-2258 (*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-635 (-1264 *6 *7 *8 *9))) (-5 *1 (-1264 *6 *7 *8 *9)))) (-2258 (*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-1264 *4 *5 *6 *7))) (-5 *1 (-1264 *4 *5 *6 *7))))) 
+(-13 (-1193 |#1| |#2| |#3| |#4|) (-10 -8 (-15 -4055 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -4055 ((-3 $ "failed") (-635 |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -3953 ((-3 $ "failed") (-635 |#4|))) (-15 -2258 ((-635 $) (-635 |#4|) (-1 (-121) |#4| |#4|) (-1 |#4| |#4| |#4|))) (-15 -2258 ((-635 $) (-635 |#4|))))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3748 (((-3 $ "failed") $ $) 18)) (-4483 (($) 16 T CONST)) (-2611 (((-3 $ "failed") $) 33)) (-3934 (((-121) $) 30)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#1|) 37)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ |#1|) 39) (($ |#1| $) 38))) 
+(((-1265 |#1|) (-1284) (-1049)) (T -1265)) 
+((-3956 (*1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-1049))))) 
+(-13 (-1049) (-120 |t#1| |t#1|) (-10 -8 (-15 -3956 ($ |t#1|)) (IF (|has| |t#1| (-173)) (-6 (-43 |t#1|)) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#1|) |has| |#1| (-173)) ((-105) . T) ((-120 |#1| |#1|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 |#1|) |has| |#1| (-173)) ((-718) . T) ((-1055 |#1|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 45)) (-4480 (($ $ (-765)) 39)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ (-765)) 17 (|has| |#2| (-173))) (($ $ $) 18 (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ $) 61) (($ $ (-816 |#1|)) 48) (($ $ |#1|) 52)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL)) (-3373 (($ $) 32)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) NIL)) (-3150 (($ $) NIL)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) 31)) (-2745 (($ $) 33)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 11)) (-3548 (((-816 |#1|) $) NIL)) (-2995 (((-816 |#1|) $) 34)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (($ $ $) 60) (($ $ (-816 |#1|)) 50) (($ $ |#1|) 54)) (-2210 (((-635 (-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-816 |#1|) $) 28)) (-3270 ((|#2| $) 30)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2284 (((-765) $) 36)) (-1894 (((-121) $) 40)) (-3575 ((|#2| $) NIL)) (-3956 (((-852) $) NIL) (($ (-816 |#1|)) 24) (($ |#1|) 25) (($ |#2|) NIL) (($ (-569)) NIL)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-816 |#1|)) NIL)) (-3550 ((|#2| $ $) 63) ((|#2| $ (-816 |#1|)) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (-2407 (($) 12 T CONST)) (-3297 (($) 14 T CONST)) (-1326 (((-121) $ $) 38)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 21)) (** (($ $ (-765)) NIL) (($ $ (-919)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ |#2| $) 20) (($ $ |#2|) 59) (($ |#2| (-816 |#1|)) NIL) (($ |#1| $) 27) (($ $ $) NIL))) 
+(((-1266 |#1| |#2|) (-13 (-385 |#2| (-816 |#1|)) (-1272 |#1| |#2|)) (-844) (-1049)) (T -1266)) 
+NIL 
+(-13 (-385 |#2| (-816 |#1|)) (-1272 |#1| |#2|)) 
+((-3597 ((|#3| |#3| (-765)) 23)) (-3408 ((|#3| |#3| (-765)) 28)) (-1698 ((|#3| |#3| |#3| (-765)) 29))) 
+(((-1267 |#1| |#2| |#3|) (-10 -7 (-15 -3408 (|#3| |#3| (-765))) (-15 -3597 (|#3| |#3| (-765))) (-15 -1698 (|#3| |#3| |#3| (-765)))) (-13 (-1049) (-709 (-410 (-569)))) (-844) (-1272 |#2| |#1|)) (T -1267)) 
+((-1698 (*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) (-3597 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) (-3408 (*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4))))) 
+(-10 -7 (-15 -3408 (|#3| |#3| (-765))) (-15 -3597 (|#3| |#3| (-765))) (-15 -1698 (|#3| |#3| |#3| (-765)))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 39)) (-3748 (((-3 $ "failed") $ $) 18)) (-3158 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-765)) 41 (|has| |#2| (-173)))) (-4483 (($) 16 T CONST)) (-2368 (($ $ |#1|) 53) (($ $ (-816 |#1|)) 52) (($ $ $) 51)) (-3003 (((-3 (-816 |#1|) "failed") $) 63)) (-1321 (((-816 |#1|) $) 62)) (-2611 (((-3 $ "failed") $) 33)) (-2025 (((-121) $) 44)) (-3150 (($ $) 43)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 49)) (-3558 (($ (-816 |#1|) |#2|) 50)) (-2745 (($ $) 48)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 59)) (-3548 (((-816 |#1|) $) 60)) (-4188 (($ (-1 |#2| |#2|) $) 40)) (-3927 (($ $ |#1|) 56) (($ $ (-816 |#1|)) 55) (($ $ $) 54)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-1894 (((-121) $) 46)) (-3575 ((|#2| $) 45)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-816 |#1|)) 64) (($ |#1|) 47)) (-3550 ((|#2| $ (-816 |#1|)) 58) ((|#2| $ $) 57)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1268 |#1| |#2|) (-1284) (-844) (-1049)) (T -1268)) 
+((* (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (* (*1 *1 *2 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3548 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) (-1999 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| |k| (-816 *3)) (|:| |c| *4))))) (-3550 (*1 *2 *1 *3) (-12 (-5 *3 (-816 *4)) (-4 *1 (-1268 *4 *2)) (-4 *4 (-844)) (-4 *2 (-1049)))) (-3550 (*1 *2 *1 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (-3927 (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3927 (*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-3927 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-2368 (*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-2368 (*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-2368 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3558 (*1 *1 *2 *3) (-12 (-5 *2 (-816 *4)) (-4 *4 (-844)) (-4 *1 (-1268 *4 *3)) (-4 *3 (-1049)))) (-3052 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-2745 (*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3956 (*1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-1894 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-3575 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) (-2025 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) (-3150 (*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) (-3158 (*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)) (-4 *3 (-173)))) (-3158 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-4 *4 (-173)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-3810 (*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-635 *3))))) 
+(-13 (-1049) (-1265 |t#2|) (-1039 (-816 |t#1|)) (-10 -8 (-15 * ($ |t#1| $)) (-15 * ($ $ |t#2|)) (-15 -3548 ((-816 |t#1|) $)) (-15 -1999 ((-2 (|:| |k| (-816 |t#1|)) (|:| |c| |t#2|)) $)) (-15 -3550 (|t#2| $ (-816 |t#1|))) (-15 -3550 (|t#2| $ $)) (-15 -3927 ($ $ |t#1|)) (-15 -3927 ($ $ (-816 |t#1|))) (-15 -3927 ($ $ $)) (-15 -2368 ($ $ |t#1|)) (-15 -2368 ($ $ (-816 |t#1|))) (-15 -2368 ($ $ $)) (-15 -3558 ($ (-816 |t#1|) |t#2|)) (-15 -3052 ((-121) $)) (-15 -2745 ($ $)) (-15 -3956 ($ |t#1|)) (-15 -1894 ((-121) $)) (-15 -3575 (|t#2| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (IF (|has| |t#2| (-173)) (PROGN (-15 -3158 ($ $ $)) (-15 -3158 ($ $ (-765)))) |noBranch|) (-15 -4188 ($ (-1 |t#2| |t#2|) $)) (-15 -3810 ((-635 |t#1|) $)) (IF (|has| |t#2| (-6 -4564)) (-6 -4564) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-709 |#2|) |has| |#2| (-173)) ((-718) . T) ((-1039 (-816 |#1|)) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1265 |#2|) . T)) 
+((-1402 (((-121) $) 13)) (-3345 (((-121) $) 12)) (-4167 (($ $) 17) (($ $ (-765)) 18))) 
+(((-1269 |#1| |#2|) (-10 -8 (-15 -4167 (|#1| |#1| (-765))) (-15 -4167 (|#1| |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|))) (-1270 |#2|) (-366)) (T -1269)) 
+NIL 
+(-10 -8 (-15 -4167 (|#1| |#1| (-765))) (-15 -4167 (|#1| |#1|)) (-15 -1402 ((-121) |#1|)) (-15 -3345 ((-121) |#1|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-2545 (((-2 (|:| -3667 $) (|:| -4558 $) (|:| |associate| $)) $) 40)) (-2915 (($ $) 39)) (-2735 (((-121) $) 37)) (-1402 (((-121) $) 90)) (-4102 (((-765)) 86)) (-3748 (((-3 $ "failed") $ $) 18)) (-2710 (($ $) 71)) (-3742 (((-421 $) $) 70)) (-2889 (((-121) $ $) 57)) (-4483 (($) 16 T CONST)) (-3003 (((-3 |#1| "failed") $) 97)) (-1321 ((|#1| $) 96)) (-1614 (($ $ $) 53)) (-2611 (((-3 $ "failed") $) 33)) (-1626 (($ $ $) 54)) (-2153 (((-2 (|:| -3550 (-635 $)) (|:| -1986 $)) (-635 $)) 49)) (-3238 (($ $ (-765)) 83 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371)))) (($ $) 82 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2005 (((-121) $) 69)) (-4433 (((-830 (-919)) $) 80 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-3934 (((-121) $) 30)) (-4153 (((-3 (-635 $) "failed") (-635 $) $) 50)) (-1657 (($ $ $) 45) (($ (-635 $)) 44)) (-2605 (((-1147) $) 9)) (-3243 (($ $) 68)) (-1346 (((-121) $) 89)) (-1912 (((-1111) $) 10)) (-2257 (((-1161 $) (-1161 $) (-1161 $)) 43)) (-3964 (($ $ $) 47) (($ (-635 $)) 46)) (-3139 (((-421 $) $) 72)) (-3648 (((-830 (-919))) 87)) (-2804 (((-2 (|:| |coef1| $) (|:| |coef2| $) (|:| -1986 $)) $ $) 52) (((-3 (-2 (|:| |coef1| $) (|:| |coef2| $)) "failed") $ $ $) 51)) (-1436 (((-3 $ "failed") $ $) 41)) (-2213 (((-3 (-635 $) "failed") (-635 $) $) 48)) (-2061 (((-765) $) 56)) (-3135 (((-2 (|:| -3483 $) (|:| -3028 $)) $ $) 55)) (-3600 (((-3 (-765) "failed") $ $) 81 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2174 (((-140)) 95)) (-2284 (((-830 (-919)) $) 88)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ $) 42) (($ (-410 (-569))) 63) (($ |#1|) 98)) (-2277 (((-3 $ "failed") $) 79 (-1929 (|has| |#1| (-149)) (|has| |#1| (-371))))) (-2320 (((-765)) 28)) (-2909 (((-121) $ $) 38)) (-3345 (((-121) $) 91)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32) (($ $ (-569)) 67)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-4167 (($ $) 85 (|has| |#1| (-371))) (($ $ (-765)) 84 (|has| |#1| (-371)))) (-1326 (((-121) $ $) 6)) (-1383 (($ $ $) 62) (($ $ |#1|) 94)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31) (($ $ (-569)) 66)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ $ (-410 (-569))) 65) (($ (-410 (-569)) $) 64) (($ $ |#1|) 93) (($ |#1| $) 92))) 
+(((-1270 |#1|) (-1284) (-366)) (T -1270)) 
+((-3345 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1402 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-1346 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) (-3648 (*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) (-4102 (*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-765)))) (-4167 (*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-366)) (-4 *2 (-371)))) (-4167 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-4 *3 (-371))))) 
+(-13 (-366) (-1039 |t#1|) (-1260 |t#1|) (-10 -8 (IF (|has| |t#1| (-151)) (-6 (-151)) |noBranch|) (IF (|has| |t#1| (-149)) (-6 (-405)) |noBranch|) (-15 -3345 ((-121) $)) (-15 -1402 ((-121) $)) (-15 -1346 ((-121) $)) (-15 -2284 ((-830 (-919)) $)) (-15 -3648 ((-830 (-919)))) (-15 -4102 ((-765))) (IF (|has| |t#1| (-371)) (PROGN (-6 (-405)) (-15 -4167 ($ $)) (-15 -4167 ($ $ (-765)))) |noBranch|))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 (-410 (-569))) . T) ((-43 $) . T) ((-105) . T) ((-120 (-410 (-569)) (-410 (-569))) . T) ((-120 |#1| |#1|) . T) ((-120 $ $) . T) ((-138) . T) ((-149) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-151) |has| |#1| (-151)) ((-609 (-852)) . T) ((-173) . T) ((-239) . T) ((-286) . T) ((-302) . T) ((-366) . T) ((-405) -1929 (|has| |#1| (-371)) (|has| |#1| (-149))) ((-454) . T) ((-559) . T) ((-638 (-410 (-569))) . T) ((-638 |#1|) . T) ((-638 $) . T) ((-709 (-410 (-569))) . T) ((-709 |#1|) . T) ((-709 $) . T) ((-718) . T) ((-918) . T) ((-1039 |#1|) . T) ((-1055 (-410 (-569))) . T) ((-1055 |#1|) . T) ((-1055 $) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1208) . T) ((-1260 |#1|) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 84)) (-4480 (($ $ (-765)) 87)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) NIL (|has| |#2| (-173))) (($ $ (-765)) NIL (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ |#1|) NIL) (($ $ (-816 |#1|)) NIL) (($ $ $) NIL)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL) (((-3 (-890 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL) (((-890 |#1|) $) NIL)) (-3373 (($ $) 86)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) 75)) (-3150 (($ $) 79)) (-1419 (($ $ $ (-765)) 88)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) NIL) (($ (-890 |#1|) |#2|) 25)) (-2745 (($ $) 101)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3548 (((-816 |#1|) $) NIL)) (-2995 (((-816 |#1|) $) NIL)) (-4188 (($ (-1 |#2| |#2|) $) NIL)) (-3927 (($ $ |#1|) NIL) (($ $ (-816 |#1|)) NIL) (($ $ $) NIL)) (-3597 (($ $ (-765)) 95 (|has| |#2| (-709 (-410 (-569)))))) (-2210 (((-635 (-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|))) $) NIL)) (-2133 (((-2 (|:| |k| (-890 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3263 (((-890 |#1|) $) 69)) (-3270 ((|#2| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-3408 (($ $ (-765)) 92 (|has| |#2| (-709 (-410 (-569)))))) (-2284 (((-765) $) 85)) (-1894 (((-121) $) 70)) (-3575 ((|#2| $) 74)) (-3956 (((-852) $) 56) (($ (-569)) NIL) (($ |#2|) 50) (($ (-816 |#1|)) NIL) (($ |#1|) 58) (($ (-890 |#1|)) NIL) (($ (-657 |#1| |#2|)) 42) (((-1266 |#1| |#2|) $) 63) (((-1275 |#1| |#2|) $) 68)) (-2894 (((-635 |#2|) $) NIL)) (-3802 ((|#2| $ (-890 |#1|)) NIL)) (-3550 ((|#2| $ (-816 |#1|)) NIL) ((|#2| $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 21 T CONST)) (-3297 (($) 24 T CONST)) (-2072 (((-3 (-657 |#1| |#2|) "failed") $) 100)) (-1326 (((-121) $ $) 64)) (-1377 (($ $) 94) (($ $ $) 93)) (-1371 (($ $ $) 20)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#2| $) 19) (($ $ |#2|) NIL) (($ |#1| $) NIL) (($ |#2| (-890 |#1|)) NIL))) 
+(((-1271 |#1| |#2|) (-13 (-1272 |#1| |#2|) (-385 |#2| (-890 |#1|)) (-10 -8 (-15 -3956 ($ (-657 |#1| |#2|))) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1275 |#1| |#2|) $)) (-15 -2072 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1419 ($ $ $ (-765))) (IF (|has| |#2| (-709 (-410 (-569)))) (PROGN (-15 -3408 ($ $ (-765))) (-15 -3597 ($ $ (-765)))) |noBranch|))) (-844) (-173)) (T -1271)) 
+((-3956 (*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-1271 *3 *4)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3956 (*1 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-2072 (*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-1419 (*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) (-3408 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173)))) (-3597 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
+(-13 (-1272 |#1| |#2|) (-385 |#2| (-890 |#1|)) (-10 -8 (-15 -3956 ($ (-657 |#1| |#2|))) (-15 -3956 ((-1266 |#1| |#2|) $)) (-15 -3956 ((-1275 |#1| |#2|) $)) (-15 -2072 ((-3 (-657 |#1| |#2|) "failed") $)) (-15 -1419 ($ $ $ (-765))) (IF (|has| |#2| (-709 (-410 (-569)))) (PROGN (-15 -3408 ($ $ (-765))) (-15 -3597 ($ $ (-765)))) |noBranch|))) 
+((-1310 (((-121) $ $) 7)) (-2225 (((-121) $) 15)) (-3810 (((-635 |#1|) $) 39)) (-4480 (($ $ (-765)) 68)) (-3748 (((-3 $ "failed") $ $) 18)) (-3158 (($ $ $) 42 (|has| |#2| (-173))) (($ $ (-765)) 41 (|has| |#2| (-173)))) (-4483 (($) 16 T CONST)) (-2368 (($ $ |#1|) 53) (($ $ (-816 |#1|)) 52) (($ $ $) 51)) (-3003 (((-3 (-816 |#1|) "failed") $) 63)) (-1321 (((-816 |#1|) $) 62)) (-2611 (((-3 $ "failed") $) 33)) (-2025 (((-121) $) 44)) (-3150 (($ $) 43)) (-3934 (((-121) $) 30)) (-3052 (((-121) $) 49)) (-3558 (($ (-816 |#1|) |#2|) 50)) (-2745 (($ $) 48)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) 59)) (-3548 (((-816 |#1|) $) 60)) (-2995 (((-816 |#1|) $) 70)) (-4188 (($ (-1 |#2| |#2|) $) 40)) (-3927 (($ $ |#1|) 56) (($ $ (-816 |#1|)) 55) (($ $ $) 54)) (-2605 (((-1147) $) 9)) (-1912 (((-1111) $) 10)) (-2284 (((-765) $) 69)) (-1894 (((-121) $) 46)) (-3575 ((|#2| $) 45)) (-3956 (((-852) $) 11) (($ (-569)) 27) (($ |#2|) 67) (($ (-816 |#1|)) 64) (($ |#1|) 47)) (-3550 ((|#2| $ (-816 |#1|)) 58) ((|#2| $ $) 57)) (-2320 (((-765)) 28)) (-3403 (($ $ (-919)) 25) (($ $ (-765)) 32)) (-2407 (($) 17 T CONST)) (-3297 (($) 29 T CONST)) (-1326 (((-121) $ $) 6)) (-1377 (($ $) 21) (($ $ $) 20)) (-1371 (($ $ $) 13)) (** (($ $ (-919)) 24) (($ $ (-765)) 31)) (* (($ (-919) $) 12) (($ (-765) $) 14) (($ (-569) $) 19) (($ $ $) 23) (($ |#2| $) 66) (($ $ |#2|) 65) (($ |#1| $) 61))) 
+(((-1272 |#1| |#2|) (-1284) (-844) (-1049)) (T -1272)) 
+((-2995 (*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) (-2284 (*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-765)))) (-4480 (*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
+(-13 (-1268 |t#1| |t#2|) (-10 -8 (-15 -2995 ((-816 |t#1|) $)) (-15 -2284 ((-765) $)) (-15 -4480 ($ $ (-765))))) 
+(((-21) . T) ((-23) . T) ((-25) . T) ((-43 |#2|) |has| |#2| (-173)) ((-105) . T) ((-120 |#2| |#2|) . T) ((-138) . T) ((-609 (-852)) . T) ((-638 |#2|) . T) ((-638 $) . T) ((-709 |#2|) |has| |#2| (-173)) ((-718) . T) ((-1039 (-816 |#1|)) . T) ((-1055 |#2|) . T) ((-1049) . T) ((-1056) . T) ((-1105) . T) ((-1093) . T) ((-1265 |#2|) . T) ((-1268 |#1| |#2|) . T)) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 (-1165)) $) NIL)) (-4133 (($ (-1266 (-1165) |#1|)) NIL)) (-4480 (($ $ (-765)) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) NIL (|has| |#1| (-173))) (($ $ (-765)) NIL (|has| |#1| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ (-1165)) NIL) (($ $ (-816 (-1165))) NIL) (($ $ $) NIL)) (-3003 (((-3 (-816 (-1165)) "failed") $) NIL)) (-1321 (((-816 (-1165)) $) NIL)) (-2611 (((-3 $ "failed") $) NIL)) (-2025 (((-121) $) NIL)) (-3150 (($ $) NIL)) (-3934 (((-121) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 (-1165)) |#1|) NIL)) (-2745 (($ $) NIL)) (-1999 (((-2 (|:| |k| (-816 (-1165))) (|:| |c| |#1|)) $) NIL)) (-3548 (((-816 (-1165)) $) NIL)) (-2995 (((-816 (-1165)) $) NIL)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-3927 (($ $ (-1165)) NIL) (($ $ (-816 (-1165))) NIL) (($ $ $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2121 (((-1266 (-1165) |#1|) $) NIL)) (-2284 (((-765) $) NIL)) (-1894 (((-121) $) NIL)) (-3575 ((|#1| $) NIL)) (-3956 (((-852) $) NIL) (($ (-569)) NIL) (($ |#1|) NIL) (($ (-816 (-1165))) NIL) (($ (-1165)) NIL)) (-3550 ((|#1| $ (-816 (-1165))) NIL) ((|#1| $ $) NIL)) (-2320 (((-765)) NIL)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) NIL T CONST)) (-2492 (((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $) NIL)) (-3297 (($) NIL T CONST)) (-1326 (((-121) $ $) NIL)) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) NIL)) (** (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) NIL) (($ |#1| $) NIL) (($ $ |#1|) NIL) (($ (-1165) $) NIL))) 
+(((-1273 |#1|) (-13 (-1272 (-1165) |#1|) (-10 -8 (-15 -2121 ((-1266 (-1165) |#1|) $)) (-15 -4133 ($ (-1266 (-1165) |#1|))) (-15 -2492 ((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $)))) (-1049)) (T -1273)) 
+((-2121 (*1 *2 *1) (-12 (-5 *2 (-1266 (-1165) *3)) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) (-4133 (*1 *1 *2) (-12 (-5 *2 (-1266 (-1165) *3)) (-4 *3 (-1049)) (-5 *1 (-1273 *3)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1165)) (|:| |c| (-1273 *3))))) (-5 *1 (-1273 *3)) (-4 *3 (-1049))))) 
+(-13 (-1272 (-1165) |#1|) (-10 -8 (-15 -2121 ((-1266 (-1165) |#1|) $)) (-15 -4133 ($ (-1266 (-1165) |#1|))) (-15 -2492 ((-635 (-2 (|:| |k| (-1165)) (|:| |c| $))) $)))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3748 (((-3 $ "failed") $ $) NIL)) (-4483 (($) NIL T CONST)) (-3003 (((-3 |#2| "failed") $) NIL)) (-1321 ((|#2| $) NIL)) (-3373 (($ $) NIL)) (-2611 (((-3 $ "failed") $) 34)) (-2025 (((-121) $) 29)) (-3150 (($ $) 30)) (-3934 (((-121) $) NIL)) (-4118 (((-765) $) NIL)) (-2905 (((-635 $) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ |#2| |#1|) NIL)) (-3548 ((|#2| $) 19)) (-2995 ((|#2| $) 16)) (-4188 (($ (-1 |#1| |#1|) $) NIL)) (-2210 (((-635 (-2 (|:| |k| |#2|) (|:| |c| |#1|))) $) NIL)) (-2133 (((-2 (|:| |k| |#2|) (|:| |c| |#1|)) $) NIL)) (-3263 ((|#2| $) NIL)) (-3270 ((|#1| $) NIL)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-1894 (((-121) $) 27)) (-3575 ((|#1| $) 28)) (-3956 (((-852) $) 53) (($ (-569)) 38) (($ |#1|) 33) (($ |#2|) NIL)) (-2894 (((-635 |#1|) $) NIL)) (-3802 ((|#1| $ |#2|) NIL)) (-3550 ((|#1| $ |#2|) 24)) (-2320 (((-765)) 14)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 25 T CONST)) (-3297 (($) 11 T CONST)) (-1326 (((-121) $ $) 26)) (-1383 (($ $ |#1|) 55 (|has| |#1| (-366)))) (-1377 (($ $) NIL) (($ $ $) NIL)) (-1371 (($ $ $) 42)) (** (($ $ (-919)) NIL) (($ $ (-765)) 44)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) NIL) (($ $ $) 43) (($ |#1| $) 39) (($ $ |#1|) NIL) (($ |#1| |#2|) NIL)) (-2946 (((-765) $) 15))) 
+(((-1274 |#1| |#2|) (-13 (-1049) (-1265 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -2946 ((-765) $)) (-15 -3956 ($ |#2|)) (-15 -2995 (|#2| $)) (-15 -3548 (|#2| $)) (-15 -3373 ($ $)) (-15 -3550 (|#1| $ |#2|)) (-15 -1894 ((-121) $)) (-15 -3575 (|#1| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1383 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4564)) (-6 -4564) |noBranch|) (IF (|has| |#1| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) (-1049) (-840)) (T -1274)) 
+((* (*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-3373 (*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-4188 (*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-1274 *3 *4)) (-4 *4 (-840)))) (-3956 (*1 *1 *2) (-12 (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-840)))) (-2946 (*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-2995 (*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)))) (-3548 (*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)))) (-3550 (*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840)))) (-1894 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-3575 (*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840)))) (-2025 (*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840)))) (-3150 (*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840)))) (-1383 (*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
+(-13 (-1049) (-1265 |#1|) (-385 |#1| |#2|) (-10 -8 (-15 * ($ $ |#1|)) (-15 -2946 ((-765) $)) (-15 -3956 ($ |#2|)) (-15 -2995 (|#2| $)) (-15 -3548 (|#2| $)) (-15 -3373 ($ $)) (-15 -3550 (|#1| $ |#2|)) (-15 -1894 ((-121) $)) (-15 -3575 (|#1| $)) (-15 -2025 ((-121) $)) (-15 -3150 ($ $)) (-15 -4188 ($ (-1 |#1| |#1|) $)) (IF (|has| |#1| (-366)) (-15 -1383 ($ $ |#1|)) |noBranch|) (IF (|has| |#1| (-6 -4564)) (-6 -4564) |noBranch|) (IF (|has| |#1| (-6 -4568)) (-6 -4568) |noBranch|) (IF (|has| |#1| (-6 -4569)) (-6 -4569) |noBranch|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) NIL)) (-3810 (((-635 |#1|) $) 119)) (-4133 (($ (-1266 |#1| |#2|)) 43)) (-4480 (($ $ (-765)) 31)) (-3748 (((-3 $ "failed") $ $) NIL)) (-3158 (($ $ $) 47 (|has| |#2| (-173))) (($ $ (-765)) 45 (|has| |#2| (-173)))) (-4483 (($) NIL T CONST)) (-2368 (($ $ |#1|) 101) (($ $ (-816 |#1|)) 102) (($ $ $) 25)) (-3003 (((-3 (-816 |#1|) "failed") $) NIL)) (-1321 (((-816 |#1|) $) NIL)) (-2611 (((-3 $ "failed") $) 109)) (-2025 (((-121) $) 104)) (-3150 (($ $) 105)) (-3934 (((-121) $) NIL)) (-3052 (((-121) $) NIL)) (-3558 (($ (-816 |#1|) |#2|) 19)) (-2745 (($ $) NIL)) (-1999 (((-2 (|:| |k| (-816 |#1|)) (|:| |c| |#2|)) $) NIL)) (-3548 (((-816 |#1|) $) 110)) (-2995 (((-816 |#1|) $) 113)) (-4188 (($ (-1 |#2| |#2|) $) 118)) (-3927 (($ $ |#1|) 99) (($ $ (-816 |#1|)) 100) (($ $ $) 55)) (-2605 (((-1147) $) NIL)) (-1912 (((-1111) $) NIL)) (-2121 (((-1266 |#1| |#2|) $) 83)) (-2284 (((-765) $) 116)) (-1894 (((-121) $) 69)) (-3575 ((|#2| $) 27)) (-3956 (((-852) $) 62) (($ (-569)) 76) (($ |#2|) 73) (($ (-816 |#1|)) 17) (($ |#1|) 72)) (-3550 ((|#2| $ (-816 |#1|)) 103) ((|#2| $ $) 26)) (-2320 (((-765)) 107)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 14 T CONST)) (-2492 (((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $) 52)) (-3297 (($) 28 T CONST)) (-1326 (((-121) $ $) 13)) (-1377 (($ $) 87) (($ $ $) 90)) (-1371 (($ $ $) 54)) (** (($ $ (-919)) NIL) (($ $ (-765)) 48)) (* (($ (-919) $) NIL) (($ (-765) $) 46) (($ (-569) $) 93) (($ $ $) 21) (($ |#2| $) 18) (($ $ |#2|) 20) (($ |#1| $) 81))) 
+(((-1275 |#1| |#2|) (-13 (-1272 |#1| |#2|) (-10 -8 (-15 -2121 ((-1266 |#1| |#2|) $)) (-15 -4133 ($ (-1266 |#1| |#2|))) (-15 -2492 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) (-844) (-1049)) (T -1275)) 
+((-2121 (*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) (-4133 (*1 *1 *2) (-12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *1 (-1275 *3 *4)))) (-2492 (*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1275 *3 *4))))) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
+(-13 (-1272 |#1| |#2|) (-10 -8 (-15 -2121 ((-1266 |#1| |#2|) $)) (-15 -4133 ($ (-1266 |#1| |#2|))) (-15 -2492 ((-635 (-2 (|:| |k| |#1|) (|:| |c| $))) $)))) 
+((-2866 (((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)) 15) (((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|))) 11))) 
+(((-1276 |#1|) (-10 -7 (-15 -2866 ((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|)))) (-15 -2866 ((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)))) (-1199)) (T -1276)) 
+((-2866 (*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1145 *5)) (-635 (-1145 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1145 *5))) (-5 *1 (-1276 *5)) (-4 *5 (-1199)))) (-2866 (*1 *2 *3) (-12 (-5 *3 (-1 (-1145 *4) (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1276 *4)) (-4 *4 (-1199))))) 
+(-10 -7 (-15 -2866 ((-1145 |#1|) (-1 (-1145 |#1|) (-1145 |#1|)))) (-15 -2866 ((-635 (-1145 |#1|)) (-1 (-635 (-1145 |#1|)) (-635 (-1145 |#1|))) (-569)))) 
+((-3012 (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|))) 145) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121)) 144) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121)) 143) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121)) 142) (((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|)) 127)) (-2171 (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|))) 70) (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121)) 69) (((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121)) 68)) (-3742 (((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|)) 59)) (-3646 (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|))) 112) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121)) 111) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121)) 110) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121)) 109) (((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|)) 104)) (-1619 (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|))) 117) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121)) 116) (((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121)) 115) (((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|)) 114)) (-4035 (((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) 96) (((-1161 (-1025 (-410 |#1|))) (-1161 |#1|)) 87) (((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|))) 94) (((-955 (-1025 (-410 |#1|))) (-955 |#1|)) 92) (((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|))) 32))) 
+(((-1277 |#1| |#2| |#3|) (-10 -7 (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -3742 ((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|))) (-15 -4035 ((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|)))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-955 |#1|))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|)))) (-15 -4035 ((-1161 (-1025 (-410 |#1|))) (-1161 |#1|))) (-15 -4035 ((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))))) (-13 (-842) (-302) (-151) (-1023)) (-635 (-1165)) (-635 (-1165))) (T -1277)) 
+((-4035 (*1 *2 *3) (-12 (-5 *3 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6)))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-777 *4 (-854 *6)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-1161 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *6))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-4035 (*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *5))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-777 *4 (-854 *6))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3742 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-1619 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-1619 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-1619 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-1619 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-3646 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3646 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-3012 (*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-3012 (*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-3012 (*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) (-2171 (*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *4 *5))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) (-2171 (*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) (-2171 (*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165)))))) 
+(-10 -7 (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)) (-121))) (-15 -2171 ((-635 (-1046 |#1| |#2|)) (-635 (-955 |#1|)))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-1046 |#1| |#2|))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)) (-121))) (-15 -3012 ((-635 (-2 (|:| -2126 (-1161 |#1|)) (|:| -3672 (-635 (-955 |#1|))))) (-635 (-955 |#1|)))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -3646 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-1046 |#1| |#2|))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)) (-121))) (-15 -1619 ((-635 (-635 (-1025 (-410 |#1|)))) (-635 (-955 |#1|)))) (-15 -3742 ((-635 (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))) (-1046 |#1| |#2|))) (-15 -4035 ((-777 |#1| (-854 |#3|)) (-777 |#1| (-854 |#2|)))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-955 |#1|))) (-15 -4035 ((-955 (-1025 (-410 |#1|))) (-777 |#1| (-854 |#3|)))) (-15 -4035 ((-1161 (-1025 (-410 |#1|))) (-1161 |#1|))) (-15 -4035 ((-635 (-777 |#1| (-854 |#3|))) (-1134 |#1| (-535 (-854 |#3|)) (-854 |#3|) (-777 |#1| (-854 |#3|)))))) 
+((-3546 (((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|) 17)) (-3126 (((-121) (-1253 |#1|)) 11)) (-3666 (((-3 (-1253 (-569)) "failed") (-1253 |#1|)) 14))) 
+(((-1278 |#1|) (-10 -7 (-15 -3126 ((-121) (-1253 |#1|))) (-15 -3666 ((-3 (-1253 (-569)) "failed") (-1253 |#1|))) (-15 -3546 ((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|))) (-631 (-569))) (T -1278)) 
+((-3546 (*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-410 (-569)))) (-5 *1 (-1278 *4)))) (-3666 (*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-569))) (-5 *1 (-1278 *4)))) (-3126 (*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1278 *4))))) 
+(-10 -7 (-15 -3126 ((-121) (-1253 |#1|))) (-15 -3666 ((-3 (-1253 (-569)) "failed") (-1253 |#1|))) (-15 -3546 ((-3 (-1253 (-410 (-569))) "failed") (-1253 |#1|) |#1|))) 
+((-1310 (((-121) $ $) NIL)) (-2225 (((-121) $) 11)) (-3748 (((-3 $ "failed") $ $) NIL)) (-2675 (((-765)) 8)) (-4483 (($) NIL T CONST)) (-2611 (((-3 $ "failed") $) 43)) (-3341 (($) 36)) (-3934 (((-121) $) NIL)) (-1542 (((-3 $ "failed") $) 29)) (-2862 (((-919) $) 15)) (-2605 (((-1147) $) NIL)) (-1423 (($) 25 T CONST)) (-1333 (($ (-919)) 37)) (-1912 (((-1111) $) NIL)) (-4035 (((-569) $) 13)) (-3956 (((-852) $) 22) (($ (-569)) 19)) (-2320 (((-765)) 9)) (-3403 (($ $ (-919)) NIL) (($ $ (-765)) NIL)) (-2407 (($) 23 T CONST)) (-3297 (($) 24 T CONST)) (-1326 (((-121) $ $) 27)) (-1377 (($ $) 38) (($ $ $) 35)) (-1371 (($ $ $) 26)) (** (($ $ (-919)) NIL) (($ $ (-765)) 40)) (* (($ (-919) $) NIL) (($ (-765) $) NIL) (($ (-569) $) 32) (($ $ $) 31))) 
+(((-1279 |#1|) (-13 (-173) (-371) (-610 (-569)) (-1139)) (-919)) (T -1279)) 
+NIL 
+(-13 (-173) (-371) (-610 (-569)) (-1139)) 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+NIL 
+((-1284 3614952 3614957 3614962 "NIL" NIL T NIL (NIL) NIL NIL NIL) (-3 3614937 3614942 3614947 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-2 3614922 3614927 3614932 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1 3614907 3614912 3614917 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (0 3614892 3614897 3614902 "NIL" NIL NIL NIL (NIL) -8 NIL NIL) (-1279 3614022 3614767 3614844 "ZMOD" 3614849 NIL ZMOD (NIL NIL) -8 NIL NIL) (-1278 3613132 3613296 3613505 "ZLINDEP" 3613854 NIL ZLINDEP (NIL T) -7 NIL NIL) (-1277 3602436 3604200 3606172 "ZDSOLVE" 3611262 NIL ZDSOLVE (NIL T NIL NIL) -7 NIL NIL) (-1276 3601682 3601823 3602012 "YSTREAM" 3602282 NIL YSTREAM (NIL T) -7 NIL NIL) (-1275 3599447 3600983 3601187 "XRPOLY" 3601525 NIL XRPOLY (NIL T T) -8 NIL NIL) (-1274 3595901 3597230 3597810 "XPR" 3598914 NIL XPR (NIL T T) -8 NIL NIL) (-1273 3593611 3595232 3595436 "XPOLY" 3595732 NIL XPOLY (NIL T) -8 NIL NIL) (-1272 3591415 3592793 3592849 "XPOLYC" 3593137 NIL XPOLYC (NIL T T) -9 NIL 3593250) (-1271 3587789 3589934 3590321 "XPBWPOLY" 3591074 NIL XPBWPOLY (NIL T T) -8 NIL NIL) (-1270 3583667 3585977 3586020 "XF" 3586641 NIL XF (NIL T) -9 NIL 3587038) (-1269 3583288 3583376 3583545 "XF-" 3583550 NIL XF- (NIL T T) -8 NIL NIL) (-1268 3578637 3579936 3579992 "XFALG" 3582164 NIL XFALG (NIL T T) -9 NIL 3582951) (-1267 3577770 3577874 3578079 "XEXPPKG" 3578529 NIL XEXPPKG (NIL T T T) -7 NIL NIL) (-1266 3575867 3577620 3577716 "XDPOLY" 3577721 NIL XDPOLY (NIL T T) -8 NIL NIL) (-1265 3574739 3575349 3575393 "XALG" 3575456 NIL XALG (NIL T) -9 NIL 3575575) (-1264 3568208 3572716 3573210 "WUTSET" 3574331 NIL WUTSET (NIL T T T T) -8 NIL NIL) (-1263 3566017 3566824 3567175 "WP" 3567991 NIL WP (NIL T T T T NIL NIL NIL) -8 NIL NIL) (-1262 3564903 3565101 3565396 "WFFINTBS" 3565814 NIL WFFINTBS (NIL T T T T) -7 NIL NIL) (-1261 3562807 3563234 3563696 "WEIER" 3564475 NIL WEIER (NIL T) -7 NIL NIL) (-1260 3561953 3562377 3562420 "VSPACE" 3562556 NIL VSPACE (NIL T) -9 NIL 3562630) (-1259 3561791 3561818 3561909 "VSPACE-" 3561914 NIL VSPACE- (NIL T T) -8 NIL NIL) (-1258 3561537 3561580 3561651 "VOID" 3561742 T VOID (NIL) -8 NIL NIL) (-1257 3559673 3560032 3560438 "VIEW" 3561153 T VIEW (NIL) -7 NIL NIL) (-1256 3556098 3556736 3557473 "VIEWDEF" 3558958 T VIEWDEF (NIL) -7 NIL NIL) (-1255 3545437 3547646 3549819 "VIEW3D" 3553947 T VIEW3D (NIL) -8 NIL NIL) (-1254 3537719 3539348 3540927 "VIEW2D" 3543880 T VIEW2D (NIL) -8 NIL NIL) (-1253 3533127 3537489 3537581 "VECTOR" 3537662 NIL VECTOR (NIL T) -8 NIL NIL) (-1252 3531704 3531963 3532281 "VECTOR2" 3532857 NIL VECTOR2 (NIL T T) -7 NIL NIL) (-1251 3525269 3529515 3529559 "VECTCAT" 3530554 NIL VECTCAT (NIL T) -9 NIL 3531134) (-1250 3524283 3524537 3524927 "VECTCAT-" 3524932 NIL VECTCAT- (NIL T T) -8 NIL NIL) (-1249 3523764 3523934 3524054 "VARIABLE" 3524198 NIL VARIABLE (NIL NIL) -8 NIL NIL) (-1248 3515806 3521597 3522075 "UTSZ" 3523334 NIL UTSZ (NIL T NIL) -8 NIL NIL) (-1247 3515412 3515462 3515596 "UTSSOL" 3515750 NIL UTSSOL (NIL T T T) -7 NIL NIL) (-1246 3514244 3514398 3514659 "UTSODETL" 3515239 NIL UTSODETL (NIL T T T T) -7 NIL NIL) (-1245 3511684 3512144 3512668 "UTSODE" 3513785 NIL UTSODE (NIL T T) -7 NIL NIL) (-1244 3503517 3509312 3509800 "UTS" 3511254 NIL UTS (NIL T NIL NIL) -8 NIL NIL) (-1243 3494803 3500163 3500207 "UTSCAT" 3501319 NIL UTSCAT (NIL T) -9 NIL 3502070) (-1242 3492158 3492873 3493862 "UTSCAT-" 3493867 NIL UTSCAT- (NIL T T) -8 NIL NIL) (-1241 3491785 3491828 3491961 "UTS2" 3492109 NIL UTS2 (NIL T T T T) -7 NIL NIL) (-1240 3486099 3488658 3488702 "URAGG" 3490772 NIL URAGG (NIL T) -9 NIL 3491494) (-1239 3483038 3483901 3485024 "URAGG-" 3485029 NIL URAGG- (NIL T T) -8 NIL NIL) (-1238 3478716 3481652 3482124 "UPXSSING" 3482702 NIL UPXSSING (NIL T T NIL NIL) -8 NIL NIL) (-1237 3470603 3477833 3478114 "UPXS" 3478493 NIL UPXS (NIL T NIL NIL) -8 NIL NIL) (-1236 3463631 3470507 3470579 "UPXSCONS" 3470584 NIL UPXSCONS (NIL T T) -8 NIL NIL) (-1235 3453843 3460668 3460731 "UPXSCCA" 3461387 NIL UPXSCCA (NIL T T) -9 NIL 3461629) (-1234 3453481 3453566 3453740 "UPXSCCA-" 3453745 NIL UPXSCCA- (NIL T T T) -8 NIL NIL) (-1233 3443625 3450223 3450267 "UPXSCAT" 3450915 NIL UPXSCAT (NIL T) -9 NIL 3451517) (-1232 3443055 3443134 3443313 "UPXS2" 3443540 NIL UPXS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1231 3441709 3441962 3442313 "UPSQFREE" 3442798 NIL UPSQFREE (NIL T T) -7 NIL NIL) (-1230 3435544 3438594 3438650 "UPSCAT" 3439811 NIL UPSCAT (NIL T T) -9 NIL 3440579) (-1229 3434748 3434955 3435282 "UPSCAT-" 3435287 NIL UPSCAT- (NIL T T T) -8 NIL NIL) (-1228 3420737 3428777 3428821 "UPOLYC" 3430922 NIL UPOLYC (NIL T) -9 NIL 3432137) (-1227 3412066 3414491 3417638 "UPOLYC-" 3417643 NIL UPOLYC- (NIL T T) -8 NIL NIL) (-1226 3411693 3411736 3411869 "UPOLYC2" 3412017 NIL UPOLYC2 (NIL T T T T) -7 NIL NIL) (-1225 3403104 3411259 3411397 "UP" 3411603 NIL UP (NIL NIL T) -8 NIL NIL) (-1224 3402443 3402550 3402714 "UPMP" 3402993 NIL UPMP (NIL T T) -7 NIL NIL) (-1223 3401996 3402077 3402216 "UPDIVP" 3402356 NIL UPDIVP (NIL T T) -7 NIL NIL) (-1222 3400564 3400813 3401129 "UPDECOMP" 3401745 NIL UPDECOMP (NIL T T) -7 NIL NIL) (-1221 3399799 3399911 3400096 "UPCDEN" 3400448 NIL UPCDEN (NIL T T T) -7 NIL NIL) (-1220 3399318 3399387 3399536 "UP2" 3399724 NIL UP2 (NIL NIL T NIL T) -7 NIL NIL) (-1219 3397839 3398526 3398801 "UNISEG" 3399078 NIL UNISEG (NIL T) -8 NIL NIL) (-1218 3397056 3397183 3397387 "UNISEG2" 3397683 NIL UNISEG2 (NIL T T) -7 NIL NIL) (-1217 3396116 3396296 3396522 "UNIFACT" 3396872 NIL UNIFACT (NIL T) -7 NIL NIL) (-1216 3380000 3395295 3395545 "ULS" 3395924 NIL ULS (NIL T NIL NIL) -8 NIL NIL) (-1215 3367955 3379904 3379976 "ULSCONS" 3379981 NIL ULSCONS (NIL T T) -8 NIL NIL) (-1214 3350622 3362639 3362702 "ULSCCAT" 3363422 NIL ULSCCAT (NIL T T) -9 NIL 3363718) (-1213 3349672 3349917 3350305 "ULSCCAT-" 3350310 NIL ULSCCAT- (NIL T T T) -8 NIL NIL) (-1212 3339608 3346120 3346164 "ULSCAT" 3347027 NIL ULSCAT (NIL T) -9 NIL 3347750) (-1211 3339038 3339117 3339296 "ULS2" 3339523 NIL ULS2 (NIL T T NIL NIL NIL NIL) -7 NIL NIL) (-1210 3331176 3337029 3337529 "UFPS" 3338573 NIL UFPS (NIL T) -8 NIL NIL) (-1209 3330873 3330930 3331028 "UFPS1" 3331113 NIL UFPS1 (NIL T) -7 NIL NIL) (-1208 3329266 3330233 3330264 "UFD" 3330476 T UFD (NIL) -9 NIL 3330590) (-1207 3329060 3329106 3329201 "UFD-" 3329206 NIL UFD- (NIL T) -8 NIL NIL) (-1206 3328142 3328325 3328541 "UDVO" 3328866 T UDVO (NIL) -7 NIL NIL) (-1205 3325960 3326369 3326839 "UDPO" 3327707 NIL UDPO (NIL T) -7 NIL NIL) (-1204 3321923 3325905 3325941 "U8VEC" 3325946 T U8VEC (NIL) -8 NIL NIL) (-1203 3317886 3321868 3321904 "U32VEC" 3321909 T U32VEC (NIL) -8 NIL NIL) (-1202 3314080 3317650 3317748 "U32MAT" 3317810 T U32MAT (NIL) -8 NIL NIL) (-1201 3310043 3314025 3314061 "U16VEC" 3314066 T U16VEC (NIL) -8 NIL NIL) (-1200 3306237 3309807 3309905 "U16MAT" 3309967 T U16MAT (NIL) -8 NIL NIL) (-1199 3306169 3306174 3306205 "TYPE" 3306210 T TYPE (NIL) -9 NIL NIL) (-1198 3305140 3305342 3305582 "TWOFACT" 3305963 NIL TWOFACT (NIL T) -7 NIL NIL) (-1197 3304212 3304543 3304742 "TUPLE" 3304976 NIL TUPLE (NIL T) -8 NIL NIL) (-1196 3301903 3302422 3302961 "TUBETOOL" 3303695 T TUBETOOL (NIL) -7 NIL NIL) (-1195 3300752 3300957 3301198 "TUBE" 3301696 NIL TUBE (NIL T) -8 NIL NIL) (-1194 3295472 3299726 3300008 "TS" 3300505 NIL TS (NIL T) -8 NIL NIL) (-1193 3284146 3288231 3288329 "TSETCAT" 3293598 NIL TSETCAT (NIL T T T T) -9 NIL 3295128) (-1192 3278881 3280478 3282369 "TSETCAT-" 3282374 NIL TSETCAT- (NIL T T T T T) -8 NIL NIL) (-1191 3273151 3273998 3274936 "TRMANIP" 3278021 NIL TRMANIP (NIL T T) -7 NIL NIL) (-1190 3272592 3272655 3272818 "TRIMAT" 3273083 NIL TRIMAT (NIL T T T T) -7 NIL NIL) (-1189 3270388 3270625 3270989 "TRIGMNIP" 3272341 NIL TRIGMNIP (NIL T T) -7 NIL NIL) (-1188 3269907 3270020 3270051 "TRIGCAT" 3270264 T TRIGCAT (NIL) -9 NIL NIL) (-1187 3269576 3269655 3269796 "TRIGCAT-" 3269801 NIL TRIGCAT- (NIL T) -8 NIL NIL) (-1186 3266479 3268434 3268715 "TREE" 3269330 NIL TREE (NIL T) -8 NIL NIL) (-1185 3265752 3266280 3266311 "TRANFUN" 3266346 T TRANFUN (NIL) -9 NIL 3266412) (-1184 3265031 3265222 3265502 "TRANFUN-" 3265507 NIL TRANFUN- (NIL T) -8 NIL NIL) (-1183 3264835 3264867 3264928 "TOPSP" 3264992 T TOPSP (NIL) -7 NIL NIL) (-1182 3264183 3264298 3264452 "TOOLSIGN" 3264716 NIL TOOLSIGN (NIL T) -7 NIL NIL) (-1181 3262818 3263360 3263599 "TEXTFILE" 3263966 T TEXTFILE (NIL) -8 NIL NIL) (-1180 3260683 3261197 3261635 "TEX" 3262402 T TEX (NIL) -8 NIL NIL) (-1179 3260464 3260495 3260567 "TEX1" 3260646 NIL TEX1 (NIL T) -7 NIL NIL) (-1178 3260112 3260175 3260265 "TEMUTL" 3260396 T TEMUTL (NIL) -7 NIL NIL) (-1177 3258266 3258546 3258871 "TBCMPPK" 3259835 NIL TBCMPPK (NIL T T) -7 NIL NIL) (-1176 3250011 3256271 3256328 "TBAGG" 3256728 NIL TBAGG (NIL T T) -9 NIL 3256939) (-1175 3245081 3246569 3248323 "TBAGG-" 3248328 NIL TBAGG- (NIL T T T) -8 NIL NIL) (-1174 3244465 3244572 3244717 "TANEXP" 3244970 NIL TANEXP (NIL T) -7 NIL NIL) (-1173 3237978 3244322 3244415 "TABLE" 3244420 NIL TABLE (NIL T T) -8 NIL NIL) (-1172 3237391 3237489 3237627 "TABLEAU" 3237875 NIL TABLEAU (NIL T) -8 NIL NIL) (-1171 3231999 3233219 3234467 "TABLBUMP" 3236177 NIL TABLBUMP (NIL T) -7 NIL NIL) (-1170 3228462 3229157 3229940 "SYSSOLP" 3231250 NIL SYSSOLP (NIL T) -7 NIL NIL) (-1169 3225596 3226204 3226842 "SYMTAB" 3227846 T SYMTAB (NIL) -8 NIL NIL) (-1168 3220845 3221747 3222730 "SYMS" 3224635 T SYMS (NIL) -8 NIL NIL) (-1167 3218077 3220309 3220536 "SYMPOLY" 3220653 NIL SYMPOLY (NIL T) -8 NIL NIL) (-1166 3217594 3217669 3217792 "SYMFUNC" 3217989 NIL SYMFUNC (NIL T) -7 NIL NIL) (-1165 3213572 3214831 3215653 "SYMBOL" 3216794 T SYMBOL (NIL) -8 NIL NIL) (-1164 3207111 3208800 3210520 "SWITCH" 3211874 T SWITCH (NIL) -8 NIL NIL) (-1163 3200337 3205934 3206236 "SUTS" 3206867 NIL SUTS (NIL T NIL NIL) -8 NIL NIL) (-1162 3192223 3199454 3199735 "SUPXS" 3200114 NIL SUPXS (NIL T NIL NIL) -8 NIL NIL) (-1161 3183708 3191841 3191967 "SUP" 3192132 NIL SUP (NIL T) -8 NIL NIL) (-1160 3182867 3182994 3183211 "SUPFRACF" 3183576 NIL SUPFRACF (NIL T T T T) -7 NIL NIL) (-1159 3173439 3182669 3182783 "SUPEXPR" 3182788 NIL SUPEXPR (NIL T) -8 NIL NIL) (-1158 3173060 3173119 3173232 "SUP2" 3173374 NIL SUP2 (NIL T T) -7 NIL NIL) (-1157 3171473 3171747 3172110 "SUMRF" 3172759 NIL SUMRF (NIL T) -7 NIL NIL) (-1156 3170787 3170853 3171052 "SUMFS" 3171394 NIL SUMFS (NIL T T) -7 NIL NIL) (-1155 3154711 3169966 3170216 "SULS" 3170595 NIL SULS (NIL T NIL NIL) -8 NIL NIL) (-1154 3154033 3154236 3154376 "SUCH" 3154619 NIL SUCH (NIL T T) -8 NIL NIL) (-1153 3147927 3148939 3149898 "SUBSPACE" 3153121 NIL SUBSPACE (NIL NIL T) -8 NIL NIL) (-1152 3147359 3147449 3147612 "SUBRESP" 3147816 NIL SUBRESP (NIL T T) -7 NIL NIL) (-1151 3140728 3142024 3143335 "STTF" 3146095 NIL STTF (NIL T) -7 NIL NIL) (-1150 3134901 3136021 3137168 "STTFNC" 3139628 NIL STTFNC (NIL T) -7 NIL NIL) (-1149 3126220 3128087 3129879 "STTAYLOR" 3133144 NIL STTAYLOR (NIL T) -7 NIL NIL) (-1148 3119476 3126084 3126167 "STRTBL" 3126172 NIL STRTBL (NIL T) -8 NIL NIL) (-1147 3114867 3119431 3119462 "STRING" 3119467 T STRING (NIL) -8 NIL NIL) (-1146 3109731 3114209 3114240 "STRICAT" 3114299 T STRICAT (NIL) -9 NIL 3114361) (-1145 3102458 3107258 3107876 "STREAM" 3109148 NIL STREAM (NIL T) -8 NIL NIL) (-1144 3101968 3102045 3102189 "STREAM3" 3102375 NIL STREAM3 (NIL T T T) -7 NIL NIL) (-1143 3100950 3101133 3101368 "STREAM2" 3101781 NIL STREAM2 (NIL T T) -7 NIL NIL) (-1142 3100638 3100690 3100783 "STREAM1" 3100892 NIL STREAM1 (NIL T) -7 NIL NIL) (-1141 3100282 3100348 3100455 "STNSR" 3100566 NIL STNSR (NIL T) -7 NIL NIL) (-1140 3099298 3099479 3099710 "STINPROD" 3100098 NIL STINPROD (NIL T) -7 NIL NIL) (-1139 3098875 3099059 3099090 "STEP" 3099170 T STEP (NIL) -9 NIL 3099248) (-1138 3092430 3098774 3098851 "STBL" 3098856 NIL STBL (NIL T T NIL) -8 NIL NIL) (-1137 3087644 3091682 3091726 "STAGG" 3091879 NIL STAGG (NIL T) -9 NIL 3091968) (-1136 3085346 3085948 3086820 "STAGG-" 3086825 NIL STAGG- (NIL T T) -8 NIL NIL) (-1135 3078838 3080407 3081522 "STACK" 3084266 NIL STACK (NIL T) -8 NIL NIL) (-1134 3071563 3076979 3077435 "SREGSET" 3078468 NIL SREGSET (NIL T T T T) -8 NIL NIL) (-1133 3063989 3065357 3066870 "SRDCMPK" 3070169 NIL SRDCMPK (NIL T T T T T) -7 NIL NIL) (-1132 3056967 3061427 3061458 "SRAGG" 3062761 T SRAGG (NIL) -9 NIL 3063369) (-1131 3055984 3056239 3056618 "SRAGG-" 3056623 NIL SRAGG- (NIL T) -8 NIL NIL) (-1130 3050432 3054907 3055331 "SQMATRIX" 3055607 NIL SQMATRIX (NIL NIL T) -8 NIL NIL) (-1129 3044188 3047150 3047877 "SPLTREE" 3049777 NIL SPLTREE (NIL T T) -8 NIL NIL) (-1128 3040178 3040844 3041490 "SPLNODE" 3043614 NIL SPLNODE (NIL T T) -8 NIL NIL) (-1127 3039224 3039457 3039488 "SPFCAT" 3039932 T SPFCAT (NIL) -9 NIL NIL) (-1126 3037961 3038171 3038435 "SPECOUT" 3038982 T SPECOUT (NIL) -7 NIL NIL) (-1125 3029931 3031678 3031722 "SPACEC" 3036095 NIL SPACEC (NIL T) -9 NIL 3037911) (-1124 3028102 3029863 3029912 "SPACE3" 3029917 NIL SPACE3 (NIL T) -8 NIL NIL) (-1123 3026856 3027027 3027317 "SORTPAK" 3027908 NIL SORTPAK (NIL T T) -7 NIL NIL) (-1122 3024906 3025209 3025628 "SOLVETRA" 3026520 NIL SOLVETRA (NIL T) -7 NIL NIL) (-1121 3023917 3024139 3024413 "SOLVESER" 3024679 NIL SOLVESER (NIL T) -7 NIL NIL) (-1120 3019137 3020018 3021020 "SOLVERAD" 3022969 NIL SOLVERAD (NIL T) -7 NIL NIL) (-1119 3014952 3015561 3016290 "SOLVEFOR" 3018504 NIL SOLVEFOR (NIL T T) -7 NIL NIL) (-1118 3009255 3014300 3014398 "SNTSCAT" 3014403 NIL SNTSCAT (NIL T T T T) -9 NIL 3014473) (-1117 3003353 3007580 3007970 "SMTS" 3008946 NIL SMTS (NIL T T T) -8 NIL NIL) (-1116 2997757 3003241 3003318 "SMP" 3003323 NIL SMP (NIL T T) -8 NIL NIL) (-1115 2995916 2996217 2996615 "SMITH" 2997454 NIL SMITH (NIL T T T T) -7 NIL NIL) (-1114 2988858 2993056 2993160 "SMATCAT" 2994511 NIL SMATCAT (NIL NIL T T T) -9 NIL 2995058) (-1113 2985798 2986621 2987799 "SMATCAT-" 2987804 NIL SMATCAT- (NIL T NIL T T T) -8 NIL NIL) (-1112 2983551 2985068 2985112 "SKAGG" 2985373 NIL SKAGG (NIL T) -9 NIL 2985508) (-1111 2979609 2982655 2982933 "SINT" 2983295 T SINT (NIL) -8 NIL NIL) (-1110 2979381 2979419 2979485 "SIMPAN" 2979565 T SIMPAN (NIL) -7 NIL NIL) (-1109 2978219 2978440 2978715 "SIGNRF" 2979140 NIL SIGNRF (NIL T) -7 NIL NIL) (-1108 2977024 2977175 2977466 "SIGNEF" 2978048 NIL SIGNEF (NIL T T) -7 NIL NIL) (-1107 2974716 2975170 2975675 "SHP" 2976566 NIL SHP (NIL T NIL) -7 NIL NIL) (-1106 2968540 2974617 2974693 "SHDP" 2974698 NIL SHDP (NIL NIL NIL T) -8 NIL NIL) (-1105 2968028 2968220 2968251 "SGROUP" 2968403 T SGROUP (NIL) -9 NIL 2968490) (-1104 2967798 2967850 2967954 "SGROUP-" 2967959 NIL SGROUP- (NIL T) -8 NIL NIL) (-1103 2964634 2965331 2966054 "SGCF" 2967097 T SGCF (NIL) -7 NIL NIL) (-1102 2959035 2964080 2964178 "SFRTCAT" 2964183 NIL SFRTCAT (NIL T T T T) -9 NIL 2964222) (-1101 2952459 2953474 2954610 "SFRGCD" 2958018 NIL SFRGCD (NIL T T T T T) -7 NIL NIL) (-1100 2945587 2946658 2947844 "SFQCMPK" 2951392 NIL SFQCMPK (NIL T T T T T) -7 NIL NIL) (-1099 2945209 2945298 2945408 "SFORT" 2945528 NIL SFORT (NIL T T) -8 NIL NIL) (-1098 2944354 2945049 2945170 "SEXOF" 2945175 NIL SEXOF (NIL T T T T T) -8 NIL NIL) (-1097 2943488 2944235 2944303 "SEX" 2944308 T SEX (NIL) -8 NIL NIL) (-1096 2938263 2938952 2939048 "SEXCAT" 2942819 NIL SEXCAT (NIL T T T T T) -9 NIL 2943438) (-1095 2935443 2938197 2938245 "SET" 2938250 NIL SET (NIL T) -8 NIL NIL) (-1094 2933694 2934156 2934461 "SETMN" 2935184 NIL SETMN (NIL NIL NIL) -8 NIL NIL) (-1093 2933299 2933425 2933456 "SETCAT" 2933573 T SETCAT (NIL) -9 NIL 2933658) (-1092 2933079 2933131 2933230 "SETCAT-" 2933235 NIL SETCAT- (NIL T) -8 NIL NIL) (-1091 2932742 2932892 2932923 "SETCATD" 2932982 T SETCATD (NIL) -9 NIL 2933029) (-1090 2929128 2931202 2931246 "SETAGG" 2932116 NIL SETAGG (NIL T) -9 NIL 2932456) (-1089 2928586 2928702 2928939 "SETAGG-" 2928944 NIL SETAGG- (NIL T T) -8 NIL NIL) (-1088 2927789 2928082 2928144 "SEGXCAT" 2928430 NIL SEGXCAT (NIL T T) -9 NIL 2928550) (-1087 2926849 2927459 2927639 "SEG" 2927644 NIL SEG (NIL T) -8 NIL NIL) (-1086 2925755 2925968 2926012 "SEGCAT" 2926594 NIL SEGCAT (NIL T) -9 NIL 2926832) (-1085 2924806 2925136 2925335 "SEGBIND" 2925591 NIL SEGBIND (NIL T) -8 NIL NIL) (-1084 2924427 2924486 2924599 "SEGBIND2" 2924741 NIL SEGBIND2 (NIL T T) -7 NIL NIL) (-1083 2923648 2923774 2923977 "SEG2" 2924272 NIL SEG2 (NIL T T) -7 NIL NIL) (-1082 2923085 2923583 2923630 "SDVAR" 2923635 NIL SDVAR (NIL T) -8 NIL NIL) (-1081 2915329 2922855 2922985 "SDPOL" 2922990 NIL SDPOL (NIL T) -8 NIL NIL) (-1080 2911352 2912381 2913028 "SD" 2914729 NIL SD (NIL T) -8 NIL NIL) (-1079 2909945 2910211 2910530 "SCPKG" 2911067 NIL SCPKG (NIL T) -7 NIL NIL) (-1078 2909166 2909299 2909478 "SCACHE" 2909800 NIL SCACHE (NIL T) -7 NIL NIL) (-1077 2908605 2908926 2909011 "SAOS" 2909103 T SAOS (NIL) -8 NIL NIL) (-1076 2908170 2908205 2908378 "SAERFFC" 2908564 NIL SAERFFC (NIL T T T) -7 NIL NIL) (-1075 2902059 2908067 2908147 "SAE" 2908152 NIL SAE (NIL T T NIL) -8 NIL NIL) (-1074 2901652 2901687 2901846 "SAEFACT" 2902018 NIL SAEFACT (NIL T T T) -7 NIL NIL) (-1073 2899973 2900287 2900688 "RURPK" 2901318 NIL RURPK (NIL T NIL) -7 NIL NIL) (-1072 2898609 2898888 2899200 "RULESET" 2899807 NIL RULESET (NIL T T T) -8 NIL NIL) (-1071 2895796 2896299 2896764 "RULE" 2898290 NIL RULE (NIL T T T) -8 NIL NIL) (-1070 2895435 2895590 2895673 "RULECOLD" 2895748 NIL RULECOLD (NIL NIL) -8 NIL NIL) (-1069 2890284 2891078 2891998 "RSETGCD" 2894634 NIL RSETGCD (NIL T T T T T) -7 NIL NIL) (-1068 2879547 2884592 2884690 "RSETCAT" 2888809 NIL RSETCAT (NIL T T T T) -9 NIL 2889906) (-1067 2877474 2878013 2878837 "RSETCAT-" 2878842 NIL RSETCAT- (NIL T T T T T) -8 NIL NIL) (-1066 2869861 2871236 2872756 "RSDCMPK" 2876073 NIL RSDCMPK (NIL T T T T T) -7 NIL NIL) (-1065 2867865 2868306 2868381 "RRCC" 2869467 NIL RRCC (NIL T T) -9 NIL 2869811) (-1064 2867216 2867390 2867669 "RRCC-" 2867674 NIL RRCC- (NIL T T T) -8 NIL NIL) (-1063 2841363 2850992 2851060 "RPOLCAT" 2861724 NIL RPOLCAT (NIL T T T) -9 NIL 2864872) (-1062 2832863 2835201 2838323 "RPOLCAT-" 2838328 NIL RPOLCAT- (NIL T T T T) -8 NIL NIL) (-1061 2823922 2831074 2831556 "ROUTINE" 2832403 T ROUTINE (NIL) -8 NIL NIL) (-1060 2820622 2823473 2823622 "ROMAN" 2823795 T ROMAN (NIL) -8 NIL NIL) (-1059 2818897 2819482 2819742 "ROIRC" 2820427 NIL ROIRC (NIL T T) -8 NIL NIL) (-1058 2815235 2817535 2817566 "RNS" 2817870 T RNS (NIL) -9 NIL 2818144) (-1057 2813744 2814127 2814661 "RNS-" 2814736 NIL RNS- (NIL T) -8 NIL NIL) (-1056 2813166 2813574 2813605 "RNG" 2813610 T RNG (NIL) -9 NIL 2813631) (-1055 2812557 2812919 2812963 "RMODULE" 2813025 NIL RMODULE (NIL T) -9 NIL 2813067) (-1054 2811393 2811487 2811823 "RMCAT2" 2812458 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) -7 NIL NIL) (-1053 2808102 2810571 2810894 "RMATRIX" 2811129 NIL RMATRIX (NIL NIL NIL T) -8 NIL NIL) (-1052 2801048 2803282 2803398 "RMATCAT" 2806757 NIL RMATCAT (NIL NIL NIL T T T) -9 NIL 2807734) (-1051 2800423 2800570 2800877 "RMATCAT-" 2800882 NIL RMATCAT- (NIL T NIL NIL T T T) -8 NIL NIL) (-1050 2799990 2800065 2800193 "RINTERP" 2800342 NIL RINTERP (NIL NIL T) -7 NIL NIL) (-1049 2799033 2799597 2799628 "RING" 2799740 T RING (NIL) -9 NIL 2799835) (-1048 2798825 2798869 2798966 "RING-" 2798971 NIL RING- (NIL T) -8 NIL NIL) (-1047 2797666 2797903 2798161 "RIDIST" 2798589 T RIDIST (NIL) -7 NIL NIL) (-1046 2788982 2797134 2797340 "RGCHAIN" 2797514 NIL RGCHAIN (NIL T NIL) -8 NIL NIL) (-1045 2787782 2788023 2788302 "RFP" 2788737 NIL RFP (NIL T) -7 NIL NIL) (-1044 2784776 2785390 2786060 "RF" 2787146 NIL RF (NIL T) -7 NIL NIL) (-1043 2784422 2784485 2784588 "RFFACTOR" 2784707 NIL RFFACTOR (NIL T) -7 NIL NIL) (-1042 2784147 2784182 2784279 "RFFACT" 2784381 NIL RFFACT (NIL T) -7 NIL NIL) (-1041 2782264 2782628 2783010 "RFDIST" 2783787 T RFDIST (NIL) -7 NIL NIL) (-1040 2781717 2781809 2781972 "RETSOL" 2782166 NIL RETSOL (NIL T T) -7 NIL NIL) (-1039 2781304 2781384 2781428 "RETRACT" 2781621 NIL RETRACT (NIL T) -9 NIL NIL) (-1038 2781153 2781178 2781265 "RETRACT-" 2781270 NIL RETRACT- (NIL T T) -8 NIL NIL) (-1037 2774019 2780806 2780933 "RESULT" 2781048 T RESULT (NIL) -8 NIL NIL) (-1036 2772599 2773288 2773487 "RESRING" 2773922 NIL RESRING (NIL T T T T NIL) -8 NIL NIL) (-1035 2772235 2772284 2772382 "RESLATC" 2772536 NIL RESLATC (NIL T) -7 NIL NIL) (-1034 2771941 2771975 2772082 "REPSQ" 2772194 NIL REPSQ (NIL T) -7 NIL NIL) (-1033 2769363 2769943 2770545 "REP" 2771361 T REP (NIL) -7 NIL NIL) (-1032 2769061 2769095 2769206 "REPDB" 2769322 NIL REPDB (NIL T) -7 NIL NIL) (-1031 2762979 2764358 2765577 "REP2" 2767877 NIL REP2 (NIL T) -7 NIL NIL) (-1030 2759360 2760041 2760847 "REP1" 2762208 NIL REP1 (NIL T) -7 NIL NIL) (-1029 2752086 2757501 2757957 "REGSET" 2758990 NIL REGSET (NIL T T T T) -8 NIL NIL) (-1028 2750901 2751236 2751485 "REF" 2751872 NIL REF (NIL T) -8 NIL NIL) (-1027 2750278 2750381 2750548 "REDORDER" 2750785 NIL REDORDER (NIL T T) -7 NIL NIL) (-1026 2747140 2747606 2748215 "RECOP" 2749812 NIL RECOP (NIL T T) -7 NIL NIL) (-1025 2743080 2746353 2746580 "RECLOS" 2746968 NIL RECLOS (NIL T) -8 NIL NIL) (-1024 2742132 2742313 2742528 "REALSOLV" 2742887 T REALSOLV (NIL) -7 NIL NIL) (-1023 2741977 2742018 2742049 "REAL" 2742054 T REAL (NIL) -9 NIL 2742089) (-1022 2738460 2739262 2740146 "REAL0Q" 2741142 NIL REAL0Q (NIL T) -7 NIL NIL) (-1021 2734061 2735049 2736110 "REAL0" 2737441 NIL REAL0 (NIL T) -7 NIL NIL) (-1020 2733466 2733538 2733745 "RDIV" 2733983 NIL RDIV (NIL T T T T T) -7 NIL NIL) (-1019 2732534 2732708 2732921 "RDIST" 2733288 NIL RDIST (NIL T) -7 NIL NIL) (-1018 2731131 2731418 2731790 "RDETRS" 2732242 NIL RDETRS (NIL T T) -7 NIL NIL) (-1017 2728943 2729397 2729935 "RDETR" 2730673 NIL RDETR (NIL T T) -7 NIL NIL) (-1016 2727554 2727832 2728236 "RDEEFS" 2728659 NIL RDEEFS (NIL T T) -7 NIL NIL) (-1015 2726049 2726355 2726787 "RDEEF" 2727242 NIL RDEEF (NIL T T) -7 NIL NIL) (-1014 2720240 2723175 2723206 "RCFIELD" 2724501 T RCFIELD (NIL) -9 NIL 2725232) (-1013 2718304 2718808 2719504 "RCFIELD-" 2719579 NIL RCFIELD- (NIL T) -8 NIL NIL) (-1012 2714662 2716441 2716485 "RCAGG" 2717569 NIL RCAGG (NIL T) -9 NIL 2718032) (-1011 2714290 2714384 2714547 "RCAGG-" 2714552 NIL RCAGG- (NIL T T) -8 NIL NIL) (-1010 2713626 2713737 2713902 "RATRET" 2714174 NIL RATRET (NIL T) -7 NIL NIL) (-1009 2713179 2713246 2713367 "RATFACT" 2713554 NIL RATFACT (NIL T) -7 NIL NIL) (-1008 2712487 2712607 2712759 "RANDSRC" 2713049 T RANDSRC (NIL) -7 NIL NIL) (-1007 2712221 2712265 2712338 "RADUTIL" 2712436 T RADUTIL (NIL) -7 NIL NIL) (-1006 2705209 2710954 2711273 "RADIX" 2711936 NIL RADIX (NIL NIL) -8 NIL NIL) (-1005 2696772 2705051 2705181 "RADFF" 2705186 NIL RADFF (NIL T T T NIL NIL) -8 NIL NIL) (-1004 2696418 2696493 2696524 "RADCAT" 2696684 T RADCAT (NIL) -9 NIL NIL) (-1003 2696200 2696248 2696348 "RADCAT-" 2696353 NIL RADCAT- (NIL T) -8 NIL NIL) (-1002 2689447 2691065 2692218 "QUEUE" 2695082 NIL QUEUE (NIL T) -8 NIL NIL) (-1001 2685936 2689382 2689429 "QUAT" 2689434 NIL QUAT (NIL T) -8 NIL NIL) (-1000 2685571 2685614 2685743 "QUATCT2" 2685887 NIL QUATCT2 (NIL T T T T) -7 NIL NIL) (-999 2679308 2682692 2682733 "QUATCAT" 2683513 NIL QUATCAT (NIL T) -9 NIL 2684271) (-998 2675452 2676489 2677876 "QUATCAT-" 2677970 NIL QUATCAT- (NIL T T) -8 NIL NIL) (-997 2673012 2674570 2674612 "QUAGG" 2674987 NIL QUAGG (NIL T) -9 NIL 2675162) (-996 2671937 2672410 2672582 "QFORM" 2672884 NIL QFORM (NIL NIL T) -8 NIL NIL) (-995 2663164 2668431 2668472 "QFCAT" 2669130 NIL QFCAT (NIL T) -9 NIL 2670119) (-994 2658736 2659937 2661528 "QFCAT-" 2661622 NIL QFCAT- (NIL T T) -8 NIL NIL) (-993 2658374 2658417 2658544 "QFCAT2" 2658687 NIL QFCAT2 (NIL T T T T) -7 NIL NIL) (-992 2657834 2657944 2658074 "QEQUAT" 2658264 T QEQUAT (NIL) -8 NIL NIL) (-991 2650982 2652053 2653237 "QCMPACK" 2656767 NIL QCMPACK (NIL T T T T T) -7 NIL NIL) (-990 2648562 2648983 2649409 "QALGSET" 2650639 NIL QALGSET (NIL T T T T) -8 NIL NIL) (-989 2647807 2647981 2648213 "QALGSET2" 2648382 NIL QALGSET2 (NIL NIL NIL) -7 NIL NIL) (-988 2646498 2646721 2647038 "PWFFINTB" 2647580 NIL PWFFINTB (NIL T T T T) -7 NIL NIL) (-987 2644680 2644848 2645202 "PUSHVAR" 2646312 NIL PUSHVAR (NIL T T T T) -7 NIL NIL) (-986 2640597 2641651 2641693 "PTRANFN" 2643577 NIL PTRANFN (NIL T) -9 NIL NIL) (-985 2638999 2639290 2639612 "PTPACK" 2640308 NIL PTPACK (NIL T) -7 NIL NIL) (-984 2638631 2638688 2638797 "PTFUNC2" 2638936 NIL PTFUNC2 (NIL T T) -7 NIL NIL) (-983 2633131 2637465 2637507 "PTCAT" 2637880 NIL PTCAT (NIL T) -9 NIL 2638042) (-982 2632789 2632824 2632948 "PSQFR" 2633090 NIL PSQFR (NIL T T T T) -7 NIL NIL) (-981 2631376 2631676 2632012 "PSEUDLIN" 2632485 NIL PSEUDLIN (NIL T) -7 NIL NIL) (-980 2618152 2620516 2622837 "PSETPK" 2629139 NIL PSETPK (NIL T T T T) -7 NIL NIL) (-979 2611196 2613910 2614007 "PSETCAT" 2617028 NIL PSETCAT (NIL T T T T) -9 NIL 2617841) (-978 2609032 2609666 2610487 "PSETCAT-" 2610492 NIL PSETCAT- (NIL T T T T T) -8 NIL NIL) (-977 2608381 2608545 2608574 "PSCURVE" 2608842 T PSCURVE (NIL) -9 NIL 2609009) (-976 2604770 2606296 2606362 "PSCAT" 2607206 NIL PSCAT (NIL T T T) -9 NIL 2607446) (-975 2603833 2604049 2604449 "PSCAT-" 2604454 NIL PSCAT- (NIL T T T T) -8 NIL NIL) (-974 2602486 2603118 2603332 "PRTITION" 2603639 T PRTITION (NIL) -8 NIL NIL) (-973 2599650 2600299 2600340 "PRSPCAT" 2601854 NIL PRSPCAT (NIL T) -9 NIL 2602422) (-972 2588750 2590956 2593143 "PRS" 2597513 NIL PRS (NIL T T) -7 NIL NIL) (-971 2586648 2588134 2588175 "PRQAGG" 2588358 NIL PRQAGG (NIL T) -9 NIL 2588460) (-970 2585917 2586573 2586630 "PROJSP" 2586635 NIL PROJSP (NIL NIL T) -8 NIL NIL) (-969 2585099 2585840 2585892 "PROJPLPS" 2585897 NIL PROJPLPS (NIL T) -8 NIL NIL) (-968 2584358 2585036 2585081 "PROJPL" 2585086 NIL PROJPL (NIL T) -8 NIL NIL) (-967 2578164 2582556 2583360 "PRODUCT" 2583600 NIL PRODUCT (NIL T T) -8 NIL NIL) (-966 2575439 2577628 2577859 "PR" 2577978 NIL PR (NIL T T) -8 NIL NIL) (-965 2573991 2574148 2574443 "PRJALGPK" 2575279 NIL PRJALGPK (NIL T NIL T T T) -7 NIL NIL) (-964 2573787 2573819 2573878 "PRINT" 2573952 T PRINT (NIL) -7 NIL NIL) (-963 2573127 2573244 2573396 "PRIMES" 2573667 NIL PRIMES (NIL T) -7 NIL NIL) (-962 2571192 2571593 2572059 "PRIMELT" 2572706 NIL PRIMELT (NIL T) -7 NIL NIL) (-961 2570920 2570969 2570998 "PRIMCAT" 2571122 T PRIMCAT (NIL) -9 NIL NIL) (-960 2567087 2570858 2570903 "PRIMARR" 2570908 NIL PRIMARR (NIL T) -8 NIL NIL) (-959 2566094 2566272 2566500 "PRIMARR2" 2566905 NIL PRIMARR2 (NIL T T) -7 NIL NIL) (-958 2565737 2565793 2565904 "PREASSOC" 2566032 NIL PREASSOC (NIL T T) -7 NIL NIL) (-957 2565212 2565344 2565373 "PPCURVE" 2565578 T PPCURVE (NIL) -9 NIL 2565714) (-956 2562573 2562972 2563563 "POLYROOT" 2564794 NIL POLYROOT (NIL T T T T T) -7 NIL NIL) (-955 2556474 2562179 2562338 "POLY" 2562447 NIL POLY (NIL T) -8 NIL NIL) (-954 2555857 2555915 2556149 "POLYLIFT" 2556410 NIL POLYLIFT (NIL T T T T T) -7 NIL NIL) (-953 2552132 2552581 2553210 "POLYCATQ" 2555402 NIL POLYCATQ (NIL T T T T T) -7 NIL NIL) (-952 2539094 2544494 2544560 "POLYCAT" 2548074 NIL POLYCAT (NIL T T T) -9 NIL 2549987) (-951 2532544 2534405 2536789 "POLYCAT-" 2536794 NIL POLYCAT- (NIL T T T T) -8 NIL NIL) (-950 2532131 2532199 2532319 "POLY2UP" 2532470 NIL POLY2UP (NIL NIL T) -7 NIL NIL) (-949 2531763 2531820 2531929 "POLY2" 2532068 NIL POLY2 (NIL T T) -7 NIL NIL) (-948 2530450 2530689 2530964 "POLUTIL" 2531538 NIL POLUTIL (NIL T T) -7 NIL NIL) (-947 2528805 2529082 2529413 "POLTOPOL" 2530172 NIL POLTOPOL (NIL NIL T) -7 NIL NIL) (-946 2524327 2528741 2528787 "POINT" 2528792 NIL POINT (NIL T) -8 NIL NIL) (-945 2522514 2522871 2523246 "PNTHEORY" 2523972 T PNTHEORY (NIL) -7 NIL NIL) (-944 2520933 2521230 2521642 "PMTOOLS" 2522212 NIL PMTOOLS (NIL T T T) -7 NIL NIL) (-943 2520526 2520604 2520721 "PMSYM" 2520849 NIL PMSYM (NIL T) -7 NIL NIL) (-942 2520036 2520105 2520279 "PMQFCAT" 2520451 NIL PMQFCAT (NIL T T T) -7 NIL NIL) (-941 2519391 2519501 2519657 "PMPRED" 2519913 NIL PMPRED (NIL T) -7 NIL NIL) (-940 2518787 2518873 2519034 "PMPREDFS" 2519292 NIL PMPREDFS (NIL T T T) -7 NIL NIL) (-939 2517432 2517640 2518024 "PMPLCAT" 2518550 NIL PMPLCAT (NIL T T T T T) -7 NIL NIL) (-938 2516964 2517043 2517195 "PMLSAGG" 2517347 NIL PMLSAGG (NIL T T T) -7 NIL NIL) (-937 2516439 2516515 2516696 "PMKERNEL" 2516882 NIL PMKERNEL (NIL T T) -7 NIL NIL) (-936 2516056 2516131 2516244 "PMINS" 2516358 NIL PMINS (NIL T) -7 NIL NIL) (-935 2515484 2515553 2515769 "PMFS" 2515981 NIL PMFS (NIL T T T) -7 NIL NIL) (-934 2514712 2514830 2515035 "PMDOWN" 2515361 NIL PMDOWN (NIL T T T) -7 NIL NIL) (-933 2513875 2514034 2514216 "PMASS" 2514550 T PMASS (NIL) -7 NIL NIL) (-932 2513149 2513260 2513423 "PMASSFS" 2513761 NIL PMASSFS (NIL T T) -7 NIL NIL) (-931 2510909 2511162 2511545 "PLPKCRV" 2512873 NIL PLPKCRV (NIL T T T NIL T) -7 NIL NIL) (-930 2510564 2510632 2510726 "PLOTTOOL" 2510835 T PLOTTOOL (NIL) -7 NIL NIL) (-929 2505186 2506375 2507523 "PLOT" 2509436 T PLOT (NIL) -8 NIL NIL) (-928 2501000 2502034 2502955 "PLOT3D" 2504285 T PLOT3D (NIL) -8 NIL NIL) (-927 2499912 2500089 2500324 "PLOT1" 2500804 NIL PLOT1 (NIL T) -7 NIL NIL) (-926 2475307 2479978 2484829 "PLEQN" 2495178 NIL PLEQN (NIL T T T T) -7 NIL NIL) (-925 2474547 2475217 2475284 "PLCS" 2475289 NIL PLCS (NIL T T) -8 NIL NIL) (-924 2473698 2474432 2474503 "PLACESPS" 2474508 NIL PLACESPS (NIL T) -8 NIL NIL) (-923 2472905 2473611 2473668 "PLACES" 2473673 NIL PLACES (NIL T) -8 NIL NIL) (-922 2469629 2470293 2470352 "PLACESC" 2472270 NIL PLACESC (NIL T T) -9 NIL 2472841) (-921 2468947 2469069 2469249 "PINTERP" 2469494 NIL PINTERP (NIL NIL T) -7 NIL NIL) (-920 2468640 2468687 2468790 "PINTERPA" 2468894 NIL PINTERPA (NIL T T) -7 NIL NIL) (-919 2467867 2468434 2468527 "PI" 2468567 T PI (NIL) -8 NIL NIL) (-918 2466254 2467239 2467268 "PID" 2467450 T PID (NIL) -9 NIL 2467584) (-917 2465979 2466016 2466104 "PICOERCE" 2466211 NIL PICOERCE (NIL T) -7 NIL NIL) (-916 2465300 2465438 2465614 "PGROEB" 2465835 NIL PGROEB (NIL T) -7 NIL NIL) (-915 2460887 2461701 2462606 "PGE" 2464415 T PGE (NIL) -7 NIL NIL) (-914 2459011 2459257 2459623 "PGCD" 2460604 NIL PGCD (NIL T T T T) -7 NIL NIL) (-913 2458349 2458452 2458613 "PFRPAC" 2458895 NIL PFRPAC (NIL T) -7 NIL NIL) (-912 2454964 2456897 2457250 "PFR" 2458028 NIL PFR (NIL T) -8 NIL NIL) (-911 2453353 2453597 2453922 "PFOTOOLS" 2454711 NIL PFOTOOLS (NIL T T) -7 NIL NIL) (-910 2448218 2448883 2449632 "PFORP" 2452695 NIL PFORP (NIL T T T NIL) -7 NIL NIL) (-909 2446751 2446990 2447341 "PFOQ" 2447975 NIL PFOQ (NIL T T T) -7 NIL NIL) (-908 2445224 2445436 2445799 "PFO" 2446535 NIL PFO (NIL T T T T T) -7 NIL NIL) (-907 2441747 2445113 2445182 "PF" 2445187 NIL PF (NIL NIL) -8 NIL NIL) (-906 2439172 2440453 2440482 "PFECAT" 2441067 T PFECAT (NIL) -9 NIL 2441450) (-905 2438617 2438771 2438985 "PFECAT-" 2438990 NIL PFECAT- (NIL T) -8 NIL NIL) (-904 2437221 2437472 2437773 "PFBRU" 2438366 NIL PFBRU (NIL T T) -7 NIL NIL) (-903 2435088 2435439 2435871 "PFBR" 2436872 NIL PFBR (NIL T T T T) -7 NIL NIL) (-902 2430944 2432468 2433142 "PERM" 2434447 NIL PERM (NIL T) -8 NIL NIL) (-901 2426211 2427151 2428021 "PERMGRP" 2430107 NIL PERMGRP (NIL T) -8 NIL NIL) (-900 2424282 2425275 2425317 "PERMCAT" 2425763 NIL PERMCAT (NIL T) -9 NIL 2426066) (-899 2423935 2423976 2424100 "PERMAN" 2424235 NIL PERMAN (NIL NIL T) -7 NIL NIL) (-898 2421381 2423504 2423635 "PENDTREE" 2423837 NIL PENDTREE (NIL T) -8 NIL NIL) (-897 2419449 2420227 2420269 "PDRING" 2420926 NIL PDRING (NIL T) -9 NIL 2421212) (-896 2418552 2418770 2419132 "PDRING-" 2419137 NIL PDRING- (NIL T T) -8 NIL NIL) (-895 2415694 2416444 2417135 "PDEPROB" 2417881 T PDEPROB (NIL) -8 NIL NIL) (-894 2413241 2413743 2414298 "PDEPACK" 2415159 T PDEPACK (NIL) -7 NIL NIL) (-893 2412153 2412343 2412594 "PDECOMP" 2413040 NIL PDECOMP (NIL T T) -7 NIL NIL) (-892 2409757 2410574 2410603 "PDECAT" 2411390 T PDECAT (NIL) -9 NIL 2412103) (-891 2409508 2409541 2409631 "PCOMP" 2409718 NIL PCOMP (NIL T T) -7 NIL NIL) (-890 2407713 2408309 2408606 "PBWLB" 2409237 NIL PBWLB (NIL T) -8 NIL NIL) (-889 2400218 2401786 2403124 "PATTERN" 2406396 NIL PATTERN (NIL T) -8 NIL NIL) (-888 2399850 2399907 2400016 "PATTERN2" 2400155 NIL PATTERN2 (NIL T T) -7 NIL NIL) (-887 2397607 2397995 2398452 "PATTERN1" 2399439 NIL PATTERN1 (NIL T T) -7 NIL NIL) (-886 2395002 2395556 2396037 "PATRES" 2397172 NIL PATRES (NIL T T) -8 NIL NIL) (-885 2394566 2394633 2394765 "PATRES2" 2394929 NIL PATRES2 (NIL T T T) -7 NIL NIL) (-884 2392449 2392854 2393261 "PATMATCH" 2394233 NIL PATMATCH (NIL T T T) -7 NIL NIL) (-883 2391984 2392167 2392209 "PATMAB" 2392316 NIL PATMAB (NIL T) -9 NIL 2392399) (-882 2390529 2390838 2391096 "PATLRES" 2391789 NIL PATLRES (NIL T T T) -8 NIL NIL) (-881 2390076 2390199 2390241 "PATAB" 2390246 NIL PATAB (NIL T) -9 NIL 2390416) (-880 2387557 2388089 2388662 "PARTPERM" 2389523 T PARTPERM (NIL) -7 NIL NIL) (-879 2387178 2387241 2387343 "PARSURF" 2387488 NIL PARSURF (NIL T) -8 NIL NIL) (-878 2386810 2386867 2386976 "PARSU2" 2387115 NIL PARSU2 (NIL T T) -7 NIL NIL) (-877 2386431 2386494 2386596 "PARSCURV" 2386741 NIL PARSCURV (NIL T) -8 NIL NIL) (-876 2386063 2386120 2386229 "PARSC2" 2386368 NIL PARSC2 (NIL T T) -7 NIL NIL) (-875 2385702 2385760 2385857 "PARPCURV" 2385999 NIL PARPCURV (NIL T) -8 NIL NIL) (-874 2385334 2385391 2385500 "PARPC2" 2385639 NIL PARPC2 (NIL T T) -7 NIL NIL) (-873 2383814 2383932 2384251 "PARAMP" 2385189 NIL PARAMP (NIL T NIL T T T T T) -7 NIL NIL) (-872 2383334 2383420 2383539 "PAN2EXPR" 2383715 T PAN2EXPR (NIL) -7 NIL NIL) (-871 2382140 2382455 2382683 "PALETTE" 2383126 T PALETTE (NIL) -8 NIL NIL) (-870 2369773 2371939 2374055 "PAFF" 2380088 NIL PAFF (NIL T NIL T) -7 NIL NIL) (-869 2356769 2359097 2361308 "PAFFFF" 2367626 NIL PAFFFF (NIL T NIL T) -7 NIL NIL) (-868 2350610 2356028 2356222 "PADICRC" 2356624 NIL PADICRC (NIL NIL T) -8 NIL NIL) (-867 2343809 2349956 2350140 "PADICRAT" 2350458 NIL PADICRAT (NIL NIL) -8 NIL NIL) (-866 2342113 2343746 2343791 "PADIC" 2343796 NIL PADIC (NIL NIL) -8 NIL NIL) (-865 2339313 2340887 2340928 "PADICCT" 2341509 NIL PADICCT (NIL NIL) -9 NIL 2341791) (-864 2338270 2338470 2338738 "PADEPAC" 2339100 NIL PADEPAC (NIL T NIL NIL) -7 NIL NIL) (-863 2337482 2337615 2337821 "PADE" 2338132 NIL PADE (NIL T T T) -7 NIL NIL) (-862 2333959 2337100 2337219 "PACRAT" 2337383 T PACRAT (NIL) -8 NIL NIL) (-861 2330020 2333070 2333099 "PACRATC" 2333104 T PACRATC (NIL) -9 NIL 2333184) (-860 2326142 2328107 2328136 "PACPERC" 2329082 T PACPERC (NIL) -9 NIL 2329522) (-859 2322812 2325916 2326007 "PACOFF" 2326083 NIL PACOFF (NIL T) -8 NIL NIL) (-858 2319507 2322167 2322196 "PACFFC" 2322201 T PACFFC (NIL) -9 NIL 2322222) (-857 2315597 2319190 2319291 "PACEXT" 2319438 NIL PACEXT (NIL NIL) -8 NIL NIL) (-856 2310975 2314492 2314521 "PACEXTC" 2314526 T PACEXTC (NIL) -9 NIL 2314570) (-855 2308983 2309815 2310130 "OWP" 2310744 NIL OWP (NIL T NIL NIL NIL) -8 NIL NIL) (-854 2308092 2308588 2308760 "OVAR" 2308851 NIL OVAR (NIL NIL) -8 NIL NIL) (-853 2307356 2307477 2307638 "OUT" 2307951 T OUT (NIL) -7 NIL NIL) (-852 2296402 2298581 2300751 "OUTFORM" 2305206 T OUTFORM (NIL) -8 NIL NIL) (-851 2295810 2296131 2296220 "OSI" 2296333 T OSI (NIL) -8 NIL NIL) (-850 2294557 2294784 2295068 "ORTHPOL" 2295558 NIL ORTHPOL (NIL T) -7 NIL NIL) (-849 2291919 2294214 2294354 "OREUP" 2294500 NIL OREUP (NIL NIL T NIL NIL) -8 NIL NIL) (-848 2289306 2291608 2291736 "ORESUP" 2291861 NIL ORESUP (NIL T NIL NIL) -8 NIL NIL) (-847 2286814 2287320 2287885 "OREPCTO" 2288791 NIL OREPCTO (NIL T T) -7 NIL NIL) (-846 2280684 2282895 2282937 "OREPCAT" 2285285 NIL OREPCAT (NIL T) -9 NIL 2286385) (-845 2277831 2278613 2279671 "OREPCAT-" 2279676 NIL OREPCAT- (NIL T T) -8 NIL NIL) (-844 2277007 2277279 2277308 "ORDSET" 2277617 T ORDSET (NIL) -9 NIL 2277781) (-843 2276526 2276648 2276841 "ORDSET-" 2276846 NIL ORDSET- (NIL T) -8 NIL NIL) (-842 2275135 2275936 2275965 "ORDRING" 2276167 T ORDRING (NIL) -9 NIL 2276292) (-841 2274780 2274874 2275018 "ORDRING-" 2275023 NIL ORDRING- (NIL T) -8 NIL NIL) (-840 2274154 2274635 2274664 "ORDMON" 2274669 T ORDMON (NIL) -9 NIL 2274690) (-839 2273316 2273463 2273658 "ORDFUNS" 2274003 NIL ORDFUNS (NIL NIL T) -7 NIL NIL) (-838 2272826 2273185 2273214 "ORDFIN" 2273219 T ORDFIN (NIL) -9 NIL 2273240) (-837 2269338 2271418 2271824 "ORDCOMP" 2272453 NIL ORDCOMP (NIL T) -8 NIL NIL) (-836 2268604 2268731 2268917 "ORDCOMP2" 2269198 NIL ORDCOMP2 (NIL T T) -7 NIL NIL) (-835 2265112 2265994 2266831 "OPTPROB" 2267787 T OPTPROB (NIL) -8 NIL NIL) (-834 2261914 2262553 2263257 "OPTPACK" 2264428 T OPTPACK (NIL) -7 NIL NIL) (-833 2259626 2260366 2260395 "OPTCAT" 2261214 T OPTCAT (NIL) -9 NIL 2261864) (-832 2259394 2259433 2259499 "OPQUERY" 2259580 T OPQUERY (NIL) -7 NIL NIL) (-831 2256520 2257711 2258212 "OP" 2258926 NIL OP (NIL T) -8 NIL NIL) (-830 2253285 2255323 2255689 "ONECOMP" 2256187 NIL ONECOMP (NIL T) -8 NIL NIL) (-829 2252590 2252705 2252879 "ONECOMP2" 2253157 NIL ONECOMP2 (NIL T T) -7 NIL NIL) (-828 2252009 2252115 2252245 "OMSERVER" 2252480 T OMSERVER (NIL) -7 NIL NIL) (-827 2248896 2251448 2251489 "OMSAGG" 2251550 NIL OMSAGG (NIL T) -9 NIL 2251614) (-826 2247519 2247782 2248064 "OMPKG" 2248634 T OMPKG (NIL) -7 NIL NIL) (-825 2246948 2247051 2247080 "OM" 2247379 T OM (NIL) -9 NIL NIL) (-824 2245486 2246499 2246667 "OMLO" 2246830 NIL OMLO (NIL T T) -8 NIL NIL) (-823 2244411 2244558 2244785 "OMEXPR" 2245312 NIL OMEXPR (NIL T) -7 NIL NIL) (-822 2243729 2243957 2244093 "OMERR" 2244295 T OMERR (NIL) -8 NIL NIL) (-821 2242907 2243150 2243310 "OMERRK" 2243589 T OMERRK (NIL) -8 NIL NIL) (-820 2242385 2242584 2242692 "OMENC" 2242819 T OMENC (NIL) -8 NIL NIL) (-819 2236280 2237465 2238636 "OMDEV" 2241234 T OMDEV (NIL) -8 NIL NIL) (-818 2235349 2235520 2235714 "OMCONN" 2236106 T OMCONN (NIL) -8 NIL NIL) (-817 2233960 2234946 2234975 "OINTDOM" 2234980 T OINTDOM (NIL) -9 NIL 2235001) (-816 2229611 2230866 2231610 "OFMONOID" 2233248 NIL OFMONOID (NIL T) -8 NIL NIL) (-815 2229049 2229548 2229593 "ODVAR" 2229598 NIL ODVAR (NIL T) -8 NIL NIL) (-814 2226176 2228548 2228732 "ODR" 2228925 NIL ODR (NIL T T NIL) -8 NIL NIL) (-813 2218474 2225952 2226078 "ODPOL" 2226083 NIL ODPOL (NIL T) -8 NIL NIL) (-812 2212268 2218346 2218451 "ODP" 2218456 NIL ODP (NIL NIL T NIL) -8 NIL NIL) (-811 2211034 2211249 2211524 "ODETOOLS" 2212042 NIL ODETOOLS (NIL T T) -7 NIL NIL) (-810 2208003 2208659 2209375 "ODESYS" 2210367 NIL ODESYS (NIL T T) -7 NIL NIL) (-809 2202887 2203795 2204819 "ODERTRIC" 2207079 NIL ODERTRIC (NIL T T) -7 NIL NIL) (-808 2202313 2202395 2202589 "ODERED" 2202799 NIL ODERED (NIL T T T T T) -7 NIL NIL) (-807 2199201 2199749 2200426 "ODERAT" 2201736 NIL ODERAT (NIL T T) -7 NIL NIL) (-806 2196161 2196625 2197222 "ODEPRRIC" 2198730 NIL ODEPRRIC (NIL T T T T) -7 NIL NIL) (-805 2194032 2194599 2195108 "ODEPROB" 2195672 T ODEPROB (NIL) -8 NIL NIL) (-804 2190554 2191037 2191684 "ODEPRIM" 2193511 NIL ODEPRIM (NIL T T T T) -7 NIL NIL) (-803 2189803 2189905 2190165 "ODEPAL" 2190446 NIL ODEPAL (NIL T T T T) -7 NIL NIL) (-802 2185965 2186756 2187620 "ODEPACK" 2188959 T ODEPACK (NIL) -7 NIL NIL) (-801 2184998 2185105 2185334 "ODEINT" 2185854 NIL ODEINT (NIL T T) -7 NIL NIL) (-800 2179099 2180524 2181971 "ODEIFTBL" 2183571 T ODEIFTBL (NIL) -8 NIL NIL) (-799 2174434 2175220 2176179 "ODEEF" 2178258 NIL ODEEF (NIL T T) -7 NIL NIL) (-798 2173769 2173858 2174088 "ODECONST" 2174339 NIL ODECONST (NIL T T T) -7 NIL NIL) (-797 2171919 2172554 2172583 "ODECAT" 2173188 T ODECAT (NIL) -9 NIL 2173719) (-796 2168763 2171624 2171746 "OCT" 2171829 NIL OCT (NIL T) -8 NIL NIL) (-795 2168401 2168444 2168571 "OCTCT2" 2168714 NIL OCTCT2 (NIL T T T T) -7 NIL NIL) (-794 2163225 2165669 2165710 "OC" 2166807 NIL OC (NIL T) -9 NIL 2167657) (-793 2160452 2161200 2162190 "OC-" 2162284 NIL OC- (NIL T T) -8 NIL NIL) (-792 2159829 2160271 2160300 "OCAMON" 2160305 T OCAMON (NIL) -9 NIL 2160326) (-791 2159281 2159688 2159717 "OASGP" 2159722 T OASGP (NIL) -9 NIL 2159742) (-790 2158567 2159030 2159059 "OAMONS" 2159099 T OAMONS (NIL) -9 NIL 2159142) (-789 2158006 2158413 2158442 "OAMON" 2158447 T OAMON (NIL) -9 NIL 2158467) (-788 2157309 2157801 2157830 "OAGROUP" 2157835 T OAGROUP (NIL) -9 NIL 2157855) (-787 2156999 2157049 2157137 "NUMTUBE" 2157253 NIL NUMTUBE (NIL T) -7 NIL NIL) (-786 2150572 2152090 2153626 "NUMQUAD" 2155483 T NUMQUAD (NIL) -7 NIL NIL) (-785 2146328 2147316 2148341 "NUMODE" 2149567 T NUMODE (NIL) -7 NIL NIL) (-784 2143708 2144562 2144591 "NUMINT" 2145514 T NUMINT (NIL) -9 NIL 2146278) (-783 2142656 2142853 2143071 "NUMFMT" 2143510 T NUMFMT (NIL) -7 NIL NIL) (-782 2129034 2131976 2134500 "NUMERIC" 2140171 NIL NUMERIC (NIL T) -7 NIL NIL) (-781 2123437 2128482 2128578 "NTSCAT" 2128583 NIL NTSCAT (NIL T T T T) -9 NIL 2128622) (-780 2122633 2122798 2122990 "NTPOLFN" 2123277 NIL NTPOLFN (NIL T) -7 NIL NIL) (-779 2110429 2119460 2120271 "NSUP" 2121855 NIL NSUP (NIL T) -8 NIL NIL) (-778 2110061 2110118 2110227 "NSUP2" 2110366 NIL NSUP2 (NIL T T) -7 NIL NIL) (-777 2100012 2109835 2109968 "NSMP" 2109973 NIL NSMP (NIL T T) -8 NIL NIL) (-776 2088104 2099594 2099758 "NSDPS" 2099880 NIL NSDPS (NIL T) -8 NIL NIL) (-775 2086536 2086837 2087194 "NREP" 2087792 NIL NREP (NIL T) -7 NIL NIL) (-774 2083625 2084173 2084822 "NPOLYGON" 2085978 NIL NPOLYGON (NIL T T T NIL) -7 NIL NIL) (-773 2082216 2082468 2082826 "NPCOEF" 2083368 NIL NPCOEF (NIL T T T T T) -7 NIL NIL) (-772 2081498 2082000 2082084 "NOTTING" 2082164 NIL NOTTING (NIL T) -8 NIL NIL) (-771 2080564 2080679 2080895 "NORMRETR" 2081379 NIL NORMRETR (NIL T T T T NIL) -7 NIL NIL) (-770 2078605 2078895 2079304 "NORMPK" 2080272 NIL NORMPK (NIL T T T T T) -7 NIL NIL) (-769 2078290 2078318 2078442 "NORMMA" 2078571 NIL NORMMA (NIL T T T T) -7 NIL NIL) (-768 2078117 2078247 2078276 "NONE" 2078281 T NONE (NIL) -8 NIL NIL) (-767 2077906 2077935 2078004 "NONE1" 2078081 NIL NONE1 (NIL T) -7 NIL NIL) (-766 2077389 2077451 2077637 "NODE1" 2077838 NIL NODE1 (NIL T T) -7 NIL NIL) (-765 2075683 2076552 2076807 "NNI" 2077154 T NNI (NIL) -8 NIL NIL) (-764 2074103 2074416 2074780 "NLINSOL" 2075351 NIL NLINSOL (NIL T) -7 NIL NIL) (-763 2070271 2071238 2072160 "NIPROB" 2073201 T NIPROB (NIL) -8 NIL NIL) (-762 2069028 2069262 2069564 "NFINTBAS" 2070033 NIL NFINTBAS (NIL T T) -7 NIL NIL) (-761 2068757 2068800 2068881 "NEWTON" 2068979 NIL NEWTON (NIL T) -7 NIL NIL) (-760 2067465 2067696 2067977 "NCODIV" 2068525 NIL NCODIV (NIL T T) -7 NIL NIL) (-759 2067227 2067264 2067339 "NCNTFRAC" 2067422 NIL NCNTFRAC (NIL T) -7 NIL NIL) (-758 2065407 2065771 2066191 "NCEP" 2066852 NIL NCEP (NIL T) -7 NIL NIL) (-757 2064317 2065056 2065085 "NASRING" 2065195 T NASRING (NIL) -9 NIL 2065269) (-756 2064112 2064156 2064250 "NASRING-" 2064255 NIL NASRING- (NIL T) -8 NIL NIL) (-755 2063264 2063763 2063792 "NARNG" 2063909 T NARNG (NIL) -9 NIL 2064000) (-754 2062956 2063023 2063157 "NARNG-" 2063162 NIL NARNG- (NIL T) -8 NIL NIL) (-753 2061835 2062042 2062277 "NAGSP" 2062741 T NAGSP (NIL) -7 NIL NIL) (-752 2053107 2054791 2056464 "NAGS" 2060182 T NAGS (NIL) -7 NIL NIL) (-751 2051655 2051963 2052294 "NAGF07" 2052796 T NAGF07 (NIL) -7 NIL NIL) (-750 2046193 2047484 2048791 "NAGF04" 2050368 T NAGF04 (NIL) -7 NIL NIL) (-749 2039161 2040775 2042408 "NAGF02" 2044580 T NAGF02 (NIL) -7 NIL NIL) (-748 2034385 2035485 2036602 "NAGF01" 2038064 T NAGF01 (NIL) -7 NIL NIL) (-747 2028013 2029579 2031164 "NAGE04" 2032820 T NAGE04 (NIL) -7 NIL NIL) (-746 2019182 2021303 2023433 "NAGE02" 2025903 T NAGE02 (NIL) -7 NIL NIL) (-745 2015135 2016082 2017046 "NAGE01" 2018238 T NAGE01 (NIL) -7 NIL NIL) (-744 2012930 2013464 2014022 "NAGD03" 2014597 T NAGD03 (NIL) -7 NIL NIL) (-743 2004680 2006608 2008562 "NAGD02" 2010996 T NAGD02 (NIL) -7 NIL NIL) (-742 1998491 1999916 2001356 "NAGD01" 2003260 T NAGD01 (NIL) -7 NIL NIL) (-741 1994700 1995522 1996359 "NAGC06" 1997674 T NAGC06 (NIL) -7 NIL NIL) (-740 1993165 1993497 1993853 "NAGC05" 1994364 T NAGC05 (NIL) -7 NIL NIL) (-739 1992541 1992660 1992804 "NAGC02" 1993041 T NAGC02 (NIL) -7 NIL NIL) (-738 1991600 1992157 1992198 "NAALG" 1992277 NIL NAALG (NIL T) -9 NIL 1992338) (-737 1991435 1991464 1991554 "NAALG-" 1991559 NIL NAALG- (NIL T T) -8 NIL NIL) (-736 1982311 1990551 1990826 "MYUP" 1991206 NIL MYUP (NIL NIL T) -8 NIL NIL) (-735 1972674 1980767 1981138 "MYEXPR" 1982006 NIL MYEXPR (NIL NIL T) -8 NIL NIL) (-734 1966624 1967732 1968919 "MULTSQFR" 1971570 NIL MULTSQFR (NIL T T T T) -7 NIL NIL) (-733 1965943 1966018 1966202 "MULTFACT" 1966536 NIL MULTFACT (NIL T T T T) -7 NIL NIL) (-732 1959068 1962977 1963031 "MTSCAT" 1964101 NIL MTSCAT (NIL T T) -9 NIL 1964615) (-731 1958780 1958834 1958926 "MTHING" 1959008 NIL MTHING (NIL T) -7 NIL NIL) (-730 1958572 1958605 1958665 "MSYSCMD" 1958740 T MSYSCMD (NIL) -7 NIL NIL) (-729 1954684 1957327 1957647 "MSET" 1958285 NIL MSET (NIL T) -8 NIL NIL) (-728 1951778 1954244 1954286 "MSETAGG" 1954291 NIL MSETAGG (NIL T) -9 NIL 1954325) (-727 1947627 1949169 1949908 "MRING" 1951084 NIL MRING (NIL T T) -8 NIL NIL) (-726 1947193 1947260 1947391 "MRF2" 1947554 NIL MRF2 (NIL T T T) -7 NIL NIL) (-725 1946811 1946846 1946990 "MRATFAC" 1947152 NIL MRATFAC (NIL T T T T) -7 NIL NIL) (-724 1944423 1944718 1945149 "MPRFF" 1946516 NIL MPRFF (NIL T T T T) -7 NIL NIL) (-723 1938437 1944277 1944374 "MPOLY" 1944379 NIL MPOLY (NIL NIL T) -8 NIL NIL) (-722 1937927 1937962 1938170 "MPCPF" 1938396 NIL MPCPF (NIL T T T T) -7 NIL NIL) (-721 1937441 1937484 1937668 "MPC3" 1937878 NIL MPC3 (NIL T T T T T T T) -7 NIL NIL) (-720 1936636 1936717 1936938 "MPC2" 1937356 NIL MPC2 (NIL T T T T T T T) -7 NIL NIL) (-719 1934937 1935274 1935664 "MONOTOOL" 1936296 NIL MONOTOOL (NIL T T) -7 NIL NIL) (-718 1934060 1934395 1934424 "MONOID" 1934701 T MONOID (NIL) -9 NIL 1934873) (-717 1933438 1933601 1933844 "MONOID-" 1933849 NIL MONOID- (NIL T) -8 NIL NIL) (-716 1924364 1930349 1930409 "MONOGEN" 1931083 NIL MONOGEN (NIL T T) -9 NIL 1931536) (-715 1921582 1922317 1923317 "MONOGEN-" 1923436 NIL MONOGEN- (NIL T T T) -8 NIL NIL) (-714 1920440 1920860 1920889 "MONADWU" 1921281 T MONADWU (NIL) -9 NIL 1921519) (-713 1919812 1919971 1920219 "MONADWU-" 1920224 NIL MONADWU- (NIL T) -8 NIL NIL) (-712 1919196 1919414 1919443 "MONAD" 1919650 T MONAD (NIL) -9 NIL 1919762) (-711 1918881 1918959 1919091 "MONAD-" 1919096 NIL MONAD- (NIL T) -8 NIL NIL) (-710 1917132 1917794 1918073 "MOEBIUS" 1918634 NIL MOEBIUS (NIL T) -8 NIL NIL) (-709 1916523 1916901 1916942 "MODULE" 1916947 NIL MODULE (NIL T) -9 NIL 1916973) (-708 1916091 1916187 1916377 "MODULE-" 1916382 NIL MODULE- (NIL T T) -8 NIL NIL) (-707 1913760 1914455 1914782 "MODRING" 1915915 NIL MODRING (NIL T T NIL NIL NIL) -8 NIL NIL) (-706 1910706 1911871 1912389 "MODOP" 1913292 NIL MODOP (NIL T T) -8 NIL NIL) (-705 1908893 1909345 1909686 "MODMONOM" 1910505 NIL MODMONOM (NIL T T NIL) -8 NIL NIL) (-704 1898558 1907089 1907510 "MODMON" 1908523 NIL MODMON (NIL T T) -8 NIL NIL) (-703 1895684 1897402 1897678 "MODFIELD" 1898433 NIL MODFIELD (NIL T T NIL NIL NIL) -8 NIL NIL) (-702 1894688 1894965 1895155 "MMLFORM" 1895514 T MMLFORM (NIL) -8 NIL NIL) (-701 1894214 1894257 1894436 "MMAP" 1894639 NIL MMAP (NIL T T T T T T) -7 NIL NIL) (-700 1892439 1893216 1893258 "MLO" 1893681 NIL MLO (NIL T) -9 NIL 1893922) (-699 1889806 1890321 1890923 "MLIFT" 1891920 NIL MLIFT (NIL T T T T) -7 NIL NIL) (-698 1889197 1889281 1889435 "MKUCFUNC" 1889717 NIL MKUCFUNC (NIL T T T) -7 NIL NIL) (-697 1888796 1888866 1888989 "MKRECORD" 1889120 NIL MKRECORD (NIL T T) -7 NIL NIL) (-696 1887844 1888005 1888233 "MKFUNC" 1888607 NIL MKFUNC (NIL T) -7 NIL NIL) (-695 1887232 1887336 1887492 "MKFLCFN" 1887727 NIL MKFLCFN (NIL T) -7 NIL NIL) (-694 1886658 1887025 1887114 "MKCHSET" 1887176 NIL MKCHSET (NIL T) -8 NIL NIL) (-693 1885935 1886037 1886222 "MKBCFUNC" 1886551 NIL MKBCFUNC (NIL T T T T) -7 NIL NIL) (-692 1882619 1885489 1885625 "MINT" 1885819 T MINT (NIL) -8 NIL NIL) (-691 1881431 1881674 1881951 "MHROWRED" 1882374 NIL MHROWRED (NIL T) -7 NIL NIL) (-690 1876698 1879872 1880298 "MFLOAT" 1881025 T MFLOAT (NIL) -8 NIL NIL) (-689 1876055 1876131 1876302 "MFINFACT" 1876610 NIL MFINFACT (NIL T T T T) -7 NIL NIL) (-688 1872370 1873218 1874102 "MESH" 1875191 T MESH (NIL) -7 NIL NIL) (-687 1870760 1871072 1871425 "MDDFACT" 1872057 NIL MDDFACT (NIL T) -7 NIL NIL) (-686 1867642 1869953 1869995 "MDAGG" 1870250 NIL MDAGG (NIL T) -9 NIL 1870393) (-685 1857330 1866935 1867142 "MCMPLX" 1867455 T MCMPLX (NIL) -8 NIL NIL) (-684 1856471 1856617 1856817 "MCDEN" 1857179 NIL MCDEN (NIL T T) -7 NIL NIL) (-683 1854361 1854631 1855011 "MCALCFN" 1856201 NIL MCALCFN (NIL T T T T) -7 NIL NIL) (-682 1851973 1852496 1853058 "MATSTOR" 1853832 NIL MATSTOR (NIL T) -7 NIL NIL) (-681 1847839 1851349 1851595 "MATRIX" 1851760 NIL MATRIX (NIL T) -8 NIL NIL) (-680 1843615 1844318 1845051 "MATLIN" 1847199 NIL MATLIN (NIL T T T T) -7 NIL NIL) (-679 1833126 1836394 1836472 "MATCAT" 1841754 NIL MATCAT (NIL T T T) -9 NIL 1843316) (-678 1829164 1830279 1831747 "MATCAT-" 1831752 NIL MATCAT- (NIL T T T T) -8 NIL NIL) (-677 1827758 1827911 1828244 "MATCAT2" 1828999 NIL MATCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-676 1826498 1826764 1827079 "MAPPKG4" 1827489 NIL MAPPKG4 (NIL T T) -7 NIL NIL) (-675 1824610 1824934 1825318 "MAPPKG3" 1826173 NIL MAPPKG3 (NIL T T T) -7 NIL NIL) (-674 1823591 1823764 1823986 "MAPPKG2" 1824434 NIL MAPPKG2 (NIL T T) -7 NIL NIL) (-673 1822090 1822374 1822701 "MAPPKG1" 1823297 NIL MAPPKG1 (NIL T) -7 NIL NIL) (-672 1821701 1821759 1821882 "MAPHACK3" 1822026 NIL MAPHACK3 (NIL T T T) -7 NIL NIL) (-671 1821293 1821354 1821468 "MAPHACK2" 1821633 NIL MAPHACK2 (NIL T T) -7 NIL NIL) (-670 1820731 1820834 1820976 "MAPHACK1" 1821184 NIL MAPHACK1 (NIL T) -7 NIL NIL) (-669 1818837 1819431 1819735 "MAGMA" 1820459 NIL MAGMA (NIL T) -8 NIL NIL) (-668 1817073 1817445 1817500 "MAGCDOC" 1818437 NIL MAGCDOC (NIL T T) -9 NIL NIL) (-667 1813548 1815314 1815774 "M3D" 1816646 NIL M3D (NIL T) -8 NIL NIL) (-666 1807742 1811948 1811990 "LZSTAGG" 1812772 NIL LZSTAGG (NIL T) -9 NIL 1813067) (-665 1803716 1804873 1806330 "LZSTAGG-" 1806335 NIL LZSTAGG- (NIL T T) -8 NIL NIL) (-664 1800830 1801607 1802094 "LWORD" 1803261 NIL LWORD (NIL T) -8 NIL NIL) (-663 1793985 1800601 1800735 "LSQM" 1800740 NIL LSQM (NIL NIL T) -8 NIL NIL) (-662 1793209 1793348 1793576 "LSPP" 1793840 NIL LSPP (NIL T T T T) -7 NIL NIL) (-661 1791021 1791322 1791778 "LSMP" 1792898 NIL LSMP (NIL T T T T) -7 NIL NIL) (-660 1787800 1788474 1789204 "LSMP1" 1790323 NIL LSMP1 (NIL T) -7 NIL NIL) (-659 1781757 1786990 1787032 "LSAGG" 1787094 NIL LSAGG (NIL T) -9 NIL 1787172) (-658 1778452 1779376 1780589 "LSAGG-" 1780594 NIL LSAGG- (NIL T T) -8 NIL NIL) (-657 1776078 1777596 1777845 "LPOLY" 1778247 NIL LPOLY (NIL T T) -8 NIL NIL) (-656 1775660 1775745 1775868 "LPEFRAC" 1775987 NIL LPEFRAC (NIL T) -7 NIL NIL) (-655 1773224 1773473 1773905 "LPARSPT" 1775402 NIL LPARSPT (NIL T NIL T T T T T) -7 NIL NIL) (-654 1771699 1772026 1772386 "LOP" 1772896 NIL LOP (NIL T) -7 NIL NIL) (-653 1770048 1770795 1771047 "LO" 1771532 NIL LO (NIL T T T) -8 NIL NIL) (-652 1769699 1769811 1769840 "LOGIC" 1769951 T LOGIC (NIL) -9 NIL 1770032) (-651 1769561 1769584 1769655 "LOGIC-" 1769660 NIL LOGIC- (NIL T) -8 NIL NIL) (-650 1768754 1768894 1769087 "LODOOPS" 1769417 NIL LODOOPS (NIL T T) -7 NIL NIL) (-649 1766166 1768670 1768736 "LODO" 1768741 NIL LODO (NIL T NIL) -8 NIL NIL) (-648 1764706 1764941 1765293 "LODOF" 1765914 NIL LODOF (NIL T T) -7 NIL NIL) (-647 1761105 1763546 1763588 "LODOCAT" 1764026 NIL LODOCAT (NIL T) -9 NIL 1764236) (-646 1760838 1760896 1761023 "LODOCAT-" 1761028 NIL LODOCAT- (NIL T T) -8 NIL NIL) (-645 1758147 1760679 1760797 "LODO2" 1760802 NIL LODO2 (NIL T T) -8 NIL NIL) (-644 1755571 1758084 1758129 "LODO1" 1758134 NIL LODO1 (NIL T) -8 NIL NIL) (-643 1754431 1754596 1754908 "LODEEF" 1755394 NIL LODEEF (NIL T T T) -7 NIL NIL) (-642 1747258 1751423 1751464 "LOCPOWC" 1752926 NIL LOCPOWC (NIL T) -9 NIL 1753503) (-641 1742582 1745420 1745462 "LNAGG" 1746409 NIL LNAGG (NIL T) -9 NIL 1746852) (-640 1741729 1741943 1742285 "LNAGG-" 1742290 NIL LNAGG- (NIL T T) -8 NIL NIL) (-639 1737892 1738654 1739293 "LMOPS" 1741144 NIL LMOPS (NIL T T NIL) -8 NIL NIL) (-638 1737286 1737648 1737690 "LMODULE" 1737751 NIL LMODULE (NIL T) -9 NIL 1737793) (-637 1734538 1736931 1737054 "LMDICT" 1737196 NIL LMDICT (NIL T) -8 NIL NIL) (-636 1733695 1733829 1734016 "LISYSER" 1734400 NIL LISYSER (NIL T T) -7 NIL NIL) (-635 1726932 1732645 1732941 "LIST" 1733432 NIL LIST (NIL T) -8 NIL NIL) (-634 1726457 1726531 1726670 "LIST3" 1726852 NIL LIST3 (NIL T T T) -7 NIL NIL) (-633 1725464 1725642 1725870 "LIST2" 1726275 NIL LIST2 (NIL T T) -7 NIL NIL) (-632 1723598 1723910 1724309 "LIST2MAP" 1725111 NIL LIST2MAP (NIL T T) -7 NIL NIL) (-631 1722303 1722983 1723025 "LINEXP" 1723280 NIL LINEXP (NIL T) -9 NIL 1723429) (-630 1720950 1721210 1721507 "LINDEP" 1722055 NIL LINDEP (NIL T T) -7 NIL NIL) (-629 1717717 1718436 1719213 "LIMITRF" 1720205 NIL LIMITRF (NIL T) -7 NIL NIL) (-628 1715993 1716288 1716704 "LIMITPS" 1717412 NIL LIMITPS (NIL T T) -7 NIL NIL) (-627 1710452 1715508 1715734 "LIE" 1715816 NIL LIE (NIL T T) -8 NIL NIL) (-626 1709501 1709944 1709985 "LIECAT" 1710125 NIL LIECAT (NIL T) -9 NIL 1710275) (-625 1709342 1709369 1709457 "LIECAT-" 1709462 NIL LIECAT- (NIL T T) -8 NIL NIL) (-624 1701876 1708721 1708904 "LIB" 1709179 T LIB (NIL) -8 NIL NIL) (-623 1697513 1698394 1699329 "LGROBP" 1700993 NIL LGROBP (NIL NIL T) -7 NIL NIL) (-622 1694994 1695318 1695729 "LF" 1697186 NIL LF (NIL T T) -7 NIL NIL) (-621 1693691 1694421 1694450 "LFCAT" 1694725 T LFCAT (NIL) -9 NIL 1694900) (-620 1690595 1691223 1691911 "LEXTRIPK" 1693055 NIL LEXTRIPK (NIL T NIL) -7 NIL NIL) (-619 1687301 1688165 1688668 "LEXP" 1690175 NIL LEXP (NIL T T NIL) -8 NIL NIL) (-618 1685699 1686012 1686413 "LEADCDET" 1686983 NIL LEADCDET (NIL T T T T) -7 NIL NIL) (-617 1684889 1684963 1685192 "LAZM3PK" 1685620 NIL LAZM3PK (NIL T T T T T T) -7 NIL NIL) (-616 1679805 1682972 1683507 "LAUPOL" 1684404 NIL LAUPOL (NIL T T) -8 NIL NIL) (-615 1679370 1679414 1679582 "LAPLACE" 1679755 NIL LAPLACE (NIL T T) -7 NIL NIL) (-614 1677300 1678473 1678723 "LA" 1679204 NIL LA (NIL T T T) -8 NIL NIL) (-613 1676356 1676950 1676992 "LALG" 1677054 NIL LALG (NIL T) -9 NIL 1677113) (-612 1676070 1676129 1676265 "LALG-" 1676270 NIL LALG- (NIL T T) -8 NIL NIL) (-611 1674974 1675161 1675460 "KOVACIC" 1675870 NIL KOVACIC (NIL T T) -7 NIL NIL) (-610 1674808 1674832 1674874 "KONVERT" 1674936 NIL KONVERT (NIL T) -9 NIL NIL) (-609 1674642 1674666 1674708 "KOERCE" 1674770 NIL KOERCE (NIL T) -9 NIL NIL) (-608 1672378 1673138 1673530 "KERNEL" 1674282 NIL KERNEL (NIL T) -8 NIL NIL) (-607 1671880 1671961 1672091 "KERNEL2" 1672292 NIL KERNEL2 (NIL T T) -7 NIL NIL) (-606 1665563 1670245 1670300 "KDAGG" 1670677 NIL KDAGG (NIL T T) -9 NIL 1670883) (-605 1665092 1665216 1665421 "KDAGG-" 1665426 NIL KDAGG- (NIL T T T) -8 NIL NIL) (-604 1658241 1664753 1664908 "KAFILE" 1664970 NIL KAFILE (NIL T) -8 NIL NIL) (-603 1652700 1657756 1657982 "JORDAN" 1658064 NIL JORDAN (NIL T T) -8 NIL NIL) (-602 1649043 1650943 1650998 "IXAGG" 1651927 NIL IXAGG (NIL T T) -9 NIL 1652382) (-601 1647962 1648268 1648687 "IXAGG-" 1648692 NIL IXAGG- (NIL T T T) -8 NIL NIL) (-600 1643546 1647884 1647943 "IVECTOR" 1647948 NIL IVECTOR (NIL T NIL) -8 NIL NIL) (-599 1642312 1642549 1642815 "ITUPLE" 1643313 NIL ITUPLE (NIL T) -8 NIL NIL) (-598 1640736 1640913 1641221 "ITRIGMNP" 1642134 NIL ITRIGMNP (NIL T T T) -7 NIL NIL) (-597 1639481 1639685 1639968 "ITFUN3" 1640512 NIL ITFUN3 (NIL T T T) -7 NIL NIL) (-596 1639113 1639170 1639279 "ITFUN2" 1639418 NIL ITFUN2 (NIL T T) -7 NIL NIL) (-595 1636906 1637977 1638275 "ITAYLOR" 1638848 NIL ITAYLOR (NIL T) -8 NIL NIL) (-594 1625845 1631045 1632207 "ISUPS" 1635777 NIL ISUPS (NIL T) -8 NIL NIL) (-593 1624949 1625089 1625325 "ISUMP" 1625692 NIL ISUMP (NIL T T T T) -7 NIL NIL) (-592 1620219 1624750 1624829 "ISTRING" 1624902 NIL ISTRING (NIL NIL) -8 NIL NIL) (-591 1619429 1619510 1619726 "IRURPK" 1620133 NIL IRURPK (NIL T T T T T) -7 NIL NIL) (-590 1618365 1618566 1618806 "IRSN" 1619209 T IRSN (NIL) -7 NIL NIL) (-589 1616396 1616751 1617186 "IRRF2F" 1618004 NIL IRRF2F (NIL T) -7 NIL NIL) (-588 1616143 1616181 1616257 "IRREDFFX" 1616352 NIL IRREDFFX (NIL T) -7 NIL NIL) (-587 1614758 1615017 1615316 "IROOT" 1615876 NIL IROOT (NIL T) -7 NIL NIL) (-586 1611394 1612446 1613136 "IR" 1614100 NIL IR (NIL T) -8 NIL NIL) (-585 1609007 1609502 1610068 "IR2" 1610872 NIL IR2 (NIL T T) -7 NIL NIL) (-584 1608079 1608192 1608413 "IR2F" 1608890 NIL IR2F (NIL T T) -7 NIL NIL) (-583 1607870 1607904 1607964 "IPRNTPK" 1608039 T IPRNTPK (NIL) -7 NIL NIL) (-582 1604424 1607759 1607828 "IPF" 1607833 NIL IPF (NIL NIL) -8 NIL NIL) (-581 1602741 1604349 1604406 "IPADIC" 1604411 NIL IPADIC (NIL NIL NIL) -8 NIL NIL) (-580 1602238 1602296 1602486 "INVLAPLA" 1602677 NIL INVLAPLA (NIL T T) -7 NIL NIL) (-579 1591887 1594240 1596626 "INTTR" 1599902 NIL INTTR (NIL T T) -7 NIL NIL) (-578 1588245 1588987 1589844 "INTTOOLS" 1591079 NIL INTTOOLS (NIL T T) -7 NIL NIL) (-577 1587831 1587922 1588039 "INTSLPE" 1588148 T INTSLPE (NIL) -7 NIL NIL) (-576 1585781 1587754 1587813 "INTRVL" 1587818 NIL INTRVL (NIL T) -8 NIL NIL) (-575 1583383 1583895 1584470 "INTRF" 1585266 NIL INTRF (NIL T) -7 NIL NIL) (-574 1582794 1582891 1583033 "INTRET" 1583281 NIL INTRET (NIL T) -7 NIL NIL) (-573 1580791 1581180 1581650 "INTRAT" 1582402 NIL INTRAT (NIL T T) -7 NIL NIL) (-572 1578027 1578610 1579232 "INTPM" 1580280 NIL INTPM (NIL T T) -7 NIL NIL) (-571 1574732 1575331 1576075 "INTPAF" 1577414 NIL INTPAF (NIL T T T) -7 NIL NIL) (-570 1569911 1570873 1571924 "INTPACK" 1573701 T INTPACK (NIL) -7 NIL NIL) (-569 1566765 1569640 1569767 "INT" 1569804 T INT (NIL) -8 NIL NIL) (-568 1566017 1566169 1566377 "INTHERTR" 1566607 NIL INTHERTR (NIL T T) -7 NIL NIL) (-567 1565456 1565536 1565724 "INTHERAL" 1565931 NIL INTHERAL (NIL T T T T) -7 NIL NIL) (-566 1563302 1563745 1564202 "INTHEORY" 1565019 T INTHEORY (NIL) -7 NIL NIL) (-565 1554613 1556233 1558011 "INTG0" 1561655 NIL INTG0 (NIL T T T) -7 NIL NIL) (-564 1535186 1539976 1544786 "INTFTBL" 1549823 T INTFTBL (NIL) -8 NIL NIL) (-563 1533223 1533430 1533831 "INTFRSP" 1534976 NIL INTFRSP (NIL T NIL T T T T T T) -7 NIL NIL) (-562 1532472 1532610 1532783 "INTFACT" 1533082 NIL INTFACT (NIL T) -7 NIL NIL) (-561 1532062 1532104 1532255 "INTERGB" 1532424 NIL INTERGB (NIL T NIL T T T) -7 NIL NIL) (-560 1529447 1529893 1530457 "INTEF" 1531616 NIL INTEF (NIL T T) -7 NIL NIL) (-559 1527904 1528653 1528682 "INTDOM" 1528983 T INTDOM (NIL) -9 NIL 1529190) (-558 1527273 1527447 1527689 "INTDOM-" 1527694 NIL INTDOM- (NIL T) -8 NIL NIL) (-557 1525877 1525982 1526372 "INTDIVP" 1527163 NIL INTDIVP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-556 1522363 1524293 1524348 "INTCAT" 1525147 NIL INTCAT (NIL T) -9 NIL 1525468) (-555 1521836 1521938 1522066 "INTBIT" 1522255 T INTBIT (NIL) -7 NIL NIL) (-554 1520507 1520661 1520975 "INTALG" 1521681 NIL INTALG (NIL T T T T T) -7 NIL NIL) (-553 1519964 1520054 1520224 "INTAF" 1520411 NIL INTAF (NIL T T) -7 NIL NIL) (-552 1513430 1519774 1519914 "INTABL" 1519919 NIL INTABL (NIL T T T) -8 NIL NIL) (-551 1508375 1511101 1511130 "INS" 1512098 T INS (NIL) -9 NIL 1512781) (-550 1505615 1506386 1507360 "INS-" 1507433 NIL INS- (NIL T) -8 NIL NIL) (-549 1504390 1504617 1504915 "INPSIGN" 1505368 NIL INPSIGN (NIL T T) -7 NIL NIL) (-548 1503508 1503625 1503822 "INPRODPF" 1504270 NIL INPRODPF (NIL T T) -7 NIL NIL) (-547 1502402 1502519 1502756 "INPRODFF" 1503388 NIL INPRODFF (NIL T T T T) -7 NIL NIL) (-546 1501402 1501554 1501814 "INNMFACT" 1502238 NIL INNMFACT (NIL T T T T) -7 NIL NIL) (-545 1500599 1500696 1500884 "INMODGCD" 1501301 NIL INMODGCD (NIL T T NIL NIL) -7 NIL NIL) (-544 1499108 1499352 1499676 "INFSP" 1500344 NIL INFSP (NIL T T T) -7 NIL NIL) (-543 1498292 1498409 1498592 "INFPROD0" 1498988 NIL INFPROD0 (NIL T T) -7 NIL NIL) (-542 1495173 1496357 1496872 "INFORM" 1497785 T INFORM (NIL) -8 NIL NIL) (-541 1494783 1494843 1494941 "INFORM1" 1495108 NIL INFORM1 (NIL T) -7 NIL NIL) (-540 1494306 1494395 1494509 "INFINITY" 1494689 T INFINITY (NIL) -7 NIL NIL) (-539 1491989 1492986 1493329 "INFCLSPT" 1494166 NIL INFCLSPT (NIL T NIL T T T T T T T) -8 NIL NIL) (-538 1489866 1491111 1491405 "INFCLSPS" 1491759 NIL INFCLSPS (NIL T NIL T) -8 NIL NIL) (-537 1482416 1483339 1483560 "INFCLCT" 1488991 NIL INFCLCT (NIL T NIL T T T T T T T) -9 NIL 1489802) (-536 1481034 1481282 1481603 "INEP" 1482164 NIL INEP (NIL T T T) -7 NIL NIL) (-535 1480310 1480931 1480996 "INDE" 1481001 NIL INDE (NIL T) -8 NIL NIL) (-534 1479874 1479942 1480059 "INCRMAPS" 1480237 NIL INCRMAPS (NIL T) -7 NIL NIL) (-533 1475185 1476110 1477054 "INBFF" 1478962 NIL INBFF (NIL T) -7 NIL NIL) (-532 1471532 1475029 1475133 "IMATRIX" 1475138 NIL IMATRIX (NIL T NIL NIL) -8 NIL NIL) (-531 1470246 1470369 1470683 "IMATQF" 1471389 NIL IMATQF (NIL T T T T T T T T) -7 NIL NIL) (-530 1468468 1468695 1469031 "IMATLIN" 1470003 NIL IMATLIN (NIL T T T T) -7 NIL NIL) (-529 1463100 1468392 1468450 "ILIST" 1468455 NIL ILIST (NIL T NIL) -8 NIL NIL) (-528 1461059 1462960 1463073 "IIARRAY2" 1463078 NIL IIARRAY2 (NIL T NIL NIL T T) -8 NIL NIL) (-527 1456427 1460970 1461034 "IFF" 1461039 NIL IFF (NIL NIL NIL) -8 NIL NIL) (-526 1451476 1455719 1455907 "IFARRAY" 1456284 NIL IFARRAY (NIL T NIL) -8 NIL NIL) (-525 1450683 1451380 1451453 "IFAMON" 1451458 NIL IFAMON (NIL T T NIL) -8 NIL NIL) (-524 1450266 1450331 1450386 "IEVALAB" 1450593 NIL IEVALAB (NIL T T) -9 NIL NIL) (-523 1449941 1450009 1450169 "IEVALAB-" 1450174 NIL IEVALAB- (NIL T T T) -8 NIL NIL) (-522 1449599 1449855 1449918 "IDPO" 1449923 NIL IDPO (NIL T T) -8 NIL NIL) (-521 1448876 1449488 1449563 "IDPOAMS" 1449568 NIL IDPOAMS (NIL T T) -8 NIL NIL) (-520 1448210 1448765 1448840 "IDPOAM" 1448845 NIL IDPOAM (NIL T T) -8 NIL NIL) (-519 1447294 1447544 1447598 "IDPC" 1448011 NIL IDPC (NIL T T) -9 NIL 1448160) (-518 1446790 1447186 1447259 "IDPAM" 1447264 NIL IDPAM (NIL T T) -8 NIL NIL) (-517 1446193 1446682 1446755 "IDPAG" 1446760 NIL IDPAG (NIL T T) -8 NIL NIL) (-516 1442448 1443296 1444191 "IDECOMP" 1445350 NIL IDECOMP (NIL NIL NIL) -7 NIL NIL) (-515 1435324 1436373 1437419 "IDEAL" 1441485 NIL IDEAL (NIL T T T T) -8 NIL NIL) (-514 1433341 1434488 1434761 "ICP" 1435115 NIL ICP (NIL T NIL T) -8 NIL NIL) (-513 1432505 1432617 1432816 "ICDEN" 1433225 NIL ICDEN (NIL T T T T) -7 NIL NIL) (-512 1431604 1431985 1432132 "ICARD" 1432378 T ICARD (NIL) -8 NIL NIL) (-511 1429664 1429977 1430382 "IBPTOOLS" 1431281 NIL IBPTOOLS (NIL T T T T) -7 NIL NIL) (-510 1425278 1429284 1429397 "IBITS" 1429583 NIL IBITS (NIL NIL) -8 NIL NIL) (-509 1422001 1422577 1423272 "IBATOOL" 1424695 NIL IBATOOL (NIL T T T) -7 NIL NIL) (-508 1419781 1420242 1420775 "IBACHIN" 1421536 NIL IBACHIN (NIL T T T) -7 NIL NIL) (-507 1417664 1419627 1419730 "IARRAY2" 1419735 NIL IARRAY2 (NIL T NIL NIL) -8 NIL NIL) (-506 1413823 1417590 1417647 "IARRAY1" 1417652 NIL IARRAY1 (NIL T NIL) -8 NIL NIL) (-505 1407753 1412235 1412716 "IAN" 1413362 T IAN (NIL) -8 NIL NIL) (-504 1407264 1407321 1407494 "IALGFACT" 1407690 NIL IALGFACT (NIL T T T T) -7 NIL NIL) (-503 1406791 1406904 1406933 "HYPCAT" 1407140 T HYPCAT (NIL) -9 NIL NIL) (-502 1406329 1406446 1406632 "HYPCAT-" 1406637 NIL HYPCAT- (NIL T) -8 NIL NIL) (-501 1405333 1405610 1405800 "HTMLFORM" 1406159 T HTMLFORM (NIL) -8 NIL NIL) (-500 1402122 1403447 1403489 "HOAGG" 1404470 NIL HOAGG (NIL T) -9 NIL 1405079) (-499 1400716 1401115 1401641 "HOAGG-" 1401646 NIL HOAGG- (NIL T T) -8 NIL NIL) (-498 1394534 1400154 1400321 "HEXADEC" 1400569 T HEXADEC (NIL) -8 NIL NIL) (-497 1393282 1393504 1393767 "HEUGCD" 1394311 NIL HEUGCD (NIL T) -7 NIL NIL) (-496 1392385 1393119 1393249 "HELLFDIV" 1393254 NIL HELLFDIV (NIL T T T T) -8 NIL NIL) (-495 1386102 1387645 1388726 "HEAP" 1391336 NIL HEAP (NIL T) -8 NIL NIL) (-494 1379940 1386017 1386079 "HDP" 1386084 NIL HDP (NIL NIL T) -8 NIL NIL) (-493 1373645 1379575 1379727 "HDMP" 1379841 NIL HDMP (NIL NIL T) -8 NIL NIL) (-492 1372970 1373109 1373273 "HB" 1373501 T HB (NIL) -7 NIL NIL) (-491 1366479 1372816 1372920 "HASHTBL" 1372925 NIL HASHTBL (NIL T T NIL) -8 NIL NIL) (-490 1364226 1366101 1366283 "HACKPI" 1366317 T HACKPI (NIL) -8 NIL NIL) (-489 1346374 1350243 1354246 "GUESSUP" 1360256 NIL GUESSUP (NIL NIL) -7 NIL NIL) (-488 1317471 1324512 1331208 "GUESSP" 1339698 T GUESSP (NIL) -7 NIL NIL) (-487 1284286 1289557 1294941 "GUESS" 1312415 NIL GUESS (NIL T T T T NIL NIL) -7 NIL NIL) (-486 1257791 1264188 1270324 "GUESSINT" 1278170 T GUESSINT (NIL) -7 NIL NIL) (-485 1233162 1238612 1244179 "GUESSF" 1252276 NIL GUESSF (NIL T) -7 NIL NIL) (-484 1232884 1232921 1233016 "GUESSF1" 1233119 NIL GUESSF1 (NIL T) -7 NIL NIL) (-483 1209045 1214579 1220194 "GUESSAN" 1227289 T GUESSAN (NIL) -7 NIL NIL) (-482 1204740 1208898 1209011 "GTSET" 1209016 NIL GTSET (NIL T T T T) -8 NIL NIL) (-481 1198278 1204618 1204716 "GSTBL" 1204721 NIL GSTBL (NIL T T T NIL) -8 NIL NIL) (-480 1190508 1197311 1197575 "GSERIES" 1198070 NIL GSERIES (NIL T NIL NIL) -8 NIL NIL) (-479 1189529 1189982 1190011 "GROUP" 1190272 T GROUP (NIL) -9 NIL 1190431) (-478 1188645 1188868 1189212 "GROUP-" 1189217 NIL GROUP- (NIL T) -8 NIL NIL) (-477 1187014 1187333 1187720 "GROEBSOL" 1188322 NIL GROEBSOL (NIL NIL T T) -7 NIL NIL) (-476 1185953 1186215 1186267 "GRMOD" 1186796 NIL GRMOD (NIL T T) -9 NIL 1186964) (-475 1185721 1185757 1185885 "GRMOD-" 1185890 NIL GRMOD- (NIL T T T) -8 NIL NIL) (-474 1181050 1182075 1183075 "GRIMAGE" 1184741 T GRIMAGE (NIL) -8 NIL NIL) (-473 1179517 1179777 1180101 "GRDEF" 1180746 T GRDEF (NIL) -7 NIL NIL) (-472 1178961 1179077 1179218 "GRAY" 1179396 T GRAY (NIL) -7 NIL NIL) (-471 1178191 1178571 1178623 "GRALG" 1178776 NIL GRALG (NIL T T) -9 NIL 1178869) (-470 1177852 1177925 1178088 "GRALG-" 1178093 NIL GRALG- (NIL T T T) -8 NIL NIL) (-469 1174656 1177437 1177615 "GPOLSET" 1177759 NIL GPOLSET (NIL T T T T) -8 NIL NIL) (-468 1156859 1158349 1159938 "GPAFF" 1173347 NIL GPAFF (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-467 1156213 1156270 1156528 "GOSPER" 1156796 NIL GOSPER (NIL T T T T T) -7 NIL NIL) (-466 1152563 1153399 1154126 "GOPT" 1155506 T GOPT (NIL) -8 NIL NIL) (-465 1148042 1149060 1149968 "GOPT0" 1151675 T GOPT0 (NIL) -8 NIL NIL) (-464 1143801 1144480 1145006 "GMODPOL" 1147741 NIL GMODPOL (NIL NIL T T T NIL T) -8 NIL NIL) (-463 1142806 1142990 1143228 "GHENSEL" 1143613 NIL GHENSEL (NIL T T) -7 NIL NIL) (-462 1136857 1137700 1138727 "GENUPS" 1141890 NIL GENUPS (NIL T T) -7 NIL NIL) (-461 1136554 1136605 1136694 "GENUFACT" 1136800 NIL GENUFACT (NIL T) -7 NIL NIL) (-460 1135966 1136043 1136208 "GENPGCD" 1136472 NIL GENPGCD (NIL T T T T) -7 NIL NIL) (-459 1135440 1135475 1135688 "GENMFACT" 1135925 NIL GENMFACT (NIL T T T T T) -7 NIL NIL) (-458 1134008 1134263 1134570 "GENEEZ" 1135183 NIL GENEEZ (NIL T T) -7 NIL NIL) (-457 1132552 1132829 1133153 "GDRAW" 1133704 T GDRAW (NIL) -7 NIL NIL) (-456 1126419 1132163 1132325 "GDMP" 1132475 NIL GDMP (NIL NIL T T) -8 NIL NIL) (-455 1115803 1120192 1121297 "GCNAALG" 1125403 NIL GCNAALG (NIL T NIL NIL NIL) -8 NIL NIL) (-454 1114220 1115092 1115121 "GCDDOM" 1115376 T GCDDOM (NIL) -9 NIL 1115533) (-453 1113690 1113817 1114032 "GCDDOM-" 1114037 NIL GCDDOM- (NIL T) -8 NIL NIL) (-452 1112364 1112549 1112852 "GB" 1113470 NIL GB (NIL T T T T) -7 NIL NIL) (-451 1100984 1103310 1105702 "GBINTERN" 1110055 NIL GBINTERN (NIL T T T T) -7 NIL NIL) (-450 1098821 1099113 1099534 "GBF" 1100659 NIL GBF (NIL T T T T) -7 NIL NIL) (-449 1097602 1097767 1098034 "GBEUCLID" 1098637 NIL GBEUCLID (NIL T T T T) -7 NIL NIL) (-448 1096951 1097076 1097225 "GAUSSFAC" 1097473 T GAUSSFAC (NIL) -7 NIL NIL) (-447 1095320 1095622 1095935 "GALUTIL" 1096671 NIL GALUTIL (NIL T) -7 NIL NIL) (-446 1093628 1093902 1094226 "GALPOLYU" 1095047 NIL GALPOLYU (NIL T T) -7 NIL NIL) (-445 1090993 1091283 1091690 "GALFACTU" 1093325 NIL GALFACTU (NIL T T T) -7 NIL NIL) (-444 1082799 1084298 1085906 "GALFACT" 1089425 NIL GALFACT (NIL T) -7 NIL NIL) (-443 1080187 1080844 1080873 "FVFUN" 1082029 T FVFUN (NIL) -9 NIL 1082749) (-442 1079453 1079634 1079663 "FVC" 1079954 T FVC (NIL) -9 NIL 1080137) (-441 1079095 1079250 1079331 "FUNCTION" 1079405 NIL FUNCTION (NIL NIL) -8 NIL NIL) (-440 1076765 1077316 1077805 "FT" 1078626 T FT (NIL) -8 NIL NIL) (-439 1075557 1076066 1076269 "FTEM" 1076582 T FTEM (NIL) -8 NIL NIL) (-438 1073815 1074104 1074507 "FSUPFACT" 1075249 NIL FSUPFACT (NIL T T T) -7 NIL NIL) (-437 1072212 1072501 1072833 "FST" 1073503 T FST (NIL) -8 NIL NIL) (-436 1071383 1071489 1071684 "FSRED" 1072094 NIL FSRED (NIL T T) -7 NIL NIL) (-435 1070064 1070319 1070672 "FSPRMELT" 1071099 NIL FSPRMELT (NIL T T) -7 NIL NIL) (-434 1065430 1066135 1066892 "FSPECF" 1069369 NIL FSPECF (NIL T T) -7 NIL NIL) (-433 1047688 1056277 1056318 "FS" 1060166 NIL FS (NIL T) -9 NIL 1062444) (-432 1036338 1039328 1043384 "FS-" 1043681 NIL FS- (NIL T T) -8 NIL NIL) (-431 1035852 1035906 1036083 "FSINT" 1036279 NIL FSINT (NIL T T) -7 NIL NIL) (-430 1034137 1034849 1035150 "FSERIES" 1035633 NIL FSERIES (NIL T T) -8 NIL NIL) (-429 1033151 1033267 1033498 "FSCINT" 1034017 NIL FSCINT (NIL T T) -7 NIL NIL) (-428 1029386 1032096 1032138 "FSAGG" 1032508 NIL FSAGG (NIL T) -9 NIL 1032765) (-427 1027148 1027749 1028545 "FSAGG-" 1028640 NIL FSAGG- (NIL T T) -8 NIL NIL) (-426 1026190 1026333 1026560 "FSAGG2" 1027001 NIL FSAGG2 (NIL T T T T) -7 NIL NIL) (-425 1023845 1024124 1024678 "FS2UPS" 1025908 NIL FS2UPS (NIL T T T T T NIL) -7 NIL NIL) (-424 1023427 1023470 1023625 "FS2" 1023796 NIL FS2 (NIL T T T T) -7 NIL NIL) (-423 1022284 1022455 1022764 "FS2EXPXP" 1023252 NIL FS2EXPXP (NIL T T NIL NIL) -7 NIL NIL) (-422 1021710 1021825 1021977 "FRUTIL" 1022164 NIL FRUTIL (NIL T) -7 NIL NIL) (-421 1013136 1017221 1018571 "FR" 1020392 NIL FR (NIL T) -8 NIL NIL) (-420 1008216 1010854 1010895 "FRNAALG" 1012291 NIL FRNAALG (NIL T) -9 NIL 1012897) (-419 1003895 1004965 1006240 "FRNAALG-" 1006990 NIL FRNAALG- (NIL T T) -8 NIL NIL) (-418 1003533 1003576 1003703 "FRNAAF2" 1003846 NIL FRNAAF2 (NIL T T T T) -7 NIL NIL) (-417 1001896 1002389 1002683 "FRMOD" 1003346 NIL FRMOD (NIL T T T T NIL) -8 NIL NIL) (-416 999611 1000279 1000596 "FRIDEAL" 1001687 NIL FRIDEAL (NIL T T T T) -8 NIL NIL) (-415 998806 998893 999182 "FRIDEAL2" 999518 NIL FRIDEAL2 (NIL T T T T T T T T) -7 NIL NIL) (-414 998049 998463 998505 "FRETRCT" 998510 NIL FRETRCT (NIL T) -9 NIL 998684) (-413 997161 997392 997743 "FRETRCT-" 997748 NIL FRETRCT- (NIL T T) -8 NIL NIL) (-412 994366 995586 995646 "FRAMALG" 996528 NIL FRAMALG (NIL T T) -9 NIL 996820) (-411 992499 992955 993585 "FRAMALG-" 993808 NIL FRAMALG- (NIL T T T) -8 NIL NIL) (-410 986402 991984 992255 "FRAC" 992260 NIL FRAC (NIL T) -8 NIL NIL) (-409 986038 986095 986202 "FRAC2" 986339 NIL FRAC2 (NIL T T) -7 NIL NIL) (-408 985674 985731 985838 "FR2" 985975 NIL FR2 (NIL T T) -7 NIL NIL) (-407 980296 983205 983234 "FPS" 984353 T FPS (NIL) -9 NIL 984907) (-406 979745 979854 980018 "FPS-" 980164 NIL FPS- (NIL T) -8 NIL NIL) (-405 977141 978838 978867 "FPC" 979092 T FPC (NIL) -9 NIL 979234) (-404 976934 976974 977071 "FPC-" 977076 NIL FPC- (NIL T) -8 NIL NIL) (-403 975813 976423 976465 "FPATMAB" 976470 NIL FPATMAB (NIL T) -9 NIL 976620) (-402 973513 973989 974415 "FPARFRAC" 975450 NIL FPARFRAC (NIL T T) -8 NIL NIL) (-401 968908 969405 970087 "FORTRAN" 972945 NIL FORTRAN (NIL NIL NIL NIL NIL) -8 NIL NIL) (-400 966624 967124 967663 "FORT" 968389 T FORT (NIL) -7 NIL NIL) (-399 964300 964861 964890 "FORTFN" 965950 T FORTFN (NIL) -9 NIL 966574) (-398 964063 964113 964142 "FORTCAT" 964201 T FORTCAT (NIL) -9 NIL 964263) (-397 962123 962606 963005 "FORMULA" 963684 T FORMULA (NIL) -8 NIL NIL) (-396 961911 961941 962010 "FORMULA1" 962087 NIL FORMULA1 (NIL T) -7 NIL NIL) (-395 961434 961486 961659 "FORDER" 961853 NIL FORDER (NIL T T T T) -7 NIL NIL) (-394 960530 960694 960887 "FOP" 961261 T FOP (NIL) -7 NIL NIL) (-393 959138 959810 959984 "FNLA" 960412 NIL FNLA (NIL NIL NIL T) -8 NIL NIL) (-392 957805 958194 958223 "FNCAT" 958795 T FNCAT (NIL) -9 NIL 959088) (-391 957371 957764 957792 "FNAME" 957797 T FNAME (NIL) -8 NIL NIL) (-390 956024 956997 957026 "FMTC" 957031 T FMTC (NIL) -9 NIL 957067) (-389 952342 953549 954177 "FMONOID" 955429 NIL FMONOID (NIL T) -8 NIL NIL) (-388 951563 952086 952234 "FM" 952239 NIL FM (NIL T T) -8 NIL NIL) (-387 948987 949632 949661 "FMFUN" 950805 T FMFUN (NIL) -9 NIL 951513) (-386 948256 948436 948465 "FMC" 948755 T FMC (NIL) -9 NIL 948937) (-385 945468 946302 946357 "FMCAT" 947552 NIL FMCAT (NIL T T) -9 NIL 948046) (-384 944361 945234 945334 "FM1" 945413 NIL FM1 (NIL T T) -8 NIL NIL) (-383 942135 942551 943045 "FLOATRP" 943912 NIL FLOATRP (NIL T) -7 NIL NIL) (-382 935622 939791 940421 "FLOAT" 941525 T FLOAT (NIL) -8 NIL NIL) (-381 933060 933560 934138 "FLOATCP" 935089 NIL FLOATCP (NIL T) -7 NIL NIL) (-380 931845 932693 932735 "FLINEXP" 932740 NIL FLINEXP (NIL T) -9 NIL 932832) (-379 930999 931234 931562 "FLINEXP-" 931567 NIL FLINEXP- (NIL T T) -8 NIL NIL) (-378 930075 930219 930443 "FLASORT" 930851 NIL FLASORT (NIL T T) -7 NIL NIL) (-377 927291 928133 928186 "FLALG" 929413 NIL FLALG (NIL T T) -9 NIL 929880) (-376 921110 924804 924846 "FLAGG" 926108 NIL FLAGG (NIL T) -9 NIL 926756) (-375 919836 920175 920665 "FLAGG-" 920670 NIL FLAGG- (NIL T T) -8 NIL NIL) (-374 918878 919021 919248 "FLAGG2" 919689 NIL FLAGG2 (NIL T T T T) -7 NIL NIL) (-373 915849 916867 916927 "FINRALG" 918055 NIL FINRALG (NIL T T) -9 NIL 918560) (-372 915009 915238 915577 "FINRALG-" 915582 NIL FINRALG- (NIL T T T) -8 NIL NIL) (-371 914414 914627 914656 "FINITE" 914852 T FINITE (NIL) -9 NIL 914959) (-370 906872 909033 909074 "FINAALG" 912741 NIL FINAALG (NIL T) -9 NIL 914193) (-369 902212 903254 904398 "FINAALG-" 905777 NIL FINAALG- (NIL T T) -8 NIL NIL) (-368 901582 901967 902070 "FILE" 902142 NIL FILE (NIL T) -8 NIL NIL) (-367 900122 900459 900514 "FILECAT" 901292 NIL FILECAT (NIL T T) -9 NIL 901532) (-366 897932 899488 899517 "FIELD" 899557 T FIELD (NIL) -9 NIL 899637) (-365 896552 896937 897448 "FIELD-" 897453 NIL FIELD- (NIL T) -8 NIL NIL) (-364 894365 895187 895534 "FGROUP" 896238 NIL FGROUP (NIL T) -8 NIL NIL) (-363 893455 893619 893839 "FGLMICPK" 894197 NIL FGLMICPK (NIL T NIL) -7 NIL NIL) (-362 889257 893380 893437 "FFX" 893442 NIL FFX (NIL T NIL) -8 NIL NIL) (-361 888797 888864 888986 "FFSQFR" 889185 NIL FFSQFR (NIL T T) -7 NIL NIL) (-360 888398 888459 888594 "FFSLPE" 888730 NIL FFSLPE (NIL T T T) -7 NIL NIL) (-359 884394 885170 885966 "FFPOLY" 887634 NIL FFPOLY (NIL T) -7 NIL NIL) (-358 883898 883934 884143 "FFPOLY2" 884352 NIL FFPOLY2 (NIL T T) -7 NIL NIL) (-357 879720 883817 883880 "FFP" 883885 NIL FFP (NIL T NIL) -8 NIL NIL) (-356 875088 879631 879695 "FF" 879700 NIL FF (NIL NIL NIL) -8 NIL NIL) (-355 870184 874431 874621 "FFNBX" 874942 NIL FFNBX (NIL T NIL) -8 NIL NIL) (-354 865094 869319 869577 "FFNBP" 870038 NIL FFNBP (NIL T NIL) -8 NIL NIL) (-353 859697 864378 864589 "FFNB" 864927 NIL FFNB (NIL NIL NIL) -8 NIL NIL) (-352 858529 858727 859042 "FFINTBAS" 859494 NIL FFINTBAS (NIL T T T) -7 NIL NIL) (-351 854705 856940 856969 "FFIELDC" 857589 T FFIELDC (NIL) -9 NIL 857965) (-350 853368 853738 854235 "FFIELDC-" 854240 NIL FFIELDC- (NIL T) -8 NIL NIL) (-349 852938 852983 853107 "FFHOM" 853310 NIL FFHOM (NIL T T T) -7 NIL NIL) (-348 850636 851120 851637 "FFF" 852453 NIL FFF (NIL T) -7 NIL NIL) (-347 846332 847097 847941 "FFFG" 849860 NIL FFFG (NIL T T) -7 NIL NIL) (-346 845058 845267 845589 "FFFGF" 846110 NIL FFFGF (NIL T T T) -7 NIL NIL) (-345 843809 844006 844254 "FFFACTSE" 844860 NIL FFFACTSE (NIL T T) -7 NIL NIL) (-344 839397 843551 843652 "FFCGX" 843752 NIL FFCGX (NIL T NIL) -8 NIL NIL) (-343 834999 839129 839236 "FFCGP" 839340 NIL FFCGP (NIL T NIL) -8 NIL NIL) (-342 830152 834726 834834 "FFCG" 834935 NIL FFCG (NIL NIL NIL) -8 NIL NIL) (-341 811941 821063 821150 "FFCAT" 826315 NIL FFCAT (NIL T T T) -9 NIL 827800) (-340 807139 808186 809500 "FFCAT-" 810730 NIL FFCAT- (NIL T T T T) -8 NIL NIL) (-339 806550 806593 806828 "FFCAT2" 807090 NIL FFCAT2 (NIL T T T T T T T T) -7 NIL NIL) (-338 795720 799526 800744 "FEXPR" 805404 NIL FEXPR (NIL NIL NIL T) -8 NIL NIL) (-337 794722 795157 795199 "FEVALAB" 795283 NIL FEVALAB (NIL T) -9 NIL 795541) (-336 793881 794091 794429 "FEVALAB-" 794434 NIL FEVALAB- (NIL T T) -8 NIL NIL) (-335 792474 793264 793467 "FDIV" 793780 NIL FDIV (NIL T T T T) -8 NIL NIL) (-334 789539 790254 790370 "FDIVCAT" 791938 NIL FDIVCAT (NIL T T T T) -9 NIL 792375) (-333 789301 789328 789498 "FDIVCAT-" 789503 NIL FDIVCAT- (NIL T T T T T) -8 NIL NIL) (-332 788521 788608 788885 "FDIV2" 789208 NIL FDIV2 (NIL T T T T T T T T) -7 NIL NIL) (-331 787207 787466 787755 "FCPAK1" 788252 T FCPAK1 (NIL) -7 NIL NIL) (-330 786335 786707 786848 "FCOMP" 787098 NIL FCOMP (NIL T) -8 NIL NIL) (-329 769963 773378 776941 "FC" 782792 T FC (NIL) -8 NIL NIL) (-328 762507 766550 766591 "FAXF" 768393 NIL FAXF (NIL T) -9 NIL 769084) (-327 759787 760441 761266 "FAXF-" 761731 NIL FAXF- (NIL T T) -8 NIL NIL) (-326 754893 759163 759339 "FARRAY" 759644 NIL FARRAY (NIL T) -8 NIL NIL) (-325 750211 752287 752341 "FAMR" 753364 NIL FAMR (NIL T T) -9 NIL 753821) (-324 749101 749403 749838 "FAMR-" 749843 NIL FAMR- (NIL T T T) -8 NIL NIL) (-323 748689 748732 748883 "FAMR2" 749052 NIL FAMR2 (NIL T T T T T) -7 NIL NIL) (-322 747885 748611 748664 "FAMONOID" 748669 NIL FAMONOID (NIL T) -8 NIL NIL) (-321 745715 746399 746453 "FAMONC" 747394 NIL FAMONC (NIL T T) -9 NIL 747779) (-320 744409 745471 745607 "FAGROUP" 745612 NIL FAGROUP (NIL T) -8 NIL NIL) (-319 742204 742523 742926 "FACUTIL" 744090 NIL FACUTIL (NIL T T T T) -7 NIL NIL) (-318 741620 741729 741875 "FACTRN" 742090 NIL FACTRN (NIL T) -7 NIL NIL) (-317 740719 740904 741126 "FACTFUNC" 741430 NIL FACTFUNC (NIL T) -7 NIL NIL) (-316 740135 740244 740390 "FACTEXT" 740605 NIL FACTEXT (NIL T) -7 NIL NIL) (-315 732455 739386 739598 "EXPUPXS" 739991 NIL EXPUPXS (NIL T NIL NIL) -8 NIL NIL) (-314 729938 730478 731064 "EXPRTUBE" 731889 T EXPRTUBE (NIL) -7 NIL NIL) (-313 729109 729204 729424 "EXPRSOL" 729838 NIL EXPRSOL (NIL T T T T) -7 NIL NIL) (-312 725303 725895 726632 "EXPRODE" 728448 NIL EXPRODE (NIL T T) -7 NIL NIL) (-311 710324 723964 724389 "EXPR" 724910 NIL EXPR (NIL T) -8 NIL NIL) (-310 704731 705318 706131 "EXPR2UPS" 709622 NIL EXPR2UPS (NIL T T) -7 NIL NIL) (-309 704367 704424 704531 "EXPR2" 704668 NIL EXPR2 (NIL T T) -7 NIL NIL) (-308 695707 703499 703796 "EXPEXPAN" 704204 NIL EXPEXPAN (NIL T T NIL NIL) -8 NIL NIL) (-307 695419 695470 695547 "EXP3D" 695650 T EXP3D (NIL) -7 NIL NIL) (-306 695246 695376 695405 "EXIT" 695410 T EXIT (NIL) -8 NIL NIL) (-305 694873 694935 695048 "EVALCYC" 695178 NIL EVALCYC (NIL T) -7 NIL NIL) (-304 694415 694531 694573 "EVALAB" 694743 NIL EVALAB (NIL T) -9 NIL 694847) (-303 693896 694018 694239 "EVALAB-" 694244 NIL EVALAB- (NIL T T) -8 NIL NIL) (-302 691354 692666 692695 "EUCDOM" 693250 T EUCDOM (NIL) -9 NIL 693600) (-301 689759 690201 690791 "EUCDOM-" 690796 NIL EUCDOM- (NIL T) -8 NIL NIL) (-300 677299 680057 682807 "ESTOOLS" 687029 T ESTOOLS (NIL) -7 NIL NIL) (-299 676931 676988 677097 "ESTOOLS2" 677236 NIL ESTOOLS2 (NIL T T) -7 NIL NIL) (-298 676682 676724 676804 "ESTOOLS1" 676883 NIL ESTOOLS1 (NIL T) -7 NIL NIL) (-297 670608 672336 672365 "ES" 675133 T ES (NIL) -9 NIL 676540) (-296 665556 666842 668659 "ES-" 668823 NIL ES- (NIL T) -8 NIL NIL) (-295 661931 662691 663471 "ESCONT" 664796 T ESCONT (NIL) -7 NIL NIL) (-294 661676 661708 661790 "ESCONT1" 661893 NIL ESCONT1 (NIL NIL NIL) -7 NIL NIL) (-293 661351 661401 661501 "ES2" 661620 NIL ES2 (NIL T T) -7 NIL NIL) (-292 660981 661039 661148 "ES1" 661287 NIL ES1 (NIL T T) -7 NIL NIL) (-291 660197 660326 660502 "ERROR" 660825 T ERROR (NIL) -7 NIL NIL) (-290 653712 660056 660147 "EQTBL" 660152 NIL EQTBL (NIL T T) -8 NIL NIL) (-289 646171 649054 650489 "EQ" 652310 NIL -2940 (NIL T) -8 NIL NIL) (-288 645803 645860 645969 "EQ2" 646108 NIL EQ2 (NIL T T) -7 NIL NIL) (-287 641095 642141 643234 "EP" 644742 NIL EP (NIL T) -7 NIL NIL) (-286 640249 640813 640842 "ENTIRER" 640847 T ENTIRER (NIL) -9 NIL 640893) (-285 636705 638204 638574 "EMR" 640048 NIL EMR (NIL T T T NIL NIL NIL) -8 NIL NIL) (-284 635851 636034 636089 "ELTAGG" 636469 NIL ELTAGG (NIL T T) -9 NIL 636679) (-283 635570 635632 635773 "ELTAGG-" 635778 NIL ELTAGG- (NIL T T T) -8 NIL NIL) (-282 635358 635387 635442 "ELTAB" 635526 NIL ELTAB (NIL T T) -9 NIL NIL) (-281 634484 634630 634829 "ELFUTS" 635209 NIL ELFUTS (NIL T T) -7 NIL NIL) (-280 634225 634281 634310 "ELEMFUN" 634415 T ELEMFUN (NIL) -9 NIL NIL) (-279 634095 634116 634184 "ELEMFUN-" 634189 NIL ELEMFUN- (NIL T) -8 NIL NIL) (-278 629025 632228 632270 "ELAGG" 633210 NIL ELAGG (NIL T) -9 NIL 633671) (-277 627310 627744 628407 "ELAGG-" 628412 NIL ELAGG- (NIL T T) -8 NIL NIL) (-276 620180 621979 622805 "EFUPXS" 626587 NIL EFUPXS (NIL T T T T) -8 NIL NIL) (-275 613632 615433 616242 "EFULS" 619457 NIL EFULS (NIL T T T) -8 NIL NIL) (-274 611054 611412 611891 "EFSTRUC" 613264 NIL EFSTRUC (NIL T T) -7 NIL NIL) (-273 600066 601631 603192 "EF" 609569 NIL EF (NIL T T) -7 NIL NIL) (-272 599167 599551 599700 "EAB" 599937 T EAB (NIL) -8 NIL NIL) (-271 598376 599126 599154 "E04UCFA" 599159 T E04UCFA (NIL) -8 NIL NIL) (-270 597585 598335 598363 "E04NAFA" 598368 T E04NAFA (NIL) -8 NIL NIL) (-269 596794 597544 597572 "E04MBFA" 597577 T E04MBFA (NIL) -8 NIL NIL) (-268 596003 596753 596781 "E04JAFA" 596786 T E04JAFA (NIL) -8 NIL NIL) (-267 595214 595962 595990 "E04GCFA" 595995 T E04GCFA (NIL) -8 NIL NIL) (-266 594425 595173 595201 "E04FDFA" 595206 T E04FDFA (NIL) -8 NIL NIL) (-265 593634 594384 594412 "E04DGFA" 594417 T E04DGFA (NIL) -8 NIL NIL) (-264 587813 589159 590523 "E04AGNT" 592290 T E04AGNT (NIL) -7 NIL NIL) (-263 586536 587016 587057 "DVARCAT" 587532 NIL DVARCAT (NIL T) -9 NIL 587731) (-262 585740 585952 586266 "DVARCAT-" 586271 NIL DVARCAT- (NIL T T) -8 NIL NIL) (-261 578709 579191 579940 "DTP" 585271 NIL DTP (NIL T NIL T T T T T T T T T) -7 NIL NIL) (-260 576158 578131 578288 "DSTREE" 578585 NIL DSTREE (NIL T) -8 NIL NIL) (-259 573627 575472 575514 "DSTRCAT" 575733 NIL DSTRCAT (NIL T) -9 NIL 575867) (-258 566481 573426 573555 "DSMP" 573560 NIL DSMP (NIL T T T) -8 NIL NIL) (-257 561291 562426 563494 "DROPT" 565433 T DROPT (NIL) -8 NIL NIL) (-256 560956 561015 561113 "DROPT1" 561226 NIL DROPT1 (NIL T) -7 NIL NIL) (-255 556071 557197 558334 "DROPT0" 559839 T DROPT0 (NIL) -7 NIL NIL) (-254 554416 554741 555127 "DRAWPT" 555705 T DRAWPT (NIL) -7 NIL NIL) (-253 549003 549926 551005 "DRAW" 553390 NIL DRAW (NIL T) -7 NIL NIL) (-252 548636 548689 548807 "DRAWHACK" 548944 NIL DRAWHACK (NIL T) -7 NIL NIL) (-251 547367 547636 547927 "DRAWCX" 548365 T DRAWCX (NIL) -7 NIL NIL) (-250 546883 546951 547102 "DRAWCURV" 547293 NIL DRAWCURV (NIL T T) -7 NIL NIL) (-249 537355 539313 541428 "DRAWCFUN" 544788 T DRAWCFUN (NIL) -7 NIL NIL) (-248 534208 536084 536126 "DQAGG" 536755 NIL DQAGG (NIL T) -9 NIL 537028) (-247 522636 529377 529461 "DPOLCAT" 531313 NIL DPOLCAT (NIL T T T T) -9 NIL 531857) (-246 517475 518821 520779 "DPOLCAT-" 520784 NIL DPOLCAT- (NIL T T T T T) -8 NIL NIL) (-245 510214 517336 517434 "DPMO" 517439 NIL DPMO (NIL NIL T T) -8 NIL NIL) (-244 502856 509994 510161 "DPMM" 510166 NIL DPMM (NIL NIL T T T) -8 NIL NIL) (-243 496561 502491 502643 "DMP" 502757 NIL DMP (NIL NIL T) -8 NIL NIL) (-242 496161 496217 496361 "DLP" 496499 NIL DLP (NIL T) -7 NIL NIL) (-241 489811 495262 495489 "DLIST" 495966 NIL DLIST (NIL T) -8 NIL NIL) (-240 486696 488699 488741 "DLAGG" 489291 NIL DLAGG (NIL T) -9 NIL 489520) (-239 485353 486045 486074 "DIVRING" 486224 T DIVRING (NIL) -9 NIL 486332) (-238 484341 484594 484987 "DIVRING-" 484992 NIL DIVRING- (NIL T) -8 NIL NIL) (-237 482769 483934 484070 "DIV" 484238 NIL DIV (NIL T) -8 NIL NIL) (-236 480263 481331 481373 "DIVCAT" 482207 NIL DIVCAT (NIL T) -9 NIL 482538) (-235 478365 478722 479128 "DISPLAY" 479877 T DISPLAY (NIL) -7 NIL NIL) (-234 475858 477071 477453 "DIRRING" 478016 NIL DIRRING (NIL T) -8 NIL NIL) (-233 469718 475772 475835 "DIRPROD" 475840 NIL DIRPROD (NIL NIL T) -8 NIL NIL) (-232 468566 468769 469034 "DIRPROD2" 469511 NIL DIRPROD2 (NIL NIL T T) -7 NIL NIL) (-231 458130 464159 464213 "DIRPCAT" 464471 NIL DIRPCAT (NIL NIL T) -9 NIL 465315) (-230 455456 456098 456979 "DIRPCAT-" 457316 NIL DIRPCAT- (NIL T NIL T) -8 NIL NIL) (-229 454743 454903 455089 "DIOSP" 455290 T DIOSP (NIL) -7 NIL NIL) (-228 451486 453690 453732 "DIOPS" 454166 NIL DIOPS (NIL T) -9 NIL 454394) (-227 451035 451149 451340 "DIOPS-" 451345 NIL DIOPS- (NIL T T) -8 NIL NIL) (-226 449902 450540 450569 "DIFRING" 450756 T DIFRING (NIL) -9 NIL 450866) (-225 449548 449625 449777 "DIFRING-" 449782 NIL DIFRING- (NIL T) -8 NIL NIL) (-224 447330 448612 448654 "DIFEXT" 449017 NIL DIFEXT (NIL T) -9 NIL 449309) (-223 445615 446043 446709 "DIFEXT-" 446714 NIL DIFEXT- (NIL T T) -8 NIL NIL) (-222 442977 445181 445223 "DIAGG" 445228 NIL DIAGG (NIL T) -9 NIL 445248) (-221 442361 442518 442770 "DIAGG-" 442775 NIL DIAGG- (NIL T T) -8 NIL NIL) (-220 437683 441320 441597 "DHMATRIX" 442130 NIL DHMATRIX (NIL T) -8 NIL NIL) (-219 432894 437497 437571 "DFVEC" 437629 T DFVEC (NIL) -8 NIL NIL) (-218 426495 427845 429282 "DFSFUN" 431477 T DFSFUN (NIL) -7 NIL NIL) (-217 422706 426266 426360 "DFMAT" 426421 T DFMAT (NIL) -8 NIL NIL) (-216 416983 421160 421593 "DFLOAT" 422293 T DFLOAT (NIL) -8 NIL NIL) (-215 415211 415492 415888 "DFINTTLS" 416691 NIL DFINTTLS (NIL T T) -7 NIL NIL) (-214 412230 413232 413632 "DERHAM" 414877 NIL DERHAM (NIL T NIL) -8 NIL NIL) (-213 403843 405760 407195 "DEQUEUE" 410828 NIL DEQUEUE (NIL T) -8 NIL NIL) (-212 403058 403191 403387 "DEGRED" 403705 NIL DEGRED (NIL T T) -7 NIL NIL) (-211 399453 400198 401051 "DEFINTRF" 402286 NIL DEFINTRF (NIL T) -7 NIL NIL) (-210 396980 397449 398048 "DEFINTEF" 398972 NIL DEFINTEF (NIL T T) -7 NIL NIL) (-209 390798 396418 396585 "DECIMAL" 396833 T DECIMAL (NIL) -8 NIL NIL) (-208 388310 388768 389274 "DDFACT" 390342 NIL DDFACT (NIL T T) -7 NIL NIL) (-207 387906 387949 388100 "DBLRESP" 388261 NIL DBLRESP (NIL T T T T) -7 NIL NIL) (-206 385616 385950 386319 "DBASE" 387664 NIL DBASE (NIL T) -8 NIL NIL) (-205 384749 385575 385603 "D03FAFA" 385608 T D03FAFA (NIL) -8 NIL NIL) (-204 383883 384708 384736 "D03EEFA" 384741 T D03EEFA (NIL) -8 NIL NIL) (-203 381833 382299 382788 "D03AGNT" 383414 T D03AGNT (NIL) -7 NIL NIL) (-202 381149 381792 381820 "D02EJFA" 381825 T D02EJFA (NIL) -8 NIL NIL) (-201 380465 381108 381136 "D02CJFA" 381141 T D02CJFA (NIL) -8 NIL NIL) (-200 379781 380424 380452 "D02BHFA" 380457 T D02BHFA (NIL) -8 NIL NIL) (-199 379097 379740 379768 "D02BBFA" 379773 T D02BBFA (NIL) -8 NIL NIL) (-198 372296 373883 375489 "D02AGNT" 377511 T D02AGNT (NIL) -7 NIL NIL) (-197 370065 370587 371133 "D01WGTS" 371770 T D01WGTS (NIL) -7 NIL NIL) (-196 369160 370024 370052 "D01TRNS" 370057 T D01TRNS (NIL) -8 NIL NIL) (-195 368255 369119 369147 "D01GBFA" 369152 T D01GBFA (NIL) -8 NIL NIL) (-194 367350 368214 368242 "D01FCFA" 368247 T D01FCFA (NIL) -8 NIL NIL) (-193 366445 367309 367337 "D01ASFA" 367342 T D01ASFA (NIL) -8 NIL NIL) (-192 365540 366404 366432 "D01AQFA" 366437 T D01AQFA (NIL) -8 NIL NIL) (-191 364635 365499 365527 "D01APFA" 365532 T D01APFA (NIL) -8 NIL NIL) (-190 363730 364594 364622 "D01ANFA" 364627 T D01ANFA (NIL) -8 NIL NIL) (-189 362825 363689 363717 "D01AMFA" 363722 T D01AMFA (NIL) -8 NIL NIL) (-188 361920 362784 362812 "D01ALFA" 362817 T D01ALFA (NIL) -8 NIL NIL) (-187 361015 361879 361907 "D01AKFA" 361912 T D01AKFA (NIL) -8 NIL NIL) (-186 360110 360974 361002 "D01AJFA" 361007 T D01AJFA (NIL) -8 NIL NIL) (-185 353407 354958 356519 "D01AGNT" 358569 T D01AGNT (NIL) -7 NIL NIL) (-184 352744 352872 353024 "CYCLOTOM" 353275 T CYCLOTOM (NIL) -7 NIL NIL) (-183 349479 350192 350919 "CYCLES" 352037 T CYCLES (NIL) -7 NIL NIL) (-182 348791 348925 349096 "CVMP" 349340 NIL CVMP (NIL T) -7 NIL NIL) (-181 346563 346820 347196 "CTRIGMNP" 348519 NIL CTRIGMNP (NIL T T) -7 NIL NIL) (-180 345937 346036 346189 "CSTTOOLS" 346460 NIL CSTTOOLS (NIL T T) -7 NIL NIL) (-179 341736 342393 343151 "CRFP" 345249 NIL CRFP (NIL T T) -7 NIL NIL) (-178 340783 340968 341196 "CRAPACK" 341540 NIL CRAPACK (NIL T) -7 NIL NIL) (-177 340169 340270 340473 "CPMATCH" 340660 NIL CPMATCH (NIL T T T) -7 NIL NIL) (-176 339894 339922 340028 "CPIMA" 340135 NIL CPIMA (NIL T T T) -7 NIL NIL) (-175 336242 336914 337633 "COORDSYS" 339229 NIL COORDSYS (NIL T) -7 NIL NIL) (-174 332103 334245 334737 "CONTFRAC" 335782 NIL CONTFRAC (NIL T) -8 NIL NIL) (-173 331251 331815 331844 "COMRING" 331849 T COMRING (NIL) -9 NIL 331901) (-172 330332 330609 330793 "COMPPROP" 331087 T COMPPROP (NIL) -8 NIL NIL) (-171 329993 330028 330156 "COMPLPAT" 330291 NIL COMPLPAT (NIL T T T) -7 NIL NIL) (-170 319964 329804 329912 "COMPLEX" 329917 NIL COMPLEX (NIL T) -8 NIL NIL) (-169 319600 319657 319764 "COMPLEX2" 319901 NIL COMPLEX2 (NIL T T) -7 NIL NIL) (-168 319318 319353 319451 "COMPFACT" 319559 NIL COMPFACT (NIL T T) -7 NIL NIL) (-167 303570 313870 313911 "COMPCAT" 314915 NIL COMPCAT (NIL T) -9 NIL 316296) (-166 293086 296009 299636 "COMPCAT-" 299992 NIL COMPCAT- (NIL T T) -8 NIL NIL) (-165 292815 292843 292946 "COMMUPC" 293052 NIL COMMUPC (NIL T T T) -7 NIL NIL) (-164 292610 292643 292702 "COMMONOP" 292776 T COMMONOP (NIL) -7 NIL NIL) (-163 292193 292361 292448 "COMM" 292543 T COMM (NIL) -8 NIL NIL) (-162 291441 291635 291664 "COMBOPC" 292002 T COMBOPC (NIL) -9 NIL 292177) (-161 290337 290547 290789 "COMBINAT" 291231 NIL COMBINAT (NIL T) -7 NIL NIL) (-160 286535 287108 287748 "COMBF" 289759 NIL COMBF (NIL T T) -7 NIL NIL) (-159 285321 285651 285886 "COLOR" 286320 T COLOR (NIL) -8 NIL NIL) (-158 284961 285008 285133 "CMPLXRT" 285268 NIL CMPLXRT (NIL T T) -7 NIL NIL) (-157 280463 281491 282571 "CLIP" 283901 T CLIP (NIL) -7 NIL NIL) (-156 278799 279569 279808 "CLIF" 280290 NIL CLIF (NIL NIL T NIL) -8 NIL NIL) (-155 275064 276982 277024 "CLAGG" 277953 NIL CLAGG (NIL T) -9 NIL 278486) (-154 273486 273943 274526 "CLAGG-" 274531 NIL CLAGG- (NIL T T) -8 NIL NIL) (-153 273030 273115 273255 "CINTSLPE" 273395 NIL CINTSLPE (NIL T T) -7 NIL NIL) (-152 270531 271002 271550 "CHVAR" 272558 NIL CHVAR (NIL T T T) -7 NIL NIL) (-151 269749 270313 270342 "CHARZ" 270347 T CHARZ (NIL) -9 NIL 270362) (-150 269503 269543 269621 "CHARPOL" 269703 NIL CHARPOL (NIL T) -7 NIL NIL) (-149 268605 269202 269231 "CHARNZ" 269278 T CHARNZ (NIL) -9 NIL 269334) (-148 266628 267295 267630 "CHAR" 268290 T CHAR (NIL) -8 NIL NIL) (-147 266353 266414 266443 "CFCAT" 266554 T CFCAT (NIL) -9 NIL NIL) (-146 260486 266010 266128 "CDFVEC" 266255 T CDFVEC (NIL) -8 NIL NIL) (-145 256144 260243 260344 "CDFMAT" 260405 T CDFMAT (NIL) -8 NIL NIL) (-144 255389 255500 255682 "CDEN" 256028 NIL CDEN (NIL T T T) -7 NIL NIL) (-143 251381 254542 254822 "CCLASS" 255129 T CCLASS (NIL) -8 NIL NIL) (-142 246434 247410 248163 "CARTEN" 250684 NIL CARTEN (NIL NIL NIL T) -8 NIL NIL) (-141 245542 245690 245911 "CARTEN2" 246281 NIL CARTEN2 (NIL NIL NIL T T) -7 NIL NIL) (-140 243837 244692 244949 "CARD" 245305 T CARD (NIL) -8 NIL NIL) (-139 243208 243536 243565 "CACHSET" 243697 T CACHSET (NIL) -9 NIL 243774) (-138 242703 242999 243028 "CABMON" 243078 T CABMON (NIL) -9 NIL 243134) (-137 240266 242395 242502 "BTREE" 242629 NIL BTREE (NIL T) -8 NIL NIL) (-136 237770 239914 240036 "BTOURN" 240176 NIL BTOURN (NIL T) -8 NIL NIL) (-135 235227 237274 237316 "BTCAT" 237384 NIL BTCAT (NIL T) -9 NIL 237461) (-134 234894 234974 235123 "BTCAT-" 235128 NIL BTCAT- (NIL T T) -8 NIL NIL) (-133 230084 233954 233983 "BTAGG" 234239 T BTAGG (NIL) -9 NIL 234418) (-132 229507 229651 229881 "BTAGG-" 229886 NIL BTAGG- (NIL T) -8 NIL NIL) (-131 226557 228785 229000 "BSTREE" 229324 NIL BSTREE (NIL T) -8 NIL NIL) (-130 224960 225507 225807 "BSD" 226277 T BSD (NIL) -8 NIL NIL) (-129 224098 224224 224408 "BRILL" 224816 NIL BRILL (NIL T) -7 NIL NIL) (-128 220838 222859 222901 "BRAGG" 223550 NIL BRAGG (NIL T) -9 NIL 223807) (-127 219367 219773 220328 "BRAGG-" 220333 NIL BRAGG- (NIL T T) -8 NIL NIL) (-126 212566 218713 218897 "BPADICRT" 219215 NIL BPADICRT (NIL NIL) -8 NIL NIL) (-125 210870 212503 212548 "BPADIC" 212553 NIL BPADIC (NIL NIL) -8 NIL NIL) (-124 210568 210598 210712 "BOUNDZRO" 210834 NIL BOUNDZRO (NIL T T) -7 NIL NIL) (-123 206083 207174 208041 "BOP" 209721 T BOP (NIL) -8 NIL NIL) (-122 203706 204150 204669 "BOP1" 205597 NIL BOP1 (NIL T) -7 NIL NIL) (-121 202059 202749 203043 "BOOLEAN" 203432 T BOOLEAN (NIL) -8 NIL NIL) (-120 201420 201798 201853 "BMODULE" 201858 NIL BMODULE (NIL T T) -9 NIL 201923) (-119 197763 198433 199219 "BLUPPACK" 200752 NIL BLUPPACK (NIL T NIL T T T) -7 NIL NIL) (-118 197155 197640 197709 "BLQT" 197714 T BLQT (NIL) -8 NIL NIL) (-117 195584 196059 196088 "BLMETCT" 196733 T BLMETCT (NIL) -9 NIL 197105) (-116 194983 195465 195532 "BLHN" 195537 T BLHN (NIL) -8 NIL NIL) (-115 189820 190969 192128 "BLAS1" 193844 T BLAS1 (NIL) -7 NIL NIL) (-114 185630 189618 189691 "BITS" 189767 T BITS (NIL) -8 NIL NIL) (-113 184701 185162 185314 "BINFILE" 185498 T BINFILE (NIL) -8 NIL NIL) (-112 178523 184142 184308 "BINARY" 184555 T BINARY (NIL) -8 NIL NIL) (-111 176390 177812 177854 "BGAGG" 178114 NIL BGAGG (NIL T) -9 NIL 178251) (-110 176221 176253 176344 "BGAGG-" 176349 NIL BGAGG- (NIL T T) -8 NIL NIL) (-109 175319 175605 175810 "BFUNCT" 176036 T BFUNCT (NIL) -8 NIL NIL) (-108 174011 174189 174476 "BEZOUT" 175144 NIL BEZOUT (NIL T T T T T) -7 NIL NIL) (-107 172974 173196 173455 "BEZIER" 173785 NIL BEZIER (NIL T) -7 NIL NIL) (-106 169497 171826 172156 "BBTREE" 172677 NIL BBTREE (NIL T) -8 NIL NIL) (-105 169230 169283 169312 "BASTYPE" 169431 T BASTYPE (NIL) -9 NIL NIL) (-104 169083 169111 169184 "BASTYPE-" 169189 NIL BASTYPE- (NIL T) -8 NIL NIL) (-103 168517 168593 168745 "BALFACT" 168994 NIL BALFACT (NIL T T) -7 NIL NIL) (-102 167881 168004 168152 "AXSERV" 168389 T AXSERV (NIL) -7 NIL NIL) (-101 166694 167291 167479 "AUTOMOR" 167726 NIL AUTOMOR (NIL T) -8 NIL NIL) (-100 166406 166411 166440 "ATTREG" 166445 T ATTREG (NIL) -9 NIL NIL) (-99 164685 165103 165455 "ATTRBUT" 166072 T ATTRBUT (NIL) -8 NIL NIL) (-98 164220 164333 164360 "ATRIG" 164561 T ATRIG (NIL) -9 NIL NIL) (-97 164029 164070 164157 "ATRIG-" 164162 NIL ATRIG- (NIL T) -8 NIL NIL) (-96 157589 159158 160269 "ASTACK" 162949 NIL ASTACK (NIL T) -8 NIL NIL) (-95 156096 156393 156757 "ASSOCEQ" 157272 NIL ASSOCEQ (NIL T T) -7 NIL NIL) (-94 155128 155755 155879 "ASP9" 156003 NIL ASP9 (NIL NIL) -8 NIL NIL) (-93 154892 155076 155115 "ASP8" 155120 NIL ASP8 (NIL NIL) -8 NIL NIL) (-92 153762 154497 154639 "ASP80" 154781 NIL ASP80 (NIL NIL) -8 NIL NIL) (-91 152661 153397 153529 "ASP7" 153661 NIL ASP7 (NIL NIL) -8 NIL NIL) (-90 151617 152338 152456 "ASP78" 152574 NIL ASP78 (NIL NIL) -8 NIL NIL) (-89 150588 151297 151414 "ASP77" 151531 NIL ASP77 (NIL NIL) -8 NIL NIL) (-88 149503 150226 150357 "ASP74" 150488 NIL ASP74 (NIL NIL) -8 NIL NIL) (-87 148404 149138 149270 "ASP73" 149402 NIL ASP73 (NIL NIL) -8 NIL NIL) (-86 147359 148081 148199 "ASP6" 148317 NIL ASP6 (NIL NIL) -8 NIL NIL) (-85 146308 147036 147154 "ASP55" 147272 NIL ASP55 (NIL NIL) -8 NIL NIL) (-84 145258 145982 146101 "ASP50" 146220 NIL ASP50 (NIL NIL) -8 NIL NIL) (-83 144346 144959 145069 "ASP4" 145179 NIL ASP4 (NIL NIL) -8 NIL NIL) (-82 143434 144047 144157 "ASP49" 144267 NIL ASP49 (NIL NIL) -8 NIL NIL) (-81 142219 142973 143141 "ASP42" 143323 NIL ASP42 (NIL NIL NIL NIL) -8 NIL NIL) (-80 140997 141752 141922 "ASP41" 142106 NIL ASP41 (NIL NIL NIL NIL) -8 NIL NIL) (-79 139949 140674 140792 "ASP35" 140910 NIL ASP35 (NIL NIL) -8 NIL NIL) (-78 139714 139897 139936 "ASP34" 139941 NIL ASP34 (NIL NIL) -8 NIL NIL) (-77 139451 139518 139594 "ASP33" 139669 NIL ASP33 (NIL NIL) -8 NIL NIL) (-76 138347 139086 139218 "ASP31" 139350 NIL ASP31 (NIL NIL) -8 NIL NIL) (-75 138112 138295 138334 "ASP30" 138339 NIL ASP30 (NIL NIL) -8 NIL NIL) (-74 137847 137916 137992 "ASP29" 138067 NIL ASP29 (NIL NIL) -8 NIL NIL) (-73 137612 137795 137834 "ASP28" 137839 NIL ASP28 (NIL NIL) -8 NIL NIL) (-72 137377 137560 137599 "ASP27" 137604 NIL ASP27 (NIL NIL) -8 NIL NIL) (-71 136461 137075 137186 "ASP24" 137297 NIL ASP24 (NIL NIL) -8 NIL NIL) (-70 135378 136102 136232 "ASP20" 136362 NIL ASP20 (NIL NIL) -8 NIL NIL) (-69 134466 135079 135189 "ASP1" 135299 NIL ASP1 (NIL NIL) -8 NIL NIL) (-68 133410 134140 134259 "ASP19" 134378 NIL ASP19 (NIL NIL) -8 NIL NIL) (-67 133147 133214 133290 "ASP12" 133365 NIL ASP12 (NIL NIL) -8 NIL NIL) (-66 132000 132746 132890 "ASP10" 133034 NIL ASP10 (NIL NIL) -8 NIL NIL) (-65 129905 131844 131935 "ARRAY2" 131940 NIL ARRAY2 (NIL T) -8 NIL NIL) (-64 125727 129553 129667 "ARRAY1" 129822 NIL ARRAY1 (NIL T) -8 NIL NIL) (-63 124759 124932 125153 "ARRAY12" 125550 NIL ARRAY12 (NIL T T) -7 NIL NIL) (-62 119158 121023 121099 "ARR2CAT" 123729 NIL ARR2CAT (NIL T T T) -9 NIL 124487) (-61 116592 117336 118290 "ARR2CAT-" 118295 NIL ARR2CAT- (NIL T T T T) -8 NIL NIL) (-60 115340 115492 115798 "APPRULE" 116428 NIL APPRULE (NIL T T T) -7 NIL NIL) (-59 114991 115039 115158 "APPLYORE" 115286 NIL APPLYORE (NIL T T T) -7 NIL NIL) (-58 114321 114448 114596 "API" 114861 T API (NIL) -7 NIL NIL) (-57 113295 113586 113781 "ANY" 114144 T ANY (NIL) -8 NIL NIL) (-56 112573 112696 112853 "ANY1" 113169 NIL ANY1 (NIL T) -7 NIL NIL) (-55 110092 111010 111337 "ANTISYM" 112297 NIL ANTISYM (NIL T NIL) -8 NIL NIL) (-54 109919 110051 110078 "ANON" 110083 T ANON (NIL) -8 NIL NIL) (-53 103986 108458 108912 "AN" 109483 T AN (NIL) -8 NIL NIL) (-52 100281 101679 101731 "AMR" 102479 NIL AMR (NIL T T) -9 NIL 103073) (-51 99393 99614 99977 "AMR-" 99982 NIL AMR- (NIL T T T) -8 NIL NIL) (-50 83955 99310 99371 "ALIST" 99376 NIL ALIST (NIL T T) -8 NIL NIL) (-49 80792 83549 83718 "ALGSC" 83873 NIL ALGSC (NIL T NIL NIL NIL) -8 NIL NIL) (-48 77350 77904 78510 "ALGPKG" 80233 NIL ALGPKG (NIL T T) -7 NIL NIL) (-47 76627 76728 76912 "ALGMFACT" 77236 NIL ALGMFACT (NIL T T T) -7 NIL NIL) (-46 72375 73059 73710 "ALGMANIP" 76154 NIL ALGMANIP (NIL T T) -7 NIL NIL) (-45 63689 72001 72151 "ALGFF" 72308 NIL ALGFF (NIL T T T NIL) -8 NIL NIL) (-44 62885 63016 63195 "ALGFACT" 63547 NIL ALGFACT (NIL T) -7 NIL NIL) (-43 61870 62480 62519 "ALGEBRA" 62579 NIL ALGEBRA (NIL T) -9 NIL 62638) (-42 61588 61647 61779 "ALGEBRA-" 61784 NIL ALGEBRA- (NIL T T) -8 NIL NIL) (-41 43395 59120 59173 "ALAGG" 59309 NIL ALAGG (NIL T T) -9 NIL 59470) (-40 42930 43043 43070 "AHYP" 43271 T AHYP (NIL) -9 NIL NIL) (-39 41861 42109 42136 "AGG" 42635 T AGG (NIL) -9 NIL 42913) (-38 41295 41457 41671 "AGG-" 41676 NIL AGG- (NIL T) -8 NIL NIL) (-37 38844 39425 39464 "AFSPCAT" 40736 NIL AFSPCAT (NIL T) -9 NIL 41231) (-36 36523 36945 37362 "AF" 38487 NIL AF (NIL T T) -7 NIL NIL) (-35 35863 36452 36506 "AFFSP" 36511 NIL AFFSP (NIL NIL T) -8 NIL NIL) (-34 35120 35790 35839 "AFFPLPS" 35844 NIL AFFPLPS (NIL T) -8 NIL NIL) (-33 34454 35061 35103 "AFFPL" 35108 NIL AFFPL (NIL T) -8 NIL NIL) (-32 31167 31654 32282 "AFALGRES" 33959 NIL AFALGRES (NIL T NIL T T T) -7 NIL NIL) (-31 29813 29990 30304 "AFALGGRO" 30986 NIL AFALGGRO (NIL T NIL T T T) -7 NIL NIL) (-30 29082 29340 29496 "ACPLOT" 29675 T ACPLOT (NIL) -8 NIL NIL) (-29 18442 26425 26477 "ACFS" 27188 NIL ACFS (NIL T) -9 NIL 27427) (-28 16456 16946 17721 "ACFS-" 17726 NIL ACFS- (NIL T T) -8 NIL NIL) (-27 12669 14625 14652 "ACF" 15531 T ACF (NIL) -9 NIL 15944) (-26 11373 11707 12200 "ACF-" 12205 NIL ACF- (NIL T) -8 NIL NIL) (-25 10970 11139 11166 "ABELSG" 11258 T ABELSG (NIL) -9 NIL 11323) (-24 10837 10862 10928 "ABELSG-" 10933 NIL ABELSG- (NIL T) -8 NIL NIL) (-23 10205 10466 10493 "ABELMON" 10663 T ABELMON (NIL) -9 NIL 10775) (-22 9869 9953 10091 "ABELMON-" 10096 NIL ABELMON- (NIL T) -8 NIL NIL) (-21 9202 9548 9575 "ABELGRP" 9700 T ABELGRP (NIL) -9 NIL 9782) (-20 8665 8794 9010 "ABELGRP-" 9015 NIL ABELGRP- (NIL T) -8 NIL NIL) (-19 4333 8027 8067 "A1AGG" 8072 NIL A1AGG (NIL T) -9 NIL 8112) (-18 30 1251 2813 "A1AGG-" 2818 NIL A1AGG- (NIL T T) -8 NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index 9de07bb..b43e38e 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3240 +1,3270 @@
 
-(832072 . 3524719206)        
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
+(836292 . 3570849594)        
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3))))) 
+(((*1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185)))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-753))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1161 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -4399 *3)))) (-5 *1 (-806 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 *4)))) (|:| |xValues| (-1087 *4)) (|:| |yValues| (-1087 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 *4))))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-1257))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-996 *3 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-891 *2 *3)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
 (((*1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1165))))) (-5 *6 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *5 (-1168)) (-5 *3 (-1165)) (-5 *2 (-1097)) (-5 *1 (-400))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-842)))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 *2)) (-4 *4 (-1228 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-688))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1228 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-776 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1199)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-216)) (-5 *1 (-1196)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-122 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165)))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1161 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1161 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1049)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-952 *2 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-400))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-784)) (-5 *2 (-1037)) (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-260 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-1161 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1) (-4 *1 (-718))) ((*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *1) (-5 *1 (-1165)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 (-410 *3))) (-5 *2 (-919)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-990 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790))))) 
 (((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-764)))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-1247 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -1640 (-635 (-2 (|:| |irr| *10) (|:| -4245 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-843)) (-4 *3 (-302)) (-4 *10 (-951 *3 *9 *8)) (-4 *9 (-789)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1159 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1159 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1183))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-584 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-954 *3)))) (-4 *3 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *1 (-589 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 *3) (|:| |special| *3))) (-5 *1 (-718 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1247 (-1247 *5))) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1130)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1130))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1108)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-959 (-1109))) (-5 *1 (-348 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-841)) (-5 *1 (-947 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-680 *2)) (-4 *2 (-366)) (-4 *2 (-1048)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1112 *2 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-1169 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-841))) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-800 *4 *5)) (-4 *5 (-13 (-29 *4) (-1183) (-960)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-764))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366))))) 
-(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1126 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4536)) (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1163)) (-5 *1 (-624)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1213 (-569))) (|has| *1 (-6 -4536)) (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1174 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1183))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *1 (-474))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1197)) (-5 *2 (-764)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-673 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-228 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *1) (-5 *1 (-140))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1237 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1208 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1206 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1229 *4 *5)) (-4 *6 (-985 *5)))) ((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-1103)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-542)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *4 (-1091)) (-5 *1 (-672 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)) (-4 *4 (-638 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *5)) (-4 *5 (-638 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-830 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-830 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-410 (-569))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -4140 (-764)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
-(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-767)) (-5 *1 (-123))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-799))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-713)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1091)) (-4 *5 (-1197)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1091)) (-4 *2 (-1197)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-764))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-569))))) (-5 *2 (-635 (-289 (-954 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1247 *5) "failed")) (|:| -3930 (-635 (-1247 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1247 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -3930 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-678 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-765 *5 *2)) (-4 *2 (-13 (-29 *5) (-1183) (-960))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-680 *7)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)) (-5 *4 (-1247 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-680 *6)) (-5 *4 (-1163)) (-4 *6 (-13 (-29 *5) (-1183) (-960))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1247 *6))) (-5 *1 (-798 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1247 *7)) (|:| -3930 (-635 (-1247 *7))))) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *7 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -3930 (-635 *7))) *7 "failed")) (-5 *1 (-798 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -3930 (-635 *3))) *3 "failed")) (-5 *1 (-798 *6 *3)) (-4 *3 (-13 (-29 *6) (-1183) (-960))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-5 *1 (-798 *6 *2)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1183) (-960))) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-798 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1247 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1247 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1036)) (-5 *1 (-801)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -3930 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1247 *6)) (|:| -3930 (-680 *6)))) (-5 *1 (-809 *6 *7)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-764)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1145)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1036)) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1023)) (-5 *4 (-382)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-311 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)) (-5 *3 (-289 (-311 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-289 (-311 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)) (-5 *3 (-311 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-1168 *5)) (-5 *3 (-635 (-289 (-410 (-954 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-1168 *4)) (-5 *3 (-635 (-289 (-410 (-954 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *5))))) (-5 *1 (-1168 *5)) (-5 *3 (-289 (-410 (-954 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-410 (-954 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-954 *4))))) (-5 *1 (-1168 *4)) (-5 *3 (-289 (-410 (-954 *4))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1159 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-764))) (-4 *11 (-843)) (-4 *9 (-302)) (-4 *12 (-951 *9 *10 *11)) (-4 *10 (-789)) (-5 *2 (-635 (-1159 *12))) (-5 *1 (-698 *10 *11 *9 *12)) (-5 *3 (-1159 *12))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *10 (-1100 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1045 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1191 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *2)) (-4 *2 (-951 *3 *5 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1163))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1163))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1038 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1163)) (-4 *7 (-610 (-888 (-569)))) (-4 *7 (-454)) (-4 *7 (-882 (-569))) (-4 *7 (-843)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1165))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-231 (-2946 *3) (-765))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1165))) (-4 *4 (-1049))))) 
+(((*1 *1) (-5 *1 (-1061)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-185)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1093)) (-4 *4 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-635 *3)) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-1154 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-1030 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-681 *3))) (-4 *3 (-1049)) (-5 *1 (-1030 *3))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-729 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1037))) (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-5 *1 (-1061))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1142 *4)) (-4 *4 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1165))) (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1161 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1147)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *4 (-1063 *6 *7 *8)) (-5 *2 (-1258)) (-5 *1 (-770 *6 *7 *8 *4 *5)) (-4 *5 (-1068 *6 *7 *8 *4))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-765)) (-5 *1 (-395 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-830 (-919))))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-732 *4 *3)) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-765)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-765)) (-5 *1 (-909 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-4 *4 (-1228 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-765)) (-5 *1 (-1020 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1031 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1010 *3)) (-4 *3 (-1039 (-410 (-569))))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-1 *1 (-765))) (-4 *1 (-247 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-263 *2)) (-4 *2 (-844))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1161 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $)))))))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-844))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
 (((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-680 *4)) (|:| |den| *4))) (-5 *1 (-683 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -1502 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-803 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1215 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 (-569)))) (-5 *1 (-472))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-206 (-512))) (-5 *1 (-831))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-264))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-859)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1067 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1065 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4003 *11)))))) (-5 *6 (-764)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4003 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1062 *7 *8 *9)) (-4 *11 (-1100 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-5 *1 (-1131 *7 *8 *9 *10 *11))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-764) *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-764) *3)) (-4 *3 (-1091)) (-5 *1 (-672 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-1048)) (-5 *2 (-680 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1159 (-1159 *5)))) (-5 *1 (-1196 *5)) (-5 *3 (-1159 (-1159 *5)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-843)) (-5 *1 (-931 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1145)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 *2)) (-4 *4 (-1222 *2)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-5 *1 (-509 *2 *4 *5)) (-4 *5 (-412 *2 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1159 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-820)) (-5 *1 (-821))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-1085 (-216))) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-928)) (-5 *1 (-926 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *3 *2)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *2) (-12 (-5 *1 (-670 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-684)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-689)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-311 (-691)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-684)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-689)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-311 (-691)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-680 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-329)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1159 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1048)) (-4 *4 (-1197)))) ((*1 *1 *2) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-843)) (-4 *7 (-951 *4 *5 (-853 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *1 (-670 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *1) (-5 *1 (-1166)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-679 *3 *4 *5 *6)) (-4 *6 (-678 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-690 *3)) (-4 *3 (-302))))) 
-(((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1222 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-635 (-954 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-954 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-868 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2599 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
-(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1222 *9)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-302)) (-4 *10 (-951 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1159 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-772 *6 *7 *8 *9 *10)) (-5 *3 (-1159 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1247 *4)) (-5 *1 (-810 *4 *3)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-1062 *3 *4 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *4 (-1145)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-951 *5 *7 *6)) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *3 (-843)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *8 (-972 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1091)) (-5 *1 (-728 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1003)) (-5 *2 (-569))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-680 (-906 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) ((*1 *2) (-12 (-5 *2 (-680 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-454)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-905)) (-5 *1 (-460 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-905))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-917)) (-5 *2 (-2 (|:| -4140 (-635 *1)) (|:| -1809 *1))) (-5 *3 (-635 *1))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-796)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1036))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *1) (-4 *1 (-371))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-5 *1 (-569))) ((*1 *1 *1) (-5 *1 (-764))) ((*1 *2 *1) (-12 (-5 *2 (-901 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-551)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-1036)))) ((*1 *2 *3) (-12 (-4 *1 (-832)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-1036))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-764) (-764) *7)) (-5 *4 (-1247 *7)) (-5 *5 (-764)) (-5 *6 (-1247 (-1159 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-851))))) 
-(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-1048)) (-5 *1 (-1203 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1038 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-994 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1247 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1159 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-715 *4 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-768 *4 *2 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1225 *3 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1058 (-1024 *3) (-1159 (-1024 *3)))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-843)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-5 *1 (-885 *4 *2))))) 
-(((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1 *1) (-4 *1 (-754)))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1126 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *1 (-1127 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1126 *3 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *5 *6 *4)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *4 (-843)) (-5 *1 (-902 *5 *6 *4 *7))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-759 *3 *4)) (-4 *3 (-699 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1247 (-689))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1163))) (-5 *1 (-623 *5 *6))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1200))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) ((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
-(((*1 *1) (-5 *1 (-819)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-131 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-738))))) 
-(((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *5 (-1038 (-53))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-260 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-728 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1030 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-764)) (|:| -3698 *4))) (-5 *5 (-764)) (-4 *4 (-951 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1159 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) ((*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1095 *4)) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-121)) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 *3) (|:| -3175 *4)))) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *1 (-1176 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1176 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-2 (|:| |totdeg| (-765)) (|:| -2665 *4))) (-5 *5 (-765)) (-4 *4 (-952 *6 *7 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (-5 *1 (-451 *6 *7 *8 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-172)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-681 *5)) (-4 *5 (-1049)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203))))) 
+(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-842)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *5 *6)) (-4 *6 (-1228 *5))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-610 (-889 *3))) (-4 *3 (-883 *3)) (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-610 (-889 *3))) (-4 *2 (-883 *3)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-755)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-452 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-952 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1161 (-569))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 (-569))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-773 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *6)) (-4 *7 (-952 *6 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))))) ((*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *1 *1) (-5 *1 (-1254)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 "skip" "MonteCarlo" "deterministic")) (-5 *1 (-466)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-437)) (-4 *5 (-844)) (-5 *1 (-1099 *5 *4)) (-4 *4 (-433 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-830 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -2182 (-635 *3)) (|:| -2289 (-635 *3)))) (-5 *1 (-1205 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1120 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1120 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-762 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-988 *4 *3 *5 *6)) (-4 *6 (-716 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-1262 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *5 *6 *7 *8))))) 
+(((*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-635 *6) "failed") (-569) *6 *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-919)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-919)) (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-765)) (-5 *2 (-681 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1228 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-988 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-716 *2 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-542))))) 
+(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-394))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-952 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-867 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-867 *2)) (-14 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-868 *2 *3)) (-4 *3 (-865 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1214 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1243 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-974))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-474))))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-867 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-868 *4 *5)) (-5 *3 (-569)) (-4 *5 (-865 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1014)) (-5 *2 (-410 (-569))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -3956 (*2 (-1165)))) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-1165))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-821)) (-5 *1 (-822))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-731 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
+(((*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-906)) (-5 *1 (-903 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-906)) (-5 *1 (-904 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 *3)) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-2 (|:| |mval| (-681 *4)) (|:| |invmval| (-681 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *3 (-955 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1085 (-955 (-569)))) (-5 *1 (-329))))) 
+(((*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-493 *4 *5)) (-5 *1 (-947 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-595 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1212 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1145 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1049)) (-4 *1 (-1233 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-4 *1 (-1243 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-765)) (|:| |c| *3)))) (-4 *3 (-1049)) (-4 *1 (-1243 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *3)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-765)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1103))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-329))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-635 *3)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-919)) (-4 *5 (-302)) (-4 *3 (-1228 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
 (((*1 *2 *3) (-12 (-5 *3 (-410 (-569))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-449 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1147)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-765)))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *1 *1 *1) (-4 *1 (-790)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1087 *3)) (-4 *3 (-952 *7 *6 *4)) (-4 *6 (-790)) (-4 *4 (-844)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1185))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1156 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-955 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 (-410 (-955 *5)) (-311 *5))) (-5 *1 (-1157 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-955 *5))) (-5 *3 (-955 *5)) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1157 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1157 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 *6)) (-4 *6 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *4))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1258)) (-5 *1 (-853))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-5 *2 (-1258)) (-5 *1 (-1205 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1172 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-1169))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-371))))) 
+(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-946 (-216)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-946 (-216))))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-736 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-966 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1161 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-974)) (-4 *2 (-138)) (-5 *1 (-1167 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1225 *4 *3)) (-14 *4 (-1165)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-586 (-410 (-955 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *2))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *3 *2)) (-4 *3 (-1093))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-454)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843))))) 
-(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-945 *4)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-58))))) 
-(((*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1025 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1038 (-569)) (-1038 (-1163)) (-896 (-1163)) (-162)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1195 *3)) (-5 *1 (-787 *3)) (-4 *3 (-977)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-121)) (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-790)) (-4 *2 (-952 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-844))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-569)) (-5 *1 (-945))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1196))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-919)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
+(((*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-837 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1185) (-29 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-946 (-216)))) (-5 *1 (-1254))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *2 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-973 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-960 *3)) (-5 *1 (-1152 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-170 (-382))))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-569)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-685)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-690)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-311 (-692)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-685)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-690)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-311 (-692)))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-681 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-329)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-844)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-903 *5 *6 *7 *8)) (-5 *4 (-1161 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *3 (-216))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3 *4) (-12 (-5 *4 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047)) (-5 *3 (-569))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1243 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1228 *4)) (-4 *6 (-716 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1243 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1243 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1140 *4))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1130 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)) (-5 *1 (-996 *3 *4))))) 
+(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1253 *4)) (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-679 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-811 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (|has| *4 (-6 (-4573 "*"))) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |geneigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1147)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1199)) (-5 *1 (-292 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-681 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-681 *6)) (-5 *1 (-299 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1049)) (-4 *7 (-1049)) (-4 *5 (-789)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1228 *9)) (-4 *11 (-1228 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1208)) (-4 *8 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *9 (-1228 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1228 (-410 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *7 (-1228 *6)) (-4 *8 (-13 (-412 *6 *7) (-1039 *6))) (-4 *9 (-302)) (-4 *10 (-995 *9)) (-4 *11 (-1228 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1039 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1049) (-844))) (-4 *6 (-13 (-1049) (-844))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3339 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3339 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-679 *8 *9 *10)) (-5 *1 (-677 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-679 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1228 *5)) (-4 *2 (-1228 (-410 *8))) (-5 *1 (-701 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1228 (-410 *6))) (-4 *8 (-1228 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1049)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-844)) (-4 *6 (-844)) (-4 *7 (-790)) (-4 *9 (-1049)) (-4 *2 (-952 *9 *8 *6)) (-5 *1 (-721 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-790)) (-4 *4 (-952 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-727 *5 *7)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *7 (-718)) (-5 *2 (-727 *6 *7)) (-5 *1 (-726 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-727 *3 *4)) (-4 *4 (-718)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-779 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-779 *6)) (-5 *1 (-778 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-794 *6)) (-5 *1 (-795 *4 *5 *2 *6)) (-4 *4 (-794 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-830 *6)) (-5 *1 (-829 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-830 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-830 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-829 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-837 *6)) (-5 *1 (-836 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-837 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-837 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *1 (-836 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-875 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-875 *6)) (-5 *1 (-874 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-877 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-877 *6)) (-5 *1 (-876 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-879 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-879 *6)) (-5 *1 (-878 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-886 *5 *6)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-886 *5 *7)) (-5 *1 (-885 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-889 *6)) (-5 *1 (-888 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-955 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-955 *6)) (-5 *1 (-949 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-844)) (-4 *8 (-1049)) (-4 *6 (-790)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-765)))))) (-5 *1 (-954 *6 *7 *8 *5 *2)) (-4 *5 (-952 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-960 *6)) (-5 *1 (-959 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-946 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-946 *6)) (-5 *1 (-984 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-955 *4))) (-4 *4 (-1049)) (-4 *2 (-952 (-955 *4) *5 *6)) (-4 *5 (-790)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-995 *6)) (-5 *1 (-993 *5 *6 *4 *2)) (-4 *4 (-995 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-999 *6)) (-5 *1 (-1000 *4 *5 *2 *6)) (-4 *4 (-999 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1049)) (-4 *10 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1052 *5 *6 *10 *11 *12)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1087 *6)) (-5 *1 (-1083 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1087 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-635 *6)) (-5 *1 (-1083 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1085 *6)) (-5 *1 (-1084 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1143 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1145 *6)) (-5 *5 (-1145 *7)) (-4 *6 (-1199)) (-4 *7 (-1199)) (-4 *8 (-1199)) (-5 *2 (-1145 *8)) (-5 *1 (-1144 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1161 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-1158 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1176 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1216 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1216 *6 *8 *10)) (-5 *1 (-1211 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1219 *6)) (-5 *1 (-1218 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1219 *5)) (-4 *5 (-842)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1145 *6)) (-5 *1 (-1218 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1225 *5 *6)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-4 *8 (-1049)) (-5 *2 (-1225 *7 *8)) (-5 *1 (-1220 *5 *6 *7 *8)) (-14 *7 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1228 *6)) (-5 *1 (-1226 *5 *4 *6 *2)) (-4 *4 (-1228 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1237 *5 *7 *9)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-14 *7 (-1165)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1237 *6 *8 *10)) (-5 *1 (-1232 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1049)) (-4 *6 (-1049)) (-4 *2 (-1243 *6)) (-5 *1 (-1241 *5 *6 *4 *2)) (-4 *4 (-1243 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1253 *6)) (-5 *1 (-1252 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-1274 *3 *4)) (-4 *4 (-840))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1147)) (-5 *1 (-992)))) ((*1 *2 *3 *1) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *2 *1 *3) (|partial| -12 (-5 *2 (-289 (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1087 *4)) (-4 *4 (-1199)) (-5 *1 (-1085 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-765)) (-4 *3 (-351)) (-4 *5 (-1228 *3)) (-5 *2 (-635 (-1161 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1228 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1243 *5)) (-5 *1 (-1245 *5 *2))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1161 *6)) (-5 *3 (-569)) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-844)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1171 *6)) (-5 *4 (-635 *5))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-714)))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-955 (-569))) (-5 *5 (-635 (-1165))) (-4 *1 (-668 *2 *6)) (-4 *6 (-1199)) (-5 *4 (-1165)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-946 *4)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1219 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1228 *4)) (-5 *1 (-771 *3 *4 *5 *2 *6)) (-4 *2 (-1228 *5)) (-14 *6 (-919)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *1 *1) (-12 (-4 *1 (-1270 *2)) (-4 *2 (-366)) (-4 *2 (-371))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-248 *3)))) ((*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-410 (-569))))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-1159 (-1159 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1163))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1070 *4 *5 *2))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1070 *5 *6 *2))) (-5 *4 (-918)) (-4 *5 (-1091)) (-4 *6 (-13 (-1048) (-882 *5) (-843) (-610 (-888 *5)))) (-4 *2 (-13 (-433 *6) (-882 *5) (-610 (-888 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1247 *2)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *2 (-13 (-412 *6 *7) (-1038 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1222 *6))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-955 (-569))) (-5 *3 (-1165)) (-5 *4 (-1087 (-410 (-569)))) (-5 *1 (-30))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1004))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-273 *4 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
+(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-1243 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1243 (-1159 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1243 (-1159 *5))) (-4 *2 (-1243 *5)) (-5 *1 (-1247 *5 *2 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *5 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-231 *3 *4)) (-4 *4 (-1049)) (-4 *4 (-1199)))) ((*1 *1 *2) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *2 (-844)) (-4 *7 (-952 *4 *5 (-854 *3))))) ((*1 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1049)) (-5 *1 (-704 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765))))) 
+(((*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-765) (-1253 (-1161 *6)))) (-5 *5 (-635 (-765))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-681 (-1161 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-765)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1228 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-703 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-707 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1266 (-1165) *3)) (-4 *3 (-1049)) (-5 *1 (-1273 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *1 (-1275 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *2 (-1255)) (-5 *1 (-251))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *2 *7)) (-4 *6 (-1049)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1087 *3)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-955 *5)))) (-5 *1 (-1170 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-765)) (|:| -2988 *5)))) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -3139 *5) (|:| -2284 (-569))))) (-5 *4 (-569)) (-4 *5 (-1228 *4)) (-5 *2 (-635 *5)) (-5 *1 (-687 *5))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
+(((*1 *1 *1 *1) (-5 *1 (-163))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1147))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *1) (-5 *1 (-140))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1243 *4)) (-5 *1 (-275 *4 *5 *2)) (-4 *2 (-1214 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-366)) (-4 *4 (-43 *3)) (-4 *5 (-1212 *4)) (-5 *1 (-276 *4 *5 *2 *6)) (-4 *2 (-1235 *4 *5)) (-4 *6 (-986 *5)))) ((*1 *1 *1 *1) (-4 *1 (-280))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-1105)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-542)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-542)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *4 (-1093)) (-5 *1 (-673 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-682 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)) (-4 *4 (-638 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *5)) (-4 *5 (-638 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-831 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-569)) (-5 *1 (-831 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-410 (-569))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4)) (-4 *4 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-844) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -3659 *8) (|:| -4433 (-765))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1039 *9) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-844) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -3659 *9) (|:| -4433 (-765))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1039 *10) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *3 (-635 (-410 (-736 *6 (-569))))) (-14 *6 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *6 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1165))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-736 *7 (-569))))) (-14 *7 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *7 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *7))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-681 *12)) (-5 *5 (-635 (-410 (-955 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-765)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-952 *9 *11 *10)) (-4 *10 (-13 (-844) (-610 (-1165)))) (-4 *11 (-790)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-955 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *9)))) (|:| -4079 (-635 (-1253 (-410 (-955 *9))))))))) (-5 *1 (-926 *9 *10 *11 *12))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-2 (|:| |start| *3) (|:| -3459 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-842) (-366))) (-5 *2 (-121)) (-5 *1 (-1059 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-172)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-837 (-382))) (-5 *2 (-837 (-216))) (-5 *1 (-300))))) 
+(((*1 *1) (-5 *1 (-474)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-1253 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1028 (-837 (-569)))) (-5 *5 (-1165)) (-5 *7 (-410 (-569))) (-4 *6 (-1049)) (-5 *2 (-852)) (-5 *1 (-594 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *9 (-642 *5)) (-4 *10 (-922 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-1115 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 (-907 *3)) (|:| -1333 (-1111)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-4 *1 (-842))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)) (-4 *2 (-1058)))) ((*1 *1 *1) (-4 *1 (-1058))) ((*1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *4)))) ((*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1253 *1)) (-4 *1 (-328 *3)))) ((*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *1)) (-4 *1 (-412 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-420 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-765)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-871)) (-5 *1 (-1256))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-952 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *1 (-990 *4 *5 *6 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-765)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1145 *7))) (-4 *6 (-844)) (-4 *7 (-952 *5 (-535 *6) *6)) (-4 *5 (-1049)) (-5 *2 (-1 (-1145 *7) *7)) (-5 *1 (-1117 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1161 (-410 (-569)))) (|:| |overan| (-1161 (-53))) (|:| -2795 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-2 (|:| -2412 (-635 *6)) (|:| -4465 (-635 *6))))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)) (-4 *3 (-789))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1161 (-1161 *4)))) (-5 *1 (-1198 *4)) (-5 *3 (-1161 (-1161 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
+(((*1 *1 *1) (-5 *1 (-542)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1208)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-123)) (-5 *1 (-1026 *4 *3)) (-4 *3 (-13 (-433 *4) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-130)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-889 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1093)) (-4 *3 (-167 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1087 (-837 (-382))))) (-5 *2 (-635 (-1087 (-837 (-216))))) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-469 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1097)) (-5 *1 (-542)))) ((*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *5 (-610 (-1165))) (-4 *4 (-790)) (-4 *5 (-844)))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1066 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1077)))) ((*1 *1 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *2 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1102 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1147)) (-5 *1 (-1133 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-852)) (-5 *3 (-569)) (-5 *1 (-1180)))) ((*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *5))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-777 *4 (-854 *6))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-777 *4 (-854 *6))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-955 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-1161 (-1025 (-410 *4)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6)))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-777 *4 (-854 *6)))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165)))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-991 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1068 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1100 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-289 (-955 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1165))) (|:| |inhom| (-3 (-635 (-1253 (-765))) "failed")) (|:| |hom| (-635 (-1253 (-765)))))) (-5 *1 (-229))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-952 *4 *6 *5)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1) (-5 *1 (-852))) ((*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *1) (-5 *1 (-1168))) ((*1 *1) (-5 *1 (-1169)))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) ((*1 *1 *1) (-4 *1 (-162)))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-228 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-559)))) ((*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-569)) (-5 *1 (-1101)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1247 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1101))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-972 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -1990 (-635 (-1163))) (|:| -4073 (-635 (-1163))))) (-5 *1 (-1200))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *1 (-979 *6 *7 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569)))))))))) (-5 *1 (-1167))))) 
-(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-1060))))) 
-(((*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-5 *3 (-410 (-954 *6))) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1222 *2)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-799))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1222 (-170 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-2 (|:| -1640 (-635 *3)) (|:| -1638 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-874 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-876 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-699 *3)) (-5 *1 (-823 *2 *3)) (-4 *3 (-1048))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1184 *3))) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1095)) (-5 *2 (-1252)) (-5 *1 (-102))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1100 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-918)) (-4 *3 (-1222 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1271 *5 *6 *7)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1271 *4 *5 *6)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1084 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 *6)) (-5 *4 (-1247 (-569))) (-5 *5 (-569)) (-4 *6 (-1091)) (-5 *2 (-1 *6)) (-5 *1 (-1018 *6))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3032 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-39)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1048)) (-5 *3 (-410 (-569))) (-5 *1 (-1147 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1101))))) 
-(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *8))) (-5 *1 (-1028 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *8))) (-5 *1 (-1132 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-4 *2 (-263 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -1502 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1016 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -2223 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2478 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-718 *5 *6)) (-5 *3 (-410 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-892 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-892 *3 *5)) (-4 *3 (-1222 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-764)) (|:| -3698 *3)))) (-5 *4 (-764)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *4 (-117))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-1202)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-1213 (-569)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1091))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-815 *4)) (-4 *4 (-843)) (-4 *1 (-1262 *4 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1269 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-843)) (-4 *2 (-173)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-815 *4)) (-4 *1 (-1262 *4 *2)) (-4 *4 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-5 *2 (-170 *5)) (-5 *1 (-598 *4 *5 *3)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183)))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-544 *6 *7 *5)) (-4 *7 (-366)) (-4 *5 (-13 (-366) (-841)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1122 (-216))) (-5 *1 (-253 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-991 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| -4399 (-635 *9)) (|:| -4320 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1100 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1068 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -3956 (*2 *4)) (-15 -2862 ((-919) *2)) (-15 -4079 ((-1253 *2) (-919))) (-15 -4167 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
+(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -3575 *5) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6)))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1111)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
 (((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-680 *5)) (-4 *5 (-1048)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-874 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1248)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 (-1 (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 (-1 (-216) (-216) (-216)))) (-5 *4 (-1085 (-382))) (-5 *2 (-1249)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1163)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-1248)) (-5 *1 (-250 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1248)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-874 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-874 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1248)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-876 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-876 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1083 (-382))) (-5 *2 (-1249)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1091))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-878 *6)) (-5 *4 (-1083 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-878 *5)) (-5 *4 (-1083 (-382))) (-4 *5 (-13 (-610 (-542)) (-1091))) (-5 *2 (-1249)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1249)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1249)) (-5 *1 (-254))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-959 *3)) (-5 *1 (-1150 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-994 *2)) (-4 *4 (-1222 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1038 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-717) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-764)) (-4 *3 (-351)) (-4 *5 (-1222 *3)) (-5 *2 (-635 (-1159 *3))) (-5 *1 (-508 *3 *5 *6)) (-4 *6 (-1222 *5))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *2)) (-5 *4 (-764)) (-4 *2 (-1091)) (-5 *1 (-669 *2))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *2 (-1249)) (-5 *1 (-251))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-1114 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-708 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-717) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-302)) (-4 *6 (-376 *5)) (-4 *4 (-376 *5)) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-1113 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)) (-4 *3 (-788))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536))))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-899 *3))))) 
-(((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
-(((*1 *2) (-12 (-4 *3 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *4)) (-5 *1 (-909 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-364 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-389 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-4 *8 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *5 (-764))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)) (-5 *1 (-671 *5 *6 *2))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 *2))) (-5 *2 (-888 *3)) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 *2)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-973)) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1) (-5 *1 (-819)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
-(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1048)) (-5 *1 (-846 *5 *2)) (-4 *2 (-845 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))))) ((*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-806 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569)))))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *3 (-173))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *1) (-5 *1 (-624)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-4 *1 (-297)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1038 (-569))) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-1159 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1048)) (-4 *1 (-297)) (-5 *2 (-1159 *1))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032)) (-5 *3 (-311 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-1252))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-917))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 (-680 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-410 (-954 *5))))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-410 (-954 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-4 *5 (-366)) (-5 *2 (-1247 (-680 (-954 *5)))) (-5 *1 (-1078 *5)) (-5 *4 (-680 (-954 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-1078 *4))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2291 (-123)) (|:| |arg| (-635 (-888 *3))))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-109))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-410 (-954 *4))) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-680 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-918))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-4 *3 (-231 (-4168 *4) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *3)) (-2 (|:| -3998 *5) (|:| -2356 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *2 *3 (-853 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-410 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))) (-5 *4 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *4) (|:| -1869 *4)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3833 *5) (|:| -1869 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *5)) (-5 *4 (-2 (|:| -3833 *5) (|:| -1869 *5)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-231 *5 (-764))) (-5 *1 (-909 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-764))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1163))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1163)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1183) (-960) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-836 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *1) (-4 *1 (-1137)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-2 (|:| -3585 (-635 *6)) (|:| -3230 (-635 *6))))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *2 (-678 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-678 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1051 *2 *3 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1234 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1091))))) 
-(((*1 *1 *1 *1) (-4 *1 (-754)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1197)) (-5 *2 (-635 *1)) (-4 *1 (-1011 *3))))) 
-(((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1145))) (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *1 (-235)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-843)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-882 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-883 *5 *6 *4)) (-4 *4 (-610 (-888 *5)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4))))) (-5 *1 (-287 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1089)))) ((*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) ((*1 *1 *1) (-12 (-14 *2 (-635 (-1163))) (-4 *3 (-173)) (-4 *5 (-231 (-4168 *2) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *3 *5 (-853 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1048)) (-4 *3 (-717)))) ((*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-410 (-569)))) (-5 *1 (-1272 *4))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-764)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *4) (|:| -2356 *5)) (-2 (|:| -3998 *4) (|:| -2356 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-843)) (-4 *7 (-951 *2 *5 (-853 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-843)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-843)) (-4 *3 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *3 (-788)) (-4 *4 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-635 *3)) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))))) ((*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1222 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-987 *4 *2 *3 *5)) (-4 *4 (-351)) (-4 *5 (-715 *2 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-1167))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-263 *3)) (-4 *5 (-789))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-371)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *2 *1) (-12 (-4 *2 (-843)) (-5 *1 (-704 *2 *3 *4)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-664 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)) (-5 *1 (-995 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-163))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-163))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-4 *4 (-843))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-559)) (-4 *2 (-1048)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *9 (-921 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *4 (-764)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-1252)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-764)) (-4 *6 (-366)) (-5 *4 (-1192 *6)) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1255 *6)) (-5 *5 (-1143 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *3 (-896 *5)) (-5 *2 (-680 *3)) (-5 *1 (-682 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1059)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059))))) 
-(((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-1121 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4535) (-6 -4536)))))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-4 *3 (-1197)) (-5 *1 (-1121 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4535) (-6 -4536))))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -2436 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1089)))) ((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -1744 (-1143 *4)) (|:| -1748 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-921 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1247 (-764))) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-859)) (-5 *2 (-635 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
-(((*1 *1) (-5 *1 (-159)))) 
-(((*1 *1 *1) (|partial| -4 *1 (-149))) ((*1 *1 *1) (-4 *1 (-351))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-905))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) *2)) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-764)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-789)) (-4 *6 (-951 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *4 *3 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *2 (-559)) (-5 *1 (-971 *2 *4)) (-4 *4 (-1222 *2))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1093 (-764))) (-5 *6 (-764)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1166)) (-5 *3 (-1163))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-420 *3)) (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-48 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *4)))) ((*1 *2) (-12 (-4 *3 (-366)) (-5 *2 (-1247 *1)) (-4 *1 (-328 *3)))) ((*1 *2) (-12 (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *1)) (-4 *1 (-412 *3 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-4 *6 (-412 *4 *5)) (-14 *7 *2))) ((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-420 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 (-1247 *4))) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
-(((*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-302)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1052 *2 *3 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *2 *4)) (-4 *4 (-302))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1047))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-681 (-1161 *8))) (-4 *5 (-1049)) (-4 *8 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1228 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-1161 (-955 *4)) (-955 *4))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *3 (-897 *6)) (-5 *2 (-681 *3)) (-5 *1 (-683 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-681 *11)) (-5 *4 (-635 (-410 (-955 *8)))) (-5 *5 (-765)) (-5 *6 (-1147)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-952 *8 *10 *9)) (-4 *9 (-13 (-844) (-610 (-1165)))) (-4 *10 (-790)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-955 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *8)))) (|:| -4079 (-635 (-1253 (-410 (-955 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-926 *8 *9 *10 *11)) (-5 *7 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *3 *2)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-681 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1049)) (-4 *1 (-1114 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-765)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-569)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-569)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569)) (-5 *3 (-143)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-811 *4 *5)) (-4 *5 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-811 *5 *6)) (-4 *6 (-647 *5))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-860))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-880)))) ((*1 *1 *1) (-12 (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-5 *1 (-974))) ((*1 *1 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-144 *4 *5 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *6) (|:| |den| *4))) (-5 *1 (-513 *4 *5 *6 *3)) (-4 *6 (-376 *4)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| (-681 *4)) (|:| |den| *4))) (-5 *1 (-684 *4 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -4399 *7) (|:| |rh| (-635 (-410 *6))))) (-5 *1 (-804 *5 *6 *7 *3)) (-5 *4 (-635 (-410 *6))) (-4 *7 (-647 *6)) (-4 *3 (-647 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4))) (-5 *1 (-1221 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1240 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1130 *2 *3)) (-14 *2 (-765)) (-4 *3 (-1049))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1128 *4 *5))) (-5 *3 (-1 (-121) *5 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *1 (-1129 *4 *5)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-635 (-1128 *3 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
+(((*1 *1 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1208)) (-4 *4 (-1228 (-410 *2))) (-4 *2 (-1228 *3))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (|has| *6 (-6 -4572)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4572)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-679 *4 *5 *6)) (-4 *10 (-679 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2756 *4) (|:| -2402 (-569))))) (-4 *4 (-1093)) (-5 *2 (-1 *4)) (-5 *1 (-1019 *4))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1119 *3 *5)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *2 *2 *2) (-12 (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *2)) (-4 *2 (-952 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *6 *4 *5)) (-5 *1 (-914 *4 *5 *6 *2)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-302)) (-5 *1 (-914 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1161 *7))) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-1161 *7)) (-5 *1 (-914 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-919))) ((*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1078 *2))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *2 (-1093)) (-5 *1 (-1177 *3 *2)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-889 *3)) (|:| |den| (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1101 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *2 (-1102 *3 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-66 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-68 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124) (-690))) (-5 *1 (-69 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124) (-3124 (QUOTE X) (QUOTE HESS)) (-690)))) (-5 *1 (-70 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE XC)) (-690))) (-5 *1 (-71 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-76 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-79 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE EPS)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE EPS)) (-3124 (QUOTE YA) (QUOTE YB)) (-690)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1165)) (-14 *4 (-1165)) (-14 *5 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-82 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124) (-3124 (QUOTE X)) (-690))) (-5 *1 (-83 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE XC)) (-690)))) (-5 *1 (-84 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-85 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124) (-3124 (QUOTE X)) (-690)))) (-5 *1 (-86 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-87 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X) (QUOTE -2866)) (-3124) (-690)))) (-5 *1 (-88 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-89 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124) (-690)))) (-5 *1 (-90 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690)))) (-5 *1 (-91 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-338 (-3124 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-3124) (-690)))) (-5 *1 (-92 *3)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-3124 (QUOTE X)) (-3124 (QUOTE -2866)) (-690))) (-5 *1 (-94 *3)) (-14 *3 (-1165)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)))) ((*1 *1 *2) (-12 (-5 *2 (-1130 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-765)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-410 (-955 *4))))) (-5 *1 (-182 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))) (-5 *1 (-206 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 10)) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-919))) (-5 *1 (-234 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-919))) (-4 *3 (-1049)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-311 *4))) (-4 *4 (-13 (-844) (-559) (-610 (-382)))) (-5 *2 (-1085 (-382))) (-5 *1 (-252 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) ((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1237 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4) (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-329)))) ((*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1275 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-1266 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-690))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) ((*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-685)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-690)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-692)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1165)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-14 *5 (-635 (-1165))) (-14 *6 (-1169)))) ((*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-844) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) ((*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-844) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-1049)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-437)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-440)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-690))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1169)) (|:| -2200 (-635 (-329))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 *3)))) (-4 *3 (-173)) (-14 *6 (-1253 (-681 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1006 16)) (-5 *1 (-498)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *1 *2) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-512)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-738 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1271 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-738 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-669 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-960 (-960 (-960 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-692))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-690))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-685)))) ((*1 *1 *2) (-12 (-5 *2 (-692)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-690)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-692))) (-5 *1 (-692)))) ((*1 *1 *2) (-12 (-5 *1 (-694 *2)) (-4 *2 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-5 *1 (-705 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-1093)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -1333 *3) (|:| -3190 *4))) (-4 *3 (-844)) (-4 *4 (-1093)) (-5 *1 (-705 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-4 *3 (-1049)) (-4 *4 (-718)) (-5 *1 (-727 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-736 *3 *4))) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))) (-5 *1 (-735 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *4)) (-4 *4 (-1049)) (-5 *1 (-736 *3 *4)) (-14 *3 (-1165)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-736 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-5 *1 (-736 *3 *2)) (-14 *3 (-1165)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-757)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-763)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-763)))) ((*1 *2 *3) (-12 (-5 *2 (-768)) (-5 *1 (-767 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-4 *2 (-897 *3)) (-5 *1 (-814 *3 *2 *4)) (-4 *3 (-1093)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1093)) (-14 *4 *3) (-5 *1 (-814 *3 *2 *4)) (-4 *2 (-897 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-821)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-835)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-835)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-849 *3 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-855 *3 *4 *5 *6)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-955 *3)) (-5 *1 (-855 *3 *4 *5 *6)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))) (-14 *5 (-635 (-765))) (-14 *6 (-765)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-872)))) ((*1 *1 *2) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-816 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-895)))) ((*1 *2 *1) (-12 (-5 *2 (-1186 *3)) (-5 *1 (-898 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-902 *3))) (-4 *3 (-1093)) (-5 *1 (-901 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-912 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302)))) ((*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-917 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1258)) (-5 *1 (-1035 *3)) (-4 *3 (-1199)))) ((*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1035 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-1044 *3)) (-4 *3 (-559)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-681 *5)) (-5 *1 (-1053 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-1049)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-681 *4)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1132)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1163 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1164)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1165)))) ((*1 *2 *1) (-12 (-5 *2 (-1173 (-1165) (-440))) (-5 *1 (-1169)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1172 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (-12 (-5 *2 (-1180)) (-5 *1 (-1179 *3)) (-4 *3 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1180)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *3)) (-4 *3 (-1049)) (-5 *1 (-1194 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-960 *3)) (-4 *3 (-1199)) (-5 *1 (-1197 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1225 (QUOTE |x|) *3)) (-4 *3 (-1049)) (-5 *1 (-1210 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1214 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1087 *3)) (-4 *3 (-1199)) (-5 *1 (-1219 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *3)) (-14 *3 (-1165)) (-5 *1 (-1225 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *1 (-1235 *3 *2)) (-4 *2 (-1212 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3) (-5 *1 (-1244 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-1225 *4 *3)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1254)))) ((*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1254)) (-5 *1 (-1257)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-1258)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-952 *3 *5 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *2 *1) (-12 (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-1263 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *1 *2) (-12 (-4 *1 (-1265 *2)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-1271 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-840))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1185)))) ((*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1264 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1264 *5 *6 *7 *8))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-571 *5 *2 *6)) (-4 *6 (-1093))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-371)) (-4 *1 (-328 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-681 *3)) (|:| |invmval| (-681 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
+(((*1 *1 *2 *2 *1) (|partial| -12 (-5 *2 (-130)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-1 *3 *3)) (-4 *3 (-1228 *6)) (-4 *6 (-13 (-366) (-151) (-1039 *4))) (-5 *4 (-569)) (-5 *2 (-3 (|:| |ans| (-2 (|:| |ans| *3) (|:| |nosol| (-121)))) (|:| -4399 (-2 (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (-5 *1 (-1017 *6 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1) (-5 *1 (-820)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-714)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-718)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *3 (-569)) (-4 *1 (-865 *4))))) 
+(((*1 *1 *1 *1) (-4 *1 (-755)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1165)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4)))) ((*1 *2 *2 *3 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-765)) (-5 *1 (-348 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-860))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1256))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1039 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-844)) (-5 *1 (-1171 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |val| *1) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-889 *3)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1195 *2)) (-4 *2 (-977))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 (-635 (-919)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1199)) (-5 *2 (-635 *1)) (-4 *1 (-1012 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1147))) (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-291))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
 (((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -3519 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -3519 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1093))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1199)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 (-1253 (-569)))) (-5 *1 (-472))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *3 (-1228 *4)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1086 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1243 *4)) (-5 *1 (-1245 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
+(((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-342 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1161 *3)))) ((*1 *2) (-12 (-5 *2 (-960 (-1111))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *5 *6 *4)) (-4 *5 (-906)) (-4 *6 (-790)) (-4 *4 (-844)) (-5 *1 (-903 *5 *6 *4 *7))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-946 *4))) (-4 *1 (-1125 *4)) (-4 *4 (-1049)) (-5 *2 (-765))))) 
+(((*1 *2) (-12 (-5 *2 (-1173 (-1080 *3) (-1080 *3))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1161 *4)) (-5 *1 (-761 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-729 (-765))) (-5 *1 (-444 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-729 (-765))) (-5 *1 (-446 *4 *5))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1247 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1038 *4)) (-4 *3 (-302)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1247 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-203)) (-5 *3 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-764)) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-635 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-765)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-790)) (-4 *4 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-2 (|:| -3227 (-416 *4 (-410 *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |poly| *6) (|:| -2556 (-410 *6)) (|:| |special| (-410 *6)))) (-5 *1 (-719 *5 *6)) (-5 *3 (-410 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-893 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *4) (|partial| -12 (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-893 *3 *5)) (-4 *3 (-1228 *5)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (-12 (-5 *2 (-635 *9)) (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783))))) 
 (((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-989 (-410 (-569)) (-853 *3) (-233 *4 (-764)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-988 *3 *4))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-885 *4 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-982 *2)) (-4 *2 (-1048)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -1538 (-3 (-569) "failed")) (|:| -2599 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162)))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-263 *3)) (-4 *3 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-896 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1163)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-680 (-311 (-569)))))))) (-5 *1 (-1032))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1028 *5 *6 *7 *3))) (-5 *1 (-1028 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-635 (-1132 *5 *6 *7 *3))) (-5 *1 (-1132 *5 *6 *7 *3)) (-4 *3 (-1062 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1011 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *6 *3) (-12 (-5 *5 (-635 (-635 (-3 (|:| |array| *6) (|:| |scalar| *3))))) (-5 *4 (-635 (-3 (|:| |array| (-635 *3)) (|:| |scalar| (-1163))))) (-5 *6 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400)))) ((*1 *2 *3 *4 *5 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *5 (-1166)) (-5 *3 (-1163)) (-5 *2 (-1095)) (-5 *1 (-400))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-519 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-843))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-973))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3)))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-735 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *1 (-965 *3 *2)) (-4 *2 (-138)) (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1159 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-973)) (-4 *2 (-138)) (-5 *1 (-1165 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1219 *4 *3)) (-14 *4 (-1163)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-1194))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *2 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *2 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-243 *5 *4)) (-5 *3 (-569)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-972 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-635 (-2 (|:| |func| *2) (|:| |pole| (-121))))) (-4 *2 (-13 (-433 *4) (-1003))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-273 *4 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *9 (-642 *5)) (-4 *10 (-921 *5 *9)) (-4 *11 (-537 *5 *6 *3 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (-4 *4 (-259 *11))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1247 *5)) (-5 *1 (-630 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 *5)) (-3864 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1247 (-410 *5))) (-5 *1 (-630 *5 *4))))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-818)) (-5 *1 (-817))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-836 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-542))))) 
-(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-901 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-590)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-901 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-590))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-1091)) (-4 *2 (-896 *4)) (-5 *1 (-682 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1163))) (-4 *2 (-13 (-433 (-170 *5)) (-1003) (-1183))) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1003) (-1183)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1) (|partial| -4 *1 (-1137)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1048)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-773 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1247 *4)) (|:| |den| *4)))))) 
-(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-853 *4)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -3585 *1) (|:| -3230 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1191 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-67 *3)) (-14 *3 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-74 *3)) (-14 *3 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-77 *3)) (-14 *3 (-1163)))) ((*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1252)))) ((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-400)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -3275 (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| -3698 (-1159 *9)) (|:| |polval| (-1159 *8)))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9)) (-5 *4 (-1159 *8))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1 *1) (-5 *1 (-542)))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-394))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-130)))) ((*1 *2 *3) (-12 (-4 *5 (-13 (-610 *2) (-173))) (-5 *2 (-888 *4)) (-5 *1 (-171 *4 *5 *3)) (-4 *4 (-1091)) (-4 *3 (-167 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1085 (-836 (-382))))) (-5 *2 (-635 (-1085 (-836 (-216))))) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-382)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-421 *1)) (-4 *1 (-433 *3)) (-4 *3 (-559)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-469 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1095)) (-5 *1 (-542)))) ((*1 *2 *1) (-12 (-4 *1 (-610 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1059)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *5 (-610 (-1163))) (-4 *4 (-789)) (-4 *5 (-843)))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1065 *4 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1076)))) ((*1 *1 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *2 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *2 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1100 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1145)) (-5 *1 (-1131 *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-851)) (-5 *3 (-569)) (-5 *1 (-1178)))) ((*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *5))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-776 *4 (-853 *6))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-776 *4 (-853 *6))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-954 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-1159 (-1024 (-410 *4)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6)))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-776 *4 (-853 *6)))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-973)) (-5 *3 (-635 (-569)))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-272))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1252)) (-5 *1 (-394)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-394))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5)) (-5 *1 (-673 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-841)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-101 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1145)) (-5 *1 (-57))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4))))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -1410 (-765)) (|:| |period| (-765)))) (-5 *1 (-1145 *4)) (-4 *4 (-1199)) (-5 *3 (-765))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *2 (-1093)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 (-681 (-410 (-955 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-681 (-410 (-955 *4))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1080 *2)) (-4 *2 (-13 (-844) (-559)))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-4 *7 (-1228 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-608 *4)) (-4 *4 (-844)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-883 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-884 *5 *6 *4)) (-4 *4 (-610 (-889 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-760 *3 *4)) (-4 *3 (-700 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *1) (-5 *1 (-800)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *2)) (|:| |logand| (-1161 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-440)) (-5 *1 (-1169))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1008))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-416 *3 *4 *5 *6)) (-4 *6 (-1039 *4)) (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *6 (-412 *4 *5)) (-14 *7 (-1253 *6)) (-5 *1 (-417 *3 *4 *5 *6 *7)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-412 *4 *5)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-417 *3 *4 *5 *6 *7)) (-14 *7 *2)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-928))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1206))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3550 *3) (|:| -3558 *4)))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1145 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *6 (-635 (-257))) (-5 *2 (-1258)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-382))) (-5 *5 (-1147)) (-5 *2 (-1258)) (-5 *1 (-457))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1253 (-690))) (-5 *1 (-300))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -3402 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-569)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-13 (-559) (-844) (-1039 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1108 *6 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-837 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1165)) (-5 *5 (-1147)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1109 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1182 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-804 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-203)) (-5 *3 (-1165)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-765)) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-681 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-681 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-837 *4)) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
+(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-732 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-844)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-983 *3)) (-4 *3 (-1049)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-919))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-14 *5 (-996 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-718)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-311 *4)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *2 (-952 *4 (-535 *5) *5)) (-5 *1 (-1117 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-955 *4)) (-5 *1 (-1194 *4)) (-4 *4 (-1049))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-673 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-243 *5 *6))) (-4 *6 (-454)) (-5 *2 (-243 *5 *6)) (-14 *5 (-635 (-1165))) (-5 *1 (-623 *5 *6))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-852)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1254)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1147)) (-5 *1 (-1255)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297)))) ((*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-314)) (-5 *3 (-216))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-3 (-1161 *4) (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111))))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
+(((*1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1193 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-844)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1171 *6)) (-5 *5 (-635 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-474)) (-5 *1 (-1257)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1257))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-716 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1228 *5)) (-5 *2 (-681 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3))))) ((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5))))) 
 (((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 (-440))))) (-5 *1 (-1167))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-1247 (-311 (-382)))) (-5 *1 (-300))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (-5 *1 (-106 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2478 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-718 *5 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| -2626 (-569)) (|:| -1475 (-569)) (|:| -4268 (-569)) (|:| |reste| (-569)) (|:| -1612 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-773 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-764)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-925 *5 *6 *7 *8))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *2 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
-(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -3930 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -3930 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *2 (-635 *6)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *7 (-896 *6)) (-5 *2 (-680 *7)) (-5 *1 (-682 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *2 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1222 *5))))) 
-(((*1 *1) (-5 *1 (-819)))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-437)) (-4 *5 (-843)) (-5 *1 (-1097 *5 *4)) (-4 *4 (-433 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1151 3 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-854 *4 *5 *6 *7)) (-4 *4 (-1048)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-14 *8 (-635 *5)) (-5 *2 (-1252)) (-5 *1 (-1257 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-951 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *4))) (-5 *3 (-1159 *4)) (-4 *4 (-905)) (-5 *1 (-656 *4))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-1057)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *1 (-256 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-257)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1163)) (-5 *2 (-57)) (-5 *1 (-466))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-689)) (-5 *1 (-300))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-382)) (-5 *1 (-781 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-674 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1038 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1222 (-170 (-569)))) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *4 (-216)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 *4)))) (|:| |xValues| (-1085 *4)) (|:| |yValues| (-1085 *4)))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 *4))))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-1159 *8)) (-5 *1 (-319 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2)))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-121)) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-5 *2 (-1252)) (-5 *1 (-1199 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -2316 (-765)) (|:| |curves| (-765)) (|:| |polygons| (-765)) (|:| |constructs| (-765))))))) 
+(((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-542))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-102)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-206 (-512))) (-5 *1 (-832))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-2 (|:| |totdeg| (-765)) (|:| -2665 *3)))) (-5 *4 (-765)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-451 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1181))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-844)) (-5 *1 (-932 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1147)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-1080 *4)))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1080 *4))) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559))))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-952 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1169))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-734 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-421 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-982 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1231 *4 *3)) (-4 *3 (-13 (-1228 *4) (-559) (-10 -8 (-15 -3964 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-1134 *4 (-535 (-854 *6)) (-854 *6) (-777 *4 (-854 *6))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165)))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *5)) (-4 *5 (-1228 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3455 (-1145 *4)) (|:| -3460 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *6 (-790)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -3139 (-1161 *9)) (|:| -3190 (-569))))))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-952 *4 *6 *5)) (-5 *1 (-926 *4 *5 *6 *2)) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-765))) (-4 *9 (-325 (-410 *7) (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *9)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-635 (-765))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-765))) (-5 *2 (-681 (-1161 *7))) (-5 *1 (-347 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-765) (-765) *8)) (-5 *5 (-1253 *8)) (-5 *6 (-765)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1145 (-681 (-1161 *7)))) (-5 *1 (-347 *7 *8))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |radicand| (-410 *5)) (|:| |deg| (-765)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-1087 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1153 3 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-635 *6)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1258)) (-5 *1 (-1206))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-963 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1183))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1161 *1)) (-4 *1 (-1014))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *1) (-5 *1 (-148))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *2 (-325 *5 *7)) (-5 *1 (-119 *5 *6 *2 *7 *4)) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *4 (-117))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-948 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-990 (-410 (-569)) (-854 *3) (-233 *4 (-765)) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-989 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-855 *4 *5 *6 *7)) (-4 *4 (-1049)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 *3)) (-14 *7 *3))) ((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-14 *8 (-635 *5)) (-5 *2 (-1258)) (-5 *1 (-1263 *4 *5 *6 *7 *8 *9 *10)) (-4 *7 (-952 *4 *6 *5)) (-14 *9 (-635 *3)) (-14 *10 *3)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-854 *5))) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-842)) (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-948 *4 *5)) (-4 *5 (-1228 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1161 *7)) (-5 *3 (-569)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-1246 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1243 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1147)) (-5 *1 (-823 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-819)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-819)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-825) (-844) (-1049))) (-5 *2 (-1258)) (-5 *1 (-823 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-825)) (-5 *2 (-1147)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-825)) (-5 *3 (-121)) (-5 *2 (-1147)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *2 (-1258)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-825)) (-5 *3 (-819)) (-5 *4 (-121)) (-5 *2 (-1258))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-4 *4 (-454)) (-5 *2 (-635 (-3 (-410 (-955 *4)) (-1154 (-1165) (-955 *4))))) (-5 *1 (-287 *4))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-1109)) (-5 *2 (-121)) (-5 *1 (-817))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-817))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-113)))) ((*1 *2 *1) (-12 (-4 *1 (-139)) (-5 *2 (-764)))) ((*1 *2 *3 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-569)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-569)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569)) (-5 *3 (-143)))) ((*1 *2 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) ((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-962 *3)) (-4 *3 (-551)))) ((*1 *2 *1) (-12 (-4 *1 (-1202)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4536)) (-4 *1 (-1011 *3)) (-4 *3 (-1197))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1048)) (-5 *1 (-705 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-173)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *2 (-635 (-1145))) (-5 *1 (-264))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *7))) (-5 *3 (-1159 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-902 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-905)) (-5 *1 (-903 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1197))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-1163))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *2 (-951 *3 *5 (-853 *4))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-5 *1 (-868 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5))))) (-5 *1 (-980 *5)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-329))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-439))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1000 *3)) (-4 *3 (-173)) (-5 *1 (-795 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-1048)) (-4 *1 (-1222 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-843)) (-4 *4 (-843))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1250))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-1048)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764))))) 
-(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1191 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1016 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1161 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 (QUOTE |x|) *4)) (-5 *1 (-1204 *4)) (-4 *4 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1238 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1219 *5 *4)) (-5 *1 (-1242 *4 *5)) (-4 *4 (-1048)) (-14 *5 (-1163))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-1048)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *1 (-980 *5 *6 *7 *8))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-1208)) (-5 *1 (-152 *2 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-860)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1228 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1161 *3)) (-5 *1 (-1174 *3)) (-4 *3 (-366))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1253 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-1253 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-681 *5))) (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-1253 *5)) (-5 *1 (-1079 *5))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *4))) (-5 *3 (-1161 *4)) (-4 *4 (-906)) (-5 *1 (-656 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-844)) (-5 *1 (-1171 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-121)) (-5 *1 (-257))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-1228 *4)) (-5 *1 (-806 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *1 (-806 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-257)))) ((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-569))) (-5 *1 (-1278 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-765))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1165)) (-5 *1 (-542)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-696 *3)) (-4 *3 (-610 (-542)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-960 (-1161 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1161 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-1219 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1068 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1066 *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (-12 (-5 *5 (-2 (|:| |done| (-635 *11)) (|:| |todo| (-635 (-2 (|:| |val| *3) (|:| -4320 *11)))))) (-5 *6 (-765)) (-5 *2 (-635 (-2 (|:| |val| (-635 *10)) (|:| -4320 *11)))) (-5 *3 (-635 *10)) (-5 *4 (-635 *11)) (-4 *10 (-1063 *7 *8 *9)) (-4 *11 (-1102 *7 *8 *9 *10)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-5 *1 (-1133 *7 *8 *9 *10 *11))))) 
+(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-919)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-830 (-919))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-4 *1 (-900 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1024)) (-5 *5 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-4 *1 (-1058)) (-5 *2 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-898 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-709 (-410 (-569))))) (-14 *6 (-919))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-765)) (-5 *2 (-1258))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-685))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-692))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-690))) (-5 *1 (-329)))) ((*1 *1) (-5 *1 (-329)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 *5)))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 *5))))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1120 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-4 *4 (-13 (-302) (-844) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1120 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-967 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-681 *4)) (-4 *5 (-647 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-1 *4 (-635 *4)))) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1093)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-1 *4 (-635 *4)))) (-5 *1 (-122 *4)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 (-765) *2)) (-5 *4 (-765)) (-4 *2 (-1093)) (-5 *1 (-670 *2)))) ((*1 *2 *2) (-12 (-5 *2 (-1 *3 (-765) *3)) (-4 *3 (-1093)) (-5 *1 (-673 *3))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-983 *2)) (-4 *2 (-1049)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-919)) (-5 *1 (-1034 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 * ($ $ $)))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *1) (-5 *1 (-820)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *4) (|:| -4144 (-569))))))) (-4 *4 (-1228 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *3 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-956 *5 *6 *7 *3 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*3 $)) (-15 -3524 (*3 $)) (-15 -3956 ($ *3)))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *4 (-635 (-1165))) (-5 *2 (-681 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-897 *5)) (-5 *2 (-681 *6)) (-5 *1 (-683 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-765)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-765))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-922 *3 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *2 *3) (-12 (-5 *3 (-421 *4)) (-4 *4 (-559)) (-5 *2 (-635 (-2 (|:| -3550 (-765)) (|:| |logand| *4)))) (-5 *1 (-317 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *1) (-12 (-5 *2 (-657 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1185) (-29 *4)))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-635 (-765))))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 (-765)))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-492))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-474)) (-5 *1 (-1254))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-326 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *4 (-973 *6)) (-4 *10 (-922 *6 *9))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-844)) (-5 *1 (-578 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5)) (-4 *4 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-4 *2 (-1049)) (-5 *1 (-910 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *7)) (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *1 (-926 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 *3)) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) *3 *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) *3 (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1165)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *2)) (-2 (|:| -1333 *5) (|:| -3190 *2)))) (-4 *2 (-231 (-2946 *3) (-765))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *4 *2 (-854 *3)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-765))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-2 (|:| -2713 (-3 (-569) "failed")) (|:| -4004 (-3 (-569) "failed")) (|:| |ker| (-608 *5)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *1) (-4 *1 (-351)))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-816 *4)) (-4 *4 (-844)) (-4 *1 (-1268 *4 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-216))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-690)) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1045 *3))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1275 *4 *2)) (-4 *1 (-377 *4 *2)) (-4 *4 (-844)) (-4 *2 (-173)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-816 *4)) (-4 *1 (-1268 *4 *2)) (-4 *4 (-844)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1049)) (-5 *1 (-1274 *2 *3)) (-4 *3 (-840))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-131 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-29 *4)))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1253 (-410 (-569)))) (-5 *1 (-1278 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1124 (-216))) (-5 *1 (-253 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1253 *5))) (-5 *4 (-569)) (-5 *2 (-1253 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *4 *5 *6 *3)) (-4 *3 (-952 *6 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-583))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-121)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1254)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 (-1 (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 (-946 (-216)) (-216) (-216))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 (-1 (-216) (-216) (-216)))) (-5 *4 (-1087 (-382))) (-5 *2 (-1255)) (-5 *1 (-249)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-1165)) (-5 *5 (-635 (-257))) (-4 *7 (-433 *6)) (-4 *6 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-1254)) (-5 *1 (-250 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1254)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-875 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-875 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1254)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-877 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-877 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1085 (-382))) (-5 *2 (-1255)) (-5 *1 (-253 *3)) (-4 *3 (-13 (-610 (-542)) (-1093))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-879 *6)) (-5 *4 (-1085 (-382))) (-5 *5 (-635 (-257))) (-4 *6 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *6)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-879 *5)) (-5 *4 (-1085 (-382))) (-4 *5 (-13 (-610 (-542)) (-1093))) (-5 *2 (-1255)) (-5 *1 (-253 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-635 (-257))) (-5 *2 (-1254)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-1255)) (-5 *1 (-254)))) ((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-635 (-257))) (-5 *2 (-1255)) (-5 *1 (-254))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-136 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-635 (-1145 *4)))) (-5 *1 (-1245 *4 *5))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *3 (-973 *6)) (-4 *10 (-922 *6 *9))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -3417 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1228 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-765)) (-4 *5 (-844)) (-5 *1 (-608 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-4 *2 (-302)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3))))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)))) ((*1 *2 *1) (-12 (-4 *4 (-173)) (-4 *2 (|SubsetCategory| (-718) *4)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1039 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1161 *3)) (|:| |logand| (-1161 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *3 (-302)) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-1253 *6)) (-5 *1 (-416 *3 *4 *5 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))))) ((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *3 (-844)) (-5 *2 (-1116 *3 (-608 *1))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1116 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-43 *3)) (-5 *1 (-614 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) ((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-709 *3)) (-5 *1 (-653 *2 *3 *4)) (-4 *4 (|SubsetCategory| (-718) *3)))) ((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| |radval| (-311 (-569))) (|:| |radmult| (-569)) (|:| |radvect| (-635 (-681 (-311 (-569)))))))) (-5 *1 (-1033))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-837 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *1 *1) (-4 *1 (-1132)))) 
+(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-889 *6))) (-5 *5 (-1 (-886 *6 *8) *8 (-889 *6) (-886 *6 *8))) (-4 *6 (-1093)) (-4 *8 (-13 (-1049) (-610 (-889 *6)) (-1039 *7))) (-5 *2 (-886 *6 *8)) (-4 *7 (-13 (-1049) (-844))) (-5 *1 (-944 *6 *7 *8))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1037)) (-5 *1 (-743)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-957)) (-5 *2 (-635 (-635 (-946 (-216))))))) ((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-635 (-635 (-946 (-216)))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-765)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1071 *3 *4 *5))) (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1072 *3 *4 *5))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *3))) (-5 *1 (-1029 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1068 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *3))) (-5 *1 (-1134 *5 *6 *7 *3)) (-4 *3 (-1063 *5 *6 *7))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-952 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-1095 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-635 *4))) (-5 *1 (-901 *4)) (-5 *3 (-635 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1093)) (-5 *2 (-1095 (-1095 *4))) (-5 *1 (-901 *4)) (-5 *3 (-1095 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-973 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *2 (-897 *5)) (-5 *1 (-683 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1228 *5)) (-4 *6 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1228 *4)) (-4 *5 (-13 (-407) (-1039 *4) (-366) (-1185) (-280)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-797)) (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1037))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1049)) (-5 *1 (-706 *4 *2)) (-4 *2 (-638 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-765)) (-4 *5 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *1 (-516 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -3190 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 (-765))))) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1058)) (-4 *3 (-1185)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5)) (-4 *9 (-922 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *1 *1) (-4 *1 (-1188)))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-410 (-569))) (-5 *1 (-382))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1228 (-569))) (-5 *1 (-497 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-594 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1212 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1243 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-912 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-635 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-5 *2 (-1165)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
+(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
 (((*1 *2 *2) (|partial| -12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-918)) (-4 *5 (-559)) (-5 *2 (-680 *5)) (-5 *1 (-957 *5 *3)) (-4 *3 (-647 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1091)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-967 *2 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1258)) (-5 *1 (-465))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *1)) (-5 *4 (-1253 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -4463 (-681 *5)) (|:| |vec| (-1253 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-681 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1049)) (-5 *2 (-681 *4))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1161 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1093))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1145 *3)) (-4 *3 (-1093)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-185))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -2303 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1153 3 (-216))) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-307))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-929)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-929)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-946 (-216))))) (|:| |xValues| (-1087 (-216))) (|:| |yValues| (-1087 (-216))))) (-5 *1 (-157))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *6 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569)))) ((*1 *1 *1) (-4 *1 (-1004))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1014)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1014)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-1014)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1190 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-4 *1 (-1185)))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5)))))) 
+(((*1 *2) (-12 (-5 *2 (-837 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-837 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *1 *1) (-4 *1 (-1058)))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-1049)) (-5 *2 (-681 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1243 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1214 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1212 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1235 *3 *4)) (-4 *5 (-986 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1150 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1151 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *4 (-709 (-410 (-569)))) (-4 *3 (-844)) (-4 *4 (-173))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-1049)) (-4 *6 (-952 *5 *4 *2)) (-4 *2 (-844)) (-5 *1 (-953 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *6)) (-15 -3515 (*6 $)) (-15 -3524 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-1165)) (-5 *1 (-1044 *4))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1228 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-718)) (-5 *2 (-765)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1080 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1105)) (-5 *2 (-919))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1251 *3)) (-4 *3 (-23)) (-4 *3 (-1199))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1111)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-1174 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-765)) (-5 *2 (-410 (-1161 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1225 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1165)) (-4 *5 (-366)) (-5 *1 (-921 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1161 *5)) (-5 *1 (-921 *4 *5)) (-14 *4 (-1165)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-765)) (-4 *6 (-366)) (-5 *2 (-410 (-955 *6))) (-5 *1 (-1050 *5 *6)) (-14 *5 (-1165))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-952 *4 *3 *5))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1199)) (-4 *3 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1199)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *2 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-924 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-237 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) ((*1 *1 *1) (-12 (-14 *2 (-635 (-1165))) (-4 *3 (-173)) (-4 *5 (-231 (-2946 *2) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-5 *1 (-464 *2 *3 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *3 *5 (-854 *2))))) ((*1 *1 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1049)) (-4 *3 (-718)))) ((*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *5 (-1039 (-53))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1161 (-53)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-952 *3 *5 (-854 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-886 *4 *5)) (-5 *3 (-886 *4 *6)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-659 *5)) (-5 *1 (-882 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-919)) (-4 *5 (-559)) (-5 *2 (-681 *5)) (-5 *1 (-958 *5 *3)) (-4 *3 (-647 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-924 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-776 *5)) (-5 *1 (-870 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *9 (-922 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-642 *5)) (-5 *1 (-873 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *8 (-973 *5)) (-4 *4 (-922 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *2 (-642 *6)) (-5 *1 (-873 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *9 (-973 *6)) (-4 *4 (-922 *6 *2))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1253 (-681 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-410 (-955 *5))))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-410 (-955 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-4 *5 (-366)) (-5 *2 (-1253 (-681 (-955 *5)))) (-5 *1 (-1079 *5)) (-5 *4 (-681 (-955 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-5 *2 (-1253 (-681 *4))) (-5 *1 (-1079 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-919)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-765)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-765)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-862)) (-5 *1 (-857 *3)) (-14 *3 *2)))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-777 *4 (-854 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1165))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-700 *3)) (-5 *1 (-824 *2 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093))))) 
+(((*1 *1) (-5 *1 (-1254)))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *3 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-830 (-216))) (-5 *1 (-218)) (-5 *4 (-216))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351)))) ((*1 *1) (-4 *1 (-371))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-5 *1 (-569))) ((*1 *1 *1) (-5 *1 (-765))) ((*1 *2 *1) (-12 (-5 *2 (-902 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-551)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| -2859 (-123)) (|:| |arg| (-635 (-889 *3))))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1049)) (-5 *1 (-1149 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1029 *5 *6 *7 *8))))) (-5 *1 (-1029 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1134 *5 *6 *7 *8))))) (-5 *1 (-1134 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-850 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-852))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1256))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-1253 (-3 (-474) "undefined"))) (-5 *1 (-1254))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-128 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-602 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-1168))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *3 (-167 *6)) (-4 (-955 *6) (-883 *5)) (-4 *6 (-13 (-883 *5) (-173))) (-5 *1 (-177 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-886 *4 *1)) (-5 *3 (-889 *4)) (-4 *1 (-883 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-13 (-1093) (-1039 *3))) (-4 *3 (-883 *5)) (-5 *1 (-934 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-433 *6) (-610 *4) (-883 *5) (-1039 (-608 $)))) (-5 *4 (-889 *5)) (-4 *6 (-13 (-559) (-844) (-883 *5))) (-5 *1 (-935 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 (-569) *3)) (-5 *4 (-889 (-569))) (-4 *3 (-551)) (-5 *1 (-936 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1093)) (-4 *6 (-13 (-844) (-1039 (-608 $)) (-610 *4) (-883 *5))) (-5 *4 (-889 *5)) (-5 *1 (-937 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-882 *5 *6 *3)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-4 *3 (-659 *6)) (-5 *1 (-938 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-886 *6 *3) *8 (-889 *6) (-886 *6 *3))) (-4 *8 (-844)) (-5 *2 (-886 *6 *3)) (-5 *4 (-889 *6)) (-4 *6 (-1093)) (-4 *3 (-13 (-952 *9 *7 *8) (-610 *4))) (-4 *7 (-790)) (-4 *9 (-13 (-1049) (-844) (-883 *6))) (-5 *1 (-939 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-13 (-952 *8 *6 *7) (-610 *4))) (-5 *4 (-889 *5)) (-4 *7 (-883 *5)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-13 (-1049) (-844) (-883 *5))) (-5 *1 (-939 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 *3)) (-4 *5 (-1093)) (-4 *3 (-995 *6)) (-4 *6 (-13 (-559) (-883 *5) (-610 *4))) (-5 *4 (-889 *5)) (-5 *1 (-942 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-886 *5 (-1165))) (-5 *3 (-1165)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *1 (-943 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-889 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-886 *7 *9) *9 (-889 *7) (-886 *7 *9))) (-4 *7 (-1093)) (-4 *9 (-13 (-1049) (-610 (-889 *7)) (-1039 *8))) (-5 *2 (-886 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1049) (-844))) (-5 *1 (-944 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1185) (-433 *6) (-10 -8 (-15 -3956 ($ *7))))) (-4 *7 (-842)) (-4 *8 (-13 (-1230 *3 *7) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1147)) (-4 *9 (-986 *8)) (-14 *10 (-1165))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-170 (-216)))) (-5 *1 (-146)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1253 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1059 (-1025 *4) (-1161 (-1025 *4)))) (-5 *3 (-852)) (-5 *1 (-1025 *4)) (-4 *4 (-13 (-842) (-366) (-1023)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 (-542))) (-5 *1 (-542))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121)))) (-5 *1 (-1015 *8 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5))))) 
+(((*1 *1 *2 *3 *1 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1165))) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-1145 (-216))) (-5 *1 (-295))))) 
+(((*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-4 *1 (-714))) ((*1 *1) (-4 *1 (-718))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-1258))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-569)) (-5 *1 (-197))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-79 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-765)) (-4 *1 (-224 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-263 *3)) (-4 *3 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *1 *3) (-12 (-4 *2 (-366)) (-4 *2 (-897 *3)) (-5 *1 (-586 *2)) (-5 *3 (-1165)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-765))) (-4 *1 (-897 *4)) (-4 *4 (-1093)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-897 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-897 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *1 (-440))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1161 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-57)) (-5 *2 (-1258)) (-5 *1 (-828))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-5 *1 (-624)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) *4)) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) *4)) (-5 *4 (-765)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-973 *6)) (-4 *3 (-236 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-765)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-765)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-870 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *3 *4 *5)) (-4 (-859 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1248 (-569) -4542)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 *2)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *4) (|:| -3190 *5)) (-2 (|:| -1333 *4) (|:| -3190 *5)))) (-4 *2 (-173)) (-5 *1 (-464 *3 *2 *4 *5 *6 *7)) (-4 *4 (-844)) (-4 *7 (-952 *2 *5 (-854 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-519 *2 *3)) (-4 *3 (-844)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *2 (-1049)) (-5 *1 (-727 *2 *3)) (-4 *3 (-844)) (-4 *3 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *3 (-789)) (-4 *4 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844))))) 
+(((*1 *2 *3 *4 *5 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-739))))) 
+(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-681 *5)) (|:| |eqs| (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5)) (|:| -4399 *6) (|:| |rh| *5)))))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *6 (-647 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-810 *5 *6)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *2 (-705 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-844)) (-4 *8 (-952 *4 *6 (-854 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-718)) (-4 *2 (-844)) (-5 *1 (-727 *3 *2)) (-4 *3 (-1049)))) ((*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-257))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-382)) (-5 *1 (-1061))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *2 *3 *4 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1146)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1165))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *4)))))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-366)) (-5 *2 (-1161 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-842)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) ((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-569))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-995 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *5)) (-4 *5 (-995 *4)) (-4 *4 (-559)) (-5 *2 (-681 *4)) (-5 *1 (-684 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-995 *3)) (-5 *1 (-1221 *3 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-844) (-21)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1093)) (-4 *2 (-138))))) 
+(((*1 *1 *1) (-4 *1 (-239))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) ((*1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
 (((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-910 *3 *4)) (-4 *4 (-1222 (-410 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *3)) (-4 *3 (-1222 (-410 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-765))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-765)))) ((*1 *1 *1) (-4 *1 (-405)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1039 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *2 *5 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1219 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *8))) (-4 *8 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1049)) (-4 *1 (-1235 *4 *3)) (-4 *3 (-1212 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-58))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-635 *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-844) (-1039 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-569))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-569))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1049)) (-4 *1 (-1214 *4 *3)) (-4 *3 (-1243 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-673 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-67 *3)) (-14 *3 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-74 *3)) (-14 *3 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-77 *3)) (-14 *3 (-1165)))) ((*1 *2 *1) (-12 (-4 *1 (-398)) (-5 *2 (-1258)))) ((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-400)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-1126)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-852))) (-5 *2 (-1258)) (-5 *1 (-1126))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1161 *3) (-1161 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-844) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-4 *1 (-407)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *2 *6)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-765)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1219 (-765))) (-4 *7 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1165)) (-5 *5 (-289 *3)) (-5 *6 (-1219 (-765))) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1147)) (|:| |prob| (-1147)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-14 *6 (-1165)) (-14 *7 *3)))) 
+(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -3139 (-569)) (|:| -3190 (-569)))))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-745))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-394))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-765)) (-5 *4 (-1244 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1165)) (-14 *7 *5) (-5 *2 (-410 (-1225 *6 *5))) (-5 *1 (-864 *5 *6 *7))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *2 (-765) (-765) *7)) (-5 *4 (-1253 *7)) (-5 *5 (-765)) (-5 *6 (-1253 (-1161 *2))) (-4 *7 (-52 *2 *5)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-329))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *2 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569)))) (-5 *1 (-911 *3 *4)) (-4 *4 (-1228 (-410 *3))))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-635 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-844)) (-4 *3 (-1093))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-647 *3)) (-4 *3 (-1048)) (-4 *3 (-366)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-1048)) (-4 *2 (-1222 *4)) (-5 *1 (-446 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1159 (-311 *5)))) (-5 *3 (-1247 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-843))) (-5 *1 (-1119 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-945 *4))) (-5 *1 (-1194)) (-5 *3 (-945 *4))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-900 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-4 *1 (-864 *2))) ((*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1032))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (|has| *6 (-6 -4536)) (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *3) (-12 (|has| *9 (-6 -4536)) (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-994 *4)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)) (-5 *2 (-635 *6)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *10)) (-4 *3 (-678 *4 *5 *6)) (-4 *10 (-678 *7 *8 *9)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-635 *6)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-635 *7))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *3 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-635 *3)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (-4 *12 (-259 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-569)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-13 (-559) (-843) (-1038 *2) (-631 *2) (-454))) (-5 *2 (-569)) (-5 *1 (-1106 *6 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-836 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1163)) (-5 *5 (-1145)) (-4 *6 (-454)) (-5 *2 (-569)) (-5 *1 (-1107 *6)))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |den| (-569)) (|:| |gcdnum| (-569))))) (-4 *4 (-1222 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *2 (-121)) (-5 *1 (-56 *4)) (-4 *4 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1163)) (|:| |arrayIndex| (-635 (-954 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1163)) (|:| |rand| (-851)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1162)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1601 (-121)) (|:| -2247 (-2 (|:| |ints2Floats?| (-121)) (|:| -2252 (-851)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1145))) (|:| |callBranch| (-1145)) (|:| |forBranch| (-2 (|:| -4235 (-1083 (-954 (-569)))) (|:| |span| (-954 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1109)) (|:| |loopBranch| (-2 (|:| |switch| (-1162)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -1486 (-1163)) (|:| |contents| (-635 (-1163))))) (|:| |printBranch| (-635 (-851))))) (-5 *1 (-329))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (-569))))) (-4 *2 (-559)) (-5 *1 (-421 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |contp| (-569)) (|:| -1640 (-635 (-2 (|:| |irr| *4) (|:| -4245 (-569))))))) (-4 *4 (-1222 (-569))) (-5 *2 (-421 *4)) (-5 *1 (-444 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *5 *3 *6)) (-4 *3 (-1222 *5)) (-4 *6 (-13 (-407) (-1038 *5) (-366) (-1183) (-280))))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-569)) (-5 *1 (-445 *4 *3 *5)) (-4 *3 (-1222 *4)) (-4 *5 (-13 (-407) (-1038 *4) (-366) (-1183) (-280)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1206 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 (-569))) (-4 *1 (-1237 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1151 3 (-216))) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-307))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1109)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-851))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-851) (-635 (-851)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-397)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-397)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512)))) ((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-701)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1178)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1178))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-569)) (-5 *1 (-447 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-394))))) 
-(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *3 (-954 (-569))) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1083 (-954 (-569)))) (-5 *1 (-329))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-371))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-945 (-216)))) (-5 *1 (-1248))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-680 *4))) (-5 *3 (-918)) (|has| *4 (-6 (-4537 "*"))) (-4 *4 (-1048)) (-5 *1 (-1029 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-248 *3)))) ((*1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
-(((*1 *1) (-5 *1 (-474)))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-990 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| -12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *4) (|:| |ineq| (-635 *9)))) (-5 *1 (-1098 *6 *7 *8 *9 *4)) (-5 *3 (-635 *9)) (-4 *4 (-1067 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1163)) (-4 *5 (-433 *4)) (-4 *4 (-843)) (-5 *1 (-578 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *5) (-896 *5) (-162))) (-5 *5 (-1163)) (-4 *6 (-1048)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1025 *6 *7))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(((*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1222 (-569))) (-5 *2 (-2 (|:| -3930 (-680 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-680 (-569))))) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 (-569) *3)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-987 *3 *4 *5 *6)) (-4 *6 (-715 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -3930 (-680 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-680 *4)))) (-5 *1 (-1256 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *4)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-767)) (-5 *1 (-123))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-302)) (-5 *2 (-764)) (-5 *1 (-458 *5 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-954 *4)))) (-5 *1 (-1042 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-1252)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *9 (-231 (-4168 *7) (-764))) (-5 *2 (-2 (|:| |mult| (-764)) (|:| |subMult| (-764)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-815 *3)) (|:| |mm| (-815 *3)) (|:| |rm| (-815 *3)))) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *1 (-687))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1024 *3)) (-4 *3 (-13 (-841) (-366) (-1022))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2))))) 
-(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 (*2 $)) (-15 -3552 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-512))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *2)) (-5 *4 (-1163)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-843) (-559))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-4 *1 (-1013)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1159 *1)) (-5 *3 (-918)) (-5 *4 (-851)) (-4 *1 (-1013)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-4 *4 (-13 (-841) (-366))) (-4 *1 (-1064 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-436 *5 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-764))) (-14 *8 (-764)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-930 *5 *6 *7 *8 *4)) (-4 *4 (-972 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1163)) (-5 *4 (-836 *2)) (-4 *2 (-1125)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-123))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-148)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1145)) (-5 *1 (-99))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-853 *3)) (-14 *3 (-635 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-991)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1163)))) ((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2)))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-635 (-2 (|:| -1743 (-569)) (|:| -2356 (-569)))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-109))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *10)) (-5 *1 (-617 *5 *6 *7 *8 *9 *10)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *10 (-1102 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1134 *5 (-535 (-854 *6)) (-854 *6) (-777 *5 (-854 *6))))) (-5 *1 (-620 *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1029 *5 *6 *7 *8))) (-5 *1 (-1029 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-777 *5 (-854 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1046 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-121)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-635 (-1134 *5 *6 *7 *8))) (-5 *1 (-1134 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1193 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-391)) (-5 *2 (-1258)) (-5 *1 (-394)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-394))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-635 (-1165))) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-844)) (-5 *2 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-635 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1165))) (-5 *1 (-1044 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *2 (-635 *6)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 (-440))))) (-5 *1 (-1169))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1228 (-410 (-569)))) (-5 *1 (-911 *3 *2)) (-4 *2 (-1228 (-410 *3)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1237 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-844))) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-705 *3 *2 *4)) (-4 *3 (-844)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *2)) (-2 (|:| -1333 *3) (|:| -3190 *2))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-768)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1161 (-410 (-1161 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *4)) (-4 *4 (-1049)) (-4 *1 (-952 *4 *5 *3)) (-4 *5 (-790)) (-4 *3 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 *2))) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *2 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-5 *1 (-953 *5 *4 *6 *7 *2)) (-4 *7 (-952 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1161 (-410 (-955 *5))))) (-5 *4 (-1165)) (-5 *2 (-410 (-955 *5))) (-5 *1 (-1044 *5)) (-4 *5 (-559))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1097)) (-5 *2 (-1258)) (-5 *1 (-102))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
+(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-919)) (-4 *2 (-366)) (-14 *5 (-996 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-705 *5 *6 *7)) (-4 *5 (-844)) (-4 *6 (-231 (-2946 *4) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-952 *2 *6 (-854 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1228 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-700 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-727 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-718)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-765))) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *2)) (-4 *4 (-1049)) (-4 *2 (-844)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-765))) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-765)) (-4 *1 (-952 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *2 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-976 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-789)) (-4 *6 (-844)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-976 *4 *3 *2)) (-4 *4 (-1049)) (-4 *3 (-789)) (-4 *2 (-844))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
 (((*1 *2 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-121)) (-5 *1 (-555))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1113 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39))) (-4 *2 (-13 (-1091) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1068 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1099 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 *4)) (-5 *1 (-1105 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-1247 (-1247 *5))) (-5 *1 (-1030 *5)) (-5 *4 (-1247 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1231 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1145)))) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-841)) (-5 *1 (-298 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-764)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-945 *5)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1145)) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -3120 (-382)))) (-5 *7 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-569)) (-5 *1 (-235))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -2043 *5) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *7) (|:| |coeff| *7)) "failed") *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-1180 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5))))) 
-(((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |cycle?| (-121)) (|:| -3968 (-764)) (|:| |period| (-764)))) (-5 *1 (-1143 *4)) (-4 *4 (-1197)) (-5 *3 (-764))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-174 *3)) (-4 *3 (-302)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-843)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-982 *3)) (-4 *3 (-1048)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 *1)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-4 *1 (-715 *5 *6)) (-4 *5 (-173)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *5))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *1 (-515 *4 *5 *6 *2)) (-4 *2 (-951 *4 *5 *6)))) ((*1 *1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *2)) (-4 *2 (-951 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-1085 (-216))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 (-382)))) (-5 *1 (-1023)) (-5 *5 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-136 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-1172 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1252)) (-5 *1 (-465))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-1124)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-851))) (-5 *2 (-1252)) (-5 *1 (-1124))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687)))) ((*1 *2 *2 *3 *4 *4 *5) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1 (-945 (-216)) (-216) (-216))) (-5 *4 (-1085 (-216))) (-5 *5 (-635 (-257))) (-5 *1 (-687))))) 
-(((*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) ((*1 *2 *3 *2) (-12 (-4 *1 (-783)) (-5 *2 (-1036)) (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-216))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *3)))) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-841)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *5 *6)) (-4 *6 (-1222 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-635 *3)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-57))) (-5 *2 (-1252)) (-5 *1 (-852))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (-12 (-5 *2 (-569)) (-5 *3 (-121)) (-5 *4 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *1 (-117))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *7)) (-4 *7 (-843)) (-4 *5 (-905)) (-4 *6 (-789)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-902 *5 *6 *7 *8)) (-5 *4 (-1159 *8)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (-12 (-5 *2 (-954 (-569))) (-5 *3 (-1163)) (-5 *4 (-1085 (-410 (-569)))) (-5 *1 (-30))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |deg| (-764)) (|:| -1551 *5)))) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *2 (-635 *5)) (-5 *1 (-208 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| -1743 *5) (|:| -2492 (-569))))) (-5 *4 (-569)) (-4 *5 (-1222 *4)) (-5 *2 (-635 *5)) (-5 *1 (-686 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-918))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 (-1247 (-569)))) (-5 *3 (-918)) (-5 *1 (-472))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *1) (-5 *1 (-143)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-843)) (-4 *5 (-789)) (-4 *6 (-559)) (-4 *7 (-951 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1038 (-410 (-569))) (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1145)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-825))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-4 *4 (-1091)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1085 (-216))) (-5 *5 (-121)) (-5 *2 (-1249)) (-5 *1 (-251))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-764))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-843))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-764)) (-5 *1 (-218)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-764)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-918)) (-4 *3 (-366)) (-14 *4 (-995 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *1) (|partial| -4 *1 (-713))) ((*1 *1 *1) (|partial| -4 *1 (-717))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1093 (-1163))) (-5 *1 (-58)) (-5 *3 (-1163))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1091) (-1038 *5))) (-4 *5 (-882 *4)) (-4 *4 (-1091)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-933 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1199 *2)) (-4 *2 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-1199 *2))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-680 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *5 (-1222 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *7 *2)) (-4 *6 (-1048)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1046))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-740))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-694 *3)) (-4 *3 (-610 (-542)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-945 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-972 *4)) (-4 *3 (-236 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-243 *6 (-858 *5)))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1564)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-172))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-569)) (-5 *1 (-1180 *4)) (-4 *4 (-1048))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1036)) (-5 *1 (-739))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-440))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1109)) (-5 *4 (-959 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *1 (-564))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-765)) (-854 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1165))) (-14 *4 (-765)) (-5 *1 (-516 *3 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1119 *3 *2)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-1096 *3 *4 *5 *6 *7))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1161 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-1253 *4))) (-4 *4 (-1049)) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-647 *3)) (-4 *3 (-1049)) (-4 *3 (-366)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-650 *5 *2)) (-4 *2 (-647 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-680 *2 *4 *5 *3)) (-4 *3 (-679 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4573 "*"))) (-4 *2 (-1049))))) 
 (((*1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-635 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-954 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4)))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1250)))) ((*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1250))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-802 *5 *6 *7 *4))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *2)) (-4 *2 (-952 *3 *5 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1199)) (-4 *1 (-231 *3 *4))))) 
+(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *2 (-173)) (-4 *4 (-231 (-2946 *5) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *3) (|:| -3190 *4)) (-2 (|:| -1333 *3) (|:| -3190 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-844)) (-4 *7 (-952 *2 *4 (-854 *5)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-844)) (-5 *1 (-932 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-311 (-569))) (-5 *1 (-933))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)) (-4 *3 (-173))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-765)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *1 (-800))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *3) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *3 (-790)) (-4 *6 (-952 *4 *3 *5)) (-4 *4 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *4 *3 *5 *6))))) 
+(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3)))))) 
+(((*1 *1 *1) (-4 *1 (-1058))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1230 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-5 *2 (-1253 *4)) (-5 *1 (-1166 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-1253 *3)) (-5 *1 (-1166 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-106 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-952 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *7 (-952 (-53) *6 *5)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-765))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-765))) (-5 *5 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *5 (-790)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-952 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-716 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1228 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-952 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1161 *7)) (-1161 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-952 *7 *6 *5)) (-5 *2 (-421 (-1161 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1161 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-689 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-351)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-689 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-722 *4 *5 *6 *3)) (-4 *3 (-952 (-955 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-725 *4 *5 *6 *3)) (-4 *3 (-952 (-410 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-952 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-844)) (-4 *5 (-790)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1009 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1042 *3)) (-4 *3 (-1228 (-410 (-955 (-569))))))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1074 *4 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 (-955 (-569))))) (-4 *5 (-13 (-366) (-151) (-716 (-410 (-955 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1076 *4 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-454)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-421 (-1161 (-410 *7)))) (-5 *1 (-1160 *4 *5 *6 *7)) (-5 *3 (-1161 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1208)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1145 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1145 *4)) (-4 *5 (-1243 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3483 (-765)) (|:| -3028 (-765)))) (-5 *1 (-765)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-816 *3) "failed")) (|:| |rm| (-3 (-816 *3) "failed")))) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-1049)) (-5 *1 (-1209 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-559)) (-5 *2 (-410 (-1161 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1161 *3)) (-4 *7 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1249 *5)) (-14 *5 (-1165)) (-4 *6 (-1049)) (-5 *2 (-1225 *5 (-955 *6))) (-5 *1 (-950 *5 *6)) (-5 *3 (-955 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-1161 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-1161 *1)) (-4 *1 (-952 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *5 *4)) (-5 *2 (-410 (-1161 *3))) (-5 *1 (-953 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $))))) (-4 *7 (-952 *6 *5 *4)) (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-1049)) (-5 *1 (-953 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-410 (-1161 (-410 (-955 *5))))) (-5 *1 (-1044 *5)) (-5 *3 (-410 (-955 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-818)) (-5 *2 (-57)) (-5 *1 (-828))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-1 (-586 *3) *3 (-1165))) (-5 *6 (-1 (-3 (-2 (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (-1165))) (-4 *3 (-280)) (-4 *3 (-621)) (-4 *3 (-1039 *4)) (-4 *3 (-433 *7)) (-5 *4 (-1165)) (-4 *7 (-610 (-889 (-569)))) (-4 *7 (-454)) (-4 *7 (-883 (-569))) (-4 *7 (-844)) (-5 *2 (-586 *3)) (-5 *1 (-578 *7 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-635 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-635 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *2 (-635 (-955 *4))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1278 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-155 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *3 (-635 (-1165))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-844)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1093)) (-5 *1 (-667 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-705 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-1165)) (|:| -3175 *4)))) (-4 *4 (-1093)) (-5 *1 (-886 *3 *4)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *3 *5))) (-5 *1 (-1128 *3 *5)) (-4 *3 (-13 (-1093) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4320 *5)))) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-635 (-1128 *4 *5))) (-5 *1 (-1128 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4320 *4))) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1128 *2 *3))) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))) (-5 *1 (-1129 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1129 *2 *3))) (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1154 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1103)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *5 (-765)) (-4 *6 (-1093)) (-4 *7 (-897 *6)) (-5 *2 (-681 *7)) (-5 *1 (-683 *6 *7 *3 *4)) (-4 *3 (-376 *7)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1710 *3) (|:| -3190 (-765)))) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-170 (-382))) (-5 *1 (-782 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 *5)))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-782 *5))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3 (-569))) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-101 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1093)) (-4 *4 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *5 *4 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-765)) (-14 *4 (-765)) (-4 *5 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1119 *4 *3)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1228 *5)) (-4 *4 (-716 *5 *7)) (-5 *2 (-2 (|:| -4463 (-681 *6)) (|:| |vec| (-1253 *5)))) (-5 *1 (-808 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569)))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -4079 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *6) "failed")) (|:| -4079 (-635 (-1253 *6))))) (-5 *1 (-810 *6 *7)) (-5 *4 (-1253 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-302)) (-4 *3 (-995 *2)) (-4 *4 (-1228 *3)) (-5 *1 (-416 *2 *3 *4 *5)) (-4 *5 (-13 (-412 *3 *4) (-1039 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-1258)) (-5 *1 (-235))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-410 (-955 *4))) (-5 *1 (-926 *4 *5 *6 *3)) (-4 *3 (-952 *4 *6 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-681 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1102 *5 *6 *7 *8)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-591 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-121)) (-5 *2 (-1147)) (-5 *1 (-57))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-564))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-1256)))) ((*1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-1256))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39))) (-4 *2 (-13 (-1093) (-39)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *2 (-559)) (-5 *1 (-972 *2 *4)) (-4 *4 (-1228 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))))) ((*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1185)))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-5 *2 (-1161 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-1049)) (-4 *2 (-1228 *4)) (-5 *1 (-446 *4 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-410 (-1161 (-311 *5)))) (-5 *3 (-1253 (-311 *5))) (-5 *4 (-569)) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-1121 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-919))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef1| (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1049) (-844))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1165)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 *4)) (-4 *4 (-341 *5 *6 *7)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-803 *5 *6 *7 *4))))) 
+(((*1 *2 *3 *2 *4 *5) (-12 (-5 *2 (-635 *3)) (-5 *5 (-919)) (-4 *3 (-1228 *4)) (-4 *4 (-302)) (-5 *1 (-463 *4 *3))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1027 *3 *2)) (-4 *2 (-647 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -4399 *3) (|:| -2859 (-635 *5)))) (-5 *1 (-1027 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1093)) (-4 *5 (-1199)) (-5 *1 (-887 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-889 *5)) (-5 *3 (-635 (-1165))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-887 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-4 *4 (-844)) (-5 *1 (-940 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1199)) (-5 *2 (-311 (-569))) (-5 *1 (-941 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-121)) (-5 *5 (-1095 (-765))) (-5 *6 (-765)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-121)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4320 *7)))) (-4 *6 (-1063 *3 *4 *5)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
+(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3964 (-779 *3)) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3964 *1) (|:| |coef2| *1))) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-635 (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-53))) (-5 *3 (-608 (-53))) (-5 *1 (-53)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-416 *3 *2 *4 *5)) (-4 *3 (-302)) (-4 *5 (-13 (-412 *2 *4) (-1039 *2))))) ((*1 *2 *1) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-995 *3)) (-5 *1 (-417 *3 *2 *4 *5 *6)) (-4 *3 (-302)) (-4 *5 (-412 *2 *4)) (-14 *6 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *2 (-13 (-407) (-1039 *5) (-366) (-1185) (-280))) (-5 *1 (-445 *5 *3 *2)) (-4 *3 (-1228 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-635 (-608 (-505)))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1161 (-505))) (-5 *3 (-608 (-505))) (-5 *1 (-505)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-919)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-716 *4 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-769 *4 *2 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (-12 (-5 *5 (-635 (-635 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 (-946 *4))) (-5 *1 (-1196)) (-5 *3 (-946 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1039 (-569))) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1049)) (-4 *1 (-297)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) ((*1 *2) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-681 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1228 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-716 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-955 *5)))) (-5 *4 (-1165)) (-5 *2 (-955 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 *4)))) (-5 *2 (-955 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *4 (-1165)) (-5 *2 (-955 (-170 (-410 (-569))))) (-5 *1 (-758 *5)) (-4 *5 (-13 (-366) (-842))))) ((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-410 (-569)))) (-5 *4 (-1165)) (-5 *2 (-955 (-410 (-569)))) (-5 *1 (-775 *5)) (-4 *5 (-13 (-366) (-842)))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *6 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1132)))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-887 *4 *5)) (-4 *5 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1228 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
 (((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-768)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-901 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093)) (-5 *1 (-672 *5 *6 *2))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1277 *5 *6 *7)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1277 *4 *5 *6)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-635 (-1194 *5))) (-5 *1 (-1261 *5)) (-5 *4 (-1194 *5))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 *4)) (-5 *1 (-1107 *4 *5))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-1253 (-311 (-382)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-771 *4 *5 *6 *3 *7)) (-4 *3 (-1228 *6)) (-14 *7 (-919)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (|partial| -1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 (-410 *8)) "failed")) (|:| -4079 (-635 (-1253 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
+(((*1 *1 *2 *3 *1) (-12 (-14 *4 (-635 (-1165))) (-4 *2 (-173)) (-4 *3 (-231 (-2946 *4) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *3)) (-2 (|:| -1333 *5) (|:| -3190 *3)))) (-5 *1 (-464 *4 *2 *5 *3 *6 *7)) (-4 *5 (-844)) (-4 *7 (-952 *2 *3 (-854 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-2 (|:| |flg| (-3 "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (-569)))) (-4 *4 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $))))) (-4 *3 (-559)) (-5 *1 (-1231 *3 *4))))) 
+(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (-4 *3 (-259 *13))))) 
 (((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1166))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-685 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1) (-4 *1 (-559)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-5 *2 (-1143 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *4 (-1163)) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-816 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-840)) (-5 *1 (-1274 *3 *2)) (-4 *3 (-1049))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-174 *2)) (-4 *2 (-302)))) ((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-4 *1 (-865 *2))) ((*1 *1 *1) (-12 (-4 *1 (-976 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *4 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1165))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-955 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-842)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-973 *4))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-912 *2)) (-4 *2 (-302))))) 
+(((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1185) (-961) (-1127) (-29 *4)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-1135 *4))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-1159 (-954 *4)) (-954 *4))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-137 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *4)) (-4 *4 (-559))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *5 *6)) (-4 *3 (-325 *2 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-1240 *5 *2 *6 *3)) (-4 *6 (-647 *2)) (-4 *3 (-1237 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1109)))) ((*1 *2 *1) (-12 (-5 *2 (-1109)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-4 *1 (-899 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-918)) (-5 *1 (-1033 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 * ($ $ $)))))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1 *8 *8)) (-5 *5 (-1 (-2 (|:| |ans| *7) (|:| -1869 *7) (|:| |sol?| (-121))) (-569) *7)) (-5 *6 (-635 (-410 *8))) (-4 *7 (-366)) (-4 *8 (-1222 *7)) (-5 *3 (-410 *8)) (-5 *2 (-2 (|:| |answer| (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (-5 *1 (-579 *7 *8))))) 
-(((*1 *2 *3 *4 *2 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-888 *6))) (-5 *5 (-1 (-885 *6 *8) *8 (-888 *6) (-885 *6 *8))) (-4 *6 (-1091)) (-4 *8 (-13 (-1048) (-610 (-888 *6)) (-1038 *7))) (-5 *2 (-885 *6 *8)) (-4 *7 (-13 (-1048) (-843))) (-5 *1 (-943 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-359 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-764)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-635 *2)) (-5 *1 (-122 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 (-635 *4))) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *4 *4)) (-4 *4 (-1091)) (-5 *1 (-122 *4)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-5 *2 (-1 *4 (-635 *4))) (-5 *1 (-122 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-1029 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-680 *3))) (-4 *3 (-1048)) (-5 *1 (-1029 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-5 *1 (-594 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-595 *3)))) ((*1 *1 *2 *3 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1206 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-1143 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))) (-4 *4 (-1048)) (-4 *1 (-1227 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-4 *1 (-1237 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-764)) (|:| |c| *3)))) (-4 *3 (-1048)) (-4 *1 (-1237 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-928)) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-928)) (-5 *4 (-410 (-569))) (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-945 (-216)))))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| |brans| (-635 (-635 (-945 (-216))))) (|:| |xValues| (-1085 (-216))) (|:| |yValues| (-1085 (-216))))) (-5 *1 (-157)) (-5 *3 (-635 (-635 (-945 (-216))))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-216)) (-5 *5 (-569)) (-5 *2 (-1193 *3)) (-5 *1 (-786 *3)) (-4 *3 (-976)))) ((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-121)) (-5 *1 (-1193 *2)) (-4 *2 (-976))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-714)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-1253 (-1253 *5))) (-5 *1 (-1031 *5)) (-5 *4 (-1253 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-5 *1 (-893 *2 *4)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-311 (-569)))) (-5 *1 (-1033))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1185) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1165))) (-4 *3 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1145 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-1165)) (-5 *5 (-1087 (-216))) (-5 *2 (-929)) (-5 *1 (-927 *3)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *2 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-635 (-1 (-216) (-216)))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-410 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5))))) ((*1 *2 *3) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))) (-5 *4 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *4) (|:| -3417 *4)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-410 (-569))) (-5 *2 (-635 (-2 (|:| -3149 *5) (|:| -3417 *5)))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *5)) (-5 *4 (-2 (|:| -3149 *5) (|:| -3417 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-846 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3)))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1222 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-844) (-1039 (-569)) (-631 (-569)) (-454))) (-5 *2 (-2 (|:| |%term| (-2 (|:| |%coef| (-1237 *4 *5 *6)) (|:| |%expon| (-315 *4 *5 *6)) (|:| |%expTerms| (-635 (-2 (|:| |k| (-410 (-569))) (|:| |c| *4)))))) (|:| |%type| (-1147)))) (-5 *1 (-1238 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1185) (-433 *3))) (-14 *5 (-1165)) (-14 *6 *4)))) 
+(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-2 (|:| |zeros| (-1145 (-216))) (|:| |ones| (-1145 (-216))) (|:| |singularities| (-1145 (-216))))) (-5 *1 (-109))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-39)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-231 *5 (-765))) (-5 *1 (-910 *4 *3 *2 *5)) (-4 *3 (-325 *4 *2)) (-14 *5 (-765))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-765)) (-4 *3 (-13 (-718) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-686 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-729 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1) (-12 (-5 *1 (-729 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1228 *2))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-790)) (-4 *2 (-263 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1168)) (-5 *3 (-1165))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-991 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1100 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -1807 *1) (|:| |upper| *1))) (-4 *1 (-979 *4 *5 *3 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *5 (-559)) (-5 *1 (-724 *4 *3 *5 *2)) (-4 *2 (-952 (-410 (-955 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-5 *1 (-987 *4 *5 *3 *2)) (-4 *2 (-952 (-955 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)) (-15 -1948 ((-3 $ "failed") (-1165)))))) (-4 *4 (-1049)) (-4 *5 (-790)) (-5 *1 (-987 *4 *5 *6 *2)) (-4 *2 (-952 (-955 *4) *5 *6))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-1 *4 (-569) (-569))) (-4 *4 (-1049)) (-4 *1 (-679 *4 *5 *6)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-852)))) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-1130 *3 *4)) (-5 *1 (-996 *3 *4)) (-14 *3 (-919)) (-4 *4 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1049)) (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5))))) 
+(((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *4 (-1228 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1228 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *3 (-1228 *2)) (-5 *2 (-569)) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1253 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -2316 (-569)) (|:| -1742 (-569)) (|:| |spline| (-569)) (|:| -3296 (-569)) (|:| |axesColor| (-871)) (|:| -2175 (-569)) (|:| |unitsColor| (-871)) (|:| |showing| (-569))))) (-5 *1 (-1254))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-842)) (-5 *1 (-298 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *3 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-969 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *4 (-844)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-734 *5 *4 *6 *3)) (-4 *3 (-952 *6 *5 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790))))) 
+(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1132)))) 
+(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789))))) 
+(((*1 *1 *1) (-4 *1 (-559)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1145 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-759 *3)) (-4 *3 (-407)))) ((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3)) (-14 *3 (-569)))) ((*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-868 *3 *4)) (-4 *4 (-865 *3))))) 
+(((*1 *2 *2) (-12 (-5 *1 (-963 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-980 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1145 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-1 *6 *5)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 *5)) (-4 *6 (-1093)) (-4 *5 (-1199)) (-5 *2 (-1 *5 *6)) (-5 *1 (-632 *6 *5)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1 *6 *5)) (-5 *3 (-635 *5)) (-5 *4 (-635 *6)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *1 (-632 *5 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 *2)) (-5 *6 (-1 *2 *5)) (-4 *5 (-1093)) (-4 *2 (-1199)) (-5 *1 (-632 *5 *2)))) ((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-765))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-727 *3 *4))) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *3)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1200)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1202))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| -1736 *5) (|:| -4183 *5)))) (-5 *1 (-804 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *4 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -1736 *4) (|:| -4183 *4)))) (-5 *1 (-804 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-53))) (-1210 (-53)))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-53)))) (-1210 (-1161 (-53))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-53) (-765) (-765) (-1161 (-53)))) (|:| AF (-1 (-1161 (-53)) (-765) (-765) (-1210 (-1161 (-53))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 *4 (-765) (-765) (-1161 *4))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 *4) (-765)))) (-635 (-466)))) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-569)))) (-1210 (-410 (-569))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-569))))) (-1210 (-1161 (-410 (-569)))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-569) (-765) (-765) (-1161 (-569)))) (|:| AF (-1 (-1161 (-410 (-569))) (-765) (-765) (-1210 (-1161 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 *4)) (-1210 *4))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 *4))) (-1210 (-1161 *4)))) (|:| |exprStream| (-1 (-1145 *6) *6 (-1165))) (|:| A (-1 *5 (-765) (-765) (-1161 *5))) (|:| AF (-1 (-1161 *4) (-765) (-765) (-1210 (-1161 *4)))) (|:| AX (-1 *6 (-765) (-1165) *6)) (|:| C (-1 (-635 *5) (-765)))) (-635 (-466)))) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-14 *9 (-1 *6 *4)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (-12 (-5 *3 (-1 (-2 (|:| |guessStream| (-1 (-1145 (-1210 (-410 (-955 (-569))))) (-1210 (-410 (-955 (-569)))))) (|:| |degreeStream| (-1145 (-765))) (|:| |testStream| (-1 (-1145 (-1210 (-1161 (-410 (-955 (-569)))))) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| |exprStream| (-1 (-1145 (-311 (-569))) (-311 (-569)) (-1165))) (|:| A (-1 (-955 (-569)) (-765) (-765) (-1161 (-955 (-569))))) (|:| AF (-1 (-1161 (-410 (-955 (-569)))) (-765) (-765) (-1210 (-1161 (-410 (-955 (-569))))))) (|:| AX (-1 (-311 (-569)) (-765) (-1165) (-311 (-569)))) (|:| C (-1 (-635 (-955 (-569))) (-765)))) (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-1 HPSPEC (-635 (-466)))) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 (-1165))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-4 *2 (-454)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *1 (-671 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-99))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-727 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-718)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-5 *2 (-1145 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *1 (-671 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1059 (-1025 *3) (-1161 (-1025 *3)))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-371)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-302)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-765)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1165))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-842))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1228 (-170 *3)))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *4)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 *4))))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-569)))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-569))))) (-5 *2 (-635 (-289 (-955 *4)))) (-5 *1 (-383 *4)) (-4 *4 (-13 (-842) (-366))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-643 *6 *4 *3)) (-4 *3 (-647 *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-643 *6 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5))))) (-5 *1 (-660 *5)) (-5 *4 (-1253 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| |particular| (-3 (-1253 *5) "failed")) (|:| -4079 (-635 (-1253 *5)))))) (-5 *1 (-660 *5)) (-5 *4 (-635 (-1253 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *7 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-635 (-2 (|:| |particular| (-3 *7 "failed")) (|:| -4079 (-635 *7))))) (-5 *1 (-661 *5 *6 *7 *3)) (-5 *4 (-635 *7)) (-4 *3 (-679 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-764 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-764 *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-766 *5 *2)) (-4 *2 (-13 (-29 *5) (-1185) (-961))))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-681 *7)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)) (-5 *4 (-1253 *7)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-681 *6)) (-5 *4 (-1165)) (-4 *6 (-13 (-29 *5) (-1185) (-961))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-1253 *6))) (-5 *1 (-799 *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-2 (|:| |particular| (-1253 *7)) (|:| -4079 (-635 (-1253 *7))))) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *7 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *7) (|:| -4079 (-635 *7))) *7 "failed")) (-5 *1 (-799 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-123)) (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-3 (-2 (|:| |particular| *3) (|:| -4079 (-635 *3))) *3 "failed")) (-5 *1 (-799 *6 *3)) (-4 *3 (-13 (-29 *6) (-1185) (-961))))) ((*1 *2 *3 *4 *3 *5) (|partial| -12 (-5 *3 (-289 *2)) (-5 *4 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-5 *1 (-799 *6 *2)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))))) ((*1 *2 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-289 *2)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-29 *6) (-1185) (-961))) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-799 *6 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1253 (-311 (-382)))) (-5 *4 (-382)) (-5 *5 (-635 *4)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (-12 (-5 *3 (-1253 (-311 *4))) (-5 *5 (-635 (-382))) (-5 *6 (-311 (-382))) (-5 *4 (-382)) (-5 *2 (-1037)) (-5 *1 (-802)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-2 (|:| |particular| *6) (|:| -4079 (-635 *6))) "failed") *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-1253 *6)) (|:| -4079 (-681 *6)))) (-5 *1 (-810 *6 *7)) (-5 *3 (-681 *6)) (-5 *4 (-1253 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *8 (-216)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (-12 (-5 *4 (-765)) (-5 *6 (-635 (-635 (-311 *3)))) (-5 *7 (-1147)) (-5 *5 (-635 (-311 (-382)))) (-5 *3 (-382)) (-5 *2 (-1037)) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 (-382))) (-5 *1 (-1024)) (-5 *4 (-382)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1119 *3 *4)) (-4 *3 (-1228 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-311 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1122 *4)) (-5 *3 (-289 (-311 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-289 (-311 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1122 *5)) (-5 *3 (-311 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1122 *5)) (-5 *3 (-635 (-289 (-311 *5)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 *5)))) (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1165))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *5)))))) (-5 *1 (-1170 *5)) (-5 *3 (-635 (-289 (-410 (-955 *5))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 *4)))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *4)))))) (-5 *1 (-1170 *4)) (-5 *3 (-635 (-289 (-410 (-955 *4))))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *5))))) (-5 *1 (-1170 *5)) (-5 *3 (-289 (-410 (-955 *5)))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-410 (-955 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-289 (-410 (-955 *4))))) (-5 *1 (-1170 *4)) (-5 *3 (-289 (-410 (-955 *4))))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-779 *3)) (|:| |polden| *3) (|:| -2978 (-765)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -2978 (-765)))) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-1165)) (-5 *6 (-121)) (-4 *7 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-4 *3 (-13 (-1185) (-961) (-29 *7))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *7 *3)) (-5 *5 (-837 *3))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-402 *3 *2)) (-4 *3 (-13 (-366) (-151)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-635 (-946 *3)))))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 (-635 *2) *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (-5 *1 (-106 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-844)) (-5 *1 (-1171 *4))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *4 (-1165)) (-5 *5 (-1087 (-837 (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-295))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-902 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-952 *2 *5 (-854 *3))) (-4 *5 (-231 (-2946 *3) (-765))) (-4 *6 (-973 *2)) (-4 *7 (-642 *2)) (-4 *8 (-922 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-1145 *4) (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1276 *4)) (-4 *4 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1145 *5)) (-635 (-1145 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1145 *5))) (-5 *1 (-1276 *5)) (-4 *5 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-608 *5))) (-4 *4 (-844)) (-5 *2 (-608 *5)) (-5 *1 (-578 *4 *5)) (-4 *5 (-433 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1045 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-919)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-919)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1093)) (-4 *4 (-1199)) (-5 *2 (-121)) (-5 *1 (-1145 *4))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
+(((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-824 *2 *3)) (-4 *2 (-700 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-955 *6)) (-5 *4 (-1165)) (-5 *5 (-837 *7)) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1185) (-29 *6))) (-5 *1 (-215 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1161 *6)) (-5 *4 (-837 *6)) (-4 *6 (-13 (-1185) (-29 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1253 *6)) (-5 *4 (-1253 (-569))) (-5 *5 (-569)) (-4 *6 (-1093)) (-5 *2 (-1 *6)) (-5 *1 (-1019 *6))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-588 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-732 *4 *5)) (-4 *4 (-1049)) (-4 *5 (-844)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-1243 *4)) (-4 *4 (-1049)) (-5 *2 (-955 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 (-421 *3)) (|:| |special| (-421 *3)))) (-5 *1 (-719 *5 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-121))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1258)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-5 *2 (-121)) (-5 *1 (-655 *3 *4 *5 *6 *7 *8 *9)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *9 (-922 *3 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1066 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *4 (-765)) (-4 *8 (-1063 *5 *6 *7)) (-4 *9 (-1102 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-1258)) (-5 *1 (-1133 *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-712)) (-5 *2 (-919)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-714)) (-5 *2 (-765))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 (-635 *4))))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *5 *2))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-1258)) (-5 *1 (-828))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3339 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-1129 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1163)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-778 *3))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -1498 (-954 *6)) (|:| -3637 (-954 *6)))) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1068 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1099 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-764)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-851)) (-5 *1 (-36 *4 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1191 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-803 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-789)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *2 (-1252)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1222 (-410 *5))) (-14 *7 *6)))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -3417 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1163)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *1 (-578 *5 *6))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1020 *4)) (-4 *4 (-1222 (-569)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1115 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *1 (-1115 *4 *3 *5)) (-4 *5 (-951 *4 (-535 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1192 *4))) (-5 *3 (-1163)) (-5 *1 (-1192 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1048))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4)) (-4 *4 (-1048))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1222 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-382)))) (-5 *2 (-1085 (-836 (-216)))) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-680 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
-(((*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-826 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-4 *1 (-843))) ((*1 *1) (-5 *1 (-1109)))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1036)) (-5 *1 (-743))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *3 (-635 (-870))) (-5 *4 (-635 (-918))) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) ((*1 *1 *1) (-5 *1 (-474)))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-743))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3339 (-410 *5)) (|:| |coeff| (-410 *5)))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *2)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-686 *3)) (-4 *3 (-1093)) (-5 *2 (-635 (-2 (|:| -3175 *3) (|:| -2691 (-765)))))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-1253 *5)) (-4 *5 (-302)) (-4 *5 (-1049)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -1468 (-569)) (|:| -1710 (-569)) (|:| -3483 (-569)) (|:| |reste| (-569)) (|:| -1425 (-3 "left" "center" "right" "vertical" "horizontal")))) (-5 *1 (-774 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-955 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1014)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-1014)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1065 *4 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-919))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef2| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1986 *1))) (-4 *1 (-302))))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *5)) (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4572)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-679 *5 *6 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-441 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1070 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1165)))) 
+(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(((*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *4)) (-4 *4 (-43 *3)) (-4 *4 (-1049)) (-5 *3 (-410 (-569))) (-5 *1 (-1149 *4))))) 
+(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1093)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-2 (|:| -2665 (-1161 *4)) (|:| |deg| (-919)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1161 *4)) (-4 *5 (-13 (-559) (-844))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-765)) (-4 *6 (-1199)) (-4 *2 (-1199)) (-5 *1 (-232 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1228 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1093)) (-4 *2 (-1093)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) ((*1 *1 *1) (-5 *1 (-505))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-633 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1049)) (-4 *2 (-1049)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-677 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-679 *5 *6 *7)) (-4 *10 (-679 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-703 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-704 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-716 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-716 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-960 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-959 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *2 (-952 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1049)) (-4 *2 (-1049)) (-14 *5 (-765)) (-14 *6 (-765)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1054 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1052 *5 *6 *7 *8 *9)) (-4 *12 (-1052 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1145 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1143 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1193 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *2 (-1063 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1253 *5)) (-4 *5 (-1199)) (-4 *2 (-1199)) (-5 *1 (-1252 *5 *2))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1147)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1256))))) 
 (((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1185))) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-1161 (-410 (-1161 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1161 *6)) (-4 *7 (-1093)))) ((*1 *2 *1) (-12 (-4 *2 (-1228 *3)) (-5 *1 (-704 *3 *2)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-716 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1228 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1161 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-765))) (-5 *8 (-635 *11)) (-4 *10 (-844)) (-4 *11 (-302)) (-4 *9 (-790)) (-4 *5 (-952 *11 *9 *10)) (-5 *2 (-635 (-1161 *5))) (-5 *1 (-734 *9 *10 *11 *5)) (-5 *3 (-1161 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-860)))) ((*1 *2 *1) (-12 (-4 *2 (-952 *3 *4 *5)) (-5 *1 (-1036 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-14 *6 (-635 *2))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-5 *2 (-121)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-5 *2 (-121)) (-5 *1 (-887 *5 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-889 *5)) (-4 *5 (-1093)) (-4 *6 (-1199)) (-5 *2 (-121)) (-5 *1 (-887 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-765)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (-5 *1 (-926 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-2 (|:| |try| (-382)) (|:| |did| (-382)) (|:| -2198 (-382)))) (-5 *7 (-1 (-1258) (-1253 *5) (-1253 *5) (-382))) (-5 *3 (-1253 (-382))) (-5 *5 (-382)) (-5 *2 (-1258)) (-5 *1 (-785))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-1224 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *3 (-922 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-973 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-642 *4)) (-4 *2 (-973 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *3 (-922 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-924 *4)) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-237 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1147)) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-751))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095 (-1095 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1145 *3))) (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *4 (-1147)) (-4 *5 (-13 (-302) (-151))) (-4 *8 (-952 *5 *7 *6)) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-569))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-751))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1169))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-992)))) ((*1 *2 *1) (-12 (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *2 *3)) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-439))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1147))) (-5 *2 (-569)) (-5 *1 (-235))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -3408 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-765)) (-5 *1 (-566))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| -2412 *1) (|:| -4465 (-635 *7))))) (-5 *3 (-635 *7)) (-4 *1 (-1193 *4 *5 *6 *7))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-844)) (-4 *3 (-13 (-173) (-709 (-410 (-569))))) (-14 *4 (-919)))) ((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -3550 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1228 (-410 *5)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-449 *4 *5 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 (-1161 *6)) (|:| -3190 (-569))))) (-4 *6 (-302)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-734 *4 *5 *6 *7)) (-4 *7 (-952 *6 *4 *5))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-382)) (-5 *1 (-1060))))) 
-(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1044 *3)) (-4 *3 (-366))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-685 *3)) (-4 *3 (-1091)) (-5 *2 (-635 (-2 (|:| -3782 *3) (|:| -2846 (-764)))))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *4))) (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *1 (-654 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 *4)) (-4 *4 (-351)) (-4 *2 (-13 (-405) (-10 -7 (-15 -2185 (*2 *4)) (-15 -2083 ((-918) *2)) (-15 -3930 ((-1247 *2) (-918))) (-15 -1907 (*2 *2))))) (-5 *1 (-358 *2 *4))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *5 "failed") *8)) (-5 *4 (-680 (-1159 *8))) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-1222 *5)) (-5 *2 (-680 *6)) (-5 *1 (-511 *5 *6 *7 *8)) (-4 *7 (-1222 *6))))) 
-(((*1 *2) (|partial| -12 (-4 *4 (-1202)) (-4 *5 (-1222 (-410 *2))) (-4 *2 (-1222 *4)) (-5 *1 (-340 *3 *4 *2 *5)) (-4 *3 (-341 *4 *2 *5)))) ((*1 *2) (|partial| -12 (-4 *1 (-341 *3 *2 *4)) (-4 *3 (-1202)) (-4 *4 (-1222 (-410 *2))) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-551)) (-5 *1 (-161 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1250))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-27) (-433 *4))) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-4 *7 (-1222 (-410 *6))) (-5 *1 (-554 *4 *5 *6 *7 *2)) (-4 *2 (-341 *5 *6 *7))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-1200))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-308 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *2 (-836 *4)) (-5 *1 (-1232 *3 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4)))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1062 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *1 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *1 (-1191 *5 *6 *7 *3)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1130)) (-5 *3 (-569)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 (-1159 (-410 (-569))))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (-5 *1 (-185))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-351)) (-5 *2 (-2 (|:| |cont| *5) (|:| -1640 (-635 (-2 (|:| |irr| *3) (|:| -4245 (-569))))))) (-5 *1 (-208 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-474)) (-5 *1 (-1248))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-635 *9)) (-5 *1 (-655 *6 *7 *4 *8 *3 *9 *10)) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *3 (-972 *6)) (-4 *10 (-921 *6 *9))))) 
-(((*1 *1 *1) (-4 *1 (-1130)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
-(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-841))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1222 (-170 *2)))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-569)) (-5 *1 (-235))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *1 (-367 *2 *4)) (-4 *2 (-1091)) (-4 *4 (-1091)))) ((*1 *1 *2) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-1145)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *4 (-1062 *6 *7 *8)) (-5 *2 (-1252)) (-5 *1 (-769 *6 *7 *8 *4 *5)) (-4 *5 (-1067 *6 *7 *8 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-203))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-311 *5))) (-5 *1 (-1118 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-311 *5)))) (-5 *1 (-1118 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-730 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-329))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *3 *4 *3 *3) (-12 (-5 *3 (-289 *6)) (-5 *4 (-123)) (-4 *6 (-433 *5)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *5 *6)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *7)) (-5 *4 (-123)) (-5 *5 (-635 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 (-289 *7))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 (-289 *8))) (-5 *4 (-635 (-123))) (-5 *5 (-289 *8)) (-5 *6 (-635 *8)) (-4 *8 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *3 (-635 *7)) (-5 *4 (-635 (-123))) (-5 *5 (-289 *7)) (-4 *7 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-123))) (-5 *6 (-635 (-289 *8))) (-4 *8 (-433 *7)) (-5 *5 (-289 *8)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *8)))) ((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-289 *5)) (-5 *4 (-123)) (-4 *5 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *5)))) ((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-4 *3 (-433 *6)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-289 *3)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-5 *2 (-57)) (-5 *1 (-312 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-123)) (-5 *5 (-1163)) (-5 *6 (-635 *3)) (-4 *3 (-433 *7)) (-4 *7 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-1237 *3)) (-5 *1 (-313 *7 *3 *2 *8)) (-4 *8 (-1237 (-1157 *3))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *6)) (-5 *4 (-635 *5)) (-4 *5 (-366)) (-4 *6 (-1237 (-1157 *5))) (-4 *2 (-1237 *5)) (-5 *1 (-1241 *5 *2 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-454))) (-5 *2 (-635 *4)) (-5 *1 (-347 *4 *5)) (-4 *5 (-52 *4 *3))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (-12 (-5 *4 (-569)) (-5 *5 (-1145)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-76 PEDERV)))) (-5 *10 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-1143 (-1143 (-954 *5)))) (-5 *1 (-1255 *5)) (-5 *4 (-1143 (-954 *5)))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1216 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-143))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-382)) (-5 *1 (-1040))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-4 *6 (-13 (-559) (-1038 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *6)))))) (-5 *1 (-1039 *5 *6))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1159 *13))) (-5 *3 (-1159 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3358 (-764)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-764))) (-5 *9 (-1247 (-635 (-1159 *10)))) (-4 *12 (-843)) (-4 *10 (-302)) (-4 *13 (-951 *10 *11 *12)) (-4 *11 (-789)) (-5 *1 (-698 *11 *12 *10 *13))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-825))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-89 FCNF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-90 FCNG)))) (-5 *3 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-954 *4))) (-5 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-915 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1237 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1239 *5 *6))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *1) (-4 *1 (-351))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-435 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-843) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1159 *3)) (|:| |pol2| (-1159 *3)) (|:| |prim| (-1159 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-1163)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *5))) (|:| |prim| (-1159 *5)))) (-5 *1 (-961 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-954 *6))) (-5 *4 (-635 (-1163))) (-5 *5 (-1163)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -4140 (-635 (-569))) (|:| |poly| (-635 (-1159 *6))) (|:| |prim| (-1159 *6)))) (-5 *1 (-961 *6))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3833 *3) (|:| -1869 *3))) (-5 *1 (-1216 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *2 (-1036)) (-5 *1 (-742)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-66 COEFFN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-92 BDYVAL)))) (-5 *8 (-391)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *2))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-820)) (-5 *3 (-635 (-1163))) (-5 *1 (-821))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-80 FCN JACOBF JACEPS)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-81 G JACOBG JACGEP)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-742))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-691))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-851))))) 
-(((*1 *1) (-5 *1 (-564)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-843)) (-4 *2 (-843)) (-5 *1 (-607 *2 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1197)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
-(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1091) (-39))) (-4 *6 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *5 *6))))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-685 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -2335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-799)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1252)) (-5 *1 (-1175 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1161 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-36 *4 *2))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-121)) (-5 *1 (-1103))))) 
+(((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *2 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-765)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-765))) (-5 *3 (-946 *5)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1071 *3 *4 *5))) (-5 *1 (-1072 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1061))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *2 (-1037)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2282 (-635 (-852))) (|:| -4288 (-635 (-852))) (|:| |presup| (-635 (-852))) (|:| -3026 (-635 (-852))) (|:| |args| (-635 (-852))))) (-5 *1 (-1165))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1199)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1199)) (-14 *4 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-865 *3)) (-5 *2 (-1145 (-569)))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-889 *4)) (-4 *4 (-1093)) (-4 *2 (-1093)) (-5 *1 (-886 *4 *2))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7))))) (-5 *5 (-765)) (-4 *8 (-1228 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -4079 (-681 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-681 *7)))) (-5 *1 (-508 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1197 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-1004)) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-765)) (-5 *1 (-1094 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-681 (-410 *4)))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-4 *1 (-844))) ((*1 *2 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) ((*1 *1) (-5 *1 (-1111)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-241 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-821)) (-5 *3 (-635 (-1165))) (-5 *1 (-822))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1208))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1231 *3 *2)) (-4 *2 (-13 (-1228 *3) (-559) (-10 -8 (-15 -3964 ($ $ $)))))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| -12 (-5 *4 (-635 *11)) (-5 *5 (-635 (-1161 *9))) (-5 *6 (-635 *9)) (-5 *7 (-635 *12)) (-5 *8 (-635 (-765))) (-4 *11 (-844)) (-4 *9 (-302)) (-4 *12 (-952 *9 *10 *11)) (-4 *10 (-790)) (-5 *2 (-635 (-1161 *12))) (-5 *1 (-699 *10 *11 *9 *12)) (-5 *3 (-1161 *12))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-952 *5 *7 (-854 *6))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 *8)) (-5 *1 (-965 *5 *6 *3 *7 *8)) (-4 *8 (-973 *5))))) 
+(((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *1 (-1219 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 (-170 *4))))))) (-5 *1 (-758 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-13 (-366) (-151) (-1039 (-569)))) (-5 *1 (-573 *3 *4))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1165)) (-4 *5 (-13 (-844) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1243 *2)) (-4 *7 (-1243 (-1159 *2)))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *4 (-1 (-3 (-569) "failed") *5)) (-4 *5 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *5 *3)) (-4 *3 (-1228 *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1 (-3 (-569) "failed") *4)) (-4 *4 (-1049)) (-5 *2 (-569)) (-5 *1 (-549 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-421 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-1049)) (-5 *2 (-635 *6)) (-5 *1 (-446 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -3530 (-1145 *4)) (|:| -3538 (-1145 *4)))) (-5 *1 (-1151 *4)) (-5 *3 (-1145 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1147)) (|:| -2798 (-1147)))) (-5 *1 (-819))))) 
+(((*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *3))) (-5 *1 (-956 *5 *6 *7 *8 *3)) (-5 *4 (-765)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8)))))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -3417 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *1 (-579 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-586 *2)) (-4 *2 (-13 (-29 *4) (-1185))) (-5 *1 (-584 *4 *2)) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-589 *4))))) 
+(((*1 *2 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-500 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-765)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4571)) (-4 *1 (-500 *4)) (-4 *4 (-1199)) (-5 *2 (-765)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1002 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4571)) (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4571)) (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-1135 *4))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-247 *2 *3 *4 *5)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-263 *3)) (-4 *5 (-790))))) 
+(((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1 *1) (-4 *1 (-755)))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-765))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-854 *5)) (-14 *5 (-635 (-1165))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-559)) (-4 *8 (-952 *7 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *9) (|:| |radicand| *9))) (-5 *1 (-956 *5 *6 *7 *8 *9)) (-5 *4 (-765)) (-4 *9 (-13 (-366) (-10 -8 (-15 -3515 (*8 $)) (-15 -3524 (*8 $)) (-15 -3956 ($ *8)))))))) 
+(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-902 (-569))) (-5 *4 (-569)) (-5 *2 (-681 *4)) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1030 *4)) (-4 *4 (-1049)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-902 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-681 *4))) (-5 *1 (-1030 *5)) (-4 *5 (-1049)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1030 *4)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-765)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-4 *4 (-1093)) (-5 *2 (-765)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-765)) (-5 *1 (-715 *3 *4 *5)) (-4 *3 (-716 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-816 *3)) (-4 *3 (-844)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1008)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1177 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-764))) (-5 *1 (-1250))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-302)) (-4 *6 (-1222 *4)) (-5 *2 (-1247 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-680 (-410 (-954 (-569))))) (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-1159 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1163))) (-5 *5 (-410 (-1159 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-559)) (-4 *7 (-951 *3 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *8) (|:| |radicand| *8))) (-5 *1 (-955 *5 *6 *3 *7 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*7 $)) (-15 -4121 (*7 $)) (-15 -2185 ($ *7)))))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5 *5)) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-1143 *4) (-1143 *4))) (-5 *1 (-1239 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *2 (-2 (|:| |num| (-635 *6)) (|:| |den| *6))) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-410 (-243 *6 *5)))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |num| (-635 (-243 *5 *4))) (|:| |den| (-243 *5 *4)))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1028 *5 *6 *7 *8))))) (-5 *1 (-1028 *5 *6 *7 *8)) (-5 *3 (-635 *8)))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |val| (-635 *8)) (|:| |towers| (-635 (-1132 *5 *6 *7 *8))))) (-5 *1 (-1132 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-5 *1 (-119 *5 *6 *3 *7 *4)) (-4 *3 (-325 *5 *7)) (-4 *4 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-99))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *2 *3 *4 *5 *6 *7 *8 *9 *10)) (-4 *4 (-951 *2 *5 (-853 *3))) (-4 *5 (-231 (-4168 *3) (-764))) (-4 *6 (-972 *2)) (-4 *7 (-642 *2)) (-4 *8 (-921 *2 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-2 (|:| |f1| (-635 *4)) (|:| |f2| (-635 (-635 (-635 *4)))) (|:| |f3| (-635 (-635 *4))) (|:| |f4| (-635 (-635 (-635 *4)))))) (-5 *1 (-1169 *4)) (-5 *3 (-635 (-635 (-635 *4))))))) 
-(((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *3 (-921 *4 *8)) (-4 *9 (-236 *3)) (-4 *10 (-537 *4 *5 *6 *7 *2 *8 *3 *9 *12)) (-4 *12 (-117)) (-4 *2 (-972 *4)) (-5 *1 (-468 *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-642 *4)) (-4 *2 (-972 *4)) (-5 *1 (-655 *4 *5 *6 *7 *2 *8 *3)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *3 (-921 *4 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-923 *4)) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-922 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
-(((*1 *2 *3 *4) (-12 (-4 *7 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *3))) (-5 *1 (-955 *5 *6 *7 *8 *3)) (-5 *4 (-764)) (-4 *3 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8)))))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4536)) (-4 *1 (-1234 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1) (-4 *1 (-1057))) ((*1 *1 *1 *2 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-83 FUNCTN)))) (-5 *2 (-1036)) (-5 *1 (-741))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1130)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *3 *2)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -2247 *4) (|:| -2496 (-569))))) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-635 *5)) (-4 *5 (-843)) (-5 *1 (-1169 *5))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-851)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-560 *6 *3))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-841)) (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-947 *4 *5)) (-4 *5 (-1222 *4))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-1247 (-569))) (-5 *1 (-1272 *4))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-326 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-526 *3 *4)) (-14 *4 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1003) (-1183)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-148)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1197)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-2 (|:| |under| *1) (|:| -2942 *1) (|:| |upper| *1))) (-4 *1 (-978 *4 *5 *3 *6))))) 
-(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-1252))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-5 *1 (-1032))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-121)) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-890 *2 *3)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 (-410 *3))) (-5 *2 (-918)) (-5 *1 (-910 *4 *5)) (-4 *5 (-1222 (-410 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1009 *3)) (-4 *3 (-1038 (-410 (-569))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (-12 (-5 *4 (-569)) (-5 *6 (-1 (-1252) (-1247 *5) (-1247 *5) (-382))) (-5 *3 (-1247 (-382))) (-5 *5 (-382)) (-5 *2 (-1252)) (-5 *1 (-784))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *3 (-918)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| -12 (-5 *3 (-918)) (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *6 (-121)) (-5 *1 (-444 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-421 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-446 *5 *2)) (-4 *5 (-1048))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-543 *4 *2)) (-4 *2 (-1237 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-4 *5 (-1222 *4)) (-4 *6 (-715 *4 *5)) (-5 *1 (-547 *4 *5 *6 *2)) (-4 *2 (-1237 *6)))) ((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-13 (-366) (-371) (-610 *3))) (-5 *1 (-548 *4 *2)) (-4 *2 (-1237 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1138 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1213 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-173)) (-4 *2 (-23)) (-5 *1 (-285 *3 *4 *2 *5 *6 *7)) (-4 *4 (-1222 *3)) (-14 *5 (-1 *4 *4 *2)) (-14 *6 (-1 (-3 *2 "failed") *2 *2)) (-14 *7 (-1 (-3 *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-702 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-23)) (-5 *1 (-706 *3 *2 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-1 *3 *3 *2)) (-14 *5 (-1 (-3 *2 "failed") *2 *2)) (-14 *6 (-1 (-3 *3 "failed") *3 *3 *2)))) ((*1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(((*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1227 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-2 (|:| |k| (-815 *3)) (|:| |c| *4)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-156 *3 *4 *5)) (-14 *3 *2) (-4 *4 (-366)) (-14 *5 (-995 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1159 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-1143 (-954 *4)) (-1143 (-954 *4)))) (-5 *1 (-1255 *4)) (-4 *4 (-366))))) 
-(((*1 *2) (-12 (-5 *2 (-836 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-836 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1091)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-1085 (-216)))))) 
-(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-376 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1003)))))) 
-(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1038 *2) (-1038 *4) (-896 *4) (-162)))))) 
-(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39)))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *2 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1048)) (-5 *2 (-635 (-635 (-680 *6)))) (-5 *1 (-1030 *6)) (-5 *3 (-635 (-680 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1048)) (-5 *2 (-635 (-635 (-680 *4)))) (-5 *1 (-1030 *4)) (-5 *3 (-635 (-680 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048)) (-5 *2 (-635 (-635 (-680 *5)))) (-5 *1 (-1030 *5)) (-5 *3 (-635 (-680 *5)))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1206 *4)) (-4 *4 (-1048)) (-4 *4 (-559)) (-5 *2 (-410 (-954 *4)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1249)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1122 (-216))) (-5 *3 (-1145)) (-5 *1 (-1249)))) ((*1 *1 *1) (-5 *1 (-1249)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *1) (-5 *1 (-148)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1176))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 (-569))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-616 *4 *5)) (-5 *3 (-1 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121))) (-569) *4)) (-4 *4 (-366)) (-4 *5 (-1222 *4)) (-5 *1 (-579 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3032 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-5 *1 (-689)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-680 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-980 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
+(((*1 *1) (-5 *1 (-1258)))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-991 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1068 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1100 *5 *6 *7 *8 *3))))) 
+(((*1 *2 *2) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *2 *2) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-351)) (-5 *2 (-1253 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-681 *1)) (-4 *1 (-149)) (-4 *1 (-906)) (-5 *2 (-1253 *1))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *3 *4 *5 *3) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -3417 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-3 (-2 (|:| |answer| (-410 *7)) (|:| |a0| *6)) (-2 (|:| -3339 (-410 *7)) (|:| |coeff| (-410 *7))) "failed")) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-302)) (-5 *1 (-691 *3))))) 
+(((*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1093))))) 
+(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
+(((*1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 APROD)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-78 MSOLVE)))) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |bas| (-482 *4 *5 *6 *7)) (|:| -1941 (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-216)) (-5 *3 (-765)) (-5 *1 (-218)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-170 (-216))) (-5 *3 (-765)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1147)) (-5 *3 (-820)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *5 (-844)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-75 APROD)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-750))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *6)) (-5 *5 (-1 (-421 (-1161 *6)) (-1161 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-681 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))))) ((*1 *2 *3) (-12 (-5 *3 (-645 *2 (-410 *2))) (-4 *2 (-1228 *4)) (-5 *1 (-807 *4 *2)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569)))))))) 
+(((*1 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-5 *2 (-2 (|:| |particular| *1) (|:| -4079 (-635 *1)))) (-4 *1 (-370 *3)))) ((*1 *2) (|partial| -12 (-5 *2 (-2 (|:| |particular| (-455 *3 *4 *5 *6)) (|:| -4079 (-635 (-455 *3 *4 *5 *6))))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-765)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *9)) (-4 *9 (-1049)) (-4 *5 (-844)) (-4 *6 (-790)) (-4 *8 (-1049)) (-4 *2 (-952 *9 *7 *5)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-790)) (-4 *4 (-952 *8 *6 *5))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-231 (-2946 *6) (-765))) (-4 *2 (-922 *5 *8)) (-5 *1 (-655 *5 *6 *4 *7 *3 *8 *2)) (-4 *4 (-952 *5 *7 (-854 *6))) (-4 *3 (-973 *5)) (-4 *8 (-642 *5))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1253 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1253 *3)))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569)))))) (-5 *2 (-635 (-410 (-569)))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1049)) (-5 *2 (-765)) (-5 *1 (-774 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-931 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-973 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-765)) (-5 *1 (-931 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-973 *6))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-692))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-156 *2 *3 *4)) (-14 *2 (-919)) (-4 *3 (-366)) (-14 *4 (-996 *2 *3)))) ((*1 *1 *1) (|partial| -12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1228 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-707 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *1) (|partial| -4 *1 (-714))) ((*1 *1 *1) (|partial| -4 *1 (-718))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *3))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| -12 (-4 *1 (-1065 *3 *2)) (-4 *3 (-13 (-842) (-366))) (-4 *2 (-1228 *3)))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1135 (-1147))) (-5 *1 (-394))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1161 *7)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *2 (-1228 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1228 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *4 (-1228 *5)) (-5 *2 (-1161 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1147)))) ((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |integrand| *3) (|:| |intvar| *3)))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1165)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1049)) (-4 *4 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1105)) (-4 *3 (-844)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -3190 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-889 *3)) (|:| -3190 (-765)))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-765)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -3190 (-569)))) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1253 (-765))) (-5 *1 (-667 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |mm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |lm| (-816 *3)) (|:| |mm| (-816 *3)) (|:| |rm| (-816 *3)))) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1007))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *2 *1) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-4 *3 (-173))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-641 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1014)) (-5 *2 (-852))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3550 *3) (|:| |gap| (-765)) (|:| -3483 (-779 *3)) (|:| -3028 (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-1049)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2) (-12 (-5 *2 (-1253 (-1094 *3 *4))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1228 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-765)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-559)))) ((*1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *2 (-410 (-569))) (-5 *1 (-1021 *4)) (-4 *4 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1095 (-1165))) (-5 *1 (-58)) (-5 *3 (-1165))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1097)) (-5 *3 (-768)) (-5 *1 (-57))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-765)) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-765))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1041)) (-5 *3 (-382))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-5 *2 (-2 (|:| -2665 (-1161 *9)) (|:| |polval| (-1161 *8)))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *3 (-1161 *9)) (-5 *4 (-1161 *8))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *1 (-586 *2)) (-4 *2 (-1039 *3)) (-4 *2 (-366)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-622 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-961)) (-5 *2 (-1165)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-961))))) 
+(((*1 *2 *3 *4) (-12 (-4 *4 (-856)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1161 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-861)) (-5 *2 (-421 (-1161 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1161 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-919)) (-5 *1 (-690)))) ((*1 *2 *2 *2 *3 *4) (-12 (-5 *2 (-681 *5)) (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-366)) (-5 *1 (-981 *5))))) 
+(((*1 *1) (-5 *1 (-564)))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1165)) (-4 *6 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1185) (-961))) (-5 *2 (-2 (|:| |particular| *4) (|:| -4079 (-635 *4)))) (-5 *1 (-798 *6 *4 *3)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 (-121) *6)) (-4 *6 (-13 (-1093) (-1039 *5))) (-4 *5 (-883 *4)) (-4 *4 (-1093)) (-5 *2 (-1 (-121) *5)) (-5 *1 (-934 *4 *5 *6))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-765))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3667 *1) (|:| -4558 *1) (|:| |associate| *1))) (-4 *1 (-559))))) 
+(((*1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *1) (-5 *1 (-820)))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *7 *8 *9 *3 *4)) (-4 *4 (-1068 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-765)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-790)) (-4 *9 (-844)) (-4 *3 (-1063 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *7 *8 *9 *3 *4)) (-4 *4 (-1102 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-765)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *6 *7 *8 *3 *4)) (-4 *4 (-1102 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-952 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1152 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-844)) (-4 *8 (-302)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-5 *2 (-2 (|:| |upol| (-1161 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -3139 (-1161 *8)) (|:| -3190 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-734 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-955 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-1085 (-955 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-667 *3)) (-4 *3 (-1049)) (-4 *3 (-1093))))) 
+(((*1 *1 *2 *3) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-1 (-216) (-216) (-216) (-216))) (-5 *2 (-1 (-946 (-216)) (-216) (-216))) (-5 *1 (-688))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 G)))) (-5 *2 (-1037)) (-5 *1 (-742))))) 
+(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (-12 (-5 *3 (-1111)) (-5 *5 (-216)) (-5 *2 (-635 (-960 *5))) (-5 *1 (-115)) (-5 *4 (-960 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *1 (-474))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1117 *4 *3 *5))) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049)) (-4 *3 (-844)) (-5 *1 (-1117 *4 *3 *5)) (-4 *5 (-952 *4 (-535 *3) *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-1 (-1194 *4))) (-5 *3 (-1165)) (-5 *1 (-1194 *4)) (-4 *4 (-43 (-410 (-569)))) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569)))))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-148)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-421 *5)) (-4 *5 (-559)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *5) (|:| |radicand| (-635 *5)))) (-5 *1 (-317 *5)) (-5 *4 (-765)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1004)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1208)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *1) (-5 *1 (-624)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *2 *1 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 *8 *8 *8)) (-5 *4 (-1 (-121) *8 *8)) (-4 *1 (-1193 *5 *6 *7 *8)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1180))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-910 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-919)) (-5 *4 (-382)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "right") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "left") (|has| *1 (-6 -4572)) (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-57)) (-5 *3 (-1165)) (-5 *1 (-624)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-1219 (-569))) (|has| *1 (-6 -4572)) (-4 *1 (-641 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "value") (|has| *1 (-6 -4572)) (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-1176 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "last") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *1) (-12 (-5 *2 "rest") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-5 *3 "first") (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -2877 (-616 *4 *5)) (|:| -2266 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1228 *3))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2859 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1199)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1199)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-765)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-765)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-241 (-1147))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ *3)) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-992)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-765)) (-5 *1 (-241 *4)) (-4 *4 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1228 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1208)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1147)) (-5 *1 (-512)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-57)) (-5 *1 (-624)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-889 *4))) (-5 *1 (-889 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-902 *4)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-922 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-973 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-919)) (-4 *2 (-366)) (-5 *1 (-996 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1012 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *2 (-1049)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1049)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-5 *1 (-1072 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)))) ((*1 *1 *1 *1) (-4 *1 (-1132))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) ((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1165)) (|:| |c| (-1273 *3))))) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1275 *3 *4))))) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165)))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-960 (-216))) (-5 *1 (-115)) (-5 *3 (-216))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-571 *6 *3 *7)) (-4 *7 (-1093))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-893 *2 *3)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *2)) (-5 *4 (-1 (-121) *2 *2)) (-5 *1 (-1205 *2)) (-4 *2 (-1093)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-844)) (-5 *1 (-1205 *2))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-170 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
+(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-972 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-860)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1161 (-862))) (-5 *3 (-919)) (-5 *4 (-1165)) (-5 *1 (-862))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-569)) (-5 *1 (-1103)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-1253 (-569))) (-5 *3 (-635 (-569))) (-5 *4 (-569)) (-5 *1 (-1103))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-919)) (|has| *1 (-6 -4562)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 *5)) (-4 *5 (-1049)) (-5 *2 (-243 *4 *5)) (-5 *1 (-947 *4 *5)) (-14 *4 (-635 (-1165)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1025 *3)) (-4 *3 (-13 (-842) (-366) (-1023))))) ((*1 *2 *3 *1 *2) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2)))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1065 *2 *3)) (-4 *2 (-13 (-842) (-366))) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-880))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-121)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-681 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-681 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
 (((*1 *1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-3 "nil" "sqfr" "irred" "prime")) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-946 *4)) (-4 *4 (-1049)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919))))) 
+(((*1 *1 *1 *1) (-4 *1 (-297))) ((*1 *1 *1) (-4 *1 (-297)))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-1253 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1253 *4)) (-5 *1 (-630 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1199)) (-5 *1 (-1141 *4))))) 
+(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1199)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1) (-5 *1 (-172))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1147)) (-4 *1 (-392)))) ((*1 *1) (-5 *1 (-397))) ((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1) (-12 (-4 *3 (-1093)) (-5 *1 (-882 *2 *3 *4)) (-4 *2 (-1093)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-886 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1093)))) ((*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) ((*1 *1 *1) (-5 *1 (-1165))) ((*1 *1) (-5 *1 (-1165))) ((*1 *1) (-5 *1 (-1180)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-382)) (-5 *1 (-1061))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1228 *4)) (-5 *1 (-920 *4 *2))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-852))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-852) (-635 (-852)))) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-397)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-397)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-501)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512)))) ((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-702)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1180)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1180))))) 
+(((*1 *2 *3 *3 *2 *4) (-12 (-5 *3 (-681 *2)) (-5 *4 (-569)) (-4 *2 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *5 (-1228 *2)) (-5 *1 (-509 *2 *5 *6)) (-4 *6 (-412 *2 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117)) (-4 *2 (-973 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-608 *4)) (-4 *4 (-844)) (-4 *2 (-844)) (-5 *1 (-607 *2 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11))))) 
+(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1199)) (-5 *2 (-765)) (-5 *1 (-180 *4 *3)) (-4 *3 (-666 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145 (-1145 *4))) (-5 *2 (-1145 *4)) (-5 *1 (-1149 *4)) (-4 *4 (-1049))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-635 *8))) (-5 *3 (-635 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-1223 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1078 *3)) (-4 *3 (-139))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *2 (-635 (-960 (-216)))) (-5 *1 (-115)) (-5 *4 (-960 (-216)))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-62 *2 *3 *4)) (-4 *2 (-1199)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1199))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-667 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1161 *1)) (-4 *1 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1161 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 *4)) (-4 *4 (-351)) (-5 *2 (-1161 *4)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *6 (-635 (-311 (-382)))) (-5 *3 (-311 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *5 (-635 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1037)) (-5 *1 (-834))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
 (((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1126 *4 *5)) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-121)) (-5 *1 (-1127 *4 *5))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-918)) (-5 *4 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-635 (-1163))) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-954 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *6)))) (|:| -3930 (-635 (-1247 (-410 (-954 *6)))))))))) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-918)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-954 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *5)))) (|:| -3930 (-635 (-1247 (-410 (-954 *5)))))))))) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-635 (-1163))) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-5 *4 (-1145)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 *10)) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-680 *10)) (-5 *4 (-635 (-1163))) (-5 *5 (-918)) (-5 *6 (-1145)) (-4 *10 (-951 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-843) (-610 (-1163)))) (-4 *9 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *9)) (-5 *4 (-918)) (-5 *5 (-1145)) (-4 *9 (-951 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-843) (-610 (-1163)))) (-4 *8 (-789)) (-5 *2 (-569)) (-5 *1 (-925 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (-130) (-569))) (-5 *1 (-130))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-764)) (-4 *7 (-1197)) (-4 *5 (-1197)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1091)) (-4 *5 (-1091)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-959 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-959 *5)) (-5 *1 (-958 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1143 *6)) (-4 *6 (-1197)) (-4 *3 (-1197)) (-5 *2 (-1143 *3)) (-5 *1 (-1141 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1247 *6)) (-4 *6 (-1197)) (-4 *5 (-1197)) (-5 *2 (-1247 *5)) (-5 *1 (-1246 *6 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-945 (-216)))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *2 (-1252)) (-5 *1 (-474))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-858 *4))) (-4 *4 (-351)) (-5 *2 (-968 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-967 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-764))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-560 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-376 *3)) (-4 *3 (-1197)) (-4 *3 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *1 (-376 *4)) (-4 *4 (-1197)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *4))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-5 *2 (-1247 *4)) (-5 *1 (-1164 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1247 *3)) (-5 *1 (-1164 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1 *4 *4)) (-5 *3 (-764)) (-4 *1 (-224 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-224 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-226)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-226))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-366) (-151))) (-5 *1 (-402 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 (-764))) (-4 *1 (-896 *4)) (-4 *4 (-1091)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-896 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-896 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-896 *2)) (-4 *2 (-1091))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-851)) (-5 *2 (-1252)) (-5 *1 (-852)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1143 *4)) (-4 *4 (-1091)) (-4 *4 (-1197))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef2| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-635 *1)) (-4 *1 (-1123 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-569)) (-5 *1 (-497 *4)) (-4 *4 (-1222 *2))))) 
-(((*1 *1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1143 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)) (-5 *3 (-1145)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-235)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-945 *4)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-764)) (-5 *4 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1197))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-1143 *3))) (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-121)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-1038 (-410 *2)))) (-5 *2 (-569)) (-5 *1 (-124 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-945 *4))) (-4 *1 (-1123 *4)) (-4 *4 (-1048)) (-5 *2 (-764))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
+(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *5 (-263 *4)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-844)) (-5 *2 (-765))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1165)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-130)) (-5 *2 (-121)) (-5 *1 (-1080 *4)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1145 *3))) (-5 *1 (-1145 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-569)) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-608 *5)) (-4 *5 (-433 *4)) (-4 *4 (-1039 (-569))) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-1161 *5)) (-5 *1 (-36 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-1049)) (-4 *1 (-297)) (-5 *2 (-1161 *1))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-910 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *2 *1 *1 *3 *4) (-12 (-5 *3 (-1 (-121) *5 *5)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1165)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3339 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1185) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-844) (-151) (-1039 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1016 *8 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-1165))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-410 (-955 *4)))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-1039 (-569)) (-151))) (-5 *1 (-575 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *2 (-1063 *4 *5 *6)) (-5 *1 (-770 *4 *5 *6 *2 *3)) (-4 *3 (-1068 *4 *5 *6 *2))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
+(((*1 *2) (-12 (-5 *2 (-2 (|:| -2289 (-635 (-1165))) (|:| -2182 (-635 (-1165))))) (-5 *1 (-1206))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183))))) 
+(((*1 *2 *2 *1) (-12 (-5 *2 (-1275 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-206 *4)) (-4 *4 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 (*2 $)) (-15 -2367 (*2 $))))))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-512))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *1 (-256 *2)) (-4 *2 (-1199)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-257))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-257)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-635 (-466))) (-5 *4 (-1165)) (-5 *2 (-57)) (-5 *1 (-466))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1228 (-569))) (-5 *2 (-635 (-569))) (-5 *1 (-497 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-952 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *3 (-454))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-216))) (-5 *3 (-1111)) (-5 *4 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (-12 (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *6 (-1147)) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-752))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-2 (|:| |additions| (-569)) (|:| |multiplications| (-569)) (|:| |exponentiations| (-569)) (|:| |functionCalls| (-569)))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-681 (-410 (-955 (-569))))) (-5 *2 (-635 (-681 (-311 (-569))))) (-5 *1 (-1033)) (-5 *3 (-311 (-569)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39))) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *4 *5))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-131 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-136 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-278 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (-5 *1 (-564)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *1 (-686 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))))) (-5 *1 (-800)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-969 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-243 *6 (-859 *5))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-765))) (-14 *7 (-765)) (-5 *1 (-931 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-973 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *1 (-931 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-973 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *5 *2)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1052 *4 *5 *6 *7 *2)) (-4 *6 (-1049)) (-4 *7 (-231 *5 *6)) (-4 *2 (-231 *4 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1130 *4 *2)) (-14 *4 (-919)) (-4 *2 (-13 (-1049) (-10 -7 (-6 (-4573 "*"))))) (-5 *1 (-899 *4 *2))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-719 *5 *2)) (-4 *5 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-946 (-216))))) (-5 *2 (-635 (-1087 (-216)))) (-5 *1 (-930))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *2 (-635 *9)) (-5 *3 (-1 (-121) *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *1 (-980 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-106 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-860)) (-5 *2 (-635 *1)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -3064 (-569)))) (-5 *1 (-1045 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-973 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-969 *3))) (-4 *3 (-351)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-366)) (-5 *1 (-870 *3 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-760 *2 *3)) (-4 *2 (-700 *3)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-216)) (-5 *1 (-115))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-854 *4))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
 (((*1 *1) (-5 *1 (-440)))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-126 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-866 *4)) (-14 *4 *3) (-5 *3 (-569)))) ((*1 *2 *1 *3) (-12 (-14 *4 *3) (-5 *2 (-410 (-569))) (-5 *1 (-867 *4 *5)) (-5 *3 (-569)) (-4 *5 (-864 *4)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1013)) (-5 *2 (-410 (-569))))) ((*1 *2 *3 *1 *2) (-12 (-4 *1 (-1064 *2 *3)) (-4 *2 (-13 (-841) (-366))) (-4 *3 (-1222 *2)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (|has| *2 (-15 ** (*2 *2 *3))) (|has| *2 (-15 -2185 (*2 (-1163)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 (-764))) (-4 *9 (-325 (-410 *7) (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *9)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-325 *7 *6)) (-4 *9 (-325 (-410 *7) *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-346 *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-635 (-764))) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 (-764))) (-5 *2 (-680 (-1159 *7))) (-5 *1 (-347 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (-12 (-5 *3 (-635 *7)) (-5 *4 (-1 *7 (-764) (-764) *8)) (-5 *5 (-1247 *8)) (-5 *6 (-764)) (-4 *7 (-13 (-559) (-454))) (-4 *8 (-52 *7 *6)) (-5 *2 (-1143 (-680 (-1159 *7)))) (-5 *1 (-347 *7 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-2 (|:| -2335 *3) (|:| -3782 *4)))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-979 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-851)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1252)) (-5 *1 (-963))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-14 *6 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *2)) (-2 (|:| -3998 *5) (|:| -2356 *2)))) (-4 *2 (-231 (-4168 *3) (-764))) (-5 *1 (-464 *3 *4 *5 *2 *6 *7)) (-4 *5 (-843)) (-4 *7 (-951 *4 *2 (-853 *3)))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-121)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048))))) 
-(((*1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569))))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *1 (-516 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-329))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-678 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1222 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1237 *4)) (-5 *1 (-1239 *4 *2)) (-4 *4 (-43 (-410 (-569))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1048)) (-5 *1 (-319 *4 *5 *2 *6)) (-4 *6 (-951 *2 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *3 (-121)) (-5 *1 (-114)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *14)) (-4 *14 (-259 *13)) (-4 *13 (-537 *5 *6 *7 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *3)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *12 (-236 *11)) (-5 *3 (-764)) (-5 *2 (-569)) (-5 *1 (-261 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *1) (-5 *1 (-329)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1248)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-1249)))) ((*1 *2 *1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-911 *2)) (-4 *2 (-302))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764)))) (-635 *6) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 *6)) (-4 *6 (-366)) (-14 *11 (-1 *8 *6)) (-4 *9 (-13 (-843) (-559))) (-14 *10 (-1 *6 *9)) (-5 *2 (-635 (-2 (|:| -1813 *8) (|:| -2558 (-764))))) (-5 *1 (-487 *6 *7 *8 *9 *10 *11)) (-4 *7 (-454)) (-4 *8 (-13 (-433 (-569)) (-559) (-1038 *9) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764)))) (-635 *7) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 *7)) (-4 *7 (-366)) (-14 *12 (-1 *9 *7)) (-4 *10 (-13 (-843) (-559))) (-14 *11 (-1 *7 *10)) (-5 *2 (-635 (-2 (|:| -1813 *9) (|:| -2558 (-764))))) (-5 *1 (-487 *7 *8 *9 *10 *11 *12)) (-4 *8 (-454)) (-4 *9 (-13 (-433 (-569)) (-559) (-1038 *10) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *6 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *3 (-635 (-410 (-735 *6 (-569))))) (-14 *6 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *6 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *6)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-635 (-1 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *7 (-569)))) (-635 (-466))))) (-5 *5 (-635 (-1163))) (-5 *6 (-635 (-466))) (-5 *3 (-635 (-410 (-735 *7 (-569))))) (-14 *7 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *7 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *7))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *6)))) (-5 *4 (-1027 (-836 (-569)))) (-5 *5 (-1163)) (-5 *7 (-410 (-569))) (-4 *6 (-1048)) (-5 *2 (-851)) (-5 *1 (-594 *6))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1109)) (-5 *1 (-113)))) ((*1 *2 *1) (|partial| -12 (-5 *1 (-368 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1163)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091))))) 
-(((*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-642 *4)) (-4 *8 (-921 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *2 (-972 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1163)) (-4 *8 (-366)) (-5 *5 (-764)) (-4 *12 (-231 (-4168 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-921 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-951 *8 *12 (-853 *10))) (-4 *2 (-972 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-921 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1) (-5 *1 (-1076)))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-259 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1184 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1184 *2))) (-5 *1 (-1184 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-559))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-764))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-680 (-216))) (-5 *8 (-680 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *7 (-1222 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-808 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1222 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-808 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-808 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-680 (-569))) (-5 *5 (-121)) (-5 *7 (-680 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4526)) (-4 *1 (-407)) (-5 *2 (-918))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-672 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-672 *5)) (-4 *5 (-1091))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-918)) (-5 *1 (-782))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *2 *1) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-680 *4)) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 *1)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-1143 *3))) (-5 *1 (-1143 *3)) (-4 *3 (-1197))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *4 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-635 (-853 *4))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-477 *4 *5 *6)) (-4 *6 (-454))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-747))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1163))) (|:| |pred| (-57)))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-319 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-729))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-680 (-569))) (-5 *1 (-1101))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183))))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-909 *5 *2 *6 *7)) (-4 *2 (-325 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5)))) ((*1 *2 *1 *3 *4 *4) (-12 (-5 *3 (-918)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-945 (-216))) (-5 *4 (-870)) (-5 *2 (-1252)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-982 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-945 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)) (-5 *3 (-216))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-1171 (-1163) (-130))) (-5 *1 (-130))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *3 (-167 *6)) (-4 (-954 *6) (-882 *5)) (-4 *6 (-13 (-882 *5) (-173))) (-5 *1 (-177 *5 *6 *3)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-885 *4 *1)) (-5 *3 (-888 *4)) (-4 *1 (-882 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-13 (-1091) (-1038 *3))) (-4 *3 (-882 *5)) (-5 *1 (-933 *5 *3 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-433 *6) (-610 *4) (-882 *5) (-1038 (-608 $)))) (-5 *4 (-888 *5)) (-4 *6 (-13 (-559) (-843) (-882 *5))) (-5 *1 (-934 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 (-569) *3)) (-5 *4 (-888 (-569))) (-4 *3 (-551)) (-5 *1 (-935 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *6)) (-5 *3 (-608 *6)) (-4 *5 (-1091)) (-4 *6 (-13 (-843) (-1038 (-608 $)) (-610 *4) (-882 *5))) (-5 *4 (-888 *5)) (-5 *1 (-936 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-881 *5 *6 *3)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-4 *3 (-659 *6)) (-5 *1 (-937 *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (-12 (-5 *5 (-1 (-885 *6 *3) *8 (-888 *6) (-885 *6 *3))) (-4 *8 (-843)) (-5 *2 (-885 *6 *3)) (-5 *4 (-888 *6)) (-4 *6 (-1091)) (-4 *3 (-13 (-951 *9 *7 *8) (-610 *4))) (-4 *7 (-789)) (-4 *9 (-13 (-1048) (-843) (-882 *6))) (-5 *1 (-938 *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-13 (-951 *8 *6 *7) (-610 *4))) (-5 *4 (-888 *5)) (-4 *7 (-882 *5)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-13 (-1048) (-843) (-882 *5))) (-5 *1 (-938 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 *3)) (-4 *5 (-1091)) (-4 *3 (-994 *6)) (-4 *6 (-13 (-559) (-882 *5) (-610 *4))) (-5 *4 (-888 *5)) (-5 *1 (-941 *5 *6 *3)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-885 *5 (-1163))) (-5 *3 (-1163)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *1 (-942 *5)))) ((*1 *2 *3 *4 *5 *2 *6) (-12 (-5 *4 (-635 (-888 *7))) (-5 *5 (-1 *9 (-635 *9))) (-5 *6 (-1 (-885 *7 *9) *9 (-888 *7) (-885 *7 *9))) (-4 *7 (-1091)) (-4 *9 (-13 (-1048) (-610 (-888 *7)) (-1038 *8))) (-5 *2 (-885 *7 *9)) (-5 *3 (-635 *9)) (-4 *8 (-13 (-1048) (-843))) (-5 *1 (-943 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-817)) (-5 *4 (-57)) (-5 *2 (-1252)) (-5 *1 (-827))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *2 (-1159 *4)) (-5 *1 (-536 *4 *5 *6)) (-4 *5 (-366)) (-4 *6 (-13 (-366) (-841)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1 *2 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-130))))) 
-(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *4 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1166)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1163)) (-5 *1 (-1167)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1163))) (-5 *1 (-1167))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-3 *3 (-635 *1))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1130)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-680 (-216))) (-5 *6 (-121)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3358 (-765)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-765)) (-5 *1 (-926 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1199)) (-5 *2 (-765)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-844)) (-5 *2 (-765)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-550 *3)) (-4 *3 (-551)))) ((*1 *2) (-12 (-4 *1 (-757)) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-793 *3 *4)) (-4 *3 (-794 *4)))) ((*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-994 *3 *4)) (-4 *3 (-995 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-765)) (-5 *1 (-998 *3 *4)) (-4 *3 (-999 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1013 *3)) (-4 *3 (-1014)))) ((*1 *2) (-12 (-4 *1 (-1049)) (-5 *2 (-765)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1057 *3)) (-4 *3 (-1058))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-382))))) 
+(((*1 *1 *1) (-4 *1 (-865 *2)))) 
+(((*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-1061)) (-5 *3 (-1147))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569)))))))))) (-5 *1 (-1169))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559)))))) 
 (((*1 *1) (-5 *1 (-159)))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-680 (-410 *4)))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-680 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-746))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1179))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-406 *3)) (-4 *3 (-407)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-1143 (-569)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)) (-4 *2 (-843)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-278 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 *2) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *2 *4)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-14 *2 (-764)) (-4 *3 (-1048))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-1048)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |val| *1) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |val| *3) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-500 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-764)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-764)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (|has| $ (-6 -4535)) (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-1133 *4))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-559)) (-5 *1 (-971 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *6 (-635 (-257))) (-5 *2 (-1252)) (-5 *1 (-457)))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-382))) (-5 *5 (-1145)) (-5 *2 (-1252)) (-5 *1 (-457))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-3 (-1159 *4) (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109))))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-121) (-123) (-123))) (-5 *1 (-123))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-1222 *4)) (-5 *1 (-805 *4 *3 *2 *5)) (-4 *2 (-647 *3)) (-4 *5 (-647 (-410 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *1 (-805 *4 *5 *2 *6)) (-4 *2 (-647 *5)) (-4 *6 (-647 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-765)) (-5 *1 (-590))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1161 *1)) (-5 *3 (-1165)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-955 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-844) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-844) (-559))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *2)) (-5 *4 (-1165)) (-4 *2 (-433 *5)) (-5 *1 (-36 *5 *2)) (-4 *5 (-13 (-844) (-559))))) ((*1 *1 *2 *3) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-4 *1 (-1014)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-1161 *1)) (-5 *3 (-919)) (-5 *4 (-852)) (-4 *1 (-1014)))) ((*1 *1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-4 *4 (-13 (-842) (-366))) (-4 *1 (-1065 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *4)) (-5 *1 (-674 *4 *3)) (-4 *4 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *4 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5 *4)) (-5 *1 (-674 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1147))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |var| (-635 (-1165))) (|:| |pred| (-57)))) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-170 (-382)))) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-974)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-57))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-681 *4)) (-4 *4 (-1049)) (-5 *1 (-1130 *3 *4)) (-14 *3 (-765))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2) (-12 (-5 *2 (-681 (-907 *3))) (-5 *1 (-353 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919)))) ((*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1161 *3) (-1253 (-635 (-2 (|:| -2756 *3) (|:| -1333 (-1111))))))))) ((*1 *2) (-12 (-5 *2 (-681 *3)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-919))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1047))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-741))))) 
+(((*1 *2 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |c| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1017 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1049)) (-4 *3 (-844)) (-4 *5 (-263 *3)) (-4 *6 (-790)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-272)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *8)) (-5 *4 (-635 *6)) (-4 *6 (-844)) (-4 *8 (-952 *7 *5 *6)) (-4 *5 (-790)) (-4 *7 (-1049)) (-5 *2 (-635 (-765))) (-5 *1 (-319 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-700 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-846 *3)) (-4 *3 (-1049)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-902 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1049)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-765)) (-5 *1 (-910 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-765))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-952 *4 *5 *3)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-976 *3 *2 *4)) (-4 *3 (-1049)) (-4 *4 (-844)) (-4 *2 (-789)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-919)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1243 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1212 *3)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-830 (-919))))) ((*1 *2 *1) (-12 (-4 *1 (-1272 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-765))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *1 *2 *3) (|partial| -12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-1061))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-69 -1647)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)) (-5 *4 (-635 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-635 (-1165))) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-955 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4)))))))))) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)) (-5 *4 (-635 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *9)) (|:| |neqzro| (-635 *9)) (|:| |wcond| (-635 (-955 *6))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *6)))) (|:| -4079 (-635 (-1253 (-410 (-955 *6)))))))))) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-919)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *8)) (|:| |neqzro| (-635 *8)) (|:| |wcond| (-635 (-955 *5))) (|:| |bsoln| (-2 (|:| |partsol| (-1253 (-410 (-955 *5)))) (|:| -4079 (-635 (-1253 (-410 (-955 *5)))))))))) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 *9)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-635 (-1165))) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-681 *8)) (-5 *4 (-1147)) (-4 *8 (-952 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-844) (-610 (-1165)))) (-4 *7 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 *10)) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-681 *10)) (-5 *4 (-635 (-1165))) (-5 *5 (-919)) (-5 *6 (-1147)) (-4 *10 (-952 *7 *9 *8)) (-4 *7 (-13 (-302) (-151))) (-4 *8 (-13 (-844) (-610 (-1165)))) (-4 *9 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-681 *9)) (-5 *4 (-919)) (-5 *5 (-1147)) (-4 *9 (-952 *6 *8 *7)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-13 (-844) (-610 (-1165)))) (-4 *8 (-790)) (-5 *2 (-569)) (-5 *1 (-926 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-681 *4))) (-4 *4 (-366)) (-4 *4 (-1049)) (-5 *2 (-121)) (-5 *1 (-1031 *4))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-149))) ((*1 *1 *1) (-4 *1 (-351))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-149)) (-4 *1 (-906))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-86 FCN)))) (-5 *2 (-1037)) (-5 *1 (-740))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1049)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1087 (-837 (-382)))) (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *2 (-635 (-2 (|:| -3190 (-765)) (|:| -1736 *4) (|:| |num| *4)))) (-5 *1 (-402 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-1258))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-559)) (-4 *4 (-1049)) (-4 *2 (-1243 *4)) (-5 *1 (-1246 *4 *5 *6 *2)) (-4 *6 (-647 *5))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-216))) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1145 (-569))) (-5 *1 (-1149 *4)) (-4 *4 (-1049)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1145 (-216))) (-5 *2 (-635 (-1147))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 (-1264 *4 *5 *6 *7))) (-5 *1 (-1264 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-635 (-1264 *6 *7 *8 *9))) (-5 *1 (-1264 *6 *7 *8 *9))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-454)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *6)) (-4 *6 (-952 *5 *3 *4)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-906)) (-5 *1 (-460 *3 *4 *5 *6)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1161 *1)) (-4 *1 (-906))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-820)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1253 *5)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-839 *4 *5)) (-14 *4 (-765))))) 
+(((*1 *2 *3 *4) (-12 (-4 *6 (-559)) (-4 *2 (-952 *3 *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-5 *3 (-410 (-955 *6))) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -2318 (-569)) (|:| -3459 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *2 (-2 (|:| |contp| (-569)) (|:| -3459 (-635 (-2 (|:| |irr| *3) (|:| -4144 (-569))))))) (-5 *1 (-1217 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-64 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-64 *5)) (-5 *1 (-63 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *7 *5)) (-5 *4 (-233 *6 *7)) (-14 *6 (-765)) (-4 *7 (-1199)) (-4 *5 (-1199)) (-5 *2 (-233 *6 *5)) (-5 *1 (-232 *6 *7 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-4 *2 (-376 *5)) (-5 *1 (-374 *6 *4 *5 *2)) (-4 *4 (-376 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-4 *6 (-1093)) (-4 *5 (-1093)) (-4 *2 (-428 *5)) (-5 *1 (-426 *6 *4 *5 *2)) (-4 *4 (-428 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-635 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-635 *5)) (-5 *1 (-633 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-960 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-960 *5)) (-5 *1 (-959 *6 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *3 *6 *3)) (-5 *5 (-1145 *6)) (-4 *6 (-1199)) (-4 *3 (-1199)) (-5 *2 (-1145 *3)) (-5 *1 (-1143 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *5 *6 *5)) (-5 *4 (-1253 *6)) (-4 *6 (-1199)) (-4 *5 (-1199)) (-5 *2 (-1253 *5)) (-5 *1 (-1252 *6 *5))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1127))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)) (-5 *1 (-411 *3 *4 *5)) (-4 *3 (-412 *4 *5)))) ((*1 *2) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1039 *4)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 *7)) (-4 *7 (-952 *6 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-5 *2 (-1161 *6)) (-5 *1 (-319 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-919)) (-5 *1 (-1032 *2)) (-4 *2 (-13 (-1093) (-10 -8 (-15 -1371 ($ $ $)))))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-765))) (-5 *1 (-1256))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-955 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1165))))) ((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-777 *3 (-854 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1165))) (-5 *1 (-620 *3 *4))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-389 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1093)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-765)) (-5 *1 (-816 *4)) (-4 *4 (-844))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1063 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-790)) (-4 *8 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1193 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1063 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-790)) (-4 *7 (-844)) (-5 *2 (-2 (|:| |bas| *1) (|:| -1941 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1193 *5 *6 *7 *8))))) 
+(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-946 *5)) (-5 *3 (-765)) (-4 *5 (-1049)) (-5 *1 (-1153 *4 *5)) (-14 *4 (-919))))) 
+(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-946 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-4 *3 (-1049)) (-4 *1 (-679 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1049)) (-4 *1 (-1114 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-569)) (-5 *3 (-960 (-382))) (-5 *1 (-115))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-973 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-765)) (-4 *1 (-973 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3339 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1228 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *1 (-668 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-765)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1049))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-366))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-765)) (-4 *4 (-302)) (-4 *6 (-1228 *4)) (-5 *2 (-1253 (-635 *6))) (-5 *1 (-458 *4 *6)) (-5 *5 (-635 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| -3339 (-410 (-955 *5))) (|:| |coeff| (-410 (-955 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-955 *5)))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-130))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-1153 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-1124 (-216))) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 (-955 *6))) (-4 *6 (-559)) (-4 *2 (-952 (-410 (-955 *6)) *5 *4)) (-5 *1 (-724 *5 *4 *6 *2)) (-4 *5 (-790)) (-4 *4 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $)))))))) 
+(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-918))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1132)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-890 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-844)) (-4 *4 (-13 (-173) (-709 (-410 (-569))))) (-14 *5 (-919)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-890 *3)) (-4 *3 (-844))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1093)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-790)) (-4 *3 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *1 (-451 *4 *5 *6 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-272))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1147)) (-5 *1 (-783))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-765)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844)) (-4 *5 (-1063 *3 *4 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nullBranch| "null") (|:| |assignmentBranch| (-2 (|:| |var| (-1165)) (|:| |arrayIndex| (-635 (-955 (-569)))) (|:| |rand| (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |arrayAssignmentBranch| (-2 (|:| |var| (-1165)) (|:| |rand| (-852)) (|:| |ints2Floats?| (-121)))) (|:| |conditionalBranch| (-2 (|:| |switch| (-1164)) (|:| |thenClause| (-329)) (|:| |elseClause| (-329)))) (|:| |returnBranch| (-2 (|:| -1668 (-121)) (|:| -2756 (-2 (|:| |ints2Floats?| (-121)) (|:| -2824 (-852)))))) (|:| |blockBranch| (-635 (-329))) (|:| |commentBranch| (-635 (-1147))) (|:| |callBranch| (-1147)) (|:| |forBranch| (-2 (|:| -1848 (-1085 (-955 (-569)))) (|:| |span| (-955 (-569))) (|:| |body| (-329)))) (|:| |labelBranch| (-1111)) (|:| |loopBranch| (-2 (|:| |switch| (-1164)) (|:| |body| (-329)))) (|:| |commonBranch| (-2 (|:| -2798 (-1165)) (|:| |contents| (-635 (-1165))))) (|:| |printBranch| (-635 (-852))))) (-5 *1 (-329))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) *2)) (-4 *7 (-973 *4)) (-4 *8 (-642 *4)) (-4 *9 (-922 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-765)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-1049)) (-5 *2 (-955 *5)) (-5 *1 (-947 *4 *5))))) 
+(((*1 *2 *3 *4 *3) (-12 (-5 *3 (-1111)) (-5 *4 (-960 (-170 (-216)))) (-5 *2 (-569)) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (-12 (-5 *3 (-216)) (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-87 PDEF)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-88 BNDY)))) (-5 *2 (-1037)) (-5 *1 (-744))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-635 (-311 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1049)) (-5 *1 (-706 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1049)) (-5 *1 (-831 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *3 (-681 (-569))) (-5 *1 (-1103))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-667 (-216))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-744))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1163 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 (QUOTE |x|) *4)) (-5 *1 (-1210 *4)) (-4 *4 (-1049)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1244 *4 *5 *6)) (-4 *4 (-1049)) (-14 *5 (-1165)) (-14 *6 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1225 *5 *4)) (-5 *1 (-1248 *4 *5)) (-4 *4 (-1049)) (-14 *5 (-1165))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-946 (-216)) (-216))) (-5 *3 (-1087 (-216))) (-5 *1 (-929))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1037)) (-5 *3 (-1165)) (-5 *1 (-264))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-871)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *2 (-121)) (-5 *1 (-264))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1018 *4 *5)) (-5 *3 (-410 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-382))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-382))) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2) (-12 (-14 *4 (-765)) (-4 *5 (-1199)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-844)) (-4 *4 (-366)) (-4 *5 (-790)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-983 *3)) (-4 *3 (-1049)) (-5 *2 (-919)))) ((*1 *2) (-12 (-4 *1 (-1260 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-697 *3 *4)) (-4 *3 (-1199)) (-4 *4 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-675 *4 *5 *6)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *5 *6))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-1046 *4 *5))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-745))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-216)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-410 (-569))) (-5 *1 (-382))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-185))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-635 *3))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 (-1159 (-1159 *4)))) (-5 *1 (-1196 *4)) (-5 *3 (-1159 (-1159 *4)))))) 
-(((*1 *1) (-4 *1 (-23))) ((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1) (-4 *1 (-717))) ((*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *1) (-5 *1 (-1163)))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-820))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-954 *3))) (-4 *3 (-454)) (-5 *1 (-363 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-452 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *7)))) ((*1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-951 *3 *5 *6)) (-4 *3 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-561 *3 *4 *5 *6 *7)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-776 *3 (-853 *4)))) (-4 *3 (-454)) (-14 *4 (-635 (-1163))) (-5 *1 (-620 *3 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (-410 *5)) (|:| |c2| (-410 *5)) (|:| |deg| (-764)))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 *3)) (-5 *1 (-925 *4 *5 *6 *3)) (-4 *3 (-951 *4 *6 *5))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-454)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-280)) (-4 *2 (-433 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-493 *3 *4))) (-14 *3 (-635 (-1163))) (-4 *4 (-454)) (-5 *1 (-623 *3 *4))))) 
-(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (-12 (-4 *6 (-843)) (-5 *3 (-635 *6)) (-5 *5 (-635 *3)) (-5 *2 (-2 (|:| |f1| *3) (|:| |f2| (-635 *5)) (|:| |f3| *5) (|:| |f4| (-635 *5)))) (-5 *1 (-1169 *6)) (-5 *4 (-635 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3 *3 *4 *4) (-12 (-5 *3 (-764)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-448)) (-5 *3 (-569))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1202)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (-4 *1 (-341 *4 *5 *6))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 (-954 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1159 (-954 *3))))) ((*1 *2) (-12 (-5 *2 (-1159 (-410 (-954 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) *2)) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-764))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-140))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-851))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-57))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1091)) (-5 *2 (-1145)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-297)) (-4 *2 (-1197)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-608 *1))) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *1)) (-4 *1 (-297))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-859)))) ((*1 *1 *2 *2 *3 *1 *4) (-12 (-5 *2 (-1159 (-861))) (-5 *3 (-918)) (-5 *4 (-1163)) (-5 *1 (-861))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-172)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-5 *2 (-1159 *1)) (-4 *1 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *3 (-366)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-1159 *4)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-1085 (-216)))) (-5 *1 (-929))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1060)) (-5 *3 (-1145))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *2 (-433 *3)) (-5 *1 (-36 *3 *2)) (-4 *3 (-1038 *4)) (-4 *3 (-13 (-843) (-559)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-3 (-2 (|:| -3032 *6) (|:| |coeff| *6)) "failed") *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-13 (-559) (-454))) (-5 *2 (-635 *3)) (-5 *1 (-347 *3 *5)) (-4 *5 (-52 *3 *4))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-1045 *4 *5))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-148)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *1 (-1132)) (-5 *3 (-569)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-681 *5)) (-5 *1 (-636 *5 *6))))) 
+(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-718)) (-4 *2 (-1199))))) 
+(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1147)) (-5 *2 (-768)) (-5 *1 (-123))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (-12 (-5 *2 (-960 (-170 (-216)))) (-5 *3 (-1111)) (-5 *4 (-170 (-216))) (-5 *1 (-115))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
+(((*1 *1) (-12 (-4 *1 (-407)) (-3182 (|has| *1 (-6 -4562))) (-3182 (|has| *1 (-6 -4554))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1093)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-827 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-4 *1 (-844))) ((*1 *1) (-5 *1 (-1111)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-952 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-844) (-610 (-1165)))) (-4 *5 (-790)) (-5 *1 (-926 *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-918)) (-5 *2 (-2 (|:| -3550 (-635 *1)) (|:| -1986 *1))) (-5 *3 (-635 *1))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *4)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-5 *2 (-1 *5)) (-5 *1 (-674 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *1 *2 *2) (|partial| -12 (-5 *2 (-919)) (-5 *1 (-1094 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (-12 (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
 (((*1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *3 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *6 (-1062 *4 *5 *3)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-454)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *3 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1048)) (-5 *1 (-594 *4))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-861)) (-5 *1 (-856 *3)) (-14 *3 *2)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-302)) (-5 *2 (-635 *5))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| A (-680 *5)) (|:| |eqs| (-635 (-2 (|:| C (-680 *5)) (|:| |g| (-1247 *5)) (|:| -1502 *6) (|:| |rh| *5)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *6 (-647 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-647 *5)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-809 *5 *6)) (-5 *3 (-680 *6)) (-5 *4 (-1247 *5))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-405)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-405)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551)))) ((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1475 *3) (|:| -2356 (-764)))) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-569)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1038 (-569))) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1159 *4)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-1048)) (-4 *1 (-297)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1159 *3)))) ((*1 *2) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-4 *1 (-1064 *3 *2)) (-4 *3 (-13 (-841) (-366))) (-4 *2 (-1222 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))))) ((*1 *1 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *1 *2 *2) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-680 *2)) (-4 *2 (-173)) (-5 *1 (-150 *2)))) ((*1 *2 *3) (-12 (-4 *4 (-173)) (-4 *2 (-1222 *4)) (-5 *1 (-176 *4 *2 *3)) (-4 *3 (-715 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-954 *5)))) (-5 *4 (-1163)) (-5 *2 (-954 *5)) (-5 *1 (-287 *5)) (-4 *5 (-454)))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-954 *4)))) (-5 *2 (-954 *4)) (-5 *1 (-287 *4)) (-4 *4 (-454)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *4 (-1163)) (-5 *2 (-954 (-170 (-410 (-569))))) (-5 *1 (-757 *5)) (-4 *5 (-13 (-366) (-841))))) ((*1 *2 *3) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *4 (-1163)) (-5 *2 (-954 (-410 (-569)))) (-5 *1 (-774 *5)) (-4 *5 (-13 (-366) (-841)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1163))) (-4 *6 (-366)) (-5 *2 (-635 (-289 (-954 *6)))) (-5 *1 (-544 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-13 (-366) (-841)))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-2 (|:| |zeros| (-1143 (-216))) (|:| |ones| (-1143 (-216))) (|:| |singularities| (-1143 (-216))))) (-5 *1 (-109))))) 
-(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-990 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-1252)) (-5 *1 (-1098 *3 *4 *5 *6 *7)) (-4 *7 (-1067 *3 *4 *5 *6))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1 (-121) *8))) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-1247 *5)) (-4 *5 (-302)) (-4 *5 (-1048)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-121)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1093 (-1093 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-302)) (-5 *1 (-690 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *6)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197))))) 
-(((*1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *5 *5)) (-4 *5 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-2 (|:| |solns| (-635 *5)) (|:| |maps| (-635 (-2 (|:| |arg| *5) (|:| |res| *5)))))) (-5 *1 (-1117 *3 *5)) (-4 *3 (-1222 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |mval| (-680 *3)) (|:| |invmval| (-680 *3)) (|:| |genIdeal| (-515 *3 *4 *5 *6)))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *3 (-2 (|:| |lcmfij| *6) (|:| |totdeg| (-764)) (|:| |poli| *4) (|:| |polj| *4))) (-4 *6 (-789)) (-4 *4 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *7 (-843)) (-5 *1 (-451 *5 *6 *7 *4))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-918)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-257))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 (-121) *6 *6)) (-4 *6 (-843)) (-5 *4 (-635 *6)) (-5 *2 (-2 (|:| |fs| (-121)) (|:| |sd| *4) (|:| |td| (-635 *4)))) (-5 *1 (-1169 *6)) (-5 *5 (-635 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569))))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *2 *2 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *2)) (-4 *2 (-951 *5 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *6 *4 *5)) (-5 *1 (-913 *4 *5 *6 *2)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1159 *6)) (-4 *6 (-951 *5 *3 *4)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-302)) (-5 *1 (-913 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1159 *7))) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-1159 *7)) (-5 *1 (-913 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5)))) ((*1 *1 *1 *1) (-5 *1 (-918))) ((*1 *2 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454))))) 
-(((*1 *1) (-5 *1 (-148))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-257))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-121) *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |goodPols| (-635 *8)) (|:| |badPols| (-635 *8)))) (-5 *1 (-979 *5 *6 *7 *8)) (-5 *4 (-635 *8))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-215 *4 *5)) (-4 *5 (-13 (-1183) (-29 *4)))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-583))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-956)) (-5 *2 (-635 (-635 (-945 (-216))))))) ((*1 *2 *1) (-12 (-4 *1 (-976)) (-5 *2 (-635 (-635 (-945 (-216)))))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-113))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1163)) (-4 *2 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-762)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))) (|:| |extra| (-1036)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-783)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)) (|:| |extra| (-1036)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-796)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-804)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-804)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-801)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-832)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-834)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-891)) (-5 *3 (-1060)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -2703 (-382)) (|:| |explanations| (-1145)))))) ((*1 *2 *3) (-12 (-5 *3 (-894)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-894)) (-5 *4 (-1060)) (-5 *2 (-2 (|:| -2703 (-382)) (|:| -1486 (-1145)) (|:| |explanations| (-635 (-1145))))) (-5 *1 (-893))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1143 *3)) (-4 *3 (-1091)) (-4 *3 (-1197))))) 
-(((*1 *1 *1) (|partial| -12 (-5 *1 (-289 *2)) (-4 *2 (-717)) (-4 *2 (-1197))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *5 (-559)) (-5 *1 (-723 *4 *3 *5 *2)) (-4 *2 (-951 (-410 (-954 *5)) *4 *3)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *3 *2)) (-4 *2 (-951 (-954 *4) *5 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *4 (-1048)) (-4 *5 (-789)) (-5 *1 (-986 *4 *5 *6 *2)) (-4 *2 (-951 (-954 *4) *5 *6))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-1218 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1135 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-918)) (-5 *1 (-1092 *3 *4)) (-14 *3 *2) (-14 *4 *2)))) 
-(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (-12 (-5 *2 (-680 *4)) (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-681 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3782 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1143 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -4235 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-602 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1197)) (-5 *2 (-635 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-586 (-410 (-954 *5)))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (-12 (-5 *3 (-918)) (-5 *4 (-216)) (-5 *5 (-569)) (-5 *6 (-870)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-843) (-559) (-1038 (-569)))) (-4 *8 (-1222 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-608 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1036))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-891)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *2 (-1036))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 *3)))) (-5 *1 (-805 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -3930 (-680 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-680 *6)))) (-4 *7 (-1222 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-1159 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-680 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-680 *6)) (-5 *1 (-1030 *6)) (-4 *6 (-366)) (-4 *6 (-1048)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-680 *4))) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4)) (-4 *4 (-366)) (-4 *4 (-1048)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-5 *2 (-680 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *5))))) (-5 *1 (-1271 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-14 *7 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-5 *2 (-635 (-635 (-1024 (-410 *4))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-14 *6 (-635 (-1163)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-2 (|:| |num| (-680 *5)) (|:| |den| *5)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-806 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-2 (|:| -3930 (-635 (-410 *6))) (|:| -3477 (-680 *5)))) (-5 *1 (-806 *5 *6)) (-5 *4 (-635 (-410 *6)))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1197)) (-4 *1 (-62 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1) (-5 *1 (-172))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) ((*1 *1) (-5 *1 (-397))) ((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) ((*1 *1 *1) (-5 *1 (-1163))) ((*1 *1) (-5 *1 (-1163))) ((*1 *1) (-5 *1 (-1178)))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-764)) (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -3477 (-680 (-410 (-954 *4)))) (|:| |vec| (-635 (-410 (-954 *4)))) (|:| -1321 (-764)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1222 *3)) (-4 *5 (-715 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1237 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1138 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-680 (-954 *4))) (-5 *1 (-1029 *4)) (-4 *4 (-1048))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 *5))) (-4 *5 (-325 *4 *6)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-4 *4 (-1048)) (-5 *2 (-764)) (-5 *1 (-773 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-930 *5 *3 *6 *7 *4)) (-4 *3 (-325 *5 *6)) (-4 *4 (-972 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-4 *7 (-231 *8 *2)) (-14 *8 *2) (-5 *2 (-764)) (-5 *1 (-930 *6 *3 *7 *8 *4)) (-4 *3 (-325 *6 *7)) (-4 *4 (-972 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-341 *4 *3 *5)) (-4 *4 (-1202)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 (-410 *3))) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-366)) (-5 *1 (-892 *2 *3)) (-4 *2 (-1222 *3))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-945 *4)) (-4 *4 (-1048)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-569)) (-4 *4 (-351)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-680 (-216))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-5 *1 (-909 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 *3)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (-12 (-5 *3 (-569)) (-5 *5 (-680 (-216))) (-5 *6 (-3 (|:| |fn| (-391)) (|:| |fp| (-72 DOT)))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-73 IMAGE)))) (-5 *8 (-391)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1219 *5 *4)) (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-569)) (-5 *1 (-1105 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-978 *3 *4 *2 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *5 (-1062 *3 *4 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 (-954 *6))) (-4 *6 (-559)) (-4 *2 (-951 (-410 (-954 *6)) *5 *4)) (-5 *1 (-723 *5 *4 *6 *2)) (-4 *5 (-789)) (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1036)) (-5 *3 (-1163)) (-5 *1 (-264))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -3139 *3) (|:| -2284 *4)))) (-5 *1 (-687 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (-12 (-5 *4 (-569)) (-5 *5 (-1147)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-94 G)))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-91 FCN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-93 OUTPUT)))) (-5 *3 (-216)) (-5 *2 (-1037)) (-5 *1 (-743))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-946 (-216))) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *2 *1 *3 *4 *4 *5) (-12 (-5 *3 (-635 (-946 (-216)))) (-5 *4 (-871)) (-5 *5 (-919)) (-5 *2 (-1258)) (-5 *1 (-474))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-155 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1193 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *2 (-1063 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-1197 *2)) (-4 *2 (-1199))))) 
+(((*1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-844)) (-5 *1 (-1171 *3))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-946 (-216))) (-5 *4 (-871)) (-5 *2 (-1258)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1049)) (-4 *1 (-983 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-946 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)) (-5 *3 (-216))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1161 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-1103))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *4 (-635 (-1165))) (-5 *2 (-635 (-635 (-170 *5)))) (-5 *1 (-381 *5)) (-4 *5 (-13 (-366) (-842)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (-12 (-4 *4 (-366)) (-4 *3 (-1228 *4)) (-4 *5 (-1228 (-410 *3))) (-4 *1 (-334 *4 *3 *5 *2)) (-4 *2 (-341 *4 *3 *5)))) ((*1 *1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-366)) (-4 *4 (-1228 *2)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *2 *4 *5 *6)) (-4 *6 (-341 *2 *4 *5)))) ((*1 *1 *2 *2) (-12 (-4 *2 (-366)) (-4 *3 (-1228 *2)) (-4 *4 (-1228 (-410 *3))) (-4 *1 (-334 *2 *3 *4 *5)) (-4 *5 (-341 *2 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *1 (-334 *3 *4 *5 *2)) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-416 *4 (-410 *4) *5 *6)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-4 *3 (-366)) (-4 *1 (-334 *3 *4 *5 *6))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-681 (-410 (-955 (-569))))) (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *6 (-13 (-559) (-844))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1049)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1185))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-955 *4)))) (-4 *4 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1088 *3 *2)) (-4 *3 (-842)) (-4 *2 (-1137 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1088 *4 *2)) (-4 *4 (-842)) (-4 *2 (-1137 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185))))) ((*1 *2 *1) (-12 (-5 *2 (-1266 (-1165) *3)) (-5 *1 (-1273 *3)) (-4 *3 (-1049)))) ((*1 *2 *1) (-12 (-5 *2 (-1266 *3 *4)) (-5 *1 (-1275 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
 (((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1222 *4)) (-4 *4 (-1202)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1222 (-410 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-1247 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1222 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-764))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-121)) (-5 *5 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-748))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1171 (-918) (-764)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-834)) (-5 *2 (-1036)) (-5 *1 (-833)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-382)))) (-5 *4 (-635 (-382))) (-5 *2 (-1036)) (-5 *1 (-833))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-885 *4 *5)) (-5 *3 (-885 *4 *6)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-659 *5)) (-5 *1 (-881 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *4 (-216))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| |outval| *4) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *4)))))) (-5 *1 (-774 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-515 (-410 (-569)) (-233 *4 (-764)) (-853 *3) (-243 *3 (-410 (-569))))) (-14 *3 (-635 (-1163))) (-14 *4 (-764)) (-5 *1 (-516 *3 *4))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-170 (-216))) (-5 *5 (-569)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-389 *3)) (|:| |rm| (-389 *3)))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4268 (-764)) (|:| -1830 (-764)))) (-5 *1 (-764)))) ((*1 *2 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |lm| (-3 (-815 *3) "failed")) (|:| |rm| (-3 (-815 *3) "failed")))) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 (-170 *4)) (-1003) (-1183))) (-5 *1 (-598 *4 *5 *2))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216) (-216))) (-5 *3 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-249))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (-12 (-5 *3 (-569)) (-5 *5 (-170 (-216))) (-5 *6 (-1145)) (-5 *4 (-216)) (-5 *2 (-1036)) (-5 *1 (-751))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4))))))) (-5 *3 (-635 *7)) (-4 *4 (-13 (-302) (-151))) (-4 *7 (-951 *4 *6 *5)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-148))))) 
+(((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-765)) (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-859 *4))) (-4 *4 (-351)) (-5 *2 (-969 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-968 *4)) (-5 *1 (-870 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-973 *3))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1253 (-635 (-569)))) (-5 *1 (-492)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *6 (-883 *5)) (-5 *2 (-882 *5 *6 (-635 *6))) (-5 *1 (-884 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1039 (-1165))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-635 (-289 (-955 *3)))) (-5 *1 (-884 *5 *3 *4)) (-4 *3 (-1049)) (-3182 (-4 *3 (-1039 (-1165)))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-5 *2 (-886 *5 *3)) (-5 *1 (-884 *5 *3 *4)) (-3182 (-4 *3 (-1039 (-1165)))) (-3182 (-4 *3 (-1049))) (-4 *3 (-883 *5)) (-4 *4 (-610 (-889 *5)))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-979 *4 *5 *3 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-4 *6 (-1063 *4 *5 *3)) (-5 *2 (-121))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1049))))) 
+(((*1 *2) (-12 (-4 *3 (-1049)) (-5 *2 (-960 (-704 *3 *4))) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (-4 *1 (-376 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-971 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1153 *3 *4))) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-1153 *2 *3)) (-14 *2 (-919)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-1178))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-436 *4 *3)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-433 *5)) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-436 *5 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-952 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-1161 *2)) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| -12 (-5 *3 (-608 *2)) (-5 *4 (-1 (-3 *2 "failed") *2 *2 (-1165))) (-5 *5 (-410 (-1161 *2))) (-4 *2 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *1 (-565 *6 *2 *7)) (-4 *7 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-366)) (-4 *1 (-328 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1228 *4)) (-4 *4 (-1208)) (-4 *1 (-341 *4 *3 *5)) (-4 *5 (-1228 (-410 *3))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-370 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1253 *4)) (-5 *3 (-1253 *1)) (-4 *4 (-173)) (-4 *1 (-373 *4 *5)) (-4 *5 (-1228 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-412 *3 *4)) (-4 *4 (-1228 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-173)) (-4 *1 (-420 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-130))) (-5 *1 (-130))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
+(((*1 *1 *2) (-12 (-5 *1 (-1028 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 *3))) (-4 *3 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1147)) (-4 *3 (-13 (-27) (-1185) (-433 *6))) (-4 *6 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-837 *3)) (-5 *1 (-628 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-837 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-837 (-410 (-955 *5))) (-2 (|:| |leftHandLimit| (-3 (-837 (-410 (-955 *5))) "failed")) (|:| |rightHandLimit| (-3 (-837 (-410 (-955 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-837 *3) (-2 (|:| |leftHandLimit| (-3 (-837 *3) "failed")) (|:| |rightHandLimit| (-3 (-837 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-955 *6)))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-454)) (-5 *2 (-837 *3)) (-5 *1 (-629 *6))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-3 (-121) (-635 *1))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1199)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-500 *3)) (-4 *3 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4572)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
+(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *3 (-559))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *3 (-236 *10)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *3 *13)) (-4 *13 (-117)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-5 *1 (-563 *4 *5 *6 *7 *8 *9 *10 *3)) (-4 *8 (-973 *4)) (-4 *3 (-236 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-924 *5))) (-5 *4 (-635 (-243 *6 *5))) (-4 *5 (-351)) (-14 *6 (-635 (-1165))) (-5 *2 (-635 (-243 *6 (-859 *5)))) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-243 *5 *4))) (-5 *3 (-237 (-923 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-5 *1 (-870 *4 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1165))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-889 *3))) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-952 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1049)) (-4 *7 (-952 *6 *4 *5)) (-5 *2 (-635 *3)) (-5 *1 (-953 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-559)) (-4 *7 (-952 *3 *5 *6)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *8) (|:| |radicand| *8))) (-5 *1 (-956 *5 *6 *3 *7 *8)) (-5 *4 (-765)) (-4 *8 (-13 (-366) (-10 -8 (-15 -3515 (*7 $)) (-15 -3524 (*7 $)) (-15 -3956 ($ *7)))))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -3335 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| -3175 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382))))))) (-5 *1 (-800))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1225 *5 *4)) (-4 *4 (-454)) (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-569)) (-5 *1 (-1107 *4 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-919)) (-5 *5 (-635 *9)) (-4 *9 (-973 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *4 (-952 *6 *8 (-854 *7))) (-4 *8 (-231 (-2946 *7) (-765))) (-4 *10 (-642 *6)) (-4 *11 (-922 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1258)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-924 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 (-859 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1165))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-870 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-117))))) 
+(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-852) (-852) (-852))) (-5 *4 (-569)) (-5 *2 (-852)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1093)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-848 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-852)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-852)) (-5 *1 (-1161 *3)) (-4 *3 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-641 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-4 *6 (-325 *5 *7)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-4 *5 (-366)) (-5 *2 (-121)) (-5 *1 (-931 *5 *6 *7 *8 *4)) (-4 *4 (-973 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-738 *3)) (-4 *3 (-173))))) 
+(((*1 *1 *2) (|partial| -12 (-5 *2 (-1266 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173)) (-5 *1 (-657 *3 *4)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-657 *3 *4)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1255))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *3 (-569)) (-4 *1 (-864 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-439))))) 
-(((*1 *2 *3 *3 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-764))))) 
-(((*1 *2 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
-(((*1 *1) (-5 *1 (-799)))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-635 *3)) (-4 *3 (-1197))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (-12 (-5 *3 (-1145)) (-5 *5 (-680 (-216))) (-5 *6 (-680 (-569))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-750))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-1193 *3)) (-4 *3 (-976))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *6 (-789)) (-4 *9 (-951 *8 *6 *7)) (-5 *2 (-2 (|:| |unitPart| *9) (|:| |suPart| (-635 (-2 (|:| -1743 (-1159 *9)) (|:| -2356 (-569))))))) (-5 *1 (-733 *6 *7 *8 *9)) (-5 *3 (-1159 *9))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1159 *1)) (-4 *1 (-1013))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1159 *7)) (-5 *3 (-569)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *1 (-319 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-4 *4 (-843)) (-5 *1 (-1169 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-918)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-829 (-918))) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-966 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *3 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| (-635 *3)))) (-5 *1 (-955 *5 *6 *7 *3 *8)) (-5 *4 (-764)) (-4 *8 (-13 (-366) (-10 -8 (-15 -4116 (*3 $)) (-15 -4121 (*3 $)) (-15 -2185 ($ *3)))))))) 
-(((*1 *2 *3 *4 *3 *5) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *9 (-642 *6)) (-5 *2 (-2 (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (-635 (-569))))) (-5 *1 (-655 *6 *7 *3 *8 *4 *9 *10)) (-5 *5 (-569)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *4 (-972 *6)) (-4 *10 (-921 *6 *9))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (-12 (-5 *3 (-1145)) (-5 *4 (-569)) (-5 *5 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-750))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-5 *1 (-1044 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-159)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *4)))) (-5 *1 (-1099 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1163))) (-5 *1 (-1070 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-228 *3)))) ((*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 *3))) (-4 *3 (-13 (-1183) (-960) (-29 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 *3))) (-5 *5 (-1145)) (-4 *3 (-13 (-1183) (-960) (-29 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 *3)) (|:| |f2| (-635 (-836 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1083 (-836 (-311 *5)))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-954 *6))) (-5 *4 (-1083 (-836 (-311 *6)))) (-5 *5 (-1145)) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *5))))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *5))) (|:| |f2| (-635 (-836 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1083 (-836 (-410 (-954 *6))))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-836 (-311 *6))) (|:| |f2| (-635 (-836 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1183) (-960) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-5 *3 (-762)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-836 (-382)))) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1085 (-836 (-382))))) (-5 *5 (-382)) (-5 *6 (-1060)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1145)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1083 (-836 (-382)))) (-5 *5 (-1163)) (-5 *2 (-1036)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-731 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)) (-4 *3 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-954 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1206 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1206 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1227 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1227 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-2232 (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-960)) (-4 *3 (-1183)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1163)) (-4 *1 (-1237 *3)) (-4 *3 (-1048)) (-12 (|has| *3 (-15 -1773 ((-635 *2) *3))) (|has| *3 (-15 -2565 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1048))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1239 *3 *2)) (-4 *2 (-1237 *3))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-1248)) (-5 *1 (-1251))))) 
-(((*1 *2 *1 *3) (-12 (-5 *2 (-2 (|:| |k| (-569)) (|:| |c| *4))) (-5 *1 (-775 *4)) (-4 *4 (-366)) (-5 *3 (-569))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-818))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *2)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *2 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-335 *4 *5 *6 *7)) (-4 *4 (-13 (-371) (-366))) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-4 *7 (-341 *4 *5 *6)) (-5 *2 (-764)) (-5 *1 (-395 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-4 *1 (-405)) (-5 *2 (-829 (-918))))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-569)))) ((*1 *2 *1 *3 *2) (-12 (-5 *2 (-764)) (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-731 *4 *3)) (-4 *4 (-1048)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-764)) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-764)) (-5 *1 (-908 *4 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-335 *6 *7 *4 *8)) (-5 *5 (-1 *9 *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-4 *4 (-1222 (-410 *7))) (-4 *8 (-341 *6 *7 *4)) (-4 *9 (-13 (-371) (-366))) (-5 *2 (-764)) (-5 *1 (-1019 *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-635 *8)) (-5 *1 (-964 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-610 (-888 *3))) (-4 *3 (-882 *3)) (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-610 (-888 *3))) (-4 *2 (-882 *3)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-460 *3 *4 *2 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-905)) (-5 *1 (-902 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2) (-12 (-4 *2 (-905)) (-5 *1 (-903 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-449 *3 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-1145)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-302)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-449 *4 *5 *6 *7))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-635 (-635 *3))))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-635 (-635 *5))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-635 *3))) (-5 *1 (-1170 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-315 *3 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| -12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-4 *5 (-454)) (-5 *2 (-635 *6)) (-5 *1 (-544 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-13 (-841) (-366))) (-5 *2 (-121)) (-5 *1 (-1058 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *6)) (-4 *6 (-13 (-412 *4 *5) (-1038 *4))) (-4 *4 (-994 *3)) (-4 *5 (-1222 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-764))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *6 (-216)) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3673 *3) (|:| |coef1| (-779 *3)))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1165)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -2667 "void"))) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-542)) (-5 *1 (-541 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *2 (-57)) (-5 *1 (-542))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-1111)) (-5 *2 (-121)) (-5 *1 (-818))))) 
+(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-302)) (-5 *2 (-765))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1028 (-837 (-569)))) (-5 *3 (-1145 (-2 (|:| |k| (-569)) (|:| |c| *4)))) (-4 *4 (-1049)) (-5 *1 (-594 *4))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 (-1161 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1161 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-844)))) ((*1 *2 *3) (-12 (-4 *1 (-906)) (-5 *2 (-421 (-1161 *1))) (-5 *3 (-1161 *1))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1233 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *5)))) (-5 *1 (-179 *5 *3)) (-4 *3 (-1228 (-170 *5))))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-2 (|:| -3459 (-635 *3)) (|:| -3896 *4)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1069 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4320 *9)))) (-5 *5 (-121)) (-4 *8 (-1063 *6 *7 *4)) (-4 *9 (-1068 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *4 (-844)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4320 *9)))) (-5 *1 (-1069 *6 *7 *4 *8 *9))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-4 *5 (-366)) (-5 *2 (-1145 (-1145 (-955 *5)))) (-5 *1 (-1261 *5)) (-5 *4 (-1145 (-955 *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-50 (-1147) (-768))) (-5 *1 (-123))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-687 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1165)) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| -12 (-5 *3 (-1165)) (-5 *4 (-837 *2)) (-4 *2 (-1127)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-610 (-889 (-569)))) (-4 *5 (-883 (-569))) (-4 *5 (-13 (-844) (-1039 (-569)) (-454) (-631 (-569)))) (-5 *1 (-572 *5 *2))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-569)) (-4 *1 (-668 *5 *4)) (-4 *5 (-1199)) (-4 *4 (-1199)) (-5 *2 |SortedExponentVector|)))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1086 *3)) (-4 *3 (-1199)) (-5 *2 (-569))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-1037)))) ((*1 *2 *3) (-12 (-4 *1 (-833)) (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-1037))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216) (-216))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-216) (-216))) (-5 *1 (-257))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-1103))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1086 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-351)) (-5 *3 (-569)) (-5 *2 (-1173 (-919) (-765)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-172))))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *5)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-830 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-830 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| -12 (-5 *5 (-2 (|:| |contp| *3) (|:| -3459 (-635 (-2 (|:| |irr| *10) (|:| -4144 (-569))))))) (-5 *6 (-635 *3)) (-5 *7 (-635 *8)) (-4 *8 (-844)) (-4 *3 (-302)) (-4 *10 (-952 *3 *9 *8)) (-4 *9 (-790)) (-5 *2 (-2 (|:| |polfac| (-635 *10)) (|:| |correct| *3) (|:| |corrfact| (-635 (-1161 *3))))) (-5 *1 (-618 *8 *9 *3 *10)) (-5 *4 (-635 (-1161 *3)))))) 
+(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-901 *4)) (-4 *4 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-235))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-818))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-875 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-877 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *1 (-879 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-844)) (-4 *3 (-1093))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-123))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
+(((*1 *2 *2 *2) (|partial| -12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1222 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *5 (-635 (-257))) (-5 *1 (-474)))) ((*1 *1 *2 *3 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *3 (-635 (-871))) (-5 *4 (-635 (-919))) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 (-216))))) (-5 *1 (-474)))) ((*1 *1 *1) (-5 *1 (-474)))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-41 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-2 (|:| -3335 *3) (|:| -3175 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-416 *4 (-410 *4) *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 *6)) (-4 *6 (-13 (-412 *4 *5) (-1039 *4))) (-4 *4 (-995 *3)) (-4 *5 (-1228 *4)) (-4 *3 (-302)) (-5 *1 (-416 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1039 (-569)) (-1039 *4) (-897 *4) (-162))) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *2))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1165)) (-5 *5 (-635 (-410 (-955 *6)))) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-559) (-1039 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-1145 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *1) (-5 *1 (-1168)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1228 (-53))))) ((*1 *2 *3 *1) (-12 (-5 *2 (-2 (|:| |less| (-131 *3)) (|:| |greater| (-131 *3)))) (-5 *1 (-131 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-5 *2 (-635 *1)) (-4 *1 (-236 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-586 *4)) (-4 *4 (-13 (-29 *3) (-1185))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-584 *3 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-586 (-410 (-955 *3)))) (-4 *3 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *1 (-589 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -2556 *3) (|:| |special| *3))) (-5 *1 (-719 *5 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1253 *5)) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1253 (-1253 *5))) (-4 *5 (-366)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-143)) (-5 *2 (-635 *1)) (-4 *1 (-1132)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-148)) (-5 *2 (-635 *1)) (-4 *1 (-1132))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| -12 (-5 *4 (-1165)) (-5 *6 (-635 (-608 *3))) (-5 *5 (-608 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *7))) (-4 *7 (-13 (-454) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-560 *7 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-228 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-278 *2)) (-4 *2 (-1199)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093)))) ((*1 *1 *2 *1 *3) (-12 (-5 *2 (-1 (-121) *4)) (-5 *3 (-569)) (-4 *4 (-1093)) (-5 *1 (-729 *4)))) ((*1 *1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-729 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))) (-5 *1 (-1129 *3 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-170 (-569))) (-5 *2 (-121)) (-5 *1 (-448)))) ((*1 *2 *3) (-12 (-5 *3 (-515 (-410 (-569)) (-233 *5 (-765)) (-854 *4) (-243 *4 (-410 (-569))))) (-14 *4 (-635 (-1165))) (-14 *5 (-765)) (-5 *2 (-121)) (-5 *1 (-516 *4 *5)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-963 *3)) (-4 *3 (-551)))) ((*1 *2 *1) (-12 (-4 *1 (-1208)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1037))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $))))))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-608 *2))) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *4 (-608 $)) $)) (-15 -3524 ((-1116 *4 (-608 $)) $)) (-15 -3956 ($ (-1116 *4 (-608 $))))))) (-4 *4 (-559)) (-5 *1 (-46 *4 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| |k| (-816 *3)) (|:| |c| *4)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1253 (-1165))) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 (-1165))) (-14 *7 (-1253 (-681 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1253 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-919)) (-14 *6 (-635 *2)) (-14 *7 (-1253 (-681 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-1165))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 *2)) (-14 *6 (-1253 (-681 *3))))) ((*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-919)) (-14 *4 (-635 (-1165))) (-14 *5 (-1253 (-681 *2)))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *5)) (-4 *5 (-366)) (-5 *3 (-765)) (-14 *6 (-635 (-1165))) (-4 *8 (-231 (-2946 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117))))) 
+(((*1 *2) (-12 (-5 *2 (-1173 (-1165) (-130))) (-5 *1 (-130))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1165)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-466))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) *2)) (-4 *8 (-973 *4)) (-4 *9 (-642 *4)) (-4 *10 (-922 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-765)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765))))) 
+(((*1 *2) (-12 (-4 *3 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-1258)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-635 *4)))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-4 *4 (-844))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1049) (-844))) (-14 *4 (-635 (-1165))))) ((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-716 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-569)) (-5 *1 (-1182 *4)) (-4 *4 (-1049))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1199))))) 
+(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-765)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-919)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-919)) (-5 *1 (-159)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185))) (-5 *1 (-220 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1105)) (-4 *2 (-1199)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-138)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *6 (-231 (-2946 *3) (-765))) (-14 *7 (-1 (-121) (-2 (|:| -1333 *5) (|:| -3190 *6)) (-2 (|:| -1333 *5) (|:| -3190 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-844)) (-4 *2 (-952 *4 *6 (-854 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1049)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1056)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-1 *7 *5)) (-5 *1 (-675 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-679 *3 *2 *4)) (-4 *3 (-1049)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-679 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-4 *1 (-712))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-922 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1055 *2)) (-4 *2 (-1056)))) ((*1 *1 *1 *1) (-4 *1 (-1105))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1114 *3 *4 *2 *5)) (-4 *4 (-1049)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1114 *3 *4 *5 *2)) (-4 *4 (-1049)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-844)) (-5 *1 (-1117 *3 *4 *2)) (-4 *2 (-952 *3 (-535 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-946 (-216))) (-5 *3 (-216)) (-5 *1 (-1196)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-718)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1251 *3)) (-4 *3 (-1199)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1268 *2 *3)) (-4 *2 (-844)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1268 *3 *2)) (-4 *3 (-844)) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-681 *4)) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-681 *4))) (-5 *3 (-919)) (-4 *4 (-1049)) (-5 *1 (-1030 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *1)) (|has| *1 (-6 -4572)) (-4 *1 (-1012 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-1253 *5)) (-5 *1 (-630 *5 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1253 *4)) (-4 *4 (-631 *5)) (-3182 (-4 *5 (-366))) (-4 *5 (-559)) (-5 *2 (-1253 (-410 *5))) (-5 *1 (-630 *5 *4))))) 
+(((*1 *2 *3) (-12 (-4 *1 (-892)) (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-1037))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 (-635 *4)))) (-5 *1 (-1171 *4)) (-5 *3 (-635 (-635 *4)))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-1147)) (-5 *1 (-99))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-635 (-955 (-569)))) (-5 *4 (-635 (-1165))) (-5 *5 (-569)) (-4 *1 (-668 *6 *2)) (-4 *6 (-1199)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-1253 (-1253 (-569)))) (-5 *3 (-919)) (-5 *1 (-472))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-1161 (-955 *4))) (-5 *1 (-419 *3 *4)) (-4 *3 (-420 *4)))) ((*1 *2) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-4 *3 (-366)) (-5 *2 (-1161 (-955 *3))))) ((*1 *2) (-12 (-5 *2 (-1161 (-410 (-955 *3)))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1253 *5)) (-5 *3 (-765)) (-5 *4 (-1111)) (-4 *5 (-351)) (-5 *1 (-533 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-955 *6)) (-1154 (-1165) (-955 *6)))) (-5 *5 (-765)) (-4 *6 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-681 (-410 (-955 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-955 *5)) (-1154 (-1165) (-955 *5)))) (|:| |eigmult| (-765)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-681 (-410 (-955 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-681 (-410 (-955 *5))))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-559)) (-4 *2 (-1049)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-559)))) ((*1 *2 *3 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *1)))) (-4 *1 (-1068 *4 *5 *6 *3))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-1199)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-852)) (-5 *2 (-1258)) (-5 *1 (-853)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-5 *2 (-1258)) (-5 *1 (-1145 *4)) (-4 *4 (-1093)) (-4 *4 (-1199))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-779 *3))) (-5 *1 (-779 *3)) (-4 *3 (-559)) (-4 *3 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
+(((*1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-999 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-1049)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-263 *2)) (-4 *2 (-844)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-854 *3)) (-14 *3 (-635 *2)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-992)))) ((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-1085 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (-5 *2 (-1165)))) ((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1249 *3)) (-14 *3 *2)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |adjMat| *3) (|:| |detMat| *4))) (-5 *1 (-680 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-4 *2 (-1049)) (-5 *1 (-706 *2 *3)) (-4 *3 (-638 *2)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-831 *2)) (-4 *2 (-173)) (-4 *2 (-1049))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-148))) (-5 *1 (-143)))) ((*1 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-143))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)) (-5 *3 (-1147)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-235)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-1145 (-955 *4)) (-1145 (-955 *4)))) (-5 *1 (-1261 *4)) (-4 *4 (-366))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-969 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-635 *7)) (-5 *1 (-965 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1165)) (-5 *1 (-542))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-397))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-774 *4 *3 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-765)) (-4 *6 (-366)) (-5 *4 (-1194 *6)) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1261 *6)) (-5 *5 (-1145 *4))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
+(((*1 *2 *2 *2 *3) (-12 (-4 *1 (-668 *2 *3)) (-4 *2 (-1199)) (-4 *3 (-1199))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-608 *5))) (-5 *3 (-1165)) (-4 *5 (-433 *4)) (-4 *4 (-844)) (-5 *1 (-578 *4 *5))))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *1 *1) (-12 (-4 *2 (-151)) (-4 *2 (-302)) (-4 *2 (-454)) (-4 *3 (-844)) (-4 *4 (-790)) (-5 *1 (-990 *2 *3 *4 *5)) (-4 *5 (-952 *2 *4 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-53)) (-5 *2 (-311 (-569))) (-5 *1 (-1110)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-790)) (-4 *5 (-13 (-844) (-10 -8 (-15 -4035 ((-1165) $))))) (-4 *6 (-559)) (-5 *2 (-2 (|:| -4288 (-955 *6)) (|:| -3790 (-955 *6)))) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-952 (-410 (-955 *6)) *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-57)) (-5 *1 (-826))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1161 *11))) (-5 *3 (-1161 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-765))) (-5 *7 (-1253 (-635 (-1161 *8)))) (-4 *10 (-844)) (-4 *8 (-302)) (-4 *11 (-952 *8 *9 *10)) (-4 *9 (-790)) (-5 *1 (-699 *9 *10 *8 *11))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1165)) (-4 *4 (-13 (-433 *7) (-27) (-1185))) (-4 *7 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-571 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1093))))) 
+(((*1 *1 *1) (-5 *1 (-1164))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-294 *4 *5)) (-14 *4 *3) (-14 *5 *3))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1087 (-837 (-216)))) (-5 *3 (-216)) (-5 *2 (-121)) (-5 *1 (-300)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572))))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-382)) (-5 *1 (-1041))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-5 *2 (-2 (|:| -3190 (-765)) (|:| -3550 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-765)) (-4 *7 (-1228 *3))))) 
+(((*1 *1) (-5 *1 (-143)))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-592 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1093)) (-5 *2 (-1111)))) ((*1 *2 *1) (-12 (-5 *2 (-1111)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1203)) (-5 *5 (-569)) (-4 *1 (-668 *3 *6)) (-4 *3 (-1199)) (-4 *6 (-1199)) (-5 *2 (-1258))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-955 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-955 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 (-170 (-569))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-955 (-170 (-569)))))) (-5 *2 (-635 (-289 (-955 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *1 *1 *2 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-569)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *2 *4)) (-4 *4 (-138)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-364 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-1093)) (-5 *1 (-639 *2 *4 *5)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-852)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1258)) (-5 *1 (-964))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1161 (-311 *3)))) (-4 *3 (-13 (-559) (-844))) (-5 *1 (-1121 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-919) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-919) (-121))) (-5 *1 (-466))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-382)) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1253 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-300))))) 
+(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *3 *2)) (-4 *2 (-13 (-433 *3) (-23) (-1039 (-569)) (-1039 (-1165)) (-897 (-1165)) (-162)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 *3)))) (-5 *1 (-806 *5 *6 *3 *7)) (-4 *3 (-647 *6)) (-4 *7 (-647 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| |poly| *6) (|:| -4399 (-645 *6 (-410 *6)))))) (-5 *1 (-809 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-946 (-216)) (-946 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1165))) (-4 *6 (-454)) (-5 *2 (-1253 *6)) (-5 *1 (-623 *5 *6))))) 
+(((*1 *1 *2 *3) (-12 (-4 *4 (-366)) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-642 *4)) (-4 *8 (-922 *4 *7)) (-4 *1 (-537 *4 *5 *3 *6 *2 *7 *8 *9 *10)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *2 (-973 *4)) (-4 *9 (-236 *8)) (-4 *10 (-117)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *8)) (-5 *4 (-33 *8)) (-5 *9 (-1165)) (-4 *8 (-366)) (-5 *5 (-765)) (-4 *12 (-231 (-2946 *10) *5)) (-4 *13 (-642 *8)) (-4 *14 (-922 *8 *13)) (-4 *1 (-537 *8 *10 *11 *12 *2 *13 *14 *7 *6)) (-4 *11 (-952 *8 *12 (-854 *10))) (-4 *2 (-973 *8)) (-4 *7 (-236 *14)) (-4 *6 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-922 *3 *4)) (-4 *4 (-642 *3)))) ((*1 *1) (-5 *1 (-1077)))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1268 *3 *4)) (-4 *3 (-844)) (-4 *4 (-1049)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1274 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-840))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-473))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-765)) (-4 *5 (-366)) (-5 *2 (-174 *6)) (-5 *1 (-863 *5 *4 *6)) (-4 *4 (-1243 *5)) (-4 *6 (-1228 *5))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-952 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-452 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-681 *6)) (|:| A (-681 *6)) (|:| |Ainv| (-681 *6)))) (-5 *1 (-981 *6)) (-5 *3 (-681 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *2 (-635 (-1147))) (-5 *1 (-264))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-4 *6 (-13 (-559) (-1039 *5))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-955 *6)))))) (-5 *1 (-1040 *5 *6))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-819))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-302)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-680 *3 *4 *5 *6)) (-4 *6 (-679 *3 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-691 *3)) (-4 *3 (-302))))) 
 (((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-680 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
-(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-973)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4))))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-769 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-918))) (|:| -1502 *3) (|:| |minors| (-635 (-635 (-918)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-170 (-216)))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-410 (-569)))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-4 *1 (-1186)))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-679 *4 *5 *6 *2)) (-4 *2 (-678 *4 *5 *6))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1159 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-36 *4 *2))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151) (-1038 (-569)))) (-5 *1 (-573 *3 *4))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1175 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1091))))) 
-(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-764))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *6)) (-5 *5 (-1 (-421 (-1159 *6)) (-1159 *6))) (-4 *6 (-366)) (-5 *2 (-635 (-2 (|:| |outval| *7) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 *7)))))) (-5 *1 (-536 *6 *7 *4)) (-4 *7 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *5 *7)) (-5 *4 (-1159 *7)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *2 (-1222 *5)) (-5 *1 (-511 *5 *2 *6 *7)) (-4 *6 (-1222 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1048)) (-4 *7 (-1048)) (-4 *4 (-1222 *5)) (-5 *2 (-1159 *7)) (-5 *1 (-511 *5 *4 *6 *7)) (-4 *6 (-1222 *4))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-5 *3 (-1 (-121) *2)) (-4 *1 (-155 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *7 *8 *9 *3 *4)) (-4 *4 (-1067 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *5 (-764)) (-5 *6 (-121)) (-4 *7 (-454)) (-4 *8 (-789)) (-4 *9 (-843)) (-4 *3 (-1062 *7 *8 *9)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *7 *8 *9 *3 *4)) (-4 *4 (-1100 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-559)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4172 (-616 *4 *5)) (|:| -3815 (-410 *5)))) (-5 *1 (-616 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1151 *3 *4))) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |primePart| *1) (|:| |commonPart| *1))) (-4 *1 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-243 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-4 *2 (-1222 *4)) (-5 *1 (-919 *4 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-123)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-263 *3)) (-4 *3 (-843)) (-5 *2 (-764))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-106 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-5 *3 (-1163)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-27)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *1)) (-4 *1 (-27)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-29 *3)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1 *1) (-12 (-4 *1 (-29 *2)) (-4 *2 (-13 (-843) (-559)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-52 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-569)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-272)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *8)) (-5 *4 (-635 *6)) (-4 *6 (-843)) (-4 *8 (-951 *7 *5 *6)) (-4 *5 (-789)) (-4 *7 (-1048)) (-5 *2 (-635 (-764))) (-5 *1 (-319 *5 *6 *7 *8)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-476 *3 *2)) (-4 *3 (-173)) (-4 *2 (-23)))) ((*1 *2 *1) (-12 (-4 *3 (-559)) (-5 *2 (-569)) (-5 *1 (-616 *3 *4)) (-4 *4 (-1222 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-699 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-845 *3)) (-4 *3 (-1048)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-1048)) (-4 *6 (-231 *7 *2)) (-14 *7 *2) (-5 *2 (-764)) (-5 *1 (-909 *5 *3 *6 *7)) (-4 *3 (-325 *5 *6)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-764))))) ((*1 *2 *1 *3) (-12 (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *2 *4)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *2 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-1089)) (-5 *2 (-918)))) ((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1206 *3)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-829 (-918))))) ((*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-764))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-2 (|:| -1578 (-569)) (|:| -1640 (-635 *3)))) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1 *1 *1 *2 *3) (-12 (-5 *2 (-945 *5)) (-5 *3 (-764)) (-4 *5 (-1048)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-1151 3 *3)))) ((*1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1249))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-638 *3)) (-4 *3 (-1048)) (-5 *1 (-705 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-830 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)) (-5 *2 (-1159 *3))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
-(((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-966 *2 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 *5)) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-410 *5))) (-4 *5 (-13 (-559) (-454))) (-5 *4 (-764)) (-5 *2 (-410 (-1159 *5))) (-5 *1 (-347 *5 *6)) (-4 *6 (-52 *5 *4)))) ((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1219 *4 *5)) (-5 *3 (-635 *5)) (-14 *4 (-1163)) (-4 *5 (-366)) (-5 *1 (-920 *4 *5)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-366)) (-5 *2 (-1159 *5)) (-5 *1 (-920 *4 *5)) (-14 *4 (-1163)))) ((*1 *2 *3 *3 *4 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-764)) (-4 *6 (-366)) (-5 *2 (-410 (-954 *6))) (-5 *1 (-1049 *5 *6)) (-14 *5 (-1163))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (-12 (-5 *3 (-680 (-216))) (-5 *4 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3)))) ((*1 *2 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *1) (-5 *1 (-1248)))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1058 (-1024 *4) (-1159 (-1024 *4)))) (-5 *3 (-851)) (-5 *1 (-1024 *4)) (-4 *4 (-13 (-841) (-366) (-1022)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-604 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-5 *1 (-624)))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1 (-1159 *3) (-1159 *3))) (-4 *3 (-13 (-27) (-433 *6))) (-4 *6 (-13 (-843) (-559))) (-5 *2 (-586 *3)) (-5 *1 (-553 *6 *3))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (-12 (-5 *4 (-680 (-216))) (-5 *5 (-680 (-569))) (-5 *3 (-569)) (-5 *2 (-1036)) (-5 *1 (-749))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1222 (-410 (-569)))) (-5 *1 (-910 *3 *2)) (-4 *2 (-1222 (-410 *3)))))) 
-(((*1 *1 *1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-764)) (-5 *1 (-566))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-178 *2)) (-4 *2 (-302)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-635 *4))) (-5 *2 (-635 *4)) (-4 *4 (-302)) (-5 *1 (-178 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7))))) (-5 *5 (-764)) (-4 *8 (-1222 *7)) (-4 *7 (-1222 *6)) (-4 *6 (-351)) (-5 *2 (-2 (|:| -3930 (-680 *7)) (|:| |basisDen| *7) (|:| |basisInv| (-680 *7)))) (-5 *1 (-508 *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-458 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-5 *1 (-463 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-14 *4 *3) (-14 *5 (-1 *3 *3 (-764))) (-5 *1 (-545 *3 *2 *4 *5)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-484 *3)) (-4 *3 (-13 (-351) (-610 (-569))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |%expansion| (-308 *5 *3 *6 *7)) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-423 *5 *3 *6 *7)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-14 *6 (-1163)) (-14 *7 *3)))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -2714 (-778 *3)) (|:| |coef1| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -2714 *1) (|:| |coef1| *1))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *7) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *7))))) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-764)) (-5 *1 (-925 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-1048)) (-5 *1 (-680 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *4)) (-4 *4 (-1048)) (-4 *1 (-1112 *3 *4 *5 *6)) (-4 *5 (-231 *3 *4)) (-4 *6 (-231 *3 *4))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569)))) ((*1 *1 *1) (-4 *1 (-1003))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1013)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-4 *1 (-1013)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1013)) (-5 *2 (-764)))) ((*1 *1 *1) (-4 *1 (-1013)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-617 *3 *4 *5 *6 *7 *2)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *2 (-1100 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-1159 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *3 *5)) (-4 *4 (-1197)) (-4 *3 (-376 *4)) (-4 *5 (-376 *4))))) 
 (((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-440)) (-5 *1 (-1167))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-733 *4 *5 *6 *3)) (-4 *3 (-951 *6 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-733 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-421 *1)) (-4 *1 (-951 *3 *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-454)) (-5 *2 (-421 *3)) (-5 *1 (-981 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-1225 *4 *3)) (-4 *3 (-13 (-1222 *4) (-559) (-10 -8 (-15 -2714 ($ $ $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1045 *4 *5)) (-4 *4 (-13 (-841) (-302) (-151) (-1022))) (-14 *5 (-635 (-1163))) (-5 *2 (-635 (-1132 *4 (-535 (-853 *6)) (-853 *6) (-776 *4 (-853 *6))))) (-5 *1 (-1271 *4 *5 *6)) (-14 *6 (-635 (-1163)))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559))))) ((*1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1) (-5 *1 (-490))) ((*1 *1) (-4 *1 (-1183)))) 
-(((*1 *2) (-12 (-5 *2 (-1122 (-216))) (-5 *1 (-1181))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-845 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-846 *5 *3)) (-4 *3 (-845 *5))))) 
-(((*1 *1 *1 *1 *2) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-139)) (-5 *3 (-764)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-635 (-410 *6))) (-5 *3 (-410 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-573 *5 *6))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1247 *5))) (-5 *4 (-569)) (-5 *2 (-1247 *5)) (-5 *1 (-1030 *5)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1048))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-280))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-5 *1 (-619 *3 *4 *5)) (-14 *5 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *4 (-708 (-410 (-569)))) (-4 *3 (-843)) (-4 *4 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-825)) (-5 *3 (-1145))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-1222 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1240 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1237 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1222 (-569)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-400))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-735 *3 *4))) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-1204 *3)) (-4 *3 (-351)) (-5 *1 (-771 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) 
-(((*1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *2) (-12 (-4 *1 (-239)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-479)) (-5 *2 (-569)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-717)) (-5 *2 (-764)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1103)) (-5 *2 (-918))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-989 *3 *4 *5 *2)) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Hermite| *3) (|:| |eqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-329))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-474)) (-5 *3 (-635 (-257))) (-5 *1 (-1248)))) ((*1 *1 *1) (-5 *1 (-1248)))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-951 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1245 *3)) (-4 *3 (-23)) (-4 *3 (-1197))))) 
-(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-5 *2 (-635 (-2 (|:| |eigval| (-3 (-410 (-954 *4)) (-1152 (-1163) (-954 *4)))) (|:| |geneigvec| (-635 (-680 (-410 (-954 *4)))))))) (-5 *1 (-287 *4)) (-5 *3 (-680 (-410 (-954 *4))))))) 
-(((*1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1260 (-1163) *3)) (-4 *3 (-1048)) (-5 *1 (-1267 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1260 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *1 (-1269 *3 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-635 *10)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-918)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *4 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *12 (-236 *11)) (-4 *13 (-537 *6 *7 *4 *8 *9 *10 *11 *12 *15)) (-4 *15 (-117)) (-5 *2 (-1252)) (-5 *1 (-557 *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (-4 *14 (-259 *13)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1068 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1093)) (-4 *2 (-1199))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *7))) (-5 *3 (-1161 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-903 *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-906)) (-5 *1 (-904 *4 *5))))) 
+(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-681 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-1093)) (-4 *3 (-897 *5)) (-5 *2 (-681 *3)) (-5 *1 (-683 *5 *3 *6 *4)) (-4 *6 (-376 *3)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-669 *3)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-816 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *3 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1199)))) ((*1 *2 *2) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1093)) (-4 *3 (-23)) (-14 *4 *3)))) 
+(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1647 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1164)))) (-5 *1 (-1164))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-559)) (-5 *1 (-972 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1161 *4)) (-4 *4 (-351)) (-5 *2 (-960 (-1111))) (-5 *1 (-348 *4))))) 
+(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1069 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1147)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-1258)) (-5 *1 (-1101 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-559)) (-4 *4 (-844)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-5 *2 (-635 *5)) (-5 *1 (-636 *5 *3)) (-4 *3 (-642 *5))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-12 (-5 *1 (-890 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1193 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *5 (-1063 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1185))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-842)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1065 *4 *3)) (-4 *4 (-13 (-842) (-366))) (-4 *3 (-1228 *4)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-542))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8)) (-4 *8 (-1068 *4 *5 *6 *7)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-765)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-946 *2)) (-5 *1 (-985 *2)) (-4 *2 (-1049))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4571)) (-4 *1 (-155 *2)) (-4 *2 (-1199)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2925 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-1228 *4)) (-5 *1 (-806 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
+(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *4 (-1 *3)) (-4 *3 (-844)) (-4 *5 (-790)) (-4 *6 (-559)) (-4 *7 (-952 *6 *5 *3)) (-5 *1 (-467 *5 *3 *6 *7 *2)) (-4 *2 (-13 (-1039 (-410 (-569))) (-366) (-10 -8 (-15 -3956 ($ *7)) (-15 -3515 (*7 $)) (-15 -3524 (*7 $)))))))) 
+(((*1 *2) (-12 (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-765)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-765))))) 
+(((*1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-410 (-569))))) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1087 (-382)))) (-5 *1 (-257))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-542)) (-5 *1 (-541 *4)) (-4 *4 (-1199))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-822))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1039 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1039 *3)) (-4 (-569) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1039 *3)) (-4 *5 (-1039 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 *3) (-1039 (-569)) (-162) (-897 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-955 (-569))) (-1039 *3)) (-4 (-955 (-569)) (-1039 *3)) (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-955 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765)))) (-635 (-410 (-736 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 *4) (-1004) (-1185))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1004) (-1185)))))) 
+(((*1 *2) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-977)) (-5 *2 (-1087 (-216)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
+(((*1 *2) (-12 (-4 *1 (-351)) (-5 *2 (-3 "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-681 *4))) (-4 *4 (-173)) (-5 *2 (-1253 (-681 (-955 *4)))) (-5 *1 (-182 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-259 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-259 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-259 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *1 (-1186 *2)) (-4 *2 (-1093)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1186 *3)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-1186 *2))) (-5 *1 (-1186 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1172 (-635 *4))) (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4))))) 
+(((*1 *2 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-765)) (-4 *5 (-351)) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6))))) (-5 *1 (-508 *5 *6 *7)) (-5 *3 (-2 (|:| -4079 (-681 *6)) (|:| |basisDen| *6) (|:| |basisInv| (-681 *6)))) (-4 *7 (-1228 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-900 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-569)) (-5 *7 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1195 (-928))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1147)) (-5 *2 (-1195 (-928))) (-5 *1 (-314))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1165))) (-5 *1 (-1165))))) 
+(((*1 *1 *1) (-4 *1 (-860)))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| -12 (-5 *2 (-635 (-1161 *13))) (-5 *3 (-1161 *13)) (-5 *4 (-635 *12)) (-5 *5 (-635 *10)) (-5 *6 (-635 *13)) (-5 *7 (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *13))))) (-5 *8 (-635 (-765))) (-5 *9 (-1253 (-635 (-1161 *10)))) (-4 *12 (-844)) (-4 *10 (-302)) (-4 *13 (-952 *10 *11 *12)) (-4 *11 (-790)) (-5 *1 (-699 *11 *12 *10 *13))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1169)) (-5 *1 (-1168))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (-12 (-5 *6 (-635 (-121))) (-5 *7 (-681 (-216))) (-5 *8 (-681 (-569))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-1049)) (-4 *7 (-1049)) (-4 *6 (-1228 *5)) (-5 *2 (-1161 (-1161 *7))) (-5 *1 (-511 *5 *6 *4 *7)) (-4 *4 (-1228 *6))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-55 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))))) ((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1049) (-844))) (-14 *3 (-635 (-1165)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-929))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1087 (-837 (-216)))) (-5 *1 (-300))))) 
+(((*1 *2 *3) (-12 (|has| *2 (-6 (-4573 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1049)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1228 *2)) (-4 *4 (-679 *2 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (-12 (-5 *4 (-681 (-569))) (-5 *5 (-121)) (-5 *7 (-681 (-216))) (-5 *3 (-569)) (-5 *6 (-216)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *2 (-952 *3 *5 (-854 *4))) (-4 *5 (-231 (-2946 *4) (-765))) (-4 *6 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-5 *1 (-869 *3 *4 *5)) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-243 *4 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-5 *1 (-870 *3 *4 *5)) (-4 *5 (-117))))) 
+(((*1 *2 *3 *3) (-12 (-5 *2 (-1145 (-635 (-569)))) (-5 *1 (-880)) (-5 *3 (-635 (-569)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *3 *2)) (-4 *3 (-1093)) (-4 *3 (-844)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-669 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-5 *2 (-664 *3)) (-5 *1 (-890 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1240 *3)) (-4 *3 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *2 (-1063 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-1258))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-681 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1103))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (-12 (-5 *4 (-635 (-121))) (-5 *5 (-681 (-216))) (-5 *6 (-681 (-569))) (-5 *7 (-216)) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *1) (|partial| -12 (-5 *2 (-1165)) (-5 *1 (-608 *3)) (-4 *3 (-844))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-819)) (-5 *1 (-818))))) 
+(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1093)) (-4 *2 (-1093))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1228 *4)) (-5 *2 (-681 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1228 *3)) (-5 *2 (-681 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-551)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-1228 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1228 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-681 (-569))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1093)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *7 (-973 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-857 *3)) (-14 *3 (-862)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-859 *3)) (-4 *3 (-351)))) ((*1 *2 *1) (-12 (-4 *1 (-860)) (-5 *2 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-862))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-902 (-569))) (-5 *2 (-681 (-569))) (-5 *1 (-590)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-569))) (-5 *4 (-635 (-902 (-569)))) (-5 *2 (-635 (-681 (-569)))) (-5 *1 (-590))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961)))))) 
+(((*1 *1) (-12 (-5 *1 (-234 *2)) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-172))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-844)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093)))) ((*1 *1 *1) (-12 (-4 *1 (-1125 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1128 *2 *3)) (-4 *2 (-13 (-1093) (-39))) (-4 *3 (-13 (-1093) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1135 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138))))) 
+(((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
+(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-765)) (-4 *5 (-454)) (-4 *5 (-844)) (-4 *5 (-1039 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *5 (-608 $)) $)) (-15 -3524 ((-1116 *5 (-608 $)) $)) (-15 -3956 ($ (-1116 *5 (-608 $)))))))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-13 (-454) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-103 *5 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-635 (-946 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *4 (-1049)) (-4 *1 (-1125 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-946 *3)))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-946 *4)))) (-5 *3 (-121)) (-4 *1 (-1125 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-946 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1125 *5)) (-4 *5 (-1049))))) 
+(((*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1145 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *1 (-980 *4 *5 *6 *2))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-844)) (-4 *3 (-1039 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -3515 ((-1116 *3 (-608 $)) $)) (-15 -3524 ((-1116 *3 (-608 $)) $)) (-15 -3956 ($ (-1116 *3 (-608 $)))))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-1095 *3)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-1090 *3)))) ((*1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-635 (-2 (|:| C (-681 *5)) (|:| |g| (-1253 *5))))) (-5 *1 (-981 *5)) (-5 *3 (-681 *5)) (-5 *4 (-1253 *5))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-830 *3))) (-4 *5 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-830 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-830 (-955 *5)))) (-4 *5 (-454)) (-5 *2 (-830 (-410 (-955 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-955 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-955 *5)))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-454)) (-5 *2 (-830 *3)) (-5 *1 (-629 *5))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1060)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1060))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4320 *8))) (-4 *7 (-1063 *4 *5 *6)) (-4 *8 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *8))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-1253 *3)) (-5 *1 (-704 *3 *4)) (-4 *4 (-1228 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5))))) 
+(((*1 *2 *3) (-12 (-4 *2 (-366)) (-4 *2 (-842)) (-5 *1 (-948 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049)))) ((*1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1243 *3))))) 
+(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1049)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-846 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-681 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-846 *2)) (-4 *2 (-1049)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1049)) (-5 *1 (-847 *2 *3)) (-4 *3 (-846 *2))))) 
+(((*1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-902 *4)) (-4 *4 (-1093)) (-5 *2 (-635 (-765))) (-5 *1 (-901 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *7) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 (-1161 *4))) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-955 (-569)))) (-5 *1 (-440)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-216))) (-5 *2 (-1097)) (-5 *1 (-753)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1165)) (-5 *4 (-681 (-569))) (-5 *2 (-1097)) (-5 *1 (-753))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (-12 (-5 *3 (-1147)) (-5 *4 (-569)) (-5 *5 (-681 (-170 (-216)))) (-5 *2 (-1037)) (-5 *1 (-748))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *1 (-801 *4 *2)) (-4 *2 (-13 (-29 *4) (-1185) (-961))))) ((*1 *1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *2 *3) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-1149 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1195 *3)) (-4 *3 (-977))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-57)) (-5 *1 (-889 *4)) (-4 *4 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-765)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-730))))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (-12 (-5 *3 (-569)) (-5 *5 (-121)) (-5 *6 (-681 (-216))) (-5 *7 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-844) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -3659 *6) (|:| -4433 (-765))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1039 *7) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-844) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -3659 *7) (|:| -4433 (-765))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1039 *8) (-1039 (-1165)) (-1039 (-569)) (-162) (-897 (-1165)) (-10 -8 (-15 * ($ $ $)) (-15 -1383 ($ $ $)) (-15 ** ($ $ $)) (-15 -3043 ($ $)) (-15 -2572 ($ $)) (-15 -3249 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-955 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -3659 (-311 (-569))) (|:| -4433 (-765))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-736 *4 (-569))))) (-14 *4 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *4 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-736 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1165)) (-5 *2 (-635 (-2 (|:| -3659 (-735 *5 (-569))) (|:| -4433 (-765))))) (-5 *1 (-489 *5))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *2 (-236 *9)) (-4 *10 (-117))))) 
+(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-765)) (-4 *4 (-1049)) (-5 *1 (-1224 *4 *2)) (-4 *2 (-1228 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-96 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-4 *1 (-111 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-495 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1002 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-1161 (-1161 *4))))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-5 *3 (-635 (-1161 (-1161 *4)))) (-4 *6 (-952 *4 *7 (-854 *5))) (-4 *8 (-973 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-84 LSFUN1)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-816 *3)) (-4 *3 (-844)) (-5 *1 (-664 *3))))) 
 (((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-635 *3))))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1170 (-635 *4))) (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-260 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-514 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-538 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *2 (-121)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-5 *1 (-539 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *7 (-972 *3)) (-4 *10 (-236 *9)) (-4 *11 (-117)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-856 *3)) (-14 *3 (-861)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-858 *3)) (-4 *3 (-351)))) ((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-861))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-901 *4)) (-4 *4 (-1091)) (-5 *2 (-635 (-764))) (-5 *1 (-900 *4))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-123)) (-5 *4 (-608 *7)) (-4 *7 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *5) (-897 *5) (-162))) (-5 *5 (-1165)) (-4 *6 (-1049)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *2 (-569)) (-5 *1 (-1026 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-68 LSFUN2)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-376 *2)) (-4 *2 (-1199)) (-4 *2 (-844)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3 *3)) (|has| *1 (-6 -4572)) (-4 *1 (-376 *3)) (-4 *3 (-1199))))) 
+(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1004))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-844) (-559)))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -3139 *4) (|:| -2284 (-569))))) (-4 *4 (-1228 (-569))) (-5 *2 (-765)) (-5 *1 (-444 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-644 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *6 (-1228 *5)) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-645 *7 (-410 *7))) (-5 *4 (-1 (-635 *6) *7)) (-5 *5 (-1 (-421 *7) *7)) (-4 *6 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *7 (-1228 *6)) (-5 *2 (-635 (-410 *7))) (-5 *1 (-809 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-644 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6)))) ((*1 *2 *3) (-12 (-5 *3 (-645 *5 (-410 *5))) (-4 *5 (-1228 *4)) (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *5))) (-5 *1 (-809 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-27)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-635 (-410 *6))) (-5 *1 (-809 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-3 (|:| |fn| (-391)) (|:| |fp| (-71 FUNCT1)))) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-765)) (-4 *1 (-1228 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-4 *4 (-1093)) (-4 *2 (-897 *4)) (-5 *1 (-683 *4 *2 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-13 (-376 *4) (-10 -7 (-6 -4571))))))) 
+(((*1 *2 *2 *3 *2) (-12 (-5 *2 (-1147)) (-5 *3 (-569)) (-5 *1 (-235)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-635 (-1147))) (-5 *3 (-569)) (-5 *4 (-1147)) (-5 *1 (-235)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-4 *1 (-1230 *2 *3)) (-4 *3 (-789)) (-4 *2 (-1049))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1132)) (-5 *2 (-148))))) 
+(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3550 *1) (|:| |gap| (-765)) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5))))) 
+(((*1 *1 *2 *3 *1) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-886 *4 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *5 *6)) (-4 *6 (-610 (-1165))) (-4 *4 (-366)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1154 (-635 (-955 *4)) (-635 (-289 (-955 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-306)) (-5 *1 (-826))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (-12 (-5 *5 (-681 (-216))) (-5 *6 (-121)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-70 QPHESS)))) (-5 *3 (-569)) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-2 (|:| |stiffnessFactor| (-382)) (|:| |stabilityFactor| (-382)))) (-5 *1 (-198))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-1153 *3 *4)) (-14 *3 (-919)) (-4 *4 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *6 (-231 (-2946 *5) (-765))) (-5 *2 (-1161 (-1161 *4))) (-5 *1 (-32 *4 *5 *3 *6 *7)) (-4 *3 (-952 *4 *6 (-854 *5))) (-4 *7 (-973 *4))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (-12 (-5 *4 (-681 (-216))) (-5 *5 (-121)) (-5 *6 (-216)) (-5 *7 (-681 (-569))) (-5 *8 (-3 (|:| |fn| (-391)) (|:| |fp| (-85 CONFUN)))) (-5 *9 (-3 (|:| |fn| (-391)) (|:| |fp| (-82 OBJFUN)))) (-5 *3 (-569)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-493 *4 *5)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
+(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-1049)) (-5 *1 (-682 *3))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-800))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-492))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-747))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-844) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *3)) (-4 *3 (-13 (-433 *4) (-1004)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
+(((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-919)))) ((*1 *1) (-4 *1 (-551))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-690)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-690))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *5 *6)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-559)) (-5 *2 (-121))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-635 (-1165))) (-4 *2 (-13 (-433 (-170 *5)) (-1004) (-1185))) (-4 *5 (-13 (-559) (-844))) (-5 *1 (-598 *5 *6 *2)) (-4 *6 (-13 (-433 *5) (-1004) (-1185)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1199))))) 
+(((*1 *2) (-12 (-4 *3 (-1049)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-5 *2 (-635 *4)) (-5 *1 (-910 *3 *4 *5 *6)) (-4 *4 (-325 *3 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-991 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1100 *4 *5 *6 *7 *3)) (-4 *3 (-1068 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *5 (-681 (-216))) (-5 *4 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *7 *7)) (-4 *7 (-1228 *6)) (-4 *6 (-13 (-27) (-433 *5))) (-4 *5 (-13 (-844) (-559) (-1039 (-569)))) (-4 *8 (-1228 (-410 *7))) (-5 *2 (-586 *3)) (-5 *1 (-554 *5 *6 *7 *8 *3)) (-4 *3 (-341 *6 *7 *8))))) 
+(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-13 (-1049) (-709 (-410 (-569))))) (-4 *5 (-844)) (-5 *1 (-1267 *4 *5 *2)) (-4 *2 (-1272 *5 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5)) (-5 *1 (-675 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1 (-946 *3) (-946 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1185) (-1004)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *5 (-1208)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-5 *2 (-635 (-955 *5))) (-5 *1 (-340 *4 *5 *6 *7)) (-4 *4 (-341 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-4 *4 (-366)) (-5 *2 (-635 (-955 *4)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-974)) (-5 *1 (-902 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-852)) (-5 *1 (-36 *4 *5))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-444 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1165))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1097)) (-5 *1 (-329))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-1123 *4 *2)) (-4 *2 (-13 (-602 (-569) *4) (-10 -7 (-6 -4571) (-6 -4572)))))) ((*1 *2 *2) (-12 (-4 *3 (-844)) (-4 *3 (-1199)) (-5 *1 (-1123 *3 *2)) (-4 *2 (-13 (-602 (-569) *3) (-10 -7 (-6 -4571) (-6 -4572))))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-447 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *5 (-216)) (-5 *2 (-1037)) (-5 *1 (-746))))) 
+(((*1 *2 *2 *3 *4 *5) (-12 (-5 *3 (-123)) (-5 *2 (-569)) (-5 *4 (-1165)) (-4 *6 (-13 (-844) (-559) (-610 (-542)))) (-5 *1 (-1026 *6 *5)) (-4 *5 (-13 (-433 *6) (-23) (-1039 *2) (-1039 *4) (-897 *4) (-162)))))) 
+(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133)))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1 (-121) *7 (-635 *7))) (-4 *1 (-1193 *4 *5 *6 *7)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-765)) (|:| -4399 *5)))) (-5 *1 (-806 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5)))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-997 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-5 *1 (-1002 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-902 *3))))) 
+(((*1 *2 *3 *3 *4 *5) (-12 (-5 *3 (-635 (-681 *6))) (-5 *4 (-121)) (-5 *5 (-569)) (-5 *2 (-681 *6)) (-5 *1 (-1031 *6)) (-4 *6 (-366)) (-4 *6 (-1049)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-681 *4))) (-5 *2 (-681 *4)) (-5 *1 (-1031 *4)) (-4 *4 (-366)) (-4 *4 (-1049)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-681 *5))) (-5 *4 (-569)) (-5 *2 (-681 *5)) (-5 *1 (-1031 *5)) (-4 *5 (-366)) (-4 *5 (-1049))))) 
+(((*1 *1) (-5 *1 (-440)))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *8))) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -4433 (-765)) (|:| -3659 *6))) (-5 *1 (-909 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-837 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-121)) (-5 *1 (-826))))) 
+(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-819)) (-5 *2 (-57)) (-5 *1 (-826))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-844)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-844)) (-4 *5 (-790)) (-5 *2 (-121)) (-5 *1 (-990 *3 *4 *5 *6)) (-4 *6 (-952 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1128 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4))))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-770 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-635 (-1071 *4 *5 *2))) (-4 *4 (-1093)) (-4 *5 (-13 (-1049) (-883 *4) (-844) (-610 (-889 *4)))) (-4 *2 (-13 (-433 *5) (-883 *4) (-610 (-889 *4)))) (-5 *1 (-60 *4 *5 *2)))) ((*1 *2 *3 *2 *4) (-12 (-5 *3 (-635 (-1071 *5 *6 *2))) (-5 *4 (-919)) (-4 *5 (-1093)) (-4 *6 (-13 (-1049) (-883 *5) (-844) (-610 (-889 *5)))) (-4 *2 (-13 (-433 *6) (-883 *5) (-610 (-889 *5)))) (-5 *1 (-60 *5 *6 *2))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-439))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1063 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1193 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-922 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1258))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-871))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-454)))) ((*1 *1 *1 *1) (-4 *1 (-454)))) 
+(((*1 *2 *1 *1 *3) (-12 (-5 *3 (-1 (-121) *5 *5)) (-4 *5 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1128 *4 *5)) (-4 *4 (-13 (-1093) (-39)))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-559)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-4 *7 (-995 *4)) (-4 *2 (-679 *7 *8 *9)) (-5 *1 (-531 *4 *5 *6 *3 *7 *8 *9 *2)) (-4 *3 (-679 *4 *5 *6)) (-4 *8 (-376 *7)) (-4 *9 (-376 *7)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *2 *2) (|partial| -12 (-4 *3 (-366)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-680 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5)))) ((*1 *1 *1) (|partial| -12 (-5 *1 (-681 *2)) (-4 *2 (-366)) (-4 *2 (-1049)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1114 *2 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-231 *2 *3)) (-4 *5 (-231 *2 *3)) (-4 *3 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-844)) (-5 *1 (-1171 *3))))) 
+(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-410 *2)) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-410 *2))) (-4 *2 (-1228 *5)) (-5 *1 (-804 *5 *2 *3 *6)) (-4 *5 (-13 (-366) (-151) (-1039 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *6 (-647 (-410 *2)))))) 
+(((*1 *1 *2 *2) (-12 (-5 *1 (-875 *2)) (-4 *2 (-1199)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-877 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-980 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1161 *3))))) 
 (((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1237 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *2 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *1) (-5 *1 (-216))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1183)))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-159))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-121)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-121)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-918)) (-5 *2 (-764)) (-5 *1 (-1092 *4 *5)) (-14 *4 *3) (-14 *5 *3)))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-493 *5 *6))) (-5 *4 (-853 *5)) (-14 *5 (-635 (-1163))) (-5 *2 (-493 *5 *6)) (-5 *1 (-623 *5 *6)) (-4 *6 (-454))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-359 *3)) (-4 *3 (-351))))) 
-(((*1 *1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *1) (-5 *1 (-819)))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) ((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-637 *3)) (-4 *3 (-1091))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-138)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-364 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-389 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1093)) (-5 *1 (-639 *3 *4 *5)) (-4 *4 (-23)) (-14 *5 *4)))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1 (-382))) (-5 *1 (-1041))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-765)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-790)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-844)) (-5 *1 (-451 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *1)) (-5 *4 (-1165)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1161 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-681 *4)) (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-684 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-995 *2)) (-4 *2 (-559)) (-5 *1 (-1221 *2 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-635 (-955 *4))) (-5 *3 (-635 (-1165))) (-4 *4 (-454)) (-5 *1 (-916 *4))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-912 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-955 *6))) (-5 *5 (-1165)) (-5 *3 (-955 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-913 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-140))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1185) (-29 *5)))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1177 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093))))) 
+(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-693 *3 *5 *6 *7)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199)) (-4 *7 (-1199)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-5 *2 (-1 *6 *5)) (-5 *1 (-698 *3 *5 *6)) (-4 *3 (-610 (-542))) (-4 *5 (-1199)) (-4 *6 (-1199))))) 
+(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -2798 (-1165)) (|:| |bounds| (-635 (-3 (|:| S (-1165)) (|:| P (-955 (-569))))))))) (-5 *1 (-1169))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-765)) (-5 *4 (-1253 *2)) (-4 *5 (-302)) (-4 *6 (-995 *5)) (-4 *2 (-13 (-412 *6 *7) (-1039 *6))) (-5 *1 (-416 *5 *6 *7 *2)) (-4 *7 (-1228 *6))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1199)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4572))))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569)))) ((*1 *2 *2) (-12 (-4 *3 (-302)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1115 *3 *4 *5 *2)) (-4 *2 (-679 *3 *4 *5))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-819))))) 
+(((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1069 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6)))) ((*1 *2) (-12 (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-1258)) (-5 *1 (-1101 *3 *4 *5 *6 *7)) (-4 *7 (-1068 *3 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
+(((*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2) (-12 (-4 *3 (-1228 (-569))) (-5 *2 (-2 (|:| -4079 (-681 (-569))) (|:| |basisDen| (-569)) (|:| |basisInv| (-681 (-569))))) (-5 *1 (-762 *3 *4)) (-4 *4 (-412 (-569) *3)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-988 *3 *4 *5 *6)) (-4 *6 (-716 *4 *5)))) ((*1 *2) (-12 (-4 *3 (-351)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 *4)) (-5 *2 (-2 (|:| -4079 (-681 *4)) (|:| |basisDen| *4) (|:| |basisInv| (-681 *4)))) (-5 *1 (-1262 *3 *4 *5 *6)) (-4 *6 (-412 *4 *5))))) 
+(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-680 *3 *5 *6 *2)) (-4 *2 (-679 *3 *5 *6))))) 
+(((*1 *2 *3 *2 *3) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *4 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *4 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *3 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1168)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-1165)) (-5 *1 (-1169)))) ((*1 *2 *3 *2 *1) (-12 (-5 *2 (-440)) (-5 *3 (-635 (-1165))) (-5 *1 (-1169))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-170 *4)) (-5 *1 (-179 *4 *3)) (-4 *4 (-13 (-366) (-842))) (-4 *3 (-1228 *2))))) 
+(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *1 (-62 *4 *5 *3)) (-4 *4 (-1199)) (-4 *5 (-376 *4)) (-4 *3 (-376 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-117)) (-4 *2 (-236 *9))))) 
+(((*1 *2) (-12 (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1165)) (-5 *2 (-1258)) (-5 *1 (-1168))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1046 *4 *5)) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-14 *5 (-635 (-1165))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *6 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-121)) (-4 *5 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *5))))) (-5 *1 (-1277 *5 *6 *7)) (-14 *6 (-635 (-1165))) (-14 *7 (-635 (-1165))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-842) (-302) (-151) (-1023))) (-5 *2 (-635 (-635 (-1025 (-410 *4))))) (-5 *1 (-1277 *4 *5 *6)) (-14 *5 (-635 (-1165))) (-14 *6 (-635 (-1165)))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-830 (-216))) (-5 *1 (-218)))) ((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *1 *1 *1) (-4 *1 (-302))) ((*1 *1 *1 *1) (-5 *1 (-765))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1228 *5)) (-4 *7 (-1228 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-844) (-559) (-1039 (-569)))) (-5 *2 (-121)) (-5 *1 (-908 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (-12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1228 (-410 (-569)))) (-4 *5 (-1228 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-121)) (-5 *1 (-909 *4 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1041))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-765) (-765))) (-5 *1 (-389 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-1186 *3))) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |minor| (-635 (-919))) (|:| -4399 *3) (|:| |minors| (-635 (-635 (-919)))) (|:| |ops| (-635 *3)))) (-5 *1 (-95 *5 *3)) (-5 *4 (-919)) (-4 *3 (-647 *5))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1189 *4 *3)) (-4 *3 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1147)) (-5 *1 (-300))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| -12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-635 *4)) (-5 *1 (-1015 *8 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 (-1143 *4) (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1270 *4)) (-4 *4 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 (-1143 *5)) (-635 (-1143 *5)))) (-5 *4 (-569)) (-5 *2 (-635 (-1143 *5))) (-5 *1 (-1270 *5)) (-4 *5 (-1197))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *2 *3 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3))) ((*1 *1 *1 *1) (-12 (-5 *1 (-667 *2)) (-4 *2 (-1048)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-1252)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-1145)) (-5 *1 (-300))))) 
-(((*1 *2) (-12 (-14 *4 (-764)) (-4 *5 (-1197)) (-5 *2 (-140)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-140)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-569)) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-982 *3)) (-4 *3 (-1048)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-1254 *3)) (-4 *3 (-366)) (-5 *2 (-140))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2) (-12 (-4 *3 (-1048)) (-5 *2 (-959 (-703 *3 *4))) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-1057)) (-4 *3 (-1183)) (-5 *2 (-2 (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| -4456 *3) (|:| |nconst| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 *7 *7)) (-5 *5 (-635 (-410 *7))) (-4 *7 (-1222 *6)) (-5 *3 (-410 *7)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-579 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-33 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-454)) (-5 *2 (-121)) (-5 *1 (-363 *4 *5)) (-14 *5 (-635 (-1163))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-776 *4 (-853 *5)))) (-4 *4 (-454)) (-14 *5 (-635 (-1163))) (-5 *2 (-121)) (-5 *1 (-620 *4 *5))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 *4 (-569))) (-4 *4 (-1048)) (-5 *1 (-1147 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-421 *3)) (-4 *3 (-559)) (-5 *1 (-422 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-608 *1)) (-4 *1 (-297))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1231 *3 *4 *5)) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-704 *3 *2 *4)) (-4 *3 (-843)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *2)) (-2 (|:| -3998 *3) (|:| -2356 *2))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-1159 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *4 (-366)) (-5 *2 (-635 (-1143 *4))) (-5 *1 (-281 *4 *5)) (-5 *3 (-1143 *4)) (-4 *5 (-1237 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *1) (-5 *1 (-143)))) 
 (((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 *3)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 (-635 *7) (-635 *7))) (-5 *2 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-979 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 *4)) (-5 *1 (-1127 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331))))) 
-(((*1 *2 *2 *3 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-580 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-1125) (-29 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-537 *4 *5 *3 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4 *5) (-12 (-5 *4 (-635 *13)) (-5 *5 (-635 *9)) (-4 *9 (-972 *6)) (-4 *13 (-259 *12)) (-4 *6 (-366)) (-4 *12 (-537 *6 *7 *3 *8 *9 *10 *11 *2 *14)) (-4 *14 (-117)) (-14 *7 (-635 (-1163))) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-4 *2 (-236 *11)) (-5 *1 (-557 *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-243 *5 *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-237 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *3 *3 *2) (|partial| -12 (-5 *2 (-764)) (-4 *3 (-13 (-717) (-371) (-10 -7 (-15 ** (*3 *3 (-569)))))) (-5 *1 (-242 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *3 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *6 *7 *3 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-968 *4)) (-4 *4 (-351)) (-5 *2 (-635 (-923 *4))) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-967 *4)) (-4 *4 (-366)) (-5 *2 (-635 (-922 *4))) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *3 *6)) (-4 *3 (-647 *4)) (-4 *6 (-647 (-410 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| -4030 *5) (|:| -1539 *5)))) (-5 *1 (-803 *4 *5 *6 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 (-410 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *4 (-1222 *5)) (-5 *2 (-635 (-2 (|:| -4030 *4) (|:| -1539 *4)))) (-5 *1 (-803 *5 *4 *6 *3)) (-4 *6 (-647 *4)) (-4 *3 (-647 (-410 *4)))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |polnum| (-778 *3)) (|:| |polden| *3) (|:| -3797 (-764)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |polnum| *1) (|:| |polden| *1) (|:| -3797 (-764)))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-864 *3)) (-5 *2 (-569))))) 
-(((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-123)) (-5 *4 (-1163)) (-4 *5 (-13 (-843) (-559) (-610 (-542)))) (-4 *2 (-433 *5)) (-5 *1 (-313 *5 *2 *6 *7)) (-4 *6 (-1237 *2)) (-4 *7 (-1237 (-1157 *2)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *1) (-4 *1 (-297))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *3 *4 *5 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1099 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-2 (|:| |val| (-635 *8)) (|:| -4003 *9)))) (-5 *5 (-121)) (-4 *8 (-1062 *6 *7 *4)) (-4 *9 (-1067 *6 *7 *4 *8)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *4 (-843)) (-5 *2 (-635 (-2 (|:| |val| *8) (|:| -4003 *9)))) (-5 *1 (-1099 *6 *7 *4 *8 *9))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1248)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1249))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-571 *5 *3 *6)) (-4 *6 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-559)) (-5 *2 (-1159 *4)) (-5 *1 (-760 *4))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-5 *2 (-1247 *3)) (-5 *1 (-703 *3 *4)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-923 *4))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-868 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-635 (-923 *5))) (-4 *5 (-351)) (-5 *2 (-680 *5)) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-237 (-922 *4))) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-869 *4 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-635 (-922 *5))) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-870)) (-5 *5 (-918)) (-5 *6 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-474)) (-5 *1 (-1251)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *4 (-635 (-257))) (-5 *2 (-474)) (-5 *1 (-1251))))) 
-(((*1 *1 *1 *1) (|partial| -4 *1 (-138)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (-12 (-5 *3 (-123)) (-5 *5 (-635 *2)) (-4 *2 (-13 (-433 *6) (-23) (-1038 (-569)) (-1038 *4) (-896 *4) (-162))) (-5 *4 (-1163)) (-4 *6 (-13 (-843) (-559) (-610 (-542)))) (-5 *1 (-1025 *6 *2))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
-(((*1 *1) (-4 *1 (-351)))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-635 (-289 *4))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-3 (-121) "failed")) (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4))))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *3 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| *3) (|:| |polypart| *3))) (-5 *1 (-579 *5 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *2 *2)) (-4 *5 (-366)) (-4 *6 (-1222 (-410 *2))) (-4 *2 (-1222 *5)) (-5 *1 (-207 *5 *2 *6 *3)) (-4 *3 (-341 *5 *2 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1145)) (-5 *1 (-185)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-505))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-251))))) 
-(((*1 *2) (-12 (-5 *2 (-2 (|:| -4073 (-635 *3)) (|:| -1990 (-635 *3)))) (-5 *1 (-1199 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-257)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1085 (-382)))) (-5 *1 (-474))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1101))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *1 *2 *1) (-12 (-4 *1 (-21)) (-5 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-23)) (-5 *2 (-764)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-25)) (-5 *2 (-918)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-159)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-159)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183))) (-5 *1 (-220 *3)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1103)) (-4 *2 (-1197)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-364 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-384 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-843)))) ((*1 *1 *2 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *1 (-464 *3 *4 *5 *6 *7 *2)) (-4 *5 (-843)) (-4 *2 (-951 *4 *6 (-853 *3))))) ((*1 *1 *1 *2) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-595 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-595 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-638 *2)) (-4 *2 (-1055)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-1 *7 *5)) (-5 *1 (-674 *5 *6 *7)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-678 *3 *2 *4)) (-4 *3 (-1048)) (-4 *2 (-376 *3)) (-4 *4 (-376 *3)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-678 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-4 *1 (-711))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-569)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)) (-4 *1 (-921 *4 *5)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-559)) (-5 *1 (-971 *3 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1054 *2)) (-4 *2 (-1055)))) ((*1 *1 *1 *1) (-4 *1 (-1103))) ((*1 *2 *2 *1) (-12 (-4 *1 (-1112 *3 *4 *2 *5)) (-4 *4 (-1048)) (-4 *2 (-231 *3 *4)) (-4 *5 (-231 *3 *4)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-1112 *3 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-231 *3 *4)) (-4 *2 (-231 *3 *4)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-945 (-216))) (-5 *3 (-216)) (-5 *1 (-1194)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-717)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1245 *3)) (-4 *3 (-1197)) (-4 *3 (-21)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-121)) (-5 *1 (-295))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1167))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-635 *2))) (-5 *4 (-635 *5)) (-4 *5 (-43 (-410 (-569)))) (-4 *2 (-1237 *5)) (-5 *1 (-1239 *5 *2))))) 
-(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |gblist| (-635 (-243 *4 *5))) (|:| |gvlist| (-635 (-569))))) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (-12 (-5 *3 (-2 (|:| |det| *12) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-5 *4 (-680 *12)) (-5 *5 (-635 (-410 (-954 *9)))) (-5 *6 (-635 (-635 *12))) (-5 *7 (-764)) (-5 *8 (-569)) (-4 *9 (-13 (-302) (-151))) (-4 *12 (-951 *9 *11 *10)) (-4 *10 (-13 (-843) (-610 (-1163)))) (-4 *11 (-789)) (-5 *2 (-2 (|:| |eqzro| (-635 *12)) (|:| |neqzro| (-635 *12)) (|:| |wcond| (-635 (-954 *9))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *9)))) (|:| -3930 (-635 (-1247 (-410 (-954 *9))))))))) (-5 *1 (-925 *9 *10 *11 *12))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-635 *3)) (-4 *3 (-951 *4 *6 *5)) (-4 *4 (-454)) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *1 (-989 *4 *5 *6 *3))))) 
-(((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-823 *2 *3)) (-4 *2 (-699 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-121)) (-5 *1 (-630 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-2 (|:| |dpolys| (-635 (-243 *5 *6))) (|:| |coords| (-635 (-569))))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(((*1 *2 *3) (-12 (-5 *3 |RationalNumber|) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-311 (-216)))) (-5 *1 (-264))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-951 *4 *5 *6)) (-4 *4 (-366)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-452 *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-101 *6)) (-5 *5 (-1 *6 *6)) (-4 *6 (-366)) (-5 *2 (-2 (|:| R (-680 *6)) (|:| A (-680 *6)) (|:| |Ainv| (-680 *6)))) (-5 *1 (-980 *6)) (-5 *3 (-680 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-569)) (-5 *7 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *2 (-1193 (-927))) (-5 *1 (-314)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1085 (-216))) (-5 *6 (-216)) (-5 *7 (-569)) (-5 *8 (-1145)) (-5 *2 (-1193 (-927))) (-5 *1 (-314))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 *3) (|:| -3782 *4)))) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *1 (-1174 *3 *4)))) ((*1 *1) (-12 (-4 *1 (-1174 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-335 *5 *6 *7 *8)) (-4 *5 (-433 *4)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *4 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *8))) (-5 *1 (-907 *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-335 (-410 (-569)) *4 *5 *6)) (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 (-410 (-569)) *4 *5)) (-5 *2 (-2 (|:| -2558 (-764)) (|:| -1813 *6))) (-5 *1 (-908 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-429 *5 *3)) (-4 *3 (-13 (-1183) (-29 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-493 *4 *5))) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-635 (-243 *4 *5))) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *3 (-1202)) (-4 *5 (-1222 *3)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-4 *7 (-951 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-951 *7 *5 *6)) (-5 *1 (-733 *5 *6 *7 *2)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-302))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *5 (-231 (-4168 *3) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *5)) (-2 (|:| -3998 *2) (|:| -2356 *5)))) (-4 *2 (-843)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-951 *4 *5 (-853 *3)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-50 (-1145) (-767))) (-5 *1 (-123))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-123)) (-5 *1 (-164)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) ((*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-843)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-779 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *1 (-586 *2)) (-4 *2 (-1038 *3)) (-4 *2 (-366)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-586 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-622 *4 *2)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-960)) (-5 *2 (-1163)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-960))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1247 *5)) (-4 *5 (-631 *4)) (-4 *4 (-559)) (-5 *2 (-1247 *4)) (-5 *1 (-630 *4 *5))))) 
-(((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1144)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-1163))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-4 *6 (-231 *7 *3)) (-14 *7 *3) (-5 *2 (-635 *5)) (-5 *1 (-909 *4 *5 *6 *7)) (-4 *5 (-325 *4 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| (-121)) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *2)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-680 *4)) (-4 *4 (-1048)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1036))) (-5 *2 (-1036)) (-5 *1 (-300)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-641 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-5 *1 (-1060))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-1143 *4))) (-5 *2 (-1143 *4)) (-5 *1 (-1140 *4)) (-4 *4 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-410 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-559)) (-4 *4 (-1048)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *5 *6 *2)) (-4 *6 (-647 *5))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-389 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-23)) (-5 *1 (-639 *4 *2 *5)) (-4 *4 (-1091)) (-14 *5 *2))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-5 *2 (-764)) (-5 *1 (-815 *4)) (-4 *4 (-843))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) ((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-991)))) ((*1 *2 *1) (-12 (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *2 *3)) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-1159 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-870)) (-5 *3 (-635 (-257))) (-5 *1 (-255))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 *3))) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-628 *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 *3)) (-5 *5 (-1145)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-836 *3)) (-5 *1 (-628 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-836 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-3 (-836 (-410 (-954 *5))) (-2 (|:| |leftHandLimit| (-3 (-836 (-410 (-954 *5))) "failed")) (|:| |rightHandLimit| (-3 (-836 (-410 (-954 *5))) "failed"))) "failed")) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-3 (-836 *3) (-2 (|:| |leftHandLimit| (-3 (-836 *3) "failed")) (|:| |rightHandLimit| (-3 (-836 *3) "failed"))) "failed")) (-5 *1 (-629 *5)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-289 (-410 (-954 *6)))) (-5 *5 (-1145)) (-5 *3 (-410 (-954 *6))) (-4 *6 (-454)) (-5 *2 (-836 *3)) (-5 *1 (-629 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4 *1) (-12 (-5 *3 (-1163)) (-5 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-885 *3 *5)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
-(((*1 *2) (-12 (-4 *3 (-13 (-843) (-559) (-1038 (-569)))) (-5 *2 (-1252)) (-5 *1 (-436 *3 *4)) (-4 *4 (-433 *3))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-1247 *5)) (-5 *3 (-764)) (-5 *4 (-1109)) (-4 *5 (-351)) (-5 *1 (-533 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-446 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-574 *3)) (-4 *3 (-1038 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *2 *5 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |stiffness| (-382)) (|:| |stability| (-382)) (|:| |expense| (-382)) (|:| |accuracy| (-382)) (|:| |intermediateResults| (-382)))) (-5 *2 (-1036)) (-5 *1 (-300))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-321 *4 *2)) (-4 *4 (-1091)) (-4 *2 (-138))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-817)) (-5 *2 (-57)) (-5 *1 (-827))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-542))) (-5 *2 (-1163)) (-5 *1 (-542))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-5 *2 (-1159 *3))))) 
-(((*1 *1 *1) (-5 *1 (-1162))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| I (-311 (-569))) (|:| -1564 (-311 (-382))) (|:| CF (-311 (-170 (-382)))) (|:| |switch| (-1162)))) (-5 *1 (-1162))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-672 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1027 (-836 (-569)))) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-1222 *3)) (-4 *3 (-302)) (-5 *2 (-121)) (-5 *1 (-458 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-2 (|:| |eqzro| (-635 *7)) (|:| |neqzro| (-635 *7)) (|:| |wcond| (-635 (-954 *4))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *4)))) (|:| -3930 (-635 (-1247 (-410 (-954 *4)))))))))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *1) (-5 *1 (-143))) ((*1 *1 *1) (-5 *1 (-148))) ((*1 *1 *1) (-4 *1 (-1130)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-901 *3)) (-4 *3 (-371)) (-4 *3 (-1091))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-569)) (-5 *3 (-918)) (-4 *1 (-407)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-407)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *2 *6)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-382))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1 *1 *1) (|partial| -12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1))) (-4 *1 (-302)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-302))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-1252)) (-5 *1 (-827))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -3493 *3) (|:| |coef2| (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-559)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-537 *3 *4 *5 *6 *7 *8 *9 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-237 (-923 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-237 (-922 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *1) (-12 (-5 *1 (-619 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-13 (-173) (-708 (-410 (-569))))) (-14 *4 (-918)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329))))) 
-(((*1 *1 *1 *1) (-5 *1 (-121))) ((*1 *1 *1 *1) (-4 *1 (-133))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-1091)) (-4 *3 (-896 *6)) (-5 *2 (-680 *3)) (-5 *1 (-682 *6 *3 *7 *4)) (-4 *7 (-376 *3)) (-4 *4 (-13 (-376 *6) (-10 -7 (-6 -4535))))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1163)) (-4 *6 (-433 *5)) (-4 *5 (-843)) (-5 *2 (-635 (-608 *6))) (-5 *1 (-578 *5 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1250))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) ((*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -3047 (-764)) (|:| |curves| (-764)) (|:| |polygons| (-764)) (|:| |constructs| (-764))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-945 (-216))))) (-5 *2 (-635 (-216))) (-5 *1 (-474))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-635 *3)) (-5 *1 (-962 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-853 *5))) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-635 (-635 (-243 *5 *6)))) (-5 *1 (-477 *5 *6 *7)) (-5 *3 (-635 (-243 *5 *6))) (-4 *7 (-454))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-635 *1)) (-4 *1 (-921 *3 *4))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-1 (-216) (-216) (-216))) (-5 *4 (-3 (-1 (-216) (-216) (-216) (-216)) "undefined")) (-5 *5 (-1085 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1122 (-216))) (-5 *1 (-687))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-37 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-43 *2)) (-4 *2 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-366)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-49 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-53)))) (-5 *1 (-53)))) ((*1 *2 *3) (-12 (-5 *2 (-57)) (-5 *1 (-56 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-66 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-68 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139) (-689))) (-5 *1 (-69 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139) (-2139 (QUOTE X) (QUOTE HESS)) (-689)))) (-5 *1 (-70 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE XC)) (-689))) (-5 *1 (-71 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-76 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-79 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE EPS)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-80 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE EPS)) (-2139 (QUOTE YA) (QUOTE YB)) (-689)))) (-5 *1 (-81 *3 *4 *5)) (-14 *3 (-1163)) (-14 *4 (-1163)) (-14 *5 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-82 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139) (-2139 (QUOTE X)) (-689))) (-5 *1 (-83 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE XC)) (-689)))) (-5 *1 (-84 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-85 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139) (-2139 (QUOTE X)) (-689)))) (-5 *1 (-86 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-87 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X) (QUOTE -2374)) (-2139) (-689)))) (-5 *1 (-88 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-89 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139) (-689)))) (-5 *1 (-90 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689)))) (-5 *1 (-91 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-338 (-2139 (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (-2139) (-689)))) (-5 *1 (-92 *3)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-338 (-2139 (QUOTE X)) (-2139 (QUOTE -2374)) (-689))) (-5 *1 (-94 *3)) (-14 *3 (-1163)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 2)) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-117)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-142 *3 *4 *5))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)))) ((*1 *1 *2) (-12 (-5 *2 (-1128 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *1 *2) (-12 (-5 *2 (-233 *4 *5)) (-14 *4 (-764)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-410 (-954 *4))))) (-5 *1 (-182 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))) (-5 *1 (-206 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 10)) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1 *3 (-918))) (-5 *1 (-234 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3 (-918))) (-4 *3 (-1048)) (-5 *1 (-234 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1083 (-311 *4))) (-4 *4 (-13 (-843) (-559) (-610 (-382)))) (-5 *2 (-1083 (-382))) (-5 *1 (-252 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-263 *2)) (-4 *2 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-272)))) ((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *3 (-173)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-1231 *4 *5 *6)) (-4 *4 (-13 (-27) (-1183) (-433 *3))) (-14 *5 (-1163)) (-14 *6 *4) (-4 *3 (-13 (-843) (-1038 (-569)) (-631 (-569)) (-454))) (-5 *1 (-308 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-329)))) ((*1 *2 *1) (-12 (-5 *2 (-311 *5)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *3 *4 *2)) (-4 *3 (-328 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *2 (-328 *4)) (-5 *1 (-349 *2 *4 *3)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1269 *3 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *2 (-1260 *3 *4)))) ((*1 *1 *2) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-680 (-689))) (-4 *1 (-386)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-387)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-4 *1 (-392)))) ((*1 *2 *3) (-12 (-5 *2 (-397)) (-5 *1 (-396 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-397)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-170 (-382))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-569)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-684)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-689)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-289 (-311 (-691)))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-5 *1 (-401 *3 *4 *5 *6)) (-14 *3 (-1163)) (-14 *4 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-14 *5 (-635 (-1163))) (-14 *6 (-1167)))) ((*1 *1 *2) (-12 (-5 *2 (-330 *4)) (-4 *4 (-13 (-843) (-21))) (-5 *1 (-430 *3 *4)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))))) ((*1 *1 *2) (-12 (-5 *1 (-430 *2 *3)) (-4 *2 (-13 (-173) (-43 (-410 (-569))))) (-4 *3 (-13 (-843) (-21))))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-954 (-410 *3)))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-954 (-410 *3))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-1048)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-1095)) (-5 *1 (-437)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-437)))) ((*1 *1 *2) (-12 (-5 *2 (-437)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-440)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-689))) (-4 *1 (-442)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |localSymbols| (-1167)) (|:| -3632 (-635 (-329))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-329)) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-329))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-410 (-954 *3)))) (-4 *3 (-173)) (-14 *6 (-1247 (-680 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 (-216))))) (-5 *1 (-474)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-474)))) ((*1 *1 *2) (-12 (-5 *2 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-480 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1005 16)) (-5 *1 (-498)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *1 *2) (-12 (-5 *2 (-1114 (-569) (-608 (-505)))) (-5 *1 (-505)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-512)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-515 *3 *4 *5 *6)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-603 *3 *2)) (-4 *2 (-737 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-609 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *1 (-613 *2)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1265 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-627 *3 *2)) (-4 *2 (-737 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-642 *3)) (-4 *3 (-366)) (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-4 *3 (-366)) (-4 *1 (-642 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-668 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-5 *1 (-667 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-959 (-959 (-959 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *3) (-12 (-5 *2 (-1 *3)) (-5 *1 (-672 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *2)) (-4 *4 (-376 *3)) (-4 *2 (-376 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-691))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-689))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-569))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-684)))) ((*1 *1 *2) (-12 (-5 *2 (-691)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-5 *2 (-382)) (-5 *1 (-689)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-569))) (-5 *2 (-311 (-691))) (-5 *1 (-691)))) ((*1 *1 *2) (-12 (-5 *1 (-693 *2)) (-4 *2 (-1091)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-5 *1 (-704 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-1091)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| -3998 *3) (|:| -2356 *4))) (-4 *3 (-843)) (-4 *4 (-1091)) (-5 *1 (-704 *3 *4 *5)) (-14 *5 (-1 (-121) *2 *2)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-4 *3 (-1048)) (-4 *4 (-717)) (-5 *1 (-726 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-735 *3 *4))) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))) (-5 *1 (-734 *3 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *4)) (-4 *4 (-1048)) (-5 *1 (-735 *3 *4)) (-14 *3 (-1163)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-735 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-5 *1 (-735 *3 *2)) (-14 *3 (-1163)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-756)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4235 (-635 (-1085 (-836 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-762)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-762)))) ((*1 *2 *3) (-12 (-5 *2 (-767)) (-5 *1 (-766 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-804)))) ((*1 *2 *1) (-12 (-4 *2 (-896 *3)) (-5 *1 (-813 *3 *2 *4)) (-4 *3 (-1091)) (-14 *4 *3))) ((*1 *1 *2) (-12 (-4 *3 (-1091)) (-14 *4 *3) (-5 *1 (-813 *3 *2 *4)) (-4 *2 (-896 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-820)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))))) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |fn| (-311 (-216))) (|:| -4043 (-635 (-216))) (|:| |lb| (-635 (-836 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-836 (-216)))))) (-5 *1 (-834)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-834)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-848 *3 *4 *5 *6)) (-4 *4 (-1048)) (-14 *5 (-101 *4)) (-14 *6 (-1 *4 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-850)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-854 *3 *4 *5 *6)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-954 *3)) (-5 *1 (-854 *3 *4 *5 *6)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))) (-14 *5 (-635 (-764))) (-14 *6 (-764)))) ((*1 *1 *2) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-53))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-53)))) (-5 *2 (-311 (-569))) (-5 *1 (-871)))) ((*1 *1 *2) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-815 *3)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-764)) (|:| |boundaryType| (-569)) (|:| |dStart| (-680 (-216))) (|:| |dFinish| (-680 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1145)) (|:| |tol| (-216)))) (-5 *1 (-894)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-894)))) ((*1 *2 *1) (-12 (-5 *2 (-1184 *3)) (-5 *1 (-897 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-901 *3))) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-901 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-421 *3))) (-4 *3 (-302)) (-5 *1 (-911 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-410 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302)))) ((*1 *2 *3) (-12 (-5 *3 (-490)) (-5 *2 (-311 *4)) (-5 *1 (-916 *4)) (-4 *4 (-13 (-843) (-559))))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-366)) (-4 *1 (-972 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-973)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1252)) (-5 *1 (-1034 *3)) (-4 *3 (-1197)))) ((*1 *2 *3) (-12 (-5 *3 (-306)) (-5 *1 (-1034 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *1 *2) (-12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-1043 *3)) (-4 *3 (-559)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-680 *5)) (-5 *1 (-1052 *3 *4 *5)) (-14 *3 (-764)) (-14 *4 (-764)) (-4 *5 (-1048)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-5 *1 (-1115 *3 *4 *2)) (-4 *2 (-951 *3 (-535 *4) *4)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *2 (-843)) (-5 *1 (-1115 *3 *2 *4)) (-4 *4 (-951 *3 (-535 *2) *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-680 *4)) (-5 *1 (-1128 *3 *4)) (-14 *3 (-764)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-148)) (-4 *1 (-1130)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1153 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1160 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1161 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1161 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1162)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-1163)))) ((*1 *2 *1) (-12 (-5 *2 (-1171 (-1163) (-440))) (-5 *1 (-1167)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1170 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (-12 (-5 *2 (-1178)) (-5 *1 (-1177 *3)) (-4 *3 (-1091)))) ((*1 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1178)))) ((*1 *1 *2) (-12 (-5 *2 (-954 *3)) (-4 *3 (-1048)) (-5 *1 (-1192 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1192 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-959 *3)) (-4 *3 (-1197)) (-5 *1 (-1195 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 (QUOTE |x|))) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1219 (QUOTE |x|) *3)) (-4 *3 (-1048)) (-5 *1 (-1204 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1208 *3 *2)) (-4 *2 (-1237 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1210 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1085 *3)) (-4 *3 (-1197)) (-5 *1 (-1213 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *3)) (-14 *3 (-1163)) (-5 *1 (-1219 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *1 (-1229 *3 *2)) (-4 *2 (-1206 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1231 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *5 *3))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3) (-5 *1 (-1238 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-1243 *4)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)))) ((*1 *1 *2) (-12 (-5 *2 (-1219 *4 *3)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-5 *1 (-1242 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1243 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1248)))) ((*1 *2 *3) (-12 (-5 *3 (-474)) (-5 *2 (-1248)) (-5 *1 (-1251)))) ((*1 *2 *1) (-12 (-5 *2 (-851)) (-5 *1 (-1252)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *2 (-951 *3 *5 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *2 *1) (-12 (-4 *2 (-951 *3 *5 *4)) (-5 *1 (-1257 *3 *4 *5 *2 *6 *7 *8)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-789)) (-14 *6 (-635 *4)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *1 *2) (-12 (-4 *1 (-1259 *2)) (-4 *2 (-1048)))) ((*1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-657 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)) (-5 *1 (-1265 *3 *4)))) ((*1 *1 *2) (-12 (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-839))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-569)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *2 (-896 *5)) (-5 *1 (-682 *5 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-799))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-1159 *4)) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (-12 (-5 *5 (-608 *4)) (-5 *6 (-410 (-1159 *4))) (-4 *4 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -3930 (-635 *4)))) (-5 *1 (-565 *7 *4 *3)) (-4 *3 (-647 *4)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1045 *5 *6))) (-5 *1 (-620 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-2 (|:| |func| *3) (|:| |kers| (-635 (-608 *3))) (|:| |vals| (-635 *3)))) (-5 *1 (-274 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *7 *5 *6)) (-5 *1 (-692 *4 *5 *6 *7)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *7 (-1197))))) 
-(((*1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-870)) (-5 *1 (-1250))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-542))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-454) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-560 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 *5)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1159 (-1159 *4)))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *8 (-972 *4))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-1163))) (-5 *2 (-635 (-635 *5))) (-5 *1 (-383 *5)) (-4 *5 (-13 (-841) (-366))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-569)))) (-5 *2 (-635 *4)) (-5 *1 (-383 *4)) (-4 *4 (-13 (-841) (-366)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *3 *2) (|partial| -12 (-5 *2 (-1247 *4)) (-5 *3 (-680 *4)) (-4 *4 (-366)) (-5 *1 (-660 *4)))) ((*1 *2 *3 *2) (|partial| -12 (-4 *4 (-366)) (-4 *5 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536)))) (-5 *1 (-661 *4 *5 *2 *3)) (-4 *3 (-678 *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| -12 (-5 *4 (-635 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-366)) (-5 *1 (-810 *2 *3)) (-4 *3 (-647 *2)))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *6)) (-5 *4 (-1 *6 (-764) (-1247 (-1159 *6)))) (-5 *5 (-635 (-764))) (-4 *6 (-13 (-559) (-454))) (-5 *2 (-680 (-1159 *6))) (-5 *1 (-347 *6 *7)) (-4 *7 (-52 *6 (-764)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-367 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-1145))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-635 *8))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-927))))) 
-(((*1 *2 *2 *2 *2) (-12 (-5 *2 (-410 (-1159 (-311 *3)))) (-4 *3 (-13 (-559) (-843))) (-5 *1 (-1119 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843))) (-4 *2 (-13 (-433 *4) (-1003) (-1183))) (-5 *1 (-598 *4 *2 *3)) (-4 *3 (-13 (-433 (-170 *4)) (-1003) (-1183)))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-680 (-569))) (-5 *3 (-635 (-569))) (-5 *1 (-1101))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |val| (-635 *7)) (|:| -4003 *8))) (-4 *7 (-1062 *4 *5 *6)) (-4 *8 (-1067 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-799))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *5)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-437)) (-5 *2 (-635 (-3 (|:| -1486 (-1163)) (|:| |bounds| (-635 (-3 (|:| S (-1163)) (|:| P (-954 (-569))))))))) (-5 *1 (-1167))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1247 *1)) (-4 *1 (-370 *3))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-4 *1 (-155 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2356 (-764)) (|:| -4030 *4) (|:| |num| *4)))) (-4 *4 (-1222 *3)) (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *4)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-954 (-569)))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *3 (-635 (-1163))) (-5 *4 (-121)) (-5 *1 (-440)))) ((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-599 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-5 *1 (-657 *3 *4)) (-4 *4 (-173)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-635 *3)))) (-4 *3 (-1091)) (-5 *1 (-667 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-704 *2 *3 *4)) (-4 *2 (-843)) (-4 *3 (-1091)) (-14 *4 (-1 (-121) (-2 (|:| -3998 *2) (|:| -2356 *3)) (-2 (|:| -3998 *2) (|:| -2356 *3)))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-4 *4 (-1091)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *5)) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *3 *5))) (-5 *1 (-1126 *3 *5)) (-4 *3 (-13 (-1091) (-39))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| |val| *4) (|:| -4003 *5)))) (-4 *4 (-13 (-1091) (-39))) (-4 *5 (-13 (-1091) (-39))) (-5 *2 (-635 (-1126 *4 *5))) (-5 *1 (-1126 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |val| *3) (|:| -4003 *4))) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-121)) (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *2 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1126 *2 *3))) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))) (-5 *1 (-1127 *2 *3)))) ((*1 *1 *2 *3 *4) (-12 (-5 *4 (-635 (-1127 *2 *3))) (-5 *1 (-1127 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *2) (-12 (-5 *2 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))) (-5 *1 (-1127 *3 *4)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-1152 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-680 *4)) (-5 *1 (-348 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1048)) (-5 *1 (-705 *2 *4)) (-4 *4 (-638 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-351)) (-5 *2 (-1247 *1)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-680 *1)) (-4 *1 (-149)) (-4 *1 (-905)) (-5 *2 (-1247 *1))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-635 (-1247 *4))) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-4 *3 (-559)) (-5 *2 (-635 (-1247 *3)))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) (-764))) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-5 *2 (-635 (-1247 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-972 *5)) (-4 *3 (-236 *11))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (-12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-586 *3)) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-1269 *3 *4)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-815 *3)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-972 *3)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-968 *3))) (-4 *3 (-351)) (-5 *1 (-868 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-967 *3))) (-4 *3 (-366)) (-5 *1 (-869 *3 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-764)) (-5 *1 (-590))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091)))) ((*1 *1 *2) (-12 (-5 *1 (-897 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *5)) (-4 *5 (-788)) (-5 *2 (-121)) (-5 *1 (-838 *4 *5)) (-14 *4 (-764))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| -3032 (-410 (-954 *5))) (|:| |coeff| (-410 (-954 *5))))) (-5 *1 (-575 *5)) (-5 *3 (-410 (-954 *5)))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 *4)) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *3)) (-4 *3 (-1062 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-361 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-1176))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-123)) (-5 *1 (-122 *3)) (-4 *3 (-843)) (-4 *3 (-1091))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-1247 (-3 (-474) "undefined"))) (-5 *1 (-1248))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466)))) ((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-382)) (-5 *1 (-1060))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-635 *5)) (-5 *1 (-886 *4 *5)) (-4 *5 (-1197))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-382)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-764) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1184 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-635 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-1026 *3 *2)) (-4 *2 (-647 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-5 *2 (-2 (|:| -1502 *3) (|:| -2291 (-635 *5)))) (-5 *1 (-1026 *5 *3)) (-5 *4 (-635 *5)) (-4 *3 (-647 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-235)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-1252)) (-5 *1 (-235))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1109)) (-5 *1 (-329))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-4 *5 (-366)) (-5 *2 (-635 (-1192 *5))) (-5 *1 (-1255 *5)) (-5 *4 (-1192 *5))))) 
-(((*1 *1 *2 *2 *1) (-12 (-5 *1 (-637 *2)) (-4 *2 (-1091))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| |coef1| *1) (|:| |coef2| *1) (|:| -1809 *1))) (-4 *1 (-845 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-145)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-146)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-217)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-219))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-635 (-945 *3)))))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-1237 *4)) (-4 *4 (-1048)) (-5 *2 (-954 *4))))) 
-(((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-166 *3 *2)) (-4 *3 (-167 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *2 *4)) (-4 *4 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *4 (-1222 *2)) (-4 *2 (-173)) (-5 *1 (-411 *3 *2 *4)) (-4 *3 (-412 *2 *4)))) ((*1 *2) (-12 (-4 *1 (-412 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *3 (-1222 *2)) (-5 *2 (-569)) (-5 *1 (-761 *3 *4)) (-4 *4 (-412 *2 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *2 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2)))) ((*1 *2 *1) (-12 (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-173))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-385 *3 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-726 *3 *4))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-635 *3)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-951 *3 *4 *5))))) 
-(((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-4 *1 (-371)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2) (-12 (-4 *4 (-1091)) (-5 *2 (-764)) (-5 *1 (-427 *3 *4)) (-4 *3 (-428 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4))) ((*1 *2) (-12 (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-764)) (-5 *1 (-714 *3 *4 *5)) (-4 *3 (-715 *4 *5)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-667 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-371)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-351)) (-5 *2 (-918)) (-5 *1 (-533 *4))))) 
-(((*1 *2 *3 *1) (|partial| -12 (-4 *1 (-606 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-680 (-311 (-569))))) (-5 *1 (-1032))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 (-410 (-569)))) (-5 *2 (-635 *1)) (-4 *1 (-1013)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-1013)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-635 *1)) (-4 *1 (-1064 *4 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-1252)) (-5 *1 (-474))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-289 (-954 (-569)))) (-5 *2 (-2 (|:| |varOrder| (-635 (-1163))) (|:| |inhom| (-3 (-635 (-1247 (-764))) "failed")) (|:| |hom| (-635 (-1247 (-764)))))) (-5 *1 (-229))))) 
-(((*1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-185)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-366)) (-5 *2 (-635 *3)) (-5 *1 (-947 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-859))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-1222 *4)) (-4 *2 (-1237 *4)) (-5 *1 (-1240 *4 *3 *5 *2)) (-4 *5 (-647 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-216)))) (-5 *1 (-927))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-96 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-213 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-495 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| *1 (-6 -4535)) (-4 *1 (-500 *4)) (-4 *4 (-1197)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1001 *4)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 (-121) *4)) (|has| $ (-6 -4535)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-1133 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-53))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-53))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-53)) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-13 (-351) (-610 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-485 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-569)))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-569))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-14 *9 (-1 *6 *4)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-466))) (-4 *5 (-366)) (-14 *10 (-1 *7 *5)) (-4 *8 (-13 (-843) (-559))) (-14 *9 (-1 *5 *8)) (-5 *2 (-635 (-2 (|:| -1813 *7) (|:| -2558 (-764))))) (-5 *1 (-487 *5 *6 *7 *8 *9 *10)) (-4 *6 (-454)) (-4 *7 (-13 (-433 (-569)) (-559) (-1038 *8) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-635 (-2 (|:| -1813 *6) (|:| -2558 (-764)))) (-635 *4) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-569))))) (-5 *4 (-635 (-466))) (-5 *2 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-311 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-954 (-569)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-735 *4 (-569))))) (-14 *4 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-735 *5 (-569))))) (-5 *4 (-635 (-466))) (-14 *5 (-1163)) (-5 *2 (-635 (-2 (|:| -1813 (-734 *5 (-569))) (|:| -2558 (-764))))) (-5 *1 (-489 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-635 (-2 (|:| -1813 (-734 *4 (-569))) (|:| -2558 (-764)))) (-635 (-410 (-735 *4 (-569)))) (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-257))) (-5 *4 (-1163)) (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1191 *4 *5 *6 *3)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1091)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-657 *4 *5))) (-5 *1 (-619 *4 *5 *6)) (-4 *5 (-13 (-173) (-708 (-410 (-569))))) (-14 *6 (-918))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *6)) (-5 *1 (-335 *3 *4 *5 *6)) (-4 *6 (-341 *3 *4 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-680 *7)) (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *1 (-925 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *4 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *3 (-972 *5)) (-4 *8 (-642 *5)) (-4 *9 (-921 *5 *8)) (-4 *10 (-236 *9)) (-4 *12 (-117)) (-4 *2 (-259 *11)) (-5 *1 (-261 *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (-4 *11 (-537 *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
-(((*1 *1) (-5 *1 (-1249)))) 
-(((*1 *1 *1) (-12 (-4 *1 (-376 *2)) (-4 *2 (-1197)))) ((*1 *2 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 (-635 *7) *7 (-1159 *7))) (-5 *5 (-1 (-421 *7) *7)) (-4 *7 (-1222 *6)) (-4 *6 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *7)) (|:| -1502 *3)))) (-5 *1 (-805 *6 *7 *3 *8)) (-4 *3 (-647 *7)) (-4 *8 (-647 (-410 *7))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |frac| (-410 *6)) (|:| -1502 (-645 *6 (-410 *6)))))) (-5 *1 (-808 *5 *6)) (-5 *3 (-645 *6 (-410 *6)))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-231 *3 *2)) (-4 *2 (-1197)) (-4 *2 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3 *3) (-12 (-5 *3 (-945 (-216))) (-5 *2 (-216)) (-5 *1 (-1194)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-881 *3 *4 *5)) (-4 *3 (-1091)) (-4 *5 (-659 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (|partial| -12 (-4 *1 (-1191 *2 *3 *4 *5)) (-4 *2 (-559)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *5 (-1062 *2 *3 *4)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *1 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2 *1) (-12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *2 *2 *2 *2) (-12 (-4 *2 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *1 (-1117 *3 *2)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5)) (-4 *5 (-1091)) (-5 *2 (-1 *5 *4)) (-5 *1 (-673 *4 *5)) (-4 *4 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-231 *5 (-764))) (-14 *5 (-764)) (-4 *2 (-1048)) (-5 *1 (-909 *2 *3 *4 *5)) (-4 *3 (-325 *2 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-843)) (-5 *1 (-931 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-311 (-569))) (-5 *1 (-932)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *2)) (-4 *3 (-843)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-1268 *2 *3)) (-4 *3 (-839))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-198)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-382))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *2 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *4)) (-5 *1 (-1117 *3 *4)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *3 *3 *3) (-12 (-4 *3 (-13 (-366) (-10 -8 (-15 ** ($ $ (-410 (-569))))))) (-5 *2 (-635 *3)) (-5 *1 (-1117 *4 *3)) (-4 *4 (-1222 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *5 (-1091))))) 
-(((*1 *1 *1) (-12 (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-954 *5)))) (-5 *1 (-1168 *5))))) 
-(((*1 *2) (-12 (-4 *4 (-366)) (-5 *2 (-764)) (-5 *1 (-327 *3 *4)) (-4 *3 (-328 *4)))) ((*1 *2) (-12 (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-5 *2 (-764))))) 
-(((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 (-906 *3)) (|:| -3998 (-1109)))))) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) *2)))) ((*1 *2) (-12 (-5 *2 (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109)))))) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1085 *3)) (-4 *3 (-951 *7 *6 *4)) (-4 *6 (-789)) (-4 *4 (-843)) (-4 *7 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *6 *4 *7 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-559)) (-5 *2 (-2 (|:| |num| *3) (|:| |den| (-569)))) (-5 *1 (-593 *5 *4 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-13 (-433 *4) (-162) (-27) (-1183))) (-4 *4 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1154 *4 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-954 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 (-410 (-954 *5)) (-311 *5))) (-5 *1 (-1155 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-954 *5))) (-5 *3 (-954 *5)) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-410 *3)) (-5 *1 (-1155 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1083 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-3 *3 (-311 *5))) (-5 *1 (-1155 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1247 (-1163))) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 (-1163))) (-14 *7 (-1247 (-680 *4))))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1247 (-455 *4 *5 *6 *7))) (-5 *1 (-455 *4 *5 *6 *7)) (-4 *4 (-173)) (-14 *5 (-918)) (-14 *6 (-635 *2)) (-14 *7 (-1247 (-680 *4))))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-455 *3 *4 *5 *6))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1247 (-1163))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 *2)) (-14 *6 (-1247 (-680 *3))))) ((*1 *1) (-12 (-5 *1 (-455 *2 *3 *4 *5)) (-4 *2 (-173)) (-14 *3 (-918)) (-14 *4 (-635 (-1163))) (-14 *5 (-1247 (-680 *2)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *5 (-1202)) (-4 *6 (-1222 *5)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *3) (|:| |radicand| *6))) (-5 *1 (-152 *5 *6 *7)) (-5 *4 (-764)) (-4 *7 (-1222 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-454)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-979 *3 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-805 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2)))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-1167)) (-5 *1 (-1166))))) 
-(((*1 *2 *3 *2 *4) (-12 (-5 *3 (-123)) (-5 *4 (-764)) (-4 *5 (-454)) (-4 *5 (-843)) (-4 *5 (-1038 (-569))) (-4 *5 (-559)) (-5 *1 (-46 *5 *2)) (-4 *2 (-433 *5)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *5 (-608 $)) $)) (-15 -4121 ((-1114 *5 (-608 $)) $)) (-15 -2185 ($ (-1114 *5 (-608 $)))))))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-57)) (-5 *1 (-888 *4)) (-4 *4 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-421 *2)) (-4 *2 (-302)) (-5 *1 (-911 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-421 (-954 *6))) (-5 *5 (-1163)) (-5 *3 (-954 *6)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-57)) (-5 *1 (-912 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1040))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1113 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764)) (-4 *5 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-121)) (-5 *1 (-664 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |gen| *3) (|:| -3408 (-569)))) (-5 *1 (-237 *3)) (-4 *3 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199)))) ((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *2 *2 *3) (-12 (-5 *2 (-681 *3)) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *1) (-12 (-4 *4 (-1093)) (-5 *2 (-886 *3 *4)) (-5 *1 (-882 *3 *4 *5)) (-4 *3 (-1093)) (-4 *5 (-659 *4))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *2 *7 *8 *9 *10)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *2 (-973 *3)) (-4 *7 (-642 *3)) (-4 *8 (-922 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-117))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1165)) (-5 *1 (-819))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-121)) (-5 *1 (-203))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *2 *3 *3) (-12 (-4 *3 (-1208)) (-4 *5 (-1228 *3)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-121)) (-5 *1 (-340 *4 *3 *5 *6)) (-4 *4 (-341 *3 *5 *6)))) ((*1 *2 *3 *3) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-121))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1228 (-410 *2))) (-5 *2 (-569)) (-5 *1 (-911 *4 *3)) (-4 *3 (-1228 (-410 *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *1 (-341 *4 *5 *6)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-4 *6 (-1228 (-410 *5))) (-5 *2 (-2 (|:| |num| (-681 *5)) (|:| |den| *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |endPointContinuity| (-3 (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (-3 (|:| |str| (-1145 (-216))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| -1848 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (-5 *2 (-1037)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-718) (-25)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-302)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-2 (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (-5 *1 (-1115 *4 *5 *6 *3)) (-4 *3 (-679 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (-12 (-5 *2 (-889 *4)) (-4 *4 (-1093)) (-5 *1 (-887 *4 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-57)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-681 (-311 (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1125 *3)) (-4 *3 (-1049)) (-5 *2 (-635 (-946 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *3 (-1049)) (-4 *1 (-1125 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-946 *3))) (-4 *1 (-1125 *3)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-566)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-410 (-569)))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (-12 (-4 *1 (-794 *2)) (-4 *2 (-173)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1001 *3)) (-4 *3 (-173)) (-5 *1 (-796 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-765)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-466))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-946 *3)) (-4 *3 (-13 (-366) (-1185) (-1004))) (-5 *1 (-175 *3))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-121)) (-5 *5 (-569)) (-4 *6 (-366)) (-4 *6 (-371)) (-4 *6 (-1049)) (-5 *2 (-635 (-635 (-681 *6)))) (-5 *1 (-1031 *6)) (-5 *3 (-635 (-681 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *4 (-371)) (-4 *4 (-1049)) (-5 *2 (-635 (-635 (-681 *4)))) (-5 *1 (-1031 *4)) (-5 *3 (-635 (-681 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-4 *5 (-366)) (-4 *5 (-371)) (-4 *5 (-1049)) (-5 *2 (-635 (-635 (-681 *5)))) (-5 *1 (-1031 *5)) (-5 *3 (-635 (-681 *5)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-302) (-1039 (-569)) (-631 (-569)) (-151))) (-5 *2 (-1 *5 *5)) (-5 *1 (-801 *4 *5)) (-4 *5 (-13 (-29 *4) (-1185) (-961)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *3)) (-5 *1 (-980 *4 *5 *6 *3)) (-4 *3 (-1063 *4 *5 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1185) (-433 *3))) (-14 *4 (-1165)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1185) (-433 *3) (-10 -8 (-15 -3956 ($ *4))))) (-4 *4 (-842)) (-4 *5 (-13 (-1230 *2 *4) (-366) (-1185) (-10 -8 (-15 -3289 ($ $)) (-15 -1324 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-986 *5)) (-14 *7 (-1165))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *6 (-454)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *3 (-1063 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1066 *6 *7 *8 *3 *4)) (-4 *4 (-1068 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))))) (-5 *1 (-1133 *5 *6 *7 *3 *4)) (-4 *4 (-1102 *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3964 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-644 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-5 *4 (-410 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| |particular| (-3 *4 "failed")) (|:| -4079 (-635 *4)))) (-5 *1 (-807 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-645 *6 (-410 *6))) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-2 (|:| -4079 (-635 (-410 *6))) (|:| -4463 (-681 *5)))) (-5 *1 (-807 *5 *6)) (-5 *4 (-635 (-410 *6)))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1161 *9)) (-5 *4 (-635 *7)) (-4 *7 (-844)) (-4 *9 (-952 *8 *6 *7)) (-4 *6 (-790)) (-4 *8 (-302)) (-5 *2 (-635 (-765))) (-5 *1 (-734 *6 *7 *8 *9)) (-5 *5 (-765))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-919)) (-4 *5 (-844)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)) (-4 *2 (-454))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-765)) (-4 *5 (-173))))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *3 (-1 (-170 (-216)) (-170 (-216)))) (-5 *4 (-1087 (-216))) (-5 *5 (-121)) (-5 *2 (-1255)) (-5 *1 (-251))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1091)) (-5 *2 (-121)) (-5 *1 (-1199 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *1 *2) (-12 (-4 *1 (-659 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-1163))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *1)))) (-4 *1 (-1067 *4 *5 *6 *3)))) ((*1 *1 *1) (-4 *1 (-1202))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-5 *1 (-1225 *3 *2)) (-4 *2 (-13 (-1222 *3) (-559) (-10 -8 (-15 -2714 ($ $ $)))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-901 (-569))) (-5 *4 (-569)) (-5 *2 (-680 *4)) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1029 *4)) (-4 *4 (-1048)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-901 (-569)))) (-5 *4 (-569)) (-5 *2 (-635 (-680 *4))) (-5 *1 (-1029 *5)) (-4 *5 (-1048)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-635 (-569)))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1029 *4)) (-4 *4 (-1048))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-216))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-1163)) (-4 *6 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-4 *4 (-13 (-29 *6) (-1183) (-960))) (-5 *2 (-2 (|:| |particular| *4) (|:| -3930 (-635 *4)))) (-5 *1 (-797 *6 *4 *3)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249)))) ((*1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *3) (|partial| -12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-1217 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *2 (-2 (|:| |part1| *3) (|:| |part2| *4))) (-5 *1 (-696 *3 *4)) (-4 *3 (-1197)) (-4 *4 (-1197))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *2 (-1062 *4 *5 *6)) (-5 *1 (-769 *4 *5 *6 *2 *3)) (-4 *3 (-1067 *4 *5 *6 *2))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-968 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-243 *6 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-366)) (-4 *6 (-231 *7 (-764))) (-14 *7 (-764)) (-5 *1 (-930 *5 *2 *6 *7 *3)) (-4 *2 (-325 *5 *6)) (-4 *3 (-972 *5)))) ((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-930 *4 *2 *5 *6 *3)) (-4 *2 (-325 *4 *5)) (-4 *3 (-972 *4))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-14 *4 *2) (-4 *5 (-1197)) (-5 *2 (-764)) (-5 *1 (-230 *3 *4 *5)) (-4 *3 (-231 *4 *5)))) ((*1 *2) (-12 (-4 *4 (-843)) (-5 *2 (-764)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-550 *3)) (-4 *3 (-551)))) ((*1 *2) (-12 (-4 *1 (-756)) (-5 *2 (-764)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-792 *3 *4)) (-4 *3 (-793 *4)))) ((*1 *2) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-993 *3 *4)) (-4 *3 (-994 *4)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-764)) (-5 *1 (-997 *3 *4)) (-4 *3 (-998 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1012 *3)) (-4 *3 (-1013)))) ((*1 *2) (-12 (-4 *1 (-1048)) (-5 *2 (-764)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1056 *3)) (-4 *3 (-1057))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1143 (-216))) (-5 *2 (-635 (-1145))) (-5 *1 (-300))))) 
-(((*1 *1 *2 *2 *2) (-12 (-5 *1 (-878 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1145)) (-5 *1 (-782))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-410 *5))) (-5 *1 (-1017 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-559))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-5 *1 (-587 *2)) (-4 *2 (-551))))) 
-(((*1 *1 *2) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1 *3 *3 *4) (-12 (-5 *3 (-1 (-851) (-851) (-851))) (-5 *4 (-569)) (-5 *2 (-851)) (-5 *1 (-639 *5 *6 *7)) (-4 *5 (-1091)) (-4 *6 (-23)) (-14 *7 *6))) ((*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-847 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-101 *3)) (-14 *5 (-1 *3 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-851)))) ((*1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-851)) (-5 *1 (-1159 *3)) (-4 *3 (-1048))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)) (-4 *9 (-236 *4)) (-4 *10 (-537 *5 *6 *3 *7 *8 *2 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-642 *5)) (-5 *1 (-468 *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-923 *5)) (-4 *5 (-351)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 (-858 *5))) (-5 *1 (-868 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *6 *5)) (-5 *4 (-922 *5)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-5 *2 (-775 *5)) (-5 *1 (-869 *5 *6 *7)) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *2)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *9)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *9 (-921 *5 *2)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) ((*1 *2 *3 *3 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-4 *2 (-642 *5)) (-5 *1 (-872 *5 *6 *3 *7 *8 *2 *4)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)) (-4 *4 (-921 *5 *2)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-569)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *8 (-231 (-4168 *7) (-764))) (-4 *2 (-642 *6)) (-5 *1 (-872 *6 *7 *3 *8 *9 *2 *4)) (-4 *3 (-951 *6 *8 (-853 *7))) (-4 *9 (-972 *6)) (-4 *4 (-921 *6 *2))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-1159 *4))) (-4 *4 (-366)) (-5 *2 (-2 (|:| |zeros| (-635 *4)) (|:| -4053 (-569)))) (-5 *1 (-1044 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-121)) (-5 *1 (-1199 *3)) (-4 *3 (-843)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-1247 *4))) (-4 *4 (-1048)) (-5 *2 (-680 *4)) (-5 *1 (-1030 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *4)) (-4 *4 (-631 (-569))) (-5 *2 (-121)) (-5 *1 (-1272 *4))))) 
-(((*1 *1 *1) (-4 *1 (-39))) ((*1 *1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-5 *1 (-123))) ((*1 *1 *1) (-5 *1 (-172))) ((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-1123 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-815 *3)))) ((*1 *2 *1) (-12 (-4 *2 (-839)) (-5 *1 (-1268 *3 *2)) (-4 *3 (-1048))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *1 (-892 *2 *4)) (-4 *2 (-1222 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *2 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-1143 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-666 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (|partial| -12 (-4 *1 (-1191 *4 *5 *3 *2)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *3 (-843)) (-4 *2 (-1062 *4 *5 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *1 (-1195 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-559)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-841))) (-5 *1 (-179 *3 *2)) (-4 *2 (-1222 (-170 *3)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-4 *1 (-1088 *3)))) ((*1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3) (|partial| -12 (-4 *2 (-1091)) (-5 *1 (-1175 *3 *2)) (-4 *3 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-1070 *3 *4 *5))) (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1071 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *1)) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-559)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 (-635 (-918)))))) (-5 *1 (-95 *5 *3)) (-5 *4 (-918)) (-4 *3 (-647 *5))))) 
-(((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-342 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-343 *3 *4)) (-4 *3 (-351)) (-14 *4 (-1159 *3)))) ((*1 *2) (-12 (-5 *2 (-959 (-1109))) (-5 *1 (-344 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-60 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4))))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-121)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *3 (-13 (-27) (-1183) (-433 *6) (-10 -8 (-15 -2185 ($ *7))))) (-4 *7 (-841)) (-4 *8 (-13 (-1224 *3 *7) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *2 (-3 (|:| |%series| *8) (|:| |%problem| (-2 (|:| |func| (-1145)) (|:| |prob| (-1145)))))) (-5 *1 (-425 *6 *3 *7 *8 *9 *10)) (-5 *5 (-1145)) (-4 *9 (-985 *8)) (-14 *10 (-1163))))) 
-(((*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *3 *5)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *3 (-647 *2)) (-4 *5 (-647 (-410 *2))))) ((*1 *2 *3 *4) (-12 (-4 *2 (-1222 *4)) (-5 *1 (-803 *4 *2 *5 *3)) (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-647 *2)) (-4 *3 (-647 (-410 *2)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |preimage| (-635 *3)) (|:| |image| (-635 *3)))) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *4 (-1 *2 *2)) (-4 *2 (-638 *5)) (-4 *5 (-1048)) (-5 *1 (-59 *5 *2 *3)) (-4 *3 (-845 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-680 *3)) (-4 *1 (-420 *3)) (-4 *3 (-173)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *2 *3 *2 *2 *4 *5) (-12 (-5 *4 (-101 *2)) (-5 *5 (-1 *2 *2)) (-4 *2 (-1048)) (-5 *1 (-846 *2 *3)) (-4 *3 (-845 *2))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *8)) (-4 *8 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-121)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1145)) (-5 *1 (-822 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-818)) (-5 *4 (-311 *5)) (-4 *5 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-818)) (-5 *4 (-311 *6)) (-5 *5 (-121)) (-4 *6 (-13 (-824) (-843) (-1048))) (-5 *2 (-1252)) (-5 *1 (-822 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-824)) (-5 *2 (-1145)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-824)) (-5 *3 (-121)) (-5 *2 (-1145)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *2 (-1252)))) ((*1 *2 *3 *1 *4) (-12 (-4 *1 (-824)) (-5 *3 (-818)) (-5 *4 (-121)) (-5 *2 (-1252))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *6 (-13 (-559) (-843))) (-5 *2 (-635 (-311 *6))) (-5 *1 (-212 *5 *6)) (-5 *3 (-311 *6)) (-4 *5 (-1048)))) ((*1 *2 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-586 *5)) (-4 *5 (-13 (-29 *4) (-1183))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 *5)) (-5 *1 (-584 *4 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-586 (-410 (-954 *4)))) (-4 *4 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-635 (-311 *4))) (-5 *1 (-589 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1086 *3 *2)) (-4 *3 (-841)) (-4 *2 (-1135 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183))))) ((*1 *2 *1) (-12 (-5 *2 (-1260 (-1163) *3)) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-1260 *3 *4)) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-635 (-764))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-123))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-148))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764))))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-4 (-53) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-53))) (-1204 (-53)))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-53)))) (-1204 (-1159 (-53))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-53) (-764) (-764) (-1159 (-53)))) (|:| AF (-1 (-1159 (-53)) (-764) (-764) (-1204 (-1159 (-53))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-53)) (-764)))) (-635 (-466)))) (-5 *1 (-483)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 *4) (-764))))) (-5 *1 (-485 *4)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 *4 (-764) (-764) (-1159 *4))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 *4) (-764)))) (-635 (-466)))) (-5 *1 (-485 *4)) (-4 *4 (-1038 *3)) (-4 *4 (-13 (-351) (-610 (-569)))))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764))))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-4 (-410 (-569)) (-1038 *3)) (-4 (-569) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-569)))) (-1204 (-410 (-569))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-569))))) (-1204 (-1159 (-410 (-569)))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-569) (-764) (-764) (-1159 (-569)))) (|:| AF (-1 (-1159 (-410 (-569))) (-764) (-764) (-1204 (-1159 (-410 (-569)))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-569)) (-764)))) (-635 (-466)))) (-5 *1 (-486)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 (-1163))) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) (-1163) *6)) (|:| C (-1 (-635 *5) (-764))))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 (-1163)) (-1038 (-569)) (-162) (-896 (-1163)) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *7 (-13 (-843) (-559))) (-14 *8 (-1 *4 *7)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 *4)) (-1204 *4))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 *4))) (-1204 (-1159 *4)))) (|:| |exprStream| (-1 (-1143 *6) *6 *3)) (|:| A (-1 *5 (-764) (-764) (-1159 *5))) (|:| AF (-1 (-1159 *4) (-764) (-764) (-1204 (-1159 *4)))) (|:| AX (-1 *6 (-764) *3 *6)) (|:| C (-1 (-635 *5) (-764)))) (-635 (-466)))) (-5 *1 (-487 *4 *5 *6 *7 *8 *9)) (-4 *4 (-1038 *3)) (-4 *5 (-1038 *3)) (-4 *4 (-366)) (-4 *5 (-454)) (-4 *6 (-13 (-433 (-569)) (-559) (-1038 *7) (-1038 *3) (-1038 (-569)) (-162) (-896 *3) (-10 -8 (-15 * ($ $ $)) (-15 -1715 ($ $ $)) (-15 ** ($ $ $)) (-15 -4052 ($ $)) (-15 -4214 ($ $)) (-15 -1798 ((-121) $))))) (-14 *9 (-1 *6 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) (-1163))) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) (-1163) (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764))))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-4 (-410 (-954 (-569))) (-1038 *3)) (-4 (-954 (-569)) (-1038 *3)) (-5 *3 (-1163)) (-5 *2 (-1 (-2 (|:| |guessStream| (-1 (-1143 (-1204 (-410 (-954 (-569))))) (-1204 (-410 (-954 (-569)))))) (|:| |degreeStream| (-1143 (-764))) (|:| |testStream| (-1 (-1143 (-1204 (-1159 (-410 (-954 (-569)))))) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| |exprStream| (-1 (-1143 (-311 (-569))) (-311 (-569)) *3)) (|:| A (-1 (-954 (-569)) (-764) (-764) (-1159 (-954 (-569))))) (|:| AF (-1 (-1159 (-410 (-954 (-569)))) (-764) (-764) (-1204 (-1159 (-410 (-954 (-569))))))) (|:| AX (-1 (-311 (-569)) (-764) *3 (-311 (-569)))) (|:| C (-1 (-635 (-954 (-569))) (-764)))) (-635 (-466)))) (-5 *1 (-488)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 HPSPEC) (-5 *1 (-489 *4)) (-14 *4 (-1163)))) ((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 HPSPEC (-635 (-466)))) (-5 *1 (-489 *4)) (-14 *4 *3)))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-615 *4 *2)) (-4 *2 (-13 (-1183) (-960) (-29 *4)))))) 
-(((*1 *1 *2 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *1 *2 *2) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-555))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-5 *1 (-534 *3)) (-4 *3 (-13 (-717) (-25)))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *1) (-5 *1 (-329)))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-764)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-843)) (-4 *7 (-789)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-951 *3 *7 *6))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1159 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3032 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1091))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1091)) (-5 *1 (-1170 *3))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1247 (-635 (-569)))) (-5 *1 (-492)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1 *3)) (-4 *3 (-1197)) (-5 *1 (-1143 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-121)) (-5 *1 (-979 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-123)) (-4 *2 (-1091)) (-4 *2 (-843)) (-5 *1 (-122 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-377 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1266 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-121)) (-5 *1 (-825))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-226)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *3 *4 *5 *6)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-1 *1 (-764))) (-4 *1 (-247 *4 *3 *5 *6)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-263 *2)) (-4 *2 (-843))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-764))) (-5 *3 (-172)) (-5 *1 (-1151 *4 *5)) (-14 *4 (-918)) (-4 *5 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-302)) (-5 *2 (-635 (-764))) (-5 *1 (-772 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *6)) (-4 *7 (-951 *6 *4 *5))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-311 (-216)))) (-5 *4 (-764)) (-5 *2 (-680 (-216))) (-5 *1 (-264))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-843)) (-4 *4 (-366)) (-4 *5 (-789)) (-5 *2 (-2 (|:| |mval| (-680 *4)) (|:| |invmval| (-680 *4)) (|:| |genIdeal| (-515 *4 *5 *6 *7)))) (-5 *1 (-515 *4 *5 *6 *7)) (-4 *7 (-951 *4 *5 *6))))) 
-(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1191 *3 *4 *5 *2)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *2 (-1062 *3 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -2766 (-635 (-851))) (|:| -1498 (-635 (-851))) (|:| |presup| (-635 (-851))) (|:| -1427 (-635 (-851))) (|:| |args| (-635 (-851))))) (-5 *1 (-1163))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2 *2 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *1 *1 *1 *2) (-12 (-5 *2 (-1 *3 *3 *3 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *1 (-106 *2)) (-4 *2 (-1091))))) 
-(((*1 *2) (-12 (-4 *2 (-13 (-433 *3) (-1003))) (-5 *1 (-273 *3 *2)) (-4 *3 (-13 (-843) (-559)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-351)) (-4 *4 (-328 *3)) (-4 *5 (-1222 *4)) (-5 *1 (-770 *3 *4 *5 *2 *6)) (-4 *2 (-1222 *5)) (-14 *6 (-918)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1264 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *1 *1) (-12 (-4 *1 (-1264 *2)) (-4 *2 (-366)) (-4 *2 (-371))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4)))) ((*1 *1 *1) (-4 *1 (-551))) ((*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-664 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-918)) (-5 *1 (-668 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-815 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-889 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *3)) (-4 *3 (-1197)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1195 *3)) (-4 *3 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-1003)) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-849 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1159 (-569))) (-5 *1 (-944)) (-5 *3 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-901 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-172)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-635 (-680 (-569)))) (-5 *1 (-1101))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-329))))) 
-(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-3 (-410 (-954 *6)) (-1152 (-1163) (-954 *6)))) (-5 *5 (-764)) (-4 *6 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *6))))) (-5 *1 (-287 *6)) (-5 *4 (-680 (-410 (-954 *6)))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-2 (|:| |eigval| (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (|:| |eigmult| (-764)) (|:| |eigvec| (-635 *4)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-325 *4 *5)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *4 (-1048)) (-5 *1 (-773 *4 *3 *5 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-821))))) 
-(((*1 *2 *3 *3) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *1 (-879)) (-5 *3 (-635 (-569)))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-289 (-829 *3))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-829 *3)) (-5 *1 (-628 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-829 (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-829 (-410 (-954 *5)))) (-5 *1 (-629 *5)) (-5 *3 (-410 (-954 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 (-410 (-954 *5)))) (-5 *3 (-410 (-954 *5))) (-4 *5 (-454)) (-5 *2 (-829 *3)) (-5 *1 (-629 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-466))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-818))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-5 *1 (-64 *3)) (-4 *3 (-1197)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1197)) (-5 *1 (-64 *3))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -4140 *4) (|:| -4268 *3) (|:| -1830 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1048)) (-5 *2 (-2 (|:| -4140 *3) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1222 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-918)) (-5 *2 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-918)) (-5 *2 (-1252)) (-5 *1 (-1248))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) "arbitrary")) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-990 *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-121)) (-5 *1 (-1098 *5 *6 *7 *8 *3))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-1163)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-123)) (-4 *4 (-1048)) (-4 *4 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *4)))) ((*1 *2 *1) (|partial| -12 (-4 *3 (-1103)) (-4 *3 (-843)) (-5 *2 (-2 (|:| |var| (-608 *1)) (|:| -2356 (-569)))) (-4 *1 (-433 *3)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |val| (-888 *3)) (|:| -2356 (-764)))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-764)))))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-2 (|:| |var| *5) (|:| -2356 (-569)))) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-1222 *4)) (-5 *1 (-545 *4 *2 *5 *6)) (-4 *4 (-302)) (-14 *5 *4) (-14 *6 (-1 *4 *4 (-764)))))) 
-(((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-954 (-569))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1083 (-954 (-569)))) (-5 *2 (-329)) (-5 *1 (-331)))) ((*1 *1 *2 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-667 *3)) (-4 *3 (-1048)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-1178))))) 
-(((*1 *2 *3 *3) (-12 (-4 *2 (-559)) (-5 *1 (-971 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-128 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-664 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-5 *1 (-668 *2)) (-4 *2 (-843)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *1 *2) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 *2)) (-5 *4 (-1 *2 *2)) (-4 *2 (-1222 *5)) (-5 *1 (-718 *5 *2)) (-4 *5 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1252)) (-5 *1 (-382)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-382))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-680 *5))) (-5 *4 (-569)) (-4 *5 (-366)) (-4 *5 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-680 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-121)) (-5 *1 (-1030 *4))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-819)) (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *1) (-5 *1 (-1252)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-37 *4)) (-4 *4 (-366)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-635 *1)) (-5 *3 (-764)) (-4 *1 (-972 *4)) (-4 *4 (-366))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)) (-5 *2 (-635 (-2 (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-889 *3)) (|:| |c| *4)))) (-5 *1 (-619 *3 *4 *5)) (-4 *3 (-843)) (-4 *4 (-13 (-173) (-708 (-410 (-569))))) (-14 *5 (-918)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-664 *3))) (-5 *1 (-889 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *2 *3 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *2 *3 *3 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 (-945 (-216)) (-216))) (-5 *3 (-1085 (-216))) (-5 *1 (-928))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-111 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-434 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 (-2 (|:| |k| (-569)) (|:| |c| *3)))) (-5 *1 (-594 *3)) (-4 *3 (-1048))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| *1 (-6 -4536)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (|has| $ (-6 -4536)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1084 *3)) (-4 *3 (-1197)) (-5 *2 (-569))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-737 *3)) (-4 *3 (-173))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-1159 *3)) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-635 *3)) (-5 *6 (-410 (-1159 *3))) (-4 *3 (-13 (-433 *7) (-27) (-1183))) (-4 *7 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-565 *7 *3 *8)) (-4 *8 (-1091))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-510 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *1) (-4 *1 (-1057)))) 
-(((*1 *2 *3 *3 *3 *3) (-12 (-4 *4 (-454)) (-4 *3 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-451 *4 *3 *5 *6)) (-4 *6 (-951 *4 *3 *5))))) 
-(((*1 *1 *2 *3) (-12 (-5 *1 (-430 *3 *2)) (-4 *3 (-13 (-173) (-43 (-410 (-569))))) (-4 *2 (-13 (-843) (-21)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *4)) (-4 *8 (-642 *4)) (-4 *9 (-921 *4 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *4 *5 *3 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-261 *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *12)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-538 *3 *4 *5)))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-260 (-514 *3 *4 *5)))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *1)) (-5 *4 (-1163)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *1)) (-4 *1 (-27)) (-5 *2 (-635 *1)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *2 (-635 *1)) (-4 *1 (-29 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-216))) (-5 *4 (-635 (-1163))) (-5 *5 (-1085 (-836 (-216)))) (-5 *2 (-1143 (-216))) (-5 *1 (-295))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-326 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-526 *3 *4)) (-4 *3 (-1197)) (-14 *4 *2)))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-144 *3 *4 *2)) (-4 *2 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-994 *4)) (-4 *2 (-376 *4)) (-5 *1 (-513 *4 *5 *2 *3)) (-4 *3 (-376 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *5)) (-4 *5 (-994 *4)) (-4 *4 (-559)) (-5 *2 (-680 *4)) (-5 *1 (-683 *4 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-559)) (-4 *4 (-994 *3)) (-5 *1 (-1215 *3 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-4 *5 (-366)) (-5 *2 (-410 *6)) (-5 *1 (-862 *5 *4 *6)) (-4 *4 (-1237 *5)) (-4 *6 (-1222 *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-764)) (-5 *4 (-1238 *5 *6 *7)) (-4 *5 (-366)) (-14 *6 (-1163)) (-14 *7 *5) (-5 *2 (-410 (-1219 *6 *5))) (-5 *1 (-863 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-440))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5 *4)) (-4 *5 (-1091)) (-4 *4 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *5)) (-5 *1 (-674 *5 *4 *6))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1085 *3)) (-5 *1 (-1083 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-1084 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (-12 (-5 *1 (-1213 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-1145))) (-5 *1 (-397))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-978 *4 *5 *6 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1067 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1065 *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *9)) (-4 *8 (-1062 *5 *6 *7)) (-4 *9 (-1100 *5 *6 *7 *8)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-764)) (-5 *1 (-1131 *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *4 (-569))) (-5 *5 (-1 (-1143 *4))) (-4 *4 (-366)) (-4 *4 (-1048)) (-5 *2 (-1143 *4)) (-5 *1 (-1147 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-818))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)) (-5 *1 (-810 *4 *5)) (-4 *5 (-647 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-810 *5 *6)) (-4 *6 (-647 *5))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-569) *2 *2)) (-4 *2 (-139)) (-5 *1 (-1077 *2))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1 *6 *5)) (-5 *1 (-697 *4 *5 *6)) (-4 *4 (-610 (-542))) (-4 *5 (-1197)) (-4 *6 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-728 (-764))) (-5 *1 (-444 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-421 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-1048)) (-5 *2 (-728 (-764))) (-5 *1 (-446 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *1 (-962 *2)) (-4 *2 (-551))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-635 (-635 *4))) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *3 (-371)) (-5 *2 (-635 (-635 *3))))) ((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-964 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-2 (|:| -2513 (-1143 *4)) (|:| -2522 (-1143 *4)))) (-5 *1 (-1149 *4)) (-5 *3 (-1143 *4))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1252)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-951 *4 *5 *6))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-959 (-1159 *4))) (-5 *1 (-359 *4)) (-5 *3 (-1159 *4))))) 
-(((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1163)) (-5 *1 (-542)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *2 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *2 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *2 (-1163)) (-5 *1 (-695 *3)) (-4 *3 (-610 (-542)))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *5)))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-289 (-311 *4)))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 *5)))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-410 (-954 *4)))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 *5))))) (-5 *4 (-635 (-1163))) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-4 *4 (-13 (-302) (-843) (-151))) (-5 *2 (-635 (-635 (-289 (-311 *4))))) (-5 *1 (-1118 *4))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-366)) (-5 *1 (-759 *2 *3)) (-4 *2 (-699 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-764))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-55 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-334 *3 *4 *5 *2)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *2 (-341 *3 *4 *5)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-393 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *1) (-12 (-4 *2 (-173)) (-4 *1 (-715 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-635 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *5 (-635 *5))) (-4 *5 (-1237 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1143 *4) (-635 (-1143 *4)))) (-5 *1 (-1239 *4 *5))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-391)) (-5 *1 (-624))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *2 *1) (-12 (-4 *1 (-385 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-14 *3 (-635 (-1163))) (-4 *4 (-173)) (-4 *6 (-231 (-4168 *3) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-5 *2 (-704 *5 *6 *7)) (-5 *1 (-464 *3 *4 *5 *6 *7 *8)) (-4 *5 (-843)) (-4 *8 (-951 *4 *6 (-853 *3))))) ((*1 *2 *1) (-12 (-4 *2 (-717)) (-4 *2 (-843)) (-5 *1 (-726 *3 *2)) (-4 *3 (-1048)))) ((*1 *1 *1) (-12 (-4 *1 (-975 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *4 (-843))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2) (-12 (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-1247 *1)) (-4 *1 (-341 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1162)) (-5 *1 (-329))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-325 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-734 *3 *4)) (-14 *3 (-1163)) (-4 *4 (-13 (-1048) (-843) (-559))))) ((*1 *2 *1) (-12 (-4 *1 (-859)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *2 (-13 (-407) (-1038 *4) (-366) (-1183) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-569)) (-5 *1 (-382))))) 
-(((*1 *1 *1) (-4 *1 (-239))) ((*1 *1 *1) (-12 (-4 *2 (-173)) (-5 *1 (-285 *2 *3 *4 *5 *6 *7)) (-4 *3 (-1222 *2)) (-4 *4 (-23)) (-14 *5 (-1 *3 *3 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) ((*1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-366))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1095)) (-5 *3 (-767)) (-5 *1 (-57))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-64 (-635 (-664 *5)))) (-5 *1 (-664 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-680 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-410 (-569))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *3 (-1 *8 (-410 (-569)))) (-5 *4 (-289 *8)) (-5 *5 (-1213 (-410 (-569)))) (-5 *6 (-410 (-569))) (-4 *8 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-410 (-569)))) (-5 *7 (-410 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *8))) (-4 *8 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *8 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-4 *4 (-1048)) (-4 *1 (-1229 *4 *3)) (-4 *3 (-1206 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1159 *3)) (-5 *1 (-46 *4 *3)) (-4 *3 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *4 (-608 $)) $)) (-15 -4121 ((-1114 *4 (-608 $)) $)) (-15 -2185 ($ (-1114 *4 (-608 $)))))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-13 (-454) (-843) (-1038 *4) (-631 *4))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 *5) (-631 *5))) (-5 *5 (-569)) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-569))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-569))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-569)) (-4 *4 (-1048)) (-4 *1 (-1208 *4 *3)) (-4 *3 (-1237 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-366)) (-5 *1 (-530 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-159)))) ((*1 *2 *1) (-12 (-5 *2 (-159)) (-5 *1 (-870)))) ((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *5)) (-4 *5 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-289 *3)) (-5 *5 (-764)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-310 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 (-569))) (-5 *4 (-289 *6)) (-4 *6 (-13 (-27) (-1183) (-433 *5))) (-4 *5 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *7 (-569))) (-5 *4 (-289 *7)) (-5 *5 (-1213 (-764))) (-4 *7 (-13 (-27) (-1183) (-433 *6))) (-4 *6 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *6 *7)))) ((*1 *2 *3 *4 *5 *6) (-12 (-5 *4 (-1163)) (-5 *5 (-289 *3)) (-5 *6 (-1213 (-764))) (-4 *3 (-13 (-27) (-1183) (-433 *7))) (-4 *7 (-13 (-559) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-57)) (-5 *1 (-462 *7 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-1208 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1237 *3))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-126 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-126 *2)) (-14 *2 (-569)))) ((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-642 *3)) (-4 *3 (-366)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-866 *3)) (-14 *3 *2))) ((*1 *1 *1) (-12 (-5 *1 (-866 *2)) (-14 *2 (-569)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-14 *3 *2) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3)))) ((*1 *1 *1) (-12 (-14 *2 (-569)) (-5 *1 (-867 *2 *3)) (-4 *3 (-864 *2)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-1208 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1237 *3)))) ((*1 *1 *1) (-12 (-4 *1 (-1208 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-1237 *2))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *3)) (-4 *3 (-13 (-407) (-1183))) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-841)) (-5 *2 (-121)))) ((*1 *2 *3 *1) (-12 (-4 *1 (-1064 *4 *3)) (-4 *4 (-13 (-841) (-366))) (-4 *3 (-1222 *4)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 *6)) (-4 *6 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *7)) (-5 *1 (-319 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *1 *2 *3 *4) (-12 (-5 *2 (-123)) (-5 *3 (-635 *5)) (-5 *4 (-764)) (-4 *5 (-843)) (-5 *1 (-608 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1159 (-569))) (-5 *2 (-569)) (-5 *1 (-944))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *1 *1) (-5 *1 (-53))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-63 *5 *2)))) ((*1 *2 *3 *1 *2 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (-4 *2 (-1091)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *1 *2) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *2 *2 *2)) (|has| *1 (-6 -4535)) (-4 *1 (-155 *2)) (-4 *2 (-1197)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-5 *2 (-2 (|:| -3698 (-1159 *4)) (|:| |deg| (-918)))) (-5 *1 (-212 *4 *5)) (-5 *3 (-1159 *4)) (-4 *5 (-13 (-559) (-843))))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *6 *2)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *2 (-1197)) (-5 *1 (-232 *5 *6 *2)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-285 *4 *2 *3 *5 *6 *7)) (-4 *2 (-1222 *4)) (-4 *3 (-23)) (-14 *5 (-1 *2 *2 *3)) (-14 *6 (-1 (-3 *3 "failed") *3 *3)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-311 *2)) (-4 *2 (-559)) (-4 *2 (-843)))) ((*1 *1 *1) (-12 (-4 *1 (-334 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))) (-4 *5 (-341 *2 *3 *4)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-374 *5 *4 *2 *6)) (-4 *4 (-376 *5)) (-4 *6 (-376 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1091)) (-4 *2 (-1091)) (-5 *1 (-426 *5 *4 *2 *6)) (-4 *4 (-428 *5)) (-4 *6 (-428 *2)))) ((*1 *1 *1) (-5 *1 (-505))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-633 *5 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-4 *5 (-1048)) (-4 *2 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *8 (-376 *2)) (-4 *9 (-376 *2)) (-5 *1 (-676 *5 *6 *7 *4 *2 *8 *9 *10)) (-4 *4 (-678 *5 *6 *7)) (-4 *10 (-678 *2 *8 *9)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-702 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (-12 (-4 *3 (-1048)) (-5 *1 (-703 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-706 *2 *3 *4 *5 *6)) (-4 *2 (-173)) (-4 *3 (-23)) (-14 *4 (-1 *2 *2 *3)) (-14 *5 (-1 (-3 *3 "failed") *3 *3)) (-14 *6 (-1 (-3 *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 *4)) (-4 *4 (-1222 *3)) (-4 *3 (-366)) (-4 *3 (-173)) (-4 *1 (-715 *3 *4)))) ((*1 *1 *2) (-12 (-4 *3 (-173)) (-4 *1 (-715 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *1)) (-4 *1 (-921 *4 *5)) (-4 *4 (-366)) (-4 *5 (-642 *4)) (-5 *2 (-237 *1)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-958 *5 *2)))) ((*1 *1 *2) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *2 (-951 *3 *4 *5)) (-14 *6 (-635 *2)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *7 *2)) (-4 *7 (-1048)) (-4 *2 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *10 (-231 *6 *2)) (-4 *11 (-231 *5 *2)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *12 (-1051 *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1141 *5 *2)))) ((*1 *2 *2 *1 *3 *4) (-12 (-5 *3 (-1 *2 *2 *2)) (-5 *4 (-1 (-121) *2 *2)) (-4 *1 (-1191 *5 *6 *7 *2)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *2 (-1062 *5 *6 *7)))) ((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1 *2 *5 *2)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *2 (-1197)) (-5 *1 (-1246 *5 *2))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -4043 (-635 (-216))))) (-5 *2 (-635 (-1163))) (-5 *1 (-264)))) ((*1 *2 *3) (-12 (-5 *3 (-1159 *7)) (-4 *7 (-951 *6 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-5 *2 (-635 *5)) (-5 *1 (-319 *4 *5 *6 *7)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-1163))) (-5 *1 (-338 *3 *4 *5)) (-14 *3 *2) (-14 *4 *2) (-4 *5 (-390)))) ((*1 *2 *1) (-12 (-4 *1 (-433 *3)) (-4 *3 (-843)) (-5 *2 (-635 (-1163))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-635 *5)) (-5 *1 (-952 *4 *5 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) ((*1 *2 *1) (-12 (-4 *1 (-975 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-788)) (-4 *5 (-843)) (-5 *2 (-635 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-5 *2 (-635 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-1163))) (-5 *1 (-1043 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-366)) (-5 *1 (-654 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *13)) (-4 *13 (-117)) (-5 *2 (-1252)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (-4 *3 (-259 *12))))) 
-(((*1 *1 *1) (-4 *1 (-40))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-608 *6)) (-4 *6 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *6)))) (-5 *1 (-565 *5 *6 *7)) (-5 *3 (-1159 *6)) (-4 *7 (-1091)))) ((*1 *2 *1) (-12 (-4 *2 (-1222 *3)) (-5 *1 (-703 *3 *2)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-4 *1 (-715 *3 *2)) (-4 *3 (-173)) (-4 *2 (-1222 *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| -12 (-5 *4 (-1159 *11)) (-5 *6 (-635 *10)) (-5 *7 (-635 (-764))) (-5 *8 (-635 *11)) (-4 *10 (-843)) (-4 *11 (-302)) (-4 *9 (-789)) (-4 *5 (-951 *11 *9 *10)) (-5 *2 (-635 (-1159 *5))) (-5 *1 (-733 *9 *10 *11 *5)) (-5 *3 (-1159 *5)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-859)))) ((*1 *2 *1) (-12 (-4 *2 (-951 *3 *4 *5)) (-5 *1 (-1035 *3 *4 *5 *2 *6)) (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-14 *6 (-635 *2))))) 
-(((*1 *2 *3 *4 *2) (-12 (-5 *3 (-1159 (-410 (-1159 *2)))) (-5 *4 (-608 *2)) (-4 *2 (-13 (-433 *5) (-27) (-1183))) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *1 (-565 *5 *2 *6)) (-4 *6 (-1091)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1159 *4)) (-4 *4 (-1048)) (-4 *1 (-951 *4 *5 *3)) (-4 *5 (-789)) (-4 *3 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 *2))) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *2 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-5 *1 (-952 *5 *4 *6 *7 *2)) (-4 *7 (-951 *6 *5 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-1159 (-410 (-954 *5))))) (-5 *4 (-1163)) (-5 *2 (-410 (-954 *5))) (-5 *1 (-1043 *5)) (-4 *5 (-559))))) 
-(((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-635 *1)) (-4 *1 (-302))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *4 *2 *5)) (-4 *4 (-1197)) (-4 *5 (-376 *4)) (-4 *2 (-376 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *6 *2 *7)) (-4 *6 (-1048)) (-4 *7 (-231 *4 *6)) (-4 *2 (-231 *5 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *1 *2 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-635 (-918))) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-4 *2 (-366)) (-14 *5 (-995 *4 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-704 *5 *6 *7)) (-4 *5 (-843)) (-4 *6 (-231 (-4168 *4) (-764))) (-14 *7 (-1 (-121) (-2 (|:| -3998 *5) (|:| -2356 *6)) (-2 (|:| -3998 *5) (|:| -2356 *6)))) (-14 *4 (-635 (-1163))) (-4 *2 (-173)) (-5 *1 (-464 *4 *2 *5 *6 *7 *8)) (-4 *8 (-951 *2 *6 (-853 *4))))) ((*1 *1 *2 *3) (-12 (-4 *1 (-519 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *1 *2 *3) (-12 (-5 *1 (-726 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-717)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 *5)) (-4 *1 (-975 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-788)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-975 *4 *3 *2)) (-4 *4 (-1048)) (-4 *3 (-788)) (-4 *2 (-843))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091)) (-4 *4 (-23)) (-14 *5 *4)))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-173)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 (-764))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -2335 (-1163)) (|:| -3782 *4)))) (-5 *1 (-885 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-635 *1)) (-4 *1 (-1094 *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1163)) (-5 *5 (-635 (-410 (-954 *6)))) (-5 *3 (-410 (-954 *6))) (-4 *6 (-13 (-559) (-1038 (-569)) (-151))) (-5 *2 (-2 (|:| |mainpart| *3) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *3) (|:| |logand| *3)))))) (-5 *1 (-575 *6))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1247 *4)) (-4 *4 (-1197)) (-4 *1 (-231 *3 *4))))) 
-(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-752))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-608 *4))) (-4 *4 (-433 *3)) (-4 *3 (-843)) (-5 *1 (-578 *3 *4)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1088 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| -12 (-5 *2 (-635 (-1159 *11))) (-5 *3 (-1159 *11)) (-5 *4 (-635 *10)) (-5 *5 (-635 *8)) (-5 *6 (-635 (-764))) (-5 *7 (-1247 (-635 (-1159 *8)))) (-4 *10 (-843)) (-4 *8 (-302)) (-4 *11 (-951 *8 *9 *10)) (-4 *9 (-789)) (-5 *1 (-698 *9 *10 *8 *11))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1268 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-839))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-311 *4)) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2087 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *1) (-4 *1 (-859)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1) (-4 *1 (-503))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-44 *3)) (-4 *3 (-1222 (-53))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-47 *5 *6 *3)) (-4 *3 (-951 (-53) *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-53))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *7 (-951 (-53) *6 *5)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-47 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-168 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-121)) (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-421 *3)) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4))))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-855)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-316 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-4 *4 (-860)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-318 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-764))) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-635 (-764))) (-5 *5 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-764)) (-5 *2 (-421 *3)) (-5 *1 (-444 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-421 (-170 (-569)))) (-5 *1 (-448)) (-5 *3 (-170 (-569))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *5 (-789)) (-4 *7 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-459 *4 *5 *6 *7 *3)) (-4 *6 (-559)) (-4 *3 (-951 *7 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-302)) (-5 *2 (-421 (-1159 *4))) (-5 *1 (-461 *4)) (-5 *3 (-1159 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-13 (-366) (-151) (-715 *5 *6))) (-5 *2 (-421 *3)) (-5 *1 (-504 *5 *6 *7 *3)) (-4 *3 (-1222 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-5 *2 (-421 *3)) (-5 *1 (-546 *5 *6 *7 *3)) (-4 *3 (-951 *7 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-421 (-1159 *7)) (-1159 *7))) (-4 *7 (-13 (-302) (-151))) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *8 (-951 *7 *6 *5)) (-5 *2 (-421 (-1159 *8))) (-5 *1 (-546 *5 *6 *7 *8)) (-5 *3 (-1159 *8)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 (-635 *5) *6)) (-4 *5 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *6 (-1222 *5)) (-5 *2 (-635 (-644 (-410 *6)))) (-5 *1 (-648 *5 *6)) (-5 *3 (-644 (-410 *6))))) ((*1 *2 *3) (-12 (-4 *4 (-27)) (-4 *4 (-13 (-366) (-151) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-644 (-410 *5)))) (-5 *1 (-648 *4 *5)) (-5 *3 (-644 (-410 *5))))) ((*1 *2 *3) (-12 (-5 *3 (-815 *4)) (-4 *4 (-843)) (-5 *2 (-635 (-664 *4))) (-5 *1 (-664 *4)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 *3)) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-688 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-351)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-688 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-4 *6 (-302)) (-5 *2 (-421 *3)) (-5 *1 (-721 *4 *5 *6 *3)) (-4 *3 (-951 (-954 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $))))) (-4 *6 (-559)) (-5 *2 (-421 *3)) (-5 *1 (-723 *4 *5 *6 *3)) (-4 *3 (-951 (-410 (-954 *6)) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-724 *4 *5 *6 *3)) (-4 *3 (-951 (-410 *6) *4 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-5 *2 (-421 *3)) (-5 *1 (-732 *4 *5 *6 *3)) (-4 *3 (-951 *6 *5 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-843)) (-4 *5 (-789)) (-4 *6 (-13 (-302) (-151))) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-732 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1008 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1041 *3)) (-4 *3 (-1222 (-410 (-954 (-569))))))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-569)))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-569)) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1073 *4 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-1222 (-410 (-954 (-569))))) (-4 *5 (-13 (-366) (-151) (-715 (-410 (-954 (-569))) *4))) (-5 *2 (-421 *3)) (-5 *1 (-1075 *4 *5 *3)) (-4 *3 (-1222 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-454)) (-4 *7 (-951 *6 *4 *5)) (-5 *2 (-421 (-1159 (-410 *7)))) (-5 *1 (-1158 *4 *5 *6 *7)) (-5 *3 (-1159 (-410 *7))))) ((*1 *2 *1) (-12 (-5 *2 (-421 *1)) (-4 *1 (-1202)))) ((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-1211 *3)) (-4 *3 (-1222 (-569)))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-302) (-1038 (-569)) (-631 (-569)) (-151))) (-5 *1 (-800 *4 *2)) (-4 *2 (-13 (-29 *4) (-1183) (-960))))) ((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *2 *3) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-1147 *3)) (-4 *3 (-1048))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-608 *1)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-559)) (-5 *2 (-410 (-1159 *1))))) ((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-608 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1183))) (-4 *6 (-13 (-454) (-1038 (-569)) (-843) (-151) (-631 (-569)))) (-5 *2 (-1159 (-410 (-1159 *3)))) (-5 *1 (-565 *6 *3 *7)) (-5 *5 (-1159 *3)) (-4 *7 (-1091)))) ((*1 *2 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *2 (-1159 *4)) (-5 *1 (-909 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1243 *5)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-5 *2 (-1219 *5 (-954 *6))) (-5 *1 (-949 *5 *6)) (-5 *3 (-954 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-951 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-1159 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-1159 *1)) (-4 *1 (-951 *4 *5 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-4 *7 (-951 *6 *5 *4)) (-5 *2 (-410 (-1159 *3))) (-5 *1 (-952 *5 *4 *6 *7 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-1159 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *7)) (-15 -4116 (*7 $)) (-15 -4121 (*7 $))))) (-4 *7 (-951 *6 *5 *4)) (-4 *5 (-789)) (-4 *4 (-843)) (-4 *6 (-1048)) (-5 *1 (-952 *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1163)) (-4 *5 (-559)) (-5 *2 (-410 (-1159 (-410 (-954 *5))))) (-5 *1 (-1043 *5)) (-5 *3 (-410 (-954 *5)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-951 *4 *5 *6)) (-4 *6 (-610 (-1163))) (-4 *4 (-366)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-1152 (-635 (-954 *4)) (-635 (-289 (-954 *4))))) (-5 *1 (-515 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-566)) (-5 *3 (-569))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-608 *1))) (-4 *1 (-297))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-836 (-216)))) (-5 *4 (-216)) (-5 *2 (-635 *4)) (-5 *1 (-264))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-144 *2 *4 *3)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-513 *2 *4 *5 *3)) (-4 *5 (-376 *2)) (-4 *3 (-376 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-680 *4)) (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-683 *2 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-994 *2)) (-4 *2 (-559)) (-5 *1 (-1215 *2 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (|has| *1 (-6 -4526)) (-4 *1 (-407)))) ((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-170 (-382))) (-5 *1 (-781 *3)) (-4 *3 (-610 (-382))))) ((*1 *2 *3) (-12 (-5 *3 (-170 *4)) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-170 *5)) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-954 (-170 *4))) (-4 *4 (-173)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-173)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-954 (-170 *4)))) (-4 *4 (-559)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 *5)))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 (-170 *4))) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-170 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 (-382))) (-5 *2 (-170 (-382))) (-5 *1 (-781 *5))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-927))))) 
-(((*1 *1 *1) (-4 *1 (-98))) ((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003))))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1237 *3)) (-5 *1 (-275 *3 *4 *2)) (-4 *2 (-1208 *3 *4)))) ((*1 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *4 (-1206 *3)) (-5 *1 (-276 *3 *4 *2 *5)) (-4 *2 (-1229 *3 *4)) (-4 *5 (-985 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *1 *1 *1) (-5 *1 (-382))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1148 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1149 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-918)) (-4 *5 (-843)) (-5 *2 (-635 (-664 *5))) (-5 *1 (-664 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
+(((*1 *2 *3 *4 *4) (-12 (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *9 (-973 *5)) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (-569)))) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-5 *4 (-569)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-924 *5))) (-4 *5 (-351)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-869 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117)))) ((*1 *2 *3 *4 *4) (-12 (-5 *3 (-237 (-923 *5))) (-4 *5 (-366)) (-5 *2 (-2 (|:| -4004 (-569)) (|:| |num| (-243 *6 *5)) (|:| |den| (-243 *6 *5)) (|:| |upTo| (-569)))) (-5 *1 (-870 *5 *6 *7)) (-5 *4 (-569)) (-14 *6 (-635 (-1165))) (-4 *7 (-117))))) 
+(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *9)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-924 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1165))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-923 *3))) (-5 *1 (-870 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1165))) (-4 *5 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1161 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-842)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-852))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-1258)) (-5 *1 (-382))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-1161 *3)) (-4 *3 (-1049)) (-4 *1 (-1228 *3))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-765)) (-5 *1 (-64 *3)) (-4 *3 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1199)) (-5 *1 (-64 *3))))) 
+(((*1 *2 *1 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *2) (-12 (-4 *3 (-173)) (-5 *2 (-1253 *1)) (-4 *1 (-370 *3))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1049)) (-5 *2 (-635 *1)) (-4 *1 (-1125 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-763)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))) (|:| |extra| (-1037)))) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-784)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)) (|:| |extra| (-1037)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-797)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-805)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-805)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-802)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3 *4) (-12 (-4 *1 (-833)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-835)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-835)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-834)))) ((*1 *2 *3 *4) (-12 (-4 *1 (-892)) (-5 *3 (-1061)) (-5 *4 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *2 (-2 (|:| -1550 (-382)) (|:| |explanations| (-1147)))))) ((*1 *2 *3) (-12 (-5 *3 (-895)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-895)) (-5 *4 (-1061)) (-5 *2 (-2 (|:| -1550 (-382)) (|:| -2798 (-1147)) (|:| |explanations| (-635 (-1147))))) (-5 *1 (-894))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1212 *4)) (-4 *4 (-1049)) (-4 *4 (-559)) (-5 *2 (-410 (-955 *4)))))) 
+(((*1 *1 *2 *3 *4) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 (-765))) (-5 *4 (-569)) (-4 *1 (-642 *5)) (-4 *5 (-366))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1258) (-1097))) (-5 *2 (-1258)) (-5 *1 (-102))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1145 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-151)) (-4 *3 (-302)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-980 *3 *4 *5 *6))))) 
+(((*1 *1 *1) (|partial| -4 *1 (-1139)))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-325 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *4 (-1049)) (-5 *1 (-910 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2) (-12 (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-4 *7 (-952 *4 *6 *5)) (-5 *2 (-2 (|:| |sysok| (-121)) (|:| |z0| (-635 *7)) (|:| |n0| (-635 *7)))) (-5 *1 (-926 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (-12 (-5 *3 (-681 (-216))) (-5 *4 (-569)) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-5 *1 (-1135 *3))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *2 (-635 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-955 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-919)) (-14 *5 (-635 (-1165))) (-14 *6 (-1253 (-681 *3)))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-2 (|:| -4079 (-681 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-681 *3)))) (-4 *3 (-13 (-302) (-10 -8 (-15 -3742 ((-421 $) $))))) (-4 *4 (-1228 *3)) (-5 *1 (-509 *3 *4 *5)) (-4 *5 (-412 *3 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2756 *4) (|:| -3896 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-786)) (-5 *5 (-569))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *5) (-12 (-4 *6 (-1228 *9)) (-4 *7 (-790)) (-4 *8 (-844)) (-4 *9 (-302)) (-4 *10 (-952 *9 *7 *8)) (-5 *2 (-2 (|:| |deter| (-635 (-1161 *10))) (|:| |dterm| (-635 (-635 (-2 (|:| -3616 (-765)) (|:| |pcoef| *10))))) (|:| |nfacts| (-635 *6)) (|:| |nlead| (-635 *10)))) (-5 *1 (-773 *6 *7 *8 *9 *10)) (-5 *3 (-1161 *10)) (-5 *4 (-635 *6)) (-5 *5 (-635 *10))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| -3550 *4) (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1063 *3 *4 *5)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3550 *3) (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-1228 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1228 *5))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-1165))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-919))) (-5 *1 (-1094 *3 *4)) (-14 *3 (-919)) (-14 *4 (-919))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-635 *8)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1254)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-257))) (-5 *1 (-1255))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *1 (-562 *2)) (-4 *2 (-551))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-311 (-410 (-569)))) (-5 *1 (-300))))) 
+(((*1 *2 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-635 (-257))) (-5 *1 (-1255)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1124 (-216))) (-5 *3 (-1147)) (-5 *1 (-1255)))) ((*1 *1 *1) (-5 *1 (-1255)))) 
+(((*1 *2 *3 *1 *4) (-12 (-5 *3 (-1128 *5 *6)) (-5 *4 (-1 (-121) *6 *6)) (-4 *5 (-13 (-1093) (-39))) (-4 *6 (-13 (-1093) (-39))) (-5 *2 (-121)) (-5 *1 (-1129 *5 *6))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *3 (-765)) (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-4 *5 (-1228 *4)) (-5 *2 (-1161 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-151) (-27) (-1039 (-569)) (-1039 (-410 (-569))))) (-5 *2 (-1161 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-454))) (-5 *1 (-1191 *3 *2)) (-4 *2 (-13 (-433 *3) (-1185)))))) 
+(((*1 *1) (-5 *1 (-216))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *2 *3 *4 *4 *5) (-12 (-5 *4 (-569)) (-5 *5 (-3 "left" "center" "right" "vertical" "horizontal")) (-4 *6 (-1049)) (-4 *7 (-231 *8 (-765))) (-14 *8 (-765)) (-5 *2 (-635 (-635 *3))) (-5 *1 (-774 *6 *3 *7 *8)) (-4 *3 (-325 *6 *7))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-816 *4)) (-4 *4 (-844)) (-5 *2 (-121)) (-5 *1 (-664 *4))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 *2))) (-5 *2 (-889 *3)) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 *2)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-421 *2)) (-4 *2 (-952 *7 *5 *6)) (-5 *1 (-734 *5 *6 *7 *2)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-302))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-844) (-559)))))) 
+(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1258)) (-5 *1 (-1255))))) 
+(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (-12 (-5 *3 (-311 (-569))) (-5 *4 (-1 (-216) (-216))) (-5 *5 (-1087 (-216))) (-5 *6 (-635 (-257))) (-5 *2 (-1124 (-216))) (-5 *1 (-688))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4)))) ((*1 *1 *1) (-5 *1 (-928))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-928)))) ((*1 *1 *1) (-5 *1 (-929))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1087 (-216))) (-5 *1 (-929)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3149 (-410 (-569))) (|:| -3417 (-410 (-569))))) (-5 *1 (-1022 *3)) (-4 *3 (-1228 (-410 (-569)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-842) (-366))) (-5 *1 (-1059 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-635 *4)) (-4 *4 (-366)) (-5 *2 (-1253 *4)) (-5 *1 (-811 *4 *3)) (-4 *3 (-647 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-991 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 *7)) (-4 *7 (-1068 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-5 *1 (-1100 *3 *4 *5 *6 *7))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-952 *3 *4 *5)) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 *4)) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (-5 *1 (-329))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-608 *4)) (-5 *1 (-607 *3 *4)) (-4 *3 (-844)) (-4 *4 (-844))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1235 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1212 *3))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1129 *3 *4)) (-4 *3 (-13 (-1093) (-39))) (-4 *4 (-13 (-1093) (-39)))))) 
+(((*1 *1 *1) (-5 *1 (-216))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1165))) (-14 *3 (-635 (-1165))) (-4 *4 (-390)))) ((*1 *1 *1) (-5 *1 (-382))) ((*1 *1) (-5 *1 (-382)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-1052 *3 *4 *5 *6 *7)) (-4 *5 (-1049)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (-12 (-5 *3 (-569)) (-5 *4 (-681 (-216))) (-5 *2 (-1037)) (-5 *1 (-749))))) 
+(((*1 *1) (-5 *1 (-148)))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1186 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1093)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-816 *2)) (-4 *2 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (|has| *1 (-6 -4562)) (-4 *1 (-407)) (-5 *2 (-919))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1208)) (-4 *5 (-1228 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1228 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1167 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-681 (-311 (-216)))) (-5 *3 (-635 (-1165))) (-5 *4 (-1253 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1093)) (-4 *3 (-1199)) (-5 *1 (-289 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1093)) (-4 *2 (-1199)) (-5 *1 (-289 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1167 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-844)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-844)) (-4 *3 (-173)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1165))) (-5 *3 (-635 (-765))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-1049)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1165)) (-4 *1 (-433 *5)) (-4 *5 (-844)) (-4 *5 (-610 (-542))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1165)) (-4 *1 (-433 *4)) (-4 *4 (-844)) (-4 *4 (-610 (-542))))) ((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-844)) (-4 *2 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1165))) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-4 *1 (-433 *3)) (-4 *3 (-844)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1165))) (-4 *3 (-952 *2 *6 (-854 *5))) (-4 *6 (-231 (-2946 *5) (-765))) (-4 *7 (-973 *2)) (-4 *8 (-642 *2)) (-4 *4 (-922 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-952 *2 *7 (-854 *5))) (-4 *7 (-231 (-2946 *5) (-765))) (-14 *5 (-635 (-1165))) (-4 *8 (-973 *2)) (-4 *9 (-642 *2)) (-4 *4 (-922 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-1199)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1199)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-830 *3)) (-4 *3 (-366)) (-5 *1 (-710 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-710 *2)) (-4 *2 (-366)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-924 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-351)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1165))) (-4 *2 (-366)) (-5 *1 (-870 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-900 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-765))) (-14 *6 (-765)) (-4 *2 (-366)) (-5 *1 (-931 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-973 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-955 *4))) (-5 *3 (-1165)) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1165))) (-5 *4 (-635 (-410 (-955 *5)))) (-5 *2 (-410 (-955 *5))) (-4 *5 (-559)) (-5 *1 (-1044 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-955 *4)))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-955 *4))))) (-5 *2 (-410 (-955 *4))) (-4 *4 (-559)) (-5 *1 (-1044 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1230 *3 *4)) (-4 *3 (-1049)) (-4 *4 (-789)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1145 *3))))) 
+(((*1 *1) (-12 (-5 *1 (-220 *2)) (-4 *2 (-13 (-366) (-1185)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-2 (|:| |num| (-1253 *4)) (|:| |den| *4)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| -4463 (-681 (-410 (-955 *4)))) (|:| |vec| (-635 (-410 (-955 *4)))) (|:| -3358 (-765)) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569))))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-2 (|:| |partsol| (-1253 (-410 (-955 *4)))) (|:| -4079 (-635 (-1253 (-410 (-955 *4))))))) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-974)) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-121)) (-5 *1 (-264))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1204 *2)) (-4 *2 (-1048)))) ((*1 *1 *1) (-12 (-5 *1 (-1238 *2 *3 *4)) (-4 *2 (-1048)) (-14 *3 (-1163)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1242 *2 *3)) (-4 *2 (-1048)) (-14 *3 (-1163))))) 
-(((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| -4140 (-410 *5)) (|:| |poly| *3))) (-5 *1 (-152 *4 *5 *3)) (-4 *3 (-1222 (-410 *5)))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-843)) (-5 *1 (-241 *3))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-918)) (-5 *2 (-121)) (-5 *1 (-234 *4)) (-4 *4 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *1 *1 *1) (-2232 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1197))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1197))))) ((*1 *1 *1 *1) (-4 *1 (-366))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1114 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-843)) (-4 *1 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1247 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-708 *4)) (-4 *3 (|SubsetCategory| (-717) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-708 *4)) (-4 *2 (|SubsetCategory| (-717) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1091)) (-5 *1 (-675 *3 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-734 *2 *3)) (-14 *2 (-1163)) (-4 *3 (-13 (-1048) (-843) (-559))))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-854 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1048)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-764))) (-14 *5 (-764)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1051 *3 *4 *2 *5 *6)) (-4 *2 (-1048)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1254 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-843)) (-4 *4 (-789)) (-14 *6 (-635 *3)) (-5 *1 (-1257 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-951 *2 *4 *3)) (-14 *7 (-635 (-764))) (-14 *8 (-764)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1268 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1048)) (-4 *3 (-839))))) 
-(((*1 *2) (-12 (-5 *2 (-1247 (-1092 *3 *4))) (-5 *1 (-1092 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1159 *9)) (-5 *4 (-635 *7)) (-5 *5 (-635 (-635 *8))) (-4 *7 (-843)) (-4 *8 (-302)) (-4 *9 (-951 *8 *6 *7)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |upol| (-1159 *8)) (|:| |Lval| (-635 *8)) (|:| |Lfact| (-635 (-2 (|:| -1743 (-1159 *8)) (|:| -2356 (-569))))) (|:| |ctpol| *8))) (-5 *1 (-733 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-140))))) 
-(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-140))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1197)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-21))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1143 (-635 (-569)))) (-5 *3 (-635 (-569))) (-5 *1 (-879))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-1038 (-569)) (-151))) (-5 *1 (-575 *4))))) 
-(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-159))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1197)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-138)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1222 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-789)) (-4 *4 (-843)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-951 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1091)) (-4 *4 (-1048)) (-5 *1 (-675 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-921 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-945 (-216))) (-5 *1 (-1194)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1245 *2)) (-4 *2 (-1197)) (-4 *2 (-25))))) 
-(((*1 *2) (-12 (-5 *2 (-635 *3)) (-5 *1 (-1077 *3)) (-4 *3 (-139))))) 
-(((*1 *1 *1 *2) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-1163)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-466))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-251))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *4 (-1 (-121) *9)) (-5 *5 (-1 (-121) *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *9)))) (-5 *3 (-635 *9)) (-4 *1 (-1191 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1 (-121) *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |bas| *1) (|:| -3275 (-635 *8)))) (-5 *3 (-635 *8)) (-4 *1 (-1191 *5 *6 *7 *8))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *3) (|:| |polj| *3)))) (-4 *5 (-789)) (-4 *3 (-951 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-843)) (-5 *1 (-451 *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-569)) (-4 *6 (-642 *5)) (-4 *5 (-366)) (-5 *2 (-680 *5)) (-5 *1 (-636 *5 *6))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-680 (-569))) (-5 *1 (-1101))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-635 (-635 *7))) (-5 *1 (-450 *4 *5 *6 *7)) (-5 *3 (-635 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-5 *2 (-635 (-635 *8))) (-5 *1 (-450 *5 *6 *7 *8)) (-5 *3 (-635 *8))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *1)) (-5 *4 (-1247 *1)) (-4 *1 (-631 *5)) (-4 *5 (-1048)) (-5 *2 (-2 (|:| -3477 (-680 *5)) (|:| |vec| (-1247 *5)))))) ((*1 *2 *3) (-12 (-5 *3 (-680 *1)) (-4 *1 (-631 *4)) (-4 *4 (-1048)) (-5 *2 (-680 *4))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-300)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-2 (|:| |num| (-888 *3)) (|:| |den| (-888 *3)))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-57))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-231 (-4168 *4) (-764))) (-4 *6 (-972 *3)) (-4 *7 (-642 *3)) (-4 *8 (-921 *3 *7)) (-4 *9 (-236 *8)) (-4 *10 (-537 *3 *4 *2 *5 *6 *7 *8 *9 *12)) (-4 *12 (-117)) (-4 *2 (-951 *3 *5 (-853 *4))) (-5 *1 (-468 *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-243 *4 *3)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-764)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1001 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-121)) (-5 *1 (-1133 *4)) (-4 *4 (-1091))))) 
-(((*1 *1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-128 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (-12 (-5 *5 (-1163)) (-5 *6 (-1 (-3 (-2 (|:| |mainpart| *4) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (-635 *4))) (-5 *7 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4 *4)) (-4 *4 (-13 (-1183) (-27) (-433 *8))) (-4 *8 (-13 (-454) (-843) (-151) (-1038 *3) (-631 *3))) (-5 *3 (-569)) (-5 *2 (-2 (|:| |ans| *4) (|:| -1869 *4) (|:| |sol?| (-121)))) (-5 *1 (-1014 *8 *4))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-945 *2)) (-5 *1 (-984 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-569))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-170 (-216))) (-5 *2 (-216)) (-5 *1 (-115))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *1) (-4 *1 (-621))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-622 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003) (-1183)))))) 
-(((*1 *1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *2 (-173)) (-4 *4 (-231 (-4168 *5) (-764))) (-14 *6 (-1 (-121) (-2 (|:| -3998 *3) (|:| -2356 *4)) (-2 (|:| -3998 *3) (|:| -2356 *4)))) (-5 *1 (-464 *5 *2 *3 *4 *6 *7)) (-4 *3 (-843)) (-4 *7 (-951 *2 *4 (-853 *5)))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 (-410 *3))) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-843)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1088 *3)) (-4 *3 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-564))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163)))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-635 (-888 *3))) (-5 *1 (-888 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-454)) (-4 *3 (-843)) (-4 *3 (-1038 (-569))) (-4 *3 (-559)) (-5 *1 (-46 *3 *2)) (-4 *2 (-433 *3)) (-4 *2 (-13 (-366) (-297) (-10 -8 (-15 -4116 ((-1114 *3 (-608 $)) $)) (-15 -4121 ((-1114 *3 (-608 $)) $)) (-15 -2185 ($ (-1114 *3 (-608 $)))))))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *8)) (-5 *4 (-635 *7)) (-4 *7 (-843)) (-4 *8 (-951 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 (-410 *8)) "failed")) (|:| -3930 (-635 (-1247 (-410 *8)))))) (-5 *1 (-662 *5 *6 *7 *8))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-954 *4)) (-4 *4 (-1048)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-954 *5)) (-5 *4 (-918)) (-4 *5 (-1048)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5)))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-843)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *4)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-311 *5)) (-5 *4 (-918)) (-4 *5 (-559)) (-4 *5 (-843)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-781 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-216))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1147 *4)) (-4 *4 (-1048)) (-5 *3 (-569))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1091)) (-4 *3 (-843)))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)) (-4 *3 (-1091)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1027 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *2 *3 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-1151 *2 *3)) (-14 *2 (-918)) (-4 *3 (-1048))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-635 *4)) (-4 *4 (-843)) (-5 *1 (-1169 *4))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-954 *6)) (-5 *4 (-1163)) (-5 *5 (-836 *7)) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *7 (-13 (-1183) (-29 *6))) (-5 *1 (-215 *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| -12 (-5 *2 (-121)) (-5 *3 (-1159 *6)) (-5 *4 (-836 *6)) (-4 *6 (-13 (-1183) (-29 *5))) (-4 *5 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *5 *6))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-664 *3)) (-4 *3 (-843)) (-4 *1 (-377 *3 *4)) (-4 *4 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-635 (-1143 *7))) (-4 *6 (-843)) (-4 *7 (-951 *5 (-535 *6) *6)) (-4 *5 (-1048)) (-5 *2 (-1 (-1143 *7) *7)) (-5 *1 (-1115 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-990 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *4 (-635 *10)) (-5 *5 (-121)) (-4 *10 (-1067 *6 *7 *8 *9)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *9 (-1062 *6 *7 *8)) (-5 *2 (-635 (-2 (|:| -1502 (-635 *9)) (|:| -4003 *10) (|:| |ineq| (-635 *9))))) (-5 *1 (-1098 *6 *7 *8 *9 *10)) (-5 *3 (-635 *9))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-1067 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *3 (-1062 *4 *5 *6)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1038 (-569))) (-4 *1 (-297)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-782))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-569)) (-5 *2 (-1252)) (-5 *1 (-1007))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-52 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1 *1) (-12 (-4 *2 (-1048)) (-5 *1 (-55 *2 *3)) (-14 *3 (-635 (-1163))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-918))) (-4 *2 (-366)) (-5 *1 (-156 *4 *2 *5)) (-14 *4 (-918)) (-14 *5 (-995 *4 *2)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-311 *3)) (-5 *1 (-214 *3 *4)) (-4 *3 (-13 (-1048) (-843))) (-14 *4 (-635 (-1163))))) ((*1 *2 *3 *1) (-12 (-4 *1 (-321 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-138)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-385 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-559)) (-5 *1 (-616 *2 *4)) (-4 *4 (-1222 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-699 *2)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-4 *2 (-1048)) (-5 *1 (-726 *2 *3)) (-4 *3 (-717)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *5)) (-5 *3 (-635 (-764))) (-4 *1 (-731 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-731 *4 *2)) (-4 *4 (-1048)) (-4 *2 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *1 (-845 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *6)) (-5 *3 (-635 (-764))) (-4 *1 (-951 *4 *5 *6)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *6 (-843)))) ((*1 *1 *1 *2 *3) (-12 (-5 *3 (-764)) (-4 *1 (-951 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *2 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *2 (-951 *4 (-535 *5) *5)) (-5 *1 (-1115 *4 *5 *2)) (-4 *4 (-1048)) (-4 *5 (-843)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-954 *4)) (-5 *1 (-1192 *4)) (-4 *4 (-1048))))) 
-(((*1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1166))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1179))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-328 *4)) (-4 *4 (-366)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *3)) (-4 *3 (-366)) (-5 *2 (-1247 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *4)) (-4 *4 (-173)) (-5 *2 (-1247 *4)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-373 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-1247 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-412 *4 *5)) (-4 *4 (-173)) (-4 *5 (-1222 *4)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-412 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-1247 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-420 *4)) (-4 *4 (-173)) (-5 *2 (-680 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-420 *3)) (-4 *3 (-173)) (-5 *2 (-1247 *3)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-680 *5))) (-5 *3 (-680 *5)) (-4 *5 (-366)) (-5 *2 (-1247 *5)) (-5 *1 (-1078 *5))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-382))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1038 (-569))) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1163)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1163))) (-14 *4 (-635 (-1163))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-410 (-954 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-954 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-680 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-410 (-954 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-410 (-954 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-954 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-1247 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-351)) (-4 *5 (-328 *4)) (-4 *6 (-1222 *5)) (-5 *2 (-1159 (-1159 *4))) (-5 *1 (-770 *4 *5 *6 *3 *7)) (-4 *3 (-1222 *6)) (-14 *7 (-918)))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *1 (-978 *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-1038 *2)) (-4 *2 (-1197)))) ((*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-3864 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-551))) (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 *3)) (-12 (-3864 (-4 *3 (-994 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *1 (-1062 *3 *4 *5)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (|partial| -2232 (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-3864 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))) (-12 (-5 *2 (-954 (-569))) (-4 *1 (-1062 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163)))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) ((*1 *1 *2) (|partial| -12 (-5 *2 (-954 (-410 (-569)))) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1163))) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1110 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-954 *3))) (-5 *1 (-455 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *3 (-173)) (-14 *4 (-918)) (-14 *5 (-635 (-1163))) (-14 *6 (-1247 (-680 *3)))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-247 *4 *3 *5 *6)) (-4 *4 (-1048)) (-4 *3 (-843)) (-4 *5 (-263 *3)) (-4 *6 (-789)) (-5 *2 (-635 (-764))))) ((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 (-764)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-216))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1197)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-569))))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2356 (-569))))) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 (-764))))) (-5 *1 (-815 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 *3)) (-5 *1 (-345 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-1145))) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1145))) (-5 *3 (-1145)) (-5 *2 (-306)) (-5 *1 (-291))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *2 *3) (|partial| -12 (-4 *4 (-789)) (-4 *5 (-1048)) (-4 *6 (-951 *5 *4 *2)) (-4 *2 (-843)) (-5 *1 (-952 *4 *2 *5 *6 *3)) (-4 *3 (-13 (-366) (-10 -8 (-15 -2185 ($ *6)) (-15 -4116 (*6 $)) (-15 -4121 (*6 $))))))) ((*1 *2 *3) (|partial| -12 (-5 *3 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-1163)) (-5 *1 (-1043 *4))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 (-569)))) (-5 *1 (-184)) (-5 *3 (-569))))) 
-(((*1 *2) (-12 (-5 *2 (-1252)) (-5 *1 (-752))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-778 *2)) (-4 *2 (-1048)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39)))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-1 (-121) *5)) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-888 *4)) (-5 *3 (-635 (-1 (-121) *5))) (-4 *4 (-1091)) (-4 *5 (-1197)) (-5 *1 (-886 *4 *5)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-888 *5)) (-5 *3 (-635 (-1163))) (-5 *4 (-1 (-121) (-635 *6))) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *1 (-886 *5 *6)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-121) *5)) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-4 *4 (-843)) (-5 *1 (-939 *4 *2 *5)) (-4 *2 (-433 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-1 (-121) *5)) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-635 (-1 (-121) *5))) (-4 *5 (-1197)) (-5 *2 (-311 (-569))) (-5 *1 (-940 *5)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-1 (-121) (-635 *6))) (-4 *6 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 *5)))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-13 (-302) (-843) (-151))) (-5 *2 (-1152 (-635 (-311 *5)) (-635 (-289 (-311 *5))))) (-5 *1 (-1118 *5))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-711)) (-5 *2 (-918)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-713)) (-5 *2 (-764))))) 
-(((*1 *2 *3) (-12 (-4 *3 (-13 (-302) (-10 -8 (-15 -2446 ((-421 $) $))))) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-352 *3 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-761 *4 *5)) (-4 *5 (-412 *3 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-987 *4 *3 *5 *6)) (-4 *6 (-715 *3 *5)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-4 *3 (-1222 *4)) (-4 *5 (-1222 *3)) (-5 *2 (-2 (|:| -3930 (-680 *3)) (|:| |basisDen| *3) (|:| |basisInv| (-680 *3)))) (-5 *1 (-1256 *4 *3 *5 *6)) (-4 *6 (-412 *3 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-901 *3))) (-4 *3 (-1091)) (-5 *1 (-900 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1222 (-569))) (-5 *1 (-497 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
-(((*1 *1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1) (|partial| -4 *1 (-713)))) 
-(((*1 *2 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *3 (-559)) (-5 *1 (-971 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-841))) (-5 *2 (-2 (|:| |start| *3) (|:| -1640 (-421 *3)))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1222 (-170 *4)))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-12 (-5 *1 (-338 *2 *3 *4)) (-14 *2 (-635 (-1163))) (-14 *3 (-635 (-1163))) (-4 *4 (-390)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-4 *1 (-841))) ((*1 *2 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173)) (-4 *2 (-1057)))) ((*1 *1 *1) (-4 *1 (-1057))) ((*1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-764)) (-5 *1 (-123))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-3 (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (-5 *1 (-185))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-635 *5)) (-5 *4 (-635 (-1 *6 (-635 *6)))) (-4 *5 (-43 (-410 (-569)))) (-4 *6 (-1243 *5)) (-5 *2 (-635 *6)) (-5 *1 (-1245 *5 *6))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256)))) ((*1 *2 *2) (-12 (-5 *2 (-919)) (-5 *1 (-1256))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-871)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
+(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1253 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-979 *3 *4 *2 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-1063 *3 *4 *2)) (-4 *2 (-844)))) ((*1 *2 *1) (-12 (-4 *1 (-1063 *3 *4 *2)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *2 (-844))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1165))) (-4 *7 (-231 (-2946 *5) (-765))) (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4320 *4)))) (-5 *1 (-1101 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-635 *3)) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-213 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-248 *3)) (-4 *3 (-1199)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-765)))) ((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-13 (-407) (-1039 *4) (-366) (-1185) (-280))) (-5 *1 (-445 *4 *3 *2)) (-4 *3 (-1228 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-765)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-852)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-852))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-973 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-121)) (-5 *1 (-929))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-919)) (-5 *2 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-5 *1 (-348 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-302)) (-5 *2 (-765)) (-5 *1 (-458 *5 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-681 *4)) (-5 *1 (-348 *4))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1178))))) 
+(((*1 *2 *3 *2 *2) (-12 (-5 *2 (-635 (-493 *4 *5))) (-5 *3 (-854 *4)) (-14 *4 (-635 (-1165))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-382)) (-5 *1 (-783))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
+(((*1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-159))))) 
+(((*1 *1) (-4 *1 (-351))) ((*1 *2 *3) (-12 (-5 *3 (-635 *5)) (-4 *5 (-433 *4)) (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *5) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-435 *4 *5)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-559) (-844) (-151))) (-5 *2 (-2 (|:| |primelt| *3) (|:| |pol1| (-1161 *3)) (|:| |pol2| (-1161 *3)) (|:| |prim| (-1161 *3)))) (-5 *1 (-435 *4 *3)) (-4 *3 (-27)) (-4 *3 (-433 *4)))) ((*1 *2 *3 *4 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-1165)) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| |coef1| (-569)) (|:| |coef2| (-569)) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-955 *5))) (-5 *4 (-635 (-1165))) (-4 *5 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *5))) (|:| |prim| (-1161 *5)))) (-5 *1 (-962 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 (-955 *6))) (-5 *4 (-635 (-1165))) (-5 *5 (-1165)) (-4 *6 (-13 (-366) (-151))) (-5 *2 (-2 (|:| -3550 (-635 (-569))) (|:| |poly| (-635 (-1161 *6))) (|:| |prim| (-1161 *6)))) (-5 *1 (-962 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-121)) (-5 *1 (-465))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-955 (-216))) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1) (-12 (-5 *1 (-1210 *2)) (-4 *2 (-1049)))) ((*1 *1 *1) (-12 (-5 *1 (-1244 *2 *3 *4)) (-4 *2 (-1049)) (-14 *3 (-1165)) (-14 *4 *2))) ((*1 *1 *1) (-12 (-5 *1 (-1248 *2 *3)) (-4 *2 (-1049)) (-14 *3 (-1165))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-635 (-765)))) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1193 *3 *4 *5 *6)) (-4 *3 (-559)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *6 (-1063 *3 *4 *5)) (-4 *5 (-371)) (-5 *2 (-765))))) 
+(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *5))) (-5 *3 (-1161 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1228 *5)) (-4 *5 (-1228 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 (-569)))) (-5 *3 (-1161 (-569))) (-5 *1 (-577)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1161 *1))) (-5 *3 (-1161 *1)) (-4 *1 (-906))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-474)) (-5 *4 (-919)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *2 *3 *2) (-12 (-5 *3 (-410 (-569))) (-4 *4 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844))))) 
+(((*1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-1168))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-421 *3)) (-5 *1 (-562 *3)) (-4 *3 (-551))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-559) (-844) (-1039 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-454) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-1189 *4 *2)) (-4 *2 (-13 (-27) (-1185) (-433 *4)))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-5 *2 (-1 (-635 *4) *4)) (-5 *1 (-107 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-302)) (-5 *2 (-410 (-421 (-955 *4)))) (-5 *1 (-1043 *4))))) 
+(((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -4 *1 (-559))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (|partial| -5 *1 (-765))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-846 *2)) (-4 *2 (-1049)) (-4 *2 (-559)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1253 *4)) (-4 *4 (-1228 *3)) (-4 *3 (-559)) (-5 *1 (-972 *3 *4)))) ((*1 *1 *1 *2) (|partial| -12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-559)))) ((*1 *2 *2 *2) (|partial| -12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3))))) 
+(((*1 *2 *1 *2) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-311 (-216))) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-515 *3 *4 *5 *6))) (-4 *3 (-366)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-952 *3 *4 *5)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-635 *1)) (-5 *3 (-635 *7)) (-4 *1 (-1068 *4 *5 *6 *7)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-1063 *4 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *7)))) ((*1 *2 *3 *1) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *3 (-1063 *4 *5 *6)) (-5 *2 (-635 *1)) (-4 *1 (-1068 *4 *5 *6 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1090 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1049))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *2 *2)) (-5 *1 (-673 *2)) (-4 *2 (-1093)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 (-635 *5) (-635 *5))) (-5 *4 (-569)) (-5 *2 (-635 *5)) (-5 *1 (-673 *5)) (-4 *5 (-1093))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-844))) (-4 *2 (-13 (-433 (-170 *4)) (-1004) (-1185))) (-5 *1 (-598 *4 *3 *2)) (-4 *3 (-13 (-433 *4) (-1004) (-1185)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-1049)) (-4 *4 (-231 *5 (-765))) (-14 *5 (-765)) (-5 *1 (-910 *3 *2 *4 *5)) (-4 *2 (-325 *3 *4))))) 
+(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
+(((*1 *1) (-5 *1 (-820)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-765) "arbitrary")) (-5 *1 (-466))))) 
 (((*1 *2 *1) (-12 (-4 *1 (-117)) (-5 *2 (-3 "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (-12 (-5 *3 (-680 *11)) (-5 *4 (-635 (-410 (-954 *8)))) (-5 *5 (-764)) (-5 *6 (-1145)) (-4 *8 (-13 (-302) (-151))) (-4 *11 (-951 *8 *10 *9)) (-4 *9 (-13 (-843) (-610 (-1163)))) (-4 *10 (-789)) (-5 *2 (-2 (|:| |rgl| (-635 (-2 (|:| |eqzro| (-635 *11)) (|:| |neqzro| (-635 *11)) (|:| |wcond| (-635 (-954 *8))) (|:| |bsoln| (-2 (|:| |partsol| (-1247 (-410 (-954 *8)))) (|:| -3930 (-635 (-1247 (-410 (-954 *8)))))))))) (|:| |rgsz| (-569)))) (-5 *1 (-925 *8 *9 *10 *11)) (-5 *7 (-569))))) 
-(((*1 *2 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
-(((*1 *2 *1) (-12 (-4 *2 (-13 (-1091) (-39))) (-5 *1 (-1126 *3 *2)) (-4 *3 (-13 (-1091) (-39)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-216)) (-5 *1 (-818))))) 
-(((*1 *2) (-12 (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-4 *6 (-1222 (-410 *5))) (-5 *2 (-764)) (-5 *1 (-340 *3 *4 *5 *6)) (-4 *3 (-341 *4 *5 *6)))) ((*1 *2) (-12 (-4 *1 (-341 *3 *4 *5)) (-4 *3 (-1202)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-5 *2 (-764)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-764))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-764)) (-5 *1 (-48 *4 *3)) (-4 *3 (-420 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-635 (-945 *3)))))) ((*1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *4 (-1048)) (-4 *1 (-1123 *4)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-945 *3)))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-635 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2 *3 *3) (-12 (-5 *2 (-635 (-635 (-945 *4)))) (-5 *3 (-121)) (-4 *1 (-1123 *4)) (-4 *4 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-635 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-635 (-945 *5)))) (-5 *3 (-635 (-172))) (-5 *4 (-172)) (-4 *1 (-1123 *5)) (-4 *5 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-954 (-569)))) (-5 *1 (-440)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-216))) (-5 *2 (-1095)) (-5 *1 (-752)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1163)) (-5 *4 (-680 (-569))) (-5 *2 (-1095)) (-5 *1 (-752))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-243 *4 *5))) (-5 *2 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *1 (-623 *4 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-39)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-121)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1001 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1126 *3 *4)) (-4 *3 (-13 (-1091) (-39))) (-4 *4 (-13 (-1091) (-39))))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1133 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |lcmfij| *4) (|:| |totdeg| (-764)) (|:| |poli| *6) (|:| |polj| *6)))) (-4 *4 (-789)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-569) (-569))) (-5 *1 (-364 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-764) (-764))) (-5 *1 (-389 *3)) (-4 *3 (-1091)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *4 (-23)) (-14 *5 *4) (-5 *1 (-639 *3 *4 *5)) (-4 *3 (-1091))))) 
-(((*1 *2 *3 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-5 *2 (-121))))) 
+(((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-1063 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-790)) (-4 *4 (-844)))) ((*1 *1) (-4 *1 (-1139)))) 
+(((*1 *2 *3) (|partial| -12 (-4 *4 (-13 (-559) (-151))) (-5 *2 (-2 (|:| -3149 *3) (|:| -3417 *3))) (-5 *1 (-1222 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-13 (-1093) (-39))) (-5 *1 (-1128 *3 *2)) (-4 *3 (-13 (-1093) (-39)))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-901 (-569))) (-5 *1 (-915)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-901 (-569))) (-5 *1 (-915))))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-765)) (-4 *4 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1085 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-765)) (-5 *1 (-1271 *3 *4)) (-4 *3 (-844)) (-4 *4 (-173))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-311 *3)) (-4 *3 (-559)) (-4 *3 (-844))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *3 (-25)) (-4 *3 (-844)) (-5 *2 (-2 (|:| -3550 (-569)) (|:| |var| (-608 *1)))) (-4 *1 (-433 *3))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-569)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *1 (-680 *4 *5 *6 *2)) (-4 *2 (-679 *4 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-4 *4 (-366)) (-4 *5 (-1228 *4)) (-5 *2 (-1258)) (-5 *1 (-45 *4 *5 *6 *7)) (-4 *6 (-1228 (-410 *5))) (-14 *7 *6)))) 
+(((*1 *2 *1) (-12 (-5 *2 (-852)) (-5 *1 (-57))))) 
 (((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (-12 (-5 *3 (-1 (-382) (-382))) (-5 *4 (-382)) (-5 *2 (-2 (|:| -2247 *4) (|:| -1638 *4) (|:| |totalpts| (-569)) (|:| |success| (-121)))) (-5 *1 (-785)) (-5 *5 (-569))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-216)) (-5 *1 (-30)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1 (-421 *4) *4)) (-4 *4 (-559)) (-5 *2 (-421 *4)) (-5 *1 (-422 *4)))) ((*1 *1 *1) (-5 *1 (-927))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-927)))) ((*1 *1 *1) (-5 *1 (-928))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1085 (-216))) (-5 *1 (-928)))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1020 *3)) (-4 *3 (-1222 (-569))))) ((*1 *2 *3 *2 *4) (-12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *4 (-410 (-569))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3 *2 *2) (|partial| -12 (-5 *2 (-2 (|:| -3833 (-410 (-569))) (|:| -1869 (-410 (-569))))) (-5 *1 (-1021 *3)) (-4 *3 (-1222 (-410 (-569)))))) ((*1 *1 *1) (-12 (-4 *2 (-13 (-841) (-366))) (-5 *1 (-1058 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *2 *3 *4 *5) (|partial| -12 (-5 *5 (-1247 (-635 *3))) (-4 *4 (-302)) (-5 *2 (-635 *3)) (-5 *1 (-458 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *5))) (-5 *3 (-1159 *5)) (-4 *5 (-167 *4)) (-4 *4 (-551)) (-5 *1 (-153 *4 *5)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 *3)) (-4 *3 (-1222 *5)) (-4 *5 (-1222 *4)) (-4 *4 (-351)) (-5 *1 (-360 *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 (-569)))) (-5 *3 (-1159 (-569))) (-5 *1 (-577)))) ((*1 *2 *2 *3) (|partial| -12 (-5 *2 (-635 (-1159 *1))) (-5 *3 (-1159 *1)) (-4 *1 (-905))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1083 *2)) (-4 *2 (-433 *4)) (-4 *4 (-13 (-843) (-559))) (-5 *1 (-160 *4 *2)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1083 *1)) (-4 *1 (-162)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1163)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-1265 *3 *4)) (-4 *3 (-843)) (-4 *4 (-173))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *8 (-1062 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1100 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *4)) (|:| -1648 (-635 (-954 *4)))))) (-5 *1 (-1072 *4 *5)) (-5 *3 (-635 (-954 *4))) (-14 *5 (-635 (-1163))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -3807 (-1159 *5)) (|:| -1648 (-635 (-954 *5)))))) (-5 *1 (-1072 *5 *6)) (-5 *3 (-635 (-954 *5))) (-14 *6 (-635 (-1163)))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *2 (-13 (-433 *4) (-882 *3) (-610 (-888 *3)))) (-5 *1 (-1070 *3 *4 *2)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1091)) (-5 *1 (-1152 *2 *3)) (-4 *3 (-1091))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(((*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
-(((*1 *2 *1 *1) (-12 (-5 *2 (-2 (|:| -4140 *3) (|:| |gap| (-764)) (|:| -4268 (-778 *3)) (|:| -1830 (-778 *3)))) (-5 *1 (-778 *3)) (-4 *3 (-1048)))) ((*1 *2 *1 *1 *3) (-12 (-4 *4 (-1048)) (-4 *5 (-789)) (-4 *3 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *4 *5 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-2 (|:| -4140 *1) (|:| |gap| (-764)) (|:| -4268 *1) (|:| -1830 *1))) (-4 *1 (-1062 *3 *4 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| -4276 *1) (|:| -4522 *1) (|:| |associate| *1))) (-4 *1 (-559))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 *1)) (-4 *1 (-370 *2)) (-4 *2 (-173)))) ((*1 *2) (-12 (-4 *2 (-173)) (-5 *1 (-419 *3 *2)) (-4 *3 (-420 *2)))) ((*1 *2) (-12 (-4 *1 (-420 *2)) (-4 *2 (-173))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-302)) (-5 *1 (-178 *3))))) 
-(((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-1 (-635 *4) *4)) (-4 *4 (-1197)) (-5 *1 (-1139 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-5 *2 (-569))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-870)) (-5 *1 (-257)))) ((*1 *1 *2) (-12 (-5 *2 (-382)) (-5 *1 (-257))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1128 *4 *2)) (-14 *4 (-918)) (-4 *2 (-13 (-1048) (-10 -7 (-6 (-4537 "*"))))) (-5 *1 (-898 *4 *2))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-851)))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-918)) (-5 *1 (-1031 *2)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)))))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1062 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-5 *2 (-635 (-1258 *4 *5 *6 *7))) (-5 *1 (-1258 *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-635 *9)) (-5 *4 (-1 (-121) *9 *9)) (-5 *5 (-1 *9 *9 *9)) (-4 *9 (-1062 *6 *7 *8)) (-4 *6 (-559)) (-4 *7 (-789)) (-4 *8 (-843)) (-5 *2 (-635 (-1258 *6 *7 *8 *9))) (-5 *1 (-1258 *6 *7 *8 *9))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-764)) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-4 *2 (-1048)) (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-428 *3)) (-4 *3 (-1091)) (-5 *2 (-764))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-666 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-5 *2 (-635 (-2 (|:| -1743 *3) (|:| -2492 *4)))) (-5 *1 (-686 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-1163))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-421 (-1159 *1))) (-5 *1 (-311 *4)) (-5 *3 (-1159 *1)) (-4 *4 (-454)) (-4 *4 (-559)) (-4 *4 (-843)))) ((*1 *2 *3) (-12 (-4 *1 (-905)) (-5 *2 (-421 (-1159 *1))) (-5 *3 (-1159 *1))))) 
-(((*1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-235))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-4 *2 (-433 *4)) (-5 *1 (-160 *4 *2)) (-4 *4 (-13 (-843) (-559)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-289 *3))) (-5 *1 (-289 *3)) (-4 *3 (-559)) (-4 *3 (-1197))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-569))))) 
-(((*1 *1 *2 *3) (-12 (-5 *2 (-1145)) (-5 *3 (-819)) (-5 *1 (-818))))) 
-(((*1 *2) (-12 (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-468 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *3 *4 *5)) (-4 (-858 *3) (-371)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-868 *4 *5 *6)) (-4 (-858 *4) (-371)) (-4 *4 (-351)) (-14 *5 (-635 (-1163))) (-4 *6 (-117)))) ((*1 *2) (-12 (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-371)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1242 (-569) -3417)) (-5 *1 (-869 *4 *5 *6)) (-4 *4 (-371)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-208 *4 *3)) (-4 *3 (-1222 *4)))) ((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-121)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-185)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-295)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-836 (-216)))) (-5 *2 (-216)) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048)))) ((*1 *2 *3) (-12 (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-173)) (-5 *1 (-679 *2 *4 *5 *3)) (-4 *3 (-678 *2 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (|has| *2 (-6 (-4537 "*"))) (-4 *2 (-1048))))) 
-(((*1 *2 *3 *3 *3) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-1101)) (-5 *3 (-569))))) 
-(((*1 *1) (-12 (-4 *1 (-471 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1) (-5 *1 (-542))) ((*1 *1) (-4 *1 (-713))) ((*1 *1) (-4 *1 (-717))) ((*1 *1) (-12 (-5 *1 (-888 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *7 (-1222 *5)) (-4 *4 (-715 *5 *7)) (-5 *2 (-2 (|:| -3477 (-680 *6)) (|:| |vec| (-1247 *5)))) (-5 *1 (-807 *5 *6 *7 *4 *3)) (-4 *6 (-647 *5)) (-4 *3 (-647 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-407)) (-5 *2 (-569)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-689))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-1250))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1 *1) (-5 *1 (-851))) ((*1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-302) (-843) (-151) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-429 *4 *2)) (-4 *2 (-13 (-1183) (-29 *4))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 *5))) (-5 *4 (-1163)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1038 (-569)) (-843) (-631 (-569)))) (-5 *2 (-311 *5)) (-5 *1 (-589 *5))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1163))))) 
-(((*1 *1) (-12 (-4 *3 (-1091)) (-5 *1 (-881 *2 *3 *4)) (-4 *2 (-1091)) (-4 *4 (-659 *3)))) ((*1 *1) (-12 (-5 *1 (-885 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1091))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-370 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-52 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-55 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *1 *2 *1 *1 *3) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-62 *3 *4 *5)) (-4 *3 (-1197)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-64 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-64 *6)) (-5 *1 (-63 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-96 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *7)) (-5 *4 (-142 *5 *6 *7)) (-14 *5 (-569)) (-14 *6 (-764)) (-4 *7 (-173)) (-4 *8 (-173)) (-5 *2 (-142 *5 *6 *8)) (-5 *1 (-141 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-170 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-5 *2 (-170 *6)) (-5 *1 (-169 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-213 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-311 *3) (-311 *3))) (-4 *3 (-13 (-1048) (-843))) (-5 *1 (-214 *3 *4)) (-14 *4 (-635 (-1163))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-233 *5 *6)) (-14 *5 (-764)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-5 *2 (-233 *5 *7)) (-5 *1 (-232 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-289 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-289 *6)) (-5 *1 (-288 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *6)) (-5 *4 (-1145)) (-5 *5 (-608 *6)) (-4 *6 (-297)) (-4 *2 (-1197)) (-5 *1 (-292 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 *5)) (-5 *4 (-608 *5)) (-4 *5 (-297)) (-4 *2 (-297)) (-5 *1 (-293 *5 *2)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1 *1 *1)) (-5 *3 (-608 *1)) (-4 *1 (-297)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-680 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-680 *6)) (-5 *1 (-299 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-311 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-5 *2 (-311 *6)) (-5 *1 (-309 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-4 *6 (-1048)) (-4 *7 (-1048)) (-4 *5 (-788)) (-4 *2 (-325 *7 *5)) (-5 *1 (-323 *5 *6 *4 *7 *2)) (-4 *4 (-325 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-335 *5 *6 *7 *8)) (-4 *5 (-366)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *8 (-341 *5 *6 *7)) (-4 *9 (-366)) (-4 *10 (-1222 *9)) (-4 *11 (-1222 (-410 *10))) (-5 *2 (-335 *9 *10 *11 *12)) (-5 *1 (-332 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-341 *9 *10 *11)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-337 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1202)) (-4 *8 (-1202)) (-4 *6 (-1222 *5)) (-4 *7 (-1222 (-410 *6))) (-4 *9 (-1222 *8)) (-4 *2 (-341 *8 *9 *10)) (-5 *1 (-339 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-341 *5 *6 *7)) (-4 *10 (-1222 (-410 *9))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-4 *2 (-376 *6)) (-5 *1 (-374 *5 *4 *6 *2)) (-4 *4 (-376 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-385 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-421 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-421 *6)) (-5 *1 (-408 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-410 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-5 *2 (-410 *6)) (-5 *1 (-409 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *5)) (-5 *4 (-416 *5 *6 *7 *8)) (-4 *5 (-302)) (-4 *6 (-994 *5)) (-4 *7 (-1222 *6)) (-4 *8 (-13 (-412 *6 *7) (-1038 *6))) (-4 *9 (-302)) (-4 *10 (-994 *9)) (-4 *11 (-1222 *10)) (-5 *2 (-416 *9 *10 *11 *12)) (-5 *1 (-415 *5 *6 *7 *8 *9 *10 *11 *12)) (-4 *12 (-13 (-412 *10 *11) (-1038 *10))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-420 *6)) (-5 *1 (-418 *4 *5 *2 *6)) (-4 *4 (-420 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-559)) (-5 *1 (-421 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-13 (-1048) (-843))) (-4 *6 (-13 (-1048) (-843))) (-4 *2 (-433 *6)) (-5 *1 (-424 *5 *4 *6 *2)) (-4 *4 (-433 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *2 (-428 *6)) (-5 *1 (-426 *5 *4 *6 *2)) (-4 *4 (-428 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-843)) (-5 *1 (-495 *3)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-500 *3)) (-4 *3 (-1197)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *1 (-519 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-843)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-586 *5)) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-586 *6)) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| -3032 *5) (|:| |coeff| *5)) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| -3032 *6) (|:| |coeff| *6))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *2 *5)) (-5 *4 (-3 *5 "failed")) (-4 *5 (-366)) (-4 *2 (-366)) (-5 *1 (-585 *5 *2)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 *6 *5)) (-5 *4 (-3 (-2 (|:| |mainpart| *5) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (-4 *5 (-366)) (-4 *6 (-366)) (-5 *2 (-2 (|:| |mainpart| *6) (|:| |limitedlogs| (-635 (-2 (|:| |coeff| *6) (|:| |logand| *6)))))) (-5 *1 (-585 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-599 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-599 *6)) (-5 *1 (-596 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-599 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-599 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-599 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-597 *6 *7 *8)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1197)) (-5 *1 (-599 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-635 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-633 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-635 *6)) (-5 *5 (-635 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-635 *8)) (-5 *1 (-634 *6 *7 *8)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *3 *3 *3)) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *8 "failed") *5)) (-4 *5 (-1048)) (-4 *8 (-1048)) (-4 *6 (-376 *5)) (-4 *7 (-376 *5)) (-4 *2 (-678 *8 *9 *10)) (-5 *1 (-676 *5 *6 *7 *4 *8 *9 *10 *2)) (-4 *4 (-678 *5 *6 *7)) (-4 *9 (-376 *8)) (-4 *10 (-376 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *5)) (-4 *5 (-559)) (-4 *7 (-559)) (-4 *6 (-1222 *5)) (-4 *2 (-1222 (-410 *8))) (-5 *1 (-700 *5 *6 *4 *7 *8 *2)) (-4 *4 (-1222 (-410 *6))) (-4 *8 (-1222 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *9 *8)) (-4 *8 (-1048)) (-4 *9 (-1048)) (-4 *5 (-843)) (-4 *6 (-789)) (-4 *2 (-951 *9 *7 *5)) (-5 *1 (-719 *5 *6 *7 *8 *9 *4 *2)) (-4 *7 (-789)) (-4 *4 (-951 *8 *6 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-843)) (-4 *6 (-843)) (-4 *7 (-789)) (-4 *9 (-1048)) (-4 *2 (-951 *9 *8 *6)) (-5 *1 (-720 *5 *6 *7 *8 *9 *4 *2)) (-4 *8 (-789)) (-4 *4 (-951 *9 *7 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-726 *5 *7)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *7 (-717)) (-5 *2 (-726 *6 *7)) (-5 *1 (-725 *5 *6 *7)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-726 *3 *4)) (-4 *4 (-717)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-778 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-778 *6)) (-5 *1 (-777 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-793 *6)) (-5 *1 (-794 *4 *5 *2 *6)) (-4 *4 (-793 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-829 *6)) (-5 *1 (-828 *5 *6)))) ((*1 *2 *3 *4 *2) (-12 (-5 *2 (-829 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-829 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-828 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-836 *6)) (-5 *1 (-835 *5 *6)))) ((*1 *2 *3 *4 *2 *2) (-12 (-5 *2 (-836 *6)) (-5 *3 (-1 *6 *5)) (-5 *4 (-836 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *1 (-835 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-874 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-874 *6)) (-5 *1 (-873 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-876 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-876 *6)) (-5 *1 (-875 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-878 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-878 *6)) (-5 *1 (-877 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *7 *6)) (-5 *4 (-885 *5 *6)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-885 *5 *7)) (-5 *1 (-884 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-888 *6)) (-5 *1 (-887 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-954 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-954 *6)) (-5 *1 (-948 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *2 *7)) (-5 *4 (-1 *2 *8)) (-4 *7 (-843)) (-4 *8 (-1048)) (-4 *6 (-789)) (-4 *2 (-13 (-1091) (-10 -8 (-15 -1707 ($ $ $)) (-15 * ($ $ $)) (-15 ** ($ $ (-764)))))) (-5 *1 (-953 *6 *7 *8 *5 *2)) (-4 *5 (-951 *8 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-959 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-959 *6)) (-5 *1 (-958 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-945 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-945 *6)) (-5 *1 (-983 *5 *6)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-1 *2 (-954 *4))) (-4 *4 (-1048)) (-4 *2 (-951 (-954 *4) *5 *6)) (-4 *5 (-789)) (-4 *6 (-13 (-843) (-10 -8 (-15 -3817 ((-1163) $)) (-15 -3534 ((-3 $ "failed") (-1163)))))) (-5 *1 (-986 *4 *5 *6 *2)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-559)) (-4 *6 (-559)) (-4 *2 (-994 *6)) (-5 *1 (-992 *5 *6 *4 *2)) (-4 *4 (-994 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-173)) (-4 *6 (-173)) (-4 *2 (-998 *6)) (-5 *1 (-999 *4 *5 *2 *6)) (-4 *4 (-998 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1001 *3)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *5 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *5 *5)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *10 *7)) (-4 *7 (-1048)) (-4 *10 (-1048)) (-14 *5 (-764)) (-14 *6 (-764)) (-4 *8 (-231 *6 *7)) (-4 *9 (-231 *5 *7)) (-4 *2 (-1051 *5 *6 *10 *11 *12)) (-5 *1 (-1053 *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (-4 *4 (-1051 *5 *6 *7 *8 *9)) (-4 *11 (-231 *6 *10)) (-4 *12 (-231 *5 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1085 *6)) (-5 *1 (-1081 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1085 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-635 *6)) (-5 *1 (-1081 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1083 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1083 *6)) (-5 *1 (-1082 *5 *6)))) ((*1 *2 *3 *1) (-12 (-5 *3 (-1 *4 *4)) (-4 *1 (-1086 *4 *2)) (-4 *4 (-841)) (-4 *2 (-1135 *4)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1091)) (-5 *1 (-1133 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1143 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1141 *5 *6)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-1 *8 *6 *7)) (-5 *4 (-1143 *6)) (-5 *5 (-1143 *7)) (-4 *6 (-1197)) (-4 *7 (-1197)) (-4 *8 (-1197)) (-5 *2 (-1143 *8)) (-5 *1 (-1142 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1159 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-5 *2 (-1159 *6)) (-5 *1 (-1156 *5 *6)))) ((*1 *1 *2 *1 *1) (-12 (-5 *2 (-1 *4 *4 *4)) (-4 *1 (-1174 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1210 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1210 *6 *8 *10)) (-5 *1 (-1205 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1213 *6)) (-5 *1 (-1212 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1213 *5)) (-4 *5 (-841)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1143 *6)) (-5 *1 (-1212 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *8 *6)) (-5 *4 (-1219 *5 *6)) (-14 *5 (-1163)) (-4 *6 (-1048)) (-4 *8 (-1048)) (-5 *2 (-1219 *7 *8)) (-5 *1 (-1214 *5 *6 *7 *8)) (-14 *7 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1222 *6)) (-5 *1 (-1220 *5 *4 *6 *2)) (-4 *4 (-1222 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1231 *5 *7 *9)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-14 *7 (-1163)) (-14 *9 *5) (-14 *10 *6) (-5 *2 (-1231 *6 *8 *10)) (-5 *1 (-1226 *5 *6 *7 *8 *9 *10)) (-14 *8 (-1163)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1048)) (-4 *6 (-1048)) (-4 *2 (-1237 *6)) (-5 *1 (-1235 *5 *6 *4 *2)) (-4 *4 (-1237 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *6 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 *6 "failed") *5)) (-5 *4 (-1247 *5)) (-4 *5 (-1197)) (-4 *6 (-1197)) (-5 *2 (-1247 *6)) (-5 *1 (-1246 *5 *6)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *4 *4)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 *3 *3)) (-4 *3 (-1048)) (-5 *1 (-1268 *3 *4)) (-4 *4 (-839))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-1048)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2) (-12 (-5 *2 (-1133 (-1145))) (-5 *1 (-394))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *3)) (-4 *3 (-951 *5 *6 *7)) (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *2 (-2 (|:| |poly| *3) (|:| |mult| *5))) (-5 *1 (-451 *5 *6 *7 *3))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1145)) (-5 *1 (-991)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1085 *4)) (-4 *4 (-1197)) (-5 *1 (-1083 *4))))) 
-(((*1 *1) (-12 (-4 *1 (-407)) (-3864 (|has| *1 (-6 -4526))) (-3864 (|has| *1 (-6 -4518))))) ((*1 *2 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-1091)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-4 *1 (-843))) ((*1 *2 *1) (-12 (-4 *1 (-970 *2)) (-4 *2 (-843)))) ((*1 *1) (-5 *1 (-1109)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-559)) (-4 *8 (-951 *7 *5 *6)) (-5 *2 (-2 (|:| -2356 (-764)) (|:| -4140 *9) (|:| |radicand| *9))) (-5 *1 (-955 *5 *6 *7 *8 *9)) (-5 *4 (-764)) (-4 *9 (-13 (-366) (-10 -8 (-15 -4116 (*8 $)) (-15 -4121 (*8 $)) (-15 -2185 ($ *8)))))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-951 *4 *5 *6)) (-5 *2 (-421 (-1159 *7))) (-5 *1 (-902 *4 *5 *6 *7)) (-5 *3 (-1159 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-905)) (-4 *5 (-1222 *4)) (-5 *2 (-421 (-1159 *5))) (-5 *1 (-903 *4 *5)) (-5 *3 (-1159 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *2 (-1197)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-62 *2 *4 *5)) (-4 *4 (-376 *2)) (-4 *5 (-376 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "right") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "left") (-4 *1 (-128 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 (-569))) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 (-569)) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *2 (-173)) (-5 *1 (-142 *4 *5 *2)) (-14 *4 *3) (-14 *5 (-764)))) ((*1 *2 *1) (-12 (-4 *2 (-173)) (-5 *1 (-142 *3 *4 *2)) (-14 *3 (-569)) (-14 *4 (-764)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-241 (-1145))) (-5 *1 (-206 *4)) (-4 *4 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ *3)) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-991)) (-5 *1 (-206 *3)) (-4 *3 (-13 (-843) (-10 -8 (-15 -1534 ((-1145) $ (-1163))) (-15 -3615 ((-1252) $)) (-15 -3552 ((-1252) $))))))) ((*1 *2 *1 *3) (-12 (-5 *3 "count") (-5 *2 (-764)) (-5 *1 (-241 *4)) (-4 *4 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 "sort") (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *1 *1 *2) (-12 (-5 *2 "unique") (-5 *1 (-241 *3)) (-4 *3 (-843)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-282 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *2) (-12 (-4 *1 (-284 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1197)))) ((*1 *2 *1 *2) (-12 (-4 *3 (-173)) (-5 *1 (-285 *3 *2 *4 *5 *6 *7)) (-4 *2 (-1222 *3)) (-4 *4 (-23)) (-14 *5 (-1 *2 *2 *4)) (-14 *6 (-1 (-3 *4 "failed") *4 *4)) (-14 *7 (-1 (-3 *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 *1)) (-4 *1 (-297)))) ((*1 *1 *2 *1 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *1 *2 *2) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-420 *2)) (-4 *2 (-173)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1145)) (-5 *1 (-512)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-57)) (-5 *1 (-624)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1213 (-569))) (-4 *1 (-641 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-635 (-888 *4))) (-5 *1 (-888 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-5 *2 (-901 *4)) (-5 *1 (-900 *4)) (-4 *4 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-921 *2 *4)) (-4 *4 (-642 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-569)) (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-233 *4 *2)) (-14 *4 (-918)) (-4 *2 (-366)) (-5 *1 (-995 *4 *2)))) ((*1 *2 *1 *3) (-12 (-5 *3 "value") (-4 *1 (-1011 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1027 *2)) (-4 *2 (-1197)))) ((*1 *2 *1 *3 *3 *2) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *2 (-1048)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-569)) (-4 *1 (-1051 *4 *5 *2 *6 *7)) (-4 *6 (-231 *5 *2)) (-4 *7 (-231 *4 *2)) (-4 *2 (-1048)))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1070 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *2 *1 *2 *3) (-12 (-5 *3 (-918)) (-4 *4 (-1091)) (-4 *5 (-13 (-1048) (-882 *4) (-843) (-610 (-888 *4)))) (-5 *1 (-1071 *4 *5 *2)) (-4 *2 (-13 (-433 *5) (-882 *4) (-610 (-888 *4)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)))) ((*1 *1 *1 *1) (-4 *1 (-1130))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-1163)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-410 *1)) (-4 *1 (-1222 *2)) (-4 *2 (-1048)) (-4 *2 (-366)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-410 *1)) (-4 *1 (-1222 *3)) (-4 *3 (-1048)) (-4 *3 (-559)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *2 *3)) (-4 *3 (-788)) (-4 *2 (-1048)))) ((*1 *2 *1 *3) (-12 (-5 *3 "last") (-4 *1 (-1234 *2)) (-4 *2 (-1197)))) ((*1 *1 *1 *2) (-12 (-5 *2 "rest") (-4 *1 (-1234 *3)) (-4 *3 (-1197)))) ((*1 *2 *1 *3) (-12 (-5 *3 "first") (-4 *1 (-1234 *2)) (-4 *2 (-1197))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-851))) (-5 *1 (-851))))) 
-(((*1 *2) (-12 (-5 *2 (-829 (-569))) (-5 *1 (-540)))) ((*1 *1) (-12 (-5 *1 (-829 *2)) (-4 *2 (-1091))))) 
-(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-635 (-2 (|:| -2247 *4) (|:| -3998 (-1109)))))) (-4 *4 (-351)) (-5 *2 (-764)) (-5 *1 (-348 *4)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-353 *3 *4)) (-14 *3 (-918)) (-14 *4 (-918)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-354 *3 *4)) (-4 *3 (-351)) (-14 *4 (-3 (-1159 *3) (-1247 (-635 (-2 (|:| -2247 *3) (|:| -3998 (-1109))))))))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-355 *3 *4)) (-4 *3 (-351)) (-14 *4 (-918))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-4 *7 (-1222 (-410 *6))) (-5 *2 (-2 (|:| |answer| *3) (|:| -1289 *3))) (-5 *1 (-567 *5 *6 *7 *3)) (-4 *3 (-341 *5 *6 *7)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |answer| (-410 *6)) (|:| -1289 (-410 *6)) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-568 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *1 *2 *3 *4) (-12 (-5 *3 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *2)) (|:| |logand| (-1159 *2))))) (-5 *4 (-635 (-2 (|:| |integrand| *2) (|:| |intvar| *2)))) (-4 *2 (-366)) (-5 *1 (-586 *2))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-257)))) ((*1 *2 *1 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (-12 (-5 *3 (-569)) (-5 *4 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *2 (-1252)) (-5 *1 (-1249)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |theta| (-216)) (|:| |phi| (-216)) (|:| -4265 (-216)) (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |scaleZ| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)))) (-5 *1 (-1249)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (-12 (-5 *3 (-382)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-36 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-160 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-273 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003))))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-5 *2 (-121)) (-5 *1 (-296 *4)) (-4 *4 (-297)))) ((*1 *2 *3) (-12 (-4 *1 (-297)) (-5 *3 (-123)) (-5 *2 (-121)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-432 *4 *5)) (-4 *4 (-433 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-434 *4 *5)) (-4 *5 (-433 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-123)) (-4 *4 (-13 (-843) (-559))) (-5 *2 (-121)) (-5 *1 (-622 *4 *5)) (-4 *5 (-13 (-433 *4) (-1003) (-1183)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1145)) (-5 *1 (-542))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 *4)) (-4 *4 (-13 (-302) (-151))) (-4 *2 (-951 *4 *6 *5)) (-5 *1 (-925 *4 *5 *6 *2)) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-1048)) (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-5 *1 (-909 *4 *2 *5 *6)) (-4 *2 (-325 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1094 *2 *3 *4 *5 *6)) (-4 *2 (-1091)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-366)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-530 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-311 (-170 (-382)))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-684))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-691))) (-5 *1 (-329)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-689))) (-5 *1 (-329)))) ((*1 *1) (-5 *1 (-329)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-776 *5 (-853 *6)))) (-5 *4 (-121)) (-4 *5 (-454)) (-14 *6 (-635 (-1163))) (-5 *2 (-635 (-1132 *5 (-535 (-853 *6)) (-853 *6) (-776 *5 (-853 *6))))) (-5 *1 (-620 *5 *6))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-334 *3 *4 *5 *6)) (-4 *3 (-366)) (-4 *4 (-1222 *3)) (-4 *5 (-1222 (-410 *4))) (-4 *6 (-341 *3 *4 *5)) (-5 *2 (-121))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1007))))) 
-(((*1 *1) (-5 *1 (-440)))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-4 *4 (-1048)) (-5 *1 (-705 *4 *2)) (-4 *2 (-638 *4)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-123)) (-5 *1 (-830 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-247 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-843)) (-4 *5 (-263 *4)) (-4 *6 (-789)) (-5 *2 (-635 *4))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-635 (-569)))) (-5 *1 (-925 *4 *5 *6 *7)) (-5 *3 (-569)) (-4 *7 (-951 *4 *6 *5))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3493 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-888 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-817))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-945 *3)) (-4 *3 (-13 (-366) (-1183) (-1003))) (-5 *1 (-175 *3))))) 
-(((*1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *3 *4 *1) (-12 (-5 *4 (-635 (-1163))) (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-829 *3)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-836 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-990 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7)))) ((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-121)) (-5 *1 (-1098 *4 *5 *6 *7 *3)) (-4 *3 (-1067 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| *3) (|:| -4003 *4)))) (-5 *1 (-1068 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-3 (-918) (-121))) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-3 (-918) (-121))) (-5 *1 (-466))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *1 *1 *1) (-4 *1 (-789)))) 
-(((*1 *1 *2 *2 *2 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-764)) (|:| |poli| *2) (|:| |polj| *2))) (-4 *5 (-789)) (-4 *2 (-951 *4 *5 *6)) (-5 *1 (-451 *4 *5 *6 *2)) (-4 *4 (-454)) (-4 *6 (-843))))) 
-(((*1 *1) (-5 *1 (-121)))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| -12 (-5 *2 (-836 *4)) (-5 *3 (-608 *4)) (-5 *5 (-121)) (-4 *4 (-13 (-1183) (-29 *6))) (-4 *6 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-215 *6 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-3 (-410 (-954 *5)) (-1152 (-1163) (-954 *5)))) (-4 *5 (-454)) (-5 *2 (-635 (-680 (-410 (-954 *5))))) (-5 *1 (-287 *5)) (-5 *4 (-680 (-410 (-954 *5))))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-815 *3)) (-4 *3 (-843)) (-5 *1 (-664 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-330 *3)) (-4 *3 (-843))))) 
-(((*1 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-371)) (-4 *2 (-366)))) ((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-1247 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-836 (-382))) (-5 *2 (-836 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-37 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-4 *1 (-972 *3)) (-4 *3 (-366)) (-5 *2 (-635 *3))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-3 (|:| |overq| (-1159 (-410 (-569)))) (|:| |overan| (-1159 (-53))) (|:| -1546 (-121)))) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-123)))) ((*1 *2 *1) (-12 (-4 *1 (-367 *2 *3)) (-4 *3 (-1091)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-441 *3)) (-14 *3 *2))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-608 *3)) (-4 *3 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-1163)) (-5 *1 (-1069 *3)) (-14 *3 *2))) ((*1 *1 *1) (-5 *1 (-1163)))) 
-(((*1 *1 *1 *1) (-5 *1 (-216))) ((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-764)) (-5 *2 (-1 (-382))) (-5 *1 (-1040)))) ((*1 *1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *1 *1) (-4 *1 (-147))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1048)) (-4 *1 (-678 *3 *4 *5)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 (-851)))) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-1128 *3 *4)) (-5 *1 (-995 *3 *4)) (-14 *3 (-918)) (-4 *4 (-366)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *5))) (-4 *5 (-1048)) (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1 (-945 (-216)) (-945 (-216)))) (-5 *1 (-257)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-635 (-493 *5 *6))) (-5 *3 (-493 *5 *6)) (-14 *5 (-635 (-1163))) (-4 *6 (-454)) (-5 *2 (-1247 *6)) (-5 *1 (-623 *5 *6))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-559)) (-4 *4 (-843)) (-5 *1 (-578 *4 *2)) (-4 *2 (-433 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1247 (-680 *4))) (-4 *4 (-173)) (-5 *2 (-1247 (-680 (-954 *4)))) (-5 *1 (-182 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-1048)) (-4 *4 (-1222 *3)) (-5 *1 (-165 *3 *4 *2)) (-4 *2 (-1222 *4)))) ((*1 *1 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1197))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048)))) ((*1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-447 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-421 *3)) (-4 *3 (-559)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 *4) (|:| -2492 (-569))))) (-4 *4 (-1222 (-569))) (-5 *2 (-764)) (-5 *1 (-444 *4))))) 
-(((*1 *2) (-12 (-4 *1 (-407)) (-5 *2 (-918)))) ((*1 *1) (-4 *1 (-551))) ((*1 *2 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2) (-12 (-5 *2 (-918)) (-5 *1 (-689)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-635 (-2 (|:| |deg| (-764)) (|:| -1502 *5)))) (-5 *1 (-805 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-647 (-410 *5)))))) 
-(((*1 *1 *2 *2) (-12 (-5 *1 (-874 *2)) (-4 *2 (-1197)))) ((*1 *1 *2 *2 *2) (-12 (-5 *1 (-876 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-635 (-945 *3))))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *3 (-1048)) (-4 *1 (-1123 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-945 *3))) (-4 *1 (-1123 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1011 *3)) (-4 *3 (-1197)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1184 *3)) (-4 *3 (-1091))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-423 *3 *2 *4 *5)) (-4 *2 (-13 (-27) (-1183) (-433 *3))) (-14 *4 (-1163)) (-14 *5 *2))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-4 *2 (-13 (-27) (-1183) (-433 *3) (-10 -8 (-15 -2185 ($ *4))))) (-4 *4 (-841)) (-4 *5 (-13 (-1224 *2 *4) (-366) (-1183) (-10 -8 (-15 -3899 ($ $)) (-15 -2565 ($ $))))) (-5 *1 (-425 *3 *2 *4 *5 *6 *7)) (-4 *6 (-985 *5)) (-14 *7 (-1163))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-569)) (-5 *4 (-1 (-1252) (-1095))) (-5 *2 (-1252)) (-5 *1 (-102))))) 
-(((*1 *2 *2 *3 *3) (-12 (-5 *3 (-410 *5)) (-4 *4 (-1202)) (-4 *5 (-1222 *4)) (-5 *1 (-152 *4 *5 *2)) (-4 *2 (-1222 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165 (-410 (-569)))) (-5 *2 (-410 (-569))) (-5 *1 (-183)))) ((*1 *2 *2 *3 *4) (-12 (-5 *2 (-680 (-311 (-216)))) (-5 *3 (-635 (-1163))) (-5 *4 (-1247 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *3 (-304 *3)) (-4 *3 (-1091)) (-4 *3 (-1197)) (-5 *1 (-289 *3)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-304 *2)) (-4 *2 (-1091)) (-4 *2 (-1197)) (-5 *1 (-289 *2)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 *1)) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1163)) (-5 *3 (-1 *1 (-635 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-297)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-1 *1 *1))) (-4 *1 (-297)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-289 *3))) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-289 *3)) (-4 *1 (-304 *3)) (-4 *3 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-1 *2 (-569))) (-5 *4 (-1165 (-410 (-569)))) (-5 *1 (-305 *2)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *1)) (-4 *1 (-377 *4 *5)) (-4 *4 (-843)) (-4 *5 (-173)))) ((*1 *1 *1 *2 *1) (-12 (-4 *1 (-377 *2 *3)) (-4 *2 (-843)) (-4 *3 (-173)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 *1)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-1163)) (-5 *3 (-764)) (-5 *4 (-1 *1 (-635 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 (-635 *1)))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-1163))) (-5 *3 (-635 (-764))) (-5 *4 (-635 (-1 *1 *1))) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-1048)))) ((*1 *1 *1 *2 *3 *4) (-12 (-5 *2 (-635 (-123))) (-5 *3 (-635 *1)) (-5 *4 (-1163)) (-4 *1 (-433 *5)) (-4 *5 (-843)) (-4 *5 (-610 (-542))))) ((*1 *1 *1 *2 *1 *3) (-12 (-5 *2 (-123)) (-5 *3 (-1163)) (-4 *1 (-433 *4)) (-4 *4 (-843)) (-4 *4 (-610 (-542))))) ((*1 *1 *1) (-12 (-4 *1 (-433 *2)) (-4 *2 (-843)) (-4 *2 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-1163))) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-4 *1 (-433 *3)) (-4 *3 (-843)) (-4 *3 (-610 (-542))))) ((*1 *2 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (-12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *1 *1 *2 *3) (-12 (-4 *1 (-524 *2 *3)) (-4 *2 (-1091)) (-4 *3 (-1197)))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-635 *4)) (-5 *3 (-635 *5)) (-4 *1 (-524 *4 *5)) (-4 *4 (-1091)) (-4 *5 (-1197)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-829 *3)) (-4 *3 (-366)) (-5 *1 (-709 *3)))) ((*1 *2 *1 *2) (-12 (-5 *1 (-709 *2)) (-4 *2 (-366)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (-12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *1 *2) (-12 (-4 *1 (-899 *2)) (-4 *2 (-1091)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-231 *6 (-764))) (-14 *6 (-764)) (-4 *2 (-366)) (-5 *1 (-930 *2 *3 *5 *6 *4)) (-4 *3 (-325 *2 *5)) (-4 *4 (-972 *2)))) ((*1 *2 *2 *3 *2) (-12 (-5 *2 (-410 (-954 *4))) (-5 *3 (-1163)) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-1163))) (-5 *4 (-635 (-410 (-954 *5)))) (-5 *2 (-410 (-954 *5))) (-4 *5 (-559)) (-5 *1 (-1043 *5)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-289 (-410 (-954 *4)))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-635 (-289 (-410 (-954 *4))))) (-5 *2 (-410 (-954 *4))) (-4 *4 (-559)) (-5 *1 (-1043 *4)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1143 *3)) (-4 *3 (-1048)) (-5 *1 (-1147 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (|has| *3 (-15 ** (*3 *3 *4))) (-5 *2 (-1143 *3))))) 
-(((*1 *2 *3 *3 *3) (|partial| -12 (-4 *4 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-4 *5 (-1222 *4)) (-5 *2 (-1159 (-410 *5))) (-5 *1 (-611 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 (-421 *6) *6)) (-4 *6 (-1222 *5)) (-4 *5 (-13 (-151) (-27) (-1038 (-569)) (-1038 (-410 (-569))))) (-5 *2 (-1159 (-410 *6))) (-5 *1 (-611 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *1 *1 *1) (-12 (-5 *1 (-389 *2)) (-4 *2 (-1091)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-815 *2)) (-4 *2 (-843))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-569)) (-5 *1 (-447 *3)) (-4 *3 (-407)) (-4 *3 (-1048))))) 
+(((*1 *1) (-5 *1 (-159)))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-33 *3)) (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) (-765))) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852))))) 
+(((*1 *2 *3 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *3 (-1063 *5 *6 *7)) (-5 *2 (-635 (-2 (|:| |val| (-635 *3)) (|:| -4320 *4)))) (-5 *1 (-1069 *5 *6 *7 *3 *4)) (-4 *4 (-1068 *5 *6 *7 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1161 *4)) (-5 *1 (-359 *4)) (-4 *4 (-351))))) 
+(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-635 (-216))) (-5 *1 (-197))))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-13 (-366) (-151) (-1039 (-569)))) (-5 *2 (-2 (|:| |a| *6) (|:| |b| (-410 *6)) (|:| |h| *6) (|:| |c1| (-410 *6)) (|:| |c2| (-410 *6)) (|:| -4542 *6))) (-5 *1 (-1018 *5 *6)) (-5 *3 (-410 *6))))) 
 (((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1247 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-816)) (-14 *5 (-1163)) (-5 *2 (-635 (-1219 *5 *4))) (-5 *1 (-1105 *4 *5)) (-5 *3 (-1219 *5 *4))))) 
-(((*1 *1) (-12 (-4 *1 (-428 *2)) (-4 *2 (-371)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *3 (-764)) (-4 *2 (-13 (-559) (-454))) (-5 *1 (-347 *2 *4)) (-4 *4 (-52 *2 *3))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-569))) (-5 *4 (-569)) (-5 *2 (-57)) (-5 *1 (-1006))))) 
-(((*1 *1) (-12 (-5 *1 (-142 *2 *3 *4)) (-14 *2 (-569)) (-14 *3 (-764)) (-4 *4 (-173))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-14 *5 (-764)) (-5 *2 (-635 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))) (-5 *1 (-516 *4 *5)) (-5 *3 (-515 (-410 (-569)) (-233 *5 (-764)) (-853 *4) (-243 *4 (-410 (-569)))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| (-1163)) (|:| |c| (-1267 *3))))) (-5 *1 (-1267 *3)) (-4 *3 (-1048)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |k| *3) (|:| |c| (-1269 *3 *4))))) (-5 *1 (-1269 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-1109)) (-5 *2 (-121)) (-5 *1 (-817))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-537 *4 *5 *6 *7 *8 *9 *10 *2 *12)) (-4 *12 (-117)) (-4 *2 (-236 *10)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (-4 *3 (-259 *11))))) 
-(((*1 *2 *1 *3) (-12 (-4 *1 (-297)) (-5 *3 (-1163)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-297)) (-5 *2 (-121))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-392)) (-5 *2 (-1145))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1165 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-594 *3)) (-4 *3 (-43 *2)) (-4 *3 (-1048))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *6))) (-4 *6 (-951 *3 *5 *4)) (-4 *3 (-13 (-302) (-151))) (-4 *4 (-13 (-843) (-610 (-1163)))) (-4 *5 (-789)) (-5 *1 (-925 *3 *4 *5 *6))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-843)) (-5 *1 (-1169 *3))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (-12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-793 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-829 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-836 *3)) (-4 *3 (-551)) (-4 *3 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-998 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1009 *3)) (-4 *3 (-1038 *2))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| |coef2| *3) (|:| -3516 *4))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-686 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *2 *2) (-12 (-4 *3 (-1197)) (-5 *1 (-180 *3 *2)) (-4 *2 (-666 *3))))) 
-(((*1 *2 *2 *3 *4) (-12 (-5 *2 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *5)) (-4 *5 (-366)) (-5 *3 (-764)) (-14 *6 (-635 (-1163))) (-4 *8 (-231 (-4168 *6) *3)) (-5 *1 (-119 *5 *6 *7 *8 *4)) (-4 *7 (-325 *5 *8)) (-4 *4 (-117))))) 
-(((*1 *2 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *1 (-119 *4 *5 *2 *6 *3)) (-4 *2 (-325 *4 *6)) (-4 *3 (-117))))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-1163)) (-5 *2 (-3 (|:| |fst| (-437)) (|:| -1861 "void"))) (-5 *1 (-1166))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1222 *3)) (-4 *3 (-1048))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1038 (-569)))) (-4 *5 (-1222 *4)) (-5 *2 (-2 (|:| |ans| (-410 *5)) (|:| |nosol| (-121)))) (-5 *1 (-1016 *4 *5)) (-5 *3 (-410 *5))))) 
-(((*1 *1 *1 *1 *2) (-12 (-4 *1 (-1062 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-106 *3))))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-1 (-3 (-2 (|:| -3032 *4) (|:| |coeff| *4)) "failed") *4)) (-4 *4 (-366)) (-5 *1 (-579 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-990 *3 *4 *5 *6 *7)))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-2 (|:| |val| (-635 *6)) (|:| -4003 *7)))) (-4 *6 (-1062 *3 *4 *5)) (-4 *7 (-1067 *3 *4 *5 *6)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1098 *3 *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (-5 *1 (-851)))) 
-(((*1 *2 *2 *3 *4) (|partial| -12 (-5 *3 (-764)) (-4 *4 (-13 (-559) (-151))) (-5 *1 (-1216 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *5 (-789)) (-4 *6 (-843)) (-4 *7 (-1062 *4 *5 *6)) (-5 *2 (-2 (|:| |goodPols| (-635 *7)) (|:| |badPols| (-635 *7)))) (-5 *1 (-979 *4 *5 *6 *7)) (-5 *3 (-635 *7))))) 
-(((*1 *2 *3 *2 *3 *2 *3) (-12 (-5 *2 (-959 (-216))) (-5 *3 (-1109)) (-5 *1 (-115))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1247 (-2 (|:| |scaleX| (-216)) (|:| |scaleY| (-216)) (|:| |deltaX| (-216)) (|:| |deltaY| (-216)) (|:| -3047 (-569)) (|:| -3323 (-569)) (|:| |spline| (-569)) (|:| -3671 (-569)) (|:| |axesColor| (-870)) (|:| -3601 (-569)) (|:| |unitsColor| (-870)) (|:| |showing| (-569))))) (-5 *1 (-1248))))) 
-(((*1 *2 *2) (|partial| -12 (-5 *2 (-311 (-216))) (-5 *1 (-264))))) 
-(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -2714 *3))) (-5 *1 (-971 *4 *3)) (-4 *3 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-14 *4 (-635 (-1163))) (-4 *5 (-454)) (-5 *2 (-2 (|:| |glbase| (-635 (-243 *4 *5))) (|:| |glval| (-635 (-569))))) (-5 *1 (-623 *4 *5)) (-5 *3 (-635 (-243 *4 *5)))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218))))) 
-(((*1 *2 *1 *3) (|partial| -12 (-5 *3 (-888 *4)) (-4 *4 (-1091)) (-5 *2 (-121)) (-5 *1 (-885 *4 *5)) (-4 *5 (-1091)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-5 *2 (-121)) (-5 *1 (-886 *5 *3)) (-4 *3 (-1197)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 *6)) (-5 *4 (-888 *5)) (-4 *5 (-1091)) (-4 *6 (-1197)) (-5 *2 (-121)) (-5 *1 (-886 *5 *6))))) 
-(((*1 *2 *2 *3 *4 *4) (-12 (-5 *4 (-569)) (-4 *3 (-173)) (-4 *5 (-376 *3)) (-4 *6 (-376 *3)) (-5 *1 (-679 *3 *5 *6 *2)) (-4 *2 (-678 *3 *5 *6))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-1163)) (-5 *1 (-1060))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |cd| (-1145)) (|:| -1486 (-1145)))) (-5 *1 (-818))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-37 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-37 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *1 *1) (-12 (-4 *1 (-793 *2)) (-4 *2 (-173)))) ((*1 *1 *1) (-4 *1 (-859))) ((*1 *2 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-879)))) ((*1 *1 *1) (-12 (-4 *1 (-972 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-972 *3)) (-4 *3 (-366)))) ((*1 *1 *1) (-5 *1 (-973))) ((*1 *1 *1) (-12 (-4 *1 (-998 *2)) (-4 *2 (-173))))) 
-(((*1 *1 *2) (|partial| -12 (-5 *2 (-635 *6)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-1258 *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| -12 (-5 *2 (-635 *8)) (-5 *3 (-1 (-121) *8 *8)) (-5 *4 (-1 *8 *8 *8)) (-4 *8 (-1062 *5 *6 *7)) (-4 *5 (-559)) (-4 *6 (-789)) (-4 *7 (-843)) (-5 *1 (-1258 *5 *6 *7 *8))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *2 *3 *2) (-12 (-5 *3 (-764)) (-4 *4 (-351)) (-5 *1 (-208 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-216)) (-5 *2 (-410 (-569))) (-5 *1 (-300))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-391)) (-5 *1 (-439))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-167 *2)) (-4 *2 (-173)) (-4 *2 (-1183)))) ((*1 *2 *1) (-12 (-5 *1 (-330 *2)) (-4 *2 (-843)))) ((*1 *2 *1) (-12 (-5 *2 (-635 *3)) (-5 *1 (-608 *3)) (-4 *3 (-843))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121)) (-5 *1 (-515 *3 *4 *5 *6)) (-4 *6 (-951 *3 *4 *5)))) ((*1 *2 *1) (-12 (-4 *1 (-713)) (-5 *2 (-121)))) ((*1 *2 *1) (-12 (-4 *1 (-717)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-635 *8)) (-5 *1 (-31 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-231 (-4168 *6) (-764))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *5 *6 *3 *7 *8)) (-4 *3 (-951 *5 *7 (-853 *6))) (-4 *8 (-972 *5))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *6 *7 *8 *3 *4)) (-4 *4 (-1067 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1065 *5 *6 *7 *3 *4)) (-4 *4 (-1067 *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *5 (-764)) (-4 *6 (-454)) (-4 *7 (-789)) (-4 *8 (-843)) (-4 *3 (-1062 *6 *7 *8)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *6 *7 *8 *3 *4)) (-4 *4 (-1100 *6 *7 *8 *3)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-454)) (-4 *6 (-789)) (-4 *7 (-843)) (-4 *3 (-1062 *5 *6 *7)) (-5 *2 (-2 (|:| |done| (-635 *4)) (|:| |todo| (-635 (-2 (|:| |val| (-635 *3)) (|:| -4003 *4)))))) (-5 *1 (-1131 *5 *6 *7 *3 *4)) (-4 *4 (-1100 *5 *6 *7 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-214 *2 *3)) (-4 *2 (-13 (-1048) (-843))) (-14 *3 (-635 (-1163)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-321 *3 *4)) (-4 *3 (-1091)) (-4 *4 (-138)) (-5 *2 (-635 (-2 (|:| |gen| *3) (|:| -2436 *4)))))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| -4140 *3) (|:| -4145 *4)))) (-5 *1 (-726 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-717)))) ((*1 *2 *1) (-12 (-4 *1 (-1224 *3 *4)) (-4 *3 (-1048)) (-4 *4 (-788)) (-5 *2 (-1143 (-2 (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1151 *3 *4)) (-14 *3 (-918)) (-4 *4 (-1048))))) 
-(((*1 *2) (-12 (-4 *3 (-559)) (-5 *2 (-635 (-680 *3))) (-5 *1 (-48 *3 *4)) (-4 *4 (-420 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166)))) ((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-1167))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-454)) (-4 *4 (-843)) (-4 *5 (-789)) (-5 *2 (-635 *6)) (-5 *1 (-989 *3 *4 *5 *6)) (-4 *6 (-951 *3 *5 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1123 *3)) (-4 *3 (-1048)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-918)) (-5 *2 (-1159 *3)) (-5 *1 (-1172 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-466))) (-5 *2 (-764)) (-5 *1 (-465)))) ((*1 *1 *2) (-12 (-5 *2 (-764)) (-5 *1 (-466))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1247 (-311 (-216)))) (-5 *4 (-635 (-1163))) (-5 *2 (-680 (-311 (-216)))) (-5 *1 (-198)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-896 *5)) (-5 *2 (-680 *6)) (-5 *1 (-682 *5 *6 *3 *4)) (-4 *3 (-376 *6)) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4535))))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1) (-4 *1 (-1125)))) 
-(((*1 *2 *2) (|partial| -12 (-4 *3 (-559)) (-4 *3 (-173)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-679 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-1062 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-678 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2))))) 
-(((*1 *1 *1) (-4 *1 (-1130)))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *1 *3 *3) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-602 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1199)) (-5 *2 (-1258))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-151))) (-5 *1 (-543 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-4 *4 (-1228 *3)) (-4 *5 (-716 *3 *4)) (-5 *1 (-547 *3 *4 *5 *2)) (-4 *2 (-1243 *5)))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-366) (-371) (-610 (-569)))) (-5 *1 (-548 *3 *2)) (-4 *2 (-1243 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-13 (-559) (-151))) (-5 *1 (-1140 *3))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *1)) (-4 *1 (-1125 *3)) (-4 *3 (-1049)))) ((*1 *2 *2 *1) (|partial| -12 (-5 *2 (-410 *1)) (-4 *1 (-1228 *3)) (-4 *3 (-1049)) (-4 *3 (-559)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-559))))) 
+(((*1 *2 *1) (-12 (-14 *3 (-635 (-1165))) (-4 *4 (-173)) (-4 *5 (-231 (-2946 *3) (-765))) (-14 *6 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *5)) (-2 (|:| -1333 *2) (|:| -3190 *5)))) (-4 *2 (-844)) (-5 *1 (-464 *3 *4 *2 *5 *6 *7)) (-4 *7 (-952 *4 *5 (-854 *3)))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-635 (-1147))) (-5 *1 (-826)) (-5 *3 (-1147))))) 
+(((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))) (-5 *2 (-635 (-1165))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-883 *3) (-610 (-889 *3))))))) 
+(((*1 *2 *1 *3) (-12 (-4 *1 (-39)) (-5 *3 (-765)) (-5 *2 (-121)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-96 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-213 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-495 *4)) (-4 *4 (-844)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1002 *4)) (-4 *4 (-1093)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-765)) (-5 *2 (-121)) (-5 *1 (-1135 *4)) (-4 *4 (-1093)))) ((*1 *2 *3 *3) (|partial| -12 (-5 *2 (-121)) (-5 *1 (-1205 *3)) (-4 *3 (-1093)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-1 (-121) *3 *3)) (-4 *3 (-1093)) (-5 *2 (-121)) (-5 *1 (-1205 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-382)) (-5 *2 (-216)) (-5 *1 (-300))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1228 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| |ir| (-586 (-410 *6))) (|:| |specpart| (-410 *6)) (|:| |polypart| *6))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-852))) (-5 *1 (-852)))) ((*1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1167 (-410 (-569)))) (-5 *1 (-183)) (-5 *3 (-569))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *1 *1) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1006 *3)) (-14 *3 (-569)))) ((*1 *1 *1) (-4 *1 (-1058)))) 
+(((*1 *1 *1) (-12 (|has| *1 (-6 -4572)) (-4 *1 (-1240 *2)) (-4 *2 (-1199))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1165)) (-4 *4 (-13 (-844) (-559))) (-5 *1 (-160 *4 *2)) (-4 *2 (-433 *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-162)) (-5 *2 (-1165)))) ((*1 *1 *1) (-4 *1 (-162)))) 
+(((*1 *1 *1 *1) (-12 (-5 *1 (-779 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *1) (-12 (-4 *2 (-559)) (-5 *1 (-616 *2 *3)) (-4 *3 (-1228 *2))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-1049)) (-4 *2 (-679 *4 *5 *6)) (-5 *1 (-108 *4 *3 *2 *5 *6)) (-4 *3 (-1228 *4)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-666 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *3 *4) (-12 (-5 *3 (-919)) (-5 *4 (-1147)) (-5 *2 (-1258)) (-5 *1 (-1254))))) 
+(((*1 *1 *1 *2) (-12 (-4 *1 (-52 *2 *3)) (-4 *2 (-1049)) (-4 *3 (-789)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-216)))) ((*1 *1 *1 *1) (-1929 (-12 (-5 *1 (-289 *2)) (-4 *2 (-366)) (-4 *2 (-1199))) (-12 (-5 *1 (-289 *2)) (-4 *2 (-479)) (-4 *2 (-1199))))) ((*1 *1 *1 *1) (-4 *1 (-366))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-382)))) ((*1 *1 *2 *2) (-12 (-5 *2 (-1116 *3 (-608 *1))) (-4 *3 (-559)) (-4 *3 (-844)) (-4 *1 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-479))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1253 *3)) (-4 *3 (-351)) (-5 *1 (-533 *3)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-614 *2 *4 *3)) (-4 *2 (-43 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-614 *3 *4 *2)) (-4 *3 (-43 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-626 *2)) (-4 *2 (-173)) (-4 *2 (-366)))) ((*1 *1 *2 *3) (-12 (-4 *4 (-173)) (-5 *1 (-653 *2 *4 *3)) (-4 *2 (-709 *4)) (-4 *3 (|SubsetCategory| (-718) *4)))) ((*1 *1 *1 *2) (-12 (-4 *4 (-173)) (-5 *1 (-653 *3 *4 *2)) (-4 *3 (-709 *4)) (-4 *2 (|SubsetCategory| (-718) *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 (-311 (-569)) *3)) (-4 *3 (-1093)) (-5 *1 (-676 *3 *4)) (-4 *4 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-735 *2 *3)) (-14 *2 (-1165)) (-4 *3 (-13 (-1049) (-844) (-559))))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (|partial| -12 (-5 *1 (-855 *2 *3 *4 *5)) (-4 *2 (-366)) (-4 *2 (-1049)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-765))) (-14 *5 (-765)))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *1 *2 *2) (-12 (-4 *1 (-995 *2)) (-4 *2 (-559)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1052 *3 *4 *2 *5 *6)) (-4 *2 (-1049)) (-4 *5 (-231 *4 *2)) (-4 *6 (-231 *3 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-311 *3)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-1080 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1260 *2)) (-4 *2 (-366)))) ((*1 *1 *1 *1) (|partial| -12 (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-844)) (-4 *4 (-790)) (-14 *6 (-635 *3)) (-5 *1 (-1263 *2 *3 *4 *5 *6 *7 *8)) (-4 *5 (-952 *2 *4 *3)) (-14 *7 (-635 (-765))) (-14 *8 (-765)))) ((*1 *1 *1 *2) (-12 (-5 *1 (-1274 *2 *3)) (-4 *2 (-366)) (-4 *2 (-1049)) (-4 *3 (-840))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-919)) (-5 *2 (-382)) (-5 *1 (-782 *3)) (-4 *3 (-610 *2)))) ((*1 *2 *3) (-12 (-5 *3 (-955 *4)) (-4 *4 (-1049)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-955 *5)) (-5 *4 (-919)) (-4 *5 (-1049)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-410 (-955 *4))) (-4 *4 (-559)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-311 *4)) (-4 *4 (-559)) (-4 *4 (-844)) (-4 *4 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *4)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 *5)) (-5 *4 (-919)) (-4 *5 (-559)) (-4 *5 (-844)) (-4 *5 (-610 *2)) (-5 *2 (-382)) (-5 *1 (-782 *5))))) 
+(((*1 *2 *2 *2 *2 *3) (-12 (-4 *3 (-559)) (-5 *1 (-972 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *2 *2 *3 *4) (-12 (-5 *3 (-635 (-608 *6))) (-5 *4 (-1165)) (-5 *2 (-608 *6)) (-4 *6 (-433 *5)) (-4 *5 (-844)) (-5 *1 (-578 *5 *6))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-198))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1147)) (-5 *2 (-919)) (-5 *1 (-783))))) 
+(((*1 *1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1) (-4 *1 (-21))) ((*1 *1 *1 *1) (|partial| -5 *1 (-140))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-21)) (-4 *2 (-1199)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21)))) ((*1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-21))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-1147)) (-5 *1 (-1181)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-1147)) (-5 *1 (-1181))))) 
+(((*1 *2 *2) (|partial| -12 (-5 *2 (-1161 *3)) (-4 *3 (-351)) (-5 *1 (-359 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-765)) (-5 *2 (-681 (-955 *4))) (-5 *1 (-1030 *4)) (-4 *4 (-1049))))) 
+(((*1 *2 *2 *2 *3 *4) (-12 (-5 *3 (-101 *5)) (-5 *4 (-1 *5 *5)) (-4 *5 (-1049)) (-5 *1 (-847 *5 *2)) (-4 *2 (-846 *5))))) 
+(((*1 *1 *1) (-5 *1 (-1061)))) 
+(((*1 *1 *1 *1) (-4 *1 (-25))) ((*1 *1 *1 *1) (-5 *1 (-159))) ((*1 *1 *1 *1) (-12 (-5 *1 (-206 *2)) (-4 *2 (-13 (-844) (-10 -8 (-15 -2503 ((-1147) $ (-1165))) (-15 -2442 ((-1258) $)) (-15 -2367 ((-1258) $))))))) ((*1 *1 *1 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-25)) (-4 *2 (-1199)))) ((*1 *1 *2 *1) (-12 (-4 *1 (-321 *2 *3)) (-4 *2 (-1093)) (-4 *3 (-138)))) ((*1 *1 *2 *1) (-12 (-4 *3 (-13 (-366) (-151))) (-5 *1 (-402 *3 *2)) (-4 *2 (-1228 *3)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-476 *2 *3)) (-4 *2 (-173)) (-4 *3 (-23)))) ((*1 *1 *1 *1) (-12 (-4 *2 (-366)) (-4 *3 (-790)) (-4 *4 (-844)) (-5 *1 (-515 *2 *3 *4 *5)) (-4 *5 (-952 *2 *3 *4)))) ((*1 *1 *1 *1) (-5 *1 (-542))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1 *4 *3)) (-4 *3 (-1093)) (-4 *4 (-1049)) (-5 *1 (-676 *3 *4)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-679 *2 *3 *4)) (-4 *2 (-1049)) (-4 *3 (-376 *2)) (-4 *4 (-376 *2)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *1 *1 *1) (-12 (-5 *1 (-889 *2)) (-4 *2 (-1093)))) ((*1 *2 *1 *2) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *2 *1) (-12 (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)) (-4 *3 (-366)) (-4 *4 (-642 *3)))) ((*1 *2 *1 *1) (-12 (-4 *3 (-366)) (-4 *4 (-642 *3)) (-5 *2 (-237 *1)) (-4 *1 (-922 *3 *4)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-946 (-216))) (-5 *1 (-1196)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1251 *2)) (-4 *2 (-1199)) (-4 *2 (-25))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-1228 *4)) (-5 *2 (-1 *6 (-635 *6))) (-5 *1 (-1246 *4 *5 *3 *6)) (-4 *3 (-647 *5)) (-4 *6 (-1243 *4))))) 
+(((*1 *1) (-5 *1 (-329)))) 
+(((*1 *1 *1 *1) (-5 *1 (-121)))) 
+(((*1 *2 *1) (-12 (-4 *1 (-297)) (-5 *2 (-635 (-123)))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-790)) (-4 *7 (-844)) (-4 *8 (-1063 *5 *6 *7)) (-5 *2 (-635 *3)) (-5 *1 (-591 *5 *6 *7 *8 *3)) (-4 *3 (-1102 *5 *6 *7 *8)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *4)) (|:| -3672 (-635 (-955 *4)))))) (-5 *1 (-1073 *4 *5)) (-5 *3 (-635 (-955 *4))) (-14 *5 (-635 (-1165))))) ((*1 *2 *3 *4 *4) (-12 (-5 *4 (-121)) (-4 *5 (-13 (-302) (-151))) (-5 *2 (-635 (-2 (|:| -2126 (-1161 *5)) (|:| -3672 (-635 (-955 *5)))))) (-5 *1 (-1073 *5 *6)) (-5 *3 (-635 (-955 *5))) (-14 *6 (-635 (-1165)))))) 
+(((*1 *2) (-12 (-4 *3 (-1208)) (-4 *4 (-1228 *3)) (-4 *5 (-1228 (-410 *4))) (-5 *2 (-1253 *1)) (-4 *1 (-341 *3 *4 *5))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *5 *5)) (-4 *5 (-1243 *4)) (-4 *4 (-43 (-410 (-569)))) (-5 *2 (-1 (-1145 *4) (-1145 *4))) (-5 *1 (-1245 *4 *5))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-1111)) (-5 *1 (-113))))) 
+(((*1 *2 *2 *3) (-12 (-4 *3 (-1049)) (-5 *1 (-446 *3 *2)) (-4 *2 (-1228 *3))))) 
+(((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-4 *1 (-679 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-569)) (-4 *5 (-351)) (-5 *2 (-421 (-1161 (-1161 *5)))) (-5 *1 (-1198 *5)) (-5 *3 (-1161 (-1161 *5)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *11)) (-4 *3 (-366)) (-4 *5 (-952 *3 *6 (-854 *4))) (-4 *6 (-231 (-2946 *4) *2)) (-4 *7 (-973 *3)) (-4 *8 (-642 *3)) (-4 *9 (-922 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-117)) (-5 *2 (-765))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-569)) (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-1258)) (-5 *1 (-451 *4 *5 *6 *7)) (-4 *7 (-952 *4 *5 *6))))) 
+(((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-4 *2 (-1049)) (-5 *1 (-706 *2 *4)) (-4 *4 (-638 *2)))) ((*1 *1 *2 *3) (-12 (-5 *3 (-364 (-123))) (-5 *1 (-831 *2)) (-4 *2 (-1049))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-635 *7)) (-4 *7 (-952 *5 *8 (-854 *6))) (-4 *8 (-231 (-2946 *6) (-765))) (-4 *5 (-366)) (-14 *6 (-635 (-1165))) (-4 *10 (-642 *5)) (-4 *11 (-922 *5 *10)) (-5 *2 (-635 (-1253 *5))) (-5 *1 (-563 *5 *6 *7 *8 *9 *10 *11 *3)) (-4 *9 (-973 *5)) (-4 *3 (-236 *11))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *4 *5)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-5 *2 (-1 *6 *5 *4)) (-5 *1 (-675 *4 *5 *6))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1093)) (-4 *1 (-228 *3)))) ((*1 *1) (-12 (-4 *1 (-228 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-454)) (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| -2899 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-817)) (-14 *5 (-1165)) (-5 *2 (-635 (-1225 *5 *4))) (-5 *1 (-1107 *4 *5)) (-5 *3 (-1225 *5 *4))))) 
+(((*1 *2 *3 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-1063 *4 *5 *6)) (-4 *4 (-559)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-980 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-236 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-5 *1 (-1033))))) 
+(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-765)) (-5 *5 (-635 *3)) (-4 *3 (-302)) (-4 *6 (-844)) (-4 *7 (-790)) (-5 *2 (-121)) (-5 *1 (-618 *6 *7 *3 *8)) (-4 *8 (-952 *3 *7 *6))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1270 *3)) (-4 *3 (-366)) (-5 *2 (-121))))) 
+(((*1 *2 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-172))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-36 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *3 (-765)) (-5 *1 (-123)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-160 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *3) (-12 (-5 *3 (-1165)) (-5 *2 (-123)) (-5 *1 (-164)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004))))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-5 *1 (-296 *3)) (-4 *3 (-297)))) ((*1 *2 *2) (-12 (-4 *1 (-297)) (-5 *2 (-123)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *4 (-844)) (-5 *1 (-432 *3 *4)) (-4 *3 (-433 *4)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *4)) (-4 *4 (-433 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-123)) (-5 *1 (-608 *3)) (-4 *3 (-844)))) ((*1 *2 *2) (-12 (-5 *2 (-123)) (-4 *3 (-13 (-844) (-559))) (-5 *1 (-622 *3 *4)) (-4 *4 (-13 (-433 *3) (-1004) (-1185)))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852)))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *2)) (-5 *1 (-497 *2)) (-4 *2 (-1228 (-569)))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093))))) 
+(((*1 *1) (-5 *1 (-1255)))) 
+(((*1 *2 *1 *1) (-12 (-4 *3 (-559)) (-4 *3 (-1049)) (-5 *2 (-2 (|:| -3483 *1) (|:| -3028 *1))) (-4 *1 (-846 *3)))) ((*1 *2 *3 *3 *4) (-12 (-5 *4 (-101 *5)) (-4 *5 (-559)) (-4 *5 (-1049)) (-5 *2 (-2 (|:| -3483 *3) (|:| -3028 *3))) (-5 *1 (-847 *5 *3)) (-4 *3 (-846 *5))))) 
+(((*1 *2 *1) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1) (-12 (-4 *3 (-1093)) (-4 *2 (-13 (-433 *4) (-883 *3) (-610 (-889 *3)))) (-5 *1 (-1071 *3 *4 *2)) (-4 *4 (-13 (-1049) (-883 *3) (-844) (-610 (-889 *3)))))) ((*1 *2 *1) (-12 (-4 *2 (-1093)) (-5 *1 (-1154 *2 *3)) (-4 *3 (-1093))))) 
+(((*1 *2 *1 *1) (-12 (-4 *1 (-844)) (-5 *2 (-121)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-4 *1 (-900 *3)) (-4 *3 (-1093)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-901 *3)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-1090 *3)) (-4 *3 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-351)) (-5 *2 (-421 *3)) (-5 *1 (-345 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-844)) (-5 *2 (-1172 (-635 *4))) (-5 *1 (-1171 *4)) (-5 *3 (-635 *4))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-919)) (-4 *1 (-371)))) ((*1 *2 *3 *3) (-12 (-5 *3 (-919)) (-5 *2 (-1253 *4)) (-5 *1 (-533 *4)) (-4 *4 (-351)))) ((*1 *2 *1) (-12 (-4 *2 (-844)) (-5 *1 (-705 *2 *3 *4)) (-4 *3 (-1093)) (-14 *4 (-1 (-121) (-2 (|:| -1333 *2) (|:| -3190 *3)) (-2 (|:| -1333 *2) (|:| -3190 *3))))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-790)) (-4 *6 (-844)) (-4 *7 (-952 *4 *5 *6)) (-5 *2 (-421 (-1161 *7))) (-5 *1 (-903 *4 *5 *6 *7)) (-5 *3 (-1161 *7)))) ((*1 *2 *3) (-12 (-4 *4 (-906)) (-4 *5 (-1228 *4)) (-5 *2 (-421 (-1161 *5))) (-5 *1 (-904 *4 *5)) (-5 *3 (-1161 *5))))) 
+(((*1 *2 *1) (|partial| -12 (-4 *1 (-167 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-421 *3)) (-4 *3 (-551)) (-4 *3 (-559)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-794 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-830 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-837 *3)) (-4 *3 (-551)) (-4 *3 (-1093)))) ((*1 *2 *1) (|partial| -12 (-4 *1 (-999 *3)) (-4 *3 (-173)) (-4 *3 (-551)) (-5 *2 (-410 (-569))))) ((*1 *2 *3) (|partial| -12 (-5 *2 (-410 (-569))) (-5 *1 (-1010 *3)) (-4 *3 (-1039 *2))))) 
+(((*1 *2 *3 *2) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2))))) ((*1 *2 *3) (-12 (-4 *2 (-13 (-366) (-842))) (-5 *1 (-179 *2 *3)) (-4 *3 (-1228 (-170 *2)))))) 
+(((*1 *1 *1) (-4 *1 (-1132)))) 
+(((*1 *2 *3 *4) (-12 (-5 *3 (-1253 (-635 (-2 (|:| -2756 *4) (|:| -1333 (-1111)))))) (-4 *4 (-351)) (-5 *2 (-1258)) (-5 *1 (-533 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *1 *2 *2) (-12 (-5 *1 (-289 *2)) (-4 *2 (-1199)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *1 *1 *1) (-5 *1 (-852))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1028 *3)) (-4 *3 (-1199)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-437)))) ((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-574 *3)) (-4 *3 (-1039 (-569))))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+(((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 *3))) (-4 *3 (-13 (-1185) (-961) (-29 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *5 *3)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 *3))) (-5 *5 (-1147)) (-4 *3 (-13 (-1185) (-961) (-29 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 *3)) (|:| |f2| (-635 (-837 *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-210 *6 *3)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1085 (-837 (-311 *5)))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-410 (-955 *6))) (-5 *4 (-1085 (-837 (-311 *6)))) (-5 *5 (-1147)) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *5))))) (-5 *3 (-410 (-955 *5))) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *5))) (|:| |f2| (-635 (-837 (-311 *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *5)))) ((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1085 (-837 (-410 (-955 *6))))) (-5 *5 (-1147)) (-5 *3 (-410 (-955 *6))) (-4 *6 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 (|:| |f1| (-837 (-311 *6))) (|:| |f2| (-635 (-837 (-311 *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (-5 *1 (-211 *6)))) ((*1 *2 *3 *4) (-12 (-5 *4 (-1165)) (-4 *5 (-13 (-302) (-844) (-151) (-1039 (-569)) (-631 (-569)))) (-5 *2 (-3 *3 (-635 *3))) (-5 *1 (-431 *5 *3)) (-4 *3 (-13 (-1185) (-961) (-29 *5))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-480 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-5 *3 (-763)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-1087 (-837 (-382)))) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5 *5 *6) (-12 (-5 *3 (-311 (-382))) (-5 *4 (-635 (-1087 (-837 (-382))))) (-5 *5 (-382)) (-5 *6 (-1061)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1147)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3 *4 *5) (|partial| -12 (-5 *3 (-311 (-382))) (-5 *4 (-1085 (-837 (-382)))) (-5 *5 (-1165)) (-5 *2 (-1037)) (-5 *1 (-570)))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-151) (-1039 (-569)))) (-4 *5 (-1228 *4)) (-5 *2 (-586 (-410 *5))) (-5 *1 (-573 *4 *5)) (-5 *3 (-410 *5)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-955 *5))) (-5 *4 (-1165)) (-4 *5 (-151)) (-4 *5 (-13 (-454) (-1039 (-569)) (-844) (-631 (-569)))) (-5 *2 (-3 (-311 *5) (-635 (-311 *5)))) (-5 *1 (-589 *5)))) ((*1 *1 *1) (-12 (-5 *1 (-594 *2)) (-4 *2 (-43 (-410 (-569)))) (-4 *2 (-1049)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-732 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-844)) (-4 *3 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-955 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *3) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-4 *2 (-844)) (-5 *1 (-1117 *3 *2 *4)) (-4 *4 (-952 *3 (-535 *2) *2)))) ((*1 *2 *3 *2) (-12 (-5 *2 (-1145 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-5 *1 (-1149 *3)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1155 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1162 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1163 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2 *3) (-12 (-5 *2 (-1165)) (-5 *1 (-1194 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 (QUOTE |x|))) (-5 *1 (-1210 *3)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1212 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1212 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1216 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1) (-12 (-4 *1 (-1228 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1233 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1233 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1237 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-1929 (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (-4 *3 (-29 (-569))) (-4 *3 (-961)) (-4 *3 (-1185)) (-4 *3 (-43 (-410 (-569)))))) (-12 (-5 *2 (-1165)) (-4 *1 (-1243 *3)) (-4 *3 (-1049)) (-12 (|has| *3 (-15 -3195 ((-635 *2) *3))) (|has| *3 (-15 -1324 (*3 *3 *2))) (-4 *3 (-43 (-410 (-569)))))))) ((*1 *1 *1) (-12 (-4 *1 (-1243 *2)) (-4 *2 (-1049)) (-4 *2 (-43 (-410 (-569)))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049)) (-14 *5 *3))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1249 *4)) (-14 *4 (-1165)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-43 (-410 (-569)))) (-4 *3 (-1049))))) 
+(((*1 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1004)))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1012 *3)) (-4 *3 (-1199)) (-5 *2 (-635 *3))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-57)) (-5 *1 (-56 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-382))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-5 *1 (-338 *3 *4 *5)) (-4 *5 (-1039 (-569))) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-1165)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 *2)) (-14 *4 (-635 *2)) (-4 *5 (-390)))) ((*1 *1 *2) (-12 (-5 *2 (-311 *5)) (-4 *5 (-390)) (-5 *1 (-338 *3 *4 *5)) (-14 *3 (-635 (-1165))) (-14 *4 (-635 (-1165))))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-569))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-410 (-955 (-382))))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-955 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-569)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-681 (-311 (-382)))) (-4 *1 (-387)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-569)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-410 (-955 (-382)))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-569))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-311 (-382))) (-4 *1 (-399)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-569))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-410 (-955 (-382))))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-955 (-382)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-569)))) (-4 *1 (-443)))) ((*1 *1 *2) (-12 (-5 *2 (-1253 (-311 (-382)))) (-4 *1 (-443)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-736 *3 *4))) (-5 *1 (-735 *3 *4)) (-14 *3 (-1165)) (-4 *4 (-13 (-1049) (-844) (-559))))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |nia| (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (|:| |mdnia| (-2 (|:| |fn| (-311 (-216))) (|:| -1848 (-635 (-1087 (-837 (-216))))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))))) (-5 *1 (-763)))) ((*1 *1 *2) (-12 (-5 *2 (-1210 *3)) (-4 *3 (-351)) (-5 *1 (-772 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *1 (-805)))) ((*1 *2 *1) (-12 (-5 *2 (-3 (|:| |noa| (-2 (|:| |fn| (-311 (-216))) (|:| -1423 (-635 (-216))) (|:| |lb| (-635 (-837 (-216)))) (|:| |cf| (-635 (-311 (-216)))) (|:| |ub| (-635 (-837 (-216)))))) (|:| |lsa| (-2 (|:| |lfn| (-635 (-311 (-216)))) (|:| -1423 (-635 (-216))))))) (-5 *1 (-835)))) ((*1 *2 *1) (-12 (-5 *2 (-2 (|:| |pde| (-635 (-311 (-216)))) (|:| |constraints| (-635 (-2 (|:| |start| (-216)) (|:| |finish| (-216)) (|:| |grid| (-765)) (|:| |boundaryType| (-569)) (|:| |dStart| (-681 (-216))) (|:| |dFinish| (-681 (-216)))))) (|:| |f| (-635 (-635 (-311 (-216))))) (|:| |st| (-1147)) (|:| |tol| (-216)))) (-5 *1 (-895)))) ((*1 *1 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-1063 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-4 *1 (-979 *3 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1039 *2)) (-4 *2 (-1199)))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-3182 (-4 *3 (-43 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-551))) (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 *3)) (-12 (-3182 (-4 *3 (-995 (-569)))) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *1 (-1063 *3 *4 *5)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-1929 (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-3182 (-4 *3 (-43 (-410 (-569))))) (-4 *3 (-43 (-569))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))) (-12 (-5 *2 (-955 (-569))) (-4 *1 (-1063 *3 *4 *5)) (-12 (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165)))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) ((*1 *1 *2) (-12 (-5 *2 (-955 (-410 (-569)))) (-4 *1 (-1063 *3 *4 *5)) (-4 *3 (-43 (-410 (-569)))) (-4 *5 (-610 (-1165))) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-184)) (-5 *3 (-569)))) ((*1 *2 *3 *2) (-12 (-5 *3 (-765)) (-5 *1 (-780 *2)) (-4 *2 (-173)))) ((*1 *2 *3) (-12 (-5 *2 (-1161 (-569))) (-5 *1 (-945)) (-5 *3 (-569))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-635 *7)) (-4 *7 (-952 *4 *6 *5)) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-955 *4))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-844) (-610 (-1165)))) (-4 *6 (-790)) (-5 *2 (-121)) (-5 *1 (-926 *4 *5 *6 *7)) (-4 *7 (-952 *4 *6 *5))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-1161 *3)) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| -12 (-5 *4 (-608 *3)) (-5 *5 (-410 (-1161 *3))) (-4 *3 (-13 (-433 *6) (-27) (-1185))) (-4 *6 (-13 (-454) (-1039 (-569)) (-844) (-151) (-631 (-569)))) (-5 *2 (-2 (|:| -3339 *3) (|:| |coeff| *3))) (-5 *1 (-565 *6 *3 *7)) (-4 *7 (-1093))))) 
+(((*1 *2 *3 *2 *4) (|partial| -12 (-5 *3 (-635 (-608 *2))) (-5 *4 (-1165)) (-4 *2 (-13 (-27) (-1185) (-433 *5))) (-4 *5 (-13 (-559) (-844) (-1039 (-569)) (-631 (-569)))) (-5 *1 (-274 *5 *2))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |var| (-1165)) (|:| |fn| (-311 (-216))) (|:| -1848 (-1087 (-837 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-564)))) ((*1 *2 *1) (-12 (-4 *1 (-606 *3 *4)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-5 *2 (-635 *3)))) ((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |xinit| (-216)) (|:| |xend| (-216)) (|:| |fn| (-1253 (-311 (-216)))) (|:| |yinit| (-635 (-216))) (|:| |intvals| (-635 (-216))) (|:| |g| (-311 (-216))) (|:| |abserr| (-216)) (|:| |relerr| (-216))))) (-5 *1 (-800))))) 
+(((*1 *2 *2) (|partial| -12 (-4 *1 (-986 *2)) (-4 *2 (-1185))))) 
+(((*1 *1 *1) (-12 (-4 *1 (-240 *2)) (-4 *2 (-1199))))) 
+(((*1 *1 *1 *2) (-12 (-5 *2 (-1219 (-569))) (-4 *1 (-278 *3)) (-4 *3 (-1199)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-569)) (-4 *1 (-278 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1214 *3 *2)) (-4 *3 (-1049)) (-4 *2 (-1243 *3))))) 
+(((*1 *2 *3 *3) (-12 (-4 *4 (-559)) (-5 *2 (-2 (|:| |coef1| *3) (|:| -3673 *4))) (-5 *1 (-972 *4 *3)) (-4 *3 (-1228 *4))))) 
+(((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-96 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-4 *1 (-105)) (-5 *2 (-121)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-213 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-495 *3)) (-4 *3 (-1093)) (-4 *3 (-844)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1002 *3)) (-4 *3 (-1093)) (-4 *3 (-1093)))) ((*1 *2 *1 *1) (-12 (-5 *2 (-121)) (-5 *1 (-1135 *3)) (-4 *3 (-1093)) (-4 *3 (-1093))))) 
+(((*1 *1) (|partial| -12 (-4 *1 (-370 *2)) (-4 *2 (-559)) (-4 *2 (-173))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1164)) (-5 *1 (-329))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |lcmfij| *5) (|:| |totdeg| (-765)) (|:| |poli| *7) (|:| |polj| *7))) (-4 *5 (-790)) (-4 *7 (-952 *4 *5 *6)) (-4 *4 (-454)) (-4 *6 (-844)) (-5 *2 (-121)) (-5 *1 (-451 *4 *5 *6 *7))))) 
 (((*1 *1 *1 *1 *1) (-4 *1 (-551)))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *3)))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *1 (-181 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *2) (-12 (-4 *3 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *3 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *3))))) ((*1 *2 *2 *3) (-12 (-5 *3 (-1163)) (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *1 (-1187 *4 *2)) (-4 *2 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-493 *4 *5)) (-14 *4 (-635 (-1163))) (-4 *5 (-1048)) (-5 *2 (-954 *5)) (-5 *1 (-946 *4 *5))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-243 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-14 *3 (-635 (-1163))) (-5 *1 (-456 *3 *4 *5)) (-4 *4 (-1048)) (-4 *5 (-231 (-4168 *3) (-764))))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-493 *3 *4)) (-14 *3 (-635 (-1163))) (-4 *4 (-1048))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1093 *4)) (-4 *4 (-1091)) (-5 *2 (-1 *4)) (-5 *1 (-1018 *4)))) ((*1 *2 *3 *3) (-12 (-5 *2 (-1 (-382))) (-5 *1 (-1040)) (-5 *3 (-382)))) ((*1 *2 *3) (-12 (-5 *3 (-1085 (-569))) (-5 *2 (-1 (-569))) (-5 *1 (-1046))))) 
-(((*1 *1 *1 *1 *1) (-4 *1 (-754)))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-57)) (-5 *1 (-825))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-121))))) 
-(((*1 *2 *3 *4 *5 *6) (-12 (-5 *6 (-918)) (-4 *5 (-302)) (-4 *3 (-1222 *5)) (-5 *2 (-2 (|:| |plist| (-635 *3)) (|:| |modulo| *5))) (-5 *1 (-463 *5 *3)) (-5 *4 (-635 *3))))) 
-(((*1 *2 *1) (|partial| -12 (-4 *1 (-1229 *3 *2)) (-4 *3 (-1048)) (-4 *2 (-1206 *3))))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-121)) (-5 *1 (-257))))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-918)) (-4 *1 (-328 *3)) (-4 *3 (-366)) (-4 *3 (-371)))) ((*1 *2 *1) (-12 (-4 *1 (-328 *2)) (-4 *2 (-366)))) ((*1 *2 *1) (-12 (-4 *1 (-373 *2 *3)) (-4 *3 (-1222 *2)) (-4 *2 (-173)))) ((*1 *2 *2 *3) (-12 (-5 *2 (-1247 *4)) (-5 *3 (-918)) (-4 *4 (-351)) (-5 *1 (-533 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-1112 *3 *2 *4 *5)) (-4 *4 (-231 *3 *2)) (-4 *5 (-231 *3 *2)) (-4 *2 (-1048))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *2 (-680 *3)) (-4 *3 (-1048)) (-5 *1 (-681 *3))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-829 (-216))) (-5 *1 (-218)) (-5 *3 (-216))))) 
-(((*1 *2 *3 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *1 *1) (-12 (-4 *2 (-351)) (-4 *2 (-1048)) (-5 *1 (-703 *2 *3)) (-4 *3 (-1222 *2))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-928))))) 
-(((*1 *2 *2 *3) (-12 (-5 *3 (-635 *13)) (-4 *13 (-259 *12)) (-4 *12 (-537 *4 *5 *6 *7 *8 *9 *10 *11 *14)) (-4 *14 (-117)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) *2)) (-4 *8 (-972 *4)) (-4 *9 (-642 *4)) (-4 *10 (-921 *4 *9)) (-4 *11 (-236 *10)) (-5 *2 (-764)) (-5 *1 (-261 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-635 (-542))) (-5 *1 (-542))))) 
-(((*1 *2) (-12 (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-951 *3 *6 (-853 *4))) (-4 *6 (-231 (-4168 *4) (-764))) (-4 *7 (-972 *3)) (-4 *8 (-642 *3)) (-4 *9 (-921 *3 *8)) (-4 *10 (-236 *9)) (-4 *11 (-537 *3 *4 *5 *6 *7 *8 *9 *10 *13)) (-4 *13 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2) (-12 (-5 *2 (-635 (-968 *3))) (-5 *1 (-868 *3 *4 *5)) (-4 *3 (-351)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2) (-12 (-5 *2 (-635 (-967 *3))) (-5 *1 (-869 *3 *4 *5)) (-4 *3 (-366)) (-14 *4 (-635 (-1163))) (-4 *5 (-117)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *6 (-231 (-4168 *5) (-764))) (-5 *2 (-635 *7)) (-5 *1 (-964 *4 *5 *3 *6 *7)) (-4 *3 (-951 *4 *6 (-853 *5))) (-4 *7 (-972 *4))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-289 (-410 (-954 (-170 (-569))))))) (-5 *2 (-635 (-635 (-289 (-954 (-170 *4)))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-410 (-954 (-170 (-569))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841))))) ((*1 *2 *3 *4) (-12 (-5 *3 (-289 (-410 (-954 (-170 (-569)))))) (-5 *2 (-635 (-289 (-954 (-170 *4))))) (-5 *1 (-381 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-642 *2)) (-4 *2 (-366))))) 
-(((*1 *2 *3) (-12 (-5 *2 (-1 (-945 *3) (-945 *3))) (-5 *1 (-175 *3)) (-4 *3 (-13 (-366) (-1183) (-1003)))))) 
-(((*1 *2 *3) (-12 (|has| *2 (-6 (-4537 "*"))) (-4 *5 (-376 *2)) (-4 *6 (-376 *2)) (-4 *2 (-1048)) (-5 *1 (-108 *2 *3 *4 *5 *6)) (-4 *3 (-1222 *2)) (-4 *4 (-678 *2 *5 *6))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-14 *5 (-635 (-1163))) (-4 *3 (-951 *2 *6 (-853 *5))) (-4 *6 (-231 (-4168 *5) (-764))) (-4 *7 (-972 *2)) (-4 *8 (-642 *2)) (-4 *4 (-921 *2 *8)) (-4 *9 (-236 *4)) (-4 *10 (-537 *2 *5 *3 *6 *7 *8 *4 *9 *12)) (-4 *12 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (-4 *11 (-259 *10)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 *6)) (-4 *6 (-951 *2 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-14 *5 (-635 (-1163))) (-4 *8 (-972 *2)) (-4 *9 (-642 *2)) (-4 *4 (-921 *2 *9)) (-4 *10 (-236 *4)) (-4 *11 (-537 *2 *5 *6 *7 *8 *9 *4 *10 *13)) (-4 *13 (-117)) (-4 *2 (-366)) (-5 *1 (-468 *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (-4 *12 (-259 *11)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-923 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-351)) (-5 *1 (-868 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *3 *4) (|partial| -12 (-5 *3 (-243 *5 *2)) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117)))) ((*1 *2 *3 *4) (|partial| -12 (-5 *3 (-410 (-243 *5 *2))) (-5 *4 (-922 *2)) (-14 *5 (-635 (-1163))) (-4 *2 (-366)) (-5 *1 (-869 *2 *5 *6)) (-4 *6 (-117))))) 
-(((*1 *2 *2 *2 *3 *3) (-12 (-5 *3 (-764)) (-4 *4 (-1048)) (-5 *1 (-1218 *4 *2)) (-4 *2 (-1222 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-851)) (-5 *2 (-1145)) (-5 *1 (-701))))) 
-(((*1 *2 *2 *2 *3) (-12 (-5 *3 (-764)) (-4 *4 (-13 (-1048) (-708 (-410 (-569))))) (-4 *5 (-843)) (-5 *1 (-1261 *4 *5 *2)) (-4 *2 (-1266 *5 *4))))) 
-(((*1 *2 *3 *3 *2) (-12 (-5 *2 (-1143 *4)) (-5 *3 (-569)) (-4 *4 (-1048)) (-5 *1 (-1147 *4)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1204 *3)) (-4 *3 (-1048)))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1238 *3 *4 *5)) (-4 *3 (-1048)) (-14 *4 (-1163)) (-14 *5 *3))) ((*1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-1242 *3 *4)) (-4 *3 (-1048)) (-14 *4 (-1163))))) 
-(((*1 *2 *3 *2) (-12 (-5 *3 (-1 (-121) *4 *4)) (-4 *4 (-1197)) (-5 *1 (-378 *4 *2)) (-4 *2 (-13 (-376 *4) (-10 -7 (-6 -4536))))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-329))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-5 *2 (-170 (-311 *4))) (-5 *1 (-181 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 (-170 *4)))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-454) (-843) (-1038 (-569)) (-631 (-569)))) (-5 *2 (-170 *3)) (-5 *1 (-1187 *4 *3)) (-4 *3 (-13 (-27) (-1183) (-433 *4)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2) (-12 (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-1159 *5)) (-4 *5 (-366)) (-5 *2 (-635 *6)) (-5 *1 (-536 *5 *6 *4)) (-4 *6 (-366)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-13 (-559) (-843) (-1038 (-569)))) (-4 *5 (-433 *4)) (-5 *2 (-421 *3)) (-5 *1 (-438 *4 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *1 *1 *2 *2 *1) (-12 (-5 *2 (-569)) (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-243 (-2139 (QUOTE X) (QUOTE -2374)) *4)) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-4 *7 (-231 (-4168 *5) (-764))) (-5 *2 (-635 (-635 (-764)))) (-5 *1 (-119 *4 *5 *6 *7 *8)) (-4 *6 (-325 *4 *7)) (-4 *8 (-117))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-635 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-918)) (-5 *2 (-900 (-569))) (-5 *1 (-914)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-569))) (-5 *2 (-900 (-569))) (-5 *1 (-914))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-112)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-209)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-498)))) ((*1 *1 *1) (-12 (-4 *1 (-994 *2)) (-4 *2 (-559)) (-4 *2 (-302)))) ((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-1005 *3)) (-14 *3 (-569)))) ((*1 *1 *1) (-4 *1 (-1057)))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 (-170 (-410 (-569))))) (-5 *2 (-635 (-2 (|:| |outval| (-170 *4)) (|:| |outmult| (-569)) (|:| |outvect| (-635 (-680 (-170 *4))))))) (-5 *1 (-757 *4)) (-4 *4 (-13 (-366) (-841)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-366)) (-5 *1 (-281 *3 *2)) (-4 *2 (-1237 *3))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-559))) (-5 *1 (-273 *3 *2)) (-4 *2 (-13 (-433 *3) (-1003)))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-901 *3)) (-4 *3 (-1091))))) 
-(((*1 *1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-366))))) 
-(((*1 *1 *1) (-12 (-4 *1 (-325 *2 *3)) (-4 *2 (-1048)) (-4 *3 (-788)) (-4 *2 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-341 *2 *3 *4)) (-4 *2 (-1202)) (-4 *3 (-1222 *2)) (-4 *4 (-1222 (-410 *3))))) ((*1 *1 *1) (-12 (-4 *1 (-845 *2)) (-4 *2 (-1048)) (-4 *2 (-454)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-951 *3 *4 *2)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *2 (-843)) (-4 *3 (-454)))) ((*1 *1 *1) (-12 (-4 *1 (-951 *2 *3 *4)) (-4 *2 (-1048)) (-4 *3 (-789)) (-4 *4 (-843)) (-4 *2 (-454)))) ((*1 *2 *2 *3) (-12 (-4 *3 (-302)) (-4 *3 (-559)) (-5 *1 (-1150 *3 *2)) (-4 *2 (-1222 *3))))) 
-(((*1 *2 *3) (|partial| -12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-2 (|:| -2291 (-123)) (|:| |w| (-216)))) (-5 *1 (-197))))) 
-(((*1 *2 *2) (|partial| -12 (-4 *1 (-985 *2)) (-4 *2 (-1183))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1143 *3)) (-5 *1 (-174 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (-12 (-5 *3 (-764)) (-5 *1 (-667 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-1163))) (-4 *4 (-13 (-302) (-151))) (-4 *5 (-13 (-843) (-610 (-1163)))) (-4 *6 (-789)) (-5 *2 (-635 (-410 (-954 *4)))) (-5 *1 (-925 *4 *5 *6 *7)) (-4 *7 (-951 *4 *6 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1163)) (-5 *2 (-1252)) (-5 *1 (-1166))))) 
-(((*1 *1 *1) (-4 *1 (-864 *2)))) 
-(((*1 *2 *2) (-12 (-5 *2 (-635 *6)) (-4 *6 (-951 *3 *4 *5)) (-4 *3 (-454)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *1 (-451 *3 *4 *5 *6))))) 
-(((*1 *2 *1 *2) (-12 (-4 *1 (-367 *3 *2)) (-4 *3 (-1091)) (-4 *2 (-1091))))) 
-(((*1 *2 *2) (-12 (-5 *2 (-382)) (-5 *1 (-99))))) 
-(((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-473)))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-928))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-1 *6 *5)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-5 *2 (-1 *6 *4 *5)) (-5 *1 (-674 *4 *5 *6)) (-4 *4 (-1091))))) 
-(((*1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-4 *6 (-882 *5)) (-5 *2 (-881 *5 *6 (-635 *6))) (-5 *1 (-883 *5 *6 *4)) (-5 *3 (-635 *6)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 *3))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1038 (-1163))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-635 (-289 (-954 *3)))) (-5 *1 (-883 *5 *3 *4)) (-4 *3 (-1048)) (-3864 (-4 *3 (-1038 (-1163)))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5))))) ((*1 *2 *3 *4) (-12 (-4 *5 (-1091)) (-5 *2 (-885 *5 *3)) (-5 *1 (-883 *5 *3 *4)) (-3864 (-4 *3 (-1038 (-1163)))) (-3864 (-4 *3 (-1048))) (-4 *3 (-882 *5)) (-4 *4 (-610 (-888 *5)))))) 
-(((*1 *1 *1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1062 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *3 (-559))))) 
-(((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-121)) (-5 *1 (-369 *3 *4)) (-4 *3 (-370 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-121))))) 
-(((*1 *1 *1 *2 *1) (-12 (-4 *1 (-135 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *2 *1) (-12 (-5 *2 (-635 *6)) (-4 *1 (-978 *3 *4 *5 *6)) (-4 *3 (-1048)) (-4 *4 (-789)) (-4 *5 (-843)) (-4 *6 (-1062 *3 *4 *5)) (-4 *3 (-559))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-764)) (-5 *1 (-142 *3 *4 *5)) (-14 *3 (-569)) (-14 *4 *2) (-4 *5 (-173)))) ((*1 *2) (-12 (-4 *4 (-173)) (-5 *2 (-918)) (-5 *1 (-166 *3 *4)) (-4 *3 (-167 *4)))) ((*1 *2) (-12 (-4 *1 (-370 *3)) (-4 *3 (-173)) (-5 *2 (-918)))) ((*1 *2) (-12 (-4 *1 (-373 *3 *4)) (-4 *3 (-173)) (-4 *4 (-1222 *3)) (-5 *2 (-918)))) ((*1 *2 *3) (-12 (-4 *4 (-366)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-530 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-680 *5)) (-5 *4 (-1247 *5)) (-4 *5 (-366)) (-5 *2 (-764)) (-5 *1 (-660 *5)))) ((*1 *2 *3 *4) (-12 (-4 *5 (-366)) (-4 *6 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-4 *4 (-13 (-376 *5) (-10 -7 (-6 -4536)))) (-5 *2 (-764)) (-5 *1 (-661 *5 *6 *4 *3)) (-4 *3 (-678 *5 *6 *4)))) ((*1 *2 *1) (-12 (-4 *1 (-678 *3 *4 *5)) (-4 *3 (-1048)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-4 *3 (-559)) (-5 *2 (-764)))) ((*1 *2 *3) (-12 (-4 *4 (-559)) (-4 *4 (-173)) (-4 *5 (-376 *4)) (-4 *6 (-376 *4)) (-5 *2 (-764)) (-5 *1 (-679 *4 *5 *6 *3)) (-4 *3 (-678 *4 *5 *6)))) ((*1 *2 *1) (-12 (-4 *1 (-1051 *3 *4 *5 *6 *7)) (-4 *5 (-1048)) (-4 *6 (-231 *4 *5)) (-4 *7 (-231 *3 *5)) (-4 *5 (-559)) (-5 *2 (-764))))) 
-(((*1 *2 *1) (-12 (-4 *3 (-1091)) (-4 *4 (-13 (-1048) (-882 *3) (-843) (-610 (-888 *3)))) (-5 *2 (-635 (-1070 *3 *4 *5))) (-5 *1 (-1071 *3 *4 *5)) (-4 *5 (-13 (-433 *4) (-882 *3) (-610 (-888 *3))))))) 
-(((*1 *1 *1) (-5 *1 (-1060)))) 
-(((*1 *2 *3 *2) (-12 (-5 *2 (-1145)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-1145)) (-5 *1 (-257)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1248)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-1145)) (-5 *2 (-1252)) (-5 *1 (-1249))))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-366)) (-14 *6 (-635 (-1163))) (-4 *7 (-951 *5 *8 (-853 *6))) (-4 *8 (-231 (-4168 *6) *4)) (-4 *9 (-972 *5)) (-4 *10 (-642 *5)) (-4 *11 (-921 *5 *10)) (-4 *3 (-236 *11)) (-4 *12 (-537 *5 *6 *7 *8 *9 *10 *11 *3 *14)) (-4 *14 (-117)) (-5 *2 (-635 *7)) (-5 *1 (-468 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (-4 *13 (-259 *12)))) ((*1 *2 *3 *4 *5 *2) (-12 (-5 *2 (-635 *5)) (-4 *5 (-951 *6 *8 (-853 *7))) (-4 *8 (-231 (-4168 *7) *4)) (-5 *4 (-764)) (-4 *6 (-366)) (-14 *7 (-635 (-1163))) (-4 *10 (-642 *6)) (-4 *11 (-921 *6 *10)) (-5 *1 (-563 *6 *7 *5 *8 *9 *10 *11 *3)) (-4 *9 (-972 *6)) (-4 *3 (-236 *11)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-923 *5))) (-5 *4 (-764)) (-4 *5 (-351)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-868 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117)))) ((*1 *2 *3 *4) (-12 (-5 *3 (-237 (-922 *5))) (-5 *4 (-764)) (-4 *5 (-366)) (-5 *2 (-635 (-243 *6 *5))) (-5 *1 (-869 *5 *6 *7)) (-14 *6 (-635 (-1163))) (-4 *7 (-117))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-680 *8)) (-4 *8 (-951 *5 *7 *6)) (-4 *5 (-13 (-302) (-151))) (-4 *6 (-13 (-843) (-610 (-1163)))) (-4 *7 (-789)) (-5 *2 (-635 (-2 (|:| -1321 (-764)) (|:| |eqns| (-635 (-2 (|:| |det| *8) (|:| |rows| (-635 (-569))) (|:| |cols| (-635 (-569)))))) (|:| |fgb| (-635 *8))))) (-5 *1 (-925 *5 *6 *7 *8)) (-5 *4 (-764))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-410 (-569))) (-5 *1 (-315 *3 *4 *5)) (-4 *3 (-13 (-366) (-843))) (-14 *4 (-1163)) (-14 *5 *3)))) 
-(((*1 *1 *1) (-5 *1 (-121)))) 
-(((*1 *1 *1 *2) (-12 (-5 *2 (-764)) (-4 *1 (-1262 *3 *4)) (-4 *3 (-843)) (-4 *4 (-1048)) (-4 *4 (-173)))) ((*1 *1 *1 *1) (-12 (-4 *1 (-1262 *2 *3)) (-4 *2 (-843)) (-4 *3 (-1048)) (-4 *3 (-173))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-1252)) (-5 *1 (-818))))) 
-(((*1 *2 *3 *4) (-12 (-5 *3 (-635 (-954 *5))) (-5 *4 (-635 (-1163))) (-4 *5 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *5)))))) (-5 *1 (-763 *5)))) ((*1 *2 *3) (-12 (-5 *3 (-635 (-954 *4))) (-4 *4 (-559)) (-5 *2 (-635 (-635 (-289 (-410 (-954 *4)))))) (-5 *1 (-763 *4)))) ((*1 *2 *3 *4 *5) (-12 (-5 *3 (-680 *7)) (-5 *5 (-1 (-2 (|:| |particular| (-3 *6 "failed")) (|:| -3930 (-635 *6))) *7 *6)) (-4 *6 (-366)) (-4 *7 (-647 *6)) (-5 *2 (-2 (|:| |particular| (-3 (-1247 *6) "failed")) (|:| -3930 (-635 (-1247 *6))))) (-5 *1 (-809 *6 *7)) (-5 *4 (-1247 *6))))) 
-(((*1 *2 *1) (|partial| -12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123)))) ((*1 *1 *1 *2) (-12 (-5 *2 (-1 (-542) (-635 (-542)))) (-5 *1 (-123))))) 
-(((*1 *2 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *2 *1) (-12 (-4 *1 (-996 *2)) (-4 *2 (-1197)))) ((*1 *2 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *3 *4 *5) (-12 (-5 *4 (-1 *7 *7)) (-5 *5 (-1 (-2 (|:| |ans| *6) (|:| -1869 *6) (|:| |sol?| (-121))) (-569) *6)) (-4 *6 (-366)) (-4 *7 (-1222 *6)) (-5 *2 (-2 (|:| |answer| (-586 (-410 *7))) (|:| |a0| *6))) (-5 *1 (-579 *6 *7)) (-5 *3 (-410 *7))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-767)) (-5 *1 (-57))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-31 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4)))) ((*1 *2 *3) (-12 (-5 *3 (-635 *6)) (-4 *6 (-951 *4 *7 (-853 *5))) (-4 *7 (-231 (-4168 *5) (-764))) (-4 *4 (-366)) (-14 *5 (-635 (-1163))) (-5 *2 (-3 (-635 *8) "failed" "Infinite" (-569))) (-5 *1 (-32 *4 *5 *6 *7 *8)) (-4 *8 (-972 *4))))) 
-(((*1 *1 *2 *3) (-12 (-5 *3 (-569)) (-5 *1 (-421 *2)) (-4 *2 (-559))))) 
-(((*1 *1 *2) (-12 (-5 *2 (-635 *3)) (-4 *3 (-1091)) (-5 *1 (-728 *3)))) ((*1 *1 *2) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-728 *2)) (-4 *2 (-1091))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-126 *3)) (-14 *3 (-569)))) ((*1 *1 *2 *3 *3) (-12 (-5 *3 (-1143 *2)) (-4 *2 (-302)) (-5 *1 (-174 *2)))) ((*1 *1 *2) (-12 (-5 *2 (-410 *3)) (-4 *3 (-302)) (-5 *1 (-174 *3)))) ((*1 *2 *3) (-12 (-5 *2 (-174 (-569))) (-5 *1 (-758 *3)) (-4 *3 (-407)))) ((*1 *2 *1) (-12 (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-866 *3)) (-14 *3 (-569)))) ((*1 *2 *1) (-12 (-14 *3 (-569)) (-5 *2 (-174 (-410 (-569)))) (-5 *1 (-867 *3 *4)) (-4 *4 (-864 *3))))) 
-(((*1 *1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1 *1) (-12 (-4 *1 (-248 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (|has| *1 (-6 -4536)) (-4 *1 (-376 *2)) (-4 *2 (-1197)))) ((*1 *1 *1) (-12 (-5 *1 (-639 *2 *3 *4)) (-4 *2 (-1091)) (-4 *3 (-23)) (-14 *4 *3)))) 
-(((*1 *2 *3 *1) (-12 (-5 *3 (-635 *4)) (-4 *4 (-1091)) (-4 *4 (-1197)) (-5 *2 (-121)) (-5 *1 (-1143 *4))))) 
-(((*1 *2 *3 *4 *3) (|partial| -12 (-5 *4 (-1 *6 *6)) (-4 *6 (-1222 *5)) (-4 *5 (-366)) (-5 *2 (-2 (|:| -3032 (-410 *6)) (|:| |coeff| (-410 *6)))) (-5 *1 (-579 *5 *6)) (-5 *3 (-410 *6))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-311 (-382))) (-5 *2 (-311 (-216))) (-5 *1 (-300))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-1094 *3 *4 *5 *6 *7)) (-4 *3 (-1091)) (-4 *4 (-1091)) (-4 *5 (-1091)) (-4 *6 (-1091)) (-4 *7 (-1091)) (-5 *2 (-121))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-635 (-2 (|:| -1743 (-1159 *6)) (|:| -2356 (-569))))) (-4 *6 (-302)) (-4 *4 (-789)) (-4 *5 (-843)) (-5 *2 (-569)) (-5 *1 (-733 *4 *5 *6 *7)) (-4 *7 (-951 *6 *4 *5))))) 
-(((*1 *1) (-4 *1 (-39))) ((*1 *1) (-12 (-5 *1 (-96 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-213 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-495 *2)) (-4 *2 (-843)))) ((*1 *1) (-5 *1 (-851))) ((*1 *1) (-12 (-4 *2 (-454)) (-4 *3 (-843)) (-4 *4 (-789)) (-5 *1 (-989 *2 *3 *4 *5)) (-4 *5 (-951 *2 *4 *3)))) ((*1 *1) (-12 (-5 *1 (-1001 *2)) (-4 *2 (-1091)))) ((*1 *1) (-12 (-5 *1 (-1126 *2 *3)) (-4 *2 (-13 (-1091) (-39))) (-4 *3 (-13 (-1091) (-39))))) ((*1 *1) (-12 (-5 *1 (-1133 *2)) (-4 *2 (-1091)))) ((*1 *1) (-5 *1 (-1166))) ((*1 *1) (-5 *1 (-1167)))) 
-(((*1 *2 *3 *4) (-12 (-5 *4 (-764)) (-5 *2 (-121)) (-5 *1 (-587 *3)) (-4 *3 (-551))))) 
-(((*1 *2 *3 *3 *4) (-12 (-5 *4 (-764)) (-4 *5 (-559)) (-5 *2 (-2 (|:| |coef2| *3) (|:| |subResultant| *3))) (-5 *1 (-971 *5 *3)) (-4 *3 (-1222 *5))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-2 (|:| |var| (-1163)) (|:| |fn| (-311 (-216))) (|:| -4235 (-1085 (-836 (-216)))) (|:| |abserr| (-216)) (|:| |relerr| (-216)))) (-5 *2 (-382)) (-5 *1 (-185))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-559)) (-5 *2 (-1247 (-680 *4))) (-5 *1 (-95 *4 *5)) (-5 *3 (-680 *4)) (-4 *5 (-647 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-351)) (-5 *2 (-764)))) ((*1 *2 *1 *1) (|partial| -12 (-4 *1 (-405)) (-5 *2 (-764))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (-12 (-5 *3 (-569)) (-5 *4 (-680 (-216))) (-5 *5 (-216)) (-5 *2 (-1036)) (-5 *1 (-744))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-635 (-2 (|:| |scalar| (-410 (-569))) (|:| |coeff| (-1159 *3)) (|:| |logand| (-1159 *3))))) (-5 *1 (-586 *3)) (-4 *3 (-366))))) 
-(((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-37 *3)))) ((*1 *2 *1 *3) (-12 (-4 *1 (-899 *3)) (-4 *3 (-1091)) (-5 *2 (-1093 *3)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-635 *4))) (-5 *1 (-900 *4)) (-5 *3 (-635 *4)))) ((*1 *2 *1 *3) (-12 (-4 *4 (-1091)) (-5 *2 (-1093 (-1093 *4))) (-5 *1 (-900 *4)) (-5 *3 (-1093 *4)))) ((*1 *2 *1 *3) (-12 (-5 *2 (-1093 *3)) (-5 *1 (-900 *3)) (-4 *3 (-1091)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-764)) (-4 *4 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *4)))) ((*1 *2 *1) (-12 (-4 *3 (-366)) (-5 *2 (-635 *1)) (-4 *1 (-972 *3))))) 
-(((*1 *2 *1) (-12 (-5 *2 (-421 *3)) (-5 *1 (-911 *3)) (-4 *3 (-302))))) 
-(((*1 *2 *3) (-12 (-4 *4 (-843)) (-5 *2 (-1170 (-635 *4))) (-5 *1 (-1169 *4)) (-5 *3 (-635 *4))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1197)) (-4 *2 (-1091)) (-4 *2 (-843))))) 
-(((*1 *2 *2) (-12 (-4 *3 (-13 (-843) (-454))) (-5 *1 (-1189 *3 *2)) (-4 *2 (-13 (-433 *3) (-1183)))))) 
-(((*1 *2 *3) (-12 (-5 *3 (-954 *5)) (-4 *5 (-1048)) (-5 *2 (-493 *4 *5)) (-5 *1 (-946 *4 *5)) (-14 *4 (-635 (-1163)))))) 
-(((*1 *2 *1) (-12 (-4 *1 (-556 *2)) (-4 *2 (-13 (-407) (-1183))))) ((*1 *2) (-12 (-5 *2 (-569)) (-5 *1 (-851)))) ((*1 *2 *1) (-12 (-5 *2 (-569)) (-5 *1 (-851))))) 
-(((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-143)))) ((*1 *1 *1 *2) (-12 (-4 *1 (-1130)) (-5 *2 (-148))))) 
-(((*1 *2 *3 *4) (|partial| -12 (-5 *4 (-1163)) (-4 *5 (-610 (-888 (-569)))) (-4 *5 (-882 (-569))) (-4 *5 (-13 (-843) (-1038 (-569)) (-454) (-631 (-569)))) (-5 *2 (-2 (|:| |special| *3) (|:| |integrand| *3))) (-5 *1 (-572 *5 *3)) (-4 *3 (-621)) (-4 *3 (-13 (-27) (-1183) (-433 *5)))))) 
-(((*1 *2 *2 *3) (-12 (-4 *3 (-559)) (-4 *4 (-376 *3)) (-4 *5 (-376 *3)) (-5 *1 (-1188 *3 *4 *5 *2)) (-4 *2 (-678 *3 *4 *5))))) 
-((-1279 . 831944) (-1280 . 831658) (-1281 . 831549) (-1282 . 831385) (-1283 . 831263) (-1284 . 831159) (-1285 . 831069) (-1286 . 830969) (-1287 . 830896) (-1288 . 830227) (-1289 . 830072) (-1290 . 829943) (-1291 . 829829) (-1292 . 829710) (-1293 . 829522) (-1294 . 829370) (-1295 . 829282) (-1296 . 828722) (-1297 . 828527) (-1298 . 828379) (-1299 . 828298) (-1300 . 828109) (-1301 . 828000) (-1302 . 827731) (-1303 . 827240) (-1304 . 827063) (-1305 . 826990) (-1306 . 826513) (-1307 . 826462) (-1308 . 826205) (-1309 . 826042) (-1310 . 825890) (-1311 . 825330) (-1312 . 825277) (-1313 . 825079) (-1314 . 825048) (-1315 . 824923) (-1316 . 824580) (-1317 . 823593) (-1318 . 823325) (-1319 . 823293) (-1320 . 823091) (-1321 . 821904) (-1322 . 821748) (-1323 . 821686) (-1324 . 821534) (-1325 . 821402) (-1326 . 820724) (-1327 . 820695) (-1328 . 820560) (-1329 . 820416) (-1330 . 820365) (-1331 . 820287) (-1332 . 820151) (-1333 . 820117) (-1334 . 820047) (-1335 . 819840) (-1336 . 819757) (-1337 . 819683) (-1338 . 819617) (-1339 . 819385) (-1340 . 818820) (-1341 . 818746) (-1342 . 818675) (-1343 . 818572) (-1344 . 818492) (-1345 . 818277) (-1346 . 817934) (-1347 . 817782) (-1348 . 817683) (-1349 . 817444) (-1350 . 817322) (-1351 . 817178) (-1352 . 817034) (-1353 . 816900) (-1354 . 816590) (-1355 . 816537) (-1356 . 816405) (-1357 . 816028) (-1358 . 815880) (-1359 . 815747) (-1360 . 815644) (-1361 . 813680) (-1362 . 813505) (-1363 . 813395) (-1364 . 813337) (-1365 . 812720) (-1366 . 811945) (-1367 . 811827) (-1368 . 811456) (-1369 . 811404) (-1370 . 811252) (-1371 . 811186) (-1372 . 811131) (-1373 . 811038) (-1374 . 810968) (-1375 . 810894) (-1376 . 810814) (-1377 . 810406) (-1378 . 810280) (-1379 . 810191) (-1380 . 810017) (-1381 . 809909) (-1382 . 809842) (-1383 . 809805) (-1384 . 809562) (-1385 . 809458) (-1386 . 809104) (-1387 . 808982) (-1388 . 808413) (-1389 . 808376) (-1390 . 808344) (-1391 . 808246) (-1392 . 808153) (-1393 . 808004) (-1394 . 807781) (-1395 . 807496) (-1396 . 807373) (-1397 . 807280) (-1398 . 807208) (-1399 . 807072) (-1400 . 806951) (-1401 . 806854) (-1402 . 806763) (-1403 . 806399) (-1404 . 806303) (-1405 . 805268) (-1406 . 804823) (-1407 . 804592) (-1408 . 804399) (-1409 . 804295) (-1410 . 804221) (-1411 . 804123) (-1412 . 804070) (-1413 . 803723) (-1414 . 803179) (-1415 . 803090) (-1416 . 803033) (-1417 . 802885) (-1418 . 802530) (-1419 . 802471) (-1420 . 802285) (-1421 . 802160) (-1422 . 802091) (-1423 . 801772) (-1424 . 801685) (-1425 . 801482) (-1426 . 801360) (-1427 . 801326) (-1428 . 800914) (-1429 . 800811) (-1430 . 800651) (-1431 . 800574) (-1432 . 800382) (-1433 . 800199) (-1434 . 800147) (-1435 . 800072) (-1436 . 799964) (-1437 . 799801) (-1438 . 799574) (-1439 . 799494) (-1440 . 799417) (-1441 . 799260) (-1442 . 798586) (-1443 . 798505) (-1444 . 798328) (-1445 . 798206) (-1446 . 798108) (-1447 . 798026) (-1448 . 797970) (-1449 . 797917) (-1450 . 797813) (-1451 . 797754) (-1452 . 797631) (-1453 . 797298) (-1454 . 797227) (-1455 . 796982) (-1456 . 796732) (-1457 . 796642) (-1458 . 796550) (-1459 . 796438) (-1460 . 796370) (-1461 . 796240) (-1462 . 795975) (-1463 . 795867) (-1464 . 795781) (-1465 . 795715) (-1466 . 795601) (-1467 . 795203) (-1468 . 789371) (-1469 . 789271) (-1470 . 788785) (-1471 . 788712) (-1472 . 788571) (-1473 . 788131) (-1474 . 787916) (-1475 . 787676) (-1476 . 787477) (-1477 . 787341) (-1478 . 787188) (-1479 . 787074) (-1480 . 786964) (-1481 . 786636) (-1482 . 786569) (-1483 . 786157) (-1484 . 785988) (-1485 . 785649) (-1486 . 785246) (-1487 . 785023) (-1488 . 784881) (-1489 . 784800) (-1490 . 784647) (-1491 . 784577) (-1492 . 784494) (-1493 . 784309) (-1494 . 784105) (-1495 . 784077) (-1496 . 783874) (-1497 . 783810) (-1498 . 783710) (-1499 . 783563) (-1500 . 783359) (-1501 . 783025) (-1502 . 782874) (-1503 . 782735) (-1504 . 782469) (-1505 . 782440) (-1506 . 782345) (-1507 . 782292) (-1508 . 782076) (-1509 . 781951) (-1510 . 781752) (-1511 . 781621) (-1512 . 781455) (-1513 . 781427) (-1514 . 781327) (-1515 . 781179) (-1516 . 780971) (-1517 . 780600) (-1518 . 780476) (-1519 . 780373) (-1520 . 780240) (-1521 . 780095) (-1522 . 779925) (-1523 . 779872) (-1524 . 779005) (-1525 . 778872) (-1526 . 777635) (-1527 . 777415) (-1528 . 777322) (-1529 . 776900) (-1530 . 776453) (-1531 . 776376) (-1532 . 776270) (-1533 . 776211) (-1534 . 771113) (-1535 . 771033) (-1536 . 770751) (-1537 . 770436) (-1538 . 770113) (-1539 . 769893) (-1540 . 769709) (-1541 . 769651) (-1542 . 769570) (-1543 . 769517) (-1544 . 755685) (-1545 . 755630) (-1546 . 755468) (-1547 . 755415) (-1548 . 755311) (-1549 . 755245) (-1550 . 754917) (-1551 . 754821) (-1552 . 754755) (-1553 . 754655) (-1554 . 754554) (-1555 . 754350) (-1556 . 754107) (-1557 . 754026) (-1558 . 753646) (-1559 . 753406) (-1560 . 753225) (-1561 . 751854) (-1562 . 751783) (-1563 . 751713) (-1564 . 751637) (-1565 . 751541) (-1566 . 751434) (-1567 . 751384) (-1568 . 751175) (-1569 . 750922) (-1570 . 750818) (-1571 . 750691) (-1572 . 750635) (-1573 . 750564) (-1574 . 750343) (-1575 . 749946) (-1576 . 749836) (-1577 . 749802) (-1578 . 749719) (-1579 . 749590) (-1580 . 749489) (-1581 . 749254) (-1582 . 749149) (-1583 . 749073) (-1584 . 748880) (-1585 . 748779) (-1586 . 748286) (-1587 . 748228) (-1588 . 748151) (-1589 . 747855) (-1590 . 747047) (-1591 . 746842) (-1592 . 746260) (-1593 . 745807) (-1594 . 745670) (-1595 . 744658) (-1596 . 744453) (-1597 . 744301) (-1598 . 744208) (-1599 . 743932) (-1600 . 743719) (-1601 . 743086) (-1602 . 742752) (-1603 . 742618) (-1604 . 742370) (-1605 . 741604) (-1606 . 741514) (-1607 . 741183) (-1608 . 741131) (-1609 . 741031) (-1610 . 740775) (-1611 . 740266) (-1612 . 740168) (-1613 . 740036) (-1614 . 739594) (-1615 . 739532) (-1616 . 739047) (-1617 . 738898) (-1618 . 738576) (-1619 . 738475) (-1620 . 738357) (-1621 . 738298) (-1622 . 738203) (-1623 . 738069) (-1624 . 737979) (-1625 . 737898) (-1626 . 737817) (-1627 . 737012) (-1628 . 736905) (-1629 . 736615) (-1630 . 736542) (-1631 . 736184) (-1632 . 735083) (-1633 . 734965) (-1634 . 734813) (-1635 . 734763) (-1636 . 734681) (-1637 . 734259) (-1638 . 733960) (-1639 . 733847) (-1640 . 733418) (-1641 . 733314) (-1642 . 733243) (-1643 . 733190) (-1644 . 732920) (-1645 . 732749) (-1646 . 732533) (-1647 . 728358) (-1648 . 727224) (-1649 . 727145) (-1650 . 727086) (-1651 . 727033) (-1652 . 726982) (-1653 . 725464) (-1654 . 725395) (-1655 . 725317) (-1656 . 725228) (-1657 . 725036) (-1658 . 724898) (-1659 . 724312) (-1660 . 724129) (-1661 . 724038) (-1662 . 723904) (-1663 . 723702) (-1664 . 723283) (-1665 . 723174) (-1666 . 723098) (-1667 . 723015) (-1668 . 722314) (-1669 . 722257) (-1670 . 722162) (-1671 . 722103) (-1672 . 721322) (-1673 . 721064) (-1674 . 720791) (-1675 . 720700) (-1676 . 720586) (-1677 . 720536) (-1678 . 720236) (-1679 . 720176) (-1680 . 720095) (-1681 . 720040) (-1682 . 719770) (-1683 . 719631) (-1684 . 719545) (-1685 . 719471) (-1686 . 719396) (-1687 . 719322) (-1688 . 719094) (-1689 . 718645) (-1690 . 718564) (-1691 . 718065) (-1692 . 717507) (-1693 . 717421) (-1694 . 717341) (-1695 . 717152) (-1696 . 716909) (-1697 . 716828) (-1698 . 716465) (-1699 . 716380) (-1700 . 716250) (-1701 . 716037) (-1702 . 715560) (-1703 . 715508) (-1704 . 715383) (-1705 . 715296) (-1706 . 715225) (-1707 . 713718) (-1708 . 713581) (-1709 . 713507) (-1710 . 713415) (-1711 . 711816) (-1712 . 711764) (-1713 . 711433) (-1714 . 711330) (-1715 . 709034) (-1716 . 708963) (-1717 . 708910) (-1718 . 708821) (-1719 . 708748) (-1720 . 708590) (-1721 . 708508) (-1722 . 708215) (-1723 . 708160) (-1724 . 708053) (-1725 . 707978) (-1726 . 707862) (-1727 . 707149) (-1728 . 707100) (-1729 . 707066) (-1730 . 705029) (-1731 . 704484) (-1732 . 704269) (-1733 . 703870) (-1734 . 703768) (-1735 . 703706) (-1736 . 703161) (-1737 . 703087) (-1738 . 702871) (-1739 . 701406) (-1740 . 700861) (-1741 . 700531) (-1742 . 700435) (-1743 . 694945) (-1744 . 694293) (-1745 . 694262) (-1746 . 694140) (-1747 . 693699) (-1748 . 693047) (-1749 . 692802) (-1750 . 692511) (-1751 . 692174) (-1752 . 691824) (-1753 . 691172) (-1754 . 691122) (-1755 . 691044) (-1756 . 690498) (-1757 . 690395) (-1758 . 690123) (-1759 . 689845) (-1760 . 689299) (-1761 . 689188) (-1762 . 689082) (-1763 . 687535) (-1764 . 686989) (-1765 . 686748) (-1766 . 686695) (-1767 . 686627) (-1768 . 685811) (-1769 . 684903) (-1770 . 684358) (-1771 . 684006) (-1772 . 683926) (-1773 . 682709) (-1774 . 679099) (-1775 . 678554) (-1776 . 678479) (-1777 . 678180) (-1778 . 678077) (-1779 . 677532) (-1780 . 677375) (-1781 . 677136) (-1782 . 676591) (-1783 . 675894) (-1784 . 674160) (-1785 . 673615) (-1786 . 673443) (-1787 . 672942) (-1788 . 671512) (-1789 . 671291) (-1790 . 671236) (-1791 . 669774) (-1792 . 669609) (-1793 . 669487) (-1794 . 669417) (-1795 . 668711) (-1796 . 668656) (-1797 . 668521) (-1798 . 668208) (-1799 . 668152) (-1800 . 668100) (-1801 . 667974) (-1802 . 667851) (-1803 . 667764) (-1804 . 667159) (-1805 . 667107) (-1806 . 666974) (-1807 . 666815) (-1808 . 666756) (-1809 . 666179) (-1810 . 665944) (-1811 . 665794) (-1812 . 664577) (-1813 . 664148) (-1814 . 664048) (-1815 . 663914) (-1816 . 663722) (-1817 . 663575) (-1818 . 662473) (-1819 . 662389) (-1820 . 662334) (-1821 . 662080) (-1822 . 661945) (-1823 . 661835) (-1824 . 661671) (-1825 . 661432) (-1826 . 661379) (-1827 . 661235) (-1828 . 660828) (-1829 . 660756) (-1830 . 660556) (-1831 . 660496) (-1832 . 660309) (-1833 . 660171) (-1834 . 659948) (-1835 . 659810) (-1836 . 659758) (-1837 . 659637) (-1838 . 659139) (-1839 . 658722) (-1840 . 658631) (-1841 . 658471) (-1842 . 657919) (-1843 . 657866) (-1844 . 656902) (-1845 . 656788) (-1846 . 656646) (-1847 . 656614) (-1848 . 656557) (-1849 . 656472) (-1850 . 655777) (-1851 . 655704) (-1852 . 655579) (-1853 . 654883) (-1854 . 654776) (-1855 . 654669) (-1856 . 654348) (-1857 . 653954) (-1858 . 653897) (-1859 . 653530) (-1860 . 653213) (-1861 . 653184) (-1862 . 653113) (-1863 . 652874) (-1864 . 652759) (-1865 . 652642) (-1866 . 652407) (-1867 . 652351) (-1868 . 652269) (-1869 . 651941) (-1870 . 651861) (-1871 . 651797) (-1872 . 651510) (-1873 . 651370) (-1874 . 650408) (-1875 . 650317) (-1876 . 650143) (-1877 . 649442) (-1878 . 649389) (-1879 . 649232) (-1880 . 648975) (-1881 . 648885) (-1882 . 648742) (-1883 . 648663) (-1884 . 648259) (-1885 . 648116) (-1886 . 647993) (-1887 . 647944) (-1888 . 647892) (-1889 . 647599) (-1890 . 647265) (-1891 . 647192) (-1892 . 647069) (-1893 . 646601) (-1894 . 646509) (-1895 . 646449) (-1896 . 646352) (-1897 . 646205) (-1898 . 646050) (-1899 . 645594) (-1900 . 645510) (-1901 . 645451) (-1902 . 645362) (-1903 . 645283) (-1904 . 645209) (-1905 . 645064) (-1906 . 644273) (-1907 . 643980) (-1908 . 643880) (-1909 . 643712) (-1910 . 643587) (-1911 . 643516) (-1912 . 643272) (-1913 . 643139) (-1914 . 642902) (-1915 . 642796) (-1916 . 642634) (-1917 . 642515) (-1918 . 642161) (-1919 . 642090) (-1920 . 641909) (-1921 . 641813) (-1922 . 641661) (-1923 . 641355) (-1924 . 641273) (-1925 . 640724) (-1926 . 640552) (-1927 . 640524) (-1928 . 640442) (-1929 . 640356) (-1930 . 640301) (-1931 . 640109) (-1932 . 639740) (-1933 . 639573) (-1934 . 633184) (-1935 . 633132) (-1936 . 633100) (-1937 . 633048) (-1938 . 632946) (-1939 . 631987) (-1940 . 631212) (-1941 . 630842) (-1942 . 630728) (-1943 . 630351) (-1944 . 630269) (-1945 . 630149) (-1946 . 629987) (-1947 . 629884) (-1948 . 629559) (-1949 . 629108) (-1950 . 628914) (-1951 . 628633) (-1952 . 628471) (-1953 . 628309) (-1954 . 628246) (-1955 . 628135) (-1956 . 627933) (-1957 . 627847) (-1958 . 627743) (-1959 . 627533) (-1960 . 627436) (-1961 . 627381) (-1962 . 626917) (-1963 . 626801) (-1964 . 626711) (-1965 . 626616) (-1966 . 626451) (-1967 . 626360) (-1968 . 626253) (-1969 . 626169) (-1970 . 626069) (-1971 . 625486) (-1972 . 625389) (-1973 . 625287) (-1974 . 624701) (-1975 . 624587) (-1976 . 624446) (-1977 . 624179) (-1978 . 624106) (-1979 . 622540) (-1980 . 622456) (-1981 . 622396) (-1982 . 621849) (-1983 . 621792) (-1984 . 621719) (-1985 . 621611) (-1986 . 621446) (-1987 . 621378) (-1988 . 621316) (-1989 . 621073) (-1990 . 621016) (-1991 . 620195) (-1992 . 619713) (-1993 . 619560) (-1994 . 619435) (-1995 . 619301) (-1996 . 619201) (-1997 . 618959) (-1998 . 618878) (-1999 . 618633) (-2000 . 618574) (-2001 . 618492) (-2002 . 618418) (-2003 . 617967) (-2004 . 617544) (-2005 . 617291) (-2006 . 616609) (-2007 . 616457) (-2008 . 616334) (-2009 . 616234) (-2010 . 616146) (-2011 . 615975) (-2012 . 615857) (-2013 . 615659) (-2014 . 615609) (-2015 . 615266) (-2016 . 615157) (-2017 . 615048) (-2018 . 614996) (-2019 . 614897) (-2020 . 614588) (-2021 . 614515) (-2022 . 614354) (-2023 . 614199) (-2024 . 613996) (-2025 . 613853) (-2026 . 613750) (-2027 . 612801) (-2028 . 612723) (-2029 . 611326) (-2030 . 610910) (-2031 . 610757) (-2032 . 610611) (-2033 . 610517) (-2034 . 610382) (-2035 . 610096) (-2036 . 609996) (-2037 . 609936) (-2038 . 609826) (-2039 . 609708) (-2040 . 609579) (-2041 . 609527) (-2042 . 609461) (-2043 . 608938) (-2044 . 608810) (-2045 . 608687) (-2046 . 608275) (-2047 . 608077) (-2048 . 608006) (-2049 . 607700) (-2050 . 607156) (-2051 . 607077) (-2052 . 606861) (-2053 . 606832) (-2054 . 606497) (-2055 . 606382) (-2056 . 606279) (-2057 . 606088) (-2058 . 605936) (-2059 . 605771) (-2060 . 605696) (-2061 . 605426) (-2062 . 605333) (-2063 . 601409) (-2064 . 601334) (-2065 . 601051) (-2066 . 600357) (-2067 . 600272) (-2068 . 600206) (-2069 . 600092) (-2070 . 599970) (-2071 . 599915) (-2072 . 599817) (-2073 . 599747) (-2074 . 599267) (-2075 . 599216) (-2076 . 599021) (-2077 . 598943) (-2078 . 598775) (-2079 . 598207) (-2080 . 598133) (-2081 . 598058) (-2082 . 597970) (-2083 . 597832) (-2084 . 597754) (-2085 . 596796) (-2086 . 596355) (-2087 . 595681) (-2088 . 595278) (-2089 . 595182) (-2090 . 594977) (-2091 . 594921) (-2092 . 594785) (-2093 . 594633) (-2094 . 594571) (-2095 . 594451) (-2096 . 594398) (-2097 . 594256) (-2098 . 594031) (-2099 . 593874) (-2100 . 593817) (-2101 . 593660) (-2102 . 593534) (-2103 . 593423) (-2104 . 593351) (-2105 . 593179) (-2106 . 593126) (-2107 . 592969) (-2108 . 592879) (-2109 . 592806) (-2110 . 592720) (-2111 . 592501) (-2112 . 592406) (-2113 . 592338) (-2114 . 592243) (-2115 . 592109) (-2116 . 592019) (-2117 . 591806) (-2118 . 591695) (-2119 . 591583) (-2120 . 591412) (-2121 . 591338) (-2122 . 590742) (-2123 . 590205) (-2124 . 590090) (-2125 . 589993) (-2126 . 589524) (-2127 . 589469) (-2128 . 589177) (-2129 . 588975) (-2130 . 588864) (-2131 . 588675) (-2132 . 588495) (-2133 . 588315) (-2134 . 588244) (-2135 . 588030) (-2136 . 587927) (-2137 . 587791) (-2138 . 587601) (-2139 . 585063) (-2140 . 584998) (-2141 . 584927) (-2142 . 584832) (-2143 . 584508) (-2144 . 584347) (-2145 . 584234) (-2146 . 584160) (-2147 . 584110) (-2148 . 583887) (-2149 . 583453) (-2150 . 583365) (-2151 . 583204) (-2152 . 582991) (-2153 . 582883) (-2154 . 582834) (-2155 . 582747) (-2156 . 582667) (-2157 . 582570) (-2158 . 582315) (-2159 . 582212) (-2160 . 582121) (-2161 . 581912) (-2162 . 581802) (-2163 . 581263) (-2164 . 581174) (-2165 . 580964) (-2166 . 580691) (-2167 . 580435) (-2168 . 580324) (-2169 . 580142) (-2170 . 580089) (-2171 . 579989) (-2172 . 579832) (-2173 . 579593) (-2174 . 579429) (-2175 . 579260) (-2176 . 578643) (-2177 . 578528) (-2178 . 578293) (-2179 . 577769) (-2180 . 577662) (-2181 . 577555) (-2182 . 577407) (-2183 . 577316) (-2184 . 576700) (-2185 . 553192) (-2186 . 552343) (-2187 . 552134) (-2188 . 552043) (-2189 . 551939) (-2190 . 551748) (-2191 . 551672) (-2192 . 551638) (-2193 . 551543) (-2194 . 551382) (-2195 . 551256) (-2196 . 551184) (-2197 . 551125) (-2198 . 551055) (-2199 . 550939) (-2200 . 550864) (-2201 . 550726) (-2202 . 550649) (-2203 . 550593) (-2204 . 550409) (-2205 . 550336) (-2206 . 550240) (-2207 . 550130) (-2208 . 549765) (-2209 . 548869) (-2210 . 548743) (-2211 . 548671) (-2212 . 548472) (-2213 . 548398) (-2214 . 548317) (-2215 . 548062) (-2216 . 547972) (-2217 . 547887) (-2218 . 547720) (-2219 . 547348) (-2220 . 547241) (-2221 . 547128) (-2222 . 547042) (-2223 . 546986) (-2224 . 546805) (-2225 . 546729) (-2226 . 546663) (-2227 . 546588) (-2228 . 546522) (-2229 . 546440) (-2230 . 546238) (-2231 . 546146) (-2232 . 545991) (-2233 . 545793) (-2234 . 545589) (-2235 . 545391) (-2236 . 545280) (-2237 . 545163) (-2238 . 544991) (-12 . 544836) (-2240 . 544719) (-2241 . 544369) (-2242 . 543185) (-2243 . 543132) (-2244 . 543073) (-2245 . 542996) (-2246 . 542907) (-2247 . 542654) (-2248 . 542306) (-2249 . 542151) (-2250 . 541481) (-2251 . 541387) (-2252 . 541254) (-2253 . 540942) (-2254 . 540839) (-2255 . 540687) (-2256 . 540451) (-2257 . 540189) (-2258 . 540065) (-2259 . 539974) (-2260 . 539880) (-2261 . 539366) (-2262 . 539262) (-2263 . 539161) (-2264 . 539095) (-2265 . 538098) (-2266 . 538066) (-2267 . 538000) (-2268 . 537736) (-2269 . 537579) (-2270 . 537505) (-2271 . 537431) (-2272 . 537277) (-2273 . 537028) (-2274 . 536976) (-2275 . 536702) (-2276 . 536564) (-2277 . 536389) (-2278 . 535894) (-2279 . 535796) (-2280 . 535480) (-2281 . 535284) (-2282 . 535204) (-2283 . 535107) (-2284 . 534388) (-2285 . 534314) (-2286 . 533975) (-2287 . 533909) (-2288 . 533826) (-2289 . 533593) (-2290 . 533483) (-2291 . 533406) (-2292 . 533267) (-2293 . 533193) (-2294 . 532626) (-2295 . 532439) (-2296 . 532320) (-2297 . 532182) (-2298 . 532121) (-2299 . 531933) (-2300 . 531794) (* . 527289) (-2302 . 527185) (-2303 . 527129) (-2304 . 526842) (-2305 . 526731) (-2306 . 526679) (-2307 . 526624) (-2308 . 526550) (-2309 . 526418) (-2310 . 526315) (-2311 . 526160) (-2312 . 526010) (-2313 . 525926) (-2314 . 525704) (-2315 . 525589) (-2316 . 525439) (-2317 . 525292) (-2318 . 525208) (-2319 . 525180) (-2320 . 525055) (-2321 . 524996) (-2322 . 524773) (-2323 . 524666) (-2324 . 524589) (-2325 . 524494) (-2326 . 524368) (-2327 . 524324) (-2328 . 523974) (-2329 . 523349) (-2330 . 523252) (-2331 . 523160) (-2332 . 522954) (-2333 . 522841) (-2334 . 522788) (-2335 . 522636) (-2336 . 522132) (-2337 . 521965) (-2338 . 521773) (-2339 . 521742) (-2340 . 521687) (-2341 . 521629) (-2342 . 521334) (-2343 . 520493) (-2344 . 519861) (-2345 . 519729) (-2346 . 518730) (-2347 . 518545) (-2348 . 518452) (-2349 . 518334) (-2350 . 517613) (-2351 . 517561) (-2352 . 517533) (-2353 . 517481) (-2354 . 517356) (-2355 . 517282) (-2356 . 516824) (-2357 . 516717) (-2358 . 516642) (-2359 . 516577) (-2360 . 516501) (-2361 . 516399) (-2362 . 516148) (-2363 . 515894) (-2364 . 515639) (-2365 . 515436) (-2366 . 515308) (-2367 . 515205) (-2368 . 515139) (-2369 . 514435) (-2370 . 514237) (-2371 . 513863) (-2372 . 513609) (-2373 . 513496) (-2374 . 513238) (-2375 . 513148) (-2376 . 512731) (-2377 . 512579) (-2378 . 512508) (-2379 . 512299) (-2380 . 512271) (-2381 . 512093) (-2382 . 512023) (-2383 . 511939) (-2384 . 511635) (-2385 . 511531) (-2386 . 511364) (-2387 . 511018) (-2388 . 510969) (-2389 . 510903) (-2390 . 510850) (-2391 . 510680) (-2392 . 510547) (-2393 . 510028) (-2394 . 509971) (-2395 . 509736) (-2396 . 509664) (-2397 . 509507) (-2398 . 509357) (-2399 . 509282) (-2400 . 509183) (-2401 . 507829) (-2402 . 507722) (-2403 . 507483) (-2404 . 507344) (-2405 . 507270) (-2406 . 507147) (-2407 . 507097) (-2408 . 506892) (-2409 . 506821) (-2410 . 506317) (-2411 . 505225) (-2412 . 505047) (-2413 . 504991) (-2414 . 504772) (-2415 . 504698) (-2416 . 504625) (-2417 . 504525) (-2418 . 504326) (-2419 . 497937) (-2420 . 497812) (-2421 . 497571) (-2422 . 497464) (-2423 . 497405) (-2424 . 497231) (-2425 . 497179) (-2426 . 497061) (-2427 . 496793) (-2428 . 491731) (-2429 . 491671) (-2430 . 491126) (-2431 . 491015) (-2432 . 490959) (-2433 . 490878) (-2434 . 490730) (-2435 . 490654) (-2436 . 489504) (-2437 . 489470) (-2438 . 489320) (-2439 . 489139) (-2440 . 488878) (-2441 . 488807) (-2442 . 488720) (-2443 . 488447) (-2444 . 488389) (-2445 . 488135) (-2446 . 486921) (-2447 . 486830) (-2448 . 486693) (-2449 . 486621) (-2450 . 486531) (-2451 . 486413) (-2452 . 486329) (-2453 . 486148) (-2454 . 485766) (-2455 . 485342) (-2456 . 485253) (-2457 . 484931) (-2458 . 484645) (-2459 . 484339) (-2460 . 484242) (-2461 . 483963) (-2462 . 483425) (-2463 . 483355) (-2464 . 483255) (-2465 . 483138) (-2466 . 483039) (-2467 . 482906) (-2468 . 482725) (-2469 . 482586) (-2470 . 482394) (-2471 . 482310) (-2472 . 482169) (-2473 . 482111) (-2474 . 482082) (-2475 . 481928) (-2476 . 481823) (-2477 . 481684) (-2478 . 481608) (-2479 . 480922) (-2480 . 480869) (-2481 . 480794) (-2482 . 480653) (-2483 . 480603) (-2484 . 480502) (-2485 . 480400) (-2486 . 480311) (-2487 . 480225) (-2488 . 480051) (-2489 . 479784) (-2490 . 479666) (-2491 . 479549) (-2492 . 477259) (-2493 . 476935) (-2494 . 476861) (-2495 . 476780) (-2496 . 476356) (-2497 . 476258) (-2498 . 476136) (-2499 . 475736) (-2500 . 474131) (-2501 . 474029) (-2502 . 473937) (-2503 . 473620) (-2504 . 473356) (-2505 . 473217) (-2506 . 473121) (-2507 . 473010) (-2508 . 472877) (-2509 . 472767) (-2510 . 472622) (-2511 . 472537) (-2512 . 472505) (-2513 . 471800) (-2514 . 471466) (-2515 . 471328) (-2516 . 470726) (-2517 . 470573) (-2518 . 470455) (-2519 . 470233) (-2520 . 469935) (-2521 . 469415) (-2522 . 468710) (-2523 . 468639) (-2524 . 468543) (-2525 . 468402) (-2526 . 468164) (-2527 . 467839) (-2528 . 467664) (-2529 . 467580) (-2530 . 466927) (-2531 . 466899) (-2532 . 466748) (-2533 . 466532) (-2534 . 466461) (-2535 . 466358) (-2536 . 466233) (-2537 . 465778) (-2538 . 465231) (-2539 . 465120) (-2540 . 465054) (-2541 . 464945) (-2542 . 464854) (-2543 . 464570) (-2544 . 464324) (-2545 . 464126) (-2546 . 463579) (-2547 . 463513) (-2548 . 463361) (-2549 . 463213) (-2550 . 462878) (-2551 . 462825) (-2552 . 462382) (-2553 . 462084) (-2554 . 461537) (-2555 . 461452) (-2556 . 461262) (-2557 . 461053) (-2558 . 458769) (-2559 . 458534) (-2560 . 458481) (-2561 . 457830) (-2562 . 457714) (-2563 . 457448) (-2564 . 457354) (-2565 . 450514) (-2566 . 450390) (-2567 . 450306) (-2568 . 449816) (-2569 . 449165) (-2570 . 448972) (-2571 . 448598) (-2572 . 448523) (-2573 . 448449) (-2574 . 448325) (-2575 . 448010) (-2576 . 447710) (-2577 . 447632) (-2578 . 447316) (-2579 . 447200) (-2580 . 447085) (-2581 . 446929) (-2582 . 446862) (-2583 . 446574) (-2584 . 446338) (-2585 . 446246) (-2586 . 446097) (-2587 . 446016) (-2588 . 445945) (-2589 . 445854) (-2590 . 445826) (-2591 . 445695) (-2592 . 445587) (-2593 . 445488) (-2594 . 445419) (-2595 . 445279) (-2596 . 445154) (-2597 . 445088) (-2598 . 444936) (-2599 . 444884) (-2600 . 444613) (-2601 . 444411) (-2602 . 444064) (-2603 . 443927) (-2604 . 443791) (-2605 . 443669) (-2606 . 443490) (-2607 . 443338) (-2608 . 439414) (-2609 . 438854) (-2610 . 438739) (-2611 . 438576) (-2612 . 438477) (-2613 . 438283) (-2614 . 438141) (-2615 . 438086) (-2616 . 437971) (-2617 . 437879) (-2618 . 437738) (-2619 . 437566) (-2620 . 437484) (-2621 . 437339) (-2622 . 437287) (-2623 . 436715) (-2624 . 436663) (-2625 . 436610) (-2626 . 436128) (-2627 . 435990) (-2628 . 435918) (-2629 . 435718) (-2630 . 435542) (-2631 . 435429) (-2632 . 434914) (-2633 . 434821) (-2634 . 434793) (-2635 . 434621) (-2636 . 434491) (-2637 . 434347) (-2638 . 434257) (-2639 . 434165) (-2640 . 434068) (-2641 . 433978) (-2642 . 433737) (-2643 . 433611) (-2644 . 433408) (-2645 . 433351) (-2646 . 432866) (-2647 . 432817) (-2648 . 432706) (-2649 . 432614) (-2650 . 432517) (-2651 . 432094) (-2652 . 431179) (-2653 . 431074) (-2654 . 431006) (-2655 . 430895) (-2656 . 430487) (-2657 . 430403) (-2658 . 430161) (-2659 . 429556) (-2660 . 428583) (-2661 . 428407) (-2662 . 427568) (-2663 . 427154) (-2664 . 427049) (-2665 . 426963) (-2666 . 426561) (-2667 . 426509) (-2668 . 426400) (-2669 . 425713) (-2670 . 425608) (-2671 . 425444) (-2672 . 425153) (-2673 . 424540) (-2674 . 424050) (-2675 . 423947) (-2676 . 423875) (-2677 . 423518) (-2678 . 423465) (-2679 . 423366) (-2680 . 423317) (-2681 . 423158) (-2682 . 423106) (-2683 . 423003) (-2684 . 422895) (-2685 . 422824) (-2686 . 422590) (-2687 . 422538) (-2688 . 422385) (-2689 . 422280) (-2690 . 421949) (-2691 . 420898) (-2692 . 420797) (-2693 . 420695) (-2694 . 420599) (-2695 . 420527) (-2696 . 420445) (-2697 . 420094) (-2698 . 419995) (-2699 . 419397) (-2700 . 419316) (-2701 . 419228) (-2702 . 419133) (-2703 . 416178) (-2704 . 415983) (-2705 . 415912) (-2706 . 415856) (-2707 . 415713) (-2708 . 415644) (-2709 . 415563) (-2710 . 415401) (-2711 . 415172) (-2712 . 415077) (-2713 . 414913) (-2714 . 413862) (-2715 . 413778) (-2716 . 413625) (-2717 . 413435) (-2718 . 413309) (-2719 . 413068) (-2720 . 412835) (-2721 . 412751) (-2722 . 412544) (-2723 . 412328) (-2724 . 412092) (-2725 . 412064) (-2726 . 411843) (-2727 . 411629) (-2728 . 411553) (-2729 . 411470) (-2730 . 411169) (-2731 . 411032) (-2732 . 410962) (-2733 . 410889) (-2734 . 410482) (-2735 . 410246) (-2736 . 410091) (-2737 . 409767) (-2738 . 409607) (-2739 . 409558) (-2740 . 409378) (-2741 . 409326) (-2742 . 408297) (-2743 . 408140) (-2744 . 407914) (-2745 . 407334) (-2746 . 407196) (-2747 . 406522) (-2748 . 406340) (-2749 . 406188) (-2750 . 406084) (-2751 . 406001) (-2752 . 405591) (-2753 . 405460) (-2754 . 405315) (-2755 . 405248) (-2756 . 405113) (-2757 . 404951) (-2758 . 404811) (-2759 . 404683) (-2760 . 404545) (-2761 . 404514) (-2762 . 403905) (-2763 . 403778) (-2764 . 403532) (-2765 . 403407) (-2766 . 403373) (-2767 . 403293) (-2768 . 403190) (-2769 . 402917) (-2770 . 402560) (-2771 . 402469) (-2772 . 402219) (-2773 . 401945) (-2774 . 401812) (-2775 . 401678) (-2776 . 401199) (-2777 . 401024) (-2778 . 400921) (-2779 . 400840) (-2780 . 400761) (-2781 . 400710) (-2782 . 400617) (-2783 . 400410) (-2784 . 400274) (-2785 . 400144) (-2786 . 400075) (-2787 . 399782) (-2788 . 399714) (-2789 . 399662) (-2790 . 399411) (-2791 . 399261) (-2792 . 399170) (-2793 . 398741) (-2794 . 398468) (-2795 . 398324) (-2796 . 398253) (-2797 . 398169) (-2798 . 397833) (-2799 . 397732) (-2800 . 397370) (-2801 . 397164) (-2802 . 397090) (-2803 . 396901) (-2804 . 396817) (-2805 . 396678) (-2806 . 396443) (-2807 . 396235) (-2808 . 396116) (-2809 . 396006) (-2810 . 395881) (-2811 . 395797) (-2812 . 395723) (-2813 . 395553) (-2814 . 395337) (-2815 . 394401) (-2816 . 394349) (-2817 . 394237) (-2818 . 394163) (-2819 . 394000) (-2820 . 393561) (-2821 . 393444) (-2822 . 393366) (-2823 . 393194) (-2824 . 393119) (-2825 . 393044) (-2826 . 392739) (-2827 . 392655) (-2828 . 392535) (-2829 . 392390) (-2830 . 392335) (-2831 . 392097) (-2832 . 391966) (-2833 . 391849) (-2834 . 391731) (-2835 . 391387) (-2836 . 391051) (-2837 . 390901) (-2838 . 390765) (-2839 . 390661) (-2840 . 390553) (-2841 . 390479) (-2842 . 390330) (-2843 . 389803) (-2844 . 389705) (-2845 . 389579) (-2846 . 388236) (-2847 . 388170) (-2848 . 387659) (-2849 . 387555) (-2850 . 387477) (-2851 . 387345) (-2852 . 387190) (-2853 . 386727) (-2854 . 386458) (-2855 . 386147) (-2856 . 386093) (-2857 . 385967) (-2858 . 385901) (-2859 . 385835) (-2860 . 385767) (-2861 . 385560) (-2862 . 385182) (-2863 . 385109) (-2864 . 384970) (-2865 . 384841) (-2866 . 384813) (-2867 . 384547) (-2868 . 384469) (-2869 . 384384) (-2870 . 384232) (-2871 . 384177) (-2872 . 384030) (-2873 . 383562) (-2874 . 383496) (-2875 . 383443) (-2876 . 383335) (-2877 . 382912) (-2878 . 382836) (-2879 . 382667) (-2880 . 382604) (-2881 . 382463) (-2882 . 382378) (-2883 . 380231) (-2884 . 380175) (-2885 . 380012) (-2886 . 379947) (-2887 . 379873) (-2888 . 379666) (-2889 . 379566) (-2890 . 379411) (-2891 . 379248) (-2892 . 379192) (-2893 . 378578) (-2894 . 378033) (-2895 . 377999) (-2896 . 377911) (-2897 . 377694) (-2898 . 377625) (-2899 . 377562) (-2900 . 377405) (-2901 . 377271) (-2902 . 377156) (-2903 . 377022) (-2904 . 376856) (-2905 . 376751) (-2906 . 376602) (-2907 . 376459) (-2908 . 376395) (-2909 . 376148) (-2910 . 375943) (-2911 . 375834) (-2912 . 375800) (-2913 . 375747) (-2914 . 375630) (-2915 . 375503) (-2916 . 375447) (-2917 . 375230) (-2918 . 375075) (-2919 . 374939) (-2920 . 374871) (-2921 . 374787) (-2922 . 374590) (-2923 . 374488) (-2924 . 374195) (-2925 . 374106) (-2926 . 374002) (-2927 . 373878) (-2928 . 373804) (-2929 . 373685) (-2930 . 373610) (-2931 . 373529) (-2932 . 373350) (-2933 . 373246) (-2934 . 373043) (-2935 . 372880) (-2936 . 372702) (-2937 . 372592) (-2938 . 370897) (-2939 . 370802) (-2940 . 370605) (-2941 . 369788) (-2942 . 369689) (-2943 . 369279) (-2944 . 369167) (-2945 . 369133) (-2946 . 368327) (-2947 . 368028) (-2948 . 367841) (-2949 . 367649) (-2950 . 367554) (-2951 . 367115) (-2952 . 367081) (-2953 . 366879) (-2954 . 360348) (-2955 . 360242) (-2956 . 359793) (-2957 . 359727) (-2958 . 359619) (-2959 . 359564) (-2960 . 359179) (-2961 . 359024) (-2962 . 358951) (-2963 . 358896) (-2964 . 358844) (-2965 . 358816) (-2966 . 358426) (-2967 . 358035) (-2968 . 357985) (-2969 . 357777) (-2970 . 357590) (-2971 . 357524) (-2972 . 357449) (-2973 . 357340) (-2974 . 357206) (-2975 . 357087) (-2976 . 356937) (-2977 . 356865) (-2978 . 356781) (-2979 . 356702) (-2980 . 356294) (-2981 . 356191) (-2982 . 356138) (-2983 . 356019) (-2984 . 355755) (-2985 . 355609) (-2986 . 355528) (-2987 . 355427) (-2988 . 355309) (-2989 . 355118) (-2990 . 354988) (-2991 . 354741) (-2992 . 353794) (-2993 . 353722) (-2994 . 353080) (-2995 . 352944) (-2996 . 352810) (-2997 . 352752) (-2998 . 352724) (-2999 . 352624) (-3000 . 352534) (-3001 . 352418) (-3002 . 352365) (-3003 . 352294) (-3004 . 352226) (-3005 . 352010) (-3006 . 351715) (-3007 . 351584) (-3008 . 351449) (-3009 . 351339) (-3010 . 351186) (-3011 . 351114) (-3012 . 350924) (-3013 . 350742) (-3014 . 350585) (-3015 . 350489) (-3016 . 350414) (-3017 . 350359) (-3018 . 350259) (-3019 . 349973) (-3020 . 349651) (-3021 . 349551) (-3022 . 348755) (-3023 . 348654) (-3024 . 348584) (-3025 . 348399) (-3026 . 348324) (-3027 . 348292) (-3028 . 348198) (-3029 . 348048) (-3030 . 347954) (-3031 . 347503) (-3032 . 347448) (-3033 . 347311) (-3034 . 347128) (-3035 . 346954) (-3036 . 346639) (-3037 . 346573) (-3038 . 346254) (-3039 . 345908) (-3040 . 345595) (-3041 . 345459) (-3042 . 345287) (-3043 . 344156) (-3044 . 344076) (-3045 . 343953) (-3046 . 340215) (-3047 . 340124) (-3048 . 339984) (-3049 . 339310) (-3050 . 339220) (-3051 . 339102) (-3052 . 339027) (-3053 . 338838) (-3054 . 338724) (-3055 . 338654) (-3056 . 338551) (-3057 . 338233) (-3058 . 338044) (-3059 . 337875) (-3060 . 337717) (-3061 . 337579) (-3062 . 337500) (-3063 . 337306) (-3064 . 337252) (-3065 . 337224) (-3066 . 337055) (-3067 . 336863) (-3068 . 336633) (-3069 . 335991) (-3070 . 335753) (-3071 . 335605) (-3072 . 335426) (-3073 . 335279) (-3074 . 335069) (-3075 . 334951) (-3076 . 334754) (-3077 . 332317) (-3078 . 332236) (-3079 . 332137) (-3080 . 332077) (-3081 . 331979) (-3082 . 331502) (-3083 . 331396) (-3084 . 331276) (-3085 . 331187) (-3086 . 331077) (-3087 . 330956) (-3088 . 330779) (-3089 . 330535) (-3090 . 330429) (-3091 . 329893) (-3092 . 329213) (-3093 . 329141) (-3094 . 328642) (-3095 . 328587) (-3096 . 328484) (-3097 . 328281) (-3098 . 328171) (-3099 . 327837) (-3100 . 327136) (-3101 . 326791) (-3102 . 326673) (-3103 . 325742) (-3104 . 325635) (-3105 . 325510) (-3106 . 325381) (-3107 . 325224) (-3108 . 325152) (-3109 . 324778) (-3110 . 324711) (-3111 . 324603) (-3112 . 324484) (-3113 . 324071) (-3114 . 323969) (-3115 . 323808) (-3116 . 323643) (-3117 . 323479) (-3118 . 323331) (-3119 . 323179) (-3120 . 323123) (-3121 . 323008) (-3122 . 322883) (-3123 . 322764) (-3124 . 322469) (-3125 . 322375) (-3126 . 321807) (-3127 . 321572) (-3128 . 321323) (-3129 . 321185) (-3130 . 321076) (-3131 . 320949) (-3132 . 320874) (-3133 . 320742) (-3134 . 320686) (-3135 . 320499) (-3136 . 320314) (-3137 . 319905) (-3138 . 319808) (-3139 . 319646) (-3140 . 319338) (-3141 . 319037) (-3142 . 318968) (-3143 . 318156) (-3144 . 318075) (-3145 . 317976) (-3146 . 317756) (-3147 . 317521) (-3148 . 317472) (-3149 . 317259) (-3150 . 317134) (-3151 . 316950) (-3152 . 316481) (-3153 . 316366) (-3154 . 315247) (-3155 . 315149) (-3156 . 314894) (-3157 . 314842) (-3158 . 314683) (-3159 . 314601) (-3160 . 314308) (-3161 . 313755) (-3162 . 313642) (-3163 . 313552) (-3164 . 313463) (-3165 . 313396) (-3166 . 313244) (-3167 . 313087) (-3168 . 312973) (-3169 . 312878) (-3170 . 312826) (-3171 . 312679) (-3172 . 310552) (-3173 . 310376) (-3174 . 310179) (-3175 . 310078) (-3176 . 309994) (-3177 . 309729) (-3178 . 309701) (-3179 . 309645) (-3180 . 309547) (-3181 . 309264) (-3182 . 309177) (-3183 . 309084) (-3184 . 309006) (-3185 . 308867) (-3186 . 308347) (-3187 . 308203) (-3188 . 307137) (-3189 . 306982) (-3190 . 306819) (-3191 . 306672) (-3192 . 306414) (-3193 . 306306) (-3194 . 306223) (-3195 . 306098) (-3196 . 305992) (-3197 . 305739) (-3198 . 305671) (-3199 . 305437) (-3200 . 305366) (-3201 . 305292) (-3202 . 305255) (-3203 . 304866) (-3204 . 304793) (-3205 . 304605) (-3206 . 304412) (-3207 . 304344) (-3208 . 304235) (-3209 . 304183) (-3210 . 303858) (-3211 . 303754) (-3212 . 303619) (-3213 . 303354) (-3214 . 302983) (-3215 . 302859) (-3216 . 300748) (-3217 . 300670) (-3218 . 300318) (-3219 . 300184) (-3220 . 300112) (-3221 . 299914) (-3222 . 299606) (-3223 . 299553) (-3224 . 299477) (-3225 . 299169) (-3226 . 299110) (-3227 . 299054) (-3228 . 298947) (-3229 . 298756) (-3230 . 298590) (-3231 . 298356) (-3232 . 298217) (-3233 . 298138) (-3234 . 298067) (-3235 . 297690) (-3236 . 297496) (-3237 . 297248) (-3238 . 297162) (-3239 . 296923) (-3240 . 296852) (-3241 . 296820) (-3242 . 296561) (-3243 . 296432) (-3244 . 296361) (-3245 . 296179) (-3246 . 296120) (-3247 . 295917) (-3248 . 295788) (-3249 . 295680) (-3250 . 295176) (-3251 . 295119) (-3252 . 294946) (-3253 . 294858) (-3254 . 294784) (-3255 . 294383) (-3256 . 293983) (-3257 . 293932) (-3258 . 293706) (-3259 . 293653) (-3260 . 293621) (-3261 . 293570) (-3262 . 293472) (-3263 . 293396) (-3264 . 293144) (-3265 . 292935) (-3266 . 292732) (-3267 . 292631) (-3268 . 292578) (-3269 . 292208) (-3270 . 292134) (-3271 . 292024) (-3272 . 291917) (-3273 . 291846) (-3274 . 291771) (-3275 . 291555) (-3276 . 291455) (-3277 . 290857) (-3278 . 290710) (-3279 . 290587) (-3280 . 290535) (-3281 . 290477) (-3282 . 290115) (-3283 . 289919) (-3284 . 289705) (-3285 . 289333) (-3286 . 289264) (-3287 . 289057) (-3288 . 288481) (-3289 . 288246) (-3290 . 288129) (-3291 . 287858) (-3292 . 287803) (-3293 . 287751) (-3294 . 287435) (-3295 . 287338) (-3296 . 287222) (-3297 . 287089) (-3298 . 286725) (-3299 . 286594) (-3300 . 286462) (-3301 . 286359) (-3302 . 286271) (-3303 . 286201) (-3304 . 285900) (-3305 . 285749) (-3306 . 285489) (-3307 . 285430) (-3308 . 285351) (-3309 . 285123) (-3310 . 284982) (-3311 . 284704) (-3312 . 284553) (-3313 . 284390) (-3314 . 284169) (-3315 . 283932) (-3316 . 283739) (-3317 . 283599) (-3318 . 283243) (-3319 . 283190) (-3320 . 282819) (-3321 . 282648) (-3322 . 282527) (-3323 . 282436) (-3324 . 282302) (-3325 . 282093) (-3326 . 282007) (-3327 . 281632) (-3328 . 281542) (-3329 . 281314) (-3330 . 281215) (-3331 . 281149) (-3332 . 280881) (-3333 . 280808) (-3334 . 280724) (-3335 . 280674) (-3336 . 280590) (-3337 . 280438) (-3338 . 280383) (-3339 . 280294) (-3340 . 280074) (-3341 . 279231) (-3342 . 278321) (-3343 . 275482) (-3344 . 275246) (-3345 . 275170) (-3346 . 274209) (-3347 . 273595) (-3348 . 273284) (-3349 . 273049) (-3350 . 272485) (-3351 . 272352) (-3352 . 272226) (-3353 . 272086) (-3354 . 271948) (-3355 . 271682) (-3356 . 271312) (-3357 . 271110) (-3358 . 271004) (-3359 . 270923) (-3360 . 270303) (-3361 . 270163) (-3362 . 270018) (-3363 . 269944) (-3364 . 269687) (-3365 . 269572) (-3366 . 269446) (-3367 . 269211) (-3368 . 269096) (-3369 . 268928) (-3370 . 268852) (-3371 . 268782) (-3372 . 264858) (-3373 . 264789) (-3374 . 264676) (-3375 . 264623) (-3376 . 264516) (-3377 . 264408) (-3378 . 264324) (-3379 . 264172) (-3380 . 263879) (-3381 . 263739) (-3382 . 263252) (-3383 . 263221) (-3384 . 263096) (-3385 . 262978) (-3386 . 262889) (-3387 . 262812) (-3388 . 262760) (-3389 . 262661) (-3390 . 262386) (-3391 . 262271) (-3392 . 262237) (-3393 . 261601) (-3394 . 261567) (-3395 . 261518) (-3396 . 261422) (-3397 . 261318) (-3398 . 261230) (-3399 . 261064) (-3400 . 260984) (-3401 . 260812) (-3402 . 260662) (-3403 . 260574) (-3404 . 260499) (-3405 . 260413) (-3406 . 260261) (-3407 . 260135) (-3408 . 259178) (-3409 . 258674) (-3410 . 258503) (-3411 . 258432) (-3412 . 258328) (-3413 . 258227) (-3414 . 258004) (-3415 . 257905) (-3416 . 257843) (-3417 . 257770) (-3418 . 257672) (-3419 . 257431) (-3420 . 257336) (-3421 . 257262) (-3422 . 257079) (-3423 . 256980) (-3424 . 256789) (-3425 . 256681) (-3426 . 256522) (-3427 . 256446) (-3428 . 255308) (-3429 . 255043) (-3430 . 254770) (-3431 . 254711) (-3432 . 254644) (-3433 . 254559) (-3434 . 254463) (-3435 . 254313) (-3436 . 254212) (-3437 . 254043) (-3438 . 253817) (-3439 . 253676) (-3440 . 253580) (-3441 . 253414) (-3442 . 253003) (-3443 . 252885) (-3444 . 252819) (-3445 . 252681) (-3446 . 252597) (-3447 . 252501) (-3448 . 252411) (-3449 . 252174) (-3450 . 251887) (-3451 . 251760) (-3452 . 251498) (-3453 . 251346) (-3454 . 251318) (-3455 . 251235) (-3456 . 251149) (-3457 . 251025) (-3458 . 250908) (-3459 . 250810) (-3460 . 250687) (-3461 . 250529) (-3462 . 250234) (-3463 . 250181) (-3464 . 250065) (-3465 . 249762) (-3466 . 249707) (-3467 . 249586) (-3468 . 249440) (-3469 . 249366) (-3470 . 248698) (-3471 . 248617) (-3472 . 248496) (-3473 . 248373) (-3474 . 248227) (-3475 . 246496) (-3476 . 246365) (-3477 . 246266) (-3478 . 245898) (-3479 . 245376) (-3480 . 245274) (-3481 . 245150) (-3482 . 245098) (-3483 . 244956) (-3484 . 244881) (-3485 . 244807) (-3486 . 244559) (-3487 . 244491) (-3488 . 244418) (-3489 . 244366) (-3490 . 244303) (-3491 . 244204) (-3492 . 243004) (-3493 . 242634) (-3494 . 242582) (-3495 . 242465) (-3496 . 242205) (-3497 . 242054) (-3498 . 241958) (-3499 . 240813) (-3500 . 240671) (-3501 . 240520) (-3502 . 240382) (-3503 . 240300) (-3504 . 239941) (-3505 . 239852) (-3506 . 239756) (-3507 . 239606) (-3508 . 239366) (-3509 . 239289) (-3510 . 239149) (-3511 . 238643) (-3512 . 238510) (-3513 . 238160) (-3514 . 238089) (-3515 . 238008) (-3516 . 237913) (-3517 . 237840) (-3518 . 237473) (-3519 . 237327) (-3520 . 237194) (-3521 . 237075) (-3522 . 236750) (-3523 . 236245) (-3524 . 236142) (-3525 . 236017) (-3526 . 235943) (-3527 . 235873) (-3528 . 235802) (-3529 . 235674) (-3530 . 235582) (-3531 . 235496) (-3532 . 235343) (-3533 . 235250) (-3534 . 234842) (-3535 . 234702) (-3536 . 234628) (-3537 . 233777) (-3538 . 233721) (-3539 . 233180) (-3540 . 233094) (-3541 . 232911) (-3542 . 232633) (-3543 . 232499) (-3544 . 232418) (-3545 . 232325) (-3546 . 232241) (-3547 . 232155) (-3548 . 232044) (-3549 . 231896) (-3550 . 231151) (-3551 . 230981) (-3552 . 230601) (-3553 . 230527) (-3554 . 230460) (-3555 . 230170) (-3556 . 230084) (-3557 . 229994) (-3558 . 229832) (-3559 . 229758) (-3560 . 229492) (-3561 . 229035) (-3562 . 228898) (-3563 . 228606) (-3564 . 228520) (-3565 . 228429) (-3566 . 228340) (-3567 . 228227) (-3568 . 228114) (-3569 . 227878) (-3570 . 227797) (-3571 . 227709) (-3572 . 227634) (-3573 . 227429) (-3574 . 227343) (-3575 . 226694) (-3576 . 226577) (-3577 . 225659) (-3578 . 225607) (-3579 . 225538) (-3580 . 225483) (-3581 . 225232) (-3582 . 225085) (-3583 . 224999) (-3584 . 224907) (-3585 . 224750) (-3586 . 224693) (-3587 . 224515) (-3588 . 224312) (-3589 . 224192) (-3590 . 223620) (-3591 . 223534) (-3592 . 223462) (-3593 . 223359) (-3594 . 223275) (-3595 . 223247) (-3596 . 223178) (-3597 . 223069) (-3598 . 222824) (-3599 . 222738) (-3600 . 222492) (-3601 . 222118) (-3602 . 222051) (-3603 . 221778) (-3604 . 221707) (-3605 . 221604) (-3606 . 221442) (-3607 . 221392) (-3608 . 221306) (-3609 . 221218) (-3610 . 221138) (-3611 . 221063) (-3612 . 220970) (-3613 . 220881) (-3614 . 220730) (-3615 . 219941) (-3616 . 219849) (-3617 . 219579) (-3618 . 219468) (-3619 . 219389) (-3620 . 219293) (-3621 . 219196) (-3622 . 218954) (-3623 . 218639) (-3624 . 218567) (-3625 . 218417) (-3626 . 218331) (-3627 . 218096) (-3628 . 217766) (-3629 . 217589) (-3630 . 217536) (-3631 . 217244) (-3632 . 216286) (-3633 . 215799) (-3634 . 215628) (-3635 . 215542) (-3636 . 215176) (-3637 . 215107) (-3638 . 213837) (-3639 . 213764) (-3640 . 213525) (-3641 . 213445) (-3642 . 212908) (-3643 . 212822) (-3644 . 212469) (-3645 . 211629) (-3646 . 211346) (-3647 . 211262) (-3648 . 211170) (-3649 . 211084) (-3650 . 210709) (-3651 . 210335) (-3652 . 210283) (-3653 . 210227) (-3654 . 210056) (-3655 . 210001) (-3656 . 209917) (-3657 . 209831) (-3658 . 209728) (-3659 . 209421) (-3660 . 208582) (-3661 . 208445) (-3662 . 208202) (-3663 . 207895) (-3664 . 207821) (-3665 . 207619) (-3666 . 207567) (-3667 . 207474) (-3668 . 207214) (-3669 . 207141) (-3670 . 206879) (-3671 . 206631) (-3672 . 206500) (-3673 . 206294) (-3674 . 206199) (-3675 . 206077) (-3676 . 205996) (-3677 . 205827) (-3678 . 205762) (-3679 . 205522) (-3680 . 205372) (-3681 . 205253) (-3682 . 204872) (-3683 . 204394) (-3684 . 204302) (-3685 . 204218) (-3686 . 204063) (-3687 . 203823) (-3688 . 203703) (-3689 . 203644) (-3690 . 203555) (-3691 . 203407) (-3692 . 203315) (-3693 . 203251) (-3694 . 203056) (-3695 . 202503) (-3696 . 202450) (-3697 . 202262) (-3698 . 202169) (-3699 . 202037) (-3700 . 201948) (-3701 . 201882) (-3702 . 201821) (-3703 . 201707) (-3704 . 201637) (-3705 . 201546) (-3706 . 201448) (-3707 . 201372) (-3708 . 201286) (-3709 . 201136) (-3710 . 201084) (-3711 . 200887) (-3712 . 200837) (-3713 . 200784) (-3714 . 200660) (-3715 . 200587) (-3716 . 200433) (-3717 . 200261) (-3718 . 199694) (-3719 . 199439) (-3720 . 199352) (-3721 . 199044) (-3722 . 198731) (-3723 . 198645) (-3724 . 198084) (-3725 . 197984) (-3726 . 197618) (-3727 . 197118) (-3728 . 197065) (-3729 . 196975) (-3730 . 196822) (-3731 . 196733) (-3732 . 196601) (-3733 . 196483) (-3734 . 196326) (-3735 . 196274) (-3736 . 196221) (-3737 . 196039) (-3738 . 195987) (-3739 . 195901) (-3740 . 195784) (-3741 . 195604) (-3742 . 195481) (-3743 . 195385) (-3744 . 195296) (-3745 . 195199) (-3746 . 195000) (-3747 . 194972) (-3748 . 194771) (-3749 . 194401) (-3750 . 194129) (-3751 . 193966) (-3752 . 193828) (-3753 . 192949) (-3754 . 192744) (-3755 . 192493) (-3756 . 192426) (-3757 . 192121) (-3758 . 192045) (-3759 . 191822) (-3760 . 191736) (-3761 . 191512) (-3762 . 191399) (-3763 . 191039) (-3764 . 190910) (-3765 . 190734) (-3766 . 190574) (-3767 . 190507) (-3768 . 190441) (-3769 . 190350) (-3770 . 190237) (-3771 . 190123) (-3772 . 190054) (-3773 . 190026) (-3774 . 189741) (-3775 . 189591) (-3776 . 189404) (-3777 . 189246) (-3778 . 189073) (-3779 . 189021) (-3780 . 188861) (-3781 . 188503) (-3782 . 187570) (-3783 . 187518) (-3784 . 187083) (-3785 . 186897) (-3786 . 186550) (-3787 . 186518) (-3788 . 186427) (-3789 . 186150) (-3790 . 185566) (-3791 . 185406) (-3792 . 185231) (-3793 . 185121) (-3794 . 185035) (-3795 . 184983) (-3796 . 184901) (-3797 . 184807) (-3798 . 184710) (-3799 . 184621) (-3800 . 184524) (-3801 . 184434) (-3802 . 184367) (-3803 . 184138) (-3804 . 184009) (-3805 . 183851) (-3806 . 183643) (-3807 . 183342) (-3808 . 183229) (-3809 . 183095) (-3810 . 183014) (-3811 . 182962) (-3812 . 182876) (-3813 . 182589) (-3814 . 182217) (-3815 . 182058) (-3816 . 181970) (-3817 . 177512) (-3818 . 177453) (-3819 . 177388) (-3820 . 177192) (-3821 . 177094) (-3822 . 176936) (-3823 . 176723) (-3824 . 176673) (-3825 . 176642) (-3826 . 176589) (-3827 . 176270) (-3828 . 176161) (-3829 . 175922) (-3830 . 175789) (-3831 . 175679) (-3832 . 175514) (-3833 . 175186) (-3834 . 174973) (-3835 . 174801) (-3836 . 174261) (-3837 . 174132) (-3838 . 173999) (-3839 . 173804) (-3840 . 173674) (-3841 . 173526) (-3842 . 173392) (-3843 . 173234) (-3844 . 172997) (-3845 . 172911) (-3846 . 172869) (-3847 . 172727) (-3848 . 172617) (-3849 . 172469) (-3850 . 172281) (-3851 . 172192) (-3852 . 172111) (-3853 . 171896) (-3854 . 171748) (-3855 . 171662) (-3856 . 171603) (-3857 . 171295) (-3858 . 171189) (-3859 . 171126) (-3860 . 170905) (-3861 . 170578) (-3862 . 170492) (-3863 . 170440) (-3864 . 170324) (-3865 . 170028) (-3866 . 169871) (-3867 . 169782) (-3868 . 169446) (-3869 . 169360) (-3870 . 168677) (-3871 . 168609) (-3872 . 168437) (-3873 . 168379) (-3874 . 168184) (-3875 . 167296) (-3876 . 167214) (-3877 . 166643) (-3878 . 166514) (-3879 . 166480) (-3880 . 166086) (-3881 . 165944) (-3882 . 165892) (-3883 . 165833) (-3884 . 165749) (-3885 . 165675) (-3886 . 165439) (-3887 . 165177) (-3888 . 165107) (-3889 . 164786) (-3890 . 164212) (-3891 . 164130) (-3892 . 163912) (-3893 . 163817) (-3894 . 163666) (-3895 . 163521) (-3896 . 163444) (-3897 . 162813) (-3898 . 162623) (-3899 . 160378) (-3900 . 160242) (-3901 . 160116) (-3902 . 159803) (-3903 . 159665) (-3904 . 159473) (-3905 . 159374) (-3906 . 159269) (-3907 . 158980) (-3908 . 158892) (-3909 . 158729) (-3910 . 158621) (-3911 . 158548) (-3912 . 158458) (-3913 . 158402) (-3914 . 157619) (-3915 . 157275) (-3916 . 157137) (-3917 . 156953) (-3918 . 156901) (-3919 . 156834) (-3920 . 156757) (-3921 . 156684) (-3922 . 156532) (-3923 . 156354) (-3924 . 156265) (-3925 . 156134) (-3926 . 155776) (-3927 . 155715) (-3928 . 155547) (-3929 . 155384) (-3930 . 154561) (-3931 . 154457) (-3932 . 154405) (-3933 . 154299) (-3934 . 154244) (-3935 . 154192) (-3936 . 154112) (-3937 . 153993) (-3938 . 153909) (-3939 . 153183) (-3940 . 153065) (-3941 . 153037) (-3942 . 152820) (-3943 . 152722) (-3944 . 152619) (-3945 . 152567) (-3946 . 152515) (-3947 . 152302) (-3948 . 152188) (-3949 . 152109) (-3950 . 150948) (-3951 . 150850) (-3952 . 150506) (-3953 . 150378) (-3954 . 150350) (-3955 . 150142) (-3956 . 150050) (-3957 . 149946) (-3958 . 149857) (-3959 . 149753) (-3960 . 149664) (-3961 . 149573) (-3962 . 149489) (-3963 . 149410) (-3964 . 149189) (-3965 . 149029) (-3966 . 148882) (-3967 . 148732) (-3968 . 148670) (-3969 . 148101) (-3970 . 148049) (-3971 . 147899) (-3972 . 147871) (-3973 . 147799) (-3974 . 147551) (-3975 . 147305) (-3976 . 146980) (-3977 . 146476) (-3978 . 146191) (-3979 . 146111) (-3980 . 146055) (-3981 . 145951) (-3982 . 145828) (-3983 . 141904) (-3984 . 141738) (-3985 . 141676) (-3986 . 141526) (-3987 . 140084) (-3988 . 139652) (-3989 . 139539) (-3990 . 139405) (-3991 . 139327) (-3992 . 139092) (-3993 . 139009) (-3994 . 138910) (-3995 . 138670) (-3996 . 138574) (-3997 . 138402) (-3998 . 138096) (-3999 . 138047) (-4000 . 137934) (-4001 . 137880) (-4002 . 137431) (-4003 . 137369) (-4004 . 137246) (-4005 . 136887) (-4006 . 136811) (-4007 . 136646) (-4008 . 136489) (-4009 . 136412) (-4010 . 136359) (-4011 . 135996) (-4012 . 134881) (-4013 . 134778) (-4014 . 134629) (-4015 . 134519) (-4016 . 134445) (-4017 . 134265) (-4018 . 134140) (-4019 . 134069) (-4020 . 132936) (-4021 . 132876) (-4022 . 132746) (-4023 . 132596) (-4024 . 132480) (-4025 . 132425) (-4026 . 132277) (-4027 . 132177) (-4028 . 131914) (-4029 . 131279) (-4030 . 130959) (-4031 . 130925) (-4032 . 130850) (-4033 . 130816) (-4034 . 130565) (-4035 . 130493) (-4036 . 129716) (-4037 . 129475) (-4038 . 129298) (-4039 . 129228) (-4040 . 129078) (-4041 . 129026) (-4042 . 128915) (-4043 . 128796) (-4044 . 128477) (-4045 . 124796) (-4046 . 124730) (-4047 . 124603) (-4048 . 123268) (-4049 . 123209) (-4050 . 122939) (-4051 . 122855) (-4052 . 122639) (-4053 . 122587) (-4054 . 122012) (-4055 . 121732) (-4056 . 121553) (-4057 . 121375) (-4058 . 121318) (-4059 . 121111) (-4060 . 120973) (-4061 . 120882) (-4062 . 120724) (-4063 . 120491) (-4064 . 119828) (-4065 . 119656) (-4066 . 119549) (-4067 . 119480) (-4068 . 119302) (-4069 . 119250) (-4070 . 118925) (-4071 . 118824) (-4072 . 118725) (-4073 . 118668) (-4074 . 118600) (-4075 . 118359) (-4076 . 118306) (-4077 . 118233) (-4078 . 117911) (-4079 . 117776) (-4080 . 117541) (-4081 . 117488) (-4082 . 117426) (-4083 . 117373) (-4084 . 117270) (-4085 . 117146) (-4086 . 117036) (-4087 . 116498) (-4088 . 116194) (-4089 . 116139) (-4090 . 116016) (-4091 . 115759) (-4092 . 115731) (-4093 . 115628) (-4094 . 115476) (-4095 . 115302) (-4096 . 115164) (-4097 . 115030) (-4098 . 114832) (-4099 . 114019) (-4100 . 113824) (-4101 . 113471) (-4102 . 113443) (-4103 . 113301) (-4104 . 113202) (-4105 . 113098) (-4106 . 113045) (-4107 . 112971) (-4108 . 112859) (-4109 . 112708) (-4110 . 112423) (-4111 . 112326) (-4112 . 112213) (-4113 . 112121) (-4114 . 111944) (-4115 . 111745) (-4116 . 111073) (-4117 . 110970) (-4118 . 110847) (-4119 . 110751) (-4120 . 110448) (-4121 . 109796) (-4122 . 109697) (-4123 . 109644) (-4124 . 109568) (-4125 . 109450) (-4126 . 109368) (-4127 . 105502) (-4128 . 105449) (-4129 . 105261) (-4130 . 105148) (-4131 . 105111) (-4132 . 102876) (-4133 . 102728) (-4134 . 100291) (-4135 . 100084) (-4136 . 99898) (-4137 . 99719) (-4138 . 99666) (-4139 . 99538) (-4140 . 99197) (-4141 . 99073) (-4142 . 98991) (-4143 . 98939) (-4144 . 98703) (-4145 . 98441) (-4146 . 98366) (-4147 . 98275) (-4148 . 97967) (-4149 . 97900) (-4150 . 97790) (-4151 . 97577) (-4152 . 97384) (-4153 . 97188) (-4154 . 97113) (-4155 . 97035) (-4156 . 96983) (-4157 . 95493) (-4158 . 95422) (-4159 . 95367) (-4160 . 95064) (-4161 . 94960) (-4162 . 94810) (-4163 . 94697) (-4164 . 94306) (-4165 . 94225) (-4166 . 94132) (-4167 . 94014) (-4168 . 93264) (-4169 . 93069) (-4170 . 92933) (-4171 . 92858) (-4172 . 92768) (-4173 . 92391) (-4174 . 92357) (-4175 . 92218) (-4176 . 92078) (-4177 . 91384) (-4178 . 90161) (-4179 . 86237) (-4180 . 86118) (-4181 . 85919) (-4182 . 85829) (-4183 . 85682) (-4184 . 85613) (-4185 . 85582) (-4186 . 85499) (-4187 . 85311) (-4188 . 85239) (-4189 . 85170) (-4190 . 85093) (-4191 . 84670) (-4192 . 84621) (-4193 . 84405) (-4194 . 84076) (-4195 . 83653) (-4196 . 83574) (-4197 . 83522) (-4198 . 83440) (-4199 . 82717) (-4200 . 82662) (-4201 . 82539) (-4202 . 82459) (-4203 . 82274) (-4204 . 82189) (-4205 . 82039) (-4206 . 81822) (-4207 . 81720) (-4208 . 81600) (-4209 . 81365) (-4210 . 81182) (-4211 . 81129) (-4212 . 80998) (-4213 . 80689) (-4214 . 80474) (-4215 . 80360) (-4216 . 80177) (-4217 . 79895) (-4218 . 79776) (-4219 . 79501) (-4220 . 79349) (-4221 . 79298) (-4222 . 79189) (-4223 . 79017) (-4224 . 78954) (-4225 . 78886) (-4226 . 78752) (-4227 . 78600) (-4228 . 78424) (-4229 . 78003) (-4230 . 77952) (-4231 . 77753) (-4232 . 77506) (-4233 . 77409) (-4234 . 77342) (-4235 . 77204) (-4236 . 77176) (-4237 . 77043) (-4238 . 76980) (-4239 . 76828) (-4240 . 76644) (-4241 . 76541) (-4242 . 76441) (-4243 . 76345) (-4244 . 76083) (-4245 . 75980) (-4246 . 75931) (-4247 . 75837) (-4248 . 75530) (-4249 . 75442) (-4250 . 75390) (-4251 . 75299) (-4252 . 75228) (-4253 . 75154) (-4254 . 75088) (-4255 . 74859) (-4256 . 73524) (-4257 . 73254) (-4258 . 73151) (-4259 . 72524) (-4260 . 72410) (-4261 . 72284) (-4262 . 72212) (-4263 . 72112) (-4264 . 71925) (-4265 . 71653) (-4266 . 71568) (-4267 . 71502) (-4268 . 71263) (-4269 . 71149) (-4270 . 71056) (-4271 . 70983) (-4272 . 70876) (-4273 . 70848) (-4274 . 70734) (-4275 . 70530) (-4276 . 70345) (-4277 . 70261) (-4278 . 70107) (-4279 . 69999) (-4280 . 69947) (-4281 . 66023) (-4282 . 65080) (-4283 . 64925) (-4284 . 64843) (-4285 . 64668) (-4286 . 64276) (-4287 . 64097) (-4288 . 64041) (-4289 . 63863) (-4290 . 63835) (-4291 . 63757) (-4292 . 63461) (-4293 . 63396) (-4294 . 63290) (-4295 . 63241) (-4296 . 63115) (-4297 . 63033) (-4298 . 62970) (-4299 . 62904) (-4300 . 62785) (-4301 . 62652) (-4302 . 62539) (-4303 . 62435) (-4304 . 62306) (-4305 . 62233) (-4306 . 62018) (-4307 . 61902) (-4308 . 60190) (-4309 . 60088) (-4310 . 59584) (-4311 . 59512) (-4312 . 59433) (-4313 . 59308) (-4314 . 59256) (-4315 . 59151) (-4316 . 58957) (-4317 . 58902) (-4318 . 58746) (-4319 . 58602) (-4320 . 58479) (-4321 . 58392) (-4322 . 58320) (-4323 . 58097) (-4324 . 57762) (-4325 . 57688) (-4326 . 57580) (-4327 . 56958) (-4328 . 56595) (-4329 . 55866) (-4330 . 55600) (-4331 . 55534) (-4332 . 55429) (-4333 . 55321) (-4334 . 55219) (-4335 . 55083) (-4336 . 54831) (-4337 . 54498) (-4338 . 54296) (-4339 . 54197) (-4340 . 54123) (-4341 . 54050) (-4342 . 53975) (-4343 . 53918) (-4344 . 53700) (-4345 . 53595) (-4346 . 53543) (-4347 . 52973) (-4348 . 52941) (-4349 . 52850) (-4350 . 52698) (-4351 . 52486) (-4352 . 52369) (-4353 . 51852) (-4354 . 51800) (-4355 . 51410) (-4356 . 51302) (-4357 . 51092) (-4358 . 50963) (-4359 . 50840) (-4360 . 50783) (-4361 . 50412) (-4362 . 49480) (-4363 . 49155) (-4364 . 49072) (-4365 . 48983) (-4366 . 48931) (-4367 . 48596) (-4368 . 48422) (-4369 . 45985) (-4370 . 45845) (-4371 . 45677) (-4372 . 45646) (-4373 . 45363) (-4374 . 45259) (-4375 . 45152) (-4376 . 45032) (-4377 . 45003) (-4378 . 44824) (-4379 . 44746) (-4380 . 44642) (-4381 . 44513) (-4382 . 44105) (-4383 . 43950) (-4384 . 41284) (-4385 . 41096) (-4386 . 41018) (-4387 . 40722) (-4388 . 40359) (-4389 . 40293) (-4390 . 40241) (-4391 . 40189) (-4392 . 40086) (-4393 . 39732) (-4394 . 39655) (-4395 . 39432) (-4396 . 39380) (-4397 . 39116) (-4398 . 39043) (-4399 . 38804) (-4400 . 38671) (-4401 . 37917) (-4402 . 37782) (-4403 . 37723) (-4404 . 37629) (-4405 . 37601) (-4406 . 37498) (-4407 . 37375) (-4408 . 37284) (-4409 . 37102) (-4410 . 36359) (-4411 . 36209) (-4412 . 36150) (-4413 . 35953) (-4414 . 35825) (-4415 . 35746) (-4416 . 35712) (-4417 . 35560) (-4418 . 35477) (-4419 . 35401) (-4420 . 35349) (-4421 . 35257) (-4422 . 34437) (-4423 . 34400) (-4424 . 34049) (-4425 . 33897) (-4426 . 32028) (-4427 . 31840) (-4428 . 31742) (-4429 . 31437) (-4430 . 31371) (-4431 . 31298) (-4432 . 31209) (-4433 . 31101) (-4434 . 31012) (-4435 . 22119) (-4436 . 21282) (-4437 . 21209) (-4438 . 20090) (-4439 . 19972) (-4440 . 19374) (-4441 . 19022) (-4442 . 18695) (-4443 . 18556) (-4444 . 18455) (-4445 . 18050) (-4446 . 17976) (-4447 . 17774) (-4448 . 17509) (-4449 . 17407) (-4450 . 16231) (-4451 . 16113) (** . 13048) (-4453 . 12858) (-4454 . 12147) (-4455 . 11556) (-4456 . 11462) (-4457 . 11411) (-4458 . 11256) (-4459 . 11056) (-4460 . 10964) (-4461 . 10594) (-4462 . 10343) (-4463 . 10245) (-4464 . 10108) (-4465 . 9824) (-4466 . 9790) (-4467 . 9724) (-4468 . 9431) (-4469 . 8046) (-4470 . 7924) (-4471 . 7871) (-4472 . 7790) (-4473 . 7717) (-4474 . 7642) (-4475 . 7473) (-4476 . 7357) (-4477 . 7177) (-4478 . 7124) (-4479 . 7016) (-4480 . 6116) (-4481 . 6051) (-4482 . 5940) (-4483 . 5840) (-4484 . 5748) (-4485 . 5696) (-4486 . 5615) (-4487 . 5518) (-4488 . 5349) (-4489 . 4881) (-4490 . 4561) (-4491 . 4472) (-4492 . 4419) (-4493 . 3291) (-4494 . 2902) (-4495 . 2735) (-4496 . 2601) (-4497 . 2451) (-4498 . 2368) (-4499 . 2243) (-4500 . 2190) (-4501 . 1971) (-4502 . 1863) (-4503 . 1770) (-4504 . 1618) (-4505 . 1490) (-4506 . 1050) (-4507 . 899) (-4508 . 815) (-4509 . 656) (-4510 . 604) (-4511 . 462) (-4512 . 410) (-4513 . 254) (-4514 . 101) (-4515 . 30)) 
\ No newline at end of file
+(((*1 *2 *1) (-12 (-5 *2 (-1258)) (-5 *1 (-819))))) 
+(((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (|has| *1 (-6 -4571)) (-4 *1 (-228 *3)) (-4 *3 (-1093)))) ((*1 *1 *2 *1) (-12 (-5 *2 (-1 (-121) *3)) (-4 *1 (-278 *3)) (-4 *3 (-1199))))) 
+(((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-501)))) ((*1 *2 *3) (-12 (-5 *3 (-852)) (-5 *2 (-1147)) (-5 *1 (-702))))) 
+(((*1 *2 *2 *3 *3) (-12 (-5 *2 (-1145 *4)) (-5 *3 (-569)) (-4 *4 (-1049)) (-5 *1 (-1149 *4)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1210 *3)) (-4 *3 (-1049)))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1244 *3 *4 *5)) (-4 *3 (-1049)) (-14 *4 (-1165)) (-14 *5 *3))) ((*1 *1 *1 *2 *2) (-12 (-5 *2 (-569)) (-5 *1 (-1248 *3 *4)) (-4 *3 (-1049)) (-14 *4 (-1165))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-602 *2 *3)) (-4 *3 (-1199)) (-4 *2 (-1093)) (-4 *2 (-844))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-821))))) 
+(((*1 *2 *3 *4 *5 *6) (-12 (-4 *6 (-366)) (-14 *7 (-635 (-1165))) (-4 *9 (-231 (-2946 *7) (-765))) (-5 *2 (-2 (|:| |mult| (-765)) (|:| |subMult| (-765)) (|:| |blUpRec| (-635 (-2 (|:| |recTransStr| (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (|:| |recPoint| (-33 *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (-5 *1 (-119 *6 *7 *8 *9 *5)) (-5 *3 (-243 (-3124 (QUOTE X) (QUOTE -2866)) *6)) (-5 *4 (-33 *6)) (-4 *8 (-325 *6 *9)) (-4 *5 (-117))))) 
+(((*1 *2 *3 *4) (-12 (-5 *2 (-635 (-170 *4))) (-5 *1 (-158 *3 *4)) (-4 *3 (-1228 (-170 (-569)))) (-4 *4 (-13 (-366) (-842))))) ((*1 *2 *3) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4))))) ((*1 *2 *3 *4) (-12 (-4 *4 (-13 (-366) (-842))) (-5 *2 (-635 (-170 *4))) (-5 *1 (-179 *4 *3)) (-4 *3 (-1228 (-170 *4)))))) 
+(((*1 *2 *2 *2) (-12 (-4 *3 (-43 (-410 (-569)))) (-5 *1 (-1245 *3 *2)) (-4 *2 (-1243 *3))))) 
+(((*1 *2 *3 *2) (-12 (-5 *2 (-919)) (-5 *3 (-635 (-257))) (-5 *1 (-255)))) ((*1 *1 *2) (-12 (-5 *2 (-919)) (-5 *1 (-257))))) 
+(((*1 *1 *1 *1) (-12 (-4 *1 (-647 *2)) (-4 *2 (-1049)) (-4 *2 (-366)))) ((*1 *2 *2 *2 *3) (-12 (-5 *3 (-1 *4 *4)) (-4 *4 (-366)) (-5 *1 (-650 *4 *2)) (-4 *2 (-647 *4))))) 
+(((*1 *1 *1 *1) (-4 *1 (-652))) ((*1 *1 *1 *1) (-5 *1 (-1111)))) 
+(((*1 *1 *1) (-12 (-4 *1 (-236 *2)) (-4 *2 (-1093))))) 
+(((*1 *2 *1) (-12 (-4 *1 (-1137 *3)) (-4 *3 (-1199)) (-5 *2 (-121))))) 
+(((*1 *1 *2) (-12 (-5 *2 (-635 (-635 *3))) (-4 *3 (-1093)) (-5 *1 (-1172 *3))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-1049)) (-4 *5 (-231 *6 *2)) (-14 *6 *2) (-5 *2 (-765)) (-5 *1 (-910 *4 *3 *5 *6)) (-4 *3 (-325 *4 *5)))) ((*1 *2 *1 *3) (-12 (-5 *3 (-635 *6)) (-4 *1 (-952 *4 *5 *6)) (-4 *4 (-1049)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)))) ((*1 *2 *1) (-12 (-4 *1 (-952 *3 *4 *5)) (-4 *3 (-1049)) (-4 *4 (-790)) (-4 *5 (-844)) (-5 *2 (-765))))) 
+(((*1 *2 *2 *2) (-12 (-5 *2 (-216)) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-5 *2 (-170 (-216))) (-5 *1 (-218)))) ((*1 *2 *2 *2) (-12 (-4 *3 (-13 (-844) (-559))) (-5 *1 (-434 *3 *2)) (-4 *2 (-433 *3)))) ((*1 *1 *1 *1) (-4 *1 (-1127)))) 
+(((*1 *2 *2) (-12 (-5 *1 (-161 *2)) (-4 *2 (-551)))) ((*1 *1 *2) (-12 (-5 *2 (-635 (-569))) (-5 *1 (-974))))) 
+(((*1 *2 *3) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569))))) ((*1 *2 *3 *2) (-12 (-5 *2 (-121)) (-5 *1 (-129 *3)) (-4 *3 (-1228 (-569)))))) 
+(((*1 *2 *3) (-12 (-4 *4 (-454)) (-4 *5 (-790)) (-4 *6 (-844)) (-5 *2 (-765)) (-5 *1 (-451 *4 *5 *6 *3)) (-4 *3 (-952 *4 *5 *6))))) 
+(((*1 *2 *1) (-12 (-5 *2 (-121)) (-5 *1 (-889 *3)) (-4 *3 (-1093)))) ((*1 *2 *1) (-12 (-4 *1 (-1096 *3 *4 *5 *6 *7)) (-4 *3 (-1093)) (-4 *4 (-1093)) (-4 *5 (-1093)) (-4 *6 (-1093)) (-4 *7 (-1093)) (-5 *2 (-121))))) 
+((-1285 . 836076) (-1286 . 835943) (-1287 . 835787) (-1288 . 835676) (-1289 . 835441) (-1290 . 835078) (-1291 . 834996) (-1292 . 834924) (-1293 . 834868) (-1294 . 834802) (-1295 . 834630) (-1296 . 834504) (-1297 . 834410) (-1298 . 834040) (-1299 . 833583) (-1300 . 833531) (-1301 . 833441) (-1302 . 833064) (-1303 . 832931) (-1304 . 832748) (-1305 . 832695) (-1306 . 832658) (-1307 . 832440) (-1308 . 832384) (-1309 . 832307) (-1310 . 831817) (-1311 . 831692) (-1312 . 831613) (-1313 . 831460) (-1314 . 831404) (-1315 . 831338) (-1316 . 830814) (-1317 . 830619) (-1318 . 830070) (-1319 . 829696) (-1320 . 829479) (-1321 . 824417) (-1322 . 824342) (-1323 . 824239) (-1324 . 817399) (-1325 . 817127) (-1326 . 816426) (-1327 . 816289) (-1328 . 816257) (-1329 . 816063) (-1330 . 815309) (-1331 . 815027) (-1332 . 814924) (-1333 . 814618) (-1334 . 814518) (-1335 . 814423) (-1336 . 814371) (-1337 . 814071) (-1338 . 813775) (-1339 . 813502) (-1340 . 813473) (-1341 . 813402) (-1342 . 813321) (-1343 . 813235) (-1344 . 812238) (-1345 . 812183) (-1346 . 812112) (-1347 . 811940) (-1348 . 811873) (-1349 . 811645) (-1350 . 811490) (-1351 . 811360) (-1352 . 811220) (-1353 . 811096) (-1354 . 810958) (-1355 . 810872) (-1356 . 810580) (-1357 . 810400) (-1358 . 810251) (-1359 . 810003) (-1360 . 809868) (-1361 . 809749) (-1362 . 809668) (-1363 . 809612) (-1364 . 809467) (-1365 . 809344) (-1366 . 808536) (-1367 . 808477) (-1368 . 808443) (-1369 . 808415) (-1370 . 808267) (-1371 . 806760) (-1372 . 806728) (-1373 . 806605) (-1374 . 806508) (-1375 . 806424) (-1376 . 806316) (-1377 . 804717) (-1378 . 804649) (-1379 . 804384) (-1380 . 804243) (-1381 . 804157) (-1382 . 803278) (-1383 . 800895) (-1384 . 800804) (-1385 . 800733) (-1386 . 800583) (-1387 . 800506) (-1388 . 800447) (-1389 . 800172) (-1390 . 800093) (-1391 . 799750) (-1392 . 799668) (-1393 . 799581) (-1394 . 799376) (-1395 . 799309) (-1396 . 798627) (-1397 . 798434) (-1398 . 798358) (-1399 . 798094) (-1400 . 797837) (-1401 . 797414) (-1402 . 797343) (-1403 . 797224) (-1404 . 797140) (-1405 . 797032) (-1406 . 796754) (-1407 . 796549) (-1408 . 796460) (-1409 . 796246) (-1410 . 796184) (-1411 . 795927) (-1412 . 795899) (-1413 . 795747) (-1414 . 795696) (-1415 . 795545) (-1416 . 795400) (-1417 . 795267) (-1418 . 795182) (-1419 . 794600) (-1420 . 794448) (-1421 . 794348) (-1422 . 794204) (-1423 . 794085) (-1424 . 794051) (-1425 . 793953) (-1426 . 793796) (-1427 . 793768) (-1428 . 793616) (-1429 . 793486) (-1430 . 793325) (-1431 . 793128) (-1432 . 793042) (-1433 . 792127) (-1434 . 792046) (-1435 . 791795) (-1436 . 790978) (-1437 . 790865) (-1438 . 790762) (-1439 . 790193) (-1440 . 790120) (-1441 . 790017) (-1442 . 789983) (-1443 . 789932) (-1444 . 789839) (-1445 . 789676) (-1446 . 789586) (-1447 . 789133) (-1448 . 788983) (-1449 . 788884) (-1450 . 788799) (-1451 . 788506) (-1452 . 788472) (-1453 . 788398) (-1454 . 788295) (-1455 . 788221) (-1456 . 787155) (-1457 . 787106) (-1458 . 786813) (-1459 . 786747) (-1460 . 786679) (-1461 . 786545) (-1462 . 786491) (-1463 . 786355) (-1464 . 786242) (-1465 . 786099) (-1466 . 786047) (-1467 . 785977) (-1468 . 785495) (-1469 . 785386) (-1470 . 785179) (-1471 . 784940) (-1472 . 784908) (-1473 . 784698) (-1474 . 784561) (-1475 . 784460) (-1476 . 784360) (-1477 . 784197) (-1478 . 784142) (-1479 . 784068) (-1480 . 783916) (-1481 . 783508) (-1482 . 783350) (-1483 . 783284) (-1484 . 777452) (-1485 . 777363) (-1486 . 777249) (-1487 . 777028) (-1488 . 776953) (-1489 . 776925) (-1490 . 776820) (-1491 . 776584) (-1492 . 776394) (-1493 . 776244) (-1494 . 776165) (-1495 . 776074) (-1496 . 775963) (-1497 . 775495) (-1498 . 775323) (-1499 . 775187) (-1500 . 775159) (-1501 . 774825) (-1502 . 774696) (-1503 . 774591) (-1504 . 773579) (-1505 . 773410) (-1506 . 773288) (-1507 . 773141) (-1508 . 773034) (-1509 . 772929) (-1510 . 772775) (-1511 . 772601) (-1512 . 772513) (-1513 . 772276) (-1514 . 772223) (-1515 . 772119) (-1516 . 771721) (-1517 . 771637) (-1518 . 771468) (-1519 . 771276) (-1520 . 771177) (-1521 . 771089) (-1522 . 771024) (-1523 . 770787) (-1524 . 770529) (-1525 . 770431) (-1526 . 770323) (-1527 . 770260) (-1528 . 770130) (-1529 . 769986) (-1530 . 769582) (-1531 . 769211) (-1532 . 769106) (-1533 . 768901) (-1534 . 768675) (-1535 . 768504) (-1536 . 768366) (-1537 . 768291) (-1538 . 768189) (-1539 . 767940) (-1540 . 767806) (-1541 . 767564) (-1542 . 767522) (-1543 . 767352) (-1544 . 767253) (-1545 . 767179) (-1546 . 767079) (-1547 . 766886) (-1548 . 766770) (-1549 . 766540) (-1550 . 763585) (-1551 . 763510) (-1552 . 763439) (-1553 . 763367) (-1554 . 763224) (-1555 . 763148) (-1556 . 763080) (-1557 . 763011) (-1558 . 762867) (-1559 . 762265) (-1560 . 761333) (-1561 . 761181) (-1562 . 761040) (-1563 . 760922) (-1564 . 760814) (-1565 . 760698) (-1566 . 760646) (-1567 . 760448) (-1568 . 759475) (-1569 . 759333) (-1570 . 758814) (-1571 . 758739) (-1572 . 758253) (-1573 . 758113) (-1574 . 757933) (-1575 . 757291) (-1576 . 757086) (-1577 . 756991) (-1578 . 756743) (-1579 . 756620) (-1580 . 756470) (-1581 . 756336) (-1582 . 756043) (-1583 . 755909) (-1584 . 755756) (-1585 . 755431) (-1586 . 755350) (-1587 . 755184) (-1588 . 754986) (-1589 . 754903) (-1590 . 754854) (-1591 . 754761) (-1592 . 753948) (-1593 . 753772) (-1594 . 753662) (-1595 . 753605) (-1596 . 753331) (-1597 . 753258) (-1598 . 752902) (-1599 . 752849) (-1600 . 752611) (-1601 . 752494) (-1602 . 752170) (-1603 . 751924) (-1604 . 751875) (-1605 . 751823) (-1606 . 751671) (-1607 . 751603) (-1608 . 751293) (-1609 . 751071) (-1610 . 750988) (-1611 . 750712) (-1612 . 750662) (-1613 . 750251) (-1614 . 750155) (-1615 . 750030) (-1616 . 749996) (-1617 . 749858) (-1618 . 749663) (-1619 . 748824) (-1620 . 748636) (-1621 . 748401) (-1622 . 748283) (-1623 . 748175) (-1624 . 748071) (-1625 . 748018) (-1626 . 747922) (-1627 . 747454) (-1628 . 747306) (-1629 . 746388) (-1630 . 746247) (-1631 . 745922) (-1632 . 745870) (-1633 . 745673) (-1634 . 745541) (-1635 . 745365) (-1636 . 745204) (-1637 . 745138) (-1638 . 744840) (-1639 . 744751) (-1640 . 744576) (-1641 . 744524) (-1642 . 744181) (-1643 . 744075) (-1644 . 743676) (-1645 . 743262) (-1646 . 743049) (-1647 . 742973) (-1648 . 742620) (-1649 . 742548) (-1650 . 742459) (-1651 . 742425) (-1652 . 742222) (-1653 . 741782) (-1654 . 741411) (-1655 . 740511) (-1656 . 740364) (-1657 . 740278) (-1658 . 740226) (-1659 . 740113) (-1660 . 739609) (-1661 . 739316) (-1662 . 739266) (-1663 . 738845) (-1664 . 738594) (-1665 . 738217) (-1666 . 737697) (-1667 . 737645) (-1668 . 737012) (-1669 . 736946) (-1670 . 736837) (-1671 . 736769) (-1672 . 736667) (-1673 . 736172) (-1674 . 736144) (-1675 . 735742) (-1676 . 735661) (-1677 . 735504) (-1678 . 735341) (-1679 . 735126) (-1680 . 734955) (-1681 . 734890) (-1682 . 734680) (-1683 . 734560) (-1684 . 734491) (-1685 . 734417) (-1686 . 734132) (-1687 . 733798) (-1688 . 733745) (-1689 . 733628) (-1690 . 733577) (-1691 . 733427) (-1692 . 733306) (-1693 . 733235) (-1694 . 732900) (-1695 . 732792) (-1696 . 732682) (-1697 . 732544) (-1698 . 732396) (-1699 . 732162) (-1700 . 732088) (-1701 . 731962) (-1702 . 731707) (-1703 . 731373) (-1704 . 731231) (-1705 . 731122) (-1706 . 730907) (-1707 . 730757) (-1708 . 730625) (-1709 . 730527) (-1710 . 730287) (-1711 . 730235) (-1712 . 730124) (-1713 . 730006) (-1714 . 729880) (-1715 . 729825) (-1716 . 729775) (-1717 . 729695) (-1718 . 729622) (-1719 . 729498) (-1720 . 729120) (-1721 . 728921) (-1722 . 728830) (-1723 . 728697) (-1724 . 728556) (-1725 . 728382) (-1726 . 728116) (-1727 . 727982) (-1728 . 727898) (-1729 . 727846) (-1730 . 727775) (-1731 . 727559) (-1732 . 727412) (-1733 . 727313) (-1734 . 726997) (-1735 . 726888) (-1736 . 726568) (-1737 . 726420) (-1738 . 726345) (-1739 . 726176) (-1740 . 724481) (-1741 . 724282) (-1742 . 724191) (-1743 . 724091) (-1744 . 723894) (-1745 . 723731) (-1746 . 723480) (-1747 . 723257) (-1748 . 723201) (-1749 . 723078) (-1750 . 723005) (-1751 . 722842) (-1752 . 722595) (-1753 . 722166) (-1754 . 722063) (-1755 . 721825) (-1756 . 719388) (-1757 . 719171) (-1758 . 719102) (-1759 . 719007) (-1760 . 718917) (-1761 . 718818) (-1762 . 718744) (-1763 . 718414) (-1764 . 718280) (-1765 . 718032) (-1766 . 717928) (-1767 . 717241) (-1768 . 717182) (-1769 . 717083) (-1770 . 716940) (-1771 . 716880) (-1772 . 716503) (-1773 . 716423) (-1774 . 716287) (-1775 . 716153) (-1776 . 716061) (-1777 . 713624) (-1778 . 713515) (-1779 . 713418) (-1780 . 712984) (-1781 . 712880) (-1782 . 712412) (-1783 . 712258) (-1784 . 712131) (-1785 . 711921) (-1786 . 711774) (-1787 . 711501) (-1788 . 709537) (-1789 . 709212) (-1790 . 709072) (-1791 . 708936) (-1792 . 708820) (-1793 . 708054) (-1794 . 707817) (-1795 . 707508) (-1796 . 707471) (-1797 . 707375) (-1798 . 707273) (-1799 . 706690) (-1800 . 706593) (-1801 . 706540) (-1802 . 706376) (-1803 . 706068) (-1804 . 704714) (-1805 . 704590) (-1806 . 704437) (-1807 . 704338) (-1808 . 704129) (-1809 . 704041) (-1810 . 703989) (-1811 . 703908) (-1812 . 703729) (-1813 . 703641) (-1814 . 703549) (-1815 . 703426) (-1816 . 702909) (-1817 . 702817) (-1818 . 702250) (-1819 . 702072) (-1820 . 701897) (-1821 . 701830) (-1822 . 701686) (-1823 . 701629) (-1824 . 701454) (-1825 . 701286) (-1826 . 701089) (-1827 . 700999) (-1828 . 700712) (-1829 . 700639) (-1830 . 700250) (-1831 . 700219) (-1832 . 699966) (-1833 . 699247) (-1834 . 699173) (-1835 . 698882) (-1836 . 698776) (-1837 . 698669) (-1838 . 698259) (-1839 . 698145) (-1840 . 698059) (-1841 . 697978) (-1842 . 697918) (-1843 . 697861) (-1844 . 697700) (-1845 . 693776) (-1846 . 693716) (-1847 . 693629) (-1848 . 693491) (-1849 . 693420) (-1850 . 693310) (-1851 . 693226) (-1852 . 693195) (-1853 . 692864) (-1854 . 692602) (-1855 . 692441) (-1856 . 692368) (-1857 . 692246) (-1858 . 692152) (-1859 . 692078) (-1860 . 691966) (-1861 . 691353) (-1862 . 691290) (-1863 . 691051) (-1864 . 690639) (-1865 . 690527) (-1866 . 690417) (-1867 . 690042) (-1868 . 689945) (-1869 . 689847) (-1870 . 689692) (-1871 . 689476) (-1872 . 689298) (-1873 . 689085) (-1874 . 688919) (-1875 . 688822) (-1876 . 688514) (-1877 . 688430) (-1878 . 688355) (-1879 . 688327) (-1880 . 688218) (-1881 . 688128) (-1882 . 688100) (-1883 . 687817) (-1884 . 687742) (-1885 . 687690) (-1886 . 687538) (-1887 . 687480) (-1888 . 687292) (-1889 . 686979) (-1890 . 686640) (-1891 . 686489) (-1892 . 686334) (-1893 . 686113) (-1894 . 685868) (-1895 . 685793) (-1896 . 684987) (-1897 . 684659) (-1898 . 684169) (-1899 . 684000) (-1900 . 683861) (-1901 . 683658) (-1902 . 683511) (-1903 . 683403) (-1904 . 683341) (-1905 . 683223) (-1906 . 682746) (-1907 . 682613) (-1908 . 682277) (-1909 . 681660) (-1910 . 681444) (-1911 . 681313) (-1912 . 680693) (-1913 . 680437) (-1914 . 680409) (-1915 . 680206) (-1916 . 680138) (-1917 . 680034) (-1918 . 679960) (-1919 . 679894) (-1920 . 679609) (-1921 . 679506) (-1922 . 679179) (-1923 . 678998) (-1924 . 678699) (-1925 . 678408) (-1926 . 678341) (-1927 . 678113) (-1928 . 677793) (-1929 . 677638) (-1930 . 677518) (-1931 . 677437) (-1932 . 677388) (-1933 . 677238) (-1934 . 677083) (-12 . 676928) (-1936 . 676865) (-1937 . 676790) (-1938 . 676719) (-1939 . 676618) (-1940 . 675843) (-1941 . 675627) (-1942 . 675507) (-1943 . 675424) (-1944 . 675281) (-1945 . 675099) (-1946 . 674990) (-1947 . 674429) (-1948 . 674021) (-1949 . 673924) (-1950 . 673852) (-1951 . 673800) (-1952 . 673693) (-1953 . 673575) (-1954 . 673406) (-1955 . 673317) (-1956 . 673218) (-1957 . 672896) (-1958 . 672807) (-1959 . 672737) (-1960 . 672650) (-1961 . 672218) (-1962 . 671762) (-1963 . 671712) (-1964 . 671601) (-1965 . 671239) (-1966 . 671121) (-1967 . 671018) (-1968 . 670968) (-1969 . 670912) (-1970 . 670826) (-1971 . 670723) (-1972 . 670671) (-1973 . 670513) (-1974 . 670373) (-1975 . 670260) (-1976 . 669903) (-1977 . 669607) (-1978 . 669507) (-1979 . 669317) (-1980 . 669197) (-1981 . 669131) (-1982 . 669078) (* . 664573) (-1984 . 664477) (-1985 . 664389) (-1986 . 663812) (-1987 . 663699) (-1988 . 663615) (-1989 . 663512) (-1990 . 663395) (-1991 . 663323) (-1992 . 662952) (-1993 . 662827) (-1994 . 662622) (-1995 . 662557) (-1996 . 662330) (-1997 . 661381) (-1998 . 661056) (-1999 . 660935) (-2000 . 660084) (-2001 . 659929) (-2002 . 659856) (-2003 . 659803) (-2004 . 659646) (-2005 . 659280) (-2006 . 658569) (-2007 . 658434) (-2008 . 658166) (-2009 . 657038) (-2010 . 657009) (-2011 . 656902) (-2012 . 656827) (-2013 . 656693) (-2014 . 656634) (-2015 . 656362) (-2016 . 656190) (-2017 . 655967) (-2018 . 655512) (-2019 . 655441) (-2020 . 655311) (-2021 . 655237) (-2022 . 655157) (-2023 . 654785) (-2024 . 654681) (-2025 . 654504) (-2026 . 654448) (-2027 . 654362) (-2028 . 654146) (-2029 . 654057) (-2030 . 654004) (-2031 . 653954) (-2032 . 653792) (-2033 . 653730) (-2034 . 653341) (-2035 . 653162) (-2036 . 653056) (-2037 . 652939) (-2038 . 652853) (-2039 . 652771) (-2040 . 652714) (-2041 . 652625) (-2042 . 652514) (-2043 . 652307) (-2044 . 651972) (-2045 . 651912) (-2046 . 651787) (-2047 . 651676) (-2048 . 651549) (-2049 . 651008) (-2050 . 650931) (-2051 . 650862) (-2052 . 650805) (-2053 . 650670) (-2054 . 650166) (-2055 . 650087) (-2056 . 649868) (-2057 . 649539) (-2058 . 649295) (-2059 . 649086) (-2060 . 648946) (-2061 . 648894) (-2062 . 648812) (-2063 . 648722) (-2064 . 648603) (-2065 . 648253) (-2066 . 648127) (-2067 . 647975) (-2068 . 647797) (-2069 . 647693) (-2070 . 647593) (-2071 . 647436) (-2072 . 647229) (-2073 . 647156) (-2074 . 647050) (-2075 . 646955) (-2076 . 646772) (-2077 . 646619) (-2078 . 646072) (-2079 . 645931) (-2080 . 644839) (-2081 . 644787) (-2082 . 644659) (-2083 . 644236) (-2084 . 643943) (-2085 . 643407) (-2086 . 643154) (-2087 . 642197) (-2088 . 642065) (-2089 . 641369) (-2090 . 641216) (-2091 . 640032) (-2092 . 639980) (-2093 . 639923) (-2094 . 639873) (-2095 . 639817) (-2096 . 639143) (-2097 . 638571) (-2098 . 638018) (-2099 . 637655) (-2100 . 637377) (-2101 . 637309) (-2102 . 636733) (-2103 . 636525) (-2104 . 636422) (-2105 . 636315) (-2106 . 636233) (-2107 . 636095) (-2108 . 635417) (-2109 . 635111) (-2110 . 634765) (-2111 . 634712) (-2112 . 634626) (-2113 . 634535) (-2114 . 634031) (-2115 . 633958) (-2116 . 633857) (-2117 . 633707) (-2118 . 633655) (-2119 . 633551) (-2120 . 633226) (-2121 . 632267) (-2122 . 632154) (-2123 . 632088) (-2124 . 631365) (-2125 . 631270) (-2126 . 630969) (-2127 . 630852) (-2128 . 630690) (-2129 . 630605) (-2130 . 630516) (-2131 . 629902) (-2132 . 629821) (-2133 . 629707) (-2134 . 629545) (-2135 . 629479) (-2136 . 629372) (-2137 . 629238) (-2138 . 629067) (-2139 . 629038) (-2140 . 628574) (-2141 . 628261) (-2142 . 627953) (-2143 . 627826) (-2144 . 627795) (-2145 . 627687) (-2146 . 627597) (-2147 . 627478) (-2148 . 627244) (-2149 . 627185) (-2150 . 627086) (-2151 . 627033) (-2152 . 626920) (-2153 . 626815) (-2154 . 626576) (-2155 . 626542) (-2156 . 626365) (-2157 . 626094) (-2158 . 626008) (-2159 . 625889) (-2160 . 625760) (-2161 . 625679) (-2162 . 625598) (-2163 . 625468) (-2164 . 625334) (-2165 . 625255) (-2166 . 624934) (-2167 . 624860) (-2168 . 624758) (-2169 . 624669) (-2170 . 624614) (-2171 . 624005) (-2172 . 623870) (-2173 . 623745) (-2174 . 623041) (-2175 . 622667) (-2176 . 622611) (-2177 . 622540) (-2178 . 622375) (-2179 . 622294) (-2180 . 622158) (-2181 . 622081) (-2182 . 622024) (-2183 . 621952) (-2184 . 621558) (-2185 . 621080) (-2186 . 620884) (-2187 . 620796) (-2188 . 620706) (-2189 . 620651) (-2190 . 620477) (-2191 . 620375) (-2192 . 620140) (-2193 . 620047) (-2194 . 619944) (-2195 . 619822) (-2196 . 618661) (-2197 . 618594) (-2198 . 618538) (-2199 . 618406) (-2200 . 617448) (-2201 . 617325) (-2202 . 617198) (-2203 . 617130) (-2204 . 617078) (-2205 . 616865) (-2206 . 616667) (-2207 . 616596) (-2208 . 616492) (-2209 . 616348) (-2210 . 615981) (-2211 . 615925) (-2212 . 615836) (-2213 . 615768) (-2214 . 615568) (-2215 . 615301) (-2216 . 615129) (-2217 . 615066) (-2218 . 614853) (-2219 . 614801) (-2220 . 614649) (-2221 . 614565) (-2222 . 614481) (-2223 . 614383) (-2224 . 614285) (-2225 . 613911) (-2226 . 613775) (-2227 . 613695) (-2228 . 613449) (-2229 . 613398) (-2230 . 613081) (-2231 . 613001) (-2232 . 612780) (-2233 . 612679) (-2234 . 612617) (-2235 . 612499) (-2236 . 612022) (-2237 . 611674) (-2238 . 611433) (-2239 . 611257) (-2240 . 611143) (-2241 . 610769) (-2242 . 610659) (-2243 . 610502) (-2244 . 610377) (-2245 . 610061) (-2246 . 609689) (-2247 . 608558) (-2248 . 608447) (-2249 . 608365) (-2250 . 608021) (-2251 . 607904) (-2252 . 607749) (-2253 . 607564) (-2254 . 607453) (-2255 . 607375) (-2256 . 607304) (-2257 . 607052) (-2258 . 606655) (-2259 . 606432) (-2260 . 606189) (-2261 . 606094) (-2262 . 606014) (-2263 . 605859) (-2264 . 605806) (-2265 . 605693) (-2266 . 605534) (-2267 . 605482) (-2268 . 605348) (-2269 . 605251) (-2270 . 605080) (-2271 . 604826) (-2272 . 604235) (-2273 . 604179) (-2274 . 604007) (-2275 . 603859) (-2276 . 603803) (-2277 . 603675) (-2278 . 603436) (-2279 . 599698) (-2280 . 599546) (-2281 . 599461) (-2282 . 599427) (-2283 . 599291) (-2284 . 596914) (-2285 . 596674) (-2286 . 596575) (-2287 . 596541) (-2288 . 596479) (-2289 . 596422) (-2290 . 596370) (-2291 . 596037) (-2292 . 595938) (-2293 . 595845) (-2294 . 595751) (-2295 . 595678) (-2296 . 595626) (-2297 . 595538) (-2298 . 595451) (-2299 . 595355) (-2300 . 595240) (-2301 . 595187) (-2302 . 595071) (-2303 . 594977) (-2304 . 594852) (-2305 . 594756) (-2306 . 594011) (-2307 . 593937) (-2308 . 593909) (-2309 . 593585) (-2310 . 593472) (-2311 . 593345) (-2312 . 593195) (-2313 . 593115) (-2314 . 593081) (-2315 . 592966) (-2316 . 592875) (-2317 . 592751) (-2318 . 592668) (-2319 . 592570) (-2320 . 591749) (-2321 . 591602) (-2322 . 591482) (-2323 . 591361) (-2324 . 591049) (-2325 . 590727) (-2326 . 590699) (-2327 . 590634) (-2328 . 590432) (-2329 . 590311) (-2330 . 590145) (-2331 . 590041) (-2332 . 589908) (-2333 . 589857) (-2334 . 589754) (-2335 . 589652) (-2336 . 589482) (-2337 . 588886) (-2338 . 588678) (-2339 . 588604) (-2340 . 588517) (-2341 . 588418) (-2342 . 588201) (-2343 . 588098) (-2344 . 588028) (-2345 . 587911) (-2346 . 587821) (-2347 . 587725) (-2348 . 587596) (-2349 . 587355) (-2350 . 586873) (-2351 . 584746) (-2352 . 584606) (-2353 . 584510) (-2354 . 584407) (-2355 . 584272) (-2356 . 584100) (-2357 . 583904) (-2358 . 583845) (-2359 . 583712) (-2360 . 583607) (-2361 . 583548) (-2362 . 583474) (-2363 . 583110) (-2364 . 582955) (-2365 . 582650) (-2366 . 582517) (-2367 . 582137) (-2368 . 581600) (-2369 . 581508) (-2370 . 581427) (-2371 . 581324) (-2372 . 581238) (-2373 . 581136) (-2374 . 580863) (-2375 . 580710) (-2376 . 580475) (-2377 . 580338) (-2378 . 580252) (-2379 . 580157) (-2380 . 580056) (-2381 . 579849) (-2382 . 579432) (-2383 . 579256) (-2384 . 579165) (-2385 . 579079) (-2386 . 578927) (-2387 . 578692) (-2388 . 578562) (-2389 . 578464) (-2390 . 577790) (-2391 . 577704) (-2392 . 577630) (-2393 . 577481) (-2394 . 577281) (-2395 . 577150) (-2396 . 576995) (-2397 . 576906) (-2398 . 576820) (-2399 . 576746) (-2400 . 576524) (-2401 . 576420) (-2402 . 575996) (-2403 . 575923) (-2404 . 575837) (-2405 . 575722) (-2406 . 575602) (-2407 . 575434) (-2408 . 575342) (-2409 . 575286) (-2410 . 575196) (-2411 . 575110) (-2412 . 574953) (-2413 . 574304) (-2414 . 574069) (-2415 . 573712) (-2416 . 573629) (-2417 . 573432) (-2418 . 573316) (-2419 . 573230) (-2420 . 573159) (-2421 . 572923) (-2422 . 572870) (-2423 . 572736) (-2424 . 572523) (-2425 . 572449) (-2426 . 572363) (-2427 . 572299) (-2428 . 572202) (-2429 . 572099) (-2430 . 572007) (-2431 . 571855) (-2432 . 571769) (-2433 . 571702) (-2434 . 571369) (-2435 . 571280) (-2436 . 571179) (-2437 . 571031) (-2438 . 570939) (-2439 . 570865) (-2440 . 570630) (-2441 . 570447) (-2442 . 569658) (-2443 . 569560) (-2444 . 569485) (-2445 . 569399) (-2446 . 568794) (-2447 . 568689) (-2448 . 568598) (-2449 . 568498) (-2450 . 568416) (-2451 . 568317) (-2452 . 568231) (-2453 . 568107) (-2454 . 568045) (-2455 . 567948) (-2456 . 567578) (-2457 . 567460) (-2458 . 567374) (-2459 . 567127) (-2460 . 567056) (-2461 . 566968) (-2462 . 566915) (-2463 . 566823) (-2464 . 566737) (-2465 . 566447) (-2466 . 565978) (-2467 . 565874) (-2468 . 565752) (-2469 . 565681) (-2470 . 565595) (-2471 . 565380) (-2472 . 565284) (-2473 . 565101) (-2474 . 564851) (-2475 . 564785) (-2476 . 564705) (-2477 . 564641) (-2478 . 564548) (-2479 . 564472) (-2480 . 564281) (-2481 . 564039) (-2482 . 563955) (-2483 . 563898) (-2484 . 563803) (-2485 . 563712) (-2486 . 563659) (-2487 . 563569) (-2488 . 563250) (-2489 . 563167) (-2490 . 563075) (-2491 . 562870) (-2492 . 562625) (-2493 . 562555) (-2494 . 562304) (-2495 . 562252) (-2496 . 562160) (-2497 . 562070) (-2498 . 562015) (-2499 . 561926) (-2500 . 561661) (-2501 . 561452) (-2502 . 561363) (-2503 . 556265) (-2504 . 556212) (-2505 . 555938) (-2506 . 555706) (-2507 . 555306) (-2508 . 555231) (-2509 . 555145) (-2510 . 554952) (-2511 . 553567) (-2512 . 553022) (-2513 . 552914) (-2514 . 552833) (-2515 . 552769) (-2516 . 552574) (-2517 . 552402) (-2518 . 552293) (-2519 . 552199) (-2520 . 552096) (-2521 . 551855) (-2522 . 551637) (-2523 . 551563) (-2524 . 551477) (-2525 . 551424) (-2526 . 551390) (-2527 . 551140) (-2528 . 550839) (-2529 . 550741) (-2530 . 550612) (-2531 . 550455) (-2532 . 550293) (-2533 . 550001) (-2534 . 549910) (-2535 . 549623) (-2536 . 549292) (-2537 . 549206) (-2538 . 549075) (-2539 . 548942) (-2540 . 548377) (-2541 . 546772) (-2542 . 546744) (-2543 . 546581) (-2544 . 546553) (-2545 . 546452) (-2546 . 546137) (-2547 . 545978) (-2548 . 545733) (-2549 . 545705) (-2550 . 545516) (-2551 . 545430) (-2552 . 545227) (-2553 . 544713) (-2554 . 544589) (-2555 . 544350) (-2556 . 544274) (-2557 . 543721) (-2558 . 543561) (-2559 . 543491) (-2560 . 543438) (-2561 . 543362) (-2562 . 543211) (-2563 . 543074) (-2564 . 543022) (-2565 . 542864) (-2566 . 542790) (-2567 . 542700) (-2568 . 542616) (-2569 . 542524) (-2570 . 542428) (-2571 . 542242) (-2572 . 542027) (-2573 . 541825) (-2574 . 541766) (-2575 . 541626) (-2576 . 541523) (-2577 . 541437) (-2578 . 541259) (-2579 . 540766) (-2580 . 540632) (-2581 . 540558) (-2582 . 540502) (-2583 . 540351) (-2584 . 540193) (-2585 . 540123) (-2586 . 540019) (-2587 . 539909) (-2588 . 539852) (-2589 . 539742) (-2590 . 539587) (-2591 . 539501) (-2592 . 539384) (-2593 . 539292) (-2594 . 539032) (-2595 . 538748) (-2596 . 538695) (-2597 . 538537) (-2598 . 538271) (-2599 . 538160) (-2600 . 538081) (-2601 . 537119) (-2602 . 537087) (-2603 . 536954) (-2604 . 536840) (-2605 . 536361) (-2606 . 536279) (-2607 . 535962) (-2608 . 535860) (-2609 . 535727) (-2610 . 535669) (-2611 . 534531) (-2612 . 534460) (-2613 . 534362) (-2614 . 534291) (-2615 . 534205) (-2616 . 534104) (-2617 . 533566) (-2618 . 533081) (-2619 . 532916) (-2620 . 532846) (-2621 . 532760) (-2622 . 532648) (-2623 . 532589) (-2624 . 532555) (-2625 . 532452) (-2626 . 532366) (-2627 . 532269) (-2628 . 532080) (-2629 . 531906) (-2630 . 531685) (-2631 . 531304) (-2632 . 531116) (-2633 . 531030) (-2634 . 530672) (-2635 . 530368) (-2636 . 530265) (-2637 . 530001) (-2638 . 529910) (-2639 . 529715) (-2640 . 529527) (-2641 . 529352) (-2642 . 529278) (-2643 . 529191) (-2644 . 529138) (-2645 . 528996) (-2646 . 528714) (-2647 . 528562) (-2648 . 528297) (-2649 . 528248) (-2650 . 528035) (-2651 . 527951) (-2652 . 527689) (-2653 . 527592) (-2654 . 527561) (-2655 . 527449) (-2656 . 527381) (-2657 . 527302) (-2658 . 527236) (-2659 . 526918) (-2660 . 526767) (-2661 . 526605) (-2662 . 526425) (-2663 . 526265) (-2664 . 525564) (-2665 . 525471) (-2666 . 525345) (-2667 . 525316) (-2668 . 525264) (-2669 . 525184) (-2670 . 525073) (-2671 . 524921) (-2672 . 524816) (-2673 . 524718) (-2674 . 524551) (-2675 . 523593) (-2676 . 523249) (-2677 . 522798) (-2678 . 522705) (-2679 . 522616) (-2680 . 522483) (-2681 . 522421) (-2682 . 522106) (-2683 . 521823) (-2684 . 521731) (-2685 . 521559) (-2686 . 521255) (-2687 . 521150) (-2688 . 520871) (-2689 . 520806) (-2690 . 520693) (-2691 . 519350) (-2692 . 519122) (-2693 . 518829) (-2694 . 518640) (-2695 . 518538) (-2696 . 518230) (-2697 . 518141) (-2698 . 517994) (-2699 . 517941) (-2700 . 517809) (-2701 . 517374) (-2702 . 517182) (-2703 . 517049) (-2704 . 516834) (-2705 . 516661) (-2706 . 516449) (-2707 . 516347) (-2708 . 516042) (-2709 . 515826) (-2710 . 515403) (-2711 . 515325) (-2712 . 515252) (-2713 . 514929) (-2714 . 514845) (-2715 . 514716) (-2716 . 514612) (-2717 . 514494) (-2718 . 513703) (-2719 . 513165) (-2720 . 513059) (-2721 . 512748) (-2722 . 512626) (-2723 . 512468) (-2724 . 512224) (-2725 . 511923) (-2726 . 511866) (-2727 . 511789) (-2728 . 511587) (-2729 . 511430) (-2730 . 511364) (-2731 . 511017) (-2732 . 510986) (-2733 . 510905) (-2734 . 510795) (-2735 . 510743) (-2736 . 510691) (-2737 . 510625) (-2738 . 510330) (-2739 . 510135) (-2740 . 509996) (-2741 . 509838) (-2742 . 509785) (-2743 . 509601) (-2744 . 509509) (-2745 . 509144) (-2746 . 508949) (-2747 . 508782) (-2748 . 508712) (-2749 . 508586) (-2750 . 508532) (-2751 . 508479) (-2752 . 508341) (-2753 . 508201) (-2754 . 508132) (-2755 . 507984) (-2756 . 507731) (-2757 . 507670) (-2758 . 507546) (-2759 . 507514) (-2760 . 507459) (-2761 . 507366) (-2762 . 507288) (-2763 . 506898) (-2764 . 506783) (-2765 . 506710) (-2766 . 506579) (-2767 . 506431) (-2768 . 506348) (-2769 . 506266) (-2770 . 506117) (-2771 . 506051) (-2772 . 505993) (-2773 . 505618) (-2774 . 504722) (-2775 . 504614) (-2776 . 504268) (-2777 . 504169) (-2778 . 503357) (-2779 . 503275) (-2780 . 503209) (-2781 . 503139) (-2782 . 503060) (-2783 . 502554) (-2784 . 502277) (-2785 . 501922) (-2786 . 501014) (-2787 . 500846) (-2788 . 500788) (-2789 . 500674) (-2790 . 500538) (-2791 . 500449) (-2792 . 500365) (-2793 . 496755) (-2794 . 496637) (-2795 . 496475) (-2796 . 496367) (-2797 . 496252) (-2798 . 495849) (-2799 . 495768) (-2800 . 495633) (-2801 . 495552) (-2802 . 495251) (-2803 . 495136) (-2804 . 494937) (-2805 . 494563) (-2806 . 494437) (-2807 . 494287) (-2808 . 494153) (-2809 . 494008) (-2810 . 493927) (-2811 . 493864) (-2812 . 493798) (-2813 . 493230) (-2814 . 493108) (-2815 . 492970) (-2816 . 492386) (-2817 . 492327) (-2818 . 491977) (-2819 . 491840) (-2820 . 491730) (-2821 . 491215) (-2822 . 491163) (-2823 . 491055) (-2824 . 490922) (-2825 . 490727) (-2826 . 490575) (-2827 . 490471) (-2828 . 490327) (-2829 . 490237) (-2830 . 490184) (-2831 . 490074) (-2832 . 489885) (-2833 . 489833) (-2834 . 489631) (-2835 . 489505) (-2836 . 489431) (-2837 . 489365) (-2838 . 489293) (-2839 . 489219) (-2840 . 489040) (-2841 . 488929) (-2842 . 488709) (-2843 . 488523) (-2844 . 488455) (-2845 . 488385) (-2846 . 488278) (-2847 . 486836) (-2848 . 486676) (-2849 . 486273) (-2850 . 486202) (-2851 . 485909) (-2852 . 485857) (-2853 . 485768) (-2854 . 485696) (-2855 . 485560) (-2856 . 485449) (-2857 . 485030) (-2858 . 484975) (-2859 . 484898) (-2860 . 484842) (-2861 . 484733) (-2862 . 484595) (-2863 . 484524) (-2864 . 484443) (-2865 . 484324) (-2866 . 484066) (-2867 . 483859) (-2868 . 483786) (-2869 . 483680) (-2870 . 483445) (-2871 . 483320) (-2872 . 483239) (-2873 . 483099) (-2874 . 482990) (-2875 . 482815) (-2876 . 482719) (-2877 . 482629) (-2878 . 482310) (-2879 . 482015) (-2880 . 473122) (-2881 . 472932) (-2882 . 472835) (-2883 . 472757) (-2884 . 472682) (-2885 . 472629) (-2886 . 472458) (-2887 . 472189) (-2888 . 471782) (-2889 . 471727) (-2890 . 471654) (-2891 . 471564) (-2892 . 471431) (-2893 . 471353) (-2894 . 470866) (-2895 . 470790) (-2896 . 470741) (-2897 . 470672) (-2898 . 470594) (-2899 . 470499) (-2900 . 466818) (-2901 . 465977) (-2902 . 465867) (-2903 . 465556) (-2904 . 465179) (-2905 . 464738) (-2906 . 464686) (-2907 . 463849) (-2908 . 463692) (-2909 . 463637) (-2910 . 463401) (-2911 . 463301) (-2912 . 463197) (-2913 . 463142) (-2914 . 462651) (-2915 . 462620) (-2916 . 462537) (-2917 . 462452) (-2918 . 462339) (-2919 . 462200) (-2920 . 462134) (-2921 . 461502) (-2922 . 461289) (-2923 . 461216) (-2924 . 460897) (-2925 . 460223) (-2926 . 459665) (-2927 . 459067) (-2928 . 459011) (-2929 . 458959) (-2930 . 458546) (-2931 . 458407) (-2932 . 458083) (-2933 . 458003) (-2934 . 457890) (-2935 . 457817) (-2936 . 457721) (-2937 . 457544) (-2938 . 457419) (-2939 . 457324) (-2940 . 457169) (-2941 . 457037) (-2942 . 456971) (-2943 . 456887) (-2944 . 456797) (-2945 . 456670) (-2946 . 455920) (-2947 . 455753) (-2948 . 455649) (-2949 . 455520) (-2950 . 455360) (-2951 . 455213) (-2952 . 455088) (-2953 . 455001) (-2954 . 454634) (-2955 . 454516) (-2956 . 454397) (-2957 . 454315) (-2958 . 454179) (-2959 . 454039) (-2960 . 452704) (-2961 . 452645) (-2962 . 451526) (-2963 . 451451) (-2964 . 451378) (-2965 . 451234) (-2966 . 450235) (-2967 . 449907) (-2968 . 449804) (-2969 . 449709) (-2970 . 449660) (-2971 . 449537) (-2972 . 449165) (-2973 . 449092) (-2974 . 449064) (-2975 . 448975) (-2976 . 448891) (-2977 . 448832) (-2978 . 448738) (-2979 . 448535) (-2980 . 448389) (-2981 . 447608) (-2982 . 447507) (-2983 . 447389) (-2984 . 447237) (-2985 . 446543) (-2986 . 446136) (-2987 . 445951) (-2988 . 445855) (-2989 . 445800) (-2990 . 445323) (-2991 . 445143) (-2992 . 445091) (-2993 . 444984) (-2994 . 444677) (-2995 . 444512) (-2996 . 444435) (-2997 . 443709) (-2998 . 443557) (-2999 . 443342) (-3000 . 443264) (-3001 . 442994) (-3002 . 442736) (-3003 . 438561) (-3004 . 438464) (-3005 . 438342) (-3006 . 438223) (-3007 . 438151) (-3008 . 438058) (-3009 . 438006) (-3010 . 437408) (-3011 . 437288) (-3012 . 436065) (-3013 . 435947) (-3014 . 435809) (-3015 . 435743) (-3016 . 434904) (-3017 . 434853) (-3018 . 434801) (-3019 . 434528) (-3020 . 434415) (-3021 . 434299) (-3022 . 434208) (-3023 . 434124) (-3024 . 434006) (-3025 . 433951) (-3026 . 433917) (-3027 . 433832) (-3028 . 433632) (-3029 . 433532) (-3030 . 433443) (-3031 . 433390) (-3032 . 433065) (-3033 . 432036) (-3034 . 432008) (-3035 . 431656) (-3036 . 431076) (-3037 . 427152) (-3038 . 427053) (-3039 . 426962) (-3040 . 426862) (-3041 . 426725) (-3042 . 426468) (-3043 . 426252) (-3044 . 425531) (-3045 . 425445) (-3046 . 423733) (-3047 . 423626) (-3048 . 423566) (-3049 . 423280) (-3050 . 423214) (-3051 . 422802) (-3052 . 422297) (-3053 . 422140) (-3054 . 421923) (-3055 . 420822) (-3056 . 420732) (-3057 . 420507) (-3058 . 420388) (-3059 . 420113) (-3060 . 419999) (-3061 . 419672) (-3062 . 419534) (-3063 . 419371) (-3064 . 419319) (-3065 . 419267) (-3066 . 419166) (-3067 . 418923) (-3068 . 418839) (-3069 . 418701) (-3070 . 418601) (-3071 . 418525) (-3072 . 418021) (-3073 . 417869) (-3074 . 417643) (-3075 . 417545) (-3076 . 417492) (-3077 . 417389) (-3078 . 417286) (-3079 . 417171) (-3080 . 417121) (-3081 . 417054) (-3082 . 416897) (-3083 . 416698) (-3084 . 416123) (-3085 . 416095) (-3086 . 415953) (-3087 . 415814) (-3088 . 415140) (-3089 . 414580) (-3090 . 414357) (-3091 . 414256) (-3092 . 414052) (-3093 . 413880) (-3094 . 413573) (-3095 . 413473) (-3096 . 413439) (-3097 . 413336) (-3098 . 413270) (-3099 . 413198) (-3100 . 409274) (-3101 . 408994) (-3102 . 408913) (-3103 . 408805) (-3104 . 408645) (-3105 . 408520) (-3106 . 408382) (-3107 . 408330) (-3108 . 408241) (-3109 . 408012) (-3110 . 407955) (-3111 . 407865) (-3112 . 407765) (-3113 . 407695) (-3114 . 407563) (-3115 . 405526) (-3116 . 405425) (-3117 . 405243) (-3118 . 405190) (-3119 . 405130) (-3120 . 405078) (-3121 . 405016) (-3122 . 404829) (-3123 . 404748) (-3124 . 402210) (-3125 . 402136) (-3126 . 402039) (-3127 . 401403) (-3128 . 401348) (-3129 . 400997) (-3130 . 400948) (-3131 . 400882) (-3132 . 399417) (-3133 . 399348) (-3134 . 399269) (-3135 . 398709) (-3136 . 398530) (-3137 . 398405) (-3138 . 398083) (-3139 . 392593) (-3140 . 392170) (-3141 . 392093) (-3142 . 392019) (-3143 . 391967) (-3144 . 391782) (-3145 . 391653) (-3146 . 391468) (-3147 . 391027) (-3148 . 390870) (-3149 . 390542) (-3150 . 390395) (-3151 . 390278) (-3152 . 390065) (-3153 . 390012) (-3154 . 389960) (-3155 . 389623) (-3156 . 389218) (-3157 . 389066) (-3158 . 388868) (-3159 . 388720) (-3160 . 388450) (-3161 . 388372) (-3162 . 388220) (-3163 . 388186) (-3164 . 387806) (-3165 . 387604) (-3166 . 387502) (-3167 . 387354) (-3168 . 387280) (-3169 . 387102) (-3170 . 387043) (-3171 . 386765) (-3172 . 386683) (-3173 . 386558) (-3174 . 386395) (-3175 . 385462) (-3176 . 385387) (-3177 . 385317) (-3178 . 385031) (-3179 . 383484) (-3180 . 383408) (-3181 . 383216) (-3182 . 383100) (-3183 . 382979) (-3184 . 382840) (-3185 . 382771) (-3186 . 382362) (-3187 . 381546) (-3188 . 381472) (-3189 . 381346) (-3190 . 380888) (-3191 . 380789) (-3192 . 380692) (-3193 . 380452) (-3194 . 380292) (-3195 . 379075) (-3196 . 378950) (-3197 . 378846) (-3198 . 378712) (-3199 . 378663) (-3200 . 378631) (-3201 . 378429) (-3202 . 376560) (-3203 . 376503) (-3204 . 376444) (-3205 . 376392) (-3206 . 375806) (-3207 . 375412) (-3208 . 375152) (-3209 . 375078) (-3210 . 375007) (-3211 . 374927) (-3212 . 374864) (-3213 . 374754) (-3214 . 374560) (-3215 . 374461) (-3216 . 373963) (-3217 . 373913) (-3218 . 373762) (-3219 . 373670) (-3220 . 373364) (-3221 . 371630) (-3222 . 371375) (-3223 . 371192) (-3224 . 371011) (-3225 . 370471) (-3226 . 370364) (-3227 . 370308) (-3228 . 368878) (-3229 . 368676) (-3230 . 368565) (-3231 . 368534) (-3232 . 368438) (-3233 . 368344) (-3234 . 368295) (-3235 . 368114) (-3236 . 366652) (-3237 . 366448) (-3238 . 366365) (-3239 . 366022) (-3240 . 365815) (-3241 . 365742) (-3242 . 365651) (-3243 . 364945) (-3244 . 364853) (-3245 . 364798) (-3246 . 364684) (-3247 . 364267) (-3248 . 364192) (-3249 . 363879) (-3250 . 363738) (-3251 . 363686) (-3252 . 363492) (-3253 . 363300) (-3254 . 363225) (-3255 . 363111) (-3256 . 362985) (-3257 . 362723) (-3258 . 362570) (-3259 . 362498) (-3260 . 362370) (-3261 . 362266) (-3262 . 362116) (-3263 . 361511) (-3264 . 361246) (-3265 . 360836) (-3266 . 360753) (-3267 . 360615) (-3268 . 360353) (-3269 . 360239) (-3270 . 359124) (-3271 . 358926) (-3272 . 358760) (-3273 . 358618) (-3274 . 358458) (-3275 . 358384) (-3276 . 358270) (-3277 . 358205) (-3278 . 356834) (-3279 . 356678) (-3280 . 355691) (-3281 . 355607) (-3282 . 355546) (-3283 . 355438) (-3284 . 355344) (-3285 . 355259) (-3286 . 355184) (-3287 . 355043) (-3288 . 354955) (-3289 . 352710) (-3290 . 352535) (-3291 . 351592) (-3292 . 351499) (-3293 . 351446) (-3294 . 351258) (-3295 . 351167) (-3296 . 350919) (-3297 . 350676) (-3298 . 350124) (-3299 . 350022) (-3300 . 349891) (-3301 . 349623) (-3302 . 349314) (-3303 . 348865) (-3304 . 348816) (-3305 . 348740) (-3306 . 348662) (-3307 . 348591) (-3308 . 348511) (-3309 . 348244) (-3310 . 348103) (-3311 . 347965) (-3312 . 347767) (-3313 . 347623) (-3314 . 347568) (-3315 . 347410) (-3316 . 346959) (-3317 . 346830) (-3318 . 344683) (-3319 . 344575) (-3320 . 344517) (-3321 . 344464) (-3322 . 344333) (-3323 . 344231) (-3324 . 344150) (-3325 . 343993) (-3326 . 343921) (-3327 . 343863) (-3328 . 343811) (-3329 . 343706) (-3330 . 343561) (-3331 . 343529) (-3332 . 343060) (-3333 . 342958) (-3334 . 342835) (-3335 . 342683) (-3336 . 342533) (-3337 . 342460) (-3338 . 342227) (-3339 . 342172) (-3340 . 342064) (-3341 . 341442) (-3342 . 341355) (-3343 . 341263) (-3344 . 340299) (-3345 . 340093) (-3346 . 339985) (-3347 . 339895) (-3348 . 339533) (-3349 . 339504) (-3350 . 339005) (-3351 . 338906) (-3352 . 338743) (-3353 . 338666) (-3354 . 338551) (-3355 . 338300) (-3356 . 338195) (-3357 . 338128) (-3358 . 336941) (-3359 . 336278) (-3360 . 336141) (-3361 . 336024) (-3362 . 334458) (-3363 . 334344) (-3364 . 334222) (-3365 . 334099) (-3366 . 334020) (-3367 . 333910) (-3368 . 333769) (-3369 . 333615) (-3370 . 333057) (-3371 . 332934) (-3372 . 332747) (-3373 . 331614) (-3374 . 331400) (-3375 . 330281) (-3376 . 330027) (-3377 . 329913) (-3378 . 329831) (-3379 . 329698) (-3380 . 329275) (-3381 . 329103) (-3382 . 328920) (-3383 . 328751) (-3384 . 328667) (-3385 . 328511) (-3386 . 328369) (-3387 . 328288) (-3388 . 328094) (-3389 . 328022) (-3390 . 327899) (-3391 . 327815) (-3392 . 327730) (-3393 . 327044) (-3394 . 326970) (-3395 . 326801) (-3396 . 326705) (-3397 . 326506) (-3398 . 326334) (-3399 . 326282) (-3400 . 326202) (-3401 . 326023) (-3402 . 325751) (-3403 . 325399) (-3404 . 325292) (-3405 . 325037) (-3406 . 324938) (-3407 . 324516) (-3408 . 323366) (-3409 . 323224) (-3410 . 323130) (-3411 . 323098) (-3412 . 322924) (-3413 . 322818) (-3414 . 322596) (-3415 . 322342) (-3416 . 322214) (-3417 . 321886) (-3418 . 321833) (-3419 . 321664) (-3420 . 321558) (-3421 . 321474) (-3422 . 321092) (-3423 . 320893) (-3424 . 320802) (-3425 . 320643) (-3426 . 320280) (-3427 . 320183) (-3428 . 320076) (-3429 . 320007) (-3430 . 319804) (-3431 . 319729) (-3432 . 319644) (-3433 . 319505) (-3434 . 318810) (-3435 . 318567) (-3436 . 318454) (-3437 . 318379) (-3438 . 318240) (-3439 . 318165) (-3440 . 318100) (-3441 . 317985) (-3442 . 317861) (-3443 . 317795) (-3444 . 317716) (-3445 . 317585) (-3446 . 317512) (-3447 . 316783) (-3448 . 316676) (-3449 . 316434) (-3450 . 316295) (-3451 . 316197) (-3452 . 316116) (-3453 . 315811) (-3454 . 315745) (-3455 . 315040) (-3456 . 314705) (-3457 . 314577) (-3458 . 314390) (-3459 . 313961) (-3460 . 313256) (-3461 . 313182) (-3462 . 313044) (-3463 . 312725) (-3464 . 312626) (-3465 . 312544) (-3466 . 312394) (-3467 . 311741) (-3468 . 311667) (-3469 . 311298) (-3470 . 311058) (-3471 . 310874) (-3472 . 310466) (-3473 . 309919) (-3474 . 309753) (-3475 . 309638) (-3476 . 309372) (-3477 . 309274) (-3478 . 308959) (-3479 . 308811) (-3480 . 308264) (-3481 . 307595) (-3482 . 307438) (-3483 . 307199) (-3484 . 307115) (-3485 . 306568) (-3486 . 306475) (-3487 . 305844) (-3488 . 305642) (-3489 . 305538) (-3490 . 304887) (-3491 . 304639) (-3492 . 304459) (-3493 . 304404) (-3494 . 304295) (-3495 . 304012) (-3496 . 303865) (-3497 . 303214) (-3498 . 303162) (-3499 . 303019) (-3500 . 302645) (-3501 . 302125) (-3502 . 302097) (-3503 . 301527) (-3504 . 301424) (-3505 . 300711) (-3506 . 300445) (-3507 . 300413) (-3508 . 300160) (-3509 . 300088) (-3510 . 299543) (-3511 . 299452) (-3512 . 299349) (-3513 . 299159) (-3514 . 298966) (-3515 . 298294) (-3516 . 298201) (-3517 . 297656) (-3518 . 297511) (-3519 . 297356) (-3520 . 297164) (-3521 . 296793) (-3522 . 296722) (-3523 . 296654) (-3524 . 296002) (-3525 . 295457) (-3526 . 295308) (-3527 . 295233) (-3528 . 295149) (-3529 . 294850) (-3530 . 294198) (-3531 . 293962) (-3532 . 293592) (-3533 . 293333) (-3534 . 293174) (-3535 . 293101) (-3536 . 289235) (-3537 . 289116) (-3538 . 288464) (-3539 . 288395) (-3540 . 288259) (-3541 . 288109) (-3542 . 285874) (-3543 . 285724) (-3544 . 285072) (-3545 . 284972) (-3546 . 284847) (-3547 . 284680) (-3548 . 284515) (-3549 . 284442) (-3550 . 284101) (-3551 . 283555) (-3552 . 282939) (-3553 . 282858) (-3554 . 282784) (-3555 . 282717) (-3556 . 282664) (-3557 . 282609) (-3558 . 282347) (-3559 . 281801) (-3560 . 281672) (-3561 . 281543) (-3562 . 281420) (-3563 . 281392) (-3564 . 281317) (-3565 . 280771) (-3566 . 280548) (-3567 . 280235) (-3568 . 280000) (-3569 . 279852) (-3570 . 279588) (-3571 . 273199) (-3572 . 272654) (-3573 . 272463) (-3574 . 272282) (-3575 . 271759) (-3576 . 270910) (-3577 . 270560) (-3578 . 270325) (-3579 . 269780) (-3580 . 269578) (-3581 . 269263) (-3582 . 269099) (-3583 . 268992) (-3584 . 268754) (-3585 . 268209) (-3586 . 268138) (-3587 . 268067) (-3588 . 267659) (-3589 . 267583) (-3590 . 267313) (-3591 . 267261) (-3592 . 266716) (-3593 . 266554) (-3594 . 266416) (-3595 . 266325) (-3596 . 266266) (-3597 . 265090) (-3598 . 264999) (-3599 . 264454) (-3600 . 264340) (-3601 . 264288) (-3602 . 264138) (-3603 . 264085) (-3604 . 263939) (-3605 . 263731) (-3606 . 263446) (-3607 . 263146) (-3608 . 262885) (-3609 . 262555) (-3610 . 262346) (-3611 . 262194) (-3612 . 262012) (-3613 . 261864) (-3614 . 261836) (-3615 . 261705) (-3616 . 261599) (-3617 . 261407) (-3618 . 261184) (-3619 . 261013) (-3620 . 260950) (-3621 . 260890) (-3622 . 260858) (-3623 . 260676) (-3624 . 260453) (-3625 . 260145) (-3626 . 260026) (-3627 . 259948) (-3628 . 258731) (-3629 . 258650) (-3630 . 258279) (-3631 . 258156) (-3632 . 258097) (-3633 . 258026) (-3634 . 257874) (-3635 . 257697) (-3636 . 257606) (-3637 . 257441) (-3638 . 257342) (-3639 . 257230) (-3640 . 257026) (-3641 . 256908) (-3642 . 256679) (-3643 . 256627) (-3644 . 256403) (-3645 . 256296) (-3646 . 255096) (-3647 . 255015) (-3648 . 254699) (-3649 . 253956) (-3650 . 253897) (-3651 . 253681) (-3652 . 253614) (-3653 . 253484) (-3654 . 253281) (-3655 . 253181) (-3656 . 253086) (-3657 . 252985) (-3658 . 252861) (-3659 . 252432) (-3660 . 252143) (-3661 . 252056) (-3662 . 252003) (-3663 . 251899) (-3664 . 251711) (-3665 . 251609) (-3666 . 251494) (-3667 . 251309) (-3668 . 250973) (-3669 . 250880) (-3670 . 250764) (-3671 . 250651) (-3672 . 249517) (-3673 . 249147) (-3674 . 249054) (-3675 . 248946) (-3676 . 248796) (-3677 . 248719) (-3678 . 248609) (-3679 . 248339) (-3680 . 248251) (-3681 . 248117) (-3682 . 247926) (-3683 . 247874) (-3684 . 247724) (-3685 . 246949) (-3686 . 246676) (-3687 . 246384) (-3688 . 246281) (-3689 . 246141) (-3690 . 245985) (-3691 . 245860) (-3692 . 245776) (-3693 . 245585) (-3694 . 245433) (-3695 . 244929) (-3696 . 244569) (-3697 . 244490) (-3698 . 244340) (-3699 . 244268) (-3700 . 244105) (-3701 . 244046) (-3702 . 243951) (-3703 . 243738) (-3704 . 243574) (-3705 . 243204) (-3706 . 243012) (-3707 . 242765) (-3708 . 242620) (-3709 . 242475) (-3710 . 242408) (-3711 . 242350) (-3712 . 241554) (-3713 . 241067) (-3714 . 240991) (-3715 . 240875) (-3716 . 240818) (-3717 . 240699) (-3718 . 240545) (-3719 . 240409) (-3720 . 240273) (-3721 . 240165) (-3722 . 240036) (-3723 . 239977) (-3724 . 239860) (-3725 . 235936) (-3726 . 235860) (-3727 . 235663) (-3728 . 235537) (-3729 . 235344) (-3730 . 235260) (-3731 . 235146) (-3732 . 234970) (-3733 . 234023) (-3734 . 233853) (-3735 . 233779) (-3736 . 233491) (-3737 . 233344) (-3738 . 233173) (-3739 . 233078) (-3740 . 233023) (-3741 . 232850) (-3742 . 231636) (-3743 . 231584) (-3744 . 231480) (-3745 . 231359) (-3746 . 231286) (-3747 . 230991) (-3748 . 230947) (-3749 . 230687) (-3750 . 230404) (-3751 . 230322) (-3752 . 230011) (-3753 . 229772) (-3754 . 229719) (-3755 . 229523) (-3756 . 229370) (-3757 . 229134) (-3758 . 229006) (-3759 . 228640) (-3760 . 228587) (-3761 . 228330) (-3762 . 228242) (-3763 . 228175) (-3764 . 228103) (-3765 . 227942) (-3766 . 227794) (-3767 . 227704) (-3768 . 226602) (-3769 . 222678) (-3770 . 222604) (-3771 . 222507) (-3772 . 222387) (-3773 . 222296) (-3774 . 222245) (-3775 . 222094) (-3776 . 221400) (-3777 . 221308) (-3778 . 221214) (-3779 . 220864) (-3780 . 220789) (-3781 . 220599) (-3782 . 220198) (-3783 . 220117) (-3784 . 219968) (-3785 . 219832) (-3786 . 219383) (-3787 . 219268) (-3788 . 219212) (-3789 . 219133) (-3790 . 219064) (-3791 . 218197) (-3792 . 217812) (-3793 . 217712) (-3794 . 217609) (-3795 . 217041) (-3796 . 217013) (-3797 . 216858) (-3798 . 216786) (-3799 . 216695) (-3800 . 216614) (-3801 . 216530) (-3802 . 214910) (-3803 . 213765) (-3804 . 213680) (-3805 . 213280) (-3806 . 213143) (-3807 . 212518) (-3808 . 212440) (-3809 . 212314) (-3810 . 211531) (-3811 . 211465) (-3812 . 211331) (-3813 . 211272) (-3814 . 211146) (-3815 . 210821) (-3816 . 210730) (-3817 . 209460) (-3818 . 208223) (-3819 . 207960) (-3820 . 207869) (-3821 . 207835) (-3822 . 207753) (-3823 . 207226) (-3824 . 206862) (-3825 . 206811) (-3826 . 206720) (-3827 . 206692) (-3828 . 206550) (-3829 . 206484) (-3830 . 206140) (-3831 . 206085) (-3832 . 206016) (-3833 . 205964) (-3834 . 205723) (-3835 . 205272) (-3836 . 205200) (-3837 . 205103) (-3838 . 204883) (-3839 . 204648) (-3840 . 204620) (-3841 . 204385) (-3842 . 204315) (-3843 . 203923) (-3844 . 203852) (-3845 . 203217) (-3846 . 202991) (-3847 . 202922) (-3848 . 202849) (-3849 . 202751) (-3850 . 202655) (-3851 . 202471) (-3852 . 202319) (-3853 . 202080) (-3854 . 201947) (-3855 . 201796) (-3856 . 201682) (-3857 . 201488) (-3858 . 201398) (-3859 . 201320) (-3860 . 201187) (-3861 . 199697) (-3862 . 199464) (-3863 . 199412) (-3864 . 199158) (-3865 . 199066) (-3866 . 198973) (-3867 . 198858) (-3868 . 198727) (-3869 . 198623) (-3870 . 198523) (-3871 . 198407) (-3872 . 198373) (-3873 . 198320) (-3874 . 198071) (-3875 . 197892) (-3876 . 197826) (-3877 . 196791) (-3878 . 196510) (-3879 . 196397) (-3880 . 196322) (-3881 . 196232) (-3882 . 196094) (-3883 . 195972) (-3884 . 195940) (-3885 . 195857) (-3886 . 195768) (-3887 . 195697) (-3888 . 195613) (-3889 . 195505) (-3890 . 195387) (-3891 . 195181) (-3892 . 194759) (-3893 . 194683) (-3894 . 194616) (-3895 . 194481) (-3896 . 194182) (-3897 . 194102) (-3898 . 194027) (-3899 . 193952) (-3900 . 193790) (-3901 . 193721) (-3902 . 193665) (-3903 . 193154) (-3904 . 192709) (-3905 . 192640) (-3906 . 192502) (-3907 . 192386) (-3908 . 192304) (-3909 . 192234) (-3910 . 192183) (-3911 . 192079) (-3912 . 191887) (-3913 . 191832) (-3914 . 191777) (-3915 . 191700) (-3916 . 191624) (-3917 . 191511) (-3918 . 191064) (-3919 . 190857) (-3920 . 190794) (-3921 . 190684) (-3922 . 190506) (-3923 . 190368) (-3924 . 190334) (-3925 . 190194) (-3926 . 190085) (-3927 . 189548) (-3928 . 189444) (-3929 . 185520) (-3930 . 185422) (-3931 . 185338) (-3932 . 185285) (-3933 . 184926) (-3934 . 184695) (-3935 . 184622) (-3936 . 184594) (-3937 . 184541) (-3938 . 184238) (-3939 . 184140) (-3940 . 184029) (-3941 . 183929) (-3942 . 183576) (-3943 . 183499) (-3944 . 183283) (-3945 . 183158) (-3946 . 183066) (-3947 . 183038) (-3948 . 182961) (-3949 . 182710) (-3950 . 182634) (-3951 . 182349) (-3952 . 182197) (-3953 . 181850) (-3954 . 181772) (-3955 . 181579) (-3956 . 158071) (-3957 . 157890) (-3958 . 157820) (-3959 . 157316) (-3960 . 157227) (-3961 . 157038) (-3962 . 156952) (-3963 . 156788) (-3964 . 155737) (-3965 . 155666) (-3966 . 155562) (-3967 . 155326) (-3968 . 155260) (-3969 . 155133) (-3970 . 154293) (-3971 . 154237) (-3972 . 154168) (-3973 . 153916) (-3974 . 153819) (-3975 . 153523) (-3976 . 153060) (-3977 . 152988) (-3978 . 152810) (-3979 . 151990) (-3980 . 151446) (-3981 . 151296) (-3982 . 151075) (-3983 . 150923) (-3984 . 150684) (-3985 . 150580) (-3986 . 150512) (-3987 . 150362) (-3988 . 149862) (-3989 . 149758) (-3990 . 149334) (-3991 . 148854) (-3992 . 148766) (-3993 . 148670) (-3994 . 148581) (-3995 . 148506) (-3996 . 147997) (-3997 . 147813) (-3998 . 147700) (-3999 . 147491) (-4000 . 147341) (-4001 . 147258) (-4002 . 146989) (-4003 . 146212) (-4004 . 146160) (-4005 . 146123) (-4006 . 145936) (-4007 . 145696) (-4008 . 145645) (-4009 . 145442) (-4010 . 145389) (-4011 . 144817) (-4012 . 144426) (-4013 . 144352) (-4014 . 144221) (-4015 . 144069) (-4016 . 143509) (-4017 . 143268) (-4018 . 143130) (-4019 . 142998) (-4020 . 142925) (-4021 . 142711) (-4022 . 142440) (-4023 . 142207) (-4024 . 142150) (-4025 . 142097) (-4026 . 141996) (-4027 . 141804) (-4028 . 141465) (-4029 . 141367) (-4030 . 141009) (-4031 . 140937) (-4032 . 140857) (-4033 . 140662) (-4034 . 140076) (-4035 . 135618) (-4036 . 135434) (-4037 . 135228) (-4038 . 135197) (-4039 . 135121) (-4040 . 134919) (-4041 . 134477) (-4042 . 134360) (-4043 . 134253) (-4044 . 134200) (-4045 . 134090) (-4046 . 133998) (-4047 . 133821) (-4048 . 133653) (-4049 . 133558) (-4050 . 133335) (-4051 . 133282) (-4052 . 133099) (-4053 . 132996) (-4054 . 132899) (-4055 . 132552) (-4056 . 132449) (-4057 . 132375) (-4058 . 132323) (-4059 . 131953) (-4060 . 131891) (-4061 . 131793) (-4062 . 131715) (-4063 . 131552) (-4064 . 131413) (-4065 . 131236) (-4066 . 131187) (-4067 . 131096) (-4068 . 130657) (-4069 . 130515) (-4070 . 130442) (-4071 . 130305) (-4072 . 130221) (-4073 . 129966) (-4074 . 129888) (-4075 . 129814) (-4076 . 129714) (-4077 . 129525) (-4078 . 129373) (-4079 . 128550) (-4080 . 128065) (-4081 . 127942) (-4082 . 127526) (-4083 . 127452) (-4084 . 127253) (-4085 . 127094) (-4086 . 126758) (-4087 . 126655) (-4088 . 126453) (-4089 . 126369) (-4090 . 126317) (-4091 . 126150) (-4092 . 126122) (-4093 . 126041) (-4094 . 125806) (-4095 . 125727) (-4096 . 125631) (-4097 . 125528) (-4098 . 125462) (-4099 . 125353) (-4100 . 125204) (-4101 . 125120) (-4102 . 124967) (-4103 . 124702) (-4104 . 124135) (-4105 . 123977) (-4106 . 123925) (-4107 . 123242) (-4108 . 116711) (-4109 . 116558) (-4110 . 116508) (-4111 . 116374) (-4112 . 116305) (** . 113156) (-4114 . 113065) (-4115 . 112982) (-4116 . 112908) (-4117 . 112779) (-4118 . 112517) (-4119 . 112378) (-4120 . 112323) (-4121 . 112232) (-4122 . 112143) (-4123 . 112019) (-4124 . 111697) (-4125 . 111402) (-4126 . 111256) (-4127 . 111069) (-4128 . 110828) (-4129 . 110641) (-4130 . 110518) (-4131 . 110415) (-4132 . 110347) (-4133 . 110169) (-4134 . 110063) (-4135 . 109993) (-4136 . 109909) (-4137 . 109759) (-4138 . 109079) (-4139 . 108970) (-4140 . 108761) (-4141 . 108662) (-4142 . 108517) (-4143 . 108429) (-4144 . 108326) (-4145 . 108091) (-4146 . 107998) (-4147 . 107714) (-4148 . 107306) (-4149 . 107205) (-4150 . 107152) (-4151 . 107017) (-4152 . 104906) (-4153 . 104838) (-4154 . 104719) (-4155 . 104623) (-4156 . 104552) (-4157 . 104380) (-4158 . 104248) (-4159 . 104182) (-4160 . 104066) (-4161 . 103914) (-4162 . 103831) (-4163 . 103775) (-4164 . 103530) (-4165 . 103447) (-4166 . 103207) (-4167 . 102914) (-4168 . 102842) (-4169 . 102748) (-4170 . 102638) (-4171 . 102568) (-4172 . 102322) (-4173 . 102177) (-4174 . 102059) (-4175 . 101851) (-4176 . 101565) (-4177 . 101487) (-4178 . 101332) (-4179 . 101274) (-4180 . 101136) (-4181 . 100833) (-4182 . 100599) (-4183 . 100169) (-4184 . 99817) (-4185 . 99632) (-4186 . 99524) (-4187 . 99469) (-4188 . 85636) (-4189 . 85511) (-4190 . 85292) (-4191 . 85046) (-4192 . 84507) (-4193 . 84411) (-4194 . 84311) (-4195 . 83812) (-4196 . 83505) (-4197 . 83386) (-4198 . 83312) (-4199 . 83114) (-4200 . 82996) (-4201 . 82937) (-4202 . 82634) (-4203 . 82534) (-4204 . 82182) (-4205 . 79516) (-4206 . 79455) (-4207 . 79356) (-4208 . 79304) (-4209 . 78416) (-4210 . 78336) (-4211 . 78281) (-4212 . 78192) (-4213 . 78103) (-4214 . 78050) (-4215 . 77976) (-4216 . 77909) (-4217 . 77705) (-4218 . 77533) (-4219 . 77365) (-4220 . 77310) (-4221 . 77222) (-4222 . 77112) (-4223 . 77032) (-4224 . 76880) (-4225 . 76828) (-4226 . 76733) (-4227 . 76678) (-4228 . 76618) (-4229 . 76484) (-4230 . 76296) (-4231 . 76108) (-4232 . 76055) (-4233 . 75902) (-4234 . 75820) (-4235 . 75745) (-4236 . 75672) (-4237 . 75469) (-4238 . 75249) (-4239 . 75030) (-4240 . 74957) (-4241 . 74684) (-4242 . 74474) (-4243 . 74425) (-4244 . 74300) (-4245 . 74197) (-4246 . 74145) (-4247 . 74020) (-4248 . 73894) (-4249 . 73746) (-4250 . 73693) (-4251 . 73559) (-4252 . 73413) (-4253 . 73303) (-4254 . 73231) (-4255 . 72935) (-4256 . 72796) (-4257 . 72720) (-4258 . 72389) (-4259 . 71818) (-4260 . 71715) (-4261 . 71660) (-4262 . 71387) (-4263 . 70544) (-4264 . 70436) (-4265 . 70336) (-4266 . 70265) (-4267 . 70201) (-4268 . 70147) (-4269 . 69812) (-4270 . 69609) (-4271 . 69538) (-4272 . 69454) (-4273 . 69365) (-4274 . 69294) (-4275 . 69112) (-4276 . 69022) (-4277 . 68948) (-4278 . 68830) (-4279 . 68632) (-4280 . 68269) (-4281 . 68165) (-4282 . 68047) (-4283 . 66996) (-4284 . 66867) (-4285 . 66710) (-4286 . 65313) (-4287 . 65261) (-4288 . 65161) (-4289 . 64251) (-4290 . 64158) (-4291 . 57769) (-4292 . 57666) (-4293 . 57410) (-4294 . 56961) (-4295 . 56518) (-4296 . 56408) (-4297 . 56334) (-4298 . 56260) (-4299 . 56086) (-4300 . 55953) (-4301 . 55901) (-4302 . 55820) (-4303 . 55152) (-4304 . 55023) (-4305 . 54970) (-4306 . 54904) (-4307 . 54848) (-4308 . 54766) (-4309 . 54665) (-4310 . 54631) (-4311 . 54392) (-4312 . 54002) (-4313 . 53855) (-4314 . 51016) (-4315 . 50864) (-4316 . 50739) (-4317 . 50686) (-4318 . 50524) (-4319 . 50342) (-4320 . 50280) (-4321 . 50043) (-4322 . 49709) (-4323 . 49643) (-4324 . 49473) (-4325 . 49365) (-4326 . 49067) (-4327 . 48950) (-4328 . 48869) (-4329 . 48788) (-4330 . 48736) (-4331 . 48660) (-4332 . 48608) (-4333 . 48353) (-4334 . 47711) (-4335 . 47424) (-4336 . 47371) (-4337 . 47275) (-4338 . 47223) (-4339 . 46526) (-4340 . 46468) (-4341 . 46077) (-4342 . 45873) (-4343 . 45637) (-4344 . 45509) (-4345 . 45268) (-4346 . 45218) (-4347 . 45165) (-4348 . 45042) (-4349 . 44936) (-4350 . 44235) (-4351 . 44006) (-4352 . 43790) (-4353 . 43723) (-4354 . 43638) (-4355 . 43458) (-4356 . 42653) (-4357 . 42530) (-4358 . 42464) (-4359 . 42156) (-4360 . 42104) (-4361 . 41993) (-4362 . 41805) (-4363 . 41733) (-4364 . 41674) (-4365 . 41502) (-4366 . 41388) (-4367 . 41338) (-4368 . 41004) (-4369 . 40928) (-4370 . 40488) (-4371 . 40381) (-4372 . 40293) (-4373 . 40193) (-4374 . 39834) (-4375 . 39672) (-4376 . 39327) (-4377 . 37992) (-4378 . 37056) (-4379 . 37019) (-4380 . 36829) (-4381 . 36706) (-4382 . 36599) (-4383 . 36453) (-4384 . 36325) (-4385 . 36266) (-4386 . 36163) (-4387 . 36111) (-4388 . 35998) (-4389 . 35916) (-4390 . 35832) (-4391 . 35773) (-4392 . 35565) (-4393 . 35408) (-4394 . 34447) (-4395 . 34296) (-4396 . 33795) (-4397 . 33684) (-4398 . 33604) (-4399 . 33453) (-4400 . 33377) (-4401 . 33258) (-4402 . 33140) (-4403 . 32870) (-4404 . 32674) (-4405 . 32622) (-4406 . 32494) (-4407 . 32285) (-4408 . 32189) (-4409 . 31899) (-4410 . 30168) (-4411 . 29925) (-4412 . 29818) (-4413 . 29464) (-4414 . 29338) (-4415 . 29283) (-4416 . 29246) (-4417 . 29123) (-4418 . 29049) (-4419 . 28828) (-4420 . 28641) (-4421 . 28402) (-4422 . 28051) (-4423 . 27967) (-4424 . 27793) (-4425 . 27718) (-4426 . 27579) (-4427 . 26965) (-4428 . 26611) (-4429 . 25680) (-4430 . 25577) (-4431 . 25503) (-4432 . 25338) (-4433 . 23054) (-4434 . 22965) (-4435 . 22834) (-4436 . 22761) (-4437 . 22636) (-4438 . 22350) (-4439 . 22159) (-4440 . 22082) (-4441 . 22008) (-4442 . 21860) (-4443 . 21756) (-4444 . 21520) (-4445 . 21465) (-4446 . 21399) (-4447 . 21133) (-4448 . 20935) (-4449 . 20776) (-4450 . 20724) (-4451 . 20631) (-4452 . 20467) (-4453 . 19869) (-4454 . 19798) (-4455 . 19691) (-4456 . 19021) (-4457 . 18394) (-4458 . 18231) (-4459 . 17920) (-4460 . 17685) (-4461 . 17588) (-4462 . 17230) (-4463 . 17131) (-4464 . 16974) (-4465 . 16808) (-4466 . 16585) (-4467 . 16453) (-4468 . 14016) (-4469 . 13852) (-4470 . 13782) (-4471 . 13617) (-4472 . 13542) (-4473 . 13513) (-4474 . 13159) (-4475 . 13107) (-4476 . 12989) (-4477 . 12900) (-4478 . 12731) (-4479 . 12660) (-4480 . 12479) (-4481 . 12354) (-4482 . 12228) (-4483 . 11789) (-4484 . 11708) (-4485 . 11655) (-4486 . 11456) (-4487 . 11384) (-4488 . 11016) (-4489 . 10781) (-4490 . 10642) (-4491 . 10590) (-4492 . 10510) (-4493 . 10392) (-4494 . 10185) (-4495 . 10108) (-4496 . 9787) (-4497 . 9665) (-4498 . 9562) (-4499 . 9467) (-4500 . 9345) (-4501 . 9203) (-4502 . 9143) (-4503 . 9009) (-4504 . 8392) (-4505 . 8270) (-4506 . 8174) (-4507 . 8045) (-4508 . 7775) (-4509 . 7658) (-4510 . 7352) (-4511 . 7236) (-4512 . 7208) (-4513 . 7053) (-4514 . 6531) (-4515 . 6443) (-4516 . 6364) (-4517 . 6100) (-4518 . 5948) (-4519 . 5762) (-4520 . 5198) (-4521 . 4624) (-4522 . 4569) (-4523 . 4450) (-4524 . 4335) (-4525 . 4282) (-4526 . 4230) (-4527 . 3685) (-4528 . 3574) (-4529 . 3521) (-4530 . 3417) (-4531 . 3265) (-4532 . 3108) (-4533 . 2998) (-4534 . 2898) (-4535 . 2820) (-4536 . 2251) (-4537 . 1985) (-4538 . 1784) (-4539 . 1634) (-4540 . 1090) (-4541 . 966) (-4542 . 893) (-4543 . 822) (-4544 . 749) (-4545 . 699) (-4546 . 520) (-4547 . 425) (-4548 . 343) (-4549 . 208) (-4550 . 180) (-4551 . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/users.daase/index.kaf b/src/share/algebra/users.daase/users.daase/index.kaf
index 2daa077..f0b6af1 100644
--- a/src/share/algebra/users.daase/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/users.daase/index.kaf
@@ -1,4 +1,4 @@
-234547              (|ProjectiveAlgebraicSetPackage|)
+235955              (|ProjectiveAlgebraicSetPackage|)
 (|ProjectiveAlgebraicSetPackage|)
 (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |BlowUpPackage| |DesingTreePackage| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)
 (|AffinePlane|)
@@ -54,10 +54,11 @@
 (|ExpertSystemContinuityPackage|)
 (|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |ApplyRules| |Asp8| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |ComplexTrigonometricManipulations| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |FortranExpression| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationTools| |Kernel| |KernelFunctions2| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |MyExpression| |NonLinearFirstOrderODESolver| |Operator| |Pattern| |PatternFunctions2| |PatternMatchKernel| |PatternMatchPushDown| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |RecurrenceOperator| |Switch| |TranscendentalManipulations| |TrigonometricManipulations| |d01WeightsPackage| |d01anfAnnaType| |d01asfAnnaType|)
 (|AlgebraicFunction| |CombinatorialFunction| |ElementaryFunction| |ExpressionSpace&| |FunctionSpace&| |FunctionalSpecialFunction| |KernelFunctions2| |LiouvillianFunction| |RecurrenceOperator|)
+(|StochasticDifferential|)
 (|BalancedBinaryTree| |BinarySearchTree| |BinaryTournament|)
 (|SetOfMIntegersInOneToN|)
 (|DesingTreePackage|)
-(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|PrimitiveRatDE| |RationalLODE|)
 (|GaloisGroupFactorizer|)
 (|CliffordAlgebra| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |Equation| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |HomogeneousDirectProduct| |InnerFiniteField| |InnerPrimeField| |OrderedDirectProduct| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |RectangularMatrix| |SplitHomogeneousDirectProduct|)
@@ -117,7 +118,7 @@
 (|FunctionSpaceComplexIntegration| |FunctionSpaceIntegration|)
 (|ElementaryIntegration|)
 (|ElementaryIntegration|)
-(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
+(|AlgebraicNumber| |ApplyRules| |ArrayStack| |AssociationList| |BalancedBinaryTree| |BalancedPAdicRational| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |CharacterClass| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatMatrix| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |EqTable| |Equation| |EquationFunctions2| |Evalable&| |ExpertSystemContinuityPackage| |ExponentialExpansion| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FlexibleArray| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FortranProgram| |Fraction| |FullyEvalableOver&| |FunctionSpace&| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InnerAlgebraicNumber| |InnerIndexedTwoDimensionalArray| |InnerNumericFloatSolvePackage| |InnerTable| |KeyedAccessFile| |LaplaceTransform| |Library| |LieExponentials| |LieSquareMatrix| |List| |ListMultiDictionary| |MachineComplex| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |Octonion| |OneDimensionalArray| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PatternMatch| |PendantTree| |Point| |Polynomial| |PolynomialCategory&| |PolynomialIdeals| |PowerSeriesLimitPackage| |PrimitiveArray| |Quaternion| |Queue| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionLimitPackage| |RationalRicDE| |RectangularMatrix| |RecurrenceOperator| |RegularChain| |RegularTriangularSet| |Result| |RetractSolvePackage| |RewriteRule| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SystemSolvePackage| |Table| |TaylorSeries| |ThreeDimensionalMatrix| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |Tree| |TwoDimensionalArray| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |Vector| |WuWenTsunTriangularSet| |d01AgentsPackage| |d01TransformFunctionType| |d02AgentsPackage| |d03AgentsPackage|)
 (|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AttributeButtons| |RoutinesTable| |d01AgentsPackage|)
 (|ParametricLinearEquations|)
 (|InnerModularGcd|)
@@ -128,7 +129,7 @@
 (|d02AgentsPackage| |e04nafAnnaType|)
 (|FunctionSpaceToExponentialExpansion|)
 (|ExponentialExpansion| |FunctionSpaceToExponentialExpansion| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |ComplexTrigonometricManipulations| |DeRhamComplex| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunctionSign| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionFunctions2| |ExpressionToOpenMath| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranProgram| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GnuDraw| |GuessAlgebraicNumber| |GuessFinite| |GuessFiniteFunctions| |GuessInteger| |GuessPolynomial| |InnerAlgebraicNumber| |IntegrationResultRFToFunction| |MachineInteger| |MappingPackage4| |MeshCreationRoutinesForThreeDimensions| |MyExpression| |Numeric| |PatternMatchAssertions| |PiCoercions| |PolynomialAN2Expression| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SimplifyAlgebraicNumberConvertPackage| |Switch| |ToolsForSign| |TransSolvePackage| |TransSolvePackageService| |TrigonometricManipulations| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |ComplexTrigonometricManipulations| |DeRhamComplex| |DegreeReductionPackage| |DrawNumericHack| |ElementaryFunctionSign| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpressionFunctions2| |ExpressionToOpenMath| |ExpressionTubePlot| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranProgram| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |GnuDraw| |GuessAlgebraicNumber| |GuessFinite| |GuessFiniteFunctions| |GuessInteger| |GuessPolynomial| |InnerAlgebraicNumber| |IntegrationResultRFToFunction| |MachineInteger| |MappingPackage4| |MeshCreationRoutinesForThreeDimensions| |MyExpression| |Numeric| |PatternMatchAssertions| |PiCoercions| |PolynomialAN2Expression| |RadicalEigenPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |SimplifyAlgebraicNumberConvertPackage| |StochasticDifferential| |Switch| |ToolsForSign| |TransSolvePackage| |TransSolvePackageService| |TrigonometricManipulations| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AnnaOrdinaryDifferentialEquationPackage| |ExpertSystemToolsPackage| |FortranExpression| |InnerAlgebraicNumber| |MachineInteger| |Numeric| |TransSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |e04AgentsPackage|)
 (|RecurrenceOperator|)
 (|Expression| |ExpressionFunctions2| |FunctionSpaceFunctions2| |InnerTrigonometricManipulations|)
@@ -165,7 +166,7 @@
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranType| |SimpleFortranProgram| |SymbolTable|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranCode| |FortranPackage| |SymbolTable| |TheSymbolTable|)
 (|FourierSeries|)
-(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
+(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
 (|FractionFreeFastGaussianFractions| |Guess|)
 (|Guess|)
 (|FiniteDivisor| |FiniteDivisorFunctions2| |FractionalIdealFunctions2| |FramedModule| |HyperellipticFiniteDivisor| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational|)
@@ -223,7 +224,7 @@
 (|IndexedDirectProductAbelianMonoid|)
 (|IndexedDirectProductOrderedAbelianMonoidSup|)
 (|IndexedExponents|)
-(|DifferentialSparseMultivariatePolynomial| |Expression| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |OrderlyDifferentialPolynomial| |Polynomial| |SequentialDifferentialPolynomial| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |TaylorSeries|)
+(|DifferentialSparseMultivariatePolynomial| |Expression| |MultivariatePolynomial| |NewSparseMultivariatePolynomial| |OrderlyDifferentialPolynomial| |Polynomial| |SequentialDifferentialPolynomial| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |StochasticDifferential| |TaylorSeries|)
 (|FlexibleArray| |Heap| |IntegerCombinatoricFunctions| |IntegerNumberTheoryFunctions|)
 (|List|)
 (|IndexedTwoDimensionalArray| |IndexedVector| |OneDimensionalArray|)
@@ -252,9 +253,9 @@
 (|Table|)
 (|SparseMultivariateTaylorSeries| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
 (|ComplexTrigonometricManipulations| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |TrigonometricManipulations|)
-(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
+(|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |U16Vector| |U32Vector| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
 (|FunctionSpace&|)
-(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RandomIntegerDistributions|)
 (|ComplexRootFindingPackage| |GaloisGroupUtilities| |Guess| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
 (|CyclotomicPolynomialPackage| |Factored| |GaussianFactorizationPackage| |IntegerNumberSystem&| |NumberFieldIntegralBasis|)
@@ -301,7 +302,7 @@
 (|SystemSolvePackage|)
 (|InterpolateFormsPackage| |LinearSystemFromPowerSeriesPackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
@@ -366,7 +367,7 @@
 (|BlowUpPackage|)
 (|ElementaryFunctionODESolver|)
 (|RationalRicDE|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionalSpecialFunction| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1| |RecurrenceOperator|)
 (|AnyFunctions1| |ModuleOperator|)
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LexTriangularPackage| |RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
@@ -397,7 +398,7 @@
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |DesingTreePackage| |DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |Guess| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InterpolateFormsPackage| |LexTriangularPackage| |LinGroebnerPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |PolToPol| |ProjectiveAlgebraicSetPackage| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|FullPartialFractionExpansion|)
 (|FullPartialFractionExpansion| |LinearOrdinaryDifferentialOperatorsOps| |OrderlyDifferentialPolynomial|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DirichletRing| |GenUFactorize| |Guess| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |SparseUnivariatePolynomialExpressions| |TabulatedComputationPackage| |TaylorSolve| |ZeroDimensionalSolvePackage|)
 (|PAdicRational|)
 (|BalancedPAdicRational| |PAdicRational|)
@@ -460,7 +461,7 @@
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |QuasiComponentPackage| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |WuWenTsunTriangularSet| |ZeroDimensionalSolvePackage|)
 (|RadicalSolvePackage|)
 (|PolynomialCategory&|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DefiniteIntegrationTools| |ElementaryFunctionSign| |LaplaceTransform| |d01AgentsPackage|)
 (|AssociatedEquations|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldNormalBasis| |InterfaceGroebnerPackage|)
@@ -526,13 +527,13 @@
 (|DrawNumericHack| |RationalFunctionSum|)
 (|SegmentBindingFunctions2| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
 (|SequentialDifferentialPolynomial|)
-(|ApplicationProgramInterface| |BasicOperator| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
+(|ApplicationProgramInterface| |BasicOperator| |BasicStochasticDifferential| |ExpressionSpace&| |Factored| |GaloisGroupFactorizer| |GeneralPolynomialSet| |IntegerPrimesPackage| |ModularHermitianRowReduction| |MonoidRing| |ParametricLinearEquations| |Pattern| |Permutation| |PermutationGroup| |PolynomialSetCategory&| |QuasiAlgebraicSet| |RandomDistributions| |SymmetricGroupCombinatoricFunctions| |ThreeDimensionalViewport| |ThreeSpace|)
 (|AlgebraicFunctionField| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |RadicalFunctionField|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Commutator| |Complex| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionSign| |EqTable| |Equation| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NottinghamGroup| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedCompletionFunctions2| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchIntegration| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |Queue| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RealClosure| |RectangularMatrix| |Reference| |RegularChain| |RegularTriangularSet| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Symbol| |SymmetricPolynomial| |Table| |TaylorSeries| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |Tree| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|ExponentialOfUnivariatePuiseuxSeries| |GeneralUnivariatePowerSeries| |InnerSparseUnivariatePowerSeries| |ModMonic| |MultivariateSquareFree| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
 (|TranscendentalRischDESystem|)
 (|Kernel| |MakeCachableSet|)
-(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DifferentialSparseMultivariatePolynomial| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |LaplaceTransform| |MRationalFactorize| |MultFiniteFactorize| |MultivariatePolynomial| |MyExpression| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |OrderlyDifferentialPolynomial| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PointsOfFiniteOrder| |Polynomial| |PureAlgebraicIntegration| |RecurrenceOperator| |SequentialDifferentialPolynomial| |TransSolvePackage| |TranscendentalManipulations|)
+(|AlgebraicFunction| |AlgebraicManipulations| |AlgebraicNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |DifferentialSparseMultivariatePolynomial| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |Expression| |ExpressionSpaceODESolver| |FunctionSpace&| |FunctionSpaceFunctions2| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |InnerTrigonometricManipulations| |IntegrationResultToFunction| |IntegrationTools| |InverseLaplaceTransform| |LaplaceTransform| |MRationalFactorize| |MultFiniteFactorize| |MultivariatePolynomial| |MyExpression| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |OrderlyDifferentialPolynomial| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PointsOfFiniteOrder| |Polynomial| |PureAlgebraicIntegration| |RecurrenceOperator| |SequentialDifferentialPolynomial| |StochasticDifferential| |TransSolvePackage| |TranscendentalManipulations|)
 (|TaylorSeries|)
 (|SparseUnivariatePuiseuxSeries|)
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicInteger| |BalancedPAdicRational| |BinaryExpansion| |BlowUpPackage| |BoundIntegerRoots| |CharacteristicPolynomialInMonogenicalAlgebra| |ChineseRemainderToolsForIntegralBases| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootPackage| |ConstantLODE| |ContinuedFraction| |CyclotomicPolynomialPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleResultantPackage| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |FGLMIfCanPackage| |Factored| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteRankNonAssociativeAlgebra&| |Float| |FloatingComplexPackage| |FortranExpression| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GcdDomain&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerSolve| |Guess| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LeadingCoefDetermination| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |LocalParametrizationOfSimplePointPackage| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MatrixCategory&| |ModMonic| |ModularField| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormInMonogenicAlgebra| |NormRetractPackage| |NumberTheoreticPolynomialFunctions| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |PointsOfFiniteOrder| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialNumberTheoryFunctions| |PolynomialSquareFree| |PolynomialToUnivariatePolynomial| |PrimeField| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFactorize| |RationalFunctionFactor| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RomanNumeral| |RootsFindingPackage| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SupFractionFactorizer| |SymmetricFunctions| |SystemSolvePackage| |TangentExpansions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TwoFactorize| |UnivariateFactorize| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |WeierstrassPreparation| |WeightedPolynomials| |ZeroDimensionalSolvePackage|)
@@ -549,7 +550,7 @@
 (|AlgebraGivenByStructuralConstants| |CartesianTensor| |GenericNonAssociativeAlgebra| |LieSquareMatrix| |Permanent| |QuadraticForm|)
 (|FortranOutputStackPackage| |Queue|)
 (|Matrix|)
-(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |DirichletRing| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |Guess| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |LinearSystemFromPowerSeriesPackage| |NeitherSparseOrDensePowerSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |TaylorSolve| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
+(|BalancedPAdicInteger| |BasicFunctions| |ContinuedFraction| |CycleIndicators| |DirichletRing| |ElementaryFunctionsUnivariateLaurentSeries| |EllipticFunctionsUnivariateTaylorSeries| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialOfUnivariatePuiseuxSeries| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |Guess| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTuple| |InfiniteTupleFunctions2| |InfiniteTupleFunctions3| |InnerPAdicInteger| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |LinearSystemFromPowerSeriesPackage| |NeitherSparseOrDensePowerSeries| |NumericContinuedFraction| |PAdicInteger| |PAdicRationalConstructor| |PadeApproximants| |ParadoxicalCombinatorsForStreams| |PartitionsAndPermutations| |RadixExpansion| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |Stream| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |TableauxBumpers| |TaylorSolve| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |WeierstrassPreparation| |d01AgentsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01aqfAnnaType| |e04gcfAnnaType|)
 (|Guess| |PartitionsAndPermutations|)
 (|ContinuedFraction| |DirichletRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |FractionFreeFastGaussian| |Guess| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfiniteTupleFunctions2| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamFunctions3| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |TableauxBumpers| |UnivariatePuiseuxSeriesConstructor| |UnivariateTaylorSeriesFunctions2| |UniversalSegmentFunctions2| |WeierstrassPreparation|)
 (|InfiniteTupleFunctions3| |PartitionsAndPermutations| |SparseMultivariateTaylorSeries| |Stream| |StreamTaylorSeriesOperations| |UnivariateFormalPowerSeriesFunctions| |WeierstrassPreparation|)
@@ -557,21 +558,21 @@
 (|DirichletRing| |EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|Export3D| |ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
 (|EigenPackage| |PolynomialIdeals| |RadicalEigenPackage| |RadicalSolvePackage|)
 (|Expression|)
 (|Asp12| |Asp30| |Asp35| |Asp55| |Asp74| |Asp8| |FortranCode|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |Boolean| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranProgram| |TheSymbolTable|)
 (|TangentExpansions|)
 (|IrrRepSymNatPackage| |RepresentationPackage1|)
 (|CycleIndicators| |EvaluateCycleIndicators|)
 (|PureAlgebraicLODE|)
 (|EigenPackage| |NonLinearSolvePackage| |RadicalSolvePackage| |RetractSolvePackage| |TransSolvePackage|)
-(|AlgebraicFunctionField| |Complex| |DiscreteLogarithmPackage| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |Multiset| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |RadicalFunctionField| |RandomDistributions| |Result| |SimpleAlgebraicExtension| |SymbolTable| |TransSolvePackage|)
+(|AlgebraicFunctionField| |BasicStochasticDifferential| |Complex| |DiscreteLogarithmPackage| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |InnerFiniteField| |InnerPrimeField| |MachineComplex| |Multiset| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |RadicalFunctionField| |RandomDistributions| |Result| |SimpleAlgebraicExtension| |StochasticDifferential| |SymbolTable| |TransSolvePackage|)
 (|TableauxBumpers|)
 (|QuasiComponentPackage| |RegularTriangularSetGcdPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage|)
 (|ElementaryFunctionStructurePackage|)
@@ -602,6 +603,8 @@
 (|TopLevelDrawFunctionsForCompiledFunctions|)
 (|GnuDraw| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |ViewportPackage|)
 (|MultFiniteFactorize| |SparseUnivariatePolynomial|)
+(|U16Matrix|)
+(|U32Matrix|)
 (|Guess| |NottinghamGroup| |RecurrenceOperator| |UnivariateFormalPowerSeriesFunctions|)
 (|Guess|)
 (|UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesFunctions2|)
@@ -620,7 +623,7 @@
 (|PadeApproximantPackage| |RationalRicDE| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesFunctions2| |UnivariatePuiseuxSeries|)
 (|GeneralPackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField|)
 (|UnivariateLaurentSeriesFunctions2|)
-(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |AxiomServer| |Bits| |ComplexDoubleFloatVector| |DataList| |DisplayPackage| |DoubleFloatVector| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |MathMLFormat| |NeitherSparseOrDensePowerSeries| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |UniversalSegmentFunctions2| |Vector|)
+(|AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AssociationList| |AxiomServer| |Bits| |ComplexDoubleFloatVector| |DataList| |DisplayPackage| |DoubleFloatVector| |ExtensibleLinearAggregate&| |FlexibleArray| |Float| |GaloisGroupUtilities| |GenerateUnivariatePowerSeries| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |LazyStreamAggregate&| |List| |ListAggregate&| |MathMLFormat| |NeitherSparseOrDensePowerSeries| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |Point| |PrimitiveArray| |Stream| |StreamAggregate&| |String| |StringAggregate&| |Symbol| |TemplateUtilities| |TexFormat| |U16Vector| |U32Vector| |U8Vector| |UniversalSegmentFunctions2| |Vector|)
 (|GenerateUnivariatePowerSeries|)
 (|FunctionSpace&| |Polynomial| |UserDefinedVariableOrdering|)
 (|GeneralUnivariatePowerSeries| |MyUnivariatePolynomial| |PolynomialToUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
@@ -628,7 +631,7 @@
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -663,4 +666,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 234510) ("e04nafAnnaType" 0 234473) ("e04mbfAnnaType" 0 234436) ("e04jafAnnaType" 0 234399) ("e04gcfAnnaType" 0 234362) ("e04fdfAnnaType" 0 234325) ("e04dgfAnnaType" 0 234288) ("e04AgentsPackage" 0 234149) ("d03eefAnnaType" 0 234106) ("d03AgentsPackage" 0 234087) ("d02ejfAnnaType" 0 234043) ("d02cjfAnnaType" 0 233999) ("d02bhfAnnaType" 0 233955) ("d02bbfAnnaType" 0 233911) ("d02AgentsPackage" 0 233841) ("d01gbfAnnaType" 0 233805) ("d01fcfAnnaType" 0 233769) ("d01asfAnnaType" 0 233733) ("d01aqfAnnaType" 0 233697) ("d01apfAnnaType" 0 233661) ("d01anfAnnaType" 0 233625) ("d01amfAnnaType" 0 233589) ("d01alfAnnaType" 0 233553) ("d01akfAnnaType" 0 233517) ("d01ajfAnnaType" 0 233481) ("d01WeightsPackage" 0 233428) ("d01TransformFunctionType" 0 233392) ("d01AgentsPackage" 0 233139) ("XRecursivePolynomial" 0 233090) ("XPolynomialRing" 0 233063) ("XPBWPolynomial" 0 233043) ("XDistributedPolynomial" 0 232953) ("WildFunctionFieldIntegralBasis" 0 232913) ("WeightedPolynomials" 0 232881) ("Void" 0 228617) ("ViewportPackage" 0 228529) ("ViewDefaultsPackage" 0 228317) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 228008) ("VectorCategory&" 0 NIL) ("Vector" 0 222892) ("Variable" 0 222517) ("UserDefinedPartialOrdering" 0 222455) ("UniversalSegmentFunctions2" 0 222421) ("UniversalSegment" 0 221590) ("UnivariateTaylorSeriesFunctions2" 0 221552) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 221423) ("UnivariateTaylorSeries" 0 221262) ("UnivariateSkewPolynomialCategoryOps" 0 221227) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 221164) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 221104) ("UnivariatePuiseuxSeries" 0 220883) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 220764) ("UnivariatePolynomialDivisionPackage" 0 220719) ("UnivariatePolynomialDecompositionPackage" 0 220693) ("UnivariatePolynomialCommonDenominator" 0 220480) ("UnivariatePolynomialCategoryFunctions2" 0 219356) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 219047) ("UnivariateLaurentSeriesFunctions2" 0 219009) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 218981) ("UnivariateLaurentSeries" 0 218881) ("UnivariateFormalPowerSeriesFunctions" 0 218871) ("UnivariateFormalPowerSeries" 0 218783) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("TwoFactorize" 0 218730) ("TwoDimensionalViewport" 0 218557) ("TwoDimensionalPlotClipping" 0 218511) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 218495) ("TubePlotTools" 0 218454) ("TubePlot" 0 218369) ("TrigonometricManipulations" 0 218184) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 217994) ("Tree" 0 217952) ("TranscendentalRischDESystem" 0 217924) ("TranscendentalRischDE" 0 217880) ("TranscendentalManipulations" 0 217764) ("TranscendentalIntegration" 0 217696) ("TranscendentalHermiteIntegration" 0 217666) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 217644) ("TopLevelDrawFunctionsForCompiledFunctions" 0 217618) ("TopLevelDrawFunctions" 0 217606) ("ToolsForSign" 0 217499) ("ThreeSpace" 0 217247) ("ThreeDimensionalViewport" 0 217120) ("ThreeDimensionalMatrix" 0 217077) ("TheSymbolTable" 0 217027) ("TextFile" 0 216986) ("TexFormat" 0 216971) ("TemplateUtilities" 0 216951) ("TaylorSolve" 0 216931) ("TaylorSeries" 0 216904) ("TangentExpansions" 0 216865) ("TabulatedComputationPackage" 0 216729) ("Tableau" 0 216709) ("TableAggregate&" 0 NIL) ("Table" 0 216109) ("SystemSolvePackage" 0 216004) ("SystemODESolver" 0 215982) ("SymmetricPolynomial" 0 215936) ("SymmetricGroupCombinatoricFunctions" 0 215887) ("SymmetricFunctions" 0 215865) ("SymbolTable" 0 215586) ("Symbol" 0 207513) ("Switch" 0 207450) ("SupFractionFactorizer" 0 207435) ("SuchThat" 0 207355) ("SubSpaceComponentProperty" 0 207261) ("SubSpace" 0 207235) ("SubResultantPackage" 0 207173) ("StringAggregate&" 0 NIL) ("String" 0 196029) ("StreamTranscendentalFunctionsNonCommutative" 0 195993) ("StreamTranscendentalFunctions" 0 195780) ("StreamTaylorSeriesOperations" 0 195351) ("StreamInfiniteProduct" 0 195285) ("StreamFunctions3" 0 195092) ("StreamFunctions2" 0 194589) ("StreamFunctions1" 0 194551) ("StreamAggregate&" 0 NIL) ("Stream" 0 192703) ("StorageEfficientMatrixOperations" 0 192692) ("Stack" 0 192654) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 192521) ("SquareFreeRegularTriangularSetGcdPackage" 0 192394) ("SquareFreeRegularTriangularSet" 0 192297) ("SquareFreeRegularSetDecompositionPackage" 0 192262) ("SquareFreeQuasiComponentPackage" 0 192085) ("SplittingTree" 0 192058) ("SplittingNode" 0 192015) ("SparseUnivariateTaylorSeries" 0 191949) ("SparseUnivariateSkewPolynomial" 0 191883) ("SparseUnivariatePolynomialFunctions2" 0 191369) ("SparseUnivariatePolynomialExpressions" 0 191335) ("SparseUnivariatePolynomial" 0 184696) ("SparseUnivariateLaurentSeries" 0 184662) ("SparseMultivariateTaylorSeries" 0 184645) ("SparseMultivariatePolynomial" 0 183413) ("SortedCache" 0 183384) ("SmithNormalForm" 0 183352) ("SingletonAsOrderedSet" 0 182655) ("SingleInteger" 0 175089) ("SimpleAlgebraicExtension" 0 174958) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 174550) ("SequentialDifferentialVariable" 0 174513) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 174398) ("SegmentBindingFunctions2" 0 174356) ("SegmentBinding" 0 173989) ("Segment" 0 172925) ("ScriptFormulaFormat" 0 172900) ("SExpressionOf" 0 172884) ("SExpression" 0 172655) ("RoutinesTable" 0 172064) ("RootsFindingPackage" 0 171928) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 171912) ("RewriteRule" 0 171867) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 171841) ("Result" 0 170770) ("RepeatedSquaring" 0 170529) ("RepeatedDoubling" 0 170346) ("RegularTriangularSetGcdPackage" 0 170288) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 170271) ("RegularSetDecompositionPackage" 0 170246) ("RegularChain" 0 170191) ("Reference" 0 169808) ("ReductionOfOrder" 0 169775) ("ReduceLODE" 0 169753) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 169743) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 169663) ("RealSolvePackage" 0 169635) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 169593) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 169561) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 169471) ("RationalLODE" 0 169332) ("RationalIntegration" 0 169211) ("RationalFunctionSign" 0 169153) ("RationalFunctionIntegration" 0 169119) ("RationalFunctionFactor" 0 169086) ("RationalFunction" 0 169038) ("RationalFactorize" 0 168808) ("RandomNumberSource" 0 168728) ("RadixExpansion" 0 168666) ("RadicalSolvePackage" 0 168644) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 168621) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 168609) ("QueryEquation" 0 168596) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 168583) ("QuasiComponentPackage" 0 168469) ("QuasiAlgebraicSet" 0 168446) ("QuadraticForm" 0 168426) ("PushVariables" 0 168399) ("PureAlgebraicIntegration" 0 168322) ("PseudoRemainderSequence" 0 168237) ("PseudoLinearNormalForm" 0 168217) ("PseudoAlgebraicClosureOfRationalNumber" 0 168100) ("PseudoAlgebraicClosureOfFiniteField" 0 167829) ("ProjectiveSpace" 0 167809) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 167696) ("ProjectivePlane" 0 167591) ("ProjectiveAlgebraicSetPackage" 0 167498) ("Product" 0 167457) ("PrintPackage" 0 167431) ("PrimitiveRatRicDE" 0 167413) ("PrimitiveRatDE" 0 167360) ("PrimitiveElement" 0 167326) ("PrimitiveArray" 0 166597) ("PrimeField" 0 166504) ("PrecomputedAssociatedEquations" 0 166480) ("PowerSeriesLimitPackage" 0 166388) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 156711) ("PolynomialSquareFree" 0 156687) ("PolynomialSolveByFormulas" 0 156663) ("PolynomialSetUtilitiesPackage" 0 156266) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 156163) ("PolynomialRing" 0 155995) ("PolynomialPackageForCurve" 0 155898) ("PolynomialNumberTheoryFunctions" 0 155844) ("PolynomialInterpolationAlgorithms" 0 155816) ("PolynomialIdeals" 0 155765) ("PolynomialGcdPackage" 0 155689) ("PolynomialFunctions2" 0 155493) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 155430) ("PolynomialFactorizationByRecursion" 0 155406) ("PolynomialDecomposition" 0 155376) ("PolynomialCategoryQuotientFunctions" 0 154977) ("PolynomialCategoryLifting" 0 154342) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 151972) ("PolyGroebner" 0 151926) ("PolToPol" 0 151889) ("PointsOfFiniteOrderTools" 0 151835) ("PointsOfFiniteOrder" 0 151812) ("PointPackage" 0 151671) ("Point" 0 151235) ("PoincareBirkhoffWittLyndonBasis" 0 151198) ("PlotTools" 0 151183) ("Plot3D" 0 151116) ("Plot" 0 150979) ("Plcs" 0 150920) ("PlaneAlgebraicCurvePlot" 0 150876) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 150824) ("Places" 0 150787) ("PiCoercions" 0 150765) ("Pi" 0 150729) ("PermutationGroup" 0 150700) ("Permutation" 0 150605) ("PatternMatchTools" 0 150542) ("PatternMatchSymbol" 0 150531) ("PatternMatchResultFunctions2" 0 150484) ("PatternMatchResult" 0 149066) ("PatternMatchQuotientFieldCategory" 0 149039) ("PatternMatchPushDown" 0 148918) ("PatternMatchPolynomialCategory" 0 148881) ("PatternMatchListResult" 0 148836) ("PatternMatchListAggregate" 0 148819) ("PatternMatchKernel" 0 148776) ("PatternMatchIntegration" 0 148657) ("PatternMatchIntegerNumberSystem" 0 148632) ("PatternMatchFunctionSpace" 0 148617) ("PatternFunctions1" 0 148547) ("Pattern" 0 147014) ("PartitionsAndPermutations" 0 146914) ("Partition" 0 146797) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 146678) ("ParametricSurface" 0 146578) ("ParametricSpaceCurve" 0 146475) ("ParametricPlaneCurve" 0 146372) ("ParadoxicalCombinatorsForStreams" 0 146171) ("Palette" 0 145969) ("PackageForPoly" 0 145662) ("PAdicRationalConstructor" 0 145620) ("PAdicInteger" 0 145602) ("OutputPackage" 0 145232) ("OutputForm" 0 135530) ("OrderlyDifferentialVariable" 0 135424) ("OrderlyDifferentialPolynomial" 0 135391) ("OrderedVariableList" 0 134838) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 134686) ("OrderedCompletionFunctions2" 0 134615) ("OrderedCompletion" 0 133832) ("OrdSetInts" 0 133798) ("OpenMathPackage" 0 133772) ("OpenMathErrorKind" 0 133754) ("OpenMathEncoding" 0 133576) ("OpenMathDevice" 0 133394) ("OpenMathConnection" 0 133368) ("OnePointCompletionFunctions2" 0 133335) ("OnePointCompletion" 0 132522) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 132453) ("OctonionCategory&" 0 NIL) ("ODETools" 0 132405) ("ODEIntensityFunctionsTable" 0 132342) ("ODEIntegration" 0 132233) ("NumericalPDEProblem" 0 132190) ("NumericalOptimizationProblem" 0 132134) ("NumericalODEProblem" 0 132090) ("NumericalIntegrationProblem" 0 132027) ("NumericTubePlot" 0 131981) ("NumericRealEigenPackage" 0 131960) ("Numeric" 0 131921) ("NumberTheoreticPolynomialFunctions" 0 131891) ("NumberFormats" 0 131861) ("NormalizationPackage" 0 131688) ("NoneFunctions1" 0 131653) ("None" 0 131352) ("NonNegativeInteger" 0 115695) ("NonLinearSolvePackage" 0 115677) ("NonLinearFirstOrderODESolver" 0 115645) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 115627) ("NewtonInterpolation" 0 115617) ("NewSparseUnivariatePolynomialFunctions2" 0 115581) ("NewSparseUnivariatePolynomial" 0 115503) ("NewSparseMultivariatePolynomial" 0 115391) ("NeitherSparseOrDensePowerSeries" 0 115304) ("NagPartialDifferentialEquationsPackage" 0 115285) ("NagOrdinaryDifferentialEquationsPackage" 0 115215) ("NagOptimisationPackage" 0 115059) ("NagIntegrationPackage" 0 114887) ("NagEigenPackage" 0 114866) ("NPCoef" 0 114842) ("NAGLinkSupportPackage" 0 114430) ("MyUnivariatePolynomial" 0 114413) ("MyExpression" 0 114383) ("MultivariateSquareFree" 0 114319) ("MultivariateLifting" 0 114231) ("MultivariateFactorize" 0 113898) ("Multiset" 0 113839) ("MultipleMap" 0 113764) ("MultiVariableCalculusFunctions" 0 113670) ("MultFiniteFactorize" 0 113596) ("MoreSystemCommands" 0 113517) ("MonomialExtensionTools" 0 113398) ("MonoidRing" 0 113373) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 113351) ("ModuleOperator" 0 113338) ("ModuleMonomial" 0 113310) ("Module&" 0 NIL) ("ModularRing" 0 113270) ("ModularHermitianRowReduction" 0 113065) ("ModularDistinctDegreeFactorizer" 0 113008) ("ModMonic" 0 112898) ("MeshCreationRoutinesForThreeDimensions" 0 112852) ("MergeThing" 0 112839) ("MatrixLinearAlgebraFunctions" 0 112812) ("MatrixCommonDenominator" 0 112702) ("MatrixCategoryFunctions2" 0 112321) ("MatrixCategory&" 0 NIL) ("Matrix" 0 107437) ("MappingPackageInternalHacks3" 0 107417) ("MappingPackageInternalHacks2" 0 107397) ("MappingPackageInternalHacks1" 0 107377) ("MappingPackage1" 0 107283) ("MakeUnaryCompiledFunction" 0 107223) ("MakeFunction" 0 107164) ("MakeFloatCompiledFunction" 0 107100) ("MakeBinaryCompiledFunction" 0 107052) ("Magma" 0 107021) ("MachineInteger" 0 106987) ("MachineFloat" 0 106918) ("MRationalFactorize" 0 106754) ("MPolyCatRationalFunctionFactorizer" 0 106644) ("MPolyCatPolyFactorizer" 0 106607) ("MPolyCatFunctions3" 0 106594) ("MPolyCatFunctions2" 0 106507) ("LyndonWord" 0 106420) ("Logic&" 0 NIL) ("Localize" 0 106403) ("LocalParametrizationOfSimplePointPackage" 0 106310) ("LocalAlgebra" 0 106297) ("ListToMap" 0 106246) ("ListMultiDictionary" 0 106214) ("ListMonoidOps" 0 106162) ("ListFunctions2" 0 105743) ("ListAggregate&" 0 NIL) ("List" 0 88343) ("LiouvillianFunction" 0 88302) ("LinesOpPack" 0 88237) ("LinearSystemPolynomialPackage" 0 88214) ("LinearSystemMatrixPackage" 0 87880) ("LinearSystemFromPowerSeriesPackage" 0 87852) ("LinearPolynomialEquationByFractions" 0 87731) ("LinearOrdinaryDifferentialOperatorsOps" 0 87692) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 87659) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 87626) ("LinearOrdinaryDifferentialOperator1" 0 87462) ("LinearOrdinaryDifferentialOperator" 0 87384) ("LinearDependence" 0 87356) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 87319) ("LiePolynomial" 0 87282) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87250) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87210) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87139) ("Kovacic" 0 87106) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87094) ("KernelFunctions2" 0 87079) ("Kernel" 0 85230) ("IrredPolyOverFiniteField" 0 85190) ("Interval" 0 85143) ("IntersectionDivisorPackage" 0 85099) ("InterpolateFormsPackage" 0 85055) ("InternalRationalUnivariateRepresentationPackage" 0 84981) ("InternalPrintPackage" 0 84873) ("InterfaceGroebnerPackage" 0 84826) ("IntegrationTools" 0 84517) ("IntegrationResultToFunction" 0 84422) ("IntegrationResultRFToFunction" 0 84382) ("IntegrationResultFunctions2" 0 84183) ("IntegrationResult" 0 83811) ("IntegrationFunctionsTable" 0 83756) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 83627) ("IntegralBasisPolynomialTools" 0 83587) ("IntegerSolveLinearPolynomialEquation" 0 83575) ("IntegerRoots" 0 83390) ("IntegerRetractions" 0 83358) ("IntegerPrimesPackage" 0 82926) ("IntegerNumberTheoryFunctions" 0 82825) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 82805) ("IntegerLinearDependence" 0 82766) ("IntegerFactorizationPackage" 0 82642) ("IntegerCombinatoricFunctions" 0 82426) ("IntegerBits" 0 82395) ("Integer" 0 66785) ("InputFormFunctions1" 0 66766) ("InputForm" 0 64540) ("InnerTrigonometricManipulations" 0 64412) ("InnerTaylorSeries" 0 64322) ("InnerTable" 0 64312) ("InnerSparseUnivariatePowerSeries" 0 64215) ("InnerPrimeField" 0 64181) ("InnerPolySum" 0 64157) ("InnerPolySign" 0 64074) ("InnerPAdicInteger" 0 64034) ("InnerNumericFloatSolvePackage" 0 63937) ("InnerNumericEigenPackage" 0 63880) ("InnerNormalBasisFieldFunctions" 0 63832) ("InnerMultFact" 0 63786) ("InnerMatrixQuotientFieldFunctions" 0 63753) ("InnerMatrixLinearAlgebraFunctions" 0 63684) ("InnerIndexedTwoDimensionalArray" 0 63606) ("InnerFreeAbelianMonoid" 0 63565) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63319) ("InnerAlgebraicNumber" 0 63299) ("InnerAlgFactor" 0 63230) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63178) ("InfinitlyClosePoint" 0 63104) ("InfiniteTuple" 0 63050) ("InfClsPt" 0 63013) ("IndexedVector" 0 62986) ("IndexedString" 0 62975) ("IndexedOneDimensionalArray" 0 62906) ("IndexedList" 0 62897) ("IndexedFlexibleArray" 0 62810) ("IndexedExponents" 0 62534) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62513) ("IndexedDirectProductOrderedAbelianMonoid" 0 62465) ("IndexedDirectProductObject" 0 62427) ("IndexedDirectProductAbelianMonoid" 0 62347) ("IndexedDirectProductAbelianGroup" 0 62332) ("IndexedBits" 0 62323) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62300) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62231) ("HomogeneousDirectProduct" 0 62150) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62138) ("HashTable" 0 62082) ("HallBasis" 0 62061) ("GuessOptionFunctions0" 0 62051) ("GuessOption" 0 62017) ("GuessFiniteFunctions" 0 62001) ("Guess" 0 61901) ("Group&" 0 NIL) ("GroebnerPackage" 0 61672) ("GroebnerInternalPackage" 0 61545) ("GrayCode" 0 61531) ("GraphicsDefaults" 0 61431) ("GraphImage" 0 61343) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61300) ("GenusZeroIntegration" 0 61271) ("GeneralizedMultivariateFactorize" 0 61199) ("GeneralTriangularSet" 0 61140) ("GeneralSparseTable" 0 61124) ("GeneralPolynomialSet" 0 60933) ("GeneralPolynomialGcdPackage" 0 60909) ("GeneralPackageForAlgebraicFunctionField" 0 60822) ("GeneralHenselPackage" 0 60736) ("GeneralDistributedMultivariatePolynomial" 0 60651) ("GenUFactorize" 0 60599) ("GenExEuclid" 0 60425) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60387) ("GaloisGroupPolynomialUtilities" 0 60361) ("GaloisGroupFactorizer" 0 60313) ("GaloisGroupFactorizationUtilities" 0 60270) ("FunctionalSpecialFunction" 0 60255) ("FunctionSpaceUnivariatePolynomialFactor" 0 60156) ("FunctionSpaceToUnivariatePowerSeries" 0 60116) ("FunctionSpacePrimitiveElement" 0 60039) ("FunctionSpaceIntegration" 0 59801) ("FunctionSpaceFunctions2" 0 59717) ("FunctionSpaceComplexIntegration" 0 59688) ("FunctionSpaceAttachPredicates" 0 59641) ("FunctionSpaceAssertions" 0 59574) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 59546) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 59524) ("FreeModule1" 0 59448) ("FreeModule" 0 59343) ("FreeGroup" 0 59313) ("FreeAbelianGroup" 0 59294) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59276) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59248) ("FractionalIdeal" 0 59080) ("FractionFreeFastGaussianFractions" 0 59070) ("FractionFreeFastGaussian" 0 59024) ("Fraction" 0 51206) ("FourierComponent" 0 51188) ("FortranType" 0 50898) ("FortranScalarType" 0 50618) ("FortranPackage" 0 50408) ("FortranOutputStackPackage" 0 50163) ("FortranExpression" 0 49998) ("FortranCode" 0 49731) ("FloatingRealPackage" 0 49710) ("FloatingPointSystem&" 0 NIL) ("Float" 0 47856) ("FlexibleArray" 0 47831) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 47797) ("FiniteLinearAggregateFunctions2" 0 47618) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47564) ("FiniteFieldSolveLinearPolynomialEquation" 0 47533) ("FiniteFieldPolynomialPackage" 0 47331) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47270) ("FiniteFieldFunctions" 0 47117) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47055) ("FiniteFieldExtensionByPolynomial" 0 46970) ("FiniteFieldExtension" 0 46949) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 46888) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 46752) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 46714) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 46333) ("File" 0 46279) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46170) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46119) ("FactoringUtilities" 0 46031) ("FactoredFunctions2" 0 45836) ("FactoredFunctions" 0 45767) ("FactoredFunctionUtilities" 0 45652) ("Factored" 0 41197) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41168) ("ExpressionSpaceFunctions2" 0 41070) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41047) ("ExpressionFunctions2" 0 40670) ("Expression" 0 38859) ("ExponentialOfUnivariatePuiseuxSeries" 0 38744) ("ExponentialExpansion" 0 38704) ("ExpertSystemToolsPackage2" 0 38666) ("ExpertSystemToolsPackage1" 0 38645) ("ExpertSystemToolsPackage" 0 38154) ("ExpertSystemContinuityPackage" 0 38116) ("Exit" 0 37846) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 37826) ("EuclideanGroebnerBasisPackage" 0 37796) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37588) ("Equation" 0 34284) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34258) ("ElementaryRischDE" 0 34232) ("ElementaryIntegration" 0 34169) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34129) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34058) ("ElementaryFunctionStructurePackage" 0 33728) ("ElementaryFunctionSign" 0 33366) ("ElementaryFunctionODESolver" 0 33333) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33318) ("EigenPackage" 0 33294) ("DrawOptionFunctions1" 0 33269) ("DrawOptionFunctions0" 0 33065) ("DrawOption" 0 32893) ("DoubleResultantPackage" 0 32870) ("DoubleFloatVector" 0 32848) ("DoubleFloatSpecialFunctions" 0 32832) ("DoubleFloat" 0 30700) ("Divisor" 0 30477) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30072) ("DistinctDegreeFactorize" 0 29753) ("DisplayPackage" 0 29727) ("DiscreteLogarithmPackage" 0 29702) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29140) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29030) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 28957) ("DesingTree" 0 28870) ("DegreeReductionPackage" 0 28846) ("DefiniteIntegrationTools" 0 28766) ("Database" 0 28746) ("DataList" 0 28733) ("CyclotomicPolynomialPackage" 0 28685) ("CyclicStreamTools" 0 28651) ("CoordinateSystems" 0 28609) ("ContinuedFraction" 0 28494) ("ConstantLODE" 0 28461) ("ComplexRootPackage" 0 28402) ("ComplexPatternMatch" 0 28381) ("ComplexPattern" 0 28360) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28339) ("ComplexFunctions2" 0 28307) ("ComplexFactorization" 0 28239) ("ComplexDoubleFloatVector" 0 28210) ("ComplexCategory&" 0 NIL) ("Complex" 0 27624) ("CommuteUnivariatePolynomialCategory" 0 27477) ("Commutator" 0 27456) ("CommonOperators" 0 27303) ("CommonDenominator" 0 27169) ("CombinatorialFunction" 0 27154) ("Color" 0 27055) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 26991) ("ChineseRemainderToolsForIntegralBases" 0 26951) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 26929) ("CharacterClass" 0 26856) ("Character" 0 26534) ("ChangeOfVariable" 0 26434) ("CartesianTensor" 0 26404) ("CardinalNumber" 0 25687) ("BrillhartTests" 0 25661) ("BoundIntegerRoots" 0 25627) ("Boolean" 0 7548) ("BlowUpPackage" 0 7526) ("Bits" 0 7499) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7438) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 235918) ("e04nafAnnaType" 0 235881) ("e04mbfAnnaType" 0 235844) ("e04jafAnnaType" 0 235807) ("e04gcfAnnaType" 0 235770) ("e04fdfAnnaType" 0 235733) ("e04dgfAnnaType" 0 235696) ("e04AgentsPackage" 0 235557) ("d03eefAnnaType" 0 235514) ("d03AgentsPackage" 0 235495) ("d02ejfAnnaType" 0 235451) ("d02cjfAnnaType" 0 235407) ("d02bhfAnnaType" 0 235363) ("d02bbfAnnaType" 0 235319) ("d02AgentsPackage" 0 235249) ("d01gbfAnnaType" 0 235213) ("d01fcfAnnaType" 0 235177) ("d01asfAnnaType" 0 235141) ("d01aqfAnnaType" 0 235105) ("d01apfAnnaType" 0 235069) ("d01anfAnnaType" 0 235033) ("d01amfAnnaType" 0 234997) ("d01alfAnnaType" 0 234961) ("d01akfAnnaType" 0 234925) ("d01ajfAnnaType" 0 234889) ("d01WeightsPackage" 0 234836) ("d01TransformFunctionType" 0 234800) ("d01AgentsPackage" 0 234547) ("XRecursivePolynomial" 0 234498) ("XPolynomialRing" 0 234471) ("XPBWPolynomial" 0 234451) ("XDistributedPolynomial" 0 234361) ("WildFunctionFieldIntegralBasis" 0 234321) ("WeightedPolynomials" 0 234289) ("Void" 0 229925) ("ViewportPackage" 0 229837) ("ViewDefaultsPackage" 0 229625) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 229316) ("VectorCategory&" 0 NIL) ("Vector" 0 224200) ("Variable" 0 223825) ("UserDefinedPartialOrdering" 0 223763) ("UniversalSegmentFunctions2" 0 223729) ("UniversalSegment" 0 222863) ("UnivariateTaylorSeriesFunctions2" 0 222825) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 222696) ("UnivariateTaylorSeries" 0 222535) ("UnivariateSkewPolynomialCategoryOps" 0 222500) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 222437) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 222377) ("UnivariatePuiseuxSeries" 0 222156) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 222037) ("UnivariatePolynomialDivisionPackage" 0 221992) ("UnivariatePolynomialDecompositionPackage" 0 221966) ("UnivariatePolynomialCommonDenominator" 0 221753) ("UnivariatePolynomialCategoryFunctions2" 0 220629) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 220320) ("UnivariateLaurentSeriesFunctions2" 0 220282) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 220254) ("UnivariateLaurentSeries" 0 220154) ("UnivariateFormalPowerSeriesFunctions" 0 220144) ("UnivariateFormalPowerSeries" 0 220056) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U32Vector" 0 220042) ("U16Vector" 0 220028) ("TwoFactorize" 0 219975) ("TwoDimensionalViewport" 0 219802) ("TwoDimensionalPlotClipping" 0 219756) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 219740) ("TubePlotTools" 0 219699) ("TubePlot" 0 219614) ("TrigonometricManipulations" 0 219429) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 219239) ("Tree" 0 219197) ("TranscendentalRischDESystem" 0 219169) ("TranscendentalRischDE" 0 219125) ("TranscendentalManipulations" 0 219009) ("TranscendentalIntegration" 0 218941) ("TranscendentalHermiteIntegration" 0 218911) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 218889) ("TopLevelDrawFunctionsForCompiledFunctions" 0 218863) ("TopLevelDrawFunctions" 0 218851) ("ToolsForSign" 0 218744) ("ThreeSpace" 0 218492) ("ThreeDimensionalViewport" 0 218365) ("ThreeDimensionalMatrix" 0 218322) ("TheSymbolTable" 0 218272) ("TextFile" 0 218231) ("TexFormat" 0 218216) ("TemplateUtilities" 0 218196) ("TaylorSolve" 0 218176) ("TaylorSeries" 0 218149) ("TangentExpansions" 0 218110) ("TabulatedComputationPackage" 0 217974) ("Tableau" 0 217954) ("TableAggregate&" 0 NIL) ("Table" 0 217299) ("SystemSolvePackage" 0 217194) ("SystemODESolver" 0 217172) ("SymmetricPolynomial" 0 217126) ("SymmetricGroupCombinatoricFunctions" 0 217077) ("SymmetricFunctions" 0 217055) ("SymbolTable" 0 216776) ("Symbol" 0 208648) ("Switch" 0 208585) ("SupFractionFactorizer" 0 208570) ("SuchThat" 0 208490) ("SubSpaceComponentProperty" 0 208396) ("SubSpace" 0 208370) ("SubResultantPackage" 0 208308) ("StringAggregate&" 0 NIL) ("String" 0 197050) ("StreamTranscendentalFunctionsNonCommutative" 0 197014) ("StreamTranscendentalFunctions" 0 196801) ("StreamTaylorSeriesOperations" 0 196372) ("StreamInfiniteProduct" 0 196306) ("StreamFunctions3" 0 196113) ("StreamFunctions2" 0 195610) ("StreamFunctions1" 0 195572) ("StreamAggregate&" 0 NIL) ("Stream" 0 193709) ("StorageEfficientMatrixOperations" 0 193698) ("Stack" 0 193660) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 193527) ("SquareFreeRegularTriangularSetGcdPackage" 0 193400) ("SquareFreeRegularTriangularSet" 0 193303) ("SquareFreeRegularSetDecompositionPackage" 0 193268) ("SquareFreeQuasiComponentPackage" 0 193091) ("SplittingTree" 0 193064) ("SplittingNode" 0 193021) ("SparseUnivariateTaylorSeries" 0 192955) ("SparseUnivariateSkewPolynomial" 0 192889) ("SparseUnivariatePolynomialFunctions2" 0 192375) ("SparseUnivariatePolynomialExpressions" 0 192341) ("SparseUnivariatePolynomial" 0 185702) ("SparseUnivariateLaurentSeries" 0 185668) ("SparseMultivariateTaylorSeries" 0 185651) ("SparseMultivariatePolynomial" 0 184394) ("SortedCache" 0 184365) ("SmithNormalForm" 0 184333) ("SingletonAsOrderedSet" 0 183636) ("SingleInteger" 0 175956) ("SimpleAlgebraicExtension" 0 175825) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 175387) ("SequentialDifferentialVariable" 0 175350) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 175235) ("SegmentBindingFunctions2" 0 175193) ("SegmentBinding" 0 174826) ("Segment" 0 173762) ("ScriptFormulaFormat" 0 173737) ("SExpressionOf" 0 173721) ("SExpression" 0 173492) ("RoutinesTable" 0 172901) ("RootsFindingPackage" 0 172765) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 172749) ("RewriteRule" 0 172704) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 172678) ("Result" 0 171607) ("RepeatedSquaring" 0 171366) ("RepeatedDoubling" 0 171183) ("RegularTriangularSetGcdPackage" 0 171125) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 171108) ("RegularSetDecompositionPackage" 0 171083) ("RegularChain" 0 171028) ("Reference" 0 170645) ("ReductionOfOrder" 0 170612) ("ReduceLODE" 0 170590) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 170580) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 170500) ("RealSolvePackage" 0 170472) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 170430) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 170398) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 170308) ("RationalLODE" 0 170169) ("RationalIntegration" 0 170048) ("RationalFunctionSign" 0 169990) ("RationalFunctionIntegration" 0 169956) ("RationalFunctionFactor" 0 169923) ("RationalFunction" 0 169875) ("RationalFactorize" 0 169645) ("RandomNumberSource" 0 169565) ("RadixExpansion" 0 169503) ("RadicalSolvePackage" 0 169481) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 169458) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 169446) ("QueryEquation" 0 169433) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 169420) ("QuasiComponentPackage" 0 169306) ("QuasiAlgebraicSet" 0 169283) ("QuadraticForm" 0 169263) ("PushVariables" 0 169236) ("PureAlgebraicIntegration" 0 169159) ("PseudoRemainderSequence" 0 169074) ("PseudoLinearNormalForm" 0 169054) ("PseudoAlgebraicClosureOfRationalNumber" 0 168937) ("PseudoAlgebraicClosureOfFiniteField" 0 168666) ("ProjectiveSpace" 0 168646) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 168533) ("ProjectivePlane" 0 168428) ("ProjectiveAlgebraicSetPackage" 0 168335) ("Product" 0 168294) ("PrintPackage" 0 168268) ("PrimitiveRatRicDE" 0 168250) ("PrimitiveRatDE" 0 168197) ("PrimitiveElement" 0 168163) ("PrimitiveArray" 0 167434) ("PrimeField" 0 167341) ("PrecomputedAssociatedEquations" 0 167317) ("PowerSeriesLimitPackage" 0 167225) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 157499) ("PolynomialSquareFree" 0 157475) ("PolynomialSolveByFormulas" 0 157451) ("PolynomialSetUtilitiesPackage" 0 157054) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 156951) ("PolynomialRing" 0 156783) ("PolynomialPackageForCurve" 0 156686) ("PolynomialNumberTheoryFunctions" 0 156632) ("PolynomialInterpolationAlgorithms" 0 156604) ("PolynomialIdeals" 0 156553) ("PolynomialGcdPackage" 0 156477) ("PolynomialFunctions2" 0 156281) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 156218) ("PolynomialFactorizationByRecursion" 0 156194) ("PolynomialDecomposition" 0 156164) ("PolynomialCategoryQuotientFunctions" 0 155765) ("PolynomialCategoryLifting" 0 155130) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 152760) ("PolyGroebner" 0 152714) ("PolToPol" 0 152677) ("PointsOfFiniteOrderTools" 0 152623) ("PointsOfFiniteOrder" 0 152600) ("PointPackage" 0 152459) ("Point" 0 152023) ("PoincareBirkhoffWittLyndonBasis" 0 151986) ("PlotTools" 0 151971) ("Plot3D" 0 151904) ("Plot" 0 151767) ("Plcs" 0 151708) ("PlaneAlgebraicCurvePlot" 0 151664) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 151612) ("Places" 0 151575) ("PiCoercions" 0 151553) ("Pi" 0 151517) ("PermutationGroup" 0 151488) ("Permutation" 0 151393) ("PatternMatchTools" 0 151330) ("PatternMatchSymbol" 0 151319) ("PatternMatchResultFunctions2" 0 151272) ("PatternMatchResult" 0 149854) ("PatternMatchQuotientFieldCategory" 0 149827) ("PatternMatchPushDown" 0 149706) ("PatternMatchPolynomialCategory" 0 149669) ("PatternMatchListResult" 0 149624) ("PatternMatchListAggregate" 0 149607) ("PatternMatchKernel" 0 149564) ("PatternMatchIntegration" 0 149445) ("PatternMatchIntegerNumberSystem" 0 149420) ("PatternMatchFunctionSpace" 0 149405) ("PatternFunctions1" 0 149335) ("Pattern" 0 147802) ("PartitionsAndPermutations" 0 147702) ("Partition" 0 147585) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 147466) ("ParametricSurface" 0 147366) ("ParametricSpaceCurve" 0 147263) ("ParametricPlaneCurve" 0 147160) ("ParadoxicalCombinatorsForStreams" 0 146959) ("Palette" 0 146757) ("PackageForPoly" 0 146450) ("PAdicRationalConstructor" 0 146408) ("PAdicInteger" 0 146390) ("OutputPackage" 0 146020) ("OutputForm" 0 136204) ("OrderlyDifferentialVariable" 0 136098) ("OrderlyDifferentialPolynomial" 0 136065) ("OrderedVariableList" 0 135512) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 135360) ("OrderedCompletionFunctions2" 0 135289) ("OrderedCompletion" 0 134506) ("OrdSetInts" 0 134472) ("OpenMathPackage" 0 134446) ("OpenMathErrorKind" 0 134428) ("OpenMathEncoding" 0 134250) ("OpenMathDevice" 0 134068) ("OpenMathConnection" 0 134042) ("OnePointCompletionFunctions2" 0 134009) ("OnePointCompletion" 0 133196) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 133127) ("OctonionCategory&" 0 NIL) ("ODETools" 0 133079) ("ODEIntensityFunctionsTable" 0 133016) ("ODEIntegration" 0 132907) ("NumericalPDEProblem" 0 132864) ("NumericalOptimizationProblem" 0 132808) ("NumericalODEProblem" 0 132764) ("NumericalIntegrationProblem" 0 132701) ("NumericTubePlot" 0 132655) ("NumericRealEigenPackage" 0 132634) ("Numeric" 0 132595) ("NumberTheoreticPolynomialFunctions" 0 132565) ("NumberFormats" 0 132535) ("NormalizationPackage" 0 132362) ("NoneFunctions1" 0 132327) ("None" 0 132026) ("NonNegativeInteger" 0 116285) ("NonLinearSolvePackage" 0 116267) ("NonLinearFirstOrderODESolver" 0 116235) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 116217) ("NewtonInterpolation" 0 116207) ("NewSparseUnivariatePolynomialFunctions2" 0 116171) ("NewSparseUnivariatePolynomial" 0 116093) ("NewSparseMultivariatePolynomial" 0 115981) ("NeitherSparseOrDensePowerSeries" 0 115894) ("NagPartialDifferentialEquationsPackage" 0 115875) ("NagOrdinaryDifferentialEquationsPackage" 0 115805) ("NagOptimisationPackage" 0 115649) ("NagIntegrationPackage" 0 115477) ("NagEigenPackage" 0 115456) ("NPCoef" 0 115432) ("NAGLinkSupportPackage" 0 115020) ("MyUnivariatePolynomial" 0 115003) ("MyExpression" 0 114973) ("MultivariateSquareFree" 0 114909) ("MultivariateLifting" 0 114821) ("MultivariateFactorize" 0 114488) ("Multiset" 0 114429) ("MultipleMap" 0 114354) ("MultiVariableCalculusFunctions" 0 114260) ("MultFiniteFactorize" 0 114186) ("MoreSystemCommands" 0 114107) ("MonomialExtensionTools" 0 113988) ("MonoidRing" 0 113963) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 113941) ("ModuleOperator" 0 113928) ("ModuleMonomial" 0 113900) ("Module&" 0 NIL) ("ModularRing" 0 113860) ("ModularHermitianRowReduction" 0 113655) ("ModularDistinctDegreeFactorizer" 0 113598) ("ModMonic" 0 113488) ("MeshCreationRoutinesForThreeDimensions" 0 113442) ("MergeThing" 0 113429) ("MatrixLinearAlgebraFunctions" 0 113402) ("MatrixCommonDenominator" 0 113292) ("MatrixCategoryFunctions2" 0 112911) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108027) ("MappingPackageInternalHacks3" 0 108007) ("MappingPackageInternalHacks2" 0 107987) ("MappingPackageInternalHacks1" 0 107967) ("MappingPackage1" 0 107873) ("MakeUnaryCompiledFunction" 0 107813) ("MakeFunction" 0 107754) ("MakeFloatCompiledFunction" 0 107690) ("MakeBinaryCompiledFunction" 0 107642) ("Magma" 0 107611) ("MachineInteger" 0 107577) ("MachineFloat" 0 107508) ("MRationalFactorize" 0 107344) ("MPolyCatRationalFunctionFactorizer" 0 107234) ("MPolyCatPolyFactorizer" 0 107197) ("MPolyCatFunctions3" 0 107184) ("MPolyCatFunctions2" 0 107097) ("LyndonWord" 0 107010) ("Logic&" 0 NIL) ("Localize" 0 106993) ("LocalParametrizationOfSimplePointPackage" 0 106900) ("LocalAlgebra" 0 106887) ("ListToMap" 0 106836) ("ListMultiDictionary" 0 106804) ("ListMonoidOps" 0 106752) ("ListFunctions2" 0 106333) ("ListAggregate&" 0 NIL) ("List" 0 88759) ("LiouvillianFunction" 0 88718) ("LinesOpPack" 0 88653) ("LinearSystemPolynomialPackage" 0 88630) ("LinearSystemMatrixPackage" 0 88296) ("LinearSystemFromPowerSeriesPackage" 0 88268) ("LinearPolynomialEquationByFractions" 0 88147) ("LinearOrdinaryDifferentialOperatorsOps" 0 88108) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88075) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88042) ("LinearOrdinaryDifferentialOperator1" 0 87878) ("LinearOrdinaryDifferentialOperator" 0 87800) ("LinearDependence" 0 87772) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 87735) ("LiePolynomial" 0 87698) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 87666) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 87626) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 87555) ("Kovacic" 0 87522) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 87510) ("KernelFunctions2" 0 87495) ("Kernel" 0 85646) ("IrredPolyOverFiniteField" 0 85606) ("Interval" 0 85559) ("IntersectionDivisorPackage" 0 85515) ("InterpolateFormsPackage" 0 85471) ("InternalRationalUnivariateRepresentationPackage" 0 85397) ("InternalPrintPackage" 0 85289) ("InterfaceGroebnerPackage" 0 85242) ("IntegrationTools" 0 84933) ("IntegrationResultToFunction" 0 84838) ("IntegrationResultRFToFunction" 0 84798) ("IntegrationResultFunctions2" 0 84599) ("IntegrationResult" 0 84227) ("IntegrationFunctionsTable" 0 84172) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84043) ("IntegralBasisPolynomialTools" 0 84003) ("IntegerSolveLinearPolynomialEquation" 0 83991) ("IntegerRoots" 0 83806) ("IntegerRetractions" 0 83774) ("IntegerPrimesPackage" 0 83342) ("IntegerNumberTheoryFunctions" 0 83241) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83221) ("IntegerLinearDependence" 0 83182) ("IntegerFactorizationPackage" 0 83058) ("IntegerCombinatoricFunctions" 0 82842) ("IntegerBits" 0 82811) ("Integer" 0 67140) ("InputFormFunctions1" 0 67121) ("InputForm" 0 64860) ("InnerTrigonometricManipulations" 0 64732) ("InnerTaylorSeries" 0 64642) ("InnerTable" 0 64632) ("InnerSparseUnivariatePowerSeries" 0 64535) ("InnerPrimeField" 0 64501) ("InnerPolySum" 0 64477) ("InnerPolySign" 0 64394) ("InnerPAdicInteger" 0 64354) ("InnerNumericFloatSolvePackage" 0 64257) ("InnerNumericEigenPackage" 0 64200) ("InnerNormalBasisFieldFunctions" 0 64152) ("InnerMultFact" 0 64106) ("InnerMatrixQuotientFieldFunctions" 0 64073) ("InnerMatrixLinearAlgebraFunctions" 0 64004) ("InnerIndexedTwoDimensionalArray" 0 63926) ("InnerFreeAbelianMonoid" 0 63885) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 63639) ("InnerAlgebraicNumber" 0 63619) ("InnerAlgFactor" 0 63550) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63498) ("InfinitlyClosePoint" 0 63424) ("InfiniteTuple" 0 63370) ("InfClsPt" 0 63333) ("IndexedVector" 0 63306) ("IndexedString" 0 63295) ("IndexedOneDimensionalArray" 0 63226) ("IndexedList" 0 63217) ("IndexedFlexibleArray" 0 63130) ("IndexedExponents" 0 62829) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 62808) ("IndexedDirectProductOrderedAbelianMonoid" 0 62760) ("IndexedDirectProductObject" 0 62722) ("IndexedDirectProductAbelianMonoid" 0 62642) ("IndexedDirectProductAbelianGroup" 0 62627) ("IndexedBits" 0 62618) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 62595) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62526) ("HomogeneousDirectProduct" 0 62445) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62433) ("HashTable" 0 62377) ("HallBasis" 0 62356) ("GuessOptionFunctions0" 0 62346) ("GuessOption" 0 62312) ("GuessFiniteFunctions" 0 62296) ("Guess" 0 62196) ("Group&" 0 NIL) ("GroebnerPackage" 0 61967) ("GroebnerInternalPackage" 0 61840) ("GrayCode" 0 61826) ("GraphicsDefaults" 0 61726) ("GraphImage" 0 61638) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 61595) ("GenusZeroIntegration" 0 61566) ("GeneralizedMultivariateFactorize" 0 61494) ("GeneralTriangularSet" 0 61435) ("GeneralSparseTable" 0 61419) ("GeneralPolynomialSet" 0 61228) ("GeneralPolynomialGcdPackage" 0 61204) ("GeneralPackageForAlgebraicFunctionField" 0 61117) ("GeneralHenselPackage" 0 61031) ("GeneralDistributedMultivariatePolynomial" 0 60946) ("GenUFactorize" 0 60894) ("GenExEuclid" 0 60720) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 60682) ("GaloisGroupPolynomialUtilities" 0 60656) ("GaloisGroupFactorizer" 0 60608) ("GaloisGroupFactorizationUtilities" 0 60565) ("FunctionalSpecialFunction" 0 60550) ("FunctionSpaceUnivariatePolynomialFactor" 0 60451) ("FunctionSpaceToUnivariatePowerSeries" 0 60411) ("FunctionSpacePrimitiveElement" 0 60334) ("FunctionSpaceIntegration" 0 60096) ("FunctionSpaceFunctions2" 0 60012) ("FunctionSpaceComplexIntegration" 0 59983) ("FunctionSpaceAttachPredicates" 0 59936) ("FunctionSpaceAssertions" 0 59869) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 59841) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 59819) ("FreeModule1" 0 59743) ("FreeModule" 0 59638) ("FreeGroup" 0 59608) ("FreeAbelianGroup" 0 59589) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 59571) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 59543) ("FractionalIdeal" 0 59375) ("FractionFreeFastGaussianFractions" 0 59365) ("FractionFreeFastGaussian" 0 59319) ("Fraction" 0 51471) ("FourierComponent" 0 51453) ("FortranType" 0 51163) ("FortranScalarType" 0 50883) ("FortranPackage" 0 50673) ("FortranOutputStackPackage" 0 50428) ("FortranExpression" 0 50263) ("FortranCode" 0 49996) ("FloatingRealPackage" 0 49975) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48121) ("FlexibleArray" 0 48096) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48062) ("FiniteLinearAggregateFunctions2" 0 47883) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 47829) ("FiniteFieldSolveLinearPolynomialEquation" 0 47798) ("FiniteFieldPolynomialPackage" 0 47596) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47535) ("FiniteFieldFunctions" 0 47382) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47320) ("FiniteFieldExtensionByPolynomial" 0 47235) ("FiniteFieldExtension" 0 47214) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47153) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47017) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 46979) ("FiniteAbelianMonoidRing&" 0 NIL) ("FileName" 0 46598) ("File" 0 46544) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46435) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46384) ("FactoringUtilities" 0 46296) ("FactoredFunctions2" 0 46101) ("FactoredFunctions" 0 46032) ("FactoredFunctionUtilities" 0 45917) ("Factored" 0 41462) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41433) ("ExpressionSpaceFunctions2" 0 41335) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41312) ("ExpressionFunctions2" 0 40935) ("Expression" 0 39099) ("ExponentialOfUnivariatePuiseuxSeries" 0 38984) ("ExponentialExpansion" 0 38944) ("ExpertSystemToolsPackage2" 0 38906) ("ExpertSystemToolsPackage1" 0 38885) ("ExpertSystemToolsPackage" 0 38394) ("ExpertSystemContinuityPackage" 0 38356) ("Exit" 0 38086) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38066) ("EuclideanGroebnerBasisPackage" 0 38036) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 37828) ("Equation" 0 34440) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34414) ("ElementaryRischDE" 0 34388) ("ElementaryIntegration" 0 34325) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34285) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34214) ("ElementaryFunctionStructurePackage" 0 33884) ("ElementaryFunctionSign" 0 33522) ("ElementaryFunctionODESolver" 0 33489) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33474) ("EigenPackage" 0 33450) ("DrawOptionFunctions1" 0 33425) ("DrawOptionFunctions0" 0 33221) ("DrawOption" 0 33049) ("DoubleResultantPackage" 0 33026) ("DoubleFloatVector" 0 33004) ("DoubleFloatSpecialFunctions" 0 32988) ("DoubleFloat" 0 30856) ("Divisor" 0 30633) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30228) ("DistinctDegreeFactorize" 0 29909) ("DisplayPackage" 0 29883) ("DiscreteLogarithmPackage" 0 29858) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29296) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29186) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29113) ("DesingTree" 0 29026) ("DegreeReductionPackage" 0 29002) ("DefiniteIntegrationTools" 0 28922) ("Database" 0 28902) ("DataList" 0 28889) ("CyclotomicPolynomialPackage" 0 28841) ("CyclicStreamTools" 0 28807) ("CoordinateSystems" 0 28765) ("ContinuedFraction" 0 28650) ("ConstantLODE" 0 28617) ("ComplexRootPackage" 0 28558) ("ComplexPatternMatch" 0 28537) ("ComplexPattern" 0 28516) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28495) ("ComplexFunctions2" 0 28463) ("ComplexFactorization" 0 28395) ("ComplexDoubleFloatVector" 0 28366) ("ComplexCategory&" 0 NIL) ("Complex" 0 27780) ("CommuteUnivariatePolynomialCategory" 0 27633) ("Commutator" 0 27612) ("CommonOperators" 0 27459) ("CommonDenominator" 0 27325) ("CombinatorialFunction" 0 27310) ("Color" 0 27211) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27147) ("ChineseRemainderToolsForIntegralBases" 0 27107) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27085) ("CharacterClass" 0 27012) ("Character" 0 26690) ("ChangeOfVariable" 0 26590) ("CartesianTensor" 0 26560) ("CardinalNumber" 0 25843) ("BrillhartTests" 0 25817) ("BoundIntegerRoots" 0 25783) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
